#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 9601
#define LARGE_STATE_COUNT 2765
#define SYMBOL_COUNT 528
#define ALIAS_COUNT 5
#define TOKEN_COUNT 217
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 50
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 212

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_SEMI = 42,
  anon_sym___extension__ = 43,
  anon_sym_typedef = 44,
  anon_sym_extern = 45,
  anon_sym___attribute__ = 46,
  anon_sym_COLON_COLON = 47,
  anon_sym_LBRACK_LBRACK = 48,
  anon_sym_RBRACK_RBRACK = 49,
  anon_sym___declspec = 50,
  anon_sym___based = 51,
  anon_sym___cdecl = 52,
  anon_sym___clrcall = 53,
  anon_sym___stdcall = 54,
  anon_sym___fastcall = 55,
  anon_sym___thiscall = 56,
  anon_sym___vectorcall = 57,
  sym_ms_restrict_modifier = 58,
  sym_ms_unsigned_ptr_modifier = 59,
  sym_ms_signed_ptr_modifier = 60,
  anon_sym__unaligned = 61,
  anon_sym___unaligned = 62,
  anon_sym_LBRACE = 63,
  anon_sym_RBRACE = 64,
  anon_sym_signed = 65,
  anon_sym_unsigned = 66,
  anon_sym_long = 67,
  anon_sym_short = 68,
  anon_sym_LBRACK = 69,
  anon_sym_RBRACK = 70,
  anon_sym_EQ = 71,
  anon_sym_static = 72,
  anon_sym_register = 73,
  anon_sym_inline = 74,
  anon_sym___inline = 75,
  anon_sym___inline__ = 76,
  anon_sym___forceinline = 77,
  anon_sym_thread_local = 78,
  anon_sym___thread = 79,
  anon_sym_const = 80,
  anon_sym_constexpr = 81,
  anon_sym_volatile = 82,
  anon_sym_restrict = 83,
  anon_sym___restrict__ = 84,
  anon_sym__Atomic = 85,
  anon_sym__Noreturn = 86,
  anon_sym_noreturn = 87,
  anon_sym_mutable = 88,
  anon_sym_constinit = 89,
  anon_sym_consteval = 90,
  anon_sym_PROGMEM = 91,
  aux_sym_primitive_type_token1 = 92,
  anon_sym_byte = 93,
  anon_sym_word = 94,
  anon_sym_enum = 95,
  anon_sym_class = 96,
  anon_sym_struct = 97,
  anon_sym_union = 98,
  anon_sym_COLON = 99,
  anon_sym_if = 100,
  anon_sym_else = 101,
  anon_sym_switch = 102,
  anon_sym_case = 103,
  anon_sym_default = 104,
  anon_sym_while = 105,
  anon_sym_do = 106,
  anon_sym_for = 107,
  anon_sym_return = 108,
  anon_sym_break = 109,
  anon_sym_continue = 110,
  anon_sym_goto = 111,
  anon_sym___try = 112,
  anon_sym___except = 113,
  anon_sym___finally = 114,
  anon_sym___leave = 115,
  anon_sym_QMARK = 116,
  anon_sym_STAR_EQ = 117,
  anon_sym_SLASH_EQ = 118,
  anon_sym_PERCENT_EQ = 119,
  anon_sym_PLUS_EQ = 120,
  anon_sym_DASH_EQ = 121,
  anon_sym_LT_LT_EQ = 122,
  anon_sym_GT_GT_EQ = 123,
  anon_sym_AMP_EQ = 124,
  anon_sym_CARET_EQ = 125,
  anon_sym_PIPE_EQ = 126,
  anon_sym_and_eq = 127,
  anon_sym_or_eq = 128,
  anon_sym_xor_eq = 129,
  anon_sym_not = 130,
  anon_sym_compl = 131,
  anon_sym_LT_EQ_GT = 132,
  anon_sym_or = 133,
  anon_sym_and = 134,
  anon_sym_bitor = 135,
  anon_sym_xor = 136,
  anon_sym_bitand = 137,
  anon_sym_not_eq = 138,
  anon_sym_DASH_DASH = 139,
  anon_sym_PLUS_PLUS = 140,
  anon_sym_sizeof = 141,
  anon_sym___alignof__ = 142,
  anon_sym___alignof = 143,
  anon_sym__alignof = 144,
  anon_sym_alignof = 145,
  anon_sym__Alignof = 146,
  anon_sym_offsetof = 147,
  anon_sym__Generic = 148,
  anon_sym_asm = 149,
  anon_sym___asm__ = 150,
  anon_sym_DOT = 151,
  anon_sym_DOT_STAR = 152,
  anon_sym_DASH_GT = 153,
  aux_sym_number_literal_token1 = 154,
  aux_sym_number_literal_token2 = 155,
  anon_sym_L_SQUOTE = 156,
  anon_sym_u_SQUOTE = 157,
  anon_sym_U_SQUOTE = 158,
  anon_sym_u8_SQUOTE = 159,
  anon_sym_SQUOTE = 160,
  aux_sym_char_literal_token1 = 161,
  anon_sym_L_DQUOTE = 162,
  anon_sym_u_DQUOTE = 163,
  anon_sym_U_DQUOTE = 164,
  anon_sym_u8_DQUOTE = 165,
  anon_sym_DQUOTE = 166,
  aux_sym_string_literal_token1 = 167,
  sym_escape_sequence = 168,
  sym_system_lib_string = 169,
  sym_true = 170,
  sym_false = 171,
  anon_sym_NULL = 172,
  anon_sym_nullptr = 173,
  sym_comment = 174,
  sym_auto = 175,
  anon_sym_decltype = 176,
  anon_sym_final = 177,
  anon_sym_override = 178,
  anon_sym_virtual = 179,
  anon_sym_alignas = 180,
  anon_sym_explicit = 181,
  anon_sym_typename = 182,
  anon_sym_template = 183,
  anon_sym_GT2 = 184,
  anon_sym_operator = 185,
  anon_sym_try = 186,
  anon_sym_delete = 187,
  anon_sym_friend = 188,
  anon_sym_public = 189,
  anon_sym_private = 190,
  anon_sym_protected = 191,
  anon_sym_noexcept = 192,
  anon_sym_throw = 193,
  anon_sym_namespace = 194,
  anon_sym_using = 195,
  anon_sym_static_assert = 196,
  anon_sym_concept = 197,
  anon_sym_co_return = 198,
  anon_sym_co_yield = 199,
  anon_sym_catch = 200,
  anon_sym_R_DQUOTE = 201,
  anon_sym_LR_DQUOTE = 202,
  anon_sym_uR_DQUOTE = 203,
  anon_sym_UR_DQUOTE = 204,
  anon_sym_u8R_DQUOTE = 205,
  anon_sym_co_await = 206,
  anon_sym_new = 207,
  anon_sym_requires = 208,
  anon_sym_DASH_GT_STAR = 209,
  anon_sym_LPAREN_RPAREN = 210,
  anon_sym_LBRACK_RBRACK = 211,
  anon_sym_DQUOTE_DQUOTE = 212,
  sym_this = 213,
  sym_literal_suffix = 214,
  sym_raw_string_delimiter = 215,
  sym_raw_string_content = 216,
  sym_translation_unit = 217,
  sym_preproc_include = 218,
  sym_preproc_def = 219,
  sym_preproc_function_def = 220,
  sym_preproc_params = 221,
  sym_preproc_call = 222,
  sym_preproc_if = 223,
  sym_preproc_ifdef = 224,
  sym_preproc_else = 225,
  sym_preproc_elif = 226,
  sym_preproc_elifdef = 227,
  sym_preproc_if_in_field_declaration_list = 228,
  sym_preproc_ifdef_in_field_declaration_list = 229,
  sym_preproc_else_in_field_declaration_list = 230,
  sym_preproc_elif_in_field_declaration_list = 231,
  sym_preproc_elifdef_in_field_declaration_list = 232,
  sym_preproc_if_in_enumerator_list = 233,
  sym_preproc_ifdef_in_enumerator_list = 234,
  sym_preproc_else_in_enumerator_list = 235,
  sym_preproc_elif_in_enumerator_list = 236,
  sym_preproc_elifdef_in_enumerator_list = 237,
  sym_preproc_if_in_enumerator_list_no_comma = 238,
  sym_preproc_ifdef_in_enumerator_list_no_comma = 239,
  sym_preproc_else_in_enumerator_list_no_comma = 240,
  sym_preproc_elif_in_enumerator_list_no_comma = 241,
  sym_preproc_elifdef_in_enumerator_list_no_comma = 242,
  sym__preproc_expression = 243,
  sym_preproc_parenthesized_expression = 244,
  sym_preproc_defined = 245,
  sym_preproc_unary_expression = 246,
  sym_preproc_call_expression = 247,
  sym_preproc_argument_list = 248,
  sym_preproc_binary_expression = 249,
  sym_function_definition = 250,
  sym_declaration = 251,
  sym_type_definition = 252,
  sym__type_definition_type = 253,
  sym__type_definition_declarators = 254,
  sym__declaration_modifiers = 255,
  sym__declaration_specifiers = 256,
  sym_linkage_specification = 257,
  sym_attribute_specifier = 258,
  sym_attribute = 259,
  sym_attribute_declaration = 260,
  sym_ms_declspec_modifier = 261,
  sym_ms_based_modifier = 262,
  sym_ms_call_modifier = 263,
  sym_ms_unaligned_ptr_modifier = 264,
  sym_ms_pointer_modifier = 265,
  sym_declaration_list = 266,
  sym__declarator = 267,
  sym__field_declarator = 268,
  sym__type_declarator = 269,
  sym__abstract_declarator = 270,
  sym_parenthesized_declarator = 271,
  sym_parenthesized_field_declarator = 272,
  sym_parenthesized_type_declarator = 273,
  sym_abstract_parenthesized_declarator = 274,
  sym_attributed_declarator = 275,
  sym_attributed_field_declarator = 276,
  sym_attributed_type_declarator = 277,
  sym_pointer_declarator = 278,
  sym_pointer_field_declarator = 279,
  sym_pointer_type_declarator = 280,
  sym_abstract_pointer_declarator = 281,
  sym_function_declarator = 282,
  sym_function_field_declarator = 283,
  sym_function_type_declarator = 284,
  sym_abstract_function_declarator = 285,
  sym_array_declarator = 286,
  sym_array_field_declarator = 287,
  sym_array_type_declarator = 288,
  sym_abstract_array_declarator = 289,
  sym_init_declarator = 290,
  sym_compound_statement = 291,
  sym_storage_class_specifier = 292,
  sym_type_qualifier = 293,
  sym__type_specifier = 294,
  sym_sized_type_specifier = 295,
  sym_primitive_type = 296,
  sym_enum_specifier = 297,
  sym_enumerator_list = 298,
  sym_struct_specifier = 299,
  sym_union_specifier = 300,
  sym_field_declaration_list = 301,
  sym__field_declaration_list_item = 302,
  sym_field_declaration = 303,
  sym_bitfield_clause = 304,
  sym_enumerator = 305,
  sym_parameter_list = 306,
  sym_parameter_declaration = 307,
  sym_attributed_statement = 308,
  sym_labeled_statement = 309,
  sym__top_level_expression_statement = 310,
  sym_expression_statement = 311,
  sym_if_statement = 312,
  sym_else_clause = 313,
  sym_switch_statement = 314,
  sym_case_statement = 315,
  sym_while_statement = 316,
  sym_do_statement = 317,
  sym_for_statement = 318,
  sym__for_statement_body = 319,
  sym_return_statement = 320,
  sym_break_statement = 321,
  sym_continue_statement = 322,
  sym_goto_statement = 323,
  sym_seh_try_statement = 324,
  sym_seh_except_clause = 325,
  sym_seh_finally_clause = 326,
  sym_seh_leave_statement = 327,
  sym__expression = 328,
  sym__expression_not_binary = 329,
  sym__string = 330,
  sym_comma_expression = 331,
  sym_conditional_expression = 332,
  sym_assignment_expression = 333,
  sym_pointer_expression = 334,
  sym_unary_expression = 335,
  sym_binary_expression = 336,
  sym_update_expression = 337,
  sym_cast_expression = 338,
  sym_type_descriptor = 339,
  sym_sizeof_expression = 340,
  sym_alignof_expression = 341,
  sym_offsetof_expression = 342,
  sym_generic_expression = 343,
  sym_subscript_expression = 344,
  sym_call_expression = 345,
  sym_gnu_asm_expression = 346,
  sym_gnu_asm_qualifier = 347,
  sym_gnu_asm_output_operand_list = 348,
  sym_gnu_asm_output_operand = 349,
  sym_gnu_asm_input_operand_list = 350,
  sym_gnu_asm_input_operand = 351,
  sym_gnu_asm_clobber_list = 352,
  sym_gnu_asm_goto_list = 353,
  sym_argument_list = 354,
  sym_field_expression = 355,
  sym_compound_literal_expression = 356,
  sym_parenthesized_expression = 357,
  sym_initializer_list = 358,
  sym_initializer_pair = 359,
  sym_subscript_designator = 360,
  sym_subscript_range_designator = 361,
  sym_field_designator = 362,
  sym_number_literal = 363,
  sym_char_literal = 364,
  sym_concatenated_string = 365,
  sym_string_literal = 366,
  sym_null = 367,
  sym__empty_declaration = 368,
  sym_placeholder_type_specifier = 369,
  sym_decltype_auto = 370,
  sym_decltype = 371,
  sym__class_declaration = 372,
  sym__class_declaration_item = 373,
  sym_class_specifier = 374,
  sym__class_name = 375,
  sym_virtual_specifier = 376,
  sym_virtual = 377,
  sym_alignas_specifier = 378,
  sym_explicit_function_specifier = 379,
  sym_base_class_clause = 380,
  sym__enum_base_clause = 381,
  sym_dependent_type = 382,
  sym_template_declaration = 383,
  sym_template_instantiation = 384,
  sym_template_parameter_list = 385,
  sym_type_parameter_declaration = 386,
  sym_variadic_type_parameter_declaration = 387,
  sym_optional_type_parameter_declaration = 388,
  sym_template_template_parameter_declaration = 389,
  sym_optional_parameter_declaration = 390,
  sym_variadic_parameter_declaration = 391,
  sym_variadic_declarator = 392,
  sym_variadic_reference_declarator = 393,
  sym_operator_cast = 394,
  sym_field_initializer_list = 395,
  sym_field_initializer = 396,
  sym_inline_method_definition = 397,
  sym__constructor_specifiers = 398,
  sym_operator_cast_definition = 399,
  sym_operator_cast_declaration = 400,
  sym_constructor_try_statement = 401,
  sym_constructor_or_destructor_definition = 402,
  sym_constructor_or_destructor_declaration = 403,
  sym_default_method_clause = 404,
  sym_delete_method_clause = 405,
  sym_friend_declaration = 406,
  sym_access_specifier = 407,
  sym_reference_declarator = 408,
  sym_reference_field_declarator = 409,
  sym_abstract_reference_declarator = 410,
  sym_structured_binding_declarator = 411,
  sym_ref_qualifier = 412,
  sym__function_declarator_seq = 413,
  sym__function_attributes_start = 414,
  sym__function_exception_specification = 415,
  sym__function_attributes_end = 416,
  sym__function_postfix = 417,
  sym_trailing_return_type = 418,
  sym_noexcept = 419,
  sym_throw_specifier = 420,
  sym_template_type = 421,
  sym_template_method = 422,
  sym_template_function = 423,
  sym_template_argument_list = 424,
  sym_namespace_definition = 425,
  sym_namespace_alias_definition = 426,
  sym__namespace_specifier = 427,
  sym_nested_namespace_specifier = 428,
  sym_using_declaration = 429,
  sym_alias_declaration = 430,
  sym_static_assert_declaration = 431,
  sym_concept_definition = 432,
  sym_for_range_loop = 433,
  sym__for_range_loop_body = 434,
  sym_init_statement = 435,
  sym_condition_clause = 436,
  sym_condition_declaration = 437,
  sym_co_return_statement = 438,
  sym_co_yield_statement = 439,
  sym_throw_statement = 440,
  sym_try_statement = 441,
  sym_catch_clause = 442,
  sym_raw_string_literal = 443,
  sym_subscript_argument_list = 444,
  sym_co_await_expression = 445,
  sym_new_expression = 446,
  sym_new_declarator = 447,
  sym_delete_expression = 448,
  sym_type_requirement = 449,
  sym_compound_requirement = 450,
  sym__requirement = 451,
  sym_requirement_seq = 452,
  sym_constraint_conjunction = 453,
  sym_constraint_disjunction = 454,
  sym__requirement_clause_constraint = 455,
  sym_requires_clause = 456,
  sym_requires_parameter_list = 457,
  sym_requires_expression = 458,
  sym_lambda_expression = 459,
  sym_lambda_capture_specifier = 460,
  sym_lambda_default_capture = 461,
  sym__fold_operator = 462,
  sym__binary_fold_operator = 463,
  sym__unary_left_fold = 464,
  sym__unary_right_fold = 465,
  sym__binary_fold = 466,
  sym_fold_expression = 467,
  sym_parameter_pack_expansion = 468,
  sym_type_parameter_pack_expansion = 469,
  sym_destructor_name = 470,
  sym_dependent_identifier = 471,
  sym_dependent_field_identifier = 472,
  sym_dependent_type_identifier = 473,
  sym__scope_resolution = 474,
  sym_qualified_field_identifier = 475,
  sym_qualified_identifier = 476,
  sym_qualified_type_identifier = 477,
  sym_qualified_operator_cast_identifier = 478,
  sym__assignment_expression_lhs = 479,
  sym_operator_name = 480,
  sym_user_defined_literal = 481,
  aux_sym_translation_unit_repeat1 = 482,
  aux_sym_preproc_params_repeat1 = 483,
  aux_sym_preproc_if_repeat1 = 484,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 485,
  aux_sym_preproc_if_in_enumerator_list_repeat1 = 486,
  aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1 = 487,
  aux_sym_preproc_argument_list_repeat1 = 488,
  aux_sym_declaration_repeat1 = 489,
  aux_sym_type_definition_repeat1 = 490,
  aux_sym__type_definition_type_repeat1 = 491,
  aux_sym__type_definition_declarators_repeat1 = 492,
  aux_sym__declaration_specifiers_repeat1 = 493,
  aux_sym_attribute_declaration_repeat1 = 494,
  aux_sym_attributed_declarator_repeat1 = 495,
  aux_sym_pointer_declarator_repeat1 = 496,
  aux_sym_sized_type_specifier_repeat1 = 497,
  aux_sym_enumerator_list_repeat1 = 498,
  aux_sym_field_declaration_repeat1 = 499,
  aux_sym_parameter_list_repeat1 = 500,
  aux_sym_case_statement_repeat1 = 501,
  aux_sym_generic_expression_repeat1 = 502,
  aux_sym_gnu_asm_expression_repeat1 = 503,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 504,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 505,
  aux_sym_gnu_asm_clobber_list_repeat1 = 506,
  aux_sym_gnu_asm_goto_list_repeat1 = 507,
  aux_sym_argument_list_repeat1 = 508,
  aux_sym_initializer_list_repeat1 = 509,
  aux_sym_initializer_pair_repeat1 = 510,
  aux_sym_char_literal_repeat1 = 511,
  aux_sym_concatenated_string_repeat1 = 512,
  aux_sym_string_literal_repeat1 = 513,
  aux_sym__class_declaration_repeat1 = 514,
  aux_sym_base_class_clause_repeat1 = 515,
  aux_sym_template_parameter_list_repeat1 = 516,
  aux_sym_field_initializer_list_repeat1 = 517,
  aux_sym_operator_cast_definition_repeat1 = 518,
  aux_sym_constructor_try_statement_repeat1 = 519,
  aux_sym_structured_binding_declarator_repeat1 = 520,
  aux_sym__function_postfix_repeat1 = 521,
  aux_sym_throw_specifier_repeat1 = 522,
  aux_sym_template_argument_list_repeat1 = 523,
  aux_sym_subscript_argument_list_repeat1 = 524,
  aux_sym_requirement_seq_repeat1 = 525,
  aux_sym_requires_parameter_list_repeat1 = 526,
  aux_sym_lambda_capture_specifier_repeat1 = 527,
  alias_sym_field_identifier = 528,
  alias_sym_namespace_identifier = 529,
  alias_sym_simple_requirement = 530,
  alias_sym_statement_identifier = 531,
  alias_sym_type_identifier = 532,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_SEMI] = ";",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_static] = "static",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constinit] = "constinit",
  [anon_sym_consteval] = "consteval",
  [anon_sym_PROGMEM] = "PROGMEM",
  [aux_sym_primitive_type_token1] = "primitive_type_token1",
  [anon_sym_byte] = "byte",
  [anon_sym_word] = "word",
  [anon_sym_enum] = "enum",
  [anon_sym_class] = "class",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_COLON] = ":",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym___try] = "__try",
  [anon_sym___except] = "__except",
  [anon_sym___finally] = "__finally",
  [anon_sym___leave] = "__leave",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_and_eq] = "and_eq",
  [anon_sym_or_eq] = "or_eq",
  [anon_sym_xor_eq] = "xor_eq",
  [anon_sym_not] = "not",
  [anon_sym_compl] = "compl",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_or] = "or",
  [anon_sym_and] = "and",
  [anon_sym_bitor] = "bitor",
  [anon_sym_xor] = "xor",
  [anon_sym_bitand] = "bitand",
  [anon_sym_not_eq] = "not_eq",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym_DOT] = ".",
  [anon_sym_DOT_STAR] = ".*",
  [anon_sym_DASH_GT] = "->",
  [aux_sym_number_literal_token1] = "number_literal_token1",
  [aux_sym_number_literal_token2] = "number_literal_token2",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [sym_auto] = "auto",
  [anon_sym_decltype] = "decltype",
  [anon_sym_final] = "final",
  [anon_sym_override] = "override",
  [anon_sym_virtual] = "virtual",
  [anon_sym_alignas] = "alignas",
  [anon_sym_explicit] = "explicit",
  [anon_sym_typename] = "typename",
  [anon_sym_template] = "template",
  [anon_sym_GT2] = ">",
  [anon_sym_operator] = "operator",
  [anon_sym_try] = "try",
  [anon_sym_delete] = "delete",
  [anon_sym_friend] = "friend",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_noexcept] = "noexcept",
  [anon_sym_throw] = "throw",
  [anon_sym_namespace] = "namespace",
  [anon_sym_using] = "using",
  [anon_sym_static_assert] = "static_assert",
  [anon_sym_concept] = "concept",
  [anon_sym_co_return] = "co_return",
  [anon_sym_co_yield] = "co_yield",
  [anon_sym_catch] = "catch",
  [anon_sym_R_DQUOTE] = "R\"",
  [anon_sym_LR_DQUOTE] = "LR\"",
  [anon_sym_uR_DQUOTE] = "uR\"",
  [anon_sym_UR_DQUOTE] = "UR\"",
  [anon_sym_u8R_DQUOTE] = "u8R\"",
  [anon_sym_co_await] = "co_await",
  [anon_sym_new] = "new",
  [anon_sym_requires] = "requires",
  [anon_sym_DASH_GT_STAR] = "->*",
  [anon_sym_LPAREN_RPAREN] = "()",
  [anon_sym_LBRACK_RBRACK] = "[]",
  [anon_sym_DQUOTE_DQUOTE] = "\"\"",
  [sym_this] = "this",
  [sym_literal_suffix] = "literal_suffix",
  [sym_raw_string_delimiter] = "raw_string_delimiter",
  [sym_raw_string_content] = "raw_string_content",
  [sym_translation_unit] = "translation_unit",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym_preproc_elifdef_in_field_declaration_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list_no_comma] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list_no_comma] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list_no_comma] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_type_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym__type_specifier] = "_type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_primitive_type] = "primitive_type",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_seh_try_statement] = "seh_try_statement",
  [sym_seh_except_clause] = "seh_except_clause",
  [sym_seh_finally_clause] = "seh_finally_clause",
  [sym_seh_leave_statement] = "seh_leave_statement",
  [sym__expression] = "_expression",
  [sym__expression_not_binary] = "_expression_not_binary",
  [sym__string] = "_string",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_subscript_range_designator] = "subscript_range_designator",
  [sym_field_designator] = "field_designator",
  [sym_number_literal] = "number_literal",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_placeholder_type_specifier] = "placeholder_type_specifier",
  [sym_decltype_auto] = "decltype",
  [sym_decltype] = "decltype",
  [sym__class_declaration] = "_class_declaration",
  [sym__class_declaration_item] = "_class_declaration_item",
  [sym_class_specifier] = "class_specifier",
  [sym__class_name] = "_class_name",
  [sym_virtual_specifier] = "virtual_specifier",
  [sym_virtual] = "virtual",
  [sym_alignas_specifier] = "alignas_specifier",
  [sym_explicit_function_specifier] = "explicit_function_specifier",
  [sym_base_class_clause] = "base_class_clause",
  [sym__enum_base_clause] = "_enum_base_clause",
  [sym_dependent_type] = "dependent_type",
  [sym_template_declaration] = "template_declaration",
  [sym_template_instantiation] = "template_instantiation",
  [sym_template_parameter_list] = "template_parameter_list",
  [sym_type_parameter_declaration] = "type_parameter_declaration",
  [sym_variadic_type_parameter_declaration] = "variadic_type_parameter_declaration",
  [sym_optional_type_parameter_declaration] = "optional_type_parameter_declaration",
  [sym_template_template_parameter_declaration] = "template_template_parameter_declaration",
  [sym_optional_parameter_declaration] = "optional_parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_variadic_declarator] = "variadic_declarator",
  [sym_variadic_reference_declarator] = "reference_declarator",
  [sym_operator_cast] = "operator_cast",
  [sym_field_initializer_list] = "field_initializer_list",
  [sym_field_initializer] = "field_initializer",
  [sym_inline_method_definition] = "function_definition",
  [sym__constructor_specifiers] = "_constructor_specifiers",
  [sym_operator_cast_definition] = "function_definition",
  [sym_operator_cast_declaration] = "declaration",
  [sym_constructor_try_statement] = "try_statement",
  [sym_constructor_or_destructor_definition] = "function_definition",
  [sym_constructor_or_destructor_declaration] = "declaration",
  [sym_default_method_clause] = "default_method_clause",
  [sym_delete_method_clause] = "delete_method_clause",
  [sym_friend_declaration] = "friend_declaration",
  [sym_access_specifier] = "access_specifier",
  [sym_reference_declarator] = "reference_declarator",
  [sym_reference_field_declarator] = "reference_declarator",
  [sym_abstract_reference_declarator] = "abstract_reference_declarator",
  [sym_structured_binding_declarator] = "structured_binding_declarator",
  [sym_ref_qualifier] = "ref_qualifier",
  [sym__function_declarator_seq] = "_function_declarator_seq",
  [sym__function_attributes_start] = "_function_attributes_start",
  [sym__function_exception_specification] = "_function_exception_specification",
  [sym__function_attributes_end] = "_function_attributes_end",
  [sym__function_postfix] = "_function_postfix",
  [sym_trailing_return_type] = "trailing_return_type",
  [sym_noexcept] = "noexcept",
  [sym_throw_specifier] = "throw_specifier",
  [sym_template_type] = "template_type",
  [sym_template_method] = "template_method",
  [sym_template_function] = "template_function",
  [sym_template_argument_list] = "template_argument_list",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_alias_definition] = "namespace_alias_definition",
  [sym__namespace_specifier] = "_namespace_specifier",
  [sym_nested_namespace_specifier] = "nested_namespace_specifier",
  [sym_using_declaration] = "using_declaration",
  [sym_alias_declaration] = "alias_declaration",
  [sym_static_assert_declaration] = "static_assert_declaration",
  [sym_concept_definition] = "concept_definition",
  [sym_for_range_loop] = "for_range_loop",
  [sym__for_range_loop_body] = "_for_range_loop_body",
  [sym_init_statement] = "init_statement",
  [sym_condition_clause] = "condition_clause",
  [sym_condition_declaration] = "declaration",
  [sym_co_return_statement] = "co_return_statement",
  [sym_co_yield_statement] = "co_yield_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_raw_string_literal] = "raw_string_literal",
  [sym_subscript_argument_list] = "subscript_argument_list",
  [sym_co_await_expression] = "co_await_expression",
  [sym_new_expression] = "new_expression",
  [sym_new_declarator] = "new_declarator",
  [sym_delete_expression] = "delete_expression",
  [sym_type_requirement] = "type_requirement",
  [sym_compound_requirement] = "compound_requirement",
  [sym__requirement] = "_requirement",
  [sym_requirement_seq] = "requirement_seq",
  [sym_constraint_conjunction] = "constraint_conjunction",
  [sym_constraint_disjunction] = "constraint_disjunction",
  [sym__requirement_clause_constraint] = "_requirement_clause_constraint",
  [sym_requires_clause] = "requires_clause",
  [sym_requires_parameter_list] = "parameter_list",
  [sym_requires_expression] = "requires_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_lambda_capture_specifier] = "lambda_capture_specifier",
  [sym_lambda_default_capture] = "lambda_default_capture",
  [sym__fold_operator] = "_fold_operator",
  [sym__binary_fold_operator] = "_binary_fold_operator",
  [sym__unary_left_fold] = "_unary_left_fold",
  [sym__unary_right_fold] = "_unary_right_fold",
  [sym__binary_fold] = "_binary_fold",
  [sym_fold_expression] = "fold_expression",
  [sym_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_type_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_destructor_name] = "destructor_name",
  [sym_dependent_identifier] = "dependent_name",
  [sym_dependent_field_identifier] = "dependent_name",
  [sym_dependent_type_identifier] = "dependent_name",
  [sym__scope_resolution] = "_scope_resolution",
  [sym_qualified_field_identifier] = "qualified_identifier",
  [sym_qualified_identifier] = "qualified_identifier",
  [sym_qualified_type_identifier] = "qualified_identifier",
  [sym_qualified_operator_cast_identifier] = "qualified_identifier",
  [sym__assignment_expression_lhs] = "assignment_expression",
  [sym_operator_name] = "operator_name",
  [sym_user_defined_literal] = "user_defined_literal",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = "preproc_if_in_enumerator_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = "preproc_if_in_enumerator_list_no_comma_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym__class_declaration_repeat1] = "_class_declaration_repeat1",
  [aux_sym_base_class_clause_repeat1] = "base_class_clause_repeat1",
  [aux_sym_template_parameter_list_repeat1] = "template_parameter_list_repeat1",
  [aux_sym_field_initializer_list_repeat1] = "field_initializer_list_repeat1",
  [aux_sym_operator_cast_definition_repeat1] = "operator_cast_definition_repeat1",
  [aux_sym_constructor_try_statement_repeat1] = "constructor_try_statement_repeat1",
  [aux_sym_structured_binding_declarator_repeat1] = "structured_binding_declarator_repeat1",
  [aux_sym__function_postfix_repeat1] = "_function_postfix_repeat1",
  [aux_sym_throw_specifier_repeat1] = "throw_specifier_repeat1",
  [aux_sym_template_argument_list_repeat1] = "template_argument_list_repeat1",
  [aux_sym_subscript_argument_list_repeat1] = "subscript_argument_list_repeat1",
  [aux_sym_requirement_seq_repeat1] = "requirement_seq_repeat1",
  [aux_sym_requires_parameter_list_repeat1] = "requires_parameter_list_repeat1",
  [aux_sym_lambda_capture_specifier_repeat1] = "lambda_capture_specifier_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_namespace_identifier] = "namespace_identifier",
  [alias_sym_simple_requirement] = "simple_requirement",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constinit] = anon_sym_constinit,
  [anon_sym_consteval] = anon_sym_consteval,
  [anon_sym_PROGMEM] = anon_sym_PROGMEM,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_byte] = anon_sym_byte,
  [anon_sym_word] = anon_sym_word,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym___try] = anon_sym___try,
  [anon_sym___except] = anon_sym___except,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym___leave] = anon_sym___leave,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_and_eq] = anon_sym_and_eq,
  [anon_sym_or_eq] = anon_sym_or_eq,
  [anon_sym_xor_eq] = anon_sym_xor_eq,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_compl] = anon_sym_compl,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_bitor] = anon_sym_bitor,
  [anon_sym_xor] = anon_sym_xor,
  [anon_sym_bitand] = anon_sym_bitand,
  [anon_sym_not_eq] = anon_sym_not_eq,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DOT_STAR] = anon_sym_DOT_STAR,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [aux_sym_number_literal_token1] = aux_sym_number_literal_token1,
  [aux_sym_number_literal_token2] = aux_sym_number_literal_token2,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [sym_auto] = sym_auto,
  [anon_sym_decltype] = anon_sym_decltype,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_virtual] = anon_sym_virtual,
  [anon_sym_alignas] = anon_sym_alignas,
  [anon_sym_explicit] = anon_sym_explicit,
  [anon_sym_typename] = anon_sym_typename,
  [anon_sym_template] = anon_sym_template,
  [anon_sym_GT2] = anon_sym_GT,
  [anon_sym_operator] = anon_sym_operator,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_friend] = anon_sym_friend,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_noexcept] = anon_sym_noexcept,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_static_assert] = anon_sym_static_assert,
  [anon_sym_concept] = anon_sym_concept,
  [anon_sym_co_return] = anon_sym_co_return,
  [anon_sym_co_yield] = anon_sym_co_yield,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_R_DQUOTE] = anon_sym_R_DQUOTE,
  [anon_sym_LR_DQUOTE] = anon_sym_LR_DQUOTE,
  [anon_sym_uR_DQUOTE] = anon_sym_uR_DQUOTE,
  [anon_sym_UR_DQUOTE] = anon_sym_UR_DQUOTE,
  [anon_sym_u8R_DQUOTE] = anon_sym_u8R_DQUOTE,
  [anon_sym_co_await] = anon_sym_co_await,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_requires] = anon_sym_requires,
  [anon_sym_DASH_GT_STAR] = anon_sym_DASH_GT_STAR,
  [anon_sym_LPAREN_RPAREN] = anon_sym_LPAREN_RPAREN,
  [anon_sym_LBRACK_RBRACK] = anon_sym_LBRACK_RBRACK,
  [anon_sym_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE,
  [sym_this] = sym_this,
  [sym_literal_suffix] = sym_literal_suffix,
  [sym_raw_string_delimiter] = sym_raw_string_delimiter,
  [sym_raw_string_content] = sym_raw_string_content,
  [sym_translation_unit] = sym_translation_unit,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_field_declaration_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list_no_comma] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list_no_comma] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list_no_comma] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_type_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym__type_specifier] = sym__type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_primitive_type] = sym_primitive_type,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_seh_try_statement] = sym_seh_try_statement,
  [sym_seh_except_clause] = sym_seh_except_clause,
  [sym_seh_finally_clause] = sym_seh_finally_clause,
  [sym_seh_leave_statement] = sym_seh_leave_statement,
  [sym__expression] = sym__expression,
  [sym__expression_not_binary] = sym__expression_not_binary,
  [sym__string] = sym__string,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_subscript_range_designator] = sym_subscript_range_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_number_literal] = sym_number_literal,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_placeholder_type_specifier] = sym_placeholder_type_specifier,
  [sym_decltype_auto] = sym_decltype,
  [sym_decltype] = sym_decltype,
  [sym__class_declaration] = sym__class_declaration,
  [sym__class_declaration_item] = sym__class_declaration_item,
  [sym_class_specifier] = sym_class_specifier,
  [sym__class_name] = sym__class_name,
  [sym_virtual_specifier] = sym_virtual_specifier,
  [sym_virtual] = sym_virtual,
  [sym_alignas_specifier] = sym_alignas_specifier,
  [sym_explicit_function_specifier] = sym_explicit_function_specifier,
  [sym_base_class_clause] = sym_base_class_clause,
  [sym__enum_base_clause] = sym__enum_base_clause,
  [sym_dependent_type] = sym_dependent_type,
  [sym_template_declaration] = sym_template_declaration,
  [sym_template_instantiation] = sym_template_instantiation,
  [sym_template_parameter_list] = sym_template_parameter_list,
  [sym_type_parameter_declaration] = sym_type_parameter_declaration,
  [sym_variadic_type_parameter_declaration] = sym_variadic_type_parameter_declaration,
  [sym_optional_type_parameter_declaration] = sym_optional_type_parameter_declaration,
  [sym_template_template_parameter_declaration] = sym_template_template_parameter_declaration,
  [sym_optional_parameter_declaration] = sym_optional_parameter_declaration,
  [sym_variadic_parameter_declaration] = sym_variadic_parameter_declaration,
  [sym_variadic_declarator] = sym_variadic_declarator,
  [sym_variadic_reference_declarator] = sym_reference_declarator,
  [sym_operator_cast] = sym_operator_cast,
  [sym_field_initializer_list] = sym_field_initializer_list,
  [sym_field_initializer] = sym_field_initializer,
  [sym_inline_method_definition] = sym_function_definition,
  [sym__constructor_specifiers] = sym__constructor_specifiers,
  [sym_operator_cast_definition] = sym_function_definition,
  [sym_operator_cast_declaration] = sym_declaration,
  [sym_constructor_try_statement] = sym_try_statement,
  [sym_constructor_or_destructor_definition] = sym_function_definition,
  [sym_constructor_or_destructor_declaration] = sym_declaration,
  [sym_default_method_clause] = sym_default_method_clause,
  [sym_delete_method_clause] = sym_delete_method_clause,
  [sym_friend_declaration] = sym_friend_declaration,
  [sym_access_specifier] = sym_access_specifier,
  [sym_reference_declarator] = sym_reference_declarator,
  [sym_reference_field_declarator] = sym_reference_declarator,
  [sym_abstract_reference_declarator] = sym_abstract_reference_declarator,
  [sym_structured_binding_declarator] = sym_structured_binding_declarator,
  [sym_ref_qualifier] = sym_ref_qualifier,
  [sym__function_declarator_seq] = sym__function_declarator_seq,
  [sym__function_attributes_start] = sym__function_attributes_start,
  [sym__function_exception_specification] = sym__function_exception_specification,
  [sym__function_attributes_end] = sym__function_attributes_end,
  [sym__function_postfix] = sym__function_postfix,
  [sym_trailing_return_type] = sym_trailing_return_type,
  [sym_noexcept] = sym_noexcept,
  [sym_throw_specifier] = sym_throw_specifier,
  [sym_template_type] = sym_template_type,
  [sym_template_method] = sym_template_method,
  [sym_template_function] = sym_template_function,
  [sym_template_argument_list] = sym_template_argument_list,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_alias_definition] = sym_namespace_alias_definition,
  [sym__namespace_specifier] = sym__namespace_specifier,
  [sym_nested_namespace_specifier] = sym_nested_namespace_specifier,
  [sym_using_declaration] = sym_using_declaration,
  [sym_alias_declaration] = sym_alias_declaration,
  [sym_static_assert_declaration] = sym_static_assert_declaration,
  [sym_concept_definition] = sym_concept_definition,
  [sym_for_range_loop] = sym_for_range_loop,
  [sym__for_range_loop_body] = sym__for_range_loop_body,
  [sym_init_statement] = sym_init_statement,
  [sym_condition_clause] = sym_condition_clause,
  [sym_condition_declaration] = sym_declaration,
  [sym_co_return_statement] = sym_co_return_statement,
  [sym_co_yield_statement] = sym_co_yield_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [sym_subscript_argument_list] = sym_subscript_argument_list,
  [sym_co_await_expression] = sym_co_await_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_new_declarator] = sym_new_declarator,
  [sym_delete_expression] = sym_delete_expression,
  [sym_type_requirement] = sym_type_requirement,
  [sym_compound_requirement] = sym_compound_requirement,
  [sym__requirement] = sym__requirement,
  [sym_requirement_seq] = sym_requirement_seq,
  [sym_constraint_conjunction] = sym_constraint_conjunction,
  [sym_constraint_disjunction] = sym_constraint_disjunction,
  [sym__requirement_clause_constraint] = sym__requirement_clause_constraint,
  [sym_requires_clause] = sym_requires_clause,
  [sym_requires_parameter_list] = sym_parameter_list,
  [sym_requires_expression] = sym_requires_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_lambda_capture_specifier] = sym_lambda_capture_specifier,
  [sym_lambda_default_capture] = sym_lambda_default_capture,
  [sym__fold_operator] = sym__fold_operator,
  [sym__binary_fold_operator] = sym__binary_fold_operator,
  [sym__unary_left_fold] = sym__unary_left_fold,
  [sym__unary_right_fold] = sym__unary_right_fold,
  [sym__binary_fold] = sym__binary_fold,
  [sym_fold_expression] = sym_fold_expression,
  [sym_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_type_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_destructor_name] = sym_destructor_name,
  [sym_dependent_identifier] = sym_dependent_identifier,
  [sym_dependent_field_identifier] = sym_dependent_identifier,
  [sym_dependent_type_identifier] = sym_dependent_identifier,
  [sym__scope_resolution] = sym__scope_resolution,
  [sym_qualified_field_identifier] = sym_qualified_identifier,
  [sym_qualified_identifier] = sym_qualified_identifier,
  [sym_qualified_type_identifier] = sym_qualified_identifier,
  [sym_qualified_operator_cast_identifier] = sym_qualified_identifier,
  [sym__assignment_expression_lhs] = sym_assignment_expression,
  [sym_operator_name] = sym_operator_name,
  [sym_user_defined_literal] = sym_user_defined_literal,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = aux_sym_preproc_if_in_enumerator_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym__class_declaration_repeat1] = aux_sym__class_declaration_repeat1,
  [aux_sym_base_class_clause_repeat1] = aux_sym_base_class_clause_repeat1,
  [aux_sym_template_parameter_list_repeat1] = aux_sym_template_parameter_list_repeat1,
  [aux_sym_field_initializer_list_repeat1] = aux_sym_field_initializer_list_repeat1,
  [aux_sym_operator_cast_definition_repeat1] = aux_sym_operator_cast_definition_repeat1,
  [aux_sym_constructor_try_statement_repeat1] = aux_sym_constructor_try_statement_repeat1,
  [aux_sym_structured_binding_declarator_repeat1] = aux_sym_structured_binding_declarator_repeat1,
  [aux_sym__function_postfix_repeat1] = aux_sym__function_postfix_repeat1,
  [aux_sym_throw_specifier_repeat1] = aux_sym_throw_specifier_repeat1,
  [aux_sym_template_argument_list_repeat1] = aux_sym_template_argument_list_repeat1,
  [aux_sym_subscript_argument_list_repeat1] = aux_sym_subscript_argument_list_repeat1,
  [aux_sym_requirement_seq_repeat1] = aux_sym_requirement_seq_repeat1,
  [aux_sym_requires_parameter_list_repeat1] = aux_sym_requires_parameter_list_repeat1,
  [aux_sym_lambda_capture_specifier_repeat1] = aux_sym_lambda_capture_specifier_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_namespace_identifier] = alias_sym_namespace_identifier,
  [alias_sym_simple_requirement] = alias_sym_simple_requirement,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constinit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_consteval] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PROGMEM] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_byte] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_word] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_compl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_number_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_number_literal_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_auto] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_decltype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_virtual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignas] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_explicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typename] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_template] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_operator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_friend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noexcept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_concept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_UR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_requires] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_suffix] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_delimiter] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression_not_binary] = {
    .visible = false,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_range_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_placeholder_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype_auto] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype] = {
    .visible = true,
    .named = true,
  },
  [sym__class_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__class_declaration_item] = {
    .visible = false,
    .named = true,
  },
  [sym_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__class_name] = {
    .visible = false,
    .named = true,
  },
  [sym_virtual_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_virtual] = {
    .visible = true,
    .named = true,
  },
  [sym_alignas_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_function_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_base_class_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_base_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_dependent_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_instantiation] = {
    .visible = true,
    .named = true,
  },
  [sym_template_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_template_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_operator_cast_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_default_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_friend_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_access_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_structured_binding_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_ref_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declarator_seq] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_start] = {
    .visible = false,
    .named = true,
  },
  [sym__function_exception_specification] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_end] = {
    .visible = false,
    .named = true,
  },
  [sym__function_postfix] = {
    .visible = false,
    .named = true,
  },
  [sym_trailing_return_type] = {
    .visible = true,
    .named = true,
  },
  [sym_noexcept] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_method] = {
    .visible = true,
    .named = true,
  },
  [sym_template_function] = {
    .visible = true,
    .named = true,
  },
  [sym_template_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_alias_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym_nested_namespace_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_using_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_assert_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_concept_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_for_range_loop] = {
    .visible = true,
    .named = true,
  },
  [sym__for_range_loop_body] = {
    .visible = false,
    .named = true,
  },
  [sym_init_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_co_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_co_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_co_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement] = {
    .visible = false,
    .named = true,
  },
  [sym_requirement_seq] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_conjunction] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_disjunction] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement_clause_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym_requires_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_capture_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_default_capture] = {
    .visible = true,
    .named = true,
  },
  [sym__fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_left_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_right_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold] = {
    .visible = false,
    .named = true,
  },
  [sym_fold_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_destructor_name] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution] = {
    .visible = false,
    .named = true,
  },
  [sym_qualified_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_operator_cast_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__assignment_expression_lhs] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_name] = {
    .visible = true,
    .named = true,
  },
  [sym_user_defined_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_class_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_operator_cast_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_structured_binding_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_postfix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_throw_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requirement_seq_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requires_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_lambda_capture_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_namespace_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_simple_requirement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_base = 5,
  field_body = 6,
  field_captures = 7,
  field_clobbers = 8,
  field_condition = 9,
  field_consequence = 10,
  field_constraint = 11,
  field_declarator = 12,
  field_default_type = 13,
  field_default_value = 14,
  field_delimiter = 15,
  field_designator = 16,
  field_directive = 17,
  field_end = 18,
  field_field = 19,
  field_filter = 20,
  field_function = 21,
  field_goto_labels = 22,
  field_indices = 23,
  field_initializer = 24,
  field_input_operands = 25,
  field_label = 26,
  field_left = 27,
  field_length = 28,
  field_member = 29,
  field_message = 30,
  field_name = 31,
  field_operand = 32,
  field_operator = 33,
  field_output_operands = 34,
  field_parameters = 35,
  field_path = 36,
  field_pattern = 37,
  field_placement = 38,
  field_prefix = 39,
  field_register = 40,
  field_requirements = 41,
  field_right = 42,
  field_scope = 43,
  field_size = 44,
  field_start = 45,
  field_symbol = 46,
  field_template_parameters = 47,
  field_type = 48,
  field_update = 49,
  field_value = 50,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_base] = "base",
  [field_body] = "body",
  [field_captures] = "captures",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_default_type] = "default_type",
  [field_default_value] = "default_value",
  [field_delimiter] = "delimiter",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_end] = "end",
  [field_field] = "field",
  [field_filter] = "filter",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_indices] = "indices",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_member] = "member",
  [field_message] = "message",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_pattern] = "pattern",
  [field_placement] = "placement",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_requirements] = "requirements",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_size] = "size",
  [field_start] = "start",
  [field_symbol] = "symbol",
  [field_template_parameters] = "template_parameters",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 2},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 1},
  [8] = {.index = 7, .length = 1},
  [9] = {.index = 8, .length = 1},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 1},
  [13] = {.index = 14, .length = 1},
  [14] = {.index = 15, .length = 2},
  [15] = {.index = 15, .length = 2},
  [16] = {.index = 0, .length = 1},
  [18] = {.index = 17, .length = 1},
  [19] = {.index = 18, .length = 1},
  [20] = {.index = 19, .length = 1},
  [21] = {.index = 20, .length = 1},
  [22] = {.index = 21, .length = 2},
  [23] = {.index = 23, .length = 2},
  [24] = {.index = 25, .length = 1},
  [25] = {.index = 26, .length = 1},
  [26] = {.index = 27, .length = 2},
  [27] = {.index = 29, .length = 2},
  [28] = {.index = 31, .length = 1},
  [29] = {.index = 32, .length = 2},
  [30] = {.index = 34, .length = 2},
  [31] = {.index = 14, .length = 1},
  [32] = {.index = 36, .length = 2},
  [33] = {.index = 38, .length = 1},
  [34] = {.index = 39, .length = 2},
  [35] = {.index = 39, .length = 2},
  [36] = {.index = 17, .length = 1},
  [37] = {.index = 41, .length = 1},
  [38] = {.index = 42, .length = 2},
  [39] = {.index = 44, .length = 2},
  [40] = {.index = 46, .length = 3},
  [41] = {.index = 49, .length = 1},
  [44] = {.index = 50, .length = 2},
  [45] = {.index = 52, .length = 1},
  [46] = {.index = 53, .length = 1},
  [47] = {.index = 54, .length = 1},
  [48] = {.index = 55, .length = 2},
  [49] = {.index = 57, .length = 2},
  [50] = {.index = 59, .length = 2},
  [51] = {.index = 61, .length = 2},
  [52] = {.index = 63, .length = 2},
  [53] = {.index = 65, .length = 1},
  [54] = {.index = 66, .length = 3},
  [55] = {.index = 69, .length = 1},
  [56] = {.index = 70, .length = 1},
  [57] = {.index = 71, .length = 1},
  [58] = {.index = 72, .length = 2},
  [60] = {.index = 55, .length = 2},
  [61] = {.index = 74, .length = 2},
  [62] = {.index = 76, .length = 2},
  [63] = {.index = 78, .length = 2},
  [65] = {.index = 80, .length = 2},
  [66] = {.index = 82, .length = 2},
  [67] = {.index = 84, .length = 3},
  [68] = {.index = 87, .length = 2},
  [69] = {.index = 89, .length = 2},
  [70] = {.index = 91, .length = 3},
  [71] = {.index = 91, .length = 3},
  [72] = {.index = 94, .length = 3},
  [73] = {.index = 97, .length = 3},
  [74] = {.index = 100, .length = 3},
  [75] = {.index = 103, .length = 2},
  [76] = {.index = 105, .length = 2},
  [77] = {.index = 107, .length = 2},
  [78] = {.index = 109, .length = 1},
  [79] = {.index = 110, .length = 2},
  [80] = {.index = 112, .length = 2},
  [81] = {.index = 114, .length = 2},
  [82] = {.index = 116, .length = 3},
  [83] = {.index = 119, .length = 2},
  [84] = {.index = 121, .length = 1},
  [85] = {.index = 122, .length = 2},
  [86] = {.index = 124, .length = 2},
  [87] = {.index = 126, .length = 2},
  [88] = {.index = 128, .length = 2},
  [89] = {.index = 130, .length = 2},
  [90] = {.index = 132, .length = 2},
  [91] = {.index = 134, .length = 2},
  [92] = {.index = 136, .length = 2},
  [93] = {.index = 136, .length = 2},
  [94] = {.index = 138, .length = 2},
  [95] = {.index = 140, .length = 1},
  [96] = {.index = 140, .length = 1},
  [97] = {.index = 141, .length = 3},
  [99] = {.index = 144, .length = 2},
  [100] = {.index = 146, .length = 2},
  [101] = {.index = 148, .length = 2},
  [102] = {.index = 150, .length = 3},
  [103] = {.index = 153, .length = 1},
  [105] = {.index = 154, .length = 1},
  [107] = {.index = 155, .length = 3},
  [108] = {.index = 158, .length = 3},
  [109] = {.index = 161, .length = 3},
  [110] = {.index = 164, .length = 2},
  [111] = {.index = 166, .length = 3},
  [112] = {.index = 169, .length = 3},
  [113] = {.index = 172, .length = 2},
  [114] = {.index = 174, .length = 3},
  [115] = {.index = 177, .length = 2},
  [116] = {.index = 15, .length = 2},
  [117] = {.index = 39, .length = 2},
  [118] = {.index = 179, .length = 2},
  [119] = {.index = 181, .length = 2},
  [120] = {.index = 183, .length = 1},
  [121] = {.index = 184, .length = 4},
  [122] = {.index = 188, .length = 4},
  [123] = {.index = 192, .length = 2},
  [124] = {.index = 194, .length = 3},
  [125] = {.index = 197, .length = 2},
  [126] = {.index = 199, .length = 2},
  [127] = {.index = 201, .length = 1},
  [128] = {.index = 202, .length = 2},
  [129] = {.index = 204, .length = 2},
  [130] = {.index = 206, .length = 3},
  [131] = {.index = 209, .length = 3},
  [132] = {.index = 212, .length = 3},
  [133] = {.index = 215, .length = 2},
  [134] = {.index = 217, .length = 3},
  [135] = {.index = 220, .length = 2},
  [136] = {.index = 222, .length = 2},
  [137] = {.index = 224, .length = 3},
  [138] = {.index = 227, .length = 2},
  [139] = {.index = 229, .length = 3},
  [140] = {.index = 232, .length = 2},
  [141] = {.index = 234, .length = 1},
  [142] = {.index = 235, .length = 2},
  [143] = {.index = 237, .length = 2},
  [144] = {.index = 239, .length = 4},
  [145] = {.index = 243, .length = 5},
  [146] = {.index = 248, .length = 2},
  [147] = {.index = 248, .length = 2},
  [148] = {.index = 250, .length = 1},
  [149] = {.index = 251, .length = 1},
  [150] = {.index = 252, .length = 2},
  [151] = {.index = 254, .length = 1},
  [153] = {.index = 255, .length = 1},
  [154] = {.index = 256, .length = 2},
  [155] = {.index = 258, .length = 2},
  [156] = {.index = 7, .length = 1},
  [157] = {.index = 7, .length = 1},
  [158] = {.index = 260, .length = 2},
  [159] = {.index = 262, .length = 1},
  [160] = {.index = 263, .length = 1},
  [161] = {.index = 264, .length = 4},
  [162] = {.index = 268, .length = 2},
  [163] = {.index = 270, .length = 4},
  [164] = {.index = 274, .length = 1},
  [165] = {.index = 275, .length = 2},
  [166] = {.index = 277, .length = 3},
  [167] = {.index = 280, .length = 1},
  [168] = {.index = 281, .length = 5},
  [169] = {.index = 286, .length = 2},
  [170] = {.index = 288, .length = 2},
  [171] = {.index = 290, .length = 4},
  [172] = {.index = 294, .length = 2},
  [173] = {.index = 296, .length = 3},
  [174] = {.index = 299, .length = 4},
  [175] = {.index = 303, .length = 4},
  [176] = {.index = 307, .length = 3},
  [177] = {.index = 310, .length = 2},
  [178] = {.index = 312, .length = 3},
  [179] = {.index = 315, .length = 3},
  [180] = {.index = 318, .length = 2},
  [181] = {.index = 320, .length = 2},
  [182] = {.index = 322, .length = 2},
  [183] = {.index = 324, .length = 2},
  [184] = {.index = 326, .length = 3},
  [185] = {.index = 329, .length = 2},
  [186] = {.index = 331, .length = 2},
  [187] = {.index = 333, .length = 3},
  [188] = {.index = 336, .length = 2},
  [189] = {.index = 338, .length = 2},
  [190] = {.index = 340, .length = 4},
  [191] = {.index = 344, .length = 5},
  [192] = {.index = 349, .length = 3},
  [193] = {.index = 352, .length = 4},
  [194] = {.index = 356, .length = 2},
  [195] = {.index = 358, .length = 2},
  [196] = {.index = 360, .length = 1},
  [197] = {.index = 361, .length = 4},
  [198] = {.index = 365, .length = 3},
  [199] = {.index = 368, .length = 2},
  [200] = {.index = 370, .length = 1},
  [201] = {.index = 371, .length = 5},
  [202] = {.index = 376, .length = 2},
  [203] = {.index = 378, .length = 2},
  [204] = {.index = 65, .length = 1},
  [205] = {.index = 380, .length = 5},
  [206] = {.index = 385, .length = 4},
  [207] = {.index = 389, .length = 2},
  [208] = {.index = 391, .length = 2},
  [209] = {.index = 393, .length = 5},
  [210] = {.index = 398, .length = 2},
  [211] = {.index = 400, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0},
  [1] =
    {field_directive, 0},
  [2] =
    {field_argument, 1},
    {field_operator, 0},
  [4] =
    {field_declarator, 1},
  [5] =
    {field_name, 0},
  [6] =
    {field_body, 1},
  [7] =
    {field_name, 1},
  [8] =
    {field_body, 0},
  [9] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [11] =
    {field_body, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [13] =
    {field_value, 1},
  [14] =
    {field_scope, 0},
  [15] =
    {field_arguments, 1},
    {field_name, 0},
  [17] =
    {field_type, 1},
  [18] =
    {field_requirements, 1},
  [19] =
    {field_constraint, 1},
  [20] =
    {field_parameters, 0},
  [21] =
    {field_declarator, 0},
    {field_parameters, 1, .inherited = true},
  [23] =
    {field_body, 1},
    {field_declarator, 0},
  [25] =
    {field_declarator, 0},
  [26] =
    {field_constraint, 0},
  [27] =
    {field_arguments, 1},
    {field_function, 0},
  [29] =
    {field_type, 0},
    {field_value, 1},
  [31] =
    {field_pattern, 0},
  [32] =
    {field_argument, 0},
    {field_operator, 1},
  [34] =
    {field_argument, 0},
    {field_indices, 1},
  [36] =
    {field_body, 1},
    {field_captures, 0},
  [38] =
    {field_parameters, 0, .inherited = true},
  [39] =
    {field_name, 1},
    {field_scope, 0, .inherited = true},
  [41] =
    {field_path, 1},
  [42] =
    {field_argument, 1},
    {field_directive, 0},
  [44] =
    {field_declarator, 1},
    {field_type, 0},
  [46] =
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [49] =
    {field_declarator, 2},
  [50] =
    {field_body, 2},
    {field_value, 1},
  [52] =
    {field_type, 2},
  [53] =
    {field_body, 2},
  [54] =
    {field_name, 2},
  [55] =
    {field_body, 2},
    {field_name, 1},
  [57] =
    {field_base, 2, .inherited = true},
    {field_name, 1},
  [59] =
    {field_body, 1},
    {field_name, 0},
  [61] =
    {field_condition, 1},
    {field_consequence, 2},
  [63] =
    {field_body, 2},
    {field_condition, 1},
  [65] =
    {field_label, 1},
  [66] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [69] =
    {field_label, 0},
  [70] =
    {field_type, 0, .inherited = true},
  [71] =
    {field_parameters, 1},
  [72] =
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [74] =
    {field_arguments, 2},
    {field_type, 1},
  [76] =
    {field_declarator, 2},
    {field_type, 1},
  [78] =
    {field_placement, 1},
    {field_type, 2},
  [80] =
    {field_parameters, 1},
    {field_requirements, 2},
  [82] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [84] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [87] =
    {field_declarator, 0},
    {field_value, 1},
  [89] =
    {field_body, 2},
    {field_declarator, 0},
  [91] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [94] =
    {field_body, 2},
    {field_captures, 0},
    {field_declarator, 1},
  [97] =
    {field_body, 2},
    {field_captures, 0},
    {field_template_parameters, 1},
  [100] =
    {field_name, 1},
    {field_name, 2},
    {field_scope, 0, .inherited = true},
  [103] =
    {field_body, 2},
    {field_declarator, 1},
  [105] =
    {field_name, 1},
    {field_value, 2},
  [107] =
    {field_name, 1},
    {field_parameters, 2},
  [109] =
    {field_condition, 1},
  [110] =
    {field_alternative, 2},
    {field_name, 1},
  [112] =
    {field_declarator, 2},
    {field_type, 0},
  [114] =
    {field_left, 0},
    {field_right, 2},
  [116] =
    {field_left, 0},
    {field_operator, 1, .inherited = true},
    {field_right, 2},
  [119] =
    {field_type, 1},
    {field_value, 3},
  [121] =
    {field_declarator, 3},
  [122] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [124] =
    {field_declarator, 0},
    {field_parameters, 1},
  [126] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [128] =
    {field_arguments, 3},
    {field_type, 2},
  [130] =
    {field_declarator, 3},
    {field_type, 2},
  [132] =
    {field_placement, 2},
    {field_type, 3},
  [134] =
    {field_name, 2},
    {field_prefix, 0},
  [136] =
    {field_body, 3},
    {field_name, 2},
  [138] =
    {field_base, 3, .inherited = true},
    {field_name, 2},
  [140] =
    {field_base, 1},
  [141] =
    {field_base, 2, .inherited = true},
    {field_body, 3},
    {field_name, 1},
  [144] =
    {field_body, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [146] =
    {field_body, 2},
    {field_name, 0},
  [148] =
    {field_condition, 2},
    {field_consequence, 3},
  [150] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [153] =
    {field_initializer, 0},
  [154] =
    {field_assembly_code, 2},
  [155] =
    {field_arguments, 3},
    {field_declarator, 2},
    {field_type, 1},
  [158] =
    {field_arguments, 3},
    {field_placement, 1},
    {field_type, 2},
  [161] =
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [164] =
    {field_declarator, 0},
    {field_value, 2},
  [166] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [169] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [172] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [174] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [177] =
    {field_declarator, 0},
    {field_size, 2},
  [179] =
    {field_alternative, 3},
    {field_condition, 0},
  [181] =
    {field_declarator, 0},
    {field_default_value, 2},
  [183] =
    {field_size, 1},
  [184] =
    {field_body, 3},
    {field_captures, 0},
    {field_declarator, 2},
    {field_template_parameters, 1},
  [188] =
    {field_body, 3},
    {field_captures, 0},
    {field_constraint, 2},
    {field_template_parameters, 1},
  [192] =
    {field_body, 3},
    {field_declarator, 1},
  [194] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [197] =
    {field_alternative, 3},
    {field_condition, 1},
  [199] =
    {field_alternative, 3},
    {field_name, 1},
  [201] =
    {field_operator, 0},
  [202] =
    {field_declarator, 3},
    {field_type, 1},
  [204] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [206] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_type, 2},
  [209] =
    {field_arguments, 4},
    {field_placement, 2},
    {field_type, 3},
  [212] =
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [215] =
    {field_name, 0},
    {field_value, 2},
  [217] =
    {field_base, 3, .inherited = true},
    {field_body, 4},
    {field_name, 2},
  [220] =
    {field_body, 3},
    {field_name, 0},
  [222] =
    {field_body, 3, .inherited = true},
    {field_name, 3, .inherited = true},
  [224] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 2},
  [227] =
    {field_initializer, 1},
    {field_value, 2},
  [229] =
    {field_alternative, 4},
    {field_condition, 2},
    {field_consequence, 3},
  [232] =
    {field_body, 1},
    {field_condition, 3},
  [234] =
    {field_update, 2},
  [235] =
    {field_initializer, 0},
    {field_update, 2},
  [237] =
    {field_condition, 1},
    {field_initializer, 0},
  [239] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [243] =
    {field_body, 4},
    {field_declarator, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_type, 2, .inherited = true},
  [248] =
    {field_designator, 0},
    {field_value, 2},
  [250] =
    {field_value, 3},
  [251] =
    {field_operand, 1},
  [252] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [254] =
    {field_assembly_code, 3},
  [255] =
    {field_default_type, 2},
  [256] =
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [258] =
    {field_body, 2},
    {field_parameters, 1},
  [260] =
    {field_name, 1},
    {field_type, 3},
  [262] =
    {field_condition, 2},
  [263] =
    {field_length, 1},
  [264] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [268] =
    {field_declarator, 1},
    {field_declarator, 2},
  [270] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [274] =
    {field_declarator, 4},
  [275] =
    {field_declarator, 0},
    {field_size, 3},
  [277] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [280] =
    {field_size, 2},
  [281] =
    {field_body, 4},
    {field_captures, 0},
    {field_constraint, 2},
    {field_declarator, 3},
    {field_template_parameters, 1},
  [286] =
    {field_declarator, 1},
    {field_default_value, 3},
  [288] =
    {field_alternative, 4},
    {field_condition, 1},
  [290] =
    {field_arguments, 5},
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [294] =
    {field_body, 2},
    {field_filter, 1},
  [296] =
    {field_declarator, 1},
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [299] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_default_value, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [303] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
    {field_default_value, 0, .inherited = true},
    {field_default_value, 1, .inherited = true},
  [307] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 3},
  [310] =
    {field_condition, 1},
    {field_update, 3},
  [312] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [315] =
    {field_declarator, 1},
    {field_right, 3},
    {field_type, 0, .inherited = true},
  [318] =
    {field_initializer, 0},
    {field_update, 3},
  [320] =
    {field_condition, 2},
    {field_initializer, 0},
  [322] =
    {field_member, 4},
    {field_type, 2},
  [324] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [326] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [329] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [331] =
    {field_default_type, 3},
    {field_name, 1},
  [333] =
    {field_declarator, 1},
    {field_default_value, 3},
    {field_type, 0, .inherited = true},
  [336] =
    {field_name, 1},
    {field_type, 4},
  [338] =
    {field_declarator, 1},
    {field_default_value, 2},
  [340] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [344] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 2},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [349] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [352] =
    {field_declarator, 2},
    {field_initializer, 0},
    {field_right, 4},
    {field_type, 1, .inherited = true},
  [356] =
    {field_end, 3},
    {field_start, 1},
  [358] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [360] =
    {field_register, 1},
  [361] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [365] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [368] =
    {field_condition, 2},
    {field_message, 4},
  [370] =
    {field_delimiter, 1},
  [371] =
    {field_declarator, 1},
    {field_declarator, 4, .inherited = true},
    {field_default_value, 3},
    {field_default_value, 4, .inherited = true},
    {field_type, 0, .inherited = true},
  [376] =
    {field_constraint, 0},
    {field_value, 2},
  [378] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [380] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [385] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [389] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [391] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [393] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [398] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [400] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [13] = {
    [0] = alias_sym_namespace_identifier,
  },
  [14] = {
    [0] = alias_sym_type_identifier,
  },
  [16] = {
    [0] = alias_sym_type_identifier,
  },
  [17] = {
    [0] = alias_sym_namespace_identifier,
  },
  [35] = {
    [1] = alias_sym_type_identifier,
  },
  [36] = {
    [1] = alias_sym_type_identifier,
  },
  [42] = {
    [0] = sym_primitive_type,
  },
  [43] = {
    [0] = sym_pointer_declarator,
  },
  [53] = {
    [1] = alias_sym_statement_identifier,
  },
  [55] = {
    [0] = alias_sym_statement_identifier,
  },
  [59] = {
    [1] = alias_sym_namespace_identifier,
  },
  [60] = {
    [1] = alias_sym_namespace_identifier,
  },
  [64] = {
    [0] = alias_sym_simple_requirement,
  },
  [70] = {
    [2] = alias_sym_field_identifier,
  },
  [92] = {
    [2] = alias_sym_namespace_identifier,
  },
  [95] = {
    [1] = alias_sym_type_identifier,
  },
  [98] = {
    [0] = alias_sym_field_identifier,
  },
  [104] = {
    [1] = alias_sym_field_identifier,
  },
  [106] = {
    [1] = alias_sym_type_identifier,
  },
  [116] = {
    [0] = alias_sym_field_identifier,
  },
  [117] = {
    [1] = alias_sym_field_identifier,
  },
  [146] = {
    [0] = alias_sym_field_identifier,
  },
  [152] = {
    [2] = alias_sym_type_identifier,
  },
  [156] = {
    [1] = alias_sym_namespace_identifier,
    [3] = alias_sym_namespace_identifier,
  },
  [157] = {
    [1] = alias_sym_namespace_identifier,
  },
  [158] = {
    [1] = alias_sym_type_identifier,
  },
  [182] = {
    [4] = alias_sym_field_identifier,
  },
  [186] = {
    [1] = alias_sym_type_identifier,
  },
  [188] = {
    [1] = alias_sym_type_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_pointer_type_declarator, 2,
    sym_pointer_type_declarator,
    sym_pointer_declarator,
  sym_expression_statement, 2,
    sym_expression_statement,
    alias_sym_simple_requirement,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 2,
  [14] = 2,
  [15] = 2,
  [16] = 16,
  [17] = 17,
  [18] = 17,
  [19] = 17,
  [20] = 16,
  [21] = 16,
  [22] = 17,
  [23] = 17,
  [24] = 16,
  [25] = 16,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 26,
  [30] = 26,
  [31] = 31,
  [32] = 32,
  [33] = 31,
  [34] = 34,
  [35] = 35,
  [36] = 31,
  [37] = 26,
  [38] = 31,
  [39] = 31,
  [40] = 26,
  [41] = 28,
  [42] = 42,
  [43] = 28,
  [44] = 42,
  [45] = 45,
  [46] = 45,
  [47] = 47,
  [48] = 42,
  [49] = 49,
  [50] = 45,
  [51] = 42,
  [52] = 45,
  [53] = 42,
  [54] = 54,
  [55] = 55,
  [56] = 45,
  [57] = 42,
  [58] = 45,
  [59] = 42,
  [60] = 45,
  [61] = 42,
  [62] = 45,
  [63] = 45,
  [64] = 45,
  [65] = 42,
  [66] = 45,
  [67] = 42,
  [68] = 45,
  [69] = 42,
  [70] = 42,
  [71] = 42,
  [72] = 42,
  [73] = 45,
  [74] = 45,
  [75] = 42,
  [76] = 45,
  [77] = 49,
  [78] = 42,
  [79] = 42,
  [80] = 45,
  [81] = 45,
  [82] = 55,
  [83] = 55,
  [84] = 45,
  [85] = 55,
  [86] = 42,
  [87] = 42,
  [88] = 45,
  [89] = 45,
  [90] = 45,
  [91] = 49,
  [92] = 49,
  [93] = 55,
  [94] = 49,
  [95] = 42,
  [96] = 28,
  [97] = 42,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 100,
  [106] = 101,
  [107] = 103,
  [108] = 104,
  [109] = 102,
  [110] = 103,
  [111] = 101,
  [112] = 102,
  [113] = 103,
  [114] = 104,
  [115] = 102,
  [116] = 103,
  [117] = 104,
  [118] = 102,
  [119] = 104,
  [120] = 100,
  [121] = 101,
  [122] = 100,
  [123] = 101,
  [124] = 100,
  [125] = 104,
  [126] = 101,
  [127] = 103,
  [128] = 102,
  [129] = 100,
  [130] = 130,
  [131] = 130,
  [132] = 130,
  [133] = 130,
  [134] = 130,
  [135] = 130,
  [136] = 130,
  [137] = 137,
  [138] = 138,
  [139] = 138,
  [140] = 138,
  [141] = 141,
  [142] = 138,
  [143] = 138,
  [144] = 138,
  [145] = 138,
  [146] = 138,
  [147] = 147,
  [148] = 148,
  [149] = 148,
  [150] = 148,
  [151] = 151,
  [152] = 151,
  [153] = 151,
  [154] = 154,
  [155] = 155,
  [156] = 151,
  [157] = 157,
  [158] = 151,
  [159] = 159,
  [160] = 160,
  [161] = 160,
  [162] = 162,
  [163] = 163,
  [164] = 162,
  [165] = 160,
  [166] = 159,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 162,
  [171] = 169,
  [172] = 169,
  [173] = 167,
  [174] = 163,
  [175] = 169,
  [176] = 151,
  [177] = 177,
  [178] = 163,
  [179] = 177,
  [180] = 163,
  [181] = 160,
  [182] = 168,
  [183] = 168,
  [184] = 184,
  [185] = 185,
  [186] = 162,
  [187] = 177,
  [188] = 160,
  [189] = 167,
  [190] = 162,
  [191] = 159,
  [192] = 169,
  [193] = 184,
  [194] = 167,
  [195] = 160,
  [196] = 168,
  [197] = 185,
  [198] = 185,
  [199] = 163,
  [200] = 184,
  [201] = 185,
  [202] = 159,
  [203] = 159,
  [204] = 162,
  [205] = 160,
  [206] = 163,
  [207] = 167,
  [208] = 159,
  [209] = 184,
  [210] = 185,
  [211] = 185,
  [212] = 168,
  [213] = 177,
  [214] = 168,
  [215] = 184,
  [216] = 177,
  [217] = 177,
  [218] = 168,
  [219] = 185,
  [220] = 167,
  [221] = 177,
  [222] = 184,
  [223] = 184,
  [224] = 159,
  [225] = 162,
  [226] = 163,
  [227] = 169,
  [228] = 167,
  [229] = 151,
  [230] = 230,
  [231] = 231,
  [232] = 230,
  [233] = 231,
  [234] = 231,
  [235] = 231,
  [236] = 230,
  [237] = 231,
  [238] = 230,
  [239] = 231,
  [240] = 230,
  [241] = 231,
  [242] = 231,
  [243] = 230,
  [244] = 230,
  [245] = 231,
  [246] = 230,
  [247] = 231,
  [248] = 230,
  [249] = 231,
  [250] = 230,
  [251] = 231,
  [252] = 230,
  [253] = 151,
  [254] = 230,
  [255] = 231,
  [256] = 230,
  [257] = 230,
  [258] = 230,
  [259] = 231,
  [260] = 231,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 155,
  [266] = 266,
  [267] = 267,
  [268] = 262,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 261,
  [273] = 154,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 278,
  [280] = 278,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 278,
  [288] = 278,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 263,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 278,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 278,
  [335] = 335,
  [336] = 336,
  [337] = 278,
  [338] = 338,
  [339] = 278,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 278,
  [355] = 355,
  [356] = 278,
  [357] = 357,
  [358] = 278,
  [359] = 278,
  [360] = 360,
  [361] = 264,
  [362] = 278,
  [363] = 278,
  [364] = 364,
  [365] = 278,
  [366] = 278,
  [367] = 367,
  [368] = 278,
  [369] = 369,
  [370] = 278,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 261,
  [388] = 388,
  [389] = 389,
  [390] = 271,
  [391] = 391,
  [392] = 385,
  [393] = 155,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 270,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 261,
  [402] = 262,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 385,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 269,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 389,
  [428] = 428,
  [429] = 429,
  [430] = 389,
  [431] = 388,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 261,
  [440] = 440,
  [441] = 262,
  [442] = 262,
  [443] = 154,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 389,
  [449] = 385,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 357,
  [458] = 367,
  [459] = 297,
  [460] = 277,
  [461] = 264,
  [462] = 327,
  [463] = 282,
  [464] = 286,
  [465] = 263,
  [466] = 326,
  [467] = 325,
  [468] = 276,
  [469] = 281,
  [470] = 369,
  [471] = 324,
  [472] = 323,
  [473] = 322,
  [474] = 284,
  [475] = 371,
  [476] = 285,
  [477] = 321,
  [478] = 283,
  [479] = 320,
  [480] = 264,
  [481] = 319,
  [482] = 318,
  [483] = 289,
  [484] = 291,
  [485] = 332,
  [486] = 317,
  [487] = 316,
  [488] = 372,
  [489] = 263,
  [490] = 315,
  [491] = 299,
  [492] = 328,
  [493] = 314,
  [494] = 313,
  [495] = 329,
  [496] = 292,
  [497] = 293,
  [498] = 330,
  [499] = 295,
  [500] = 298,
  [501] = 312,
  [502] = 303,
  [503] = 300,
  [504] = 331,
  [505] = 301,
  [506] = 304,
  [507] = 311,
  [508] = 333,
  [509] = 294,
  [510] = 335,
  [511] = 336,
  [512] = 338,
  [513] = 310,
  [514] = 340,
  [515] = 341,
  [516] = 364,
  [517] = 309,
  [518] = 342,
  [519] = 308,
  [520] = 344,
  [521] = 345,
  [522] = 346,
  [523] = 275,
  [524] = 347,
  [525] = 305,
  [526] = 360,
  [527] = 307,
  [528] = 352,
  [529] = 343,
  [530] = 355,
  [531] = 348,
  [532] = 351,
  [533] = 306,
  [534] = 290,
  [535] = 350,
  [536] = 349,
  [537] = 353,
  [538] = 435,
  [539] = 426,
  [540] = 395,
  [541] = 425,
  [542] = 381,
  [543] = 155,
  [544] = 452,
  [545] = 400,
  [546] = 416,
  [547] = 423,
  [548] = 399,
  [549] = 378,
  [550] = 403,
  [551] = 405,
  [552] = 413,
  [553] = 450,
  [554] = 434,
  [555] = 424,
  [556] = 412,
  [557] = 154,
  [558] = 410,
  [559] = 422,
  [560] = 382,
  [561] = 271,
  [562] = 419,
  [563] = 270,
  [564] = 420,
  [565] = 418,
  [566] = 271,
  [567] = 409,
  [568] = 454,
  [569] = 404,
  [570] = 453,
  [571] = 396,
  [572] = 438,
  [573] = 406,
  [574] = 269,
  [575] = 270,
  [576] = 376,
  [577] = 444,
  [578] = 271,
  [579] = 408,
  [580] = 269,
  [581] = 451,
  [582] = 269,
  [583] = 383,
  [584] = 414,
  [585] = 373,
  [586] = 380,
  [587] = 270,
  [588] = 456,
  [589] = 386,
  [590] = 428,
  [591] = 437,
  [592] = 429,
  [593] = 447,
  [594] = 432,
  [595] = 411,
  [596] = 446,
  [597] = 440,
  [598] = 455,
  [599] = 379,
  [600] = 375,
  [601] = 421,
  [602] = 377,
  [603] = 415,
  [604] = 394,
  [605] = 436,
  [606] = 398,
  [607] = 384,
  [608] = 433,
  [609] = 155,
  [610] = 374,
  [611] = 154,
  [612] = 360,
  [613] = 348,
  [614] = 290,
  [615] = 293,
  [616] = 289,
  [617] = 353,
  [618] = 295,
  [619] = 282,
  [620] = 620,
  [621] = 283,
  [622] = 622,
  [623] = 623,
  [624] = 291,
  [625] = 625,
  [626] = 292,
  [627] = 294,
  [628] = 628,
  [629] = 286,
  [630] = 369,
  [631] = 343,
  [632] = 371,
  [633] = 352,
  [634] = 284,
  [635] = 282,
  [636] = 286,
  [637] = 371,
  [638] = 369,
  [639] = 151,
  [640] = 289,
  [641] = 276,
  [642] = 291,
  [643] = 292,
  [644] = 297,
  [645] = 289,
  [646] = 291,
  [647] = 292,
  [648] = 275,
  [649] = 275,
  [650] = 351,
  [651] = 301,
  [652] = 300,
  [653] = 285,
  [654] = 355,
  [655] = 294,
  [656] = 357,
  [657] = 343,
  [658] = 297,
  [659] = 350,
  [660] = 303,
  [661] = 349,
  [662] = 304,
  [663] = 283,
  [664] = 348,
  [665] = 305,
  [666] = 306,
  [667] = 307,
  [668] = 308,
  [669] = 309,
  [670] = 372,
  [671] = 347,
  [672] = 672,
  [673] = 299,
  [674] = 310,
  [675] = 346,
  [676] = 311,
  [677] = 312,
  [678] = 351,
  [679] = 345,
  [680] = 298,
  [681] = 364,
  [682] = 313,
  [683] = 314,
  [684] = 315,
  [685] = 316,
  [686] = 317,
  [687] = 318,
  [688] = 350,
  [689] = 349,
  [690] = 319,
  [691] = 320,
  [692] = 321,
  [693] = 322,
  [694] = 323,
  [695] = 324,
  [696] = 325,
  [697] = 326,
  [698] = 327,
  [699] = 328,
  [700] = 329,
  [701] = 330,
  [702] = 331,
  [703] = 348,
  [704] = 332,
  [705] = 333,
  [706] = 286,
  [707] = 344,
  [708] = 298,
  [709] = 347,
  [710] = 346,
  [711] = 335,
  [712] = 345,
  [713] = 344,
  [714] = 342,
  [715] = 342,
  [716] = 299,
  [717] = 341,
  [718] = 336,
  [719] = 276,
  [720] = 338,
  [721] = 341,
  [722] = 340,
  [723] = 338,
  [724] = 340,
  [725] = 341,
  [726] = 342,
  [727] = 344,
  [728] = 336,
  [729] = 340,
  [730] = 345,
  [731] = 346,
  [732] = 364,
  [733] = 347,
  [734] = 335,
  [735] = 311,
  [736] = 333,
  [737] = 332,
  [738] = 349,
  [739] = 350,
  [740] = 360,
  [741] = 351,
  [742] = 367,
  [743] = 331,
  [744] = 330,
  [745] = 295,
  [746] = 372,
  [747] = 357,
  [748] = 293,
  [749] = 329,
  [750] = 338,
  [751] = 336,
  [752] = 290,
  [753] = 335,
  [754] = 275,
  [755] = 328,
  [756] = 333,
  [757] = 369,
  [758] = 371,
  [759] = 297,
  [760] = 332,
  [761] = 331,
  [762] = 355,
  [763] = 353,
  [764] = 372,
  [765] = 327,
  [766] = 367,
  [767] = 294,
  [768] = 330,
  [769] = 284,
  [770] = 352,
  [771] = 326,
  [772] = 325,
  [773] = 328,
  [774] = 327,
  [775] = 343,
  [776] = 277,
  [777] = 326,
  [778] = 325,
  [779] = 324,
  [780] = 323,
  [781] = 295,
  [782] = 620,
  [783] = 293,
  [784] = 290,
  [785] = 322,
  [786] = 672,
  [787] = 324,
  [788] = 323,
  [789] = 321,
  [790] = 281,
  [791] = 322,
  [792] = 321,
  [793] = 320,
  [794] = 320,
  [795] = 303,
  [796] = 284,
  [797] = 364,
  [798] = 319,
  [799] = 672,
  [800] = 304,
  [801] = 282,
  [802] = 305,
  [803] = 672,
  [804] = 318,
  [805] = 329,
  [806] = 360,
  [807] = 357,
  [808] = 620,
  [809] = 355,
  [810] = 303,
  [811] = 367,
  [812] = 304,
  [813] = 305,
  [814] = 306,
  [815] = 307,
  [816] = 353,
  [817] = 317,
  [818] = 316,
  [819] = 620,
  [820] = 315,
  [821] = 308,
  [822] = 309,
  [823] = 276,
  [824] = 310,
  [825] = 311,
  [826] = 314,
  [827] = 312,
  [828] = 283,
  [829] = 313,
  [830] = 314,
  [831] = 315,
  [832] = 316,
  [833] = 306,
  [834] = 834,
  [835] = 301,
  [836] = 300,
  [837] = 307,
  [838] = 308,
  [839] = 352,
  [840] = 277,
  [841] = 281,
  [842] = 301,
  [843] = 285,
  [844] = 277,
  [845] = 300,
  [846] = 309,
  [847] = 285,
  [848] = 310,
  [849] = 299,
  [850] = 313,
  [851] = 298,
  [852] = 319,
  [853] = 318,
  [854] = 312,
  [855] = 317,
  [856] = 281,
  [857] = 435,
  [858] = 433,
  [859] = 386,
  [860] = 432,
  [861] = 422,
  [862] = 375,
  [863] = 426,
  [864] = 377,
  [865] = 281,
  [866] = 438,
  [867] = 425,
  [868] = 420,
  [869] = 419,
  [870] = 381,
  [871] = 379,
  [872] = 452,
  [873] = 450,
  [874] = 447,
  [875] = 446,
  [876] = 440,
  [877] = 409,
  [878] = 405,
  [879] = 403,
  [880] = 400,
  [881] = 419,
  [882] = 379,
  [883] = 454,
  [884] = 453,
  [885] = 396,
  [886] = 395,
  [887] = 377,
  [888] = 424,
  [889] = 408,
  [890] = 411,
  [891] = 438,
  [892] = 421,
  [893] = 437,
  [894] = 436,
  [895] = 405,
  [896] = 420,
  [897] = 423,
  [898] = 432,
  [899] = 416,
  [900] = 447,
  [901] = 446,
  [902] = 386,
  [903] = 444,
  [904] = 434,
  [905] = 433,
  [906] = 415,
  [907] = 440,
  [908] = 429,
  [909] = 428,
  [910] = 424,
  [911] = 394,
  [912] = 451,
  [913] = 423,
  [914] = 403,
  [915] = 382,
  [916] = 400,
  [917] = 416,
  [918] = 454,
  [919] = 395,
  [920] = 412,
  [921] = 410,
  [922] = 406,
  [923] = 376,
  [924] = 435,
  [925] = 404,
  [926] = 384,
  [927] = 451,
  [928] = 375,
  [929] = 412,
  [930] = 378,
  [931] = 456,
  [932] = 263,
  [933] = 414,
  [934] = 398,
  [935] = 398,
  [936] = 374,
  [937] = 453,
  [938] = 410,
  [939] = 380,
  [940] = 383,
  [941] = 396,
  [942] = 409,
  [943] = 383,
  [944] = 434,
  [945] = 422,
  [946] = 426,
  [947] = 382,
  [948] = 425,
  [949] = 381,
  [950] = 452,
  [951] = 384,
  [952] = 376,
  [953] = 413,
  [954] = 394,
  [955] = 415,
  [956] = 450,
  [957] = 399,
  [958] = 418,
  [959] = 408,
  [960] = 411,
  [961] = 373,
  [962] = 378,
  [963] = 404,
  [964] = 406,
  [965] = 399,
  [966] = 418,
  [967] = 264,
  [968] = 421,
  [969] = 414,
  [970] = 380,
  [971] = 374,
  [972] = 428,
  [973] = 436,
  [974] = 444,
  [975] = 413,
  [976] = 429,
  [977] = 455,
  [978] = 373,
  [979] = 456,
  [980] = 455,
  [981] = 437,
  [982] = 151,
  [983] = 444,
  [984] = 151,
  [985] = 834,
  [986] = 375,
  [987] = 422,
  [988] = 412,
  [989] = 435,
  [990] = 415,
  [991] = 151,
  [992] = 421,
  [993] = 426,
  [994] = 994,
  [995] = 395,
  [996] = 455,
  [997] = 997,
  [998] = 998,
  [999] = 994,
  [1000] = 834,
  [1001] = 436,
  [1002] = 374,
  [1003] = 1003,
  [1004] = 994,
  [1005] = 396,
  [1006] = 378,
  [1007] = 404,
  [1008] = 418,
  [1009] = 373,
  [1010] = 411,
  [1011] = 408,
  [1012] = 406,
  [1013] = 399,
  [1014] = 410,
  [1015] = 1015,
  [1016] = 438,
  [1017] = 1015,
  [1018] = 437,
  [1019] = 451,
  [1020] = 151,
  [1021] = 400,
  [1022] = 434,
  [1023] = 394,
  [1024] = 413,
  [1025] = 1025,
  [1026] = 151,
  [1027] = 433,
  [1028] = 453,
  [1029] = 454,
  [1030] = 383,
  [1031] = 834,
  [1032] = 416,
  [1033] = 994,
  [1034] = 403,
  [1035] = 405,
  [1036] = 1036,
  [1037] = 386,
  [1038] = 432,
  [1039] = 994,
  [1040] = 380,
  [1041] = 398,
  [1042] = 409,
  [1043] = 384,
  [1044] = 1015,
  [1045] = 1015,
  [1046] = 994,
  [1047] = 1015,
  [1048] = 994,
  [1049] = 419,
  [1050] = 994,
  [1051] = 440,
  [1052] = 446,
  [1053] = 1015,
  [1054] = 1054,
  [1055] = 447,
  [1056] = 376,
  [1057] = 420,
  [1058] = 994,
  [1059] = 450,
  [1060] = 452,
  [1061] = 423,
  [1062] = 381,
  [1063] = 424,
  [1064] = 425,
  [1065] = 1015,
  [1066] = 456,
  [1067] = 414,
  [1068] = 1068,
  [1069] = 1015,
  [1070] = 377,
  [1071] = 379,
  [1072] = 1015,
  [1073] = 429,
  [1074] = 428,
  [1075] = 1015,
  [1076] = 994,
  [1077] = 994,
  [1078] = 994,
  [1079] = 382,
  [1080] = 1015,
  [1081] = 1015,
  [1082] = 151,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1084,
  [1086] = 1086,
  [1087] = 1086,
  [1088] = 1086,
  [1089] = 1086,
  [1090] = 1086,
  [1091] = 1086,
  [1092] = 1086,
  [1093] = 1086,
  [1094] = 1086,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1097,
  [1099] = 1097,
  [1100] = 1097,
  [1101] = 1097,
  [1102] = 1097,
  [1103] = 1097,
  [1104] = 1097,
  [1105] = 1097,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1110,
  [1114] = 1114,
  [1115] = 1112,
  [1116] = 1111,
  [1117] = 1112,
  [1118] = 1110,
  [1119] = 1119,
  [1120] = 1112,
  [1121] = 1110,
  [1122] = 1122,
  [1123] = 1112,
  [1124] = 1110,
  [1125] = 1106,
  [1126] = 1126,
  [1127] = 1108,
  [1128] = 1119,
  [1129] = 1129,
  [1130] = 262,
  [1131] = 1131,
  [1132] = 1131,
  [1133] = 261,
  [1134] = 271,
  [1135] = 269,
  [1136] = 155,
  [1137] = 154,
  [1138] = 270,
  [1139] = 1095,
  [1140] = 324,
  [1141] = 1129,
  [1142] = 291,
  [1143] = 289,
  [1144] = 1096,
  [1145] = 286,
  [1146] = 294,
  [1147] = 297,
  [1148] = 343,
  [1149] = 276,
  [1150] = 372,
  [1151] = 364,
  [1152] = 360,
  [1153] = 357,
  [1154] = 355,
  [1155] = 353,
  [1156] = 352,
  [1157] = 301,
  [1158] = 300,
  [1159] = 277,
  [1160] = 283,
  [1161] = 292,
  [1162] = 275,
  [1163] = 351,
  [1164] = 350,
  [1165] = 349,
  [1166] = 348,
  [1167] = 347,
  [1168] = 346,
  [1169] = 345,
  [1170] = 344,
  [1171] = 282,
  [1172] = 342,
  [1173] = 341,
  [1174] = 340,
  [1175] = 338,
  [1176] = 336,
  [1177] = 335,
  [1178] = 333,
  [1179] = 332,
  [1180] = 331,
  [1181] = 330,
  [1182] = 284,
  [1183] = 369,
  [1184] = 371,
  [1185] = 329,
  [1186] = 328,
  [1187] = 295,
  [1188] = 293,
  [1189] = 290,
  [1190] = 303,
  [1191] = 304,
  [1192] = 305,
  [1193] = 306,
  [1194] = 327,
  [1195] = 326,
  [1196] = 307,
  [1197] = 308,
  [1198] = 309,
  [1199] = 310,
  [1200] = 311,
  [1201] = 312,
  [1202] = 313,
  [1203] = 314,
  [1204] = 298,
  [1205] = 285,
  [1206] = 315,
  [1207] = 299,
  [1208] = 322,
  [1209] = 316,
  [1210] = 317,
  [1211] = 318,
  [1212] = 319,
  [1213] = 323,
  [1214] = 325,
  [1215] = 320,
  [1216] = 321,
  [1217] = 367,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1218,
  [1221] = 1219,
  [1222] = 1219,
  [1223] = 1223,
  [1224] = 1223,
  [1225] = 1218,
  [1226] = 1219,
  [1227] = 1223,
  [1228] = 1223,
  [1229] = 1218,
  [1230] = 1219,
  [1231] = 1218,
  [1232] = 1218,
  [1233] = 1218,
  [1234] = 1219,
  [1235] = 1219,
  [1236] = 1223,
  [1237] = 1218,
  [1238] = 1223,
  [1239] = 1223,
  [1240] = 1218,
  [1241] = 1219,
  [1242] = 1219,
  [1243] = 1219,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1218,
  [1247] = 1223,
  [1248] = 1219,
  [1249] = 1218,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1251,
  [1253] = 1251,
  [1254] = 1251,
  [1255] = 1250,
  [1256] = 1250,
  [1257] = 1251,
  [1258] = 1250,
  [1259] = 1251,
  [1260] = 1250,
  [1261] = 1251,
  [1262] = 1250,
  [1263] = 1250,
  [1264] = 1251,
  [1265] = 1250,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1269,
  [1270] = 1269,
  [1271] = 1269,
  [1272] = 1269,
  [1273] = 1273,
  [1274] = 1269,
  [1275] = 1268,
  [1276] = 1273,
  [1277] = 1277,
  [1278] = 1273,
  [1279] = 1277,
  [1280] = 1269,
  [1281] = 1273,
  [1282] = 1273,
  [1283] = 1273,
  [1284] = 1269,
  [1285] = 1269,
  [1286] = 1277,
  [1287] = 1277,
  [1288] = 1269,
  [1289] = 1289,
  [1290] = 1289,
  [1291] = 1291,
  [1292] = 1289,
  [1293] = 1293,
  [1294] = 1289,
  [1295] = 1291,
  [1296] = 1291,
  [1297] = 1289,
  [1298] = 1289,
  [1299] = 1268,
  [1300] = 1289,
  [1301] = 1291,
  [1302] = 1289,
  [1303] = 1289,
  [1304] = 1277,
  [1305] = 1289,
  [1306] = 1291,
  [1307] = 1289,
  [1308] = 1308,
  [1309] = 1291,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1320,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1322,
  [1324] = 1315,
  [1325] = 1315,
  [1326] = 1322,
  [1327] = 1311,
  [1328] = 1310,
  [1329] = 1329,
  [1330] = 1310,
  [1331] = 1329,
  [1332] = 1311,
  [1333] = 1329,
  [1334] = 1310,
  [1335] = 1315,
  [1336] = 1336,
  [1337] = 1329,
  [1338] = 1310,
  [1339] = 1322,
  [1340] = 1340,
  [1341] = 1322,
  [1342] = 1315,
  [1343] = 1315,
  [1344] = 1315,
  [1345] = 1322,
  [1346] = 1329,
  [1347] = 1310,
  [1348] = 1315,
  [1349] = 1315,
  [1350] = 1322,
  [1351] = 1310,
  [1352] = 1329,
  [1353] = 1353,
  [1354] = 1310,
  [1355] = 1310,
  [1356] = 1329,
  [1357] = 1329,
  [1358] = 1358,
  [1359] = 1322,
  [1360] = 1329,
  [1361] = 1310,
  [1362] = 1310,
  [1363] = 1315,
  [1364] = 1322,
  [1365] = 1329,
  [1366] = 1315,
  [1367] = 1310,
  [1368] = 1368,
  [1369] = 1322,
  [1370] = 1329,
  [1371] = 1322,
  [1372] = 1322,
  [1373] = 1315,
  [1374] = 1374,
  [1375] = 1374,
  [1376] = 1374,
  [1377] = 1329,
  [1378] = 1374,
  [1379] = 1315,
  [1380] = 1310,
  [1381] = 1315,
  [1382] = 1322,
  [1383] = 1329,
  [1384] = 1322,
  [1385] = 1322,
  [1386] = 1311,
  [1387] = 1329,
  [1388] = 1388,
  [1389] = 1315,
  [1390] = 1310,
  [1391] = 1310,
  [1392] = 1329,
  [1393] = 1393,
  [1394] = 1393,
  [1395] = 1395,
  [1396] = 1393,
  [1397] = 1395,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1393,
  [1405] = 1393,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1395,
  [1409] = 1393,
  [1410] = 1410,
  [1411] = 1393,
  [1412] = 1393,
  [1413] = 1393,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1393,
  [1417] = 1395,
  [1418] = 1393,
  [1419] = 1395,
  [1420] = 1420,
  [1421] = 1395,
  [1422] = 1393,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1395,
  [1426] = 1393,
  [1427] = 1393,
  [1428] = 1428,
  [1429] = 1395,
  [1430] = 1393,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1437,
  [1439] = 1439,
  [1440] = 1437,
  [1441] = 1437,
  [1442] = 1437,
  [1443] = 1439,
  [1444] = 1444,
  [1445] = 1437,
  [1446] = 1437,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 1437,
  [1450] = 1437,
  [1451] = 1451,
  [1452] = 1437,
  [1453] = 1453,
  [1454] = 1437,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1456,
  [1461] = 1456,
  [1462] = 1458,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1465,
  [1467] = 1434,
  [1468] = 1456,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1463,
  [1473] = 1456,
  [1474] = 1457,
  [1475] = 1475,
  [1476] = 1475,
  [1477] = 1477,
  [1478] = 1458,
  [1479] = 1458,
  [1480] = 1434,
  [1481] = 1481,
  [1482] = 1465,
  [1483] = 1483,
  [1484] = 1456,
  [1485] = 1465,
  [1486] = 1486,
  [1487] = 1434,
  [1488] = 1456,
  [1489] = 1458,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1475,
  [1493] = 1463,
  [1494] = 1494,
  [1495] = 1457,
  [1496] = 1458,
  [1497] = 1490,
  [1498] = 1463,
  [1499] = 1483,
  [1500] = 1458,
  [1501] = 1501,
  [1502] = 1456,
  [1503] = 1458,
  [1504] = 1481,
  [1505] = 1486,
  [1506] = 1465,
  [1507] = 1434,
  [1508] = 1456,
  [1509] = 1444,
  [1510] = 1510,
  [1511] = 1457,
  [1512] = 1464,
  [1513] = 1456,
  [1514] = 1453,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1451,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1470,
  [1522] = 1456,
  [1523] = 1458,
  [1524] = 1475,
  [1525] = 1463,
  [1526] = 1510,
  [1527] = 1457,
  [1528] = 1447,
  [1529] = 1529,
  [1530] = 1456,
  [1531] = 1435,
  [1532] = 1458,
  [1533] = 1458,
  [1534] = 1458,
  [1535] = 1437,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1458,
  [1539] = 1515,
  [1540] = 1477,
  [1541] = 1520,
  [1542] = 1458,
  [1543] = 1491,
  [1544] = 1517,
  [1545] = 1465,
  [1546] = 1456,
  [1547] = 1434,
  [1548] = 1456,
  [1549] = 1516,
  [1550] = 1455,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1552,
  [1554] = 1436,
  [1555] = 1456,
  [1556] = 1551,
  [1557] = 1448,
  [1558] = 1459,
  [1559] = 1458,
  [1560] = 1536,
  [1561] = 1494,
  [1562] = 1529,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1568,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1571,
  [1576] = 1566,
  [1577] = 1567,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1568,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 1568,
  [1585] = 1585,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1588,
  [1589] = 1565,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1566,
  [1593] = 1586,
  [1594] = 1564,
  [1595] = 1595,
  [1596] = 1579,
  [1597] = 1597,
  [1598] = 1597,
  [1599] = 1599,
  [1600] = 1595,
  [1601] = 1578,
  [1602] = 1581,
  [1603] = 1603,
  [1604] = 1585,
  [1605] = 1605,
  [1606] = 1586,
  [1607] = 1582,
  [1608] = 1572,
  [1609] = 1565,
  [1610] = 1582,
  [1611] = 1611,
  [1612] = 1599,
  [1613] = 1565,
  [1614] = 1586,
  [1615] = 1585,
  [1616] = 1581,
  [1617] = 1617,
  [1618] = 1599,
  [1619] = 1619,
  [1620] = 1597,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1623,
  [1624] = 1571,
  [1625] = 1583,
  [1626] = 1565,
  [1627] = 1619,
  [1628] = 1586,
  [1629] = 1623,
  [1630] = 1585,
  [1631] = 1579,
  [1632] = 1567,
  [1633] = 1581,
  [1634] = 1619,
  [1635] = 1622,
  [1636] = 1636,
  [1637] = 1579,
  [1638] = 1638,
  [1639] = 1567,
  [1640] = 1582,
  [1641] = 1566,
  [1642] = 1568,
  [1643] = 1619,
  [1644] = 1622,
  [1645] = 1566,
  [1646] = 1573,
  [1647] = 1647,
  [1648] = 1573,
  [1649] = 1568,
  [1650] = 1578,
  [1651] = 1565,
  [1652] = 1586,
  [1653] = 1585,
  [1654] = 1571,
  [1655] = 1619,
  [1656] = 1583,
  [1657] = 1617,
  [1658] = 1583,
  [1659] = 1581,
  [1660] = 1579,
  [1661] = 1564,
  [1662] = 1587,
  [1663] = 1566,
  [1664] = 1568,
  [1665] = 1583,
  [1666] = 1574,
  [1667] = 1638,
  [1668] = 1574,
  [1669] = 1573,
  [1670] = 1567,
  [1671] = 1583,
  [1672] = 1568,
  [1673] = 1566,
  [1674] = 1567,
  [1675] = 1622,
  [1676] = 1579,
  [1677] = 1581,
  [1678] = 1585,
  [1679] = 1586,
  [1680] = 1565,
  [1681] = 1567,
  [1682] = 1638,
  [1683] = 1611,
  [1684] = 1573,
  [1685] = 1685,
  [1686] = 1603,
  [1687] = 1574,
  [1688] = 1688,
  [1689] = 1578,
  [1690] = 1603,
  [1691] = 1582,
  [1692] = 1611,
  [1693] = 1567,
  [1694] = 1571,
  [1695] = 1573,
  [1696] = 1573,
  [1697] = 1574,
  [1698] = 1698,
  [1699] = 1567,
  [1700] = 1700,
  [1701] = 1574,
  [1702] = 1622,
  [1703] = 1611,
  [1704] = 1704,
  [1705] = 1578,
  [1706] = 1688,
  [1707] = 1603,
  [1708] = 1583,
  [1709] = 1568,
  [1710] = 1587,
  [1711] = 1688,
  [1712] = 1572,
  [1713] = 1574,
  [1714] = 1619,
  [1715] = 1603,
  [1716] = 1611,
  [1717] = 1638,
  [1718] = 1573,
  [1719] = 1574,
  [1720] = 1622,
  [1721] = 1578,
  [1722] = 1582,
  [1723] = 1574,
  [1724] = 1638,
  [1725] = 1587,
  [1726] = 1566,
  [1727] = 1588,
  [1728] = 1564,
  [1729] = 1582,
  [1730] = 1597,
  [1731] = 1595,
  [1732] = 1571,
  [1733] = 1617,
  [1734] = 1566,
  [1735] = 1591,
  [1736] = 1647,
  [1737] = 1599,
  [1738] = 1588,
  [1739] = 1611,
  [1740] = 1603,
  [1741] = 1572,
  [1742] = 1579,
  [1743] = 1743,
  [1744] = 1587,
  [1745] = 1688,
  [1746] = 1622,
  [1747] = 1581,
  [1748] = 1588,
  [1749] = 1588,
  [1750] = 1571,
  [1751] = 1751,
  [1752] = 1688,
  [1753] = 1753,
  [1754] = 1617,
  [1755] = 1619,
  [1756] = 1688,
  [1757] = 1585,
  [1758] = 1579,
  [1759] = 1586,
  [1760] = 1590,
  [1761] = 1565,
  [1762] = 1564,
  [1763] = 1638,
  [1764] = 1764,
  [1765] = 1688,
  [1766] = 1586,
  [1767] = 1582,
  [1768] = 1571,
  [1769] = 1597,
  [1770] = 1595,
  [1771] = 1617,
  [1772] = 1751,
  [1773] = 1581,
  [1774] = 1587,
  [1775] = 1611,
  [1776] = 1638,
  [1777] = 1603,
  [1778] = 1588,
  [1779] = 1582,
  [1780] = 1578,
  [1781] = 1588,
  [1782] = 1578,
  [1783] = 1571,
  [1784] = 1582,
  [1785] = 1565,
  [1786] = 1599,
  [1787] = 1565,
  [1788] = 1564,
  [1789] = 1585,
  [1790] = 1638,
  [1791] = 1581,
  [1792] = 1579,
  [1793] = 1597,
  [1794] = 1586,
  [1795] = 1574,
  [1796] = 1573,
  [1797] = 1567,
  [1798] = 1638,
  [1799] = 1566,
  [1800] = 1586,
  [1801] = 1585,
  [1802] = 1581,
  [1803] = 1579,
  [1804] = 1566,
  [1805] = 1568,
  [1806] = 1583,
  [1807] = 1567,
  [1808] = 1573,
  [1809] = 1574,
  [1810] = 1564,
  [1811] = 1704,
  [1812] = 1685,
  [1813] = 1813,
  [1814] = 1578,
  [1815] = 1581,
  [1816] = 1568,
  [1817] = 1586,
  [1818] = 1590,
  [1819] = 1583,
  [1820] = 1585,
  [1821] = 1638,
  [1822] = 1822,
  [1823] = 1597,
  [1824] = 1573,
  [1825] = 1595,
  [1826] = 1568,
  [1827] = 1617,
  [1828] = 1590,
  [1829] = 1566,
  [1830] = 1622,
  [1831] = 1619,
  [1832] = 1579,
  [1833] = 1581,
  [1834] = 1590,
  [1835] = 1578,
  [1836] = 1585,
  [1837] = 1565,
  [1838] = 1571,
  [1839] = 1578,
  [1840] = 1587,
  [1841] = 1638,
  [1842] = 1622,
  [1843] = 1571,
  [1844] = 1573,
  [1845] = 1567,
  [1846] = 1846,
  [1847] = 1583,
  [1848] = 1603,
  [1849] = 1582,
  [1850] = 1578,
  [1851] = 1638,
  [1852] = 1583,
  [1853] = 1568,
  [1854] = 1603,
  [1855] = 1566,
  [1856] = 1579,
  [1857] = 1581,
  [1858] = 1574,
  [1859] = 1585,
  [1860] = 1595,
  [1861] = 1586,
  [1862] = 1565,
  [1863] = 1588,
  [1864] = 1583,
  [1865] = 1611,
  [1866] = 1582,
  [1867] = 1572,
  [1868] = 1565,
  [1869] = 1869,
  [1870] = 1870,
  [1871] = 1638,
  [1872] = 1578,
  [1873] = 1622,
  [1874] = 1617,
  [1875] = 1622,
  [1876] = 1603,
  [1877] = 1564,
  [1878] = 1619,
  [1879] = 1751,
  [1880] = 1611,
  [1881] = 1611,
  [1882] = 1590,
  [1883] = 1599,
  [1884] = 1638,
  [1885] = 1579,
  [1886] = 1597,
  [1887] = 1595,
  [1888] = 1574,
  [1889] = 1574,
  [1890] = 1617,
  [1891] = 1611,
  [1892] = 1587,
  [1893] = 1582,
  [1894] = 1590,
  [1895] = 1638,
  [1896] = 1603,
  [1897] = 1588,
  [1898] = 1564,
  [1899] = 1595,
  [1900] = 1578,
  [1901] = 1611,
  [1902] = 1622,
  [1903] = 1603,
  [1904] = 1583,
  [1905] = 1568,
  [1906] = 1611,
  [1907] = 1585,
  [1908] = 1572,
  [1909] = 1595,
  [1910] = 1582,
  [1911] = 1571,
  [1912] = 1573,
  [1913] = 1622,
  [1914] = 1585,
  [1915] = 1567,
  [1916] = 1583,
  [1917] = 1565,
  [1918] = 1622,
  [1919] = 1574,
  [1920] = 1688,
  [1921] = 1571,
  [1922] = 1566,
  [1923] = 1579,
  [1924] = 1586,
  [1925] = 1571,
  [1926] = 1582,
  [1927] = 1623,
  [1928] = 1578,
  [1929] = 1565,
  [1930] = 1603,
  [1931] = 1586,
  [1932] = 1611,
  [1933] = 1585,
  [1934] = 1581,
  [1935] = 1579,
  [1936] = 1566,
  [1937] = 1568,
  [1938] = 1583,
  [1939] = 1567,
  [1940] = 1573,
  [1941] = 1603,
  [1942] = 1603,
  [1943] = 1587,
  [1944] = 1571,
  [1945] = 1581,
  [1946] = 1611,
  [1947] = 1573,
  [1948] = 1567,
  [1949] = 1622,
  [1950] = 1950,
  [1951] = 1950,
  [1952] = 1950,
  [1953] = 1950,
  [1954] = 1950,
  [1955] = 455,
  [1956] = 1956,
  [1957] = 373,
  [1958] = 1958,
  [1959] = 1959,
  [1960] = 1959,
  [1961] = 1961,
  [1962] = 1962,
  [1963] = 1963,
  [1964] = 1964,
  [1965] = 1965,
  [1966] = 1959,
  [1967] = 1958,
  [1968] = 1968,
  [1969] = 1969,
  [1970] = 1963,
  [1971] = 1964,
  [1972] = 1959,
  [1973] = 1973,
  [1974] = 1973,
  [1975] = 1973,
  [1976] = 1961,
  [1977] = 1962,
  [1978] = 1968,
  [1979] = 1969,
  [1980] = 1980,
  [1981] = 1965,
  [1982] = 1973,
  [1983] = 1268,
  [1984] = 1268,
  [1985] = 1961,
  [1986] = 1964,
  [1987] = 1973,
  [1988] = 1969,
  [1989] = 1965,
  [1990] = 1963,
  [1991] = 1962,
  [1992] = 1968,
  [1993] = 1993,
  [1994] = 1993,
  [1995] = 1993,
  [1996] = 1993,
  [1997] = 1993,
  [1998] = 1998,
  [1999] = 1998,
  [2000] = 1998,
  [2001] = 1964,
  [2002] = 1998,
  [2003] = 1998,
  [2004] = 1998,
  [2005] = 1998,
  [2006] = 1998,
  [2007] = 1969,
  [2008] = 1968,
  [2009] = 1998,
  [2010] = 1962,
  [2011] = 1961,
  [2012] = 1963,
  [2013] = 1965,
  [2014] = 2014,
  [2015] = 2015,
  [2016] = 2015,
  [2017] = 2017,
  [2018] = 2018,
  [2019] = 2019,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 2022,
  [2023] = 2023,
  [2024] = 2024,
  [2025] = 2025,
  [2026] = 2026,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 2029,
  [2030] = 2030,
  [2031] = 2031,
  [2032] = 2032,
  [2033] = 2033,
  [2034] = 2034,
  [2035] = 2035,
  [2036] = 2033,
  [2037] = 2037,
  [2038] = 2033,
  [2039] = 2033,
  [2040] = 2033,
  [2041] = 2041,
  [2042] = 2042,
  [2043] = 2043,
  [2044] = 2044,
  [2045] = 2045,
  [2046] = 2046,
  [2047] = 1973,
  [2048] = 263,
  [2049] = 264,
  [2050] = 2050,
  [2051] = 261,
  [2052] = 1973,
  [2053] = 262,
  [2054] = 1973,
  [2055] = 154,
  [2056] = 281,
  [2057] = 1961,
  [2058] = 1968,
  [2059] = 1962,
  [2060] = 2045,
  [2061] = 1964,
  [2062] = 1965,
  [2063] = 155,
  [2064] = 281,
  [2065] = 1963,
  [2066] = 1969,
  [2067] = 1965,
  [2068] = 2068,
  [2069] = 2069,
  [2070] = 1968,
  [2071] = 262,
  [2072] = 1964,
  [2073] = 261,
  [2074] = 422,
  [2075] = 2075,
  [2076] = 264,
  [2077] = 435,
  [2078] = 415,
  [2079] = 412,
  [2080] = 263,
  [2081] = 1963,
  [2082] = 2082,
  [2083] = 1961,
  [2084] = 271,
  [2085] = 1969,
  [2086] = 2086,
  [2087] = 1962,
  [2088] = 2088,
  [2089] = 2089,
  [2090] = 371,
  [2091] = 2091,
  [2092] = 419,
  [2093] = 2093,
  [2094] = 1068,
  [2095] = 410,
  [2096] = 425,
  [2097] = 2097,
  [2098] = 2098,
  [2099] = 381,
  [2100] = 452,
  [2101] = 450,
  [2102] = 285,
  [2103] = 375,
  [2104] = 398,
  [2105] = 281,
  [2106] = 437,
  [2107] = 297,
  [2108] = 433,
  [2109] = 2109,
  [2110] = 429,
  [2111] = 2097,
  [2112] = 428,
  [2113] = 424,
  [2114] = 423,
  [2115] = 383,
  [2116] = 384,
  [2117] = 1036,
  [2118] = 416,
  [2119] = 413,
  [2120] = 997,
  [2121] = 394,
  [2122] = 2097,
  [2123] = 2091,
  [2124] = 418,
  [2125] = 421,
  [2126] = 2126,
  [2127] = 2127,
  [2128] = 2128,
  [2129] = 2097,
  [2130] = 1003,
  [2131] = 2131,
  [2132] = 377,
  [2133] = 444,
  [2134] = 281,
  [2135] = 2135,
  [2136] = 2136,
  [2137] = 2097,
  [2138] = 2091,
  [2139] = 1969,
  [2140] = 2140,
  [2141] = 2141,
  [2142] = 2142,
  [2143] = 2143,
  [2144] = 2097,
  [2145] = 2145,
  [2146] = 379,
  [2147] = 420,
  [2148] = 396,
  [2149] = 2109,
  [2150] = 2109,
  [2151] = 456,
  [2152] = 2152,
  [2153] = 369,
  [2154] = 374,
  [2155] = 2155,
  [2156] = 2156,
  [2157] = 2157,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 2163,
  [2164] = 2164,
  [2165] = 2097,
  [2166] = 2166,
  [2167] = 2097,
  [2168] = 2168,
  [2169] = 2169,
  [2170] = 2170,
  [2171] = 286,
  [2172] = 1962,
  [2173] = 2173,
  [2174] = 154,
  [2175] = 295,
  [2176] = 293,
  [2177] = 2177,
  [2178] = 290,
  [2179] = 2091,
  [2180] = 426,
  [2181] = 2109,
  [2182] = 155,
  [2183] = 1965,
  [2184] = 2184,
  [2185] = 2109,
  [2186] = 2186,
  [2187] = 451,
  [2188] = 409,
  [2189] = 2189,
  [2190] = 2190,
  [2191] = 2097,
  [2192] = 2192,
  [2193] = 2193,
  [2194] = 2194,
  [2195] = 2091,
  [2196] = 2196,
  [2197] = 432,
  [2198] = 299,
  [2199] = 2109,
  [2200] = 2109,
  [2201] = 1968,
  [2202] = 2202,
  [2203] = 298,
  [2204] = 2034,
  [2205] = 1964,
  [2206] = 373,
  [2207] = 2207,
  [2208] = 1973,
  [2209] = 2109,
  [2210] = 2109,
  [2211] = 455,
  [2212] = 1963,
  [2213] = 2213,
  [2214] = 1961,
  [2215] = 386,
  [2216] = 2216,
  [2217] = 2217,
  [2218] = 1959,
  [2219] = 261,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 2222,
  [2223] = 2223,
  [2224] = 2224,
  [2225] = 2225,
  [2226] = 2226,
  [2227] = 2227,
  [2228] = 2228,
  [2229] = 2229,
  [2230] = 263,
  [2231] = 2231,
  [2232] = 271,
  [2233] = 2222,
  [2234] = 2234,
  [2235] = 2235,
  [2236] = 422,
  [2237] = 435,
  [2238] = 2238,
  [2239] = 2239,
  [2240] = 264,
  [2241] = 2222,
  [2242] = 2222,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 262,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 2247,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 412,
  [2252] = 2252,
  [2253] = 262,
  [2254] = 2254,
  [2255] = 264,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2259,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 1959,
  [2265] = 2265,
  [2266] = 2266,
  [2267] = 2267,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 415,
  [2271] = 263,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 2275,
  [2276] = 2276,
  [2277] = 2277,
  [2278] = 261,
  [2279] = 2279,
  [2280] = 421,
  [2281] = 451,
  [2282] = 437,
  [2283] = 383,
  [2284] = 384,
  [2285] = 2285,
  [2286] = 413,
  [2287] = 394,
  [2288] = 2143,
  [2289] = 2145,
  [2290] = 433,
  [2291] = 2152,
  [2292] = 2089,
  [2293] = 2034,
  [2294] = 444,
  [2295] = 429,
  [2296] = 428,
  [2297] = 154,
  [2298] = 2088,
  [2299] = 2155,
  [2300] = 2156,
  [2301] = 424,
  [2302] = 423,
  [2303] = 2303,
  [2304] = 2304,
  [2305] = 155,
  [2306] = 375,
  [2307] = 2173,
  [2308] = 281,
  [2309] = 432,
  [2310] = 1036,
  [2311] = 285,
  [2312] = 2034,
  [2313] = 2158,
  [2314] = 2196,
  [2315] = 386,
  [2316] = 416,
  [2317] = 997,
  [2318] = 2246,
  [2319] = 1973,
  [2320] = 2193,
  [2321] = 410,
  [2322] = 281,
  [2323] = 281,
  [2324] = 377,
  [2325] = 379,
  [2326] = 2192,
  [2327] = 418,
  [2328] = 2190,
  [2329] = 2329,
  [2330] = 455,
  [2331] = 1003,
  [2332] = 374,
  [2333] = 398,
  [2334] = 456,
  [2335] = 154,
  [2336] = 155,
  [2337] = 2337,
  [2338] = 2166,
  [2339] = 299,
  [2340] = 298,
  [2341] = 2341,
  [2342] = 2168,
  [2343] = 2343,
  [2344] = 2164,
  [2345] = 2189,
  [2346] = 2186,
  [2347] = 2163,
  [2348] = 2126,
  [2349] = 2162,
  [2350] = 2161,
  [2351] = 2160,
  [2352] = 2159,
  [2353] = 2184,
  [2354] = 286,
  [2355] = 373,
  [2356] = 2173,
  [2357] = 2127,
  [2358] = 290,
  [2359] = 293,
  [2360] = 295,
  [2361] = 2157,
  [2362] = 2170,
  [2363] = 450,
  [2364] = 452,
  [2365] = 381,
  [2366] = 2135,
  [2367] = 2216,
  [2368] = 369,
  [2369] = 2169,
  [2370] = 371,
  [2371] = 281,
  [2372] = 2136,
  [2373] = 425,
  [2374] = 426,
  [2375] = 1068,
  [2376] = 420,
  [2377] = 419,
  [2378] = 297,
  [2379] = 409,
  [2380] = 2380,
  [2381] = 2202,
  [2382] = 2140,
  [2383] = 396,
  [2384] = 2141,
  [2385] = 2142,
  [2386] = 1959,
  [2387] = 435,
  [2388] = 1965,
  [2389] = 412,
  [2390] = 435,
  [2391] = 2391,
  [2392] = 2392,
  [2393] = 2303,
  [2394] = 422,
  [2395] = 415,
  [2396] = 415,
  [2397] = 2223,
  [2398] = 2337,
  [2399] = 2399,
  [2400] = 2399,
  [2401] = 2401,
  [2402] = 2223,
  [2403] = 412,
  [2404] = 2304,
  [2405] = 2014,
  [2406] = 271,
  [2407] = 1964,
  [2408] = 1973,
  [2409] = 2401,
  [2410] = 2177,
  [2411] = 2041,
  [2412] = 1961,
  [2413] = 1963,
  [2414] = 2213,
  [2415] = 2207,
  [2416] = 271,
  [2417] = 2329,
  [2418] = 2043,
  [2419] = 2194,
  [2420] = 2399,
  [2421] = 1962,
  [2422] = 2046,
  [2423] = 2014,
  [2424] = 422,
  [2425] = 2034,
  [2426] = 1969,
  [2427] = 1968,
  [2428] = 2127,
  [2429] = 418,
  [2430] = 369,
  [2431] = 2303,
  [2432] = 371,
  [2433] = 444,
  [2434] = 2162,
  [2435] = 2225,
  [2436] = 398,
  [2437] = 375,
  [2438] = 2161,
  [2439] = 285,
  [2440] = 2440,
  [2441] = 2160,
  [2442] = 2159,
  [2443] = 2196,
  [2444] = 2444,
  [2445] = 421,
  [2446] = 420,
  [2447] = 2193,
  [2448] = 2192,
  [2449] = 2391,
  [2450] = 419,
  [2451] = 396,
  [2452] = 2190,
  [2453] = 2189,
  [2454] = 2186,
  [2455] = 2391,
  [2456] = 409,
  [2457] = 2184,
  [2458] = 377,
  [2459] = 2173,
  [2460] = 2157,
  [2461] = 2461,
  [2462] = 1068,
  [2463] = 426,
  [2464] = 2141,
  [2465] = 425,
  [2466] = 297,
  [2467] = 381,
  [2468] = 295,
  [2469] = 452,
  [2470] = 2041,
  [2471] = 450,
  [2472] = 2391,
  [2473] = 285,
  [2474] = 295,
  [2475] = 2244,
  [2476] = 293,
  [2477] = 290,
  [2478] = 2478,
  [2479] = 2135,
  [2480] = 2216,
  [2481] = 299,
  [2482] = 298,
  [2483] = 437,
  [2484] = 433,
  [2485] = 290,
  [2486] = 293,
  [2487] = 299,
  [2488] = 424,
  [2489] = 423,
  [2490] = 2046,
  [2491] = 297,
  [2492] = 1036,
  [2493] = 416,
  [2494] = 386,
  [2495] = 2135,
  [2496] = 2304,
  [2497] = 997,
  [2498] = 384,
  [2499] = 410,
  [2500] = 432,
  [2501] = 2216,
  [2502] = 371,
  [2503] = 2034,
  [2504] = 369,
  [2505] = 2126,
  [2506] = 455,
  [2507] = 2170,
  [2508] = 2202,
  [2509] = 2140,
  [2510] = 2157,
  [2511] = 2159,
  [2512] = 2160,
  [2513] = 2161,
  [2514] = 2162,
  [2515] = 2163,
  [2516] = 2164,
  [2517] = 298,
  [2518] = 2192,
  [2519] = 2034,
  [2520] = 2043,
  [2521] = 2391,
  [2522] = 2440,
  [2523] = 373,
  [2524] = 451,
  [2525] = 383,
  [2526] = 428,
  [2527] = 429,
  [2528] = 2034,
  [2529] = 2391,
  [2530] = 2391,
  [2531] = 1003,
  [2532] = 374,
  [2533] = 286,
  [2534] = 2196,
  [2535] = 2193,
  [2536] = 2142,
  [2537] = 413,
  [2538] = 2190,
  [2539] = 2126,
  [2540] = 2127,
  [2541] = 2189,
  [2542] = 2186,
  [2543] = 2184,
  [2544] = 455,
  [2545] = 444,
  [2546] = 2136,
  [2547] = 2169,
  [2548] = 2168,
  [2549] = 394,
  [2550] = 2043,
  [2551] = 373,
  [2552] = 394,
  [2553] = 413,
  [2554] = 384,
  [2555] = 383,
  [2556] = 2166,
  [2557] = 398,
  [2558] = 375,
  [2559] = 2158,
  [2560] = 2156,
  [2561] = 2170,
  [2562] = 2202,
  [2563] = 2140,
  [2564] = 2141,
  [2565] = 2142,
  [2566] = 2143,
  [2567] = 2046,
  [2568] = 2155,
  [2569] = 396,
  [2570] = 409,
  [2571] = 2145,
  [2572] = 419,
  [2573] = 420,
  [2574] = 1068,
  [2575] = 286,
  [2576] = 2163,
  [2577] = 2164,
  [2578] = 426,
  [2579] = 425,
  [2580] = 381,
  [2581] = 452,
  [2582] = 450,
  [2583] = 2088,
  [2584] = 386,
  [2585] = 2034,
  [2586] = 432,
  [2587] = 2041,
  [2588] = 2089,
  [2589] = 437,
  [2590] = 433,
  [2591] = 429,
  [2592] = 428,
  [2593] = 424,
  [2594] = 423,
  [2595] = 1036,
  [2596] = 416,
  [2597] = 997,
  [2598] = 379,
  [2599] = 410,
  [2600] = 2152,
  [2601] = 2089,
  [2602] = 2602,
  [2603] = 2088,
  [2604] = 377,
  [2605] = 2155,
  [2606] = 2156,
  [2607] = 379,
  [2608] = 2158,
  [2609] = 2166,
  [2610] = 418,
  [2611] = 421,
  [2612] = 1003,
  [2613] = 2173,
  [2614] = 2168,
  [2615] = 374,
  [2616] = 2169,
  [2617] = 2136,
  [2618] = 451,
  [2619] = 456,
  [2620] = 2152,
  [2621] = 456,
  [2622] = 2145,
  [2623] = 2143,
  [2624] = 2034,
  [2625] = 2034,
  [2626] = 2086,
  [2627] = 2627,
  [2628] = 1969,
  [2629] = 2045,
  [2630] = 1965,
  [2631] = 1964,
  [2632] = 2632,
  [2633] = 2633,
  [2634] = 2634,
  [2635] = 2635,
  [2636] = 2223,
  [2637] = 155,
  [2638] = 1961,
  [2639] = 2045,
  [2640] = 1963,
  [2641] = 2131,
  [2642] = 1968,
  [2643] = 1962,
  [2644] = 2644,
  [2645] = 2082,
  [2646] = 2646,
  [2647] = 2043,
  [2648] = 154,
  [2649] = 2075,
  [2650] = 2223,
  [2651] = 2034,
  [2652] = 2652,
  [2653] = 2194,
  [2654] = 2225,
  [2655] = 2655,
  [2656] = 2069,
  [2657] = 2657,
  [2658] = 2658,
  [2659] = 2659,
  [2660] = 2660,
  [2661] = 2661,
  [2662] = 2662,
  [2663] = 2207,
  [2664] = 2664,
  [2665] = 2046,
  [2666] = 2666,
  [2667] = 2667,
  [2668] = 2041,
  [2669] = 2669,
  [2670] = 2670,
  [2671] = 2217,
  [2672] = 2672,
  [2673] = 2673,
  [2674] = 2674,
  [2675] = 2602,
  [2676] = 2676,
  [2677] = 2177,
  [2678] = 2644,
  [2679] = 2679,
  [2680] = 2680,
  [2681] = 2681,
  [2682] = 2098,
  [2683] = 2213,
  [2684] = 2173,
  [2685] = 2234,
  [2686] = 2082,
  [2687] = 2274,
  [2688] = 2260,
  [2689] = 2689,
  [2690] = 2173,
  [2691] = 2277,
  [2692] = 2692,
  [2693] = 2262,
  [2694] = 2265,
  [2695] = 2267,
  [2696] = 2696,
  [2697] = 2697,
  [2698] = 2698,
  [2699] = 2303,
  [2700] = 2243,
  [2701] = 2461,
  [2702] = 2702,
  [2703] = 2272,
  [2704] = 2657,
  [2705] = 2705,
  [2706] = 2239,
  [2707] = 2235,
  [2708] = 2279,
  [2709] = 2709,
  [2710] = 2710,
  [2711] = 2602,
  [2712] = 2680,
  [2713] = 2231,
  [2714] = 2229,
  [2715] = 2244,
  [2716] = 2679,
  [2717] = 2717,
  [2718] = 2718,
  [2719] = 2045,
  [2720] = 2238,
  [2721] = 2257,
  [2722] = 2228,
  [2723] = 2227,
  [2724] = 2304,
  [2725] = 2249,
  [2726] = 2261,
  [2727] = 2226,
  [2728] = 2256,
  [2729] = 2269,
  [2730] = 2662,
  [2731] = 2660,
  [2732] = 2224,
  [2733] = 2221,
  [2734] = 2275,
  [2735] = 2263,
  [2736] = 2254,
  [2737] = 2250,
  [2738] = 2276,
  [2739] = 2739,
  [2740] = 2220,
  [2741] = 2223,
  [2742] = 2273,
  [2743] = 2266,
  [2744] = 2086,
  [2745] = 2268,
  [2746] = 2746,
  [2747] = 2069,
  [2748] = 2304,
  [2749] = 2659,
  [2750] = 2252,
  [2751] = 2075,
  [2752] = 2752,
  [2753] = 2753,
  [2754] = 2034,
  [2755] = 2755,
  [2756] = 2259,
  [2757] = 2258,
  [2758] = 2758,
  [2759] = 2652,
  [2760] = 2303,
  [2761] = 2128,
  [2762] = 1959,
  [2763] = 2045,
  [2764] = 2128,
  [2765] = 2082,
  [2766] = 2662,
  [2767] = 2767,
  [2768] = 1973,
  [2769] = 2082,
  [2770] = 2770,
  [2771] = 2304,
  [2772] = 2679,
  [2773] = 2075,
  [2774] = 2086,
  [2775] = 2775,
  [2776] = 2776,
  [2777] = 2777,
  [2778] = 2644,
  [2779] = 2779,
  [2780] = 2680,
  [2781] = 2781,
  [2782] = 2086,
  [2783] = 2660,
  [2784] = 2223,
  [2785] = 2659,
  [2786] = 2652,
  [2787] = 2043,
  [2788] = 2041,
  [2789] = 2069,
  [2790] = 2681,
  [2791] = 2303,
  [2792] = 2046,
  [2793] = 2681,
  [2794] = 2794,
  [2795] = 2045,
  [2796] = 2657,
  [2797] = 2075,
  [2798] = 2069,
  [2799] = 2799,
  [2800] = 2246,
  [2801] = 2801,
  [2802] = 2082,
  [2803] = 2803,
  [2804] = 2075,
  [2805] = 2805,
  [2806] = 2806,
  [2807] = 2069,
  [2808] = 2808,
  [2809] = 2086,
  [2810] = 2652,
  [2811] = 1095,
  [2812] = 2082,
  [2813] = 2659,
  [2814] = 2075,
  [2815] = 2815,
  [2816] = 2816,
  [2817] = 2478,
  [2818] = 2337,
  [2819] = 2752,
  [2820] = 2820,
  [2821] = 2657,
  [2822] = 2822,
  [2823] = 2823,
  [2824] = 2824,
  [2825] = 2602,
  [2826] = 2082,
  [2827] = 2827,
  [2828] = 2444,
  [2829] = 2173,
  [2830] = 2830,
  [2831] = 2831,
  [2832] = 2832,
  [2833] = 2833,
  [2834] = 2834,
  [2835] = 2128,
  [2836] = 2752,
  [2837] = 2075,
  [2838] = 2069,
  [2839] = 2069,
  [2840] = 2840,
  [2841] = 2841,
  [2842] = 2680,
  [2843] = 2679,
  [2844] = 2844,
  [2845] = 2086,
  [2846] = 2045,
  [2847] = 2662,
  [2848] = 2086,
  [2849] = 1096,
  [2850] = 2329,
  [2851] = 2660,
  [2852] = 155,
  [2853] = 2661,
  [2854] = 2213,
  [2855] = 2855,
  [2856] = 2856,
  [2857] = 2857,
  [2858] = 2664,
  [2859] = 2859,
  [2860] = 2667,
  [2861] = 2861,
  [2862] = 2862,
  [2863] = 2863,
  [2864] = 2864,
  [2865] = 2865,
  [2866] = 2866,
  [2867] = 2025,
  [2868] = 2868,
  [2869] = 2670,
  [2870] = 2086,
  [2871] = 2775,
  [2872] = 2872,
  [2873] = 2177,
  [2874] = 2874,
  [2875] = 2875,
  [2876] = 2022,
  [2877] = 2662,
  [2878] = 2878,
  [2879] = 2879,
  [2880] = 2673,
  [2881] = 2032,
  [2882] = 2031,
  [2883] = 2021,
  [2884] = 2329,
  [2885] = 2207,
  [2886] = 2886,
  [2887] = 2887,
  [2888] = 2069,
  [2889] = 2889,
  [2890] = 2019,
  [2891] = 2627,
  [2892] = 2017,
  [2893] = 1968,
  [2894] = 2770,
  [2895] = 1962,
  [2896] = 2194,
  [2897] = 2897,
  [2898] = 2660,
  [2899] = 2128,
  [2900] = 2659,
  [2901] = 1963,
  [2902] = 2652,
  [2903] = 2770,
  [2904] = 1961,
  [2905] = 2674,
  [2906] = 2082,
  [2907] = 2907,
  [2908] = 2666,
  [2909] = 2909,
  [2910] = 1964,
  [2911] = 2911,
  [2912] = 2912,
  [2913] = 2128,
  [2914] = 2075,
  [2915] = 154,
  [2916] = 2916,
  [2917] = 2018,
  [2918] = 2023,
  [2919] = 2681,
  [2920] = 2920,
  [2921] = 2921,
  [2922] = 1965,
  [2923] = 2923,
  [2924] = 2024,
  [2925] = 2925,
  [2926] = 2246,
  [2927] = 1969,
  [2928] = 2027,
  [2929] = 2030,
  [2930] = 2028,
  [2931] = 2026,
  [2932] = 2932,
  [2933] = 2337,
  [2934] = 2602,
  [2935] = 2935,
  [2936] = 2936,
  [2937] = 2223,
  [2938] = 2938,
  [2939] = 2939,
  [2940] = 2676,
  [2941] = 2020,
  [2942] = 2942,
  [2943] = 2669,
  [2944] = 2944,
  [2945] = 2945,
  [2946] = 2946,
  [2947] = 2947,
  [2948] = 2948,
  [2949] = 2949,
  [2950] = 2950,
  [2951] = 2951,
  [2952] = 2952,
  [2953] = 2953,
  [2954] = 2632,
  [2955] = 2633,
  [2956] = 2634,
  [2957] = 2635,
  [2958] = 2304,
  [2959] = 2303,
  [2960] = 2960,
  [2961] = 2644,
  [2962] = 2752,
  [2963] = 2963,
  [2964] = 2964,
  [2965] = 2965,
  [2966] = 2966,
  [2967] = 2775,
  [2968] = 2045,
  [2969] = 2969,
  [2970] = 2970,
  [2971] = 2014,
  [2972] = 2972,
  [2973] = 2973,
  [2974] = 2657,
  [2975] = 2680,
  [2976] = 2679,
  [2977] = 2977,
  [2978] = 2978,
  [2979] = 2045,
  [2980] = 2679,
  [2981] = 2337,
  [2982] = 2660,
  [2983] = 2662,
  [2984] = 2043,
  [2985] = 2329,
  [2986] = 2652,
  [2987] = 2082,
  [2988] = 2659,
  [2989] = 2075,
  [2990] = 2046,
  [2991] = 2069,
  [2992] = 2086,
  [2993] = 2343,
  [2994] = 2680,
  [2995] = 2041,
  [2996] = 2681,
  [2997] = 2246,
  [2998] = 2225,
  [2999] = 2285,
  [3000] = 2644,
  [3001] = 2380,
  [3002] = 2341,
  [3003] = 2657,
  [3004] = 2679,
  [3005] = 2177,
  [3006] = 2082,
  [3007] = 2128,
  [3008] = 2177,
  [3009] = 3009,
  [3010] = 3010,
  [3011] = 3011,
  [3012] = 2225,
  [3013] = 2478,
  [3014] = 2075,
  [3015] = 2662,
  [3016] = 2660,
  [3017] = 2659,
  [3018] = 2770,
  [3019] = 2602,
  [3020] = 3010,
  [3021] = 3010,
  [3022] = 2652,
  [3023] = 2246,
  [3024] = 2444,
  [3025] = 1968,
  [3026] = 2086,
  [3027] = 1962,
  [3028] = 2194,
  [3029] = 3029,
  [3030] = 2213,
  [3031] = 2207,
  [3032] = 2014,
  [3033] = 1969,
  [3034] = 2681,
  [3035] = 1965,
  [3036] = 3010,
  [3037] = 367,
  [3038] = 1963,
  [3039] = 2069,
  [3040] = 3040,
  [3041] = 2337,
  [3042] = 2194,
  [3043] = 2775,
  [3044] = 2014,
  [3045] = 3045,
  [3046] = 3010,
  [3047] = 2329,
  [3048] = 284,
  [3049] = 2213,
  [3050] = 1961,
  [3051] = 2680,
  [3052] = 2207,
  [3053] = 2657,
  [3054] = 1964,
  [3055] = 2775,
  [3056] = 1969,
  [3057] = 2953,
  [3058] = 2681,
  [3059] = 2644,
  [3060] = 2177,
  [3061] = 2246,
  [3062] = 2014,
  [3063] = 1968,
  [3064] = 1962,
  [3065] = 1963,
  [3066] = 2669,
  [3067] = 1961,
  [3068] = 2194,
  [3069] = 2014,
  [3070] = 1964,
  [3071] = 2676,
  [3072] = 1965,
  [3073] = 2942,
  [3074] = 2670,
  [3075] = 2207,
  [3076] = 2667,
  [3077] = 2380,
  [3078] = 2664,
  [3079] = 2014,
  [3080] = 2770,
  [3081] = 2661,
  [3082] = 2935,
  [3083] = 2194,
  [3084] = 2674,
  [3085] = 2207,
  [3086] = 2213,
  [3087] = 1096,
  [3088] = 2444,
  [3089] = 2343,
  [3090] = 2635,
  [3091] = 2634,
  [3092] = 2666,
  [3093] = 1095,
  [3094] = 2633,
  [3095] = 2177,
  [3096] = 2632,
  [3097] = 2341,
  [3098] = 2225,
  [3099] = 2938,
  [3100] = 2285,
  [3101] = 2213,
  [3102] = 2478,
  [3103] = 2329,
  [3104] = 2194,
  [3105] = 2069,
  [3106] = 2131,
  [3107] = 2343,
  [3108] = 2098,
  [3109] = 2672,
  [3110] = 2674,
  [3111] = 3111,
  [3112] = 3112,
  [3113] = 2225,
  [3114] = 2341,
  [3115] = 3115,
  [3116] = 2217,
  [3117] = 3117,
  [3118] = 3118,
  [3119] = 1969,
  [3120] = 3120,
  [3121] = 2213,
  [3122] = 3122,
  [3123] = 2225,
  [3124] = 2177,
  [3125] = 2670,
  [3126] = 2667,
  [3127] = 3127,
  [3128] = 2279,
  [3129] = 2666,
  [3130] = 2658,
  [3131] = 2075,
  [3132] = 3132,
  [3133] = 3133,
  [3134] = 2478,
  [3135] = 2337,
  [3136] = 3136,
  [3137] = 2664,
  [3138] = 2657,
  [3139] = 3139,
  [3140] = 2267,
  [3141] = 2669,
  [3142] = 2380,
  [3143] = 1968,
  [3144] = 1961,
  [3145] = 2661,
  [3146] = 2246,
  [3147] = 3147,
  [3148] = 1964,
  [3149] = 1962,
  [3150] = 1963,
  [3151] = 3151,
  [3152] = 1965,
  [3153] = 2207,
  [3154] = 2229,
  [3155] = 2444,
  [3156] = 2680,
  [3157] = 2082,
  [3158] = 2679,
  [3159] = 3159,
  [3160] = 2086,
  [3161] = 2276,
  [3162] = 2226,
  [3163] = 2225,
  [3164] = 2632,
  [3165] = 3165,
  [3166] = 2635,
  [3167] = 2676,
  [3168] = 2285,
  [3169] = 2662,
  [3170] = 2655,
  [3171] = 2660,
  [3172] = 2275,
  [3173] = 2633,
  [3174] = 2659,
  [3175] = 3175,
  [3176] = 2646,
  [3177] = 2634,
  [3178] = 2652,
  [3179] = 2770,
  [3180] = 3180,
  [3181] = 2268,
  [3182] = 3182,
  [3183] = 2259,
  [3184] = 2276,
  [3185] = 1961,
  [3186] = 1963,
  [3187] = 2258,
  [3188] = 2667,
  [3189] = 2932,
  [3190] = 1969,
  [3191] = 2244,
  [3192] = 2775,
  [3193] = 3193,
  [3194] = 2855,
  [3195] = 2664,
  [3196] = 3196,
  [3197] = 2221,
  [3198] = 2689,
  [3199] = 3199,
  [3200] = 2224,
  [3201] = 2681,
  [3202] = 2670,
  [3203] = 1968,
  [3204] = 2246,
  [3205] = 2266,
  [3206] = 2220,
  [3207] = 2227,
  [3208] = 2753,
  [3209] = 2228,
  [3210] = 2666,
  [3211] = 3211,
  [3212] = 2859,
  [3213] = 2676,
  [3214] = 2633,
  [3215] = 2231,
  [3216] = 2234,
  [3217] = 2269,
  [3218] = 2229,
  [3219] = 2177,
  [3220] = 2755,
  [3221] = 2261,
  [3222] = 2634,
  [3223] = 2235,
  [3224] = 2635,
  [3225] = 2275,
  [3226] = 1962,
  [3227] = 2277,
  [3228] = 1964,
  [3229] = 2705,
  [3230] = 2239,
  [3231] = 2243,
  [3232] = 2217,
  [3233] = 3233,
  [3234] = 2226,
  [3235] = 2265,
  [3236] = 2262,
  [3237] = 2213,
  [3238] = 2173,
  [3239] = 2207,
  [3240] = 3240,
  [3241] = 2274,
  [3242] = 1965,
  [3243] = 2249,
  [3244] = 2698,
  [3245] = 2238,
  [3246] = 2260,
  [3247] = 2661,
  [3248] = 2279,
  [3249] = 2692,
  [3250] = 2861,
  [3251] = 2194,
  [3252] = 2250,
  [3253] = 2862,
  [3254] = 2461,
  [3255] = 2674,
  [3256] = 2478,
  [3257] = 2863,
  [3258] = 2131,
  [3259] = 2669,
  [3260] = 2273,
  [3261] = 2263,
  [3262] = 2865,
  [3263] = 2444,
  [3264] = 2272,
  [3265] = 2461,
  [3266] = 2252,
  [3267] = 2254,
  [3268] = 2256,
  [3269] = 1973,
  [3270] = 2098,
  [3271] = 2632,
  [3272] = 2257,
  [3273] = 1959,
  [3274] = 2173,
  [3275] = 2267,
  [3276] = 3159,
  [3277] = 2341,
  [3278] = 2272,
  [3279] = 2263,
  [3280] = 2273,
  [3281] = 2274,
  [3282] = 2260,
  [3283] = 2277,
  [3284] = 2262,
  [3285] = 2265,
  [3286] = 2243,
  [3287] = 2239,
  [3288] = 2235,
  [3289] = 2234,
  [3290] = 2231,
  [3291] = 2228,
  [3292] = 2227,
  [3293] = 2224,
  [3294] = 2221,
  [3295] = 2258,
  [3296] = 2259,
  [3297] = 2268,
  [3298] = 2266,
  [3299] = 2220,
  [3300] = 2269,
  [3301] = 2261,
  [3302] = 2238,
  [3303] = 2252,
  [3304] = 2254,
  [3305] = 2256,
  [3306] = 2257,
  [3307] = 2250,
  [3308] = 2249,
  [3309] = 3151,
  [3310] = 3165,
  [3311] = 3111,
  [3312] = 3112,
  [3313] = 2244,
  [3314] = 3147,
  [3315] = 3175,
  [3316] = 3115,
  [3317] = 3117,
  [3318] = 3118,
  [3319] = 3122,
  [3320] = 3127,
  [3321] = 3132,
  [3322] = 3133,
  [3323] = 1973,
  [3324] = 3139,
  [3325] = 3325,
  [3326] = 3136,
  [3327] = 3327,
  [3328] = 2461,
  [3329] = 2777,
  [3330] = 3325,
  [3331] = 2824,
  [3332] = 2815,
  [3333] = 2844,
  [3334] = 3120,
  [3335] = 2823,
  [3336] = 2822,
  [3337] = 2816,
  [3338] = 2669,
  [3339] = 2676,
  [3340] = 2670,
  [3341] = 2667,
  [3342] = 2664,
  [3343] = 2646,
  [3344] = 2661,
  [3345] = 2635,
  [3346] = 2634,
  [3347] = 2633,
  [3348] = 2632,
  [3349] = 2225,
  [3350] = 1959,
  [3351] = 2666,
  [3352] = 2674,
  [3353] = 2672,
  [3354] = 3354,
  [3355] = 3325,
  [3356] = 2658,
  [3357] = 2655,
  [3358] = 3233,
  [3359] = 3211,
  [3360] = 2131,
  [3361] = 2217,
  [3362] = 3120,
  [3363] = 3136,
  [3364] = 2279,
  [3365] = 2276,
  [3366] = 3325,
  [3367] = 3159,
  [3368] = 3133,
  [3369] = 3132,
  [3370] = 3127,
  [3371] = 3122,
  [3372] = 3118,
  [3373] = 2380,
  [3374] = 3117,
  [3375] = 3115,
  [3376] = 3175,
  [3377] = 3147,
  [3378] = 3139,
  [3379] = 2275,
  [3380] = 2226,
  [3381] = 2229,
  [3382] = 2098,
  [3383] = 3112,
  [3384] = 3111,
  [3385] = 2223,
  [3386] = 3165,
  [3387] = 2267,
  [3388] = 3151,
  [3389] = 2801,
  [3390] = 2776,
  [3391] = 1959,
  [3392] = 3180,
  [3393] = 2223,
  [3394] = 2343,
  [3395] = 3199,
  [3396] = 2285,
  [3397] = 2781,
  [3398] = 2098,
  [3399] = 2702,
  [3400] = 2794,
  [3401] = 2217,
  [3402] = 2840,
  [3403] = 3403,
  [3404] = 2692,
  [3405] = 3405,
  [3406] = 3406,
  [3407] = 2698,
  [3408] = 1969,
  [3409] = 2279,
  [3410] = 3403,
  [3411] = 3406,
  [3412] = 2217,
  [3413] = 1965,
  [3414] = 2276,
  [3415] = 2249,
  [3416] = 2709,
  [3417] = 2710,
  [3418] = 2717,
  [3419] = 2718,
  [3420] = 2250,
  [3421] = 2705,
  [3422] = 1964,
  [3423] = 2689,
  [3424] = 2820,
  [3425] = 1961,
  [3426] = 2461,
  [3427] = 2098,
  [3428] = 2257,
  [3429] = 2275,
  [3430] = 2254,
  [3431] = 2252,
  [3432] = 2226,
  [3433] = 3406,
  [3434] = 2602,
  [3435] = 2229,
  [3436] = 2238,
  [3437] = 2444,
  [3438] = 2267,
  [3439] = 2256,
  [3440] = 2753,
  [3441] = 2128,
  [3442] = 3403,
  [3443] = 2261,
  [3444] = 2269,
  [3445] = 2220,
  [3446] = 2266,
  [3447] = 2646,
  [3448] = 2268,
  [3449] = 2259,
  [3450] = 3182,
  [3451] = 2304,
  [3452] = 2303,
  [3453] = 3405,
  [3454] = 2258,
  [3455] = 2131,
  [3456] = 2672,
  [3457] = 3457,
  [3458] = 1959,
  [3459] = 1963,
  [3460] = 1962,
  [3461] = 3403,
  [3462] = 1968,
  [3463] = 2221,
  [3464] = 2224,
  [3465] = 2227,
  [3466] = 2131,
  [3467] = 2228,
  [3468] = 3405,
  [3469] = 2173,
  [3470] = 2231,
  [3471] = 3471,
  [3472] = 2234,
  [3473] = 2235,
  [3474] = 2746,
  [3475] = 2239,
  [3476] = 2243,
  [3477] = 3403,
  [3478] = 3233,
  [3479] = 2697,
  [3480] = 2696,
  [3481] = 3211,
  [3482] = 3403,
  [3483] = 2806,
  [3484] = 2805,
  [3485] = 3403,
  [3486] = 2803,
  [3487] = 3403,
  [3488] = 1973,
  [3489] = 2655,
  [3490] = 1095,
  [3491] = 3405,
  [3492] = 2658,
  [3493] = 2265,
  [3494] = 2262,
  [3495] = 2277,
  [3496] = 2274,
  [3497] = 2273,
  [3498] = 3405,
  [3499] = 3406,
  [3500] = 3182,
  [3501] = 2602,
  [3502] = 3502,
  [3503] = 2263,
  [3504] = 2272,
  [3505] = 2260,
  [3506] = 3405,
  [3507] = 1096,
  [3508] = 2739,
  [3509] = 3405,
  [3510] = 2758,
  [3511] = 3403,
  [3512] = 2246,
  [3513] = 2808,
  [3514] = 3180,
  [3515] = 3199,
  [3516] = 2478,
  [3517] = 3406,
  [3518] = 2244,
  [3519] = 2755,
  [3520] = 2228,
  [3521] = 2461,
  [3522] = 3111,
  [3523] = 2252,
  [3524] = 2254,
  [3525] = 2256,
  [3526] = 1973,
  [3527] = 1095,
  [3528] = 2257,
  [3529] = 3354,
  [3530] = 2250,
  [3531] = 1096,
  [3532] = 2249,
  [3533] = 2261,
  [3534] = 2923,
  [3535] = 2022,
  [3536] = 2043,
  [3537] = 1959,
  [3538] = 3165,
  [3539] = 2024,
  [3540] = 2238,
  [3541] = 2865,
  [3542] = 2266,
  [3543] = 2661,
  [3544] = 2863,
  [3545] = 2862,
  [3546] = 2861,
  [3547] = 2889,
  [3548] = 2021,
  [3549] = 2859,
  [3550] = 2664,
  [3551] = 2689,
  [3552] = 2827,
  [3553] = 2936,
  [3554] = 2855,
  [3555] = 2220,
  [3556] = 2667,
  [3557] = 2263,
  [3558] = 2670,
  [3559] = 3112,
  [3560] = 2258,
  [3561] = 2304,
  [3562] = 2949,
  [3563] = 2832,
  [3564] = 2777,
  [3565] = 2252,
  [3566] = 2239,
  [3567] = 2277,
  [3568] = 2254,
  [3569] = 2020,
  [3570] = 3151,
  [3571] = 2235,
  [3572] = 2243,
  [3573] = 2261,
  [3574] = 2234,
  [3575] = 2023,
  [3576] = 2026,
  [3577] = 2231,
  [3578] = 2018,
  [3579] = 2269,
  [3580] = 2857,
  [3581] = 2950,
  [3582] = 2666,
  [3583] = 2229,
  [3584] = 2886,
  [3585] = 2220,
  [3586] = 2948,
  [3587] = 2944,
  [3588] = 2939,
  [3589] = 2911,
  [3590] = 2916,
  [3591] = 2266,
  [3592] = 2268,
  [3593] = 2963,
  [3594] = 2964,
  [3595] = 2830,
  [3596] = 2226,
  [3597] = 2273,
  [3598] = 2946,
  [3599] = 2269,
  [3600] = 2834,
  [3601] = 2674,
  [3602] = 2274,
  [3603] = 2627,
  [3604] = 2260,
  [3605] = 2874,
  [3606] = 2872,
  [3607] = 2259,
  [3608] = 2223,
  [3609] = 2258,
  [3610] = 3610,
  [3611] = 3611,
  [3612] = 3151,
  [3613] = 2250,
  [3614] = 2970,
  [3615] = 2692,
  [3616] = 2028,
  [3617] = 2952,
  [3618] = 3165,
  [3619] = 2920,
  [3620] = 3111,
  [3621] = 3621,
  [3622] = 3112,
  [3623] = 2824,
  [3624] = 3147,
  [3625] = 3175,
  [3626] = 3115,
  [3627] = 3117,
  [3628] = 2676,
  [3629] = 3118,
  [3630] = 3122,
  [3631] = 3127,
  [3632] = 2673,
  [3633] = 2669,
  [3634] = 2932,
  [3635] = 2279,
  [3636] = 3159,
  [3637] = 2262,
  [3638] = 2265,
  [3639] = 2698,
  [3640] = 2259,
  [3641] = 3139,
  [3642] = 3136,
  [3643] = 2032,
  [3644] = 2031,
  [3645] = 2820,
  [3646] = 154,
  [3647] = 2267,
  [3648] = 2820,
  [3649] = 2221,
  [3650] = 155,
  [3651] = 2224,
  [3652] = 2632,
  [3653] = 2019,
  [3654] = 2046,
  [3655] = 2831,
  [3656] = 2227,
  [3657] = 2228,
  [3658] = 2833,
  [3659] = 3133,
  [3660] = 2227,
  [3661] = 2633,
  [3662] = 2231,
  [3663] = 2249,
  [3664] = 2234,
  [3665] = 2235,
  [3666] = 2239,
  [3667] = 3120,
  [3668] = 2705,
  [3669] = 2243,
  [3670] = 2781,
  [3671] = 3147,
  [3672] = 3175,
  [3673] = 3115,
  [3674] = 3117,
  [3675] = 2224,
  [3676] = 2221,
  [3677] = 3118,
  [3678] = 3122,
  [3679] = 3457,
  [3680] = 2820,
  [3681] = 3127,
  [3682] = 3132,
  [3683] = 3133,
  [3684] = 3684,
  [3685] = 2041,
  [3686] = 3132,
  [3687] = 2815,
  [3688] = 3159,
  [3689] = 2303,
  [3690] = 3182,
  [3691] = 2275,
  [3692] = 2776,
  [3693] = 2265,
  [3694] = 2262,
  [3695] = 2277,
  [3696] = 2856,
  [3697] = 2260,
  [3698] = 2268,
  [3699] = 2274,
  [3700] = 2887,
  [3701] = 2273,
  [3702] = 2753,
  [3703] = 2634,
  [3704] = 2965,
  [3705] = 2966,
  [3706] = 2942,
  [3707] = 2972,
  [3708] = 2256,
  [3709] = 2257,
  [3710] = 3139,
  [3711] = 2272,
  [3712] = 2897,
  [3713] = 2025,
  [3714] = 2225,
  [3715] = 2263,
  [3716] = 2866,
  [3717] = 2272,
  [3718] = 2864,
  [3719] = 2935,
  [3720] = 2755,
  [3721] = 2947,
  [3722] = 2017,
  [3723] = 2945,
  [3724] = 2027,
  [3725] = 2909,
  [3726] = 3726,
  [3727] = 2907,
  [3728] = 2030,
  [3729] = 2841,
  [3730] = 2978,
  [3731] = 2840,
  [3732] = 3136,
  [3733] = 1973,
  [3734] = 2816,
  [3735] = 2801,
  [3736] = 2868,
  [3737] = 2960,
  [3738] = 2879,
  [3739] = 2878,
  [3740] = 2875,
  [3741] = 2921,
  [3742] = 2635,
  [3743] = 2925,
  [3744] = 2953,
  [3745] = 2969,
  [3746] = 2822,
  [3747] = 2938,
  [3748] = 2973,
  [3749] = 2912,
  [3750] = 2820,
  [3751] = 2840,
  [3752] = 2844,
  [3753] = 2238,
  [3754] = 2823,
  [3755] = 2276,
  [3756] = 2977,
  [3757] = 2244,
  [3758] = 3120,
  [3759] = 2951,
  [3760] = 3760,
  [3761] = 3760,
  [3762] = 3199,
  [3763] = 2816,
  [3764] = 2970,
  [3765] = 2758,
  [3766] = 2739,
  [3767] = 3767,
  [3768] = 3767,
  [3769] = 3769,
  [3770] = 3767,
  [3771] = 2131,
  [3772] = 2275,
  [3773] = 2794,
  [3774] = 2776,
  [3775] = 2226,
  [3776] = 2820,
  [3777] = 2822,
  [3778] = 2823,
  [3779] = 2229,
  [3780] = 3760,
  [3781] = 3151,
  [3782] = 2777,
  [3783] = 3783,
  [3784] = 2923,
  [3785] = 3767,
  [3786] = 3120,
  [3787] = 3783,
  [3788] = 3767,
  [3789] = 2844,
  [3790] = 2781,
  [3791] = 3769,
  [3792] = 1095,
  [3793] = 3793,
  [3794] = 3767,
  [3795] = 2098,
  [3796] = 3769,
  [3797] = 2865,
  [3798] = 2863,
  [3799] = 2862,
  [3800] = 2046,
  [3801] = 2303,
  [3802] = 2861,
  [3803] = 2859,
  [3804] = 2696,
  [3805] = 2697,
  [3806] = 2304,
  [3807] = 2855,
  [3808] = 3793,
  [3809] = 2806,
  [3810] = 2652,
  [3811] = 2949,
  [3812] = 3769,
  [3813] = 3760,
  [3814] = 2746,
  [3815] = 3815,
  [3816] = 2041,
  [3817] = 3180,
  [3818] = 2246,
  [3819] = 3819,
  [3820] = 3760,
  [3821] = 3354,
  [3822] = 2803,
  [3823] = 3760,
  [3824] = 3769,
  [3825] = 2702,
  [3826] = 2043,
  [3827] = 2949,
  [3828] = 2128,
  [3829] = 2709,
  [3830] = 3136,
  [3831] = 3165,
  [3832] = 2710,
  [3833] = 2717,
  [3834] = 1973,
  [3835] = 3199,
  [3836] = 2820,
  [3837] = 2718,
  [3838] = 3783,
  [3839] = 3839,
  [3840] = 2659,
  [3841] = 3839,
  [3842] = 2267,
  [3843] = 3767,
  [3844] = 3767,
  [3845] = 2820,
  [3846] = 3111,
  [3847] = 3847,
  [3848] = 3211,
  [3849] = 3847,
  [3850] = 3180,
  [3851] = 3839,
  [3852] = 3767,
  [3853] = 2801,
  [3854] = 3233,
  [3855] = 3112,
  [3856] = 3769,
  [3857] = 2932,
  [3858] = 2923,
  [3859] = 3793,
  [3860] = 1096,
  [3861] = 2279,
  [3862] = 2820,
  [3863] = 3783,
  [3864] = 2679,
  [3865] = 3139,
  [3866] = 2680,
  [3867] = 2217,
  [3868] = 3793,
  [3869] = 2657,
  [3870] = 2805,
  [3871] = 2970,
  [3872] = 2808,
  [3873] = 2173,
  [3874] = 2840,
  [3875] = 3793,
  [3876] = 2602,
  [3877] = 2276,
  [3878] = 3611,
  [3879] = 2045,
  [3880] = 2824,
  [3881] = 2662,
  [3882] = 2660,
  [3883] = 3767,
  [3884] = 3783,
  [3885] = 3819,
  [3886] = 2644,
  [3887] = 3783,
  [3888] = 3793,
  [3889] = 3767,
  [3890] = 3233,
  [3891] = 3159,
  [3892] = 2815,
  [3893] = 3133,
  [3894] = 3132,
  [3895] = 3127,
  [3896] = 3122,
  [3897] = 3118,
  [3898] = 3117,
  [3899] = 3115,
  [3900] = 3175,
  [3901] = 3211,
  [3902] = 3147,
  [3903] = 2717,
  [3904] = 3904,
  [3905] = 2794,
  [3906] = 2337,
  [3907] = 2223,
  [3908] = 2220,
  [3909] = 3904,
  [3910] = 3910,
  [3911] = 2820,
  [3912] = 2030,
  [3913] = 3354,
  [3914] = 2266,
  [3915] = 2250,
  [3916] = 2329,
  [3917] = 2032,
  [3918] = 2045,
  [3919] = 3354,
  [3920] = 2935,
  [3921] = 2978,
  [3922] = 2022,
  [3923] = 2758,
  [3924] = 2021,
  [3925] = 2952,
  [3926] = 2268,
  [3927] = 2949,
  [3928] = 2746,
  [3929] = 2696,
  [3930] = 2912,
  [3931] = 2803,
  [3932] = 2027,
  [3933] = 2923,
  [3934] = 2461,
  [3935] = 2697,
  [3936] = 2075,
  [3937] = 2082,
  [3938] = 3151,
  [3939] = 2024,
  [3940] = 2269,
  [3941] = 2043,
  [3942] = 2026,
  [3943] = 2808,
  [3944] = 3944,
  [3945] = 3904,
  [3946] = 2816,
  [3947] = 2026,
  [3948] = 2936,
  [3949] = 3165,
  [3950] = 154,
  [3951] = 2953,
  [3952] = 2261,
  [3953] = 155,
  [3954] = 2263,
  [3955] = 2942,
  [3956] = 2969,
  [3957] = 3111,
  [3958] = 2259,
  [3959] = 2128,
  [3960] = 2272,
  [3961] = 3904,
  [3962] = 2887,
  [3963] = 2805,
  [3964] = 2909,
  [3965] = 2025,
  [3966] = 2244,
  [3967] = 155,
  [3968] = 2258,
  [3969] = 154,
  [3970] = 3180,
  [3971] = 3112,
  [3972] = 2822,
  [3973] = 2249,
  [3974] = 2823,
  [3975] = 2024,
  [3976] = 3120,
  [3977] = 2273,
  [3978] = 2274,
  [3979] = 2681,
  [3980] = 2644,
  [3981] = 2907,
  [3982] = 2260,
  [3983] = 2865,
  [3984] = 2753,
  [3985] = 2844,
  [3986] = 2277,
  [3987] = 2262,
  [3988] = 2265,
  [3989] = 2022,
  [3990] = 2031,
  [3991] = 2855,
  [3992] = 2820,
  [3993] = 3904,
  [3994] = 1096,
  [3995] = 3995,
  [3996] = 2082,
  [3997] = 2951,
  [3998] = 2086,
  [3999] = 3904,
  [4000] = 2692,
  [4001] = 2069,
  [4002] = 2657,
  [4003] = 2970,
  [4004] = 2681,
  [4005] = 2859,
  [4006] = 2244,
  [4007] = 2977,
  [4008] = 3904,
  [4009] = 2861,
  [4010] = 2652,
  [4011] = 2840,
  [4012] = 2827,
  [4013] = 3136,
  [4014] = 2801,
  [4015] = 3139,
  [4016] = 2020,
  [4017] = 3159,
  [4018] = 2973,
  [4019] = 2679,
  [4020] = 2023,
  [4021] = 2824,
  [4022] = 2857,
  [4023] = 2856,
  [4024] = 2659,
  [4025] = 2950,
  [4026] = 2886,
  [4027] = 2864,
  [4028] = 2680,
  [4029] = 2018,
  [4030] = 2911,
  [4031] = 2916,
  [4032] = 2832,
  [4033] = 2925,
  [4034] = 3904,
  [4035] = 2863,
  [4036] = 2019,
  [4037] = 2017,
  [4038] = 2028,
  [4039] = 2698,
  [4040] = 2246,
  [4041] = 2963,
  [4042] = 2964,
  [4043] = 2965,
  [4044] = 2966,
  [4045] = 2086,
  [4046] = 2862,
  [4047] = 2739,
  [4048] = 1095,
  [4049] = 2972,
  [4050] = 2046,
  [4051] = 3233,
  [4052] = 2815,
  [4053] = 3199,
  [4054] = 2256,
  [4055] = 2028,
  [4056] = 3211,
  [4057] = 2025,
  [4058] = 2243,
  [4059] = 2041,
  [4060] = 2889,
  [4061] = 2257,
  [4062] = 3133,
  [4063] = 2921,
  [4064] = 2920,
  [4065] = 2660,
  [4066] = 3819,
  [4067] = 2662,
  [4068] = 3132,
  [4069] = 2897,
  [4070] = 3127,
  [4071] = 2020,
  [4072] = 3122,
  [4073] = 2644,
  [4074] = 2874,
  [4075] = 2872,
  [4076] = 2948,
  [4077] = 2960,
  [4078] = 2866,
  [4079] = 2868,
  [4080] = 2239,
  [4081] = 2031,
  [4082] = 2019,
  [4083] = 2944,
  [4084] = 2627,
  [4085] = 2235,
  [4086] = 2017,
  [4087] = 2702,
  [4088] = 2234,
  [4089] = 2231,
  [4090] = 2939,
  [4091] = 3118,
  [4092] = 2228,
  [4093] = 2875,
  [4094] = 2227,
  [4095] = 2878,
  [4096] = 2602,
  [4097] = 2023,
  [4098] = 2820,
  [4099] = 2806,
  [4100] = 3904,
  [4101] = 2224,
  [4102] = 2879,
  [4103] = 2946,
  [4104] = 2947,
  [4105] = 2945,
  [4106] = 2221,
  [4107] = 2830,
  [4108] = 2831,
  [4109] = 2833,
  [4110] = 2834,
  [4111] = 2673,
  [4112] = 2709,
  [4113] = 2710,
  [4114] = 2718,
  [4115] = 2032,
  [4116] = 2705,
  [4117] = 2938,
  [4118] = 2238,
  [4119] = 3147,
  [4120] = 3117,
  [4121] = 2021,
  [4122] = 2030,
  [4123] = 2027,
  [4124] = 2252,
  [4125] = 2254,
  [4126] = 2932,
  [4127] = 3819,
  [4128] = 3115,
  [4129] = 3175,
  [4130] = 2841,
  [4131] = 2018,
  [4132] = 2337,
  [4133] = 2864,
  [4134] = 2086,
  [4135] = 2082,
  [4136] = 1973,
  [4137] = 2889,
  [4138] = 2304,
  [4139] = 2857,
  [4140] = 2950,
  [4141] = 2886,
  [4142] = 2303,
  [4143] = 2911,
  [4144] = 2916,
  [4145] = 3354,
  [4146] = 2963,
  [4147] = 2329,
  [4148] = 2680,
  [4149] = 2964,
  [4150] = 2824,
  [4151] = 2953,
  [4152] = 2973,
  [4153] = 3819,
  [4154] = 2841,
  [4155] = 2970,
  [4156] = 2679,
  [4157] = 3118,
  [4158] = 2949,
  [4159] = 3819,
  [4160] = 2014,
  [4161] = 2069,
  [4162] = 3819,
  [4163] = 2856,
  [4164] = 2657,
  [4165] = 2128,
  [4166] = 2887,
  [4167] = 2075,
  [4168] = 2936,
  [4169] = 2912,
  [4170] = 2865,
  [4171] = 2020,
  [4172] = 2833,
  [4173] = 2023,
  [4174] = 2831,
  [4175] = 2874,
  [4176] = 2872,
  [4177] = 2673,
  [4178] = 3147,
  [4179] = 2022,
  [4180] = 2965,
  [4181] = 2966,
  [4182] = 2830,
  [4183] = 2827,
  [4184] = 2777,
  [4185] = 2832,
  [4186] = 2972,
  [4187] = 2045,
  [4188] = 3819,
  [4189] = 2028,
  [4190] = 3151,
  [4191] = 2816,
  [4192] = 2018,
  [4193] = 2602,
  [4194] = 2897,
  [4195] = 3175,
  [4196] = 2329,
  [4197] = 3610,
  [4198] = 155,
  [4199] = 3115,
  [4200] = 3819,
  [4201] = 3120,
  [4202] = 2866,
  [4203] = 2960,
  [4204] = 3136,
  [4205] = 2855,
  [4206] = 154,
  [4207] = 3117,
  [4208] = 2024,
  [4209] = 2027,
  [4210] = 2026,
  [4211] = 2770,
  [4212] = 2822,
  [4213] = 2662,
  [4214] = 2942,
  [4215] = 3112,
  [4216] = 2932,
  [4217] = 2021,
  [4218] = 2938,
  [4219] = 2660,
  [4220] = 2775,
  [4221] = 2948,
  [4222] = 2944,
  [4223] = 2337,
  [4224] = 4224,
  [4225] = 3354,
  [4226] = 2659,
  [4227] = 3726,
  [4228] = 2939,
  [4229] = 3165,
  [4230] = 2017,
  [4231] = 2951,
  [4232] = 3122,
  [4233] = 2652,
  [4234] = 2031,
  [4235] = 2923,
  [4236] = 2947,
  [4237] = 2945,
  [4238] = 3127,
  [4239] = 2909,
  [4240] = 4240,
  [4241] = 2823,
  [4242] = 2935,
  [4243] = 3139,
  [4244] = 3132,
  [4245] = 2030,
  [4246] = 2946,
  [4247] = 2977,
  [4248] = 2627,
  [4249] = 2859,
  [4250] = 3133,
  [4251] = 2861,
  [4252] = 2862,
  [4253] = 2907,
  [4254] = 2920,
  [4255] = 2815,
  [4256] = 3159,
  [4257] = 2863,
  [4258] = 2025,
  [4259] = 2844,
  [4260] = 2834,
  [4261] = 2875,
  [4262] = 2878,
  [4263] = 3819,
  [4264] = 2879,
  [4265] = 3819,
  [4266] = 2978,
  [4267] = 2969,
  [4268] = 2925,
  [4269] = 2921,
  [4270] = 3819,
  [4271] = 2019,
  [4272] = 3111,
  [4273] = 2032,
  [4274] = 2952,
  [4275] = 2868,
  [4276] = 4276,
  [4277] = 1969,
  [4278] = 4278,
  [4279] = 4279,
  [4280] = 1965,
  [4281] = 4281,
  [4282] = 4282,
  [4283] = 4279,
  [4284] = 1961,
  [4285] = 4278,
  [4286] = 4286,
  [4287] = 4281,
  [4288] = 4288,
  [4289] = 3819,
  [4290] = 1964,
  [4291] = 4291,
  [4292] = 4278,
  [4293] = 4279,
  [4294] = 2644,
  [4295] = 4282,
  [4296] = 4296,
  [4297] = 1963,
  [4298] = 4281,
  [4299] = 1973,
  [4300] = 2478,
  [4301] = 4296,
  [4302] = 4282,
  [4303] = 4286,
  [4304] = 4281,
  [4305] = 4296,
  [4306] = 4281,
  [4307] = 2246,
  [4308] = 1962,
  [4309] = 4286,
  [4310] = 1968,
  [4311] = 4282,
  [4312] = 4286,
  [4313] = 4286,
  [4314] = 4286,
  [4315] = 2075,
  [4316] = 3819,
  [4317] = 2681,
  [4318] = 2069,
  [4319] = 4296,
  [4320] = 4278,
  [4321] = 4279,
  [4322] = 4291,
  [4323] = 4296,
  [4324] = 4286,
  [4325] = 4279,
  [4326] = 4296,
  [4327] = 4291,
  [4328] = 4282,
  [4329] = 4279,
  [4330] = 4281,
  [4331] = 4279,
  [4332] = 4282,
  [4333] = 3199,
  [4334] = 4286,
  [4335] = 4278,
  [4336] = 4291,
  [4337] = 3233,
  [4338] = 2806,
  [4339] = 4276,
  [4340] = 4279,
  [4341] = 4288,
  [4342] = 4281,
  [4343] = 4276,
  [4344] = 4286,
  [4345] = 2777,
  [4346] = 4288,
  [4347] = 4296,
  [4348] = 3211,
  [4349] = 4291,
  [4350] = 4279,
  [4351] = 4276,
  [4352] = 2177,
  [4353] = 4296,
  [4354] = 4288,
  [4355] = 2444,
  [4356] = 4276,
  [4357] = 4291,
  [4358] = 4288,
  [4359] = 4281,
  [4360] = 4288,
  [4361] = 2086,
  [4362] = 4291,
  [4363] = 4278,
  [4364] = 4281,
  [4365] = 4276,
  [4366] = 4288,
  [4367] = 4286,
  [4368] = 4281,
  [4369] = 4276,
  [4370] = 4278,
  [4371] = 4279,
  [4372] = 4288,
  [4373] = 2082,
  [4374] = 4276,
  [4375] = 4286,
  [4376] = 4296,
  [4377] = 4282,
  [4378] = 2775,
  [4379] = 4281,
  [4380] = 4282,
  [4381] = 4381,
  [4382] = 3180,
  [4383] = 4278,
  [4384] = 4282,
  [4385] = 3819,
  [4386] = 4282,
  [4387] = 4296,
  [4388] = 2303,
  [4389] = 4279,
  [4390] = 3819,
  [4391] = 4282,
  [4392] = 3354,
  [4393] = 4281,
  [4394] = 4296,
  [4395] = 2304,
  [4396] = 2213,
  [4397] = 2207,
  [4398] = 2644,
  [4399] = 4399,
  [4400] = 2194,
  [4401] = 4278,
  [4402] = 2770,
  [4403] = 4291,
  [4404] = 4404,
  [4405] = 4404,
  [4406] = 2951,
  [4407] = 2225,
  [4408] = 2911,
  [4409] = 2329,
  [4410] = 2973,
  [4411] = 2909,
  [4412] = 2329,
  [4413] = 4404,
  [4414] = 2887,
  [4415] = 2886,
  [4416] = 2337,
  [4417] = 2341,
  [4418] = 2866,
  [4419] = 4404,
  [4420] = 2953,
  [4421] = 2075,
  [4422] = 2912,
  [4423] = 2950,
  [4424] = 2977,
  [4425] = 2938,
  [4426] = 2069,
  [4427] = 2964,
  [4428] = 4404,
  [4429] = 2816,
  [4430] = 2879,
  [4431] = 2824,
  [4432] = 2872,
  [4433] = 2021,
  [4434] = 4434,
  [4435] = 4404,
  [4436] = 4404,
  [4437] = 3819,
  [4438] = 2045,
  [4439] = 2907,
  [4440] = 2969,
  [4441] = 4404,
  [4442] = 2856,
  [4443] = 4404,
  [4444] = 2022,
  [4445] = 2874,
  [4446] = 2017,
  [4447] = 154,
  [4448] = 2925,
  [4449] = 2627,
  [4450] = 2025,
  [4451] = 2857,
  [4452] = 2969,
  [4453] = 2864,
  [4454] = 2018,
  [4455] = 2921,
  [4456] = 2031,
  [4457] = 2920,
  [4458] = 2026,
  [4459] = 2806,
  [4460] = 2024,
  [4461] = 3819,
  [4462] = 2652,
  [4463] = 2644,
  [4464] = 2478,
  [4465] = 4404,
  [4466] = 4404,
  [4467] = 2082,
  [4468] = 2659,
  [4469] = 2082,
  [4470] = 2086,
  [4471] = 2875,
  [4472] = 2815,
  [4473] = 2864,
  [4474] = 3910,
  [4475] = 2086,
  [4476] = 2965,
  [4477] = 2023,
  [4478] = 2966,
  [4479] = 2945,
  [4480] = 2030,
  [4481] = 2657,
  [4482] = 2960,
  [4483] = 4483,
  [4484] = 2027,
  [4485] = 2868,
  [4486] = 4404,
  [4487] = 2019,
  [4488] = 2380,
  [4489] = 2075,
  [4490] = 2680,
  [4491] = 2942,
  [4492] = 2679,
  [4493] = 2337,
  [4494] = 2925,
  [4495] = 2822,
  [4496] = 2069,
  [4497] = 2935,
  [4498] = 2916,
  [4499] = 2897,
  [4500] = 2972,
  [4501] = 2660,
  [4502] = 2823,
  [4503] = 2662,
  [4504] = 2963,
  [4505] = 2673,
  [4506] = 2028,
  [4507] = 155,
  [4508] = 2966,
  [4509] = 2947,
  [4510] = 2020,
  [4511] = 2878,
  [4512] = 2444,
  [4513] = 2032,
  [4514] = 2343,
  [4515] = 2844,
  [4516] = 4404,
  [4517] = 2285,
  [4518] = 3910,
  [4519] = 4404,
  [4520] = 2775,
  [4521] = 2681,
  [4522] = 2912,
  [4523] = 2951,
  [4524] = 2661,
  [4525] = 2965,
  [4526] = 1968,
  [4527] = 2972,
  [4528] = 2634,
  [4529] = 2602,
  [4530] = 2444,
  [4531] = 2633,
  [4532] = 2856,
  [4533] = 2857,
  [4534] = 2635,
  [4535] = 2950,
  [4536] = 2667,
  [4537] = 2920,
  [4538] = 2669,
  [4539] = 2886,
  [4540] = 2634,
  [4541] = 2921,
  [4542] = 2632,
  [4543] = 1962,
  [4544] = 2964,
  [4545] = 2897,
  [4546] = 2086,
  [4547] = 2661,
  [4548] = 2907,
  [4549] = 2973,
  [4550] = 2963,
  [4551] = 1964,
  [4552] = 2960,
  [4553] = 2868,
  [4554] = 2775,
  [4555] = 2770,
  [4556] = 2879,
  [4557] = 2664,
  [4558] = 2075,
  [4559] = 2874,
  [4560] = 2670,
  [4561] = 2667,
  [4562] = 2664,
  [4563] = 2676,
  [4564] = 2670,
  [4565] = 2676,
  [4566] = 2878,
  [4567] = 2669,
  [4568] = 2337,
  [4569] = 2887,
  [4570] = 2246,
  [4571] = 2329,
  [4572] = 2674,
  [4573] = 2666,
  [4574] = 2770,
  [4575] = 2977,
  [4576] = 2478,
  [4577] = 2945,
  [4578] = 2666,
  [4579] = 2947,
  [4580] = 2911,
  [4581] = 2916,
  [4582] = 1963,
  [4583] = 2014,
  [4584] = 2177,
  [4585] = 2872,
  [4586] = 2875,
  [4587] = 2632,
  [4588] = 2633,
  [4589] = 2866,
  [4590] = 2194,
  [4591] = 2082,
  [4592] = 2909,
  [4593] = 2213,
  [4594] = 1969,
  [4595] = 1965,
  [4596] = 1961,
  [4597] = 2635,
  [4598] = 2207,
  [4599] = 2674,
  [4600] = 2069,
  [4601] = 2670,
  [4602] = 4602,
  [4603] = 3819,
  [4604] = 2247,
  [4605] = 2341,
  [4606] = 2461,
  [4607] = 2753,
  [4608] = 3684,
  [4609] = 2341,
  [4610] = 3910,
  [4611] = 2634,
  [4612] = 2343,
  [4613] = 2775,
  [4614] = 2661,
  [4615] = 2669,
  [4616] = 2343,
  [4617] = 3819,
  [4618] = 2664,
  [4619] = 3819,
  [4620] = 2644,
  [4621] = 2770,
  [4622] = 2667,
  [4623] = 2674,
  [4624] = 2666,
  [4625] = 2633,
  [4626] = 2285,
  [4627] = 2676,
  [4628] = 2692,
  [4629] = 2380,
  [4630] = 2635,
  [4631] = 2285,
  [4632] = 2698,
  [4633] = 2380,
  [4634] = 2705,
  [4635] = 3819,
  [4636] = 1959,
  [4637] = 4637,
  [4638] = 2632,
  [4639] = 2225,
  [4640] = 3196,
  [4641] = 2267,
  [4642] = 2279,
  [4643] = 2098,
  [4644] = 2217,
  [4645] = 2337,
  [4646] = 2229,
  [4647] = 2276,
  [4648] = 2226,
  [4649] = 2478,
  [4650] = 2131,
  [4651] = 3403,
  [4652] = 2275,
  [4653] = 2329,
  [4654] = 1973,
  [4655] = 2444,
  [4656] = 3403,
  [4657] = 2128,
  [4658] = 2775,
  [4659] = 2770,
  [4660] = 2268,
  [4661] = 2632,
  [4662] = 4662,
  [4663] = 4662,
  [4664] = 2676,
  [4665] = 3240,
  [4666] = 2669,
  [4667] = 4667,
  [4668] = 2670,
  [4669] = 1956,
  [4670] = 2249,
  [4671] = 4667,
  [4672] = 4672,
  [4673] = 4672,
  [4674] = 2285,
  [4675] = 2667,
  [4676] = 2635,
  [4677] = 4662,
  [4678] = 4662,
  [4679] = 4672,
  [4680] = 2263,
  [4681] = 2272,
  [4682] = 2634,
  [4683] = 4672,
  [4684] = 4667,
  [4685] = 2258,
  [4686] = 2259,
  [4687] = 2664,
  [4688] = 373,
  [4689] = 2221,
  [4690] = 2633,
  [4691] = 2266,
  [4692] = 2273,
  [4693] = 2220,
  [4694] = 2661,
  [4695] = 2274,
  [4696] = 2260,
  [4697] = 2224,
  [4698] = 2269,
  [4699] = 2231,
  [4700] = 286,
  [4701] = 2277,
  [4702] = 2262,
  [4703] = 4662,
  [4704] = 2227,
  [4705] = 2261,
  [4706] = 455,
  [4707] = 2250,
  [4708] = 2265,
  [4709] = 4667,
  [4710] = 3193,
  [4711] = 2228,
  [4712] = 2343,
  [4713] = 2341,
  [4714] = 2380,
  [4715] = 4715,
  [4716] = 2674,
  [4717] = 285,
  [4718] = 2666,
  [4719] = 2770,
  [4720] = 4672,
  [4721] = 2775,
  [4722] = 4667,
  [4723] = 4672,
  [4724] = 369,
  [4725] = 371,
  [4726] = 2238,
  [4727] = 2252,
  [4728] = 2254,
  [4729] = 2243,
  [4730] = 2256,
  [4731] = 2257,
  [4732] = 4662,
  [4733] = 4667,
  [4734] = 2239,
  [4735] = 2235,
  [4736] = 2234,
  [4737] = 2226,
  [4738] = 2285,
  [4739] = 3151,
  [4740] = 2098,
  [4741] = 3115,
  [4742] = 3136,
  [4743] = 3159,
  [4744] = 3133,
  [4745] = 2953,
  [4746] = 2217,
  [4747] = 3175,
  [4748] = 4748,
  [4749] = 3147,
  [4750] = 3132,
  [4751] = 3139,
  [4752] = 2935,
  [4753] = 2131,
  [4754] = 3112,
  [4755] = 2267,
  [4756] = 2938,
  [4757] = 2173,
  [4758] = 2279,
  [4759] = 2942,
  [4760] = 4760,
  [4761] = 2275,
  [4762] = 1959,
  [4763] = 2276,
  [4764] = 2380,
  [4765] = 2229,
  [4766] = 4766,
  [4767] = 4748,
  [4768] = 2341,
  [4769] = 3127,
  [4770] = 3120,
  [4771] = 1959,
  [4772] = 3122,
  [4773] = 3118,
  [4774] = 3111,
  [4775] = 2343,
  [4776] = 3117,
  [4777] = 3165,
  [4778] = 2262,
  [4779] = 4779,
  [4780] = 4779,
  [4781] = 4781,
  [4782] = 2705,
  [4783] = 2461,
  [4784] = 4784,
  [4785] = 4784,
  [4786] = 4784,
  [4787] = 4787,
  [4788] = 2220,
  [4789] = 2266,
  [4790] = 4790,
  [4791] = 2692,
  [4792] = 4792,
  [4793] = 2268,
  [4794] = 4790,
  [4795] = 4787,
  [4796] = 2261,
  [4797] = 4792,
  [4798] = 4784,
  [4799] = 4781,
  [4800] = 2698,
  [4801] = 2244,
  [4802] = 3180,
  [4803] = 2259,
  [4804] = 2258,
  [4805] = 2269,
  [4806] = 4790,
  [4807] = 4792,
  [4808] = 3233,
  [4809] = 2692,
  [4810] = 2223,
  [4811] = 3199,
  [4812] = 4784,
  [4813] = 2272,
  [4814] = 2238,
  [4815] = 2263,
  [4816] = 2753,
  [4817] = 4779,
  [4818] = 2252,
  [4819] = 2254,
  [4820] = 2045,
  [4821] = 4787,
  [4822] = 4792,
  [4823] = 2256,
  [4824] = 4787,
  [4825] = 4784,
  [4826] = 2753,
  [4827] = 2250,
  [4828] = 2221,
  [4829] = 2224,
  [4830] = 2249,
  [4831] = 4781,
  [4832] = 4784,
  [4833] = 4790,
  [4834] = 2273,
  [4835] = 2227,
  [4836] = 2228,
  [4837] = 2274,
  [4838] = 4792,
  [4839] = 2260,
  [4840] = 4790,
  [4841] = 2231,
  [4842] = 2234,
  [4843] = 4792,
  [4844] = 2235,
  [4845] = 2698,
  [4846] = 2239,
  [4847] = 2277,
  [4848] = 2265,
  [4849] = 4792,
  [4850] = 2775,
  [4851] = 4784,
  [4852] = 4787,
  [4853] = 2243,
  [4854] = 4787,
  [4855] = 4790,
  [4856] = 4790,
  [4857] = 4787,
  [4858] = 4787,
  [4859] = 2257,
  [4860] = 2770,
  [4861] = 4792,
  [4862] = 3211,
  [4863] = 2705,
  [4864] = 4790,
  [4865] = 3151,
  [4866] = 4781,
  [4867] = 2824,
  [4868] = 3502,
  [4869] = 3180,
  [4870] = 2822,
  [4871] = 3112,
  [4872] = 2815,
  [4873] = 4760,
  [4874] = 4874,
  [4875] = 2816,
  [4876] = 4874,
  [4877] = 3120,
  [4878] = 4878,
  [4879] = 3111,
  [4880] = 3147,
  [4881] = 2777,
  [4882] = 3175,
  [4883] = 3165,
  [4884] = 4874,
  [4885] = 1973,
  [4886] = 3115,
  [4887] = 2844,
  [4888] = 3117,
  [4889] = 3118,
  [4890] = 2627,
  [4891] = 3457,
  [4892] = 3136,
  [4893] = 2823,
  [4894] = 3122,
  [4895] = 4637,
  [4896] = 4602,
  [4897] = 3127,
  [4898] = 3132,
  [4899] = 3133,
  [4900] = 3211,
  [4901] = 3159,
  [4902] = 2644,
  [4903] = 2673,
  [4904] = 3471,
  [4905] = 4874,
  [4906] = 2329,
  [4907] = 2673,
  [4908] = 1973,
  [4909] = 2627,
  [4910] = 3199,
  [4911] = 3233,
  [4912] = 2173,
  [4913] = 2602,
  [4914] = 2644,
  [4915] = 4915,
  [4916] = 1959,
  [4917] = 4779,
  [4918] = 3139,
  [4919] = 2337,
  [4920] = 4920,
  [4921] = 3165,
  [4922] = 3127,
  [4923] = 3147,
  [4924] = 4924,
  [4925] = 3132,
  [4926] = 4926,
  [4927] = 4927,
  [4928] = 4779,
  [4929] = 4929,
  [4930] = 3122,
  [4931] = 3118,
  [4932] = 4932,
  [4933] = 3233,
  [4934] = 3211,
  [4935] = 4935,
  [4936] = 3133,
  [4937] = 3112,
  [4938] = 2223,
  [4939] = 3117,
  [4940] = 3159,
  [4941] = 3139,
  [4942] = 4779,
  [4943] = 4943,
  [4944] = 4929,
  [4945] = 4920,
  [4946] = 4924,
  [4947] = 2806,
  [4948] = 3151,
  [4949] = 3111,
  [4950] = 3199,
  [4951] = 3115,
  [4952] = 4781,
  [4953] = 4781,
  [4954] = 3175,
  [4955] = 2045,
  [4956] = 4927,
  [4957] = 3136,
  [4958] = 3120,
  [4959] = 3180,
  [4960] = 4960,
  [4961] = 2019,
  [4962] = 2025,
  [4963] = 4963,
  [4964] = 4964,
  [4965] = 2017,
  [4966] = 4966,
  [4967] = 4967,
  [4968] = 2030,
  [4969] = 2027,
  [4970] = 2018,
  [4971] = 4971,
  [4972] = 2023,
  [4973] = 2020,
  [4974] = 4971,
  [4975] = 4964,
  [4976] = 4966,
  [4977] = 4878,
  [4978] = 2032,
  [4979] = 2673,
  [4980] = 4980,
  [4981] = 2025,
  [4982] = 4963,
  [4983] = 2856,
  [4984] = 2887,
  [4985] = 4985,
  [4986] = 2965,
  [4987] = 2018,
  [4988] = 2023,
  [4989] = 2020,
  [4990] = 2966,
  [4991] = 4991,
  [4992] = 4992,
  [4993] = 3151,
  [4994] = 4994,
  [4995] = 4992,
  [4996] = 4996,
  [4997] = 2897,
  [4998] = 2753,
  [4999] = 4999,
  [5000] = 4963,
  [5001] = 4779,
  [5002] = 2866,
  [5003] = 2864,
  [5004] = 2021,
  [5005] = 2021,
  [5006] = 4994,
  [5007] = 2022,
  [5008] = 2947,
  [5009] = 2945,
  [5010] = 3165,
  [5011] = 2024,
  [5012] = 2026,
  [5013] = 4996,
  [5014] = 2972,
  [5015] = 4966,
  [5016] = 2031,
  [5017] = 3111,
  [5018] = 4878,
  [5019] = 2942,
  [5020] = 4991,
  [5021] = 4985,
  [5022] = 2692,
  [5023] = 4971,
  [5024] = 4960,
  [5025] = 5025,
  [5026] = 2627,
  [5027] = 4964,
  [5028] = 4971,
  [5029] = 2032,
  [5030] = 4966,
  [5031] = 2868,
  [5032] = 2960,
  [5033] = 3112,
  [5034] = 4966,
  [5035] = 4963,
  [5036] = 4996,
  [5037] = 2921,
  [5038] = 4966,
  [5039] = 4992,
  [5040] = 2925,
  [5041] = 2031,
  [5042] = 2019,
  [5043] = 2935,
  [5044] = 2017,
  [5045] = 4963,
  [5046] = 4994,
  [5047] = 4966,
  [5048] = 4971,
  [5049] = 4971,
  [5050] = 2027,
  [5051] = 2030,
  [5052] = 4960,
  [5053] = 4966,
  [5054] = 2977,
  [5055] = 4963,
  [5056] = 4994,
  [5057] = 2951,
  [5058] = 4963,
  [5059] = 4966,
  [5060] = 4966,
  [5061] = 4971,
  [5062] = 4964,
  [5063] = 1973,
  [5064] = 4966,
  [5065] = 2920,
  [5066] = 2964,
  [5067] = 2022,
  [5068] = 4781,
  [5069] = 5069,
  [5070] = 4994,
  [5071] = 2028,
  [5072] = 5072,
  [5073] = 4915,
  [5074] = 4994,
  [5075] = 2907,
  [5076] = 4966,
  [5077] = 3147,
  [5078] = 3175,
  [5079] = 3115,
  [5080] = 3117,
  [5081] = 3118,
  [5082] = 3122,
  [5083] = 4964,
  [5084] = 4966,
  [5085] = 3127,
  [5086] = 3132,
  [5087] = 3133,
  [5088] = 4964,
  [5089] = 2874,
  [5090] = 3159,
  [5091] = 154,
  [5092] = 2963,
  [5093] = 2916,
  [5094] = 2911,
  [5095] = 4963,
  [5096] = 4991,
  [5097] = 4985,
  [5098] = 4966,
  [5099] = 2886,
  [5100] = 5100,
  [5101] = 2024,
  [5102] = 2026,
  [5103] = 2950,
  [5104] = 2857,
  [5105] = 4966,
  [5106] = 2938,
  [5107] = 2912,
  [5108] = 4960,
  [5109] = 2028,
  [5110] = 4971,
  [5111] = 3120,
  [5112] = 2973,
  [5113] = 4966,
  [5114] = 3139,
  [5115] = 4966,
  [5116] = 2969,
  [5117] = 4964,
  [5118] = 2872,
  [5119] = 4963,
  [5120] = 4966,
  [5121] = 4964,
  [5122] = 4994,
  [5123] = 3136,
  [5124] = 4966,
  [5125] = 155,
  [5126] = 5126,
  [5127] = 5127,
  [5128] = 5128,
  [5129] = 2875,
  [5130] = 2878,
  [5131] = 2879,
  [5132] = 2602,
  [5133] = 154,
  [5134] = 155,
  [5135] = 2909,
  [5136] = 4994,
  [5137] = 4964,
  [5138] = 5138,
  [5139] = 2698,
  [5140] = 2705,
  [5141] = 2953,
  [5142] = 5142,
  [5143] = 5143,
  [5144] = 3147,
  [5145] = 2824,
  [5146] = 2823,
  [5147] = 2644,
  [5148] = 3120,
  [5149] = 5149,
  [5150] = 2822,
  [5151] = 2770,
  [5152] = 4996,
  [5153] = 2844,
  [5154] = 5154,
  [5155] = 3112,
  [5156] = 2680,
  [5157] = 5157,
  [5158] = 5158,
  [5159] = 5154,
  [5160] = 5160,
  [5161] = 3211,
  [5162] = 3233,
  [5163] = 5154,
  [5164] = 5164,
  [5165] = 2657,
  [5166] = 4992,
  [5167] = 3175,
  [5168] = 2816,
  [5169] = 5169,
  [5170] = 5170,
  [5171] = 5171,
  [5172] = 3115,
  [5173] = 3111,
  [5174] = 3117,
  [5175] = 5175,
  [5176] = 3118,
  [5177] = 3165,
  [5178] = 2777,
  [5179] = 5179,
  [5180] = 5180,
  [5181] = 5157,
  [5182] = 3122,
  [5183] = 5157,
  [5184] = 2679,
  [5185] = 3151,
  [5186] = 3165,
  [5187] = 5187,
  [5188] = 4760,
  [5189] = 5154,
  [5190] = 5170,
  [5191] = 5157,
  [5192] = 3132,
  [5193] = 5193,
  [5194] = 2775,
  [5195] = 5154,
  [5196] = 3111,
  [5197] = 5170,
  [5198] = 5198,
  [5199] = 4878,
  [5200] = 2337,
  [5201] = 3112,
  [5202] = 5170,
  [5203] = 3147,
  [5204] = 3136,
  [5205] = 3139,
  [5206] = 2068,
  [5207] = 5207,
  [5208] = 3133,
  [5209] = 3175,
  [5210] = 5210,
  [5211] = 2815,
  [5212] = 3159,
  [5213] = 5213,
  [5214] = 3115,
  [5215] = 4991,
  [5216] = 5170,
  [5217] = 3117,
  [5218] = 4985,
  [5219] = 5154,
  [5220] = 3120,
  [5221] = 3151,
  [5222] = 5222,
  [5223] = 3847,
  [5224] = 3118,
  [5225] = 3122,
  [5226] = 5226,
  [5227] = 4781,
  [5228] = 3127,
  [5229] = 3132,
  [5230] = 5154,
  [5231] = 5231,
  [5232] = 3199,
  [5233] = 3133,
  [5234] = 3159,
  [5235] = 5235,
  [5236] = 5207,
  [5237] = 5154,
  [5238] = 2329,
  [5239] = 5239,
  [5240] = 5170,
  [5241] = 3139,
  [5242] = 5242,
  [5243] = 2662,
  [5244] = 5170,
  [5245] = 2660,
  [5246] = 5157,
  [5247] = 5154,
  [5248] = 4779,
  [5249] = 5249,
  [5250] = 3180,
  [5251] = 1973,
  [5252] = 3136,
  [5253] = 3127,
  [5254] = 5157,
  [5255] = 5213,
  [5256] = 2681,
  [5257] = 5198,
  [5258] = 2659,
  [5259] = 2652,
  [5260] = 2815,
  [5261] = 5261,
  [5262] = 5262,
  [5263] = 5263,
  [5264] = 5264,
  [5265] = 5265,
  [5266] = 5263,
  [5267] = 2824,
  [5268] = 5262,
  [5269] = 5269,
  [5270] = 5270,
  [5271] = 5271,
  [5272] = 5272,
  [5273] = 5270,
  [5274] = 2246,
  [5275] = 5270,
  [5276] = 5276,
  [5277] = 5277,
  [5278] = 5278,
  [5279] = 5279,
  [5280] = 5280,
  [5281] = 3180,
  [5282] = 5264,
  [5283] = 5265,
  [5284] = 5261,
  [5285] = 5269,
  [5286] = 5262,
  [5287] = 3133,
  [5288] = 5288,
  [5289] = 5262,
  [5290] = 5264,
  [5291] = 5277,
  [5292] = 3132,
  [5293] = 5293,
  [5294] = 5263,
  [5295] = 5288,
  [5296] = 3199,
  [5297] = 5297,
  [5298] = 5298,
  [5299] = 5278,
  [5300] = 5277,
  [5301] = 5278,
  [5302] = 3159,
  [5303] = 5303,
  [5304] = 3139,
  [5305] = 5305,
  [5306] = 5263,
  [5307] = 5277,
  [5308] = 5261,
  [5309] = 5261,
  [5310] = 5261,
  [5311] = 5270,
  [5312] = 5312,
  [5313] = 5313,
  [5314] = 4992,
  [5315] = 5315,
  [5316] = 5316,
  [5317] = 3127,
  [5318] = 3122,
  [5319] = 3136,
  [5320] = 5303,
  [5321] = 5263,
  [5322] = 5322,
  [5323] = 3118,
  [5324] = 5262,
  [5325] = 3117,
  [5326] = 5313,
  [5327] = 5278,
  [5328] = 5297,
  [5329] = 5316,
  [5330] = 5297,
  [5331] = 5331,
  [5332] = 5303,
  [5333] = 3115,
  [5334] = 3175,
  [5335] = 5305,
  [5336] = 5336,
  [5337] = 4781,
  [5338] = 2128,
  [5339] = 5339,
  [5340] = 5265,
  [5341] = 4991,
  [5342] = 5261,
  [5343] = 5277,
  [5344] = 5303,
  [5345] = 5278,
  [5346] = 5276,
  [5347] = 2602,
  [5348] = 5303,
  [5349] = 5261,
  [5350] = 3147,
  [5351] = 3112,
  [5352] = 3111,
  [5353] = 3165,
  [5354] = 4985,
  [5355] = 5288,
  [5356] = 5303,
  [5357] = 5297,
  [5358] = 5358,
  [5359] = 3233,
  [5360] = 5261,
  [5361] = 5361,
  [5362] = 5362,
  [5363] = 5305,
  [5364] = 5288,
  [5365] = 5365,
  [5366] = 5261,
  [5367] = 3151,
  [5368] = 5270,
  [5369] = 5297,
  [5370] = 5262,
  [5371] = 5278,
  [5372] = 4985,
  [5373] = 5269,
  [5374] = 5277,
  [5375] = 5278,
  [5376] = 5262,
  [5377] = 5277,
  [5378] = 4991,
  [5379] = 5278,
  [5380] = 3211,
  [5381] = 5265,
  [5382] = 5264,
  [5383] = 5262,
  [5384] = 5278,
  [5385] = 5361,
  [5386] = 5277,
  [5387] = 5305,
  [5388] = 5303,
  [5389] = 5389,
  [5390] = 5305,
  [5391] = 5391,
  [5392] = 5297,
  [5393] = 2806,
  [5394] = 5297,
  [5395] = 5297,
  [5396] = 4996,
  [5397] = 5305,
  [5398] = 5265,
  [5399] = 5261,
  [5400] = 5303,
  [5401] = 5262,
  [5402] = 4996,
  [5403] = 5288,
  [5404] = 5261,
  [5405] = 5305,
  [5406] = 5303,
  [5407] = 5261,
  [5408] = 5339,
  [5409] = 5409,
  [5410] = 5269,
  [5411] = 5264,
  [5412] = 5412,
  [5413] = 5303,
  [5414] = 5269,
  [5415] = 3120,
  [5416] = 2816,
  [5417] = 2822,
  [5418] = 5261,
  [5419] = 2823,
  [5420] = 5420,
  [5421] = 5421,
  [5422] = 5305,
  [5423] = 5423,
  [5424] = 2844,
  [5425] = 5261,
  [5426] = 5288,
  [5427] = 4992,
  [5428] = 5265,
  [5429] = 5264,
  [5430] = 5269,
  [5431] = 4779,
  [5432] = 5303,
  [5433] = 5305,
  [5434] = 5261,
  [5435] = 2925,
  [5436] = 2972,
  [5437] = 1964,
  [5438] = 1961,
  [5439] = 1963,
  [5440] = 1962,
  [5441] = 1968,
  [5442] = 2808,
  [5443] = 2920,
  [5444] = 1965,
  [5445] = 2602,
  [5446] = 2775,
  [5447] = 2247,
  [5448] = 2921,
  [5449] = 2966,
  [5450] = 2627,
  [5451] = 2911,
  [5452] = 2868,
  [5453] = 2874,
  [5454] = 2652,
  [5455] = 2912,
  [5456] = 2659,
  [5457] = 2960,
  [5458] = 2660,
  [5459] = 5459,
  [5460] = 2662,
  [5461] = 2803,
  [5462] = 2977,
  [5463] = 5463,
  [5464] = 5459,
  [5465] = 2177,
  [5466] = 2887,
  [5467] = 4985,
  [5468] = 2965,
  [5469] = 1969,
  [5470] = 4996,
  [5471] = 4781,
  [5472] = 2673,
  [5473] = 2244,
  [5474] = 2679,
  [5475] = 2680,
  [5476] = 2879,
  [5477] = 2964,
  [5478] = 2657,
  [5479] = 2963,
  [5480] = 2886,
  [5481] = 2644,
  [5482] = 2014,
  [5483] = 2950,
  [5484] = 2935,
  [5485] = 2213,
  [5486] = 2207,
  [5487] = 2864,
  [5488] = 2947,
  [5489] = 2866,
  [5490] = 2878,
  [5491] = 2897,
  [5492] = 2973,
  [5493] = 2194,
  [5494] = 2938,
  [5495] = 2969,
  [5496] = 2875,
  [5497] = 4992,
  [5498] = 4779,
  [5499] = 2907,
  [5500] = 2128,
  [5501] = 2942,
  [5502] = 2951,
  [5503] = 2945,
  [5504] = 2953,
  [5505] = 2770,
  [5506] = 2916,
  [5507] = 2068,
  [5508] = 2857,
  [5509] = 2909,
  [5510] = 2872,
  [5511] = 2856,
  [5512] = 4991,
  [5513] = 2805,
  [5514] = 5514,
  [5515] = 5312,
  [5516] = 5514,
  [5517] = 5459,
  [5518] = 5514,
  [5519] = 4996,
  [5520] = 5514,
  [5521] = 4992,
  [5522] = 4781,
  [5523] = 5514,
  [5524] = 5514,
  [5525] = 5525,
  [5526] = 2329,
  [5527] = 2068,
  [5528] = 2337,
  [5529] = 5525,
  [5530] = 5525,
  [5531] = 2770,
  [5532] = 2128,
  [5533] = 5525,
  [5534] = 5525,
  [5535] = 5514,
  [5536] = 5514,
  [5537] = 5525,
  [5538] = 5280,
  [5539] = 5514,
  [5540] = 2225,
  [5541] = 5525,
  [5542] = 2337,
  [5543] = 5525,
  [5544] = 5525,
  [5545] = 4779,
  [5546] = 2478,
  [5547] = 2444,
  [5548] = 5525,
  [5549] = 2775,
  [5550] = 4991,
  [5551] = 4985,
  [5552] = 5420,
  [5553] = 5514,
  [5554] = 5554,
  [5555] = 2329,
  [5556] = 5459,
  [5557] = 5514,
  [5558] = 2681,
  [5559] = 5525,
  [5560] = 2246,
  [5561] = 5561,
  [5562] = 4779,
  [5563] = 2329,
  [5564] = 5564,
  [5565] = 4985,
  [5566] = 4781,
  [5567] = 2633,
  [5568] = 5561,
  [5569] = 4779,
  [5570] = 4991,
  [5571] = 2666,
  [5572] = 2644,
  [5573] = 5561,
  [5574] = 5561,
  [5575] = 5575,
  [5576] = 5575,
  [5577] = 2674,
  [5578] = 5459,
  [5579] = 2669,
  [5580] = 5561,
  [5581] = 2634,
  [5582] = 2217,
  [5583] = 2664,
  [5584] = 2635,
  [5585] = 5564,
  [5586] = 5575,
  [5587] = 4992,
  [5588] = 4996,
  [5589] = 5564,
  [5590] = 2676,
  [5591] = 5564,
  [5592] = 5561,
  [5593] = 2667,
  [5594] = 5575,
  [5595] = 2670,
  [5596] = 5459,
  [5597] = 5459,
  [5598] = 5575,
  [5599] = 2337,
  [5600] = 5459,
  [5601] = 5564,
  [5602] = 5564,
  [5603] = 5575,
  [5604] = 2661,
  [5605] = 5459,
  [5606] = 5564,
  [5607] = 5459,
  [5608] = 5564,
  [5609] = 5561,
  [5610] = 5575,
  [5611] = 2247,
  [5612] = 4781,
  [5613] = 5561,
  [5614] = 2632,
  [5615] = 5459,
  [5616] = 5459,
  [5617] = 5575,
  [5618] = 2644,
  [5619] = 2262,
  [5620] = 2249,
  [5621] = 2243,
  [5622] = 2279,
  [5623] = 5623,
  [5624] = 5623,
  [5625] = 5625,
  [5626] = 5626,
  [5627] = 5627,
  [5628] = 5623,
  [5629] = 5627,
  [5630] = 5626,
  [5631] = 5627,
  [5632] = 5623,
  [5633] = 5626,
  [5634] = 5627,
  [5635] = 5627,
  [5636] = 2275,
  [5637] = 5627,
  [5638] = 5623,
  [5639] = 2250,
  [5640] = 2221,
  [5641] = 2444,
  [5642] = 2239,
  [5643] = 2224,
  [5644] = 5644,
  [5645] = 5623,
  [5646] = 5623,
  [5647] = 5626,
  [5648] = 5627,
  [5649] = 2238,
  [5650] = 5627,
  [5651] = 5625,
  [5652] = 5626,
  [5653] = 5623,
  [5654] = 2267,
  [5655] = 5626,
  [5656] = 4996,
  [5657] = 5459,
  [5658] = 2261,
  [5659] = 2226,
  [5660] = 2273,
  [5661] = 2258,
  [5662] = 2259,
  [5663] = 2274,
  [5664] = 5627,
  [5665] = 2268,
  [5666] = 5627,
  [5667] = 4992,
  [5668] = 5623,
  [5669] = 2235,
  [5670] = 5626,
  [5671] = 2266,
  [5672] = 5627,
  [5673] = 2265,
  [5674] = 5674,
  [5675] = 5627,
  [5676] = 2257,
  [5677] = 2220,
  [5678] = 5623,
  [5679] = 5627,
  [5680] = 2276,
  [5681] = 5626,
  [5682] = 4991,
  [5683] = 5683,
  [5684] = 5627,
  [5685] = 5685,
  [5686] = 2263,
  [5687] = 2260,
  [5688] = 2272,
  [5689] = 4985,
  [5690] = 5626,
  [5691] = 5627,
  [5692] = 2227,
  [5693] = 5627,
  [5694] = 5627,
  [5695] = 2228,
  [5696] = 5623,
  [5697] = 5627,
  [5698] = 5459,
  [5699] = 2478,
  [5700] = 2254,
  [5701] = 2252,
  [5702] = 2229,
  [5703] = 2231,
  [5704] = 5626,
  [5705] = 2277,
  [5706] = 5627,
  [5707] = 5626,
  [5708] = 5644,
  [5709] = 5709,
  [5710] = 5710,
  [5711] = 2269,
  [5712] = 2234,
  [5713] = 2256,
  [5714] = 5459,
  [5715] = 5627,
  [5716] = 5627,
  [5717] = 5459,
  [5718] = 5718,
  [5719] = 4779,
  [5720] = 5625,
  [5721] = 2775,
  [5722] = 2669,
  [5723] = 5644,
  [5724] = 2674,
  [5725] = 2666,
  [5726] = 2770,
  [5727] = 4781,
  [5728] = 5728,
  [5729] = 5683,
  [5730] = 2670,
  [5731] = 2770,
  [5732] = 5728,
  [5733] = 2667,
  [5734] = 2775,
  [5735] = 4991,
  [5736] = 2770,
  [5737] = 2775,
  [5738] = 4996,
  [5739] = 2664,
  [5740] = 2632,
  [5741] = 2602,
  [5742] = 2633,
  [5743] = 5743,
  [5744] = 4996,
  [5745] = 2634,
  [5746] = 5459,
  [5747] = 4992,
  [5748] = 2635,
  [5749] = 5644,
  [5750] = 5743,
  [5751] = 2676,
  [5752] = 4991,
  [5753] = 5718,
  [5754] = 5625,
  [5755] = 5459,
  [5756] = 2661,
  [5757] = 4985,
  [5758] = 5644,
  [5759] = 4996,
  [5760] = 5644,
  [5761] = 5625,
  [5762] = 2276,
  [5763] = 5625,
  [5764] = 2279,
  [5765] = 4991,
  [5766] = 5625,
  [5767] = 4996,
  [5768] = 2275,
  [5769] = 4992,
  [5770] = 5644,
  [5771] = 5644,
  [5772] = 5644,
  [5773] = 5625,
  [5774] = 2068,
  [5775] = 5644,
  [5776] = 2217,
  [5777] = 5625,
  [5778] = 2226,
  [5779] = 5644,
  [5780] = 5625,
  [5781] = 4992,
  [5782] = 2068,
  [5783] = 3611,
  [5784] = 2098,
  [5785] = 2229,
  [5786] = 2131,
  [5787] = 5625,
  [5788] = 5644,
  [5789] = 5625,
  [5790] = 4985,
  [5791] = 2267,
  [5792] = 4985,
  [5793] = 4991,
  [5794] = 5625,
  [5795] = 2227,
  [5796] = 5796,
  [5797] = 2272,
  [5798] = 5798,
  [5799] = 5625,
  [5800] = 2263,
  [5801] = 5801,
  [5802] = 5459,
  [5803] = 2273,
  [5804] = 2644,
  [5805] = 2274,
  [5806] = 2461,
  [5807] = 2260,
  [5808] = 5808,
  [5809] = 2277,
  [5810] = 2262,
  [5811] = 2265,
  [5812] = 5798,
  [5813] = 5798,
  [5814] = 2243,
  [5815] = 2239,
  [5816] = 5796,
  [5817] = 2770,
  [5818] = 2235,
  [5819] = 2249,
  [5820] = 2250,
  [5821] = 5796,
  [5822] = 2234,
  [5823] = 2775,
  [5824] = 5824,
  [5825] = 2258,
  [5826] = 2257,
  [5827] = 2228,
  [5828] = 5459,
  [5829] = 5798,
  [5830] = 2256,
  [5831] = 5625,
  [5832] = 5798,
  [5833] = 5459,
  [5834] = 2254,
  [5835] = 2252,
  [5836] = 2224,
  [5837] = 2444,
  [5838] = 2238,
  [5839] = 5798,
  [5840] = 5644,
  [5841] = 5459,
  [5842] = 2231,
  [5843] = 5843,
  [5844] = 2478,
  [5845] = 2221,
  [5846] = 5798,
  [5847] = 5796,
  [5848] = 2173,
  [5849] = 5796,
  [5850] = 5644,
  [5851] = 5644,
  [5852] = 5644,
  [5853] = 5796,
  [5854] = 2244,
  [5855] = 2261,
  [5856] = 5798,
  [5857] = 2269,
  [5858] = 5625,
  [5859] = 2220,
  [5860] = 2266,
  [5861] = 2268,
  [5862] = 5798,
  [5863] = 2259,
  [5864] = 5864,
  [5865] = 5865,
  [5866] = 5866,
  [5867] = 5866,
  [5868] = 5866,
  [5869] = 5869,
  [5870] = 5866,
  [5871] = 2660,
  [5872] = 2662,
  [5873] = 2223,
  [5874] = 4992,
  [5875] = 3611,
  [5876] = 5644,
  [5877] = 5877,
  [5878] = 5878,
  [5879] = 5878,
  [5880] = 5880,
  [5881] = 5865,
  [5882] = 5882,
  [5883] = 5883,
  [5884] = 5866,
  [5885] = 5866,
  [5886] = 5866,
  [5887] = 5878,
  [5888] = 5877,
  [5889] = 5878,
  [5890] = 5883,
  [5891] = 5625,
  [5892] = 5882,
  [5893] = 5866,
  [5894] = 4996,
  [5895] = 5878,
  [5896] = 5880,
  [5897] = 5865,
  [5898] = 5877,
  [5899] = 5877,
  [5900] = 5877,
  [5901] = 5901,
  [5902] = 5824,
  [5903] = 5878,
  [5904] = 5869,
  [5905] = 5866,
  [5906] = 5869,
  [5907] = 5808,
  [5908] = 5878,
  [5909] = 5877,
  [5910] = 5877,
  [5911] = 5866,
  [5912] = 5912,
  [5913] = 5878,
  [5914] = 5866,
  [5915] = 5866,
  [5916] = 5877,
  [5917] = 5865,
  [5918] = 5878,
  [5919] = 5866,
  [5920] = 5920,
  [5921] = 5920,
  [5922] = 5880,
  [5923] = 5920,
  [5924] = 5920,
  [5925] = 5877,
  [5926] = 5869,
  [5927] = 5882,
  [5928] = 5928,
  [5929] = 5883,
  [5930] = 5878,
  [5931] = 5865,
  [5932] = 5877,
  [5933] = 5866,
  [5934] = 5878,
  [5935] = 5877,
  [5936] = 5883,
  [5937] = 5878,
  [5938] = 5869,
  [5939] = 5882,
  [5940] = 5880,
  [5941] = 2657,
  [5942] = 5882,
  [5943] = 5883,
  [5944] = 5880,
  [5945] = 5945,
  [5946] = 5869,
  [5947] = 5877,
  [5948] = 5869,
  [5949] = 2652,
  [5950] = 2679,
  [5951] = 2680,
  [5952] = 5877,
  [5953] = 5866,
  [5954] = 5878,
  [5955] = 5880,
  [5956] = 5877,
  [5957] = 5878,
  [5958] = 5865,
  [5959] = 5878,
  [5960] = 5866,
  [5961] = 5882,
  [5962] = 5880,
  [5963] = 5878,
  [5964] = 4985,
  [5965] = 5882,
  [5966] = 5883,
  [5967] = 5877,
  [5968] = 5883,
  [5969] = 5883,
  [5970] = 4991,
  [5971] = 5869,
  [5972] = 5882,
  [5973] = 5877,
  [5974] = 5880,
  [5975] = 5883,
  [5976] = 5877,
  [5977] = 5866,
  [5978] = 5882,
  [5979] = 5878,
  [5980] = 5877,
  [5981] = 5625,
  [5982] = 5878,
  [5983] = 2659,
  [5984] = 5920,
  [5985] = 5877,
  [5986] = 5866,
  [5987] = 5877,
  [5988] = 5878,
  [5989] = 5869,
  [5990] = 5866,
  [5991] = 5880,
  [5992] = 5878,
  [5993] = 5993,
  [5994] = 5866,
  [5995] = 5644,
  [5996] = 2669,
  [5997] = 5997,
  [5998] = 5997,
  [5999] = 5997,
  [6000] = 5997,
  [6001] = 5997,
  [6002] = 5997,
  [6003] = 2635,
  [6004] = 6004,
  [6005] = 5997,
  [6006] = 2755,
  [6007] = 6007,
  [6008] = 2661,
  [6009] = 5997,
  [6010] = 5997,
  [6011] = 5997,
  [6012] = 5997,
  [6013] = 2664,
  [6014] = 6014,
  [6015] = 5997,
  [6016] = 5997,
  [6017] = 2667,
  [6018] = 2670,
  [6019] = 5997,
  [6020] = 5997,
  [6021] = 2676,
  [6022] = 2633,
  [6023] = 2634,
  [6024] = 2632,
  [6025] = 2666,
  [6026] = 5997,
  [6027] = 6007,
  [6028] = 5997,
  [6029] = 2674,
  [6030] = 6014,
  [6031] = 5997,
  [6032] = 6004,
  [6033] = 5997,
  [6034] = 5997,
  [6035] = 6004,
  [6036] = 2681,
  [6037] = 5625,
  [6038] = 5644,
  [6039] = 6007,
  [6040] = 6014,
  [6041] = 6014,
  [6042] = 5625,
  [6043] = 6004,
  [6044] = 5625,
  [6045] = 6007,
  [6046] = 5625,
  [6047] = 5644,
  [6048] = 5644,
  [6049] = 5644,
  [6050] = 6014,
  [6051] = 6014,
  [6052] = 6007,
  [6053] = 6007,
  [6054] = 6014,
  [6055] = 6014,
  [6056] = 6004,
  [6057] = 6004,
  [6058] = 6004,
  [6059] = 6014,
  [6060] = 6007,
  [6061] = 6061,
  [6062] = 6004,
  [6063] = 6014,
  [6064] = 6007,
  [6065] = 6004,
  [6066] = 6007,
  [6067] = 6007,
  [6068] = 6004,
  [6069] = 6014,
  [6070] = 6007,
  [6071] = 6004,
  [6072] = 6014,
  [6073] = 4602,
  [6074] = 6004,
  [6075] = 6075,
  [6076] = 6007,
  [6077] = 6077,
  [6078] = 6007,
  [6079] = 6014,
  [6080] = 6077,
  [6081] = 6014,
  [6082] = 6004,
  [6083] = 6077,
  [6084] = 6077,
  [6085] = 6014,
  [6086] = 4637,
  [6087] = 6077,
  [6088] = 6007,
  [6089] = 6077,
  [6090] = 6004,
  [6091] = 6004,
  [6092] = 6077,
  [6093] = 6007,
  [6094] = 6077,
  [6095] = 6007,
  [6096] = 6014,
  [6097] = 6004,
  [6098] = 6077,
  [6099] = 6099,
  [6100] = 6099,
  [6101] = 6099,
  [6102] = 6004,
  [6103] = 2068,
  [6104] = 6007,
  [6105] = 6007,
  [6106] = 6004,
  [6107] = 6014,
  [6108] = 6014,
  [6109] = 6109,
  [6110] = 6109,
  [6111] = 6099,
  [6112] = 6109,
  [6113] = 6113,
  [6114] = 6114,
  [6115] = 6114,
  [6116] = 6116,
  [6117] = 6004,
  [6118] = 6007,
  [6119] = 6014,
  [6120] = 6116,
  [6121] = 6004,
  [6122] = 6014,
  [6123] = 6123,
  [6124] = 6124,
  [6125] = 6125,
  [6126] = 6126,
  [6127] = 6127,
  [6128] = 6127,
  [6129] = 6007,
  [6130] = 6007,
  [6131] = 6131,
  [6132] = 6114,
  [6133] = 6113,
  [6134] = 6134,
  [6135] = 6126,
  [6136] = 6116,
  [6137] = 6127,
  [6138] = 6138,
  [6139] = 6127,
  [6140] = 6116,
  [6141] = 6127,
  [6142] = 6116,
  [6143] = 6126,
  [6144] = 6127,
  [6145] = 6145,
  [6146] = 6146,
  [6147] = 6147,
  [6148] = 6116,
  [6149] = 6126,
  [6150] = 6146,
  [6151] = 6151,
  [6152] = 6152,
  [6153] = 6116,
  [6154] = 6154,
  [6155] = 6155,
  [6156] = 6156,
  [6157] = 6157,
  [6158] = 6146,
  [6159] = 6159,
  [6160] = 6099,
  [6161] = 6127,
  [6162] = 6145,
  [6163] = 6138,
  [6164] = 6127,
  [6165] = 6127,
  [6166] = 6116,
  [6167] = 6116,
  [6168] = 6125,
  [6169] = 6156,
  [6170] = 6114,
  [6171] = 6127,
  [6172] = 6116,
  [6173] = 6173,
  [6174] = 6007,
  [6175] = 6155,
  [6176] = 6157,
  [6177] = 6145,
  [6178] = 6014,
  [6179] = 6099,
  [6180] = 6180,
  [6181] = 6181,
  [6182] = 6182,
  [6183] = 2247,
  [6184] = 6127,
  [6185] = 6114,
  [6186] = 6114,
  [6187] = 6114,
  [6188] = 6131,
  [6189] = 6145,
  [6190] = 6116,
  [6191] = 6127,
  [6192] = 6124,
  [6193] = 6193,
  [6194] = 6004,
  [6195] = 6195,
  [6196] = 6014,
  [6197] = 6123,
  [6198] = 6198,
  [6199] = 6173,
  [6200] = 6114,
  [6201] = 6116,
  [6202] = 6116,
  [6203] = 6203,
  [6204] = 6127,
  [6205] = 6004,
  [6206] = 6113,
  [6207] = 6116,
  [6208] = 6116,
  [6209] = 6116,
  [6210] = 6127,
  [6211] = 6113,
  [6212] = 6127,
  [6213] = 6116,
  [6214] = 6147,
  [6215] = 6127,
  [6216] = 6114,
  [6217] = 6127,
  [6218] = 6116,
  [6219] = 6134,
  [6220] = 6126,
  [6221] = 6221,
  [6222] = 6182,
  [6223] = 6127,
  [6224] = 6224,
  [6225] = 6225,
  [6226] = 6225,
  [6227] = 6227,
  [6228] = 6228,
  [6229] = 6228,
  [6230] = 6230,
  [6231] = 6224,
  [6232] = 6232,
  [6233] = 6224,
  [6234] = 6228,
  [6235] = 6230,
  [6236] = 6225,
  [6237] = 6224,
  [6238] = 6227,
  [6239] = 6224,
  [6240] = 6228,
  [6241] = 6228,
  [6242] = 6228,
  [6243] = 6230,
  [6244] = 6227,
  [6245] = 6228,
  [6246] = 6230,
  [6247] = 6230,
  [6248] = 6099,
  [6249] = 6225,
  [6250] = 6224,
  [6251] = 6227,
  [6252] = 6230,
  [6253] = 6230,
  [6254] = 6230,
  [6255] = 6225,
  [6256] = 6181,
  [6257] = 6227,
  [6258] = 6227,
  [6259] = 6224,
  [6260] = 6227,
  [6261] = 6230,
  [6262] = 6225,
  [6263] = 6224,
  [6264] = 6230,
  [6265] = 6265,
  [6266] = 6228,
  [6267] = 6224,
  [6268] = 6224,
  [6269] = 6225,
  [6270] = 6228,
  [6271] = 6224,
  [6272] = 6230,
  [6273] = 6224,
  [6274] = 6228,
  [6275] = 6225,
  [6276] = 6225,
  [6277] = 6228,
  [6278] = 6225,
  [6279] = 6224,
  [6280] = 6224,
  [6281] = 6228,
  [6282] = 6227,
  [6283] = 6227,
  [6284] = 6265,
  [6285] = 6228,
  [6286] = 6225,
  [6287] = 6230,
  [6288] = 6225,
  [6289] = 6227,
  [6290] = 6227,
  [6291] = 6230,
  [6292] = 6292,
  [6293] = 6225,
  [6294] = 6227,
  [6295] = 6227,
  [6296] = 6224,
  [6297] = 6230,
  [6298] = 6228,
  [6299] = 6227,
  [6300] = 6227,
  [6301] = 6225,
  [6302] = 6225,
  [6303] = 6230,
  [6304] = 6230,
  [6305] = 6228,
  [6306] = 6225,
  [6307] = 6224,
  [6308] = 6227,
  [6309] = 6230,
  [6310] = 6228,
  [6311] = 6224,
  [6312] = 6228,
  [6313] = 6228,
  [6314] = 6225,
  [6315] = 6227,
  [6316] = 6227,
  [6317] = 6228,
  [6318] = 6227,
  [6319] = 6225,
  [6320] = 6225,
  [6321] = 6224,
  [6322] = 6230,
  [6323] = 6225,
  [6324] = 6224,
  [6325] = 6230,
  [6326] = 6224,
  [6327] = 6227,
  [6328] = 6230,
  [6329] = 6265,
  [6330] = 6228,
  [6331] = 6331,
  [6332] = 6332,
  [6333] = 6333,
  [6334] = 6332,
  [6335] = 6332,
  [6336] = 6336,
  [6337] = 6332,
  [6338] = 6332,
  [6339] = 6339,
  [6340] = 6340,
  [6341] = 6341,
  [6342] = 6332,
  [6343] = 6343,
  [6344] = 6344,
  [6345] = 6332,
  [6346] = 6341,
  [6347] = 6343,
  [6348] = 6341,
  [6349] = 6333,
  [6350] = 6341,
  [6351] = 6341,
  [6352] = 6333,
  [6353] = 6331,
  [6354] = 6354,
  [6355] = 6355,
  [6356] = 3199,
  [6357] = 6357,
  [6358] = 6343,
  [6359] = 6359,
  [6360] = 6360,
  [6361] = 6361,
  [6362] = 6362,
  [6363] = 6363,
  [6364] = 6364,
  [6365] = 6365,
  [6366] = 6366,
  [6367] = 6343,
  [6368] = 6368,
  [6369] = 6343,
  [6370] = 6332,
  [6371] = 6195,
  [6372] = 6341,
  [6373] = 6331,
  [6374] = 6374,
  [6375] = 6333,
  [6376] = 6193,
  [6377] = 6332,
  [6378] = 6332,
  [6379] = 6332,
  [6380] = 6343,
  [6381] = 6381,
  [6382] = 6333,
  [6383] = 6332,
  [6384] = 6332,
  [6385] = 6385,
  [6386] = 6341,
  [6387] = 6341,
  [6388] = 6343,
  [6389] = 3180,
  [6390] = 6099,
  [6391] = 6332,
  [6392] = 6343,
  [6393] = 6333,
  [6394] = 6343,
  [6395] = 6343,
  [6396] = 6331,
  [6397] = 6333,
  [6398] = 6333,
  [6399] = 6333,
  [6400] = 6341,
  [6401] = 6333,
  [6402] = 6343,
  [6403] = 6333,
  [6404] = 6404,
  [6405] = 2023,
  [6406] = 6406,
  [6407] = 6407,
  [6408] = 6408,
  [6409] = 6409,
  [6410] = 6409,
  [6411] = 6411,
  [6412] = 6099,
  [6413] = 2028,
  [6414] = 6361,
  [6415] = 6415,
  [6416] = 6407,
  [6417] = 6360,
  [6418] = 2673,
  [6419] = 6415,
  [6420] = 6359,
  [6421] = 2022,
  [6422] = 6411,
  [6423] = 6355,
  [6424] = 6354,
  [6425] = 6425,
  [6426] = 6426,
  [6427] = 6336,
  [6428] = 6428,
  [6429] = 6429,
  [6430] = 6430,
  [6431] = 6406,
  [6432] = 6432,
  [6433] = 6433,
  [6434] = 6407,
  [6435] = 2024,
  [6436] = 2026,
  [6437] = 6437,
  [6438] = 6438,
  [6439] = 6439,
  [6440] = 6426,
  [6441] = 6433,
  [6442] = 6442,
  [6443] = 6443,
  [6444] = 6444,
  [6445] = 6445,
  [6446] = 6407,
  [6447] = 2019,
  [6448] = 3199,
  [6449] = 6407,
  [6450] = 154,
  [6451] = 6451,
  [6452] = 6452,
  [6453] = 2032,
  [6454] = 6438,
  [6455] = 6455,
  [6456] = 6456,
  [6457] = 6407,
  [6458] = 6452,
  [6459] = 6456,
  [6460] = 6438,
  [6461] = 2021,
  [6462] = 155,
  [6463] = 6407,
  [6464] = 6407,
  [6465] = 6465,
  [6466] = 2027,
  [6467] = 6467,
  [6468] = 2030,
  [6469] = 6381,
  [6470] = 6408,
  [6471] = 2025,
  [6472] = 6407,
  [6473] = 6407,
  [6474] = 6415,
  [6475] = 6439,
  [6476] = 6344,
  [6477] = 2020,
  [6478] = 6426,
  [6479] = 6439,
  [6480] = 2017,
  [6481] = 2627,
  [6482] = 6433,
  [6483] = 6483,
  [6484] = 3180,
  [6485] = 2031,
  [6486] = 6365,
  [6487] = 6487,
  [6488] = 6362,
  [6489] = 6363,
  [6490] = 6364,
  [6491] = 6366,
  [6492] = 6407,
  [6493] = 6408,
  [6494] = 6494,
  [6495] = 6415,
  [6496] = 6426,
  [6497] = 6497,
  [6498] = 6407,
  [6499] = 2018,
  [6500] = 6368,
  [6501] = 6411,
  [6502] = 6497,
  [6503] = 6503,
  [6504] = 6504,
  [6505] = 6407,
  [6506] = 6506,
  [6507] = 6411,
  [6508] = 6508,
  [6509] = 6433,
  [6510] = 2627,
  [6511] = 6456,
  [6512] = 6452,
  [6513] = 6411,
  [6514] = 6407,
  [6515] = 6411,
  [6516] = 6415,
  [6517] = 6494,
  [6518] = 6438,
  [6519] = 6439,
  [6520] = 6456,
  [6521] = 6406,
  [6522] = 6409,
  [6523] = 6407,
  [6524] = 6497,
  [6525] = 6407,
  [6526] = 6526,
  [6527] = 6452,
  [6528] = 6494,
  [6529] = 6409,
  [6530] = 6504,
  [6531] = 6408,
  [6532] = 6452,
  [6533] = 6407,
  [6534] = 6534,
  [6535] = 6407,
  [6536] = 6407,
  [6537] = 2673,
  [6538] = 6407,
  [6539] = 6497,
  [6540] = 6426,
  [6541] = 6408,
  [6542] = 6438,
  [6543] = 6339,
  [6544] = 6433,
  [6545] = 6433,
  [6546] = 6438,
  [6547] = 6494,
  [6548] = 6408,
  [6549] = 6385,
  [6550] = 6406,
  [6551] = 6551,
  [6552] = 6426,
  [6553] = 6340,
  [6554] = 6374,
  [6555] = 6099,
  [6556] = 6408,
  [6557] = 6487,
  [6558] = 6558,
  [6559] = 6408,
  [6560] = 6426,
  [6561] = 6438,
  [6562] = 6438,
  [6563] = 6503,
  [6564] = 6433,
  [6565] = 2755,
  [6566] = 6433,
  [6567] = 6426,
  [6568] = 6437,
  [6569] = 6569,
  [6570] = 6570,
  [6571] = 6570,
  [6572] = 6572,
  [6573] = 6572,
  [6574] = 6570,
  [6575] = 6572,
  [6576] = 2329,
  [6577] = 6577,
  [6578] = 6578,
  [6579] = 6579,
  [6580] = 6572,
  [6581] = 6581,
  [6582] = 6582,
  [6583] = 6583,
  [6584] = 6433,
  [6585] = 6570,
  [6586] = 6586,
  [6587] = 6570,
  [6588] = 6570,
  [6589] = 6572,
  [6590] = 6099,
  [6591] = 6578,
  [6592] = 6592,
  [6593] = 6426,
  [6594] = 6572,
  [6595] = 6595,
  [6596] = 6572,
  [6597] = 6438,
  [6598] = 6572,
  [6599] = 6426,
  [6600] = 6600,
  [6601] = 6572,
  [6602] = 6602,
  [6603] = 6572,
  [6604] = 6604,
  [6605] = 6569,
  [6606] = 6569,
  [6607] = 6607,
  [6608] = 6408,
  [6609] = 6438,
  [6610] = 6572,
  [6611] = 6433,
  [6612] = 6426,
  [6613] = 6426,
  [6614] = 6614,
  [6615] = 6569,
  [6616] = 6570,
  [6617] = 6570,
  [6618] = 6433,
  [6619] = 6619,
  [6620] = 6438,
  [6621] = 6572,
  [6622] = 6408,
  [6623] = 6099,
  [6624] = 6569,
  [6625] = 6625,
  [6626] = 6438,
  [6627] = 6570,
  [6628] = 6628,
  [6629] = 6629,
  [6630] = 6630,
  [6631] = 6631,
  [6632] = 6632,
  [6633] = 6633,
  [6634] = 6408,
  [6635] = 6570,
  [6636] = 6636,
  [6637] = 6433,
  [6638] = 6569,
  [6639] = 6570,
  [6640] = 6408,
  [6641] = 2337,
  [6642] = 6570,
  [6643] = 6643,
  [6644] = 6494,
  [6645] = 6408,
  [6646] = 6456,
  [6647] = 6099,
  [6648] = 6099,
  [6649] = 6426,
  [6650] = 6494,
  [6651] = 6433,
  [6652] = 2043,
  [6653] = 2026,
  [6654] = 6439,
  [6655] = 2041,
  [6656] = 2032,
  [6657] = 6483,
  [6658] = 2673,
  [6659] = 2022,
  [6660] = 6438,
  [6661] = 1096,
  [6662] = 2021,
  [6663] = 2627,
  [6664] = 6664,
  [6665] = 2025,
  [6666] = 2028,
  [6667] = 6406,
  [6668] = 6668,
  [6669] = 2024,
  [6670] = 6426,
  [6671] = 6671,
  [6672] = 6409,
  [6673] = 6456,
  [6674] = 6438,
  [6675] = 2030,
  [6676] = 2027,
  [6677] = 2840,
  [6678] = 6439,
  [6679] = 6406,
  [6680] = 6680,
  [6681] = 1095,
  [6682] = 2031,
  [6683] = 154,
  [6684] = 2018,
  [6685] = 6526,
  [6686] = 155,
  [6687] = 2017,
  [6688] = 2046,
  [6689] = 6433,
  [6690] = 6408,
  [6691] = 2023,
  [6692] = 2019,
  [6693] = 6409,
  [6694] = 2020,
  [6695] = 6426,
  [6696] = 6696,
  [6697] = 6697,
  [6698] = 6698,
  [6699] = 6699,
  [6700] = 6700,
  [6701] = 6701,
  [6702] = 6702,
  [6703] = 2655,
  [6704] = 6701,
  [6705] = 6701,
  [6706] = 6702,
  [6707] = 6707,
  [6708] = 6702,
  [6709] = 6709,
  [6710] = 6710,
  [6711] = 6711,
  [6712] = 6709,
  [6713] = 2658,
  [6714] = 6714,
  [6715] = 6697,
  [6716] = 6711,
  [6717] = 6701,
  [6718] = 2820,
  [6719] = 6709,
  [6720] = 6711,
  [6721] = 6707,
  [6722] = 6698,
  [6723] = 6699,
  [6724] = 6700,
  [6725] = 6701,
  [6726] = 6702,
  [6727] = 6696,
  [6728] = 6728,
  [6729] = 6714,
  [6730] = 6697,
  [6731] = 6701,
  [6732] = 6433,
  [6733] = 6702,
  [6734] = 2923,
  [6735] = 6702,
  [6736] = 2755,
  [6737] = 6707,
  [6738] = 6702,
  [6739] = 2646,
  [6740] = 6697,
  [6741] = 6697,
  [6742] = 6698,
  [6743] = 6699,
  [6744] = 6700,
  [6745] = 6702,
  [6746] = 6697,
  [6747] = 6714,
  [6748] = 6408,
  [6749] = 6702,
  [6750] = 6702,
  [6751] = 2672,
  [6752] = 6408,
  [6753] = 6702,
  [6754] = 6696,
  [6755] = 6438,
  [6756] = 6701,
  [6757] = 6438,
  [6758] = 6433,
  [6759] = 6696,
  [6760] = 2970,
  [6761] = 6761,
  [6762] = 6697,
  [6763] = 6702,
  [6764] = 6697,
  [6765] = 6697,
  [6766] = 6696,
  [6767] = 6701,
  [6768] = 6701,
  [6769] = 6426,
  [6770] = 6631,
  [6771] = 6771,
  [6772] = 6586,
  [6773] = 6456,
  [6774] = 6771,
  [6775] = 6714,
  [6776] = 6709,
  [6777] = 6771,
  [6778] = 6636,
  [6779] = 6406,
  [6780] = 6099,
  [6781] = 6494,
  [6782] = 6782,
  [6783] = 6783,
  [6784] = 6782,
  [6785] = 6633,
  [6786] = 6619,
  [6787] = 6614,
  [6788] = 6788,
  [6789] = 6409,
  [6790] = 2673,
  [6791] = 6783,
  [6792] = 6406,
  [6793] = 6630,
  [6794] = 6783,
  [6795] = 6439,
  [6796] = 6456,
  [6797] = 6797,
  [6798] = 6406,
  [6799] = 6771,
  [6800] = 6456,
  [6801] = 6409,
  [6802] = 2673,
  [6803] = 6625,
  [6804] = 6711,
  [6805] = 6583,
  [6806] = 6771,
  [6807] = 6494,
  [6808] = 6409,
  [6809] = 6809,
  [6810] = 6771,
  [6811] = 6771,
  [6812] = 6629,
  [6813] = 6409,
  [6814] = 6439,
  [6815] = 6771,
  [6816] = 6783,
  [6817] = 6771,
  [6818] = 6783,
  [6819] = 6771,
  [6820] = 6771,
  [6821] = 6408,
  [6822] = 6582,
  [6823] = 6823,
  [6824] = 2627,
  [6825] = 6439,
  [6826] = 6771,
  [6827] = 6426,
  [6828] = 6426,
  [6829] = 6628,
  [6830] = 6494,
  [6831] = 6771,
  [6832] = 6439,
  [6833] = 6783,
  [6834] = 6834,
  [6835] = 6406,
  [6836] = 6771,
  [6837] = 6783,
  [6838] = 6771,
  [6839] = 6579,
  [6840] = 6632,
  [6841] = 6581,
  [6842] = 6433,
  [6843] = 6783,
  [6844] = 6771,
  [6845] = 1973,
  [6846] = 6846,
  [6847] = 6783,
  [6848] = 6602,
  [6849] = 6771,
  [6850] = 2689,
  [6851] = 6604,
  [6852] = 6852,
  [6853] = 6433,
  [6854] = 6809,
  [6855] = 6438,
  [6856] = 6771,
  [6857] = 6595,
  [6858] = 6600,
  [6859] = 2627,
  [6860] = 6823,
  [6861] = 6861,
  [6862] = 6771,
  [6863] = 6408,
  [6864] = 6700,
  [6865] = 6865,
  [6866] = 6699,
  [6867] = 6456,
  [6868] = 6438,
  [6869] = 6834,
  [6870] = 6494,
  [6871] = 6797,
  [6872] = 6771,
  [6873] = 6607,
  [6874] = 6874,
  [6875] = 6771,
  [6876] = 6698,
  [6877] = 6707,
  [6878] = 6878,
  [6879] = 6879,
  [6880] = 2859,
  [6881] = 2697,
  [6882] = 6882,
  [6883] = 2082,
  [6884] = 6879,
  [6885] = 6885,
  [6886] = 6886,
  [6887] = 6887,
  [6888] = 2086,
  [6889] = 6879,
  [6890] = 6885,
  [6891] = 6891,
  [6892] = 6886,
  [6893] = 6893,
  [6894] = 2746,
  [6895] = 6891,
  [6896] = 6896,
  [6897] = 6709,
  [6898] = 6887,
  [6899] = 6893,
  [6900] = 6711,
  [6901] = 6886,
  [6902] = 6893,
  [6903] = 6885,
  [6904] = 2696,
  [6905] = 6707,
  [6906] = 6879,
  [6907] = 6698,
  [6908] = 6699,
  [6909] = 6700,
  [6910] = 6714,
  [6911] = 6893,
  [6912] = 6879,
  [6913] = 6879,
  [6914] = 6885,
  [6915] = 2069,
  [6916] = 2075,
  [6917] = 6891,
  [6918] = 6891,
  [6919] = 6919,
  [6920] = 6891,
  [6921] = 2709,
  [6922] = 2710,
  [6923] = 6885,
  [6924] = 2717,
  [6925] = 6886,
  [6926] = 2718,
  [6927] = 6891,
  [6928] = 6886,
  [6929] = 2932,
  [6930] = 6885,
  [6931] = 6886,
  [6932] = 6932,
  [6933] = 6879,
  [6934] = 2758,
  [6935] = 6426,
  [6936] = 6891,
  [6937] = 6893,
  [6938] = 6891,
  [6939] = 6939,
  [6940] = 6433,
  [6941] = 6886,
  [6942] = 6942,
  [6943] = 6893,
  [6944] = 6438,
  [6945] = 6408,
  [6946] = 6426,
  [6947] = 6891,
  [6948] = 6433,
  [6949] = 6438,
  [6950] = 6709,
  [6951] = 6408,
  [6952] = 6891,
  [6953] = 6887,
  [6954] = 6711,
  [6955] = 6893,
  [6956] = 6891,
  [6957] = 2655,
  [6958] = 2658,
  [6959] = 6886,
  [6960] = 6707,
  [6961] = 6698,
  [6962] = 2646,
  [6963] = 6886,
  [6964] = 6885,
  [6965] = 6965,
  [6966] = 6699,
  [6967] = 6879,
  [6968] = 6700,
  [6969] = 6887,
  [6970] = 2949,
  [6971] = 6971,
  [6972] = 2739,
  [6973] = 6891,
  [6974] = 6887,
  [6975] = 2702,
  [6976] = 2672,
  [6977] = 6893,
  [6978] = 6887,
  [6979] = 6714,
  [6980] = 6980,
  [6981] = 6886,
  [6982] = 2863,
  [6983] = 6886,
  [6984] = 2865,
  [6985] = 6885,
  [6986] = 2862,
  [6987] = 6886,
  [6988] = 6988,
  [6989] = 6989,
  [6990] = 6879,
  [6991] = 6991,
  [6992] = 2861,
  [6993] = 2855,
  [6994] = 6893,
  [6995] = 6885,
  [6996] = 6456,
  [6997] = 6439,
  [6998] = 6998,
  [6999] = 6999,
  [7000] = 2627,
  [7001] = 7001,
  [7002] = 7002,
  [7003] = 7001,
  [7004] = 7001,
  [7005] = 7001,
  [7006] = 7001,
  [7007] = 2655,
  [7008] = 7008,
  [7009] = 7001,
  [7010] = 7010,
  [7011] = 7001,
  [7012] = 6408,
  [7013] = 6438,
  [7014] = 6433,
  [7015] = 6426,
  [7016] = 7016,
  [7017] = 7001,
  [7018] = 7018,
  [7019] = 2672,
  [7020] = 6797,
  [7021] = 7001,
  [7022] = 7001,
  [7023] = 7023,
  [7024] = 7024,
  [7025] = 7010,
  [7026] = 7001,
  [7027] = 6998,
  [7028] = 6834,
  [7029] = 7001,
  [7030] = 2646,
  [7031] = 7031,
  [7032] = 6998,
  [7033] = 7001,
  [7034] = 6438,
  [7035] = 6998,
  [7036] = 6433,
  [7037] = 6409,
  [7038] = 7001,
  [7039] = 6406,
  [7040] = 7001,
  [7041] = 6998,
  [7042] = 6700,
  [7043] = 6439,
  [7044] = 6699,
  [7045] = 6494,
  [7046] = 6698,
  [7047] = 7001,
  [7048] = 6426,
  [7049] = 7001,
  [7050] = 6707,
  [7051] = 6711,
  [7052] = 6709,
  [7053] = 2658,
  [7054] = 7001,
  [7055] = 7010,
  [7056] = 6409,
  [7057] = 6406,
  [7058] = 6809,
  [7059] = 6408,
  [7060] = 6782,
  [7061] = 6456,
  [7062] = 2689,
  [7063] = 7001,
  [7064] = 2673,
  [7065] = 7001,
  [7066] = 7010,
  [7067] = 6861,
  [7068] = 7010,
  [7069] = 7001,
  [7070] = 6823,
  [7071] = 6494,
  [7072] = 6714,
  [7073] = 2689,
  [7074] = 7074,
  [7075] = 7075,
  [7076] = 7076,
  [7077] = 7077,
  [7078] = 6699,
  [7079] = 6809,
  [7080] = 7080,
  [7081] = 7081,
  [7082] = 7082,
  [7083] = 7082,
  [7084] = 7084,
  [7085] = 6700,
  [7086] = 7075,
  [7087] = 7087,
  [7088] = 7075,
  [7089] = 6711,
  [7090] = 7082,
  [7091] = 6699,
  [7092] = 7092,
  [7093] = 7075,
  [7094] = 7082,
  [7095] = 7082,
  [7096] = 6494,
  [7097] = 7075,
  [7098] = 7098,
  [7099] = 6700,
  [7100] = 6409,
  [7101] = 7082,
  [7102] = 6494,
  [7103] = 2834,
  [7104] = 6439,
  [7105] = 7082,
  [7106] = 6698,
  [7107] = 6707,
  [7108] = 7075,
  [7109] = 6406,
  [7110] = 7110,
  [7111] = 7075,
  [7112] = 6711,
  [7113] = 7082,
  [7114] = 7114,
  [7115] = 7082,
  [7116] = 2627,
  [7117] = 2673,
  [7118] = 7118,
  [7119] = 6456,
  [7120] = 7120,
  [7121] = 6439,
  [7122] = 6456,
  [7123] = 6406,
  [7124] = 6409,
  [7125] = 6823,
  [7126] = 7075,
  [7127] = 6834,
  [7128] = 6782,
  [7129] = 7075,
  [7130] = 6709,
  [7131] = 7131,
  [7132] = 6797,
  [7133] = 7133,
  [7134] = 6714,
  [7135] = 7135,
  [7136] = 7136,
  [7137] = 7136,
  [7138] = 7138,
  [7139] = 7136,
  [7140] = 7140,
  [7141] = 1965,
  [7142] = 7136,
  [7143] = 7143,
  [7144] = 7136,
  [7145] = 7136,
  [7146] = 7136,
  [7147] = 7136,
  [7148] = 7136,
  [7149] = 1964,
  [7150] = 7136,
  [7151] = 1961,
  [7152] = 1968,
  [7153] = 7136,
  [7154] = 7154,
  [7155] = 7136,
  [7156] = 6714,
  [7157] = 1969,
  [7158] = 7138,
  [7159] = 1963,
  [7160] = 6700,
  [7161] = 7161,
  [7162] = 6699,
  [7163] = 7163,
  [7164] = 7164,
  [7165] = 6698,
  [7166] = 7136,
  [7167] = 7167,
  [7168] = 7136,
  [7169] = 6709,
  [7170] = 7136,
  [7171] = 6711,
  [7172] = 1962,
  [7173] = 7173,
  [7174] = 6707,
  [7175] = 7175,
  [7176] = 7176,
  [7177] = 7175,
  [7178] = 6664,
  [7179] = 7175,
  [7180] = 7175,
  [7181] = 7175,
  [7182] = 7175,
  [7183] = 6707,
  [7184] = 6698,
  [7185] = 7175,
  [7186] = 7175,
  [7187] = 7175,
  [7188] = 2627,
  [7189] = 7176,
  [7190] = 6711,
  [7191] = 6699,
  [7192] = 6709,
  [7193] = 6700,
  [7194] = 7175,
  [7195] = 6680,
  [7196] = 7175,
  [7197] = 2673,
  [7198] = 7198,
  [7199] = 7176,
  [7200] = 6714,
  [7201] = 7175,
  [7202] = 7175,
  [7203] = 7176,
  [7204] = 7175,
  [7205] = 7175,
  [7206] = 7175,
  [7207] = 7175,
  [7208] = 7198,
  [7209] = 7198,
  [7210] = 7198,
  [7211] = 7198,
  [7212] = 7212,
  [7213] = 7175,
  [7214] = 7175,
  [7215] = 7176,
  [7216] = 7175,
  [7217] = 7175,
  [7218] = 7175,
  [7219] = 7176,
  [7220] = 7176,
  [7221] = 7175,
  [7222] = 7176,
  [7223] = 7223,
  [7224] = 7176,
  [7225] = 7225,
  [7226] = 6664,
  [7227] = 7227,
  [7228] = 7228,
  [7229] = 6680,
  [7230] = 7230,
  [7231] = 7231,
  [7232] = 7225,
  [7233] = 7227,
  [7234] = 7230,
  [7235] = 7235,
  [7236] = 7230,
  [7237] = 7227,
  [7238] = 7238,
  [7239] = 7239,
  [7240] = 7240,
  [7241] = 7241,
  [7242] = 7230,
  [7243] = 6714,
  [7244] = 7230,
  [7245] = 7245,
  [7246] = 6865,
  [7247] = 7230,
  [7248] = 6709,
  [7249] = 2820,
  [7250] = 7250,
  [7251] = 6809,
  [7252] = 6711,
  [7253] = 6874,
  [7254] = 7254,
  [7255] = 6788,
  [7256] = 7256,
  [7257] = 7225,
  [7258] = 7230,
  [7259] = 6834,
  [7260] = 7260,
  [7261] = 7261,
  [7262] = 7262,
  [7263] = 7263,
  [7264] = 6700,
  [7265] = 7265,
  [7266] = 6699,
  [7267] = 6782,
  [7268] = 6852,
  [7269] = 7269,
  [7270] = 6797,
  [7271] = 7230,
  [7272] = 7227,
  [7273] = 7273,
  [7274] = 7274,
  [7275] = 6698,
  [7276] = 6823,
  [7277] = 6707,
  [7278] = 7278,
  [7279] = 7279,
  [7280] = 7230,
  [7281] = 7225,
  [7282] = 7282,
  [7283] = 7283,
  [7284] = 6846,
  [7285] = 7227,
  [7286] = 7225,
  [7287] = 7287,
  [7288] = 6714,
  [7289] = 6711,
  [7290] = 6714,
  [7291] = 7291,
  [7292] = 7292,
  [7293] = 2646,
  [7294] = 7294,
  [7295] = 7295,
  [7296] = 2767,
  [7297] = 7291,
  [7298] = 2820,
  [7299] = 7299,
  [7300] = 7291,
  [7301] = 7301,
  [7302] = 7302,
  [7303] = 7291,
  [7304] = 6698,
  [7305] = 7287,
  [7306] = 7306,
  [7307] = 7301,
  [7308] = 7301,
  [7309] = 7287,
  [7310] = 7310,
  [7311] = 7287,
  [7312] = 7301,
  [7313] = 6709,
  [7314] = 7314,
  [7315] = 2655,
  [7316] = 2672,
  [7317] = 7317,
  [7318] = 7301,
  [7319] = 6700,
  [7320] = 2799,
  [7321] = 6700,
  [7322] = 6699,
  [7323] = 6698,
  [7324] = 6699,
  [7325] = 6709,
  [7326] = 7287,
  [7327] = 2779,
  [7328] = 7291,
  [7329] = 6711,
  [7330] = 2658,
  [7331] = 7331,
  [7332] = 6707,
  [7333] = 6707,
  [7334] = 7334,
  [7335] = 7335,
  [7336] = 7336,
  [7337] = 7337,
  [7338] = 7338,
  [7339] = 7337,
  [7340] = 7340,
  [7341] = 7341,
  [7342] = 7342,
  [7343] = 7337,
  [7344] = 7344,
  [7345] = 7345,
  [7346] = 7335,
  [7347] = 7347,
  [7348] = 7344,
  [7349] = 7335,
  [7350] = 7335,
  [7351] = 7351,
  [7352] = 7340,
  [7353] = 7344,
  [7354] = 7340,
  [7355] = 7241,
  [7356] = 7031,
  [7357] = 7283,
  [7358] = 7340,
  [7359] = 7344,
  [7360] = 7360,
  [7361] = 7018,
  [7362] = 7344,
  [7363] = 7337,
  [7364] = 7344,
  [7365] = 7337,
  [7366] = 7366,
  [7367] = 7337,
  [7368] = 7344,
  [7369] = 7340,
  [7370] = 7370,
  [7371] = 7344,
  [7372] = 2820,
  [7373] = 7373,
  [7374] = 7374,
  [7375] = 7008,
  [7376] = 2689,
  [7377] = 7377,
  [7378] = 7337,
  [7379] = 7379,
  [7380] = 7380,
  [7381] = 7336,
  [7382] = 7335,
  [7383] = 7377,
  [7384] = 7340,
  [7385] = 7340,
  [7386] = 7278,
  [7387] = 7337,
  [7388] = 7388,
  [7389] = 7344,
  [7390] = 7335,
  [7391] = 7337,
  [7392] = 7335,
  [7393] = 7340,
  [7394] = 7335,
  [7395] = 7340,
  [7396] = 2820,
  [7397] = 7397,
  [7398] = 7335,
  [7399] = 6707,
  [7400] = 7317,
  [7401] = 7401,
  [7402] = 7402,
  [7403] = 7401,
  [7404] = 7404,
  [7405] = 7405,
  [7406] = 2820,
  [7407] = 7407,
  [7408] = 7408,
  [7409] = 6709,
  [7410] = 7410,
  [7411] = 7401,
  [7412] = 7412,
  [7413] = 7407,
  [7414] = 6711,
  [7415] = 7415,
  [7416] = 7404,
  [7417] = 7410,
  [7418] = 7407,
  [7419] = 6700,
  [7420] = 7420,
  [7421] = 7408,
  [7422] = 6699,
  [7423] = 7405,
  [7424] = 7405,
  [7425] = 7425,
  [7426] = 7415,
  [7427] = 7412,
  [7428] = 6698,
  [7429] = 7429,
  [7430] = 7425,
  [7431] = 2820,
  [7432] = 7405,
  [7433] = 7433,
  [7434] = 7410,
  [7435] = 7405,
  [7436] = 7401,
  [7437] = 7437,
  [7438] = 7433,
  [7439] = 7412,
  [7440] = 7440,
  [7441] = 6714,
  [7442] = 7442,
  [7443] = 7401,
  [7444] = 7425,
  [7445] = 7440,
  [7446] = 7408,
  [7447] = 7415,
  [7448] = 7448,
  [7449] = 7449,
  [7450] = 7440,
  [7451] = 7451,
  [7452] = 7448,
  [7453] = 7429,
  [7454] = 7454,
  [7455] = 7455,
  [7456] = 7401,
  [7457] = 7440,
  [7458] = 7448,
  [7459] = 7410,
  [7460] = 7412,
  [7461] = 7448,
  [7462] = 7425,
  [7463] = 7408,
  [7464] = 7464,
  [7465] = 7407,
  [7466] = 7415,
  [7467] = 2776,
  [7468] = 7468,
  [7469] = 7469,
  [7470] = 7469,
  [7471] = 7471,
  [7472] = 7472,
  [7473] = 7345,
  [7474] = 7474,
  [7475] = 7475,
  [7476] = 7476,
  [7477] = 7477,
  [7478] = 7478,
  [7479] = 7479,
  [7480] = 7480,
  [7481] = 7468,
  [7482] = 7482,
  [7483] = 7483,
  [7484] = 7475,
  [7485] = 7485,
  [7486] = 7469,
  [7487] = 7476,
  [7488] = 7488,
  [7489] = 7485,
  [7490] = 7490,
  [7491] = 7491,
  [7492] = 7472,
  [7493] = 7493,
  [7494] = 7494,
  [7495] = 7471,
  [7496] = 7472,
  [7497] = 7497,
  [7498] = 7498,
  [7499] = 7493,
  [7500] = 7500,
  [7501] = 7494,
  [7502] = 7502,
  [7503] = 7503,
  [7504] = 7478,
  [7505] = 7505,
  [7506] = 7506,
  [7507] = 7468,
  [7508] = 7482,
  [7509] = 7482,
  [7510] = 7468,
  [7511] = 7511,
  [7512] = 7477,
  [7513] = 7513,
  [7514] = 7474,
  [7515] = 7502,
  [7516] = 7516,
  [7517] = 7516,
  [7518] = 7488,
  [7519] = 7513,
  [7520] = 7503,
  [7521] = 7494,
  [7522] = 7493,
  [7523] = 7523,
  [7524] = 7485,
  [7525] = 7488,
  [7526] = 7469,
  [7527] = 7477,
  [7528] = 7490,
  [7529] = 7491,
  [7530] = 7474,
  [7531] = 7503,
  [7532] = 7476,
  [7533] = 7480,
  [7534] = 7491,
  [7535] = 7511,
  [7536] = 7475,
  [7537] = 7472,
  [7538] = 7477,
  [7539] = 7471,
  [7540] = 7474,
  [7541] = 7478,
  [7542] = 7490,
  [7543] = 7468,
  [7544] = 7482,
  [7545] = 7477,
  [7546] = 7474,
  [7547] = 7480,
  [7548] = 7548,
  [7549] = 7469,
  [7550] = 7477,
  [7551] = 7477,
  [7552] = 7474,
  [7553] = 7490,
  [7554] = 7488,
  [7555] = 7555,
  [7556] = 7491,
  [7557] = 7557,
  [7558] = 7558,
  [7559] = 7477,
  [7560] = 7474,
  [7561] = 7482,
  [7562] = 7493,
  [7563] = 7494,
  [7564] = 7468,
  [7565] = 7493,
  [7566] = 7502,
  [7567] = 7502,
  [7568] = 7491,
  [7569] = 7503,
  [7570] = 7493,
  [7571] = 7502,
  [7572] = 7478,
  [7573] = 7472,
  [7574] = 7516,
  [7575] = 7493,
  [7576] = 7502,
  [7577] = 7502,
  [7578] = 7516,
  [7579] = 7477,
  [7580] = 7580,
  [7581] = 7513,
  [7582] = 7472,
  [7583] = 7513,
  [7584] = 7584,
  [7585] = 7493,
  [7586] = 7502,
  [7587] = 7471,
  [7588] = 7472,
  [7589] = 7478,
  [7590] = 7493,
  [7591] = 7503,
  [7592] = 7503,
  [7593] = 7502,
  [7594] = 7494,
  [7595] = 7494,
  [7596] = 7493,
  [7597] = 7516,
  [7598] = 7513,
  [7599] = 7472,
  [7600] = 7472,
  [7601] = 7601,
  [7602] = 7493,
  [7603] = 7485,
  [7604] = 7502,
  [7605] = 7488,
  [7606] = 7502,
  [7607] = 7488,
  [7608] = 7472,
  [7609] = 7469,
  [7610] = 7493,
  [7611] = 7469,
  [7612] = 7502,
  [7613] = 7476,
  [7614] = 7472,
  [7615] = 7480,
  [7616] = 7493,
  [7617] = 7494,
  [7618] = 7476,
  [7619] = 7502,
  [7620] = 7502,
  [7621] = 7475,
  [7622] = 7475,
  [7623] = 7474,
  [7624] = 7472,
  [7625] = 7493,
  [7626] = 7494,
  [7627] = 7513,
  [7628] = 7471,
  [7629] = 7472,
  [7630] = 7502,
  [7631] = 7480,
  [7632] = 7475,
  [7633] = 7471,
  [7634] = 7490,
  [7635] = 7476,
  [7636] = 7478,
  [7637] = 6664,
  [7638] = 7472,
  [7639] = 7475,
  [7640] = 7493,
  [7641] = 7469,
  [7642] = 7472,
  [7643] = 7493,
  [7644] = 7644,
  [7645] = 7645,
  [7646] = 7494,
  [7647] = 7471,
  [7648] = 7503,
  [7649] = 7478,
  [7650] = 7650,
  [7651] = 7469,
  [7652] = 7490,
  [7653] = 7653,
  [7654] = 7468,
  [7655] = 7502,
  [7656] = 7482,
  [7657] = 7488,
  [7658] = 7658,
  [7659] = 7485,
  [7660] = 7511,
  [7661] = 7478,
  [7662] = 7491,
  [7663] = 7490,
  [7664] = 7475,
  [7665] = 7468,
  [7666] = 7482,
  [7667] = 7493,
  [7668] = 7482,
  [7669] = 7478,
  [7670] = 7494,
  [7671] = 7472,
  [7672] = 7491,
  [7673] = 7475,
  [7674] = 7503,
  [7675] = 7476,
  [7676] = 7676,
  [7677] = 7476,
  [7678] = 7469,
  [7679] = 7488,
  [7680] = 7513,
  [7681] = 7493,
  [7682] = 7494,
  [7683] = 7503,
  [7684] = 7503,
  [7685] = 7490,
  [7686] = 7491,
  [7687] = 7490,
  [7688] = 7516,
  [7689] = 7502,
  [7690] = 7490,
  [7691] = 7502,
  [7692] = 7491,
  [7693] = 7491,
  [7694] = 7490,
  [7695] = 7653,
  [7696] = 7696,
  [7697] = 7482,
  [7698] = 7468,
  [7699] = 7511,
  [7700] = 7478,
  [7701] = 7701,
  [7702] = 7653,
  [7703] = 7511,
  [7704] = 7653,
  [7705] = 7511,
  [7706] = 7472,
  [7707] = 7475,
  [7708] = 7653,
  [7709] = 7516,
  [7710] = 7480,
  [7711] = 7711,
  [7712] = 7476,
  [7713] = 7475,
  [7714] = 7469,
  [7715] = 7488,
  [7716] = 7493,
  [7717] = 7494,
  [7718] = 7503,
  [7719] = 7513,
  [7720] = 7503,
  [7721] = 7721,
  [7722] = 7502,
  [7723] = 7475,
  [7724] = 7503,
  [7725] = 7494,
  [7726] = 7493,
  [7727] = 7727,
  [7728] = 7728,
  [7729] = 7511,
  [7730] = 7468,
  [7731] = 7482,
  [7732] = 7468,
  [7733] = 7653,
  [7734] = 7734,
  [7735] = 7478,
  [7736] = 7502,
  [7737] = 7737,
  [7738] = 7475,
  [7739] = 7739,
  [7740] = 7476,
  [7741] = 7653,
  [7742] = 7516,
  [7743] = 7482,
  [7744] = 7502,
  [7745] = 7511,
  [7746] = 7653,
  [7747] = 7747,
  [7748] = 7476,
  [7749] = 7472,
  [7750] = 7511,
  [7751] = 7469,
  [7752] = 7653,
  [7753] = 7753,
  [7754] = 7474,
  [7755] = 7653,
  [7756] = 7471,
  [7757] = 7757,
  [7758] = 7758,
  [7759] = 7503,
  [7760] = 7511,
  [7761] = 7494,
  [7762] = 7493,
  [7763] = 7478,
  [7764] = 7472,
  [7765] = 7488,
  [7766] = 7471,
  [7767] = 7653,
  [7768] = 7480,
  [7769] = 7769,
  [7770] = 7491,
  [7771] = 7488,
  [7772] = 7772,
  [7773] = 7511,
  [7774] = 7516,
  [7775] = 7475,
  [7776] = 7490,
  [7777] = 7777,
  [7778] = 7778,
  [7779] = 7779,
  [7780] = 7780,
  [7781] = 7781,
  [7782] = 7782,
  [7783] = 7783,
  [7784] = 7784,
  [7785] = 7783,
  [7786] = 7779,
  [7787] = 7787,
  [7788] = 7788,
  [7789] = 7789,
  [7790] = 7790,
  [7791] = 7791,
  [7792] = 7789,
  [7793] = 7793,
  [7794] = 7794,
  [7795] = 7794,
  [7796] = 7781,
  [7797] = 7797,
  [7798] = 7798,
  [7799] = 7791,
  [7800] = 7800,
  [7801] = 7801,
  [7802] = 7780,
  [7803] = 7803,
  [7804] = 7804,
  [7805] = 7805,
  [7806] = 7800,
  [7807] = 7807,
  [7808] = 7807,
  [7809] = 7809,
  [7810] = 7807,
  [7811] = 7800,
  [7812] = 7777,
  [7813] = 7807,
  [7814] = 7789,
  [7815] = 7790,
  [7816] = 7800,
  [7817] = 7801,
  [7818] = 7818,
  [7819] = 7797,
  [7820] = 7779,
  [7821] = 7783,
  [7822] = 7781,
  [7823] = 7823,
  [7824] = 7824,
  [7825] = 7825,
  [7826] = 7780,
  [7827] = 7827,
  [7828] = 7801,
  [7829] = 7829,
  [7830] = 7794,
  [7831] = 7831,
  [7832] = 7797,
  [7833] = 7777,
  [7834] = 7834,
  [7835] = 7835,
  [7836] = 7836,
  [7837] = 7837,
  [7838] = 7838,
  [7839] = 7839,
  [7840] = 7831,
  [7841] = 7835,
  [7842] = 7837,
  [7843] = 7838,
  [7844] = 7844,
  [7845] = 7845,
  [7846] = 7839,
  [7847] = 7847,
  [7848] = 7845,
  [7849] = 7847,
  [7850] = 7850,
  [7851] = 7851,
  [7852] = 7852,
  [7853] = 7853,
  [7854] = 7854,
  [7855] = 7855,
  [7856] = 7856,
  [7857] = 7857,
  [7858] = 7858,
  [7859] = 7789,
  [7860] = 7860,
  [7861] = 7861,
  [7862] = 7862,
  [7863] = 7791,
  [7864] = 7791,
  [7865] = 7790,
  [7866] = 7838,
  [7867] = 7824,
  [7868] = 7851,
  [7869] = 7241,
  [7870] = 7818,
  [7871] = 7853,
  [7872] = 7854,
  [7873] = 7779,
  [7874] = 7783,
  [7875] = 7779,
  [7876] = 7856,
  [7877] = 7781,
  [7878] = 7857,
  [7879] = 7856,
  [7880] = 7857,
  [7881] = 7780,
  [7882] = 7882,
  [7883] = 7861,
  [7884] = 7884,
  [7885] = 7885,
  [7886] = 7787,
  [7887] = 7887,
  [7888] = 7888,
  [7889] = 7889,
  [7890] = 7809,
  [7891] = 7783,
  [7892] = 7781,
  [7893] = 7893,
  [7894] = 7829,
  [7895] = 7895,
  [7896] = 7896,
  [7897] = 7839,
  [7898] = 7777,
  [7899] = 7791,
  [7900] = 7900,
  [7901] = 7901,
  [7902] = 7902,
  [7903] = 7831,
  [7904] = 7777,
  [7905] = 7797,
  [7906] = 7906,
  [7907] = 7835,
  [7908] = 7854,
  [7909] = 7801,
  [7910] = 7801,
  [7911] = 7837,
  [7912] = 2820,
  [7913] = 7838,
  [7914] = 7914,
  [7915] = 7787,
  [7916] = 7829,
  [7917] = 7917,
  [7918] = 7839,
  [7919] = 7807,
  [7920] = 7805,
  [7921] = 7831,
  [7922] = 7805,
  [7923] = 7824,
  [7924] = 7924,
  [7925] = 7887,
  [7926] = 7790,
  [7927] = 7835,
  [7928] = 7928,
  [7929] = 7829,
  [7930] = 7930,
  [7931] = 7779,
  [7932] = 7783,
  [7933] = 7781,
  [7934] = 7861,
  [7935] = 7935,
  [7936] = 7857,
  [7937] = 7837,
  [7938] = 7856,
  [7939] = 7854,
  [7940] = 7839,
  [7941] = 7853,
  [7942] = 7824,
  [7943] = 7835,
  [7944] = 7837,
  [7945] = 7838,
  [7946] = 7787,
  [7947] = 7947,
  [7948] = 7948,
  [7949] = 7845,
  [7950] = 7950,
  [7951] = 7845,
  [7952] = 7853,
  [7953] = 7818,
  [7954] = 7824,
  [7955] = 7838,
  [7956] = 7887,
  [7957] = 7861,
  [7958] = 7958,
  [7959] = 7851,
  [7960] = 7800,
  [7961] = 7831,
  [7962] = 7835,
  [7963] = 7857,
  [7964] = 7856,
  [7965] = 7965,
  [7966] = 7854,
  [7967] = 7837,
  [7968] = 7838,
  [7969] = 7847,
  [7970] = 7853,
  [7971] = 7971,
  [7972] = 7791,
  [7973] = 7851,
  [7974] = 7805,
  [7975] = 7847,
  [7976] = 7976,
  [7977] = 7977,
  [7978] = 7851,
  [7979] = 7979,
  [7980] = 7845,
  [7981] = 7845,
  [7982] = 7982,
  [7983] = 7797,
  [7984] = 7847,
  [7985] = 7801,
  [7986] = 7851,
  [7987] = 7987,
  [7988] = 7988,
  [7989] = 7847,
  [7990] = 7837,
  [7991] = 7887,
  [7992] = 7914,
  [7993] = 7835,
  [7994] = 7845,
  [7995] = 7801,
  [7996] = 7853,
  [7997] = 7831,
  [7998] = 7787,
  [7999] = 7839,
  [8000] = 8000,
  [8001] = 7861,
  [8002] = 7829,
  [8003] = 7800,
  [8004] = 7807,
  [8005] = 7854,
  [8006] = 7809,
  [8007] = 7797,
  [8008] = 7856,
  [8009] = 7857,
  [8010] = 7851,
  [8011] = 7790,
  [8012] = 7860,
  [8013] = 7818,
  [8014] = 7857,
  [8015] = 7838,
  [8016] = 8016,
  [8017] = 7837,
  [8018] = 8018,
  [8019] = 7835,
  [8020] = 7831,
  [8021] = 7856,
  [8022] = 7794,
  [8023] = 7777,
  [8024] = 8024,
  [8025] = 7835,
  [8026] = 7837,
  [8027] = 7838,
  [8028] = 8028,
  [8029] = 7789,
  [8030] = 7790,
  [8031] = 7854,
  [8032] = 8032,
  [8033] = 7853,
  [8034] = 7839,
  [8035] = 7791,
  [8036] = 7829,
  [8037] = 7779,
  [8038] = 8038,
  [8039] = 7783,
  [8040] = 7853,
  [8041] = 7781,
  [8042] = 8042,
  [8043] = 7798,
  [8044] = 7780,
  [8045] = 7803,
  [8046] = 7851,
  [8047] = 7790,
  [8048] = 7780,
  [8049] = 8049,
  [8050] = 8050,
  [8051] = 7887,
  [8052] = 7797,
  [8053] = 7860,
  [8054] = 7798,
  [8055] = 7854,
  [8056] = 7781,
  [8057] = 7783,
  [8058] = 7779,
  [8059] = 7801,
  [8060] = 7856,
  [8061] = 8061,
  [8062] = 8062,
  [8063] = 7857,
  [8064] = 7780,
  [8065] = 7789,
  [8066] = 7818,
  [8067] = 7790,
  [8068] = 7777,
  [8069] = 7801,
  [8070] = 7858,
  [8071] = 7847,
  [8072] = 7798,
  [8073] = 7858,
  [8074] = 7801,
  [8075] = 7847,
  [8076] = 7781,
  [8077] = 8077,
  [8078] = 7789,
  [8079] = 7914,
  [8080] = 7845,
  [8081] = 8081,
  [8082] = 7783,
  [8083] = 7861,
  [8084] = 7790,
  [8085] = 8085,
  [8086] = 7829,
  [8087] = 7779,
  [8088] = 7794,
  [8089] = 7780,
  [8090] = 7839,
  [8091] = 8091,
  [8092] = 7831,
  [8093] = 7835,
  [8094] = 7837,
  [8095] = 7838,
  [8096] = 7835,
  [8097] = 7837,
  [8098] = 7800,
  [8099] = 7807,
  [8100] = 7838,
  [8101] = 8101,
  [8102] = 7794,
  [8103] = 7809,
  [8104] = 7861,
  [8105] = 7797,
  [8106] = 7790,
  [8107] = 7887,
  [8108] = 7789,
  [8109] = 7845,
  [8110] = 8110,
  [8111] = 7914,
  [8112] = 7847,
  [8113] = 7801,
  [8114] = 7790,
  [8115] = 7794,
  [8116] = 7858,
  [8117] = 7791,
  [8118] = 7790,
  [8119] = 7835,
  [8120] = 7837,
  [8121] = 7838,
  [8122] = 7807,
  [8123] = 7851,
  [8124] = 7979,
  [8125] = 7787,
  [8126] = 7838,
  [8127] = 7800,
  [8128] = 7791,
  [8129] = 8129,
  [8130] = 7837,
  [8131] = 7853,
  [8132] = 7818,
  [8133] = 7809,
  [8134] = 7818,
  [8135] = 7854,
  [8136] = 7818,
  [8137] = 7801,
  [8138] = 7818,
  [8139] = 7835,
  [8140] = 7807,
  [8141] = 7831,
  [8142] = 7790,
  [8143] = 7835,
  [8144] = 7837,
  [8145] = 7838,
  [8146] = 7839,
  [8147] = 7856,
  [8148] = 7800,
  [8149] = 7818,
  [8150] = 8150,
  [8151] = 7857,
  [8152] = 270,
  [8153] = 7801,
  [8154] = 7829,
  [8155] = 7914,
  [8156] = 269,
  [8157] = 8157,
  [8158] = 7801,
  [8159] = 7801,
  [8160] = 7818,
  [8161] = 7824,
  [8162] = 7861,
  [8163] = 7790,
  [8164] = 7835,
  [8165] = 7837,
  [8166] = 7838,
  [8167] = 7818,
  [8168] = 7794,
  [8169] = 7777,
  [8170] = 7797,
  [8171] = 7887,
  [8172] = 7797,
  [8173] = 7803,
  [8174] = 8174,
  [8175] = 8175,
  [8176] = 8174,
  [8177] = 8177,
  [8178] = 8178,
  [8179] = 7791,
  [8180] = 7801,
  [8181] = 7818,
  [8182] = 7789,
  [8183] = 7801,
  [8184] = 7790,
  [8185] = 7835,
  [8186] = 7837,
  [8187] = 7838,
  [8188] = 8188,
  [8189] = 7787,
  [8190] = 7838,
  [8191] = 7837,
  [8192] = 7790,
  [8193] = 7835,
  [8194] = 7790,
  [8195] = 7861,
  [8196] = 7845,
  [8197] = 7801,
  [8198] = 7818,
  [8199] = 7824,
  [8200] = 7803,
  [8201] = 7801,
  [8202] = 7805,
  [8203] = 7777,
  [8204] = 7790,
  [8205] = 7835,
  [8206] = 7837,
  [8207] = 7838,
  [8208] = 8208,
  [8209] = 8209,
  [8210] = 7801,
  [8211] = 7787,
  [8212] = 8212,
  [8213] = 7780,
  [8214] = 7779,
  [8215] = 7887,
  [8216] = 7783,
  [8217] = 8217,
  [8218] = 7781,
  [8219] = 7787,
  [8220] = 7798,
  [8221] = 7801,
  [8222] = 7838,
  [8223] = 8223,
  [8224] = 7790,
  [8225] = 7835,
  [8226] = 7837,
  [8227] = 8227,
  [8228] = 8228,
  [8229] = 8229,
  [8230] = 8230,
  [8231] = 8231,
  [8232] = 8230,
  [8233] = 8233,
  [8234] = 8227,
  [8235] = 8235,
  [8236] = 8236,
  [8237] = 8237,
  [8238] = 8238,
  [8239] = 8233,
  [8240] = 8227,
  [8241] = 8241,
  [8242] = 8241,
  [8243] = 8243,
  [8244] = 8244,
  [8245] = 8245,
  [8246] = 8246,
  [8247] = 8247,
  [8248] = 8248,
  [8249] = 8237,
  [8250] = 8245,
  [8251] = 8238,
  [8252] = 8252,
  [8253] = 8253,
  [8254] = 8236,
  [8255] = 8255,
  [8256] = 8256,
  [8257] = 8257,
  [8258] = 8247,
  [8259] = 8252,
  [8260] = 8236,
  [8261] = 8261,
  [8262] = 8262,
  [8263] = 8263,
  [8264] = 8264,
  [8265] = 8237,
  [8266] = 8266,
  [8267] = 8231,
  [8268] = 8268,
  [8269] = 8247,
  [8270] = 8262,
  [8271] = 8271,
  [8272] = 8272,
  [8273] = 8271,
  [8274] = 8274,
  [8275] = 8261,
  [8276] = 8255,
  [8277] = 8266,
  [8278] = 8278,
  [8279] = 8237,
  [8280] = 8256,
  [8281] = 8281,
  [8282] = 8238,
  [8283] = 8266,
  [8284] = 8245,
  [8285] = 8229,
  [8286] = 8238,
  [8287] = 8227,
  [8288] = 8256,
  [8289] = 8233,
  [8290] = 8238,
  [8291] = 8291,
  [8292] = 8278,
  [8293] = 8227,
  [8294] = 8233,
  [8295] = 8245,
  [8296] = 8256,
  [8297] = 8247,
  [8298] = 8256,
  [8299] = 8299,
  [8300] = 8300,
  [8301] = 8238,
  [8302] = 8302,
  [8303] = 8302,
  [8304] = 8237,
  [8305] = 8305,
  [8306] = 8256,
  [8307] = 8300,
  [8308] = 8308,
  [8309] = 8309,
  [8310] = 8261,
  [8311] = 8311,
  [8312] = 8237,
  [8313] = 8313,
  [8314] = 8228,
  [8315] = 8256,
  [8316] = 8316,
  [8317] = 8231,
  [8318] = 8299,
  [8319] = 8228,
  [8320] = 8245,
  [8321] = 8305,
  [8322] = 8322,
  [8323] = 8266,
  [8324] = 8262,
  [8325] = 8229,
  [8326] = 8233,
  [8327] = 8302,
  [8328] = 8322,
  [8329] = 8271,
  [8330] = 8309,
  [8331] = 8231,
  [8332] = 8291,
  [8333] = 8237,
  [8334] = 8305,
  [8335] = 8281,
  [8336] = 8274,
  [8337] = 8229,
  [8338] = 8338,
  [8339] = 8291,
  [8340] = 8302,
  [8341] = 8281,
  [8342] = 8228,
  [8343] = 8316,
  [8344] = 8256,
  [8345] = 8316,
  [8346] = 8238,
  [8347] = 8347,
  [8348] = 8245,
  [8349] = 8274,
  [8350] = 8272,
  [8351] = 8271,
  [8352] = 8352,
  [8353] = 8353,
  [8354] = 8256,
  [8355] = 8237,
  [8356] = 8291,
  [8357] = 8247,
  [8358] = 8241,
  [8359] = 8230,
  [8360] = 8243,
  [8361] = 8361,
  [8362] = 8241,
  [8363] = 8271,
  [8364] = 8364,
  [8365] = 8313,
  [8366] = 8266,
  [8367] = 8367,
  [8368] = 8231,
  [8369] = 8252,
  [8370] = 8233,
  [8371] = 8229,
  [8372] = 8272,
  [8373] = 8274,
  [8374] = 8300,
  [8375] = 8262,
  [8376] = 8230,
  [8377] = 8266,
  [8378] = 8243,
  [8379] = 8281,
  [8380] = 8231,
  [8381] = 8281,
  [8382] = 8264,
  [8383] = 8291,
  [8384] = 8274,
  [8385] = 8385,
  [8386] = 8302,
  [8387] = 8237,
  [8388] = 8229,
  [8389] = 8252,
  [8390] = 8300,
  [8391] = 8237,
  [8392] = 8392,
  [8393] = 8281,
  [8394] = 8305,
  [8395] = 8274,
  [8396] = 8238,
  [8397] = 8313,
  [8398] = 8274,
  [8399] = 8291,
  [8400] = 8302,
  [8401] = 8309,
  [8402] = 8245,
  [8403] = 8322,
  [8404] = 8244,
  [8405] = 8255,
  [8406] = 8281,
  [8407] = 8247,
  [8408] = 2964,
  [8409] = 8291,
  [8410] = 8228,
  [8411] = 8299,
  [8412] = 8302,
  [8413] = 8413,
  [8414] = 8311,
  [8415] = 8313,
  [8416] = 8241,
  [8417] = 8228,
  [8418] = 8231,
  [8419] = 8256,
  [8420] = 8256,
  [8421] = 8262,
  [8422] = 8262,
  [8423] = 8266,
  [8424] = 8243,
  [8425] = 8291,
  [8426] = 8266,
  [8427] = 8238,
  [8428] = 8241,
  [8429] = 8316,
  [8430] = 8309,
  [8431] = 8241,
  [8432] = 8241,
  [8433] = 8229,
  [8434] = 8322,
  [8435] = 8271,
  [8436] = 8309,
  [8437] = 8237,
  [8438] = 8262,
  [8439] = 8233,
  [8440] = 8440,
  [8441] = 8261,
  [8442] = 8300,
  [8443] = 8264,
  [8444] = 8237,
  [8445] = 8445,
  [8446] = 8446,
  [8447] = 8311,
  [8448] = 8305,
  [8449] = 8238,
  [8450] = 8237,
  [8451] = 8237,
  [8452] = 8309,
  [8453] = 8233,
  [8454] = 8236,
  [8455] = 8455,
  [8456] = 8456,
  [8457] = 8457,
  [8458] = 8300,
  [8459] = 8244,
  [8460] = 8245,
  [8461] = 8241,
  [8462] = 8278,
  [8463] = 8311,
  [8464] = 8261,
  [8465] = 8278,
  [8466] = 8244,
  [8467] = 8255,
  [8468] = 8309,
  [8469] = 8281,
  [8470] = 8274,
  [8471] = 8261,
  [8472] = 8247,
  [8473] = 8252,
  [8474] = 8474,
  [8475] = 8236,
  [8476] = 8261,
  [8477] = 8477,
  [8478] = 8278,
  [8479] = 8236,
  [8480] = 8291,
  [8481] = 8233,
  [8482] = 8313,
  [8483] = 8231,
  [8484] = 8302,
  [8485] = 8236,
  [8486] = 8309,
  [8487] = 8233,
  [8488] = 8236,
  [8489] = 8266,
  [8490] = 8243,
  [8491] = 8237,
  [8492] = 8228,
  [8493] = 8281,
  [8494] = 8237,
  [8495] = 8229,
  [8496] = 8237,
  [8497] = 8497,
  [8498] = 8233,
  [8499] = 8302,
  [8500] = 8256,
  [8501] = 8272,
  [8502] = 8262,
  [8503] = 8237,
  [8504] = 8504,
  [8505] = 8505,
  [8506] = 8506,
  [8507] = 8313,
  [8508] = 8272,
  [8509] = 8509,
  [8510] = 8241,
  [8511] = 8511,
  [8512] = 8252,
  [8513] = 8299,
  [8514] = 8241,
  [8515] = 8311,
  [8516] = 8516,
  [8517] = 8311,
  [8518] = 8305,
  [8519] = 8238,
  [8520] = 8244,
  [8521] = 8281,
  [8522] = 8233,
  [8523] = 8237,
  [8524] = 8233,
  [8525] = 8233,
  [8526] = 8256,
  [8527] = 8527,
  [8528] = 8281,
  [8529] = 2857,
  [8530] = 8230,
  [8531] = 2950,
  [8532] = 8241,
  [8533] = 8274,
  [8534] = 8274,
  [8535] = 8241,
  [8536] = 8245,
  [8537] = 2886,
  [8538] = 8244,
  [8539] = 8302,
  [8540] = 8291,
  [8541] = 8278,
  [8542] = 2911,
  [8543] = 8300,
  [8544] = 8281,
  [8545] = 8255,
  [8546] = 8261,
  [8547] = 8547,
  [8548] = 8233,
  [8549] = 8272,
  [8550] = 8550,
  [8551] = 8316,
  [8552] = 8552,
  [8553] = 8553,
  [8554] = 8554,
  [8555] = 8555,
  [8556] = 8247,
  [8557] = 8309,
  [8558] = 2916,
  [8559] = 8264,
  [8560] = 8322,
  [8561] = 8309,
  [8562] = 8281,
  [8563] = 8262,
  [8564] = 8564,
  [8565] = 8274,
  [8566] = 8566,
  [8567] = 8256,
  [8568] = 8233,
  [8569] = 2963,
  [8570] = 8252,
  [8571] = 8262,
  [8572] = 8247,
  [8573] = 8271,
  [8574] = 8574,
  [8575] = 8255,
  [8576] = 8228,
  [8577] = 8278,
  [8578] = 8271,
  [8579] = 8445,
  [8580] = 8264,
  [8581] = 2920,
  [8582] = 8245,
  [8583] = 8281,
  [8584] = 8291,
  [8585] = 8227,
  [8586] = 8227,
  [8587] = 8256,
  [8588] = 8256,
  [8589] = 8233,
  [8590] = 8291,
  [8591] = 8274,
  [8592] = 8272,
  [8593] = 8302,
  [8594] = 8302,
  [8595] = 2874,
  [8596] = 8238,
  [8597] = 8305,
  [8598] = 8311,
  [8599] = 8228,
  [8600] = 8228,
  [8601] = 8299,
  [8602] = 8252,
  [8603] = 8228,
  [8604] = 8256,
  [8605] = 8228,
  [8606] = 8227,
  [8607] = 8230,
  [8608] = 8229,
  [8609] = 8302,
  [8610] = 2872,
  [8611] = 8291,
  [8612] = 8302,
  [8613] = 8291,
  [8614] = 8271,
  [8615] = 8262,
  [8616] = 8616,
  [8617] = 8256,
  [8618] = 8313,
  [8619] = 8243,
  [8620] = 8231,
  [8621] = 8241,
  [8622] = 8227,
  [8623] = 8233,
  [8624] = 8266,
  [8625] = 8252,
  [8626] = 8261,
  [8627] = 8627,
  [8628] = 8628,
  [8629] = 8629,
  [8630] = 8630,
  [8631] = 8631,
  [8632] = 8632,
  [8633] = 8633,
  [8634] = 8634,
  [8635] = 8635,
  [8636] = 8636,
  [8637] = 8637,
  [8638] = 8638,
  [8639] = 8634,
  [8640] = 8636,
  [8641] = 8641,
  [8642] = 8642,
  [8643] = 8643,
  [8644] = 8644,
  [8645] = 8645,
  [8646] = 8646,
  [8647] = 8647,
  [8648] = 8648,
  [8649] = 8649,
  [8650] = 8650,
  [8651] = 8651,
  [8652] = 8652,
  [8653] = 8653,
  [8654] = 8654,
  [8655] = 8655,
  [8656] = 8656,
  [8657] = 8657,
  [8658] = 8642,
  [8659] = 8659,
  [8660] = 8660,
  [8661] = 8661,
  [8662] = 8662,
  [8663] = 8663,
  [8664] = 8664,
  [8665] = 8665,
  [8666] = 8666,
  [8667] = 8667,
  [8668] = 8668,
  [8669] = 8669,
  [8670] = 8670,
  [8671] = 8671,
  [8672] = 8672,
  [8673] = 8670,
  [8674] = 8674,
  [8675] = 8672,
  [8676] = 8671,
  [8677] = 8677,
  [8678] = 8678,
  [8679] = 8679,
  [8680] = 8680,
  [8681] = 8681,
  [8682] = 8682,
  [8683] = 8683,
  [8684] = 8684,
  [8685] = 8667,
  [8686] = 8686,
  [8687] = 8637,
  [8688] = 8688,
  [8689] = 8689,
  [8690] = 8655,
  [8691] = 8691,
  [8692] = 8692,
  [8693] = 8664,
  [8694] = 8694,
  [8695] = 8695,
  [8696] = 8696,
  [8697] = 8697,
  [8698] = 8698,
  [8699] = 8699,
  [8700] = 8700,
  [8701] = 8701,
  [8702] = 8702,
  [8703] = 8703,
  [8704] = 8704,
  [8705] = 8705,
  [8706] = 8706,
  [8707] = 8707,
  [8708] = 8708,
  [8709] = 8709,
  [8710] = 8710,
  [8711] = 8711,
  [8712] = 8712,
  [8713] = 8650,
  [8714] = 8714,
  [8715] = 8715,
  [8716] = 8716,
  [8717] = 8717,
  [8718] = 8643,
  [8719] = 8719,
  [8720] = 8720,
  [8721] = 8721,
  [8722] = 8636,
  [8723] = 8634,
  [8724] = 8632,
  [8725] = 8725,
  [8726] = 8726,
  [8727] = 8727,
  [8728] = 8728,
  [8729] = 8729,
  [8730] = 8730,
  [8731] = 8629,
  [8732] = 8732,
  [8733] = 8733,
  [8734] = 8734,
  [8735] = 8735,
  [8736] = 8657,
  [8737] = 8737,
  [8738] = 8732,
  [8739] = 8735,
  [8740] = 8668,
  [8741] = 8728,
  [8742] = 8641,
  [8743] = 8698,
  [8744] = 8665,
  [8745] = 8745,
  [8746] = 8746,
  [8747] = 8647,
  [8748] = 8715,
  [8749] = 8649,
  [8750] = 8712,
  [8751] = 8751,
  [8752] = 8727,
  [8753] = 8695,
  [8754] = 8725,
  [8755] = 8720,
  [8756] = 8717,
  [8757] = 8716,
  [8758] = 8672,
  [8759] = 8671,
  [8760] = 8669,
  [8761] = 8641,
  [8762] = 8762,
  [8763] = 8763,
  [8764] = 8714,
  [8765] = 8765,
  [8766] = 8766,
  [8767] = 8708,
  [8768] = 8667,
  [8769] = 8707,
  [8770] = 8770,
  [8771] = 8771,
  [8772] = 8772,
  [8773] = 8773,
  [8774] = 8774,
  [8775] = 8664,
  [8776] = 8776,
  [8777] = 8698,
  [8778] = 8657,
  [8779] = 8779,
  [8780] = 8696,
  [8781] = 8781,
  [8782] = 8782,
  [8783] = 8783,
  [8784] = 8637,
  [8785] = 8785,
  [8786] = 8670,
  [8787] = 8787,
  [8788] = 8788,
  [8789] = 8677,
  [8790] = 8790,
  [8791] = 8791,
  [8792] = 8650,
  [8793] = 8663,
  [8794] = 8678,
  [8795] = 8679,
  [8796] = 8796,
  [8797] = 8662,
  [8798] = 8798,
  [8799] = 8799,
  [8800] = 8636,
  [8801] = 8634,
  [8802] = 8632,
  [8803] = 8803,
  [8804] = 8649,
  [8805] = 8680,
  [8806] = 8709,
  [8807] = 8654,
  [8808] = 8706,
  [8809] = 8629,
  [8810] = 8705,
  [8811] = 8647,
  [8812] = 8656,
  [8813] = 8813,
  [8814] = 8704,
  [8815] = 8703,
  [8816] = 8702,
  [8817] = 8641,
  [8818] = 8701,
  [8819] = 8700,
  [8820] = 8647,
  [8821] = 8699,
  [8822] = 8649,
  [8823] = 8697,
  [8824] = 8672,
  [8825] = 8652,
  [8826] = 8641,
  [8827] = 8648,
  [8828] = 8828,
  [8829] = 8667,
  [8830] = 8659,
  [8831] = 8646,
  [8832] = 8832,
  [8833] = 8631,
  [8834] = 8694,
  [8835] = 8664,
  [8836] = 8692,
  [8837] = 8837,
  [8838] = 8691,
  [8839] = 8839,
  [8840] = 8638,
  [8841] = 8635,
  [8842] = 8627,
  [8843] = 8843,
  [8844] = 8689,
  [8845] = 8633,
  [8846] = 8628,
  [8847] = 8847,
  [8848] = 8650,
  [8849] = 8849,
  [8850] = 8688,
  [8851] = 8851,
  [8852] = 8630,
  [8853] = 8686,
  [8854] = 8854,
  [8855] = 8632,
  [8856] = 8856,
  [8857] = 8644,
  [8858] = 8684,
  [8859] = 8859,
  [8860] = 8645,
  [8861] = 8629,
  [8862] = 8651,
  [8863] = 8629,
  [8864] = 8671,
  [8865] = 8653,
  [8866] = 8866,
  [8867] = 8867,
  [8868] = 8868,
  [8869] = 8641,
  [8870] = 8681,
  [8871] = 8654,
  [8872] = 8647,
  [8873] = 8632,
  [8874] = 8649,
  [8875] = 8634,
  [8876] = 8672,
  [8877] = 8636,
  [8878] = 8878,
  [8879] = 8643,
  [8880] = 8880,
  [8881] = 8881,
  [8882] = 8882,
  [8883] = 8655,
  [8884] = 8642,
  [8885] = 8650,
  [8886] = 8886,
  [8887] = 8665,
  [8888] = 8668,
  [8889] = 8889,
  [8890] = 8669,
  [8891] = 8650,
  [8892] = 8707,
  [8893] = 8680,
  [8894] = 8679,
  [8895] = 8650,
  [8896] = 8708,
  [8897] = 8632,
  [8898] = 8678,
  [8899] = 8677,
  [8900] = 8677,
  [8901] = 8678,
  [8902] = 8679,
  [8903] = 8629,
  [8904] = 8904,
  [8905] = 8680,
  [8906] = 8906,
  [8907] = 8660,
  [8908] = 8663,
  [8909] = 8909,
  [8910] = 8652,
  [8911] = 8641,
  [8912] = 8684,
  [8913] = 8913,
  [8914] = 8647,
  [8915] = 8906,
  [8916] = 8649,
  [8917] = 8686,
  [8918] = 8672,
  [8919] = 8688,
  [8920] = 8689,
  [8921] = 8627,
  [8922] = 8691,
  [8923] = 8692,
  [8924] = 8694,
  [8925] = 8631,
  [8926] = 8669,
  [8927] = 8664,
  [8928] = 8928,
  [8929] = 8668,
  [8930] = 8696,
  [8931] = 8697,
  [8932] = 8699,
  [8933] = 8650,
  [8934] = 8700,
  [8935] = 8701,
  [8936] = 8665,
  [8937] = 8702,
  [8938] = 8642,
  [8939] = 8632,
  [8940] = 8655,
  [8941] = 8667,
  [8942] = 8703,
  [8943] = 8704,
  [8944] = 8705,
  [8945] = 8629,
  [8946] = 8706,
  [8947] = 8709,
  [8948] = 8653,
  [8949] = 8868,
  [8950] = 8654,
  [8951] = 8653,
  [8952] = 8641,
  [8953] = 8712,
  [8954] = 8652,
  [8955] = 8647,
  [8956] = 8672,
  [8957] = 8649,
  [8958] = 8725,
  [8959] = 8672,
  [8960] = 6365,
  [8961] = 8695,
  [8962] = 6381,
  [8963] = 8662,
  [8964] = 8697,
  [8965] = 8680,
  [8966] = 8635,
  [8967] = 8715,
  [8968] = 8651,
  [8969] = 8735,
  [8970] = 8732,
  [8971] = 8886,
  [8972] = 8697,
  [8973] = 8650,
  [8974] = 8645,
  [8975] = 8644,
  [8976] = 8680,
  [8977] = 8727,
  [8978] = 8725,
  [8979] = 8720,
  [8980] = 8717,
  [8981] = 8981,
  [8982] = 8629,
  [8983] = 8681,
  [8984] = 8714,
  [8985] = 8630,
  [8986] = 8697,
  [8987] = 8987,
  [8988] = 8714,
  [8989] = 8680,
  [8990] = 8647,
  [8991] = 8628,
  [8992] = 8649,
  [8993] = 8708,
  [8994] = 8707,
  [8995] = 8698,
  [8996] = 8657,
  [8997] = 8697,
  [8998] = 8650,
  [8999] = 8680,
  [9000] = 8637,
  [9001] = 8633,
  [9002] = 8629,
  [9003] = 8635,
  [9004] = 8670,
  [9005] = 8649,
  [9006] = 8697,
  [9007] = 8638,
  [9008] = 8680,
  [9009] = 8634,
  [9010] = 8650,
  [9011] = 8636,
  [9012] = 8663,
  [9013] = 8629,
  [9014] = 8662,
  [9015] = 8649,
  [9016] = 8660,
  [9017] = 8656,
  [9018] = 8697,
  [9019] = 8650,
  [9020] = 8629,
  [9021] = 8649,
  [9022] = 8680,
  [9023] = 8629,
  [9024] = 8649,
  [9025] = 9025,
  [9026] = 8629,
  [9027] = 8649,
  [9028] = 8629,
  [9029] = 8649,
  [9030] = 8629,
  [9031] = 8649,
  [9032] = 8629,
  [9033] = 8649,
  [9034] = 8629,
  [9035] = 8649,
  [9036] = 8629,
  [9037] = 8649,
  [9038] = 8660,
  [9039] = 8648,
  [9040] = 8646,
  [9041] = 9041,
  [9042] = 8697,
  [9043] = 9043,
  [9044] = 9044,
  [9045] = 8648,
  [9046] = 8680,
  [9047] = 9047,
  [9048] = 8638,
  [9049] = 9049,
  [9050] = 9050,
  [9051] = 8645,
  [9052] = 9052,
  [9053] = 8633,
  [9054] = 8628,
  [9055] = 8727,
  [9056] = 8716,
  [9057] = 8651,
  [9058] = 9058,
  [9059] = 8630,
  [9060] = 8656,
  [9061] = 8697,
  [9062] = 8680,
  [9063] = 8655,
  [9064] = 8651,
  [9065] = 8751,
  [9066] = 8717,
  [9067] = 8730,
  [9068] = 8628,
  [9069] = 8720,
  [9070] = 8635,
  [9071] = 9071,
  [9072] = 8674,
  [9073] = 8683,
  [9074] = 8648,
  [9075] = 8727,
  [9076] = 9076,
  [9077] = 8663,
  [9078] = 8656,
  [9079] = 8728,
  [9080] = 8660,
  [9081] = 8637,
  [9082] = 8662,
  [9083] = 8663,
  [9084] = 8656,
  [9085] = 8651,
  [9086] = 8644,
  [9087] = 9087,
  [9088] = 8635,
  [9089] = 9089,
  [9090] = 8652,
  [9091] = 8653,
  [9092] = 8654,
  [9093] = 8727,
  [9094] = 8655,
  [9095] = 8670,
  [9096] = 8642,
  [9097] = 8668,
  [9098] = 6385,
  [9099] = 8645,
  [9100] = 9100,
  [9101] = 8669,
  [9102] = 8697,
  [9103] = 8689,
  [9104] = 8680,
  [9105] = 8803,
  [9106] = 8678,
  [9107] = 8655,
  [9108] = 8681,
  [9109] = 8657,
  [9110] = 9110,
  [9111] = 8698,
  [9112] = 9112,
  [9113] = 8651,
  [9114] = 8628,
  [9115] = 8677,
  [9116] = 8635,
  [9117] = 8678,
  [9118] = 8679,
  [9119] = 8707,
  [9120] = 8708,
  [9121] = 8648,
  [9122] = 8680,
  [9123] = 8714,
  [9124] = 8656,
  [9125] = 8716,
  [9126] = 8717,
  [9127] = 8720,
  [9128] = 8725,
  [9129] = 8727,
  [9130] = 8728,
  [9131] = 8696,
  [9132] = 8732,
  [9133] = 8681,
  [9134] = 8644,
  [9135] = 8688,
  [9136] = 8717,
  [9137] = 8735,
  [9138] = 8720,
  [9139] = 8725,
  [9140] = 8727,
  [9141] = 9141,
  [9142] = 8689,
  [9143] = 8696,
  [9144] = 8697,
  [9145] = 8715,
  [9146] = 8712,
  [9147] = 8704,
  [9148] = 8695,
  [9149] = 8709,
  [9150] = 9150,
  [9151] = 9151,
  [9152] = 9152,
  [9153] = 9153,
  [9154] = 9154,
  [9155] = 8697,
  [9156] = 9156,
  [9157] = 8684,
  [9158] = 8686,
  [9159] = 8689,
  [9160] = 8680,
  [9161] = 8678,
  [9162] = 8655,
  [9163] = 8695,
  [9164] = 8651,
  [9165] = 8712,
  [9166] = 9166,
  [9167] = 9167,
  [9168] = 9168,
  [9169] = 8715,
  [9170] = 8628,
  [9171] = 8635,
  [9172] = 8648,
  [9173] = 8688,
  [9174] = 9110,
  [9175] = 9175,
  [9176] = 8732,
  [9177] = 9177,
  [9178] = 8656,
  [9179] = 8727,
  [9180] = 9180,
  [9181] = 8725,
  [9182] = 8720,
  [9183] = 8717,
  [9184] = 8714,
  [9185] = 8717,
  [9186] = 8720,
  [9187] = 8725,
  [9188] = 8689,
  [9189] = 8647,
  [9190] = 8727,
  [9191] = 8708,
  [9192] = 8707,
  [9193] = 9193,
  [9194] = 9058,
  [9195] = 8649,
  [9196] = 8698,
  [9197] = 8657,
  [9198] = 8637,
  [9199] = 9199,
  [9200] = 8635,
  [9201] = 8732,
  [9202] = 8670,
  [9203] = 8709,
  [9204] = 8704,
  [9205] = 8697,
  [9206] = 8689,
  [9207] = 8646,
  [9208] = 9208,
  [9209] = 8680,
  [9210] = 8679,
  [9211] = 8678,
  [9212] = 8642,
  [9213] = 8655,
  [9214] = 8652,
  [9215] = 6344,
  [9216] = 8651,
  [9217] = 8645,
  [9218] = 8644,
  [9219] = 9219,
  [9220] = 9220,
  [9221] = 9221,
  [9222] = 9041,
  [9223] = 9044,
  [9224] = 9047,
  [9225] = 9225,
  [9226] = 9049,
  [9227] = 8663,
  [9228] = 8727,
  [9229] = 8662,
  [9230] = 8630,
  [9231] = 8751,
  [9232] = 9232,
  [9233] = 8730,
  [9234] = 8628,
  [9235] = 9235,
  [9236] = 8635,
  [9237] = 8674,
  [9238] = 8683,
  [9239] = 9239,
  [9240] = 8635,
  [9241] = 9089,
  [9242] = 8656,
  [9243] = 8648,
  [9244] = 9244,
  [9245] = 8803,
  [9246] = 9110,
  [9247] = 9247,
  [9248] = 8648,
  [9249] = 9041,
  [9250] = 9047,
  [9251] = 9251,
  [9252] = 9049,
  [9253] = 8629,
  [9254] = 9254,
  [9255] = 8751,
  [9256] = 8735,
  [9257] = 8730,
  [9258] = 8627,
  [9259] = 8691,
  [9260] = 8674,
  [9261] = 8683,
  [9262] = 9262,
  [9263] = 9089,
  [9264] = 8656,
  [9265] = 8662,
  [9266] = 8692,
  [9267] = 8803,
  [9268] = 9110,
  [9269] = 8694,
  [9270] = 8631,
  [9271] = 9041,
  [9272] = 9047,
  [9273] = 8638,
  [9274] = 9049,
  [9275] = 8635,
  [9276] = 8670,
  [9277] = 8751,
  [9278] = 8633,
  [9279] = 8730,
  [9280] = 8643,
  [9281] = 9281,
  [9282] = 8674,
  [9283] = 8683,
  [9284] = 9089,
  [9285] = 8628,
  [9286] = 8630,
  [9287] = 7402,
  [9288] = 8803,
  [9289] = 9110,
  [9290] = 8717,
  [9291] = 9041,
  [9292] = 9047,
  [9293] = 9293,
  [9294] = 9049,
  [9295] = 9295,
  [9296] = 9296,
  [9297] = 8751,
  [9298] = 8730,
  [9299] = 9299,
  [9300] = 9300,
  [9301] = 8674,
  [9302] = 8683,
  [9303] = 9089,
  [9304] = 8720,
  [9305] = 8725,
  [9306] = 8727,
  [9307] = 8803,
  [9308] = 9110,
  [9309] = 9309,
  [9310] = 9041,
  [9311] = 9047,
  [9312] = 8732,
  [9313] = 9049,
  [9314] = 9314,
  [9315] = 9315,
  [9316] = 8730,
  [9317] = 8645,
  [9318] = 9318,
  [9319] = 8674,
  [9320] = 8683,
  [9321] = 9089,
  [9322] = 8651,
  [9323] = 8652,
  [9324] = 8668,
  [9325] = 8803,
  [9326] = 9110,
  [9327] = 8655,
  [9328] = 9041,
  [9329] = 9047,
  [9330] = 8642,
  [9331] = 9049,
  [9332] = 8696,
  [9333] = 8697,
  [9334] = 8730,
  [9335] = 8670,
  [9336] = 8669,
  [9337] = 8674,
  [9338] = 8683,
  [9339] = 9089,
  [9340] = 8678,
  [9341] = 8709,
  [9342] = 9342,
  [9343] = 8803,
  [9344] = 9110,
  [9345] = 9345,
  [9346] = 9041,
  [9347] = 9347,
  [9348] = 9049,
  [9349] = 9349,
  [9350] = 9350,
  [9351] = 9351,
  [9352] = 9352,
  [9353] = 8674,
  [9354] = 8683,
  [9355] = 8704,
  [9356] = 8679,
  [9357] = 9357,
  [9358] = 8803,
  [9359] = 9359,
  [9360] = 9041,
  [9361] = 9049,
  [9362] = 8699,
  [9363] = 8683,
  [9364] = 8697,
  [9365] = 8696,
  [9366] = 8803,
  [9367] = 9367,
  [9368] = 9041,
  [9369] = 9049,
  [9370] = 8689,
  [9371] = 8683,
  [9372] = 8688,
  [9373] = 8803,
  [9374] = 9041,
  [9375] = 9049,
  [9376] = 8683,
  [9377] = 8803,
  [9378] = 8683,
  [9379] = 8803,
  [9380] = 8683,
  [9381] = 8803,
  [9382] = 8683,
  [9383] = 8803,
  [9384] = 8683,
  [9385] = 8803,
  [9386] = 8683,
  [9387] = 8803,
  [9388] = 8683,
  [9389] = 8803,
  [9390] = 8683,
  [9391] = 8803,
  [9392] = 8680,
  [9393] = 8700,
  [9394] = 9044,
  [9395] = 9395,
  [9396] = 9396,
  [9397] = 8680,
  [9398] = 8701,
  [9399] = 8702,
  [9400] = 8703,
  [9401] = 8644,
  [9402] = 8679,
  [9403] = 8678,
  [9404] = 8669,
  [9405] = 8648,
  [9406] = 8642,
  [9407] = 9407,
  [9408] = 8655,
  [9409] = 8652,
  [9410] = 8630,
  [9411] = 9087,
  [9412] = 9262,
  [9413] = 8688,
  [9414] = 9414,
  [9415] = 8651,
  [9416] = 8645,
  [9417] = 8644,
  [9418] = 9418,
  [9419] = 8689,
  [9420] = 8630,
  [9421] = 8696,
  [9422] = 8628,
  [9423] = 8704,
  [9424] = 8664,
  [9425] = 8697,
  [9426] = 9426,
  [9427] = 9427,
  [9428] = 8633,
  [9429] = 8635,
  [9430] = 8704,
  [9431] = 9396,
  [9432] = 9395,
  [9433] = 9433,
  [9434] = 9434,
  [9435] = 8727,
  [9436] = 9436,
  [9437] = 8638,
  [9438] = 9438,
  [9439] = 9439,
  [9440] = 9050,
  [9441] = 9441,
  [9442] = 9049,
  [9443] = 9443,
  [9444] = 8709,
  [9445] = 8648,
  [9446] = 9087,
  [9447] = 8705,
  [9448] = 8706,
  [9449] = 9449,
  [9450] = 9450,
  [9451] = 9047,
  [9452] = 8667,
  [9453] = 8715,
  [9454] = 8712,
  [9455] = 9044,
  [9456] = 8656,
  [9457] = 8695,
  [9458] = 8662,
  [9459] = 8636,
  [9460] = 9460,
  [9461] = 8732,
  [9462] = 8727,
  [9463] = 9463,
  [9464] = 9464,
  [9465] = 8663,
  [9466] = 8725,
  [9467] = 8720,
  [9468] = 8717,
  [9469] = 9469,
  [9470] = 8717,
  [9471] = 8720,
  [9472] = 9044,
  [9473] = 9395,
  [9474] = 9396,
  [9475] = 8725,
  [9476] = 9043,
  [9477] = 8709,
  [9478] = 9087,
  [9479] = 9262,
  [9480] = 9480,
  [9481] = 9481,
  [9482] = 8727,
  [9483] = 9044,
  [9484] = 9395,
  [9485] = 9396,
  [9486] = 8732,
  [9487] = 9487,
  [9488] = 9087,
  [9489] = 9262,
  [9490] = 8714,
  [9491] = 9491,
  [9492] = 8707,
  [9493] = 9044,
  [9494] = 9395,
  [9495] = 9396,
  [9496] = 8634,
  [9497] = 9497,
  [9498] = 9087,
  [9499] = 9262,
  [9500] = 9500,
  [9501] = 8638,
  [9502] = 9041,
  [9503] = 9395,
  [9504] = 9396,
  [9505] = 9089,
  [9506] = 8628,
  [9507] = 9087,
  [9508] = 9262,
  [9509] = 8637,
  [9510] = 9510,
  [9511] = 9395,
  [9512] = 9396,
  [9513] = 9513,
  [9514] = 8670,
  [9515] = 9087,
  [9516] = 9262,
  [9517] = 9517,
  [9518] = 8632,
  [9519] = 9395,
  [9520] = 9396,
  [9521] = 8635,
  [9522] = 8633,
  [9523] = 9087,
  [9524] = 9262,
  [9525] = 8709,
  [9526] = 2086,
  [9527] = 9395,
  [9528] = 9396,
  [9529] = 8704,
  [9530] = 9087,
  [9531] = 9262,
  [9532] = 2082,
  [9533] = 8697,
  [9534] = 9087,
  [9535] = 9262,
  [9536] = 8696,
  [9537] = 8689,
  [9538] = 9262,
  [9539] = 8688,
  [9540] = 9262,
  [9541] = 8680,
  [9542] = 9262,
  [9543] = 8679,
  [9544] = 9262,
  [9545] = 8678,
  [9546] = 9262,
  [9547] = 8669,
  [9548] = 9262,
  [9549] = 8642,
  [9550] = 9262,
  [9551] = 8655,
  [9552] = 9262,
  [9553] = 8652,
  [9554] = 9262,
  [9555] = 9450,
  [9556] = 8682,
  [9557] = 8651,
  [9558] = 9450,
  [9559] = 8682,
  [9560] = 8645,
  [9561] = 9450,
  [9562] = 8682,
  [9563] = 8644,
  [9564] = 9450,
  [9565] = 8682,
  [9566] = 8630,
  [9567] = 9450,
  [9568] = 8682,
  [9569] = 8628,
  [9570] = 9450,
  [9571] = 8682,
  [9572] = 8633,
  [9573] = 9450,
  [9574] = 8682,
  [9575] = 8635,
  [9576] = 8682,
  [9577] = 8682,
  [9578] = 8682,
  [9579] = 8682,
  [9580] = 8682,
  [9581] = 8682,
  [9582] = 8682,
  [9583] = 8682,
  [9584] = 8682,
  [9585] = 8682,
  [9586] = 8682,
  [9587] = 8638,
  [9588] = 8648,
  [9589] = 8656,
  [9590] = 8662,
  [9591] = 8671,
  [9592] = 9244,
  [9593] = 8672,
  [9594] = 9449,
  [9595] = 9449,
  [9596] = 9449,
  [9597] = 9449,
  [9598] = 9449,
  [9599] = 9449,
  [9600] = 9449,
};

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 43312
    ? (c < 3804
      ? (c < 2575
        ? (c < 1568
          ? (c < 248
            ? (c < 'g'
              ? (c < 'S'
                ? (c < 'C'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'A')
                  : (c <= 'E' || (c < 'M'
                    ? (c >= 'G' && c <= 'K')
                    : c <= 'Q')))
                : (c <= 'S' || (c < 'a'
                  ? (c < '_'
                    ? (c >= 'V' && c <= 'Z')
                    : c <= '_')
                  : (c <= 'a' || c == 'e'))))
              : (c <= 'h' || (c < 170
                ? (c < 'q'
                  ? (c < 'o'
                    ? (c >= 'j' && c <= 'l')
                    : c <= 'o')
                  : (c <= 'r' || (c >= 'w' && c <= 'z')))
                : (c <= 170 || (c < 192
                  ? (c < 186
                    ? c == 181
                    : c <= 186)
                  : (c <= 214 || (c >= 216 && c <= 246)))))))
            : (c <= 705 || (c < 908
              ? (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 880
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 902 || (c >= 904 && c <= 906)))))
              : (c <= 908 || (c < 1329
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c >= 1162 && c <= 1327)))
                : (c <= 1366 || (c < 1488
                  ? (c < 1376
                    ? c == 1369
                    : c <= 1416)
                  : (c <= 1514 || (c >= 1519 && c <= 1522)))))))))
          : (c <= 1610 || (c < 2160
            ? (c < 1969
              ? (c < 1786
                ? (c < 1749
                  ? (c < 1649
                    ? (c >= 1646 && c <= 1647)
                    : c <= 1747)
                  : (c <= 1749 || (c < 1774
                    ? (c >= 1765 && c <= 1766)
                    : c <= 1775)))
                : (c <= 1788 || (c < 1810
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1808)
                  : (c <= 1839 || (c >= 1869 && c <= 1957)))))
              : (c <= 1969 || (c < 2074
                ? (c < 2042
                  ? (c < 2036
                    ? (c >= 1994 && c <= 2026)
                    : c <= 2037)
                  : (c <= 2042 || (c >= 2048 && c <= 2069)))
                : (c <= 2074 || (c < 2112
                  ? (c < 2088
                    ? c == 2084
                    : c <= 2088)
                  : (c <= 2136 || (c >= 2144 && c <= 2154)))))))
            : (c <= 2183 || (c < 2474
              ? (c < 2392
                ? (c < 2308
                  ? (c < 2208
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2249)
                  : (c <= 2361 || (c < 2384
                    ? c == 2365
                    : c <= 2384)))
                : (c <= 2401 || (c < 2447
                  ? (c < 2437
                    ? (c >= 2417 && c <= 2432)
                    : c <= 2444)
                  : (c <= 2448 || (c >= 2451 && c <= 2472)))))
              : (c <= 2480 || (c < 2524
                ? (c < 2493
                  ? (c < 2486
                    ? c == 2482
                    : c <= 2489)
                  : (c <= 2493 || c == 2510))
                : (c <= 2525 || (c < 2556
                  ? (c < 2544
                    ? (c >= 2527 && c <= 2529)
                    : c <= 2545)
                  : (c <= 2556 || (c >= 2565 && c <= 2570)))))))))))
        : (c <= 2576 || (c < 3090
          ? (c < 2835
            ? (c < 2707
              ? (c < 2649
                ? (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)))
                : (c <= 2652 || (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c >= 2703 && c <= 2705)))))
              : (c <= 2728 || (c < 2768
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || c == 2749))
                : (c <= 2768 || (c < 2821
                  ? (c < 2809
                    ? (c >= 2784 && c <= 2785)
                    : c <= 2809)
                  : (c <= 2828 || (c >= 2831 && c <= 2832)))))))
            : (c <= 2856 || (c < 2962
              ? (c < 2911
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2908
                    ? c == 2877
                    : c <= 2909)))
                : (c <= 2913 || (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))))
              : (c <= 2965 || (c < 2984
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c >= 2979 && c <= 2980)))
                : (c <= 2986 || (c < 3077
                  ? (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))))))))
          : (c <= 3112 || (c < 3412
            ? (c < 3253
              ? (c < 3200
                ? (c < 3160
                  ? (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3133)
                  : (c <= 3162 || (c < 3168
                    ? c == 3165
                    : c <= 3169)))
                : (c <= 3200 || (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c >= 3242 && c <= 3251)))))
              : (c <= 3257 || (c < 3332
                ? (c < 3296
                  ? (c < 3293
                    ? c == 3261
                    : c <= 3294)
                  : (c <= 3297 || (c >= 3313 && c <= 3314)))
                : (c <= 3340 || (c < 3389
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)
                  : (c <= 3389 || c == 3406))))))
            : (c <= 3414 || (c < 3713
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3450
                    ? (c >= 3423 && c <= 3425)
                    : c <= 3455)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))))
              : (c <= 3714 || (c < 3751
                ? (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))
                : (c <= 3760 || (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))))))))))))
      : (c <= 3807 || (c < 8027
        ? (c < 5888
          ? (c < 4696
            ? (c < 4206
              ? (c < 4159
                ? (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c < 4096
                    ? (c >= 3976 && c <= 3980)
                    : c <= 4138)))
                : (c <= 4159 || (c < 4193
                  ? (c < 4186
                    ? (c >= 4176 && c <= 4181)
                    : c <= 4189)
                  : (c <= 4193 || (c >= 4197 && c <= 4198)))))
              : (c <= 4208 || (c < 4301
                ? (c < 4256
                  ? (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)
                  : (c <= 4293 || c == 4295))
                : (c <= 4301 || (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))))))
            : (c <= 4696 || (c < 4882
              ? (c < 4792
                ? (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)))
                : (c <= 4798 || (c < 4808
                  ? (c < 4802
                    ? c == 4800
                    : c <= 4805)
                  : (c <= 4822 || (c >= 4824 && c <= 4880)))))
              : (c <= 4885 || (c < 5121
                ? (c < 5024
                  ? (c < 4992
                    ? (c >= 4888 && c <= 4954)
                    : c <= 5007)
                  : (c <= 5109 || (c >= 5112 && c <= 5117)))
                : (c <= 5740 || (c < 5792
                  ? (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)
                  : (c <= 5866 || (c >= 5870 && c <= 5880)))))))))
          : (c <= 5905 || (c < 6981
            ? (c < 6320
              ? (c < 6103
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5937)
                    : c <= 5969)
                  : (c <= 5996 || (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)))
                : (c <= 6103 || (c < 6272
                  ? (c < 6176
                    ? c == 6108
                    : c <= 6264)
                  : (c <= 6312 || c == 6314))))
              : (c <= 6389 || (c < 6576
                ? (c < 6512
                  ? (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)
                  : (c <= 6516 || (c >= 6528 && c <= 6571)))
                : (c <= 6601 || (c < 6823
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6678)
                    : c <= 6740)
                  : (c <= 6823 || (c >= 6917 && c <= 6963)))))))
            : (c <= 6988 || (c < 7406
              ? (c < 7258
                ? (c < 7098
                  ? (c < 7086
                    ? (c >= 7043 && c <= 7072)
                    : c <= 7087)
                  : (c <= 7141 || (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)))
                : (c <= 7293 || (c < 7357
                  ? (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)
                  : (c <= 7359 || (c >= 7401 && c <= 7404)))))
              : (c <= 7411 || (c < 7960
                ? (c < 7424
                  ? (c < 7418
                    ? (c >= 7413 && c <= 7414)
                    : c <= 7418)
                  : (c <= 7615 || (c >= 7680 && c <= 7957)))
                : (c <= 7965 || (c < 8016
                  ? (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)
                  : (c <= 8023 || c == 8025))))))))))
        : (c <= 8027 || (c < 11712
          ? (c < 8484
            ? (c < 8178
              ? (c < 8130
                ? (c < 8064
                  ? (c < 8031
                    ? c == 8029
                    : c <= 8061)
                  : (c <= 8116 || (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)))
                : (c <= 8132 || (c < 8150
                  ? (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)
                  : (c <= 8155 || (c >= 8160 && c <= 8172)))))
              : (c <= 8180 || (c < 8450
                ? (c < 8319
                  ? (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)
                  : (c <= 8319 || (c >= 8336 && c <= 8348)))
                : (c <= 8450 || (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c >= 8472 && c <= 8477)))))))
            : (c <= 8484 || (c < 11520
              ? (c < 8526
                ? (c < 8490
                  ? (c < 8488
                    ? c == 8486
                    : c <= 8488)
                  : (c <= 8505 || (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)))
                : (c <= 8526 || (c < 11499
                  ? (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))))
              : (c <= 11557 || (c < 11648
                ? (c < 11568
                  ? (c < 11565
                    ? c == 11559
                    : c <= 11565)
                  : (c <= 11623 || c == 11631))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c >= 11704 && c <= 11710)))))))))
          : (c <= 11718 || (c < 42538
            ? (c < 12540
              ? (c < 12337
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12329)))
                : (c <= 12341 || (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c >= 12449 && c <= 12538)))))
              : (c <= 12543 || (c < 13312
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c >= 12784 && c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c >= 42512 && c <= 42527)))))))
            : (c <= 42539 || (c < 42994
              ? (c < 42786
                ? (c < 42656
                  ? (c < 42623
                    ? (c >= 42560 && c <= 42606)
                    : c <= 42653)
                  : (c <= 42735 || (c >= 42775 && c <= 42783)))
                : (c <= 42888 || (c < 42963
                  ? (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)
                  : (c <= 42963 || (c >= 42965 && c <= 42969)))))
              : (c <= 43009 || (c < 43138
                ? (c < 43020
                  ? (c < 43015
                    ? (c >= 43011 && c <= 43013)
                    : c <= 43018)
                  : (c <= 43042 || (c >= 43072 && c <= 43123)))
                : (c <= 43187 || (c < 43261
                  ? (c < 43259
                    ? (c >= 43250 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43262 || (c >= 43274 && c <= 43301)))))))))))))))
    : (c <= 43334 || (c < 70480
      ? (c < 66816
        ? (c < 64323
          ? (c < 43777
            ? (c < 43642
              ? (c < 43514
                ? (c < 43471
                  ? (c < 43396
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43442)
                  : (c <= 43471 || (c < 43494
                    ? (c >= 43488 && c <= 43492)
                    : c <= 43503)))
                : (c <= 43518 || (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c >= 43616 && c <= 43638)))))
              : (c <= 43642 || (c < 43712
                ? (c < 43701
                  ? (c < 43697
                    ? (c >= 43646 && c <= 43695)
                    : c <= 43697)
                  : (c <= 43702 || (c >= 43705 && c <= 43709)))
                : (c <= 43712 || (c < 43744
                  ? (c < 43739
                    ? c == 43714
                    : c <= 43741)
                  : (c <= 43754 || (c >= 43762 && c <= 43764)))))))
            : (c <= 43782 || (c < 63744
              ? (c < 43868
                ? (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))
                : (c <= 43881 || (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))))
              : (c <= 64109 || (c < 64287
                ? (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))
                : (c <= 64296 || (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))))))))
          : (c <= 64324 || (c < 65498
            ? (c < 65147
              ? (c < 65008
                ? (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)))
                : (c <= 65017 || (c < 65143
                  ? (c < 65139
                    ? c == 65137
                    : c <= 65139)
                  : (c <= 65143 || c == 65145))))
              : (c <= 65147 || (c < 65382
                ? (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))
                : (c <= 65437 || (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))))))
            : (c <= 65500 || (c < 66304
              ? (c < 65616
                ? (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))
                : (c <= 65629 || (c < 66176
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66204 || (c >= 66208 && c <= 66256)))))
              : (c <= 66335 || (c < 66504
                ? (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66421)
                  : (c <= 66461 || (c >= 66464 && c <= 66499)))
                : (c <= 66511 || (c < 66736
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66771 || (c >= 66776 && c <= 66811)))))))))))
        : (c <= 66855 || (c < 68608
          ? (c < 67647
            ? (c < 67392
              ? (c < 66967
                ? (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))
                : (c <= 66977 || (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c >= 67072 && c <= 67382)))))
              : (c <= 67413 || (c < 67584
                ? (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c >= 67506 && c <= 67514)))
                : (c <= 67589 || (c < 67639
                  ? (c < 67594
                    ? c == 67592
                    : c <= 67637)
                  : (c <= 67640 || c == 67644))))))
            : (c <= 67669 || (c < 68117
              ? (c < 67872
                ? (c < 67808
                  ? (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)
                  : (c <= 67826 || (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)))
                : (c <= 67897 || (c < 68096
                  ? (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)
                  : (c <= 68096 || (c >= 68112 && c <= 68115)))))
              : (c <= 68119 || (c < 68297
                ? (c < 68224
                  ? (c < 68192
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68220)
                  : (c <= 68252 || (c >= 68288 && c <= 68295)))
                : (c <= 68324 || (c < 68448
                  ? (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)
                  : (c <= 68466 || (c >= 68480 && c <= 68497)))))))))
          : (c <= 68680 || (c < 70006
            ? (c < 69600
              ? (c < 69376
                ? (c < 68864
                  ? (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)
                  : (c <= 68899 || (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)))
                : (c <= 69404 || (c < 69488
                  ? (c < 69424
                    ? c == 69415
                    : c <= 69445)
                  : (c <= 69505 || (c >= 69552 && c <= 69572)))))
              : (c <= 69622 || (c < 69840
                ? (c < 69749
                  ? (c < 69745
                    ? (c >= 69635 && c <= 69687)
                    : c <= 69746)
                  : (c <= 69749 || (c >= 69763 && c <= 69807)))
                : (c <= 69864 || (c < 69959
                  ? (c < 69956
                    ? (c >= 69891 && c <= 69926)
                    : c <= 69956)
                  : (c <= 69959 || (c >= 69968 && c <= 70002)))))))
            : (c <= 70006 || (c < 70287
              ? (c < 70144
                ? (c < 70106
                  ? (c < 70081
                    ? (c >= 70019 && c <= 70066)
                    : c <= 70084)
                  : (c <= 70106 || c == 70108))
                : (c <= 70161 || (c < 70280
                  ? (c < 70272
                    ? (c >= 70163 && c <= 70187)
                    : c <= 70278)
                  : (c <= 70280 || (c >= 70282 && c <= 70285)))))
              : (c <= 70301 || (c < 70419
                ? (c < 70405
                  ? (c < 70320
                    ? (c >= 70303 && c <= 70312)
                    : c <= 70366)
                  : (c <= 70412 || (c >= 70415 && c <= 70416)))
                : (c <= 70440 || (c < 70453
                  ? (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)
                  : (c <= 70457 || c == 70461))))))))))))
      : (c <= 70480 || (c < 119808
        ? (c < 72971
          ? (c < 71957
            ? (c < 71236
              ? (c < 70852
                ? (c < 70727
                  ? (c < 70656
                    ? (c >= 70493 && c <= 70497)
                    : c <= 70708)
                  : (c <= 70730 || (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)))
                : (c <= 70853 || (c < 71128
                  ? (c < 71040
                    ? c == 70855
                    : c <= 71086)
                  : (c <= 71131 || (c >= 71168 && c <= 71215)))))
              : (c <= 71236 || (c < 71680
                ? (c < 71424
                  ? (c < 71352
                    ? (c >= 71296 && c <= 71338)
                    : c <= 71352)
                  : (c <= 71450 || (c >= 71488 && c <= 71494)))
                : (c <= 71723 || (c < 71945
                  ? (c < 71935
                    ? (c >= 71840 && c <= 71903)
                    : c <= 71942)
                  : (c <= 71945 || (c >= 71948 && c <= 71955)))))))
            : (c <= 71958 || (c < 72272
              ? (c < 72161
                ? (c < 72001
                  ? (c < 71999
                    ? (c >= 71960 && c <= 71983)
                    : c <= 71999)
                  : (c <= 72001 || (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)))
                : (c <= 72161 || (c < 72203
                  ? (c < 72192
                    ? c == 72163
                    : c <= 72192)
                  : (c <= 72242 || c == 72250))))
              : (c <= 72272 || (c < 72714
                ? (c < 72368
                  ? (c < 72349
                    ? (c >= 72284 && c <= 72329)
                    : c <= 72349)
                  : (c <= 72440 || (c >= 72704 && c <= 72712)))
                : (c <= 72750 || (c < 72960
                  ? (c < 72818
                    ? c == 72768
                    : c <= 72847)
                  : (c <= 72966 || (c >= 72968 && c <= 72969)))))))))
          : (c <= 73008 || (c < 93053
            ? (c < 77712
              ? (c < 73440
                ? (c < 73063
                  ? (c < 73056
                    ? c == 73030
                    : c <= 73061)
                  : (c <= 73064 || (c < 73112
                    ? (c >= 73066 && c <= 73097)
                    : c <= 73112)))
                : (c <= 73458 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c >= 74880 && c <= 75075)))))
              : (c <= 77808 || (c < 92784
                ? (c < 92160
                  ? (c < 82944
                    ? (c >= 77824 && c <= 78894)
                    : c <= 83526)
                  : (c <= 92728 || (c >= 92736 && c <= 92766)))
                : (c <= 92862 || (c < 92992
                  ? (c < 92928
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92975)
                  : (c <= 92995 || (c >= 93027 && c <= 93047)))))))
            : (c <= 93071 || (c < 110581
              ? (c < 94179
                ? (c < 94032
                  ? (c < 93952
                    ? (c >= 93760 && c <= 93823)
                    : c <= 94026)
                  : (c <= 94032 || (c < 94176
                    ? (c >= 94099 && c <= 94111)
                    : c <= 94177)))
                : (c <= 94179 || (c < 101632
                  ? (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)
                  : (c <= 101640 || (c >= 110576 && c <= 110579)))))
              : (c <= 110587 || (c < 110960
                ? (c < 110928
                  ? (c < 110592
                    ? (c >= 110589 && c <= 110590)
                    : c <= 110882)
                  : (c <= 110930 || (c >= 110948 && c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c >= 113808 && c <= 113817)))))))))))
        : (c <= 119892 || (c < 125259
          ? (c < 120540
            ? (c < 120077
              ? (c < 119982
                ? (c < 119970
                  ? (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)
                  : (c <= 119970 || (c < 119977
                    ? (c >= 119973 && c <= 119974)
                    : c <= 119980)))
                : (c <= 119993 || (c < 120005
                  ? (c < 119997
                    ? c == 119995
                    : c <= 120003)
                  : (c <= 120069 || (c >= 120071 && c <= 120074)))))
              : (c <= 120084 || (c < 120134
                ? (c < 120123
                  ? (c < 120094
                    ? (c >= 120086 && c <= 120092)
                    : c <= 120121)
                  : (c <= 120126 || (c >= 120128 && c <= 120132)))
                : (c <= 120134 || (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c >= 120514 && c <= 120538)))))))
            : (c <= 120570 || (c < 123191
              ? (c < 120714
                ? (c < 120630
                  ? (c < 120598
                    ? (c >= 120572 && c <= 120596)
                    : c <= 120628)
                  : (c <= 120654 || (c < 120688
                    ? (c >= 120656 && c <= 120686)
                    : c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 43396
    ? (c < 3913
      ? (c < 2613
        ? (c < 1765
          ? (c < 750
            ? (c < 'w'
              ? (c < 'g'
                ? (c < '_'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'Z')
                  : (c <= '_' || (c < 'e'
                    ? c == 'a'
                    : c <= 'e')))
                : (c <= 'h' || (c < 'q'
                  ? (c < 'o'
                    ? (c >= 'j' && c <= 'l')
                    : c <= 'o')
                  : (c <= 'r' || c == 't'))))
              : (c <= 'z' || (c < 216
                ? (c < 186
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 186 || (c >= 192 && c <= 214)))
                : (c <= 246 || (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || c == 748))))))
            : (c <= 750 || (c < 1162
              ? (c < 904
                ? (c < 891
                  ? (c < 886
                    ? (c >= 880 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || (c < 902
                    ? c == 895
                    : c <= 902)))
                : (c <= 906 || (c < 931
                  ? (c < 910
                    ? c == 908
                    : c <= 929)
                  : (c <= 1013 || (c >= 1015 && c <= 1153)))))
              : (c <= 1327 || (c < 1519
                ? (c < 1376
                  ? (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)
                  : (c <= 1416 || (c >= 1488 && c <= 1514)))
                : (c <= 1522 || (c < 1649
                  ? (c < 1646
                    ? (c >= 1568 && c <= 1610)
                    : c <= 1647)
                  : (c <= 1747 || c == 1749))))))))
          : (c <= 1766 || (c < 2365
            ? (c < 2048
              ? (c < 1869
                ? (c < 1791
                  ? (c < 1786
                    ? (c >= 1774 && c <= 1775)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1810
                    ? c == 1808
                    : c <= 1839)))
                : (c <= 1957 || (c < 2036
                  ? (c < 1994
                    ? c == 1969
                    : c <= 2026)
                  : (c <= 2037 || c == 2042))))
              : (c <= 2069 || (c < 2144
                ? (c < 2088
                  ? (c < 2084
                    ? c == 2074
                    : c <= 2084)
                  : (c <= 2088 || (c >= 2112 && c <= 2136)))
                : (c <= 2154 || (c < 2208
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2249 || (c >= 2308 && c <= 2361)))))))
            : (c <= 2365 || (c < 2510
              ? (c < 2451
                ? (c < 2417
                  ? (c < 2392
                    ? c == 2384
                    : c <= 2401)
                  : (c <= 2432 || (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)))
                : (c <= 2472 || (c < 2486
                  ? (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)
                  : (c <= 2489 || c == 2493))))
              : (c <= 2510 || (c < 2565
                ? (c < 2544
                  ? (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2529)
                  : (c <= 2545 || c == 2556))
                : (c <= 2570 || (c < 2602
                  ? (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)
                  : (c <= 2608 || (c >= 2610 && c <= 2611)))))))))))
        : (c <= 2614 || (c < 3165
          ? (c < 2877
            ? (c < 2749
              ? (c < 2703
                ? (c < 2654
                  ? (c < 2649
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2652)
                  : (c <= 2654 || (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)))
                : (c <= 2705 || (c < 2738
                  ? (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)
                  : (c <= 2739 || (c >= 2741 && c <= 2745)))))
              : (c <= 2749 || (c < 2831
                ? (c < 2809
                  ? (c < 2784
                    ? c == 2768
                    : c <= 2785)
                  : (c <= 2809 || (c >= 2821 && c <= 2828)))
                : (c <= 2832 || (c < 2866
                  ? (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)
                  : (c <= 2867 || (c >= 2869 && c <= 2873)))))))
            : (c <= 2877 || (c < 2979
              ? (c < 2958
                ? (c < 2929
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2913)
                  : (c <= 2929 || (c < 2949
                    ? c == 2947
                    : c <= 2954)))
                : (c <= 2960 || (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c >= 2974 && c <= 2975)))))
              : (c <= 2980 || (c < 3086
                ? (c < 3024
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3024 || (c >= 3077 && c <= 3084)))
                : (c <= 3088 || (c < 3133
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3133 || (c >= 3160 && c <= 3162)))))))))
          : (c <= 3165 || (c < 3482
            ? (c < 3313
              ? (c < 3242
                ? (c < 3205
                  ? (c < 3200
                    ? (c >= 3168 && c <= 3169)
                    : c <= 3200)
                  : (c <= 3212 || (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)))
                : (c <= 3251 || (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c >= 3296 && c <= 3297)))))
              : (c <= 3314 || (c < 3406
                ? (c < 3346
                  ? (c < 3342
                    ? (c >= 3332 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3386 || c == 3389))
                : (c <= 3406 || (c < 3450
                  ? (c < 3423
                    ? (c >= 3412 && c <= 3414)
                    : c <= 3425)
                  : (c <= 3455 || (c >= 3461 && c <= 3478)))))))
            : (c <= 3505 || (c < 3724
              ? (c < 3634
                ? (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c >= 3585 && c <= 3632)))
                : (c <= 3634 || (c < 3716
                  ? (c < 3713
                    ? (c >= 3648 && c <= 3654)
                    : c <= 3714)
                  : (c <= 3716 || (c >= 3718 && c <= 3722)))))
              : (c <= 3747 || (c < 3776
                ? (c < 3762
                  ? (c < 3751
                    ? c == 3749
                    : c <= 3760)
                  : (c <= 3762 || c == 3773))
                : (c <= 3780 || (c < 3840
                  ? (c < 3804
                    ? c == 3782
                    : c <= 3807)
                  : (c <= 3840 || (c >= 3904 && c <= 3911)))))))))))))
      : (c <= 3948 || (c < 8031
        ? (c < 5984
          ? (c < 4746
            ? (c < 4256
              ? (c < 4193
                ? (c < 4159
                  ? (c < 4096
                    ? (c >= 3976 && c <= 3980)
                    : c <= 4138)
                  : (c <= 4159 || (c < 4186
                    ? (c >= 4176 && c <= 4181)
                    : c <= 4189)))
                : (c <= 4193 || (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || c == 4238))))
              : (c <= 4293 || (c < 4682
                ? (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c >= 4348 && c <= 4680)))
                : (c <= 4685 || (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c >= 4704 && c <= 4744)))))))
            : (c <= 4749 || (c < 5024
              ? (c < 4808
                ? (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || (c < 4802
                    ? c == 4800
                    : c <= 4805)))
                : (c <= 4822 || (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))))
              : (c <= 5109 || (c < 5792
                ? (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))
                : (c <= 5866 || (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))))))))
          : (c <= 5996 || (c < 7098
            ? (c < 6512
              ? (c < 6272
                ? (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || (c < 6176
                    ? c == 6108
                    : c <= 6264)))
                : (c <= 6312 || (c < 6400
                  ? (c < 6320
                    ? c == 6314
                    : c <= 6389)
                  : (c <= 6430 || (c >= 6480 && c <= 6509)))))
              : (c <= 6516 || (c < 6823
                ? (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))
                : (c <= 6823 || (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))))))
            : (c <= 7141 || (c < 7418
              ? (c < 7312
                ? (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))
                : (c <= 7354 || (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))))
              : (c <= 7418 || (c < 8008
                ? (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))
                : (c <= 8013 || (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))))))))))
        : (c <= 8061 || (c < 11728
          ? (c < 8488
            ? (c < 8305
              ? (c < 8144
                ? (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)))
                : (c <= 8147 || (c < 8178
                  ? (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)
                  : (c <= 8180 || (c >= 8182 && c <= 8188)))))
              : (c <= 8305 || (c < 8458
                ? (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))
                : (c <= 8467 || (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))))))
            : (c <= 8488 || (c < 11565
              ? (c < 11264
                ? (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))
                : (c <= 11492 || (c < 11520
                  ? (c < 11506
                    ? (c >= 11499 && c <= 11502)
                    : c <= 11507)
                  : (c <= 11557 || c == 11559))))
              : (c <= 11565 || (c < 11688
                ? (c < 11648
                  ? (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)
                  : (c <= 11670 || (c >= 11680 && c <= 11686)))
                : (c <= 11694 || (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c >= 11720 && c <= 11726)))))))))
          : (c <= 11734 || (c < 42623
            ? (c < 12593
              ? (c < 12353
                ? (c < 12321
                  ? (c < 12293
                    ? (c >= 11736 && c <= 11742)
                    : c <= 12295)
                  : (c <= 12329 || (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)))
                : (c <= 12438 || (c < 12540
                  ? (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)
                  : (c <= 12543 || (c >= 12549 && c <= 12591)))))
              : (c <= 12686 || (c < 42192
                ? (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c >= 19968 && c <= 42124)))
                : (c <= 42237 || (c < 42538
                  ? (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))))))
            : (c <= 42653 || (c < 43015
              ? (c < 42960
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42656 && c <= 42735)
                    : c <= 42783)
                  : (c <= 42888 || (c >= 42891 && c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43009 || (c >= 43011 && c <= 43013)))))
              : (c <= 43018 || (c < 43259
                ? (c < 43138
                  ? (c < 43072
                    ? (c >= 43020 && c <= 43042)
                    : c <= 43123)
                  : (c <= 43187 || (c >= 43250 && c <= 43255)))
                : (c <= 43259 || (c < 43312
                  ? (c < 43274
                    ? (c >= 43261 && c <= 43262)
                    : c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))))))))))))))
    : (c <= 43442 || (c < 70493
      ? (c < 66864
        ? (c < 64467
          ? (c < 43793
            ? (c < 43697
              ? (c < 43584
                ? (c < 43494
                  ? (c < 43488
                    ? c == 43471
                    : c <= 43492)
                  : (c <= 43503 || (c < 43520
                    ? (c >= 43514 && c <= 43518)
                    : c <= 43560)))
                : (c <= 43586 || (c < 43642
                  ? (c < 43616
                    ? (c >= 43588 && c <= 43595)
                    : c <= 43638)
                  : (c <= 43642 || (c >= 43646 && c <= 43695)))))
              : (c <= 43697 || (c < 43739
                ? (c < 43712
                  ? (c < 43705
                    ? (c >= 43701 && c <= 43702)
                    : c <= 43709)
                  : (c <= 43712 || c == 43714))
                : (c <= 43741 || (c < 43777
                  ? (c < 43762
                    ? (c >= 43744 && c <= 43754)
                    : c <= 43764)
                  : (c <= 43782 || (c >= 43785 && c <= 43790)))))))
            : (c <= 43798 || (c < 64256
              ? (c < 44032
                ? (c < 43824
                  ? (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)
                  : (c <= 43866 || (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44002)))
                : (c <= 55203 || (c < 63744
                  ? (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)
                  : (c <= 64109 || (c >= 64112 && c <= 64217)))))
              : (c <= 64262 || (c < 64312
                ? (c < 64287
                  ? (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64285)
                  : (c <= 64296 || (c >= 64298 && c <= 64310)))
                : (c <= 64316 || (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c >= 64326 && c <= 64433)))))))))
          : (c <= 64605 || (c < 65549
            ? (c < 65151
              ? (c < 65139
                ? (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)))
                : (c <= 65139 || (c < 65147
                  ? (c < 65145
                    ? c == 65143
                    : c <= 65145)
                  : (c <= 65147 || c == 65149))))
              : (c <= 65276 || (c < 65474
                ? (c < 65382
                  ? (c < 65345
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65370)
                  : (c <= 65437 || (c >= 65440 && c <= 65470)))
                : (c <= 65479 || (c < 65498
                  ? (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)
                  : (c <= 65500 || (c >= 65536 && c <= 65547)))))))
            : (c <= 65574 || (c < 66349
              ? (c < 65664
                ? (c < 65599
                  ? (c < 65596
                    ? (c >= 65576 && c <= 65594)
                    : c <= 65597)
                  : (c <= 65613 || (c >= 65616 && c <= 65629)))
                : (c <= 65786 || (c < 66208
                  ? (c < 66176
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66204)
                  : (c <= 66256 || (c >= 66304 && c <= 66335)))))
              : (c <= 66378 || (c < 66513
                ? (c < 66464
                  ? (c < 66432
                    ? (c >= 66384 && c <= 66421)
                    : c <= 66461)
                  : (c <= 66499 || (c >= 66504 && c <= 66511)))
                : (c <= 66517 || (c < 66776
                  ? (c < 66736
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66771)
                  : (c <= 66811 || (c >= 66816 && c <= 66855)))))))))))
        : (c <= 66915 || (c < 68736
          ? (c < 67680
            ? (c < 67424
              ? (c < 66979
                ? (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))
                : (c <= 66993 || (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c >= 67392 && c <= 67413)))))
              : (c <= 67431 || (c < 67592
                ? (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c >= 67584 && c <= 67589)))
                : (c <= 67592 || (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c >= 67647 && c <= 67669)))))))
            : (c <= 67702 || (c < 68121
              ? (c < 67968
                ? (c < 67828
                  ? (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)
                  : (c <= 67829 || (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)))
                : (c <= 68023 || (c < 68112
                  ? (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68096)
                  : (c <= 68115 || (c >= 68117 && c <= 68119)))))
              : (c <= 68149 || (c < 68352
                ? (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c >= 68297 && c <= 68324)))
                : (c <= 68405 || (c < 68480
                  ? (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)
                  : (c <= 68497 || (c >= 68608 && c <= 68680)))))))))
          : (c <= 68786 || (c < 70019
            ? (c < 69635
              ? (c < 69415
                ? (c < 69248
                  ? (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68899)
                  : (c <= 69289 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))
                : (c <= 69415 || (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69445)
                    : c <= 69505)
                  : (c <= 69572 || (c >= 69600 && c <= 69622)))))
              : (c <= 69687 || (c < 69891
                ? (c < 69763
                  ? (c < 69749
                    ? (c >= 69745 && c <= 69746)
                    : c <= 69749)
                  : (c <= 69807 || (c >= 69840 && c <= 69864)))
                : (c <= 69926 || (c < 69968
                  ? (c < 69959
                    ? c == 69956
                    : c <= 69959)
                  : (c <= 70002 || c == 70006))))))
            : (c <= 70066 || (c < 70303
              ? (c < 70163
                ? (c < 70108
                  ? (c < 70106
                    ? (c >= 70081 && c <= 70084)
                    : c <= 70106)
                  : (c <= 70108 || (c >= 70144 && c <= 70161)))
                : (c <= 70187 || (c < 70282
                  ? (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)
                  : (c <= 70285 || (c >= 70287 && c <= 70301)))))
              : (c <= 70312 || (c < 70442
                ? (c < 70415
                  ? (c < 70405
                    ? (c >= 70320 && c <= 70366)
                    : c <= 70412)
                  : (c <= 70416 || (c >= 70419 && c <= 70440)))
                : (c <= 70448 || (c < 70461
                  ? (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)
                  : (c <= 70461 || c == 70480))))))))))))
      : (c <= 70497 || (c < 119808
        ? (c < 73030
          ? (c < 71960
            ? (c < 71296
              ? (c < 70855
                ? (c < 70751
                  ? (c < 70727
                    ? (c >= 70656 && c <= 70708)
                    : c <= 70730)
                  : (c <= 70753 || (c < 70852
                    ? (c >= 70784 && c <= 70831)
                    : c <= 70853)))
                : (c <= 70855 || (c < 71168
                  ? (c < 71128
                    ? (c >= 71040 && c <= 71086)
                    : c <= 71131)
                  : (c <= 71215 || c == 71236))))
              : (c <= 71338 || (c < 71840
                ? (c < 71488
                  ? (c < 71424
                    ? c == 71352
                    : c <= 71450)
                  : (c <= 71494 || (c >= 71680 && c <= 71723)))
                : (c <= 71903 || (c < 71948
                  ? (c < 71945
                    ? (c >= 71935 && c <= 71942)
                    : c <= 71945)
                  : (c <= 71955 || (c >= 71957 && c <= 71958)))))))
            : (c <= 71983 || (c < 72284
              ? (c < 72163
                ? (c < 72096
                  ? (c < 72001
                    ? c == 71999
                    : c <= 72001)
                  : (c <= 72103 || (c < 72161
                    ? (c >= 72106 && c <= 72144)
                    : c <= 72161)))
                : (c <= 72163 || (c < 72250
                  ? (c < 72203
                    ? c == 72192
                    : c <= 72242)
                  : (c <= 72250 || c == 72272))))
              : (c <= 72329 || (c < 72768
                ? (c < 72704
                  ? (c < 72368
                    ? c == 72349
                    : c <= 72440)
                  : (c <= 72712 || (c >= 72714 && c <= 72750)))
                : (c <= 72768 || (c < 72968
                  ? (c < 72960
                    ? (c >= 72818 && c <= 72847)
                    : c <= 72966)
                  : (c <= 72969 || (c >= 72971 && c <= 73008)))))))))
          : (c <= 73030 || (c < 93760
            ? (c < 77824
              ? (c < 73648
                ? (c < 73066
                  ? (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)
                  : (c <= 73097 || (c < 73440
                    ? c == 73112
                    : c <= 73458)))
                : (c <= 73648 || (c < 74880
                  ? (c < 74752
                    ? (c >= 73728 && c <= 74649)
                    : c <= 74862)
                  : (c <= 75075 || (c >= 77712 && c <= 77808)))))
              : (c <= 78894 || (c < 92880
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c >= 92784 && c <= 92862)))
                : (c <= 92909 || (c < 93027
                  ? (c < 92992
                    ? (c >= 92928 && c <= 92975)
                    : c <= 92995)
                  : (c <= 93047 || (c >= 93053 && c <= 93071)))))))
            : (c <= 93823 || (c < 110581
              ? (c < 94179
                ? (c < 94099
                  ? (c < 94032
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94032)
                  : (c <= 94111 || (c >= 94176 && c <= 94177)))
                : (c <= 94179 || (c < 101632
                  ? (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)
                  : (c <= 101640 || (c >= 110576 && c <= 110579)))))
              : (c <= 110587 || (c < 110960
                ? (c < 110928
                  ? (c < 110592
                    ? (c >= 110589 && c <= 110590)
                    : c <= 110882)
                  : (c <= 110930 || (c >= 110948 && c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c >= 113808 && c <= 113817)))))))))))
        : (c <= 119892 || (c < 125259
          ? (c < 120540
            ? (c < 120077
              ? (c < 119982
                ? (c < 119970
                  ? (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)
                  : (c <= 119970 || (c < 119977
                    ? (c >= 119973 && c <= 119974)
                    : c <= 119980)))
                : (c <= 119993 || (c < 120005
                  ? (c < 119997
                    ? c == 119995
                    : c <= 120003)
                  : (c <= 120069 || (c >= 120071 && c <= 120074)))))
              : (c <= 120084 || (c < 120134
                ? (c < 120123
                  ? (c < 120094
                    ? (c >= 120086 && c <= 120092)
                    : c <= 120121)
                  : (c <= 120126 || (c >= 120128 && c <= 120132)))
                : (c <= 120134 || (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c >= 120514 && c <= 120538)))))))
            : (c <= 120570 || (c < 123191
              ? (c < 120714
                ? (c < 120630
                  ? (c < 120598
                    ? (c >= 120572 && c <= 120596)
                    : c <= 120628)
                  : (c <= 120654 || (c < 120688
                    ? (c >= 120656 && c <= 120686)
                    : c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 43494
    ? (c < 4186
      ? (c < 2703
        ? (c < 1969
          ? (c < 908
            ? (c < 710
              ? (c < 181
                ? (c < '_'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'Z')
                  : (c <= '_' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 216
                  ? (c < 192
                    ? c == 186
                    : c <= 214)
                  : (c <= 246 || (c >= 248 && c <= 705)))))
              : (c <= 721 || (c < 886
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c >= 880 && c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 902 || (c >= 904 && c <= 906)))))))
            : (c <= 908 || (c < 1646
              ? (c < 1369
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1519
                  ? (c < 1488
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))))
              : (c <= 1647 || (c < 1786
                ? (c < 1765
                  ? (c < 1749
                    ? (c >= 1649 && c <= 1747)
                    : c <= 1749)
                  : (c <= 1766 || (c >= 1774 && c <= 1775)))
                : (c <= 1788 || (c < 1810
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1808)
                  : (c <= 1839 || (c >= 1869 && c <= 1957)))))))))
          : (c <= 1969 || (c < 2474
            ? (c < 2185
              ? (c < 2084
                ? (c < 2042
                  ? (c < 2036
                    ? (c >= 1994 && c <= 2026)
                    : c <= 2037)
                  : (c <= 2042 || (c < 2074
                    ? (c >= 2048 && c <= 2069)
                    : c <= 2074)))
                : (c <= 2084 || (c < 2144
                  ? (c < 2112
                    ? c == 2088
                    : c <= 2136)
                  : (c <= 2154 || (c >= 2160 && c <= 2183)))))
              : (c <= 2190 || (c < 2392
                ? (c < 2365
                  ? (c < 2308
                    ? (c >= 2208 && c <= 2249)
                    : c <= 2361)
                  : (c <= 2365 || c == 2384))
                : (c <= 2401 || (c < 2447
                  ? (c < 2437
                    ? (c >= 2417 && c <= 2432)
                    : c <= 2444)
                  : (c <= 2448 || (c >= 2451 && c <= 2472)))))))
            : (c <= 2480 || (c < 2575
              ? (c < 2524
                ? (c < 2493
                  ? (c < 2486
                    ? c == 2482
                    : c <= 2489)
                  : (c <= 2493 || c == 2510))
                : (c <= 2525 || (c < 2556
                  ? (c < 2544
                    ? (c >= 2527 && c <= 2529)
                    : c <= 2545)
                  : (c <= 2556 || (c >= 2565 && c <= 2570)))))
              : (c <= 2576 || (c < 2616
                ? (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c >= 2613 && c <= 2614)))
                : (c <= 2617 || (c < 2674
                  ? (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)
                  : (c <= 2676 || (c >= 2693 && c <= 2701)))))))))))
        : (c <= 2705 || (c < 3218
          ? (c < 2958
            ? (c < 2835
              ? (c < 2768
                ? (c < 2738
                  ? (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)
                  : (c <= 2739 || (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)))
                : (c <= 2768 || (c < 2821
                  ? (c < 2809
                    ? (c >= 2784 && c <= 2785)
                    : c <= 2809)
                  : (c <= 2828 || (c >= 2831 && c <= 2832)))))
              : (c <= 2856 || (c < 2908
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || c == 2877))
                : (c <= 2909 || (c < 2947
                  ? (c < 2929
                    ? (c >= 2911 && c <= 2913)
                    : c <= 2929)
                  : (c <= 2947 || (c >= 2949 && c <= 2954)))))))
            : (c <= 2960 || (c < 3086
              ? (c < 2979
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c >= 2974 && c <= 2975)))
                : (c <= 2980 || (c < 3024
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3024 || (c >= 3077 && c <= 3084)))))
              : (c <= 3088 || (c < 3165
                ? (c < 3133
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3133 || (c >= 3160 && c <= 3162)))
                : (c <= 3165 || (c < 3205
                  ? (c < 3200
                    ? (c >= 3168 && c <= 3169)
                    : c <= 3200)
                  : (c <= 3212 || (c >= 3214 && c <= 3216)))))))))
          : (c <= 3240 || (c < 3634
            ? (c < 3406
              ? (c < 3313
                ? (c < 3261
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3261 || (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)))
                : (c <= 3314 || (c < 3346
                  ? (c < 3342
                    ? (c >= 3332 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3386 || c == 3389))))
              : (c <= 3406 || (c < 3482
                ? (c < 3450
                  ? (c < 3423
                    ? (c >= 3412 && c <= 3414)
                    : c <= 3425)
                  : (c <= 3455 || (c >= 3461 && c <= 3478)))
                : (c <= 3505 || (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c >= 3585 && c <= 3632)))))))
            : (c <= 3634 || (c < 3776
              ? (c < 3724
                ? (c < 3716
                  ? (c < 3713
                    ? (c >= 3648 && c <= 3654)
                    : c <= 3714)
                  : (c <= 3716 || (c >= 3718 && c <= 3722)))
                : (c <= 3747 || (c < 3762
                  ? (c < 3751
                    ? c == 3749
                    : c <= 3760)
                  : (c <= 3762 || c == 3773))))
              : (c <= 3780 || (c < 3913
                ? (c < 3840
                  ? (c < 3804
                    ? c == 3782
                    : c <= 3807)
                  : (c <= 3840 || (c >= 3904 && c <= 3911)))
                : (c <= 3948 || (c < 4159
                  ? (c < 4096
                    ? (c >= 3976 && c <= 3980)
                    : c <= 4138)
                  : (c <= 4159 || (c >= 4176 && c <= 4181)))))))))))))
      : (c <= 4189 || (c < 8130
        ? (c < 6108
          ? (c < 4802
            ? (c < 4682
              ? (c < 4256
                ? (c < 4206
                  ? (c < 4197
                    ? c == 4193
                    : c <= 4198)
                  : (c <= 4208 || (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c >= 4348 && c <= 4680)))))
              : (c <= 4685 || (c < 4746
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c >= 4704 && c <= 4744)))
                : (c <= 4749 || (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || c == 4800))))))
            : (c <= 4805 || (c < 5761
              ? (c < 4992
                ? (c < 4882
                  ? (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)
                  : (c <= 4885 || (c >= 4888 && c <= 4954)))
                : (c <= 5007 || (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c >= 5743 && c <= 5759)))))
              : (c <= 5786 || (c < 5952
                ? (c < 5888
                  ? (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)
                  : (c <= 5905 || (c >= 5919 && c <= 5937)))
                : (c <= 5969 || (c < 6016
                  ? (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)
                  : (c <= 6067 || c == 6103))))))))
          : (c <= 6108 || (c < 7296
            ? (c < 6688
              ? (c < 6480
                ? (c < 6314
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6312)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c >= 6656 && c <= 6678)))))
              : (c <= 6740 || (c < 7086
                ? (c < 6981
                  ? (c < 6917
                    ? c == 6823
                    : c <= 6963)
                  : (c <= 6988 || (c >= 7043 && c <= 7072)))
                : (c <= 7087 || (c < 7245
                  ? (c < 7168
                    ? (c >= 7098 && c <= 7141)
                    : c <= 7203)
                  : (c <= 7247 || (c >= 7258 && c <= 7293)))))))
            : (c <= 7304 || (c < 7968
              ? (c < 7413
                ? (c < 7401
                  ? (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)
                  : (c <= 7404 || (c >= 7406 && c <= 7411)))
                : (c <= 7414 || (c < 7680
                  ? (c < 7424
                    ? c == 7418
                    : c <= 7615)
                  : (c <= 7957 || (c >= 7960 && c <= 7965)))))
              : (c <= 8005 || (c < 8029
                ? (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || c == 8027))
                : (c <= 8029 || (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || c == 8126))))))))))
        : (c <= 8132 || (c < 12321
          ? (c < 8526
            ? (c < 8455
              ? (c < 8182
                ? (c < 8150
                  ? (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)
                  : (c <= 8155 || (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)))
                : (c <= 8188 || (c < 8336
                  ? (c < 8319
                    ? c == 8305
                    : c <= 8319)
                  : (c <= 8348 || c == 8450))))
              : (c <= 8455 || (c < 8486
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || c == 8484))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c >= 8517 && c <= 8521)))))))
            : (c <= 8526 || (c < 11648
              ? (c < 11520
                ? (c < 11499
                  ? (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))
                : (c <= 11557 || (c < 11568
                  ? (c < 11565
                    ? c == 11559
                    : c <= 11565)
                  : (c <= 11623 || c == 11631))))
              : (c <= 11670 || (c < 11712
                ? (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c >= 11704 && c <= 11710)))
                : (c <= 11718 || (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c >= 12293 && c <= 12295)))))))))
          : (c <= 12329 || (c < 42786
            ? (c < 13312
              ? (c < 12540
                ? (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))
                : (c <= 12543 || (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c >= 12784 && c <= 12799)))))
              : (c <= 19903 || (c < 42538
                ? (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c >= 42512 && c <= 42527)))
                : (c <= 42539 || (c < 42656
                  ? (c < 42623
                    ? (c >= 42560 && c <= 42606)
                    : c <= 42653)
                  : (c <= 42735 || (c >= 42775 && c <= 42783)))))))
            : (c <= 42888 || (c < 43138
              ? (c < 42994
                ? (c < 42963
                  ? (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)
                  : (c <= 42963 || (c >= 42965 && c <= 42969)))
                : (c <= 43009 || (c < 43020
                  ? (c < 43015
                    ? (c >= 43011 && c <= 43013)
                    : c <= 43018)
                  : (c <= 43042 || (c >= 43072 && c <= 43123)))))
              : (c <= 43187 || (c < 43312
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43250 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43262 || (c >= 43274 && c <= 43301)))
                : (c <= 43334 || (c < 43471
                  ? (c < 43396
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43442)
                  : (c <= 43471 || (c >= 43488 && c <= 43492)))))))))))))))
    : (c <= 43503 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43824
            ? (c < 43712
              ? (c < 43642
                ? (c < 43584
                  ? (c < 43520
                    ? (c >= 43514 && c <= 43518)
                    : c <= 43560)
                  : (c <= 43586 || (c < 43616
                    ? (c >= 43588 && c <= 43595)
                    : c <= 43638)))
                : (c <= 43642 || (c < 43701
                  ? (c < 43697
                    ? (c >= 43646 && c <= 43695)
                    : c <= 43697)
                  : (c <= 43702 || (c >= 43705 && c <= 43709)))))
              : (c <= 43712 || (c < 43777
                ? (c < 43744
                  ? (c < 43739
                    ? c == 43714
                    : c <= 43741)
                  : (c <= 43754 || (c >= 43762 && c <= 43764)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c >= 43816 && c <= 43822)))))))
            : (c <= 43866 || (c < 64287
              ? (c < 63744
                ? (c < 44032
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44002)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 43471
    ? (c < 4096
      ? (c < 2649
        ? (c < 1791
          ? (c < 891
            ? (c < 186
              ? (c < '_'
                ? (c < 'C'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'A')
                  : (c <= 'K' || (c < 'V'
                    ? (c >= 'M' && c <= 'T')
                    : c <= 'Z')))
                : (c <= '_' || (c < 170
                  ? (c < 'v'
                    ? (c >= 'a' && c <= 't')
                    : c <= 'z')
                  : (c <= 170 || c == 181))))
              : (c <= 186 || (c < 736
                ? (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))
                : (c <= 740 || (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c >= 886 && c <= 887)))))))
            : (c <= 893 || (c < 1376
              ? (c < 931
                ? (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))
                : (c <= 1013 || (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))))
              : (c <= 1416 || (c < 1649
                ? (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))
                : (c <= 1747 || (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))))))))
          : (c <= 1791 || (c < 2417
            ? (c < 2088
              ? (c < 2036
                ? (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || (c < 1994
                    ? c == 1969
                    : c <= 2026)))
                : (c <= 2037 || (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || c == 2084))))
              : (c <= 2088 || (c < 2208
                ? (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))
                : (c <= 2249 || (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))))))
            : (c <= 2432 || (c < 2527
              ? (c < 2482
                ? (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))
                : (c <= 2482 || (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))))
              : (c <= 2529 || (c < 2579
                ? (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))))))))))
        : (c <= 2652 || (c < 3200
          ? (c < 2911
            ? (c < 2784
              ? (c < 2730
                ? (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))
                : (c <= 2736 || (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || c == 2768))))
              : (c <= 2785 || (c < 2858
                ? (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))
                : (c <= 2864 || (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))))))
            : (c <= 2913 || (c < 2990
              ? (c < 2969
                ? (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)))
                : (c <= 2970 || (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c >= 2984 && c <= 2986)))))
              : (c <= 3001 || (c < 3114
                ? (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))
                : (c <= 3129 || (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))))))))
          : (c <= 3200 || (c < 3517
            ? (c < 3342
              ? (c < 3261
                ? (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)))
                : (c <= 3261 || (c < 3313
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)
                  : (c <= 3314 || (c >= 3332 && c <= 3340)))))
              : (c <= 3344 || (c < 3423
                ? (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))
                : (c <= 3425 || (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))))))
            : (c <= 3517 || (c < 3751
              ? (c < 3713
                ? (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))))
              : (c <= 3760 || (c < 3804
                ? (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))
                : (c <= 3807 || (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c >= 3976 && c <= 3980)))))))))))))
      : (c <= 4138 || (c < 8118
        ? (c < 6016
          ? (c < 4786
            ? (c < 4301
              ? (c < 4206
                ? (c < 4186
                  ? (c < 4176
                    ? c == 4159
                    : c <= 4181)
                  : (c <= 4189 || (c < 4197
                    ? c == 4193
                    : c <= 4198)))
                : (c <= 4208 || (c < 4256
                  ? (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)
                  : (c <= 4293 || c == 4295))))
              : (c <= 4301 || (c < 4696
                ? (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))
                : (c <= 4696 || (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c >= 4752 && c <= 4784)))))))
            : (c <= 4789 || (c < 5121
              ? (c < 4882
                ? (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))
                : (c <= 4885 || (c < 5024
                  ? (c < 4992
                    ? (c >= 4888 && c <= 4954)
                    : c <= 5007)
                  : (c <= 5109 || (c >= 5112 && c <= 5117)))))
              : (c <= 5740 || (c < 5888
                ? (c < 5792
                  ? (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)
                  : (c <= 5866 || (c >= 5870 && c <= 5880)))
                : (c <= 5905 || (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5937)
                    : c <= 5969)
                  : (c <= 5996 || (c >= 5998 && c <= 6000)))))))))
          : (c <= 6067 || (c < 7245
            ? (c < 6576
              ? (c < 6320
                ? (c < 6176
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6108)
                  : (c <= 6264 || (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)))
                : (c <= 6389 || (c < 6512
                  ? (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)
                  : (c <= 6516 || (c >= 6528 && c <= 6571)))))
              : (c <= 6601 || (c < 6981
                ? (c < 6823
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6678)
                    : c <= 6740)
                  : (c <= 6823 || (c >= 6917 && c <= 6963)))
                : (c <= 6988 || (c < 7098
                  ? (c < 7086
                    ? (c >= 7043 && c <= 7072)
                    : c <= 7087)
                  : (c <= 7141 || (c >= 7168 && c <= 7203)))))))
            : (c <= 7247 || (c < 7680
              ? (c < 7401
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7258 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c >= 7357 && c <= 7359)))
                : (c <= 7404 || (c < 7418
                  ? (c < 7413
                    ? (c >= 7406 && c <= 7411)
                    : c <= 7414)
                  : (c <= 7418 || (c >= 7424 && c <= 7615)))))
              : (c <= 7957 || (c < 8025
                ? (c < 8008
                  ? (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)
                  : (c <= 8013 || (c >= 8016 && c <= 8023)))
                : (c <= 8025 || (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c >= 8064 && c <= 8116)))))))))))
        : (c <= 8124 || (c < 11736
          ? (c < 8508
            ? (c < 8336
              ? (c < 8160
                ? (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))
                : (c <= 8172 || (c < 8305
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8305 || c == 8319))))
              : (c <= 8348 || (c < 8472
                ? (c < 8458
                  ? (c < 8455
                    ? c == 8450
                    : c <= 8455)
                  : (c <= 8467 || c == 8469))
                : (c <= 8477 || (c < 8488
                  ? (c < 8486
                    ? c == 8484
                    : c <= 8486)
                  : (c <= 8488 || (c >= 8490 && c <= 8505)))))))
            : (c <= 8511 || (c < 11568
              ? (c < 11499
                ? (c < 8544
                  ? (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)
                  : (c <= 8584 || (c >= 11264 && c <= 11492)))
                : (c <= 11502 || (c < 11559
                  ? (c < 11520
                    ? (c >= 11506 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || c == 11565))))
              : (c <= 11623 || (c < 11696
                ? (c < 11680
                  ? (c < 11648
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c >= 11688 && c <= 11694)))
                : (c <= 11702 || (c < 11720
                  ? (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)
                  : (c <= 11726 || (c >= 11728 && c <= 11734)))))))))
          : (c <= 11742 || (c < 42656
            ? (c < 12704
              ? (c < 12445
                ? (c < 12337
                  ? (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12329)
                  : (c <= 12341 || (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)))
                : (c <= 12447 || (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c >= 12593 && c <= 12686)))))
              : (c <= 12735 || (c < 42240
                ? (c < 19968
                  ? (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)
                  : (c <= 42124 || (c >= 42192 && c <= 42237)))
                : (c <= 42508 || (c < 42560
                  ? (c < 42538
                    ? (c >= 42512 && c <= 42527)
                    : c <= 42539)
                  : (c <= 42606 || (c >= 42623 && c <= 42653)))))))
            : (c <= 42735 || (c < 43020
              ? (c < 42963
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c >= 42960 && c <= 42961)))
                : (c <= 42963 || (c < 43011
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43009)
                  : (c <= 43013 || (c >= 43015 && c <= 43018)))))
              : (c <= 43042 || (c < 43261
                ? (c < 43250
                  ? (c < 43138
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43187)
                  : (c <= 43255 || c == 43259))
                : (c <= 43262 || (c < 43360
                  ? (c < 43312
                    ? (c >= 43274 && c <= 43301)
                    : c <= 43334)
                  : (c <= 43388 || (c >= 43396 && c <= 43442)))))))))))))))
    : (c <= 43471 || (c < 70656
      ? (c < 66928
        ? (c < 64612
          ? (c < 43808
            ? (c < 43701
              ? (c < 43588
                ? (c < 43514
                  ? (c < 43494
                    ? (c >= 43488 && c <= 43492)
                    : c <= 43503)
                  : (c <= 43518 || (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)))
                : (c <= 43595 || (c < 43646
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)
                  : (c <= 43695 || c == 43697))))
              : (c <= 43702 || (c < 43744
                ? (c < 43714
                  ? (c < 43712
                    ? (c >= 43705 && c <= 43709)
                    : c <= 43712)
                  : (c <= 43714 || (c >= 43739 && c <= 43741)))
                : (c <= 43754 || (c < 43785
                  ? (c < 43777
                    ? (c >= 43762 && c <= 43764)
                    : c <= 43782)
                  : (c <= 43790 || (c >= 43793 && c <= 43798)))))))
            : (c <= 43814 || (c < 64275
              ? (c < 55216
                ? (c < 43868
                  ? (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)
                  : (c <= 43881 || (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)))
                : (c <= 55238 || (c < 64112
                  ? (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)
                  : (c <= 64217 || (c >= 64256 && c <= 64262)))))
              : (c <= 64279 || (c < 64318
                ? (c < 64298
                  ? (c < 64287
                    ? c == 64285
                    : c <= 64296)
                  : (c <= 64310 || (c >= 64312 && c <= 64316)))
                : (c <= 64318 || (c < 64326
                  ? (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)
                  : (c <= 64433 || (c >= 64467 && c <= 64605)))))))))
          : (c <= 64829 || (c < 65576
            ? (c < 65313
              ? (c < 65143
                ? (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65139
                    ? c == 65137
                    : c <= 65139)))
                : (c <= 65143 || (c < 65149
                  ? (c < 65147
                    ? c == 65145
                    : c <= 65147)
                  : (c <= 65149 || (c >= 65151 && c <= 65276)))))
              : (c <= 65338 || (c < 65482
                ? (c < 65440
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65437)
                  : (c <= 65470 || (c >= 65474 && c <= 65479)))
                : (c <= 65487 || (c < 65536
                  ? (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)
                  : (c <= 65547 || (c >= 65549 && c <= 65574)))))))
            : (c <= 65594 || (c < 66384
              ? (c < 65856
                ? (c < 65616
                  ? (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)
                  : (c <= 65629 || (c >= 65664 && c <= 65786)))
                : (c <= 65908 || (c < 66304
                  ? (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)
                  : (c <= 66335 || (c >= 66349 && c <= 66378)))))
              : (c <= 66421 || (c < 66560
                ? (c < 66504
                  ? (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)
                  : (c <= 66511 || (c >= 66513 && c <= 66517)))
                : (c <= 66717 || (c < 66816
                  ? (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)
                  : (c <= 66855 || (c >= 66864 && c <= 66915)))))))))))
        : (c <= 66938 || (c < 68800
          ? (c < 67712
            ? (c < 67456
              ? (c < 66995
                ? (c < 66964
                  ? (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)
                  : (c <= 66965 || (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)))
                : (c <= 67001 || (c < 67392
                  ? (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)
                  : (c <= 67413 || (c >= 67424 && c <= 67431)))))
              : (c <= 67461 || (c < 67594
                ? (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || c == 67592))
                : (c <= 67637 || (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c >= 67680 && c <= 67702)))))))
            : (c <= 67742 || (c < 68192
              ? (c < 68030
                ? (c < 67840
                  ? (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)
                  : (c <= 67861 || (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)))
                : (c <= 68031 || (c < 68117
                  ? (c < 68112
                    ? c == 68096
                    : c <= 68115)
                  : (c <= 68119 || (c >= 68121 && c <= 68149)))))
              : (c <= 68220 || (c < 68416
                ? (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68324 || (c >= 68352 && c <= 68405)))
                : (c <= 68437 || (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c >= 68736 && c <= 68786)))))))))
          : (c <= 68850 || (c < 70081
            ? (c < 69745
              ? (c < 69424
                ? (c < 69296
                  ? (c < 69248
                    ? (c >= 68864 && c <= 68899)
                    : c <= 69289)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))
                : (c <= 69445 || (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69505)
                    : c <= 69572)
                  : (c <= 69622 || (c >= 69635 && c <= 69687)))))
              : (c <= 69746 || (c < 69956
                ? (c < 69840
                  ? (c < 69763
                    ? c == 69749
                    : c <= 69807)
                  : (c <= 69864 || (c >= 69891 && c <= 69926)))
                : (c <= 69956 || (c < 70006
                  ? (c < 69968
                    ? c == 69959
                    : c <= 70002)
                  : (c <= 70006 || (c >= 70019 && c <= 70066)))))))
            : (c <= 70084 || (c < 70320
              ? (c < 70272
                ? (c < 70144
                  ? (c < 70108
                    ? c == 70106
                    : c <= 70108)
                  : (c <= 70161 || (c >= 70163 && c <= 70187)))
                : (c <= 70278 || (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c >= 70303 && c <= 70312)))))
              : (c <= 70366 || (c < 70450
                ? (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c >= 70442 && c <= 70448)))
                : (c <= 70451 || (c < 70480
                  ? (c < 70461
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70461)
                  : (c <= 70480 || (c >= 70493 && c <= 70497)))))))))))))
      : (c <= 70708 || (c < 119894
        ? (c < 73056
          ? (c < 71999
            ? (c < 71352
              ? (c < 71040
                ? (c < 70784
                  ? (c < 70751
                    ? (c >= 70727 && c <= 70730)
                    : c <= 70753)
                  : (c <= 70831 || (c < 70855
                    ? (c >= 70852 && c <= 70853)
                    : c <= 70855)))
                : (c <= 71086 || (c < 71236
                  ? (c < 71168
                    ? (c >= 71128 && c <= 71131)
                    : c <= 71215)
                  : (c <= 71236 || (c >= 71296 && c <= 71338)))))
              : (c <= 71352 || (c < 71935
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71424 && c <= 71450)
                    : c <= 71494)
                  : (c <= 71723 || (c >= 71840 && c <= 71903)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c >= 71960 && c <= 71983)))))))
            : (c <= 71999 || (c < 72349
              ? (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? c == 72001
                    : c <= 72103)
                  : (c <= 72144 || (c < 72163
                    ? c == 72161
                    : c <= 72163)))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_5(int32_t c) {
  return (c < 43520
    ? (c < 4197
      ? (c < 2730
        ? (c < 2036
          ? (c < 1015
            ? (c < 750
              ? (c < 216
                ? (c < 181
                  ? (c < 170
                    ? c == '$'
                    : c <= 170)
                  : (c <= 181 || (c < 192
                    ? c == 186
                    : c <= 214)))
                : (c <= 246 || (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || c == 748))))
              : (c <= 750 || (c < 902
                ? (c < 891
                  ? (c < 886
                    ? (c >= 880 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || c == 895))
                : (c <= 902 || (c < 910
                  ? (c < 908
                    ? (c >= 904 && c <= 906)
                    : c <= 908)
                  : (c <= 929 || (c >= 931 && c <= 1013)))))))
            : (c <= 1153 || (c < 1749
              ? (c < 1488
                ? (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c >= 1376 && c <= 1416)))
                : (c <= 1514 || (c < 1646
                  ? (c < 1568
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1610)
                  : (c <= 1647 || (c >= 1649 && c <= 1747)))))
              : (c <= 1749 || (c < 1808
                ? (c < 1786
                  ? (c < 1774
                    ? (c >= 1765 && c <= 1766)
                    : c <= 1775)
                  : (c <= 1788 || c == 1791))
                : (c <= 1808 || (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c >= 1994 && c <= 2026)))))))))
          : (c <= 2037 || (c < 2486
            ? (c < 2308
              ? (c < 2112
                ? (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || (c < 2088
                    ? c == 2084
                    : c <= 2088)))
                : (c <= 2136 || (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c >= 2208 && c <= 2249)))))
              : (c <= 2361 || (c < 2437
                ? (c < 2392
                  ? (c < 2384
                    ? c == 2365
                    : c <= 2384)
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))
                : (c <= 2444 || (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))))))
            : (c <= 2489 || (c < 2602
              ? (c < 2544
                ? (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c >= 2527 && c <= 2529)))
                : (c <= 2545 || (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))))
              : (c <= 2608 || (c < 2654
                ? (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c >= 2649 && c <= 2652)))
                : (c <= 2654 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c >= 2707 && c <= 2728)))))))))))
        : (c <= 2736 || (c < 3253
          ? (c < 2969
            ? (c < 2866
              ? (c < 2809
                ? (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || (c < 2784
                    ? c == 2768
                    : c <= 2785)))
                : (c <= 2809 || (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))))
              : (c <= 2867 || (c < 2929
                ? (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))
                : (c <= 2929 || (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c >= 2962 && c <= 2965)))))))
            : (c <= 2970 || (c < 3114
              ? (c < 2990
                ? (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c >= 2984 && c <= 2986)))
                : (c <= 3001 || (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))))
              : (c <= 3129 || (c < 3200
                ? (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))
                : (c <= 3200 || (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c >= 3242 && c <= 3251)))))))))
          : (c <= 3257 || (c < 3713
            ? (c < 3423
              ? (c < 3342
                ? (c < 3296
                  ? (c < 3293
                    ? c == 3261
                    : c <= 3294)
                  : (c <= 3297 || (c < 3332
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))))
              : (c <= 3425 || (c < 3517
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))
                : (c <= 3517 || (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))))))
            : (c <= 3714 || (c < 3804
              ? (c < 3751
                ? (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))
                : (c <= 3760 || (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))))
              : (c <= 3807 || (c < 4096
                ? (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c >= 3976 && c <= 3980)))
                : (c <= 4138 || (c < 4186
                  ? (c < 4176
                    ? c == 4159
                    : c <= 4181)
                  : (c <= 4189 || c == 4193))))))))))))
      : (c <= 4198 || (c < 8144
        ? (c < 6272
          ? (c < 4824
            ? (c < 4696
              ? (c < 4301
                ? (c < 4238
                  ? (c < 4213
                    ? (c >= 4206 && c <= 4208)
                    : c <= 4225)
                  : (c <= 4238 || (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)))
                : (c <= 4301 || (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))))
              : (c <= 4696 || (c < 4786
                ? (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c >= 4752 && c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c >= 4808 && c <= 4822)))))))
            : (c <= 4880 || (c < 5870
              ? (c < 5112
                ? (c < 4992
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 5007 || (c >= 5024 && c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c >= 5792 && c <= 5866)))))
              : (c <= 5880 || (c < 5998
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5905)
                    : c <= 5937)
                  : (c <= 5969 || (c >= 5984 && c <= 5996)))
                : (c <= 6000 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6067)
                    : c <= 6103)
                  : (c <= 6108 || (c >= 6176 && c <= 6264)))))))))
          : (c <= 6312 || (c < 7357
            ? (c < 6917
              ? (c < 6528
                ? (c < 6400
                  ? (c < 6320
                    ? c == 6314
                    : c <= 6389)
                  : (c <= 6430 || (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)))
                : (c <= 6571 || (c < 6688
                  ? (c < 6656
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6678)
                  : (c <= 6740 || c == 6823))))
              : (c <= 6963 || (c < 7168
                ? (c < 7086
                  ? (c < 7043
                    ? (c >= 6981 && c <= 6988)
                    : c <= 7072)
                  : (c <= 7087 || (c >= 7098 && c <= 7141)))
                : (c <= 7203 || (c < 7296
                  ? (c < 7258
                    ? (c >= 7245 && c <= 7247)
                    : c <= 7293)
                  : (c <= 7304 || (c >= 7312 && c <= 7354)))))))
            : (c <= 7359 || (c < 8016
              ? (c < 7424
                ? (c < 7413
                  ? (c < 7406
                    ? (c >= 7401 && c <= 7404)
                    : c <= 7411)
                  : (c <= 7414 || c == 7418))
                : (c <= 7615 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7680 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c >= 8008 && c <= 8013)))))
              : (c <= 8023 || (c < 8064
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c >= 8031 && c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c >= 8134 && c <= 8140)))))))))))
        : (c <= 8147 || (c < 12344
          ? (c < 11264
            ? (c < 8469
              ? (c < 8319
                ? (c < 8178
                  ? (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)
                  : (c <= 8180 || (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)))
                : (c <= 8319 || (c < 8455
                  ? (c < 8450
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8450)
                  : (c <= 8455 || (c >= 8458 && c <= 8467)))))
              : (c <= 8469 || (c < 8490
                ? (c < 8486
                  ? (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)
                  : (c <= 8486 || c == 8488))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c >= 8544 && c <= 8584)))))))
            : (c <= 11492 || (c < 11688
              ? (c < 11565
                ? (c < 11520
                  ? (c < 11506
                    ? (c >= 11499 && c <= 11502)
                    : c <= 11507)
                  : (c <= 11557 || c == 11559))
                : (c <= 11565 || (c < 11648
                  ? (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)
                  : (c <= 11670 || (c >= 11680 && c <= 11686)))))
              : (c <= 11694 || (c < 11728
                ? (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c >= 11720 && c <= 11726)))
                : (c <= 11734 || (c < 12321
                  ? (c < 12293
                    ? (c >= 11736 && c <= 11742)
                    : c <= 12295)
                  : (c <= 12329 || (c >= 12337 && c <= 12341)))))))))
          : (c <= 12348 || (c < 42960
            ? (c < 42192
              ? (c < 12593
                ? (c < 12449
                  ? (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)
                  : (c <= 12538 || (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)))
                : (c <= 12686 || (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c >= 19968 && c <= 42124)))))
              : (c <= 42237 || (c < 42623
                ? (c < 42538
                  ? (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))
                : (c <= 42653 || (c < 42786
                  ? (c < 42775
                    ? (c >= 42656 && c <= 42735)
                    : c <= 42783)
                  : (c <= 42888 || (c >= 42891 && c <= 42954)))))))
            : (c <= 42961 || (c < 43259
              ? (c < 43015
                ? (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43009 || (c >= 43011 && c <= 43013)))
                : (c <= 43018 || (c < 43138
                  ? (c < 43072
                    ? (c >= 43020 && c <= 43042)
                    : c <= 43123)
                  : (c <= 43187 || (c >= 43250 && c <= 43255)))))
              : (c <= 43259 || (c < 43396
                ? (c < 43312
                  ? (c < 43274
                    ? (c >= 43261 && c <= 43262)
                    : c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))
                : (c <= 43442 || (c < 43494
                  ? (c < 43488
                    ? c == 43471
                    : c <= 43492)
                  : (c <= 43503 || (c >= 43514 && c <= 43518)))))))))))))))
    : (c <= 43560 || (c < 70751
      ? (c < 66964
        ? (c < 65008
          ? (c < 43888
            ? (c < 43739
              ? (c < 43697
                ? (c < 43616
                  ? (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)
                  : (c <= 43638 || (c < 43646
                    ? c == 43642
                    : c <= 43695)))
                : (c <= 43697 || (c < 43712
                  ? (c < 43705
                    ? (c >= 43701 && c <= 43702)
                    : c <= 43709)
                  : (c <= 43712 || c == 43714))))
              : (c <= 43741 || (c < 43793
                ? (c < 43777
                  ? (c < 43762
                    ? (c >= 43744 && c <= 43754)
                    : c <= 43764)
                  : (c <= 43782 || (c >= 43785 && c <= 43790)))
                : (c <= 43798 || (c < 43824
                  ? (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)
                  : (c <= 43866 || (c >= 43868 && c <= 43881)))))))
            : (c <= 44002 || (c < 64298
              ? (c < 64112
                ? (c < 55243
                  ? (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)
                  : (c <= 55291 || (c >= 63744 && c <= 64109)))
                : (c <= 64217 || (c < 64285
                  ? (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)
                  : (c <= 64285 || (c >= 64287 && c <= 64296)))))
              : (c <= 64310 || (c < 64326
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c >= 64323 && c <= 64324)))
                : (c <= 64433 || (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c >= 64914 && c <= 64967)))))))))
          : (c <= 65017 || (c < 65616
            ? (c < 65440
              ? (c < 65149
                ? (c < 65143
                  ? (c < 65139
                    ? c == 65137
                    : c <= 65139)
                  : (c <= 65143 || (c < 65147
                    ? c == 65145
                    : c <= 65147)))
                : (c <= 65149 || (c < 65345
                  ? (c < 65313
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65338)
                  : (c <= 65370 || (c >= 65382 && c <= 65437)))))
              : (c <= 65470 || (c < 65536
                ? (c < 65490
                  ? (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)
                  : (c <= 65495 || (c >= 65498 && c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c >= 65599 && c <= 65613)))))))
            : (c <= 65629 || (c < 66504
              ? (c < 66304
                ? (c < 66176
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66204 || (c >= 66208 && c <= 66256)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66421)
                  : (c <= 66461 || (c >= 66464 && c <= 66499)))))
              : (c <= 66511 || (c < 66816
                ? (c < 66736
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66771 || (c >= 66776 && c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c >= 66956 && c <= 66962)))))))))))
        : (c <= 66965 || (c < 69248
          ? (c < 67840
            ? (c < 67584
              ? (c < 67392
                ? (c < 66995
                  ? (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)
                  : (c <= 67001 || (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)))
                : (c <= 67413 || (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c >= 67506 && c <= 67514)))))
              : (c <= 67589 || (c < 67647
                ? (c < 67639
                  ? (c < 67594
                    ? c == 67592
                    : c <= 67637)
                  : (c <= 67640 || c == 67644))
                : (c <= 67669 || (c < 67808
                  ? (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)
                  : (c <= 67826 || (c >= 67828 && c <= 67829)))))))
            : (c <= 67861 || (c < 68288
              ? (c < 68112
                ? (c < 68030
                  ? (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)
                  : (c <= 68031 || c == 68096))
                : (c <= 68115 || (c < 68192
                  ? (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)
                  : (c <= 68220 || (c >= 68224 && c <= 68252)))))
              : (c <= 68295 || (c < 68480
                ? (c < 68416
                  ? (c < 68352
                    ? (c >= 68297 && c <= 68324)
                    : c <= 68405)
                  : (c <= 68437 || (c >= 68448 && c <= 68466)))
                : (c <= 68497 || (c < 68800
                  ? (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)
                  : (c <= 68850 || (c >= 68864 && c <= 68899)))))))))
          : (c <= 69289 || (c < 70108
            ? (c < 69763
              ? (c < 69552
                ? (c < 69415
                  ? (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)
                  : (c <= 69415 || (c < 69488
                    ? (c >= 69424 && c <= 69445)
                    : c <= 69505)))
                : (c <= 69572 || (c < 69745
                  ? (c < 69635
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69687)
                  : (c <= 69746 || c == 69749))))
              : (c <= 69807 || (c < 69968
                ? (c < 69956
                  ? (c < 69891
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69926)
                  : (c <= 69956 || c == 69959))
                : (c <= 70002 || (c < 70081
                  ? (c < 70019
                    ? c == 70006
                    : c <= 70066)
                  : (c <= 70084 || c == 70106))))))
            : (c <= 70108 || (c < 70415
              ? (c < 70282
                ? (c < 70272
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70187)
                  : (c <= 70278 || c == 70280))
                : (c <= 70285 || (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70366 || (c >= 70405 && c <= 70412)))))
              : (c <= 70416 || (c < 70461
                ? (c < 70450
                  ? (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)
                  : (c <= 70451 || (c >= 70453 && c <= 70457)))
                : (c <= 70461 || (c < 70656
                  ? (c < 70493
                    ? c == 70480
                    : c <= 70497)
                  : (c <= 70708 || (c >= 70727 && c <= 70730)))))))))))))
      : (c <= 70753 || (c < 119966
        ? (c < 73063
          ? (c < 72096
            ? (c < 71488
              ? (c < 71168
                ? (c < 70855
                  ? (c < 70852
                    ? (c >= 70784 && c <= 70831)
                    : c <= 70853)
                  : (c <= 70855 || (c < 71128
                    ? (c >= 71040 && c <= 71086)
                    : c <= 71131)))
                : (c <= 71215 || (c < 71352
                  ? (c < 71296
                    ? c == 71236
                    : c <= 71338)
                  : (c <= 71352 || (c >= 71424 && c <= 71450)))))
              : (c <= 71494 || (c < 71948
                ? (c < 71935
                  ? (c < 71840
                    ? (c >= 71680 && c <= 71723)
                    : c <= 71903)
                  : (c <= 71942 || c == 71945))
                : (c <= 71955 || (c < 71999
                  ? (c < 71960
                    ? (c >= 71957 && c <= 71958)
                    : c <= 71983)
                  : (c <= 71999 || c == 72001))))))
            : (c <= 72103 || (c < 72368
              ? (c < 72203
                ? (c < 72163
                  ? (c < 72161
                    ? (c >= 72106 && c <= 72144)
                    : c <= 72161)
                  : (c <= 72163 || c == 72192))
                : (c <= 72242 || (c < 72284
                  ? (c < 72272
                    ? c == 72250
                    : c <= 72272)
                  : (c <= 72329 || c == 72349))))
              : (c <= 72440 || (c < 72960
                ? (c < 72768
                  ? (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72750)
                  : (c <= 72768 || (c >= 72818 && c <= 72847)))
                : (c <= 72966 || (c < 73030
                  ? (c < 72971
                    ? (c >= 72968 && c <= 72969)
                    : c <= 73008)
                  : (c <= 73030 || (c >= 73056 && c <= 73061)))))))))
          : (c <= 73064 || (c < 94032
            ? (c < 92160
              ? (c < 74752
                ? (c < 73440
                  ? (c < 73112
                    ? (c >= 73066 && c <= 73097)
                    : c <= 73112)
                  : (c <= 73458 || (c < 73728
                    ? c == 73648
                    : c <= 74649)))
                : (c <= 74862 || (c < 77824
                  ? (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)
                  : (c <= 78894 || (c >= 82944 && c <= 83526)))))
              : (c <= 92728 || (c < 92992
                ? (c < 92880
                  ? (c < 92784
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92862)
                  : (c <= 92909 || (c >= 92928 && c <= 92975)))
                : (c <= 92995 || (c < 93760
                  ? (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)
                  : (c <= 93823 || (c >= 93952 && c <= 94026)))))))
            : (c <= 94032 || (c < 110592
              ? (c < 100352
                ? (c < 94179
                  ? (c < 94176
                    ? (c >= 94099 && c <= 94111)
                    : c <= 94177)
                  : (c <= 94179 || (c >= 94208 && c <= 100343)))
                : (c <= 101589 || (c < 110581
                  ? (c < 110576
                    ? (c >= 101632 && c <= 101640)
                    : c <= 110579)
                  : (c <= 110587 || (c >= 110589 && c <= 110590)))))
              : (c <= 110882 || (c < 113776
                ? (c < 110960
                  ? (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)
                  : (c <= 111355 || (c >= 113664 && c <= 113770)))
                : (c <= 113788 || (c < 119808
                  ? (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)
                  : (c <= 119892 || (c >= 119894 && c <= 119964)))))))))))
        : (c <= 119967 || (c < 126464
          ? (c < 120598
            ? (c < 120094
              ? (c < 119997
                ? (c < 119977
                  ? (c < 119973
                    ? c == 119970
                    : c <= 119974)
                  : (c <= 119980 || (c < 119995
                    ? (c >= 119982 && c <= 119993)
                    : c <= 119995)))
                : (c <= 120003 || (c < 120077
                  ? (c < 120071
                    ? (c >= 120005 && c <= 120069)
                    : c <= 120074)
                  : (c <= 120084 || (c >= 120086 && c <= 120092)))))
              : (c <= 120121 || (c < 120146
                ? (c < 120134
                  ? (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)
                  : (c <= 120134 || (c >= 120138 && c <= 120144)))
                : (c <= 120485 || (c < 120540
                  ? (c < 120514
                    ? (c >= 120488 && c <= 120512)
                    : c <= 120538)
                  : (c <= 120570 || (c >= 120572 && c <= 120596)))))))
            : (c <= 120628 || (c < 123214
              ? (c < 120746
                ? (c < 120688
                  ? (c < 120656
                    ? (c >= 120630 && c <= 120654)
                    : c <= 120686)
                  : (c <= 120712 || (c >= 120714 && c <= 120744)))
                : (c <= 120770 || (c < 123136
                  ? (c < 122624
                    ? (c >= 120772 && c <= 120779)
                    : c <= 122654)
                  : (c <= 123180 || (c >= 123191 && c <= 123197)))))
              : (c <= 123214 || (c < 124909
                ? (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123565)
                    : c <= 123627)
                  : (c <= 124902 || (c >= 124904 && c <= 124907)))
                : (c <= 124910 || (c < 125184
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125251 || c == 125259))))))))
          : (c <= 126467 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || c == 126503))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_6(int32_t c) {
  return (c < 43471
    ? (c < 4096
      ? (c < 2649
        ? (c < 1791
          ? (c < 891
            ? (c < 186
              ? (c < '_'
                ? (c < 'M'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'K')
                  : (c <= 'Q' || (c < 'V'
                    ? (c >= 'S' && c <= 'T')
                    : c <= 'Z')))
                : (c <= '_' || (c < 170
                  ? (c < 'v'
                    ? (c >= 'a' && c <= 't')
                    : c <= 'z')
                  : (c <= 170 || c == 181))))
              : (c <= 186 || (c < 736
                ? (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))
                : (c <= 740 || (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c >= 886 && c <= 887)))))))
            : (c <= 893 || (c < 1376
              ? (c < 931
                ? (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))
                : (c <= 1013 || (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))))
              : (c <= 1416 || (c < 1649
                ? (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))
                : (c <= 1747 || (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))))))))
          : (c <= 1791 || (c < 2417
            ? (c < 2088
              ? (c < 2036
                ? (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || (c < 1994
                    ? c == 1969
                    : c <= 2026)))
                : (c <= 2037 || (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || c == 2084))))
              : (c <= 2088 || (c < 2208
                ? (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))
                : (c <= 2249 || (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))))))
            : (c <= 2432 || (c < 2527
              ? (c < 2482
                ? (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))
                : (c <= 2482 || (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))))
              : (c <= 2529 || (c < 2579
                ? (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))))))))))
        : (c <= 2652 || (c < 3200
          ? (c < 2911
            ? (c < 2784
              ? (c < 2730
                ? (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))
                : (c <= 2736 || (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || c == 2768))))
              : (c <= 2785 || (c < 2858
                ? (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))
                : (c <= 2864 || (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))))))
            : (c <= 2913 || (c < 2990
              ? (c < 2969
                ? (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)))
                : (c <= 2970 || (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c >= 2984 && c <= 2986)))))
              : (c <= 3001 || (c < 3114
                ? (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))
                : (c <= 3129 || (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))))))))
          : (c <= 3200 || (c < 3517
            ? (c < 3342
              ? (c < 3261
                ? (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)))
                : (c <= 3261 || (c < 3313
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)
                  : (c <= 3314 || (c >= 3332 && c <= 3340)))))
              : (c <= 3344 || (c < 3423
                ? (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))
                : (c <= 3425 || (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))))))
            : (c <= 3517 || (c < 3751
              ? (c < 3713
                ? (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))))
              : (c <= 3760 || (c < 3804
                ? (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))
                : (c <= 3807 || (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c >= 3976 && c <= 3980)))))))))))))
      : (c <= 4138 || (c < 8118
        ? (c < 6016
          ? (c < 4786
            ? (c < 4301
              ? (c < 4206
                ? (c < 4186
                  ? (c < 4176
                    ? c == 4159
                    : c <= 4181)
                  : (c <= 4189 || (c < 4197
                    ? c == 4193
                    : c <= 4198)))
                : (c <= 4208 || (c < 4256
                  ? (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)
                  : (c <= 4293 || c == 4295))))
              : (c <= 4301 || (c < 4696
                ? (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))
                : (c <= 4696 || (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c >= 4752 && c <= 4784)))))))
            : (c <= 4789 || (c < 5121
              ? (c < 4882
                ? (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))
                : (c <= 4885 || (c < 5024
                  ? (c < 4992
                    ? (c >= 4888 && c <= 4954)
                    : c <= 5007)
                  : (c <= 5109 || (c >= 5112 && c <= 5117)))))
              : (c <= 5740 || (c < 5888
                ? (c < 5792
                  ? (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)
                  : (c <= 5866 || (c >= 5870 && c <= 5880)))
                : (c <= 5905 || (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5937)
                    : c <= 5969)
                  : (c <= 5996 || (c >= 5998 && c <= 6000)))))))))
          : (c <= 6067 || (c < 7245
            ? (c < 6576
              ? (c < 6320
                ? (c < 6176
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6108)
                  : (c <= 6264 || (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)))
                : (c <= 6389 || (c < 6512
                  ? (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)
                  : (c <= 6516 || (c >= 6528 && c <= 6571)))))
              : (c <= 6601 || (c < 6981
                ? (c < 6823
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6678)
                    : c <= 6740)
                  : (c <= 6823 || (c >= 6917 && c <= 6963)))
                : (c <= 6988 || (c < 7098
                  ? (c < 7086
                    ? (c >= 7043 && c <= 7072)
                    : c <= 7087)
                  : (c <= 7141 || (c >= 7168 && c <= 7203)))))))
            : (c <= 7247 || (c < 7680
              ? (c < 7401
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7258 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c >= 7357 && c <= 7359)))
                : (c <= 7404 || (c < 7418
                  ? (c < 7413
                    ? (c >= 7406 && c <= 7411)
                    : c <= 7414)
                  : (c <= 7418 || (c >= 7424 && c <= 7615)))))
              : (c <= 7957 || (c < 8025
                ? (c < 8008
                  ? (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)
                  : (c <= 8013 || (c >= 8016 && c <= 8023)))
                : (c <= 8025 || (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c >= 8064 && c <= 8116)))))))))))
        : (c <= 8124 || (c < 11736
          ? (c < 8508
            ? (c < 8336
              ? (c < 8160
                ? (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))
                : (c <= 8172 || (c < 8305
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8305 || c == 8319))))
              : (c <= 8348 || (c < 8472
                ? (c < 8458
                  ? (c < 8455
                    ? c == 8450
                    : c <= 8455)
                  : (c <= 8467 || c == 8469))
                : (c <= 8477 || (c < 8488
                  ? (c < 8486
                    ? c == 8484
                    : c <= 8486)
                  : (c <= 8488 || (c >= 8490 && c <= 8505)))))))
            : (c <= 8511 || (c < 11568
              ? (c < 11499
                ? (c < 8544
                  ? (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)
                  : (c <= 8584 || (c >= 11264 && c <= 11492)))
                : (c <= 11502 || (c < 11559
                  ? (c < 11520
                    ? (c >= 11506 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || c == 11565))))
              : (c <= 11623 || (c < 11696
                ? (c < 11680
                  ? (c < 11648
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c >= 11688 && c <= 11694)))
                : (c <= 11702 || (c < 11720
                  ? (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)
                  : (c <= 11726 || (c >= 11728 && c <= 11734)))))))))
          : (c <= 11742 || (c < 42656
            ? (c < 12704
              ? (c < 12445
                ? (c < 12337
                  ? (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12329)
                  : (c <= 12341 || (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)))
                : (c <= 12447 || (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c >= 12593 && c <= 12686)))))
              : (c <= 12735 || (c < 42240
                ? (c < 19968
                  ? (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)
                  : (c <= 42124 || (c >= 42192 && c <= 42237)))
                : (c <= 42508 || (c < 42560
                  ? (c < 42538
                    ? (c >= 42512 && c <= 42527)
                    : c <= 42539)
                  : (c <= 42606 || (c >= 42623 && c <= 42653)))))))
            : (c <= 42735 || (c < 43020
              ? (c < 42963
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c >= 42960 && c <= 42961)))
                : (c <= 42963 || (c < 43011
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43009)
                  : (c <= 43013 || (c >= 43015 && c <= 43018)))))
              : (c <= 43042 || (c < 43261
                ? (c < 43250
                  ? (c < 43138
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43187)
                  : (c <= 43255 || c == 43259))
                : (c <= 43262 || (c < 43360
                  ? (c < 43312
                    ? (c >= 43274 && c <= 43301)
                    : c <= 43334)
                  : (c <= 43388 || (c >= 43396 && c <= 43442)))))))))))))))
    : (c <= 43471 || (c < 70656
      ? (c < 66928
        ? (c < 64612
          ? (c < 43808
            ? (c < 43701
              ? (c < 43588
                ? (c < 43514
                  ? (c < 43494
                    ? (c >= 43488 && c <= 43492)
                    : c <= 43503)
                  : (c <= 43518 || (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)))
                : (c <= 43595 || (c < 43646
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)
                  : (c <= 43695 || c == 43697))))
              : (c <= 43702 || (c < 43744
                ? (c < 43714
                  ? (c < 43712
                    ? (c >= 43705 && c <= 43709)
                    : c <= 43712)
                  : (c <= 43714 || (c >= 43739 && c <= 43741)))
                : (c <= 43754 || (c < 43785
                  ? (c < 43777
                    ? (c >= 43762 && c <= 43764)
                    : c <= 43782)
                  : (c <= 43790 || (c >= 43793 && c <= 43798)))))))
            : (c <= 43814 || (c < 64275
              ? (c < 55216
                ? (c < 43868
                  ? (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)
                  : (c <= 43881 || (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)))
                : (c <= 55238 || (c < 64112
                  ? (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)
                  : (c <= 64217 || (c >= 64256 && c <= 64262)))))
              : (c <= 64279 || (c < 64318
                ? (c < 64298
                  ? (c < 64287
                    ? c == 64285
                    : c <= 64296)
                  : (c <= 64310 || (c >= 64312 && c <= 64316)))
                : (c <= 64318 || (c < 64326
                  ? (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)
                  : (c <= 64433 || (c >= 64467 && c <= 64605)))))))))
          : (c <= 64829 || (c < 65576
            ? (c < 65313
              ? (c < 65143
                ? (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65139
                    ? c == 65137
                    : c <= 65139)))
                : (c <= 65143 || (c < 65149
                  ? (c < 65147
                    ? c == 65145
                    : c <= 65147)
                  : (c <= 65149 || (c >= 65151 && c <= 65276)))))
              : (c <= 65338 || (c < 65482
                ? (c < 65440
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65437)
                  : (c <= 65470 || (c >= 65474 && c <= 65479)))
                : (c <= 65487 || (c < 65536
                  ? (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)
                  : (c <= 65547 || (c >= 65549 && c <= 65574)))))))
            : (c <= 65594 || (c < 66384
              ? (c < 65856
                ? (c < 65616
                  ? (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)
                  : (c <= 65629 || (c >= 65664 && c <= 65786)))
                : (c <= 65908 || (c < 66304
                  ? (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)
                  : (c <= 66335 || (c >= 66349 && c <= 66378)))))
              : (c <= 66421 || (c < 66560
                ? (c < 66504
                  ? (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)
                  : (c <= 66511 || (c >= 66513 && c <= 66517)))
                : (c <= 66717 || (c < 66816
                  ? (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)
                  : (c <= 66855 || (c >= 66864 && c <= 66915)))))))))))
        : (c <= 66938 || (c < 68800
          ? (c < 67712
            ? (c < 67456
              ? (c < 66995
                ? (c < 66964
                  ? (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)
                  : (c <= 66965 || (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)))
                : (c <= 67001 || (c < 67392
                  ? (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)
                  : (c <= 67413 || (c >= 67424 && c <= 67431)))))
              : (c <= 67461 || (c < 67594
                ? (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || c == 67592))
                : (c <= 67637 || (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c >= 67680 && c <= 67702)))))))
            : (c <= 67742 || (c < 68192
              ? (c < 68030
                ? (c < 67840
                  ? (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)
                  : (c <= 67861 || (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)))
                : (c <= 68031 || (c < 68117
                  ? (c < 68112
                    ? c == 68096
                    : c <= 68115)
                  : (c <= 68119 || (c >= 68121 && c <= 68149)))))
              : (c <= 68220 || (c < 68416
                ? (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68324 || (c >= 68352 && c <= 68405)))
                : (c <= 68437 || (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c >= 68736 && c <= 68786)))))))))
          : (c <= 68850 || (c < 70081
            ? (c < 69745
              ? (c < 69424
                ? (c < 69296
                  ? (c < 69248
                    ? (c >= 68864 && c <= 68899)
                    : c <= 69289)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))
                : (c <= 69445 || (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69505)
                    : c <= 69572)
                  : (c <= 69622 || (c >= 69635 && c <= 69687)))))
              : (c <= 69746 || (c < 69956
                ? (c < 69840
                  ? (c < 69763
                    ? c == 69749
                    : c <= 69807)
                  : (c <= 69864 || (c >= 69891 && c <= 69926)))
                : (c <= 69956 || (c < 70006
                  ? (c < 69968
                    ? c == 69959
                    : c <= 70002)
                  : (c <= 70006 || (c >= 70019 && c <= 70066)))))))
            : (c <= 70084 || (c < 70320
              ? (c < 70272
                ? (c < 70144
                  ? (c < 70108
                    ? c == 70106
                    : c <= 70108)
                  : (c <= 70161 || (c >= 70163 && c <= 70187)))
                : (c <= 70278 || (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c >= 70303 && c <= 70312)))))
              : (c <= 70366 || (c < 70450
                ? (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c >= 70442 && c <= 70448)))
                : (c <= 70451 || (c < 70480
                  ? (c < 70461
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70461)
                  : (c <= 70480 || (c >= 70493 && c <= 70497)))))))))))))
      : (c <= 70708 || (c < 119894
        ? (c < 73056
          ? (c < 71999
            ? (c < 71352
              ? (c < 71040
                ? (c < 70784
                  ? (c < 70751
                    ? (c >= 70727 && c <= 70730)
                    : c <= 70753)
                  : (c <= 70831 || (c < 70855
                    ? (c >= 70852 && c <= 70853)
                    : c <= 70855)))
                : (c <= 71086 || (c < 71236
                  ? (c < 71168
                    ? (c >= 71128 && c <= 71131)
                    : c <= 71215)
                  : (c <= 71236 || (c >= 71296 && c <= 71338)))))
              : (c <= 71352 || (c < 71935
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71424 && c <= 71450)
                    : c <= 71494)
                  : (c <= 71723 || (c >= 71840 && c <= 71903)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c >= 71960 && c <= 71983)))))))
            : (c <= 71999 || (c < 72349
              ? (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? c == 72001
                    : c <= 72103)
                  : (c <= 72144 || (c < 72163
                    ? c == 72161
                    : c <= 72163)))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_7(int32_t c) {
  return (c < 43360
    ? (c < 3840
      ? (c < 2602
        ? (c < 1649
          ? (c < 736
            ? (c < 'q'
              ? (c < 'a'
                ? (c < 'M'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'K')
                  : (c <= 'T' || (c < '_'
                    ? (c >= 'V' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'a' || (c < 'j'
                  ? (c < 'g'
                    ? c == 'e'
                    : c <= 'h')
                  : (c <= 'l' || c == 'o'))))
              : (c <= 'r' || (c < 186
                ? (c < 170
                  ? (c < 'w'
                    ? c == 't'
                    : c <= 'z')
                  : (c <= 170 || c == 181))
                : (c <= 186 || (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))))))
            : (c <= 740 || (c < 931
              ? (c < 895
                ? (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)))
                : (c <= 895 || (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c >= 910 && c <= 929)))))
              : (c <= 1013 || (c < 1376
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))))))
          : (c <= 1747 || (c < 2208
            ? (c < 2036
              ? (c < 1808
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c < 1791
                    ? (c >= 1786 && c <= 1788)
                    : c <= 1791)))
                : (c <= 1808 || (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c >= 1994 && c <= 2026)))))
              : (c <= 2037 || (c < 2088
                ? (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || c == 2084))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))))
            : (c <= 2249 || (c < 2486
              ? (c < 2437
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c < 2417
                    ? (c >= 2392 && c <= 2401)
                    : c <= 2432)))
                : (c <= 2444 || (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))))
              : (c <= 2489 || (c < 2544
                ? (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c >= 2527 && c <= 2529)))
                : (c <= 2545 || (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))))))))))
        : (c <= 2608 || (c < 3133
          ? (c < 2866
            ? (c < 2738
              ? (c < 2674
                ? (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2676 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c >= 2730 && c <= 2736)))))
              : (c <= 2739 || (c < 2809
                ? (c < 2768
                  ? (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)
                  : (c <= 2768 || (c >= 2784 && c <= 2785)))
                : (c <= 2809 || (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))))))
            : (c <= 2867 || (c < 2972
              ? (c < 2947
                ? (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c < 2929
                    ? (c >= 2911 && c <= 2913)
                    : c <= 2929)))
                : (c <= 2947 || (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c >= 2969 && c <= 2970)))))
              : (c <= 2972 || (c < 3024
                ? (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c >= 2990 && c <= 3001)))
                : (c <= 3024 || (c < 3090
                  ? (c < 3086
                    ? (c >= 3077 && c <= 3084)
                    : c <= 3088)
                  : (c <= 3112 || (c >= 3114 && c <= 3129)))))))))
          : (c <= 3133 || (c < 3450
            ? (c < 3293
              ? (c < 3214
                ? (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3169 || (c < 3205
                    ? c == 3200
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || c == 3261))))
              : (c <= 3294 || (c < 3346
                ? (c < 3332
                  ? (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)
                  : (c <= 3340 || (c >= 3342 && c <= 3344)))
                : (c <= 3386 || (c < 3412
                  ? (c < 3406
                    ? c == 3389
                    : c <= 3406)
                  : (c <= 3414 || (c >= 3423 && c <= 3425)))))))
            : (c <= 3455 || (c < 3716
              ? (c < 3520
                ? (c < 3507
                  ? (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)
                  : (c <= 3515 || c == 3517))
                : (c <= 3526 || (c < 3648
                  ? (c < 3634
                    ? (c >= 3585 && c <= 3632)
                    : c <= 3634)
                  : (c <= 3654 || (c >= 3713 && c <= 3714)))))
              : (c <= 3716 || (c < 3762
                ? (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c >= 3751 && c <= 3760)))
                : (c <= 3762 || (c < 3782
                  ? (c < 3776
                    ? c == 3773
                    : c <= 3780)
                  : (c <= 3782 || (c >= 3804 && c <= 3807)))))))))))))
      : (c <= 3840 || (c < 8029
        ? (c < 5919
          ? (c < 4698
            ? (c < 4213
              ? (c < 4176
                ? (c < 3976
                  ? (c < 3913
                    ? (c >= 3904 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3980 || (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)))
                : (c <= 4181 || (c < 4197
                  ? (c < 4193
                    ? (c >= 4186 && c <= 4189)
                    : c <= 4193)
                  : (c <= 4198 || (c >= 4206 && c <= 4208)))))
              : (c <= 4225 || (c < 4304
                ? (c < 4295
                  ? (c < 4256
                    ? c == 4238
                    : c <= 4293)
                  : (c <= 4295 || c == 4301))
                : (c <= 4346 || (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || c == 4696))))))
            : (c <= 4701 || (c < 4888
              ? (c < 4800
                ? (c < 4752
                  ? (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)
                  : (c <= 4784 || (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)))
                : (c <= 4800 || (c < 4824
                  ? (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)
                  : (c <= 4880 || (c >= 4882 && c <= 4885)))))
              : (c <= 4954 || (c < 5743
                ? (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c >= 5121 && c <= 5740)))
                : (c <= 5759 || (c < 5870
                  ? (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)
                  : (c <= 5880 || (c >= 5888 && c <= 5905)))))))))
          : (c <= 5937 || (c < 7043
            ? (c < 6400
              ? (c < 6108
                ? (c < 5998
                  ? (c < 5984
                    ? (c >= 5952 && c <= 5969)
                    : c <= 5996)
                  : (c <= 6000 || (c < 6103
                    ? (c >= 6016 && c <= 6067)
                    : c <= 6103)))
                : (c <= 6108 || (c < 6314
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6312)
                  : (c <= 6314 || (c >= 6320 && c <= 6389)))))
              : (c <= 6430 || (c < 6656
                ? (c < 6528
                  ? (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c >= 6576 && c <= 6601)))
                : (c <= 6678 || (c < 6917
                  ? (c < 6823
                    ? (c >= 6688 && c <= 6740)
                    : c <= 6823)
                  : (c <= 6963 || (c >= 6981 && c <= 6988)))))))
            : (c <= 7072 || (c < 7413
              ? (c < 7296
                ? (c < 7168
                  ? (c < 7098
                    ? (c >= 7086 && c <= 7087)
                    : c <= 7141)
                  : (c <= 7203 || (c < 7258
                    ? (c >= 7245 && c <= 7247)
                    : c <= 7293)))
                : (c <= 7304 || (c < 7401
                  ? (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)
                  : (c <= 7404 || (c >= 7406 && c <= 7411)))))
              : (c <= 7414 || (c < 7968
                ? (c < 7680
                  ? (c < 7424
                    ? c == 7418
                    : c <= 7615)
                  : (c <= 7957 || (c >= 7960 && c <= 7965)))
                : (c <= 8005 || (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || c == 8027))))))))))
        : (c <= 8029 || (c < 11720
          ? (c < 8486
            ? (c < 8182
              ? (c < 8134
                ? (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || (c < 8130
                    ? c == 8126
                    : c <= 8132)))
                : (c <= 8140 || (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c >= 8178 && c <= 8180)))))
              : (c <= 8188 || (c < 8455
                ? (c < 8336
                  ? (c < 8319
                    ? c == 8305
                    : c <= 8319)
                  : (c <= 8348 || c == 8450))
                : (c <= 8455 || (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || c == 8484))))))
            : (c <= 8486 || (c < 11559
              ? (c < 8544
                ? (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)))
                : (c <= 8584 || (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))))
              : (c <= 11559 || (c < 11680
                ? (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))
                : (c <= 11686 || (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))))))))
          : (c <= 11726 || (c < 42560
            ? (c < 12549
              ? (c < 12344
                ? (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c < 12337
                    ? (c >= 12321 && c <= 12329)
                    : c <= 12341)))
                : (c <= 12348 || (c < 12449
                  ? (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)
                  : (c <= 12538 || (c >= 12540 && c <= 12543)))))
              : (c <= 12591 || (c < 19968
                ? (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))))))
            : (c <= 42606 || (c < 43011
              ? (c < 42891
                ? (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))
                : (c <= 42954 || (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))))
              : (c <= 43013 || (c < 43250
                ? (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))
                : (c <= 43255 || (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))))))))))))))
    : (c <= 43388 || (c < 70493
      ? (c < 66864
        ? (c < 64326
          ? (c < 43785
            ? (c < 43646
              ? (c < 43520
                ? (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c < 43514
                    ? (c >= 43494 && c <= 43503)
                    : c <= 43518)))
                : (c <= 43560 || (c < 43616
                  ? (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)
                  : (c <= 43638 || c == 43642))))
              : (c <= 43695 || (c < 43714
                ? (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))
                : (c <= 43714 || (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))))))
            : (c <= 43790 || (c < 64112
              ? (c < 43888
                ? (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))
                : (c <= 44002 || (c < 55243
                  ? (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)
                  : (c <= 55291 || (c >= 63744 && c <= 64109)))))
              : (c <= 64217 || (c < 64298
                ? (c < 64285
                  ? (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)
                  : (c <= 64285 || (c >= 64287 && c <= 64296)))
                : (c <= 64310 || (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c >= 64323 && c <= 64324)))))))))
          : (c <= 64433 || (c < 65536
            ? (c < 65149
              ? (c < 65137
                ? (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)))
                : (c <= 65137 || (c < 65145
                  ? (c < 65143
                    ? c == 65139
                    : c <= 65143)
                  : (c <= 65145 || c == 65147))))
              : (c <= 65149 || (c < 65440
                ? (c < 65345
                  ? (c < 65313
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65338)
                  : (c <= 65370 || (c >= 65382 && c <= 65437)))
                : (c <= 65470 || (c < 65490
                  ? (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)
                  : (c <= 65495 || (c >= 65498 && c <= 65500)))))))
            : (c <= 65547 || (c < 66349
              ? (c < 65664
                ? (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))
                : (c <= 65786 || (c < 66208
                  ? (c < 66176
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66204)
                  : (c <= 66256 || (c >= 66304 && c <= 66335)))))
              : (c <= 66378 || (c < 66513
                ? (c < 66464
                  ? (c < 66432
                    ? (c >= 66384 && c <= 66421)
                    : c <= 66461)
                  : (c <= 66499 || (c >= 66504 && c <= 66511)))
                : (c <= 66517 || (c < 66776
                  ? (c < 66736
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66771)
                  : (c <= 66811 || (c >= 66816 && c <= 66855)))))))))))
        : (c <= 66915 || (c < 68736
          ? (c < 67680
            ? (c < 67424
              ? (c < 66979
                ? (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))
                : (c <= 66993 || (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c >= 67392 && c <= 67413)))))
              : (c <= 67431 || (c < 67592
                ? (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c >= 67584 && c <= 67589)))
                : (c <= 67592 || (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c >= 67647 && c <= 67669)))))))
            : (c <= 67702 || (c < 68121
              ? (c < 67968
                ? (c < 67828
                  ? (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)
                  : (c <= 67829 || (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)))
                : (c <= 68023 || (c < 68112
                  ? (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68096)
                  : (c <= 68115 || (c >= 68117 && c <= 68119)))))
              : (c <= 68149 || (c < 68352
                ? (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c >= 68297 && c <= 68324)))
                : (c <= 68405 || (c < 68480
                  ? (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)
                  : (c <= 68497 || (c >= 68608 && c <= 68680)))))))))
          : (c <= 68786 || (c < 70019
            ? (c < 69635
              ? (c < 69415
                ? (c < 69248
                  ? (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68899)
                  : (c <= 69289 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))
                : (c <= 69415 || (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69445)
                    : c <= 69505)
                  : (c <= 69572 || (c >= 69600 && c <= 69622)))))
              : (c <= 69687 || (c < 69891
                ? (c < 69763
                  ? (c < 69749
                    ? (c >= 69745 && c <= 69746)
                    : c <= 69749)
                  : (c <= 69807 || (c >= 69840 && c <= 69864)))
                : (c <= 69926 || (c < 69968
                  ? (c < 69959
                    ? c == 69956
                    : c <= 69959)
                  : (c <= 70002 || c == 70006))))))
            : (c <= 70066 || (c < 70303
              ? (c < 70163
                ? (c < 70108
                  ? (c < 70106
                    ? (c >= 70081 && c <= 70084)
                    : c <= 70106)
                  : (c <= 70108 || (c >= 70144 && c <= 70161)))
                : (c <= 70187 || (c < 70282
                  ? (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)
                  : (c <= 70285 || (c >= 70287 && c <= 70301)))))
              : (c <= 70312 || (c < 70442
                ? (c < 70415
                  ? (c < 70405
                    ? (c >= 70320 && c <= 70366)
                    : c <= 70412)
                  : (c <= 70416 || (c >= 70419 && c <= 70440)))
                : (c <= 70448 || (c < 70461
                  ? (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)
                  : (c <= 70461 || c == 70480))))))))))))
      : (c <= 70497 || (c < 119808
        ? (c < 73030
          ? (c < 71960
            ? (c < 71296
              ? (c < 70855
                ? (c < 70751
                  ? (c < 70727
                    ? (c >= 70656 && c <= 70708)
                    : c <= 70730)
                  : (c <= 70753 || (c < 70852
                    ? (c >= 70784 && c <= 70831)
                    : c <= 70853)))
                : (c <= 70855 || (c < 71168
                  ? (c < 71128
                    ? (c >= 71040 && c <= 71086)
                    : c <= 71131)
                  : (c <= 71215 || c == 71236))))
              : (c <= 71338 || (c < 71840
                ? (c < 71488
                  ? (c < 71424
                    ? c == 71352
                    : c <= 71450)
                  : (c <= 71494 || (c >= 71680 && c <= 71723)))
                : (c <= 71903 || (c < 71948
                  ? (c < 71945
                    ? (c >= 71935 && c <= 71942)
                    : c <= 71945)
                  : (c <= 71955 || (c >= 71957 && c <= 71958)))))))
            : (c <= 71983 || (c < 72284
              ? (c < 72163
                ? (c < 72096
                  ? (c < 72001
                    ? c == 71999
                    : c <= 72001)
                  : (c <= 72103 || (c < 72161
                    ? (c >= 72106 && c <= 72144)
                    : c <= 72161)))
                : (c <= 72163 || (c < 72250
                  ? (c < 72203
                    ? c == 72192
                    : c <= 72242)
                  : (c <= 72250 || c == 72272))))
              : (c <= 72329 || (c < 72768
                ? (c < 72704
                  ? (c < 72368
                    ? c == 72349
                    : c <= 72440)
                  : (c <= 72712 || (c >= 72714 && c <= 72750)))
                : (c <= 72768 || (c < 72968
                  ? (c < 72960
                    ? (c >= 72818 && c <= 72847)
                    : c <= 72966)
                  : (c <= 72969 || (c >= 72971 && c <= 73008)))))))))
          : (c <= 73030 || (c < 93760
            ? (c < 77824
              ? (c < 73648
                ? (c < 73066
                  ? (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)
                  : (c <= 73097 || (c < 73440
                    ? c == 73112
                    : c <= 73458)))
                : (c <= 73648 || (c < 74880
                  ? (c < 74752
                    ? (c >= 73728 && c <= 74649)
                    : c <= 74862)
                  : (c <= 75075 || (c >= 77712 && c <= 77808)))))
              : (c <= 78894 || (c < 92880
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c >= 92784 && c <= 92862)))
                : (c <= 92909 || (c < 93027
                  ? (c < 92992
                    ? (c >= 92928 && c <= 92975)
                    : c <= 92995)
                  : (c <= 93047 || (c >= 93053 && c <= 93071)))))))
            : (c <= 93823 || (c < 110581
              ? (c < 94179
                ? (c < 94099
                  ? (c < 94032
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94032)
                  : (c <= 94111 || (c >= 94176 && c <= 94177)))
                : (c <= 94179 || (c < 101632
                  ? (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)
                  : (c <= 101640 || (c >= 110576 && c <= 110579)))))
              : (c <= 110587 || (c < 110960
                ? (c < 110928
                  ? (c < 110592
                    ? (c >= 110589 && c <= 110590)
                    : c <= 110882)
                  : (c <= 110930 || (c >= 110948 && c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c >= 113808 && c <= 113817)))))))))))
        : (c <= 119892 || (c < 125259
          ? (c < 120540
            ? (c < 120077
              ? (c < 119982
                ? (c < 119970
                  ? (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)
                  : (c <= 119970 || (c < 119977
                    ? (c >= 119973 && c <= 119974)
                    : c <= 119980)))
                : (c <= 119993 || (c < 120005
                  ? (c < 119997
                    ? c == 119995
                    : c <= 120003)
                  : (c <= 120069 || (c >= 120071 && c <= 120074)))))
              : (c <= 120084 || (c < 120134
                ? (c < 120123
                  ? (c < 120094
                    ? (c >= 120086 && c <= 120092)
                    : c <= 120121)
                  : (c <= 120126 || (c >= 120128 && c <= 120132)))
                : (c <= 120134 || (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c >= 120514 && c <= 120538)))))))
            : (c <= 120570 || (c < 123191
              ? (c < 120714
                ? (c < 120630
                  ? (c < 120598
                    ? (c >= 120572 && c <= 120596)
                    : c <= 120628)
                  : (c <= 120654 || (c < 120688
                    ? (c >= 120656 && c <= 120686)
                    : c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_8(int32_t c) {
  return (c < 43488
    ? (c < 4159
      ? (c < 2654
        ? (c < 1808
          ? (c < 895
            ? (c < 192
              ? (c < 'a'
                ? (c < 'M'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'K')
                  : (c <= 'T' || (c < '_'
                    ? (c >= 'V' && c <= 'Z')
                    : c <= '_')))
                : (c <= 't' || (c < 181
                  ? (c < 170
                    ? (c >= 'v' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || c == 186))))
              : (c <= 214 || (c < 748
                ? (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))
                : (c <= 748 || (c < 886
                  ? (c < 880
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c >= 891 && c <= 893)))))))
            : (c <= 895 || (c < 1488
              ? (c < 1015
                ? (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))
                : (c <= 1153 || (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c >= 1376 && c <= 1416)))))
              : (c <= 1514 || (c < 1749
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1610)
                  : (c <= 1647 || (c >= 1649 && c <= 1747)))
                : (c <= 1749 || (c < 1786
                  ? (c < 1774
                    ? (c >= 1765 && c <= 1766)
                    : c <= 1775)
                  : (c <= 1788 || c == 1791))))))))
          : (c <= 1808 || (c < 2437
            ? (c < 2112
              ? (c < 2042
                ? (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c < 2036
                    ? (c >= 1994 && c <= 2026)
                    : c <= 2037)))
                : (c <= 2042 || (c < 2084
                  ? (c < 2074
                    ? (c >= 2048 && c <= 2069)
                    : c <= 2074)
                  : (c <= 2084 || c == 2088))))
              : (c <= 2136 || (c < 2308
                ? (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c >= 2208 && c <= 2249)))
                : (c <= 2361 || (c < 2392
                  ? (c < 2384
                    ? c == 2365
                    : c <= 2384)
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))))))
            : (c <= 2444 || (c < 2544
              ? (c < 2486
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))
                : (c <= 2489 || (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c >= 2527 && c <= 2529)))))
              : (c <= 2545 || (c < 2602
                ? (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c >= 2649 && c <= 2652)))))))))))
        : (c <= 2654 || (c < 3205
          ? (c < 2929
            ? (c < 2809
              ? (c < 2738
                ? (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))
                : (c <= 2739 || (c < 2768
                  ? (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)
                  : (c <= 2768 || (c >= 2784 && c <= 2785)))))
              : (c <= 2809 || (c < 2866
                ? (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))
                : (c <= 2867 || (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))))))
            : (c <= 2929 || (c < 3024
              ? (c < 2972
                ? (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))
                : (c <= 2972 || (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c >= 2990 && c <= 3001)))))
              : (c <= 3024 || (c < 3133
                ? (c < 3090
                  ? (c < 3086
                    ? (c >= 3077 && c <= 3084)
                    : c <= 3088)
                  : (c <= 3112 || (c >= 3114 && c <= 3129)))
                : (c <= 3133 || (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3169 || c == 3200))))))))
          : (c <= 3212 || (c < 3520
            ? (c < 3346
              ? (c < 3293
                ? (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)))
                : (c <= 3294 || (c < 3332
                  ? (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)
                  : (c <= 3340 || (c >= 3342 && c <= 3344)))))
              : (c <= 3386 || (c < 3450
                ? (c < 3412
                  ? (c < 3406
                    ? c == 3389
                    : c <= 3406)
                  : (c <= 3414 || (c >= 3423 && c <= 3425)))
                : (c <= 3455 || (c < 3507
                  ? (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)
                  : (c <= 3515 || c == 3517))))))
            : (c <= 3526 || (c < 3762
              ? (c < 3716
                ? (c < 3648
                  ? (c < 3634
                    ? (c >= 3585 && c <= 3632)
                    : c <= 3634)
                  : (c <= 3654 || (c >= 3713 && c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c >= 3751 && c <= 3760)))))
              : (c <= 3762 || (c < 3840
                ? (c < 3782
                  ? (c < 3776
                    ? c == 3773
                    : c <= 3780)
                  : (c <= 3782 || (c >= 3804 && c <= 3807)))
                : (c <= 3840 || (c < 3976
                  ? (c < 3913
                    ? (c >= 3904 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3980 || (c >= 4096 && c <= 4138)))))))))))))
      : (c <= 4159 || (c < 8126
        ? (c < 6103
          ? (c < 4792
            ? (c < 4304
              ? (c < 4213
                ? (c < 4193
                  ? (c < 4186
                    ? (c >= 4176 && c <= 4181)
                    : c <= 4189)
                  : (c <= 4193 || (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)))
                : (c <= 4225 || (c < 4295
                  ? (c < 4256
                    ? c == 4238
                    : c <= 4293)
                  : (c <= 4295 || c == 4301))))
              : (c <= 4346 || (c < 4698
                ? (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || c == 4696))
                : (c <= 4701 || (c < 4752
                  ? (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)
                  : (c <= 4784 || (c >= 4786 && c <= 4789)))))))
            : (c <= 4798 || (c < 5743
              ? (c < 4888
                ? (c < 4808
                  ? (c < 4802
                    ? c == 4800
                    : c <= 4805)
                  : (c <= 4822 || (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)))
                : (c <= 4954 || (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c >= 5121 && c <= 5740)))))
              : (c <= 5759 || (c < 5919
                ? (c < 5870
                  ? (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)
                  : (c <= 5880 || (c >= 5888 && c <= 5905)))
                : (c <= 5937 || (c < 5998
                  ? (c < 5984
                    ? (c >= 5952 && c <= 5969)
                    : c <= 5996)
                  : (c <= 6000 || (c >= 6016 && c <= 6067)))))))))
          : (c <= 6103 || (c < 7258
            ? (c < 6656
              ? (c < 6400
                ? (c < 6272
                  ? (c < 6176
                    ? c == 6108
                    : c <= 6264)
                  : (c <= 6312 || (c < 6320
                    ? c == 6314
                    : c <= 6389)))
                : (c <= 6430 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c >= 6576 && c <= 6601)))))
              : (c <= 6678 || (c < 7043
                ? (c < 6917
                  ? (c < 6823
                    ? (c >= 6688 && c <= 6740)
                    : c <= 6823)
                  : (c <= 6963 || (c >= 6981 && c <= 6988)))
                : (c <= 7072 || (c < 7168
                  ? (c < 7098
                    ? (c >= 7086 && c <= 7087)
                    : c <= 7141)
                  : (c <= 7203 || (c >= 7245 && c <= 7247)))))))
            : (c <= 7293 || (c < 7960
              ? (c < 7406
                ? (c < 7357
                  ? (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)
                  : (c <= 7359 || (c >= 7401 && c <= 7404)))
                : (c <= 7411 || (c < 7424
                  ? (c < 7418
                    ? (c >= 7413 && c <= 7414)
                    : c <= 7418)
                  : (c <= 7615 || (c >= 7680 && c <= 7957)))))
              : (c <= 7965 || (c < 8027
                ? (c < 8016
                  ? (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)
                  : (c <= 8023 || c == 8025))
                : (c <= 8027 || (c < 8064
                  ? (c < 8031
                    ? c == 8029
                    : c <= 8061)
                  : (c <= 8116 || (c >= 8118 && c <= 8124)))))))))))
        : (c <= 8126 || (c < 12293
          ? (c < 8517
            ? (c < 8450
              ? (c < 8178
                ? (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))
                : (c <= 8180 || (c < 8319
                  ? (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)
                  : (c <= 8319 || (c >= 8336 && c <= 8348)))))
              : (c <= 8450 || (c < 8484
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c >= 8472 && c <= 8477)))
                : (c <= 8484 || (c < 8490
                  ? (c < 8488
                    ? c == 8486
                    : c <= 8488)
                  : (c <= 8505 || (c >= 8508 && c <= 8511)))))))
            : (c <= 8521 || (c < 11631
              ? (c < 11506
                ? (c < 11264
                  ? (c < 8544
                    ? c == 8526
                    : c <= 8584)
                  : (c <= 11492 || (c >= 11499 && c <= 11502)))
                : (c <= 11507 || (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c >= 11568 && c <= 11623)))))
              : (c <= 11631 || (c < 11704
                ? (c < 11688
                  ? (c < 11680
                    ? (c >= 11648 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c >= 11696 && c <= 11702)))
                : (c <= 11710 || (c < 11728
                  ? (c < 11720
                    ? (c >= 11712 && c <= 11718)
                    : c <= 11726)
                  : (c <= 11734 || (c >= 11736 && c <= 11742)))))))))
          : (c <= 12295 || (c < 42775
            ? (c < 12784
              ? (c < 12449
                ? (c < 12344
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12329)
                    : c <= 12341)
                  : (c <= 12348 || (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)))
                : (c <= 12538 || (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c >= 12704 && c <= 12735)))))
              : (c <= 12799 || (c < 42512
                ? (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c >= 42240 && c <= 42508)))
                : (c <= 42527 || (c < 42623
                  ? (c < 42560
                    ? (c >= 42538 && c <= 42539)
                    : c <= 42606)
                  : (c <= 42653 || (c >= 42656 && c <= 42735)))))))
            : (c <= 42783 || (c < 43072
              ? (c < 42965
                ? (c < 42960
                  ? (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)
                  : (c <= 42961 || c == 42963))
                : (c <= 42969 || (c < 43015
                  ? (c < 43011
                    ? (c >= 42994 && c <= 43009)
                    : c <= 43013)
                  : (c <= 43018 || (c >= 43020 && c <= 43042)))))
              : (c <= 43123 || (c < 43274
                ? (c < 43259
                  ? (c < 43250
                    ? (c >= 43138 && c <= 43187)
                    : c <= 43255)
                  : (c <= 43259 || (c >= 43261 && c <= 43262)))
                : (c <= 43301 || (c < 43396
                  ? (c < 43360
                    ? (c >= 43312 && c <= 43334)
                    : c <= 43388)
                  : (c <= 43442 || c == 43471))))))))))))))
    : (c <= 43492 || (c < 70656
      ? (c < 66940
        ? (c < 64848
          ? (c < 43816
            ? (c < 43705
              ? (c < 43616
                ? (c < 43520
                  ? (c < 43514
                    ? (c >= 43494 && c <= 43503)
                    : c <= 43518)
                  : (c <= 43560 || (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)))
                : (c <= 43638 || (c < 43697
                  ? (c < 43646
                    ? c == 43642
                    : c <= 43695)
                  : (c <= 43697 || (c >= 43701 && c <= 43702)))))
              : (c <= 43709 || (c < 43762
                ? (c < 43739
                  ? (c < 43714
                    ? c == 43712
                    : c <= 43714)
                  : (c <= 43741 || (c >= 43744 && c <= 43754)))
                : (c <= 43764 || (c < 43793
                  ? (c < 43785
                    ? (c >= 43777 && c <= 43782)
                    : c <= 43790)
                  : (c <= 43798 || (c >= 43808 && c <= 43814)))))))
            : (c <= 43822 || (c < 64285
              ? (c < 55243
                ? (c < 43888
                  ? (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)
                  : (c <= 44002 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c >= 64275 && c <= 64279)))))
              : (c <= 64285 || (c < 64320
                ? (c < 64312
                  ? (c < 64298
                    ? (c >= 64287 && c <= 64296)
                    : c <= 64310)
                  : (c <= 64316 || c == 64318))
                : (c <= 64321 || (c < 64467
                  ? (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)
                  : (c <= 64605 || (c >= 64612 && c <= 64829)))))))))
          : (c <= 64911 || (c < 65596
            ? (c < 65345
              ? (c < 65145
                ? (c < 65137
                  ? (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c >= 65313 && c <= 65338)))))
              : (c <= 65370 || (c < 65490
                ? (c < 65474
                  ? (c < 65440
                    ? (c >= 65382 && c <= 65437)
                    : c <= 65470)
                  : (c <= 65479 || (c >= 65482 && c <= 65487)))
                : (c <= 65495 || (c < 65549
                  ? (c < 65536
                    ? (c >= 65498 && c <= 65500)
                    : c <= 65547)
                  : (c <= 65574 || (c >= 65576 && c <= 65594)))))))
            : (c <= 65597 || (c < 66432
              ? (c < 66176
                ? (c < 65664
                  ? (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)
                  : (c <= 65786 || (c >= 65856 && c <= 65908)))
                : (c <= 66204 || (c < 66349
                  ? (c < 66304
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66335)
                  : (c <= 66378 || (c >= 66384 && c <= 66421)))))
              : (c <= 66461 || (c < 66736
                ? (c < 66513
                  ? (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)
                  : (c <= 66517 || (c >= 66560 && c <= 66717)))
                : (c <= 66771 || (c < 66864
                  ? (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)
                  : (c <= 66915 || (c >= 66928 && c <= 66938)))))))))))
        : (c <= 66954 || (c < 68800
          ? (c < 67808
            ? (c < 67463
              ? (c < 67003
                ? (c < 66967
                  ? (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)
                  : (c <= 66977 || (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)))
                : (c <= 67004 || (c < 67424
                  ? (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)
                  : (c <= 67431 || (c >= 67456 && c <= 67461)))))
              : (c <= 67504 || (c < 67639
                ? (c < 67592
                  ? (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)
                  : (c <= 67592 || (c >= 67594 && c <= 67637)))
                : (c <= 67640 || (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c >= 67712 && c <= 67742)))))))
            : (c <= 67826 || (c < 68192
              ? (c < 68030
                ? (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c >= 67968 && c <= 68023)))
                : (c <= 68031 || (c < 68117
                  ? (c < 68112
                    ? c == 68096
                    : c <= 68115)
                  : (c <= 68119 || (c >= 68121 && c <= 68149)))))
              : (c <= 68220 || (c < 68416
                ? (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68324 || (c >= 68352 && c <= 68405)))
                : (c <= 68437 || (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c >= 68736 && c <= 68786)))))))))
          : (c <= 68850 || (c < 70081
            ? (c < 69745
              ? (c < 69424
                ? (c < 69296
                  ? (c < 69248
                    ? (c >= 68864 && c <= 68899)
                    : c <= 69289)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))
                : (c <= 69445 || (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69505)
                    : c <= 69572)
                  : (c <= 69622 || (c >= 69635 && c <= 69687)))))
              : (c <= 69746 || (c < 69956
                ? (c < 69840
                  ? (c < 69763
                    ? c == 69749
                    : c <= 69807)
                  : (c <= 69864 || (c >= 69891 && c <= 69926)))
                : (c <= 69956 || (c < 70006
                  ? (c < 69968
                    ? c == 69959
                    : c <= 70002)
                  : (c <= 70006 || (c >= 70019 && c <= 70066)))))))
            : (c <= 70084 || (c < 70320
              ? (c < 70272
                ? (c < 70144
                  ? (c < 70108
                    ? c == 70106
                    : c <= 70108)
                  : (c <= 70161 || (c >= 70163 && c <= 70187)))
                : (c <= 70278 || (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c >= 70303 && c <= 70312)))))
              : (c <= 70366 || (c < 70450
                ? (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c >= 70442 && c <= 70448)))
                : (c <= 70451 || (c < 70480
                  ? (c < 70461
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70461)
                  : (c <= 70480 || (c >= 70493 && c <= 70497)))))))))))))
      : (c <= 70708 || (c < 119894
        ? (c < 73056
          ? (c < 71999
            ? (c < 71352
              ? (c < 71040
                ? (c < 70784
                  ? (c < 70751
                    ? (c >= 70727 && c <= 70730)
                    : c <= 70753)
                  : (c <= 70831 || (c < 70855
                    ? (c >= 70852 && c <= 70853)
                    : c <= 70855)))
                : (c <= 71086 || (c < 71236
                  ? (c < 71168
                    ? (c >= 71128 && c <= 71131)
                    : c <= 71215)
                  : (c <= 71236 || (c >= 71296 && c <= 71338)))))
              : (c <= 71352 || (c < 71935
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71424 && c <= 71450)
                    : c <= 71494)
                  : (c <= 71723 || (c >= 71840 && c <= 71903)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c >= 71960 && c <= 71983)))))))
            : (c <= 71999 || (c < 72349
              ? (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? c == 72001
                    : c <= 72103)
                  : (c <= 72144 || (c < 72163
                    ? c == 72161
                    : c <= 72163)))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_9(int32_t c) {
  return (c < 43471
    ? (c < 4096
      ? (c < 2649
        ? (c < 1791
          ? (c < 891
            ? (c < 186
              ? (c < 'a'
                ? (c < 'G'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'E')
                  : (c <= 'S' || (c < '_'
                    ? (c >= 'U' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'e' || (c < 170
                  ? (c < 'u'
                    ? (c >= 'g' && c <= 's')
                    : c <= 'z')
                  : (c <= 170 || c == 181))))
              : (c <= 186 || (c < 736
                ? (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))
                : (c <= 740 || (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c >= 886 && c <= 887)))))))
            : (c <= 893 || (c < 1376
              ? (c < 931
                ? (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))
                : (c <= 1013 || (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))))
              : (c <= 1416 || (c < 1649
                ? (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))
                : (c <= 1747 || (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))))))))
          : (c <= 1791 || (c < 2417
            ? (c < 2088
              ? (c < 2036
                ? (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || (c < 1994
                    ? c == 1969
                    : c <= 2026)))
                : (c <= 2037 || (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || c == 2084))))
              : (c <= 2088 || (c < 2208
                ? (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))
                : (c <= 2249 || (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))))))
            : (c <= 2432 || (c < 2527
              ? (c < 2482
                ? (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))
                : (c <= 2482 || (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))))
              : (c <= 2529 || (c < 2579
                ? (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))))))))))
        : (c <= 2652 || (c < 3200
          ? (c < 2911
            ? (c < 2784
              ? (c < 2730
                ? (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))
                : (c <= 2736 || (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || c == 2768))))
              : (c <= 2785 || (c < 2858
                ? (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))
                : (c <= 2864 || (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))))))
            : (c <= 2913 || (c < 2990
              ? (c < 2969
                ? (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)))
                : (c <= 2970 || (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c >= 2984 && c <= 2986)))))
              : (c <= 3001 || (c < 3114
                ? (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))
                : (c <= 3129 || (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))))))))
          : (c <= 3200 || (c < 3517
            ? (c < 3342
              ? (c < 3261
                ? (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)))
                : (c <= 3261 || (c < 3313
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)
                  : (c <= 3314 || (c >= 3332 && c <= 3340)))))
              : (c <= 3344 || (c < 3423
                ? (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))
                : (c <= 3425 || (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))))))
            : (c <= 3517 || (c < 3751
              ? (c < 3713
                ? (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))))
              : (c <= 3760 || (c < 3804
                ? (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))
                : (c <= 3807 || (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c >= 3976 && c <= 3980)))))))))))))
      : (c <= 4138 || (c < 8118
        ? (c < 6016
          ? (c < 4786
            ? (c < 4301
              ? (c < 4206
                ? (c < 4186
                  ? (c < 4176
                    ? c == 4159
                    : c <= 4181)
                  : (c <= 4189 || (c < 4197
                    ? c == 4193
                    : c <= 4198)))
                : (c <= 4208 || (c < 4256
                  ? (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)
                  : (c <= 4293 || c == 4295))))
              : (c <= 4301 || (c < 4696
                ? (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))
                : (c <= 4696 || (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c >= 4752 && c <= 4784)))))))
            : (c <= 4789 || (c < 5121
              ? (c < 4882
                ? (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))
                : (c <= 4885 || (c < 5024
                  ? (c < 4992
                    ? (c >= 4888 && c <= 4954)
                    : c <= 5007)
                  : (c <= 5109 || (c >= 5112 && c <= 5117)))))
              : (c <= 5740 || (c < 5888
                ? (c < 5792
                  ? (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)
                  : (c <= 5866 || (c >= 5870 && c <= 5880)))
                : (c <= 5905 || (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5937)
                    : c <= 5969)
                  : (c <= 5996 || (c >= 5998 && c <= 6000)))))))))
          : (c <= 6067 || (c < 7245
            ? (c < 6576
              ? (c < 6320
                ? (c < 6176
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6108)
                  : (c <= 6264 || (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)))
                : (c <= 6389 || (c < 6512
                  ? (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)
                  : (c <= 6516 || (c >= 6528 && c <= 6571)))))
              : (c <= 6601 || (c < 6981
                ? (c < 6823
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6678)
                    : c <= 6740)
                  : (c <= 6823 || (c >= 6917 && c <= 6963)))
                : (c <= 6988 || (c < 7098
                  ? (c < 7086
                    ? (c >= 7043 && c <= 7072)
                    : c <= 7087)
                  : (c <= 7141 || (c >= 7168 && c <= 7203)))))))
            : (c <= 7247 || (c < 7680
              ? (c < 7401
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7258 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c >= 7357 && c <= 7359)))
                : (c <= 7404 || (c < 7418
                  ? (c < 7413
                    ? (c >= 7406 && c <= 7411)
                    : c <= 7414)
                  : (c <= 7418 || (c >= 7424 && c <= 7615)))))
              : (c <= 7957 || (c < 8025
                ? (c < 8008
                  ? (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)
                  : (c <= 8013 || (c >= 8016 && c <= 8023)))
                : (c <= 8025 || (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c >= 8064 && c <= 8116)))))))))))
        : (c <= 8124 || (c < 11736
          ? (c < 8508
            ? (c < 8336
              ? (c < 8160
                ? (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))
                : (c <= 8172 || (c < 8305
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8305 || c == 8319))))
              : (c <= 8348 || (c < 8472
                ? (c < 8458
                  ? (c < 8455
                    ? c == 8450
                    : c <= 8455)
                  : (c <= 8467 || c == 8469))
                : (c <= 8477 || (c < 8488
                  ? (c < 8486
                    ? c == 8484
                    : c <= 8486)
                  : (c <= 8488 || (c >= 8490 && c <= 8505)))))))
            : (c <= 8511 || (c < 11568
              ? (c < 11499
                ? (c < 8544
                  ? (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)
                  : (c <= 8584 || (c >= 11264 && c <= 11492)))
                : (c <= 11502 || (c < 11559
                  ? (c < 11520
                    ? (c >= 11506 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || c == 11565))))
              : (c <= 11623 || (c < 11696
                ? (c < 11680
                  ? (c < 11648
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c >= 11688 && c <= 11694)))
                : (c <= 11702 || (c < 11720
                  ? (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)
                  : (c <= 11726 || (c >= 11728 && c <= 11734)))))))))
          : (c <= 11742 || (c < 42656
            ? (c < 12704
              ? (c < 12445
                ? (c < 12337
                  ? (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12329)
                  : (c <= 12341 || (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)))
                : (c <= 12447 || (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c >= 12593 && c <= 12686)))))
              : (c <= 12735 || (c < 42240
                ? (c < 19968
                  ? (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)
                  : (c <= 42124 || (c >= 42192 && c <= 42237)))
                : (c <= 42508 || (c < 42560
                  ? (c < 42538
                    ? (c >= 42512 && c <= 42527)
                    : c <= 42539)
                  : (c <= 42606 || (c >= 42623 && c <= 42653)))))))
            : (c <= 42735 || (c < 43020
              ? (c < 42963
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c >= 42960 && c <= 42961)))
                : (c <= 42963 || (c < 43011
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43009)
                  : (c <= 43013 || (c >= 43015 && c <= 43018)))))
              : (c <= 43042 || (c < 43261
                ? (c < 43250
                  ? (c < 43138
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43187)
                  : (c <= 43255 || c == 43259))
                : (c <= 43262 || (c < 43360
                  ? (c < 43312
                    ? (c >= 43274 && c <= 43301)
                    : c <= 43334)
                  : (c <= 43388 || (c >= 43396 && c <= 43442)))))))))))))))
    : (c <= 43471 || (c < 70656
      ? (c < 66928
        ? (c < 64612
          ? (c < 43808
            ? (c < 43701
              ? (c < 43588
                ? (c < 43514
                  ? (c < 43494
                    ? (c >= 43488 && c <= 43492)
                    : c <= 43503)
                  : (c <= 43518 || (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)))
                : (c <= 43595 || (c < 43646
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)
                  : (c <= 43695 || c == 43697))))
              : (c <= 43702 || (c < 43744
                ? (c < 43714
                  ? (c < 43712
                    ? (c >= 43705 && c <= 43709)
                    : c <= 43712)
                  : (c <= 43714 || (c >= 43739 && c <= 43741)))
                : (c <= 43754 || (c < 43785
                  ? (c < 43777
                    ? (c >= 43762 && c <= 43764)
                    : c <= 43782)
                  : (c <= 43790 || (c >= 43793 && c <= 43798)))))))
            : (c <= 43814 || (c < 64275
              ? (c < 55216
                ? (c < 43868
                  ? (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)
                  : (c <= 43881 || (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)))
                : (c <= 55238 || (c < 64112
                  ? (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)
                  : (c <= 64217 || (c >= 64256 && c <= 64262)))))
              : (c <= 64279 || (c < 64318
                ? (c < 64298
                  ? (c < 64287
                    ? c == 64285
                    : c <= 64296)
                  : (c <= 64310 || (c >= 64312 && c <= 64316)))
                : (c <= 64318 || (c < 64326
                  ? (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)
                  : (c <= 64433 || (c >= 64467 && c <= 64605)))))))))
          : (c <= 64829 || (c < 65576
            ? (c < 65313
              ? (c < 65143
                ? (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65139
                    ? c == 65137
                    : c <= 65139)))
                : (c <= 65143 || (c < 65149
                  ? (c < 65147
                    ? c == 65145
                    : c <= 65147)
                  : (c <= 65149 || (c >= 65151 && c <= 65276)))))
              : (c <= 65338 || (c < 65482
                ? (c < 65440
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65437)
                  : (c <= 65470 || (c >= 65474 && c <= 65479)))
                : (c <= 65487 || (c < 65536
                  ? (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)
                  : (c <= 65547 || (c >= 65549 && c <= 65574)))))))
            : (c <= 65594 || (c < 66384
              ? (c < 65856
                ? (c < 65616
                  ? (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)
                  : (c <= 65629 || (c >= 65664 && c <= 65786)))
                : (c <= 65908 || (c < 66304
                  ? (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)
                  : (c <= 66335 || (c >= 66349 && c <= 66378)))))
              : (c <= 66421 || (c < 66560
                ? (c < 66504
                  ? (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)
                  : (c <= 66511 || (c >= 66513 && c <= 66517)))
                : (c <= 66717 || (c < 66816
                  ? (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)
                  : (c <= 66855 || (c >= 66864 && c <= 66915)))))))))))
        : (c <= 66938 || (c < 68800
          ? (c < 67712
            ? (c < 67456
              ? (c < 66995
                ? (c < 66964
                  ? (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)
                  : (c <= 66965 || (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)))
                : (c <= 67001 || (c < 67392
                  ? (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)
                  : (c <= 67413 || (c >= 67424 && c <= 67431)))))
              : (c <= 67461 || (c < 67594
                ? (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || c == 67592))
                : (c <= 67637 || (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c >= 67680 && c <= 67702)))))))
            : (c <= 67742 || (c < 68192
              ? (c < 68030
                ? (c < 67840
                  ? (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)
                  : (c <= 67861 || (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)))
                : (c <= 68031 || (c < 68117
                  ? (c < 68112
                    ? c == 68096
                    : c <= 68115)
                  : (c <= 68119 || (c >= 68121 && c <= 68149)))))
              : (c <= 68220 || (c < 68416
                ? (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68324 || (c >= 68352 && c <= 68405)))
                : (c <= 68437 || (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c >= 68736 && c <= 68786)))))))))
          : (c <= 68850 || (c < 70081
            ? (c < 69745
              ? (c < 69424
                ? (c < 69296
                  ? (c < 69248
                    ? (c >= 68864 && c <= 68899)
                    : c <= 69289)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))
                : (c <= 69445 || (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69505)
                    : c <= 69572)
                  : (c <= 69622 || (c >= 69635 && c <= 69687)))))
              : (c <= 69746 || (c < 69956
                ? (c < 69840
                  ? (c < 69763
                    ? c == 69749
                    : c <= 69807)
                  : (c <= 69864 || (c >= 69891 && c <= 69926)))
                : (c <= 69956 || (c < 70006
                  ? (c < 69968
                    ? c == 69959
                    : c <= 70002)
                  : (c <= 70006 || (c >= 70019 && c <= 70066)))))))
            : (c <= 70084 || (c < 70320
              ? (c < 70272
                ? (c < 70144
                  ? (c < 70108
                    ? c == 70106
                    : c <= 70108)
                  : (c <= 70161 || (c >= 70163 && c <= 70187)))
                : (c <= 70278 || (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c >= 70303 && c <= 70312)))))
              : (c <= 70366 || (c < 70450
                ? (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c >= 70442 && c <= 70448)))
                : (c <= 70451 || (c < 70480
                  ? (c < 70461
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70461)
                  : (c <= 70480 || (c >= 70493 && c <= 70497)))))))))))))
      : (c <= 70708 || (c < 119894
        ? (c < 73056
          ? (c < 71999
            ? (c < 71352
              ? (c < 71040
                ? (c < 70784
                  ? (c < 70751
                    ? (c >= 70727 && c <= 70730)
                    : c <= 70753)
                  : (c <= 70831 || (c < 70855
                    ? (c >= 70852 && c <= 70853)
                    : c <= 70855)))
                : (c <= 71086 || (c < 71236
                  ? (c < 71168
                    ? (c >= 71128 && c <= 71131)
                    : c <= 71215)
                  : (c <= 71236 || (c >= 71296 && c <= 71338)))))
              : (c <= 71352 || (c < 71935
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71424 && c <= 71450)
                    : c <= 71494)
                  : (c <= 71723 || (c >= 71840 && c <= 71903)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c >= 71960 && c <= 71983)))))))
            : (c <= 71999 || (c < 72349
              ? (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? c == 72001
                    : c <= 72103)
                  : (c <= 72144 || (c < 72163
                    ? c == 72161
                    : c <= 72163)))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_10(int32_t c) {
  return (c < 43520
    ? (c < 3724
      ? (c < 2703
        ? (c < 1791
          ? (c < 895
            ? (c < 183
              ? (c < 'A'
                ? (c < '4'
                  ? (c < '0'
                    ? c == '$'
                    : (c <= '0' || c == '2'))
                  : (c <= '5' || (c < '9'
                    ? c == '7'
                    : c <= '9')))
                : (c <= 'Z' || (c < 'q'
                  ? (c < 'a'
                    ? c == '_'
                    : c <= 'o')
                  : (c <= 'z' || (c < 181
                    ? c == 170
                    : c <= 181)))))
              : (c <= 183 || (c < 736
                ? (c < 216
                  ? (c < 192
                    ? c == 186
                    : c <= 214)
                  : (c <= 246 || (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)))
                : (c <= 740 || (c < 768
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)))))))
            : (c <= 895 || (c < 1471
              ? (c < 1155
                ? (c < 910
                  ? (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)
                  : (c <= 929 || (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)))
                : (c <= 1159 || (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)))))
              : (c <= 1471 || (c < 1552
                ? (c < 1479
                  ? (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)
                  : (c <= 1479 || (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)))
                : (c <= 1562 || (c < 1749
                  ? (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)
                  : (c <= 1756 || (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)))))))))
          : (c <= 1791 || (c < 2519
            ? (c < 2275
              ? (c < 2048
                ? (c < 1984
                  ? (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)
                  : (c <= 2037 || (c < 2045
                    ? c == 2042
                    : c <= 2045)))
                : (c <= 2093 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)
                  : (c <= 2183 || (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)))))
              : (c <= 2403 || (c < 2474
                ? (c < 2437
                  ? (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)
                  : (c <= 2444 || (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)))
                : (c <= 2480 || (c < 2492
                  ? (c < 2486
                    ? c == 2482
                    : c <= 2489)
                  : (c <= 2500 || (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)))))))
            : (c <= 2519 || (c < 2613
              ? (c < 2561
                ? (c < 2534
                  ? (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)
                  : (c <= 2545 || (c < 2558
                    ? c == 2556
                    : c <= 2558)))
                : (c <= 2563 || (c < 2579
                  ? (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)
                  : (c <= 2600 || (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)))))
              : (c <= 2614 || (c < 2641
                ? (c < 2622
                  ? (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)
                  : (c <= 2626 || (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)))
                : (c <= 2641 || (c < 2662
                  ? (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)
                  : (c <= 2677 || (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)))))))))))
        : (c <= 2705 || (c < 3142
          ? (c < 2911
            ? (c < 2817
              ? (c < 2759
                ? (c < 2738
                  ? (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)
                  : (c <= 2739 || (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)))
                : (c <= 2761 || (c < 2784
                  ? (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)
                  : (c <= 2787 || (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)))))
              : (c <= 2819 || (c < 2869
                ? (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)))
                : (c <= 2873 || (c < 2891
                  ? (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)
                  : (c <= 2893 || (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)))))))
            : (c <= 2915 || (c < 2990
              ? (c < 2962
                ? (c < 2946
                  ? (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)
                  : (c <= 2947 || (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)))
                : (c <= 2965 || (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)))))
              : (c <= 3001 || (c < 3046
                ? (c < 3018
                  ? (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)
                  : (c <= 3021 || (c < 3031
                    ? c == 3024
                    : c <= 3031)))
                : (c <= 3055 || (c < 3090
                  ? (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)
                  : (c <= 3112 || (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)))))))))
          : (c <= 3144 || (c < 3398
            ? (c < 3253
              ? (c < 3174
                ? (c < 3160
                  ? (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)
                  : (c <= 3162 || (c < 3168
                    ? c == 3165
                    : c <= 3171)))
                : (c <= 3183 || (c < 3214
                  ? (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)
                  : (c <= 3216 || (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)))))
              : (c <= 3257 || (c < 3296
                ? (c < 3274
                  ? (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)
                  : (c <= 3277 || (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)))
                : (c <= 3299 || (c < 3328
                  ? (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)
                  : (c <= 3340 || (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)))))))
            : (c <= 3400 || (c < 3530
              ? (c < 3457
                ? (c < 3423
                  ? (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)
                  : (c <= 3427 || (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)))
                : (c <= 3459 || (c < 3507
                  ? (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)
                  : (c <= 3515 || (c < 3520
                    ? c == 3517
                    : c <= 3526)))))
              : (c <= 3530 || (c < 3585
                ? (c < 3544
                  ? (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)
                  : (c <= 3551 || (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)))
                : (c <= 3642 || (c < 3713
                  ? (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)
                  : (c <= 3714 || (c < 3718
                    ? c == 3716
                    : c <= 3722)))))))))))))
      : (c <= 3747 || (c < 7960
        ? (c < 5743
          ? (c < 4301
            ? (c < 3895
              ? (c < 3792
                ? (c < 3776
                  ? (c < 3751
                    ? c == 3749
                    : c <= 3773)
                  : (c <= 3780 || (c < 3784
                    ? c == 3782
                    : c <= 3789)))
                : (c <= 3801 || (c < 3864
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3865 || (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)))))
              : (c <= 3895 || (c < 3993
                ? (c < 3913
                  ? (c < 3902
                    ? c == 3897
                    : c <= 3911)
                  : (c <= 3948 || (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)))
                : (c <= 4028 || (c < 4176
                  ? (c < 4096
                    ? c == 4038
                    : c <= 4169)
                  : (c <= 4253 || (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)))))))
            : (c <= 4301 || (c < 4800
              ? (c < 4698
                ? (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)))
                : (c <= 4701 || (c < 4752
                  ? (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)
                  : (c <= 4784 || (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)))))
              : (c <= 4800 || (c < 4957
                ? (c < 4824
                  ? (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)
                  : (c <= 4880 || (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)))
                : (c <= 4959 || (c < 5024
                  ? (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)
                  : (c <= 5109 || (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)))))))))
          : (c <= 5759 || (c < 6528
            ? (c < 6108
              ? (c < 5952
                ? (c < 5870
                  ? (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)
                  : (c <= 5880 || (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)))
                : (c <= 5971 || (c < 6002
                  ? (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)
                  : (c <= 6003 || (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)))))
              : (c <= 6109 || (c < 6320
                ? (c < 6159
                  ? (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)
                  : (c <= 6169 || (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)))
                : (c <= 6389 || (c < 6448
                  ? (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)
                  : (c <= 6459 || (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)))))))
            : (c <= 6571 || (c < 6992
              ? (c < 6783
                ? (c < 6656
                  ? (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)
                  : (c <= 6683 || (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)))
                : (c <= 6793 || (c < 6832
                  ? (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)
                  : (c <= 6845 || (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)))))
              : (c <= 7001 || (c < 7296
                ? (c < 7168
                  ? (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)
                  : (c <= 7223 || (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)))
                : (c <= 7304 || (c < 7376
                  ? (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)
                  : (c <= 7378 || (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)))))))))))
        : (c <= 7965 || (c < 11688
          ? (c < 8417
            ? (c < 8134
              ? (c < 8029
                ? (c < 8016
                  ? (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)
                  : (c <= 8023 || (c < 8027
                    ? c == 8025
                    : c <= 8027)))
                : (c <= 8029 || (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || (c < 8130
                    ? c == 8126
                    : c <= 8132)))))
              : (c <= 8140 || (c < 8255
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8256 || (c < 8319
                  ? (c < 8305
                    ? c == 8276
                    : c <= 8305)
                  : (c <= 8319 || (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)))))))
            : (c <= 8417 || (c < 8517
              ? (c < 8472
                ? (c < 8455
                  ? (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)
                  : (c <= 8455 || (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)))
                : (c <= 8477 || (c < 8488
                  ? (c < 8486
                    ? c == 8484
                    : c <= 8486)
                  : (c <= 8488 || (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)))))
              : (c <= 8521 || (c < 11559
                ? (c < 11264
                  ? (c < 8544
                    ? c == 8526
                    : c <= 8584)
                  : (c <= 11492 || (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)))))))))
          : (c <= 11694 || (c < 42240
            ? (c < 12353
              ? (c < 11736
                ? (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)))
                : (c <= 11742 || (c < 12321
                  ? (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)
                  : (c <= 12335 || (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)))))
              : (c <= 12438 || (c < 12593
                ? (c < 12449
                  ? (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)
                  : (c <= 12538 || (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)))
                : (c <= 12686 || (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)))))))
            : (c <= 42508 || (c < 43052
              ? (c < 42786
                ? (c < 42612
                  ? (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)
                  : (c <= 42621 || (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)))
                : (c <= 42888 || (c < 42963
                  ? (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)
                  : (c <= 42963 || (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)))))
              : (c <= 43052 || (c < 43261
                ? (c < 43216
                  ? (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)
                  : (c <= 43225 || (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)))
                : (c <= 43309 || (c < 43392
                  ? (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)
                  : (c <= 43456 || (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)))))))))))))))
    : (c <= 43574 || (c < 71424
      ? (c < 67592
        ? (c < 65313
          ? (c < 64285
            ? (c < 43824
              ? (c < 43762
                ? (c < 43642
                  ? (c < 43600
                    ? (c >= 43584 && c <= 43597)
                    : (c <= 43609 || (c >= 43616 && c <= 43638)))
                  : (c <= 43714 || (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43759)))
                : (c <= 43766 || (c < 43793
                  ? (c < 43785
                    ? (c >= 43777 && c <= 43782)
                    : c <= 43790)
                  : (c <= 43798 || (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)))))
              : (c <= 43866 || (c < 55216
                ? (c < 44012
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44010)
                  : (c <= 44013 || (c < 44032
                    ? (c >= 44016 && c <= 44025)
                    : c <= 55203)))
                : (c <= 55238 || (c < 64112
                  ? (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)
                  : (c <= 64217 || (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)))))))
            : (c <= 64296 || (c < 65024
              ? (c < 64326
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)))
                : (c <= 64433 || (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)))))
              : (c <= 65039 || (c < 65143
                ? (c < 65101
                  ? (c < 65075
                    ? (c >= 65056 && c <= 65071)
                    : c <= 65076)
                  : (c <= 65103 || (c < 65139
                    ? c == 65137
                    : c <= 65139)))
                : (c <= 65143 || (c < 65149
                  ? (c < 65147
                    ? c == 65145
                    : c <= 65147)
                  : (c <= 65149 || (c < 65296
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65305)))))))))
          : (c <= 65338 || (c < 66464
            ? (c < 65599
              ? (c < 65490
                ? (c < 65382
                  ? (c < 65345
                    ? c == 65343
                    : c <= 65370)
                  : (c <= 65470 || (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)))
                : (c <= 65495 || (c < 65549
                  ? (c < 65536
                    ? (c >= 65498 && c <= 65500)
                    : c <= 65547)
                  : (c <= 65574 || (c < 65596
                    ? (c >= 65576 && c <= 65594)
                    : c <= 65597)))))
              : (c <= 65613 || (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c < 66176
                    ? c == 66045
                    : c <= 66204)))
                : (c <= 66256 || (c < 66349
                  ? (c < 66304
                    ? c == 66272
                    : c <= 66335)
                  : (c <= 66378 || (c < 66432
                    ? (c >= 66384 && c <= 66426)
                    : c <= 66461)))))))
            : (c <= 66499 || (c < 66964
              ? (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c < 66736
                    ? (c >= 66720 && c <= 66729)
                    : c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)))))
              : (c <= 66965 || (c < 67392
                ? (c < 66995
                  ? (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)
                  : (c <= 67001 || (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)))
                : (c <= 67413 || (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)))))))))))
        : (c <= 67592 || (c < 69888
          ? (c < 68352
            ? (c < 68030
              ? (c < 67712
                ? (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)))
                : (c <= 67742 || (c < 67840
                  ? (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)
                  : (c <= 67861 || (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)))))
              : (c <= 68031 || (c < 68152
                ? (c < 68108
                  ? (c < 68101
                    ? (c >= 68096 && c <= 68099)
                    : c <= 68102)
                  : (c <= 68115 || (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)))
                : (c <= 68154 || (c < 68224
                  ? (c < 68192
                    ? c == 68159
                    : c <= 68220)
                  : (c <= 68252 || (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68326)))))))
            : (c <= 68405 || (c < 69376
              ? (c < 68800
                ? (c < 68480
                  ? (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)
                  : (c <= 68497 || (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)))
                : (c <= 68850 || (c < 69248
                  ? (c < 68912
                    ? (c >= 68864 && c <= 68903)
                    : c <= 68921)
                  : (c <= 69289 || (c < 69296
                    ? (c >= 69291 && c <= 69292)
                    : c <= 69297)))))
              : (c <= 69404 || (c < 69632
                ? (c < 69488
                  ? (c < 69424
                    ? c == 69415
                    : c <= 69456)
                  : (c <= 69509 || (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)))
                : (c <= 69702 || (c < 69826
                  ? (c < 69759
                    ? (c >= 69734 && c <= 69749)
                    : c <= 69818)
                  : (c <= 69826 || (c < 69872
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69881)))))))))
          : (c <= 69940 || (c < 70450
            ? (c < 70272
              ? (c < 70089
                ? (c < 69968
                  ? (c < 69956
                    ? (c >= 69942 && c <= 69951)
                    : c <= 69959)
                  : (c <= 70003 || (c < 70016
                    ? c == 70006
                    : c <= 70084)))
                : (c <= 70092 || (c < 70144
                  ? (c < 70108
                    ? (c >= 70094 && c <= 70106)
                    : c <= 70108)
                  : (c <= 70161 || (c < 70206
                    ? (c >= 70163 && c <= 70199)
                    : c <= 70206)))))
              : (c <= 70278 || (c < 70384
                ? (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c < 70320
                    ? (c >= 70303 && c <= 70312)
                    : c <= 70378)))
                : (c <= 70393 || (c < 70415
                  ? (c < 70405
                    ? (c >= 70400 && c <= 70403)
                    : c <= 70412)
                  : (c <= 70416 || (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)))))))
            : (c <= 70451 || (c < 70750
              ? (c < 70487
                ? (c < 70471
                  ? (c < 70459
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70468)
                  : (c <= 70472 || (c < 70480
                    ? (c >= 70475 && c <= 70477)
                    : c <= 70480)))
                : (c <= 70487 || (c < 70512
                  ? (c < 70502
                    ? (c >= 70493 && c <= 70499)
                    : c <= 70508)
                  : (c <= 70516 || (c < 70736
                    ? (c >= 70656 && c <= 70730)
                    : c <= 70745)))))
              : (c <= 70753 || (c < 71128
                ? (c < 70864
                  ? (c < 70855
                    ? (c >= 70784 && c <= 70853)
                    : c <= 70855)
                  : (c <= 70873 || (c < 71096
                    ? (c >= 71040 && c <= 71093)
                    : c <= 71104)))
                : (c <= 71133 || (c < 71248
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71232)
                    : c <= 71236)
                  : (c <= 71257 || (c < 71360
                    ? (c >= 71296 && c <= 71352)
                    : c <= 71369)))))))))))))
      : (c <= 71450 || (c < 119970
        ? (c < 77712
          ? (c < 72714
            ? (c < 71995
              ? (c < 71935
                ? (c < 71488
                  ? (c < 71472
                    ? (c >= 71453 && c <= 71467)
                    : c <= 71481)
                  : (c <= 71494 || (c < 71840
                    ? (c >= 71680 && c <= 71738)
                    : c <= 71913)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c < 71991
                    ? (c >= 71960 && c <= 71989)
                    : c <= 71992)))))
              : (c <= 72003 || (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? (c >= 72016 && c <= 72025)
                    : c <= 72103)
                  : (c <= 72151 || (c < 72163
                    ? (c >= 72154 && c <= 72161)
                    : c <= 72164)))
                : (c <= 72254 || (c < 72349
                  ? (c < 72272
                    ? c == 72263
                    : c <= 72345)
                  : (c <= 72349 || (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)))))))
            : (c <= 72758 || (c < 73040
              ? (c < 72960
                ? (c < 72818
                  ? (c < 72784
                    ? (c >= 72760 && c <= 72768)
                    : c <= 72793)
                  : (c <= 72847 || (c < 72873
                    ? (c >= 72850 && c <= 72871)
                    : c <= 72886)))
                : (c <= 72966 || (c < 73018
                  ? (c < 72971
                    ? (c >= 72968 && c <= 72969)
                    : c <= 73014)
                  : (c <= 73018 || (c < 73023
                    ? (c >= 73020 && c <= 73021)
                    : c <= 73031)))))
              : (c <= 73049 || (c < 73120
                ? (c < 73066
                  ? (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)
                  : (c <= 73102 || (c < 73107
                    ? (c >= 73104 && c <= 73105)
                    : c <= 73112)))
                : (c <= 73129 || (c < 73728
                  ? (c < 73648
                    ? (c >= 73440 && c <= 73462)
                    : c <= 73648)
                  : (c <= 74649 || (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)))))))))
          : (c <= 77808 || (c < 101632
            ? (c < 93008
              ? (c < 92784
                ? (c < 92160
                  ? (c < 82944
                    ? (c >= 77824 && c <= 78894)
                    : c <= 83526)
                  : (c <= 92728 || (c < 92768
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92777)))
                : (c <= 92862 || (c < 92912
                  ? (c < 92880
                    ? (c >= 92864 && c <= 92873)
                    : c <= 92909)
                  : (c <= 92916 || (c < 92992
                    ? (c >= 92928 && c <= 92982)
                    : c <= 92995)))))
              : (c <= 93017 || (c < 94095
                ? (c < 93760
                  ? (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)
                  : (c <= 93823 || (c < 94031
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94087)))
                : (c <= 94111 || (c < 94192
                  ? (c < 94179
                    ? (c >= 94176 && c <= 94177)
                    : c <= 94180)
                  : (c <= 94193 || (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)))))))
            : (c <= 101640 || (c < 113821
              ? (c < 110948
                ? (c < 110589
                  ? (c < 110581
                    ? (c >= 110576 && c <= 110579)
                    : c <= 110587)
                  : (c <= 110590 || (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)))
                : (c <= 110951 || (c < 113776
                  ? (c < 113664
                    ? (c >= 110960 && c <= 111355)
                    : c <= 113770)
                  : (c <= 113788 || (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)))))
              : (c <= 113822 || (c < 119173
                ? (c < 119141
                  ? (c < 118576
                    ? (c >= 118528 && c <= 118573)
                    : c <= 118598)
                  : (c <= 119145 || (c < 119163
                    ? (c >= 119149 && c <= 119154)
                    : c <= 119170)))
                : (c <= 119179 || (c < 119808
                  ? (c < 119362
                    ? (c >= 119210 && c <= 119213)
                    : c <= 119364)
                  : (c <= 119892 || (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)))))))))))
        : (c <= 119970 || (c < 124909
          ? (c < 120714
            ? (c < 120128
              ? (c < 120005
                ? (c < 119982
                  ? (c < 119977
                    ? (c >= 119973 && c <= 119974)
                    : c <= 119980)
                  : (c <= 119993 || (c < 119997
                    ? c == 119995
                    : c <= 120003)))
                : (c <= 120069 || (c < 120086
                  ? (c < 120077
                    ? (c >= 120071 && c <= 120074)
                    : c <= 120084)
                  : (c <= 120092 || (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)))))
              : (c <= 120132 || (c < 120540
                ? (c < 120146
                  ? (c < 120138
                    ? c == 120134
                    : c <= 120144)
                  : (c <= 120485 || (c < 120514
                    ? (c >= 120488 && c <= 120512)
                    : c <= 120538)))
                : (c <= 120570 || (c < 120630
                  ? (c < 120598
                    ? (c >= 120572 && c <= 120596)
                    : c <= 120628)
                  : (c <= 120654 || (c < 120688
                    ? (c >= 120656 && c <= 120686)
                    : c <= 120712)))))))
            : (c <= 120744 || (c < 122888
              ? (c < 121461
                ? (c < 120782
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 120831 || (c < 121403
                    ? (c >= 121344 && c <= 121398)
                    : c <= 121452)))
                : (c <= 121461 || (c < 121505
                  ? (c < 121499
                    ? c == 121476
                    : c <= 121503)
                  : (c <= 121519 || (c < 122880
                    ? (c >= 122624 && c <= 122654)
                    : c <= 122886)))))
              : (c <= 122904 || (c < 123200
                ? (c < 122918
                  ? (c < 122915
                    ? (c >= 122907 && c <= 122913)
                    : c <= 122916)
                  : (c <= 122922 || (c < 123184
                    ? (c >= 123136 && c <= 123180)
                    : c <= 123197)))
                : (c <= 123209 || (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123566)
                  : (c <= 123641 || (c < 124904
                    ? (c >= 124896 && c <= 124902)
                    : c <= 124907)))))))))
          : (c <= 124910 || (c < 126555
            ? (c < 126516
              ? (c < 126464
                ? (c < 125136
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125142 || (c < 125264
                    ? (c >= 125184 && c <= 125259)
                    : c <= 125273)))
                : (c <= 126467 || (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || (c < 126505
                    ? c == 126503
                    : c <= 126514)))))
              : (c <= 126519 || (c < 126539
                ? (c < 126530
                  ? (c < 126523
                    ? c == 126521
                    : c <= 126523)
                  : (c <= 126530 || (c < 126537
                    ? c == 126535
                    : c <= 126537)))
                : (c <= 126539 || (c < 126548
                  ? (c < 126545
                    ? (c >= 126541 && c <= 126543)
                    : c <= 126546)
                  : (c <= 126548 || (c < 126553
                    ? c == 126551
                    : c <= 126553)))))))
            : (c <= 126555 || (c < 126625
              ? (c < 126572
                ? (c < 126561
                  ? (c < 126559
                    ? c == 126557
                    : c <= 126559)
                  : (c <= 126562 || (c < 126567
                    ? c == 126564
                    : c <= 126570)))
                : (c <= 126578 || (c < 126590
                  ? (c < 126585
                    ? (c >= 126580 && c <= 126583)
                    : c <= 126588)
                  : (c <= 126590 || (c < 126603
                    ? (c >= 126592 && c <= 126601)
                    : c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 130032
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 130041 || (c < 173824
                    ? (c >= 131072 && c <= 173791)
                    : c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c < 917760
                    ? (c >= 196608 && c <= 201546)
                    : c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_11(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_12(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'A'
                  ? (c < '2'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_13(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Q' || (c < '_'
                    ? (c >= 'S' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_14(int32_t c) {
  return (c < 43584
    ? (c < 3749
      ? (c < 2707
        ? (c < 1808
          ? (c < 902
            ? (c < 186
              ? (c < '_'
                ? (c < '9'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '7')
                  : (c <= '9' || (c < 'S'
                    ? (c >= 'A' && c <= 'Q')
                    : c <= 'Z')))
                : (c <= '_' || (c < 170
                  ? (c < 'j'
                    ? (c >= 'a' && c <= 'h')
                    : c <= 'z')
                  : (c <= 170 || (c < 183
                    ? c == 181
                    : c <= 183)))))
              : (c <= 186 || (c < 748
                ? (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)))
                : (c <= 748 || (c < 886
                  ? (c < 768
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)))))))
            : (c <= 906 || (c < 1473
              ? (c < 1162
                ? (c < 931
                  ? (c < 910
                    ? c == 908
                    : c <= 929)
                  : (c <= 1013 || (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)))
                : (c <= 1327 || (c < 1376
                  ? (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)
                  : (c <= 1416 || (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)))))
              : (c <= 1474 || (c < 1568
                ? (c < 1488
                  ? (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)
                  : (c <= 1514 || (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)))
                : (c <= 1641 || (c < 1759
                  ? (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)
                  : (c <= 1768 || (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)))))))))
          : (c <= 1866 || (c < 2524
            ? (c < 2406
              ? (c < 2112
                ? (c < 2042
                  ? (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)
                  : (c <= 2042 || (c < 2048
                    ? c == 2045
                    : c <= 2093)))
                : (c <= 2139 || (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)))))
              : (c <= 2415 || (c < 2482
                ? (c < 2447
                  ? (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)
                  : (c <= 2448 || (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)))
                : (c <= 2482 || (c < 2503
                  ? (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)
                  : (c <= 2504 || (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)))))))
            : (c <= 2525 || (c < 2616
              ? (c < 2565
                ? (c < 2556
                  ? (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)
                  : (c <= 2556 || (c < 2561
                    ? c == 2558
                    : c <= 2563)))
                : (c <= 2570 || (c < 2602
                  ? (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)
                  : (c <= 2608 || (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)))))
              : (c <= 2617 || (c < 2649
                ? (c < 2631
                  ? (c < 2622
                    ? c == 2620
                    : c <= 2626)
                  : (c <= 2632 || (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)))
                : (c <= 2652 || (c < 2689
                  ? (c < 2662
                    ? c == 2654
                    : c <= 2677)
                  : (c <= 2691 || (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)))))))))))
        : (c <= 2728 || (c < 3146
          ? (c < 2918
            ? (c < 2821
              ? (c < 2763
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)))
                : (c <= 2765 || (c < 2790
                  ? (c < 2784
                    ? c == 2768
                    : c <= 2787)
                  : (c <= 2799 || (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)))))
              : (c <= 2828 || (c < 2876
                ? (c < 2858
                  ? (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)
                  : (c <= 2864 || (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)))
                : (c <= 2884 || (c < 2901
                  ? (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)
                  : (c <= 2903 || (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)))))))
            : (c <= 2927 || (c < 3006
              ? (c < 2969
                ? (c < 2949
                  ? (c < 2946
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)))
                : (c <= 2970 || (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)))))
              : (c <= 3010 || (c < 3072
                ? (c < 3024
                  ? (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)
                  : (c <= 3024 || (c < 3046
                    ? c == 3031
                    : c <= 3055)))
                : (c <= 3084 || (c < 3114
                  ? (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)
                  : (c <= 3129 || (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)))))))))
          : (c <= 3149 || (c < 3402
            ? (c < 3260
              ? (c < 3200
                ? (c < 3165
                  ? (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)
                  : (c <= 3165 || (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)))
                : (c <= 3203 || (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)))))
              : (c <= 3268 || (c < 3302
                ? (c < 3285
                  ? (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)
                  : (c <= 3286 || (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)))
                : (c <= 3311 || (c < 3342
                  ? (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)
                  : (c <= 3344 || (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)))))))
            : (c <= 3406 || (c < 3535
              ? (c < 3461
                ? (c < 3430
                  ? (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)
                  : (c <= 3439 || (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)))
                : (c <= 3478 || (c < 3517
                  ? (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)
                  : (c <= 3517 || (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)))))
              : (c <= 3540 || (c < 3648
                ? (c < 3558
                  ? (c < 3544
                    ? c == 3542
                    : c <= 3551)
                  : (c <= 3567 || (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)))
                : (c <= 3662 || (c < 3716
                  ? (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)
                  : (c <= 3716 || (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)))))))))))))
      : (c <= 3749 || (c < 7968
        ? (c < 5761
          ? (c < 4304
            ? (c < 3897
              ? (c < 3804
                ? (c < 3782
                  ? (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)
                  : (c <= 3782 || (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)))
                : (c <= 3807 || (c < 3872
                  ? (c < 3864
                    ? c == 3840
                    : c <= 3865)
                  : (c <= 3881 || (c < 3895
                    ? c == 3893
                    : c <= 3895)))))
              : (c <= 3897 || (c < 4038
                ? (c < 3953
                  ? (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3972 || (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)))
                : (c <= 4038 || (c < 4256
                  ? (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)
                  : (c <= 4293 || (c < 4301
                    ? c == 4295
                    : c <= 4301)))))))
            : (c <= 4346 || (c < 4802
              ? (c < 4704
                ? (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || (c < 4698
                    ? c == 4696
                    : c <= 4701)))
                : (c <= 4744 || (c < 4786
                  ? (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)
                  : (c <= 4789 || (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)))))
              : (c <= 4805 || (c < 4969
                ? (c < 4882
                  ? (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)
                  : (c <= 4885 || (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)))
                : (c <= 4977 || (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)))))))))
          : (c <= 5786 || (c < 6576
            ? (c < 6112
              ? (c < 5984
                ? (c < 5888
                  ? (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)
                  : (c <= 5909 || (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)))
                : (c <= 5996 || (c < 6016
                  ? (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)
                  : (c <= 6099 || (c < 6108
                    ? c == 6103
                    : c <= 6109)))))
              : (c <= 6121 || (c < 6400
                ? (c < 6176
                  ? (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)
                  : (c <= 6264 || (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)))
                : (c <= 6430 || (c < 6470
                  ? (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)
                  : (c <= 6509 || (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)))))))
            : (c <= 6601 || (c < 7019
              ? (c < 6800
                ? (c < 6688
                  ? (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)
                  : (c <= 6750 || (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)))
                : (c <= 6809 || (c < 6847
                  ? (c < 6832
                    ? c == 6823
                    : c <= 6845)
                  : (c <= 6862 || (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)))))
              : (c <= 7027 || (c < 7312
                ? (c < 7232
                  ? (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)
                  : (c <= 7241 || (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)))
                : (c <= 7354 || (c < 7380
                  ? (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)
                  : (c <= 7418 || (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)))))))))))
        : (c <= 8005 || (c < 11696
          ? (c < 8421
            ? (c < 8144
              ? (c < 8031
                ? (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || (c < 8029
                    ? c == 8027
                    : c <= 8029)))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)))))
              : (c <= 8147 || (c < 8276
                ? (c < 8178
                  ? (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)
                  : (c <= 8180 || (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)))
                : (c <= 8276 || (c < 8336
                  ? (c < 8319
                    ? c == 8305
                    : c <= 8319)
                  : (c <= 8348 || (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)))))))
            : (c <= 8432 || (c < 8526
              ? (c < 8484
                ? (c < 8458
                  ? (c < 8455
                    ? c == 8450
                    : c <= 8455)
                  : (c <= 8467 || (c < 8472
                    ? c == 8469
                    : c <= 8477)))
                : (c <= 8484 || (c < 8490
                  ? (c < 8488
                    ? c == 8486
                    : c <= 8488)
                  : (c <= 8505 || (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)))))
              : (c <= 8526 || (c < 11565
                ? (c < 11499
                  ? (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)
                  : (c <= 11507 || (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)))
                : (c <= 11565 || (c < 11647
                  ? (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)
                  : (c <= 11670 || (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)))))))))
          : (c <= 11702 || (c < 42512
            ? (c < 12441
              ? (c < 11744
                ? (c < 11720
                  ? (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)
                  : (c <= 11726 || (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)))
                : (c <= 11775 || (c < 12337
                  ? (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)
                  : (c <= 12341 || (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)))))
              : (c <= 12442 || (c < 12704
                ? (c < 12540
                  ? (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)
                  : (c <= 12543 || (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)))
                : (c <= 12735 || (c < 19968
                  ? (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)
                  : (c <= 42124 || (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)))))))
            : (c <= 42539 || (c < 43072
              ? (c < 42891
                ? (c < 42623
                  ? (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)
                  : (c <= 42737 || (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)))
                : (c <= 42954 || (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)))))
              : (c <= 43123 || (c < 43312
                ? (c < 43232
                  ? (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)
                  : (c <= 43255 || (c < 43261
                    ? c == 43259
                    : c <= 43309)))
                : (c <= 43347 || (c < 43471
                  ? (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)
                  : (c <= 43481 || (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)))))))))))))))
    : (c <= 43597 || (c < 71424
      ? (c < 67592
        ? (c < 65313
          ? (c < 64285
            ? (c < 43824
              ? (c < 43762
                ? (c < 43642
                  ? (c < 43616
                    ? (c >= 43600 && c <= 43609)
                    : c <= 43638)
                  : (c <= 43714 || (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43759)))
                : (c <= 43766 || (c < 43793
                  ? (c < 43785
                    ? (c >= 43777 && c <= 43782)
                    : c <= 43790)
                  : (c <= 43798 || (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)))))
              : (c <= 43866 || (c < 55216
                ? (c < 44012
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44010)
                  : (c <= 44013 || (c < 44032
                    ? (c >= 44016 && c <= 44025)
                    : c <= 55203)))
                : (c <= 55238 || (c < 64112
                  ? (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)
                  : (c <= 64217 || (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)))))))
            : (c <= 64296 || (c < 65024
              ? (c < 64326
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)))
                : (c <= 64433 || (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)))))
              : (c <= 65039 || (c < 65143
                ? (c < 65101
                  ? (c < 65075
                    ? (c >= 65056 && c <= 65071)
                    : c <= 65076)
                  : (c <= 65103 || (c < 65139
                    ? c == 65137
                    : c <= 65139)))
                : (c <= 65143 || (c < 65149
                  ? (c < 65147
                    ? c == 65145
                    : c <= 65147)
                  : (c <= 65149 || (c < 65296
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65305)))))))))
          : (c <= 65338 || (c < 66464
            ? (c < 65599
              ? (c < 65490
                ? (c < 65382
                  ? (c < 65345
                    ? c == 65343
                    : c <= 65370)
                  : (c <= 65470 || (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)))
                : (c <= 65495 || (c < 65549
                  ? (c < 65536
                    ? (c >= 65498 && c <= 65500)
                    : c <= 65547)
                  : (c <= 65574 || (c < 65596
                    ? (c >= 65576 && c <= 65594)
                    : c <= 65597)))))
              : (c <= 65613 || (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c < 66176
                    ? c == 66045
                    : c <= 66204)))
                : (c <= 66256 || (c < 66349
                  ? (c < 66304
                    ? c == 66272
                    : c <= 66335)
                  : (c <= 66378 || (c < 66432
                    ? (c >= 66384 && c <= 66426)
                    : c <= 66461)))))))
            : (c <= 66499 || (c < 66964
              ? (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c < 66736
                    ? (c >= 66720 && c <= 66729)
                    : c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)))))
              : (c <= 66965 || (c < 67392
                ? (c < 66995
                  ? (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)
                  : (c <= 67001 || (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)))
                : (c <= 67413 || (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)))))))))))
        : (c <= 67592 || (c < 69888
          ? (c < 68352
            ? (c < 68030
              ? (c < 67712
                ? (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)))
                : (c <= 67742 || (c < 67840
                  ? (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)
                  : (c <= 67861 || (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)))))
              : (c <= 68031 || (c < 68152
                ? (c < 68108
                  ? (c < 68101
                    ? (c >= 68096 && c <= 68099)
                    : c <= 68102)
                  : (c <= 68115 || (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)))
                : (c <= 68154 || (c < 68224
                  ? (c < 68192
                    ? c == 68159
                    : c <= 68220)
                  : (c <= 68252 || (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68326)))))))
            : (c <= 68405 || (c < 69376
              ? (c < 68800
                ? (c < 68480
                  ? (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)
                  : (c <= 68497 || (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)))
                : (c <= 68850 || (c < 69248
                  ? (c < 68912
                    ? (c >= 68864 && c <= 68903)
                    : c <= 68921)
                  : (c <= 69289 || (c < 69296
                    ? (c >= 69291 && c <= 69292)
                    : c <= 69297)))))
              : (c <= 69404 || (c < 69632
                ? (c < 69488
                  ? (c < 69424
                    ? c == 69415
                    : c <= 69456)
                  : (c <= 69509 || (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)))
                : (c <= 69702 || (c < 69826
                  ? (c < 69759
                    ? (c >= 69734 && c <= 69749)
                    : c <= 69818)
                  : (c <= 69826 || (c < 69872
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69881)))))))))
          : (c <= 69940 || (c < 70450
            ? (c < 70272
              ? (c < 70089
                ? (c < 69968
                  ? (c < 69956
                    ? (c >= 69942 && c <= 69951)
                    : c <= 69959)
                  : (c <= 70003 || (c < 70016
                    ? c == 70006
                    : c <= 70084)))
                : (c <= 70092 || (c < 70144
                  ? (c < 70108
                    ? (c >= 70094 && c <= 70106)
                    : c <= 70108)
                  : (c <= 70161 || (c < 70206
                    ? (c >= 70163 && c <= 70199)
                    : c <= 70206)))))
              : (c <= 70278 || (c < 70384
                ? (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c < 70320
                    ? (c >= 70303 && c <= 70312)
                    : c <= 70378)))
                : (c <= 70393 || (c < 70415
                  ? (c < 70405
                    ? (c >= 70400 && c <= 70403)
                    : c <= 70412)
                  : (c <= 70416 || (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)))))))
            : (c <= 70451 || (c < 70750
              ? (c < 70487
                ? (c < 70471
                  ? (c < 70459
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70468)
                  : (c <= 70472 || (c < 70480
                    ? (c >= 70475 && c <= 70477)
                    : c <= 70480)))
                : (c <= 70487 || (c < 70512
                  ? (c < 70502
                    ? (c >= 70493 && c <= 70499)
                    : c <= 70508)
                  : (c <= 70516 || (c < 70736
                    ? (c >= 70656 && c <= 70730)
                    : c <= 70745)))))
              : (c <= 70753 || (c < 71128
                ? (c < 70864
                  ? (c < 70855
                    ? (c >= 70784 && c <= 70853)
                    : c <= 70855)
                  : (c <= 70873 || (c < 71096
                    ? (c >= 71040 && c <= 71093)
                    : c <= 71104)))
                : (c <= 71133 || (c < 71248
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71232)
                    : c <= 71236)
                  : (c <= 71257 || (c < 71360
                    ? (c >= 71296 && c <= 71352)
                    : c <= 71369)))))))))))))
      : (c <= 71450 || (c < 119970
        ? (c < 77712
          ? (c < 72714
            ? (c < 71995
              ? (c < 71935
                ? (c < 71488
                  ? (c < 71472
                    ? (c >= 71453 && c <= 71467)
                    : c <= 71481)
                  : (c <= 71494 || (c < 71840
                    ? (c >= 71680 && c <= 71738)
                    : c <= 71913)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c < 71991
                    ? (c >= 71960 && c <= 71989)
                    : c <= 71992)))))
              : (c <= 72003 || (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? (c >= 72016 && c <= 72025)
                    : c <= 72103)
                  : (c <= 72151 || (c < 72163
                    ? (c >= 72154 && c <= 72161)
                    : c <= 72164)))
                : (c <= 72254 || (c < 72349
                  ? (c < 72272
                    ? c == 72263
                    : c <= 72345)
                  : (c <= 72349 || (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)))))))
            : (c <= 72758 || (c < 73040
              ? (c < 72960
                ? (c < 72818
                  ? (c < 72784
                    ? (c >= 72760 && c <= 72768)
                    : c <= 72793)
                  : (c <= 72847 || (c < 72873
                    ? (c >= 72850 && c <= 72871)
                    : c <= 72886)))
                : (c <= 72966 || (c < 73018
                  ? (c < 72971
                    ? (c >= 72968 && c <= 72969)
                    : c <= 73014)
                  : (c <= 73018 || (c < 73023
                    ? (c >= 73020 && c <= 73021)
                    : c <= 73031)))))
              : (c <= 73049 || (c < 73120
                ? (c < 73066
                  ? (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)
                  : (c <= 73102 || (c < 73107
                    ? (c >= 73104 && c <= 73105)
                    : c <= 73112)))
                : (c <= 73129 || (c < 73728
                  ? (c < 73648
                    ? (c >= 73440 && c <= 73462)
                    : c <= 73648)
                  : (c <= 74649 || (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)))))))))
          : (c <= 77808 || (c < 101632
            ? (c < 93008
              ? (c < 92784
                ? (c < 92160
                  ? (c < 82944
                    ? (c >= 77824 && c <= 78894)
                    : c <= 83526)
                  : (c <= 92728 || (c < 92768
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92777)))
                : (c <= 92862 || (c < 92912
                  ? (c < 92880
                    ? (c >= 92864 && c <= 92873)
                    : c <= 92909)
                  : (c <= 92916 || (c < 92992
                    ? (c >= 92928 && c <= 92982)
                    : c <= 92995)))))
              : (c <= 93017 || (c < 94095
                ? (c < 93760
                  ? (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)
                  : (c <= 93823 || (c < 94031
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94087)))
                : (c <= 94111 || (c < 94192
                  ? (c < 94179
                    ? (c >= 94176 && c <= 94177)
                    : c <= 94180)
                  : (c <= 94193 || (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)))))))
            : (c <= 101640 || (c < 113821
              ? (c < 110948
                ? (c < 110589
                  ? (c < 110581
                    ? (c >= 110576 && c <= 110579)
                    : c <= 110587)
                  : (c <= 110590 || (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)))
                : (c <= 110951 || (c < 113776
                  ? (c < 113664
                    ? (c >= 110960 && c <= 111355)
                    : c <= 113770)
                  : (c <= 113788 || (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)))))
              : (c <= 113822 || (c < 119173
                ? (c < 119141
                  ? (c < 118576
                    ? (c >= 118528 && c <= 118573)
                    : c <= 118598)
                  : (c <= 119145 || (c < 119163
                    ? (c >= 119149 && c <= 119154)
                    : c <= 119170)))
                : (c <= 119179 || (c < 119808
                  ? (c < 119362
                    ? (c >= 119210 && c <= 119213)
                    : c <= 119364)
                  : (c <= 119892 || (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)))))))))))
        : (c <= 119970 || (c < 124909
          ? (c < 120714
            ? (c < 120128
              ? (c < 120005
                ? (c < 119982
                  ? (c < 119977
                    ? (c >= 119973 && c <= 119974)
                    : c <= 119980)
                  : (c <= 119993 || (c < 119997
                    ? c == 119995
                    : c <= 120003)))
                : (c <= 120069 || (c < 120086
                  ? (c < 120077
                    ? (c >= 120071 && c <= 120074)
                    : c <= 120084)
                  : (c <= 120092 || (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)))))
              : (c <= 120132 || (c < 120540
                ? (c < 120146
                  ? (c < 120138
                    ? c == 120134
                    : c <= 120144)
                  : (c <= 120485 || (c < 120514
                    ? (c >= 120488 && c <= 120512)
                    : c <= 120538)))
                : (c <= 120570 || (c < 120630
                  ? (c < 120598
                    ? (c >= 120572 && c <= 120596)
                    : c <= 120628)
                  : (c <= 120654 || (c < 120688
                    ? (c >= 120656 && c <= 120686)
                    : c <= 120712)))))))
            : (c <= 120744 || (c < 122888
              ? (c < 121461
                ? (c < 120782
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 120831 || (c < 121403
                    ? (c >= 121344 && c <= 121398)
                    : c <= 121452)))
                : (c <= 121461 || (c < 121505
                  ? (c < 121499
                    ? c == 121476
                    : c <= 121503)
                  : (c <= 121519 || (c < 122880
                    ? (c >= 122624 && c <= 122654)
                    : c <= 122886)))))
              : (c <= 122904 || (c < 123200
                ? (c < 122918
                  ? (c < 122915
                    ? (c >= 122907 && c <= 122913)
                    : c <= 122916)
                  : (c <= 122922 || (c < 123184
                    ? (c >= 123136 && c <= 123180)
                    : c <= 123197)))
                : (c <= 123209 || (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123566)
                  : (c <= 123641 || (c < 124904
                    ? (c >= 124896 && c <= 124902)
                    : c <= 124907)))))))))
          : (c <= 124910 || (c < 126555
            ? (c < 126516
              ? (c < 126464
                ? (c < 125136
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125142 || (c < 125264
                    ? (c >= 125184 && c <= 125259)
                    : c <= 125273)))
                : (c <= 126467 || (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || (c < 126505
                    ? c == 126503
                    : c <= 126514)))))
              : (c <= 126519 || (c < 126539
                ? (c < 126530
                  ? (c < 126523
                    ? c == 126521
                    : c <= 126523)
                  : (c <= 126530 || (c < 126537
                    ? c == 126535
                    : c <= 126537)))
                : (c <= 126539 || (c < 126548
                  ? (c < 126545
                    ? (c >= 126541 && c <= 126543)
                    : c <= 126546)
                  : (c <= 126548 || (c < 126553
                    ? c == 126551
                    : c <= 126553)))))))
            : (c <= 126555 || (c < 126625
              ? (c < 126572
                ? (c < 126561
                  ? (c < 126559
                    ? c == 126557
                    : c <= 126559)
                  : (c <= 126562 || (c < 126567
                    ? c == 126564
                    : c <= 126570)))
                : (c <= 126578 || (c < 126590
                  ? (c < 126585
                    ? (c >= 126580 && c <= 126583)
                    : c <= 126588)
                  : (c <= 126590 || (c < 126603
                    ? (c >= 126592 && c <= 126601)
                    : c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 130032
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 130041 || (c < 173824
                    ? (c >= 131072 && c <= 173791)
                    : c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c < 917760
                    ? (c >= 196608 && c <= 201546)
                    : c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_15(int32_t c) {
  return (c < 43600
    ? (c < 3751
      ? (c < 2730
        ? (c < 1869
          ? (c < 908
            ? (c < 192
              ? (c < '_'
                ? (c < '9'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '7')
                  : (c <= '9' || (c < 'S'
                    ? (c >= 'A' && c <= 'Q')
                    : c <= 'Z')))
                : (c <= '_' || (c < 181
                  ? (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || (c < 186
                    ? c == 183
                    : c <= 186)))))
              : (c <= 214 || (c < 750
                ? (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)))
                : (c <= 750 || (c < 891
                  ? (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || (c < 902
                    ? c == 895
                    : c <= 906)))))))
            : (c <= 908 || (c < 1476
              ? (c < 1329
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)))
                : (c <= 1366 || (c < 1425
                  ? (c < 1376
                    ? c == 1369
                    : c <= 1416)
                  : (c <= 1469 || (c < 1473
                    ? c == 1471
                    : c <= 1474)))))
              : (c <= 1477 || (c < 1646
                ? (c < 1519
                  ? (c < 1488
                    ? c == 1479
                    : c <= 1514)
                  : (c <= 1522 || (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)))
                : (c <= 1747 || (c < 1770
                  ? (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)
                  : (c <= 1788 || (c < 1808
                    ? c == 1791
                    : c <= 1866)))))))))
          : (c <= 1969 || (c < 2527
            ? (c < 2417
              ? (c < 2144
                ? (c < 2045
                  ? (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2045 || (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)))
                : (c <= 2154 || (c < 2200
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2273 || (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)))))
              : (c <= 2435 || (c < 2486
                ? (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)))
                : (c <= 2489 || (c < 2507
                  ? (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)
                  : (c <= 2510 || (c < 2524
                    ? c == 2519
                    : c <= 2525)))))))
            : (c <= 2531 || (c < 2620
              ? (c < 2575
                ? (c < 2558
                  ? (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2558 || (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)))
                : (c <= 2576 || (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)))))
              : (c <= 2620 || (c < 2654
                ? (c < 2635
                  ? (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)
                  : (c <= 2637 || (c < 2649
                    ? c == 2641
                    : c <= 2652)))
                : (c <= 2654 || (c < 2693
                  ? (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))))))))))
        : (c <= 2736 || (c < 3157
          ? (c < 2929
            ? (c < 2831
              ? (c < 2768
                ? (c < 2748
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2757 || (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)))
                : (c <= 2768 || (c < 2809
                  ? (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)
                  : (c <= 2815 || (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)))))
              : (c <= 2832 || (c < 2887
                ? (c < 2866
                  ? (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)
                  : (c <= 2867 || (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)))
                : (c <= 2888 || (c < 2908
                  ? (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)
                  : (c <= 2909 || (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)))))))
            : (c <= 2929 || (c < 3014
              ? (c < 2972
                ? (c < 2958
                  ? (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))
                : (c <= 2972 || (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)))))
              : (c <= 3016 || (c < 3086
                ? (c < 3031
                  ? (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)
                  : (c <= 3031 || (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)))
                : (c <= 3088 || (c < 3132
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3140 || (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)))))))))
          : (c <= 3158 || (c < 3412
            ? (c < 3270
              ? (c < 3205
                ? (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3171 || (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)))
                : (c <= 3212 || (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)))))
              : (c <= 3272 || (c < 3313
                ? (c < 3293
                  ? (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)
                  : (c <= 3294 || (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)))
                : (c <= 3314 || (c < 3346
                  ? (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3396 || (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)))))))
            : (c <= 3415 || (c < 3542
              ? (c < 3482
                ? (c < 3450
                  ? (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)
                  : (c <= 3455 || (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)))
                : (c <= 3505 || (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c < 3535
                    ? c == 3530
                    : c <= 3540)))))
              : (c <= 3542 || (c < 3664
                ? (c < 3570
                  ? (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)
                  : (c <= 3571 || (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)))
                : (c <= 3673 || (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)))))))))))))
      : (c <= 3773 || (c < 8008
        ? (c < 5792
          ? (c < 4348
            ? (c < 3902
              ? (c < 3840
                ? (c < 3784
                  ? (c < 3782
                    ? (c >= 3776 && c <= 3780)
                    : c <= 3782)
                  : (c <= 3789 || (c < 3804
                    ? (c >= 3792 && c <= 3801)
                    : c <= 3807)))
                : (c <= 3840 || (c < 3893
                  ? (c < 3872
                    ? (c >= 3864 && c <= 3865)
                    : c <= 3881)
                  : (c <= 3893 || (c < 3897
                    ? c == 3895
                    : c <= 3897)))))
              : (c <= 3911 || (c < 4096
                ? (c < 3974
                  ? (c < 3953
                    ? (c >= 3913 && c <= 3948)
                    : c <= 3972)
                  : (c <= 3991 || (c < 4038
                    ? (c >= 3993 && c <= 4028)
                    : c <= 4038)))
                : (c <= 4169 || (c < 4295
                  ? (c < 4256
                    ? (c >= 4176 && c <= 4253)
                    : c <= 4293)
                  : (c <= 4295 || (c < 4304
                    ? c == 4301
                    : c <= 4346)))))))
            : (c <= 4680 || (c < 4808
              ? (c < 4746
                ? (c < 4696
                  ? (c < 4688
                    ? (c >= 4682 && c <= 4685)
                    : c <= 4694)
                  : (c <= 4696 || (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)))
                : (c <= 4749 || (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || (c < 4802
                    ? c == 4800
                    : c <= 4805)))))
              : (c <= 4822 || (c < 4992
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c < 4969
                    ? (c >= 4957 && c <= 4959)
                    : c <= 4977)))
                : (c <= 5007 || (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)))))))))
          : (c <= 5866 || (c < 6608
            ? (c < 6155
              ? (c < 5998
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5909)
                  : (c <= 5940 || (c < 5984
                    ? (c >= 5952 && c <= 5971)
                    : c <= 5996)))
                : (c <= 6000 || (c < 6103
                  ? (c < 6016
                    ? (c >= 6002 && c <= 6003)
                    : c <= 6099)
                  : (c <= 6103 || (c < 6112
                    ? (c >= 6108 && c <= 6109)
                    : c <= 6121)))))
              : (c <= 6157 || (c < 6432
                ? (c < 6272
                  ? (c < 6176
                    ? (c >= 6159 && c <= 6169)
                    : c <= 6264)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))
                : (c <= 6443 || (c < 6512
                  ? (c < 6470
                    ? (c >= 6448 && c <= 6459)
                    : c <= 6509)
                  : (c <= 6516 || (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)))))))
            : (c <= 6618 || (c < 7040
              ? (c < 6823
                ? (c < 6752
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6683)
                    : c <= 6750)
                  : (c <= 6780 || (c < 6800
                    ? (c >= 6783 && c <= 6793)
                    : c <= 6809)))
                : (c <= 6823 || (c < 6912
                  ? (c < 6847
                    ? (c >= 6832 && c <= 6845)
                    : c <= 6862)
                  : (c <= 6988 || (c < 7019
                    ? (c >= 6992 && c <= 7001)
                    : c <= 7027)))))
              : (c <= 7155 || (c < 7357
                ? (c < 7245
                  ? (c < 7232
                    ? (c >= 7168 && c <= 7223)
                    : c <= 7241)
                  : (c <= 7293 || (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)))
                : (c <= 7359 || (c < 7424
                  ? (c < 7380
                    ? (c >= 7376 && c <= 7378)
                    : c <= 7418)
                  : (c <= 7957 || (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)))))))))))
        : (c <= 8013 || (c < 11704
          ? (c < 8450
            ? (c < 8150
              ? (c < 8064
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || (c < 8031
                    ? c == 8029
                    : c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)))))
              : (c <= 8155 || (c < 8305
                ? (c < 8182
                  ? (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)
                  : (c <= 8188 || (c < 8276
                    ? (c >= 8255 && c <= 8256)
                    : c <= 8276)))
                : (c <= 8305 || (c < 8400
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8412 || (c < 8421
                    ? c == 8417
                    : c <= 8432)))))))
            : (c <= 8450 || (c < 8544
              ? (c < 8486
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)))))
              : (c <= 8584 || (c < 11568
                ? (c < 11520
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11507)
                  : (c <= 11557 || (c < 11565
                    ? c == 11559
                    : c <= 11565)))
                : (c <= 11623 || (c < 11680
                  ? (c < 11647
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)))))))))
          : (c <= 11710 || (c < 42560
            ? (c < 12445
              ? (c < 12293
                ? (c < 11728
                  ? (c < 11720
                    ? (c >= 11712 && c <= 11718)
                    : c <= 11726)
                  : (c <= 11734 || (c < 11744
                    ? (c >= 11736 && c <= 11742)
                    : c <= 11775)))
                : (c <= 12295 || (c < 12344
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12335)
                    : c <= 12341)
                  : (c <= 12348 || (c < 12441
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12442)))))
              : (c <= 12447 || (c < 12784
                ? (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)))
                : (c <= 12799 || (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42539)))))))
            : (c <= 42607 || (c < 43136
              ? (c < 42960
                ? (c < 42775
                  ? (c < 42623
                    ? (c >= 42612 && c <= 42621)
                    : c <= 42737)
                  : (c <= 42783 || (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43047 || (c < 43072
                    ? c == 43052
                    : c <= 43123)))))
              : (c <= 43205 || (c < 43360
                ? (c < 43259
                  ? (c < 43232
                    ? (c >= 43216 && c <= 43225)
                    : c <= 43255)
                  : (c <= 43259 || (c < 43312
                    ? (c >= 43261 && c <= 43309)
                    : c <= 43347)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43392 && c <= 43456)
                    : c <= 43481)
                  : (c <= 43518 || (c < 43584
                    ? (c >= 43520 && c <= 43574)
                    : c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_16(int32_t c) {
  return (c < 43600
    ? (c < 3751
      ? (c < 2730
        ? (c < 1869
          ? (c < 908
            ? (c < 192
              ? (c < 'a'
                ? (c < '9'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '7')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'h' || (c < 181
                  ? (c < 170
                    ? (c >= 'j' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || (c < 186
                    ? c == 183
                    : c <= 186)))))
              : (c <= 214 || (c < 750
                ? (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)))
                : (c <= 750 || (c < 891
                  ? (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || (c < 902
                    ? c == 895
                    : c <= 906)))))))
            : (c <= 908 || (c < 1476
              ? (c < 1329
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)))
                : (c <= 1366 || (c < 1425
                  ? (c < 1376
                    ? c == 1369
                    : c <= 1416)
                  : (c <= 1469 || (c < 1473
                    ? c == 1471
                    : c <= 1474)))))
              : (c <= 1477 || (c < 1646
                ? (c < 1519
                  ? (c < 1488
                    ? c == 1479
                    : c <= 1514)
                  : (c <= 1522 || (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)))
                : (c <= 1747 || (c < 1770
                  ? (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)
                  : (c <= 1788 || (c < 1808
                    ? c == 1791
                    : c <= 1866)))))))))
          : (c <= 1969 || (c < 2527
            ? (c < 2417
              ? (c < 2144
                ? (c < 2045
                  ? (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2045 || (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)))
                : (c <= 2154 || (c < 2200
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2273 || (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)))))
              : (c <= 2435 || (c < 2486
                ? (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)))
                : (c <= 2489 || (c < 2507
                  ? (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)
                  : (c <= 2510 || (c < 2524
                    ? c == 2519
                    : c <= 2525)))))))
            : (c <= 2531 || (c < 2620
              ? (c < 2575
                ? (c < 2558
                  ? (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2558 || (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)))
                : (c <= 2576 || (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)))))
              : (c <= 2620 || (c < 2654
                ? (c < 2635
                  ? (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)
                  : (c <= 2637 || (c < 2649
                    ? c == 2641
                    : c <= 2652)))
                : (c <= 2654 || (c < 2693
                  ? (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))))))))))
        : (c <= 2736 || (c < 3157
          ? (c < 2929
            ? (c < 2831
              ? (c < 2768
                ? (c < 2748
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2757 || (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)))
                : (c <= 2768 || (c < 2809
                  ? (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)
                  : (c <= 2815 || (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)))))
              : (c <= 2832 || (c < 2887
                ? (c < 2866
                  ? (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)
                  : (c <= 2867 || (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)))
                : (c <= 2888 || (c < 2908
                  ? (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)
                  : (c <= 2909 || (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)))))))
            : (c <= 2929 || (c < 3014
              ? (c < 2972
                ? (c < 2958
                  ? (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))
                : (c <= 2972 || (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)))))
              : (c <= 3016 || (c < 3086
                ? (c < 3031
                  ? (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)
                  : (c <= 3031 || (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)))
                : (c <= 3088 || (c < 3132
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3140 || (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)))))))))
          : (c <= 3158 || (c < 3412
            ? (c < 3270
              ? (c < 3205
                ? (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3171 || (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)))
                : (c <= 3212 || (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)))))
              : (c <= 3272 || (c < 3313
                ? (c < 3293
                  ? (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)
                  : (c <= 3294 || (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)))
                : (c <= 3314 || (c < 3346
                  ? (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3396 || (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)))))))
            : (c <= 3415 || (c < 3542
              ? (c < 3482
                ? (c < 3450
                  ? (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)
                  : (c <= 3455 || (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)))
                : (c <= 3505 || (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c < 3535
                    ? c == 3530
                    : c <= 3540)))))
              : (c <= 3542 || (c < 3664
                ? (c < 3570
                  ? (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)
                  : (c <= 3571 || (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)))
                : (c <= 3673 || (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)))))))))))))
      : (c <= 3773 || (c < 8008
        ? (c < 5792
          ? (c < 4348
            ? (c < 3902
              ? (c < 3840
                ? (c < 3784
                  ? (c < 3782
                    ? (c >= 3776 && c <= 3780)
                    : c <= 3782)
                  : (c <= 3789 || (c < 3804
                    ? (c >= 3792 && c <= 3801)
                    : c <= 3807)))
                : (c <= 3840 || (c < 3893
                  ? (c < 3872
                    ? (c >= 3864 && c <= 3865)
                    : c <= 3881)
                  : (c <= 3893 || (c < 3897
                    ? c == 3895
                    : c <= 3897)))))
              : (c <= 3911 || (c < 4096
                ? (c < 3974
                  ? (c < 3953
                    ? (c >= 3913 && c <= 3948)
                    : c <= 3972)
                  : (c <= 3991 || (c < 4038
                    ? (c >= 3993 && c <= 4028)
                    : c <= 4038)))
                : (c <= 4169 || (c < 4295
                  ? (c < 4256
                    ? (c >= 4176 && c <= 4253)
                    : c <= 4293)
                  : (c <= 4295 || (c < 4304
                    ? c == 4301
                    : c <= 4346)))))))
            : (c <= 4680 || (c < 4808
              ? (c < 4746
                ? (c < 4696
                  ? (c < 4688
                    ? (c >= 4682 && c <= 4685)
                    : c <= 4694)
                  : (c <= 4696 || (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)))
                : (c <= 4749 || (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || (c < 4802
                    ? c == 4800
                    : c <= 4805)))))
              : (c <= 4822 || (c < 4992
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c < 4969
                    ? (c >= 4957 && c <= 4959)
                    : c <= 4977)))
                : (c <= 5007 || (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)))))))))
          : (c <= 5866 || (c < 6608
            ? (c < 6155
              ? (c < 5998
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5909)
                  : (c <= 5940 || (c < 5984
                    ? (c >= 5952 && c <= 5971)
                    : c <= 5996)))
                : (c <= 6000 || (c < 6103
                  ? (c < 6016
                    ? (c >= 6002 && c <= 6003)
                    : c <= 6099)
                  : (c <= 6103 || (c < 6112
                    ? (c >= 6108 && c <= 6109)
                    : c <= 6121)))))
              : (c <= 6157 || (c < 6432
                ? (c < 6272
                  ? (c < 6176
                    ? (c >= 6159 && c <= 6169)
                    : c <= 6264)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))
                : (c <= 6443 || (c < 6512
                  ? (c < 6470
                    ? (c >= 6448 && c <= 6459)
                    : c <= 6509)
                  : (c <= 6516 || (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)))))))
            : (c <= 6618 || (c < 7040
              ? (c < 6823
                ? (c < 6752
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6683)
                    : c <= 6750)
                  : (c <= 6780 || (c < 6800
                    ? (c >= 6783 && c <= 6793)
                    : c <= 6809)))
                : (c <= 6823 || (c < 6912
                  ? (c < 6847
                    ? (c >= 6832 && c <= 6845)
                    : c <= 6862)
                  : (c <= 6988 || (c < 7019
                    ? (c >= 6992 && c <= 7001)
                    : c <= 7027)))))
              : (c <= 7155 || (c < 7357
                ? (c < 7245
                  ? (c < 7232
                    ? (c >= 7168 && c <= 7223)
                    : c <= 7241)
                  : (c <= 7293 || (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)))
                : (c <= 7359 || (c < 7424
                  ? (c < 7380
                    ? (c >= 7376 && c <= 7378)
                    : c <= 7418)
                  : (c <= 7957 || (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)))))))))))
        : (c <= 8013 || (c < 11704
          ? (c < 8450
            ? (c < 8150
              ? (c < 8064
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || (c < 8031
                    ? c == 8029
                    : c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)))))
              : (c <= 8155 || (c < 8305
                ? (c < 8182
                  ? (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)
                  : (c <= 8188 || (c < 8276
                    ? (c >= 8255 && c <= 8256)
                    : c <= 8276)))
                : (c <= 8305 || (c < 8400
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8412 || (c < 8421
                    ? c == 8417
                    : c <= 8432)))))))
            : (c <= 8450 || (c < 8544
              ? (c < 8486
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)))))
              : (c <= 8584 || (c < 11568
                ? (c < 11520
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11507)
                  : (c <= 11557 || (c < 11565
                    ? c == 11559
                    : c <= 11565)))
                : (c <= 11623 || (c < 11680
                  ? (c < 11647
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)))))))))
          : (c <= 11710 || (c < 42560
            ? (c < 12445
              ? (c < 12293
                ? (c < 11728
                  ? (c < 11720
                    ? (c >= 11712 && c <= 11718)
                    : c <= 11726)
                  : (c <= 11734 || (c < 11744
                    ? (c >= 11736 && c <= 11742)
                    : c <= 11775)))
                : (c <= 12295 || (c < 12344
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12335)
                    : c <= 12341)
                  : (c <= 12348 || (c < 12441
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12442)))))
              : (c <= 12447 || (c < 12784
                ? (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)))
                : (c <= 12799 || (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42539)))))))
            : (c <= 42607 || (c < 43136
              ? (c < 42960
                ? (c < 42775
                  ? (c < 42623
                    ? (c >= 42612 && c <= 42621)
                    : c <= 42737)
                  : (c <= 42783 || (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43047 || (c < 43072
                    ? c == 43052
                    : c <= 43123)))))
              : (c <= 43205 || (c < 43360
                ? (c < 43259
                  ? (c < 43232
                    ? (c >= 43216 && c <= 43225)
                    : c <= 43255)
                  : (c <= 43259 || (c < 43312
                    ? (c >= 43261 && c <= 43309)
                    : c <= 43347)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43392 && c <= 43456)
                    : c <= 43481)
                  : (c <= 43518 || (c < 43584
                    ? (c >= 43520 && c <= 43574)
                    : c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_17(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < '9'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '7')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_18(int32_t c) {
  return (c < 43600
    ? (c < 3751
      ? (c < 2730
        ? (c < 1869
          ? (c < 908
            ? (c < 192
              ? (c < 'j'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'h')))
                : (c <= 'r' || (c < 181
                  ? (c < 170
                    ? (c >= 't' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || (c < 186
                    ? c == 183
                    : c <= 186)))))
              : (c <= 214 || (c < 750
                ? (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)))
                : (c <= 750 || (c < 891
                  ? (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || (c < 902
                    ? c == 895
                    : c <= 906)))))))
            : (c <= 908 || (c < 1476
              ? (c < 1329
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)))
                : (c <= 1366 || (c < 1425
                  ? (c < 1376
                    ? c == 1369
                    : c <= 1416)
                  : (c <= 1469 || (c < 1473
                    ? c == 1471
                    : c <= 1474)))))
              : (c <= 1477 || (c < 1646
                ? (c < 1519
                  ? (c < 1488
                    ? c == 1479
                    : c <= 1514)
                  : (c <= 1522 || (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)))
                : (c <= 1747 || (c < 1770
                  ? (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)
                  : (c <= 1788 || (c < 1808
                    ? c == 1791
                    : c <= 1866)))))))))
          : (c <= 1969 || (c < 2527
            ? (c < 2417
              ? (c < 2144
                ? (c < 2045
                  ? (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2045 || (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)))
                : (c <= 2154 || (c < 2200
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2273 || (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)))))
              : (c <= 2435 || (c < 2486
                ? (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)))
                : (c <= 2489 || (c < 2507
                  ? (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)
                  : (c <= 2510 || (c < 2524
                    ? c == 2519
                    : c <= 2525)))))))
            : (c <= 2531 || (c < 2620
              ? (c < 2575
                ? (c < 2558
                  ? (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2558 || (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)))
                : (c <= 2576 || (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)))))
              : (c <= 2620 || (c < 2654
                ? (c < 2635
                  ? (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)
                  : (c <= 2637 || (c < 2649
                    ? c == 2641
                    : c <= 2652)))
                : (c <= 2654 || (c < 2693
                  ? (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))))))))))
        : (c <= 2736 || (c < 3157
          ? (c < 2929
            ? (c < 2831
              ? (c < 2768
                ? (c < 2748
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2757 || (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)))
                : (c <= 2768 || (c < 2809
                  ? (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)
                  : (c <= 2815 || (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)))))
              : (c <= 2832 || (c < 2887
                ? (c < 2866
                  ? (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)
                  : (c <= 2867 || (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)))
                : (c <= 2888 || (c < 2908
                  ? (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)
                  : (c <= 2909 || (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)))))))
            : (c <= 2929 || (c < 3014
              ? (c < 2972
                ? (c < 2958
                  ? (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))
                : (c <= 2972 || (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)))))
              : (c <= 3016 || (c < 3086
                ? (c < 3031
                  ? (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)
                  : (c <= 3031 || (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)))
                : (c <= 3088 || (c < 3132
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3140 || (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)))))))))
          : (c <= 3158 || (c < 3412
            ? (c < 3270
              ? (c < 3205
                ? (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3171 || (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)))
                : (c <= 3212 || (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)))))
              : (c <= 3272 || (c < 3313
                ? (c < 3293
                  ? (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)
                  : (c <= 3294 || (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)))
                : (c <= 3314 || (c < 3346
                  ? (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3396 || (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)))))))
            : (c <= 3415 || (c < 3542
              ? (c < 3482
                ? (c < 3450
                  ? (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)
                  : (c <= 3455 || (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)))
                : (c <= 3505 || (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c < 3535
                    ? c == 3530
                    : c <= 3540)))))
              : (c <= 3542 || (c < 3664
                ? (c < 3570
                  ? (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)
                  : (c <= 3571 || (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)))
                : (c <= 3673 || (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)))))))))))))
      : (c <= 3773 || (c < 8008
        ? (c < 5792
          ? (c < 4348
            ? (c < 3902
              ? (c < 3840
                ? (c < 3784
                  ? (c < 3782
                    ? (c >= 3776 && c <= 3780)
                    : c <= 3782)
                  : (c <= 3789 || (c < 3804
                    ? (c >= 3792 && c <= 3801)
                    : c <= 3807)))
                : (c <= 3840 || (c < 3893
                  ? (c < 3872
                    ? (c >= 3864 && c <= 3865)
                    : c <= 3881)
                  : (c <= 3893 || (c < 3897
                    ? c == 3895
                    : c <= 3897)))))
              : (c <= 3911 || (c < 4096
                ? (c < 3974
                  ? (c < 3953
                    ? (c >= 3913 && c <= 3948)
                    : c <= 3972)
                  : (c <= 3991 || (c < 4038
                    ? (c >= 3993 && c <= 4028)
                    : c <= 4038)))
                : (c <= 4169 || (c < 4295
                  ? (c < 4256
                    ? (c >= 4176 && c <= 4253)
                    : c <= 4293)
                  : (c <= 4295 || (c < 4304
                    ? c == 4301
                    : c <= 4346)))))))
            : (c <= 4680 || (c < 4808
              ? (c < 4746
                ? (c < 4696
                  ? (c < 4688
                    ? (c >= 4682 && c <= 4685)
                    : c <= 4694)
                  : (c <= 4696 || (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)))
                : (c <= 4749 || (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || (c < 4802
                    ? c == 4800
                    : c <= 4805)))))
              : (c <= 4822 || (c < 4992
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c < 4969
                    ? (c >= 4957 && c <= 4959)
                    : c <= 4977)))
                : (c <= 5007 || (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)))))))))
          : (c <= 5866 || (c < 6608
            ? (c < 6155
              ? (c < 5998
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5909)
                  : (c <= 5940 || (c < 5984
                    ? (c >= 5952 && c <= 5971)
                    : c <= 5996)))
                : (c <= 6000 || (c < 6103
                  ? (c < 6016
                    ? (c >= 6002 && c <= 6003)
                    : c <= 6099)
                  : (c <= 6103 || (c < 6112
                    ? (c >= 6108 && c <= 6109)
                    : c <= 6121)))))
              : (c <= 6157 || (c < 6432
                ? (c < 6272
                  ? (c < 6176
                    ? (c >= 6159 && c <= 6169)
                    : c <= 6264)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))
                : (c <= 6443 || (c < 6512
                  ? (c < 6470
                    ? (c >= 6448 && c <= 6459)
                    : c <= 6509)
                  : (c <= 6516 || (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)))))))
            : (c <= 6618 || (c < 7040
              ? (c < 6823
                ? (c < 6752
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6683)
                    : c <= 6750)
                  : (c <= 6780 || (c < 6800
                    ? (c >= 6783 && c <= 6793)
                    : c <= 6809)))
                : (c <= 6823 || (c < 6912
                  ? (c < 6847
                    ? (c >= 6832 && c <= 6845)
                    : c <= 6862)
                  : (c <= 6988 || (c < 7019
                    ? (c >= 6992 && c <= 7001)
                    : c <= 7027)))))
              : (c <= 7155 || (c < 7357
                ? (c < 7245
                  ? (c < 7232
                    ? (c >= 7168 && c <= 7223)
                    : c <= 7241)
                  : (c <= 7293 || (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)))
                : (c <= 7359 || (c < 7424
                  ? (c < 7380
                    ? (c >= 7376 && c <= 7378)
                    : c <= 7418)
                  : (c <= 7957 || (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)))))))))))
        : (c <= 8013 || (c < 11704
          ? (c < 8450
            ? (c < 8150
              ? (c < 8064
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || (c < 8031
                    ? c == 8029
                    : c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)))))
              : (c <= 8155 || (c < 8305
                ? (c < 8182
                  ? (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)
                  : (c <= 8188 || (c < 8276
                    ? (c >= 8255 && c <= 8256)
                    : c <= 8276)))
                : (c <= 8305 || (c < 8400
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8412 || (c < 8421
                    ? c == 8417
                    : c <= 8432)))))))
            : (c <= 8450 || (c < 8544
              ? (c < 8486
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)))))
              : (c <= 8584 || (c < 11568
                ? (c < 11520
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11507)
                  : (c <= 11557 || (c < 11565
                    ? c == 11559
                    : c <= 11565)))
                : (c <= 11623 || (c < 11680
                  ? (c < 11647
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)))))))))
          : (c <= 11710 || (c < 42560
            ? (c < 12445
              ? (c < 12293
                ? (c < 11728
                  ? (c < 11720
                    ? (c >= 11712 && c <= 11718)
                    : c <= 11726)
                  : (c <= 11734 || (c < 11744
                    ? (c >= 11736 && c <= 11742)
                    : c <= 11775)))
                : (c <= 12295 || (c < 12344
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12335)
                    : c <= 12341)
                  : (c <= 12348 || (c < 12441
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12442)))))
              : (c <= 12447 || (c < 12784
                ? (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)))
                : (c <= 12799 || (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42539)))))))
            : (c <= 42607 || (c < 43136
              ? (c < 42960
                ? (c < 42775
                  ? (c < 42623
                    ? (c >= 42612 && c <= 42621)
                    : c <= 42737)
                  : (c <= 42783 || (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43047 || (c < 43072
                    ? c == 43052
                    : c <= 43123)))))
              : (c <= 43205 || (c < 43360
                ? (c < 43259
                  ? (c < 43232
                    ? (c >= 43216 && c <= 43225)
                    : c <= 43255)
                  : (c <= 43259 || (c < 43312
                    ? (c >= 43261 && c <= 43309)
                    : c <= 43347)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43392 && c <= 43456)
                    : c <= 43481)
                  : (c <= 43518 || (c < 43584
                    ? (c >= 43520 && c <= 43574)
                    : c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_19(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'm'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'b'
                    ? c == '_'
                    : c <= 'k')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_20(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < '3'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '1')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_21(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < '5'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '3')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_22(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < '7'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '5')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_23(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'D' || (c < '_'
                    ? (c >= 'F' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_24(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'K' || (c < '_'
                    ? (c >= 'M' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_25(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'R' || (c < '_'
                    ? (c >= 'T' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_26(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'T' || (c < '_'
                    ? (c >= 'V' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_27(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'B'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_28(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'c'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'a')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_29(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'e'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'c')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_30(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'f'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'd')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_31(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'g'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'e')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_32(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'h'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'f')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_33(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'i'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'g')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_34(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'j'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'h')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_35(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'm'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'k')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_36(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'o'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'm')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_37(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'p'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'n')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_38(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'q'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'o')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_39(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 's'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'q')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_40(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 't'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'r')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_41(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'u'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 's')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_42(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'v'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 't')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_43(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'y'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'w')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_44(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'y')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_45(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'b'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_46(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2748
        ? (c < 2045
          ? (c < 1015
            ? (c < 710
              ? (c < 181
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 192
                  ? (c < 186
                    ? c == 183
                    : c <= 186)
                  : (c <= 214 || (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)))))
              : (c <= 721 || (c < 891
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)))
                : (c <= 893 || (c < 908
                  ? (c < 902
                    ? c == 895
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))))))
            : (c <= 1153 || (c < 1519
              ? (c < 1425
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)
                  : (c <= 1366 || (c < 1376
                    ? c == 1369
                    : c <= 1416)))
                : (c <= 1469 || (c < 1476
                  ? (c < 1473
                    ? c == 1471
                    : c <= 1474)
                  : (c <= 1477 || (c < 1488
                    ? c == 1479
                    : c <= 1514)))))
              : (c <= 1522 || (c < 1770
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)
                  : (c <= 1747 || (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)))
                : (c <= 1788 || (c < 1869
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1866)
                  : (c <= 1969 || (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)))))))))
          : (c <= 2045 || (c < 2558
            ? (c < 2451
              ? (c < 2200
                ? (c < 2144
                  ? (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)
                  : (c <= 2154 || (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)))
                : (c <= 2273 || (c < 2417
                  ? (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)
                  : (c <= 2435 || (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)))))
              : (c <= 2472 || (c < 2507
                ? (c < 2486
                  ? (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)
                  : (c <= 2489 || (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)))
                : (c <= 2510 || (c < 2527
                  ? (c < 2524
                    ? c == 2519
                    : c <= 2525)
                  : (c <= 2531 || (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)))))))
            : (c <= 2558 || (c < 2635
              ? (c < 2610
                ? (c < 2575
                  ? (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)
                  : (c <= 2576 || (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)))
                : (c <= 2611 || (c < 2620
                  ? (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)
                  : (c <= 2620 || (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)))))
              : (c <= 2637 || (c < 2693
                ? (c < 2654
                  ? (c < 2649
                    ? c == 2641
                    : c <= 2652)
                  : (c <= 2654 || (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)))
                : (c <= 2701 || (c < 2730
                  ? (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)
                  : (c <= 2736 || (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)))))))))))
        : (c <= 2757 || (c < 3168
          ? (c < 2958
            ? (c < 2866
              ? (c < 2809
                ? (c < 2768
                  ? (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)
                  : (c <= 2768 || (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)))
                : (c <= 2815 || (c < 2831
                  ? (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)
                  : (c <= 2832 || (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)))))
              : (c <= 2867 || (c < 2908
                ? (c < 2887
                  ? (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)
                  : (c <= 2888 || (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)))
                : (c <= 2909 || (c < 2929
                  ? (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)
                  : (c <= 2929 || (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)))))))
            : (c <= 2960 || (c < 3031
              ? (c < 2984
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)))
                : (c <= 2986 || (c < 3014
                  ? (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)
                  : (c <= 3016 || (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)))))
              : (c <= 3031 || (c < 3132
                ? (c < 3086
                  ? (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)
                  : (c <= 3088 || (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)))
                : (c <= 3140 || (c < 3157
                  ? (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)
                  : (c <= 3158 || (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)))))))))
          : (c <= 3171 || (c < 3450
            ? (c < 3293
              ? (c < 3242
                ? (c < 3205
                  ? (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)
                  : (c <= 3212 || (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)))
                : (c <= 3251 || (c < 3270
                  ? (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)
                  : (c <= 3272 || (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)))))
              : (c <= 3294 || (c < 3346
                ? (c < 3313
                  ? (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)
                  : (c <= 3314 || (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)))
                : (c <= 3396 || (c < 3412
                  ? (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)
                  : (c <= 3415 || (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)))))))
            : (c <= 3455 || (c < 3570
              ? (c < 3520
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)
                  : (c <= 3505 || (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)))
                : (c <= 3526 || (c < 3542
                  ? (c < 3535
                    ? c == 3530
                    : c <= 3540)
                  : (c <= 3542 || (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)))))
              : (c <= 3571 || (c < 3718
                ? (c < 3664
                  ? (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)
                  : (c <= 3673 || (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)))
                : (c <= 3722 || (c < 3751
                  ? (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_47(int32_t c) {
  return (c < 43739
    ? (c < 3804
      ? (c < 2768
        ? (c < 2144
          ? (c < 1329
            ? (c < 750
              ? (c < 192
                ? (c < 181
                  ? (c < 170
                    ? c == '$'
                    : c <= 170)
                  : (c <= 181 || (c < 186
                    ? c == 183
                    : c <= 186)))
                : (c <= 214 || (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)))))
              : (c <= 750 || (c < 908
                ? (c < 891
                  ? (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || (c < 902
                    ? c == 895
                    : c <= 906)))
                : (c <= 908 || (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)))))))
            : (c <= 1366 || (c < 1646
              ? (c < 1476
                ? (c < 1425
                  ? (c < 1376
                    ? c == 1369
                    : c <= 1416)
                  : (c <= 1469 || (c < 1473
                    ? c == 1471
                    : c <= 1474)))
                : (c <= 1477 || (c < 1519
                  ? (c < 1488
                    ? c == 1479
                    : c <= 1514)
                  : (c <= 1522 || (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)))))
              : (c <= 1747 || (c < 1869
                ? (c < 1770
                  ? (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)
                  : (c <= 1788 || (c < 1808
                    ? c == 1791
                    : c <= 1866)))
                : (c <= 1969 || (c < 2045
                  ? (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2045 || (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)))))))))
          : (c <= 2154 || (c < 2575
            ? (c < 2486
              ? (c < 2417
                ? (c < 2200
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2273 || (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)))
                : (c <= 2435 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)))))
              : (c <= 2489 || (c < 2527
                ? (c < 2507
                  ? (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)
                  : (c <= 2510 || (c < 2524
                    ? c == 2519
                    : c <= 2525)))
                : (c <= 2531 || (c < 2558
                  ? (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2558 || (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)))))))
            : (c <= 2576 || (c < 2654
              ? (c < 2620
                ? (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)))
                : (c <= 2620 || (c < 2635
                  ? (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)
                  : (c <= 2637 || (c < 2649
                    ? c == 2641
                    : c <= 2652)))))
              : (c <= 2654 || (c < 2730
                ? (c < 2693
                  ? (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))
                : (c <= 2736 || (c < 2748
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2757 || (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)))))))))))
        : (c <= 2768 || (c < 3205
          ? (c < 2972
            ? (c < 2887
              ? (c < 2831
                ? (c < 2809
                  ? (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)
                  : (c <= 2815 || (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)))
                : (c <= 2832 || (c < 2866
                  ? (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)
                  : (c <= 2867 || (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)))))
              : (c <= 2888 || (c < 2929
                ? (c < 2908
                  ? (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)
                  : (c <= 2909 || (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)))
                : (c <= 2929 || (c < 2958
                  ? (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))))))
            : (c <= 2972 || (c < 3086
              ? (c < 3014
                ? (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)))
                : (c <= 3016 || (c < 3031
                  ? (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)
                  : (c <= 3031 || (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)))))
              : (c <= 3088 || (c < 3157
                ? (c < 3132
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3140 || (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)))
                : (c <= 3158 || (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3171 || (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)))))))))
          : (c <= 3212 || (c < 3482
            ? (c < 3313
              ? (c < 3270
                ? (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)))
                : (c <= 3272 || (c < 3293
                  ? (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)
                  : (c <= 3294 || (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)))))
              : (c <= 3314 || (c < 3412
                ? (c < 3346
                  ? (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3396 || (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)))
                : (c <= 3415 || (c < 3450
                  ? (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)
                  : (c <= 3455 || (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)))))))
            : (c <= 3505 || (c < 3664
              ? (c < 3542
                ? (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c < 3535
                    ? c == 3530
                    : c <= 3540)))
                : (c <= 3542 || (c < 3570
                  ? (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)
                  : (c <= 3571 || (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)))))
              : (c <= 3673 || (c < 3751
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)))
                : (c <= 3773 || (c < 3784
                  ? (c < 3782
                    ? (c >= 3776 && c <= 3780)
                    : c <= 3782)
                  : (c <= 3789 || (c >= 3792 && c <= 3801)))))))))))))
      : (c <= 3807 || (c < 8029
        ? (c < 5984
          ? (c < 4704
            ? (c < 4038
              ? (c < 3897
                ? (c < 3872
                  ? (c < 3864
                    ? c == 3840
                    : c <= 3865)
                  : (c <= 3881 || (c < 3895
                    ? c == 3893
                    : c <= 3895)))
                : (c <= 3897 || (c < 3953
                  ? (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3972 || (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)))))
              : (c <= 4038 || (c < 4304
                ? (c < 4256
                  ? (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)
                  : (c <= 4293 || (c < 4301
                    ? c == 4295
                    : c <= 4301)))
                : (c <= 4346 || (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || (c < 4698
                    ? c == 4696
                    : c <= 4701)))))))
            : (c <= 4744 || (c < 4969
              ? (c < 4802
                ? (c < 4786
                  ? (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)
                  : (c <= 4789 || (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)))
                : (c <= 4805 || (c < 4882
                  ? (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)
                  : (c <= 4885 || (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)))))
              : (c <= 4977 || (c < 5761
                ? (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)))
                : (c <= 5786 || (c < 5888
                  ? (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)
                  : (c <= 5909 || (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)))))))))
          : (c <= 5996 || (c < 6800
            ? (c < 6400
              ? (c < 6112
                ? (c < 6016
                  ? (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)
                  : (c <= 6099 || (c < 6108
                    ? c == 6103
                    : c <= 6109)))
                : (c <= 6121 || (c < 6176
                  ? (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)
                  : (c <= 6264 || (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)))))
              : (c <= 6430 || (c < 6576
                ? (c < 6470
                  ? (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)
                  : (c <= 6509 || (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)))
                : (c <= 6601 || (c < 6688
                  ? (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)
                  : (c <= 6750 || (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)))))))
            : (c <= 6809 || (c < 7312
              ? (c < 7019
                ? (c < 6847
                  ? (c < 6832
                    ? c == 6823
                    : c <= 6845)
                  : (c <= 6862 || (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)))
                : (c <= 7027 || (c < 7232
                  ? (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)
                  : (c <= 7241 || (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)))))
              : (c <= 7354 || (c < 7968
                ? (c < 7380
                  ? (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)
                  : (c <= 7418 || (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)))
                : (c <= 8005 || (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || c == 8027))))))))))
        : (c <= 8029 || (c < 11736
          ? (c < 8472
            ? (c < 8255
              ? (c < 8134
                ? (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || (c < 8130
                    ? c == 8126
                    : c <= 8132)))
                : (c <= 8140 || (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))))
              : (c <= 8256 || (c < 8417
                ? (c < 8319
                  ? (c < 8305
                    ? c == 8276
                    : c <= 8305)
                  : (c <= 8319 || (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)))
                : (c <= 8417 || (c < 8455
                  ? (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)
                  : (c <= 8455 || (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)))))))
            : (c <= 8477 || (c < 11559
              ? (c < 8517
                ? (c < 8488
                  ? (c < 8486
                    ? c == 8484
                    : c <= 8486)
                  : (c <= 8488 || (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)))
                : (c <= 8521 || (c < 11264
                  ? (c < 8544
                    ? c == 8526
                    : c <= 8584)
                  : (c <= 11492 || (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)))))
              : (c <= 11559 || (c < 11688
                ? (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)))
                : (c <= 11694 || (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)))))))))
          : (c <= 11742 || (c < 42786
            ? (c < 12593
              ? (c < 12353
                ? (c < 12321
                  ? (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)
                  : (c <= 12335 || (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)))
                : (c <= 12438 || (c < 12449
                  ? (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)
                  : (c <= 12538 || (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)))))
              : (c <= 12686 || (c < 42240
                ? (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)))
                : (c <= 42508 || (c < 42612
                  ? (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)
                  : (c <= 42621 || (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)))))))
            : (c <= 42888 || (c < 43261
              ? (c < 43052
                ? (c < 42963
                  ? (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)
                  : (c <= 42963 || (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)))
                : (c <= 43052 || (c < 43216
                  ? (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)
                  : (c <= 43225 || (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)))))
              : (c <= 43309 || (c < 43520
                ? (c < 43392
                  ? (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)
                  : (c <= 43456 || (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)))
                : (c <= 43574 || (c < 43616
                  ? (c < 43600
                    ? (c >= 43584 && c <= 43597)
                    : c <= 43609)
                  : (c <= 43638 || (c >= 43642 && c <= 43714)))))))))))))))
    : (c <= 43741 || (c < 71472
      ? (c < 67644
        ? (c < 65474
          ? (c < 64320
            ? (c < 44016
              ? (c < 43808
                ? (c < 43777
                  ? (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)
                  : (c <= 43782 || (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)))
                : (c <= 43814 || (c < 43868
                  ? (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)
                  : (c <= 43881 || (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)))))
              : (c <= 44025 || (c < 64256
                ? (c < 55243
                  ? (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)
                  : (c <= 55291 || (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)))
                : (c <= 64262 || (c < 64298
                  ? (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)
                  : (c <= 64310 || (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)))))))
            : (c <= 64321 || (c < 65137
              ? (c < 64914
                ? (c < 64467
                  ? (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)
                  : (c <= 64605 || (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)))
                : (c <= 64967 || (c < 65056
                  ? (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)
                  : (c <= 65071 || (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)))))
              : (c <= 65137 || (c < 65151
                ? (c < 65145
                  ? (c < 65143
                    ? c == 65139
                    : c <= 65143)
                  : (c <= 65145 || (c < 65149
                    ? c == 65147
                    : c <= 65149)))
                : (c <= 65276 || (c < 65343
                  ? (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)
                  : (c <= 65343 || (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)))))))))
          : (c <= 65479 || (c < 66720
            ? (c < 66045
              ? (c < 65576
                ? (c < 65498
                  ? (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)
                  : (c <= 65500 || (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)))
                : (c <= 65594 || (c < 65616
                  ? (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)
                  : (c <= 65629 || (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)))))
              : (c <= 66045 || (c < 66384
                ? (c < 66272
                  ? (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)
                  : (c <= 66272 || (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)))
                : (c <= 66426 || (c < 66504
                  ? (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)
                  : (c <= 66511 || (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)))))))
            : (c <= 66729 || (c < 67003
              ? (c < 66940
                ? (c < 66816
                  ? (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)
                  : (c <= 66855 || (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)))
                : (c <= 66954 || (c < 66967
                  ? (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)
                  : (c <= 66977 || (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)))))
              : (c <= 67004 || (c < 67506
                ? (c < 67424
                  ? (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)
                  : (c <= 67431 || (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)))
                : (c <= 67514 || (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))))))))))
        : (c <= 67644 || (c < 69968
          ? (c < 68480
            ? (c < 68108
              ? (c < 67840
                ? (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)))
                : (c <= 67861 || (c < 68030
                  ? (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)
                  : (c <= 68031 || (c < 68101
                    ? (c >= 68096 && c <= 68099)
                    : c <= 68102)))))
              : (c <= 68115 || (c < 68224
                ? (c < 68152
                  ? (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)
                  : (c <= 68154 || (c < 68192
                    ? c == 68159
                    : c <= 68220)))
                : (c <= 68252 || (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68326)
                  : (c <= 68405 || (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)))))))
            : (c <= 68497 || (c < 69488
              ? (c < 69248
                ? (c < 68800
                  ? (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)
                  : (c <= 68850 || (c < 68912
                    ? (c >= 68864 && c <= 68903)
                    : c <= 68921)))
                : (c <= 69289 || (c < 69376
                  ? (c < 69296
                    ? (c >= 69291 && c <= 69292)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69456)))))
              : (c <= 69509 || (c < 69826
                ? (c < 69632
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69702 || (c < 69759
                    ? (c >= 69734 && c <= 69749)
                    : c <= 69818)))
                : (c <= 69826 || (c < 69888
                  ? (c < 69872
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69881)
                  : (c <= 69940 || (c < 69956
                    ? (c >= 69942 && c <= 69951)
                    : c <= 69959)))))))))
          : (c <= 70003 || (c < 70471
            ? (c < 70287
              ? (c < 70144
                ? (c < 70089
                  ? (c < 70016
                    ? c == 70006
                    : c <= 70084)
                  : (c <= 70092 || (c < 70108
                    ? (c >= 70094 && c <= 70106)
                    : c <= 70108)))
                : (c <= 70161 || (c < 70272
                  ? (c < 70206
                    ? (c >= 70163 && c <= 70199)
                    : c <= 70206)
                  : (c <= 70278 || (c < 70282
                    ? c == 70280
                    : c <= 70285)))))
              : (c <= 70301 || (c < 70415
                ? (c < 70384
                  ? (c < 70320
                    ? (c >= 70303 && c <= 70312)
                    : c <= 70378)
                  : (c <= 70393 || (c < 70405
                    ? (c >= 70400 && c <= 70403)
                    : c <= 70412)))
                : (c <= 70416 || (c < 70450
                  ? (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)
                  : (c <= 70451 || (c < 70459
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70468)))))))
            : (c <= 70472 || (c < 70864
              ? (c < 70512
                ? (c < 70487
                  ? (c < 70480
                    ? (c >= 70475 && c <= 70477)
                    : c <= 70480)
                  : (c <= 70487 || (c < 70502
                    ? (c >= 70493 && c <= 70499)
                    : c <= 70508)))
                : (c <= 70516 || (c < 70750
                  ? (c < 70736
                    ? (c >= 70656 && c <= 70730)
                    : c <= 70745)
                  : (c <= 70753 || (c < 70855
                    ? (c >= 70784 && c <= 70853)
                    : c <= 70855)))))
              : (c <= 70873 || (c < 71248
                ? (c < 71128
                  ? (c < 71096
                    ? (c >= 71040 && c <= 71093)
                    : c <= 71104)
                  : (c <= 71133 || (c < 71236
                    ? (c >= 71168 && c <= 71232)
                    : c <= 71236)))
                : (c <= 71257 || (c < 71424
                  ? (c < 71360
                    ? (c >= 71296 && c <= 71352)
                    : c <= 71369)
                  : (c <= 71450 || (c >= 71453 && c <= 71467)))))))))))))
      : (c <= 71481 || (c < 119973
        ? (c < 82944
          ? (c < 72784
            ? (c < 72096
              ? (c < 71948
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71738)
                  : (c <= 71913 || (c < 71945
                    ? (c >= 71935 && c <= 71942)
                    : c <= 71945)))
                : (c <= 71955 || (c < 71991
                  ? (c < 71960
                    ? (c >= 71957 && c <= 71958)
                    : c <= 71989)
                  : (c <= 71992 || (c < 72016
                    ? (c >= 71995 && c <= 72003)
                    : c <= 72025)))))
              : (c <= 72103 || (c < 72272
                ? (c < 72163
                  ? (c < 72154
                    ? (c >= 72106 && c <= 72151)
                    : c <= 72161)
                  : (c <= 72164 || (c < 72263
                    ? (c >= 72192 && c <= 72254)
                    : c <= 72263)))
                : (c <= 72345 || (c < 72704
                  ? (c < 72368
                    ? c == 72349
                    : c <= 72440)
                  : (c <= 72712 || (c < 72760
                    ? (c >= 72714 && c <= 72758)
                    : c <= 72768)))))))
            : (c <= 72793 || (c < 73063
              ? (c < 72971
                ? (c < 72873
                  ? (c < 72850
                    ? (c >= 72818 && c <= 72847)
                    : c <= 72871)
                  : (c <= 72886 || (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)))
                : (c <= 73014 || (c < 73023
                  ? (c < 73020
                    ? c == 73018
                    : c <= 73021)
                  : (c <= 73031 || (c < 73056
                    ? (c >= 73040 && c <= 73049)
                    : c <= 73061)))))
              : (c <= 73064 || (c < 73648
                ? (c < 73107
                  ? (c < 73104
                    ? (c >= 73066 && c <= 73102)
                    : c <= 73105)
                  : (c <= 73112 || (c < 73440
                    ? (c >= 73120 && c <= 73129)
                    : c <= 73462)))
                : (c <= 73648 || (c < 74880
                  ? (c < 74752
                    ? (c >= 73728 && c <= 74649)
                    : c <= 74862)
                  : (c <= 75075 || (c < 77824
                    ? (c >= 77712 && c <= 77808)
                    : c <= 78894)))))))))
          : (c <= 83526 || (c < 110581
            ? (c < 93053
              ? (c < 92880
                ? (c < 92768
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92777 || (c < 92864
                    ? (c >= 92784 && c <= 92862)
                    : c <= 92873)))
                : (c <= 92909 || (c < 92992
                  ? (c < 92928
                    ? (c >= 92912 && c <= 92916)
                    : c <= 92982)
                  : (c <= 92995 || (c < 93027
                    ? (c >= 93008 && c <= 93017)
                    : c <= 93047)))))
              : (c <= 93071 || (c < 94179
                ? (c < 94031
                  ? (c < 93952
                    ? (c >= 93760 && c <= 93823)
                    : c <= 94026)
                  : (c <= 94087 || (c < 94176
                    ? (c >= 94095 && c <= 94111)
                    : c <= 94177)))
                : (c <= 94180 || (c < 100352
                  ? (c < 94208
                    ? (c >= 94192 && c <= 94193)
                    : c <= 100343)
                  : (c <= 101589 || (c < 110576
                    ? (c >= 101632 && c <= 101640)
                    : c <= 110579)))))))
            : (c <= 110587 || (c < 118576
              ? (c < 113664
                ? (c < 110928
                  ? (c < 110592
                    ? (c >= 110589 && c <= 110590)
                    : c <= 110882)
                  : (c <= 110930 || (c < 110960
                    ? (c >= 110948 && c <= 110951)
                    : c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c < 118528
                    ? (c >= 113821 && c <= 113822)
                    : c <= 118573)))))
              : (c <= 118598 || (c < 119362
                ? (c < 119163
                  ? (c < 119149
                    ? (c >= 119141 && c <= 119145)
                    : c <= 119154)
                  : (c <= 119170 || (c < 119210
                    ? (c >= 119173 && c <= 119179)
                    : c <= 119213)))
                : (c <= 119364 || (c < 119966
                  ? (c < 119894
                    ? (c >= 119808 && c <= 119892)
                    : c <= 119964)
                  : (c <= 119967 || c == 119970))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(388);
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(587);
      if (lookahead == '#') ADVANCE(322);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '\'') ADVANCE(578);
      if (lookahead == '(') ADVANCE(392);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(474);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(463);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'B') ADVANCE(620);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(601);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(605);
      if (lookahead == '[') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(608);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(386)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(188)
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(188)
      if (lookahead == '\r') SKIP(1)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(199)
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(199)
      if (lookahead == '\r') SKIP(3)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(198)
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(198)
      if (lookahead == '\r') SKIP(5)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(202)
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(202)
      if (lookahead == '\r') SKIP(7)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(200)
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(200)
      if (lookahead == '\r') SKIP(9)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(203)
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(203)
      if (lookahead == '\r') SKIP(11)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(191)
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(191)
      if (lookahead == '\r') SKIP(13)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(193)
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(193)
      if (lookahead == '\r') SKIP(15)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(194)
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(194)
      if (lookahead == '\r') SKIP(17)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(204)
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(204)
      if (lookahead == '\r') SKIP(19)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(282)
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(282)
      if (lookahead == '\r') SKIP(21)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(252)
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(252)
      if (lookahead == '\r') SKIP(23)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(280)
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(280)
      if (lookahead == '\r') SKIP(25)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(283)
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(283)
      if (lookahead == '\r') SKIP(27)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(196)
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(196)
      if (lookahead == '\r') SKIP(29)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(222)
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(222)
      if (lookahead == '\r') SKIP(31)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(219)
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(219)
      if (lookahead == '\r') SKIP(33)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(244)
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(244)
      if (lookahead == '\r') SKIP(35)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(231)
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(231)
      if (lookahead == '\r') SKIP(37)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(220)
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(220)
      if (lookahead == '\r') SKIP(39)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(223)
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(223)
      if (lookahead == '\r') SKIP(41)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(208)
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(208)
      if (lookahead == '\r') SKIP(43)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(230)
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(230)
      if (lookahead == '\r') SKIP(45)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(260)
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(260)
      if (lookahead == '\r') SKIP(47)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(234)
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(234)
      if (lookahead == '\r') SKIP(49)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(213)
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(213)
      if (lookahead == '\r') SKIP(51)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(237)
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(237)
      if (lookahead == '\r') SKIP(53)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(214)
      END_STATE();
    case 56:
      if (lookahead == '\n') SKIP(214)
      if (lookahead == '\r') SKIP(55)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(259)
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(259)
      if (lookahead == '\r') SKIP(57)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(221)
      END_STATE();
    case 60:
      if (lookahead == '\n') SKIP(221)
      if (lookahead == '\r') SKIP(59)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 61:
      if (lookahead == '\n') SKIP(242)
      END_STATE();
    case 62:
      if (lookahead == '\n') SKIP(242)
      if (lookahead == '\r') SKIP(61)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 63:
      if (lookahead == '\n') SKIP(224)
      END_STATE();
    case 64:
      if (lookahead == '\n') SKIP(224)
      if (lookahead == '\r') SKIP(63)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 65:
      if (lookahead == '\n') SKIP(256)
      END_STATE();
    case 66:
      if (lookahead == '\n') SKIP(256)
      if (lookahead == '\r') SKIP(65)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 67:
      if (lookahead == '\n') SKIP(245)
      END_STATE();
    case 68:
      if (lookahead == '\n') SKIP(245)
      if (lookahead == '\r') SKIP(67)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 69:
      if (lookahead == '\n') SKIP(281)
      END_STATE();
    case 70:
      if (lookahead == '\n') SKIP(281)
      if (lookahead == '\r') SKIP(69)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 71:
      if (lookahead == '\n') SKIP(261)
      END_STATE();
    case 72:
      if (lookahead == '\n') SKIP(261)
      if (lookahead == '\r') SKIP(71)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 73:
      if (lookahead == '\n') SKIP(236)
      END_STATE();
    case 74:
      if (lookahead == '\n') SKIP(236)
      if (lookahead == '\r') SKIP(73)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 75:
      if (lookahead == '\n') SKIP(273)
      END_STATE();
    case 76:
      if (lookahead == '\n') SKIP(273)
      if (lookahead == '\r') SKIP(75)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 77:
      if (lookahead == '\n') SKIP(210)
      END_STATE();
    case 78:
      if (lookahead == '\n') SKIP(210)
      if (lookahead == '\r') SKIP(77)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 79:
      if (lookahead == '\n') SKIP(276)
      END_STATE();
    case 80:
      if (lookahead == '\n') SKIP(276)
      if (lookahead == '\r') SKIP(79)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 81:
      if (lookahead == '\n') SKIP(258)
      END_STATE();
    case 82:
      if (lookahead == '\n') SKIP(258)
      if (lookahead == '\r') SKIP(81)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 83:
      if (lookahead == '\n') SKIP(378)
      END_STATE();
    case 84:
      if (lookahead == '\n') SKIP(378)
      if (lookahead == '\r') SKIP(83)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 85:
      if (lookahead == '\n') SKIP(248)
      END_STATE();
    case 86:
      if (lookahead == '\n') SKIP(248)
      if (lookahead == '\r') SKIP(85)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 87:
      if (lookahead == '\n') SKIP(197)
      END_STATE();
    case 88:
      if (lookahead == '\n') SKIP(197)
      if (lookahead == '\r') SKIP(87)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 89:
      if (lookahead == '\n') SKIP(268)
      END_STATE();
    case 90:
      if (lookahead == '\n') SKIP(268)
      if (lookahead == '\r') SKIP(89)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 91:
      if (lookahead == '\n') SKIP(381)
      END_STATE();
    case 92:
      if (lookahead == '\n') SKIP(381)
      if (lookahead == '\r') SKIP(91)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 93:
      if (lookahead == '\n') SKIP(267)
      END_STATE();
    case 94:
      if (lookahead == '\n') SKIP(267)
      if (lookahead == '\r') SKIP(93)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 95:
      if (lookahead == '\n') SKIP(262)
      END_STATE();
    case 96:
      if (lookahead == '\n') SKIP(262)
      if (lookahead == '\r') SKIP(95)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 97:
      if (lookahead == '\n') SKIP(379)
      END_STATE();
    case 98:
      if (lookahead == '\n') SKIP(379)
      if (lookahead == '\r') SKIP(97)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 99:
      if (lookahead == '\n') SKIP(271)
      END_STATE();
    case 100:
      if (lookahead == '\n') SKIP(271)
      if (lookahead == '\r') SKIP(99)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 101:
      if (lookahead == '\n') SKIP(382)
      END_STATE();
    case 102:
      if (lookahead == '\n') SKIP(382)
      if (lookahead == '\r') SKIP(101)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 103:
      if (lookahead == '\n') SKIP(380)
      END_STATE();
    case 104:
      if (lookahead == '\n') SKIP(380)
      if (lookahead == '\r') SKIP(103)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 105:
      if (lookahead == '\n') SKIP(205)
      END_STATE();
    case 106:
      if (lookahead == '\n') SKIP(205)
      if (lookahead == '\r') SKIP(105)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 107:
      if (lookahead == '\n') SKIP(109)
      END_STATE();
    case 108:
      if (lookahead == '\n') SKIP(109)
      if (lookahead == '\r') SKIP(107)
      END_STATE();
    case 109:
      if (lookahead == '\n') ADVANCE(397);
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(472);
      if (lookahead == '-') ADVANCE(462);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '\\') SKIP(108)
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(109)
      END_STATE();
    case 110:
      if (lookahead == '\n') SKIP(277)
      END_STATE();
    case 111:
      if (lookahead == '\n') SKIP(277)
      if (lookahead == '\r') SKIP(110)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 112:
      if (lookahead == '\n') SKIP(383)
      END_STATE();
    case 113:
      if (lookahead == '\n') SKIP(383)
      if (lookahead == '\r') SKIP(112)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 114:
      if (lookahead == '\n') SKIP(278)
      END_STATE();
    case 115:
      if (lookahead == '\n') SKIP(278)
      if (lookahead == '\r') SKIP(114)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 116:
      if (lookahead == '\n') SKIP(275)
      if (lookahead == '"') ADVANCE(587);
      if (lookahead == '/') ADVANCE(588);
      if (lookahead == '\\') ADVANCE(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(591);
      if (lookahead != 0) ADVANCE(592);
      END_STATE();
    case 117:
      if (lookahead == '\n') ADVANCE(594);
      if (lookahead == '\r') ADVANCE(593);
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      if (lookahead == 'x') ADVANCE(365);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(596);
      if (lookahead != 0) ADVANCE(593);
      END_STATE();
    case 118:
      if (lookahead == '\n') SKIP(285)
      if (lookahead == '\'') ADVANCE(578);
      if (lookahead == '/') ADVANCE(581);
      if (lookahead == '\\') ADVANCE(580);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(582);
      if (lookahead != 0) ADVANCE(579);
      END_STATE();
    case 119:
      if (lookahead == '\n') ADVANCE(390);
      if (lookahead == '\r') ADVANCE(123);
      if (lookahead == '(') ADVANCE(392);
      if (lookahead == '/') ADVANCE(417);
      if (lookahead == '\\') ADVANCE(415);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(300)
      if (lookahead != 0) ADVANCE(418);
      END_STATE();
    case 120:
      if (lookahead == '\n') ADVANCE(390);
      if (lookahead == '\r') ADVANCE(123);
      if (lookahead == '/') ADVANCE(417);
      if (lookahead == '\\') ADVANCE(415);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(300)
      if (lookahead != 0) ADVANCE(418);
      END_STATE();
    case 121:
      if (lookahead == '\n') ADVANCE(390);
      if (lookahead == '\r') ADVANCE(122);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '\\') SKIP(125)
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(288)
      END_STATE();
    case 122:
      if (lookahead == '\n') ADVANCE(390);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '\\') SKIP(125)
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(288)
      END_STATE();
    case 123:
      if (lookahead == '\n') ADVANCE(390);
      if (lookahead == '/') ADVANCE(417);
      if (lookahead == '\\') ADVANCE(415);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(300)
      if (lookahead != 0) ADVANCE(418);
      END_STATE();
    case 124:
      if (lookahead == '\n') SKIP(288)
      END_STATE();
    case 125:
      if (lookahead == '\n') SKIP(288)
      if (lookahead == '\r') SKIP(124)
      END_STATE();
    case 126:
      if (lookahead == '\n') SKIP(189)
      END_STATE();
    case 127:
      if (lookahead == '\n') SKIP(189)
      if (lookahead == '\r') SKIP(126)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 128:
      if (lookahead == '\n') SKIP(201)
      END_STATE();
    case 129:
      if (lookahead == '\n') SKIP(201)
      if (lookahead == '\r') SKIP(128)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 130:
      if (lookahead == '\n') SKIP(192)
      END_STATE();
    case 131:
      if (lookahead == '\n') SKIP(192)
      if (lookahead == '\r') SKIP(130)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 132:
      if (lookahead == '\n') SKIP(195)
      END_STATE();
    case 133:
      if (lookahead == '\n') SKIP(195)
      if (lookahead == '\r') SKIP(132)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 134:
      if (lookahead == '\n') SKIP(226)
      END_STATE();
    case 135:
      if (lookahead == '\n') SKIP(226)
      if (lookahead == '\r') SKIP(134)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 136:
      if (lookahead == '\n') SKIP(209)
      END_STATE();
    case 137:
      if (lookahead == '\n') SKIP(209)
      if (lookahead == '\r') SKIP(136)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 138:
      if (lookahead == '\n') SKIP(229)
      END_STATE();
    case 139:
      if (lookahead == '\n') SKIP(229)
      if (lookahead == '\r') SKIP(138)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 140:
      if (lookahead == '\n') SKIP(265)
      END_STATE();
    case 141:
      if (lookahead == '\n') SKIP(265)
      if (lookahead == '\r') SKIP(140)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 142:
      if (lookahead == '\n') SKIP(232)
      END_STATE();
    case 143:
      if (lookahead == '\n') SKIP(232)
      if (lookahead == '\r') SKIP(142)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 144:
      if (lookahead == '\n') SKIP(215)
      END_STATE();
    case 145:
      if (lookahead == '\n') SKIP(215)
      if (lookahead == '\r') SKIP(144)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 146:
      if (lookahead == '\n') SKIP(257)
      END_STATE();
    case 147:
      if (lookahead == '\n') SKIP(257)
      if (lookahead == '\r') SKIP(146)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 148:
      if (lookahead == '\n') SKIP(225)
      END_STATE();
    case 149:
      if (lookahead == '\n') SKIP(225)
      if (lookahead == '\r') SKIP(148)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 150:
      if (lookahead == '\n') SKIP(246)
      END_STATE();
    case 151:
      if (lookahead == '\n') SKIP(246)
      if (lookahead == '\r') SKIP(150)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 152:
      if (lookahead == '\n') SKIP(284)
      END_STATE();
    case 153:
      if (lookahead == '\n') SKIP(284)
      if (lookahead == '\r') SKIP(152)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 154:
      if (lookahead == '\n') SKIP(235)
      END_STATE();
    case 155:
      if (lookahead == '\n') SKIP(235)
      if (lookahead == '\r') SKIP(154)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 156:
      if (lookahead == '\n') SKIP(266)
      END_STATE();
    case 157:
      if (lookahead == '\n') SKIP(266)
      if (lookahead == '\r') SKIP(156)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 158:
      if (lookahead == '\n') SKIP(247)
      END_STATE();
    case 159:
      if (lookahead == '\n') SKIP(247)
      if (lookahead == '\r') SKIP(158)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 160:
      if (lookahead == '\n') SKIP(269)
      END_STATE();
    case 161:
      if (lookahead == '\n') SKIP(269)
      if (lookahead == '\r') SKIP(160)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 162:
      if (lookahead == '\n') SKIP(263)
      END_STATE();
    case 163:
      if (lookahead == '\n') SKIP(263)
      if (lookahead == '\r') SKIP(162)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 164:
      if (lookahead == '\n') SKIP(190)
      END_STATE();
    case 165:
      if (lookahead == '\n') SKIP(190)
      if (lookahead == '\r') SKIP(164)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 166:
      if (lookahead == '\n') SKIP(243)
      END_STATE();
    case 167:
      if (lookahead == '\n') SKIP(243)
      if (lookahead == '\r') SKIP(166)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 168:
      if (lookahead == '\n') SKIP(238)
      END_STATE();
    case 169:
      if (lookahead == '\n') SKIP(238)
      if (lookahead == '\r') SKIP(168)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 170:
      if (lookahead == '\n') SKIP(250)
      END_STATE();
    case 171:
      if (lookahead == '\n') SKIP(250)
      if (lookahead == '\r') SKIP(170)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 172:
      if (lookahead == '\n') SKIP(239)
      END_STATE();
    case 173:
      if (lookahead == '\n') SKIP(239)
      if (lookahead == '\r') SKIP(172)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 174:
      if (lookahead == '\n') SKIP(272)
      END_STATE();
    case 175:
      if (lookahead == '\n') SKIP(272)
      if (lookahead == '\r') SKIP(174)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 176:
      if (lookahead == '\n') SKIP(251)
      END_STATE();
    case 177:
      if (lookahead == '\n') SKIP(251)
      if (lookahead == '\r') SKIP(176)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 178:
      if (lookahead == '\n') SKIP(270)
      END_STATE();
    case 179:
      if (lookahead == '\n') SKIP(270)
      if (lookahead == '\r') SKIP(178)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 180:
      if (lookahead == '\n') SKIP(264)
      END_STATE();
    case 181:
      if (lookahead == '\n') SKIP(264)
      if (lookahead == '\r') SKIP(180)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 182:
      if (lookahead == '\n') SKIP(233)
      END_STATE();
    case 183:
      if (lookahead == '\n') SKIP(233)
      if (lookahead == '\r') SKIP(182)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 184:
      if (lookahead == '\n') SKIP(249)
      END_STATE();
    case 185:
      if (lookahead == '\n') SKIP(249)
      if (lookahead == '\r') SKIP(184)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 186:
      if (lookahead == '\n') SKIP(274)
      END_STATE();
    case 187:
      if (lookahead == '\n') SKIP(274)
      if (lookahead == '\r') SKIP(186)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 188:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(587);
      if (lookahead == '#') ADVANCE(322);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '\'') ADVANCE(578);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(474);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(463);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'B') ADVANCE(620);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(601);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(605);
      if (lookahead == '[') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(608);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 189:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(587);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '\'') ADVANCE(578);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(474);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(464);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'B') ADVANCE(620);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(601);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(605);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(127);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(608);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 190:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(587);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(578);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(465);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'B') ADVANCE(620);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(601);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(605);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(165);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(608);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 191:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(587);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '\'') ADVANCE(578);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(474);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(464);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'B') ADVANCE(620);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(601);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(605);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(14);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(608);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 192:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(587);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(578);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(465);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'B') ADVANCE(620);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(601);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(605);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(131);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(608);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 193:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(587);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '\'') ADVANCE(578);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(474);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(463);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'B') ADVANCE(620);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(601);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(605);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(16);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(608);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 194:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(587);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '\'') ADVANCE(578);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(474);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(464);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'B') ADVANCE(620);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(601);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(605);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(18);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(608);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 195:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(587);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(578);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(465);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'B') ADVANCE(620);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(601);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(605);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(133);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(608);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(195)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 196:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(279);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(289);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '[') ADVANCE(319);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(196)
      END_STATE();
    case 197:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(279);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(289);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '[') ADVANCE(320);
      if (lookahead == '\\') ADVANCE(88);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(197)
      END_STATE();
    case 198:
      if (lookahead == '!') ADVANCE(459);
      if (lookahead == '"') ADVANCE(587);
      if (lookahead == '#') ADVANCE(322);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(578);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(308);
      if (lookahead == '>') ADVANCE(311);
      if (lookahead == 'B') ADVANCE(620);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(601);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(605);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(6);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(608);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(487);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(198)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 199:
      if (lookahead == '!') ADVANCE(459);
      if (lookahead == '"') ADVANCE(587);
      if (lookahead == '#') ADVANCE(328);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(578);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == 'B') ADVANCE(620);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(601);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(605);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(321);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(608);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(351);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 200:
      if (lookahead == '!') ADVANCE(459);
      if (lookahead == '"') ADVANCE(587);
      if (lookahead == '#') ADVANCE(332);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(492);
      if (lookahead == '\'') ADVANCE(578);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(297);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == 'B') ADVANCE(620);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(601);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(605);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(608);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 201:
      if (lookahead == '!') ADVANCE(459);
      if (lookahead == '"') ADVANCE(587);
      if (lookahead == '#') ADVANCE(324);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(578);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == 'B') ADVANCE(620);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(601);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(605);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(129);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(608);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 202:
      if (lookahead == '!') ADVANCE(459);
      if (lookahead == '"') ADVANCE(587);
      if (lookahead == '#') ADVANCE(326);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(578);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '>') ADVANCE(497);
      if (lookahead == 'B') ADVANCE(620);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(601);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(605);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(8);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(608);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 203:
      if (lookahead == '!') ADVANCE(459);
      if (lookahead == '"') ADVANCE(587);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(578);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == 'B') ADVANCE(620);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(601);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(605);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(12);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(608);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 204:
      if (lookahead == '!') ADVANCE(459);
      if (lookahead == '"') ADVANCE(587);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(492);
      if (lookahead == '\'') ADVANCE(578);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == 'B') ADVANCE(620);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(601);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(605);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(20);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(608);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 205:
      if (lookahead == '!') ADVANCE(459);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(691);
      if (lookahead == '\'') ADVANCE(578);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == 'B') ADVANCE(620);
      if (lookahead == 'L') ADVANCE(688);
      if (lookahead == 'U') ADVANCE(689);
      if (lookahead == '\\') ADVANCE(106);
      if (lookahead == 'u') ADVANCE(626);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 206:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(587);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(711);
      if (lookahead == 'R') ADVANCE(712);
      if (lookahead == 'U') ADVANCE(713);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(137);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == 'u') ADVANCE(714);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209)
      END_STATE();
    case 207:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(587);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(711);
      if (lookahead == 'R') ADVANCE(712);
      if (lookahead == 'U') ADVANCE(713);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(78);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == 'u') ADVANCE(714);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210)
      END_STATE();
    case 208:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(587);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208)
      END_STATE();
    case 209:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(587);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(137);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209)
      END_STATE();
    case 210:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(587);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(78);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210)
      END_STATE();
    case 211:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(587);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(711);
      if (lookahead == 'R') ADVANCE(712);
      if (lookahead == 'U') ADVANCE(713);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(56);
      if (lookahead == '^') ADVANCE(491);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == 'u') ADVANCE(714);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214)
      END_STATE();
    case 212:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(587);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(711);
      if (lookahead == 'R') ADVANCE(712);
      if (lookahead == 'U') ADVANCE(713);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(145);
      if (lookahead == '^') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == 'u') ADVANCE(714);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215)
      END_STATE();
    case 213:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(587);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(52);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(213)
      END_STATE();
    case 214:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(587);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(56);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214)
      END_STATE();
    case 215:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(587);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(145);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215)
      END_STATE();
    case 216:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(587);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(711);
      if (lookahead == 'R') ADVANCE(712);
      if (lookahead == 'U') ADVANCE(713);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == '^') ADVANCE(491);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == 'u') ADVANCE(714);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221)
      END_STATE();
    case 217:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(587);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(711);
      if (lookahead == 'R') ADVANCE(712);
      if (lookahead == 'U') ADVANCE(713);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == '^') ADVANCE(491);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == 'u') ADVANCE(714);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224)
      END_STATE();
    case 218:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(587);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(711);
      if (lookahead == 'R') ADVANCE(712);
      if (lookahead == 'U') ADVANCE(713);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(149);
      if (lookahead == '^') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == 'u') ADVANCE(714);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225)
      END_STATE();
    case 219:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(587);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(34);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219)
      END_STATE();
    case 220:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(587);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(40);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220)
      END_STATE();
    case 221:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(587);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221)
      END_STATE();
    case 222:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(587);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222)
      END_STATE();
    case 223:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(587);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(42);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223)
      END_STATE();
    case 224:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(587);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224)
      END_STATE();
    case 225:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(587);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(149);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225)
      END_STATE();
    case 226:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(347);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(135);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226)
      END_STATE();
    case 227:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235)
      END_STATE();
    case 228:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(173);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239)
      END_STATE();
    case 229:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(139);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229)
      END_STATE();
    case 230:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(46);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230)
      END_STATE();
    case 231:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(38);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231)
      END_STATE();
    case 232:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(143);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232)
      END_STATE();
    case 233:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(183);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233)
      END_STATE();
    case 234:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(50);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234)
      END_STATE();
    case 235:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235)
      END_STATE();
    case 236:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(74);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236)
      END_STATE();
    case 237:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(54);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237)
      END_STATE();
    case 238:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(169);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238)
      END_STATE();
    case 239:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(173);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239)
      END_STATE();
    case 240:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(159);
      if (lookahead == '^') ADVANCE(491);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247)
      END_STATE();
    case 241:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(177);
      if (lookahead == '^') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(251)
      END_STATE();
    case 242:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(62);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242)
      END_STATE();
    case 243:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(167);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(243)
      END_STATE();
    case 244:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(36);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244)
      END_STATE();
    case 245:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(245)
      END_STATE();
    case 246:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(151);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(246)
      END_STATE();
    case 247:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(159);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247)
      END_STATE();
    case 248:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(86);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(248)
      END_STATE();
    case 249:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(185);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249)
      END_STATE();
    case 250:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(171);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(250)
      END_STATE();
    case 251:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(177);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(251)
      END_STATE();
    case 252:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(327);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(472);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(462);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(24);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(252)
      END_STATE();
    case 253:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(163);
      if (lookahead == '^') ADVANCE(491);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(263)
      END_STATE();
    case 254:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(161);
      if (lookahead == '^') ADVANCE(491);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(269)
      END_STATE();
    case 255:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(187);
      if (lookahead == '^') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(274)
      END_STATE();
    case 256:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(66);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(256)
      END_STATE();
    case 257:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(257)
      END_STATE();
    case 258:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(82);
      if (lookahead == ']') ADVANCE(321);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(258)
      END_STATE();
    case 259:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(259)
      END_STATE();
    case 260:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(260)
      END_STATE();
    case 261:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(72);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(261)
      END_STATE();
    case 262:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(96);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(262)
      END_STATE();
    case 263:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(163);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(263)
      END_STATE();
    case 264:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(181);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(264)
      END_STATE();
    case 265:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(141);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(265)
      END_STATE();
    case 266:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(157);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(266)
      END_STATE();
    case 267:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(94);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(267)
      END_STATE();
    case 268:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(90);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(268)
      END_STATE();
    case 269:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(161);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(269)
      END_STATE();
    case 270:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(179);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(270)
      END_STATE();
    case 271:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(290);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(505);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '\\') ADVANCE(100);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(271)
      END_STATE();
    case 272:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(175);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(272)
      END_STATE();
    case 273:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(76);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(273)
      END_STATE();
    case 274:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(187);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(274)
      END_STATE();
    case 275:
      if (lookahead == '"') ADVANCE(587);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '\\') ADVANCE(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(275)
      END_STATE();
    case 276:
      if (lookahead == '"') ADVANCE(587);
      if (sym_identifier_character_set_7(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == 'L') ADVANCE(603);
      if (lookahead == 'U') ADVANCE(607);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(610);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(276)
      END_STATE();
    case 277:
      if (lookahead == '"') ADVANCE(587);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '\\') ADVANCE(111);
      if (lookahead == 'u') ADVANCE(609);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(277)
      END_STATE();
    case 278:
      if (lookahead == '"') ADVANCE(587);
      if (sym_identifier_character_set_8(lookahead)) ADVANCE(691);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '<') ADVANCE(315);
      if (lookahead == 'L') ADVANCE(603);
      if (lookahead == 'U') ADVANCE(607);
      if (lookahead == '\\') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(611);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(278)
      END_STATE();
    case 279:
      if (lookahead == '"') ADVANCE(710);
      END_STATE();
    case 280:
      if (lookahead == '#') ADVANCE(329);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(26);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(280)
      END_STATE();
    case 281:
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(314);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(70);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(351);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(281)
      END_STATE();
    case 282:
      if (lookahead == '#') ADVANCE(323);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(472);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(314);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(22);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(351);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(282)
      END_STATE();
    case 283:
      if (lookahead == '#') ADVANCE(325);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(28);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(283)
      END_STATE();
    case 284:
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(314);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(153);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(351);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(284)
      END_STATE();
    case 285:
      if (lookahead == '\'') ADVANCE(578);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '\\') ADVANCE(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(285)
      END_STATE();
    case 286:
      if (lookahead == '\'') ADVANCE(362);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(286);
      END_STATE();
    case 287:
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '.') ADVANCE(559);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 288:
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '\\') SKIP(125)
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(288)
      END_STATE();
    case 289:
      if (lookahead == ')') ADVANCE(708);
      END_STATE();
    case 290:
      if (lookahead == '*') ADVANCE(547);
      END_STATE();
    case 291:
      if (lookahead == '*') ADVANCE(294);
      if (lookahead == '/') ADVANCE(696);
      END_STATE();
    case 292:
      if (lookahead == '*') ADVANCE(707);
      END_STATE();
    case 293:
      if (lookahead == '*') ADVANCE(293);
      if (lookahead == '/') ADVANCE(692);
      if (lookahead != 0) ADVANCE(294);
      END_STATE();
    case 294:
      if (lookahead == '*') ADVANCE(293);
      if (lookahead != 0) ADVANCE(294);
      END_STATE();
    case 295:
      if (lookahead == '*') ADVANCE(293);
      if (lookahead != 0) ADVANCE(413);
      END_STATE();
    case 296:
      if (lookahead == '.') ADVANCE(298);
      END_STATE();
    case 297:
      if (lookahead == '.') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(551);
      END_STATE();
    case 298:
      if (lookahead == '.') ADVANCE(393);
      END_STATE();
    case 299:
      if (lookahead == '.') ADVANCE(362);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(557);
      END_STATE();
    case 300:
      if (lookahead == '/') ADVANCE(417);
      if (lookahead == '\\') ADVANCE(415);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(300)
      if (lookahead != 0) ADVANCE(418);
      END_STATE();
    case 301:
      if (lookahead == '1') ADVANCE(305);
      END_STATE();
    case 302:
      if (lookahead == '2') ADVANCE(550);
      END_STATE();
    case 303:
      if (lookahead == '2') ADVANCE(306);
      if (lookahead == '6') ADVANCE(550);
      END_STATE();
    case 304:
      if (lookahead == '4') ADVANCE(550);
      END_STATE();
    case 305:
      if (lookahead == '6') ADVANCE(550);
      END_STATE();
    case 306:
      if (lookahead == '8') ADVANCE(550);
      END_STATE();
    case 307:
      if (lookahead == ':') ADVANCE(513);
      END_STATE();
    case 308:
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(501);
      END_STATE();
    case 309:
      if (lookahead == '=') ADVANCE(496);
      END_STATE();
    case 310:
      if (lookahead == '=') ADVANCE(495);
      END_STATE();
    case 311:
      if (lookahead == '=') ADVANCE(500);
      if (lookahead == '>') ADVANCE(312);
      END_STATE();
    case 312:
      if (lookahead == '=') ADVANCE(536);
      END_STATE();
    case 313:
      if (lookahead == '>') ADVANCE(510);
      END_STATE();
    case 314:
      if (lookahead == '>') ADVANCE(548);
      END_STATE();
    case 315:
      if (lookahead == '>') ADVANCE(597);
      if (lookahead == '\\') ADVANCE(316);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(315);
      END_STATE();
    case 316:
      if (lookahead == '>') ADVANCE(598);
      if (lookahead == '\\') ADVANCE(316);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(315);
      END_STATE();
    case 317:
      if (lookahead == 'F') ADVANCE(301);
      END_STATE();
    case 318:
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 319:
      if (lookahead == '[') ADVANCE(514);
      if (lookahead == ']') ADVANCE(709);
      END_STATE();
    case 320:
      if (lookahead == ']') ADVANCE(709);
      END_STATE();
    case 321:
      if (lookahead == ']') ADVANCE(515);
      END_STATE();
    case 322:
      if (lookahead == 'd') ADVANCE(429);
      if (lookahead == 'e') ADVANCE(451);
      if (lookahead == 'i') ADVANCE(437);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(322);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 323:
      if (lookahead == 'd') ADVANCE(429);
      if (lookahead == 'e') ADVANCE(451);
      if (lookahead == 'i') ADVANCE(438);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(323);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 324:
      if (lookahead == 'd') ADVANCE(429);
      if (lookahead == 'e') ADVANCE(454);
      if (lookahead == 'i') ADVANCE(437);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(324);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 325:
      if (lookahead == 'd') ADVANCE(429);
      if (lookahead == 'e') ADVANCE(454);
      if (lookahead == 'i') ADVANCE(438);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(325);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 326:
      if (lookahead == 'd') ADVANCE(429);
      if (lookahead == 'e') ADVANCE(453);
      if (lookahead == 'i') ADVANCE(437);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(326);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 327:
      if (lookahead == 'd') ADVANCE(429);
      if (lookahead == 'e') ADVANCE(453);
      if (lookahead == 'i') ADVANCE(438);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(327);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 328:
      if (lookahead == 'd') ADVANCE(429);
      if (lookahead == 'i') ADVANCE(437);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(328);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 329:
      if (lookahead == 'd') ADVANCE(429);
      if (lookahead == 'i') ADVANCE(438);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(329);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 330:
      if (lookahead == 'd') ADVANCE(344);
      END_STATE();
    case 331:
      if (lookahead == 'd') ADVANCE(336);
      END_STATE();
    case 332:
      if (lookahead == 'e') ADVANCE(350);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(332);
      END_STATE();
    case 333:
      if (lookahead == 'e') ADVANCE(348);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(333);
      END_STATE();
    case 334:
      if (lookahead == 'e') ADVANCE(402);
      END_STATE();
    case 335:
      if (lookahead == 'e') ADVANCE(341);
      END_STATE();
    case 336:
      if (lookahead == 'e') ADVANCE(342);
      END_STATE();
    case 337:
      if (lookahead == 'e') ADVANCE(349);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(337);
      END_STATE();
    case 338:
      if (lookahead == 'f') ADVANCE(301);
      END_STATE();
    case 339:
      if (lookahead == 'f') ADVANCE(398);
      END_STATE();
    case 340:
      if (lookahead == 'f') ADVANCE(405);
      END_STATE();
    case 341:
      if (lookahead == 'f') ADVANCE(408);
      END_STATE();
    case 342:
      if (lookahead == 'f') ADVANCE(410);
      END_STATE();
    case 343:
      if (lookahead == 'f') ADVANCE(404);
      END_STATE();
    case 344:
      if (lookahead == 'i') ADVANCE(339);
      END_STATE();
    case 345:
      if (lookahead == 'i') ADVANCE(340);
      if (lookahead == 's') ADVANCE(334);
      END_STATE();
    case 346:
      if (lookahead == 'i') ADVANCE(343);
      if (lookahead == 's') ADVANCE(334);
      END_STATE();
    case 347:
      if (lookahead == 'i') ADVANCE(438);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(347);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 348:
      if (lookahead == 'l') ADVANCE(345);
      if (lookahead == 'n') ADVANCE(330);
      END_STATE();
    case 349:
      if (lookahead == 'l') ADVANCE(346);
      if (lookahead == 'n') ADVANCE(330);
      END_STATE();
    case 350:
      if (lookahead == 'n') ADVANCE(330);
      END_STATE();
    case 351:
      if (lookahead == '|') ADVANCE(485);
      END_STATE();
    case 352:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(359);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(556);
      END_STATE();
    case 353:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(286);
      END_STATE();
    case 354:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(554);
      END_STATE();
    case 355:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(287);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(552);
      END_STATE();
    case 356:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 357:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(551);
      END_STATE();
    case 358:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 359:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(556);
      END_STATE();
    case 360:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(691);
      END_STATE();
    case 361:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(557);
      END_STATE();
    case 362:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(286);
      END_STATE();
    case 363:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(593);
      END_STATE();
    case 364:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(360);
      END_STATE();
    case 365:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(363);
      END_STATE();
    case 366:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(364);
      END_STATE();
    case 367:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(365);
      END_STATE();
    case 368:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(366);
      END_STATE();
    case 369:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(367);
      END_STATE();
    case 370:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(368);
      END_STATE();
    case 371:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(369);
      END_STATE();
    case 372:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(370);
      END_STATE();
    case 373:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(371);
      END_STATE();
    case 374:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(372);
      END_STATE();
    case 375:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(373);
      END_STATE();
    case 376:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(374);
      END_STATE();
    case 377:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(375);
      END_STATE();
    case 378:
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(84);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(378)
      END_STATE();
    case 379:
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(98);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(379)
      END_STATE();
    case 380:
      if (sym_identifier_character_set_9(lookahead)) ADVANCE(691);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(104);
      if (lookahead == 'f') ADVANCE(681);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == '{') ADVANCE(516);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(380)
      END_STATE();
    case 381:
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(314);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(92);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(351);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(381)
      END_STATE();
    case 382:
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(102);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(351);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(382)
      END_STATE();
    case 383:
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '[') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(113);
      if (lookahead == '{') ADVANCE(516);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(383)
      END_STATE();
    case 384:
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(696);
      if (lookahead == '\r') ADVANCE(700);
      if (lookahead == '\\') ADVANCE(698);
      END_STATE();
    case 385:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(418);
      END_STATE();
    case 386:
      if (eof) ADVANCE(388);
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(587);
      if (lookahead == '#') ADVANCE(322);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '\'') ADVANCE(578);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(474);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(463);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'B') ADVANCE(620);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(601);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(605);
      if (lookahead == '[') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(608);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(386)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 387:
      if (eof) ADVANCE(388);
      if (lookahead == '!') ADVANCE(459);
      if (lookahead == '"') ADVANCE(587);
      if (lookahead == '#') ADVANCE(328);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(578);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == 'B') ADVANCE(620);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(601);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(605);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(321);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(608);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(351);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(387)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(433);
      if (lookahead == 'n') ADVANCE(427);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(397);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(335);
      if (lookahead == 'n') ADVANCE(331);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(435);
      if (lookahead == 'n') ADVANCE(428);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(294);
      if (lookahead == '*') ADVANCE(412);
      if (lookahead == '/') ADVANCE(692);
      if (lookahead == '\\') ADVANCE(419);
      if (lookahead != 0) ADVANCE(413);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(294);
      if (lookahead == '*') ADVANCE(412);
      if (lookahead == '/') ADVANCE(295);
      if (lookahead == '\\') ADVANCE(419);
      if (lookahead != 0) ADVANCE(413);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(696);
      if (lookahead == '\r') ADVANCE(693);
      if (lookahead == '/') ADVANCE(694);
      if (lookahead == '\\') ADVANCE(697);
      if (lookahead != 0) ADVANCE(695);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(300)
      if (lookahead == '\r') ADVANCE(416);
      if (lookahead == '/') ADVANCE(385);
      if (lookahead == '\\') ADVANCE(420);
      if (lookahead != 0) ADVANCE(418);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(300)
      if (lookahead == '/') ADVANCE(385);
      if (lookahead == '\\') ADVANCE(420);
      if (lookahead != 0) ADVANCE(418);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(413);
      if (lookahead == '/') ADVANCE(694);
      if (lookahead == '\\') ADVANCE(420);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(418);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(385);
      if (lookahead == '\\') ADVANCE(420);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(418);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '*' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(413);
      if (lookahead == '\r') ADVANCE(422);
      if (lookahead == '*') ADVANCE(412);
      if (lookahead == '/') ADVANCE(295);
      if (lookahead == '\\') ADVANCE(419);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(418);
      if (lookahead == '\r') ADVANCE(423);
      if (lookahead == '/') ADVANCE(385);
      if (lookahead == '\\') ADVANCE(420);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(695);
      if (lookahead == '\r') ADVANCE(699);
      if (lookahead == '/') ADVANCE(694);
      if (lookahead == '\\') ADVANCE(697);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '*' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(413);
      if (lookahead == '*') ADVANCE(412);
      if (lookahead == '/') ADVANCE(295);
      if (lookahead == '\\') ADVANCE(419);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(418);
      if (lookahead == '/') ADVANCE(385);
      if (lookahead == '\\') ADVANCE(420);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(452);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(449);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(432);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(434);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(436);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(439);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(403);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(391);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(442);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(444);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(445);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(396);
      if (lookahead == 'n') ADVANCE(424);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(396);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(447);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(406);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(399);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(400);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(401);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(409);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(411);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(407);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(455);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(440);
      if (lookahead == 's') ADVANCE(430);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(441);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(446);
      if (lookahead == 's') ADVANCE(430);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(448);
      if (lookahead == 'n') ADVANCE(425);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(456);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(450);
      if (lookahead == 'n') ADVANCE(425);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(425);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(431);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(426);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(496);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(541);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == '=') ADVANCE(534);
      if (lookahead == '>') ADVANCE(549);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(541);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == '=') ADVANCE(534);
      if (lookahead == '>') ADVANCE(548);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(541);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == '>') ADVANCE(548);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(541);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '0') ADVANCE(553);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(541);
      if (lookahead == '=') ADVANCE(534);
      if (lookahead == '>') ADVANCE(549);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(541);
      if (lookahead == '=') ADVANCE(534);
      if (lookahead == '>') ADVANCE(548);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(541);
      if (lookahead == '>') ADVANCE(548);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '0') ADVANCE(553);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(534);
      if (lookahead == '>') ADVANCE(292);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(542);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(542);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == '=') ADVANCE(533);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(542);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '0') ADVANCE(553);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(542);
      if (lookahead == '=') ADVANCE(533);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '0') ADVANCE(553);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(533);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(530);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(294);
      if (lookahead == '/') ADVANCE(696);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(294);
      if (lookahead == '/') ADVANCE(696);
      if (lookahead == '=') ADVANCE(531);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(532);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(539);
      if (lookahead == '|') ADVANCE(485);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(485);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(538);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(486);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(486);
      if (lookahead == '=') ADVANCE(537);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(500);
      if (lookahead == '>') ADVANCE(510);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(500);
      if (lookahead == '>') ADVANCE(511);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(540);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(502);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(501);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(502);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(501);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(535);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(536);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(514);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(514);
      if (lookahead == ']') ADVANCE(709);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == ']') ADVANCE(709);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(495);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(691);
      if (lookahead == '1') ADVANCE(625);
      if (lookahead == '3') ADVANCE(623);
      if (lookahead == '6') ADVANCE(624);
      if (lookahead == '8') ADVANCE(687);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'p') ADVANCE(675);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(513);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(547);
      if (lookahead == '.') ADVANCE(298);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(547);
      if (lookahead == '.') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(551);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(551);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(551);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_DOT_STAR);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (lookahead == '*') ADVANCE(707);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == '\'') ADVANCE(357);
      if (lookahead == 'B') ADVANCE(317);
      if (lookahead == 'b') ADVANCE(338);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(352);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(558);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(550);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(551);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '.') ADVANCE(559);
      if (lookahead == 'L') ADVANCE(560);
      if (lookahead == 'l') ADVANCE(563);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(352);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(562);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(565);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(287);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(552);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '.') ADVANCE(559);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(354);
      if (lookahead == 'L') ADVANCE(560);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(563);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(352);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(562);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(565);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(287);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(552);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == '\'') ADVANCE(354);
      if (lookahead == 'L') ADVANCE(560);
      if (lookahead == 'l') ADVANCE(563);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(562);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(565);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(554);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == '\'') ADVANCE(356);
      if (lookahead == '.') ADVANCE(559);
      if (lookahead == 'L') ADVANCE(560);
      if (lookahead == 'l') ADVANCE(563);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(352);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(562);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(565);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == '\'') ADVANCE(359);
      if (lookahead == 'B') ADVANCE(317);
      if (lookahead == 'b') ADVANCE(338);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(558);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(550);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(556);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == '\'') ADVANCE(361);
      if (lookahead == '.') ADVANCE(353);
      if (lookahead == 'L') ADVANCE(560);
      if (lookahead == 'l') ADVANCE(563);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(352);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(562);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(565);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(557);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == '1') ADVANCE(303);
      if (lookahead == '3') ADVANCE(302);
      if (lookahead == '6') ADVANCE(304);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == 'B') ADVANCE(317);
      if (lookahead == 'b') ADVANCE(338);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(352);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(558);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(550);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(551);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == 'L') ADVANCE(565);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(550);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == 'L') ADVANCE(550);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == 'L') ADVANCE(561);
      if (lookahead == 'l') ADVANCE(564);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(550);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == 'l') ADVANCE(565);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(550);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == 'l') ADVANCE(550);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(550);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (sym_identifier_character_set_12(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(573);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (sym_identifier_character_set_12(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(566);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (sym_identifier_character_set_12(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(567);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (sym_identifier_character_set_12(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(568);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (sym_identifier_character_set_12(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(569);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (sym_identifier_character_set_12(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(570);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (sym_identifier_character_set_12(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(571);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(594);
      if (lookahead == '\r') ADVANCE(593);
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      if (lookahead == 'x') ADVANCE(365);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(596);
      if (lookahead != 0) ADVANCE(593);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(294);
      if (lookahead == '/') ADVANCE(696);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(117);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(590);
      if (lookahead == '/') ADVANCE(592);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(592);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(589);
      if (lookahead == '/') ADVANCE(592);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(590);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(589);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(590);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(588);
      if (lookahead == '\t' ||
          (11 <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(591);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(592);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(592);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(117);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(593);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(595);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(597);
      if (lookahead == '\\') ADVANCE(316);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(315);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_true);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_false);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(583);
      if (sym_identifier_character_set_13(lookahead)) ADVANCE(691);
      if (lookahead == '\'') ADVANCE(574);
      if (lookahead == 'R') ADVANCE(612);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(583);
      if (sym_identifier_character_set_13(lookahead)) ADVANCE(691);
      if (lookahead == 'R') ADVANCE(612);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(583);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(702);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(585);
      if (sym_identifier_character_set_13(lookahead)) ADVANCE(691);
      if (lookahead == '\'') ADVANCE(576);
      if (lookahead == 'R') ADVANCE(613);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(585);
      if (sym_identifier_character_set_13(lookahead)) ADVANCE(691);
      if (lookahead == 'R') ADVANCE(613);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(585);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(584);
      if (sym_identifier_character_set_14(lookahead)) ADVANCE(691);
      if (lookahead == '\'') ADVANCE(575);
      if (lookahead == '8') ADVANCE(614);
      if (lookahead == 'R') ADVANCE(617);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(659);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(584);
      if (sym_identifier_character_set_15(lookahead)) ADVANCE(691);
      if (lookahead == '8') ADVANCE(615);
      if (lookahead == 'R') ADVANCE(617);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(584);
      if (sym_identifier_character_set_16(lookahead)) ADVANCE(691);
      if (lookahead == '8') ADVANCE(616);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(659);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(584);
      if (sym_identifier_character_set_17(lookahead)) ADVANCE(691);
      if (lookahead == '8') ADVANCE(616);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(703);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(705);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(586);
      if (sym_identifier_character_set_13(lookahead)) ADVANCE(691);
      if (lookahead == '\'') ADVANCE(577);
      if (lookahead == 'R') ADVANCE(618);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(586);
      if (sym_identifier_character_set_13(lookahead)) ADVANCE(691);
      if (lookahead == 'R') ADVANCE(618);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(586);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(704);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(706);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(691);
      if (lookahead == '1') ADVANCE(625);
      if (lookahead == '3') ADVANCE(623);
      if (lookahead == '6') ADVANCE(624);
      if (lookahead == '8') ADVANCE(687);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'p') ADVANCE(675);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_12(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(572);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_18(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(680);
      if (lookahead == 's') ADVANCE(645);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_19(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'l') ADVANCE(662);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_20(lookahead)) ADVANCE(691);
      if (lookahead == '2') ADVANCE(687);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_21(lookahead)) ADVANCE(691);
      if (lookahead == '4') ADVANCE(687);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_22(lookahead)) ADVANCE(691);
      if (lookahead == '6') ADVANCE(687);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_17(lookahead)) ADVANCE(691);
      if (lookahead == '\'') ADVANCE(575);
      if (lookahead == '8') ADVANCE(690);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_23(lookahead)) ADVANCE(691);
      if (lookahead == 'E') ADVANCE(599);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_23(lookahead)) ADVANCE(691);
      if (lookahead == 'E') ADVANCE(600);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_24(lookahead)) ADVANCE(691);
      if (lookahead == 'L') ADVANCE(631);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_13(lookahead)) ADVANCE(691);
      if (lookahead == 'R') ADVANCE(632);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_25(lookahead)) ADVANCE(691);
      if (lookahead == 'S') ADVANCE(628);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_26(lookahead)) ADVANCE(691);
      if (lookahead == 'U') ADVANCE(627);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_27(lookahead)) ADVANCE(691);
      if (lookahead == 'A') ADVANCE(629);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_28(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'b') ADVANCE(655);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_29(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'd') ADVANCE(526);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_29(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'd') ADVANCE(646);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_30(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'e') ADVANCE(599);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_30(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'e') ADVANCE(526);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_30(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'e') ADVANCE(600);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_30(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'e') ADVANCE(687);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_31(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'f') ADVANCE(687);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_31(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'f') ADVANCE(641);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_32(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'g') ADVANCE(658);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'h') ADVANCE(683);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_34(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(680);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_34(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(642);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_34(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(643);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_34(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(635);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_34(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(659);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(670);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(526);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(665);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(652);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(647);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(638);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(662);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_36(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'n') ADVANCE(671);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_36(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'n') ADVANCE(687);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_36(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'n') ADVANCE(673);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_37(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'o') ADVANCE(676);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_37(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'o') ADVANCE(648);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_37(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'o') ADVANCE(684);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_37(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'o') ADVANCE(651);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_37(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'o') ADVANCE(663);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_38(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'p') ADVANCE(675);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_39(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'r') ADVANCE(525);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_39(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'r') ADVANCE(636);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_39(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'r') ADVANCE(687);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_39(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'r') ADVANCE(678);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_40(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 's') ADVANCE(639);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_41(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 't') ADVANCE(525);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_41(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 't') ADVANCE(526);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_41(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 't') ADVANCE(619);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_41(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 't') ADVANCE(667);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_41(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 't') ADVANCE(668);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_42(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'u') ADVANCE(634);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_42(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'u') ADVANCE(653);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_42(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'u') ADVANCE(637);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_43(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'x') ADVANCE(686);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_44(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'z') ADVANCE(640);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(650);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(679);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(666);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(672);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(654);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_46(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == '_') ADVANCE(685);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_46(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == '_') ADVANCE(672);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(691);
      if (lookahead == '\'') ADVANCE(574);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(691);
      if (lookahead == '\'') ADVANCE(576);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(691);
      if (lookahead == '\'') ADVANCE(577);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(696);
      if (lookahead == '/') ADVANCE(694);
      if (lookahead == '\\') ADVANCE(421);
      if (lookahead != 0) ADVANCE(695);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(696);
      if (lookahead == '\\') ADVANCE(414);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(695);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(694);
      if (lookahead == '\\') ADVANCE(421);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(695);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(384);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(696);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(695);
      if (lookahead == '\r') ADVANCE(699);
      if (lookahead == '/') ADVANCE(694);
      if (lookahead == '\\') ADVANCE(697);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(696);
      if (lookahead == '\r') ADVANCE(700);
      if (lookahead == '\\') ADVANCE(698);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(695);
      if (lookahead == '/') ADVANCE(694);
      if (lookahead == '\\') ADVANCE(421);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\\') ADVANCE(696);
      if (lookahead == '\\') ADVANCE(384);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(anon_sym_GT2);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(anon_sym_R_DQUOTE);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(anon_sym_LR_DQUOTE);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(anon_sym_uR_DQUOTE);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(anon_sym_UR_DQUOTE);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(anon_sym_u8R_DQUOTE);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(anon_sym_DASH_GT_STAR);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(anon_sym_LPAREN_RPAREN);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(583);
      if (sym_identifier_character_set_47(lookahead)) ADVANCE(691);
      if (lookahead == 'R') ADVANCE(715);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(702);
      if (sym_identifier_character_set_47(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(585);
      if (sym_identifier_character_set_47(lookahead)) ADVANCE(691);
      if (lookahead == 'R') ADVANCE(716);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(584);
      if (sym_identifier_character_set_47(lookahead)) ADVANCE(691);
      if (lookahead == '8') ADVANCE(717);
      if (lookahead == 'R') ADVANCE(718);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(703);
      if (sym_identifier_character_set_47(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(705);
      if (sym_identifier_character_set_47(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(586);
      if (sym_identifier_character_set_47(lookahead)) ADVANCE(691);
      if (lookahead == 'R') ADVANCE(719);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(704);
      if (sym_identifier_character_set_47(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(706);
      if (sym_identifier_character_set_47(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (sym_identifier_character_set_47(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'N') ADVANCE(1);
      if (lookahead == 'P') ADVANCE(2);
      if (lookahead == '\\') SKIP(3)
      if (lookahead == '_') ADVANCE(4);
      if (lookahead == 'a') ADVANCE(5);
      if (lookahead == 'b') ADVANCE(6);
      if (lookahead == 'c') ADVANCE(7);
      if (lookahead == 'd') ADVANCE(8);
      if (lookahead == 'e') ADVANCE(9);
      if (lookahead == 'f') ADVANCE(10);
      if (lookahead == 'g') ADVANCE(11);
      if (lookahead == 'i') ADVANCE(12);
      if (lookahead == 'l') ADVANCE(13);
      if (lookahead == 'm') ADVANCE(14);
      if (lookahead == 'n') ADVANCE(15);
      if (lookahead == 'o') ADVANCE(16);
      if (lookahead == 'p') ADVANCE(17);
      if (lookahead == 'r') ADVANCE(18);
      if (lookahead == 's') ADVANCE(19);
      if (lookahead == 't') ADVANCE(20);
      if (lookahead == 'u') ADVANCE(21);
      if (lookahead == 'v') ADVANCE(22);
      if (lookahead == 'w') ADVANCE(23);
      if (lookahead == 'x') ADVANCE(24);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'U') ADVANCE(25);
      END_STATE();
    case 2:
      if (lookahead == 'R') ADVANCE(26);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(27)
      END_STATE();
    case 4:
      if (lookahead == 'A') ADVANCE(28);
      if (lookahead == 'G') ADVANCE(29);
      if (lookahead == 'N') ADVANCE(30);
      if (lookahead == '_') ADVANCE(31);
      if (lookahead == 'a') ADVANCE(32);
      if (lookahead == 'u') ADVANCE(33);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(34);
      if (lookahead == 'n') ADVANCE(35);
      if (lookahead == 's') ADVANCE(36);
      if (lookahead == 'u') ADVANCE(37);
      END_STATE();
    case 6:
      if (lookahead == 'i') ADVANCE(38);
      if (lookahead == 'r') ADVANCE(39);
      if (lookahead == 'y') ADVANCE(40);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(41);
      if (lookahead == 'l') ADVANCE(42);
      if (lookahead == 'o') ADVANCE(43);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(44);
      if (lookahead == 'o') ADVANCE(45);
      END_STATE();
    case 9:
      if (lookahead == 'l') ADVANCE(46);
      if (lookahead == 'n') ADVANCE(47);
      if (lookahead == 'x') ADVANCE(48);
      END_STATE();
    case 10:
      if (lookahead == 'i') ADVANCE(49);
      if (lookahead == 'o') ADVANCE(50);
      if (lookahead == 'r') ADVANCE(51);
      END_STATE();
    case 11:
      if (lookahead == 'o') ADVANCE(52);
      END_STATE();
    case 12:
      if (lookahead == 'f') ADVANCE(53);
      if (lookahead == 'n') ADVANCE(54);
      END_STATE();
    case 13:
      if (lookahead == 'o') ADVANCE(55);
      END_STATE();
    case 14:
      if (lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(57);
      if (lookahead == 'e') ADVANCE(58);
      if (lookahead == 'o') ADVANCE(59);
      if (lookahead == 'u') ADVANCE(60);
      END_STATE();
    case 16:
      if (lookahead == 'f') ADVANCE(61);
      if (lookahead == 'p') ADVANCE(62);
      if (lookahead == 'r') ADVANCE(63);
      if (lookahead == 'v') ADVANCE(64);
      END_STATE();
    case 17:
      if (lookahead == 'r') ADVANCE(65);
      if (lookahead == 'u') ADVANCE(66);
      END_STATE();
    case 18:
      if (lookahead == 'e') ADVANCE(67);
      END_STATE();
    case 19:
      if (lookahead == 'h') ADVANCE(68);
      if (lookahead == 'i') ADVANCE(69);
      if (lookahead == 't') ADVANCE(70);
      if (lookahead == 'w') ADVANCE(71);
      END_STATE();
    case 20:
      if (lookahead == 'e') ADVANCE(72);
      if (lookahead == 'h') ADVANCE(73);
      if (lookahead == 'r') ADVANCE(74);
      if (lookahead == 'y') ADVANCE(75);
      END_STATE();
    case 21:
      if (lookahead == 'n') ADVANCE(76);
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 22:
      if (lookahead == 'i') ADVANCE(78);
      if (lookahead == 'o') ADVANCE(79);
      END_STATE();
    case 23:
      if (lookahead == 'h') ADVANCE(80);
      if (lookahead == 'o') ADVANCE(81);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(82);
      END_STATE();
    case 25:
      if (lookahead == 'L') ADVANCE(83);
      END_STATE();
    case 26:
      if (lookahead == 'O') ADVANCE(84);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 28:
      if (lookahead == 'l') ADVANCE(85);
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 30:
      if (lookahead == 'o') ADVANCE(88);
      END_STATE();
    case 31:
      if (lookahead == 'a') ADVANCE(89);
      if (lookahead == 'b') ADVANCE(90);
      if (lookahead == 'c') ADVANCE(91);
      if (lookahead == 'd') ADVANCE(92);
      if (lookahead == 'e') ADVANCE(93);
      if (lookahead == 'f') ADVANCE(94);
      if (lookahead == 'i') ADVANCE(95);
      if (lookahead == 'l') ADVANCE(96);
      if (lookahead == 'r') ADVANCE(97);
      if (lookahead == 's') ADVANCE(98);
      if (lookahead == 't') ADVANCE(99);
      if (lookahead == 'u') ADVANCE(100);
      if (lookahead == 'v') ADVANCE(101);
      END_STATE();
    case 32:
      if (lookahead == 'l') ADVANCE(102);
      END_STATE();
    case 33:
      if (lookahead == 'n') ADVANCE(103);
      END_STATE();
    case 34:
      if (lookahead == 'i') ADVANCE(104);
      END_STATE();
    case 35:
      if (lookahead == 'd') ADVANCE(105);
      END_STATE();
    case 36:
      if (lookahead == 'm') ADVANCE(106);
      END_STATE();
    case 37:
      if (lookahead == 't') ADVANCE(107);
      END_STATE();
    case 38:
      if (lookahead == 't') ADVANCE(108);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 40:
      if (lookahead == 't') ADVANCE(110);
      END_STATE();
    case 41:
      if (lookahead == 's') ADVANCE(111);
      if (lookahead == 't') ADVANCE(112);
      END_STATE();
    case 42:
      if (lookahead == 'a') ADVANCE(113);
      END_STATE();
    case 43:
      if (lookahead == '_') ADVANCE(114);
      if (lookahead == 'm') ADVANCE(115);
      if (lookahead == 'n') ADVANCE(116);
      END_STATE();
    case 44:
      if (lookahead == 'c') ADVANCE(117);
      if (lookahead == 'f') ADVANCE(118);
      if (lookahead == 'l') ADVANCE(119);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 46:
      if (lookahead == 's') ADVANCE(120);
      END_STATE();
    case 47:
      if (lookahead == 'u') ADVANCE(121);
      END_STATE();
    case 48:
      if (lookahead == 'p') ADVANCE(122);
      if (lookahead == 't') ADVANCE(123);
      END_STATE();
    case 49:
      if (lookahead == 'n') ADVANCE(124);
      END_STATE();
    case 50:
      if (lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 51:
      if (lookahead == 'i') ADVANCE(126);
      END_STATE();
    case 52:
      if (lookahead == 't') ADVANCE(127);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 54:
      if (lookahead == 'l') ADVANCE(128);
      END_STATE();
    case 55:
      if (lookahead == 'n') ADVANCE(129);
      END_STATE();
    case 56:
      if (lookahead == 't') ADVANCE(130);
      END_STATE();
    case 57:
      if (lookahead == 'm') ADVANCE(131);
      END_STATE();
    case 58:
      if (lookahead == 'w') ADVANCE(132);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(133);
      if (lookahead == 'r') ADVANCE(134);
      if (lookahead == 't') ADVANCE(135);
      END_STATE();
    case 60:
      if (lookahead == 'l') ADVANCE(136);
      END_STATE();
    case 61:
      if (lookahead == 'f') ADVANCE(137);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == '_') ADVANCE(139);
      END_STATE();
    case 64:
      if (lookahead == 'e') ADVANCE(140);
      END_STATE();
    case 65:
      if (lookahead == 'i') ADVANCE(141);
      if (lookahead == 'o') ADVANCE(142);
      END_STATE();
    case 66:
      if (lookahead == 'b') ADVANCE(143);
      END_STATE();
    case 67:
      if (lookahead == 'g') ADVANCE(144);
      if (lookahead == 'q') ADVANCE(145);
      if (lookahead == 's') ADVANCE(146);
      if (lookahead == 't') ADVANCE(147);
      END_STATE();
    case 68:
      if (lookahead == 'o') ADVANCE(148);
      END_STATE();
    case 69:
      if (lookahead == 'g') ADVANCE(149);
      if (lookahead == 'z') ADVANCE(150);
      END_STATE();
    case 70:
      if (lookahead == 'a') ADVANCE(151);
      if (lookahead == 'r') ADVANCE(152);
      END_STATE();
    case 71:
      if (lookahead == 'i') ADVANCE(153);
      END_STATE();
    case 72:
      if (lookahead == 'm') ADVANCE(154);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(155);
      if (lookahead == 'r') ADVANCE(156);
      END_STATE();
    case 74:
      if (lookahead == 'y') ADVANCE(157);
      END_STATE();
    case 75:
      if (lookahead == 'p') ADVANCE(158);
      END_STATE();
    case 76:
      if (lookahead == 'i') ADVANCE(159);
      if (lookahead == 's') ADVANCE(160);
      END_STATE();
    case 77:
      if (lookahead == 'i') ADVANCE(161);
      END_STATE();
    case 78:
      if (lookahead == 'r') ADVANCE(162);
      END_STATE();
    case 79:
      if (lookahead == 'l') ADVANCE(163);
      END_STATE();
    case 80:
      if (lookahead == 'i') ADVANCE(164);
      END_STATE();
    case 81:
      if (lookahead == 'r') ADVANCE(165);
      END_STATE();
    case 82:
      if (lookahead == 'r') ADVANCE(166);
      END_STATE();
    case 83:
      if (lookahead == 'L') ADVANCE(167);
      END_STATE();
    case 84:
      if (lookahead == 'G') ADVANCE(168);
      END_STATE();
    case 85:
      if (lookahead == 'i') ADVANCE(169);
      END_STATE();
    case 86:
      if (lookahead == 'o') ADVANCE(170);
      END_STATE();
    case 87:
      if (lookahead == 'n') ADVANCE(171);
      END_STATE();
    case 88:
      if (lookahead == 'r') ADVANCE(172);
      END_STATE();
    case 89:
      if (lookahead == 'l') ADVANCE(173);
      if (lookahead == 's') ADVANCE(174);
      if (lookahead == 't') ADVANCE(175);
      END_STATE();
    case 90:
      if (lookahead == 'a') ADVANCE(176);
      END_STATE();
    case 91:
      if (lookahead == 'd') ADVANCE(177);
      if (lookahead == 'l') ADVANCE(178);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(179);
      END_STATE();
    case 93:
      if (lookahead == 'x') ADVANCE(180);
      END_STATE();
    case 94:
      if (lookahead == 'a') ADVANCE(181);
      if (lookahead == 'i') ADVANCE(182);
      if (lookahead == 'o') ADVANCE(183);
      END_STATE();
    case 95:
      if (lookahead == 'n') ADVANCE(184);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 97:
      if (lookahead == 'e') ADVANCE(186);
      END_STATE();
    case 98:
      if (lookahead == 'p') ADVANCE(187);
      if (lookahead == 't') ADVANCE(188);
      END_STATE();
    case 99:
      if (lookahead == 'h') ADVANCE(189);
      if (lookahead == 'r') ADVANCE(190);
      END_STATE();
    case 100:
      if (lookahead == 'n') ADVANCE(191);
      if (lookahead == 'p') ADVANCE(192);
      END_STATE();
    case 101:
      if (lookahead == 'e') ADVANCE(193);
      END_STATE();
    case 102:
      if (lookahead == 'i') ADVANCE(194);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(195);
      END_STATE();
    case 104:
      if (lookahead == 'g') ADVANCE(196);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == '_') ADVANCE(197);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 107:
      if (lookahead == 'o') ADVANCE(198);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(199);
      if (lookahead == 'o') ADVANCE(200);
      END_STATE();
    case 109:
      if (lookahead == 'a') ADVANCE(201);
      END_STATE();
    case 110:
      if (lookahead == 'e') ADVANCE(202);
      END_STATE();
    case 111:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 112:
      if (lookahead == 'c') ADVANCE(204);
      END_STATE();
    case 113:
      if (lookahead == 's') ADVANCE(205);
      END_STATE();
    case 114:
      if (lookahead == 'a') ADVANCE(206);
      if (lookahead == 'r') ADVANCE(207);
      if (lookahead == 'y') ADVANCE(208);
      END_STATE();
    case 115:
      if (lookahead == 'p') ADVANCE(209);
      END_STATE();
    case 116:
      if (lookahead == 'c') ADVANCE(210);
      if (lookahead == 's') ADVANCE(211);
      if (lookahead == 't') ADVANCE(212);
      END_STATE();
    case 117:
      if (lookahead == 'l') ADVANCE(213);
      END_STATE();
    case 118:
      if (lookahead == 'a') ADVANCE(214);
      if (lookahead == 'i') ADVANCE(215);
      END_STATE();
    case 119:
      if (lookahead == 'e') ADVANCE(216);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(217);
      END_STATE();
    case 121:
      if (lookahead == 'm') ADVANCE(218);
      END_STATE();
    case 122:
      if (lookahead == 'l') ADVANCE(219);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(220);
      END_STATE();
    case 124:
      if (lookahead == 'a') ADVANCE(221);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 126:
      if (lookahead == 'e') ADVANCE(222);
      END_STATE();
    case 127:
      if (lookahead == 'o') ADVANCE(223);
      END_STATE();
    case 128:
      if (lookahead == 'i') ADVANCE(224);
      END_STATE();
    case 129:
      if (lookahead == 'g') ADVANCE(225);
      END_STATE();
    case 130:
      if (lookahead == 'a') ADVANCE(226);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(227);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 133:
      if (lookahead == 'x') ADVANCE(228);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(229);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_not);
      if (lookahead == '_') ADVANCE(230);
      END_STATE();
    case 136:
      if (lookahead == 'l') ADVANCE(231);
      END_STATE();
    case 137:
      if (lookahead == 's') ADVANCE(232);
      END_STATE();
    case 138:
      if (lookahead == 'r') ADVANCE(233);
      END_STATE();
    case 139:
      if (lookahead == 'e') ADVANCE(234);
      END_STATE();
    case 140:
      if (lookahead == 'r') ADVANCE(235);
      END_STATE();
    case 141:
      if (lookahead == 'v') ADVANCE(236);
      END_STATE();
    case 142:
      if (lookahead == 't') ADVANCE(237);
      END_STATE();
    case 143:
      if (lookahead == 'l') ADVANCE(238);
      END_STATE();
    case 144:
      if (lookahead == 'i') ADVANCE(239);
      END_STATE();
    case 145:
      if (lookahead == 'u') ADVANCE(240);
      END_STATE();
    case 146:
      if (lookahead == 't') ADVANCE(241);
      END_STATE();
    case 147:
      if (lookahead == 'u') ADVANCE(242);
      END_STATE();
    case 148:
      if (lookahead == 'r') ADVANCE(243);
      END_STATE();
    case 149:
      if (lookahead == 'n') ADVANCE(244);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(245);
      END_STATE();
    case 151:
      if (lookahead == 't') ADVANCE(246);
      END_STATE();
    case 152:
      if (lookahead == 'u') ADVANCE(247);
      END_STATE();
    case 153:
      if (lookahead == 't') ADVANCE(248);
      END_STATE();
    case 154:
      if (lookahead == 'p') ADVANCE(249);
      END_STATE();
    case 155:
      if (lookahead == 's') ADVANCE(250);
      END_STATE();
    case 156:
      if (lookahead == 'e') ADVANCE(251);
      if (lookahead == 'o') ADVANCE(252);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 158:
      if (lookahead == 'e') ADVANCE(253);
      END_STATE();
    case 159:
      if (lookahead == 'o') ADVANCE(254);
      END_STATE();
    case 160:
      if (lookahead == 'i') ADVANCE(255);
      END_STATE();
    case 161:
      if (lookahead == 'n') ADVANCE(256);
      END_STATE();
    case 162:
      if (lookahead == 't') ADVANCE(257);
      END_STATE();
    case 163:
      if (lookahead == 'a') ADVANCE(258);
      END_STATE();
    case 164:
      if (lookahead == 'l') ADVANCE(259);
      END_STATE();
    case 165:
      if (lookahead == 'd') ADVANCE(260);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_xor);
      if (lookahead == '_') ADVANCE(261);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 168:
      if (lookahead == 'M') ADVANCE(262);
      END_STATE();
    case 169:
      if (lookahead == 'g') ADVANCE(263);
      END_STATE();
    case 170:
      if (lookahead == 'm') ADVANCE(264);
      END_STATE();
    case 171:
      if (lookahead == 'e') ADVANCE(265);
      END_STATE();
    case 172:
      if (lookahead == 'e') ADVANCE(266);
      END_STATE();
    case 173:
      if (lookahead == 'i') ADVANCE(267);
      END_STATE();
    case 174:
      if (lookahead == 'm') ADVANCE(268);
      END_STATE();
    case 175:
      if (lookahead == 't') ADVANCE(269);
      END_STATE();
    case 176:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 177:
      if (lookahead == 'e') ADVANCE(271);
      END_STATE();
    case 178:
      if (lookahead == 'r') ADVANCE(272);
      END_STATE();
    case 179:
      if (lookahead == 'c') ADVANCE(273);
      END_STATE();
    case 180:
      if (lookahead == 'c') ADVANCE(274);
      if (lookahead == 't') ADVANCE(275);
      END_STATE();
    case 181:
      if (lookahead == 's') ADVANCE(276);
      END_STATE();
    case 182:
      if (lookahead == 'n') ADVANCE(277);
      END_STATE();
    case 183:
      if (lookahead == 'r') ADVANCE(278);
      END_STATE();
    case 184:
      if (lookahead == 'l') ADVANCE(279);
      END_STATE();
    case 185:
      if (lookahead == 'a') ADVANCE(280);
      END_STATE();
    case 186:
      if (lookahead == 's') ADVANCE(281);
      END_STATE();
    case 187:
      if (lookahead == 't') ADVANCE(282);
      END_STATE();
    case 188:
      if (lookahead == 'd') ADVANCE(283);
      END_STATE();
    case 189:
      if (lookahead == 'i') ADVANCE(284);
      if (lookahead == 'r') ADVANCE(285);
      END_STATE();
    case 190:
      if (lookahead == 'y') ADVANCE(286);
      END_STATE();
    case 191:
      if (lookahead == 'a') ADVANCE(287);
      END_STATE();
    case 192:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 193:
      if (lookahead == 'c') ADVANCE(289);
      END_STATE();
    case 194:
      if (lookahead == 'g') ADVANCE(290);
      END_STATE();
    case 195:
      if (lookahead == 'l') ADVANCE(291);
      END_STATE();
    case 196:
      if (lookahead == 'n') ADVANCE(292);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(293);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_auto);
      END_STATE();
    case 199:
      if (lookahead == 'n') ADVANCE(294);
      END_STATE();
    case 200:
      if (lookahead == 'r') ADVANCE(295);
      END_STATE();
    case 201:
      if (lookahead == 'k') ADVANCE(296);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_byte);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 204:
      if (lookahead == 'h') ADVANCE(297);
      END_STATE();
    case 205:
      if (lookahead == 's') ADVANCE(298);
      END_STATE();
    case 206:
      if (lookahead == 'w') ADVANCE(299);
      END_STATE();
    case 207:
      if (lookahead == 'e') ADVANCE(300);
      END_STATE();
    case 208:
      if (lookahead == 'i') ADVANCE(301);
      END_STATE();
    case 209:
      if (lookahead == 'l') ADVANCE(302);
      END_STATE();
    case 210:
      if (lookahead == 'e') ADVANCE(303);
      END_STATE();
    case 211:
      if (lookahead == 't') ADVANCE(304);
      END_STATE();
    case 212:
      if (lookahead == 'i') ADVANCE(305);
      END_STATE();
    case 213:
      if (lookahead == 't') ADVANCE(306);
      END_STATE();
    case 214:
      if (lookahead == 'u') ADVANCE(307);
      END_STATE();
    case 215:
      if (lookahead == 'n') ADVANCE(308);
      END_STATE();
    case 216:
      if (lookahead == 't') ADVANCE(309);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 219:
      if (lookahead == 'i') ADVANCE(310);
      END_STATE();
    case 220:
      if (lookahead == 'r') ADVANCE(311);
      END_STATE();
    case 221:
      if (lookahead == 'l') ADVANCE(312);
      END_STATE();
    case 222:
      if (lookahead == 'n') ADVANCE(313);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 224:
      if (lookahead == 'n') ADVANCE(314);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 226:
      if (lookahead == 'b') ADVANCE(315);
      END_STATE();
    case 227:
      if (lookahead == 's') ADVANCE(316);
      END_STATE();
    case 228:
      if (lookahead == 'c') ADVANCE(317);
      END_STATE();
    case 229:
      if (lookahead == 't') ADVANCE(318);
      END_STATE();
    case 230:
      if (lookahead == 'e') ADVANCE(319);
      END_STATE();
    case 231:
      if (lookahead == 'p') ADVANCE(320);
      END_STATE();
    case 232:
      if (lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 233:
      if (lookahead == 'a') ADVANCE(322);
      END_STATE();
    case 234:
      if (lookahead == 'q') ADVANCE(323);
      END_STATE();
    case 235:
      if (lookahead == 'r') ADVANCE(324);
      END_STATE();
    case 236:
      if (lookahead == 'a') ADVANCE(325);
      END_STATE();
    case 237:
      if (lookahead == 'e') ADVANCE(326);
      END_STATE();
    case 238:
      if (lookahead == 'i') ADVANCE(327);
      END_STATE();
    case 239:
      if (lookahead == 's') ADVANCE(328);
      END_STATE();
    case 240:
      if (lookahead == 'i') ADVANCE(329);
      END_STATE();
    case 241:
      if (lookahead == 'r') ADVANCE(330);
      END_STATE();
    case 242:
      if (lookahead == 'r') ADVANCE(331);
      END_STATE();
    case 243:
      if (lookahead == 't') ADVANCE(332);
      END_STATE();
    case 244:
      if (lookahead == 'e') ADVANCE(333);
      END_STATE();
    case 245:
      if (lookahead == 'o') ADVANCE(334);
      END_STATE();
    case 246:
      if (lookahead == 'i') ADVANCE(335);
      END_STATE();
    case 247:
      if (lookahead == 'c') ADVANCE(336);
      END_STATE();
    case 248:
      if (lookahead == 'c') ADVANCE(337);
      END_STATE();
    case 249:
      if (lookahead == 'l') ADVANCE(338);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 251:
      if (lookahead == 'a') ADVANCE(339);
      END_STATE();
    case 252:
      if (lookahead == 'w') ADVANCE(340);
      END_STATE();
    case 253:
      if (lookahead == 'd') ADVANCE(341);
      if (lookahead == 'n') ADVANCE(342);
      END_STATE();
    case 254:
      if (lookahead == 'n') ADVANCE(343);
      END_STATE();
    case 255:
      if (lookahead == 'g') ADVANCE(344);
      END_STATE();
    case 256:
      if (lookahead == 'g') ADVANCE(345);
      END_STATE();
    case 257:
      if (lookahead == 'u') ADVANCE(346);
      END_STATE();
    case 258:
      if (lookahead == 't') ADVANCE(347);
      END_STATE();
    case 259:
      if (lookahead == 'e') ADVANCE(348);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_word);
      END_STATE();
    case 261:
      if (lookahead == 'e') ADVANCE(349);
      END_STATE();
    case 262:
      if (lookahead == 'E') ADVANCE(350);
      END_STATE();
    case 263:
      if (lookahead == 'n') ADVANCE(351);
      END_STATE();
    case 264:
      if (lookahead == 'i') ADVANCE(352);
      END_STATE();
    case 265:
      if (lookahead == 'r') ADVANCE(353);
      END_STATE();
    case 266:
      if (lookahead == 't') ADVANCE(354);
      END_STATE();
    case 267:
      if (lookahead == 'g') ADVANCE(355);
      END_STATE();
    case 268:
      if (lookahead == '_') ADVANCE(356);
      END_STATE();
    case 269:
      if (lookahead == 'r') ADVANCE(357);
      END_STATE();
    case 270:
      if (lookahead == 'e') ADVANCE(358);
      END_STATE();
    case 271:
      if (lookahead == 'c') ADVANCE(359);
      END_STATE();
    case 272:
      if (lookahead == 'c') ADVANCE(360);
      END_STATE();
    case 273:
      if (lookahead == 'l') ADVANCE(361);
      END_STATE();
    case 274:
      if (lookahead == 'e') ADVANCE(362);
      END_STATE();
    case 275:
      if (lookahead == 'e') ADVANCE(363);
      END_STATE();
    case 276:
      if (lookahead == 't') ADVANCE(364);
      END_STATE();
    case 277:
      if (lookahead == 'a') ADVANCE(365);
      END_STATE();
    case 278:
      if (lookahead == 'c') ADVANCE(366);
      END_STATE();
    case 279:
      if (lookahead == 'i') ADVANCE(367);
      END_STATE();
    case 280:
      if (lookahead == 'v') ADVANCE(368);
      END_STATE();
    case 281:
      if (lookahead == 't') ADVANCE(369);
      END_STATE();
    case 282:
      if (lookahead == 'r') ADVANCE(370);
      END_STATE();
    case 283:
      if (lookahead == 'c') ADVANCE(371);
      END_STATE();
    case 284:
      if (lookahead == 's') ADVANCE(372);
      END_STATE();
    case 285:
      if (lookahead == 'e') ADVANCE(373);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 287:
      if (lookahead == 'l') ADVANCE(374);
      END_STATE();
    case 288:
      if (lookahead == 'r') ADVANCE(375);
      END_STATE();
    case 289:
      if (lookahead == 't') ADVANCE(376);
      END_STATE();
    case 290:
      if (lookahead == 'n') ADVANCE(377);
      END_STATE();
    case 291:
      if (lookahead == 'i') ADVANCE(378);
      END_STATE();
    case 292:
      if (lookahead == 'a') ADVANCE(379);
      if (lookahead == 'o') ADVANCE(380);
      END_STATE();
    case 293:
      if (lookahead == 'q') ADVANCE(381);
      END_STATE();
    case 294:
      if (lookahead == 'd') ADVANCE(382);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_bitor);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 299:
      if (lookahead == 'a') ADVANCE(383);
      END_STATE();
    case 300:
      if (lookahead == 't') ADVANCE(384);
      END_STATE();
    case 301:
      if (lookahead == 'e') ADVANCE(385);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_compl);
      END_STATE();
    case 303:
      if (lookahead == 'p') ADVANCE(386);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(387);
      if (lookahead == 'i') ADVANCE(388);
      END_STATE();
    case 305:
      if (lookahead == 'n') ADVANCE(389);
      END_STATE();
    case 306:
      if (lookahead == 'y') ADVANCE(390);
      END_STATE();
    case 307:
      if (lookahead == 'l') ADVANCE(391);
      END_STATE();
    case 308:
      if (lookahead == 'e') ADVANCE(392);
      END_STATE();
    case 309:
      if (lookahead == 'e') ADVANCE(393);
      END_STATE();
    case 310:
      if (lookahead == 'c') ADVANCE(394);
      END_STATE();
    case 311:
      if (lookahead == 'n') ADVANCE(395);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_final);
      END_STATE();
    case 313:
      if (lookahead == 'd') ADVANCE(396);
      END_STATE();
    case 314:
      if (lookahead == 'e') ADVANCE(397);
      END_STATE();
    case 315:
      if (lookahead == 'l') ADVANCE(398);
      END_STATE();
    case 316:
      if (lookahead == 'p') ADVANCE(399);
      END_STATE();
    case 317:
      if (lookahead == 'e') ADVANCE(400);
      END_STATE();
    case 318:
      if (lookahead == 'u') ADVANCE(401);
      END_STATE();
    case 319:
      if (lookahead == 'q') ADVANCE(402);
      END_STATE();
    case 320:
      if (lookahead == 't') ADVANCE(403);
      END_STATE();
    case 321:
      if (lookahead == 't') ADVANCE(404);
      END_STATE();
    case 322:
      if (lookahead == 't') ADVANCE(405);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(anon_sym_or_eq);
      END_STATE();
    case 324:
      if (lookahead == 'i') ADVANCE(406);
      END_STATE();
    case 325:
      if (lookahead == 't') ADVANCE(407);
      END_STATE();
    case 326:
      if (lookahead == 'c') ADVANCE(408);
      END_STATE();
    case 327:
      if (lookahead == 'c') ADVANCE(409);
      END_STATE();
    case 328:
      if (lookahead == 't') ADVANCE(410);
      END_STATE();
    case 329:
      if (lookahead == 'r') ADVANCE(411);
      END_STATE();
    case 330:
      if (lookahead == 'i') ADVANCE(412);
      END_STATE();
    case 331:
      if (lookahead == 'n') ADVANCE(413);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 333:
      if (lookahead == 'd') ADVANCE(414);
      END_STATE();
    case 334:
      if (lookahead == 'f') ADVANCE(415);
      END_STATE();
    case 335:
      if (lookahead == 'c') ADVANCE(416);
      END_STATE();
    case 336:
      if (lookahead == 't') ADVANCE(417);
      END_STATE();
    case 337:
      if (lookahead == 'h') ADVANCE(418);
      END_STATE();
    case 338:
      if (lookahead == 'a') ADVANCE(419);
      END_STATE();
    case 339:
      if (lookahead == 'd') ADVANCE(420);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 341:
      if (lookahead == 'e') ADVANCE(421);
      END_STATE();
    case 342:
      if (lookahead == 'a') ADVANCE(422);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 344:
      if (lookahead == 'n') ADVANCE(423);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 346:
      if (lookahead == 'a') ADVANCE(424);
      END_STATE();
    case 347:
      if (lookahead == 'i') ADVANCE(425);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 349:
      if (lookahead == 'q') ADVANCE(426);
      END_STATE();
    case 350:
      if (lookahead == 'M') ADVANCE(427);
      END_STATE();
    case 351:
      if (lookahead == 'o') ADVANCE(428);
      END_STATE();
    case 352:
      if (lookahead == 'c') ADVANCE(429);
      END_STATE();
    case 353:
      if (lookahead == 'i') ADVANCE(430);
      END_STATE();
    case 354:
      if (lookahead == 'u') ADVANCE(431);
      END_STATE();
    case 355:
      if (lookahead == 'n') ADVANCE(432);
      END_STATE();
    case 356:
      if (lookahead == '_') ADVANCE(433);
      END_STATE();
    case 357:
      if (lookahead == 'i') ADVANCE(434);
      END_STATE();
    case 358:
      if (lookahead == 'd') ADVANCE(435);
      END_STATE();
    case 359:
      if (lookahead == 'l') ADVANCE(436);
      END_STATE();
    case 360:
      if (lookahead == 'a') ADVANCE(437);
      END_STATE();
    case 361:
      if (lookahead == 's') ADVANCE(438);
      END_STATE();
    case 362:
      if (lookahead == 'p') ADVANCE(439);
      END_STATE();
    case 363:
      if (lookahead == 'n') ADVANCE(440);
      END_STATE();
    case 364:
      if (lookahead == 'c') ADVANCE(441);
      END_STATE();
    case 365:
      if (lookahead == 'l') ADVANCE(442);
      END_STATE();
    case 366:
      if (lookahead == 'e') ADVANCE(443);
      END_STATE();
    case 367:
      if (lookahead == 'n') ADVANCE(444);
      END_STATE();
    case 368:
      if (lookahead == 'e') ADVANCE(445);
      END_STATE();
    case 369:
      if (lookahead == 'r') ADVANCE(446);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 371:
      if (lookahead == 'a') ADVANCE(447);
      END_STATE();
    case 372:
      if (lookahead == 'c') ADVANCE(448);
      END_STATE();
    case 373:
      if (lookahead == 'a') ADVANCE(449);
      END_STATE();
    case 374:
      if (lookahead == 'i') ADVANCE(450);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 376:
      if (lookahead == 'o') ADVANCE(451);
      END_STATE();
    case 377:
      if (lookahead == 'o') ADVANCE(452);
      END_STATE();
    case 378:
      if (lookahead == 'g') ADVANCE(453);
      END_STATE();
    case 379:
      if (lookahead == 's') ADVANCE(454);
      END_STATE();
    case 380:
      if (lookahead == 'f') ADVANCE(455);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_and_eq);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(anon_sym_bitand);
      END_STATE();
    case 383:
      if (lookahead == 'i') ADVANCE(456);
      END_STATE();
    case 384:
      if (lookahead == 'u') ADVANCE(457);
      END_STATE();
    case 385:
      if (lookahead == 'l') ADVANCE(458);
      END_STATE();
    case 386:
      if (lookahead == 't') ADVANCE(459);
      END_STATE();
    case 387:
      if (lookahead == 'v') ADVANCE(460);
      if (lookahead == 'x') ADVANCE(461);
      END_STATE();
    case 388:
      if (lookahead == 'n') ADVANCE(462);
      END_STATE();
    case 389:
      if (lookahead == 'u') ADVANCE(463);
      END_STATE();
    case 390:
      if (lookahead == 'p') ADVANCE(464);
      END_STATE();
    case 391:
      if (lookahead == 't') ADVANCE(465);
      END_STATE();
    case 392:
      if (lookahead == 'd') ADVANCE(466);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 394:
      if (lookahead == 'i') ADVANCE(467);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(anon_sym_friend);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 398:
      if (lookahead == 'e') ADVANCE(468);
      END_STATE();
    case 399:
      if (lookahead == 'a') ADVANCE(469);
      END_STATE();
    case 400:
      if (lookahead == 'p') ADVANCE(470);
      END_STATE();
    case 401:
      if (lookahead == 'r') ADVANCE(471);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_not_eq);
      END_STATE();
    case 403:
      if (lookahead == 'r') ADVANCE(472);
      END_STATE();
    case 404:
      if (lookahead == 'o') ADVANCE(473);
      END_STATE();
    case 405:
      if (lookahead == 'o') ADVANCE(474);
      END_STATE();
    case 406:
      if (lookahead == 'd') ADVANCE(475);
      END_STATE();
    case 407:
      if (lookahead == 'e') ADVANCE(476);
      END_STATE();
    case 408:
      if (lookahead == 't') ADVANCE(477);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 410:
      if (lookahead == 'e') ADVANCE(478);
      END_STATE();
    case 411:
      if (lookahead == 'e') ADVANCE(479);
      END_STATE();
    case 412:
      if (lookahead == 'c') ADVANCE(480);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_static);
      if (lookahead == '_') ADVANCE(481);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 419:
      if (lookahead == 't') ADVANCE(482);
      END_STATE();
    case 420:
      if (lookahead == '_') ADVANCE(483);
      END_STATE();
    case 421:
      if (lookahead == 'f') ADVANCE(484);
      END_STATE();
    case 422:
      if (lookahead == 'm') ADVANCE(485);
      END_STATE();
    case 423:
      if (lookahead == 'e') ADVANCE(486);
      END_STATE();
    case 424:
      if (lookahead == 'l') ADVANCE(487);
      END_STATE();
    case 425:
      if (lookahead == 'l') ADVANCE(488);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym_xor_eq);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym_PROGMEM);
      END_STATE();
    case 428:
      if (lookahead == 'f') ADVANCE(489);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 430:
      if (lookahead == 'c') ADVANCE(490);
      END_STATE();
    case 431:
      if (lookahead == 'r') ADVANCE(491);
      END_STATE();
    case 432:
      if (lookahead == 'o') ADVANCE(492);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 434:
      if (lookahead == 'b') ADVANCE(493);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 437:
      if (lookahead == 'l') ADVANCE(494);
      END_STATE();
    case 438:
      if (lookahead == 'p') ADVANCE(495);
      END_STATE();
    case 439:
      if (lookahead == 't') ADVANCE(496);
      END_STATE();
    case 440:
      if (lookahead == 's') ADVANCE(497);
      END_STATE();
    case 441:
      if (lookahead == 'a') ADVANCE(498);
      END_STATE();
    case 442:
      if (lookahead == 'l') ADVANCE(499);
      END_STATE();
    case 443:
      if (lookahead == 'i') ADVANCE(500);
      END_STATE();
    case 444:
      if (lookahead == 'e') ADVANCE(501);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym___leave);
      END_STATE();
    case 446:
      if (lookahead == 'i') ADVANCE(502);
      END_STATE();
    case 447:
      if (lookahead == 'l') ADVANCE(503);
      END_STATE();
    case 448:
      if (lookahead == 'a') ADVANCE(504);
      END_STATE();
    case 449:
      if (lookahead == 'd') ADVANCE(505);
      END_STATE();
    case 450:
      if (lookahead == 'g') ADVANCE(506);
      END_STATE();
    case 451:
      if (lookahead == 'r') ADVANCE(507);
      END_STATE();
    case 452:
      if (lookahead == 'f') ADVANCE(508);
      END_STATE();
    case 453:
      if (lookahead == 'n') ADVANCE(509);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_alignas);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 456:
      if (lookahead == 't') ADVANCE(510);
      END_STATE();
    case 457:
      if (lookahead == 'r') ADVANCE(511);
      END_STATE();
    case 458:
      if (lookahead == 'd') ADVANCE(512);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_concept);
      END_STATE();
    case 460:
      if (lookahead == 'a') ADVANCE(513);
      END_STATE();
    case 461:
      if (lookahead == 'p') ADVANCE(514);
      END_STATE();
    case 462:
      if (lookahead == 'i') ADVANCE(515);
      END_STATE();
    case 463:
      if (lookahead == 'e') ADVANCE(516);
      END_STATE();
    case 464:
      if (lookahead == 'e') ADVANCE(517);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 467:
      if (lookahead == 't') ADVANCE(518);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 469:
      if (lookahead == 'c') ADVANCE(519);
      END_STATE();
    case 470:
      if (lookahead == 't') ADVANCE(520);
      END_STATE();
    case 471:
      if (lookahead == 'n') ADVANCE(521);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_nullptr);
      END_STATE();
    case 473:
      if (lookahead == 'f') ADVANCE(522);
      END_STATE();
    case 474:
      if (lookahead == 'r') ADVANCE(523);
      END_STATE();
    case 475:
      if (lookahead == 'e') ADVANCE(524);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 477:
      if (lookahead == 'e') ADVANCE(525);
      END_STATE();
    case 478:
      if (lookahead == 'r') ADVANCE(526);
      END_STATE();
    case 479:
      if (lookahead == 's') ADVANCE(527);
      END_STATE();
    case 480:
      if (lookahead == 't') ADVANCE(528);
      END_STATE();
    case 481:
      if (lookahead == 'a') ADVANCE(529);
      END_STATE();
    case 482:
      if (lookahead == 'e') ADVANCE(530);
      END_STATE();
    case 483:
      if (lookahead == 'l') ADVANCE(531);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 485:
      if (lookahead == 'e') ADVANCE(532);
      END_STATE();
    case 486:
      if (lookahead == 'd') ADVANCE(533);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_virtual);
      END_STATE();
    case 488:
      if (lookahead == 'e') ADVANCE(534);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 491:
      if (lookahead == 'n') ADVANCE(535);
      END_STATE();
    case 492:
      if (lookahead == 'f') ADVANCE(536);
      END_STATE();
    case 493:
      if (lookahead == 'u') ADVANCE(537);
      END_STATE();
    case 494:
      if (lookahead == 'l') ADVANCE(538);
      END_STATE();
    case 495:
      if (lookahead == 'e') ADVANCE(539);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym___except);
      END_STATE();
    case 497:
      if (lookahead == 'i') ADVANCE(540);
      END_STATE();
    case 498:
      if (lookahead == 'l') ADVANCE(541);
      END_STATE();
    case 499:
      if (lookahead == 'y') ADVANCE(542);
      END_STATE();
    case 500:
      if (lookahead == 'n') ADVANCE(543);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(544);
      END_STATE();
    case 502:
      if (lookahead == 'c') ADVANCE(545);
      END_STATE();
    case 503:
      if (lookahead == 'l') ADVANCE(546);
      END_STATE();
    case 504:
      if (lookahead == 'l') ADVANCE(547);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 506:
      if (lookahead == 'n') ADVANCE(548);
      END_STATE();
    case 507:
      if (lookahead == 'c') ADVANCE(549);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 509:
      if (lookahead == 'e') ADVANCE(550);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_co_await);
      END_STATE();
    case 511:
      if (lookahead == 'n') ADVANCE(551);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_co_yield);
      END_STATE();
    case 513:
      if (lookahead == 'l') ADVANCE(552);
      END_STATE();
    case 514:
      if (lookahead == 'r') ADVANCE(553);
      END_STATE();
    case 515:
      if (lookahead == 't') ADVANCE(554);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_decltype);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_explicit);
      END_STATE();
    case 519:
      if (lookahead == 'e') ADVANCE(555);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_noexcept);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_operator);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 525:
      if (lookahead == 'd') ADVANCE(556);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_requires);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 529:
      if (lookahead == 's') ADVANCE(557);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_template);
      END_STATE();
    case 531:
      if (lookahead == 'o') ADVANCE(558);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_typename);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(559);
      END_STATE();
    case 537:
      if (lookahead == 't') ADVANCE(560);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 539:
      if (lookahead == 'c') ADVANCE(561);
      END_STATE();
    case 540:
      if (lookahead == 'o') ADVANCE(562);
      END_STATE();
    case 541:
      if (lookahead == 'l') ADVANCE(563);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 543:
      if (lookahead == 'l') ADVANCE(564);
      END_STATE();
    case 544:
      if (lookahead == '_') ADVANCE(565);
      END_STATE();
    case 545:
      if (lookahead == 't') ADVANCE(566);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 547:
      if (lookahead == 'l') ADVANCE(567);
      END_STATE();
    case 548:
      if (lookahead == 'e') ADVANCE(568);
      END_STATE();
    case 549:
      if (lookahead == 'a') ADVANCE(569);
      END_STATE();
    case 550:
      if (lookahead == 'd') ADVANCE(570);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_co_return);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_consteval);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym_constinit);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 557:
      if (lookahead == 's') ADVANCE(571);
      END_STATE();
    case 558:
      if (lookahead == 'c') ADVANCE(572);
      END_STATE();
    case 559:
      if (lookahead == '_') ADVANCE(573);
      END_STATE();
    case 560:
      if (lookahead == 'e') ADVANCE(574);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 562:
      if (lookahead == 'n') ADVANCE(575);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 564:
      if (lookahead == 'i') ADVANCE(576);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(577);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 568:
      if (lookahead == 'd') ADVANCE(578);
      END_STATE();
    case 569:
      if (lookahead == 'l') ADVANCE(579);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 571:
      if (lookahead == 'e') ADVANCE(580);
      END_STATE();
    case 572:
      if (lookahead == 'a') ADVANCE(581);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 574:
      if (lookahead == '_') ADVANCE(582);
      END_STATE();
    case 575:
      if (lookahead == '_') ADVANCE(583);
      END_STATE();
    case 576:
      if (lookahead == 'n') ADVANCE(584);
      END_STATE();
    case 577:
      if (lookahead == '_') ADVANCE(585);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 579:
      if (lookahead == 'l') ADVANCE(586);
      END_STATE();
    case 580:
      if (lookahead == 'r') ADVANCE(587);
      END_STATE();
    case 581:
      if (lookahead == 'l') ADVANCE(588);
      END_STATE();
    case 582:
      if (lookahead == '_') ADVANCE(589);
      END_STATE();
    case 583:
      if (lookahead == '_') ADVANCE(590);
      END_STATE();
    case 584:
      if (lookahead == 'e') ADVANCE(591);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 587:
      if (lookahead == 't') ADVANCE(592);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(anon_sym_static_assert);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 387},
  [2] = {.lex_state = 387},
  [3] = {.lex_state = 387},
  [4] = {.lex_state = 387},
  [5] = {.lex_state = 387},
  [6] = {.lex_state = 387},
  [7] = {.lex_state = 387},
  [8] = {.lex_state = 387},
  [9] = {.lex_state = 387},
  [10] = {.lex_state = 387},
  [11] = {.lex_state = 387},
  [12] = {.lex_state = 387},
  [13] = {.lex_state = 387},
  [14] = {.lex_state = 387},
  [15] = {.lex_state = 387},
  [16] = {.lex_state = 198},
  [17] = {.lex_state = 198},
  [18] = {.lex_state = 198},
  [19] = {.lex_state = 198},
  [20] = {.lex_state = 198},
  [21] = {.lex_state = 198},
  [22] = {.lex_state = 198},
  [23] = {.lex_state = 198},
  [24] = {.lex_state = 198},
  [25] = {.lex_state = 198},
  [26] = {.lex_state = 202},
  [27] = {.lex_state = 202},
  [28] = {.lex_state = 198},
  [29] = {.lex_state = 202},
  [30] = {.lex_state = 202},
  [31] = {.lex_state = 202},
  [32] = {.lex_state = 202},
  [33] = {.lex_state = 202},
  [34] = {.lex_state = 202},
  [35] = {.lex_state = 202},
  [36] = {.lex_state = 202},
  [37] = {.lex_state = 202},
  [38] = {.lex_state = 202},
  [39] = {.lex_state = 202},
  [40] = {.lex_state = 202},
  [41] = {.lex_state = 202},
  [42] = {.lex_state = 387},
  [43] = {.lex_state = 387},
  [44] = {.lex_state = 387},
  [45] = {.lex_state = 387},
  [46] = {.lex_state = 387},
  [47] = {.lex_state = 201},
  [48] = {.lex_state = 387},
  [49] = {.lex_state = 387},
  [50] = {.lex_state = 387},
  [51] = {.lex_state = 387},
  [52] = {.lex_state = 387},
  [53] = {.lex_state = 387},
  [54] = {.lex_state = 201},
  [55] = {.lex_state = 387},
  [56] = {.lex_state = 387},
  [57] = {.lex_state = 387},
  [58] = {.lex_state = 387},
  [59] = {.lex_state = 387},
  [60] = {.lex_state = 387},
  [61] = {.lex_state = 387},
  [62] = {.lex_state = 387},
  [63] = {.lex_state = 387},
  [64] = {.lex_state = 387},
  [65] = {.lex_state = 387},
  [66] = {.lex_state = 387},
  [67] = {.lex_state = 387},
  [68] = {.lex_state = 387},
  [69] = {.lex_state = 387},
  [70] = {.lex_state = 387},
  [71] = {.lex_state = 387},
  [72] = {.lex_state = 387},
  [73] = {.lex_state = 387},
  [74] = {.lex_state = 387},
  [75] = {.lex_state = 387},
  [76] = {.lex_state = 387},
  [77] = {.lex_state = 387},
  [78] = {.lex_state = 387},
  [79] = {.lex_state = 387},
  [80] = {.lex_state = 387},
  [81] = {.lex_state = 387},
  [82] = {.lex_state = 387},
  [83] = {.lex_state = 387},
  [84] = {.lex_state = 387},
  [85] = {.lex_state = 387},
  [86] = {.lex_state = 387},
  [87] = {.lex_state = 387},
  [88] = {.lex_state = 387},
  [89] = {.lex_state = 387},
  [90] = {.lex_state = 387},
  [91] = {.lex_state = 387},
  [92] = {.lex_state = 387},
  [93] = {.lex_state = 387},
  [94] = {.lex_state = 387},
  [95] = {.lex_state = 387},
  [96] = {.lex_state = 201},
  [97] = {.lex_state = 387},
  [98] = {.lex_state = 387},
  [99] = {.lex_state = 387},
  [100] = {.lex_state = 198},
  [101] = {.lex_state = 198},
  [102] = {.lex_state = 198},
  [103] = {.lex_state = 198},
  [104] = {.lex_state = 198},
  [105] = {.lex_state = 202},
  [106] = {.lex_state = 202},
  [107] = {.lex_state = 202},
  [108] = {.lex_state = 202},
  [109] = {.lex_state = 202},
  [110] = {.lex_state = 387},
  [111] = {.lex_state = 387},
  [112] = {.lex_state = 201},
  [113] = {.lex_state = 201},
  [114] = {.lex_state = 201},
  [115] = {.lex_state = 387},
  [116] = {.lex_state = 387},
  [117] = {.lex_state = 387},
  [118] = {.lex_state = 387},
  [119] = {.lex_state = 387},
  [120] = {.lex_state = 387},
  [121] = {.lex_state = 201},
  [122] = {.lex_state = 201},
  [123] = {.lex_state = 387},
  [124] = {.lex_state = 387},
  [125] = {.lex_state = 200},
  [126] = {.lex_state = 200},
  [127] = {.lex_state = 200},
  [128] = {.lex_state = 200},
  [129] = {.lex_state = 200},
  [130] = {.lex_state = 200},
  [131] = {.lex_state = 200},
  [132] = {.lex_state = 200},
  [133] = {.lex_state = 200},
  [134] = {.lex_state = 200},
  [135] = {.lex_state = 200},
  [136] = {.lex_state = 200},
  [137] = {.lex_state = 200},
  [138] = {.lex_state = 200},
  [139] = {.lex_state = 200},
  [140] = {.lex_state = 200},
  [141] = {.lex_state = 200},
  [142] = {.lex_state = 200},
  [143] = {.lex_state = 200},
  [144] = {.lex_state = 200},
  [145] = {.lex_state = 200},
  [146] = {.lex_state = 200},
  [147] = {.lex_state = 200},
  [148] = {.lex_state = 203},
  [149] = {.lex_state = 203},
  [150] = {.lex_state = 203},
  [151] = {.lex_state = 189},
  [152] = {.lex_state = 189},
  [153] = {.lex_state = 191},
  [154] = {.lex_state = 387},
  [155] = {.lex_state = 387},
  [156] = {.lex_state = 193},
  [157] = {.lex_state = 200},
  [158] = {.lex_state = 189},
  [159] = {.lex_state = 200},
  [160] = {.lex_state = 200},
  [161] = {.lex_state = 200},
  [162] = {.lex_state = 200},
  [163] = {.lex_state = 200},
  [164] = {.lex_state = 200},
  [165] = {.lex_state = 200},
  [166] = {.lex_state = 200},
  [167] = {.lex_state = 200},
  [168] = {.lex_state = 200},
  [169] = {.lex_state = 200},
  [170] = {.lex_state = 200},
  [171] = {.lex_state = 200},
  [172] = {.lex_state = 200},
  [173] = {.lex_state = 200},
  [174] = {.lex_state = 200},
  [175] = {.lex_state = 200},
  [176] = {.lex_state = 194},
  [177] = {.lex_state = 200},
  [178] = {.lex_state = 200},
  [179] = {.lex_state = 200},
  [180] = {.lex_state = 200},
  [181] = {.lex_state = 200},
  [182] = {.lex_state = 200},
  [183] = {.lex_state = 200},
  [184] = {.lex_state = 200},
  [185] = {.lex_state = 200},
  [186] = {.lex_state = 200},
  [187] = {.lex_state = 200},
  [188] = {.lex_state = 200},
  [189] = {.lex_state = 200},
  [190] = {.lex_state = 200},
  [191] = {.lex_state = 200},
  [192] = {.lex_state = 200},
  [193] = {.lex_state = 200},
  [194] = {.lex_state = 200},
  [195] = {.lex_state = 200},
  [196] = {.lex_state = 200},
  [197] = {.lex_state = 200},
  [198] = {.lex_state = 200},
  [199] = {.lex_state = 200},
  [200] = {.lex_state = 200},
  [201] = {.lex_state = 200},
  [202] = {.lex_state = 200},
  [203] = {.lex_state = 200},
  [204] = {.lex_state = 200},
  [205] = {.lex_state = 200},
  [206] = {.lex_state = 200},
  [207] = {.lex_state = 200},
  [208] = {.lex_state = 200},
  [209] = {.lex_state = 200},
  [210] = {.lex_state = 200},
  [211] = {.lex_state = 200},
  [212] = {.lex_state = 200},
  [213] = {.lex_state = 200},
  [214] = {.lex_state = 200},
  [215] = {.lex_state = 200},
  [216] = {.lex_state = 200},
  [217] = {.lex_state = 200},
  [218] = {.lex_state = 200},
  [219] = {.lex_state = 200},
  [220] = {.lex_state = 200},
  [221] = {.lex_state = 200},
  [222] = {.lex_state = 200},
  [223] = {.lex_state = 200},
  [224] = {.lex_state = 200},
  [225] = {.lex_state = 200},
  [226] = {.lex_state = 200},
  [227] = {.lex_state = 200},
  [228] = {.lex_state = 200},
  [229] = {.lex_state = 189},
  [230] = {.lex_state = 204},
  [231] = {.lex_state = 204},
  [232] = {.lex_state = 204},
  [233] = {.lex_state = 204},
  [234] = {.lex_state = 204},
  [235] = {.lex_state = 204},
  [236] = {.lex_state = 204},
  [237] = {.lex_state = 204},
  [238] = {.lex_state = 204},
  [239] = {.lex_state = 204},
  [240] = {.lex_state = 204},
  [241] = {.lex_state = 204},
  [242] = {.lex_state = 204},
  [243] = {.lex_state = 204},
  [244] = {.lex_state = 204},
  [245] = {.lex_state = 204},
  [246] = {.lex_state = 204},
  [247] = {.lex_state = 204},
  [248] = {.lex_state = 204},
  [249] = {.lex_state = 204},
  [250] = {.lex_state = 204},
  [251] = {.lex_state = 204},
  [252] = {.lex_state = 204},
  [253] = {.lex_state = 193},
  [254] = {.lex_state = 204},
  [255] = {.lex_state = 204},
  [256] = {.lex_state = 204},
  [257] = {.lex_state = 204},
  [258] = {.lex_state = 204},
  [259] = {.lex_state = 204},
  [260] = {.lex_state = 204},
  [261] = {.lex_state = 198},
  [262] = {.lex_state = 198},
  [263] = {.lex_state = 198},
  [264] = {.lex_state = 198},
  [265] = {.lex_state = 198},
  [266] = {.lex_state = 200},
  [267] = {.lex_state = 200},
  [268] = {.lex_state = 202},
  [269] = {.lex_state = 198},
  [270] = {.lex_state = 198},
  [271] = {.lex_state = 198},
  [272] = {.lex_state = 202},
  [273] = {.lex_state = 198},
  [274] = {.lex_state = 200},
  [275] = {.lex_state = 198},
  [276] = {.lex_state = 198},
  [277] = {.lex_state = 198},
  [278] = {.lex_state = 204},
  [279] = {.lex_state = 204},
  [280] = {.lex_state = 204},
  [281] = {.lex_state = 198},
  [282] = {.lex_state = 198},
  [283] = {.lex_state = 198},
  [284] = {.lex_state = 198},
  [285] = {.lex_state = 198},
  [286] = {.lex_state = 198},
  [287] = {.lex_state = 204},
  [288] = {.lex_state = 204},
  [289] = {.lex_state = 198},
  [290] = {.lex_state = 198},
  [291] = {.lex_state = 198},
  [292] = {.lex_state = 198},
  [293] = {.lex_state = 198},
  [294] = {.lex_state = 198},
  [295] = {.lex_state = 198},
  [296] = {.lex_state = 202},
  [297] = {.lex_state = 198},
  [298] = {.lex_state = 198},
  [299] = {.lex_state = 198},
  [300] = {.lex_state = 198},
  [301] = {.lex_state = 198},
  [302] = {.lex_state = 204},
  [303] = {.lex_state = 198},
  [304] = {.lex_state = 198},
  [305] = {.lex_state = 198},
  [306] = {.lex_state = 198},
  [307] = {.lex_state = 198},
  [308] = {.lex_state = 198},
  [309] = {.lex_state = 198},
  [310] = {.lex_state = 198},
  [311] = {.lex_state = 198},
  [312] = {.lex_state = 198},
  [313] = {.lex_state = 198},
  [314] = {.lex_state = 198},
  [315] = {.lex_state = 198},
  [316] = {.lex_state = 198},
  [317] = {.lex_state = 198},
  [318] = {.lex_state = 198},
  [319] = {.lex_state = 198},
  [320] = {.lex_state = 198},
  [321] = {.lex_state = 198},
  [322] = {.lex_state = 198},
  [323] = {.lex_state = 198},
  [324] = {.lex_state = 198},
  [325] = {.lex_state = 198},
  [326] = {.lex_state = 198},
  [327] = {.lex_state = 198},
  [328] = {.lex_state = 198},
  [329] = {.lex_state = 198},
  [330] = {.lex_state = 198},
  [331] = {.lex_state = 198},
  [332] = {.lex_state = 198},
  [333] = {.lex_state = 198},
  [334] = {.lex_state = 204},
  [335] = {.lex_state = 198},
  [336] = {.lex_state = 198},
  [337] = {.lex_state = 204},
  [338] = {.lex_state = 198},
  [339] = {.lex_state = 204},
  [340] = {.lex_state = 198},
  [341] = {.lex_state = 198},
  [342] = {.lex_state = 198},
  [343] = {.lex_state = 198},
  [344] = {.lex_state = 198},
  [345] = {.lex_state = 198},
  [346] = {.lex_state = 198},
  [347] = {.lex_state = 198},
  [348] = {.lex_state = 198},
  [349] = {.lex_state = 198},
  [350] = {.lex_state = 198},
  [351] = {.lex_state = 198},
  [352] = {.lex_state = 198},
  [353] = {.lex_state = 198},
  [354] = {.lex_state = 204},
  [355] = {.lex_state = 198},
  [356] = {.lex_state = 204},
  [357] = {.lex_state = 198},
  [358] = {.lex_state = 204},
  [359] = {.lex_state = 204},
  [360] = {.lex_state = 198},
  [361] = {.lex_state = 202},
  [362] = {.lex_state = 204},
  [363] = {.lex_state = 204},
  [364] = {.lex_state = 198},
  [365] = {.lex_state = 204},
  [366] = {.lex_state = 204},
  [367] = {.lex_state = 198},
  [368] = {.lex_state = 204},
  [369] = {.lex_state = 198},
  [370] = {.lex_state = 204},
  [371] = {.lex_state = 198},
  [372] = {.lex_state = 198},
  [373] = {.lex_state = 198},
  [374] = {.lex_state = 198},
  [375] = {.lex_state = 198},
  [376] = {.lex_state = 198},
  [377] = {.lex_state = 198},
  [378] = {.lex_state = 198},
  [379] = {.lex_state = 198},
  [380] = {.lex_state = 198},
  [381] = {.lex_state = 198},
  [382] = {.lex_state = 198},
  [383] = {.lex_state = 198},
  [384] = {.lex_state = 198},
  [385] = {.lex_state = 282},
  [386] = {.lex_state = 198},
  [387] = {.lex_state = 201},
  [388] = {.lex_state = 203},
  [389] = {.lex_state = 282},
  [390] = {.lex_state = 202},
  [391] = {.lex_state = 200},
  [392] = {.lex_state = 282},
  [393] = {.lex_state = 202},
  [394] = {.lex_state = 198},
  [395] = {.lex_state = 198},
  [396] = {.lex_state = 198},
  [397] = {.lex_state = 202},
  [398] = {.lex_state = 198},
  [399] = {.lex_state = 198},
  [400] = {.lex_state = 198},
  [401] = {.lex_state = 387},
  [402] = {.lex_state = 387},
  [403] = {.lex_state = 198},
  [404] = {.lex_state = 198},
  [405] = {.lex_state = 198},
  [406] = {.lex_state = 198},
  [407] = {.lex_state = 282},
  [408] = {.lex_state = 198},
  [409] = {.lex_state = 198},
  [410] = {.lex_state = 198},
  [411] = {.lex_state = 198},
  [412] = {.lex_state = 198},
  [413] = {.lex_state = 198},
  [414] = {.lex_state = 198},
  [415] = {.lex_state = 198},
  [416] = {.lex_state = 198},
  [417] = {.lex_state = 202},
  [418] = {.lex_state = 198},
  [419] = {.lex_state = 198},
  [420] = {.lex_state = 198},
  [421] = {.lex_state = 198},
  [422] = {.lex_state = 198},
  [423] = {.lex_state = 198},
  [424] = {.lex_state = 198},
  [425] = {.lex_state = 198},
  [426] = {.lex_state = 198},
  [427] = {.lex_state = 282},
  [428] = {.lex_state = 198},
  [429] = {.lex_state = 198},
  [430] = {.lex_state = 282},
  [431] = {.lex_state = 203},
  [432] = {.lex_state = 198},
  [433] = {.lex_state = 198},
  [434] = {.lex_state = 198},
  [435] = {.lex_state = 198},
  [436] = {.lex_state = 198},
  [437] = {.lex_state = 198},
  [438] = {.lex_state = 198},
  [439] = {.lex_state = 387},
  [440] = {.lex_state = 198},
  [441] = {.lex_state = 201},
  [442] = {.lex_state = 387},
  [443] = {.lex_state = 202},
  [444] = {.lex_state = 198},
  [445] = {.lex_state = 204},
  [446] = {.lex_state = 198},
  [447] = {.lex_state = 198},
  [448] = {.lex_state = 282},
  [449] = {.lex_state = 282},
  [450] = {.lex_state = 198},
  [451] = {.lex_state = 198},
  [452] = {.lex_state = 198},
  [453] = {.lex_state = 198},
  [454] = {.lex_state = 198},
  [455] = {.lex_state = 198},
  [456] = {.lex_state = 198},
  [457] = {.lex_state = 202},
  [458] = {.lex_state = 202},
  [459] = {.lex_state = 202},
  [460] = {.lex_state = 202},
  [461] = {.lex_state = 201},
  [462] = {.lex_state = 202},
  [463] = {.lex_state = 202},
  [464] = {.lex_state = 202},
  [465] = {.lex_state = 387},
  [466] = {.lex_state = 202},
  [467] = {.lex_state = 202},
  [468] = {.lex_state = 202},
  [469] = {.lex_state = 202},
  [470] = {.lex_state = 202},
  [471] = {.lex_state = 202},
  [472] = {.lex_state = 202},
  [473] = {.lex_state = 202},
  [474] = {.lex_state = 202},
  [475] = {.lex_state = 202},
  [476] = {.lex_state = 202},
  [477] = {.lex_state = 202},
  [478] = {.lex_state = 202},
  [479] = {.lex_state = 202},
  [480] = {.lex_state = 387},
  [481] = {.lex_state = 202},
  [482] = {.lex_state = 202},
  [483] = {.lex_state = 202},
  [484] = {.lex_state = 202},
  [485] = {.lex_state = 202},
  [486] = {.lex_state = 202},
  [487] = {.lex_state = 202},
  [488] = {.lex_state = 202},
  [489] = {.lex_state = 201},
  [490] = {.lex_state = 202},
  [491] = {.lex_state = 202},
  [492] = {.lex_state = 202},
  [493] = {.lex_state = 202},
  [494] = {.lex_state = 202},
  [495] = {.lex_state = 202},
  [496] = {.lex_state = 202},
  [497] = {.lex_state = 202},
  [498] = {.lex_state = 202},
  [499] = {.lex_state = 202},
  [500] = {.lex_state = 202},
  [501] = {.lex_state = 202},
  [502] = {.lex_state = 202},
  [503] = {.lex_state = 202},
  [504] = {.lex_state = 202},
  [505] = {.lex_state = 202},
  [506] = {.lex_state = 202},
  [507] = {.lex_state = 202},
  [508] = {.lex_state = 202},
  [509] = {.lex_state = 202},
  [510] = {.lex_state = 202},
  [511] = {.lex_state = 202},
  [512] = {.lex_state = 202},
  [513] = {.lex_state = 202},
  [514] = {.lex_state = 202},
  [515] = {.lex_state = 202},
  [516] = {.lex_state = 202},
  [517] = {.lex_state = 202},
  [518] = {.lex_state = 202},
  [519] = {.lex_state = 202},
  [520] = {.lex_state = 202},
  [521] = {.lex_state = 202},
  [522] = {.lex_state = 202},
  [523] = {.lex_state = 202},
  [524] = {.lex_state = 202},
  [525] = {.lex_state = 202},
  [526] = {.lex_state = 202},
  [527] = {.lex_state = 202},
  [528] = {.lex_state = 202},
  [529] = {.lex_state = 202},
  [530] = {.lex_state = 202},
  [531] = {.lex_state = 202},
  [532] = {.lex_state = 202},
  [533] = {.lex_state = 202},
  [534] = {.lex_state = 202},
  [535] = {.lex_state = 202},
  [536] = {.lex_state = 202},
  [537] = {.lex_state = 202},
  [538] = {.lex_state = 202},
  [539] = {.lex_state = 202},
  [540] = {.lex_state = 202},
  [541] = {.lex_state = 202},
  [542] = {.lex_state = 202},
  [543] = {.lex_state = 201},
  [544] = {.lex_state = 202},
  [545] = {.lex_state = 202},
  [546] = {.lex_state = 202},
  [547] = {.lex_state = 202},
  [548] = {.lex_state = 202},
  [549] = {.lex_state = 202},
  [550] = {.lex_state = 202},
  [551] = {.lex_state = 202},
  [552] = {.lex_state = 202},
  [553] = {.lex_state = 202},
  [554] = {.lex_state = 202},
  [555] = {.lex_state = 202},
  [556] = {.lex_state = 202},
  [557] = {.lex_state = 387},
  [558] = {.lex_state = 202},
  [559] = {.lex_state = 202},
  [560] = {.lex_state = 202},
  [561] = {.lex_state = 201},
  [562] = {.lex_state = 202},
  [563] = {.lex_state = 387},
  [564] = {.lex_state = 202},
  [565] = {.lex_state = 202},
  [566] = {.lex_state = 387},
  [567] = {.lex_state = 202},
  [568] = {.lex_state = 202},
  [569] = {.lex_state = 202},
  [570] = {.lex_state = 202},
  [571] = {.lex_state = 202},
  [572] = {.lex_state = 202},
  [573] = {.lex_state = 202},
  [574] = {.lex_state = 387},
  [575] = {.lex_state = 201},
  [576] = {.lex_state = 202},
  [577] = {.lex_state = 202},
  [578] = {.lex_state = 387},
  [579] = {.lex_state = 202},
  [580] = {.lex_state = 387},
  [581] = {.lex_state = 202},
  [582] = {.lex_state = 201},
  [583] = {.lex_state = 202},
  [584] = {.lex_state = 202},
  [585] = {.lex_state = 202},
  [586] = {.lex_state = 202},
  [587] = {.lex_state = 387},
  [588] = {.lex_state = 202},
  [589] = {.lex_state = 202},
  [590] = {.lex_state = 202},
  [591] = {.lex_state = 202},
  [592] = {.lex_state = 202},
  [593] = {.lex_state = 202},
  [594] = {.lex_state = 202},
  [595] = {.lex_state = 202},
  [596] = {.lex_state = 202},
  [597] = {.lex_state = 202},
  [598] = {.lex_state = 202},
  [599] = {.lex_state = 202},
  [600] = {.lex_state = 202},
  [601] = {.lex_state = 202},
  [602] = {.lex_state = 202},
  [603] = {.lex_state = 202},
  [604] = {.lex_state = 202},
  [605] = {.lex_state = 202},
  [606] = {.lex_state = 202},
  [607] = {.lex_state = 202},
  [608] = {.lex_state = 202},
  [609] = {.lex_state = 387},
  [610] = {.lex_state = 202},
  [611] = {.lex_state = 201},
  [612] = {.lex_state = 387},
  [613] = {.lex_state = 387},
  [614] = {.lex_state = 201},
  [615] = {.lex_state = 201},
  [616] = {.lex_state = 201},
  [617] = {.lex_state = 387},
  [618] = {.lex_state = 201},
  [619] = {.lex_state = 387},
  [620] = {.lex_state = 252},
  [621] = {.lex_state = 201},
  [622] = {.lex_state = 252},
  [623] = {.lex_state = 252},
  [624] = {.lex_state = 201},
  [625] = {.lex_state = 252},
  [626] = {.lex_state = 201},
  [627] = {.lex_state = 201},
  [628] = {.lex_state = 252},
  [629] = {.lex_state = 201},
  [630] = {.lex_state = 201},
  [631] = {.lex_state = 201},
  [632] = {.lex_state = 201},
  [633] = {.lex_state = 387},
  [634] = {.lex_state = 387},
  [635] = {.lex_state = 387},
  [636] = {.lex_state = 387},
  [637] = {.lex_state = 387},
  [638] = {.lex_state = 387},
  [639] = {.lex_state = 190},
  [640] = {.lex_state = 387},
  [641] = {.lex_state = 201},
  [642] = {.lex_state = 387},
  [643] = {.lex_state = 387},
  [644] = {.lex_state = 387},
  [645] = {.lex_state = 387},
  [646] = {.lex_state = 387},
  [647] = {.lex_state = 387},
  [648] = {.lex_state = 201},
  [649] = {.lex_state = 387},
  [650] = {.lex_state = 201},
  [651] = {.lex_state = 387},
  [652] = {.lex_state = 387},
  [653] = {.lex_state = 201},
  [654] = {.lex_state = 387},
  [655] = {.lex_state = 387},
  [656] = {.lex_state = 387},
  [657] = {.lex_state = 387},
  [658] = {.lex_state = 201},
  [659] = {.lex_state = 201},
  [660] = {.lex_state = 387},
  [661] = {.lex_state = 201},
  [662] = {.lex_state = 387},
  [663] = {.lex_state = 387},
  [664] = {.lex_state = 201},
  [665] = {.lex_state = 387},
  [666] = {.lex_state = 387},
  [667] = {.lex_state = 387},
  [668] = {.lex_state = 387},
  [669] = {.lex_state = 387},
  [670] = {.lex_state = 201},
  [671] = {.lex_state = 201},
  [672] = {.lex_state = 252},
  [673] = {.lex_state = 387},
  [674] = {.lex_state = 387},
  [675] = {.lex_state = 201},
  [676] = {.lex_state = 387},
  [677] = {.lex_state = 387},
  [678] = {.lex_state = 387},
  [679] = {.lex_state = 201},
  [680] = {.lex_state = 387},
  [681] = {.lex_state = 387},
  [682] = {.lex_state = 387},
  [683] = {.lex_state = 387},
  [684] = {.lex_state = 387},
  [685] = {.lex_state = 387},
  [686] = {.lex_state = 387},
  [687] = {.lex_state = 387},
  [688] = {.lex_state = 387},
  [689] = {.lex_state = 387},
  [690] = {.lex_state = 387},
  [691] = {.lex_state = 387},
  [692] = {.lex_state = 387},
  [693] = {.lex_state = 387},
  [694] = {.lex_state = 387},
  [695] = {.lex_state = 387},
  [696] = {.lex_state = 387},
  [697] = {.lex_state = 387},
  [698] = {.lex_state = 387},
  [699] = {.lex_state = 387},
  [700] = {.lex_state = 387},
  [701] = {.lex_state = 387},
  [702] = {.lex_state = 387},
  [703] = {.lex_state = 387},
  [704] = {.lex_state = 387},
  [705] = {.lex_state = 387},
  [706] = {.lex_state = 387},
  [707] = {.lex_state = 201},
  [708] = {.lex_state = 201},
  [709] = {.lex_state = 387},
  [710] = {.lex_state = 387},
  [711] = {.lex_state = 387},
  [712] = {.lex_state = 387},
  [713] = {.lex_state = 387},
  [714] = {.lex_state = 387},
  [715] = {.lex_state = 201},
  [716] = {.lex_state = 201},
  [717] = {.lex_state = 387},
  [718] = {.lex_state = 387},
  [719] = {.lex_state = 387},
  [720] = {.lex_state = 387},
  [721] = {.lex_state = 201},
  [722] = {.lex_state = 387},
  [723] = {.lex_state = 387},
  [724] = {.lex_state = 387},
  [725] = {.lex_state = 387},
  [726] = {.lex_state = 387},
  [727] = {.lex_state = 387},
  [728] = {.lex_state = 387},
  [729] = {.lex_state = 201},
  [730] = {.lex_state = 387},
  [731] = {.lex_state = 387},
  [732] = {.lex_state = 201},
  [733] = {.lex_state = 387},
  [734] = {.lex_state = 387},
  [735] = {.lex_state = 387},
  [736] = {.lex_state = 387},
  [737] = {.lex_state = 387},
  [738] = {.lex_state = 387},
  [739] = {.lex_state = 387},
  [740] = {.lex_state = 201},
  [741] = {.lex_state = 387},
  [742] = {.lex_state = 387},
  [743] = {.lex_state = 387},
  [744] = {.lex_state = 387},
  [745] = {.lex_state = 387},
  [746] = {.lex_state = 387},
  [747] = {.lex_state = 201},
  [748] = {.lex_state = 387},
  [749] = {.lex_state = 387},
  [750] = {.lex_state = 201},
  [751] = {.lex_state = 201},
  [752] = {.lex_state = 387},
  [753] = {.lex_state = 201},
  [754] = {.lex_state = 387},
  [755] = {.lex_state = 387},
  [756] = {.lex_state = 201},
  [757] = {.lex_state = 387},
  [758] = {.lex_state = 387},
  [759] = {.lex_state = 387},
  [760] = {.lex_state = 201},
  [761] = {.lex_state = 201},
  [762] = {.lex_state = 201},
  [763] = {.lex_state = 201},
  [764] = {.lex_state = 387},
  [765] = {.lex_state = 387},
  [766] = {.lex_state = 387},
  [767] = {.lex_state = 387},
  [768] = {.lex_state = 201},
  [769] = {.lex_state = 201},
  [770] = {.lex_state = 201},
  [771] = {.lex_state = 387},
  [772] = {.lex_state = 387},
  [773] = {.lex_state = 201},
  [774] = {.lex_state = 201},
  [775] = {.lex_state = 387},
  [776] = {.lex_state = 201},
  [777] = {.lex_state = 201},
  [778] = {.lex_state = 201},
  [779] = {.lex_state = 201},
  [780] = {.lex_state = 201},
  [781] = {.lex_state = 387},
  [782] = {.lex_state = 252},
  [783] = {.lex_state = 387},
  [784] = {.lex_state = 387},
  [785] = {.lex_state = 201},
  [786] = {.lex_state = 252},
  [787] = {.lex_state = 387},
  [788] = {.lex_state = 387},
  [789] = {.lex_state = 201},
  [790] = {.lex_state = 387},
  [791] = {.lex_state = 387},
  [792] = {.lex_state = 387},
  [793] = {.lex_state = 201},
  [794] = {.lex_state = 387},
  [795] = {.lex_state = 387},
  [796] = {.lex_state = 387},
  [797] = {.lex_state = 387},
  [798] = {.lex_state = 387},
  [799] = {.lex_state = 252},
  [800] = {.lex_state = 387},
  [801] = {.lex_state = 201},
  [802] = {.lex_state = 387},
  [803] = {.lex_state = 252},
  [804] = {.lex_state = 387},
  [805] = {.lex_state = 201},
  [806] = {.lex_state = 387},
  [807] = {.lex_state = 387},
  [808] = {.lex_state = 252},
  [809] = {.lex_state = 387},
  [810] = {.lex_state = 201},
  [811] = {.lex_state = 201},
  [812] = {.lex_state = 201},
  [813] = {.lex_state = 201},
  [814] = {.lex_state = 201},
  [815] = {.lex_state = 201},
  [816] = {.lex_state = 387},
  [817] = {.lex_state = 387},
  [818] = {.lex_state = 387},
  [819] = {.lex_state = 252},
  [820] = {.lex_state = 387},
  [821] = {.lex_state = 201},
  [822] = {.lex_state = 201},
  [823] = {.lex_state = 387},
  [824] = {.lex_state = 201},
  [825] = {.lex_state = 201},
  [826] = {.lex_state = 387},
  [827] = {.lex_state = 201},
  [828] = {.lex_state = 387},
  [829] = {.lex_state = 201},
  [830] = {.lex_state = 201},
  [831] = {.lex_state = 201},
  [832] = {.lex_state = 201},
  [833] = {.lex_state = 387},
  [834] = {.lex_state = 282},
  [835] = {.lex_state = 201},
  [836] = {.lex_state = 201},
  [837] = {.lex_state = 387},
  [838] = {.lex_state = 387},
  [839] = {.lex_state = 387},
  [840] = {.lex_state = 387},
  [841] = {.lex_state = 387},
  [842] = {.lex_state = 387},
  [843] = {.lex_state = 387},
  [844] = {.lex_state = 387},
  [845] = {.lex_state = 387},
  [846] = {.lex_state = 387},
  [847] = {.lex_state = 387},
  [848] = {.lex_state = 387},
  [849] = {.lex_state = 387},
  [850] = {.lex_state = 387},
  [851] = {.lex_state = 387},
  [852] = {.lex_state = 201},
  [853] = {.lex_state = 201},
  [854] = {.lex_state = 387},
  [855] = {.lex_state = 201},
  [856] = {.lex_state = 201},
  [857] = {.lex_state = 201},
  [858] = {.lex_state = 201},
  [859] = {.lex_state = 201},
  [860] = {.lex_state = 201},
  [861] = {.lex_state = 387},
  [862] = {.lex_state = 201},
  [863] = {.lex_state = 387},
  [864] = {.lex_state = 201},
  [865] = {.lex_state = 387},
  [866] = {.lex_state = 201},
  [867] = {.lex_state = 387},
  [868] = {.lex_state = 387},
  [869] = {.lex_state = 387},
  [870] = {.lex_state = 387},
  [871] = {.lex_state = 201},
  [872] = {.lex_state = 387},
  [873] = {.lex_state = 387},
  [874] = {.lex_state = 387},
  [875] = {.lex_state = 387},
  [876] = {.lex_state = 387},
  [877] = {.lex_state = 387},
  [878] = {.lex_state = 387},
  [879] = {.lex_state = 387},
  [880] = {.lex_state = 387},
  [881] = {.lex_state = 201},
  [882] = {.lex_state = 387},
  [883] = {.lex_state = 387},
  [884] = {.lex_state = 387},
  [885] = {.lex_state = 387},
  [886] = {.lex_state = 387},
  [887] = {.lex_state = 387},
  [888] = {.lex_state = 201},
  [889] = {.lex_state = 201},
  [890] = {.lex_state = 201},
  [891] = {.lex_state = 387},
  [892] = {.lex_state = 201},
  [893] = {.lex_state = 387},
  [894] = {.lex_state = 201},
  [895] = {.lex_state = 201},
  [896] = {.lex_state = 201},
  [897] = {.lex_state = 201},
  [898] = {.lex_state = 387},
  [899] = {.lex_state = 201},
  [900] = {.lex_state = 201},
  [901] = {.lex_state = 201},
  [902] = {.lex_state = 387},
  [903] = {.lex_state = 201},
  [904] = {.lex_state = 387},
  [905] = {.lex_state = 387},
  [906] = {.lex_state = 201},
  [907] = {.lex_state = 201},
  [908] = {.lex_state = 387},
  [909] = {.lex_state = 387},
  [910] = {.lex_state = 387},
  [911] = {.lex_state = 201},
  [912] = {.lex_state = 201},
  [913] = {.lex_state = 387},
  [914] = {.lex_state = 201},
  [915] = {.lex_state = 387},
  [916] = {.lex_state = 201},
  [917] = {.lex_state = 387},
  [918] = {.lex_state = 201},
  [919] = {.lex_state = 201},
  [920] = {.lex_state = 387},
  [921] = {.lex_state = 387},
  [922] = {.lex_state = 387},
  [923] = {.lex_state = 387},
  [924] = {.lex_state = 387},
  [925] = {.lex_state = 387},
  [926] = {.lex_state = 201},
  [927] = {.lex_state = 387},
  [928] = {.lex_state = 387},
  [929] = {.lex_state = 201},
  [930] = {.lex_state = 387},
  [931] = {.lex_state = 201},
  [932] = {.lex_state = 387},
  [933] = {.lex_state = 387},
  [934] = {.lex_state = 387},
  [935] = {.lex_state = 201},
  [936] = {.lex_state = 201},
  [937] = {.lex_state = 201},
  [938] = {.lex_state = 201},
  [939] = {.lex_state = 387},
  [940] = {.lex_state = 201},
  [941] = {.lex_state = 201},
  [942] = {.lex_state = 201},
  [943] = {.lex_state = 387},
  [944] = {.lex_state = 201},
  [945] = {.lex_state = 201},
  [946] = {.lex_state = 201},
  [947] = {.lex_state = 201},
  [948] = {.lex_state = 201},
  [949] = {.lex_state = 201},
  [950] = {.lex_state = 201},
  [951] = {.lex_state = 387},
  [952] = {.lex_state = 201},
  [953] = {.lex_state = 387},
  [954] = {.lex_state = 387},
  [955] = {.lex_state = 387},
  [956] = {.lex_state = 201},
  [957] = {.lex_state = 387},
  [958] = {.lex_state = 201},
  [959] = {.lex_state = 387},
  [960] = {.lex_state = 387},
  [961] = {.lex_state = 387},
  [962] = {.lex_state = 201},
  [963] = {.lex_state = 201},
  [964] = {.lex_state = 201},
  [965] = {.lex_state = 201},
  [966] = {.lex_state = 387},
  [967] = {.lex_state = 387},
  [968] = {.lex_state = 387},
  [969] = {.lex_state = 201},
  [970] = {.lex_state = 201},
  [971] = {.lex_state = 387},
  [972] = {.lex_state = 201},
  [973] = {.lex_state = 387},
  [974] = {.lex_state = 387},
  [975] = {.lex_state = 201},
  [976] = {.lex_state = 201},
  [977] = {.lex_state = 387},
  [978] = {.lex_state = 201},
  [979] = {.lex_state = 387},
  [980] = {.lex_state = 201},
  [981] = {.lex_state = 201},
  [982] = {.lex_state = 190},
  [983] = {.lex_state = 387},
  [984] = {.lex_state = 192},
  [985] = {.lex_state = 252},
  [986] = {.lex_state = 387},
  [987] = {.lex_state = 387},
  [988] = {.lex_state = 387},
  [989] = {.lex_state = 387},
  [990] = {.lex_state = 387},
  [991] = {.lex_state = 190},
  [992] = {.lex_state = 387},
  [993] = {.lex_state = 387},
  [994] = {.lex_state = 280},
  [995] = {.lex_state = 387},
  [996] = {.lex_state = 387},
  [997] = {.lex_state = 387},
  [998] = {.lex_state = 283},
  [999] = {.lex_state = 280},
  [1000] = {.lex_state = 280},
  [1001] = {.lex_state = 387},
  [1002] = {.lex_state = 387},
  [1003] = {.lex_state = 387},
  [1004] = {.lex_state = 280},
  [1005] = {.lex_state = 387},
  [1006] = {.lex_state = 387},
  [1007] = {.lex_state = 387},
  [1008] = {.lex_state = 387},
  [1009] = {.lex_state = 387},
  [1010] = {.lex_state = 387},
  [1011] = {.lex_state = 387},
  [1012] = {.lex_state = 387},
  [1013] = {.lex_state = 387},
  [1014] = {.lex_state = 387},
  [1015] = {.lex_state = 280},
  [1016] = {.lex_state = 387},
  [1017] = {.lex_state = 280},
  [1018] = {.lex_state = 387},
  [1019] = {.lex_state = 387},
  [1020] = {.lex_state = 190},
  [1021] = {.lex_state = 387},
  [1022] = {.lex_state = 387},
  [1023] = {.lex_state = 387},
  [1024] = {.lex_state = 387},
  [1025] = {.lex_state = 387},
  [1026] = {.lex_state = 195},
  [1027] = {.lex_state = 387},
  [1028] = {.lex_state = 387},
  [1029] = {.lex_state = 387},
  [1030] = {.lex_state = 387},
  [1031] = {.lex_state = 283},
  [1032] = {.lex_state = 387},
  [1033] = {.lex_state = 280},
  [1034] = {.lex_state = 387},
  [1035] = {.lex_state = 387},
  [1036] = {.lex_state = 387},
  [1037] = {.lex_state = 387},
  [1038] = {.lex_state = 387},
  [1039] = {.lex_state = 280},
  [1040] = {.lex_state = 387},
  [1041] = {.lex_state = 387},
  [1042] = {.lex_state = 387},
  [1043] = {.lex_state = 387},
  [1044] = {.lex_state = 280},
  [1045] = {.lex_state = 280},
  [1046] = {.lex_state = 280},
  [1047] = {.lex_state = 280},
  [1048] = {.lex_state = 280},
  [1049] = {.lex_state = 387},
  [1050] = {.lex_state = 280},
  [1051] = {.lex_state = 387},
  [1052] = {.lex_state = 387},
  [1053] = {.lex_state = 280},
  [1054] = {.lex_state = 283},
  [1055] = {.lex_state = 387},
  [1056] = {.lex_state = 387},
  [1057] = {.lex_state = 387},
  [1058] = {.lex_state = 280},
  [1059] = {.lex_state = 387},
  [1060] = {.lex_state = 387},
  [1061] = {.lex_state = 387},
  [1062] = {.lex_state = 387},
  [1063] = {.lex_state = 387},
  [1064] = {.lex_state = 387},
  [1065] = {.lex_state = 280},
  [1066] = {.lex_state = 387},
  [1067] = {.lex_state = 387},
  [1068] = {.lex_state = 387},
  [1069] = {.lex_state = 280},
  [1070] = {.lex_state = 387},
  [1071] = {.lex_state = 387},
  [1072] = {.lex_state = 280},
  [1073] = {.lex_state = 387},
  [1074] = {.lex_state = 387},
  [1075] = {.lex_state = 280},
  [1076] = {.lex_state = 280},
  [1077] = {.lex_state = 280},
  [1078] = {.lex_state = 280},
  [1079] = {.lex_state = 387},
  [1080] = {.lex_state = 280},
  [1081] = {.lex_state = 280},
  [1082] = {.lex_state = 190},
  [1083] = {.lex_state = 190},
  [1084] = {.lex_state = 196},
  [1085] = {.lex_state = 196},
  [1086] = {.lex_state = 282},
  [1087] = {.lex_state = 282},
  [1088] = {.lex_state = 282},
  [1089] = {.lex_state = 282},
  [1090] = {.lex_state = 282},
  [1091] = {.lex_state = 282},
  [1092] = {.lex_state = 282},
  [1093] = {.lex_state = 282},
  [1094] = {.lex_state = 282},
  [1095] = {.lex_state = 387},
  [1096] = {.lex_state = 387},
  [1097] = {.lex_state = 282},
  [1098] = {.lex_state = 282},
  [1099] = {.lex_state = 282},
  [1100] = {.lex_state = 282},
  [1101] = {.lex_state = 282},
  [1102] = {.lex_state = 282},
  [1103] = {.lex_state = 282},
  [1104] = {.lex_state = 282},
  [1105] = {.lex_state = 282},
  [1106] = {.lex_state = 204},
  [1107] = {.lex_state = 204},
  [1108] = {.lex_state = 204},
  [1109] = {.lex_state = 204},
  [1110] = {.lex_state = 204},
  [1111] = {.lex_state = 204},
  [1112] = {.lex_state = 204},
  [1113] = {.lex_state = 204},
  [1114] = {.lex_state = 204},
  [1115] = {.lex_state = 204},
  [1116] = {.lex_state = 204},
  [1117] = {.lex_state = 204},
  [1118] = {.lex_state = 204},
  [1119] = {.lex_state = 204},
  [1120] = {.lex_state = 204},
  [1121] = {.lex_state = 204},
  [1122] = {.lex_state = 204},
  [1123] = {.lex_state = 204},
  [1124] = {.lex_state = 204},
  [1125] = {.lex_state = 204},
  [1126] = {.lex_state = 204},
  [1127] = {.lex_state = 204},
  [1128] = {.lex_state = 204},
  [1129] = {.lex_state = 387},
  [1130] = {.lex_state = 200},
  [1131] = {.lex_state = 203},
  [1132] = {.lex_state = 203},
  [1133] = {.lex_state = 200},
  [1134] = {.lex_state = 200},
  [1135] = {.lex_state = 200},
  [1136] = {.lex_state = 200},
  [1137] = {.lex_state = 200},
  [1138] = {.lex_state = 200},
  [1139] = {.lex_state = 200},
  [1140] = {.lex_state = 200},
  [1141] = {.lex_state = 200},
  [1142] = {.lex_state = 200},
  [1143] = {.lex_state = 200},
  [1144] = {.lex_state = 200},
  [1145] = {.lex_state = 200},
  [1146] = {.lex_state = 200},
  [1147] = {.lex_state = 200},
  [1148] = {.lex_state = 200},
  [1149] = {.lex_state = 200},
  [1150] = {.lex_state = 200},
  [1151] = {.lex_state = 200},
  [1152] = {.lex_state = 200},
  [1153] = {.lex_state = 200},
  [1154] = {.lex_state = 200},
  [1155] = {.lex_state = 200},
  [1156] = {.lex_state = 200},
  [1157] = {.lex_state = 200},
  [1158] = {.lex_state = 200},
  [1159] = {.lex_state = 200},
  [1160] = {.lex_state = 200},
  [1161] = {.lex_state = 200},
  [1162] = {.lex_state = 200},
  [1163] = {.lex_state = 200},
  [1164] = {.lex_state = 200},
  [1165] = {.lex_state = 200},
  [1166] = {.lex_state = 200},
  [1167] = {.lex_state = 200},
  [1168] = {.lex_state = 200},
  [1169] = {.lex_state = 200},
  [1170] = {.lex_state = 200},
  [1171] = {.lex_state = 200},
  [1172] = {.lex_state = 200},
  [1173] = {.lex_state = 200},
  [1174] = {.lex_state = 200},
  [1175] = {.lex_state = 200},
  [1176] = {.lex_state = 200},
  [1177] = {.lex_state = 200},
  [1178] = {.lex_state = 200},
  [1179] = {.lex_state = 200},
  [1180] = {.lex_state = 200},
  [1181] = {.lex_state = 200},
  [1182] = {.lex_state = 200},
  [1183] = {.lex_state = 200},
  [1184] = {.lex_state = 200},
  [1185] = {.lex_state = 200},
  [1186] = {.lex_state = 200},
  [1187] = {.lex_state = 200},
  [1188] = {.lex_state = 200},
  [1189] = {.lex_state = 200},
  [1190] = {.lex_state = 200},
  [1191] = {.lex_state = 200},
  [1192] = {.lex_state = 200},
  [1193] = {.lex_state = 200},
  [1194] = {.lex_state = 200},
  [1195] = {.lex_state = 200},
  [1196] = {.lex_state = 200},
  [1197] = {.lex_state = 200},
  [1198] = {.lex_state = 200},
  [1199] = {.lex_state = 200},
  [1200] = {.lex_state = 200},
  [1201] = {.lex_state = 200},
  [1202] = {.lex_state = 200},
  [1203] = {.lex_state = 200},
  [1204] = {.lex_state = 200},
  [1205] = {.lex_state = 200},
  [1206] = {.lex_state = 200},
  [1207] = {.lex_state = 200},
  [1208] = {.lex_state = 200},
  [1209] = {.lex_state = 200},
  [1210] = {.lex_state = 200},
  [1211] = {.lex_state = 200},
  [1212] = {.lex_state = 200},
  [1213] = {.lex_state = 200},
  [1214] = {.lex_state = 200},
  [1215] = {.lex_state = 200},
  [1216] = {.lex_state = 200},
  [1217] = {.lex_state = 200},
  [1218] = {.lex_state = 204},
  [1219] = {.lex_state = 204},
  [1220] = {.lex_state = 204},
  [1221] = {.lex_state = 204},
  [1222] = {.lex_state = 204},
  [1223] = {.lex_state = 204},
  [1224] = {.lex_state = 204},
  [1225] = {.lex_state = 204},
  [1226] = {.lex_state = 204},
  [1227] = {.lex_state = 204},
  [1228] = {.lex_state = 204},
  [1229] = {.lex_state = 204},
  [1230] = {.lex_state = 204},
  [1231] = {.lex_state = 204},
  [1232] = {.lex_state = 204},
  [1233] = {.lex_state = 204},
  [1234] = {.lex_state = 204},
  [1235] = {.lex_state = 204},
  [1236] = {.lex_state = 204},
  [1237] = {.lex_state = 204},
  [1238] = {.lex_state = 204},
  [1239] = {.lex_state = 204},
  [1240] = {.lex_state = 204},
  [1241] = {.lex_state = 204},
  [1242] = {.lex_state = 204},
  [1243] = {.lex_state = 204},
  [1244] = {.lex_state = 204},
  [1245] = {.lex_state = 204},
  [1246] = {.lex_state = 204},
  [1247] = {.lex_state = 204},
  [1248] = {.lex_state = 204},
  [1249] = {.lex_state = 204},
  [1250] = {.lex_state = 204},
  [1251] = {.lex_state = 204},
  [1252] = {.lex_state = 204},
  [1253] = {.lex_state = 204},
  [1254] = {.lex_state = 204},
  [1255] = {.lex_state = 204},
  [1256] = {.lex_state = 204},
  [1257] = {.lex_state = 204},
  [1258] = {.lex_state = 204},
  [1259] = {.lex_state = 204},
  [1260] = {.lex_state = 204},
  [1261] = {.lex_state = 204},
  [1262] = {.lex_state = 204},
  [1263] = {.lex_state = 204},
  [1264] = {.lex_state = 204},
  [1265] = {.lex_state = 204},
  [1266] = {.lex_state = 204},
  [1267] = {.lex_state = 222},
  [1268] = {.lex_state = 222},
  [1269] = {.lex_state = 204},
  [1270] = {.lex_state = 204},
  [1271] = {.lex_state = 204},
  [1272] = {.lex_state = 204},
  [1273] = {.lex_state = 222},
  [1274] = {.lex_state = 204},
  [1275] = {.lex_state = 219},
  [1276] = {.lex_state = 222},
  [1277] = {.lex_state = 222},
  [1278] = {.lex_state = 222},
  [1279] = {.lex_state = 222},
  [1280] = {.lex_state = 204},
  [1281] = {.lex_state = 222},
  [1282] = {.lex_state = 222},
  [1283] = {.lex_state = 222},
  [1284] = {.lex_state = 204},
  [1285] = {.lex_state = 204},
  [1286] = {.lex_state = 222},
  [1287] = {.lex_state = 222},
  [1288] = {.lex_state = 204},
  [1289] = {.lex_state = 204},
  [1290] = {.lex_state = 204},
  [1291] = {.lex_state = 204},
  [1292] = {.lex_state = 204},
  [1293] = {.lex_state = 204},
  [1294] = {.lex_state = 204},
  [1295] = {.lex_state = 204},
  [1296] = {.lex_state = 204},
  [1297] = {.lex_state = 204},
  [1298] = {.lex_state = 204},
  [1299] = {.lex_state = 222},
  [1300] = {.lex_state = 204},
  [1301] = {.lex_state = 204},
  [1302] = {.lex_state = 204},
  [1303] = {.lex_state = 204},
  [1304] = {.lex_state = 222},
  [1305] = {.lex_state = 204},
  [1306] = {.lex_state = 204},
  [1307] = {.lex_state = 204},
  [1308] = {.lex_state = 282},
  [1309] = {.lex_state = 204},
  [1310] = {.lex_state = 204},
  [1311] = {.lex_state = 204},
  [1312] = {.lex_state = 204},
  [1313] = {.lex_state = 204},
  [1314] = {.lex_state = 204},
  [1315] = {.lex_state = 203},
  [1316] = {.lex_state = 204},
  [1317] = {.lex_state = 204},
  [1318] = {.lex_state = 204},
  [1319] = {.lex_state = 204},
  [1320] = {.lex_state = 204},
  [1321] = {.lex_state = 204},
  [1322] = {.lex_state = 203},
  [1323] = {.lex_state = 203},
  [1324] = {.lex_state = 203},
  [1325] = {.lex_state = 203},
  [1326] = {.lex_state = 203},
  [1327] = {.lex_state = 204},
  [1328] = {.lex_state = 204},
  [1329] = {.lex_state = 204},
  [1330] = {.lex_state = 204},
  [1331] = {.lex_state = 204},
  [1332] = {.lex_state = 204},
  [1333] = {.lex_state = 204},
  [1334] = {.lex_state = 204},
  [1335] = {.lex_state = 203},
  [1336] = {.lex_state = 204},
  [1337] = {.lex_state = 204},
  [1338] = {.lex_state = 204},
  [1339] = {.lex_state = 203},
  [1340] = {.lex_state = 204},
  [1341] = {.lex_state = 203},
  [1342] = {.lex_state = 203},
  [1343] = {.lex_state = 203},
  [1344] = {.lex_state = 203},
  [1345] = {.lex_state = 203},
  [1346] = {.lex_state = 204},
  [1347] = {.lex_state = 204},
  [1348] = {.lex_state = 203},
  [1349] = {.lex_state = 203},
  [1350] = {.lex_state = 203},
  [1351] = {.lex_state = 204},
  [1352] = {.lex_state = 204},
  [1353] = {.lex_state = 204},
  [1354] = {.lex_state = 204},
  [1355] = {.lex_state = 204},
  [1356] = {.lex_state = 204},
  [1357] = {.lex_state = 204},
  [1358] = {.lex_state = 204},
  [1359] = {.lex_state = 203},
  [1360] = {.lex_state = 204},
  [1361] = {.lex_state = 204},
  [1362] = {.lex_state = 204},
  [1363] = {.lex_state = 203},
  [1364] = {.lex_state = 203},
  [1365] = {.lex_state = 204},
  [1366] = {.lex_state = 203},
  [1367] = {.lex_state = 204},
  [1368] = {.lex_state = 204},
  [1369] = {.lex_state = 203},
  [1370] = {.lex_state = 204},
  [1371] = {.lex_state = 203},
  [1372] = {.lex_state = 203},
  [1373] = {.lex_state = 203},
  [1374] = {.lex_state = 204},
  [1375] = {.lex_state = 204},
  [1376] = {.lex_state = 204},
  [1377] = {.lex_state = 204},
  [1378] = {.lex_state = 204},
  [1379] = {.lex_state = 203},
  [1380] = {.lex_state = 204},
  [1381] = {.lex_state = 203},
  [1382] = {.lex_state = 203},
  [1383] = {.lex_state = 204},
  [1384] = {.lex_state = 203},
  [1385] = {.lex_state = 203},
  [1386] = {.lex_state = 204},
  [1387] = {.lex_state = 204},
  [1388] = {.lex_state = 204},
  [1389] = {.lex_state = 203},
  [1390] = {.lex_state = 204},
  [1391] = {.lex_state = 204},
  [1392] = {.lex_state = 204},
  [1393] = {.lex_state = 204},
  [1394] = {.lex_state = 204},
  [1395] = {.lex_state = 204},
  [1396] = {.lex_state = 204},
  [1397] = {.lex_state = 204},
  [1398] = {.lex_state = 204},
  [1399] = {.lex_state = 204},
  [1400] = {.lex_state = 204},
  [1401] = {.lex_state = 204},
  [1402] = {.lex_state = 204},
  [1403] = {.lex_state = 204},
  [1404] = {.lex_state = 204},
  [1405] = {.lex_state = 204},
  [1406] = {.lex_state = 204},
  [1407] = {.lex_state = 204},
  [1408] = {.lex_state = 204},
  [1409] = {.lex_state = 204},
  [1410] = {.lex_state = 204},
  [1411] = {.lex_state = 204},
  [1412] = {.lex_state = 204},
  [1413] = {.lex_state = 204},
  [1414] = {.lex_state = 204},
  [1415] = {.lex_state = 204},
  [1416] = {.lex_state = 204},
  [1417] = {.lex_state = 204},
  [1418] = {.lex_state = 204},
  [1419] = {.lex_state = 204},
  [1420] = {.lex_state = 204},
  [1421] = {.lex_state = 204},
  [1422] = {.lex_state = 204},
  [1423] = {.lex_state = 204},
  [1424] = {.lex_state = 204},
  [1425] = {.lex_state = 204},
  [1426] = {.lex_state = 204},
  [1427] = {.lex_state = 204},
  [1428] = {.lex_state = 204},
  [1429] = {.lex_state = 204},
  [1430] = {.lex_state = 204},
  [1431] = {.lex_state = 204},
  [1432] = {.lex_state = 204},
  [1433] = {.lex_state = 204},
  [1434] = {.lex_state = 204},
  [1435] = {.lex_state = 204},
  [1436] = {.lex_state = 204},
  [1437] = {.lex_state = 204},
  [1438] = {.lex_state = 204},
  [1439] = {.lex_state = 204},
  [1440] = {.lex_state = 204},
  [1441] = {.lex_state = 204},
  [1442] = {.lex_state = 204},
  [1443] = {.lex_state = 204},
  [1444] = {.lex_state = 204},
  [1445] = {.lex_state = 204},
  [1446] = {.lex_state = 204},
  [1447] = {.lex_state = 204},
  [1448] = {.lex_state = 204},
  [1449] = {.lex_state = 204},
  [1450] = {.lex_state = 204},
  [1451] = {.lex_state = 204},
  [1452] = {.lex_state = 204},
  [1453] = {.lex_state = 204},
  [1454] = {.lex_state = 204},
  [1455] = {.lex_state = 204},
  [1456] = {.lex_state = 204},
  [1457] = {.lex_state = 204},
  [1458] = {.lex_state = 204},
  [1459] = {.lex_state = 204},
  [1460] = {.lex_state = 204},
  [1461] = {.lex_state = 204},
  [1462] = {.lex_state = 204},
  [1463] = {.lex_state = 204},
  [1464] = {.lex_state = 204},
  [1465] = {.lex_state = 204},
  [1466] = {.lex_state = 204},
  [1467] = {.lex_state = 204},
  [1468] = {.lex_state = 204},
  [1469] = {.lex_state = 204},
  [1470] = {.lex_state = 204},
  [1471] = {.lex_state = 204},
  [1472] = {.lex_state = 204},
  [1473] = {.lex_state = 204},
  [1474] = {.lex_state = 204},
  [1475] = {.lex_state = 204},
  [1476] = {.lex_state = 204},
  [1477] = {.lex_state = 204},
  [1478] = {.lex_state = 204},
  [1479] = {.lex_state = 204},
  [1480] = {.lex_state = 204},
  [1481] = {.lex_state = 204},
  [1482] = {.lex_state = 204},
  [1483] = {.lex_state = 204},
  [1484] = {.lex_state = 204},
  [1485] = {.lex_state = 204},
  [1486] = {.lex_state = 204},
  [1487] = {.lex_state = 204},
  [1488] = {.lex_state = 204},
  [1489] = {.lex_state = 204},
  [1490] = {.lex_state = 204},
  [1491] = {.lex_state = 204},
  [1492] = {.lex_state = 204},
  [1493] = {.lex_state = 204},
  [1494] = {.lex_state = 204},
  [1495] = {.lex_state = 204},
  [1496] = {.lex_state = 204},
  [1497] = {.lex_state = 204},
  [1498] = {.lex_state = 204},
  [1499] = {.lex_state = 204},
  [1500] = {.lex_state = 204},
  [1501] = {.lex_state = 204},
  [1502] = {.lex_state = 204},
  [1503] = {.lex_state = 204},
  [1504] = {.lex_state = 204},
  [1505] = {.lex_state = 204},
  [1506] = {.lex_state = 204},
  [1507] = {.lex_state = 204},
  [1508] = {.lex_state = 204},
  [1509] = {.lex_state = 204},
  [1510] = {.lex_state = 204},
  [1511] = {.lex_state = 204},
  [1512] = {.lex_state = 204},
  [1513] = {.lex_state = 204},
  [1514] = {.lex_state = 204},
  [1515] = {.lex_state = 204},
  [1516] = {.lex_state = 204},
  [1517] = {.lex_state = 204},
  [1518] = {.lex_state = 204},
  [1519] = {.lex_state = 204},
  [1520] = {.lex_state = 204},
  [1521] = {.lex_state = 204},
  [1522] = {.lex_state = 204},
  [1523] = {.lex_state = 204},
  [1524] = {.lex_state = 204},
  [1525] = {.lex_state = 204},
  [1526] = {.lex_state = 204},
  [1527] = {.lex_state = 204},
  [1528] = {.lex_state = 204},
  [1529] = {.lex_state = 204},
  [1530] = {.lex_state = 204},
  [1531] = {.lex_state = 204},
  [1532] = {.lex_state = 204},
  [1533] = {.lex_state = 204},
  [1534] = {.lex_state = 204},
  [1535] = {.lex_state = 204},
  [1536] = {.lex_state = 204},
  [1537] = {.lex_state = 204},
  [1538] = {.lex_state = 204},
  [1539] = {.lex_state = 204},
  [1540] = {.lex_state = 204},
  [1541] = {.lex_state = 204},
  [1542] = {.lex_state = 204},
  [1543] = {.lex_state = 204},
  [1544] = {.lex_state = 204},
  [1545] = {.lex_state = 204},
  [1546] = {.lex_state = 204},
  [1547] = {.lex_state = 204},
  [1548] = {.lex_state = 204},
  [1549] = {.lex_state = 204},
  [1550] = {.lex_state = 204},
  [1551] = {.lex_state = 204},
  [1552] = {.lex_state = 204},
  [1553] = {.lex_state = 204},
  [1554] = {.lex_state = 204},
  [1555] = {.lex_state = 204},
  [1556] = {.lex_state = 204},
  [1557] = {.lex_state = 204},
  [1558] = {.lex_state = 204},
  [1559] = {.lex_state = 204},
  [1560] = {.lex_state = 204},
  [1561] = {.lex_state = 204},
  [1562] = {.lex_state = 204},
  [1563] = {.lex_state = 204},
  [1564] = {.lex_state = 204},
  [1565] = {.lex_state = 204},
  [1566] = {.lex_state = 204},
  [1567] = {.lex_state = 204},
  [1568] = {.lex_state = 204},
  [1569] = {.lex_state = 204},
  [1570] = {.lex_state = 204},
  [1571] = {.lex_state = 204},
  [1572] = {.lex_state = 204},
  [1573] = {.lex_state = 204},
  [1574] = {.lex_state = 204},
  [1575] = {.lex_state = 204},
  [1576] = {.lex_state = 204},
  [1577] = {.lex_state = 204},
  [1578] = {.lex_state = 204},
  [1579] = {.lex_state = 204},
  [1580] = {.lex_state = 204},
  [1581] = {.lex_state = 204},
  [1582] = {.lex_state = 204},
  [1583] = {.lex_state = 204},
  [1584] = {.lex_state = 204},
  [1585] = {.lex_state = 204},
  [1586] = {.lex_state = 204},
  [1587] = {.lex_state = 204},
  [1588] = {.lex_state = 204},
  [1589] = {.lex_state = 204},
  [1590] = {.lex_state = 204},
  [1591] = {.lex_state = 204},
  [1592] = {.lex_state = 204},
  [1593] = {.lex_state = 204},
  [1594] = {.lex_state = 204},
  [1595] = {.lex_state = 204},
  [1596] = {.lex_state = 204},
  [1597] = {.lex_state = 204},
  [1598] = {.lex_state = 204},
  [1599] = {.lex_state = 204},
  [1600] = {.lex_state = 204},
  [1601] = {.lex_state = 204},
  [1602] = {.lex_state = 204},
  [1603] = {.lex_state = 204},
  [1604] = {.lex_state = 204},
  [1605] = {.lex_state = 204},
  [1606] = {.lex_state = 204},
  [1607] = {.lex_state = 204},
  [1608] = {.lex_state = 204},
  [1609] = {.lex_state = 204},
  [1610] = {.lex_state = 204},
  [1611] = {.lex_state = 204},
  [1612] = {.lex_state = 204},
  [1613] = {.lex_state = 204},
  [1614] = {.lex_state = 204},
  [1615] = {.lex_state = 204},
  [1616] = {.lex_state = 204},
  [1617] = {.lex_state = 204},
  [1618] = {.lex_state = 204},
  [1619] = {.lex_state = 204},
  [1620] = {.lex_state = 204},
  [1621] = {.lex_state = 204},
  [1622] = {.lex_state = 204},
  [1623] = {.lex_state = 204},
  [1624] = {.lex_state = 204},
  [1625] = {.lex_state = 204},
  [1626] = {.lex_state = 204},
  [1627] = {.lex_state = 204},
  [1628] = {.lex_state = 204},
  [1629] = {.lex_state = 204},
  [1630] = {.lex_state = 204},
  [1631] = {.lex_state = 204},
  [1632] = {.lex_state = 204},
  [1633] = {.lex_state = 204},
  [1634] = {.lex_state = 204},
  [1635] = {.lex_state = 204},
  [1636] = {.lex_state = 204},
  [1637] = {.lex_state = 204},
  [1638] = {.lex_state = 204},
  [1639] = {.lex_state = 204},
  [1640] = {.lex_state = 204},
  [1641] = {.lex_state = 204},
  [1642] = {.lex_state = 204},
  [1643] = {.lex_state = 204},
  [1644] = {.lex_state = 204},
  [1645] = {.lex_state = 204},
  [1646] = {.lex_state = 204},
  [1647] = {.lex_state = 204},
  [1648] = {.lex_state = 204},
  [1649] = {.lex_state = 204},
  [1650] = {.lex_state = 204},
  [1651] = {.lex_state = 204},
  [1652] = {.lex_state = 204},
  [1653] = {.lex_state = 204},
  [1654] = {.lex_state = 204},
  [1655] = {.lex_state = 204},
  [1656] = {.lex_state = 204},
  [1657] = {.lex_state = 204},
  [1658] = {.lex_state = 204},
  [1659] = {.lex_state = 204},
  [1660] = {.lex_state = 204},
  [1661] = {.lex_state = 204},
  [1662] = {.lex_state = 204},
  [1663] = {.lex_state = 204},
  [1664] = {.lex_state = 204},
  [1665] = {.lex_state = 204},
  [1666] = {.lex_state = 204},
  [1667] = {.lex_state = 204},
  [1668] = {.lex_state = 204},
  [1669] = {.lex_state = 204},
  [1670] = {.lex_state = 204},
  [1671] = {.lex_state = 204},
  [1672] = {.lex_state = 204},
  [1673] = {.lex_state = 204},
  [1674] = {.lex_state = 204},
  [1675] = {.lex_state = 204},
  [1676] = {.lex_state = 204},
  [1677] = {.lex_state = 204},
  [1678] = {.lex_state = 204},
  [1679] = {.lex_state = 204},
  [1680] = {.lex_state = 204},
  [1681] = {.lex_state = 204},
  [1682] = {.lex_state = 204},
  [1683] = {.lex_state = 204},
  [1684] = {.lex_state = 204},
  [1685] = {.lex_state = 204},
  [1686] = {.lex_state = 204},
  [1687] = {.lex_state = 204},
  [1688] = {.lex_state = 204},
  [1689] = {.lex_state = 204},
  [1690] = {.lex_state = 204},
  [1691] = {.lex_state = 204},
  [1692] = {.lex_state = 204},
  [1693] = {.lex_state = 204},
  [1694] = {.lex_state = 204},
  [1695] = {.lex_state = 204},
  [1696] = {.lex_state = 204},
  [1697] = {.lex_state = 204},
  [1698] = {.lex_state = 204},
  [1699] = {.lex_state = 204},
  [1700] = {.lex_state = 204},
  [1701] = {.lex_state = 204},
  [1702] = {.lex_state = 204},
  [1703] = {.lex_state = 204},
  [1704] = {.lex_state = 204},
  [1705] = {.lex_state = 204},
  [1706] = {.lex_state = 204},
  [1707] = {.lex_state = 204},
  [1708] = {.lex_state = 204},
  [1709] = {.lex_state = 204},
  [1710] = {.lex_state = 204},
  [1711] = {.lex_state = 204},
  [1712] = {.lex_state = 204},
  [1713] = {.lex_state = 204},
  [1714] = {.lex_state = 204},
  [1715] = {.lex_state = 204},
  [1716] = {.lex_state = 204},
  [1717] = {.lex_state = 204},
  [1718] = {.lex_state = 204},
  [1719] = {.lex_state = 204},
  [1720] = {.lex_state = 204},
  [1721] = {.lex_state = 204},
  [1722] = {.lex_state = 204},
  [1723] = {.lex_state = 204},
  [1724] = {.lex_state = 204},
  [1725] = {.lex_state = 204},
  [1726] = {.lex_state = 204},
  [1727] = {.lex_state = 204},
  [1728] = {.lex_state = 204},
  [1729] = {.lex_state = 204},
  [1730] = {.lex_state = 204},
  [1731] = {.lex_state = 204},
  [1732] = {.lex_state = 204},
  [1733] = {.lex_state = 204},
  [1734] = {.lex_state = 204},
  [1735] = {.lex_state = 204},
  [1736] = {.lex_state = 204},
  [1737] = {.lex_state = 204},
  [1738] = {.lex_state = 204},
  [1739] = {.lex_state = 204},
  [1740] = {.lex_state = 204},
  [1741] = {.lex_state = 204},
  [1742] = {.lex_state = 204},
  [1743] = {.lex_state = 204},
  [1744] = {.lex_state = 204},
  [1745] = {.lex_state = 204},
  [1746] = {.lex_state = 204},
  [1747] = {.lex_state = 204},
  [1748] = {.lex_state = 204},
  [1749] = {.lex_state = 204},
  [1750] = {.lex_state = 204},
  [1751] = {.lex_state = 204},
  [1752] = {.lex_state = 204},
  [1753] = {.lex_state = 204},
  [1754] = {.lex_state = 204},
  [1755] = {.lex_state = 204},
  [1756] = {.lex_state = 204},
  [1757] = {.lex_state = 204},
  [1758] = {.lex_state = 204},
  [1759] = {.lex_state = 204},
  [1760] = {.lex_state = 204},
  [1761] = {.lex_state = 204},
  [1762] = {.lex_state = 204},
  [1763] = {.lex_state = 204},
  [1764] = {.lex_state = 204},
  [1765] = {.lex_state = 204},
  [1766] = {.lex_state = 204},
  [1767] = {.lex_state = 204},
  [1768] = {.lex_state = 204},
  [1769] = {.lex_state = 204},
  [1770] = {.lex_state = 204},
  [1771] = {.lex_state = 204},
  [1772] = {.lex_state = 204},
  [1773] = {.lex_state = 204},
  [1774] = {.lex_state = 204},
  [1775] = {.lex_state = 204},
  [1776] = {.lex_state = 204},
  [1777] = {.lex_state = 204},
  [1778] = {.lex_state = 204},
  [1779] = {.lex_state = 204},
  [1780] = {.lex_state = 204},
  [1781] = {.lex_state = 204},
  [1782] = {.lex_state = 204},
  [1783] = {.lex_state = 204},
  [1784] = {.lex_state = 204},
  [1785] = {.lex_state = 204},
  [1786] = {.lex_state = 204},
  [1787] = {.lex_state = 204},
  [1788] = {.lex_state = 204},
  [1789] = {.lex_state = 204},
  [1790] = {.lex_state = 204},
  [1791] = {.lex_state = 204},
  [1792] = {.lex_state = 204},
  [1793] = {.lex_state = 204},
  [1794] = {.lex_state = 204},
  [1795] = {.lex_state = 204},
  [1796] = {.lex_state = 204},
  [1797] = {.lex_state = 204},
  [1798] = {.lex_state = 204},
  [1799] = {.lex_state = 204},
  [1800] = {.lex_state = 204},
  [1801] = {.lex_state = 204},
  [1802] = {.lex_state = 204},
  [1803] = {.lex_state = 204},
  [1804] = {.lex_state = 204},
  [1805] = {.lex_state = 204},
  [1806] = {.lex_state = 204},
  [1807] = {.lex_state = 204},
  [1808] = {.lex_state = 204},
  [1809] = {.lex_state = 204},
  [1810] = {.lex_state = 204},
  [1811] = {.lex_state = 204},
  [1812] = {.lex_state = 204},
  [1813] = {.lex_state = 204},
  [1814] = {.lex_state = 204},
  [1815] = {.lex_state = 204},
  [1816] = {.lex_state = 204},
  [1817] = {.lex_state = 204},
  [1818] = {.lex_state = 204},
  [1819] = {.lex_state = 204},
  [1820] = {.lex_state = 204},
  [1821] = {.lex_state = 204},
  [1822] = {.lex_state = 204},
  [1823] = {.lex_state = 204},
  [1824] = {.lex_state = 204},
  [1825] = {.lex_state = 204},
  [1826] = {.lex_state = 204},
  [1827] = {.lex_state = 204},
  [1828] = {.lex_state = 204},
  [1829] = {.lex_state = 204},
  [1830] = {.lex_state = 204},
  [1831] = {.lex_state = 204},
  [1832] = {.lex_state = 204},
  [1833] = {.lex_state = 204},
  [1834] = {.lex_state = 204},
  [1835] = {.lex_state = 204},
  [1836] = {.lex_state = 204},
  [1837] = {.lex_state = 204},
  [1838] = {.lex_state = 204},
  [1839] = {.lex_state = 204},
  [1840] = {.lex_state = 204},
  [1841] = {.lex_state = 204},
  [1842] = {.lex_state = 204},
  [1843] = {.lex_state = 204},
  [1844] = {.lex_state = 204},
  [1845] = {.lex_state = 204},
  [1846] = {.lex_state = 204},
  [1847] = {.lex_state = 204},
  [1848] = {.lex_state = 204},
  [1849] = {.lex_state = 204},
  [1850] = {.lex_state = 204},
  [1851] = {.lex_state = 204},
  [1852] = {.lex_state = 204},
  [1853] = {.lex_state = 204},
  [1854] = {.lex_state = 204},
  [1855] = {.lex_state = 204},
  [1856] = {.lex_state = 204},
  [1857] = {.lex_state = 204},
  [1858] = {.lex_state = 204},
  [1859] = {.lex_state = 204},
  [1860] = {.lex_state = 204},
  [1861] = {.lex_state = 204},
  [1862] = {.lex_state = 204},
  [1863] = {.lex_state = 204},
  [1864] = {.lex_state = 204},
  [1865] = {.lex_state = 204},
  [1866] = {.lex_state = 204},
  [1867] = {.lex_state = 204},
  [1868] = {.lex_state = 204},
  [1869] = {.lex_state = 204},
  [1870] = {.lex_state = 204},
  [1871] = {.lex_state = 204},
  [1872] = {.lex_state = 204},
  [1873] = {.lex_state = 204},
  [1874] = {.lex_state = 204},
  [1875] = {.lex_state = 204},
  [1876] = {.lex_state = 204},
  [1877] = {.lex_state = 204},
  [1878] = {.lex_state = 204},
  [1879] = {.lex_state = 204},
  [1880] = {.lex_state = 204},
  [1881] = {.lex_state = 204},
  [1882] = {.lex_state = 204},
  [1883] = {.lex_state = 204},
  [1884] = {.lex_state = 204},
  [1885] = {.lex_state = 204},
  [1886] = {.lex_state = 204},
  [1887] = {.lex_state = 204},
  [1888] = {.lex_state = 204},
  [1889] = {.lex_state = 204},
  [1890] = {.lex_state = 204},
  [1891] = {.lex_state = 204},
  [1892] = {.lex_state = 204},
  [1893] = {.lex_state = 204},
  [1894] = {.lex_state = 204},
  [1895] = {.lex_state = 204},
  [1896] = {.lex_state = 204},
  [1897] = {.lex_state = 204},
  [1898] = {.lex_state = 204},
  [1899] = {.lex_state = 204},
  [1900] = {.lex_state = 204},
  [1901] = {.lex_state = 204},
  [1902] = {.lex_state = 204},
  [1903] = {.lex_state = 204},
  [1904] = {.lex_state = 204},
  [1905] = {.lex_state = 204},
  [1906] = {.lex_state = 204},
  [1907] = {.lex_state = 204},
  [1908] = {.lex_state = 204},
  [1909] = {.lex_state = 204},
  [1910] = {.lex_state = 204},
  [1911] = {.lex_state = 204},
  [1912] = {.lex_state = 204},
  [1913] = {.lex_state = 204},
  [1914] = {.lex_state = 204},
  [1915] = {.lex_state = 204},
  [1916] = {.lex_state = 204},
  [1917] = {.lex_state = 204},
  [1918] = {.lex_state = 204},
  [1919] = {.lex_state = 204},
  [1920] = {.lex_state = 204},
  [1921] = {.lex_state = 204},
  [1922] = {.lex_state = 204},
  [1923] = {.lex_state = 204},
  [1924] = {.lex_state = 204},
  [1925] = {.lex_state = 204},
  [1926] = {.lex_state = 204},
  [1927] = {.lex_state = 204},
  [1928] = {.lex_state = 204},
  [1929] = {.lex_state = 204},
  [1930] = {.lex_state = 204},
  [1931] = {.lex_state = 204},
  [1932] = {.lex_state = 204},
  [1933] = {.lex_state = 204},
  [1934] = {.lex_state = 204},
  [1935] = {.lex_state = 204},
  [1936] = {.lex_state = 204},
  [1937] = {.lex_state = 204},
  [1938] = {.lex_state = 204},
  [1939] = {.lex_state = 204},
  [1940] = {.lex_state = 204},
  [1941] = {.lex_state = 204},
  [1942] = {.lex_state = 204},
  [1943] = {.lex_state = 204},
  [1944] = {.lex_state = 204},
  [1945] = {.lex_state = 204},
  [1946] = {.lex_state = 204},
  [1947] = {.lex_state = 204},
  [1948] = {.lex_state = 204},
  [1949] = {.lex_state = 204},
  [1950] = {.lex_state = 282},
  [1951] = {.lex_state = 282},
  [1952] = {.lex_state = 282},
  [1953] = {.lex_state = 282},
  [1954] = {.lex_state = 282},
  [1955] = {.lex_state = 200},
  [1956] = {.lex_state = 200},
  [1957] = {.lex_state = 200},
  [1958] = {.lex_state = 282},
  [1959] = {.lex_state = 244},
  [1960] = {.lex_state = 231},
  [1961] = {.lex_state = 244},
  [1962] = {.lex_state = 244},
  [1963] = {.lex_state = 244},
  [1964] = {.lex_state = 244},
  [1965] = {.lex_state = 244},
  [1966] = {.lex_state = 244},
  [1967] = {.lex_state = 282},
  [1968] = {.lex_state = 244},
  [1969] = {.lex_state = 244},
  [1970] = {.lex_state = 231},
  [1971] = {.lex_state = 231},
  [1972] = {.lex_state = 244},
  [1973] = {.lex_state = 231},
  [1974] = {.lex_state = 244},
  [1975] = {.lex_state = 244},
  [1976] = {.lex_state = 231},
  [1977] = {.lex_state = 231},
  [1978] = {.lex_state = 231},
  [1979] = {.lex_state = 231},
  [1980] = {.lex_state = 219},
  [1981] = {.lex_state = 231},
  [1982] = {.lex_state = 244},
  [1983] = {.lex_state = 220},
  [1984] = {.lex_state = 223},
  [1985] = {.lex_state = 231},
  [1986] = {.lex_state = 231},
  [1987] = {.lex_state = 231},
  [1988] = {.lex_state = 231},
  [1989] = {.lex_state = 231},
  [1990] = {.lex_state = 231},
  [1991] = {.lex_state = 231},
  [1992] = {.lex_state = 231},
  [1993] = {.lex_state = 282},
  [1994] = {.lex_state = 282},
  [1995] = {.lex_state = 282},
  [1996] = {.lex_state = 282},
  [1997] = {.lex_state = 282},
  [1998] = {.lex_state = 282},
  [1999] = {.lex_state = 282},
  [2000] = {.lex_state = 282},
  [2001] = {.lex_state = 226},
  [2002] = {.lex_state = 282},
  [2003] = {.lex_state = 282},
  [2004] = {.lex_state = 282},
  [2005] = {.lex_state = 282},
  [2006] = {.lex_state = 282},
  [2007] = {.lex_state = 226},
  [2008] = {.lex_state = 226},
  [2009] = {.lex_state = 282},
  [2010] = {.lex_state = 226},
  [2011] = {.lex_state = 226},
  [2012] = {.lex_state = 226},
  [2013] = {.lex_state = 226},
  [2014] = {.lex_state = 282},
  [2015] = {.lex_state = 282},
  [2016] = {.lex_state = 282},
  [2017] = {.lex_state = 282},
  [2018] = {.lex_state = 282},
  [2019] = {.lex_state = 282},
  [2020] = {.lex_state = 282},
  [2021] = {.lex_state = 282},
  [2022] = {.lex_state = 282},
  [2023] = {.lex_state = 282},
  [2024] = {.lex_state = 282},
  [2025] = {.lex_state = 282},
  [2026] = {.lex_state = 282},
  [2027] = {.lex_state = 282},
  [2028] = {.lex_state = 282},
  [2029] = {.lex_state = 282},
  [2030] = {.lex_state = 282},
  [2031] = {.lex_state = 282},
  [2032] = {.lex_state = 282},
  [2033] = {.lex_state = 282},
  [2034] = {.lex_state = 208},
  [2035] = {.lex_state = 200},
  [2036] = {.lex_state = 282},
  [2037] = {.lex_state = 200},
  [2038] = {.lex_state = 282},
  [2039] = {.lex_state = 282},
  [2040] = {.lex_state = 282},
  [2041] = {.lex_state = 206},
  [2042] = {.lex_state = 282},
  [2043] = {.lex_state = 206},
  [2044] = {.lex_state = 282},
  [2045] = {.lex_state = 230},
  [2046] = {.lex_state = 206},
  [2047] = {.lex_state = 226},
  [2048] = {.lex_state = 282},
  [2049] = {.lex_state = 282},
  [2050] = {.lex_state = 282},
  [2051] = {.lex_state = 282},
  [2052] = {.lex_state = 226},
  [2053] = {.lex_state = 282},
  [2054] = {.lex_state = 226},
  [2055] = {.lex_state = 282},
  [2056] = {.lex_state = 282},
  [2057] = {.lex_state = 260},
  [2058] = {.lex_state = 260},
  [2059] = {.lex_state = 260},
  [2060] = {.lex_state = 229},
  [2061] = {.lex_state = 260},
  [2062] = {.lex_state = 260},
  [2063] = {.lex_state = 282},
  [2064] = {.lex_state = 282},
  [2065] = {.lex_state = 260},
  [2066] = {.lex_state = 260},
  [2067] = {.lex_state = 265},
  [2068] = {.lex_state = 204},
  [2069] = {.lex_state = 206},
  [2070] = {.lex_state = 265},
  [2071] = {.lex_state = 252},
  [2072] = {.lex_state = 265},
  [2073] = {.lex_state = 252},
  [2074] = {.lex_state = 282},
  [2075] = {.lex_state = 206},
  [2076] = {.lex_state = 252},
  [2077] = {.lex_state = 282},
  [2078] = {.lex_state = 282},
  [2079] = {.lex_state = 282},
  [2080] = {.lex_state = 252},
  [2081] = {.lex_state = 265},
  [2082] = {.lex_state = 206},
  [2083] = {.lex_state = 265},
  [2084] = {.lex_state = 282},
  [2085] = {.lex_state = 265},
  [2086] = {.lex_state = 206},
  [2087] = {.lex_state = 265},
  [2088] = {.lex_state = 282},
  [2089] = {.lex_state = 282},
  [2090] = {.lex_state = 282},
  [2091] = {.lex_state = 226},
  [2092] = {.lex_state = 282},
  [2093] = {.lex_state = 282},
  [2094] = {.lex_state = 282},
  [2095] = {.lex_state = 282},
  [2096] = {.lex_state = 282},
  [2097] = {.lex_state = 282},
  [2098] = {.lex_state = 243},
  [2099] = {.lex_state = 282},
  [2100] = {.lex_state = 282},
  [2101] = {.lex_state = 282},
  [2102] = {.lex_state = 282},
  [2103] = {.lex_state = 282},
  [2104] = {.lex_state = 282},
  [2105] = {.lex_state = 252},
  [2106] = {.lex_state = 282},
  [2107] = {.lex_state = 282},
  [2108] = {.lex_state = 282},
  [2109] = {.lex_state = 226},
  [2110] = {.lex_state = 282},
  [2111] = {.lex_state = 282},
  [2112] = {.lex_state = 282},
  [2113] = {.lex_state = 282},
  [2114] = {.lex_state = 282},
  [2115] = {.lex_state = 282},
  [2116] = {.lex_state = 282},
  [2117] = {.lex_state = 282},
  [2118] = {.lex_state = 282},
  [2119] = {.lex_state = 282},
  [2120] = {.lex_state = 282},
  [2121] = {.lex_state = 282},
  [2122] = {.lex_state = 282},
  [2123] = {.lex_state = 226},
  [2124] = {.lex_state = 282},
  [2125] = {.lex_state = 282},
  [2126] = {.lex_state = 282},
  [2127] = {.lex_state = 282},
  [2128] = {.lex_state = 234},
  [2129] = {.lex_state = 282},
  [2130] = {.lex_state = 282},
  [2131] = {.lex_state = 243},
  [2132] = {.lex_state = 282},
  [2133] = {.lex_state = 282},
  [2134] = {.lex_state = 252},
  [2135] = {.lex_state = 282},
  [2136] = {.lex_state = 282},
  [2137] = {.lex_state = 282},
  [2138] = {.lex_state = 226},
  [2139] = {.lex_state = 243},
  [2140] = {.lex_state = 282},
  [2141] = {.lex_state = 282},
  [2142] = {.lex_state = 282},
  [2143] = {.lex_state = 282},
  [2144] = {.lex_state = 282},
  [2145] = {.lex_state = 282},
  [2146] = {.lex_state = 282},
  [2147] = {.lex_state = 282},
  [2148] = {.lex_state = 282},
  [2149] = {.lex_state = 226},
  [2150] = {.lex_state = 226},
  [2151] = {.lex_state = 282},
  [2152] = {.lex_state = 282},
  [2153] = {.lex_state = 282},
  [2154] = {.lex_state = 282},
  [2155] = {.lex_state = 282},
  [2156] = {.lex_state = 282},
  [2157] = {.lex_state = 282},
  [2158] = {.lex_state = 282},
  [2159] = {.lex_state = 282},
  [2160] = {.lex_state = 282},
  [2161] = {.lex_state = 282},
  [2162] = {.lex_state = 282},
  [2163] = {.lex_state = 282},
  [2164] = {.lex_state = 282},
  [2165] = {.lex_state = 282},
  [2166] = {.lex_state = 282},
  [2167] = {.lex_state = 282},
  [2168] = {.lex_state = 282},
  [2169] = {.lex_state = 282},
  [2170] = {.lex_state = 282},
  [2171] = {.lex_state = 282},
  [2172] = {.lex_state = 243},
  [2173] = {.lex_state = 230},
  [2174] = {.lex_state = 252},
  [2175] = {.lex_state = 282},
  [2176] = {.lex_state = 282},
  [2177] = {.lex_state = 243},
  [2178] = {.lex_state = 282},
  [2179] = {.lex_state = 226},
  [2180] = {.lex_state = 282},
  [2181] = {.lex_state = 226},
  [2182] = {.lex_state = 252},
  [2183] = {.lex_state = 243},
  [2184] = {.lex_state = 282},
  [2185] = {.lex_state = 226},
  [2186] = {.lex_state = 282},
  [2187] = {.lex_state = 282},
  [2188] = {.lex_state = 282},
  [2189] = {.lex_state = 282},
  [2190] = {.lex_state = 282},
  [2191] = {.lex_state = 282},
  [2192] = {.lex_state = 282},
  [2193] = {.lex_state = 282},
  [2194] = {.lex_state = 243},
  [2195] = {.lex_state = 226},
  [2196] = {.lex_state = 282},
  [2197] = {.lex_state = 282},
  [2198] = {.lex_state = 282},
  [2199] = {.lex_state = 226},
  [2200] = {.lex_state = 226},
  [2201] = {.lex_state = 243},
  [2202] = {.lex_state = 282},
  [2203] = {.lex_state = 282},
  [2204] = {.lex_state = 208},
  [2205] = {.lex_state = 243},
  [2206] = {.lex_state = 282},
  [2207] = {.lex_state = 243},
  [2208] = {.lex_state = 231},
  [2209] = {.lex_state = 226},
  [2210] = {.lex_state = 226},
  [2211] = {.lex_state = 282},
  [2212] = {.lex_state = 243},
  [2213] = {.lex_state = 243},
  [2214] = {.lex_state = 243},
  [2215] = {.lex_state = 282},
  [2216] = {.lex_state = 282},
  [2217] = {.lex_state = 230},
  [2218] = {.lex_state = 231},
  [2219] = {.lex_state = 280},
  [2220] = {.lex_state = 230},
  [2221] = {.lex_state = 230},
  [2222] = {.lex_state = 282},
  [2223] = {.lex_state = 230},
  [2224] = {.lex_state = 230},
  [2225] = {.lex_state = 230},
  [2226] = {.lex_state = 230},
  [2227] = {.lex_state = 230},
  [2228] = {.lex_state = 230},
  [2229] = {.lex_state = 230},
  [2230] = {.lex_state = 283},
  [2231] = {.lex_state = 230},
  [2232] = {.lex_state = 252},
  [2233] = {.lex_state = 282},
  [2234] = {.lex_state = 230},
  [2235] = {.lex_state = 230},
  [2236] = {.lex_state = 252},
  [2237] = {.lex_state = 252},
  [2238] = {.lex_state = 230},
  [2239] = {.lex_state = 230},
  [2240] = {.lex_state = 283},
  [2241] = {.lex_state = 282},
  [2242] = {.lex_state = 282},
  [2243] = {.lex_state = 230},
  [2244] = {.lex_state = 282},
  [2245] = {.lex_state = 280},
  [2246] = {.lex_state = 230},
  [2247] = {.lex_state = 204},
  [2248] = {.lex_state = 282},
  [2249] = {.lex_state = 230},
  [2250] = {.lex_state = 230},
  [2251] = {.lex_state = 252},
  [2252] = {.lex_state = 230},
  [2253] = {.lex_state = 283},
  [2254] = {.lex_state = 230},
  [2255] = {.lex_state = 280},
  [2256] = {.lex_state = 230},
  [2257] = {.lex_state = 230},
  [2258] = {.lex_state = 230},
  [2259] = {.lex_state = 230},
  [2260] = {.lex_state = 230},
  [2261] = {.lex_state = 230},
  [2262] = {.lex_state = 230},
  [2263] = {.lex_state = 230},
  [2264] = {.lex_state = 260},
  [2265] = {.lex_state = 230},
  [2266] = {.lex_state = 230},
  [2267] = {.lex_state = 230},
  [2268] = {.lex_state = 230},
  [2269] = {.lex_state = 230},
  [2270] = {.lex_state = 252},
  [2271] = {.lex_state = 280},
  [2272] = {.lex_state = 230},
  [2273] = {.lex_state = 230},
  [2274] = {.lex_state = 230},
  [2275] = {.lex_state = 230},
  [2276] = {.lex_state = 230},
  [2277] = {.lex_state = 230},
  [2278] = {.lex_state = 283},
  [2279] = {.lex_state = 230},
  [2280] = {.lex_state = 252},
  [2281] = {.lex_state = 252},
  [2282] = {.lex_state = 252},
  [2283] = {.lex_state = 252},
  [2284] = {.lex_state = 252},
  [2285] = {.lex_state = 234},
  [2286] = {.lex_state = 252},
  [2287] = {.lex_state = 252},
  [2288] = {.lex_state = 252},
  [2289] = {.lex_state = 252},
  [2290] = {.lex_state = 252},
  [2291] = {.lex_state = 252},
  [2292] = {.lex_state = 252},
  [2293] = {.lex_state = 213},
  [2294] = {.lex_state = 252},
  [2295] = {.lex_state = 252},
  [2296] = {.lex_state = 252},
  [2297] = {.lex_state = 283},
  [2298] = {.lex_state = 252},
  [2299] = {.lex_state = 252},
  [2300] = {.lex_state = 252},
  [2301] = {.lex_state = 252},
  [2302] = {.lex_state = 252},
  [2303] = {.lex_state = 206},
  [2304] = {.lex_state = 206},
  [2305] = {.lex_state = 283},
  [2306] = {.lex_state = 252},
  [2307] = {.lex_state = 229},
  [2308] = {.lex_state = 283},
  [2309] = {.lex_state = 252},
  [2310] = {.lex_state = 252},
  [2311] = {.lex_state = 252},
  [2312] = {.lex_state = 213},
  [2313] = {.lex_state = 252},
  [2314] = {.lex_state = 252},
  [2315] = {.lex_state = 252},
  [2316] = {.lex_state = 252},
  [2317] = {.lex_state = 252},
  [2318] = {.lex_state = 234},
  [2319] = {.lex_state = 260},
  [2320] = {.lex_state = 252},
  [2321] = {.lex_state = 252},
  [2322] = {.lex_state = 280},
  [2323] = {.lex_state = 280},
  [2324] = {.lex_state = 252},
  [2325] = {.lex_state = 252},
  [2326] = {.lex_state = 252},
  [2327] = {.lex_state = 252},
  [2328] = {.lex_state = 252},
  [2329] = {.lex_state = 232},
  [2330] = {.lex_state = 252},
  [2331] = {.lex_state = 252},
  [2332] = {.lex_state = 252},
  [2333] = {.lex_state = 252},
  [2334] = {.lex_state = 252},
  [2335] = {.lex_state = 280},
  [2336] = {.lex_state = 280},
  [2337] = {.lex_state = 232},
  [2338] = {.lex_state = 252},
  [2339] = {.lex_state = 252},
  [2340] = {.lex_state = 252},
  [2341] = {.lex_state = 234},
  [2342] = {.lex_state = 252},
  [2343] = {.lex_state = 234},
  [2344] = {.lex_state = 252},
  [2345] = {.lex_state = 252},
  [2346] = {.lex_state = 252},
  [2347] = {.lex_state = 252},
  [2348] = {.lex_state = 252},
  [2349] = {.lex_state = 252},
  [2350] = {.lex_state = 252},
  [2351] = {.lex_state = 252},
  [2352] = {.lex_state = 252},
  [2353] = {.lex_state = 252},
  [2354] = {.lex_state = 252},
  [2355] = {.lex_state = 252},
  [2356] = {.lex_state = 229},
  [2357] = {.lex_state = 252},
  [2358] = {.lex_state = 252},
  [2359] = {.lex_state = 252},
  [2360] = {.lex_state = 252},
  [2361] = {.lex_state = 252},
  [2362] = {.lex_state = 252},
  [2363] = {.lex_state = 252},
  [2364] = {.lex_state = 252},
  [2365] = {.lex_state = 252},
  [2366] = {.lex_state = 252},
  [2367] = {.lex_state = 252},
  [2368] = {.lex_state = 252},
  [2369] = {.lex_state = 252},
  [2370] = {.lex_state = 252},
  [2371] = {.lex_state = 283},
  [2372] = {.lex_state = 252},
  [2373] = {.lex_state = 252},
  [2374] = {.lex_state = 252},
  [2375] = {.lex_state = 252},
  [2376] = {.lex_state = 252},
  [2377] = {.lex_state = 252},
  [2378] = {.lex_state = 252},
  [2379] = {.lex_state = 252},
  [2380] = {.lex_state = 234},
  [2381] = {.lex_state = 252},
  [2382] = {.lex_state = 252},
  [2383] = {.lex_state = 252},
  [2384] = {.lex_state = 252},
  [2385] = {.lex_state = 252},
  [2386] = {.lex_state = 265},
  [2387] = {.lex_state = 280},
  [2388] = {.lex_state = 232},
  [2389] = {.lex_state = 283},
  [2390] = {.lex_state = 283},
  [2391] = {.lex_state = 208},
  [2392] = {.lex_state = 208},
  [2393] = {.lex_state = 206},
  [2394] = {.lex_state = 283},
  [2395] = {.lex_state = 280},
  [2396] = {.lex_state = 283},
  [2397] = {.lex_state = 229},
  [2398] = {.lex_state = 282},
  [2399] = {.lex_state = 219},
  [2400] = {.lex_state = 222},
  [2401] = {.lex_state = 219},
  [2402] = {.lex_state = 229},
  [2403] = {.lex_state = 280},
  [2404] = {.lex_state = 206},
  [2405] = {.lex_state = 237},
  [2406] = {.lex_state = 280},
  [2407] = {.lex_state = 232},
  [2408] = {.lex_state = 265},
  [2409] = {.lex_state = 222},
  [2410] = {.lex_state = 232},
  [2411] = {.lex_state = 211},
  [2412] = {.lex_state = 232},
  [2413] = {.lex_state = 232},
  [2414] = {.lex_state = 232},
  [2415] = {.lex_state = 232},
  [2416] = {.lex_state = 283},
  [2417] = {.lex_state = 282},
  [2418] = {.lex_state = 211},
  [2419] = {.lex_state = 232},
  [2420] = {.lex_state = 222},
  [2421] = {.lex_state = 232},
  [2422] = {.lex_state = 211},
  [2423] = {.lex_state = 232},
  [2424] = {.lex_state = 280},
  [2425] = {.lex_state = 208},
  [2426] = {.lex_state = 232},
  [2427] = {.lex_state = 232},
  [2428] = {.lex_state = 283},
  [2429] = {.lex_state = 280},
  [2430] = {.lex_state = 283},
  [2431] = {.lex_state = 211},
  [2432] = {.lex_state = 283},
  [2433] = {.lex_state = 280},
  [2434] = {.lex_state = 280},
  [2435] = {.lex_state = 234},
  [2436] = {.lex_state = 280},
  [2437] = {.lex_state = 280},
  [2438] = {.lex_state = 280},
  [2439] = {.lex_state = 283},
  [2440] = {.lex_state = 208},
  [2441] = {.lex_state = 280},
  [2442] = {.lex_state = 280},
  [2443] = {.lex_state = 280},
  [2444] = {.lex_state = 234},
  [2445] = {.lex_state = 280},
  [2446] = {.lex_state = 280},
  [2447] = {.lex_state = 280},
  [2448] = {.lex_state = 280},
  [2449] = {.lex_state = 208},
  [2450] = {.lex_state = 280},
  [2451] = {.lex_state = 280},
  [2452] = {.lex_state = 280},
  [2453] = {.lex_state = 280},
  [2454] = {.lex_state = 280},
  [2455] = {.lex_state = 208},
  [2456] = {.lex_state = 280},
  [2457] = {.lex_state = 280},
  [2458] = {.lex_state = 280},
  [2459] = {.lex_state = 259},
  [2460] = {.lex_state = 280},
  [2461] = {.lex_state = 238},
  [2462] = {.lex_state = 280},
  [2463] = {.lex_state = 280},
  [2464] = {.lex_state = 283},
  [2465] = {.lex_state = 280},
  [2466] = {.lex_state = 283},
  [2467] = {.lex_state = 280},
  [2468] = {.lex_state = 280},
  [2469] = {.lex_state = 280},
  [2470] = {.lex_state = 216},
  [2471] = {.lex_state = 280},
  [2472] = {.lex_state = 208},
  [2473] = {.lex_state = 280},
  [2474] = {.lex_state = 283},
  [2475] = {.lex_state = 238},
  [2476] = {.lex_state = 283},
  [2477] = {.lex_state = 283},
  [2478] = {.lex_state = 234},
  [2479] = {.lex_state = 283},
  [2480] = {.lex_state = 283},
  [2481] = {.lex_state = 280},
  [2482] = {.lex_state = 280},
  [2483] = {.lex_state = 280},
  [2484] = {.lex_state = 280},
  [2485] = {.lex_state = 280},
  [2486] = {.lex_state = 280},
  [2487] = {.lex_state = 283},
  [2488] = {.lex_state = 280},
  [2489] = {.lex_state = 280},
  [2490] = {.lex_state = 216},
  [2491] = {.lex_state = 280},
  [2492] = {.lex_state = 280},
  [2493] = {.lex_state = 280},
  [2494] = {.lex_state = 280},
  [2495] = {.lex_state = 280},
  [2496] = {.lex_state = 211},
  [2497] = {.lex_state = 280},
  [2498] = {.lex_state = 280},
  [2499] = {.lex_state = 280},
  [2500] = {.lex_state = 280},
  [2501] = {.lex_state = 280},
  [2502] = {.lex_state = 280},
  [2503] = {.lex_state = 208},
  [2504] = {.lex_state = 280},
  [2505] = {.lex_state = 283},
  [2506] = {.lex_state = 283},
  [2507] = {.lex_state = 283},
  [2508] = {.lex_state = 283},
  [2509] = {.lex_state = 283},
  [2510] = {.lex_state = 283},
  [2511] = {.lex_state = 283},
  [2512] = {.lex_state = 283},
  [2513] = {.lex_state = 283},
  [2514] = {.lex_state = 283},
  [2515] = {.lex_state = 283},
  [2516] = {.lex_state = 283},
  [2517] = {.lex_state = 283},
  [2518] = {.lex_state = 283},
  [2519] = {.lex_state = 208},
  [2520] = {.lex_state = 216},
  [2521] = {.lex_state = 208},
  [2522] = {.lex_state = 208},
  [2523] = {.lex_state = 280},
  [2524] = {.lex_state = 280},
  [2525] = {.lex_state = 280},
  [2526] = {.lex_state = 280},
  [2527] = {.lex_state = 280},
  [2528] = {.lex_state = 220},
  [2529] = {.lex_state = 208},
  [2530] = {.lex_state = 208},
  [2531] = {.lex_state = 280},
  [2532] = {.lex_state = 280},
  [2533] = {.lex_state = 280},
  [2534] = {.lex_state = 283},
  [2535] = {.lex_state = 283},
  [2536] = {.lex_state = 283},
  [2537] = {.lex_state = 280},
  [2538] = {.lex_state = 283},
  [2539] = {.lex_state = 280},
  [2540] = {.lex_state = 280},
  [2541] = {.lex_state = 283},
  [2542] = {.lex_state = 283},
  [2543] = {.lex_state = 283},
  [2544] = {.lex_state = 280},
  [2545] = {.lex_state = 283},
  [2546] = {.lex_state = 283},
  [2547] = {.lex_state = 283},
  [2548] = {.lex_state = 283},
  [2549] = {.lex_state = 280},
  [2550] = {.lex_state = 206},
  [2551] = {.lex_state = 283},
  [2552] = {.lex_state = 283},
  [2553] = {.lex_state = 283},
  [2554] = {.lex_state = 283},
  [2555] = {.lex_state = 283},
  [2556] = {.lex_state = 283},
  [2557] = {.lex_state = 283},
  [2558] = {.lex_state = 283},
  [2559] = {.lex_state = 283},
  [2560] = {.lex_state = 283},
  [2561] = {.lex_state = 280},
  [2562] = {.lex_state = 280},
  [2563] = {.lex_state = 280},
  [2564] = {.lex_state = 280},
  [2565] = {.lex_state = 280},
  [2566] = {.lex_state = 280},
  [2567] = {.lex_state = 206},
  [2568] = {.lex_state = 283},
  [2569] = {.lex_state = 283},
  [2570] = {.lex_state = 283},
  [2571] = {.lex_state = 280},
  [2572] = {.lex_state = 283},
  [2573] = {.lex_state = 283},
  [2574] = {.lex_state = 283},
  [2575] = {.lex_state = 283},
  [2576] = {.lex_state = 280},
  [2577] = {.lex_state = 280},
  [2578] = {.lex_state = 283},
  [2579] = {.lex_state = 283},
  [2580] = {.lex_state = 283},
  [2581] = {.lex_state = 283},
  [2582] = {.lex_state = 283},
  [2583] = {.lex_state = 283},
  [2584] = {.lex_state = 283},
  [2585] = {.lex_state = 220},
  [2586] = {.lex_state = 283},
  [2587] = {.lex_state = 206},
  [2588] = {.lex_state = 283},
  [2589] = {.lex_state = 283},
  [2590] = {.lex_state = 283},
  [2591] = {.lex_state = 283},
  [2592] = {.lex_state = 283},
  [2593] = {.lex_state = 283},
  [2594] = {.lex_state = 283},
  [2595] = {.lex_state = 283},
  [2596] = {.lex_state = 283},
  [2597] = {.lex_state = 283},
  [2598] = {.lex_state = 280},
  [2599] = {.lex_state = 283},
  [2600] = {.lex_state = 280},
  [2601] = {.lex_state = 280},
  [2602] = {.lex_state = 232},
  [2603] = {.lex_state = 280},
  [2604] = {.lex_state = 283},
  [2605] = {.lex_state = 280},
  [2606] = {.lex_state = 280},
  [2607] = {.lex_state = 283},
  [2608] = {.lex_state = 280},
  [2609] = {.lex_state = 280},
  [2610] = {.lex_state = 283},
  [2611] = {.lex_state = 283},
  [2612] = {.lex_state = 283},
  [2613] = {.lex_state = 242},
  [2614] = {.lex_state = 280},
  [2615] = {.lex_state = 283},
  [2616] = {.lex_state = 280},
  [2617] = {.lex_state = 280},
  [2618] = {.lex_state = 283},
  [2619] = {.lex_state = 283},
  [2620] = {.lex_state = 283},
  [2621] = {.lex_state = 280},
  [2622] = {.lex_state = 283},
  [2623] = {.lex_state = 283},
  [2624] = {.lex_state = 223},
  [2625] = {.lex_state = 223},
  [2626] = {.lex_state = 206},
  [2627] = {.lex_state = 282},
  [2628] = {.lex_state = 282},
  [2629] = {.lex_state = 259},
  [2630] = {.lex_state = 282},
  [2631] = {.lex_state = 282},
  [2632] = {.lex_state = 234},
  [2633] = {.lex_state = 234},
  [2634] = {.lex_state = 234},
  [2635] = {.lex_state = 234},
  [2636] = {.lex_state = 242},
  [2637] = {.lex_state = 282},
  [2638] = {.lex_state = 282},
  [2639] = {.lex_state = 242},
  [2640] = {.lex_state = 282},
  [2641] = {.lex_state = 232},
  [2642] = {.lex_state = 282},
  [2643] = {.lex_state = 282},
  [2644] = {.lex_state = 232},
  [2645] = {.lex_state = 206},
  [2646] = {.lex_state = 233},
  [2647] = {.lex_state = 217},
  [2648] = {.lex_state = 282},
  [2649] = {.lex_state = 206},
  [2650] = {.lex_state = 259},
  [2651] = {.lex_state = 208},
  [2652] = {.lex_state = 238},
  [2653] = {.lex_state = 282},
  [2654] = {.lex_state = 282},
  [2655] = {.lex_state = 233},
  [2656] = {.lex_state = 206},
  [2657] = {.lex_state = 238},
  [2658] = {.lex_state = 233},
  [2659] = {.lex_state = 238},
  [2660] = {.lex_state = 238},
  [2661] = {.lex_state = 234},
  [2662] = {.lex_state = 238},
  [2663] = {.lex_state = 282},
  [2664] = {.lex_state = 234},
  [2665] = {.lex_state = 217},
  [2666] = {.lex_state = 234},
  [2667] = {.lex_state = 234},
  [2668] = {.lex_state = 217},
  [2669] = {.lex_state = 234},
  [2670] = {.lex_state = 234},
  [2671] = {.lex_state = 234},
  [2672] = {.lex_state = 233},
  [2673] = {.lex_state = 282},
  [2674] = {.lex_state = 234},
  [2675] = {.lex_state = 232},
  [2676] = {.lex_state = 234},
  [2677] = {.lex_state = 282},
  [2678] = {.lex_state = 232},
  [2679] = {.lex_state = 238},
  [2680] = {.lex_state = 238},
  [2681] = {.lex_state = 238},
  [2682] = {.lex_state = 232},
  [2683] = {.lex_state = 282},
  [2684] = {.lex_state = 256},
  [2685] = {.lex_state = 234},
  [2686] = {.lex_state = 211},
  [2687] = {.lex_state = 234},
  [2688] = {.lex_state = 234},
  [2689] = {.lex_state = 233},
  [2690] = {.lex_state = 257},
  [2691] = {.lex_state = 234},
  [2692] = {.lex_state = 234},
  [2693] = {.lex_state = 234},
  [2694] = {.lex_state = 234},
  [2695] = {.lex_state = 234},
  [2696] = {.lex_state = 233},
  [2697] = {.lex_state = 233},
  [2698] = {.lex_state = 234},
  [2699] = {.lex_state = 206},
  [2700] = {.lex_state = 234},
  [2701] = {.lex_state = 234},
  [2702] = {.lex_state = 233},
  [2703] = {.lex_state = 234},
  [2704] = {.lex_state = 234},
  [2705] = {.lex_state = 234},
  [2706] = {.lex_state = 234},
  [2707] = {.lex_state = 234},
  [2708] = {.lex_state = 234},
  [2709] = {.lex_state = 233},
  [2710] = {.lex_state = 233},
  [2711] = {.lex_state = 245},
  [2712] = {.lex_state = 234},
  [2713] = {.lex_state = 234},
  [2714] = {.lex_state = 234},
  [2715] = {.lex_state = 234},
  [2716] = {.lex_state = 234},
  [2717] = {.lex_state = 233},
  [2718] = {.lex_state = 233},
  [2719] = {.lex_state = 234},
  [2720] = {.lex_state = 234},
  [2721] = {.lex_state = 234},
  [2722] = {.lex_state = 234},
  [2723] = {.lex_state = 234},
  [2724] = {.lex_state = 206},
  [2725] = {.lex_state = 234},
  [2726] = {.lex_state = 234},
  [2727] = {.lex_state = 234},
  [2728] = {.lex_state = 234},
  [2729] = {.lex_state = 234},
  [2730] = {.lex_state = 234},
  [2731] = {.lex_state = 234},
  [2732] = {.lex_state = 234},
  [2733] = {.lex_state = 234},
  [2734] = {.lex_state = 234},
  [2735] = {.lex_state = 234},
  [2736] = {.lex_state = 234},
  [2737] = {.lex_state = 234},
  [2738] = {.lex_state = 234},
  [2739] = {.lex_state = 233},
  [2740] = {.lex_state = 234},
  [2741] = {.lex_state = 256},
  [2742] = {.lex_state = 234},
  [2743] = {.lex_state = 234},
  [2744] = {.lex_state = 211},
  [2745] = {.lex_state = 234},
  [2746] = {.lex_state = 233},
  [2747] = {.lex_state = 211},
  [2748] = {.lex_state = 216},
  [2749] = {.lex_state = 234},
  [2750] = {.lex_state = 234},
  [2751] = {.lex_state = 211},
  [2752] = {.lex_state = 281},
  [2753] = {.lex_state = 234},
  [2754] = {.lex_state = 208},
  [2755] = {.lex_state = 233},
  [2756] = {.lex_state = 234},
  [2757] = {.lex_state = 234},
  [2758] = {.lex_state = 233},
  [2759] = {.lex_state = 234},
  [2760] = {.lex_state = 216},
  [2761] = {.lex_state = 238},
  [2762] = {.lex_state = 232},
  [2763] = {.lex_state = 256},
  [2764] = {.lex_state = 246},
  [2765] = {.lex_state = 216},
  [2766] = {.lex_state = 234},
  [2767] = {.lex_state = 282},
  [2768] = {.lex_state = 232},
  [2769] = {.lex_state = 206},
  [2770] = {.lex_state = 234},
  [2771] = {.lex_state = 217},
  [2772] = {.lex_state = 234},
  [2773] = {.lex_state = 216},
  [2774] = {.lex_state = 216},
  [2775] = {.lex_state = 234},
  [2776] = {.lex_state = 232},
  [2777] = {.lex_state = 234},
  [2778] = {.lex_state = 245},
  [2779] = {.lex_state = 282},
  [2780] = {.lex_state = 234},
  [2781] = {.lex_state = 232},
  [2782] = {.lex_state = 206},
  [2783] = {.lex_state = 234},
  [2784] = {.lex_state = 257},
  [2785] = {.lex_state = 234},
  [2786] = {.lex_state = 234},
  [2787] = {.lex_state = 216},
  [2788] = {.lex_state = 216},
  [2789] = {.lex_state = 206},
  [2790] = {.lex_state = 234},
  [2791] = {.lex_state = 217},
  [2792] = {.lex_state = 216},
  [2793] = {.lex_state = 234},
  [2794] = {.lex_state = 232},
  [2795] = {.lex_state = 257},
  [2796] = {.lex_state = 234},
  [2797] = {.lex_state = 206},
  [2798] = {.lex_state = 216},
  [2799] = {.lex_state = 282},
  [2800] = {.lex_state = 233},
  [2801] = {.lex_state = 234},
  [2802] = {.lex_state = 216},
  [2803] = {.lex_state = 233},
  [2804] = {.lex_state = 216},
  [2805] = {.lex_state = 233},
  [2806] = {.lex_state = 234},
  [2807] = {.lex_state = 216},
  [2808] = {.lex_state = 233},
  [2809] = {.lex_state = 217},
  [2810] = {.lex_state = 245},
  [2811] = {.lex_state = 233},
  [2812] = {.lex_state = 217},
  [2813] = {.lex_state = 245},
  [2814] = {.lex_state = 206},
  [2815] = {.lex_state = 234},
  [2816] = {.lex_state = 234},
  [2817] = {.lex_state = 238},
  [2818] = {.lex_state = 245},
  [2819] = {.lex_state = 281},
  [2820] = {.lex_state = 234},
  [2821] = {.lex_state = 245},
  [2822] = {.lex_state = 234},
  [2823] = {.lex_state = 234},
  [2824] = {.lex_state = 234},
  [2825] = {.lex_state = 260},
  [2826] = {.lex_state = 206},
  [2827] = {.lex_state = 234},
  [2828] = {.lex_state = 238},
  [2829] = {.lex_state = 256},
  [2830] = {.lex_state = 234},
  [2831] = {.lex_state = 234},
  [2832] = {.lex_state = 234},
  [2833] = {.lex_state = 234},
  [2834] = {.lex_state = 234},
  [2835] = {.lex_state = 261},
  [2836] = {.lex_state = 237},
  [2837] = {.lex_state = 217},
  [2838] = {.lex_state = 217},
  [2839] = {.lex_state = 206},
  [2840] = {.lex_state = 236},
  [2841] = {.lex_state = 234},
  [2842] = {.lex_state = 245},
  [2843] = {.lex_state = 245},
  [2844] = {.lex_state = 234},
  [2845] = {.lex_state = 216},
  [2846] = {.lex_state = 245},
  [2847] = {.lex_state = 245},
  [2848] = {.lex_state = 206},
  [2849] = {.lex_state = 233},
  [2850] = {.lex_state = 245},
  [2851] = {.lex_state = 245},
  [2852] = {.lex_state = 234},
  [2853] = {.lex_state = 238},
  [2854] = {.lex_state = 245},
  [2855] = {.lex_state = 234},
  [2856] = {.lex_state = 234},
  [2857] = {.lex_state = 234},
  [2858] = {.lex_state = 238},
  [2859] = {.lex_state = 234},
  [2860] = {.lex_state = 238},
  [2861] = {.lex_state = 234},
  [2862] = {.lex_state = 234},
  [2863] = {.lex_state = 234},
  [2864] = {.lex_state = 234},
  [2865] = {.lex_state = 234},
  [2866] = {.lex_state = 234},
  [2867] = {.lex_state = 234},
  [2868] = {.lex_state = 234},
  [2869] = {.lex_state = 238},
  [2870] = {.lex_state = 217},
  [2871] = {.lex_state = 246},
  [2872] = {.lex_state = 234},
  [2873] = {.lex_state = 245},
  [2874] = {.lex_state = 234},
  [2875] = {.lex_state = 234},
  [2876] = {.lex_state = 234},
  [2877] = {.lex_state = 273},
  [2878] = {.lex_state = 234},
  [2879] = {.lex_state = 234},
  [2880] = {.lex_state = 234},
  [2881] = {.lex_state = 234},
  [2882] = {.lex_state = 234},
  [2883] = {.lex_state = 234},
  [2884] = {.lex_state = 204},
  [2885] = {.lex_state = 245},
  [2886] = {.lex_state = 234},
  [2887] = {.lex_state = 234},
  [2888] = {.lex_state = 217},
  [2889] = {.lex_state = 234},
  [2890] = {.lex_state = 234},
  [2891] = {.lex_state = 234},
  [2892] = {.lex_state = 234},
  [2893] = {.lex_state = 245},
  [2894] = {.lex_state = 234},
  [2895] = {.lex_state = 245},
  [2896] = {.lex_state = 245},
  [2897] = {.lex_state = 234},
  [2898] = {.lex_state = 273},
  [2899] = {.lex_state = 273},
  [2900] = {.lex_state = 273},
  [2901] = {.lex_state = 245},
  [2902] = {.lex_state = 273},
  [2903] = {.lex_state = 246},
  [2904] = {.lex_state = 245},
  [2905] = {.lex_state = 238},
  [2906] = {.lex_state = 217},
  [2907] = {.lex_state = 234},
  [2908] = {.lex_state = 238},
  [2909] = {.lex_state = 234},
  [2910] = {.lex_state = 245},
  [2911] = {.lex_state = 234},
  [2912] = {.lex_state = 234},
  [2913] = {.lex_state = 266},
  [2914] = {.lex_state = 217},
  [2915] = {.lex_state = 234},
  [2916] = {.lex_state = 234},
  [2917] = {.lex_state = 234},
  [2918] = {.lex_state = 234},
  [2919] = {.lex_state = 245},
  [2920] = {.lex_state = 234},
  [2921] = {.lex_state = 234},
  [2922] = {.lex_state = 245},
  [2923] = {.lex_state = 234},
  [2924] = {.lex_state = 234},
  [2925] = {.lex_state = 234},
  [2926] = {.lex_state = 245},
  [2927] = {.lex_state = 245},
  [2928] = {.lex_state = 234},
  [2929] = {.lex_state = 234},
  [2930] = {.lex_state = 234},
  [2931] = {.lex_state = 234},
  [2932] = {.lex_state = 234},
  [2933] = {.lex_state = 204},
  [2934] = {.lex_state = 265},
  [2935] = {.lex_state = 234},
  [2936] = {.lex_state = 234},
  [2937] = {.lex_state = 256},
  [2938] = {.lex_state = 234},
  [2939] = {.lex_state = 234},
  [2940] = {.lex_state = 238},
  [2941] = {.lex_state = 234},
  [2942] = {.lex_state = 234},
  [2943] = {.lex_state = 238},
  [2944] = {.lex_state = 234},
  [2945] = {.lex_state = 234},
  [2946] = {.lex_state = 234},
  [2947] = {.lex_state = 234},
  [2948] = {.lex_state = 234},
  [2949] = {.lex_state = 234},
  [2950] = {.lex_state = 234},
  [2951] = {.lex_state = 234},
  [2952] = {.lex_state = 234},
  [2953] = {.lex_state = 234},
  [2954] = {.lex_state = 238},
  [2955] = {.lex_state = 238},
  [2956] = {.lex_state = 238},
  [2957] = {.lex_state = 238},
  [2958] = {.lex_state = 216},
  [2959] = {.lex_state = 216},
  [2960] = {.lex_state = 234},
  [2961] = {.lex_state = 260},
  [2962] = {.lex_state = 237},
  [2963] = {.lex_state = 234},
  [2964] = {.lex_state = 234},
  [2965] = {.lex_state = 234},
  [2966] = {.lex_state = 234},
  [2967] = {.lex_state = 234},
  [2968] = {.lex_state = 282},
  [2969] = {.lex_state = 234},
  [2970] = {.lex_state = 234},
  [2971] = {.lex_state = 245},
  [2972] = {.lex_state = 234},
  [2973] = {.lex_state = 234},
  [2974] = {.lex_state = 273},
  [2975] = {.lex_state = 273},
  [2976] = {.lex_state = 273},
  [2977] = {.lex_state = 234},
  [2978] = {.lex_state = 234},
  [2979] = {.lex_state = 256},
  [2980] = {.lex_state = 260},
  [2981] = {.lex_state = 260},
  [2982] = {.lex_state = 260},
  [2983] = {.lex_state = 260},
  [2984] = {.lex_state = 207},
  [2985] = {.lex_state = 260},
  [2986] = {.lex_state = 260},
  [2987] = {.lex_state = 216},
  [2988] = {.lex_state = 260},
  [2989] = {.lex_state = 216},
  [2990] = {.lex_state = 207},
  [2991] = {.lex_state = 216},
  [2992] = {.lex_state = 216},
  [2993] = {.lex_state = 245},
  [2994] = {.lex_state = 260},
  [2995] = {.lex_state = 207},
  [2996] = {.lex_state = 273},
  [2997] = {.lex_state = 273},
  [2998] = {.lex_state = 246},
  [2999] = {.lex_state = 245},
  [3000] = {.lex_state = 265},
  [3001] = {.lex_state = 245},
  [3002] = {.lex_state = 245},
  [3003] = {.lex_state = 260},
  [3004] = {.lex_state = 265},
  [3005] = {.lex_state = 260},
  [3006] = {.lex_state = 216},
  [3007] = {.lex_state = 261},
  [3008] = {.lex_state = 204},
  [3009] = {.lex_state = 204},
  [3010] = {.lex_state = 276},
  [3011] = {.lex_state = 204},
  [3012] = {.lex_state = 204},
  [3013] = {.lex_state = 245},
  [3014] = {.lex_state = 216},
  [3015] = {.lex_state = 265},
  [3016] = {.lex_state = 265},
  [3017] = {.lex_state = 265},
  [3018] = {.lex_state = 261},
  [3019] = {.lex_state = 260},
  [3020] = {.lex_state = 276},
  [3021] = {.lex_state = 276},
  [3022] = {.lex_state = 265},
  [3023] = {.lex_state = 260},
  [3024] = {.lex_state = 245},
  [3025] = {.lex_state = 204},
  [3026] = {.lex_state = 216},
  [3027] = {.lex_state = 204},
  [3028] = {.lex_state = 260},
  [3029] = {.lex_state = 204},
  [3030] = {.lex_state = 204},
  [3031] = {.lex_state = 204},
  [3032] = {.lex_state = 204},
  [3033] = {.lex_state = 204},
  [3034] = {.lex_state = 260},
  [3035] = {.lex_state = 204},
  [3036] = {.lex_state = 276},
  [3037] = {.lex_state = 204},
  [3038] = {.lex_state = 204},
  [3039] = {.lex_state = 216},
  [3040] = {.lex_state = 204},
  [3041] = {.lex_state = 265},
  [3042] = {.lex_state = 204},
  [3043] = {.lex_state = 261},
  [3044] = {.lex_state = 260},
  [3045] = {.lex_state = 204},
  [3046] = {.lex_state = 276},
  [3047] = {.lex_state = 265},
  [3048] = {.lex_state = 204},
  [3049] = {.lex_state = 260},
  [3050] = {.lex_state = 204},
  [3051] = {.lex_state = 265},
  [3052] = {.lex_state = 260},
  [3053] = {.lex_state = 265},
  [3054] = {.lex_state = 204},
  [3055] = {.lex_state = 266},
  [3056] = {.lex_state = 272},
  [3057] = {.lex_state = 258},
  [3058] = {.lex_state = 265},
  [3059] = {.lex_state = 260},
  [3060] = {.lex_state = 265},
  [3061] = {.lex_state = 265},
  [3062] = {.lex_state = 260},
  [3063] = {.lex_state = 272},
  [3064] = {.lex_state = 272},
  [3065] = {.lex_state = 272},
  [3066] = {.lex_state = 245},
  [3067] = {.lex_state = 272},
  [3068] = {.lex_state = 272},
  [3069] = {.lex_state = 265},
  [3070] = {.lex_state = 272},
  [3071] = {.lex_state = 245},
  [3072] = {.lex_state = 272},
  [3073] = {.lex_state = 258},
  [3074] = {.lex_state = 245},
  [3075] = {.lex_state = 272},
  [3076] = {.lex_state = 245},
  [3077] = {.lex_state = 260},
  [3078] = {.lex_state = 245},
  [3079] = {.lex_state = 272},
  [3080] = {.lex_state = 266},
  [3081] = {.lex_state = 245},
  [3082] = {.lex_state = 258},
  [3083] = {.lex_state = 265},
  [3084] = {.lex_state = 245},
  [3085] = {.lex_state = 265},
  [3086] = {.lex_state = 265},
  [3087] = {.lex_state = 284},
  [3088] = {.lex_state = 273},
  [3089] = {.lex_state = 260},
  [3090] = {.lex_state = 245},
  [3091] = {.lex_state = 245},
  [3092] = {.lex_state = 245},
  [3093] = {.lex_state = 284},
  [3094] = {.lex_state = 245},
  [3095] = {.lex_state = 272},
  [3096] = {.lex_state = 245},
  [3097] = {.lex_state = 260},
  [3098] = {.lex_state = 261},
  [3099] = {.lex_state = 258},
  [3100] = {.lex_state = 260},
  [3101] = {.lex_state = 272},
  [3102] = {.lex_state = 273},
  [3103] = {.lex_state = 260},
  [3104] = {.lex_state = 284},
  [3105] = {.lex_state = 207},
  [3106] = {.lex_state = 245},
  [3107] = {.lex_state = 265},
  [3108] = {.lex_state = 245},
  [3109] = {.lex_state = 244},
  [3110] = {.lex_state = 273},
  [3111] = {.lex_state = 234},
  [3112] = {.lex_state = 234},
  [3113] = {.lex_state = 266},
  [3114] = {.lex_state = 265},
  [3115] = {.lex_state = 234},
  [3116] = {.lex_state = 245},
  [3117] = {.lex_state = 234},
  [3118] = {.lex_state = 234},
  [3119] = {.lex_state = 284},
  [3120] = {.lex_state = 234},
  [3121] = {.lex_state = 284},
  [3122] = {.lex_state = 234},
  [3123] = {.lex_state = 273},
  [3124] = {.lex_state = 284},
  [3125] = {.lex_state = 273},
  [3126] = {.lex_state = 273},
  [3127] = {.lex_state = 234},
  [3128] = {.lex_state = 245},
  [3129] = {.lex_state = 273},
  [3130] = {.lex_state = 244},
  [3131] = {.lex_state = 207},
  [3132] = {.lex_state = 234},
  [3133] = {.lex_state = 234},
  [3134] = {.lex_state = 260},
  [3135] = {.lex_state = 260},
  [3136] = {.lex_state = 234},
  [3137] = {.lex_state = 273},
  [3138] = {.lex_state = 260},
  [3139] = {.lex_state = 234},
  [3140] = {.lex_state = 245},
  [3141] = {.lex_state = 273},
  [3142] = {.lex_state = 265},
  [3143] = {.lex_state = 284},
  [3144] = {.lex_state = 284},
  [3145] = {.lex_state = 273},
  [3146] = {.lex_state = 284},
  [3147] = {.lex_state = 234},
  [3148] = {.lex_state = 284},
  [3149] = {.lex_state = 284},
  [3150] = {.lex_state = 284},
  [3151] = {.lex_state = 234},
  [3152] = {.lex_state = 284},
  [3153] = {.lex_state = 284},
  [3154] = {.lex_state = 245},
  [3155] = {.lex_state = 260},
  [3156] = {.lex_state = 260},
  [3157] = {.lex_state = 207},
  [3158] = {.lex_state = 260},
  [3159] = {.lex_state = 234},
  [3160] = {.lex_state = 207},
  [3161] = {.lex_state = 245},
  [3162] = {.lex_state = 245},
  [3163] = {.lex_state = 284},
  [3164] = {.lex_state = 273},
  [3165] = {.lex_state = 234},
  [3166] = {.lex_state = 273},
  [3167] = {.lex_state = 273},
  [3168] = {.lex_state = 265},
  [3169] = {.lex_state = 260},
  [3170] = {.lex_state = 244},
  [3171] = {.lex_state = 260},
  [3172] = {.lex_state = 245},
  [3173] = {.lex_state = 273},
  [3174] = {.lex_state = 260},
  [3175] = {.lex_state = 234},
  [3176] = {.lex_state = 244},
  [3177] = {.lex_state = 273},
  [3178] = {.lex_state = 260},
  [3179] = {.lex_state = 261},
  [3180] = {.lex_state = 227},
  [3181] = {.lex_state = 245},
  [3182] = {.lex_state = 281},
  [3183] = {.lex_state = 245},
  [3184] = {.lex_state = 273},
  [3185] = {.lex_state = 260},
  [3186] = {.lex_state = 260},
  [3187] = {.lex_state = 245},
  [3188] = {.lex_state = 260},
  [3189] = {.lex_state = 233},
  [3190] = {.lex_state = 260},
  [3191] = {.lex_state = 245},
  [3192] = {.lex_state = 261},
  [3193] = {.lex_state = 284},
  [3194] = {.lex_state = 233},
  [3195] = {.lex_state = 260},
  [3196] = {.lex_state = 282},
  [3197] = {.lex_state = 245},
  [3198] = {.lex_state = 244},
  [3199] = {.lex_state = 227},
  [3200] = {.lex_state = 245},
  [3201] = {.lex_state = 260},
  [3202] = {.lex_state = 260},
  [3203] = {.lex_state = 260},
  [3204] = {.lex_state = 260},
  [3205] = {.lex_state = 245},
  [3206] = {.lex_state = 245},
  [3207] = {.lex_state = 245},
  [3208] = {.lex_state = 245},
  [3209] = {.lex_state = 245},
  [3210] = {.lex_state = 260},
  [3211] = {.lex_state = 227},
  [3212] = {.lex_state = 233},
  [3213] = {.lex_state = 260},
  [3214] = {.lex_state = 260},
  [3215] = {.lex_state = 245},
  [3216] = {.lex_state = 245},
  [3217] = {.lex_state = 245},
  [3218] = {.lex_state = 273},
  [3219] = {.lex_state = 260},
  [3220] = {.lex_state = 244},
  [3221] = {.lex_state = 245},
  [3222] = {.lex_state = 260},
  [3223] = {.lex_state = 245},
  [3224] = {.lex_state = 260},
  [3225] = {.lex_state = 273},
  [3226] = {.lex_state = 260},
  [3227] = {.lex_state = 245},
  [3228] = {.lex_state = 260},
  [3229] = {.lex_state = 245},
  [3230] = {.lex_state = 245},
  [3231] = {.lex_state = 245},
  [3232] = {.lex_state = 273},
  [3233] = {.lex_state = 227},
  [3234] = {.lex_state = 273},
  [3235] = {.lex_state = 245},
  [3236] = {.lex_state = 245},
  [3237] = {.lex_state = 260},
  [3238] = {.lex_state = 282},
  [3239] = {.lex_state = 260},
  [3240] = {.lex_state = 284},
  [3241] = {.lex_state = 245},
  [3242] = {.lex_state = 260},
  [3243] = {.lex_state = 245},
  [3244] = {.lex_state = 245},
  [3245] = {.lex_state = 245},
  [3246] = {.lex_state = 245},
  [3247] = {.lex_state = 260},
  [3248] = {.lex_state = 273},
  [3249] = {.lex_state = 245},
  [3250] = {.lex_state = 233},
  [3251] = {.lex_state = 260},
  [3252] = {.lex_state = 245},
  [3253] = {.lex_state = 233},
  [3254] = {.lex_state = 245},
  [3255] = {.lex_state = 260},
  [3256] = {.lex_state = 265},
  [3257] = {.lex_state = 233},
  [3258] = {.lex_state = 272},
  [3259] = {.lex_state = 260},
  [3260] = {.lex_state = 245},
  [3261] = {.lex_state = 245},
  [3262] = {.lex_state = 233},
  [3263] = {.lex_state = 265},
  [3264] = {.lex_state = 245},
  [3265] = {.lex_state = 378},
  [3266] = {.lex_state = 245},
  [3267] = {.lex_state = 245},
  [3268] = {.lex_state = 245},
  [3269] = {.lex_state = 244},
  [3270] = {.lex_state = 272},
  [3271] = {.lex_state = 260},
  [3272] = {.lex_state = 245},
  [3273] = {.lex_state = 245},
  [3274] = {.lex_state = 282},
  [3275] = {.lex_state = 273},
  [3276] = {.lex_state = 245},
  [3277] = {.lex_state = 260},
  [3278] = {.lex_state = 273},
  [3279] = {.lex_state = 273},
  [3280] = {.lex_state = 273},
  [3281] = {.lex_state = 273},
  [3282] = {.lex_state = 273},
  [3283] = {.lex_state = 273},
  [3284] = {.lex_state = 273},
  [3285] = {.lex_state = 273},
  [3286] = {.lex_state = 273},
  [3287] = {.lex_state = 273},
  [3288] = {.lex_state = 273},
  [3289] = {.lex_state = 273},
  [3290] = {.lex_state = 273},
  [3291] = {.lex_state = 273},
  [3292] = {.lex_state = 273},
  [3293] = {.lex_state = 273},
  [3294] = {.lex_state = 273},
  [3295] = {.lex_state = 273},
  [3296] = {.lex_state = 273},
  [3297] = {.lex_state = 273},
  [3298] = {.lex_state = 273},
  [3299] = {.lex_state = 273},
  [3300] = {.lex_state = 273},
  [3301] = {.lex_state = 273},
  [3302] = {.lex_state = 273},
  [3303] = {.lex_state = 273},
  [3304] = {.lex_state = 273},
  [3305] = {.lex_state = 273},
  [3306] = {.lex_state = 273},
  [3307] = {.lex_state = 273},
  [3308] = {.lex_state = 273},
  [3309] = {.lex_state = 245},
  [3310] = {.lex_state = 245},
  [3311] = {.lex_state = 245},
  [3312] = {.lex_state = 245},
  [3313] = {.lex_state = 273},
  [3314] = {.lex_state = 245},
  [3315] = {.lex_state = 245},
  [3316] = {.lex_state = 245},
  [3317] = {.lex_state = 245},
  [3318] = {.lex_state = 245},
  [3319] = {.lex_state = 245},
  [3320] = {.lex_state = 245},
  [3321] = {.lex_state = 245},
  [3322] = {.lex_state = 245},
  [3323] = {.lex_state = 245},
  [3324] = {.lex_state = 245},
  [3325] = {.lex_state = 260},
  [3326] = {.lex_state = 245},
  [3327] = {.lex_state = 204},
  [3328] = {.lex_state = 273},
  [3329] = {.lex_state = 245},
  [3330] = {.lex_state = 260},
  [3331] = {.lex_state = 245},
  [3332] = {.lex_state = 245},
  [3333] = {.lex_state = 245},
  [3334] = {.lex_state = 245},
  [3335] = {.lex_state = 245},
  [3336] = {.lex_state = 245},
  [3337] = {.lex_state = 245},
  [3338] = {.lex_state = 265},
  [3339] = {.lex_state = 265},
  [3340] = {.lex_state = 265},
  [3341] = {.lex_state = 265},
  [3342] = {.lex_state = 265},
  [3343] = {.lex_state = 231},
  [3344] = {.lex_state = 265},
  [3345] = {.lex_state = 265},
  [3346] = {.lex_state = 265},
  [3347] = {.lex_state = 265},
  [3348] = {.lex_state = 265},
  [3349] = {.lex_state = 261},
  [3350] = {.lex_state = 231},
  [3351] = {.lex_state = 265},
  [3352] = {.lex_state = 265},
  [3353] = {.lex_state = 231},
  [3354] = {.lex_state = 234},
  [3355] = {.lex_state = 260},
  [3356] = {.lex_state = 231},
  [3357] = {.lex_state = 231},
  [3358] = {.lex_state = 227},
  [3359] = {.lex_state = 227},
  [3360] = {.lex_state = 260},
  [3361] = {.lex_state = 260},
  [3362] = {.lex_state = 234},
  [3363] = {.lex_state = 234},
  [3364] = {.lex_state = 260},
  [3365] = {.lex_state = 260},
  [3366] = {.lex_state = 260},
  [3367] = {.lex_state = 234},
  [3368] = {.lex_state = 234},
  [3369] = {.lex_state = 234},
  [3370] = {.lex_state = 234},
  [3371] = {.lex_state = 234},
  [3372] = {.lex_state = 234},
  [3373] = {.lex_state = 260},
  [3374] = {.lex_state = 234},
  [3375] = {.lex_state = 234},
  [3376] = {.lex_state = 234},
  [3377] = {.lex_state = 234},
  [3378] = {.lex_state = 234},
  [3379] = {.lex_state = 260},
  [3380] = {.lex_state = 260},
  [3381] = {.lex_state = 260},
  [3382] = {.lex_state = 260},
  [3383] = {.lex_state = 234},
  [3384] = {.lex_state = 234},
  [3385] = {.lex_state = 282},
  [3386] = {.lex_state = 234},
  [3387] = {.lex_state = 260},
  [3388] = {.lex_state = 234},
  [3389] = {.lex_state = 245},
  [3390] = {.lex_state = 245},
  [3391] = {.lex_state = 244},
  [3392] = {.lex_state = 227},
  [3393] = {.lex_state = 282},
  [3394] = {.lex_state = 260},
  [3395] = {.lex_state = 227},
  [3396] = {.lex_state = 260},
  [3397] = {.lex_state = 245},
  [3398] = {.lex_state = 284},
  [3399] = {.lex_state = 244},
  [3400] = {.lex_state = 245},
  [3401] = {.lex_state = 265},
  [3402] = {.lex_state = 248},
  [3403] = {.lex_state = 282},
  [3404] = {.lex_state = 260},
  [3405] = {.lex_state = 197},
  [3406] = {.lex_state = 282},
  [3407] = {.lex_state = 260},
  [3408] = {.lex_state = 246},
  [3409] = {.lex_state = 265},
  [3410] = {.lex_state = 282},
  [3411] = {.lex_state = 282},
  [3412] = {.lex_state = 284},
  [3413] = {.lex_state = 246},
  [3414] = {.lex_state = 265},
  [3415] = {.lex_state = 260},
  [3416] = {.lex_state = 244},
  [3417] = {.lex_state = 244},
  [3418] = {.lex_state = 244},
  [3419] = {.lex_state = 244},
  [3420] = {.lex_state = 260},
  [3421] = {.lex_state = 260},
  [3422] = {.lex_state = 246},
  [3423] = {.lex_state = 231},
  [3424] = {.lex_state = 245},
  [3425] = {.lex_state = 246},
  [3426] = {.lex_state = 260},
  [3427] = {.lex_state = 265},
  [3428] = {.lex_state = 260},
  [3429] = {.lex_state = 265},
  [3430] = {.lex_state = 260},
  [3431] = {.lex_state = 260},
  [3432] = {.lex_state = 265},
  [3433] = {.lex_state = 282},
  [3434] = {.lex_state = 284},
  [3435] = {.lex_state = 265},
  [3436] = {.lex_state = 260},
  [3437] = {.lex_state = 260},
  [3438] = {.lex_state = 265},
  [3439] = {.lex_state = 260},
  [3440] = {.lex_state = 260},
  [3441] = {.lex_state = 284},
  [3442] = {.lex_state = 282},
  [3443] = {.lex_state = 260},
  [3444] = {.lex_state = 260},
  [3445] = {.lex_state = 260},
  [3446] = {.lex_state = 260},
  [3447] = {.lex_state = 268},
  [3448] = {.lex_state = 260},
  [3449] = {.lex_state = 260},
  [3450] = {.lex_state = 237},
  [3451] = {.lex_state = 207},
  [3452] = {.lex_state = 207},
  [3453] = {.lex_state = 197},
  [3454] = {.lex_state = 260},
  [3455] = {.lex_state = 284},
  [3456] = {.lex_state = 268},
  [3457] = {.lex_state = 284},
  [3458] = {.lex_state = 260},
  [3459] = {.lex_state = 246},
  [3460] = {.lex_state = 246},
  [3461] = {.lex_state = 282},
  [3462] = {.lex_state = 246},
  [3463] = {.lex_state = 260},
  [3464] = {.lex_state = 260},
  [3465] = {.lex_state = 260},
  [3466] = {.lex_state = 265},
  [3467] = {.lex_state = 260},
  [3468] = {.lex_state = 197},
  [3469] = {.lex_state = 230},
  [3470] = {.lex_state = 260},
  [3471] = {.lex_state = 284},
  [3472] = {.lex_state = 260},
  [3473] = {.lex_state = 260},
  [3474] = {.lex_state = 244},
  [3475] = {.lex_state = 260},
  [3476] = {.lex_state = 260},
  [3477] = {.lex_state = 282},
  [3478] = {.lex_state = 240},
  [3479] = {.lex_state = 244},
  [3480] = {.lex_state = 244},
  [3481] = {.lex_state = 240},
  [3482] = {.lex_state = 282},
  [3483] = {.lex_state = 245},
  [3484] = {.lex_state = 244},
  [3485] = {.lex_state = 282},
  [3486] = {.lex_state = 244},
  [3487] = {.lex_state = 282},
  [3488] = {.lex_state = 231},
  [3489] = {.lex_state = 268},
  [3490] = {.lex_state = 244},
  [3491] = {.lex_state = 197},
  [3492] = {.lex_state = 268},
  [3493] = {.lex_state = 260},
  [3494] = {.lex_state = 260},
  [3495] = {.lex_state = 260},
  [3496] = {.lex_state = 260},
  [3497] = {.lex_state = 260},
  [3498] = {.lex_state = 197},
  [3499] = {.lex_state = 282},
  [3500] = {.lex_state = 281},
  [3501] = {.lex_state = 284},
  [3502] = {.lex_state = 284},
  [3503] = {.lex_state = 260},
  [3504] = {.lex_state = 260},
  [3505] = {.lex_state = 260},
  [3506] = {.lex_state = 197},
  [3507] = {.lex_state = 244},
  [3508] = {.lex_state = 244},
  [3509] = {.lex_state = 197},
  [3510] = {.lex_state = 244},
  [3511] = {.lex_state = 282},
  [3512] = {.lex_state = 244},
  [3513] = {.lex_state = 244},
  [3514] = {.lex_state = 240},
  [3515] = {.lex_state = 240},
  [3516] = {.lex_state = 260},
  [3517] = {.lex_state = 282},
  [3518] = {.lex_state = 260},
  [3519] = {.lex_state = 231},
  [3520] = {.lex_state = 265},
  [3521] = {.lex_state = 265},
  [3522] = {.lex_state = 260},
  [3523] = {.lex_state = 265},
  [3524] = {.lex_state = 265},
  [3525] = {.lex_state = 265},
  [3526] = {.lex_state = 272},
  [3527] = {.lex_state = 282},
  [3528] = {.lex_state = 265},
  [3529] = {.lex_state = 245},
  [3530] = {.lex_state = 265},
  [3531] = {.lex_state = 282},
  [3532] = {.lex_state = 265},
  [3533] = {.lex_state = 284},
  [3534] = {.lex_state = 245},
  [3535] = {.lex_state = 245},
  [3536] = {.lex_state = 212},
  [3537] = {.lex_state = 265},
  [3538] = {.lex_state = 260},
  [3539] = {.lex_state = 245},
  [3540] = {.lex_state = 265},
  [3541] = {.lex_state = 245},
  [3542] = {.lex_state = 284},
  [3543] = {.lex_state = 260},
  [3544] = {.lex_state = 245},
  [3545] = {.lex_state = 245},
  [3546] = {.lex_state = 245},
  [3547] = {.lex_state = 245},
  [3548] = {.lex_state = 245},
  [3549] = {.lex_state = 245},
  [3550] = {.lex_state = 260},
  [3551] = {.lex_state = 268},
  [3552] = {.lex_state = 245},
  [3553] = {.lex_state = 245},
  [3554] = {.lex_state = 245},
  [3555] = {.lex_state = 284},
  [3556] = {.lex_state = 260},
  [3557] = {.lex_state = 284},
  [3558] = {.lex_state = 260},
  [3559] = {.lex_state = 260},
  [3560] = {.lex_state = 284},
  [3561] = {.lex_state = 207},
  [3562] = {.lex_state = 245},
  [3563] = {.lex_state = 245},
  [3564] = {.lex_state = 260},
  [3565] = {.lex_state = 284},
  [3566] = {.lex_state = 284},
  [3567] = {.lex_state = 284},
  [3568] = {.lex_state = 284},
  [3569] = {.lex_state = 245},
  [3570] = {.lex_state = 260},
  [3571] = {.lex_state = 284},
  [3572] = {.lex_state = 284},
  [3573] = {.lex_state = 265},
  [3574] = {.lex_state = 284},
  [3575] = {.lex_state = 245},
  [3576] = {.lex_state = 245},
  [3577] = {.lex_state = 284},
  [3578] = {.lex_state = 245},
  [3579] = {.lex_state = 265},
  [3580] = {.lex_state = 245},
  [3581] = {.lex_state = 245},
  [3582] = {.lex_state = 260},
  [3583] = {.lex_state = 284},
  [3584] = {.lex_state = 245},
  [3585] = {.lex_state = 265},
  [3586] = {.lex_state = 245},
  [3587] = {.lex_state = 245},
  [3588] = {.lex_state = 245},
  [3589] = {.lex_state = 245},
  [3590] = {.lex_state = 245},
  [3591] = {.lex_state = 265},
  [3592] = {.lex_state = 265},
  [3593] = {.lex_state = 245},
  [3594] = {.lex_state = 245},
  [3595] = {.lex_state = 245},
  [3596] = {.lex_state = 284},
  [3597] = {.lex_state = 284},
  [3598] = {.lex_state = 245},
  [3599] = {.lex_state = 284},
  [3600] = {.lex_state = 245},
  [3601] = {.lex_state = 260},
  [3602] = {.lex_state = 284},
  [3603] = {.lex_state = 245},
  [3604] = {.lex_state = 284},
  [3605] = {.lex_state = 245},
  [3606] = {.lex_state = 245},
  [3607] = {.lex_state = 265},
  [3608] = {.lex_state = 230},
  [3609] = {.lex_state = 265},
  [3610] = {.lex_state = 282},
  [3611] = {.lex_state = 284},
  [3612] = {.lex_state = 234},
  [3613] = {.lex_state = 284},
  [3614] = {.lex_state = 245},
  [3615] = {.lex_state = 265},
  [3616] = {.lex_state = 245},
  [3617] = {.lex_state = 245},
  [3618] = {.lex_state = 234},
  [3619] = {.lex_state = 245},
  [3620] = {.lex_state = 234},
  [3621] = {.lex_state = 282},
  [3622] = {.lex_state = 234},
  [3623] = {.lex_state = 260},
  [3624] = {.lex_state = 234},
  [3625] = {.lex_state = 234},
  [3626] = {.lex_state = 234},
  [3627] = {.lex_state = 234},
  [3628] = {.lex_state = 260},
  [3629] = {.lex_state = 234},
  [3630] = {.lex_state = 234},
  [3631] = {.lex_state = 234},
  [3632] = {.lex_state = 245},
  [3633] = {.lex_state = 260},
  [3634] = {.lex_state = 245},
  [3635] = {.lex_state = 284},
  [3636] = {.lex_state = 234},
  [3637] = {.lex_state = 284},
  [3638] = {.lex_state = 284},
  [3639] = {.lex_state = 265},
  [3640] = {.lex_state = 284},
  [3641] = {.lex_state = 234},
  [3642] = {.lex_state = 234},
  [3643] = {.lex_state = 245},
  [3644] = {.lex_state = 245},
  [3645] = {.lex_state = 231},
  [3646] = {.lex_state = 245},
  [3647] = {.lex_state = 284},
  [3648] = {.lex_state = 244},
  [3649] = {.lex_state = 265},
  [3650] = {.lex_state = 245},
  [3651] = {.lex_state = 265},
  [3652] = {.lex_state = 260},
  [3653] = {.lex_state = 245},
  [3654] = {.lex_state = 212},
  [3655] = {.lex_state = 245},
  [3656] = {.lex_state = 265},
  [3657] = {.lex_state = 284},
  [3658] = {.lex_state = 245},
  [3659] = {.lex_state = 234},
  [3660] = {.lex_state = 284},
  [3661] = {.lex_state = 260},
  [3662] = {.lex_state = 265},
  [3663] = {.lex_state = 284},
  [3664] = {.lex_state = 265},
  [3665] = {.lex_state = 265},
  [3666] = {.lex_state = 265},
  [3667] = {.lex_state = 234},
  [3668] = {.lex_state = 265},
  [3669] = {.lex_state = 265},
  [3670] = {.lex_state = 260},
  [3671] = {.lex_state = 260},
  [3672] = {.lex_state = 260},
  [3673] = {.lex_state = 260},
  [3674] = {.lex_state = 260},
  [3675] = {.lex_state = 284},
  [3676] = {.lex_state = 284},
  [3677] = {.lex_state = 260},
  [3678] = {.lex_state = 260},
  [3679] = {.lex_state = 282},
  [3680] = {.lex_state = 231},
  [3681] = {.lex_state = 260},
  [3682] = {.lex_state = 260},
  [3683] = {.lex_state = 260},
  [3684] = {.lex_state = 282},
  [3685] = {.lex_state = 212},
  [3686] = {.lex_state = 234},
  [3687] = {.lex_state = 260},
  [3688] = {.lex_state = 260},
  [3689] = {.lex_state = 207},
  [3690] = {.lex_state = 237},
  [3691] = {.lex_state = 284},
  [3692] = {.lex_state = 260},
  [3693] = {.lex_state = 265},
  [3694] = {.lex_state = 265},
  [3695] = {.lex_state = 265},
  [3696] = {.lex_state = 245},
  [3697] = {.lex_state = 265},
  [3698] = {.lex_state = 284},
  [3699] = {.lex_state = 265},
  [3700] = {.lex_state = 245},
  [3701] = {.lex_state = 265},
  [3702] = {.lex_state = 265},
  [3703] = {.lex_state = 260},
  [3704] = {.lex_state = 245},
  [3705] = {.lex_state = 245},
  [3706] = {.lex_state = 245},
  [3707] = {.lex_state = 245},
  [3708] = {.lex_state = 284},
  [3709] = {.lex_state = 284},
  [3710] = {.lex_state = 260},
  [3711] = {.lex_state = 284},
  [3712] = {.lex_state = 245},
  [3713] = {.lex_state = 245},
  [3714] = {.lex_state = 381},
  [3715] = {.lex_state = 265},
  [3716] = {.lex_state = 245},
  [3717] = {.lex_state = 265},
  [3718] = {.lex_state = 245},
  [3719] = {.lex_state = 245},
  [3720] = {.lex_state = 268},
  [3721] = {.lex_state = 245},
  [3722] = {.lex_state = 245},
  [3723] = {.lex_state = 245},
  [3724] = {.lex_state = 245},
  [3725] = {.lex_state = 245},
  [3726] = {.lex_state = 282},
  [3727] = {.lex_state = 245},
  [3728] = {.lex_state = 245},
  [3729] = {.lex_state = 245},
  [3730] = {.lex_state = 245},
  [3731] = {.lex_state = 267},
  [3732] = {.lex_state = 260},
  [3733] = {.lex_state = 260},
  [3734] = {.lex_state = 260},
  [3735] = {.lex_state = 260},
  [3736] = {.lex_state = 245},
  [3737] = {.lex_state = 245},
  [3738] = {.lex_state = 245},
  [3739] = {.lex_state = 245},
  [3740] = {.lex_state = 245},
  [3741] = {.lex_state = 245},
  [3742] = {.lex_state = 260},
  [3743] = {.lex_state = 245},
  [3744] = {.lex_state = 245},
  [3745] = {.lex_state = 245},
  [3746] = {.lex_state = 260},
  [3747] = {.lex_state = 245},
  [3748] = {.lex_state = 245},
  [3749] = {.lex_state = 245},
  [3750] = {.lex_state = 244},
  [3751] = {.lex_state = 262},
  [3752] = {.lex_state = 260},
  [3753] = {.lex_state = 284},
  [3754] = {.lex_state = 260},
  [3755] = {.lex_state = 284},
  [3756] = {.lex_state = 245},
  [3757] = {.lex_state = 265},
  [3758] = {.lex_state = 260},
  [3759] = {.lex_state = 245},
  [3760] = {.lex_state = 237},
  [3761] = {.lex_state = 237},
  [3762] = {.lex_state = 227},
  [3763] = {.lex_state = 265},
  [3764] = {.lex_state = 244},
  [3765] = {.lex_state = 231},
  [3766] = {.lex_state = 231},
  [3767] = {.lex_state = 260},
  [3768] = {.lex_state = 260},
  [3769] = {.lex_state = 237},
  [3770] = {.lex_state = 260},
  [3771] = {.lex_state = 260},
  [3772] = {.lex_state = 260},
  [3773] = {.lex_state = 260},
  [3774] = {.lex_state = 265},
  [3775] = {.lex_state = 260},
  [3776] = {.lex_state = 260},
  [3777] = {.lex_state = 265},
  [3778] = {.lex_state = 265},
  [3779] = {.lex_state = 260},
  [3780] = {.lex_state = 237},
  [3781] = {.lex_state = 265},
  [3782] = {.lex_state = 265},
  [3783] = {.lex_state = 237},
  [3784] = {.lex_state = 231},
  [3785] = {.lex_state = 260},
  [3786] = {.lex_state = 265},
  [3787] = {.lex_state = 237},
  [3788] = {.lex_state = 260},
  [3789] = {.lex_state = 265},
  [3790] = {.lex_state = 265},
  [3791] = {.lex_state = 237},
  [3792] = {.lex_state = 231},
  [3793] = {.lex_state = 237},
  [3794] = {.lex_state = 260},
  [3795] = {.lex_state = 260},
  [3796] = {.lex_state = 237},
  [3797] = {.lex_state = 231},
  [3798] = {.lex_state = 231},
  [3799] = {.lex_state = 231},
  [3800] = {.lex_state = 207},
  [3801] = {.lex_state = 212},
  [3802] = {.lex_state = 231},
  [3803] = {.lex_state = 231},
  [3804] = {.lex_state = 231},
  [3805] = {.lex_state = 231},
  [3806] = {.lex_state = 212},
  [3807] = {.lex_state = 231},
  [3808] = {.lex_state = 237},
  [3809] = {.lex_state = 260},
  [3810] = {.lex_state = 284},
  [3811] = {.lex_state = 244},
  [3812] = {.lex_state = 237},
  [3813] = {.lex_state = 237},
  [3814] = {.lex_state = 231},
  [3815] = {.lex_state = 234},
  [3816] = {.lex_state = 207},
  [3817] = {.lex_state = 253},
  [3818] = {.lex_state = 231},
  [3819] = {.lex_state = 284},
  [3820] = {.lex_state = 237},
  [3821] = {.lex_state = 234},
  [3822] = {.lex_state = 231},
  [3823] = {.lex_state = 237},
  [3824] = {.lex_state = 237},
  [3825] = {.lex_state = 231},
  [3826] = {.lex_state = 207},
  [3827] = {.lex_state = 231},
  [3828] = {.lex_state = 238},
  [3829] = {.lex_state = 231},
  [3830] = {.lex_state = 265},
  [3831] = {.lex_state = 265},
  [3832] = {.lex_state = 231},
  [3833] = {.lex_state = 231},
  [3834] = {.lex_state = 265},
  [3835] = {.lex_state = 253},
  [3836] = {.lex_state = 234},
  [3837] = {.lex_state = 231},
  [3838] = {.lex_state = 237},
  [3839] = {.lex_state = 231},
  [3840] = {.lex_state = 284},
  [3841] = {.lex_state = 244},
  [3842] = {.lex_state = 260},
  [3843] = {.lex_state = 260},
  [3844] = {.lex_state = 260},
  [3845] = {.lex_state = 260},
  [3846] = {.lex_state = 265},
  [3847] = {.lex_state = 231},
  [3848] = {.lex_state = 253},
  [3849] = {.lex_state = 244},
  [3850] = {.lex_state = 227},
  [3851] = {.lex_state = 244},
  [3852] = {.lex_state = 260},
  [3853] = {.lex_state = 265},
  [3854] = {.lex_state = 253},
  [3855] = {.lex_state = 265},
  [3856] = {.lex_state = 237},
  [3857] = {.lex_state = 231},
  [3858] = {.lex_state = 244},
  [3859] = {.lex_state = 237},
  [3860] = {.lex_state = 231},
  [3861] = {.lex_state = 260},
  [3862] = {.lex_state = 260},
  [3863] = {.lex_state = 237},
  [3864] = {.lex_state = 284},
  [3865] = {.lex_state = 265},
  [3866] = {.lex_state = 284},
  [3867] = {.lex_state = 260},
  [3868] = {.lex_state = 237},
  [3869] = {.lex_state = 284},
  [3870] = {.lex_state = 231},
  [3871] = {.lex_state = 231},
  [3872] = {.lex_state = 231},
  [3873] = {.lex_state = 243},
  [3874] = {.lex_state = 264},
  [3875] = {.lex_state = 237},
  [3876] = {.lex_state = 237},
  [3877] = {.lex_state = 260},
  [3878] = {.lex_state = 284},
  [3879] = {.lex_state = 284},
  [3880] = {.lex_state = 265},
  [3881] = {.lex_state = 284},
  [3882] = {.lex_state = 284},
  [3883] = {.lex_state = 260},
  [3884] = {.lex_state = 237},
  [3885] = {.lex_state = 284},
  [3886] = {.lex_state = 284},
  [3887] = {.lex_state = 237},
  [3888] = {.lex_state = 237},
  [3889] = {.lex_state = 260},
  [3890] = {.lex_state = 227},
  [3891] = {.lex_state = 265},
  [3892] = {.lex_state = 265},
  [3893] = {.lex_state = 265},
  [3894] = {.lex_state = 265},
  [3895] = {.lex_state = 265},
  [3896] = {.lex_state = 265},
  [3897] = {.lex_state = 265},
  [3898] = {.lex_state = 265},
  [3899] = {.lex_state = 265},
  [3900] = {.lex_state = 265},
  [3901] = {.lex_state = 227},
  [3902] = {.lex_state = 265},
  [3903] = {.lex_state = 268},
  [3904] = {.lex_state = 226},
  [3905] = {.lex_state = 265},
  [3906] = {.lex_state = 284},
  [3907] = {.lex_state = 243},
  [3908] = {.lex_state = 260},
  [3909] = {.lex_state = 226},
  [3910] = {.lex_state = 284},
  [3911] = {.lex_state = 265},
  [3912] = {.lex_state = 238},
  [3913] = {.lex_state = 260},
  [3914] = {.lex_state = 260},
  [3915] = {.lex_state = 260},
  [3916] = {.lex_state = 284},
  [3917] = {.lex_state = 238},
  [3918] = {.lex_state = 243},
  [3919] = {.lex_state = 234},
  [3920] = {.lex_state = 260},
  [3921] = {.lex_state = 260},
  [3922] = {.lex_state = 260},
  [3923] = {.lex_state = 268},
  [3924] = {.lex_state = 260},
  [3925] = {.lex_state = 260},
  [3926] = {.lex_state = 260},
  [3927] = {.lex_state = 260},
  [3928] = {.lex_state = 268},
  [3929] = {.lex_state = 268},
  [3930] = {.lex_state = 260},
  [3931] = {.lex_state = 268},
  [3932] = {.lex_state = 238},
  [3933] = {.lex_state = 260},
  [3934] = {.lex_state = 260},
  [3935] = {.lex_state = 268},
  [3936] = {.lex_state = 207},
  [3937] = {.lex_state = 207},
  [3938] = {.lex_state = 234},
  [3939] = {.lex_state = 260},
  [3940] = {.lex_state = 260},
  [3941] = {.lex_state = 218},
  [3942] = {.lex_state = 260},
  [3943] = {.lex_state = 268},
  [3944] = {.lex_state = 226},
  [3945] = {.lex_state = 226},
  [3946] = {.lex_state = 234},
  [3947] = {.lex_state = 238},
  [3948] = {.lex_state = 260},
  [3949] = {.lex_state = 234},
  [3950] = {.lex_state = 260},
  [3951] = {.lex_state = 260},
  [3952] = {.lex_state = 260},
  [3953] = {.lex_state = 238},
  [3954] = {.lex_state = 260},
  [3955] = {.lex_state = 260},
  [3956] = {.lex_state = 260},
  [3957] = {.lex_state = 234},
  [3958] = {.lex_state = 260},
  [3959] = {.lex_state = 381},
  [3960] = {.lex_state = 260},
  [3961] = {.lex_state = 226},
  [3962] = {.lex_state = 260},
  [3963] = {.lex_state = 268},
  [3964] = {.lex_state = 260},
  [3965] = {.lex_state = 238},
  [3966] = {.lex_state = 260},
  [3967] = {.lex_state = 260},
  [3968] = {.lex_state = 260},
  [3969] = {.lex_state = 238},
  [3970] = {.lex_state = 254},
  [3971] = {.lex_state = 234},
  [3972] = {.lex_state = 234},
  [3973] = {.lex_state = 260},
  [3974] = {.lex_state = 234},
  [3975] = {.lex_state = 238},
  [3976] = {.lex_state = 234},
  [3977] = {.lex_state = 260},
  [3978] = {.lex_state = 260},
  [3979] = {.lex_state = 284},
  [3980] = {.lex_state = 237},
  [3981] = {.lex_state = 260},
  [3982] = {.lex_state = 260},
  [3983] = {.lex_state = 260},
  [3984] = {.lex_state = 260},
  [3985] = {.lex_state = 234},
  [3986] = {.lex_state = 260},
  [3987] = {.lex_state = 260},
  [3988] = {.lex_state = 260},
  [3989] = {.lex_state = 238},
  [3990] = {.lex_state = 238},
  [3991] = {.lex_state = 260},
  [3992] = {.lex_state = 234},
  [3993] = {.lex_state = 226},
  [3994] = {.lex_state = 268},
  [3995] = {.lex_state = 284},
  [3996] = {.lex_state = 282},
  [3997] = {.lex_state = 260},
  [3998] = {.lex_state = 282},
  [3999] = {.lex_state = 226},
  [4000] = {.lex_state = 260},
  [4001] = {.lex_state = 207},
  [4002] = {.lex_state = 284},
  [4003] = {.lex_state = 260},
  [4004] = {.lex_state = 284},
  [4005] = {.lex_state = 260},
  [4006] = {.lex_state = 284},
  [4007] = {.lex_state = 260},
  [4008] = {.lex_state = 226},
  [4009] = {.lex_state = 260},
  [4010] = {.lex_state = 284},
  [4011] = {.lex_state = 270},
  [4012] = {.lex_state = 260},
  [4013] = {.lex_state = 234},
  [4014] = {.lex_state = 234},
  [4015] = {.lex_state = 234},
  [4016] = {.lex_state = 260},
  [4017] = {.lex_state = 234},
  [4018] = {.lex_state = 260},
  [4019] = {.lex_state = 284},
  [4020] = {.lex_state = 260},
  [4021] = {.lex_state = 234},
  [4022] = {.lex_state = 260},
  [4023] = {.lex_state = 260},
  [4024] = {.lex_state = 284},
  [4025] = {.lex_state = 260},
  [4026] = {.lex_state = 260},
  [4027] = {.lex_state = 260},
  [4028] = {.lex_state = 284},
  [4029] = {.lex_state = 260},
  [4030] = {.lex_state = 260},
  [4031] = {.lex_state = 260},
  [4032] = {.lex_state = 260},
  [4033] = {.lex_state = 260},
  [4034] = {.lex_state = 226},
  [4035] = {.lex_state = 260},
  [4036] = {.lex_state = 238},
  [4037] = {.lex_state = 238},
  [4038] = {.lex_state = 238},
  [4039] = {.lex_state = 260},
  [4040] = {.lex_state = 268},
  [4041] = {.lex_state = 260},
  [4042] = {.lex_state = 260},
  [4043] = {.lex_state = 260},
  [4044] = {.lex_state = 260},
  [4045] = {.lex_state = 207},
  [4046] = {.lex_state = 260},
  [4047] = {.lex_state = 268},
  [4048] = {.lex_state = 268},
  [4049] = {.lex_state = 260},
  [4050] = {.lex_state = 218},
  [4051] = {.lex_state = 254},
  [4052] = {.lex_state = 234},
  [4053] = {.lex_state = 254},
  [4054] = {.lex_state = 260},
  [4055] = {.lex_state = 260},
  [4056] = {.lex_state = 254},
  [4057] = {.lex_state = 260},
  [4058] = {.lex_state = 260},
  [4059] = {.lex_state = 218},
  [4060] = {.lex_state = 260},
  [4061] = {.lex_state = 260},
  [4062] = {.lex_state = 234},
  [4063] = {.lex_state = 260},
  [4064] = {.lex_state = 260},
  [4065] = {.lex_state = 284},
  [4066] = {.lex_state = 381},
  [4067] = {.lex_state = 284},
  [4068] = {.lex_state = 234},
  [4069] = {.lex_state = 260},
  [4070] = {.lex_state = 234},
  [4071] = {.lex_state = 238},
  [4072] = {.lex_state = 234},
  [4073] = {.lex_state = 237},
  [4074] = {.lex_state = 260},
  [4075] = {.lex_state = 260},
  [4076] = {.lex_state = 260},
  [4077] = {.lex_state = 260},
  [4078] = {.lex_state = 260},
  [4079] = {.lex_state = 260},
  [4080] = {.lex_state = 260},
  [4081] = {.lex_state = 260},
  [4082] = {.lex_state = 260},
  [4083] = {.lex_state = 260},
  [4084] = {.lex_state = 260},
  [4085] = {.lex_state = 260},
  [4086] = {.lex_state = 260},
  [4087] = {.lex_state = 268},
  [4088] = {.lex_state = 260},
  [4089] = {.lex_state = 260},
  [4090] = {.lex_state = 260},
  [4091] = {.lex_state = 234},
  [4092] = {.lex_state = 260},
  [4093] = {.lex_state = 260},
  [4094] = {.lex_state = 260},
  [4095] = {.lex_state = 260},
  [4096] = {.lex_state = 237},
  [4097] = {.lex_state = 238},
  [4098] = {.lex_state = 265},
  [4099] = {.lex_state = 265},
  [4100] = {.lex_state = 226},
  [4101] = {.lex_state = 260},
  [4102] = {.lex_state = 260},
  [4103] = {.lex_state = 260},
  [4104] = {.lex_state = 260},
  [4105] = {.lex_state = 260},
  [4106] = {.lex_state = 260},
  [4107] = {.lex_state = 260},
  [4108] = {.lex_state = 260},
  [4109] = {.lex_state = 260},
  [4110] = {.lex_state = 260},
  [4111] = {.lex_state = 260},
  [4112] = {.lex_state = 268},
  [4113] = {.lex_state = 268},
  [4114] = {.lex_state = 268},
  [4115] = {.lex_state = 260},
  [4116] = {.lex_state = 260},
  [4117] = {.lex_state = 260},
  [4118] = {.lex_state = 260},
  [4119] = {.lex_state = 234},
  [4120] = {.lex_state = 234},
  [4121] = {.lex_state = 238},
  [4122] = {.lex_state = 260},
  [4123] = {.lex_state = 260},
  [4124] = {.lex_state = 260},
  [4125] = {.lex_state = 260},
  [4126] = {.lex_state = 260},
  [4127] = {.lex_state = 381},
  [4128] = {.lex_state = 234},
  [4129] = {.lex_state = 234},
  [4130] = {.lex_state = 260},
  [4131] = {.lex_state = 238},
  [4132] = {.lex_state = 237},
  [4133] = {.lex_state = 265},
  [4134] = {.lex_state = 212},
  [4135] = {.lex_state = 212},
  [4136] = {.lex_state = 260},
  [4137] = {.lex_state = 265},
  [4138] = {.lex_state = 207},
  [4139] = {.lex_state = 265},
  [4140] = {.lex_state = 265},
  [4141] = {.lex_state = 265},
  [4142] = {.lex_state = 207},
  [4143] = {.lex_state = 265},
  [4144] = {.lex_state = 265},
  [4145] = {.lex_state = 265},
  [4146] = {.lex_state = 265},
  [4147] = {.lex_state = 284},
  [4148] = {.lex_state = 237},
  [4149] = {.lex_state = 265},
  [4150] = {.lex_state = 260},
  [4151] = {.lex_state = 265},
  [4152] = {.lex_state = 265},
  [4153] = {.lex_state = 284},
  [4154] = {.lex_state = 265},
  [4155] = {.lex_state = 265},
  [4156] = {.lex_state = 237},
  [4157] = {.lex_state = 260},
  [4158] = {.lex_state = 265},
  [4159] = {.lex_state = 284},
  [4160] = {.lex_state = 284},
  [4161] = {.lex_state = 212},
  [4162] = {.lex_state = 381},
  [4163] = {.lex_state = 265},
  [4164] = {.lex_state = 237},
  [4165] = {.lex_state = 250},
  [4166] = {.lex_state = 265},
  [4167] = {.lex_state = 212},
  [4168] = {.lex_state = 265},
  [4169] = {.lex_state = 265},
  [4170] = {.lex_state = 265},
  [4171] = {.lex_state = 265},
  [4172] = {.lex_state = 265},
  [4173] = {.lex_state = 265},
  [4174] = {.lex_state = 265},
  [4175] = {.lex_state = 265},
  [4176] = {.lex_state = 265},
  [4177] = {.lex_state = 265},
  [4178] = {.lex_state = 260},
  [4179] = {.lex_state = 265},
  [4180] = {.lex_state = 265},
  [4181] = {.lex_state = 265},
  [4182] = {.lex_state = 265},
  [4183] = {.lex_state = 265},
  [4184] = {.lex_state = 260},
  [4185] = {.lex_state = 265},
  [4186] = {.lex_state = 265},
  [4187] = {.lex_state = 237},
  [4188] = {.lex_state = 381},
  [4189] = {.lex_state = 265},
  [4190] = {.lex_state = 260},
  [4191] = {.lex_state = 260},
  [4192] = {.lex_state = 265},
  [4193] = {.lex_state = 249},
  [4194] = {.lex_state = 265},
  [4195] = {.lex_state = 260},
  [4196] = {.lex_state = 237},
  [4197] = {.lex_state = 284},
  [4198] = {.lex_state = 265},
  [4199] = {.lex_state = 260},
  [4200] = {.lex_state = 284},
  [4201] = {.lex_state = 260},
  [4202] = {.lex_state = 265},
  [4203] = {.lex_state = 265},
  [4204] = {.lex_state = 260},
  [4205] = {.lex_state = 265},
  [4206] = {.lex_state = 265},
  [4207] = {.lex_state = 260},
  [4208] = {.lex_state = 265},
  [4209] = {.lex_state = 265},
  [4210] = {.lex_state = 265},
  [4211] = {.lex_state = 284},
  [4212] = {.lex_state = 260},
  [4213] = {.lex_state = 237},
  [4214] = {.lex_state = 265},
  [4215] = {.lex_state = 260},
  [4216] = {.lex_state = 265},
  [4217] = {.lex_state = 265},
  [4218] = {.lex_state = 265},
  [4219] = {.lex_state = 237},
  [4220] = {.lex_state = 284},
  [4221] = {.lex_state = 265},
  [4222] = {.lex_state = 265},
  [4223] = {.lex_state = 284},
  [4224] = {.lex_state = 282},
  [4225] = {.lex_state = 234},
  [4226] = {.lex_state = 237},
  [4227] = {.lex_state = 284},
  [4228] = {.lex_state = 265},
  [4229] = {.lex_state = 260},
  [4230] = {.lex_state = 265},
  [4231] = {.lex_state = 265},
  [4232] = {.lex_state = 260},
  [4233] = {.lex_state = 237},
  [4234] = {.lex_state = 265},
  [4235] = {.lex_state = 265},
  [4236] = {.lex_state = 265},
  [4237] = {.lex_state = 265},
  [4238] = {.lex_state = 260},
  [4239] = {.lex_state = 265},
  [4240] = {.lex_state = 284},
  [4241] = {.lex_state = 260},
  [4242] = {.lex_state = 265},
  [4243] = {.lex_state = 260},
  [4244] = {.lex_state = 260},
  [4245] = {.lex_state = 265},
  [4246] = {.lex_state = 265},
  [4247] = {.lex_state = 265},
  [4248] = {.lex_state = 265},
  [4249] = {.lex_state = 265},
  [4250] = {.lex_state = 260},
  [4251] = {.lex_state = 265},
  [4252] = {.lex_state = 265},
  [4253] = {.lex_state = 265},
  [4254] = {.lex_state = 265},
  [4255] = {.lex_state = 260},
  [4256] = {.lex_state = 260},
  [4257] = {.lex_state = 265},
  [4258] = {.lex_state = 265},
  [4259] = {.lex_state = 260},
  [4260] = {.lex_state = 265},
  [4261] = {.lex_state = 265},
  [4262] = {.lex_state = 265},
  [4263] = {.lex_state = 284},
  [4264] = {.lex_state = 265},
  [4265] = {.lex_state = 381},
  [4266] = {.lex_state = 265},
  [4267] = {.lex_state = 265},
  [4268] = {.lex_state = 265},
  [4269] = {.lex_state = 265},
  [4270] = {.lex_state = 381},
  [4271] = {.lex_state = 265},
  [4272] = {.lex_state = 260},
  [4273] = {.lex_state = 265},
  [4274] = {.lex_state = 265},
  [4275] = {.lex_state = 265},
  [4276] = {.lex_state = 282},
  [4277] = {.lex_state = 237},
  [4278] = {.lex_state = 226},
  [4279] = {.lex_state = 282},
  [4280] = {.lex_state = 237},
  [4281] = {.lex_state = 282},
  [4282] = {.lex_state = 282},
  [4283] = {.lex_state = 282},
  [4284] = {.lex_state = 237},
  [4285] = {.lex_state = 226},
  [4286] = {.lex_state = 282},
  [4287] = {.lex_state = 282},
  [4288] = {.lex_state = 282},
  [4289] = {.lex_state = 226},
  [4290] = {.lex_state = 237},
  [4291] = {.lex_state = 282},
  [4292] = {.lex_state = 226},
  [4293] = {.lex_state = 282},
  [4294] = {.lex_state = 249},
  [4295] = {.lex_state = 282},
  [4296] = {.lex_state = 282},
  [4297] = {.lex_state = 237},
  [4298] = {.lex_state = 282},
  [4299] = {.lex_state = 237},
  [4300] = {.lex_state = 284},
  [4301] = {.lex_state = 282},
  [4302] = {.lex_state = 282},
  [4303] = {.lex_state = 282},
  [4304] = {.lex_state = 282},
  [4305] = {.lex_state = 282},
  [4306] = {.lex_state = 282},
  [4307] = {.lex_state = 237},
  [4308] = {.lex_state = 237},
  [4309] = {.lex_state = 282},
  [4310] = {.lex_state = 237},
  [4311] = {.lex_state = 282},
  [4312] = {.lex_state = 282},
  [4313] = {.lex_state = 282},
  [4314] = {.lex_state = 282},
  [4315] = {.lex_state = 207},
  [4316] = {.lex_state = 226},
  [4317] = {.lex_state = 237},
  [4318] = {.lex_state = 207},
  [4319] = {.lex_state = 282},
  [4320] = {.lex_state = 226},
  [4321] = {.lex_state = 282},
  [4322] = {.lex_state = 282},
  [4323] = {.lex_state = 282},
  [4324] = {.lex_state = 282},
  [4325] = {.lex_state = 282},
  [4326] = {.lex_state = 282},
  [4327] = {.lex_state = 282},
  [4328] = {.lex_state = 282},
  [4329] = {.lex_state = 282},
  [4330] = {.lex_state = 282},
  [4331] = {.lex_state = 282},
  [4332] = {.lex_state = 282},
  [4333] = {.lex_state = 253},
  [4334] = {.lex_state = 282},
  [4335] = {.lex_state = 226},
  [4336] = {.lex_state = 282},
  [4337] = {.lex_state = 253},
  [4338] = {.lex_state = 260},
  [4339] = {.lex_state = 282},
  [4340] = {.lex_state = 282},
  [4341] = {.lex_state = 282},
  [4342] = {.lex_state = 282},
  [4343] = {.lex_state = 282},
  [4344] = {.lex_state = 282},
  [4345] = {.lex_state = 238},
  [4346] = {.lex_state = 282},
  [4347] = {.lex_state = 282},
  [4348] = {.lex_state = 253},
  [4349] = {.lex_state = 282},
  [4350] = {.lex_state = 282},
  [4351] = {.lex_state = 282},
  [4352] = {.lex_state = 237},
  [4353] = {.lex_state = 282},
  [4354] = {.lex_state = 282},
  [4355] = {.lex_state = 284},
  [4356] = {.lex_state = 282},
  [4357] = {.lex_state = 282},
  [4358] = {.lex_state = 282},
  [4359] = {.lex_state = 282},
  [4360] = {.lex_state = 282},
  [4361] = {.lex_state = 207},
  [4362] = {.lex_state = 282},
  [4363] = {.lex_state = 226},
  [4364] = {.lex_state = 282},
  [4365] = {.lex_state = 282},
  [4366] = {.lex_state = 282},
  [4367] = {.lex_state = 282},
  [4368] = {.lex_state = 282},
  [4369] = {.lex_state = 282},
  [4370] = {.lex_state = 226},
  [4371] = {.lex_state = 282},
  [4372] = {.lex_state = 282},
  [4373] = {.lex_state = 207},
  [4374] = {.lex_state = 282},
  [4375] = {.lex_state = 282},
  [4376] = {.lex_state = 282},
  [4377] = {.lex_state = 282},
  [4378] = {.lex_state = 238},
  [4379] = {.lex_state = 282},
  [4380] = {.lex_state = 282},
  [4381] = {.lex_state = 282},
  [4382] = {.lex_state = 253},
  [4383] = {.lex_state = 226},
  [4384] = {.lex_state = 282},
  [4385] = {.lex_state = 226},
  [4386] = {.lex_state = 282},
  [4387] = {.lex_state = 282},
  [4388] = {.lex_state = 218},
  [4389] = {.lex_state = 282},
  [4390] = {.lex_state = 226},
  [4391] = {.lex_state = 282},
  [4392] = {.lex_state = 234},
  [4393] = {.lex_state = 282},
  [4394] = {.lex_state = 282},
  [4395] = {.lex_state = 218},
  [4396] = {.lex_state = 237},
  [4397] = {.lex_state = 237},
  [4398] = {.lex_state = 284},
  [4399] = {.lex_state = 282},
  [4400] = {.lex_state = 237},
  [4401] = {.lex_state = 226},
  [4402] = {.lex_state = 238},
  [4403] = {.lex_state = 282},
  [4404] = {.lex_state = 282},
  [4405] = {.lex_state = 282},
  [4406] = {.lex_state = 260},
  [4407] = {.lex_state = 238},
  [4408] = {.lex_state = 260},
  [4409] = {.lex_state = 237},
  [4410] = {.lex_state = 260},
  [4411] = {.lex_state = 260},
  [4412] = {.lex_state = 249},
  [4413] = {.lex_state = 282},
  [4414] = {.lex_state = 260},
  [4415] = {.lex_state = 260},
  [4416] = {.lex_state = 237},
  [4417] = {.lex_state = 237},
  [4418] = {.lex_state = 260},
  [4419] = {.lex_state = 282},
  [4420] = {.lex_state = 260},
  [4421] = {.lex_state = 218},
  [4422] = {.lex_state = 260},
  [4423] = {.lex_state = 260},
  [4424] = {.lex_state = 260},
  [4425] = {.lex_state = 260},
  [4426] = {.lex_state = 218},
  [4427] = {.lex_state = 260},
  [4428] = {.lex_state = 282},
  [4429] = {.lex_state = 237},
  [4430] = {.lex_state = 260},
  [4431] = {.lex_state = 237},
  [4432] = {.lex_state = 260},
  [4433] = {.lex_state = 260},
  [4434] = {.lex_state = 284},
  [4435] = {.lex_state = 282},
  [4436] = {.lex_state = 282},
  [4437] = {.lex_state = 284},
  [4438] = {.lex_state = 250},
  [4439] = {.lex_state = 260},
  [4440] = {.lex_state = 260},
  [4441] = {.lex_state = 282},
  [4442] = {.lex_state = 260},
  [4443] = {.lex_state = 282},
  [4444] = {.lex_state = 260},
  [4445] = {.lex_state = 260},
  [4446] = {.lex_state = 260},
  [4447] = {.lex_state = 260},
  [4448] = {.lex_state = 260},
  [4449] = {.lex_state = 260},
  [4450] = {.lex_state = 260},
  [4451] = {.lex_state = 260},
  [4452] = {.lex_state = 238},
  [4453] = {.lex_state = 238},
  [4454] = {.lex_state = 260},
  [4455] = {.lex_state = 260},
  [4456] = {.lex_state = 260},
  [4457] = {.lex_state = 260},
  [4458] = {.lex_state = 260},
  [4459] = {.lex_state = 238},
  [4460] = {.lex_state = 260},
  [4461] = {.lex_state = 284},
  [4462] = {.lex_state = 250},
  [4463] = {.lex_state = 284},
  [4464] = {.lex_state = 284},
  [4465] = {.lex_state = 282},
  [4466] = {.lex_state = 282},
  [4467] = {.lex_state = 218},
  [4468] = {.lex_state = 250},
  [4469] = {.lex_state = 207},
  [4470] = {.lex_state = 218},
  [4471] = {.lex_state = 260},
  [4472] = {.lex_state = 237},
  [4473] = {.lex_state = 260},
  [4474] = {.lex_state = 284},
  [4475] = {.lex_state = 207},
  [4476] = {.lex_state = 260},
  [4477] = {.lex_state = 260},
  [4478] = {.lex_state = 260},
  [4479] = {.lex_state = 260},
  [4480] = {.lex_state = 260},
  [4481] = {.lex_state = 250},
  [4482] = {.lex_state = 260},
  [4483] = {.lex_state = 282},
  [4484] = {.lex_state = 260},
  [4485] = {.lex_state = 260},
  [4486] = {.lex_state = 282},
  [4487] = {.lex_state = 260},
  [4488] = {.lex_state = 237},
  [4489] = {.lex_state = 207},
  [4490] = {.lex_state = 250},
  [4491] = {.lex_state = 260},
  [4492] = {.lex_state = 250},
  [4493] = {.lex_state = 249},
  [4494] = {.lex_state = 238},
  [4495] = {.lex_state = 237},
  [4496] = {.lex_state = 207},
  [4497] = {.lex_state = 260},
  [4498] = {.lex_state = 260},
  [4499] = {.lex_state = 260},
  [4500] = {.lex_state = 260},
  [4501] = {.lex_state = 250},
  [4502] = {.lex_state = 237},
  [4503] = {.lex_state = 250},
  [4504] = {.lex_state = 260},
  [4505] = {.lex_state = 260},
  [4506] = {.lex_state = 260},
  [4507] = {.lex_state = 260},
  [4508] = {.lex_state = 238},
  [4509] = {.lex_state = 260},
  [4510] = {.lex_state = 260},
  [4511] = {.lex_state = 260},
  [4512] = {.lex_state = 284},
  [4513] = {.lex_state = 260},
  [4514] = {.lex_state = 237},
  [4515] = {.lex_state = 237},
  [4516] = {.lex_state = 282},
  [4517] = {.lex_state = 237},
  [4518] = {.lex_state = 284},
  [4519] = {.lex_state = 282},
  [4520] = {.lex_state = 250},
  [4521] = {.lex_state = 250},
  [4522] = {.lex_state = 238},
  [4523] = {.lex_state = 238},
  [4524] = {.lex_state = 284},
  [4525] = {.lex_state = 238},
  [4526] = {.lex_state = 249},
  [4527] = {.lex_state = 238},
  [4528] = {.lex_state = 284},
  [4529] = {.lex_state = 272},
  [4530] = {.lex_state = 237},
  [4531] = {.lex_state = 284},
  [4532] = {.lex_state = 238},
  [4533] = {.lex_state = 238},
  [4534] = {.lex_state = 284},
  [4535] = {.lex_state = 238},
  [4536] = {.lex_state = 284},
  [4537] = {.lex_state = 238},
  [4538] = {.lex_state = 284},
  [4539] = {.lex_state = 238},
  [4540] = {.lex_state = 284},
  [4541] = {.lex_state = 238},
  [4542] = {.lex_state = 284},
  [4543] = {.lex_state = 249},
  [4544] = {.lex_state = 238},
  [4545] = {.lex_state = 238},
  [4546] = {.lex_state = 218},
  [4547] = {.lex_state = 284},
  [4548] = {.lex_state = 238},
  [4549] = {.lex_state = 238},
  [4550] = {.lex_state = 238},
  [4551] = {.lex_state = 249},
  [4552] = {.lex_state = 238},
  [4553] = {.lex_state = 238},
  [4554] = {.lex_state = 238},
  [4555] = {.lex_state = 238},
  [4556] = {.lex_state = 238},
  [4557] = {.lex_state = 284},
  [4558] = {.lex_state = 218},
  [4559] = {.lex_state = 238},
  [4560] = {.lex_state = 284},
  [4561] = {.lex_state = 284},
  [4562] = {.lex_state = 284},
  [4563] = {.lex_state = 284},
  [4564] = {.lex_state = 284},
  [4565] = {.lex_state = 284},
  [4566] = {.lex_state = 238},
  [4567] = {.lex_state = 284},
  [4568] = {.lex_state = 284},
  [4569] = {.lex_state = 238},
  [4570] = {.lex_state = 250},
  [4571] = {.lex_state = 284},
  [4572] = {.lex_state = 284},
  [4573] = {.lex_state = 284},
  [4574] = {.lex_state = 250},
  [4575] = {.lex_state = 238},
  [4576] = {.lex_state = 237},
  [4577] = {.lex_state = 238},
  [4578] = {.lex_state = 284},
  [4579] = {.lex_state = 238},
  [4580] = {.lex_state = 238},
  [4581] = {.lex_state = 238},
  [4582] = {.lex_state = 249},
  [4583] = {.lex_state = 249},
  [4584] = {.lex_state = 249},
  [4585] = {.lex_state = 238},
  [4586] = {.lex_state = 238},
  [4587] = {.lex_state = 284},
  [4588] = {.lex_state = 284},
  [4589] = {.lex_state = 238},
  [4590] = {.lex_state = 249},
  [4591] = {.lex_state = 218},
  [4592] = {.lex_state = 238},
  [4593] = {.lex_state = 249},
  [4594] = {.lex_state = 249},
  [4595] = {.lex_state = 249},
  [4596] = {.lex_state = 249},
  [4597] = {.lex_state = 284},
  [4598] = {.lex_state = 249},
  [4599] = {.lex_state = 284},
  [4600] = {.lex_state = 218},
  [4601] = {.lex_state = 237},
  [4602] = {.lex_state = 284},
  [4603] = {.lex_state = 381},
  [4604] = {.lex_state = 284},
  [4605] = {.lex_state = 237},
  [4606] = {.lex_state = 284},
  [4607] = {.lex_state = 238},
  [4608] = {.lex_state = 284},
  [4609] = {.lex_state = 250},
  [4610] = {.lex_state = 284},
  [4611] = {.lex_state = 237},
  [4612] = {.lex_state = 250},
  [4613] = {.lex_state = 226},
  [4614] = {.lex_state = 237},
  [4615] = {.lex_state = 237},
  [4616] = {.lex_state = 237},
  [4617] = {.lex_state = 381},
  [4618] = {.lex_state = 237},
  [4619] = {.lex_state = 381},
  [4620] = {.lex_state = 272},
  [4621] = {.lex_state = 226},
  [4622] = {.lex_state = 237},
  [4623] = {.lex_state = 237},
  [4624] = {.lex_state = 237},
  [4625] = {.lex_state = 237},
  [4626] = {.lex_state = 237},
  [4627] = {.lex_state = 237},
  [4628] = {.lex_state = 238},
  [4629] = {.lex_state = 250},
  [4630] = {.lex_state = 237},
  [4631] = {.lex_state = 250},
  [4632] = {.lex_state = 238},
  [4633] = {.lex_state = 237},
  [4634] = {.lex_state = 238},
  [4635] = {.lex_state = 381},
  [4636] = {.lex_state = 284},
  [4637] = {.lex_state = 284},
  [4638] = {.lex_state = 237},
  [4639] = {.lex_state = 250},
  [4640] = {.lex_state = 284},
  [4641] = {.lex_state = 237},
  [4642] = {.lex_state = 237},
  [4643] = {.lex_state = 237},
  [4644] = {.lex_state = 237},
  [4645] = {.lex_state = 272},
  [4646] = {.lex_state = 237},
  [4647] = {.lex_state = 237},
  [4648] = {.lex_state = 237},
  [4649] = {.lex_state = 250},
  [4650] = {.lex_state = 237},
  [4651] = {.lex_state = 282},
  [4652] = {.lex_state = 237},
  [4653] = {.lex_state = 272},
  [4654] = {.lex_state = 284},
  [4655] = {.lex_state = 250},
  [4656] = {.lex_state = 282},
  [4657] = {.lex_state = 381},
  [4658] = {.lex_state = 381},
  [4659] = {.lex_state = 381},
  [4660] = {.lex_state = 237},
  [4661] = {.lex_state = 250},
  [4662] = {.lex_state = 237},
  [4663] = {.lex_state = 237},
  [4664] = {.lex_state = 250},
  [4665] = {.lex_state = 226},
  [4666] = {.lex_state = 250},
  [4667] = {.lex_state = 237},
  [4668] = {.lex_state = 250},
  [4669] = {.lex_state = 282},
  [4670] = {.lex_state = 237},
  [4671] = {.lex_state = 237},
  [4672] = {.lex_state = 237},
  [4673] = {.lex_state = 237},
  [4674] = {.lex_state = 238},
  [4675] = {.lex_state = 250},
  [4676] = {.lex_state = 250},
  [4677] = {.lex_state = 237},
  [4678] = {.lex_state = 237},
  [4679] = {.lex_state = 237},
  [4680] = {.lex_state = 237},
  [4681] = {.lex_state = 237},
  [4682] = {.lex_state = 250},
  [4683] = {.lex_state = 237},
  [4684] = {.lex_state = 237},
  [4685] = {.lex_state = 237},
  [4686] = {.lex_state = 237},
  [4687] = {.lex_state = 250},
  [4688] = {.lex_state = 282},
  [4689] = {.lex_state = 237},
  [4690] = {.lex_state = 250},
  [4691] = {.lex_state = 237},
  [4692] = {.lex_state = 237},
  [4693] = {.lex_state = 237},
  [4694] = {.lex_state = 250},
  [4695] = {.lex_state = 237},
  [4696] = {.lex_state = 237},
  [4697] = {.lex_state = 237},
  [4698] = {.lex_state = 237},
  [4699] = {.lex_state = 237},
  [4700] = {.lex_state = 282},
  [4701] = {.lex_state = 237},
  [4702] = {.lex_state = 237},
  [4703] = {.lex_state = 237},
  [4704] = {.lex_state = 237},
  [4705] = {.lex_state = 237},
  [4706] = {.lex_state = 282},
  [4707] = {.lex_state = 237},
  [4708] = {.lex_state = 237},
  [4709] = {.lex_state = 237},
  [4710] = {.lex_state = 226},
  [4711] = {.lex_state = 237},
  [4712] = {.lex_state = 238},
  [4713] = {.lex_state = 238},
  [4714] = {.lex_state = 238},
  [4715] = {.lex_state = 282},
  [4716] = {.lex_state = 250},
  [4717] = {.lex_state = 282},
  [4718] = {.lex_state = 250},
  [4719] = {.lex_state = 273},
  [4720] = {.lex_state = 237},
  [4721] = {.lex_state = 273},
  [4722] = {.lex_state = 237},
  [4723] = {.lex_state = 237},
  [4724] = {.lex_state = 282},
  [4725] = {.lex_state = 282},
  [4726] = {.lex_state = 237},
  [4727] = {.lex_state = 237},
  [4728] = {.lex_state = 237},
  [4729] = {.lex_state = 237},
  [4730] = {.lex_state = 237},
  [4731] = {.lex_state = 237},
  [4732] = {.lex_state = 237},
  [4733] = {.lex_state = 237},
  [4734] = {.lex_state = 237},
  [4735] = {.lex_state = 237},
  [4736] = {.lex_state = 237},
  [4737] = {.lex_state = 250},
  [4738] = {.lex_state = 273},
  [4739] = {.lex_state = 237},
  [4740] = {.lex_state = 249},
  [4741] = {.lex_state = 237},
  [4742] = {.lex_state = 237},
  [4743] = {.lex_state = 237},
  [4744] = {.lex_state = 237},
  [4745] = {.lex_state = 238},
  [4746] = {.lex_state = 250},
  [4747] = {.lex_state = 237},
  [4748] = {.lex_state = 281},
  [4749] = {.lex_state = 237},
  [4750] = {.lex_state = 237},
  [4751] = {.lex_state = 237},
  [4752] = {.lex_state = 238},
  [4753] = {.lex_state = 249},
  [4754] = {.lex_state = 237},
  [4755] = {.lex_state = 250},
  [4756] = {.lex_state = 238},
  [4757] = {.lex_state = 378},
  [4758] = {.lex_state = 250},
  [4759] = {.lex_state = 238},
  [4760] = {.lex_state = 237},
  [4761] = {.lex_state = 250},
  [4762] = {.lex_state = 284},
  [4763] = {.lex_state = 250},
  [4764] = {.lex_state = 273},
  [4765] = {.lex_state = 250},
  [4766] = {.lex_state = 281},
  [4767] = {.lex_state = 281},
  [4768] = {.lex_state = 273},
  [4769] = {.lex_state = 237},
  [4770] = {.lex_state = 237},
  [4771] = {.lex_state = 284},
  [4772] = {.lex_state = 237},
  [4773] = {.lex_state = 237},
  [4774] = {.lex_state = 237},
  [4775] = {.lex_state = 273},
  [4776] = {.lex_state = 237},
  [4777] = {.lex_state = 237},
  [4778] = {.lex_state = 250},
  [4779] = {.lex_state = 284},
  [4780] = {.lex_state = 381},
  [4781] = {.lex_state = 381},
  [4782] = {.lex_state = 237},
  [4783] = {.lex_state = 250},
  [4784] = {.lex_state = 282},
  [4785] = {.lex_state = 282},
  [4786] = {.lex_state = 282},
  [4787] = {.lex_state = 282},
  [4788] = {.lex_state = 250},
  [4789] = {.lex_state = 250},
  [4790] = {.lex_state = 282},
  [4791] = {.lex_state = 250},
  [4792] = {.lex_state = 282},
  [4793] = {.lex_state = 250},
  [4794] = {.lex_state = 282},
  [4795] = {.lex_state = 282},
  [4796] = {.lex_state = 250},
  [4797] = {.lex_state = 282},
  [4798] = {.lex_state = 282},
  [4799] = {.lex_state = 381},
  [4800] = {.lex_state = 237},
  [4801] = {.lex_state = 250},
  [4802] = {.lex_state = 228},
  [4803] = {.lex_state = 250},
  [4804] = {.lex_state = 250},
  [4805] = {.lex_state = 250},
  [4806] = {.lex_state = 282},
  [4807] = {.lex_state = 282},
  [4808] = {.lex_state = 228},
  [4809] = {.lex_state = 237},
  [4810] = {.lex_state = 378},
  [4811] = {.lex_state = 228},
  [4812] = {.lex_state = 282},
  [4813] = {.lex_state = 250},
  [4814] = {.lex_state = 250},
  [4815] = {.lex_state = 250},
  [4816] = {.lex_state = 237},
  [4817] = {.lex_state = 381},
  [4818] = {.lex_state = 250},
  [4819] = {.lex_state = 250},
  [4820] = {.lex_state = 378},
  [4821] = {.lex_state = 282},
  [4822] = {.lex_state = 282},
  [4823] = {.lex_state = 250},
  [4824] = {.lex_state = 282},
  [4825] = {.lex_state = 282},
  [4826] = {.lex_state = 250},
  [4827] = {.lex_state = 250},
  [4828] = {.lex_state = 250},
  [4829] = {.lex_state = 250},
  [4830] = {.lex_state = 250},
  [4831] = {.lex_state = 284},
  [4832] = {.lex_state = 282},
  [4833] = {.lex_state = 282},
  [4834] = {.lex_state = 250},
  [4835] = {.lex_state = 250},
  [4836] = {.lex_state = 250},
  [4837] = {.lex_state = 250},
  [4838] = {.lex_state = 282},
  [4839] = {.lex_state = 250},
  [4840] = {.lex_state = 282},
  [4841] = {.lex_state = 250},
  [4842] = {.lex_state = 250},
  [4843] = {.lex_state = 282},
  [4844] = {.lex_state = 250},
  [4845] = {.lex_state = 250},
  [4846] = {.lex_state = 250},
  [4847] = {.lex_state = 250},
  [4848] = {.lex_state = 250},
  [4849] = {.lex_state = 282},
  [4850] = {.lex_state = 381},
  [4851] = {.lex_state = 282},
  [4852] = {.lex_state = 282},
  [4853] = {.lex_state = 250},
  [4854] = {.lex_state = 282},
  [4855] = {.lex_state = 282},
  [4856] = {.lex_state = 282},
  [4857] = {.lex_state = 282},
  [4858] = {.lex_state = 282},
  [4859] = {.lex_state = 250},
  [4860] = {.lex_state = 381},
  [4861] = {.lex_state = 282},
  [4862] = {.lex_state = 228},
  [4863] = {.lex_state = 250},
  [4864] = {.lex_state = 282},
  [4865] = {.lex_state = 250},
  [4866] = {.lex_state = 281},
  [4867] = {.lex_state = 250},
  [4868] = {.lex_state = 226},
  [4869] = {.lex_state = 228},
  [4870] = {.lex_state = 250},
  [4871] = {.lex_state = 250},
  [4872] = {.lex_state = 250},
  [4873] = {.lex_state = 250},
  [4874] = {.lex_state = 237},
  [4875] = {.lex_state = 250},
  [4876] = {.lex_state = 237},
  [4877] = {.lex_state = 250},
  [4878] = {.lex_state = 281},
  [4879] = {.lex_state = 250},
  [4880] = {.lex_state = 250},
  [4881] = {.lex_state = 250},
  [4882] = {.lex_state = 250},
  [4883] = {.lex_state = 250},
  [4884] = {.lex_state = 237},
  [4885] = {.lex_state = 249},
  [4886] = {.lex_state = 250},
  [4887] = {.lex_state = 250},
  [4888] = {.lex_state = 250},
  [4889] = {.lex_state = 250},
  [4890] = {.lex_state = 237},
  [4891] = {.lex_state = 226},
  [4892] = {.lex_state = 250},
  [4893] = {.lex_state = 250},
  [4894] = {.lex_state = 250},
  [4895] = {.lex_state = 226},
  [4896] = {.lex_state = 226},
  [4897] = {.lex_state = 250},
  [4898] = {.lex_state = 250},
  [4899] = {.lex_state = 250},
  [4900] = {.lex_state = 228},
  [4901] = {.lex_state = 250},
  [4902] = {.lex_state = 284},
  [4903] = {.lex_state = 237},
  [4904] = {.lex_state = 226},
  [4905] = {.lex_state = 237},
  [4906] = {.lex_state = 284},
  [4907] = {.lex_state = 238},
  [4908] = {.lex_state = 226},
  [4909] = {.lex_state = 238},
  [4910] = {.lex_state = 228},
  [4911] = {.lex_state = 228},
  [4912] = {.lex_state = 379},
  [4913] = {.lex_state = 284},
  [4914] = {.lex_state = 284},
  [4915] = {.lex_state = 284},
  [4916] = {.lex_state = 284},
  [4917] = {.lex_state = 281},
  [4918] = {.lex_state = 250},
  [4919] = {.lex_state = 284},
  [4920] = {.lex_state = 226},
  [4921] = {.lex_state = 237},
  [4922] = {.lex_state = 237},
  [4923] = {.lex_state = 237},
  [4924] = {.lex_state = 226},
  [4925] = {.lex_state = 237},
  [4926] = {.lex_state = 226},
  [4927] = {.lex_state = 226},
  [4928] = {.lex_state = 284},
  [4929] = {.lex_state = 226},
  [4930] = {.lex_state = 237},
  [4931] = {.lex_state = 237},
  [4932] = {.lex_state = 226},
  [4933] = {.lex_state = 241},
  [4934] = {.lex_state = 241},
  [4935] = {.lex_state = 237},
  [4936] = {.lex_state = 237},
  [4937] = {.lex_state = 237},
  [4938] = {.lex_state = 379},
  [4939] = {.lex_state = 237},
  [4940] = {.lex_state = 237},
  [4941] = {.lex_state = 237},
  [4942] = {.lex_state = 381},
  [4943] = {.lex_state = 226},
  [4944] = {.lex_state = 226},
  [4945] = {.lex_state = 226},
  [4946] = {.lex_state = 226},
  [4947] = {.lex_state = 250},
  [4948] = {.lex_state = 237},
  [4949] = {.lex_state = 237},
  [4950] = {.lex_state = 241},
  [4951] = {.lex_state = 237},
  [4952] = {.lex_state = 284},
  [4953] = {.lex_state = 381},
  [4954] = {.lex_state = 237},
  [4955] = {.lex_state = 379},
  [4956] = {.lex_state = 226},
  [4957] = {.lex_state = 237},
  [4958] = {.lex_state = 237},
  [4959] = {.lex_state = 241},
  [4960] = {.lex_state = 237},
  [4961] = {.lex_state = 273},
  [4962] = {.lex_state = 273},
  [4963] = {.lex_state = 237},
  [4964] = {.lex_state = 237},
  [4965] = {.lex_state = 273},
  [4966] = {.lex_state = 273},
  [4967] = {.lex_state = 237},
  [4968] = {.lex_state = 273},
  [4969] = {.lex_state = 273},
  [4970] = {.lex_state = 273},
  [4971] = {.lex_state = 237},
  [4972] = {.lex_state = 273},
  [4973] = {.lex_state = 273},
  [4974] = {.lex_state = 237},
  [4975] = {.lex_state = 237},
  [4976] = {.lex_state = 273},
  [4977] = {.lex_state = 281},
  [4978] = {.lex_state = 250},
  [4979] = {.lex_state = 250},
  [4980] = {.lex_state = 237},
  [4981] = {.lex_state = 250},
  [4982] = {.lex_state = 237},
  [4983] = {.lex_state = 250},
  [4984] = {.lex_state = 250},
  [4985] = {.lex_state = 381},
  [4986] = {.lex_state = 250},
  [4987] = {.lex_state = 250},
  [4988] = {.lex_state = 250},
  [4989] = {.lex_state = 250},
  [4990] = {.lex_state = 250},
  [4991] = {.lex_state = 381},
  [4992] = {.lex_state = 381},
  [4993] = {.lex_state = 237},
  [4994] = {.lex_state = 237},
  [4995] = {.lex_state = 381},
  [4996] = {.lex_state = 381},
  [4997] = {.lex_state = 250},
  [4998] = {.lex_state = 273},
  [4999] = {.lex_state = 237},
  [5000] = {.lex_state = 237},
  [5001] = {.lex_state = 226},
  [5002] = {.lex_state = 250},
  [5003] = {.lex_state = 250},
  [5004] = {.lex_state = 273},
  [5005] = {.lex_state = 250},
  [5006] = {.lex_state = 237},
  [5007] = {.lex_state = 250},
  [5008] = {.lex_state = 250},
  [5009] = {.lex_state = 250},
  [5010] = {.lex_state = 237},
  [5011] = {.lex_state = 250},
  [5012] = {.lex_state = 250},
  [5013] = {.lex_state = 381},
  [5014] = {.lex_state = 250},
  [5015] = {.lex_state = 273},
  [5016] = {.lex_state = 273},
  [5017] = {.lex_state = 237},
  [5018] = {.lex_state = 237},
  [5019] = {.lex_state = 250},
  [5020] = {.lex_state = 381},
  [5021] = {.lex_state = 381},
  [5022] = {.lex_state = 273},
  [5023] = {.lex_state = 237},
  [5024] = {.lex_state = 237},
  [5025] = {.lex_state = 271},
  [5026] = {.lex_state = 250},
  [5027] = {.lex_state = 237},
  [5028] = {.lex_state = 237},
  [5029] = {.lex_state = 273},
  [5030] = {.lex_state = 273},
  [5031] = {.lex_state = 250},
  [5032] = {.lex_state = 250},
  [5033] = {.lex_state = 237},
  [5034] = {.lex_state = 273},
  [5035] = {.lex_state = 237},
  [5036] = {.lex_state = 284},
  [5037] = {.lex_state = 250},
  [5038] = {.lex_state = 273},
  [5039] = {.lex_state = 284},
  [5040] = {.lex_state = 250},
  [5041] = {.lex_state = 250},
  [5042] = {.lex_state = 250},
  [5043] = {.lex_state = 250},
  [5044] = {.lex_state = 250},
  [5045] = {.lex_state = 237},
  [5046] = {.lex_state = 237},
  [5047] = {.lex_state = 273},
  [5048] = {.lex_state = 237},
  [5049] = {.lex_state = 237},
  [5050] = {.lex_state = 250},
  [5051] = {.lex_state = 250},
  [5052] = {.lex_state = 237},
  [5053] = {.lex_state = 273},
  [5054] = {.lex_state = 250},
  [5055] = {.lex_state = 237},
  [5056] = {.lex_state = 237},
  [5057] = {.lex_state = 250},
  [5058] = {.lex_state = 237},
  [5059] = {.lex_state = 273},
  [5060] = {.lex_state = 273},
  [5061] = {.lex_state = 237},
  [5062] = {.lex_state = 237},
  [5063] = {.lex_state = 226},
  [5064] = {.lex_state = 273},
  [5065] = {.lex_state = 250},
  [5066] = {.lex_state = 250},
  [5067] = {.lex_state = 273},
  [5068] = {.lex_state = 226},
  [5069] = {.lex_state = 237},
  [5070] = {.lex_state = 237},
  [5071] = {.lex_state = 250},
  [5072] = {.lex_state = 237},
  [5073] = {.lex_state = 381},
  [5074] = {.lex_state = 237},
  [5075] = {.lex_state = 250},
  [5076] = {.lex_state = 273},
  [5077] = {.lex_state = 237},
  [5078] = {.lex_state = 237},
  [5079] = {.lex_state = 237},
  [5080] = {.lex_state = 237},
  [5081] = {.lex_state = 237},
  [5082] = {.lex_state = 237},
  [5083] = {.lex_state = 237},
  [5084] = {.lex_state = 273},
  [5085] = {.lex_state = 237},
  [5086] = {.lex_state = 237},
  [5087] = {.lex_state = 237},
  [5088] = {.lex_state = 237},
  [5089] = {.lex_state = 250},
  [5090] = {.lex_state = 237},
  [5091] = {.lex_state = 273},
  [5092] = {.lex_state = 250},
  [5093] = {.lex_state = 250},
  [5094] = {.lex_state = 250},
  [5095] = {.lex_state = 237},
  [5096] = {.lex_state = 284},
  [5097] = {.lex_state = 284},
  [5098] = {.lex_state = 273},
  [5099] = {.lex_state = 250},
  [5100] = {.lex_state = 237},
  [5101] = {.lex_state = 273},
  [5102] = {.lex_state = 273},
  [5103] = {.lex_state = 250},
  [5104] = {.lex_state = 250},
  [5105] = {.lex_state = 273},
  [5106] = {.lex_state = 250},
  [5107] = {.lex_state = 250},
  [5108] = {.lex_state = 237},
  [5109] = {.lex_state = 273},
  [5110] = {.lex_state = 237},
  [5111] = {.lex_state = 237},
  [5112] = {.lex_state = 250},
  [5113] = {.lex_state = 273},
  [5114] = {.lex_state = 237},
  [5115] = {.lex_state = 273},
  [5116] = {.lex_state = 250},
  [5117] = {.lex_state = 237},
  [5118] = {.lex_state = 250},
  [5119] = {.lex_state = 237},
  [5120] = {.lex_state = 273},
  [5121] = {.lex_state = 237},
  [5122] = {.lex_state = 237},
  [5123] = {.lex_state = 237},
  [5124] = {.lex_state = 273},
  [5125] = {.lex_state = 273},
  [5126] = {.lex_state = 237},
  [5127] = {.lex_state = 237},
  [5128] = {.lex_state = 237},
  [5129] = {.lex_state = 250},
  [5130] = {.lex_state = 250},
  [5131] = {.lex_state = 250},
  [5132] = {.lex_state = 281},
  [5133] = {.lex_state = 250},
  [5134] = {.lex_state = 250},
  [5135] = {.lex_state = 250},
  [5136] = {.lex_state = 237},
  [5137] = {.lex_state = 237},
  [5138] = {.lex_state = 237},
  [5139] = {.lex_state = 273},
  [5140] = {.lex_state = 273},
  [5141] = {.lex_state = 250},
  [5142] = {.lex_state = 237},
  [5143] = {.lex_state = 237},
  [5144] = {.lex_state = 273},
  [5145] = {.lex_state = 273},
  [5146] = {.lex_state = 273},
  [5147] = {.lex_state = 281},
  [5148] = {.lex_state = 273},
  [5149] = {.lex_state = 237},
  [5150] = {.lex_state = 273},
  [5151] = {.lex_state = 381},
  [5152] = {.lex_state = 281},
  [5153] = {.lex_state = 273},
  [5154] = {.lex_state = 237},
  [5155] = {.lex_state = 273},
  [5156] = {.lex_state = 381},
  [5157] = {.lex_state = 237},
  [5158] = {.lex_state = 237},
  [5159] = {.lex_state = 237},
  [5160] = {.lex_state = 237},
  [5161] = {.lex_state = 228},
  [5162] = {.lex_state = 228},
  [5163] = {.lex_state = 237},
  [5164] = {.lex_state = 237},
  [5165] = {.lex_state = 381},
  [5166] = {.lex_state = 281},
  [5167] = {.lex_state = 273},
  [5168] = {.lex_state = 273},
  [5169] = {.lex_state = 237},
  [5170] = {.lex_state = 237},
  [5171] = {.lex_state = 237},
  [5172] = {.lex_state = 273},
  [5173] = {.lex_state = 273},
  [5174] = {.lex_state = 273},
  [5175] = {.lex_state = 237},
  [5176] = {.lex_state = 273},
  [5177] = {.lex_state = 273},
  [5178] = {.lex_state = 273},
  [5179] = {.lex_state = 273},
  [5180] = {.lex_state = 237},
  [5181] = {.lex_state = 237},
  [5182] = {.lex_state = 273},
  [5183] = {.lex_state = 237},
  [5184] = {.lex_state = 381},
  [5185] = {.lex_state = 237},
  [5186] = {.lex_state = 237},
  [5187] = {.lex_state = 237},
  [5188] = {.lex_state = 237},
  [5189] = {.lex_state = 237},
  [5190] = {.lex_state = 237},
  [5191] = {.lex_state = 237},
  [5192] = {.lex_state = 273},
  [5193] = {.lex_state = 237},
  [5194] = {.lex_state = 381},
  [5195] = {.lex_state = 237},
  [5196] = {.lex_state = 237},
  [5197] = {.lex_state = 237},
  [5198] = {.lex_state = 273},
  [5199] = {.lex_state = 237},
  [5200] = {.lex_state = 281},
  [5201] = {.lex_state = 237},
  [5202] = {.lex_state = 237},
  [5203] = {.lex_state = 237},
  [5204] = {.lex_state = 273},
  [5205] = {.lex_state = 273},
  [5206] = {.lex_state = 284},
  [5207] = {.lex_state = 273},
  [5208] = {.lex_state = 273},
  [5209] = {.lex_state = 237},
  [5210] = {.lex_state = 237},
  [5211] = {.lex_state = 273},
  [5212] = {.lex_state = 273},
  [5213] = {.lex_state = 273},
  [5214] = {.lex_state = 237},
  [5215] = {.lex_state = 281},
  [5216] = {.lex_state = 237},
  [5217] = {.lex_state = 237},
  [5218] = {.lex_state = 281},
  [5219] = {.lex_state = 237},
  [5220] = {.lex_state = 237},
  [5221] = {.lex_state = 273},
  [5222] = {.lex_state = 237},
  [5223] = {.lex_state = 226},
  [5224] = {.lex_state = 237},
  [5225] = {.lex_state = 237},
  [5226] = {.lex_state = 237},
  [5227] = {.lex_state = 237},
  [5228] = {.lex_state = 237},
  [5229] = {.lex_state = 237},
  [5230] = {.lex_state = 237},
  [5231] = {.lex_state = 237},
  [5232] = {.lex_state = 228},
  [5233] = {.lex_state = 237},
  [5234] = {.lex_state = 237},
  [5235] = {.lex_state = 237},
  [5236] = {.lex_state = 237},
  [5237] = {.lex_state = 237},
  [5238] = {.lex_state = 281},
  [5239] = {.lex_state = 237},
  [5240] = {.lex_state = 237},
  [5241] = {.lex_state = 237},
  [5242] = {.lex_state = 237},
  [5243] = {.lex_state = 381},
  [5244] = {.lex_state = 237},
  [5245] = {.lex_state = 381},
  [5246] = {.lex_state = 237},
  [5247] = {.lex_state = 237},
  [5248] = {.lex_state = 237},
  [5249] = {.lex_state = 237},
  [5250] = {.lex_state = 228},
  [5251] = {.lex_state = 272},
  [5252] = {.lex_state = 237},
  [5253] = {.lex_state = 273},
  [5254] = {.lex_state = 237},
  [5255] = {.lex_state = 237},
  [5256] = {.lex_state = 381},
  [5257] = {.lex_state = 237},
  [5258] = {.lex_state = 381},
  [5259] = {.lex_state = 381},
  [5260] = {.lex_state = 238},
  [5261] = {.lex_state = 238},
  [5262] = {.lex_state = 237},
  [5263] = {.lex_state = 237},
  [5264] = {.lex_state = 237},
  [5265] = {.lex_state = 237},
  [5266] = {.lex_state = 237},
  [5267] = {.lex_state = 238},
  [5268] = {.lex_state = 237},
  [5269] = {.lex_state = 237},
  [5270] = {.lex_state = 237},
  [5271] = {.lex_state = 237},
  [5272] = {.lex_state = 237},
  [5273] = {.lex_state = 237},
  [5274] = {.lex_state = 381},
  [5275] = {.lex_state = 237},
  [5276] = {.lex_state = 237},
  [5277] = {.lex_state = 237},
  [5278] = {.lex_state = 237},
  [5279] = {.lex_state = 237},
  [5280] = {.lex_state = 284},
  [5281] = {.lex_state = 255},
  [5282] = {.lex_state = 237},
  [5283] = {.lex_state = 237},
  [5284] = {.lex_state = 238},
  [5285] = {.lex_state = 237},
  [5286] = {.lex_state = 237},
  [5287] = {.lex_state = 238},
  [5288] = {.lex_state = 238},
  [5289] = {.lex_state = 237},
  [5290] = {.lex_state = 237},
  [5291] = {.lex_state = 237},
  [5292] = {.lex_state = 238},
  [5293] = {.lex_state = 237},
  [5294] = {.lex_state = 237},
  [5295] = {.lex_state = 238},
  [5296] = {.lex_state = 255},
  [5297] = {.lex_state = 237},
  [5298] = {.lex_state = 237},
  [5299] = {.lex_state = 237},
  [5300] = {.lex_state = 237},
  [5301] = {.lex_state = 237},
  [5302] = {.lex_state = 238},
  [5303] = {.lex_state = 237},
  [5304] = {.lex_state = 238},
  [5305] = {.lex_state = 237},
  [5306] = {.lex_state = 237},
  [5307] = {.lex_state = 237},
  [5308] = {.lex_state = 238},
  [5309] = {.lex_state = 238},
  [5310] = {.lex_state = 238},
  [5311] = {.lex_state = 237},
  [5312] = {.lex_state = 284},
  [5313] = {.lex_state = 237},
  [5314] = {.lex_state = 381},
  [5315] = {.lex_state = 237},
  [5316] = {.lex_state = 237},
  [5317] = {.lex_state = 238},
  [5318] = {.lex_state = 238},
  [5319] = {.lex_state = 238},
  [5320] = {.lex_state = 237},
  [5321] = {.lex_state = 237},
  [5322] = {.lex_state = 282},
  [5323] = {.lex_state = 238},
  [5324] = {.lex_state = 237},
  [5325] = {.lex_state = 238},
  [5326] = {.lex_state = 237},
  [5327] = {.lex_state = 237},
  [5328] = {.lex_state = 237},
  [5329] = {.lex_state = 237},
  [5330] = {.lex_state = 237},
  [5331] = {.lex_state = 237},
  [5332] = {.lex_state = 237},
  [5333] = {.lex_state = 238},
  [5334] = {.lex_state = 238},
  [5335] = {.lex_state = 237},
  [5336] = {.lex_state = 237},
  [5337] = {.lex_state = 281},
  [5338] = {.lex_state = 381},
  [5339] = {.lex_state = 237},
  [5340] = {.lex_state = 237},
  [5341] = {.lex_state = 381},
  [5342] = {.lex_state = 238},
  [5343] = {.lex_state = 237},
  [5344] = {.lex_state = 237},
  [5345] = {.lex_state = 237},
  [5346] = {.lex_state = 237},
  [5347] = {.lex_state = 281},
  [5348] = {.lex_state = 237},
  [5349] = {.lex_state = 238},
  [5350] = {.lex_state = 238},
  [5351] = {.lex_state = 238},
  [5352] = {.lex_state = 238},
  [5353] = {.lex_state = 238},
  [5354] = {.lex_state = 381},
  [5355] = {.lex_state = 238},
  [5356] = {.lex_state = 237},
  [5357] = {.lex_state = 237},
  [5358] = {.lex_state = 237},
  [5359] = {.lex_state = 255},
  [5360] = {.lex_state = 238},
  [5361] = {.lex_state = 237},
  [5362] = {.lex_state = 237},
  [5363] = {.lex_state = 237},
  [5364] = {.lex_state = 238},
  [5365] = {.lex_state = 237},
  [5366] = {.lex_state = 238},
  [5367] = {.lex_state = 238},
  [5368] = {.lex_state = 237},
  [5369] = {.lex_state = 237},
  [5370] = {.lex_state = 237},
  [5371] = {.lex_state = 237},
  [5372] = {.lex_state = 284},
  [5373] = {.lex_state = 237},
  [5374] = {.lex_state = 237},
  [5375] = {.lex_state = 237},
  [5376] = {.lex_state = 237},
  [5377] = {.lex_state = 237},
  [5378] = {.lex_state = 284},
  [5379] = {.lex_state = 237},
  [5380] = {.lex_state = 255},
  [5381] = {.lex_state = 237},
  [5382] = {.lex_state = 237},
  [5383] = {.lex_state = 237},
  [5384] = {.lex_state = 237},
  [5385] = {.lex_state = 237},
  [5386] = {.lex_state = 237},
  [5387] = {.lex_state = 237},
  [5388] = {.lex_state = 237},
  [5389] = {.lex_state = 237},
  [5390] = {.lex_state = 237},
  [5391] = {.lex_state = 237},
  [5392] = {.lex_state = 237},
  [5393] = {.lex_state = 273},
  [5394] = {.lex_state = 237},
  [5395] = {.lex_state = 237},
  [5396] = {.lex_state = 284},
  [5397] = {.lex_state = 237},
  [5398] = {.lex_state = 237},
  [5399] = {.lex_state = 238},
  [5400] = {.lex_state = 237},
  [5401] = {.lex_state = 237},
  [5402] = {.lex_state = 381},
  [5403] = {.lex_state = 238},
  [5404] = {.lex_state = 238},
  [5405] = {.lex_state = 237},
  [5406] = {.lex_state = 237},
  [5407] = {.lex_state = 238},
  [5408] = {.lex_state = 237},
  [5409] = {.lex_state = 237},
  [5410] = {.lex_state = 237},
  [5411] = {.lex_state = 237},
  [5412] = {.lex_state = 237},
  [5413] = {.lex_state = 237},
  [5414] = {.lex_state = 237},
  [5415] = {.lex_state = 238},
  [5416] = {.lex_state = 238},
  [5417] = {.lex_state = 238},
  [5418] = {.lex_state = 238},
  [5419] = {.lex_state = 238},
  [5420] = {.lex_state = 284},
  [5421] = {.lex_state = 237},
  [5422] = {.lex_state = 237},
  [5423] = {.lex_state = 237},
  [5424] = {.lex_state = 238},
  [5425] = {.lex_state = 238},
  [5426] = {.lex_state = 238},
  [5427] = {.lex_state = 284},
  [5428] = {.lex_state = 237},
  [5429] = {.lex_state = 237},
  [5430] = {.lex_state = 237},
  [5431] = {.lex_state = 281},
  [5432] = {.lex_state = 237},
  [5433] = {.lex_state = 237},
  [5434] = {.lex_state = 238},
  [5435] = {.lex_state = 273},
  [5436] = {.lex_state = 273},
  [5437] = {.lex_state = 281},
  [5438] = {.lex_state = 281},
  [5439] = {.lex_state = 281},
  [5440] = {.lex_state = 281},
  [5441] = {.lex_state = 281},
  [5442] = {.lex_state = 381},
  [5443] = {.lex_state = 273},
  [5444] = {.lex_state = 281},
  [5445] = {.lex_state = 281},
  [5446] = {.lex_state = 381},
  [5447] = {.lex_state = 281},
  [5448] = {.lex_state = 273},
  [5449] = {.lex_state = 273},
  [5450] = {.lex_state = 273},
  [5451] = {.lex_state = 273},
  [5452] = {.lex_state = 273},
  [5453] = {.lex_state = 273},
  [5454] = {.lex_state = 281},
  [5455] = {.lex_state = 273},
  [5456] = {.lex_state = 281},
  [5457] = {.lex_state = 273},
  [5458] = {.lex_state = 281},
  [5459] = {.lex_state = 284},
  [5460] = {.lex_state = 281},
  [5461] = {.lex_state = 381},
  [5462] = {.lex_state = 273},
  [5463] = {.lex_state = 237},
  [5464] = {.lex_state = 284},
  [5465] = {.lex_state = 281},
  [5466] = {.lex_state = 273},
  [5467] = {.lex_state = 226},
  [5468] = {.lex_state = 273},
  [5469] = {.lex_state = 281},
  [5470] = {.lex_state = 226},
  [5471] = {.lex_state = 381},
  [5472] = {.lex_state = 273},
  [5473] = {.lex_state = 381},
  [5474] = {.lex_state = 281},
  [5475] = {.lex_state = 281},
  [5476] = {.lex_state = 273},
  [5477] = {.lex_state = 273},
  [5478] = {.lex_state = 281},
  [5479] = {.lex_state = 273},
  [5480] = {.lex_state = 273},
  [5481] = {.lex_state = 281},
  [5482] = {.lex_state = 281},
  [5483] = {.lex_state = 273},
  [5484] = {.lex_state = 273},
  [5485] = {.lex_state = 281},
  [5486] = {.lex_state = 281},
  [5487] = {.lex_state = 273},
  [5488] = {.lex_state = 273},
  [5489] = {.lex_state = 273},
  [5490] = {.lex_state = 273},
  [5491] = {.lex_state = 273},
  [5492] = {.lex_state = 273},
  [5493] = {.lex_state = 281},
  [5494] = {.lex_state = 273},
  [5495] = {.lex_state = 273},
  [5496] = {.lex_state = 273},
  [5497] = {.lex_state = 226},
  [5498] = {.lex_state = 381},
  [5499] = {.lex_state = 273},
  [5500] = {.lex_state = 382},
  [5501] = {.lex_state = 273},
  [5502] = {.lex_state = 273},
  [5503] = {.lex_state = 273},
  [5504] = {.lex_state = 273},
  [5505] = {.lex_state = 381},
  [5506] = {.lex_state = 273},
  [5507] = {.lex_state = 381},
  [5508] = {.lex_state = 273},
  [5509] = {.lex_state = 273},
  [5510] = {.lex_state = 273},
  [5511] = {.lex_state = 273},
  [5512] = {.lex_state = 226},
  [5513] = {.lex_state = 381},
  [5514] = {.lex_state = 282},
  [5515] = {.lex_state = 381},
  [5516] = {.lex_state = 282},
  [5517] = {.lex_state = 381},
  [5518] = {.lex_state = 282},
  [5519] = {.lex_state = 237},
  [5520] = {.lex_state = 282},
  [5521] = {.lex_state = 237},
  [5522] = {.lex_state = 238},
  [5523] = {.lex_state = 282},
  [5524] = {.lex_state = 282},
  [5525] = {.lex_state = 282},
  [5526] = {.lex_state = 281},
  [5527] = {.lex_state = 282},
  [5528] = {.lex_state = 281},
  [5529] = {.lex_state = 282},
  [5530] = {.lex_state = 282},
  [5531] = {.lex_state = 382},
  [5532] = {.lex_state = 230},
  [5533] = {.lex_state = 282},
  [5534] = {.lex_state = 282},
  [5535] = {.lex_state = 282},
  [5536] = {.lex_state = 282},
  [5537] = {.lex_state = 282},
  [5538] = {.lex_state = 381},
  [5539] = {.lex_state = 282},
  [5540] = {.lex_state = 382},
  [5541] = {.lex_state = 282},
  [5542] = {.lex_state = 281},
  [5543] = {.lex_state = 282},
  [5544] = {.lex_state = 282},
  [5545] = {.lex_state = 238},
  [5546] = {.lex_state = 381},
  [5547] = {.lex_state = 381},
  [5548] = {.lex_state = 282},
  [5549] = {.lex_state = 382},
  [5550] = {.lex_state = 237},
  [5551] = {.lex_state = 237},
  [5552] = {.lex_state = 381},
  [5553] = {.lex_state = 282},
  [5554] = {.lex_state = 237},
  [5555] = {.lex_state = 281},
  [5556] = {.lex_state = 381},
  [5557] = {.lex_state = 282},
  [5558] = {.lex_state = 281},
  [5559] = {.lex_state = 282},
  [5560] = {.lex_state = 281},
  [5561] = {.lex_state = 282},
  [5562] = {.lex_state = 237},
  [5563] = {.lex_state = 282},
  [5564] = {.lex_state = 282},
  [5565] = {.lex_state = 281},
  [5566] = {.lex_state = 281},
  [5567] = {.lex_state = 381},
  [5568] = {.lex_state = 282},
  [5569] = {.lex_state = 281},
  [5570] = {.lex_state = 281},
  [5571] = {.lex_state = 381},
  [5572] = {.lex_state = 281},
  [5573] = {.lex_state = 282},
  [5574] = {.lex_state = 282},
  [5575] = {.lex_state = 282},
  [5576] = {.lex_state = 282},
  [5577] = {.lex_state = 381},
  [5578] = {.lex_state = 381},
  [5579] = {.lex_state = 381},
  [5580] = {.lex_state = 282},
  [5581] = {.lex_state = 381},
  [5582] = {.lex_state = 381},
  [5583] = {.lex_state = 381},
  [5584] = {.lex_state = 381},
  [5585] = {.lex_state = 282},
  [5586] = {.lex_state = 282},
  [5587] = {.lex_state = 281},
  [5588] = {.lex_state = 281},
  [5589] = {.lex_state = 282},
  [5590] = {.lex_state = 381},
  [5591] = {.lex_state = 282},
  [5592] = {.lex_state = 282},
  [5593] = {.lex_state = 381},
  [5594] = {.lex_state = 282},
  [5595] = {.lex_state = 381},
  [5596] = {.lex_state = 381},
  [5597] = {.lex_state = 381},
  [5598] = {.lex_state = 282},
  [5599] = {.lex_state = 282},
  [5600] = {.lex_state = 381},
  [5601] = {.lex_state = 282},
  [5602] = {.lex_state = 282},
  [5603] = {.lex_state = 282},
  [5604] = {.lex_state = 381},
  [5605] = {.lex_state = 284},
  [5606] = {.lex_state = 282},
  [5607] = {.lex_state = 284},
  [5608] = {.lex_state = 282},
  [5609] = {.lex_state = 282},
  [5610] = {.lex_state = 282},
  [5611] = {.lex_state = 381},
  [5612] = {.lex_state = 237},
  [5613] = {.lex_state = 282},
  [5614] = {.lex_state = 381},
  [5615] = {.lex_state = 284},
  [5616] = {.lex_state = 284},
  [5617] = {.lex_state = 282},
  [5618] = {.lex_state = 284},
  [5619] = {.lex_state = 381},
  [5620] = {.lex_state = 381},
  [5621] = {.lex_state = 381},
  [5622] = {.lex_state = 381},
  [5623] = {.lex_state = 282},
  [5624] = {.lex_state = 282},
  [5625] = {.lex_state = 284},
  [5626] = {.lex_state = 282},
  [5627] = {.lex_state = 282},
  [5628] = {.lex_state = 282},
  [5629] = {.lex_state = 282},
  [5630] = {.lex_state = 282},
  [5631] = {.lex_state = 282},
  [5632] = {.lex_state = 282},
  [5633] = {.lex_state = 282},
  [5634] = {.lex_state = 282},
  [5635] = {.lex_state = 282},
  [5636] = {.lex_state = 381},
  [5637] = {.lex_state = 282},
  [5638] = {.lex_state = 282},
  [5639] = {.lex_state = 381},
  [5640] = {.lex_state = 381},
  [5641] = {.lex_state = 281},
  [5642] = {.lex_state = 381},
  [5643] = {.lex_state = 381},
  [5644] = {.lex_state = 284},
  [5645] = {.lex_state = 282},
  [5646] = {.lex_state = 282},
  [5647] = {.lex_state = 282},
  [5648] = {.lex_state = 282},
  [5649] = {.lex_state = 381},
  [5650] = {.lex_state = 282},
  [5651] = {.lex_state = 284},
  [5652] = {.lex_state = 282},
  [5653] = {.lex_state = 282},
  [5654] = {.lex_state = 381},
  [5655] = {.lex_state = 282},
  [5656] = {.lex_state = 381},
  [5657] = {.lex_state = 226},
  [5658] = {.lex_state = 381},
  [5659] = {.lex_state = 381},
  [5660] = {.lex_state = 381},
  [5661] = {.lex_state = 381},
  [5662] = {.lex_state = 381},
  [5663] = {.lex_state = 381},
  [5664] = {.lex_state = 282},
  [5665] = {.lex_state = 381},
  [5666] = {.lex_state = 282},
  [5667] = {.lex_state = 381},
  [5668] = {.lex_state = 282},
  [5669] = {.lex_state = 381},
  [5670] = {.lex_state = 282},
  [5671] = {.lex_state = 381},
  [5672] = {.lex_state = 282},
  [5673] = {.lex_state = 381},
  [5674] = {.lex_state = 381},
  [5675] = {.lex_state = 282},
  [5676] = {.lex_state = 381},
  [5677] = {.lex_state = 381},
  [5678] = {.lex_state = 282},
  [5679] = {.lex_state = 282},
  [5680] = {.lex_state = 381},
  [5681] = {.lex_state = 282},
  [5682] = {.lex_state = 381},
  [5683] = {.lex_state = 237},
  [5684] = {.lex_state = 282},
  [5685] = {.lex_state = 284},
  [5686] = {.lex_state = 381},
  [5687] = {.lex_state = 381},
  [5688] = {.lex_state = 381},
  [5689] = {.lex_state = 381},
  [5690] = {.lex_state = 282},
  [5691] = {.lex_state = 282},
  [5692] = {.lex_state = 381},
  [5693] = {.lex_state = 282},
  [5694] = {.lex_state = 282},
  [5695] = {.lex_state = 381},
  [5696] = {.lex_state = 282},
  [5697] = {.lex_state = 282},
  [5698] = {.lex_state = 226},
  [5699] = {.lex_state = 281},
  [5700] = {.lex_state = 381},
  [5701] = {.lex_state = 381},
  [5702] = {.lex_state = 381},
  [5703] = {.lex_state = 381},
  [5704] = {.lex_state = 282},
  [5705] = {.lex_state = 381},
  [5706] = {.lex_state = 282},
  [5707] = {.lex_state = 282},
  [5708] = {.lex_state = 284},
  [5709] = {.lex_state = 282},
  [5710] = {.lex_state = 282},
  [5711] = {.lex_state = 381},
  [5712] = {.lex_state = 381},
  [5713] = {.lex_state = 381},
  [5714] = {.lex_state = 226},
  [5715] = {.lex_state = 282},
  [5716] = {.lex_state = 282},
  [5717] = {.lex_state = 226},
  [5718] = {.lex_state = 226},
  [5719] = {.lex_state = 238},
  [5720] = {.lex_state = 381},
  [5721] = {.lex_state = 273},
  [5722] = {.lex_state = 281},
  [5723] = {.lex_state = 381},
  [5724] = {.lex_state = 281},
  [5725] = {.lex_state = 281},
  [5726] = {.lex_state = 230},
  [5727] = {.lex_state = 238},
  [5728] = {.lex_state = 226},
  [5729] = {.lex_state = 282},
  [5730] = {.lex_state = 281},
  [5731] = {.lex_state = 273},
  [5732] = {.lex_state = 226},
  [5733] = {.lex_state = 281},
  [5734] = {.lex_state = 230},
  [5735] = {.lex_state = 281},
  [5736] = {.lex_state = 238},
  [5737] = {.lex_state = 238},
  [5738] = {.lex_state = 281},
  [5739] = {.lex_state = 281},
  [5740] = {.lex_state = 281},
  [5741] = {.lex_state = 282},
  [5742] = {.lex_state = 281},
  [5743] = {.lex_state = 226},
  [5744] = {.lex_state = 238},
  [5745] = {.lex_state = 281},
  [5746] = {.lex_state = 284},
  [5747] = {.lex_state = 238},
  [5748] = {.lex_state = 281},
  [5749] = {.lex_state = 381},
  [5750] = {.lex_state = 226},
  [5751] = {.lex_state = 281},
  [5752] = {.lex_state = 238},
  [5753] = {.lex_state = 226},
  [5754] = {.lex_state = 381},
  [5755] = {.lex_state = 284},
  [5756] = {.lex_state = 281},
  [5757] = {.lex_state = 238},
  [5758] = {.lex_state = 284},
  [5759] = {.lex_state = 237},
  [5760] = {.lex_state = 381},
  [5761] = {.lex_state = 381},
  [5762] = {.lex_state = 281},
  [5763] = {.lex_state = 284},
  [5764] = {.lex_state = 281},
  [5765] = {.lex_state = 281},
  [5766] = {.lex_state = 284},
  [5767] = {.lex_state = 281},
  [5768] = {.lex_state = 281},
  [5769] = {.lex_state = 281},
  [5770] = {.lex_state = 284},
  [5771] = {.lex_state = 284},
  [5772] = {.lex_state = 381},
  [5773] = {.lex_state = 381},
  [5774] = {.lex_state = 281},
  [5775] = {.lex_state = 381},
  [5776] = {.lex_state = 281},
  [5777] = {.lex_state = 381},
  [5778] = {.lex_state = 281},
  [5779] = {.lex_state = 381},
  [5780] = {.lex_state = 284},
  [5781] = {.lex_state = 237},
  [5782] = {.lex_state = 281},
  [5783] = {.lex_state = 281},
  [5784] = {.lex_state = 281},
  [5785] = {.lex_state = 281},
  [5786] = {.lex_state = 281},
  [5787] = {.lex_state = 284},
  [5788] = {.lex_state = 284},
  [5789] = {.lex_state = 381},
  [5790] = {.lex_state = 281},
  [5791] = {.lex_state = 281},
  [5792] = {.lex_state = 237},
  [5793] = {.lex_state = 237},
  [5794] = {.lex_state = 244},
  [5795] = {.lex_state = 281},
  [5796] = {.lex_state = 237},
  [5797] = {.lex_state = 281},
  [5798] = {.lex_state = 237},
  [5799] = {.lex_state = 244},
  [5800] = {.lex_state = 281},
  [5801] = {.lex_state = 237},
  [5802] = {.lex_state = 381},
  [5803] = {.lex_state = 281},
  [5804] = {.lex_state = 282},
  [5805] = {.lex_state = 281},
  [5806] = {.lex_state = 281},
  [5807] = {.lex_state = 281},
  [5808] = {.lex_state = 237},
  [5809] = {.lex_state = 281},
  [5810] = {.lex_state = 281},
  [5811] = {.lex_state = 281},
  [5812] = {.lex_state = 237},
  [5813] = {.lex_state = 237},
  [5814] = {.lex_state = 281},
  [5815] = {.lex_state = 281},
  [5816] = {.lex_state = 237},
  [5817] = {.lex_state = 381},
  [5818] = {.lex_state = 281},
  [5819] = {.lex_state = 281},
  [5820] = {.lex_state = 281},
  [5821] = {.lex_state = 237},
  [5822] = {.lex_state = 281},
  [5823] = {.lex_state = 381},
  [5824] = {.lex_state = 237},
  [5825] = {.lex_state = 281},
  [5826] = {.lex_state = 281},
  [5827] = {.lex_state = 281},
  [5828] = {.lex_state = 381},
  [5829] = {.lex_state = 237},
  [5830] = {.lex_state = 281},
  [5831] = {.lex_state = 244},
  [5832] = {.lex_state = 237},
  [5833] = {.lex_state = 381},
  [5834] = {.lex_state = 281},
  [5835] = {.lex_state = 281},
  [5836] = {.lex_state = 281},
  [5837] = {.lex_state = 282},
  [5838] = {.lex_state = 281},
  [5839] = {.lex_state = 237},
  [5840] = {.lex_state = 244},
  [5841] = {.lex_state = 381},
  [5842] = {.lex_state = 281},
  [5843] = {.lex_state = 237},
  [5844] = {.lex_state = 282},
  [5845] = {.lex_state = 281},
  [5846] = {.lex_state = 237},
  [5847] = {.lex_state = 237},
  [5848] = {.lex_state = 282},
  [5849] = {.lex_state = 237},
  [5850] = {.lex_state = 244},
  [5851] = {.lex_state = 244},
  [5852] = {.lex_state = 244},
  [5853] = {.lex_state = 237},
  [5854] = {.lex_state = 281},
  [5855] = {.lex_state = 281},
  [5856] = {.lex_state = 237},
  [5857] = {.lex_state = 281},
  [5858] = {.lex_state = 244},
  [5859] = {.lex_state = 281},
  [5860] = {.lex_state = 281},
  [5861] = {.lex_state = 281},
  [5862] = {.lex_state = 237},
  [5863] = {.lex_state = 281},
  [5864] = {.lex_state = 237},
  [5865] = {.lex_state = 237},
  [5866] = {.lex_state = 244},
  [5867] = {.lex_state = 244},
  [5868] = {.lex_state = 244},
  [5869] = {.lex_state = 237},
  [5870] = {.lex_state = 244},
  [5871] = {.lex_state = 282},
  [5872] = {.lex_state = 282},
  [5873] = {.lex_state = 282},
  [5874] = {.lex_state = 238},
  [5875] = {.lex_state = 237},
  [5876] = {.lex_state = 284},
  [5877] = {.lex_state = 244},
  [5878] = {.lex_state = 244},
  [5879] = {.lex_state = 244},
  [5880] = {.lex_state = 244},
  [5881] = {.lex_state = 237},
  [5882] = {.lex_state = 244},
  [5883] = {.lex_state = 244},
  [5884] = {.lex_state = 244},
  [5885] = {.lex_state = 244},
  [5886] = {.lex_state = 244},
  [5887] = {.lex_state = 244},
  [5888] = {.lex_state = 244},
  [5889] = {.lex_state = 244},
  [5890] = {.lex_state = 244},
  [5891] = {.lex_state = 284},
  [5892] = {.lex_state = 244},
  [5893] = {.lex_state = 244},
  [5894] = {.lex_state = 238},
  [5895] = {.lex_state = 244},
  [5896] = {.lex_state = 244},
  [5897] = {.lex_state = 237},
  [5898] = {.lex_state = 244},
  [5899] = {.lex_state = 244},
  [5900] = {.lex_state = 244},
  [5901] = {.lex_state = 237},
  [5902] = {.lex_state = 282},
  [5903] = {.lex_state = 244},
  [5904] = {.lex_state = 237},
  [5905] = {.lex_state = 244},
  [5906] = {.lex_state = 237},
  [5907] = {.lex_state = 282},
  [5908] = {.lex_state = 244},
  [5909] = {.lex_state = 244},
  [5910] = {.lex_state = 244},
  [5911] = {.lex_state = 244},
  [5912] = {.lex_state = 282},
  [5913] = {.lex_state = 244},
  [5914] = {.lex_state = 244},
  [5915] = {.lex_state = 244},
  [5916] = {.lex_state = 244},
  [5917] = {.lex_state = 237},
  [5918] = {.lex_state = 244},
  [5919] = {.lex_state = 244},
  [5920] = {.lex_state = 237},
  [5921] = {.lex_state = 237},
  [5922] = {.lex_state = 244},
  [5923] = {.lex_state = 237},
  [5924] = {.lex_state = 237},
  [5925] = {.lex_state = 244},
  [5926] = {.lex_state = 237},
  [5927] = {.lex_state = 244},
  [5928] = {.lex_state = 282},
  [5929] = {.lex_state = 244},
  [5930] = {.lex_state = 244},
  [5931] = {.lex_state = 237},
  [5932] = {.lex_state = 244},
  [5933] = {.lex_state = 244},
  [5934] = {.lex_state = 244},
  [5935] = {.lex_state = 244},
  [5936] = {.lex_state = 244},
  [5937] = {.lex_state = 244},
  [5938] = {.lex_state = 237},
  [5939] = {.lex_state = 244},
  [5940] = {.lex_state = 244},
  [5941] = {.lex_state = 282},
  [5942] = {.lex_state = 244},
  [5943] = {.lex_state = 244},
  [5944] = {.lex_state = 244},
  [5945] = {.lex_state = 237},
  [5946] = {.lex_state = 237},
  [5947] = {.lex_state = 244},
  [5948] = {.lex_state = 237},
  [5949] = {.lex_state = 282},
  [5950] = {.lex_state = 282},
  [5951] = {.lex_state = 282},
  [5952] = {.lex_state = 244},
  [5953] = {.lex_state = 244},
  [5954] = {.lex_state = 244},
  [5955] = {.lex_state = 244},
  [5956] = {.lex_state = 244},
  [5957] = {.lex_state = 244},
  [5958] = {.lex_state = 237},
  [5959] = {.lex_state = 244},
  [5960] = {.lex_state = 244},
  [5961] = {.lex_state = 244},
  [5962] = {.lex_state = 244},
  [5963] = {.lex_state = 244},
  [5964] = {.lex_state = 238},
  [5965] = {.lex_state = 244},
  [5966] = {.lex_state = 244},
  [5967] = {.lex_state = 244},
  [5968] = {.lex_state = 244},
  [5969] = {.lex_state = 244},
  [5970] = {.lex_state = 238},
  [5971] = {.lex_state = 237},
  [5972] = {.lex_state = 244},
  [5973] = {.lex_state = 244},
  [5974] = {.lex_state = 244},
  [5975] = {.lex_state = 244},
  [5976] = {.lex_state = 244},
  [5977] = {.lex_state = 244},
  [5978] = {.lex_state = 244},
  [5979] = {.lex_state = 244},
  [5980] = {.lex_state = 244},
  [5981] = {.lex_state = 284},
  [5982] = {.lex_state = 244},
  [5983] = {.lex_state = 282},
  [5984] = {.lex_state = 237},
  [5985] = {.lex_state = 244},
  [5986] = {.lex_state = 244},
  [5987] = {.lex_state = 244},
  [5988] = {.lex_state = 244},
  [5989] = {.lex_state = 237},
  [5990] = {.lex_state = 244},
  [5991] = {.lex_state = 244},
  [5992] = {.lex_state = 244},
  [5993] = {.lex_state = 237},
  [5994] = {.lex_state = 244},
  [5995] = {.lex_state = 284},
  [5996] = {.lex_state = 282},
  [5997] = {.lex_state = 244},
  [5998] = {.lex_state = 244},
  [5999] = {.lex_state = 244},
  [6000] = {.lex_state = 244},
  [6001] = {.lex_state = 244},
  [6002] = {.lex_state = 244},
  [6003] = {.lex_state = 282},
  [6004] = {.lex_state = 284},
  [6005] = {.lex_state = 244},
  [6006] = {.lex_state = 284},
  [6007] = {.lex_state = 284},
  [6008] = {.lex_state = 282},
  [6009] = {.lex_state = 244},
  [6010] = {.lex_state = 244},
  [6011] = {.lex_state = 244},
  [6012] = {.lex_state = 244},
  [6013] = {.lex_state = 282},
  [6014] = {.lex_state = 284},
  [6015] = {.lex_state = 244},
  [6016] = {.lex_state = 244},
  [6017] = {.lex_state = 282},
  [6018] = {.lex_state = 282},
  [6019] = {.lex_state = 244},
  [6020] = {.lex_state = 244},
  [6021] = {.lex_state = 282},
  [6022] = {.lex_state = 282},
  [6023] = {.lex_state = 282},
  [6024] = {.lex_state = 282},
  [6025] = {.lex_state = 282},
  [6026] = {.lex_state = 244},
  [6027] = {.lex_state = 284},
  [6028] = {.lex_state = 244},
  [6029] = {.lex_state = 282},
  [6030] = {.lex_state = 284},
  [6031] = {.lex_state = 244},
  [6032] = {.lex_state = 284},
  [6033] = {.lex_state = 244},
  [6034] = {.lex_state = 244},
  [6035] = {.lex_state = 381},
  [6036] = {.lex_state = 282},
  [6037] = {.lex_state = 233},
  [6038] = {.lex_state = 233},
  [6039] = {.lex_state = 381},
  [6040] = {.lex_state = 381},
  [6041] = {.lex_state = 381},
  [6042] = {.lex_state = 233},
  [6043] = {.lex_state = 381},
  [6044] = {.lex_state = 233},
  [6045] = {.lex_state = 381},
  [6046] = {.lex_state = 233},
  [6047] = {.lex_state = 233},
  [6048] = {.lex_state = 233},
  [6049] = {.lex_state = 233},
  [6050] = {.lex_state = 284},
  [6051] = {.lex_state = 381},
  [6052] = {.lex_state = 284},
  [6053] = {.lex_state = 381},
  [6054] = {.lex_state = 284},
  [6055] = {.lex_state = 381},
  [6056] = {.lex_state = 284},
  [6057] = {.lex_state = 284},
  [6058] = {.lex_state = 381},
  [6059] = {.lex_state = 284},
  [6060] = {.lex_state = 284},
  [6061] = {.lex_state = 282},
  [6062] = {.lex_state = 284},
  [6063] = {.lex_state = 284},
  [6064] = {.lex_state = 284},
  [6065] = {.lex_state = 381},
  [6066] = {.lex_state = 284},
  [6067] = {.lex_state = 381},
  [6068] = {.lex_state = 284},
  [6069] = {.lex_state = 381},
  [6070] = {.lex_state = 381},
  [6071] = {.lex_state = 381},
  [6072] = {.lex_state = 381},
  [6073] = {.lex_state = 281},
  [6074] = {.lex_state = 381},
  [6075] = {.lex_state = 282},
  [6076] = {.lex_state = 381},
  [6077] = {.lex_state = 380},
  [6078] = {.lex_state = 244},
  [6079] = {.lex_state = 244},
  [6080] = {.lex_state = 380},
  [6081] = {.lex_state = 244},
  [6082] = {.lex_state = 244},
  [6083] = {.lex_state = 380},
  [6084] = {.lex_state = 380},
  [6085] = {.lex_state = 244},
  [6086] = {.lex_state = 281},
  [6087] = {.lex_state = 380},
  [6088] = {.lex_state = 244},
  [6089] = {.lex_state = 380},
  [6090] = {.lex_state = 244},
  [6091] = {.lex_state = 244},
  [6092] = {.lex_state = 380},
  [6093] = {.lex_state = 244},
  [6094] = {.lex_state = 380},
  [6095] = {.lex_state = 244},
  [6096] = {.lex_state = 244},
  [6097] = {.lex_state = 244},
  [6098] = {.lex_state = 380},
  [6099] = {.lex_state = 381},
  [6100] = {.lex_state = 284},
  [6101] = {.lex_state = 381},
  [6102] = {.lex_state = 284},
  [6103] = {.lex_state = 238},
  [6104] = {.lex_state = 284},
  [6105] = {.lex_state = 284},
  [6106] = {.lex_state = 284},
  [6107] = {.lex_state = 284},
  [6108] = {.lex_state = 284},
  [6109] = {.lex_state = 205},
  [6110] = {.lex_state = 205},
  [6111] = {.lex_state = 281},
  [6112] = {.lex_state = 205},
  [6113] = {.lex_state = 205},
  [6114] = {.lex_state = 380},
  [6115] = {.lex_state = 380},
  [6116] = {.lex_state = 380},
  [6117] = {.lex_state = 233},
  [6118] = {.lex_state = 233},
  [6119] = {.lex_state = 233},
  [6120] = {.lex_state = 380},
  [6121] = {.lex_state = 233},
  [6122] = {.lex_state = 233},
  [6123] = {.lex_state = 205},
  [6124] = {.lex_state = 205},
  [6125] = {.lex_state = 205},
  [6126] = {.lex_state = 205},
  [6127] = {.lex_state = 380},
  [6128] = {.lex_state = 380},
  [6129] = {.lex_state = 233},
  [6130] = {.lex_state = 233},
  [6131] = {.lex_state = 205},
  [6132] = {.lex_state = 380},
  [6133] = {.lex_state = 205},
  [6134] = {.lex_state = 205},
  [6135] = {.lex_state = 205},
  [6136] = {.lex_state = 380},
  [6137] = {.lex_state = 380},
  [6138] = {.lex_state = 205},
  [6139] = {.lex_state = 380},
  [6140] = {.lex_state = 380},
  [6141] = {.lex_state = 380},
  [6142] = {.lex_state = 380},
  [6143] = {.lex_state = 205},
  [6144] = {.lex_state = 380},
  [6145] = {.lex_state = 381},
  [6146] = {.lex_state = 226},
  [6147] = {.lex_state = 205},
  [6148] = {.lex_state = 380},
  [6149] = {.lex_state = 205},
  [6150] = {.lex_state = 226},
  [6151] = {.lex_state = 205},
  [6152] = {.lex_state = 205},
  [6153] = {.lex_state = 380},
  [6154] = {.lex_state = 205},
  [6155] = {.lex_state = 205},
  [6156] = {.lex_state = 205},
  [6157] = {.lex_state = 205},
  [6158] = {.lex_state = 226},
  [6159] = {.lex_state = 205},
  [6160] = {.lex_state = 381},
  [6161] = {.lex_state = 380},
  [6162] = {.lex_state = 381},
  [6163] = {.lex_state = 205},
  [6164] = {.lex_state = 380},
  [6165] = {.lex_state = 380},
  [6166] = {.lex_state = 380},
  [6167] = {.lex_state = 380},
  [6168] = {.lex_state = 205},
  [6169] = {.lex_state = 205},
  [6170] = {.lex_state = 380},
  [6171] = {.lex_state = 380},
  [6172] = {.lex_state = 380},
  [6173] = {.lex_state = 205},
  [6174] = {.lex_state = 233},
  [6175] = {.lex_state = 205},
  [6176] = {.lex_state = 205},
  [6177] = {.lex_state = 381},
  [6178] = {.lex_state = 233},
  [6179] = {.lex_state = 284},
  [6180] = {.lex_state = 205},
  [6181] = {.lex_state = 252},
  [6182] = {.lex_state = 205},
  [6183] = {.lex_state = 238},
  [6184] = {.lex_state = 380},
  [6185] = {.lex_state = 380},
  [6186] = {.lex_state = 380},
  [6187] = {.lex_state = 380},
  [6188] = {.lex_state = 205},
  [6189] = {.lex_state = 381},
  [6190] = {.lex_state = 380},
  [6191] = {.lex_state = 380},
  [6192] = {.lex_state = 205},
  [6193] = {.lex_state = 284},
  [6194] = {.lex_state = 233},
  [6195] = {.lex_state = 284},
  [6196] = {.lex_state = 233},
  [6197] = {.lex_state = 205},
  [6198] = {.lex_state = 205},
  [6199] = {.lex_state = 205},
  [6200] = {.lex_state = 380},
  [6201] = {.lex_state = 380},
  [6202] = {.lex_state = 380},
  [6203] = {.lex_state = 205},
  [6204] = {.lex_state = 380},
  [6205] = {.lex_state = 233},
  [6206] = {.lex_state = 205},
  [6207] = {.lex_state = 380},
  [6208] = {.lex_state = 380},
  [6209] = {.lex_state = 380},
  [6210] = {.lex_state = 380},
  [6211] = {.lex_state = 205},
  [6212] = {.lex_state = 380},
  [6213] = {.lex_state = 380},
  [6214] = {.lex_state = 205},
  [6215] = {.lex_state = 380},
  [6216] = {.lex_state = 380},
  [6217] = {.lex_state = 380},
  [6218] = {.lex_state = 380},
  [6219] = {.lex_state = 205},
  [6220] = {.lex_state = 205},
  [6221] = {.lex_state = 205},
  [6222] = {.lex_state = 205},
  [6223] = {.lex_state = 380},
  [6224] = {.lex_state = 244},
  [6225] = {.lex_state = 244},
  [6226] = {.lex_state = 244},
  [6227] = {.lex_state = 244},
  [6228] = {.lex_state = 244},
  [6229] = {.lex_state = 244},
  [6230] = {.lex_state = 244},
  [6231] = {.lex_state = 244},
  [6232] = {.lex_state = 226},
  [6233] = {.lex_state = 244},
  [6234] = {.lex_state = 244},
  [6235] = {.lex_state = 244},
  [6236] = {.lex_state = 244},
  [6237] = {.lex_state = 244},
  [6238] = {.lex_state = 244},
  [6239] = {.lex_state = 244},
  [6240] = {.lex_state = 244},
  [6241] = {.lex_state = 244},
  [6242] = {.lex_state = 244},
  [6243] = {.lex_state = 244},
  [6244] = {.lex_state = 244},
  [6245] = {.lex_state = 244},
  [6246] = {.lex_state = 244},
  [6247] = {.lex_state = 244},
  [6248] = {.lex_state = 226},
  [6249] = {.lex_state = 244},
  [6250] = {.lex_state = 244},
  [6251] = {.lex_state = 244},
  [6252] = {.lex_state = 244},
  [6253] = {.lex_state = 244},
  [6254] = {.lex_state = 244},
  [6255] = {.lex_state = 244},
  [6256] = {.lex_state = 109},
  [6257] = {.lex_state = 244},
  [6258] = {.lex_state = 244},
  [6259] = {.lex_state = 244},
  [6260] = {.lex_state = 244},
  [6261] = {.lex_state = 244},
  [6262] = {.lex_state = 244},
  [6263] = {.lex_state = 244},
  [6264] = {.lex_state = 244},
  [6265] = {.lex_state = 252},
  [6266] = {.lex_state = 244},
  [6267] = {.lex_state = 244},
  [6268] = {.lex_state = 244},
  [6269] = {.lex_state = 244},
  [6270] = {.lex_state = 244},
  [6271] = {.lex_state = 244},
  [6272] = {.lex_state = 244},
  [6273] = {.lex_state = 244},
  [6274] = {.lex_state = 244},
  [6275] = {.lex_state = 244},
  [6276] = {.lex_state = 244},
  [6277] = {.lex_state = 244},
  [6278] = {.lex_state = 244},
  [6279] = {.lex_state = 244},
  [6280] = {.lex_state = 244},
  [6281] = {.lex_state = 244},
  [6282] = {.lex_state = 244},
  [6283] = {.lex_state = 244},
  [6284] = {.lex_state = 252},
  [6285] = {.lex_state = 244},
  [6286] = {.lex_state = 244},
  [6287] = {.lex_state = 244},
  [6288] = {.lex_state = 244},
  [6289] = {.lex_state = 244},
  [6290] = {.lex_state = 244},
  [6291] = {.lex_state = 244},
  [6292] = {.lex_state = 381},
  [6293] = {.lex_state = 244},
  [6294] = {.lex_state = 244},
  [6295] = {.lex_state = 244},
  [6296] = {.lex_state = 244},
  [6297] = {.lex_state = 244},
  [6298] = {.lex_state = 244},
  [6299] = {.lex_state = 244},
  [6300] = {.lex_state = 244},
  [6301] = {.lex_state = 244},
  [6302] = {.lex_state = 244},
  [6303] = {.lex_state = 244},
  [6304] = {.lex_state = 244},
  [6305] = {.lex_state = 244},
  [6306] = {.lex_state = 244},
  [6307] = {.lex_state = 244},
  [6308] = {.lex_state = 244},
  [6309] = {.lex_state = 244},
  [6310] = {.lex_state = 244},
  [6311] = {.lex_state = 244},
  [6312] = {.lex_state = 244},
  [6313] = {.lex_state = 244},
  [6314] = {.lex_state = 244},
  [6315] = {.lex_state = 244},
  [6316] = {.lex_state = 244},
  [6317] = {.lex_state = 244},
  [6318] = {.lex_state = 244},
  [6319] = {.lex_state = 244},
  [6320] = {.lex_state = 244},
  [6321] = {.lex_state = 244},
  [6322] = {.lex_state = 244},
  [6323] = {.lex_state = 244},
  [6324] = {.lex_state = 244},
  [6325] = {.lex_state = 244},
  [6326] = {.lex_state = 244},
  [6327] = {.lex_state = 244},
  [6328] = {.lex_state = 244},
  [6329] = {.lex_state = 252},
  [6330] = {.lex_state = 244},
  [6331] = {.lex_state = 226},
  [6332] = {.lex_state = 226},
  [6333] = {.lex_state = 282},
  [6334] = {.lex_state = 226},
  [6335] = {.lex_state = 226},
  [6336] = {.lex_state = 252},
  [6337] = {.lex_state = 226},
  [6338] = {.lex_state = 226},
  [6339] = {.lex_state = 252},
  [6340] = {.lex_state = 252},
  [6341] = {.lex_state = 284},
  [6342] = {.lex_state = 226},
  [6343] = {.lex_state = 282},
  [6344] = {.lex_state = 252},
  [6345] = {.lex_state = 226},
  [6346] = {.lex_state = 284},
  [6347] = {.lex_state = 282},
  [6348] = {.lex_state = 284},
  [6349] = {.lex_state = 282},
  [6350] = {.lex_state = 284},
  [6351] = {.lex_state = 284},
  [6352] = {.lex_state = 282},
  [6353] = {.lex_state = 226},
  [6354] = {.lex_state = 252},
  [6355] = {.lex_state = 252},
  [6356] = {.lex_state = 252},
  [6357] = {.lex_state = 252},
  [6358] = {.lex_state = 282},
  [6359] = {.lex_state = 252},
  [6360] = {.lex_state = 252},
  [6361] = {.lex_state = 252},
  [6362] = {.lex_state = 252},
  [6363] = {.lex_state = 252},
  [6364] = {.lex_state = 252},
  [6365] = {.lex_state = 252},
  [6366] = {.lex_state = 252},
  [6367] = {.lex_state = 282},
  [6368] = {.lex_state = 252},
  [6369] = {.lex_state = 282},
  [6370] = {.lex_state = 226},
  [6371] = {.lex_state = 381},
  [6372] = {.lex_state = 284},
  [6373] = {.lex_state = 226},
  [6374] = {.lex_state = 252},
  [6375] = {.lex_state = 282},
  [6376] = {.lex_state = 381},
  [6377] = {.lex_state = 226},
  [6378] = {.lex_state = 226},
  [6379] = {.lex_state = 226},
  [6380] = {.lex_state = 282},
  [6381] = {.lex_state = 252},
  [6382] = {.lex_state = 282},
  [6383] = {.lex_state = 226},
  [6384] = {.lex_state = 226},
  [6385] = {.lex_state = 252},
  [6386] = {.lex_state = 284},
  [6387] = {.lex_state = 284},
  [6388] = {.lex_state = 282},
  [6389] = {.lex_state = 252},
  [6390] = {.lex_state = 237},
  [6391] = {.lex_state = 226},
  [6392] = {.lex_state = 282},
  [6393] = {.lex_state = 282},
  [6394] = {.lex_state = 282},
  [6395] = {.lex_state = 282},
  [6396] = {.lex_state = 226},
  [6397] = {.lex_state = 282},
  [6398] = {.lex_state = 282},
  [6399] = {.lex_state = 282},
  [6400] = {.lex_state = 284},
  [6401] = {.lex_state = 282},
  [6402] = {.lex_state = 282},
  [6403] = {.lex_state = 282},
  [6404] = {.lex_state = 381},
  [6405] = {.lex_state = 381},
  [6406] = {.lex_state = 284},
  [6407] = {.lex_state = 282},
  [6408] = {.lex_state = 381},
  [6409] = {.lex_state = 381},
  [6410] = {.lex_state = 284},
  [6411] = {.lex_state = 226},
  [6412] = {.lex_state = 281},
  [6413] = {.lex_state = 381},
  [6414] = {.lex_state = 109},
  [6415] = {.lex_state = 109},
  [6416] = {.lex_state = 282},
  [6417] = {.lex_state = 109},
  [6418] = {.lex_state = 284},
  [6419] = {.lex_state = 109},
  [6420] = {.lex_state = 109},
  [6421] = {.lex_state = 381},
  [6422] = {.lex_state = 226},
  [6423] = {.lex_state = 109},
  [6424] = {.lex_state = 109},
  [6425] = {.lex_state = 381},
  [6426] = {.lex_state = 381},
  [6427] = {.lex_state = 109},
  [6428] = {.lex_state = 381},
  [6429] = {.lex_state = 381},
  [6430] = {.lex_state = 109},
  [6431] = {.lex_state = 381},
  [6432] = {.lex_state = 109},
  [6433] = {.lex_state = 381},
  [6434] = {.lex_state = 282},
  [6435] = {.lex_state = 381},
  [6436] = {.lex_state = 381},
  [6437] = {.lex_state = 284},
  [6438] = {.lex_state = 381},
  [6439] = {.lex_state = 381},
  [6440] = {.lex_state = 381},
  [6441] = {.lex_state = 381},
  [6442] = {.lex_state = 244},
  [6443] = {.lex_state = 109},
  [6444] = {.lex_state = 244},
  [6445] = {.lex_state = 109},
  [6446] = {.lex_state = 282},
  [6447] = {.lex_state = 381},
  [6448] = {.lex_state = 109},
  [6449] = {.lex_state = 282},
  [6450] = {.lex_state = 381},
  [6451] = {.lex_state = 109},
  [6452] = {.lex_state = 282},
  [6453] = {.lex_state = 381},
  [6454] = {.lex_state = 381},
  [6455] = {.lex_state = 244},
  [6456] = {.lex_state = 284},
  [6457] = {.lex_state = 282},
  [6458] = {.lex_state = 282},
  [6459] = {.lex_state = 381},
  [6460] = {.lex_state = 381},
  [6461] = {.lex_state = 381},
  [6462] = {.lex_state = 381},
  [6463] = {.lex_state = 282},
  [6464] = {.lex_state = 282},
  [6465] = {.lex_state = 244},
  [6466] = {.lex_state = 381},
  [6467] = {.lex_state = 109},
  [6468] = {.lex_state = 381},
  [6469] = {.lex_state = 109},
  [6470] = {.lex_state = 381},
  [6471] = {.lex_state = 381},
  [6472] = {.lex_state = 282},
  [6473] = {.lex_state = 282},
  [6474] = {.lex_state = 109},
  [6475] = {.lex_state = 381},
  [6476] = {.lex_state = 109},
  [6477] = {.lex_state = 381},
  [6478] = {.lex_state = 381},
  [6479] = {.lex_state = 284},
  [6480] = {.lex_state = 381},
  [6481] = {.lex_state = 381},
  [6482] = {.lex_state = 381},
  [6483] = {.lex_state = 381},
  [6484] = {.lex_state = 109},
  [6485] = {.lex_state = 381},
  [6486] = {.lex_state = 109},
  [6487] = {.lex_state = 284},
  [6488] = {.lex_state = 109},
  [6489] = {.lex_state = 109},
  [6490] = {.lex_state = 109},
  [6491] = {.lex_state = 109},
  [6492] = {.lex_state = 282},
  [6493] = {.lex_state = 381},
  [6494] = {.lex_state = 284},
  [6495] = {.lex_state = 109},
  [6496] = {.lex_state = 381},
  [6497] = {.lex_state = 109},
  [6498] = {.lex_state = 282},
  [6499] = {.lex_state = 381},
  [6500] = {.lex_state = 109},
  [6501] = {.lex_state = 226},
  [6502] = {.lex_state = 109},
  [6503] = {.lex_state = 284},
  [6504] = {.lex_state = 252},
  [6505] = {.lex_state = 282},
  [6506] = {.lex_state = 381},
  [6507] = {.lex_state = 226},
  [6508] = {.lex_state = 282},
  [6509] = {.lex_state = 381},
  [6510] = {.lex_state = 284},
  [6511] = {.lex_state = 381},
  [6512] = {.lex_state = 282},
  [6513] = {.lex_state = 226},
  [6514] = {.lex_state = 282},
  [6515] = {.lex_state = 226},
  [6516] = {.lex_state = 109},
  [6517] = {.lex_state = 284},
  [6518] = {.lex_state = 381},
  [6519] = {.lex_state = 284},
  [6520] = {.lex_state = 284},
  [6521] = {.lex_state = 284},
  [6522] = {.lex_state = 284},
  [6523] = {.lex_state = 282},
  [6524] = {.lex_state = 109},
  [6525] = {.lex_state = 282},
  [6526] = {.lex_state = 381},
  [6527] = {.lex_state = 282},
  [6528] = {.lex_state = 381},
  [6529] = {.lex_state = 381},
  [6530] = {.lex_state = 252},
  [6531] = {.lex_state = 381},
  [6532] = {.lex_state = 282},
  [6533] = {.lex_state = 282},
  [6534] = {.lex_state = 109},
  [6535] = {.lex_state = 282},
  [6536] = {.lex_state = 282},
  [6537] = {.lex_state = 381},
  [6538] = {.lex_state = 282},
  [6539] = {.lex_state = 109},
  [6540] = {.lex_state = 284},
  [6541] = {.lex_state = 284},
  [6542] = {.lex_state = 284},
  [6543] = {.lex_state = 109},
  [6544] = {.lex_state = 284},
  [6545] = {.lex_state = 284},
  [6546] = {.lex_state = 284},
  [6547] = {.lex_state = 381},
  [6548] = {.lex_state = 284},
  [6549] = {.lex_state = 109},
  [6550] = {.lex_state = 381},
  [6551] = {.lex_state = 381},
  [6552] = {.lex_state = 284},
  [6553] = {.lex_state = 109},
  [6554] = {.lex_state = 109},
  [6555] = {.lex_state = 381},
  [6556] = {.lex_state = 281},
  [6557] = {.lex_state = 381},
  [6558] = {.lex_state = 381},
  [6559] = {.lex_state = 281},
  [6560] = {.lex_state = 281},
  [6561] = {.lex_state = 281},
  [6562] = {.lex_state = 281},
  [6563] = {.lex_state = 381},
  [6564] = {.lex_state = 281},
  [6565] = {.lex_state = 381},
  [6566] = {.lex_state = 281},
  [6567] = {.lex_state = 281},
  [6568] = {.lex_state = 381},
  [6569] = {.lex_state = 284},
  [6570] = {.lex_state = 237},
  [6571] = {.lex_state = 237},
  [6572] = {.lex_state = 203},
  [6573] = {.lex_state = 203},
  [6574] = {.lex_state = 237},
  [6575] = {.lex_state = 203},
  [6576] = {.lex_state = 281},
  [6577] = {.lex_state = 226},
  [6578] = {.lex_state = 226},
  [6579] = {.lex_state = 381},
  [6580] = {.lex_state = 203},
  [6581] = {.lex_state = 381},
  [6582] = {.lex_state = 381},
  [6583] = {.lex_state = 381},
  [6584] = {.lex_state = 381},
  [6585] = {.lex_state = 237},
  [6586] = {.lex_state = 381},
  [6587] = {.lex_state = 237},
  [6588] = {.lex_state = 237},
  [6589] = {.lex_state = 203},
  [6590] = {.lex_state = 238},
  [6591] = {.lex_state = 226},
  [6592] = {.lex_state = 226},
  [6593] = {.lex_state = 381},
  [6594] = {.lex_state = 203},
  [6595] = {.lex_state = 381},
  [6596] = {.lex_state = 203},
  [6597] = {.lex_state = 381},
  [6598] = {.lex_state = 203},
  [6599] = {.lex_state = 381},
  [6600] = {.lex_state = 381},
  [6601] = {.lex_state = 203},
  [6602] = {.lex_state = 381},
  [6603] = {.lex_state = 203},
  [6604] = {.lex_state = 381},
  [6605] = {.lex_state = 284},
  [6606] = {.lex_state = 284},
  [6607] = {.lex_state = 381},
  [6608] = {.lex_state = 284},
  [6609] = {.lex_state = 284},
  [6610] = {.lex_state = 203},
  [6611] = {.lex_state = 284},
  [6612] = {.lex_state = 284},
  [6613] = {.lex_state = 284},
  [6614] = {.lex_state = 381},
  [6615] = {.lex_state = 284},
  [6616] = {.lex_state = 237},
  [6617] = {.lex_state = 237},
  [6618] = {.lex_state = 284},
  [6619] = {.lex_state = 381},
  [6620] = {.lex_state = 284},
  [6621] = {.lex_state = 203},
  [6622] = {.lex_state = 284},
  [6623] = {.lex_state = 281},
  [6624] = {.lex_state = 284},
  [6625] = {.lex_state = 381},
  [6626] = {.lex_state = 381},
  [6627] = {.lex_state = 237},
  [6628] = {.lex_state = 381},
  [6629] = {.lex_state = 381},
  [6630] = {.lex_state = 381},
  [6631] = {.lex_state = 381},
  [6632] = {.lex_state = 381},
  [6633] = {.lex_state = 381},
  [6634] = {.lex_state = 381},
  [6635] = {.lex_state = 237},
  [6636] = {.lex_state = 381},
  [6637] = {.lex_state = 381},
  [6638] = {.lex_state = 284},
  [6639] = {.lex_state = 237},
  [6640] = {.lex_state = 381},
  [6641] = {.lex_state = 281},
  [6642] = {.lex_state = 237},
  [6643] = {.lex_state = 284},
  [6644] = {.lex_state = 281},
  [6645] = {.lex_state = 244},
  [6646] = {.lex_state = 281},
  [6647] = {.lex_state = 203},
  [6648] = {.lex_state = 203},
  [6649] = {.lex_state = 244},
  [6650] = {.lex_state = 281},
  [6651] = {.lex_state = 244},
  [6652] = {.lex_state = 277},
  [6653] = {.lex_state = 281},
  [6654] = {.lex_state = 281},
  [6655] = {.lex_state = 277},
  [6656] = {.lex_state = 281},
  [6657] = {.lex_state = 382},
  [6658] = {.lex_state = 281},
  [6659] = {.lex_state = 281},
  [6660] = {.lex_state = 244},
  [6661] = {.lex_state = 381},
  [6662] = {.lex_state = 281},
  [6663] = {.lex_state = 281},
  [6664] = {.lex_state = 284},
  [6665] = {.lex_state = 281},
  [6666] = {.lex_state = 281},
  [6667] = {.lex_state = 281},
  [6668] = {.lex_state = 244},
  [6669] = {.lex_state = 281},
  [6670] = {.lex_state = 244},
  [6671] = {.lex_state = 284},
  [6672] = {.lex_state = 281},
  [6673] = {.lex_state = 281},
  [6674] = {.lex_state = 244},
  [6675] = {.lex_state = 281},
  [6676] = {.lex_state = 281},
  [6677] = {.lex_state = 383},
  [6678] = {.lex_state = 281},
  [6679] = {.lex_state = 281},
  [6680] = {.lex_state = 284},
  [6681] = {.lex_state = 381},
  [6682] = {.lex_state = 281},
  [6683] = {.lex_state = 281},
  [6684] = {.lex_state = 281},
  [6685] = {.lex_state = 382},
  [6686] = {.lex_state = 281},
  [6687] = {.lex_state = 281},
  [6688] = {.lex_state = 277},
  [6689] = {.lex_state = 244},
  [6690] = {.lex_state = 244},
  [6691] = {.lex_state = 281},
  [6692] = {.lex_state = 281},
  [6693] = {.lex_state = 281},
  [6694] = {.lex_state = 281},
  [6695] = {.lex_state = 265},
  [6696] = {.lex_state = 244},
  [6697] = {.lex_state = 222},
  [6698] = {.lex_state = 284},
  [6699] = {.lex_state = 284},
  [6700] = {.lex_state = 284},
  [6701] = {.lex_state = 222},
  [6702] = {.lex_state = 203},
  [6703] = {.lex_state = 284},
  [6704] = {.lex_state = 222},
  [6705] = {.lex_state = 222},
  [6706] = {.lex_state = 203},
  [6707] = {.lex_state = 284},
  [6708] = {.lex_state = 203},
  [6709] = {.lex_state = 381},
  [6710] = {.lex_state = 381},
  [6711] = {.lex_state = 284},
  [6712] = {.lex_state = 284},
  [6713] = {.lex_state = 284},
  [6714] = {.lex_state = 284},
  [6715] = {.lex_state = 222},
  [6716] = {.lex_state = 381},
  [6717] = {.lex_state = 222},
  [6718] = {.lex_state = 381},
  [6719] = {.lex_state = 381},
  [6720] = {.lex_state = 381},
  [6721] = {.lex_state = 381},
  [6722] = {.lex_state = 381},
  [6723] = {.lex_state = 381},
  [6724] = {.lex_state = 381},
  [6725] = {.lex_state = 222},
  [6726] = {.lex_state = 203},
  [6727] = {.lex_state = 244},
  [6728] = {.lex_state = 231},
  [6729] = {.lex_state = 381},
  [6730] = {.lex_state = 222},
  [6731] = {.lex_state = 222},
  [6732] = {.lex_state = 265},
  [6733] = {.lex_state = 203},
  [6734] = {.lex_state = 381},
  [6735] = {.lex_state = 203},
  [6736] = {.lex_state = 284},
  [6737] = {.lex_state = 381},
  [6738] = {.lex_state = 203},
  [6739] = {.lex_state = 284},
  [6740] = {.lex_state = 222},
  [6741] = {.lex_state = 222},
  [6742] = {.lex_state = 381},
  [6743] = {.lex_state = 381},
  [6744] = {.lex_state = 381},
  [6745] = {.lex_state = 203},
  [6746] = {.lex_state = 222},
  [6747] = {.lex_state = 381},
  [6748] = {.lex_state = 265},
  [6749] = {.lex_state = 203},
  [6750] = {.lex_state = 203},
  [6751] = {.lex_state = 284},
  [6752] = {.lex_state = 265},
  [6753] = {.lex_state = 203},
  [6754] = {.lex_state = 244},
  [6755] = {.lex_state = 265},
  [6756] = {.lex_state = 222},
  [6757] = {.lex_state = 265},
  [6758] = {.lex_state = 265},
  [6759] = {.lex_state = 244},
  [6760] = {.lex_state = 381},
  [6761] = {.lex_state = 244},
  [6762] = {.lex_state = 222},
  [6763] = {.lex_state = 203},
  [6764] = {.lex_state = 222},
  [6765] = {.lex_state = 222},
  [6766] = {.lex_state = 244},
  [6767] = {.lex_state = 222},
  [6768] = {.lex_state = 222},
  [6769] = {.lex_state = 265},
  [6770] = {.lex_state = 382},
  [6771] = {.lex_state = 244},
  [6772] = {.lex_state = 382},
  [6773] = {.lex_state = 244},
  [6774] = {.lex_state = 244},
  [6775] = {.lex_state = 281},
  [6776] = {.lex_state = 281},
  [6777] = {.lex_state = 244},
  [6778] = {.lex_state = 382},
  [6779] = {.lex_state = 244},
  [6780] = {.lex_state = 230},
  [6781] = {.lex_state = 244},
  [6782] = {.lex_state = 284},
  [6783] = {.lex_state = 222},
  [6784] = {.lex_state = 381},
  [6785] = {.lex_state = 382},
  [6786] = {.lex_state = 382},
  [6787] = {.lex_state = 382},
  [6788] = {.lex_state = 381},
  [6789] = {.lex_state = 244},
  [6790] = {.lex_state = 234},
  [6791] = {.lex_state = 222},
  [6792] = {.lex_state = 234},
  [6793] = {.lex_state = 382},
  [6794] = {.lex_state = 222},
  [6795] = {.lex_state = 244},
  [6796] = {.lex_state = 244},
  [6797] = {.lex_state = 381},
  [6798] = {.lex_state = 244},
  [6799] = {.lex_state = 244},
  [6800] = {.lex_state = 234},
  [6801] = {.lex_state = 244},
  [6802] = {.lex_state = 244},
  [6803] = {.lex_state = 382},
  [6804] = {.lex_state = 281},
  [6805] = {.lex_state = 382},
  [6806] = {.lex_state = 244},
  [6807] = {.lex_state = 234},
  [6808] = {.lex_state = 234},
  [6809] = {.lex_state = 381},
  [6810] = {.lex_state = 244},
  [6811] = {.lex_state = 244},
  [6812] = {.lex_state = 382},
  [6813] = {.lex_state = 234},
  [6814] = {.lex_state = 234},
  [6815] = {.lex_state = 244},
  [6816] = {.lex_state = 222},
  [6817] = {.lex_state = 244},
  [6818] = {.lex_state = 222},
  [6819] = {.lex_state = 244},
  [6820] = {.lex_state = 244},
  [6821] = {.lex_state = 265},
  [6822] = {.lex_state = 382},
  [6823] = {.lex_state = 284},
  [6824] = {.lex_state = 244},
  [6825] = {.lex_state = 234},
  [6826] = {.lex_state = 244},
  [6827] = {.lex_state = 265},
  [6828] = {.lex_state = 265},
  [6829] = {.lex_state = 382},
  [6830] = {.lex_state = 234},
  [6831] = {.lex_state = 244},
  [6832] = {.lex_state = 244},
  [6833] = {.lex_state = 222},
  [6834] = {.lex_state = 381},
  [6835] = {.lex_state = 234},
  [6836] = {.lex_state = 244},
  [6837] = {.lex_state = 222},
  [6838] = {.lex_state = 244},
  [6839] = {.lex_state = 382},
  [6840] = {.lex_state = 382},
  [6841] = {.lex_state = 382},
  [6842] = {.lex_state = 265},
  [6843] = {.lex_state = 222},
  [6844] = {.lex_state = 244},
  [6845] = {.lex_state = 284},
  [6846] = {.lex_state = 381},
  [6847] = {.lex_state = 222},
  [6848] = {.lex_state = 382},
  [6849] = {.lex_state = 244},
  [6850] = {.lex_state = 284},
  [6851] = {.lex_state = 382},
  [6852] = {.lex_state = 381},
  [6853] = {.lex_state = 265},
  [6854] = {.lex_state = 284},
  [6855] = {.lex_state = 265},
  [6856] = {.lex_state = 244},
  [6857] = {.lex_state = 382},
  [6858] = {.lex_state = 382},
  [6859] = {.lex_state = 234},
  [6860] = {.lex_state = 381},
  [6861] = {.lex_state = 284},
  [6862] = {.lex_state = 244},
  [6863] = {.lex_state = 265},
  [6864] = {.lex_state = 281},
  [6865] = {.lex_state = 381},
  [6866] = {.lex_state = 281},
  [6867] = {.lex_state = 234},
  [6868] = {.lex_state = 265},
  [6869] = {.lex_state = 284},
  [6870] = {.lex_state = 244},
  [6871] = {.lex_state = 284},
  [6872] = {.lex_state = 244},
  [6873] = {.lex_state = 382},
  [6874] = {.lex_state = 381},
  [6875] = {.lex_state = 244},
  [6876] = {.lex_state = 281},
  [6877] = {.lex_state = 281},
  [6878] = {.lex_state = 206},
  [6879] = {.lex_state = 381},
  [6880] = {.lex_state = 381},
  [6881] = {.lex_state = 381},
  [6882] = {.lex_state = 203},
  [6883] = {.lex_state = 277},
  [6884] = {.lex_state = 381},
  [6885] = {.lex_state = 381},
  [6886] = {.lex_state = 226},
  [6887] = {.lex_state = 244},
  [6888] = {.lex_state = 277},
  [6889] = {.lex_state = 381},
  [6890] = {.lex_state = 381},
  [6891] = {.lex_state = 226},
  [6892] = {.lex_state = 226},
  [6893] = {.lex_state = 0},
  [6894] = {.lex_state = 381},
  [6895] = {.lex_state = 226},
  [6896] = {.lex_state = 381},
  [6897] = {.lex_state = 284},
  [6898] = {.lex_state = 244},
  [6899] = {.lex_state = 0},
  [6900] = {.lex_state = 284},
  [6901] = {.lex_state = 226},
  [6902] = {.lex_state = 0},
  [6903] = {.lex_state = 381},
  [6904] = {.lex_state = 381},
  [6905] = {.lex_state = 284},
  [6906] = {.lex_state = 381},
  [6907] = {.lex_state = 284},
  [6908] = {.lex_state = 284},
  [6909] = {.lex_state = 284},
  [6910] = {.lex_state = 284},
  [6911] = {.lex_state = 0},
  [6912] = {.lex_state = 381},
  [6913] = {.lex_state = 381},
  [6914] = {.lex_state = 381},
  [6915] = {.lex_state = 277},
  [6916] = {.lex_state = 277},
  [6917] = {.lex_state = 226},
  [6918] = {.lex_state = 226},
  [6919] = {.lex_state = 381},
  [6920] = {.lex_state = 226},
  [6921] = {.lex_state = 381},
  [6922] = {.lex_state = 381},
  [6923] = {.lex_state = 381},
  [6924] = {.lex_state = 381},
  [6925] = {.lex_state = 226},
  [6926] = {.lex_state = 381},
  [6927] = {.lex_state = 226},
  [6928] = {.lex_state = 226},
  [6929] = {.lex_state = 381},
  [6930] = {.lex_state = 381},
  [6931] = {.lex_state = 226},
  [6932] = {.lex_state = 381},
  [6933] = {.lex_state = 381},
  [6934] = {.lex_state = 381},
  [6935] = {.lex_state = 233},
  [6936] = {.lex_state = 226},
  [6937] = {.lex_state = 0},
  [6938] = {.lex_state = 226},
  [6939] = {.lex_state = 381},
  [6940] = {.lex_state = 233},
  [6941] = {.lex_state = 226},
  [6942] = {.lex_state = 381},
  [6943] = {.lex_state = 0},
  [6944] = {.lex_state = 233},
  [6945] = {.lex_state = 233},
  [6946] = {.lex_state = 233},
  [6947] = {.lex_state = 226},
  [6948] = {.lex_state = 233},
  [6949] = {.lex_state = 233},
  [6950] = {.lex_state = 381},
  [6951] = {.lex_state = 233},
  [6952] = {.lex_state = 226},
  [6953] = {.lex_state = 244},
  [6954] = {.lex_state = 381},
  [6955] = {.lex_state = 0},
  [6956] = {.lex_state = 226},
  [6957] = {.lex_state = 381},
  [6958] = {.lex_state = 381},
  [6959] = {.lex_state = 226},
  [6960] = {.lex_state = 381},
  [6961] = {.lex_state = 381},
  [6962] = {.lex_state = 381},
  [6963] = {.lex_state = 226},
  [6964] = {.lex_state = 381},
  [6965] = {.lex_state = 381},
  [6966] = {.lex_state = 381},
  [6967] = {.lex_state = 381},
  [6968] = {.lex_state = 381},
  [6969] = {.lex_state = 244},
  [6970] = {.lex_state = 381},
  [6971] = {.lex_state = 244},
  [6972] = {.lex_state = 381},
  [6973] = {.lex_state = 226},
  [6974] = {.lex_state = 244},
  [6975] = {.lex_state = 381},
  [6976] = {.lex_state = 381},
  [6977] = {.lex_state = 0},
  [6978] = {.lex_state = 244},
  [6979] = {.lex_state = 381},
  [6980] = {.lex_state = 244},
  [6981] = {.lex_state = 226},
  [6982] = {.lex_state = 381},
  [6983] = {.lex_state = 226},
  [6984] = {.lex_state = 381},
  [6985] = {.lex_state = 381},
  [6986] = {.lex_state = 381},
  [6987] = {.lex_state = 226},
  [6988] = {.lex_state = 381},
  [6989] = {.lex_state = 381},
  [6990] = {.lex_state = 381},
  [6991] = {.lex_state = 381},
  [6992] = {.lex_state = 381},
  [6993] = {.lex_state = 381},
  [6994] = {.lex_state = 0},
  [6995] = {.lex_state = 381},
  [6996] = {.lex_state = 265},
  [6997] = {.lex_state = 265},
  [6998] = {.lex_state = 381},
  [6999] = {.lex_state = 0},
  [7000] = {.lex_state = 265},
  [7001] = {.lex_state = 244},
  [7002] = {.lex_state = 244},
  [7003] = {.lex_state = 244},
  [7004] = {.lex_state = 244},
  [7005] = {.lex_state = 244},
  [7006] = {.lex_state = 244},
  [7007] = {.lex_state = 244},
  [7008] = {.lex_state = 381},
  [7009] = {.lex_state = 244},
  [7010] = {.lex_state = 381},
  [7011] = {.lex_state = 244},
  [7012] = {.lex_state = 234},
  [7013] = {.lex_state = 234},
  [7014] = {.lex_state = 234},
  [7015] = {.lex_state = 234},
  [7016] = {.lex_state = 244},
  [7017] = {.lex_state = 244},
  [7018] = {.lex_state = 381},
  [7019] = {.lex_state = 244},
  [7020] = {.lex_state = 387},
  [7021] = {.lex_state = 244},
  [7022] = {.lex_state = 244},
  [7023] = {.lex_state = 244},
  [7024] = {.lex_state = 244},
  [7025] = {.lex_state = 381},
  [7026] = {.lex_state = 244},
  [7027] = {.lex_state = 381},
  [7028] = {.lex_state = 387},
  [7029] = {.lex_state = 244},
  [7030] = {.lex_state = 244},
  [7031] = {.lex_state = 381},
  [7032] = {.lex_state = 381},
  [7033] = {.lex_state = 244},
  [7034] = {.lex_state = 234},
  [7035] = {.lex_state = 381},
  [7036] = {.lex_state = 234},
  [7037] = {.lex_state = 265},
  [7038] = {.lex_state = 244},
  [7039] = {.lex_state = 265},
  [7040] = {.lex_state = 244},
  [7041] = {.lex_state = 381},
  [7042] = {.lex_state = 244},
  [7043] = {.lex_state = 265},
  [7044] = {.lex_state = 244},
  [7045] = {.lex_state = 265},
  [7046] = {.lex_state = 244},
  [7047] = {.lex_state = 244},
  [7048] = {.lex_state = 234},
  [7049] = {.lex_state = 244},
  [7050] = {.lex_state = 244},
  [7051] = {.lex_state = 244},
  [7052] = {.lex_state = 244},
  [7053] = {.lex_state = 244},
  [7054] = {.lex_state = 244},
  [7055] = {.lex_state = 381},
  [7056] = {.lex_state = 265},
  [7057] = {.lex_state = 265},
  [7058] = {.lex_state = 387},
  [7059] = {.lex_state = 234},
  [7060] = {.lex_state = 387},
  [7061] = {.lex_state = 265},
  [7062] = {.lex_state = 381},
  [7063] = {.lex_state = 244},
  [7064] = {.lex_state = 265},
  [7065] = {.lex_state = 244},
  [7066] = {.lex_state = 381},
  [7067] = {.lex_state = 381},
  [7068] = {.lex_state = 381},
  [7069] = {.lex_state = 244},
  [7070] = {.lex_state = 387},
  [7071] = {.lex_state = 265},
  [7072] = {.lex_state = 244},
  [7073] = {.lex_state = 244},
  [7074] = {.lex_state = 381},
  [7075] = {.lex_state = 244},
  [7076] = {.lex_state = 244},
  [7077] = {.lex_state = 381},
  [7078] = {.lex_state = 281},
  [7079] = {.lex_state = 244},
  [7080] = {.lex_state = 381},
  [7081] = {.lex_state = 381},
  [7082] = {.lex_state = 244},
  [7083] = {.lex_state = 244},
  [7084] = {.lex_state = 244},
  [7085] = {.lex_state = 260},
  [7086] = {.lex_state = 244},
  [7087] = {.lex_state = 244},
  [7088] = {.lex_state = 244},
  [7089] = {.lex_state = 281},
  [7090] = {.lex_state = 244},
  [7091] = {.lex_state = 260},
  [7092] = {.lex_state = 231},
  [7093] = {.lex_state = 244},
  [7094] = {.lex_state = 244},
  [7095] = {.lex_state = 244},
  [7096] = {.lex_state = 233},
  [7097] = {.lex_state = 244},
  [7098] = {.lex_state = 226},
  [7099] = {.lex_state = 281},
  [7100] = {.lex_state = 233},
  [7101] = {.lex_state = 244},
  [7102] = {.lex_state = 233},
  [7103] = {.lex_state = 381},
  [7104] = {.lex_state = 233},
  [7105] = {.lex_state = 244},
  [7106] = {.lex_state = 260},
  [7107] = {.lex_state = 260},
  [7108] = {.lex_state = 244},
  [7109] = {.lex_state = 233},
  [7110] = {.lex_state = 381},
  [7111] = {.lex_state = 244},
  [7112] = {.lex_state = 260},
  [7113] = {.lex_state = 244},
  [7114] = {.lex_state = 381},
  [7115] = {.lex_state = 244},
  [7116] = {.lex_state = 233},
  [7117] = {.lex_state = 233},
  [7118] = {.lex_state = 381},
  [7119] = {.lex_state = 233},
  [7120] = {.lex_state = 381},
  [7121] = {.lex_state = 233},
  [7122] = {.lex_state = 233},
  [7123] = {.lex_state = 233},
  [7124] = {.lex_state = 233},
  [7125] = {.lex_state = 244},
  [7126] = {.lex_state = 244},
  [7127] = {.lex_state = 244},
  [7128] = {.lex_state = 244},
  [7129] = {.lex_state = 244},
  [7130] = {.lex_state = 260},
  [7131] = {.lex_state = 231},
  [7132] = {.lex_state = 244},
  [7133] = {.lex_state = 231},
  [7134] = {.lex_state = 260},
  [7135] = {.lex_state = 206},
  [7136] = {.lex_state = 226},
  [7137] = {.lex_state = 226},
  [7138] = {.lex_state = 387},
  [7139] = {.lex_state = 226},
  [7140] = {.lex_state = 244},
  [7141] = {.lex_state = 381},
  [7142] = {.lex_state = 226},
  [7143] = {.lex_state = 244},
  [7144] = {.lex_state = 226},
  [7145] = {.lex_state = 226},
  [7146] = {.lex_state = 226},
  [7147] = {.lex_state = 226},
  [7148] = {.lex_state = 226},
  [7149] = {.lex_state = 381},
  [7150] = {.lex_state = 226},
  [7151] = {.lex_state = 381},
  [7152] = {.lex_state = 381},
  [7153] = {.lex_state = 226},
  [7154] = {.lex_state = 206},
  [7155] = {.lex_state = 226},
  [7156] = {.lex_state = 265},
  [7157] = {.lex_state = 381},
  [7158] = {.lex_state = 387},
  [7159] = {.lex_state = 381},
  [7160] = {.lex_state = 265},
  [7161] = {.lex_state = 244},
  [7162] = {.lex_state = 265},
  [7163] = {.lex_state = 387},
  [7164] = {.lex_state = 244},
  [7165] = {.lex_state = 265},
  [7166] = {.lex_state = 226},
  [7167] = {.lex_state = 244},
  [7168] = {.lex_state = 226},
  [7169] = {.lex_state = 265},
  [7170] = {.lex_state = 226},
  [7171] = {.lex_state = 265},
  [7172] = {.lex_state = 381},
  [7173] = {.lex_state = 244},
  [7174] = {.lex_state = 265},
  [7175] = {.lex_state = 244},
  [7176] = {.lex_state = 244},
  [7177] = {.lex_state = 244},
  [7178] = {.lex_state = 387},
  [7179] = {.lex_state = 244},
  [7180] = {.lex_state = 244},
  [7181] = {.lex_state = 244},
  [7182] = {.lex_state = 244},
  [7183] = {.lex_state = 233},
  [7184] = {.lex_state = 233},
  [7185] = {.lex_state = 244},
  [7186] = {.lex_state = 244},
  [7187] = {.lex_state = 244},
  [7188] = {.lex_state = 237},
  [7189] = {.lex_state = 244},
  [7190] = {.lex_state = 233},
  [7191] = {.lex_state = 233},
  [7192] = {.lex_state = 233},
  [7193] = {.lex_state = 233},
  [7194] = {.lex_state = 244},
  [7195] = {.lex_state = 387},
  [7196] = {.lex_state = 244},
  [7197] = {.lex_state = 237},
  [7198] = {.lex_state = 278},
  [7199] = {.lex_state = 244},
  [7200] = {.lex_state = 233},
  [7201] = {.lex_state = 244},
  [7202] = {.lex_state = 244},
  [7203] = {.lex_state = 244},
  [7204] = {.lex_state = 244},
  [7205] = {.lex_state = 244},
  [7206] = {.lex_state = 244},
  [7207] = {.lex_state = 244},
  [7208] = {.lex_state = 278},
  [7209] = {.lex_state = 278},
  [7210] = {.lex_state = 278},
  [7211] = {.lex_state = 278},
  [7212] = {.lex_state = 203},
  [7213] = {.lex_state = 244},
  [7214] = {.lex_state = 244},
  [7215] = {.lex_state = 244},
  [7216] = {.lex_state = 244},
  [7217] = {.lex_state = 244},
  [7218] = {.lex_state = 244},
  [7219] = {.lex_state = 244},
  [7220] = {.lex_state = 244},
  [7221] = {.lex_state = 244},
  [7222] = {.lex_state = 244},
  [7223] = {.lex_state = 244},
  [7224] = {.lex_state = 244},
  [7225] = {.lex_state = 387},
  [7226] = {.lex_state = 284},
  [7227] = {.lex_state = 387},
  [7228] = {.lex_state = 281},
  [7229] = {.lex_state = 284},
  [7230] = {.lex_state = 387},
  [7231] = {.lex_state = 206},
  [7232] = {.lex_state = 387},
  [7233] = {.lex_state = 387},
  [7234] = {.lex_state = 387},
  [7235] = {.lex_state = 203},
  [7236] = {.lex_state = 387},
  [7237] = {.lex_state = 387},
  [7238] = {.lex_state = 244},
  [7239] = {.lex_state = 226},
  [7240] = {.lex_state = 244},
  [7241] = {.lex_state = 281},
  [7242] = {.lex_state = 387},
  [7243] = {.lex_state = 234},
  [7244] = {.lex_state = 387},
  [7245] = {.lex_state = 244},
  [7246] = {.lex_state = 387},
  [7247] = {.lex_state = 387},
  [7248] = {.lex_state = 234},
  [7249] = {.lex_state = 378},
  [7250] = {.lex_state = 244},
  [7251] = {.lex_state = 233},
  [7252] = {.lex_state = 234},
  [7253] = {.lex_state = 387},
  [7254] = {.lex_state = 203},
  [7255] = {.lex_state = 387},
  [7256] = {.lex_state = 387},
  [7257] = {.lex_state = 387},
  [7258] = {.lex_state = 387},
  [7259] = {.lex_state = 233},
  [7260] = {.lex_state = 233},
  [7261] = {.lex_state = 387},
  [7262] = {.lex_state = 244},
  [7263] = {.lex_state = 244},
  [7264] = {.lex_state = 234},
  [7265] = {.lex_state = 244},
  [7266] = {.lex_state = 234},
  [7267] = {.lex_state = 233},
  [7268] = {.lex_state = 387},
  [7269] = {.lex_state = 244},
  [7270] = {.lex_state = 233},
  [7271] = {.lex_state = 387},
  [7272] = {.lex_state = 387},
  [7273] = {.lex_state = 244},
  [7274] = {.lex_state = 244},
  [7275] = {.lex_state = 234},
  [7276] = {.lex_state = 233},
  [7277] = {.lex_state = 234},
  [7278] = {.lex_state = 231},
  [7279] = {.lex_state = 244},
  [7280] = {.lex_state = 387},
  [7281] = {.lex_state = 387},
  [7282] = {.lex_state = 226},
  [7283] = {.lex_state = 231},
  [7284] = {.lex_state = 387},
  [7285] = {.lex_state = 387},
  [7286] = {.lex_state = 387},
  [7287] = {.lex_state = 244},
  [7288] = {.lex_state = 203},
  [7289] = {.lex_state = 203},
  [7290] = {.lex_state = 203},
  [7291] = {.lex_state = 387},
  [7292] = {.lex_state = 387},
  [7293] = {.lex_state = 233},
  [7294] = {.lex_state = 203},
  [7295] = {.lex_state = 203},
  [7296] = {.lex_state = 237},
  [7297] = {.lex_state = 387},
  [7298] = {.lex_state = 284},
  [7299] = {.lex_state = 203},
  [7300] = {.lex_state = 387},
  [7301] = {.lex_state = 244},
  [7302] = {.lex_state = 203},
  [7303] = {.lex_state = 387},
  [7304] = {.lex_state = 203},
  [7305] = {.lex_state = 244},
  [7306] = {.lex_state = 203},
  [7307] = {.lex_state = 244},
  [7308] = {.lex_state = 244},
  [7309] = {.lex_state = 244},
  [7310] = {.lex_state = 203},
  [7311] = {.lex_state = 244},
  [7312] = {.lex_state = 244},
  [7313] = {.lex_state = 203},
  [7314] = {.lex_state = 203},
  [7315] = {.lex_state = 233},
  [7316] = {.lex_state = 233},
  [7317] = {.lex_state = 231},
  [7318] = {.lex_state = 244},
  [7319] = {.lex_state = 203},
  [7320] = {.lex_state = 237},
  [7321] = {.lex_state = 203},
  [7322] = {.lex_state = 203},
  [7323] = {.lex_state = 203},
  [7324] = {.lex_state = 203},
  [7325] = {.lex_state = 203},
  [7326] = {.lex_state = 244},
  [7327] = {.lex_state = 237},
  [7328] = {.lex_state = 387},
  [7329] = {.lex_state = 203},
  [7330] = {.lex_state = 233},
  [7331] = {.lex_state = 387},
  [7332] = {.lex_state = 203},
  [7333] = {.lex_state = 203},
  [7334] = {.lex_state = 226},
  [7335] = {.lex_state = 281},
  [7336] = {.lex_state = 203},
  [7337] = {.lex_state = 244},
  [7338] = {.lex_state = 226},
  [7339] = {.lex_state = 244},
  [7340] = {.lex_state = 244},
  [7341] = {.lex_state = 226},
  [7342] = {.lex_state = 226},
  [7343] = {.lex_state = 244},
  [7344] = {.lex_state = 281},
  [7345] = {.lex_state = 231},
  [7346] = {.lex_state = 281},
  [7347] = {.lex_state = 226},
  [7348] = {.lex_state = 281},
  [7349] = {.lex_state = 281},
  [7350] = {.lex_state = 281},
  [7351] = {.lex_state = 244},
  [7352] = {.lex_state = 244},
  [7353] = {.lex_state = 281},
  [7354] = {.lex_state = 244},
  [7355] = {.lex_state = 284},
  [7356] = {.lex_state = 387},
  [7357] = {.lex_state = 244},
  [7358] = {.lex_state = 244},
  [7359] = {.lex_state = 281},
  [7360] = {.lex_state = 226},
  [7361] = {.lex_state = 387},
  [7362] = {.lex_state = 281},
  [7363] = {.lex_state = 244},
  [7364] = {.lex_state = 281},
  [7365] = {.lex_state = 244},
  [7366] = {.lex_state = 0},
  [7367] = {.lex_state = 244},
  [7368] = {.lex_state = 281},
  [7369] = {.lex_state = 244},
  [7370] = {.lex_state = 0},
  [7371] = {.lex_state = 281},
  [7372] = {.lex_state = 387},
  [7373] = {.lex_state = 226},
  [7374] = {.lex_state = 0},
  [7375] = {.lex_state = 387},
  [7376] = {.lex_state = 233},
  [7377] = {.lex_state = 244},
  [7378] = {.lex_state = 244},
  [7379] = {.lex_state = 226},
  [7380] = {.lex_state = 226},
  [7381] = {.lex_state = 203},
  [7382] = {.lex_state = 281},
  [7383] = {.lex_state = 244},
  [7384] = {.lex_state = 244},
  [7385] = {.lex_state = 244},
  [7386] = {.lex_state = 244},
  [7387] = {.lex_state = 244},
  [7388] = {.lex_state = 226},
  [7389] = {.lex_state = 281},
  [7390] = {.lex_state = 281},
  [7391] = {.lex_state = 244},
  [7392] = {.lex_state = 281},
  [7393] = {.lex_state = 244},
  [7394] = {.lex_state = 281},
  [7395] = {.lex_state = 244},
  [7396] = {.lex_state = 387},
  [7397] = {.lex_state = 226},
  [7398] = {.lex_state = 281},
  [7399] = {.lex_state = 206},
  [7400] = {.lex_state = 244},
  [7401] = {.lex_state = 244},
  [7402] = {.lex_state = 244},
  [7403] = {.lex_state = 244},
  [7404] = {.lex_state = 203},
  [7405] = {.lex_state = 244},
  [7406] = {.lex_state = 387},
  [7407] = {.lex_state = 244},
  [7408] = {.lex_state = 244},
  [7409] = {.lex_state = 206},
  [7410] = {.lex_state = 244},
  [7411] = {.lex_state = 244},
  [7412] = {.lex_state = 244},
  [7413] = {.lex_state = 244},
  [7414] = {.lex_state = 206},
  [7415] = {.lex_state = 244},
  [7416] = {.lex_state = 203},
  [7417] = {.lex_state = 244},
  [7418] = {.lex_state = 244},
  [7419] = {.lex_state = 206},
  [7420] = {.lex_state = 244},
  [7421] = {.lex_state = 244},
  [7422] = {.lex_state = 206},
  [7423] = {.lex_state = 244},
  [7424] = {.lex_state = 244},
  [7425] = {.lex_state = 244},
  [7426] = {.lex_state = 244},
  [7427] = {.lex_state = 244},
  [7428] = {.lex_state = 206},
  [7429] = {.lex_state = 203},
  [7430] = {.lex_state = 244},
  [7431] = {.lex_state = 387},
  [7432] = {.lex_state = 244},
  [7433] = {.lex_state = 387},
  [7434] = {.lex_state = 244},
  [7435] = {.lex_state = 244},
  [7436] = {.lex_state = 244},
  [7437] = {.lex_state = 244},
  [7438] = {.lex_state = 387},
  [7439] = {.lex_state = 244},
  [7440] = {.lex_state = 244},
  [7441] = {.lex_state = 206},
  [7442] = {.lex_state = 265},
  [7443] = {.lex_state = 244},
  [7444] = {.lex_state = 244},
  [7445] = {.lex_state = 244},
  [7446] = {.lex_state = 244},
  [7447] = {.lex_state = 244},
  [7448] = {.lex_state = 244},
  [7449] = {.lex_state = 281},
  [7450] = {.lex_state = 244},
  [7451] = {.lex_state = 265},
  [7452] = {.lex_state = 244},
  [7453] = {.lex_state = 203},
  [7454] = {.lex_state = 244},
  [7455] = {.lex_state = 387},
  [7456] = {.lex_state = 244},
  [7457] = {.lex_state = 244},
  [7458] = {.lex_state = 244},
  [7459] = {.lex_state = 244},
  [7460] = {.lex_state = 244},
  [7461] = {.lex_state = 244},
  [7462] = {.lex_state = 244},
  [7463] = {.lex_state = 244},
  [7464] = {.lex_state = 244},
  [7465] = {.lex_state = 244},
  [7466] = {.lex_state = 244},
  [7467] = {.lex_state = 387},
  [7468] = {.lex_state = 244},
  [7469] = {.lex_state = 203},
  [7470] = {.lex_state = 203},
  [7471] = {.lex_state = 387},
  [7472] = {.lex_state = 0},
  [7473] = {.lex_state = 244},
  [7474] = {.lex_state = 281},
  [7475] = {.lex_state = 206},
  [7476] = {.lex_state = 244},
  [7477] = {.lex_state = 206},
  [7478] = {.lex_state = 203},
  [7479] = {.lex_state = 116},
  [7480] = {.lex_state = 244},
  [7481] = {.lex_state = 244},
  [7482] = {.lex_state = 244},
  [7483] = {.lex_state = 118},
  [7484] = {.lex_state = 206},
  [7485] = {.lex_state = 387},
  [7486] = {.lex_state = 203},
  [7487] = {.lex_state = 244},
  [7488] = {.lex_state = 387},
  [7489] = {.lex_state = 387},
  [7490] = {.lex_state = 203},
  [7491] = {.lex_state = 244},
  [7492] = {.lex_state = 0},
  [7493] = {.lex_state = 116},
  [7494] = {.lex_state = 118},
  [7495] = {.lex_state = 387},
  [7496] = {.lex_state = 0},
  [7497] = {.lex_state = 0},
  [7498] = {.lex_state = 244},
  [7499] = {.lex_state = 116},
  [7500] = {.lex_state = 244},
  [7501] = {.lex_state = 118},
  [7502] = {.lex_state = 116},
  [7503] = {.lex_state = 206},
  [7504] = {.lex_state = 203},
  [7505] = {.lex_state = 387},
  [7506] = {.lex_state = 244},
  [7507] = {.lex_state = 244},
  [7508] = {.lex_state = 244},
  [7509] = {.lex_state = 244},
  [7510] = {.lex_state = 244},
  [7511] = {.lex_state = 387},
  [7512] = {.lex_state = 206},
  [7513] = {.lex_state = 387},
  [7514] = {.lex_state = 281},
  [7515] = {.lex_state = 116},
  [7516] = {.lex_state = 119},
  [7517] = {.lex_state = 119},
  [7518] = {.lex_state = 387},
  [7519] = {.lex_state = 387},
  [7520] = {.lex_state = 206},
  [7521] = {.lex_state = 118},
  [7522] = {.lex_state = 116},
  [7523] = {.lex_state = 265},
  [7524] = {.lex_state = 387},
  [7525] = {.lex_state = 387},
  [7526] = {.lex_state = 203},
  [7527] = {.lex_state = 206},
  [7528] = {.lex_state = 203},
  [7529] = {.lex_state = 244},
  [7530] = {.lex_state = 281},
  [7531] = {.lex_state = 206},
  [7532] = {.lex_state = 244},
  [7533] = {.lex_state = 244},
  [7534] = {.lex_state = 244},
  [7535] = {.lex_state = 387},
  [7536] = {.lex_state = 206},
  [7537] = {.lex_state = 0},
  [7538] = {.lex_state = 206},
  [7539] = {.lex_state = 387},
  [7540] = {.lex_state = 281},
  [7541] = {.lex_state = 203},
  [7542] = {.lex_state = 203},
  [7543] = {.lex_state = 244},
  [7544] = {.lex_state = 244},
  [7545] = {.lex_state = 206},
  [7546] = {.lex_state = 281},
  [7547] = {.lex_state = 244},
  [7548] = {.lex_state = 203},
  [7549] = {.lex_state = 203},
  [7550] = {.lex_state = 206},
  [7551] = {.lex_state = 206},
  [7552] = {.lex_state = 281},
  [7553] = {.lex_state = 203},
  [7554] = {.lex_state = 387},
  [7555] = {.lex_state = 281},
  [7556] = {.lex_state = 244},
  [7557] = {.lex_state = 281},
  [7558] = {.lex_state = 206},
  [7559] = {.lex_state = 206},
  [7560] = {.lex_state = 281},
  [7561] = {.lex_state = 244},
  [7562] = {.lex_state = 116},
  [7563] = {.lex_state = 118},
  [7564] = {.lex_state = 244},
  [7565] = {.lex_state = 116},
  [7566] = {.lex_state = 116},
  [7567] = {.lex_state = 116},
  [7568] = {.lex_state = 244},
  [7569] = {.lex_state = 206},
  [7570] = {.lex_state = 116},
  [7571] = {.lex_state = 116},
  [7572] = {.lex_state = 203},
  [7573] = {.lex_state = 0},
  [7574] = {.lex_state = 119},
  [7575] = {.lex_state = 116},
  [7576] = {.lex_state = 116},
  [7577] = {.lex_state = 116},
  [7578] = {.lex_state = 119},
  [7579] = {.lex_state = 206},
  [7580] = {.lex_state = 206},
  [7581] = {.lex_state = 387},
  [7582] = {.lex_state = 0},
  [7583] = {.lex_state = 387},
  [7584] = {.lex_state = 206},
  [7585] = {.lex_state = 116},
  [7586] = {.lex_state = 116},
  [7587] = {.lex_state = 387},
  [7588] = {.lex_state = 0},
  [7589] = {.lex_state = 203},
  [7590] = {.lex_state = 116},
  [7591] = {.lex_state = 206},
  [7592] = {.lex_state = 206},
  [7593] = {.lex_state = 116},
  [7594] = {.lex_state = 118},
  [7595] = {.lex_state = 118},
  [7596] = {.lex_state = 116},
  [7597] = {.lex_state = 119},
  [7598] = {.lex_state = 387},
  [7599] = {.lex_state = 0},
  [7600] = {.lex_state = 0},
  [7601] = {.lex_state = 281},
  [7602] = {.lex_state = 116},
  [7603] = {.lex_state = 387},
  [7604] = {.lex_state = 116},
  [7605] = {.lex_state = 387},
  [7606] = {.lex_state = 116},
  [7607] = {.lex_state = 387},
  [7608] = {.lex_state = 0},
  [7609] = {.lex_state = 203},
  [7610] = {.lex_state = 116},
  [7611] = {.lex_state = 203},
  [7612] = {.lex_state = 116},
  [7613] = {.lex_state = 244},
  [7614] = {.lex_state = 0},
  [7615] = {.lex_state = 244},
  [7616] = {.lex_state = 116},
  [7617] = {.lex_state = 118},
  [7618] = {.lex_state = 244},
  [7619] = {.lex_state = 116},
  [7620] = {.lex_state = 116},
  [7621] = {.lex_state = 206},
  [7622] = {.lex_state = 206},
  [7623] = {.lex_state = 281},
  [7624] = {.lex_state = 0},
  [7625] = {.lex_state = 116},
  [7626] = {.lex_state = 118},
  [7627] = {.lex_state = 387},
  [7628] = {.lex_state = 387},
  [7629] = {.lex_state = 0},
  [7630] = {.lex_state = 116},
  [7631] = {.lex_state = 244},
  [7632] = {.lex_state = 206},
  [7633] = {.lex_state = 387},
  [7634] = {.lex_state = 203},
  [7635] = {.lex_state = 244},
  [7636] = {.lex_state = 203},
  [7637] = {.lex_state = 387},
  [7638] = {.lex_state = 0},
  [7639] = {.lex_state = 206},
  [7640] = {.lex_state = 116},
  [7641] = {.lex_state = 203},
  [7642] = {.lex_state = 0},
  [7643] = {.lex_state = 116},
  [7644] = {.lex_state = 206},
  [7645] = {.lex_state = 206},
  [7646] = {.lex_state = 118},
  [7647] = {.lex_state = 387},
  [7648] = {.lex_state = 206},
  [7649] = {.lex_state = 203},
  [7650] = {.lex_state = 206},
  [7651] = {.lex_state = 203},
  [7652] = {.lex_state = 203},
  [7653] = {.lex_state = 387},
  [7654] = {.lex_state = 244},
  [7655] = {.lex_state = 116},
  [7656] = {.lex_state = 244},
  [7657] = {.lex_state = 387},
  [7658] = {.lex_state = 387},
  [7659] = {.lex_state = 387},
  [7660] = {.lex_state = 387},
  [7661] = {.lex_state = 203},
  [7662] = {.lex_state = 244},
  [7663] = {.lex_state = 203},
  [7664] = {.lex_state = 206},
  [7665] = {.lex_state = 244},
  [7666] = {.lex_state = 244},
  [7667] = {.lex_state = 116},
  [7668] = {.lex_state = 244},
  [7669] = {.lex_state = 203},
  [7670] = {.lex_state = 118},
  [7671] = {.lex_state = 0},
  [7672] = {.lex_state = 244},
  [7673] = {.lex_state = 206},
  [7674] = {.lex_state = 206},
  [7675] = {.lex_state = 244},
  [7676] = {.lex_state = 244},
  [7677] = {.lex_state = 244},
  [7678] = {.lex_state = 203},
  [7679] = {.lex_state = 387},
  [7680] = {.lex_state = 387},
  [7681] = {.lex_state = 116},
  [7682] = {.lex_state = 118},
  [7683] = {.lex_state = 206},
  [7684] = {.lex_state = 206},
  [7685] = {.lex_state = 203},
  [7686] = {.lex_state = 244},
  [7687] = {.lex_state = 203},
  [7688] = {.lex_state = 119},
  [7689] = {.lex_state = 116},
  [7690] = {.lex_state = 203},
  [7691] = {.lex_state = 116},
  [7692] = {.lex_state = 244},
  [7693] = {.lex_state = 244},
  [7694] = {.lex_state = 203},
  [7695] = {.lex_state = 387},
  [7696] = {.lex_state = 244},
  [7697] = {.lex_state = 244},
  [7698] = {.lex_state = 244},
  [7699] = {.lex_state = 387},
  [7700] = {.lex_state = 203},
  [7701] = {.lex_state = 0},
  [7702] = {.lex_state = 387},
  [7703] = {.lex_state = 387},
  [7704] = {.lex_state = 387},
  [7705] = {.lex_state = 387},
  [7706] = {.lex_state = 0},
  [7707] = {.lex_state = 206},
  [7708] = {.lex_state = 387},
  [7709] = {.lex_state = 119},
  [7710] = {.lex_state = 244},
  [7711] = {.lex_state = 206},
  [7712] = {.lex_state = 244},
  [7713] = {.lex_state = 206},
  [7714] = {.lex_state = 203},
  [7715] = {.lex_state = 387},
  [7716] = {.lex_state = 116},
  [7717] = {.lex_state = 118},
  [7718] = {.lex_state = 206},
  [7719] = {.lex_state = 387},
  [7720] = {.lex_state = 206},
  [7721] = {.lex_state = 244},
  [7722] = {.lex_state = 116},
  [7723] = {.lex_state = 206},
  [7724] = {.lex_state = 206},
  [7725] = {.lex_state = 118},
  [7726] = {.lex_state = 116},
  [7727] = {.lex_state = 0},
  [7728] = {.lex_state = 244},
  [7729] = {.lex_state = 387},
  [7730] = {.lex_state = 244},
  [7731] = {.lex_state = 244},
  [7732] = {.lex_state = 244},
  [7733] = {.lex_state = 387},
  [7734] = {.lex_state = 244},
  [7735] = {.lex_state = 203},
  [7736] = {.lex_state = 116},
  [7737] = {.lex_state = 206},
  [7738] = {.lex_state = 206},
  [7739] = {.lex_state = 206},
  [7740] = {.lex_state = 244},
  [7741] = {.lex_state = 387},
  [7742] = {.lex_state = 119},
  [7743] = {.lex_state = 244},
  [7744] = {.lex_state = 116},
  [7745] = {.lex_state = 387},
  [7746] = {.lex_state = 387},
  [7747] = {.lex_state = 0},
  [7748] = {.lex_state = 244},
  [7749] = {.lex_state = 0},
  [7750] = {.lex_state = 387},
  [7751] = {.lex_state = 203},
  [7752] = {.lex_state = 387},
  [7753] = {.lex_state = 244},
  [7754] = {.lex_state = 281},
  [7755] = {.lex_state = 387},
  [7756] = {.lex_state = 387},
  [7757] = {.lex_state = 244},
  [7758] = {.lex_state = 244},
  [7759] = {.lex_state = 206},
  [7760] = {.lex_state = 387},
  [7761] = {.lex_state = 118},
  [7762] = {.lex_state = 116},
  [7763] = {.lex_state = 203},
  [7764] = {.lex_state = 0},
  [7765] = {.lex_state = 387},
  [7766] = {.lex_state = 387},
  [7767] = {.lex_state = 387},
  [7768] = {.lex_state = 244},
  [7769] = {.lex_state = 244},
  [7770] = {.lex_state = 244},
  [7771] = {.lex_state = 387},
  [7772] = {.lex_state = 244},
  [7773] = {.lex_state = 387},
  [7774] = {.lex_state = 119},
  [7775] = {.lex_state = 206},
  [7776] = {.lex_state = 203},
  [7777] = {.lex_state = 0},
  [7778] = {.lex_state = 0},
  [7779] = {.lex_state = 0},
  [7780] = {.lex_state = 244},
  [7781] = {.lex_state = 0},
  [7782] = {.lex_state = 203},
  [7783] = {.lex_state = 0},
  [7784] = {.lex_state = 0},
  [7785] = {.lex_state = 0},
  [7786] = {.lex_state = 0},
  [7787] = {.lex_state = 387},
  [7788] = {.lex_state = 0},
  [7789] = {.lex_state = 206},
  [7790] = {.lex_state = 0},
  [7791] = {.lex_state = 244},
  [7792] = {.lex_state = 206},
  [7793] = {.lex_state = 0},
  [7794] = {.lex_state = 0},
  [7795] = {.lex_state = 0},
  [7796] = {.lex_state = 0},
  [7797] = {.lex_state = 0},
  [7798] = {.lex_state = 0},
  [7799] = {.lex_state = 244},
  [7800] = {.lex_state = 387},
  [7801] = {.lex_state = 244},
  [7802] = {.lex_state = 244},
  [7803] = {.lex_state = 0},
  [7804] = {.lex_state = 189},
  [7805] = {.lex_state = 121},
  [7806] = {.lex_state = 387},
  [7807] = {.lex_state = 0},
  [7808] = {.lex_state = 0},
  [7809] = {.lex_state = 0},
  [7810] = {.lex_state = 0},
  [7811] = {.lex_state = 387},
  [7812] = {.lex_state = 0},
  [7813] = {.lex_state = 0},
  [7814] = {.lex_state = 206},
  [7815] = {.lex_state = 0},
  [7816] = {.lex_state = 387},
  [7817] = {.lex_state = 244},
  [7818] = {.lex_state = 118},
  [7819] = {.lex_state = 0},
  [7820] = {.lex_state = 0},
  [7821] = {.lex_state = 0},
  [7822] = {.lex_state = 0},
  [7823] = {.lex_state = 0},
  [7824] = {.lex_state = 244},
  [7825] = {.lex_state = 0},
  [7826] = {.lex_state = 244},
  [7827] = {.lex_state = 0},
  [7828] = {.lex_state = 244},
  [7829] = {.lex_state = 0},
  [7830] = {.lex_state = 0},
  [7831] = {.lex_state = 206},
  [7832] = {.lex_state = 0},
  [7833] = {.lex_state = 0},
  [7834] = {.lex_state = 0},
  [7835] = {.lex_state = 0},
  [7836] = {.lex_state = 0},
  [7837] = {.lex_state = 0},
  [7838] = {.lex_state = 0},
  [7839] = {.lex_state = 206},
  [7840] = {.lex_state = 206},
  [7841] = {.lex_state = 0},
  [7842] = {.lex_state = 0},
  [7843] = {.lex_state = 0},
  [7844] = {.lex_state = 0},
  [7845] = {.lex_state = 0},
  [7846] = {.lex_state = 206},
  [7847] = {.lex_state = 244},
  [7848] = {.lex_state = 0},
  [7849] = {.lex_state = 244},
  [7850] = {.lex_state = 0},
  [7851] = {.lex_state = 0},
  [7852] = {.lex_state = 0},
  [7853] = {.lex_state = 206},
  [7854] = {.lex_state = 206},
  [7855] = {.lex_state = 0},
  [7856] = {.lex_state = 206},
  [7857] = {.lex_state = 206},
  [7858] = {.lex_state = 0},
  [7859] = {.lex_state = 206},
  [7860] = {.lex_state = 0},
  [7861] = {.lex_state = 206},
  [7862] = {.lex_state = 0},
  [7863] = {.lex_state = 244},
  [7864] = {.lex_state = 244},
  [7865] = {.lex_state = 0},
  [7866] = {.lex_state = 0},
  [7867] = {.lex_state = 244},
  [7868] = {.lex_state = 0},
  [7869] = {.lex_state = 387},
  [7870] = {.lex_state = 118},
  [7871] = {.lex_state = 206},
  [7872] = {.lex_state = 206},
  [7873] = {.lex_state = 0},
  [7874] = {.lex_state = 0},
  [7875] = {.lex_state = 0},
  [7876] = {.lex_state = 206},
  [7877] = {.lex_state = 0},
  [7878] = {.lex_state = 206},
  [7879] = {.lex_state = 206},
  [7880] = {.lex_state = 206},
  [7881] = {.lex_state = 244},
  [7882] = {.lex_state = 0},
  [7883] = {.lex_state = 206},
  [7884] = {.lex_state = 0},
  [7885] = {.lex_state = 0},
  [7886] = {.lex_state = 387},
  [7887] = {.lex_state = 0},
  [7888] = {.lex_state = 0},
  [7889] = {.lex_state = 387},
  [7890] = {.lex_state = 0},
  [7891] = {.lex_state = 0},
  [7892] = {.lex_state = 0},
  [7893] = {.lex_state = 0},
  [7894] = {.lex_state = 0},
  [7895] = {.lex_state = 0},
  [7896] = {.lex_state = 0},
  [7897] = {.lex_state = 206},
  [7898] = {.lex_state = 0},
  [7899] = {.lex_state = 244},
  [7900] = {.lex_state = 0},
  [7901] = {.lex_state = 0},
  [7902] = {.lex_state = 387},
  [7903] = {.lex_state = 206},
  [7904] = {.lex_state = 0},
  [7905] = {.lex_state = 0},
  [7906] = {.lex_state = 0},
  [7907] = {.lex_state = 0},
  [7908] = {.lex_state = 206},
  [7909] = {.lex_state = 244},
  [7910] = {.lex_state = 244},
  [7911] = {.lex_state = 0},
  [7912] = {.lex_state = 387},
  [7913] = {.lex_state = 0},
  [7914] = {.lex_state = 0},
  [7915] = {.lex_state = 387},
  [7916] = {.lex_state = 0},
  [7917] = {.lex_state = 0},
  [7918] = {.lex_state = 206},
  [7919] = {.lex_state = 0},
  [7920] = {.lex_state = 121},
  [7921] = {.lex_state = 206},
  [7922] = {.lex_state = 121},
  [7923] = {.lex_state = 244},
  [7924] = {.lex_state = 203},
  [7925] = {.lex_state = 0},
  [7926] = {.lex_state = 0},
  [7927] = {.lex_state = 0},
  [7928] = {.lex_state = 0},
  [7929] = {.lex_state = 0},
  [7930] = {.lex_state = 0},
  [7931] = {.lex_state = 0},
  [7932] = {.lex_state = 0},
  [7933] = {.lex_state = 0},
  [7934] = {.lex_state = 206},
  [7935] = {.lex_state = 0},
  [7936] = {.lex_state = 206},
  [7937] = {.lex_state = 0},
  [7938] = {.lex_state = 206},
  [7939] = {.lex_state = 206},
  [7940] = {.lex_state = 206},
  [7941] = {.lex_state = 206},
  [7942] = {.lex_state = 244},
  [7943] = {.lex_state = 0},
  [7944] = {.lex_state = 0},
  [7945] = {.lex_state = 0},
  [7946] = {.lex_state = 387},
  [7947] = {.lex_state = 0},
  [7948] = {.lex_state = 0},
  [7949] = {.lex_state = 0},
  [7950] = {.lex_state = 244},
  [7951] = {.lex_state = 0},
  [7952] = {.lex_state = 206},
  [7953] = {.lex_state = 118},
  [7954] = {.lex_state = 244},
  [7955] = {.lex_state = 0},
  [7956] = {.lex_state = 0},
  [7957] = {.lex_state = 206},
  [7958] = {.lex_state = 0},
  [7959] = {.lex_state = 0},
  [7960] = {.lex_state = 387},
  [7961] = {.lex_state = 206},
  [7962] = {.lex_state = 0},
  [7963] = {.lex_state = 206},
  [7964] = {.lex_state = 206},
  [7965] = {.lex_state = 0},
  [7966] = {.lex_state = 206},
  [7967] = {.lex_state = 0},
  [7968] = {.lex_state = 0},
  [7969] = {.lex_state = 244},
  [7970] = {.lex_state = 206},
  [7971] = {.lex_state = 265},
  [7972] = {.lex_state = 244},
  [7973] = {.lex_state = 0},
  [7974] = {.lex_state = 121},
  [7975] = {.lex_state = 244},
  [7976] = {.lex_state = 0},
  [7977] = {.lex_state = 0},
  [7978] = {.lex_state = 0},
  [7979] = {.lex_state = 0},
  [7980] = {.lex_state = 0},
  [7981] = {.lex_state = 0},
  [7982] = {.lex_state = 244},
  [7983] = {.lex_state = 0},
  [7984] = {.lex_state = 244},
  [7985] = {.lex_state = 244},
  [7986] = {.lex_state = 0},
  [7987] = {.lex_state = 0},
  [7988] = {.lex_state = 0},
  [7989] = {.lex_state = 244},
  [7990] = {.lex_state = 0},
  [7991] = {.lex_state = 0},
  [7992] = {.lex_state = 0},
  [7993] = {.lex_state = 0},
  [7994] = {.lex_state = 0},
  [7995] = {.lex_state = 244},
  [7996] = {.lex_state = 206},
  [7997] = {.lex_state = 206},
  [7998] = {.lex_state = 387},
  [7999] = {.lex_state = 206},
  [8000] = {.lex_state = 0},
  [8001] = {.lex_state = 206},
  [8002] = {.lex_state = 0},
  [8003] = {.lex_state = 387},
  [8004] = {.lex_state = 0},
  [8005] = {.lex_state = 206},
  [8006] = {.lex_state = 0},
  [8007] = {.lex_state = 0},
  [8008] = {.lex_state = 206},
  [8009] = {.lex_state = 206},
  [8010] = {.lex_state = 0},
  [8011] = {.lex_state = 0},
  [8012] = {.lex_state = 0},
  [8013] = {.lex_state = 118},
  [8014] = {.lex_state = 206},
  [8015] = {.lex_state = 0},
  [8016] = {.lex_state = 0},
  [8017] = {.lex_state = 0},
  [8018] = {.lex_state = 0},
  [8019] = {.lex_state = 0},
  [8020] = {.lex_state = 206},
  [8021] = {.lex_state = 206},
  [8022] = {.lex_state = 0},
  [8023] = {.lex_state = 0},
  [8024] = {.lex_state = 0},
  [8025] = {.lex_state = 0},
  [8026] = {.lex_state = 0},
  [8027] = {.lex_state = 0},
  [8028] = {.lex_state = 0},
  [8029] = {.lex_state = 206},
  [8030] = {.lex_state = 0},
  [8031] = {.lex_state = 206},
  [8032] = {.lex_state = 206},
  [8033] = {.lex_state = 206},
  [8034] = {.lex_state = 206},
  [8035] = {.lex_state = 244},
  [8036] = {.lex_state = 0},
  [8037] = {.lex_state = 0},
  [8038] = {.lex_state = 0},
  [8039] = {.lex_state = 0},
  [8040] = {.lex_state = 206},
  [8041] = {.lex_state = 0},
  [8042] = {.lex_state = 0},
  [8043] = {.lex_state = 0},
  [8044] = {.lex_state = 244},
  [8045] = {.lex_state = 0},
  [8046] = {.lex_state = 0},
  [8047] = {.lex_state = 0},
  [8048] = {.lex_state = 244},
  [8049] = {.lex_state = 203},
  [8050] = {.lex_state = 206},
  [8051] = {.lex_state = 0},
  [8052] = {.lex_state = 0},
  [8053] = {.lex_state = 0},
  [8054] = {.lex_state = 0},
  [8055] = {.lex_state = 206},
  [8056] = {.lex_state = 0},
  [8057] = {.lex_state = 0},
  [8058] = {.lex_state = 0},
  [8059] = {.lex_state = 244},
  [8060] = {.lex_state = 206},
  [8061] = {.lex_state = 0},
  [8062] = {.lex_state = 206},
  [8063] = {.lex_state = 206},
  [8064] = {.lex_state = 244},
  [8065] = {.lex_state = 206},
  [8066] = {.lex_state = 118},
  [8067] = {.lex_state = 0},
  [8068] = {.lex_state = 0},
  [8069] = {.lex_state = 244},
  [8070] = {.lex_state = 0},
  [8071] = {.lex_state = 244},
  [8072] = {.lex_state = 0},
  [8073] = {.lex_state = 0},
  [8074] = {.lex_state = 244},
  [8075] = {.lex_state = 244},
  [8076] = {.lex_state = 0},
  [8077] = {.lex_state = 0},
  [8078] = {.lex_state = 206},
  [8079] = {.lex_state = 0},
  [8080] = {.lex_state = 0},
  [8081] = {.lex_state = 0},
  [8082] = {.lex_state = 0},
  [8083] = {.lex_state = 206},
  [8084] = {.lex_state = 0},
  [8085] = {.lex_state = 0},
  [8086] = {.lex_state = 0},
  [8087] = {.lex_state = 0},
  [8088] = {.lex_state = 0},
  [8089] = {.lex_state = 244},
  [8090] = {.lex_state = 206},
  [8091] = {.lex_state = 0},
  [8092] = {.lex_state = 206},
  [8093] = {.lex_state = 0},
  [8094] = {.lex_state = 0},
  [8095] = {.lex_state = 0},
  [8096] = {.lex_state = 0},
  [8097] = {.lex_state = 0},
  [8098] = {.lex_state = 387},
  [8099] = {.lex_state = 0},
  [8100] = {.lex_state = 0},
  [8101] = {.lex_state = 0},
  [8102] = {.lex_state = 0},
  [8103] = {.lex_state = 0},
  [8104] = {.lex_state = 206},
  [8105] = {.lex_state = 0},
  [8106] = {.lex_state = 0},
  [8107] = {.lex_state = 0},
  [8108] = {.lex_state = 206},
  [8109] = {.lex_state = 0},
  [8110] = {.lex_state = 244},
  [8111] = {.lex_state = 0},
  [8112] = {.lex_state = 244},
  [8113] = {.lex_state = 244},
  [8114] = {.lex_state = 0},
  [8115] = {.lex_state = 0},
  [8116] = {.lex_state = 0},
  [8117] = {.lex_state = 244},
  [8118] = {.lex_state = 0},
  [8119] = {.lex_state = 0},
  [8120] = {.lex_state = 0},
  [8121] = {.lex_state = 0},
  [8122] = {.lex_state = 0},
  [8123] = {.lex_state = 0},
  [8124] = {.lex_state = 0},
  [8125] = {.lex_state = 387},
  [8126] = {.lex_state = 0},
  [8127] = {.lex_state = 387},
  [8128] = {.lex_state = 244},
  [8129] = {.lex_state = 0},
  [8130] = {.lex_state = 0},
  [8131] = {.lex_state = 206},
  [8132] = {.lex_state = 118},
  [8133] = {.lex_state = 0},
  [8134] = {.lex_state = 118},
  [8135] = {.lex_state = 206},
  [8136] = {.lex_state = 118},
  [8137] = {.lex_state = 244},
  [8138] = {.lex_state = 118},
  [8139] = {.lex_state = 0},
  [8140] = {.lex_state = 0},
  [8141] = {.lex_state = 206},
  [8142] = {.lex_state = 0},
  [8143] = {.lex_state = 0},
  [8144] = {.lex_state = 0},
  [8145] = {.lex_state = 0},
  [8146] = {.lex_state = 206},
  [8147] = {.lex_state = 206},
  [8148] = {.lex_state = 387},
  [8149] = {.lex_state = 118},
  [8150] = {.lex_state = 0},
  [8151] = {.lex_state = 206},
  [8152] = {.lex_state = 244},
  [8153] = {.lex_state = 244},
  [8154] = {.lex_state = 0},
  [8155] = {.lex_state = 0},
  [8156] = {.lex_state = 244},
  [8157] = {.lex_state = 206},
  [8158] = {.lex_state = 244},
  [8159] = {.lex_state = 244},
  [8160] = {.lex_state = 118},
  [8161] = {.lex_state = 244},
  [8162] = {.lex_state = 206},
  [8163] = {.lex_state = 0},
  [8164] = {.lex_state = 0},
  [8165] = {.lex_state = 0},
  [8166] = {.lex_state = 0},
  [8167] = {.lex_state = 118},
  [8168] = {.lex_state = 0},
  [8169] = {.lex_state = 0},
  [8170] = {.lex_state = 0},
  [8171] = {.lex_state = 0},
  [8172] = {.lex_state = 0},
  [8173] = {.lex_state = 0},
  [8174] = {.lex_state = 0},
  [8175] = {.lex_state = 206},
  [8176] = {.lex_state = 0},
  [8177] = {.lex_state = 0},
  [8178] = {.lex_state = 0},
  [8179] = {.lex_state = 244},
  [8180] = {.lex_state = 244},
  [8181] = {.lex_state = 118},
  [8182] = {.lex_state = 206},
  [8183] = {.lex_state = 244},
  [8184] = {.lex_state = 0},
  [8185] = {.lex_state = 0},
  [8186] = {.lex_state = 0},
  [8187] = {.lex_state = 0},
  [8188] = {.lex_state = 244},
  [8189] = {.lex_state = 387},
  [8190] = {.lex_state = 0},
  [8191] = {.lex_state = 0},
  [8192] = {.lex_state = 0},
  [8193] = {.lex_state = 0},
  [8194] = {.lex_state = 0},
  [8195] = {.lex_state = 206},
  [8196] = {.lex_state = 0},
  [8197] = {.lex_state = 244},
  [8198] = {.lex_state = 118},
  [8199] = {.lex_state = 244},
  [8200] = {.lex_state = 0},
  [8201] = {.lex_state = 244},
  [8202] = {.lex_state = 121},
  [8203] = {.lex_state = 0},
  [8204] = {.lex_state = 0},
  [8205] = {.lex_state = 0},
  [8206] = {.lex_state = 0},
  [8207] = {.lex_state = 0},
  [8208] = {.lex_state = 0},
  [8209] = {.lex_state = 0},
  [8210] = {.lex_state = 244},
  [8211] = {.lex_state = 387},
  [8212] = {.lex_state = 0},
  [8213] = {.lex_state = 244},
  [8214] = {.lex_state = 0},
  [8215] = {.lex_state = 0},
  [8216] = {.lex_state = 0},
  [8217] = {.lex_state = 206},
  [8218] = {.lex_state = 0},
  [8219] = {.lex_state = 387},
  [8220] = {.lex_state = 0},
  [8221] = {.lex_state = 244},
  [8222] = {.lex_state = 0},
  [8223] = {.lex_state = 206},
  [8224] = {.lex_state = 0},
  [8225] = {.lex_state = 0},
  [8226] = {.lex_state = 0},
  [8227] = {.lex_state = 120},
  [8228] = {.lex_state = 0},
  [8229] = {.lex_state = 244},
  [8230] = {.lex_state = 387},
  [8231] = {.lex_state = 0},
  [8232] = {.lex_state = 387},
  [8233] = {.lex_state = 244},
  [8234] = {.lex_state = 120},
  [8235] = {.lex_state = 387},
  [8236] = {.lex_state = 0},
  [8237] = {.lex_state = 387, .external_lex_state = 2},
  [8238] = {.lex_state = 387},
  [8239] = {.lex_state = 244},
  [8240] = {.lex_state = 120},
  [8241] = {.lex_state = 0},
  [8242] = {.lex_state = 0},
  [8243] = {.lex_state = 387},
  [8244] = {.lex_state = 0},
  [8245] = {.lex_state = 0},
  [8246] = {.lex_state = 0},
  [8247] = {.lex_state = 244},
  [8248] = {.lex_state = 0},
  [8249] = {.lex_state = 387, .external_lex_state = 2},
  [8250] = {.lex_state = 0},
  [8251] = {.lex_state = 387},
  [8252] = {.lex_state = 0},
  [8253] = {.lex_state = 0},
  [8254] = {.lex_state = 0},
  [8255] = {.lex_state = 387},
  [8256] = {.lex_state = 387},
  [8257] = {.lex_state = 0},
  [8258] = {.lex_state = 244},
  [8259] = {.lex_state = 0},
  [8260] = {.lex_state = 0},
  [8261] = {.lex_state = 120},
  [8262] = {.lex_state = 0},
  [8263] = {.lex_state = 120},
  [8264] = {.lex_state = 0},
  [8265] = {.lex_state = 387, .external_lex_state = 2},
  [8266] = {.lex_state = 387},
  [8267] = {.lex_state = 0},
  [8268] = {.lex_state = 0},
  [8269] = {.lex_state = 244},
  [8270] = {.lex_state = 0},
  [8271] = {.lex_state = 0},
  [8272] = {.lex_state = 0},
  [8273] = {.lex_state = 0},
  [8274] = {.lex_state = 0},
  [8275] = {.lex_state = 120},
  [8276] = {.lex_state = 387},
  [8277] = {.lex_state = 387},
  [8278] = {.lex_state = 387},
  [8279] = {.lex_state = 387, .external_lex_state = 2},
  [8280] = {.lex_state = 387},
  [8281] = {.lex_state = 0},
  [8282] = {.lex_state = 387},
  [8283] = {.lex_state = 387},
  [8284] = {.lex_state = 0},
  [8285] = {.lex_state = 244},
  [8286] = {.lex_state = 387},
  [8287] = {.lex_state = 120},
  [8288] = {.lex_state = 387},
  [8289] = {.lex_state = 244},
  [8290] = {.lex_state = 387},
  [8291] = {.lex_state = 0},
  [8292] = {.lex_state = 387},
  [8293] = {.lex_state = 120},
  [8294] = {.lex_state = 244},
  [8295] = {.lex_state = 0},
  [8296] = {.lex_state = 387},
  [8297] = {.lex_state = 244},
  [8298] = {.lex_state = 387},
  [8299] = {.lex_state = 0},
  [8300] = {.lex_state = 0},
  [8301] = {.lex_state = 387},
  [8302] = {.lex_state = 0},
  [8303] = {.lex_state = 0},
  [8304] = {.lex_state = 387, .external_lex_state = 2},
  [8305] = {.lex_state = 0},
  [8306] = {.lex_state = 387},
  [8307] = {.lex_state = 0},
  [8308] = {.lex_state = 0},
  [8309] = {.lex_state = 0},
  [8310] = {.lex_state = 120},
  [8311] = {.lex_state = 387},
  [8312] = {.lex_state = 387, .external_lex_state = 2},
  [8313] = {.lex_state = 387},
  [8314] = {.lex_state = 0},
  [8315] = {.lex_state = 387},
  [8316] = {.lex_state = 387},
  [8317] = {.lex_state = 0},
  [8318] = {.lex_state = 0},
  [8319] = {.lex_state = 0},
  [8320] = {.lex_state = 0},
  [8321] = {.lex_state = 0},
  [8322] = {.lex_state = 0},
  [8323] = {.lex_state = 387},
  [8324] = {.lex_state = 0},
  [8325] = {.lex_state = 244},
  [8326] = {.lex_state = 244},
  [8327] = {.lex_state = 0},
  [8328] = {.lex_state = 0},
  [8329] = {.lex_state = 0},
  [8330] = {.lex_state = 0},
  [8331] = {.lex_state = 0},
  [8332] = {.lex_state = 0},
  [8333] = {.lex_state = 387, .external_lex_state = 2},
  [8334] = {.lex_state = 0},
  [8335] = {.lex_state = 0},
  [8336] = {.lex_state = 0},
  [8337] = {.lex_state = 244},
  [8338] = {.lex_state = 0},
  [8339] = {.lex_state = 0},
  [8340] = {.lex_state = 0},
  [8341] = {.lex_state = 0},
  [8342] = {.lex_state = 0},
  [8343] = {.lex_state = 387},
  [8344] = {.lex_state = 387},
  [8345] = {.lex_state = 387},
  [8346] = {.lex_state = 387},
  [8347] = {.lex_state = 0},
  [8348] = {.lex_state = 0},
  [8349] = {.lex_state = 0},
  [8350] = {.lex_state = 0},
  [8351] = {.lex_state = 0},
  [8352] = {.lex_state = 0},
  [8353] = {.lex_state = 244},
  [8354] = {.lex_state = 387},
  [8355] = {.lex_state = 387, .external_lex_state = 2},
  [8356] = {.lex_state = 0},
  [8357] = {.lex_state = 244},
  [8358] = {.lex_state = 0},
  [8359] = {.lex_state = 387},
  [8360] = {.lex_state = 387},
  [8361] = {.lex_state = 0},
  [8362] = {.lex_state = 0},
  [8363] = {.lex_state = 0},
  [8364] = {.lex_state = 0},
  [8365] = {.lex_state = 387},
  [8366] = {.lex_state = 387},
  [8367] = {.lex_state = 0},
  [8368] = {.lex_state = 0},
  [8369] = {.lex_state = 0},
  [8370] = {.lex_state = 244},
  [8371] = {.lex_state = 244},
  [8372] = {.lex_state = 0},
  [8373] = {.lex_state = 0},
  [8374] = {.lex_state = 0},
  [8375] = {.lex_state = 0},
  [8376] = {.lex_state = 387},
  [8377] = {.lex_state = 387},
  [8378] = {.lex_state = 387},
  [8379] = {.lex_state = 0},
  [8380] = {.lex_state = 0},
  [8381] = {.lex_state = 0},
  [8382] = {.lex_state = 0},
  [8383] = {.lex_state = 0},
  [8384] = {.lex_state = 0},
  [8385] = {.lex_state = 244},
  [8386] = {.lex_state = 0},
  [8387] = {.lex_state = 387, .external_lex_state = 2},
  [8388] = {.lex_state = 244},
  [8389] = {.lex_state = 0},
  [8390] = {.lex_state = 0},
  [8391] = {.lex_state = 387, .external_lex_state = 2},
  [8392] = {.lex_state = 120},
  [8393] = {.lex_state = 0},
  [8394] = {.lex_state = 0},
  [8395] = {.lex_state = 0},
  [8396] = {.lex_state = 387},
  [8397] = {.lex_state = 387},
  [8398] = {.lex_state = 0},
  [8399] = {.lex_state = 0},
  [8400] = {.lex_state = 0},
  [8401] = {.lex_state = 0},
  [8402] = {.lex_state = 0},
  [8403] = {.lex_state = 0},
  [8404] = {.lex_state = 0},
  [8405] = {.lex_state = 387},
  [8406] = {.lex_state = 0},
  [8407] = {.lex_state = 244},
  [8408] = {.lex_state = 244},
  [8409] = {.lex_state = 0},
  [8410] = {.lex_state = 0},
  [8411] = {.lex_state = 0},
  [8412] = {.lex_state = 0},
  [8413] = {.lex_state = 0},
  [8414] = {.lex_state = 387},
  [8415] = {.lex_state = 387},
  [8416] = {.lex_state = 0},
  [8417] = {.lex_state = 0},
  [8418] = {.lex_state = 0},
  [8419] = {.lex_state = 387},
  [8420] = {.lex_state = 387},
  [8421] = {.lex_state = 0},
  [8422] = {.lex_state = 0},
  [8423] = {.lex_state = 387},
  [8424] = {.lex_state = 387},
  [8425] = {.lex_state = 0},
  [8426] = {.lex_state = 387},
  [8427] = {.lex_state = 387},
  [8428] = {.lex_state = 0},
  [8429] = {.lex_state = 387},
  [8430] = {.lex_state = 0},
  [8431] = {.lex_state = 0},
  [8432] = {.lex_state = 0},
  [8433] = {.lex_state = 244},
  [8434] = {.lex_state = 0},
  [8435] = {.lex_state = 0},
  [8436] = {.lex_state = 0},
  [8437] = {.lex_state = 387, .external_lex_state = 2},
  [8438] = {.lex_state = 0},
  [8439] = {.lex_state = 244},
  [8440] = {.lex_state = 387},
  [8441] = {.lex_state = 120},
  [8442] = {.lex_state = 0},
  [8443] = {.lex_state = 0},
  [8444] = {.lex_state = 387, .external_lex_state = 2},
  [8445] = {.lex_state = 244},
  [8446] = {.lex_state = 0},
  [8447] = {.lex_state = 387},
  [8448] = {.lex_state = 0},
  [8449] = {.lex_state = 387},
  [8450] = {.lex_state = 387, .external_lex_state = 2},
  [8451] = {.lex_state = 387, .external_lex_state = 2},
  [8452] = {.lex_state = 0},
  [8453] = {.lex_state = 244},
  [8454] = {.lex_state = 0},
  [8455] = {.lex_state = 387},
  [8456] = {.lex_state = 0},
  [8457] = {.lex_state = 244},
  [8458] = {.lex_state = 0},
  [8459] = {.lex_state = 0},
  [8460] = {.lex_state = 0},
  [8461] = {.lex_state = 0},
  [8462] = {.lex_state = 387},
  [8463] = {.lex_state = 387},
  [8464] = {.lex_state = 120},
  [8465] = {.lex_state = 387},
  [8466] = {.lex_state = 0},
  [8467] = {.lex_state = 387},
  [8468] = {.lex_state = 0},
  [8469] = {.lex_state = 0},
  [8470] = {.lex_state = 0},
  [8471] = {.lex_state = 120},
  [8472] = {.lex_state = 244},
  [8473] = {.lex_state = 0},
  [8474] = {.lex_state = 0},
  [8475] = {.lex_state = 0},
  [8476] = {.lex_state = 120},
  [8477] = {.lex_state = 0},
  [8478] = {.lex_state = 387},
  [8479] = {.lex_state = 0},
  [8480] = {.lex_state = 0},
  [8481] = {.lex_state = 244},
  [8482] = {.lex_state = 387},
  [8483] = {.lex_state = 0},
  [8484] = {.lex_state = 0},
  [8485] = {.lex_state = 0},
  [8486] = {.lex_state = 0},
  [8487] = {.lex_state = 244},
  [8488] = {.lex_state = 0},
  [8489] = {.lex_state = 387},
  [8490] = {.lex_state = 387},
  [8491] = {.lex_state = 387, .external_lex_state = 2},
  [8492] = {.lex_state = 0},
  [8493] = {.lex_state = 0},
  [8494] = {.lex_state = 387, .external_lex_state = 2},
  [8495] = {.lex_state = 244},
  [8496] = {.lex_state = 387, .external_lex_state = 2},
  [8497] = {.lex_state = 0},
  [8498] = {.lex_state = 244},
  [8499] = {.lex_state = 0},
  [8500] = {.lex_state = 387},
  [8501] = {.lex_state = 0},
  [8502] = {.lex_state = 0},
  [8503] = {.lex_state = 387, .external_lex_state = 2},
  [8504] = {.lex_state = 387},
  [8505] = {.lex_state = 0},
  [8506] = {.lex_state = 0},
  [8507] = {.lex_state = 387},
  [8508] = {.lex_state = 0},
  [8509] = {.lex_state = 0},
  [8510] = {.lex_state = 0},
  [8511] = {.lex_state = 0},
  [8512] = {.lex_state = 0},
  [8513] = {.lex_state = 0},
  [8514] = {.lex_state = 0},
  [8515] = {.lex_state = 387},
  [8516] = {.lex_state = 0},
  [8517] = {.lex_state = 387},
  [8518] = {.lex_state = 0},
  [8519] = {.lex_state = 387},
  [8520] = {.lex_state = 0},
  [8521] = {.lex_state = 0},
  [8522] = {.lex_state = 244},
  [8523] = {.lex_state = 387, .external_lex_state = 2},
  [8524] = {.lex_state = 244},
  [8525] = {.lex_state = 244},
  [8526] = {.lex_state = 387},
  [8527] = {.lex_state = 0},
  [8528] = {.lex_state = 0},
  [8529] = {.lex_state = 244},
  [8530] = {.lex_state = 387},
  [8531] = {.lex_state = 244},
  [8532] = {.lex_state = 0},
  [8533] = {.lex_state = 0},
  [8534] = {.lex_state = 0},
  [8535] = {.lex_state = 0},
  [8536] = {.lex_state = 0},
  [8537] = {.lex_state = 244},
  [8538] = {.lex_state = 0},
  [8539] = {.lex_state = 0},
  [8540] = {.lex_state = 0},
  [8541] = {.lex_state = 387},
  [8542] = {.lex_state = 244},
  [8543] = {.lex_state = 0},
  [8544] = {.lex_state = 0},
  [8545] = {.lex_state = 387},
  [8546] = {.lex_state = 120},
  [8547] = {.lex_state = 0},
  [8548] = {.lex_state = 244},
  [8549] = {.lex_state = 0},
  [8550] = {.lex_state = 0},
  [8551] = {.lex_state = 387},
  [8552] = {.lex_state = 0},
  [8553] = {.lex_state = 0},
  [8554] = {.lex_state = 120},
  [8555] = {.lex_state = 0},
  [8556] = {.lex_state = 244},
  [8557] = {.lex_state = 0},
  [8558] = {.lex_state = 244},
  [8559] = {.lex_state = 0},
  [8560] = {.lex_state = 0},
  [8561] = {.lex_state = 0},
  [8562] = {.lex_state = 0},
  [8563] = {.lex_state = 0},
  [8564] = {.lex_state = 0},
  [8565] = {.lex_state = 0},
  [8566] = {.lex_state = 0},
  [8567] = {.lex_state = 387},
  [8568] = {.lex_state = 244},
  [8569] = {.lex_state = 244},
  [8570] = {.lex_state = 0},
  [8571] = {.lex_state = 0},
  [8572] = {.lex_state = 244},
  [8573] = {.lex_state = 0},
  [8574] = {.lex_state = 0},
  [8575] = {.lex_state = 387},
  [8576] = {.lex_state = 0},
  [8577] = {.lex_state = 387},
  [8578] = {.lex_state = 0},
  [8579] = {.lex_state = 244},
  [8580] = {.lex_state = 0},
  [8581] = {.lex_state = 244},
  [8582] = {.lex_state = 0},
  [8583] = {.lex_state = 0},
  [8584] = {.lex_state = 0},
  [8585] = {.lex_state = 120},
  [8586] = {.lex_state = 120},
  [8587] = {.lex_state = 387},
  [8588] = {.lex_state = 387},
  [8589] = {.lex_state = 244},
  [8590] = {.lex_state = 0},
  [8591] = {.lex_state = 0},
  [8592] = {.lex_state = 0},
  [8593] = {.lex_state = 0},
  [8594] = {.lex_state = 0},
  [8595] = {.lex_state = 244},
  [8596] = {.lex_state = 387},
  [8597] = {.lex_state = 0},
  [8598] = {.lex_state = 387},
  [8599] = {.lex_state = 0},
  [8600] = {.lex_state = 0},
  [8601] = {.lex_state = 0},
  [8602] = {.lex_state = 0},
  [8603] = {.lex_state = 0},
  [8604] = {.lex_state = 387},
  [8605] = {.lex_state = 0},
  [8606] = {.lex_state = 120},
  [8607] = {.lex_state = 387},
  [8608] = {.lex_state = 244},
  [8609] = {.lex_state = 0},
  [8610] = {.lex_state = 244},
  [8611] = {.lex_state = 0},
  [8612] = {.lex_state = 0},
  [8613] = {.lex_state = 0},
  [8614] = {.lex_state = 0},
  [8615] = {.lex_state = 0},
  [8616] = {.lex_state = 0},
  [8617] = {.lex_state = 387},
  [8618] = {.lex_state = 387},
  [8619] = {.lex_state = 387},
  [8620] = {.lex_state = 0},
  [8621] = {.lex_state = 0},
  [8622] = {.lex_state = 120},
  [8623] = {.lex_state = 244},
  [8624] = {.lex_state = 387},
  [8625] = {.lex_state = 0},
  [8626] = {.lex_state = 120},
  [8627] = {.lex_state = 200},
  [8628] = {.lex_state = 0},
  [8629] = {.lex_state = 0},
  [8630] = {.lex_state = 0},
  [8631] = {.lex_state = 0},
  [8632] = {.lex_state = 244},
  [8633] = {.lex_state = 0},
  [8634] = {.lex_state = 0},
  [8635] = {.lex_state = 0},
  [8636] = {.lex_state = 0},
  [8637] = {.lex_state = 244},
  [8638] = {.lex_state = 0},
  [8639] = {.lex_state = 0},
  [8640] = {.lex_state = 0},
  [8641] = {.lex_state = 244},
  [8642] = {.lex_state = 0},
  [8643] = {.lex_state = 244},
  [8644] = {.lex_state = 0},
  [8645] = {.lex_state = 0},
  [8646] = {.lex_state = 206},
  [8647] = {.lex_state = 0},
  [8648] = {.lex_state = 0},
  [8649] = {.lex_state = 0, .external_lex_state = 2},
  [8650] = {.lex_state = 387},
  [8651] = {.lex_state = 244},
  [8652] = {.lex_state = 121},
  [8653] = {.lex_state = 200},
  [8654] = {.lex_state = 200},
  [8655] = {.lex_state = 0},
  [8656] = {.lex_state = 0},
  [8657] = {.lex_state = 0},
  [8658] = {.lex_state = 0},
  [8659] = {.lex_state = 387},
  [8660] = {.lex_state = 200},
  [8661] = {.lex_state = 244},
  [8662] = {.lex_state = 121},
  [8663] = {.lex_state = 387},
  [8664] = {.lex_state = 387},
  [8665] = {.lex_state = 0},
  [8666] = {.lex_state = 0},
  [8667] = {.lex_state = 244},
  [8668] = {.lex_state = 0},
  [8669] = {.lex_state = 0},
  [8670] = {.lex_state = 0},
  [8671] = {.lex_state = 244},
  [8672] = {.lex_state = 244},
  [8673] = {.lex_state = 0},
  [8674] = {.lex_state = 387},
  [8675] = {.lex_state = 244},
  [8676] = {.lex_state = 244},
  [8677] = {.lex_state = 0},
  [8678] = {.lex_state = 0},
  [8679] = {.lex_state = 0},
  [8680] = {.lex_state = 0},
  [8681] = {.lex_state = 200},
  [8682] = {.lex_state = 387},
  [8683] = {.lex_state = 0, .external_lex_state = 3},
  [8684] = {.lex_state = 200},
  [8685] = {.lex_state = 244},
  [8686] = {.lex_state = 0},
  [8687] = {.lex_state = 244},
  [8688] = {.lex_state = 0},
  [8689] = {.lex_state = 0},
  [8690] = {.lex_state = 0},
  [8691] = {.lex_state = 200},
  [8692] = {.lex_state = 0},
  [8693] = {.lex_state = 387},
  [8694] = {.lex_state = 0},
  [8695] = {.lex_state = 206},
  [8696] = {.lex_state = 0},
  [8697] = {.lex_state = 0},
  [8698] = {.lex_state = 0},
  [8699] = {.lex_state = 200},
  [8700] = {.lex_state = 0},
  [8701] = {.lex_state = 0},
  [8702] = {.lex_state = 0},
  [8703] = {.lex_state = 0},
  [8704] = {.lex_state = 0},
  [8705] = {.lex_state = 0},
  [8706] = {.lex_state = 0},
  [8707] = {.lex_state = 0},
  [8708] = {.lex_state = 0},
  [8709] = {.lex_state = 0},
  [8710] = {.lex_state = 0},
  [8711] = {.lex_state = 387},
  [8712] = {.lex_state = 0},
  [8713] = {.lex_state = 387},
  [8714] = {.lex_state = 244},
  [8715] = {.lex_state = 0},
  [8716] = {.lex_state = 0},
  [8717] = {.lex_state = 0},
  [8718] = {.lex_state = 244},
  [8719] = {.lex_state = 0},
  [8720] = {.lex_state = 0},
  [8721] = {.lex_state = 0},
  [8722] = {.lex_state = 0},
  [8723] = {.lex_state = 0},
  [8724] = {.lex_state = 244},
  [8725] = {.lex_state = 0},
  [8726] = {.lex_state = 0},
  [8727] = {.lex_state = 0},
  [8728] = {.lex_state = 0},
  [8729] = {.lex_state = 244},
  [8730] = {.lex_state = 387},
  [8731] = {.lex_state = 0},
  [8732] = {.lex_state = 121},
  [8733] = {.lex_state = 0},
  [8734] = {.lex_state = 244},
  [8735] = {.lex_state = 121},
  [8736] = {.lex_state = 0},
  [8737] = {.lex_state = 244},
  [8738] = {.lex_state = 121},
  [8739] = {.lex_state = 121},
  [8740] = {.lex_state = 0},
  [8741] = {.lex_state = 0},
  [8742] = {.lex_state = 244},
  [8743] = {.lex_state = 0},
  [8744] = {.lex_state = 0},
  [8745] = {.lex_state = 0},
  [8746] = {.lex_state = 0},
  [8747] = {.lex_state = 0},
  [8748] = {.lex_state = 0},
  [8749] = {.lex_state = 0, .external_lex_state = 2},
  [8750] = {.lex_state = 0},
  [8751] = {.lex_state = 244},
  [8752] = {.lex_state = 0},
  [8753] = {.lex_state = 206},
  [8754] = {.lex_state = 0},
  [8755] = {.lex_state = 0},
  [8756] = {.lex_state = 0},
  [8757] = {.lex_state = 0},
  [8758] = {.lex_state = 244},
  [8759] = {.lex_state = 244},
  [8760] = {.lex_state = 0},
  [8761] = {.lex_state = 244},
  [8762] = {.lex_state = 244},
  [8763] = {.lex_state = 244},
  [8764] = {.lex_state = 244},
  [8765] = {.lex_state = 244},
  [8766] = {.lex_state = 0},
  [8767] = {.lex_state = 0},
  [8768] = {.lex_state = 244},
  [8769] = {.lex_state = 0},
  [8770] = {.lex_state = 0},
  [8771] = {.lex_state = 0},
  [8772] = {.lex_state = 198},
  [8773] = {.lex_state = 0},
  [8774] = {.lex_state = 0},
  [8775] = {.lex_state = 387},
  [8776] = {.lex_state = 0},
  [8777] = {.lex_state = 0},
  [8778] = {.lex_state = 0},
  [8779] = {.lex_state = 0},
  [8780] = {.lex_state = 0},
  [8781] = {.lex_state = 0},
  [8782] = {.lex_state = 0},
  [8783] = {.lex_state = 0},
  [8784] = {.lex_state = 244},
  [8785] = {.lex_state = 387},
  [8786] = {.lex_state = 0},
  [8787] = {.lex_state = 198},
  [8788] = {.lex_state = 387},
  [8789] = {.lex_state = 0},
  [8790] = {.lex_state = 198},
  [8791] = {.lex_state = 198},
  [8792] = {.lex_state = 387},
  [8793] = {.lex_state = 387},
  [8794] = {.lex_state = 0},
  [8795] = {.lex_state = 0},
  [8796] = {.lex_state = 202},
  [8797] = {.lex_state = 121},
  [8798] = {.lex_state = 0},
  [8799] = {.lex_state = 201},
  [8800] = {.lex_state = 0},
  [8801] = {.lex_state = 0},
  [8802] = {.lex_state = 244},
  [8803] = {.lex_state = 0},
  [8804] = {.lex_state = 0, .external_lex_state = 2},
  [8805] = {.lex_state = 0},
  [8806] = {.lex_state = 0},
  [8807] = {.lex_state = 200},
  [8808] = {.lex_state = 0},
  [8809] = {.lex_state = 0},
  [8810] = {.lex_state = 0},
  [8811] = {.lex_state = 0},
  [8812] = {.lex_state = 0},
  [8813] = {.lex_state = 200},
  [8814] = {.lex_state = 0},
  [8815] = {.lex_state = 0},
  [8816] = {.lex_state = 0},
  [8817] = {.lex_state = 244},
  [8818] = {.lex_state = 0},
  [8819] = {.lex_state = 0},
  [8820] = {.lex_state = 0},
  [8821] = {.lex_state = 200},
  [8822] = {.lex_state = 0, .external_lex_state = 2},
  [8823] = {.lex_state = 0},
  [8824] = {.lex_state = 244},
  [8825] = {.lex_state = 121},
  [8826] = {.lex_state = 244},
  [8827] = {.lex_state = 0},
  [8828] = {.lex_state = 198},
  [8829] = {.lex_state = 244},
  [8830] = {.lex_state = 387},
  [8831] = {.lex_state = 206},
  [8832] = {.lex_state = 0},
  [8833] = {.lex_state = 0},
  [8834] = {.lex_state = 0},
  [8835] = {.lex_state = 387},
  [8836] = {.lex_state = 0},
  [8837] = {.lex_state = 0},
  [8838] = {.lex_state = 200},
  [8839] = {.lex_state = 0},
  [8840] = {.lex_state = 0},
  [8841] = {.lex_state = 0},
  [8842] = {.lex_state = 200},
  [8843] = {.lex_state = 0},
  [8844] = {.lex_state = 0},
  [8845] = {.lex_state = 0},
  [8846] = {.lex_state = 0},
  [8847] = {.lex_state = 387},
  [8848] = {.lex_state = 387},
  [8849] = {.lex_state = 387},
  [8850] = {.lex_state = 0},
  [8851] = {.lex_state = 0},
  [8852] = {.lex_state = 0},
  [8853] = {.lex_state = 0},
  [8854] = {.lex_state = 387},
  [8855] = {.lex_state = 244},
  [8856] = {.lex_state = 0},
  [8857] = {.lex_state = 0},
  [8858] = {.lex_state = 200},
  [8859] = {.lex_state = 0},
  [8860] = {.lex_state = 0},
  [8861] = {.lex_state = 0},
  [8862] = {.lex_state = 244},
  [8863] = {.lex_state = 0},
  [8864] = {.lex_state = 244},
  [8865] = {.lex_state = 200},
  [8866] = {.lex_state = 0},
  [8867] = {.lex_state = 282},
  [8868] = {.lex_state = 0},
  [8869] = {.lex_state = 244},
  [8870] = {.lex_state = 200},
  [8871] = {.lex_state = 200},
  [8872] = {.lex_state = 0},
  [8873] = {.lex_state = 244},
  [8874] = {.lex_state = 0, .external_lex_state = 2},
  [8875] = {.lex_state = 0},
  [8876] = {.lex_state = 244},
  [8877] = {.lex_state = 0},
  [8878] = {.lex_state = 252},
  [8879] = {.lex_state = 244},
  [8880] = {.lex_state = 0},
  [8881] = {.lex_state = 0},
  [8882] = {.lex_state = 0},
  [8883] = {.lex_state = 0},
  [8884] = {.lex_state = 0},
  [8885] = {.lex_state = 387},
  [8886] = {.lex_state = 244},
  [8887] = {.lex_state = 0},
  [8888] = {.lex_state = 0},
  [8889] = {.lex_state = 0},
  [8890] = {.lex_state = 0},
  [8891] = {.lex_state = 387},
  [8892] = {.lex_state = 0},
  [8893] = {.lex_state = 0},
  [8894] = {.lex_state = 0},
  [8895] = {.lex_state = 387},
  [8896] = {.lex_state = 0},
  [8897] = {.lex_state = 244},
  [8898] = {.lex_state = 0},
  [8899] = {.lex_state = 0},
  [8900] = {.lex_state = 0},
  [8901] = {.lex_state = 0},
  [8902] = {.lex_state = 0},
  [8903] = {.lex_state = 0},
  [8904] = {.lex_state = 387},
  [8905] = {.lex_state = 0},
  [8906] = {.lex_state = 244},
  [8907] = {.lex_state = 200},
  [8908] = {.lex_state = 387},
  [8909] = {.lex_state = 0},
  [8910] = {.lex_state = 121},
  [8911] = {.lex_state = 244},
  [8912] = {.lex_state = 200},
  [8913] = {.lex_state = 0},
  [8914] = {.lex_state = 0},
  [8915] = {.lex_state = 244},
  [8916] = {.lex_state = 0, .external_lex_state = 2},
  [8917] = {.lex_state = 0},
  [8918] = {.lex_state = 244},
  [8919] = {.lex_state = 0},
  [8920] = {.lex_state = 0},
  [8921] = {.lex_state = 200},
  [8922] = {.lex_state = 200},
  [8923] = {.lex_state = 0},
  [8924] = {.lex_state = 0},
  [8925] = {.lex_state = 0},
  [8926] = {.lex_state = 0},
  [8927] = {.lex_state = 387},
  [8928] = {.lex_state = 0},
  [8929] = {.lex_state = 0},
  [8930] = {.lex_state = 0},
  [8931] = {.lex_state = 0},
  [8932] = {.lex_state = 200},
  [8933] = {.lex_state = 387},
  [8934] = {.lex_state = 0},
  [8935] = {.lex_state = 0},
  [8936] = {.lex_state = 0},
  [8937] = {.lex_state = 0},
  [8938] = {.lex_state = 0},
  [8939] = {.lex_state = 244},
  [8940] = {.lex_state = 0},
  [8941] = {.lex_state = 244},
  [8942] = {.lex_state = 0},
  [8943] = {.lex_state = 0},
  [8944] = {.lex_state = 0},
  [8945] = {.lex_state = 0},
  [8946] = {.lex_state = 0},
  [8947] = {.lex_state = 0},
  [8948] = {.lex_state = 200},
  [8949] = {.lex_state = 0},
  [8950] = {.lex_state = 200},
  [8951] = {.lex_state = 200},
  [8952] = {.lex_state = 244},
  [8953] = {.lex_state = 0},
  [8954] = {.lex_state = 121},
  [8955] = {.lex_state = 0},
  [8956] = {.lex_state = 244},
  [8957] = {.lex_state = 0, .external_lex_state = 2},
  [8958] = {.lex_state = 0},
  [8959] = {.lex_state = 244},
  [8960] = {.lex_state = 121},
  [8961] = {.lex_state = 206},
  [8962] = {.lex_state = 121},
  [8963] = {.lex_state = 121},
  [8964] = {.lex_state = 0},
  [8965] = {.lex_state = 0},
  [8966] = {.lex_state = 0},
  [8967] = {.lex_state = 0},
  [8968] = {.lex_state = 244},
  [8969] = {.lex_state = 121},
  [8970] = {.lex_state = 121},
  [8971] = {.lex_state = 244},
  [8972] = {.lex_state = 0},
  [8973] = {.lex_state = 387},
  [8974] = {.lex_state = 0},
  [8975] = {.lex_state = 0},
  [8976] = {.lex_state = 0},
  [8977] = {.lex_state = 0},
  [8978] = {.lex_state = 0},
  [8979] = {.lex_state = 0},
  [8980] = {.lex_state = 0},
  [8981] = {.lex_state = 244},
  [8982] = {.lex_state = 0},
  [8983] = {.lex_state = 200},
  [8984] = {.lex_state = 244},
  [8985] = {.lex_state = 0},
  [8986] = {.lex_state = 0},
  [8987] = {.lex_state = 0},
  [8988] = {.lex_state = 244},
  [8989] = {.lex_state = 0},
  [8990] = {.lex_state = 0},
  [8991] = {.lex_state = 0},
  [8992] = {.lex_state = 0, .external_lex_state = 2},
  [8993] = {.lex_state = 0},
  [8994] = {.lex_state = 0},
  [8995] = {.lex_state = 0},
  [8996] = {.lex_state = 0},
  [8997] = {.lex_state = 0},
  [8998] = {.lex_state = 387},
  [8999] = {.lex_state = 0},
  [9000] = {.lex_state = 244},
  [9001] = {.lex_state = 0},
  [9002] = {.lex_state = 0},
  [9003] = {.lex_state = 0},
  [9004] = {.lex_state = 0},
  [9005] = {.lex_state = 0, .external_lex_state = 2},
  [9006] = {.lex_state = 0},
  [9007] = {.lex_state = 0},
  [9008] = {.lex_state = 0},
  [9009] = {.lex_state = 0},
  [9010] = {.lex_state = 387},
  [9011] = {.lex_state = 0},
  [9012] = {.lex_state = 387},
  [9013] = {.lex_state = 0},
  [9014] = {.lex_state = 121},
  [9015] = {.lex_state = 0, .external_lex_state = 2},
  [9016] = {.lex_state = 200},
  [9017] = {.lex_state = 0},
  [9018] = {.lex_state = 0},
  [9019] = {.lex_state = 387},
  [9020] = {.lex_state = 0},
  [9021] = {.lex_state = 0, .external_lex_state = 2},
  [9022] = {.lex_state = 0},
  [9023] = {.lex_state = 0},
  [9024] = {.lex_state = 0, .external_lex_state = 2},
  [9025] = {.lex_state = 244},
  [9026] = {.lex_state = 0},
  [9027] = {.lex_state = 0, .external_lex_state = 2},
  [9028] = {.lex_state = 0},
  [9029] = {.lex_state = 0, .external_lex_state = 2},
  [9030] = {.lex_state = 0},
  [9031] = {.lex_state = 0, .external_lex_state = 2},
  [9032] = {.lex_state = 0},
  [9033] = {.lex_state = 0, .external_lex_state = 2},
  [9034] = {.lex_state = 0},
  [9035] = {.lex_state = 0, .external_lex_state = 2},
  [9036] = {.lex_state = 0},
  [9037] = {.lex_state = 0, .external_lex_state = 2},
  [9038] = {.lex_state = 200},
  [9039] = {.lex_state = 0},
  [9040] = {.lex_state = 206},
  [9041] = {.lex_state = 387},
  [9042] = {.lex_state = 0},
  [9043] = {.lex_state = 387},
  [9044] = {.lex_state = 387},
  [9045] = {.lex_state = 0},
  [9046] = {.lex_state = 0},
  [9047] = {.lex_state = 387},
  [9048] = {.lex_state = 0},
  [9049] = {.lex_state = 387},
  [9050] = {.lex_state = 387},
  [9051] = {.lex_state = 0},
  [9052] = {.lex_state = 387},
  [9053] = {.lex_state = 0},
  [9054] = {.lex_state = 0},
  [9055] = {.lex_state = 0},
  [9056] = {.lex_state = 0},
  [9057] = {.lex_state = 244},
  [9058] = {.lex_state = 0},
  [9059] = {.lex_state = 0},
  [9060] = {.lex_state = 0},
  [9061] = {.lex_state = 0},
  [9062] = {.lex_state = 0},
  [9063] = {.lex_state = 0},
  [9064] = {.lex_state = 244},
  [9065] = {.lex_state = 244},
  [9066] = {.lex_state = 0},
  [9067] = {.lex_state = 387},
  [9068] = {.lex_state = 0},
  [9069] = {.lex_state = 0},
  [9070] = {.lex_state = 0},
  [9071] = {.lex_state = 0},
  [9072] = {.lex_state = 387},
  [9073] = {.lex_state = 0, .external_lex_state = 3},
  [9074] = {.lex_state = 0},
  [9075] = {.lex_state = 0},
  [9076] = {.lex_state = 0},
  [9077] = {.lex_state = 387},
  [9078] = {.lex_state = 0},
  [9079] = {.lex_state = 0},
  [9080] = {.lex_state = 200},
  [9081] = {.lex_state = 244},
  [9082] = {.lex_state = 121},
  [9083] = {.lex_state = 387},
  [9084] = {.lex_state = 0},
  [9085] = {.lex_state = 244},
  [9086] = {.lex_state = 0},
  [9087] = {.lex_state = 244},
  [9088] = {.lex_state = 0},
  [9089] = {.lex_state = 0},
  [9090] = {.lex_state = 121},
  [9091] = {.lex_state = 200},
  [9092] = {.lex_state = 200},
  [9093] = {.lex_state = 0},
  [9094] = {.lex_state = 0},
  [9095] = {.lex_state = 0},
  [9096] = {.lex_state = 0},
  [9097] = {.lex_state = 0},
  [9098] = {.lex_state = 121},
  [9099] = {.lex_state = 0},
  [9100] = {.lex_state = 0},
  [9101] = {.lex_state = 0},
  [9102] = {.lex_state = 0},
  [9103] = {.lex_state = 0},
  [9104] = {.lex_state = 0},
  [9105] = {.lex_state = 0},
  [9106] = {.lex_state = 0},
  [9107] = {.lex_state = 0},
  [9108] = {.lex_state = 200},
  [9109] = {.lex_state = 0},
  [9110] = {.lex_state = 206},
  [9111] = {.lex_state = 0},
  [9112] = {.lex_state = 200},
  [9113] = {.lex_state = 244},
  [9114] = {.lex_state = 0},
  [9115] = {.lex_state = 0},
  [9116] = {.lex_state = 0},
  [9117] = {.lex_state = 0},
  [9118] = {.lex_state = 0},
  [9119] = {.lex_state = 0},
  [9120] = {.lex_state = 0},
  [9121] = {.lex_state = 0},
  [9122] = {.lex_state = 0},
  [9123] = {.lex_state = 244},
  [9124] = {.lex_state = 0},
  [9125] = {.lex_state = 0},
  [9126] = {.lex_state = 0},
  [9127] = {.lex_state = 0},
  [9128] = {.lex_state = 0},
  [9129] = {.lex_state = 0},
  [9130] = {.lex_state = 0},
  [9131] = {.lex_state = 0},
  [9132] = {.lex_state = 121},
  [9133] = {.lex_state = 200},
  [9134] = {.lex_state = 0},
  [9135] = {.lex_state = 0},
  [9136] = {.lex_state = 0},
  [9137] = {.lex_state = 121},
  [9138] = {.lex_state = 0},
  [9139] = {.lex_state = 0},
  [9140] = {.lex_state = 0},
  [9141] = {.lex_state = 244},
  [9142] = {.lex_state = 0},
  [9143] = {.lex_state = 0},
  [9144] = {.lex_state = 0},
  [9145] = {.lex_state = 0},
  [9146] = {.lex_state = 0},
  [9147] = {.lex_state = 0},
  [9148] = {.lex_state = 206},
  [9149] = {.lex_state = 0},
  [9150] = {.lex_state = 244},
  [9151] = {.lex_state = 200},
  [9152] = {.lex_state = 200},
  [9153] = {.lex_state = 387},
  [9154] = {.lex_state = 244},
  [9155] = {.lex_state = 0},
  [9156] = {.lex_state = 244},
  [9157] = {.lex_state = 200},
  [9158] = {.lex_state = 0},
  [9159] = {.lex_state = 0},
  [9160] = {.lex_state = 0},
  [9161] = {.lex_state = 0},
  [9162] = {.lex_state = 0},
  [9163] = {.lex_state = 206},
  [9164] = {.lex_state = 244},
  [9165] = {.lex_state = 0},
  [9166] = {.lex_state = 0},
  [9167] = {.lex_state = 0},
  [9168] = {.lex_state = 0},
  [9169] = {.lex_state = 0},
  [9170] = {.lex_state = 0},
  [9171] = {.lex_state = 0},
  [9172] = {.lex_state = 0},
  [9173] = {.lex_state = 0},
  [9174] = {.lex_state = 206},
  [9175] = {.lex_state = 244},
  [9176] = {.lex_state = 121},
  [9177] = {.lex_state = 387},
  [9178] = {.lex_state = 0},
  [9179] = {.lex_state = 0},
  [9180] = {.lex_state = 244},
  [9181] = {.lex_state = 0},
  [9182] = {.lex_state = 0},
  [9183] = {.lex_state = 0},
  [9184] = {.lex_state = 244},
  [9185] = {.lex_state = 0},
  [9186] = {.lex_state = 0},
  [9187] = {.lex_state = 0},
  [9188] = {.lex_state = 0},
  [9189] = {.lex_state = 0},
  [9190] = {.lex_state = 0},
  [9191] = {.lex_state = 0},
  [9192] = {.lex_state = 0},
  [9193] = {.lex_state = 244},
  [9194] = {.lex_state = 0},
  [9195] = {.lex_state = 0, .external_lex_state = 2},
  [9196] = {.lex_state = 0},
  [9197] = {.lex_state = 0},
  [9198] = {.lex_state = 244},
  [9199] = {.lex_state = 0},
  [9200] = {.lex_state = 0},
  [9201] = {.lex_state = 121},
  [9202] = {.lex_state = 0},
  [9203] = {.lex_state = 0},
  [9204] = {.lex_state = 0},
  [9205] = {.lex_state = 0},
  [9206] = {.lex_state = 0},
  [9207] = {.lex_state = 206},
  [9208] = {.lex_state = 0},
  [9209] = {.lex_state = 0},
  [9210] = {.lex_state = 0},
  [9211] = {.lex_state = 0},
  [9212] = {.lex_state = 0},
  [9213] = {.lex_state = 0},
  [9214] = {.lex_state = 121},
  [9215] = {.lex_state = 121},
  [9216] = {.lex_state = 244},
  [9217] = {.lex_state = 0},
  [9218] = {.lex_state = 0},
  [9219] = {.lex_state = 200},
  [9220] = {.lex_state = 200},
  [9221] = {.lex_state = 200},
  [9222] = {.lex_state = 387},
  [9223] = {.lex_state = 387},
  [9224] = {.lex_state = 387},
  [9225] = {.lex_state = 200},
  [9226] = {.lex_state = 387},
  [9227] = {.lex_state = 387},
  [9228] = {.lex_state = 0},
  [9229] = {.lex_state = 121},
  [9230] = {.lex_state = 0},
  [9231] = {.lex_state = 244},
  [9232] = {.lex_state = 0},
  [9233] = {.lex_state = 387},
  [9234] = {.lex_state = 0},
  [9235] = {.lex_state = 244},
  [9236] = {.lex_state = 0},
  [9237] = {.lex_state = 387},
  [9238] = {.lex_state = 0, .external_lex_state = 3},
  [9239] = {.lex_state = 200},
  [9240] = {.lex_state = 0},
  [9241] = {.lex_state = 0},
  [9242] = {.lex_state = 0},
  [9243] = {.lex_state = 0},
  [9244] = {.lex_state = 0},
  [9245] = {.lex_state = 0},
  [9246] = {.lex_state = 206},
  [9247] = {.lex_state = 0},
  [9248] = {.lex_state = 0},
  [9249] = {.lex_state = 387},
  [9250] = {.lex_state = 387},
  [9251] = {.lex_state = 244},
  [9252] = {.lex_state = 387},
  [9253] = {.lex_state = 0},
  [9254] = {.lex_state = 200},
  [9255] = {.lex_state = 244},
  [9256] = {.lex_state = 121},
  [9257] = {.lex_state = 387},
  [9258] = {.lex_state = 200},
  [9259] = {.lex_state = 200},
  [9260] = {.lex_state = 387},
  [9261] = {.lex_state = 0, .external_lex_state = 3},
  [9262] = {.lex_state = 0, .external_lex_state = 3},
  [9263] = {.lex_state = 0},
  [9264] = {.lex_state = 0},
  [9265] = {.lex_state = 121},
  [9266] = {.lex_state = 0},
  [9267] = {.lex_state = 0},
  [9268] = {.lex_state = 206},
  [9269] = {.lex_state = 0},
  [9270] = {.lex_state = 0},
  [9271] = {.lex_state = 387},
  [9272] = {.lex_state = 387},
  [9273] = {.lex_state = 0},
  [9274] = {.lex_state = 387},
  [9275] = {.lex_state = 0},
  [9276] = {.lex_state = 0},
  [9277] = {.lex_state = 244},
  [9278] = {.lex_state = 0},
  [9279] = {.lex_state = 387},
  [9280] = {.lex_state = 244},
  [9281] = {.lex_state = 0},
  [9282] = {.lex_state = 387},
  [9283] = {.lex_state = 0, .external_lex_state = 3},
  [9284] = {.lex_state = 0},
  [9285] = {.lex_state = 0},
  [9286] = {.lex_state = 0},
  [9287] = {.lex_state = 206},
  [9288] = {.lex_state = 0},
  [9289] = {.lex_state = 206},
  [9290] = {.lex_state = 0},
  [9291] = {.lex_state = 387},
  [9292] = {.lex_state = 387},
  [9293] = {.lex_state = 0},
  [9294] = {.lex_state = 387},
  [9295] = {.lex_state = 0},
  [9296] = {.lex_state = 0},
  [9297] = {.lex_state = 244},
  [9298] = {.lex_state = 387},
  [9299] = {.lex_state = 0},
  [9300] = {.lex_state = 0},
  [9301] = {.lex_state = 387},
  [9302] = {.lex_state = 0, .external_lex_state = 3},
  [9303] = {.lex_state = 0},
  [9304] = {.lex_state = 0},
  [9305] = {.lex_state = 0},
  [9306] = {.lex_state = 0},
  [9307] = {.lex_state = 0},
  [9308] = {.lex_state = 206},
  [9309] = {.lex_state = 0},
  [9310] = {.lex_state = 387},
  [9311] = {.lex_state = 387},
  [9312] = {.lex_state = 121},
  [9313] = {.lex_state = 387},
  [9314] = {.lex_state = 244},
  [9315] = {.lex_state = 244},
  [9316] = {.lex_state = 387},
  [9317] = {.lex_state = 0},
  [9318] = {.lex_state = 387},
  [9319] = {.lex_state = 387},
  [9320] = {.lex_state = 0, .external_lex_state = 3},
  [9321] = {.lex_state = 0},
  [9322] = {.lex_state = 244},
  [9323] = {.lex_state = 121},
  [9324] = {.lex_state = 0},
  [9325] = {.lex_state = 0},
  [9326] = {.lex_state = 206},
  [9327] = {.lex_state = 0},
  [9328] = {.lex_state = 387},
  [9329] = {.lex_state = 387},
  [9330] = {.lex_state = 0},
  [9331] = {.lex_state = 387},
  [9332] = {.lex_state = 0},
  [9333] = {.lex_state = 0},
  [9334] = {.lex_state = 387},
  [9335] = {.lex_state = 0},
  [9336] = {.lex_state = 0},
  [9337] = {.lex_state = 387},
  [9338] = {.lex_state = 0, .external_lex_state = 3},
  [9339] = {.lex_state = 0},
  [9340] = {.lex_state = 0},
  [9341] = {.lex_state = 0},
  [9342] = {.lex_state = 0},
  [9343] = {.lex_state = 0},
  [9344] = {.lex_state = 206},
  [9345] = {.lex_state = 200},
  [9346] = {.lex_state = 387},
  [9347] = {.lex_state = 0},
  [9348] = {.lex_state = 387},
  [9349] = {.lex_state = 200},
  [9350] = {.lex_state = 0},
  [9351] = {.lex_state = 200},
  [9352] = {.lex_state = 200},
  [9353] = {.lex_state = 387},
  [9354] = {.lex_state = 0, .external_lex_state = 3},
  [9355] = {.lex_state = 0},
  [9356] = {.lex_state = 0},
  [9357] = {.lex_state = 200},
  [9358] = {.lex_state = 0},
  [9359] = {.lex_state = 0},
  [9360] = {.lex_state = 387},
  [9361] = {.lex_state = 387},
  [9362] = {.lex_state = 200},
  [9363] = {.lex_state = 0, .external_lex_state = 3},
  [9364] = {.lex_state = 0},
  [9365] = {.lex_state = 0},
  [9366] = {.lex_state = 0},
  [9367] = {.lex_state = 200},
  [9368] = {.lex_state = 387},
  [9369] = {.lex_state = 387},
  [9370] = {.lex_state = 0},
  [9371] = {.lex_state = 0, .external_lex_state = 3},
  [9372] = {.lex_state = 0},
  [9373] = {.lex_state = 0},
  [9374] = {.lex_state = 387},
  [9375] = {.lex_state = 387},
  [9376] = {.lex_state = 0, .external_lex_state = 3},
  [9377] = {.lex_state = 0},
  [9378] = {.lex_state = 0, .external_lex_state = 3},
  [9379] = {.lex_state = 0},
  [9380] = {.lex_state = 0, .external_lex_state = 3},
  [9381] = {.lex_state = 0},
  [9382] = {.lex_state = 0, .external_lex_state = 3},
  [9383] = {.lex_state = 0},
  [9384] = {.lex_state = 0, .external_lex_state = 3},
  [9385] = {.lex_state = 0},
  [9386] = {.lex_state = 0, .external_lex_state = 3},
  [9387] = {.lex_state = 0},
  [9388] = {.lex_state = 0, .external_lex_state = 3},
  [9389] = {.lex_state = 0},
  [9390] = {.lex_state = 0, .external_lex_state = 3},
  [9391] = {.lex_state = 0},
  [9392] = {.lex_state = 0},
  [9393] = {.lex_state = 0},
  [9394] = {.lex_state = 387},
  [9395] = {.lex_state = 387},
  [9396] = {.lex_state = 244},
  [9397] = {.lex_state = 0},
  [9398] = {.lex_state = 0},
  [9399] = {.lex_state = 0},
  [9400] = {.lex_state = 0},
  [9401] = {.lex_state = 0},
  [9402] = {.lex_state = 0},
  [9403] = {.lex_state = 0},
  [9404] = {.lex_state = 0},
  [9405] = {.lex_state = 0},
  [9406] = {.lex_state = 0},
  [9407] = {.lex_state = 0},
  [9408] = {.lex_state = 0},
  [9409] = {.lex_state = 121},
  [9410] = {.lex_state = 0},
  [9411] = {.lex_state = 244},
  [9412] = {.lex_state = 0, .external_lex_state = 3},
  [9413] = {.lex_state = 0},
  [9414] = {.lex_state = 0},
  [9415] = {.lex_state = 244},
  [9416] = {.lex_state = 0},
  [9417] = {.lex_state = 0},
  [9418] = {.lex_state = 0},
  [9419] = {.lex_state = 0},
  [9420] = {.lex_state = 0},
  [9421] = {.lex_state = 0},
  [9422] = {.lex_state = 0},
  [9423] = {.lex_state = 0},
  [9424] = {.lex_state = 387},
  [9425] = {.lex_state = 0},
  [9426] = {.lex_state = 0},
  [9427] = {.lex_state = 0},
  [9428] = {.lex_state = 0},
  [9429] = {.lex_state = 0},
  [9430] = {.lex_state = 0},
  [9431] = {.lex_state = 244},
  [9432] = {.lex_state = 387},
  [9433] = {.lex_state = 0},
  [9434] = {.lex_state = 200},
  [9435] = {.lex_state = 0},
  [9436] = {.lex_state = 200},
  [9437] = {.lex_state = 0},
  [9438] = {.lex_state = 200},
  [9439] = {.lex_state = 200},
  [9440] = {.lex_state = 387},
  [9441] = {.lex_state = 200},
  [9442] = {.lex_state = 387},
  [9443] = {.lex_state = 200},
  [9444] = {.lex_state = 0},
  [9445] = {.lex_state = 0},
  [9446] = {.lex_state = 244},
  [9447] = {.lex_state = 0},
  [9448] = {.lex_state = 0},
  [9449] = {.lex_state = 387},
  [9450] = {.lex_state = 387},
  [9451] = {.lex_state = 387},
  [9452] = {.lex_state = 244},
  [9453] = {.lex_state = 0},
  [9454] = {.lex_state = 0},
  [9455] = {.lex_state = 387},
  [9456] = {.lex_state = 0},
  [9457] = {.lex_state = 206},
  [9458] = {.lex_state = 121},
  [9459] = {.lex_state = 0},
  [9460] = {.lex_state = 0},
  [9461] = {.lex_state = 121},
  [9462] = {.lex_state = 0},
  [9463] = {.lex_state = 0},
  [9464] = {.lex_state = 387},
  [9465] = {.lex_state = 387},
  [9466] = {.lex_state = 0},
  [9467] = {.lex_state = 0},
  [9468] = {.lex_state = 0},
  [9469] = {.lex_state = 0},
  [9470] = {.lex_state = 0},
  [9471] = {.lex_state = 0},
  [9472] = {.lex_state = 387},
  [9473] = {.lex_state = 387},
  [9474] = {.lex_state = 244},
  [9475] = {.lex_state = 0},
  [9476] = {.lex_state = 387},
  [9477] = {.lex_state = 0},
  [9478] = {.lex_state = 244},
  [9479] = {.lex_state = 0, .external_lex_state = 3},
  [9480] = {.lex_state = 200},
  [9481] = {.lex_state = 200},
  [9482] = {.lex_state = 0},
  [9483] = {.lex_state = 387},
  [9484] = {.lex_state = 387},
  [9485] = {.lex_state = 244},
  [9486] = {.lex_state = 121},
  [9487] = {.lex_state = 200},
  [9488] = {.lex_state = 244},
  [9489] = {.lex_state = 0, .external_lex_state = 3},
  [9490] = {.lex_state = 244},
  [9491] = {.lex_state = 206},
  [9492] = {.lex_state = 0},
  [9493] = {.lex_state = 387},
  [9494] = {.lex_state = 387},
  [9495] = {.lex_state = 244},
  [9496] = {.lex_state = 0},
  [9497] = {.lex_state = 244},
  [9498] = {.lex_state = 244},
  [9499] = {.lex_state = 0, .external_lex_state = 3},
  [9500] = {.lex_state = 387},
  [9501] = {.lex_state = 0},
  [9502] = {.lex_state = 387},
  [9503] = {.lex_state = 387},
  [9504] = {.lex_state = 244},
  [9505] = {.lex_state = 0},
  [9506] = {.lex_state = 0},
  [9507] = {.lex_state = 244},
  [9508] = {.lex_state = 0, .external_lex_state = 3},
  [9509] = {.lex_state = 244},
  [9510] = {.lex_state = 244},
  [9511] = {.lex_state = 387},
  [9512] = {.lex_state = 244},
  [9513] = {.lex_state = 244},
  [9514] = {.lex_state = 0},
  [9515] = {.lex_state = 244},
  [9516] = {.lex_state = 0, .external_lex_state = 3},
  [9517] = {.lex_state = 0},
  [9518] = {.lex_state = 244},
  [9519] = {.lex_state = 387},
  [9520] = {.lex_state = 244},
  [9521] = {.lex_state = 0},
  [9522] = {.lex_state = 0},
  [9523] = {.lex_state = 244},
  [9524] = {.lex_state = 0, .external_lex_state = 3},
  [9525] = {.lex_state = 0},
  [9526] = {.lex_state = 121},
  [9527] = {.lex_state = 387},
  [9528] = {.lex_state = 244},
  [9529] = {.lex_state = 0},
  [9530] = {.lex_state = 244},
  [9531] = {.lex_state = 0, .external_lex_state = 3},
  [9532] = {.lex_state = 121},
  [9533] = {.lex_state = 0},
  [9534] = {.lex_state = 244},
  [9535] = {.lex_state = 0, .external_lex_state = 3},
  [9536] = {.lex_state = 0},
  [9537] = {.lex_state = 0},
  [9538] = {.lex_state = 0, .external_lex_state = 3},
  [9539] = {.lex_state = 0},
  [9540] = {.lex_state = 0, .external_lex_state = 3},
  [9541] = {.lex_state = 0},
  [9542] = {.lex_state = 0, .external_lex_state = 3},
  [9543] = {.lex_state = 0},
  [9544] = {.lex_state = 0, .external_lex_state = 3},
  [9545] = {.lex_state = 0},
  [9546] = {.lex_state = 0, .external_lex_state = 3},
  [9547] = {.lex_state = 0},
  [9548] = {.lex_state = 0, .external_lex_state = 3},
  [9549] = {.lex_state = 0},
  [9550] = {.lex_state = 0, .external_lex_state = 3},
  [9551] = {.lex_state = 0},
  [9552] = {.lex_state = 0, .external_lex_state = 3},
  [9553] = {.lex_state = 121},
  [9554] = {.lex_state = 0, .external_lex_state = 3},
  [9555] = {.lex_state = 387},
  [9556] = {.lex_state = 387},
  [9557] = {.lex_state = 244},
  [9558] = {.lex_state = 387},
  [9559] = {.lex_state = 387},
  [9560] = {.lex_state = 0},
  [9561] = {.lex_state = 387},
  [9562] = {.lex_state = 387},
  [9563] = {.lex_state = 0},
  [9564] = {.lex_state = 387},
  [9565] = {.lex_state = 387},
  [9566] = {.lex_state = 0},
  [9567] = {.lex_state = 387},
  [9568] = {.lex_state = 387},
  [9569] = {.lex_state = 0},
  [9570] = {.lex_state = 387},
  [9571] = {.lex_state = 387},
  [9572] = {.lex_state = 0},
  [9573] = {.lex_state = 387},
  [9574] = {.lex_state = 387},
  [9575] = {.lex_state = 0},
  [9576] = {.lex_state = 387},
  [9577] = {.lex_state = 387},
  [9578] = {.lex_state = 387},
  [9579] = {.lex_state = 387},
  [9580] = {.lex_state = 387},
  [9581] = {.lex_state = 387},
  [9582] = {.lex_state = 387},
  [9583] = {.lex_state = 387},
  [9584] = {.lex_state = 387},
  [9585] = {.lex_state = 387},
  [9586] = {.lex_state = 387},
  [9587] = {.lex_state = 0},
  [9588] = {.lex_state = 0},
  [9589] = {.lex_state = 0},
  [9590] = {.lex_state = 121},
  [9591] = {.lex_state = 244},
  [9592] = {.lex_state = 0},
  [9593] = {.lex_state = 244},
  [9594] = {.lex_state = 387},
  [9595] = {.lex_state = 387},
  [9596] = {.lex_state = 387},
  [9597] = {.lex_state = 387},
  [9598] = {.lex_state = 387},
  [9599] = {.lex_state = 387},
  [9600] = {.lex_state = 387},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constinit] = ACTIONS(1),
    [anon_sym_consteval] = ACTIONS(1),
    [anon_sym_PROGMEM] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_byte] = ACTIONS(1),
    [anon_sym_word] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym___except] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym___leave] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_and_eq] = ACTIONS(1),
    [anon_sym_or_eq] = ACTIONS(1),
    [anon_sym_xor_eq] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_compl] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_bitor] = ACTIONS(1),
    [anon_sym_xor] = ACTIONS(1),
    [anon_sym_bitand] = ACTIONS(1),
    [anon_sym_not_eq] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DOT_STAR] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [aux_sym_number_literal_token1] = ACTIONS(1),
    [aux_sym_number_literal_token2] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1),
    [anon_sym_decltype] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_virtual] = ACTIONS(1),
    [anon_sym_alignas] = ACTIONS(1),
    [anon_sym_explicit] = ACTIONS(1),
    [anon_sym_typename] = ACTIONS(1),
    [anon_sym_template] = ACTIONS(1),
    [anon_sym_GT2] = ACTIONS(1),
    [anon_sym_operator] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_friend] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_noexcept] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_static_assert] = ACTIONS(1),
    [anon_sym_concept] = ACTIONS(1),
    [anon_sym_co_return] = ACTIONS(1),
    [anon_sym_co_yield] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_R_DQUOTE] = ACTIONS(1),
    [anon_sym_LR_DQUOTE] = ACTIONS(1),
    [anon_sym_uR_DQUOTE] = ACTIONS(1),
    [anon_sym_UR_DQUOTE] = ACTIONS(1),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1),
    [anon_sym_co_await] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_requires] = ACTIONS(1),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_raw_string_delimiter] = ACTIONS(1),
    [sym_raw_string_content] = ACTIONS(1),
  },
  [1] = {
    [sym_translation_unit] = STATE(9427),
    [sym_preproc_include] = STATE(98),
    [sym_preproc_def] = STATE(98),
    [sym_preproc_function_def] = STATE(98),
    [sym_preproc_call] = STATE(98),
    [sym_preproc_if] = STATE(98),
    [sym_preproc_ifdef] = STATE(98),
    [sym_function_definition] = STATE(98),
    [sym_declaration] = STATE(98),
    [sym_type_definition] = STATE(98),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5856),
    [sym_linkage_specification] = STATE(98),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2122),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7027),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(98),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(4008),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(98),
    [sym_labeled_statement] = STATE(98),
    [sym__top_level_expression_statement] = STATE(98),
    [sym_if_statement] = STATE(98),
    [sym_switch_statement] = STATE(98),
    [sym_case_statement] = STATE(98),
    [sym_while_statement] = STATE(98),
    [sym_do_statement] = STATE(98),
    [sym_for_statement] = STATE(98),
    [sym_return_statement] = STATE(98),
    [sym_break_statement] = STATE(98),
    [sym_continue_statement] = STATE(98),
    [sym_goto_statement] = STATE(98),
    [sym__expression] = STATE(5463),
    [sym__expression_not_binary] = STATE(5554),
    [sym__string] = STATE(5554),
    [sym_conditional_expression] = STATE(5554),
    [sym_assignment_expression] = STATE(5554),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(5554),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(5554),
    [sym_cast_expression] = STATE(5554),
    [sym_sizeof_expression] = STATE(5554),
    [sym_alignof_expression] = STATE(5554),
    [sym_offsetof_expression] = STATE(5554),
    [sym_generic_expression] = STATE(5554),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(5554),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(5554),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(5554),
    [sym__empty_declaration] = STATE(98),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2195),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(98),
    [sym_template_instantiation] = STATE(98),
    [sym_operator_cast] = STATE(7350),
    [sym__constructor_specifiers] = STATE(2195),
    [sym_operator_cast_definition] = STATE(98),
    [sym_operator_cast_declaration] = STATE(98),
    [sym_constructor_or_destructor_definition] = STATE(98),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(98),
    [sym_namespace_alias_definition] = STATE(98),
    [sym_using_declaration] = STATE(98),
    [sym_alias_declaration] = STATE(98),
    [sym_static_assert_declaration] = STATE(98),
    [sym_concept_definition] = STATE(98),
    [sym_for_range_loop] = STATE(98),
    [sym_co_return_statement] = STATE(98),
    [sym_co_yield_statement] = STATE(98),
    [sym_throw_statement] = STATE(98),
    [sym_try_statement] = STATE(98),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(5554),
    [sym_new_expression] = STATE(5554),
    [sym_delete_expression] = STATE(5554),
    [sym_requires_clause] = STATE(5554),
    [sym_requires_expression] = STATE(5554),
    [sym_lambda_expression] = STATE(5554),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(5554),
    [sym_parameter_pack_expansion] = STATE(5554),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7350),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_translation_unit_repeat1] = STATE(98),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2195),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(115),
    [sym_false] = ACTIONS(115),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(131),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(141),
    [anon_sym_using] = ACTIONS(143),
    [anon_sym_static_assert] = ACTIONS(145),
    [anon_sym_concept] = ACTIONS(147),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(115),
  },
  [2] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(4935),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8102),
    [sym_initializer_pair] = STATE(8102),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(185),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [3] = {
    [sym_preproc_include] = STATE(95),
    [sym_preproc_def] = STATE(95),
    [sym_preproc_function_def] = STATE(95),
    [sym_preproc_call] = STATE(95),
    [sym_preproc_if] = STATE(95),
    [sym_preproc_ifdef] = STATE(95),
    [sym_function_definition] = STATE(95),
    [sym_declaration] = STATE(95),
    [sym_type_definition] = STATE(95),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(95),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(95),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(95),
    [sym_labeled_statement] = STATE(95),
    [sym_expression_statement] = STATE(95),
    [sym_if_statement] = STATE(95),
    [sym_switch_statement] = STATE(95),
    [sym_case_statement] = STATE(95),
    [sym_while_statement] = STATE(95),
    [sym_do_statement] = STATE(95),
    [sym_for_statement] = STATE(95),
    [sym_return_statement] = STATE(95),
    [sym_break_statement] = STATE(95),
    [sym_continue_statement] = STATE(95),
    [sym_goto_statement] = STATE(95),
    [sym_seh_try_statement] = STATE(95),
    [sym_seh_leave_statement] = STATE(95),
    [sym__expression] = STATE(4935),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8102),
    [sym_initializer_pair] = STATE(8102),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(95),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(95),
    [sym_template_instantiation] = STATE(95),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(95),
    [sym_operator_cast_declaration] = STATE(95),
    [sym_constructor_or_destructor_definition] = STATE(95),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(95),
    [sym_namespace_alias_definition] = STATE(95),
    [sym_using_declaration] = STATE(95),
    [sym_alias_declaration] = STATE(95),
    [sym_static_assert_declaration] = STATE(95),
    [sym_concept_definition] = STATE(95),
    [sym_for_range_loop] = STATE(95),
    [sym_co_return_statement] = STATE(95),
    [sym_co_yield_statement] = STATE(95),
    [sym_throw_statement] = STATE(95),
    [sym_try_statement] = STATE(95),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(95),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(239),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [4] = {
    [sym_preproc_include] = STATE(72),
    [sym_preproc_def] = STATE(72),
    [sym_preproc_function_def] = STATE(72),
    [sym_preproc_call] = STATE(72),
    [sym_preproc_if] = STATE(72),
    [sym_preproc_ifdef] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_declaration] = STATE(72),
    [sym_type_definition] = STATE(72),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(72),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(72),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(72),
    [sym_labeled_statement] = STATE(72),
    [sym_expression_statement] = STATE(72),
    [sym_if_statement] = STATE(72),
    [sym_switch_statement] = STATE(72),
    [sym_case_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_do_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_return_statement] = STATE(72),
    [sym_break_statement] = STATE(72),
    [sym_continue_statement] = STATE(72),
    [sym_goto_statement] = STATE(72),
    [sym_seh_try_statement] = STATE(72),
    [sym_seh_leave_statement] = STATE(72),
    [sym__expression] = STATE(4935),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8102),
    [sym_initializer_pair] = STATE(8102),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(72),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(72),
    [sym_template_instantiation] = STATE(72),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(72),
    [sym_operator_cast_declaration] = STATE(72),
    [sym_constructor_or_destructor_definition] = STATE(72),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(72),
    [sym_namespace_alias_definition] = STATE(72),
    [sym_using_declaration] = STATE(72),
    [sym_alias_declaration] = STATE(72),
    [sym_static_assert_declaration] = STATE(72),
    [sym_concept_definition] = STATE(72),
    [sym_for_range_loop] = STATE(72),
    [sym_co_return_statement] = STATE(72),
    [sym_co_yield_statement] = STATE(72),
    [sym_throw_statement] = STATE(72),
    [sym_try_statement] = STATE(72),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(72),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [5] = {
    [sym_preproc_include] = STATE(95),
    [sym_preproc_def] = STATE(95),
    [sym_preproc_function_def] = STATE(95),
    [sym_preproc_call] = STATE(95),
    [sym_preproc_if] = STATE(95),
    [sym_preproc_ifdef] = STATE(95),
    [sym_function_definition] = STATE(95),
    [sym_declaration] = STATE(95),
    [sym_type_definition] = STATE(95),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(95),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(95),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(95),
    [sym_labeled_statement] = STATE(95),
    [sym_expression_statement] = STATE(95),
    [sym_if_statement] = STATE(95),
    [sym_switch_statement] = STATE(95),
    [sym_case_statement] = STATE(95),
    [sym_while_statement] = STATE(95),
    [sym_do_statement] = STATE(95),
    [sym_for_statement] = STATE(95),
    [sym_return_statement] = STATE(95),
    [sym_break_statement] = STATE(95),
    [sym_continue_statement] = STATE(95),
    [sym_goto_statement] = STATE(95),
    [sym_seh_try_statement] = STATE(95),
    [sym_seh_leave_statement] = STATE(95),
    [sym__expression] = STATE(4935),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8102),
    [sym_initializer_pair] = STATE(8102),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(95),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(95),
    [sym_template_instantiation] = STATE(95),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(95),
    [sym_operator_cast_declaration] = STATE(95),
    [sym_constructor_or_destructor_definition] = STATE(95),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(95),
    [sym_namespace_alias_definition] = STATE(95),
    [sym_using_declaration] = STATE(95),
    [sym_alias_declaration] = STATE(95),
    [sym_static_assert_declaration] = STATE(95),
    [sym_concept_definition] = STATE(95),
    [sym_for_range_loop] = STATE(95),
    [sym_co_return_statement] = STATE(95),
    [sym_co_yield_statement] = STATE(95),
    [sym_throw_statement] = STATE(95),
    [sym_try_statement] = STATE(95),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(95),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(243),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [6] = {
    [sym_preproc_include] = STATE(79),
    [sym_preproc_def] = STATE(79),
    [sym_preproc_function_def] = STATE(79),
    [sym_preproc_call] = STATE(79),
    [sym_preproc_if] = STATE(79),
    [sym_preproc_ifdef] = STATE(79),
    [sym_function_definition] = STATE(79),
    [sym_declaration] = STATE(79),
    [sym_type_definition] = STATE(79),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(79),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(79),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(79),
    [sym_labeled_statement] = STATE(79),
    [sym_expression_statement] = STATE(79),
    [sym_if_statement] = STATE(79),
    [sym_switch_statement] = STATE(79),
    [sym_case_statement] = STATE(79),
    [sym_while_statement] = STATE(79),
    [sym_do_statement] = STATE(79),
    [sym_for_statement] = STATE(79),
    [sym_return_statement] = STATE(79),
    [sym_break_statement] = STATE(79),
    [sym_continue_statement] = STATE(79),
    [sym_goto_statement] = STATE(79),
    [sym_seh_try_statement] = STATE(79),
    [sym_seh_leave_statement] = STATE(79),
    [sym__expression] = STATE(4935),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8102),
    [sym_initializer_pair] = STATE(8102),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(79),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(79),
    [sym_template_instantiation] = STATE(79),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(79),
    [sym_operator_cast_declaration] = STATE(79),
    [sym_constructor_or_destructor_definition] = STATE(79),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(79),
    [sym_namespace_alias_definition] = STATE(79),
    [sym_using_declaration] = STATE(79),
    [sym_alias_declaration] = STATE(79),
    [sym_static_assert_declaration] = STATE(79),
    [sym_concept_definition] = STATE(79),
    [sym_for_range_loop] = STATE(79),
    [sym_co_return_statement] = STATE(79),
    [sym_co_yield_statement] = STATE(79),
    [sym_throw_statement] = STATE(79),
    [sym_try_statement] = STATE(79),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(79),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(245),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [7] = {
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(42),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(42),
    [sym_labeled_statement] = STATE(42),
    [sym_expression_statement] = STATE(42),
    [sym_if_statement] = STATE(42),
    [sym_switch_statement] = STATE(42),
    [sym_case_statement] = STATE(42),
    [sym_while_statement] = STATE(42),
    [sym_do_statement] = STATE(42),
    [sym_for_statement] = STATE(42),
    [sym_return_statement] = STATE(42),
    [sym_break_statement] = STATE(42),
    [sym_continue_statement] = STATE(42),
    [sym_goto_statement] = STATE(42),
    [sym_seh_try_statement] = STATE(42),
    [sym_seh_leave_statement] = STATE(42),
    [sym__expression] = STATE(4935),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8102),
    [sym_initializer_pair] = STATE(8102),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(42),
    [sym_co_return_statement] = STATE(42),
    [sym_co_yield_statement] = STATE(42),
    [sym_throw_statement] = STATE(42),
    [sym_try_statement] = STATE(42),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [8] = {
    [sym_preproc_include] = STATE(65),
    [sym_preproc_def] = STATE(65),
    [sym_preproc_function_def] = STATE(65),
    [sym_preproc_call] = STATE(65),
    [sym_preproc_if] = STATE(65),
    [sym_preproc_ifdef] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(65),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(65),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(65),
    [sym_labeled_statement] = STATE(65),
    [sym_expression_statement] = STATE(65),
    [sym_if_statement] = STATE(65),
    [sym_switch_statement] = STATE(65),
    [sym_case_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_do_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_return_statement] = STATE(65),
    [sym_break_statement] = STATE(65),
    [sym_continue_statement] = STATE(65),
    [sym_goto_statement] = STATE(65),
    [sym_seh_try_statement] = STATE(65),
    [sym_seh_leave_statement] = STATE(65),
    [sym__expression] = STATE(4935),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8102),
    [sym_initializer_pair] = STATE(8102),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(65),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(65),
    [sym_template_instantiation] = STATE(65),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(65),
    [sym_operator_cast_declaration] = STATE(65),
    [sym_constructor_or_destructor_definition] = STATE(65),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(65),
    [sym_namespace_alias_definition] = STATE(65),
    [sym_using_declaration] = STATE(65),
    [sym_alias_declaration] = STATE(65),
    [sym_static_assert_declaration] = STATE(65),
    [sym_concept_definition] = STATE(65),
    [sym_for_range_loop] = STATE(65),
    [sym_co_return_statement] = STATE(65),
    [sym_co_yield_statement] = STATE(65),
    [sym_throw_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(65),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [9] = {
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(42),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(42),
    [sym_labeled_statement] = STATE(42),
    [sym_expression_statement] = STATE(42),
    [sym_if_statement] = STATE(42),
    [sym_switch_statement] = STATE(42),
    [sym_case_statement] = STATE(42),
    [sym_while_statement] = STATE(42),
    [sym_do_statement] = STATE(42),
    [sym_for_statement] = STATE(42),
    [sym_return_statement] = STATE(42),
    [sym_break_statement] = STATE(42),
    [sym_continue_statement] = STATE(42),
    [sym_goto_statement] = STATE(42),
    [sym_seh_try_statement] = STATE(42),
    [sym_seh_leave_statement] = STATE(42),
    [sym__expression] = STATE(4935),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8102),
    [sym_initializer_pair] = STATE(8102),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(42),
    [sym_co_return_statement] = STATE(42),
    [sym_co_yield_statement] = STATE(42),
    [sym_throw_statement] = STATE(42),
    [sym_try_statement] = STATE(42),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(251),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [10] = {
    [sym_preproc_include] = STATE(97),
    [sym_preproc_def] = STATE(97),
    [sym_preproc_function_def] = STATE(97),
    [sym_preproc_call] = STATE(97),
    [sym_preproc_if] = STATE(97),
    [sym_preproc_ifdef] = STATE(97),
    [sym_function_definition] = STATE(97),
    [sym_declaration] = STATE(97),
    [sym_type_definition] = STATE(97),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(97),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(97),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(97),
    [sym_labeled_statement] = STATE(97),
    [sym_expression_statement] = STATE(97),
    [sym_if_statement] = STATE(97),
    [sym_switch_statement] = STATE(97),
    [sym_case_statement] = STATE(97),
    [sym_while_statement] = STATE(97),
    [sym_do_statement] = STATE(97),
    [sym_for_statement] = STATE(97),
    [sym_return_statement] = STATE(97),
    [sym_break_statement] = STATE(97),
    [sym_continue_statement] = STATE(97),
    [sym_goto_statement] = STATE(97),
    [sym_seh_try_statement] = STATE(97),
    [sym_seh_leave_statement] = STATE(97),
    [sym__expression] = STATE(4935),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8102),
    [sym_initializer_pair] = STATE(8102),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(97),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(97),
    [sym_template_instantiation] = STATE(97),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(97),
    [sym_operator_cast_declaration] = STATE(97),
    [sym_constructor_or_destructor_definition] = STATE(97),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(97),
    [sym_namespace_alias_definition] = STATE(97),
    [sym_using_declaration] = STATE(97),
    [sym_alias_declaration] = STATE(97),
    [sym_static_assert_declaration] = STATE(97),
    [sym_concept_definition] = STATE(97),
    [sym_for_range_loop] = STATE(97),
    [sym_co_return_statement] = STATE(97),
    [sym_co_yield_statement] = STATE(97),
    [sym_throw_statement] = STATE(97),
    [sym_try_statement] = STATE(97),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(97),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [11] = {
    [sym_preproc_include] = STATE(87),
    [sym_preproc_def] = STATE(87),
    [sym_preproc_function_def] = STATE(87),
    [sym_preproc_call] = STATE(87),
    [sym_preproc_if] = STATE(87),
    [sym_preproc_ifdef] = STATE(87),
    [sym_function_definition] = STATE(87),
    [sym_declaration] = STATE(87),
    [sym_type_definition] = STATE(87),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(87),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(87),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(87),
    [sym_labeled_statement] = STATE(87),
    [sym_expression_statement] = STATE(87),
    [sym_if_statement] = STATE(87),
    [sym_switch_statement] = STATE(87),
    [sym_case_statement] = STATE(87),
    [sym_while_statement] = STATE(87),
    [sym_do_statement] = STATE(87),
    [sym_for_statement] = STATE(87),
    [sym_return_statement] = STATE(87),
    [sym_break_statement] = STATE(87),
    [sym_continue_statement] = STATE(87),
    [sym_goto_statement] = STATE(87),
    [sym_seh_try_statement] = STATE(87),
    [sym_seh_leave_statement] = STATE(87),
    [sym__expression] = STATE(4935),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8102),
    [sym_initializer_pair] = STATE(8102),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(87),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(87),
    [sym_template_instantiation] = STATE(87),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(87),
    [sym_operator_cast_declaration] = STATE(87),
    [sym_constructor_or_destructor_definition] = STATE(87),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(87),
    [sym_namespace_alias_definition] = STATE(87),
    [sym_using_declaration] = STATE(87),
    [sym_alias_declaration] = STATE(87),
    [sym_static_assert_declaration] = STATE(87),
    [sym_concept_definition] = STATE(87),
    [sym_for_range_loop] = STATE(87),
    [sym_co_return_statement] = STATE(87),
    [sym_co_yield_statement] = STATE(87),
    [sym_throw_statement] = STATE(87),
    [sym_try_statement] = STATE(87),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(87),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(255),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [12] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(4935),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8102),
    [sym_initializer_pair] = STATE(8102),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [13] = {
    [sym_preproc_include] = STATE(71),
    [sym_preproc_def] = STATE(71),
    [sym_preproc_function_def] = STATE(71),
    [sym_preproc_call] = STATE(71),
    [sym_preproc_if] = STATE(71),
    [sym_preproc_ifdef] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(71),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(71),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(71),
    [sym_labeled_statement] = STATE(71),
    [sym_expression_statement] = STATE(71),
    [sym_if_statement] = STATE(71),
    [sym_switch_statement] = STATE(71),
    [sym_case_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_do_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_return_statement] = STATE(71),
    [sym_break_statement] = STATE(71),
    [sym_continue_statement] = STATE(71),
    [sym_goto_statement] = STATE(71),
    [sym_seh_try_statement] = STATE(71),
    [sym_seh_leave_statement] = STATE(71),
    [sym__expression] = STATE(4935),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8102),
    [sym_initializer_pair] = STATE(8102),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(71),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(71),
    [sym_template_instantiation] = STATE(71),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(71),
    [sym_operator_cast_declaration] = STATE(71),
    [sym_constructor_or_destructor_definition] = STATE(71),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(71),
    [sym_namespace_alias_definition] = STATE(71),
    [sym_using_declaration] = STATE(71),
    [sym_alias_declaration] = STATE(71),
    [sym_static_assert_declaration] = STATE(71),
    [sym_concept_definition] = STATE(71),
    [sym_for_range_loop] = STATE(71),
    [sym_co_return_statement] = STATE(71),
    [sym_co_yield_statement] = STATE(71),
    [sym_throw_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(71),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(259),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [14] = {
    [sym_preproc_include] = STATE(65),
    [sym_preproc_def] = STATE(65),
    [sym_preproc_function_def] = STATE(65),
    [sym_preproc_call] = STATE(65),
    [sym_preproc_if] = STATE(65),
    [sym_preproc_ifdef] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(65),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(65),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(65),
    [sym_labeled_statement] = STATE(65),
    [sym_expression_statement] = STATE(65),
    [sym_if_statement] = STATE(65),
    [sym_switch_statement] = STATE(65),
    [sym_case_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_do_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_return_statement] = STATE(65),
    [sym_break_statement] = STATE(65),
    [sym_continue_statement] = STATE(65),
    [sym_goto_statement] = STATE(65),
    [sym_seh_try_statement] = STATE(65),
    [sym_seh_leave_statement] = STATE(65),
    [sym__expression] = STATE(4935),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8102),
    [sym_initializer_pair] = STATE(8102),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(65),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(65),
    [sym_template_instantiation] = STATE(65),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(65),
    [sym_operator_cast_declaration] = STATE(65),
    [sym_constructor_or_destructor_definition] = STATE(65),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(65),
    [sym_namespace_alias_definition] = STATE(65),
    [sym_using_declaration] = STATE(65),
    [sym_alias_declaration] = STATE(65),
    [sym_static_assert_declaration] = STATE(65),
    [sym_concept_definition] = STATE(65),
    [sym_for_range_loop] = STATE(65),
    [sym_co_return_statement] = STATE(65),
    [sym_co_yield_statement] = STATE(65),
    [sym_throw_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(65),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(261),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [15] = {
    [sym_preproc_include] = STATE(87),
    [sym_preproc_def] = STATE(87),
    [sym_preproc_function_def] = STATE(87),
    [sym_preproc_call] = STATE(87),
    [sym_preproc_if] = STATE(87),
    [sym_preproc_ifdef] = STATE(87),
    [sym_function_definition] = STATE(87),
    [sym_declaration] = STATE(87),
    [sym_type_definition] = STATE(87),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(87),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(87),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(87),
    [sym_labeled_statement] = STATE(87),
    [sym_expression_statement] = STATE(87),
    [sym_if_statement] = STATE(87),
    [sym_switch_statement] = STATE(87),
    [sym_case_statement] = STATE(87),
    [sym_while_statement] = STATE(87),
    [sym_do_statement] = STATE(87),
    [sym_for_statement] = STATE(87),
    [sym_return_statement] = STATE(87),
    [sym_break_statement] = STATE(87),
    [sym_continue_statement] = STATE(87),
    [sym_goto_statement] = STATE(87),
    [sym_seh_try_statement] = STATE(87),
    [sym_seh_leave_statement] = STATE(87),
    [sym__expression] = STATE(4935),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8102),
    [sym_initializer_pair] = STATE(8102),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(87),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(87),
    [sym_template_instantiation] = STATE(87),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(87),
    [sym_operator_cast_declaration] = STATE(87),
    [sym_constructor_or_destructor_definition] = STATE(87),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(87),
    [sym_namespace_alias_definition] = STATE(87),
    [sym_using_declaration] = STATE(87),
    [sym_alias_declaration] = STATE(87),
    [sym_static_assert_declaration] = STATE(87),
    [sym_concept_definition] = STATE(87),
    [sym_for_range_loop] = STATE(87),
    [sym_co_return_statement] = STATE(87),
    [sym_co_yield_statement] = STATE(87),
    [sym_throw_statement] = STATE(87),
    [sym_try_statement] = STATE(87),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(87),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(263),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [16] = {
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_preproc_else] = STATE(8950),
    [sym_preproc_elif] = STATE(8950),
    [sym_preproc_elifdef] = STATE(8950),
    [sym_function_definition] = STATE(28),
    [sym_declaration] = STATE(28),
    [sym_type_definition] = STATE(28),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5798),
    [sym_linkage_specification] = STATE(28),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2167),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7035),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(28),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(4100),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(28),
    [sym_labeled_statement] = STATE(28),
    [sym_expression_statement] = STATE(28),
    [sym_if_statement] = STATE(28),
    [sym_switch_statement] = STATE(28),
    [sym_case_statement] = STATE(28),
    [sym_while_statement] = STATE(28),
    [sym_do_statement] = STATE(28),
    [sym_for_statement] = STATE(28),
    [sym_return_statement] = STATE(28),
    [sym_break_statement] = STATE(28),
    [sym_continue_statement] = STATE(28),
    [sym_goto_statement] = STATE(28),
    [sym_seh_try_statement] = STATE(28),
    [sym_seh_leave_statement] = STATE(28),
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8707),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(28),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2138),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(28),
    [sym_template_instantiation] = STATE(28),
    [sym_operator_cast] = STATE(7349),
    [sym__constructor_specifiers] = STATE(2138),
    [sym_operator_cast_definition] = STATE(28),
    [sym_operator_cast_declaration] = STATE(28),
    [sym_constructor_or_destructor_definition] = STATE(28),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(28),
    [sym_namespace_alias_definition] = STATE(28),
    [sym_using_declaration] = STATE(28),
    [sym_alias_declaration] = STATE(28),
    [sym_static_assert_declaration] = STATE(28),
    [sym_concept_definition] = STATE(28),
    [sym_for_range_loop] = STATE(28),
    [sym_co_return_statement] = STATE(28),
    [sym_co_yield_statement] = STATE(28),
    [sym_throw_statement] = STATE(28),
    [sym_try_statement] = STATE(28),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7349),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(28),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2138),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [17] = {
    [sym_preproc_include] = STATE(25),
    [sym_preproc_def] = STATE(25),
    [sym_preproc_function_def] = STATE(25),
    [sym_preproc_call] = STATE(25),
    [sym_preproc_if] = STATE(25),
    [sym_preproc_ifdef] = STATE(25),
    [sym_preproc_else] = STATE(9016),
    [sym_preproc_elif] = STATE(9016),
    [sym_preproc_elifdef] = STATE(9016),
    [sym_function_definition] = STATE(25),
    [sym_declaration] = STATE(25),
    [sym_type_definition] = STATE(25),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5798),
    [sym_linkage_specification] = STATE(25),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2167),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7035),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(25),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(4100),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(25),
    [sym_labeled_statement] = STATE(25),
    [sym_expression_statement] = STATE(25),
    [sym_if_statement] = STATE(25),
    [sym_switch_statement] = STATE(25),
    [sym_case_statement] = STATE(25),
    [sym_while_statement] = STATE(25),
    [sym_do_statement] = STATE(25),
    [sym_for_statement] = STATE(25),
    [sym_return_statement] = STATE(25),
    [sym_break_statement] = STATE(25),
    [sym_continue_statement] = STATE(25),
    [sym_goto_statement] = STATE(25),
    [sym_seh_try_statement] = STATE(25),
    [sym_seh_leave_statement] = STATE(25),
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8707),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(25),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2138),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(25),
    [sym_template_instantiation] = STATE(25),
    [sym_operator_cast] = STATE(7349),
    [sym__constructor_specifiers] = STATE(2138),
    [sym_operator_cast_definition] = STATE(25),
    [sym_operator_cast_declaration] = STATE(25),
    [sym_constructor_or_destructor_definition] = STATE(25),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(25),
    [sym_namespace_alias_definition] = STATE(25),
    [sym_using_declaration] = STATE(25),
    [sym_alias_declaration] = STATE(25),
    [sym_static_assert_declaration] = STATE(25),
    [sym_concept_definition] = STATE(25),
    [sym_for_range_loop] = STATE(25),
    [sym_co_return_statement] = STATE(25),
    [sym_co_yield_statement] = STATE(25),
    [sym_throw_statement] = STATE(25),
    [sym_try_statement] = STATE(25),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7349),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(25),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2138),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [18] = {
    [sym_preproc_include] = STATE(21),
    [sym_preproc_def] = STATE(21),
    [sym_preproc_function_def] = STATE(21),
    [sym_preproc_call] = STATE(21),
    [sym_preproc_if] = STATE(21),
    [sym_preproc_ifdef] = STATE(21),
    [sym_preproc_else] = STATE(9038),
    [sym_preproc_elif] = STATE(9038),
    [sym_preproc_elifdef] = STATE(9038),
    [sym_function_definition] = STATE(21),
    [sym_declaration] = STATE(21),
    [sym_type_definition] = STATE(21),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5798),
    [sym_linkage_specification] = STATE(21),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2167),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7035),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(21),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(4100),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(21),
    [sym_labeled_statement] = STATE(21),
    [sym_expression_statement] = STATE(21),
    [sym_if_statement] = STATE(21),
    [sym_switch_statement] = STATE(21),
    [sym_case_statement] = STATE(21),
    [sym_while_statement] = STATE(21),
    [sym_do_statement] = STATE(21),
    [sym_for_statement] = STATE(21),
    [sym_return_statement] = STATE(21),
    [sym_break_statement] = STATE(21),
    [sym_continue_statement] = STATE(21),
    [sym_goto_statement] = STATE(21),
    [sym_seh_try_statement] = STATE(21),
    [sym_seh_leave_statement] = STATE(21),
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8707),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(21),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2138),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(21),
    [sym_template_instantiation] = STATE(21),
    [sym_operator_cast] = STATE(7349),
    [sym__constructor_specifiers] = STATE(2138),
    [sym_operator_cast_definition] = STATE(21),
    [sym_operator_cast_declaration] = STATE(21),
    [sym_constructor_or_destructor_definition] = STATE(21),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(21),
    [sym_namespace_alias_definition] = STATE(21),
    [sym_using_declaration] = STATE(21),
    [sym_alias_declaration] = STATE(21),
    [sym_static_assert_declaration] = STATE(21),
    [sym_concept_definition] = STATE(21),
    [sym_for_range_loop] = STATE(21),
    [sym_co_return_statement] = STATE(21),
    [sym_co_yield_statement] = STATE(21),
    [sym_throw_statement] = STATE(21),
    [sym_try_statement] = STATE(21),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7349),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(21),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2138),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [19] = {
    [sym_preproc_include] = STATE(16),
    [sym_preproc_def] = STATE(16),
    [sym_preproc_function_def] = STATE(16),
    [sym_preproc_call] = STATE(16),
    [sym_preproc_if] = STATE(16),
    [sym_preproc_ifdef] = STATE(16),
    [sym_preproc_else] = STATE(9080),
    [sym_preproc_elif] = STATE(9080),
    [sym_preproc_elifdef] = STATE(9080),
    [sym_function_definition] = STATE(16),
    [sym_declaration] = STATE(16),
    [sym_type_definition] = STATE(16),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5798),
    [sym_linkage_specification] = STATE(16),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2167),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7035),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(16),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(4100),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(16),
    [sym_labeled_statement] = STATE(16),
    [sym_expression_statement] = STATE(16),
    [sym_if_statement] = STATE(16),
    [sym_switch_statement] = STATE(16),
    [sym_case_statement] = STATE(16),
    [sym_while_statement] = STATE(16),
    [sym_do_statement] = STATE(16),
    [sym_for_statement] = STATE(16),
    [sym_return_statement] = STATE(16),
    [sym_break_statement] = STATE(16),
    [sym_continue_statement] = STATE(16),
    [sym_goto_statement] = STATE(16),
    [sym_seh_try_statement] = STATE(16),
    [sym_seh_leave_statement] = STATE(16),
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8707),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(16),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2138),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(16),
    [sym_template_instantiation] = STATE(16),
    [sym_operator_cast] = STATE(7349),
    [sym__constructor_specifiers] = STATE(2138),
    [sym_operator_cast_definition] = STATE(16),
    [sym_operator_cast_declaration] = STATE(16),
    [sym_constructor_or_destructor_definition] = STATE(16),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(16),
    [sym_namespace_alias_definition] = STATE(16),
    [sym_using_declaration] = STATE(16),
    [sym_alias_declaration] = STATE(16),
    [sym_static_assert_declaration] = STATE(16),
    [sym_concept_definition] = STATE(16),
    [sym_for_range_loop] = STATE(16),
    [sym_co_return_statement] = STATE(16),
    [sym_co_yield_statement] = STATE(16),
    [sym_throw_statement] = STATE(16),
    [sym_try_statement] = STATE(16),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7349),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(16),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2138),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [20] = {
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_preproc_else] = STATE(8871),
    [sym_preproc_elif] = STATE(8871),
    [sym_preproc_elifdef] = STATE(8871),
    [sym_function_definition] = STATE(28),
    [sym_declaration] = STATE(28),
    [sym_type_definition] = STATE(28),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5798),
    [sym_linkage_specification] = STATE(28),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2167),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7035),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(28),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(4100),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(28),
    [sym_labeled_statement] = STATE(28),
    [sym_expression_statement] = STATE(28),
    [sym_if_statement] = STATE(28),
    [sym_switch_statement] = STATE(28),
    [sym_case_statement] = STATE(28),
    [sym_while_statement] = STATE(28),
    [sym_do_statement] = STATE(28),
    [sym_for_statement] = STATE(28),
    [sym_return_statement] = STATE(28),
    [sym_break_statement] = STATE(28),
    [sym_continue_statement] = STATE(28),
    [sym_goto_statement] = STATE(28),
    [sym_seh_try_statement] = STATE(28),
    [sym_seh_leave_statement] = STATE(28),
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8707),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(28),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2138),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(28),
    [sym_template_instantiation] = STATE(28),
    [sym_operator_cast] = STATE(7349),
    [sym__constructor_specifiers] = STATE(2138),
    [sym_operator_cast_definition] = STATE(28),
    [sym_operator_cast_declaration] = STATE(28),
    [sym_constructor_or_destructor_definition] = STATE(28),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(28),
    [sym_namespace_alias_definition] = STATE(28),
    [sym_using_declaration] = STATE(28),
    [sym_alias_declaration] = STATE(28),
    [sym_static_assert_declaration] = STATE(28),
    [sym_concept_definition] = STATE(28),
    [sym_for_range_loop] = STATE(28),
    [sym_co_return_statement] = STATE(28),
    [sym_co_yield_statement] = STATE(28),
    [sym_throw_statement] = STATE(28),
    [sym_try_statement] = STATE(28),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7349),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(28),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2138),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [21] = {
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_preproc_else] = STATE(8807),
    [sym_preproc_elif] = STATE(8807),
    [sym_preproc_elifdef] = STATE(8807),
    [sym_function_definition] = STATE(28),
    [sym_declaration] = STATE(28),
    [sym_type_definition] = STATE(28),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5798),
    [sym_linkage_specification] = STATE(28),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2167),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7035),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(28),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(4100),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(28),
    [sym_labeled_statement] = STATE(28),
    [sym_expression_statement] = STATE(28),
    [sym_if_statement] = STATE(28),
    [sym_switch_statement] = STATE(28),
    [sym_case_statement] = STATE(28),
    [sym_while_statement] = STATE(28),
    [sym_do_statement] = STATE(28),
    [sym_for_statement] = STATE(28),
    [sym_return_statement] = STATE(28),
    [sym_break_statement] = STATE(28),
    [sym_continue_statement] = STATE(28),
    [sym_goto_statement] = STATE(28),
    [sym_seh_try_statement] = STATE(28),
    [sym_seh_leave_statement] = STATE(28),
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8707),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(28),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2138),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(28),
    [sym_template_instantiation] = STATE(28),
    [sym_operator_cast] = STATE(7349),
    [sym__constructor_specifiers] = STATE(2138),
    [sym_operator_cast_definition] = STATE(28),
    [sym_operator_cast_declaration] = STATE(28),
    [sym_constructor_or_destructor_definition] = STATE(28),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(28),
    [sym_namespace_alias_definition] = STATE(28),
    [sym_using_declaration] = STATE(28),
    [sym_alias_declaration] = STATE(28),
    [sym_static_assert_declaration] = STATE(28),
    [sym_concept_definition] = STATE(28),
    [sym_for_range_loop] = STATE(28),
    [sym_co_return_statement] = STATE(28),
    [sym_co_yield_statement] = STATE(28),
    [sym_throw_statement] = STATE(28),
    [sym_try_statement] = STATE(28),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7349),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(28),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2138),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [22] = {
    [sym_preproc_include] = STATE(20),
    [sym_preproc_def] = STATE(20),
    [sym_preproc_function_def] = STATE(20),
    [sym_preproc_call] = STATE(20),
    [sym_preproc_if] = STATE(20),
    [sym_preproc_ifdef] = STATE(20),
    [sym_preproc_else] = STATE(8907),
    [sym_preproc_elif] = STATE(8907),
    [sym_preproc_elifdef] = STATE(8907),
    [sym_function_definition] = STATE(20),
    [sym_declaration] = STATE(20),
    [sym_type_definition] = STATE(20),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5798),
    [sym_linkage_specification] = STATE(20),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2167),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7035),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(20),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(4100),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(20),
    [sym_labeled_statement] = STATE(20),
    [sym_expression_statement] = STATE(20),
    [sym_if_statement] = STATE(20),
    [sym_switch_statement] = STATE(20),
    [sym_case_statement] = STATE(20),
    [sym_while_statement] = STATE(20),
    [sym_do_statement] = STATE(20),
    [sym_for_statement] = STATE(20),
    [sym_return_statement] = STATE(20),
    [sym_break_statement] = STATE(20),
    [sym_continue_statement] = STATE(20),
    [sym_goto_statement] = STATE(20),
    [sym_seh_try_statement] = STATE(20),
    [sym_seh_leave_statement] = STATE(20),
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8707),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(20),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2138),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(20),
    [sym_template_instantiation] = STATE(20),
    [sym_operator_cast] = STATE(7349),
    [sym__constructor_specifiers] = STATE(2138),
    [sym_operator_cast_definition] = STATE(20),
    [sym_operator_cast_declaration] = STATE(20),
    [sym_constructor_or_destructor_definition] = STATE(20),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(20),
    [sym_namespace_alias_definition] = STATE(20),
    [sym_using_declaration] = STATE(20),
    [sym_alias_declaration] = STATE(20),
    [sym_static_assert_declaration] = STATE(20),
    [sym_concept_definition] = STATE(20),
    [sym_for_range_loop] = STATE(20),
    [sym_co_return_statement] = STATE(20),
    [sym_co_yield_statement] = STATE(20),
    [sym_throw_statement] = STATE(20),
    [sym_try_statement] = STATE(20),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7349),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(20),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2138),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [23] = {
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_preproc_else] = STATE(8660),
    [sym_preproc_elif] = STATE(8660),
    [sym_preproc_elifdef] = STATE(8660),
    [sym_function_definition] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5798),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2167),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7035),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(24),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(4100),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_case_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_goto_statement] = STATE(24),
    [sym_seh_try_statement] = STATE(24),
    [sym_seh_leave_statement] = STATE(24),
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8707),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(24),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2138),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(24),
    [sym_template_instantiation] = STATE(24),
    [sym_operator_cast] = STATE(7349),
    [sym__constructor_specifiers] = STATE(2138),
    [sym_operator_cast_definition] = STATE(24),
    [sym_operator_cast_declaration] = STATE(24),
    [sym_constructor_or_destructor_definition] = STATE(24),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(24),
    [sym_namespace_alias_definition] = STATE(24),
    [sym_using_declaration] = STATE(24),
    [sym_alias_declaration] = STATE(24),
    [sym_static_assert_declaration] = STATE(24),
    [sym_concept_definition] = STATE(24),
    [sym_for_range_loop] = STATE(24),
    [sym_co_return_statement] = STATE(24),
    [sym_co_yield_statement] = STATE(24),
    [sym_throw_statement] = STATE(24),
    [sym_try_statement] = STATE(24),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7349),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2138),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [24] = {
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_preproc_else] = STATE(8654),
    [sym_preproc_elif] = STATE(8654),
    [sym_preproc_elifdef] = STATE(8654),
    [sym_function_definition] = STATE(28),
    [sym_declaration] = STATE(28),
    [sym_type_definition] = STATE(28),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5798),
    [sym_linkage_specification] = STATE(28),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2167),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7035),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(28),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(4100),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(28),
    [sym_labeled_statement] = STATE(28),
    [sym_expression_statement] = STATE(28),
    [sym_if_statement] = STATE(28),
    [sym_switch_statement] = STATE(28),
    [sym_case_statement] = STATE(28),
    [sym_while_statement] = STATE(28),
    [sym_do_statement] = STATE(28),
    [sym_for_statement] = STATE(28),
    [sym_return_statement] = STATE(28),
    [sym_break_statement] = STATE(28),
    [sym_continue_statement] = STATE(28),
    [sym_goto_statement] = STATE(28),
    [sym_seh_try_statement] = STATE(28),
    [sym_seh_leave_statement] = STATE(28),
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8707),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(28),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2138),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(28),
    [sym_template_instantiation] = STATE(28),
    [sym_operator_cast] = STATE(7349),
    [sym__constructor_specifiers] = STATE(2138),
    [sym_operator_cast_definition] = STATE(28),
    [sym_operator_cast_declaration] = STATE(28),
    [sym_constructor_or_destructor_definition] = STATE(28),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(28),
    [sym_namespace_alias_definition] = STATE(28),
    [sym_using_declaration] = STATE(28),
    [sym_alias_declaration] = STATE(28),
    [sym_static_assert_declaration] = STATE(28),
    [sym_concept_definition] = STATE(28),
    [sym_for_range_loop] = STATE(28),
    [sym_co_return_statement] = STATE(28),
    [sym_co_yield_statement] = STATE(28),
    [sym_throw_statement] = STATE(28),
    [sym_try_statement] = STATE(28),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7349),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(28),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2138),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [25] = {
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_preproc_else] = STATE(9092),
    [sym_preproc_elif] = STATE(9092),
    [sym_preproc_elifdef] = STATE(9092),
    [sym_function_definition] = STATE(28),
    [sym_declaration] = STATE(28),
    [sym_type_definition] = STATE(28),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5798),
    [sym_linkage_specification] = STATE(28),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2167),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7035),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(28),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(4100),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(28),
    [sym_labeled_statement] = STATE(28),
    [sym_expression_statement] = STATE(28),
    [sym_if_statement] = STATE(28),
    [sym_switch_statement] = STATE(28),
    [sym_case_statement] = STATE(28),
    [sym_while_statement] = STATE(28),
    [sym_do_statement] = STATE(28),
    [sym_for_statement] = STATE(28),
    [sym_return_statement] = STATE(28),
    [sym_break_statement] = STATE(28),
    [sym_continue_statement] = STATE(28),
    [sym_goto_statement] = STATE(28),
    [sym_seh_try_statement] = STATE(28),
    [sym_seh_leave_statement] = STATE(28),
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8707),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(28),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2138),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(28),
    [sym_template_instantiation] = STATE(28),
    [sym_operator_cast] = STATE(7349),
    [sym__constructor_specifiers] = STATE(2138),
    [sym_operator_cast_definition] = STATE(28),
    [sym_operator_cast_declaration] = STATE(28),
    [sym_constructor_or_destructor_definition] = STATE(28),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(28),
    [sym_namespace_alias_definition] = STATE(28),
    [sym_using_declaration] = STATE(28),
    [sym_alias_declaration] = STATE(28),
    [sym_static_assert_declaration] = STATE(28),
    [sym_concept_definition] = STATE(28),
    [sym_for_range_loop] = STATE(28),
    [sym_co_return_statement] = STATE(28),
    [sym_co_yield_statement] = STATE(28),
    [sym_throw_statement] = STATE(28),
    [sym_try_statement] = STATE(28),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7349),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(28),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2138),
    [sym_identifier] = ACTIONS(265),
    [aux_sym_preproc_include_token1] = ACTIONS(267),
    [aux_sym_preproc_def_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token1] = ACTIONS(271),
    [aux_sym_preproc_if_token2] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(275),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(281),
    [sym_preproc_directive] = ACTIONS(283),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_extern] = ACTIONS(291),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(295),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(323),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_using] = ACTIONS(331),
    [anon_sym_static_assert] = ACTIONS(333),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [26] = {
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(9091),
    [sym_preproc_elif] = STATE(9091),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5832),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2191),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7032),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(33),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3909),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(33),
    [sym_labeled_statement] = STATE(33),
    [sym_expression_statement] = STATE(33),
    [sym_if_statement] = STATE(33),
    [sym_switch_statement] = STATE(33),
    [sym_case_statement] = STATE(33),
    [sym_while_statement] = STATE(33),
    [sym_do_statement] = STATE(33),
    [sym_for_statement] = STATE(33),
    [sym_return_statement] = STATE(33),
    [sym_break_statement] = STATE(33),
    [sym_continue_statement] = STATE(33),
    [sym_goto_statement] = STATE(33),
    [sym_seh_try_statement] = STATE(33),
    [sym_seh_leave_statement] = STATE(33),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2179),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(7346),
    [sym__constructor_specifiers] = STATE(2179),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(33),
    [sym_co_return_statement] = STATE(33),
    [sym_co_yield_statement] = STATE(33),
    [sym_throw_statement] = STATE(33),
    [sym_try_statement] = STATE(33),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7346),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2179),
    [sym_identifier] = ACTIONS(359),
    [aux_sym_preproc_include_token1] = ACTIONS(361),
    [aux_sym_preproc_def_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token1] = ACTIONS(365),
    [aux_sym_preproc_if_token2] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(369),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(371),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(373),
    [anon_sym___extension__] = ACTIONS(375),
    [anon_sym_typedef] = ACTIONS(377),
    [anon_sym_extern] = ACTIONS(379),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(383),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_switch] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(389),
    [anon_sym_default] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(401),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_goto] = ACTIONS(405),
    [anon_sym___try] = ACTIONS(407),
    [anon_sym___leave] = ACTIONS(409),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(411),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_namespace] = ACTIONS(417),
    [anon_sym_using] = ACTIONS(419),
    [anon_sym_static_assert] = ACTIONS(421),
    [anon_sym_concept] = ACTIONS(423),
    [anon_sym_co_return] = ACTIONS(425),
    [anon_sym_co_yield] = ACTIONS(427),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [27] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(9220),
    [sym_preproc_elif] = STATE(9220),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5832),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2191),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7032),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3909),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2179),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7346),
    [sym__constructor_specifiers] = STATE(2179),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7346),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2179),
    [sym_identifier] = ACTIONS(359),
    [aux_sym_preproc_include_token1] = ACTIONS(361),
    [aux_sym_preproc_def_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token1] = ACTIONS(365),
    [aux_sym_preproc_if_token2] = ACTIONS(429),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(369),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(371),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(373),
    [anon_sym___extension__] = ACTIONS(375),
    [anon_sym_typedef] = ACTIONS(377),
    [anon_sym_extern] = ACTIONS(379),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(383),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_switch] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(389),
    [anon_sym_default] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(401),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_goto] = ACTIONS(405),
    [anon_sym___try] = ACTIONS(407),
    [anon_sym___leave] = ACTIONS(409),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(411),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_namespace] = ACTIONS(417),
    [anon_sym_using] = ACTIONS(419),
    [anon_sym_static_assert] = ACTIONS(421),
    [anon_sym_concept] = ACTIONS(423),
    [anon_sym_co_return] = ACTIONS(425),
    [anon_sym_co_yield] = ACTIONS(427),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [28] = {
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_function_definition] = STATE(28),
    [sym_declaration] = STATE(28),
    [sym_type_definition] = STATE(28),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5798),
    [sym_linkage_specification] = STATE(28),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2167),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7035),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(28),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(4100),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(28),
    [sym_labeled_statement] = STATE(28),
    [sym_expression_statement] = STATE(28),
    [sym_if_statement] = STATE(28),
    [sym_switch_statement] = STATE(28),
    [sym_case_statement] = STATE(28),
    [sym_while_statement] = STATE(28),
    [sym_do_statement] = STATE(28),
    [sym_for_statement] = STATE(28),
    [sym_return_statement] = STATE(28),
    [sym_break_statement] = STATE(28),
    [sym_continue_statement] = STATE(28),
    [sym_goto_statement] = STATE(28),
    [sym_seh_try_statement] = STATE(28),
    [sym_seh_leave_statement] = STATE(28),
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8707),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(28),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2138),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(28),
    [sym_template_instantiation] = STATE(28),
    [sym_operator_cast] = STATE(7349),
    [sym__constructor_specifiers] = STATE(2138),
    [sym_operator_cast_definition] = STATE(28),
    [sym_operator_cast_declaration] = STATE(28),
    [sym_constructor_or_destructor_definition] = STATE(28),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(28),
    [sym_namespace_alias_definition] = STATE(28),
    [sym_using_declaration] = STATE(28),
    [sym_alias_declaration] = STATE(28),
    [sym_static_assert_declaration] = STATE(28),
    [sym_concept_definition] = STATE(28),
    [sym_for_range_loop] = STATE(28),
    [sym_co_return_statement] = STATE(28),
    [sym_co_yield_statement] = STATE(28),
    [sym_throw_statement] = STATE(28),
    [sym_try_statement] = STATE(28),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7349),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(28),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2138),
    [sym_identifier] = ACTIONS(431),
    [aux_sym_preproc_include_token1] = ACTIONS(434),
    [aux_sym_preproc_def_token1] = ACTIONS(437),
    [aux_sym_preproc_if_token1] = ACTIONS(440),
    [aux_sym_preproc_if_token2] = ACTIONS(443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(445),
    [aux_sym_preproc_else_token1] = ACTIONS(443),
    [aux_sym_preproc_elif_token1] = ACTIONS(443),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(443),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(443),
    [sym_preproc_directive] = ACTIONS(448),
    [anon_sym_LPAREN2] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(454),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_PLUS] = ACTIONS(460),
    [anon_sym_STAR] = ACTIONS(463),
    [anon_sym_AMP_AMP] = ACTIONS(466),
    [anon_sym_AMP] = ACTIONS(469),
    [anon_sym_SEMI] = ACTIONS(472),
    [anon_sym___extension__] = ACTIONS(475),
    [anon_sym_typedef] = ACTIONS(478),
    [anon_sym_extern] = ACTIONS(481),
    [anon_sym___attribute__] = ACTIONS(484),
    [anon_sym_COLON_COLON] = ACTIONS(487),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(490),
    [anon_sym___declspec] = ACTIONS(493),
    [anon_sym___based] = ACTIONS(496),
    [anon_sym___cdecl] = ACTIONS(499),
    [anon_sym___clrcall] = ACTIONS(499),
    [anon_sym___stdcall] = ACTIONS(499),
    [anon_sym___fastcall] = ACTIONS(499),
    [anon_sym___thiscall] = ACTIONS(499),
    [anon_sym___vectorcall] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(502),
    [anon_sym_signed] = ACTIONS(505),
    [anon_sym_unsigned] = ACTIONS(505),
    [anon_sym_long] = ACTIONS(505),
    [anon_sym_short] = ACTIONS(505),
    [anon_sym_LBRACK] = ACTIONS(508),
    [anon_sym_static] = ACTIONS(511),
    [anon_sym_register] = ACTIONS(511),
    [anon_sym_inline] = ACTIONS(514),
    [anon_sym___inline] = ACTIONS(511),
    [anon_sym___inline__] = ACTIONS(511),
    [anon_sym___forceinline] = ACTIONS(511),
    [anon_sym_thread_local] = ACTIONS(511),
    [anon_sym___thread] = ACTIONS(511),
    [anon_sym_const] = ACTIONS(517),
    [anon_sym_constexpr] = ACTIONS(517),
    [anon_sym_volatile] = ACTIONS(517),
    [anon_sym_restrict] = ACTIONS(517),
    [anon_sym___restrict__] = ACTIONS(517),
    [anon_sym__Atomic] = ACTIONS(517),
    [anon_sym__Noreturn] = ACTIONS(517),
    [anon_sym_noreturn] = ACTIONS(517),
    [anon_sym_mutable] = ACTIONS(517),
    [anon_sym_constinit] = ACTIONS(517),
    [anon_sym_consteval] = ACTIONS(517),
    [anon_sym_PROGMEM] = ACTIONS(517),
    [aux_sym_primitive_type_token1] = ACTIONS(520),
    [anon_sym_byte] = ACTIONS(520),
    [anon_sym_word] = ACTIONS(520),
    [anon_sym_enum] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(526),
    [anon_sym_struct] = ACTIONS(529),
    [anon_sym_union] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(535),
    [anon_sym_switch] = ACTIONS(538),
    [anon_sym_case] = ACTIONS(541),
    [anon_sym_default] = ACTIONS(544),
    [anon_sym_while] = ACTIONS(547),
    [anon_sym_do] = ACTIONS(550),
    [anon_sym_for] = ACTIONS(553),
    [anon_sym_return] = ACTIONS(556),
    [anon_sym_break] = ACTIONS(559),
    [anon_sym_continue] = ACTIONS(562),
    [anon_sym_goto] = ACTIONS(565),
    [anon_sym___try] = ACTIONS(568),
    [anon_sym___leave] = ACTIONS(571),
    [anon_sym_not] = ACTIONS(460),
    [anon_sym_compl] = ACTIONS(460),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(577),
    [anon_sym___alignof__] = ACTIONS(580),
    [anon_sym___alignof] = ACTIONS(580),
    [anon_sym__alignof] = ACTIONS(580),
    [anon_sym_alignof] = ACTIONS(580),
    [anon_sym__Alignof] = ACTIONS(580),
    [anon_sym_offsetof] = ACTIONS(583),
    [anon_sym__Generic] = ACTIONS(586),
    [anon_sym_asm] = ACTIONS(589),
    [anon_sym___asm__] = ACTIONS(589),
    [aux_sym_number_literal_token1] = ACTIONS(592),
    [aux_sym_number_literal_token2] = ACTIONS(595),
    [anon_sym_L_SQUOTE] = ACTIONS(598),
    [anon_sym_u_SQUOTE] = ACTIONS(598),
    [anon_sym_U_SQUOTE] = ACTIONS(598),
    [anon_sym_u8_SQUOTE] = ACTIONS(598),
    [anon_sym_SQUOTE] = ACTIONS(598),
    [anon_sym_L_DQUOTE] = ACTIONS(601),
    [anon_sym_u_DQUOTE] = ACTIONS(601),
    [anon_sym_U_DQUOTE] = ACTIONS(601),
    [anon_sym_u8_DQUOTE] = ACTIONS(601),
    [anon_sym_DQUOTE] = ACTIONS(601),
    [sym_true] = ACTIONS(604),
    [sym_false] = ACTIONS(604),
    [anon_sym_NULL] = ACTIONS(607),
    [anon_sym_nullptr] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(610),
    [anon_sym_decltype] = ACTIONS(613),
    [anon_sym_virtual] = ACTIONS(616),
    [anon_sym_alignas] = ACTIONS(619),
    [anon_sym_explicit] = ACTIONS(622),
    [anon_sym_typename] = ACTIONS(625),
    [anon_sym_template] = ACTIONS(628),
    [anon_sym_operator] = ACTIONS(631),
    [anon_sym_try] = ACTIONS(634),
    [anon_sym_delete] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(640),
    [anon_sym_namespace] = ACTIONS(643),
    [anon_sym_using] = ACTIONS(646),
    [anon_sym_static_assert] = ACTIONS(649),
    [anon_sym_concept] = ACTIONS(652),
    [anon_sym_co_return] = ACTIONS(655),
    [anon_sym_co_yield] = ACTIONS(658),
    [anon_sym_R_DQUOTE] = ACTIONS(661),
    [anon_sym_LR_DQUOTE] = ACTIONS(661),
    [anon_sym_uR_DQUOTE] = ACTIONS(661),
    [anon_sym_UR_DQUOTE] = ACTIONS(661),
    [anon_sym_u8R_DQUOTE] = ACTIONS(661),
    [anon_sym_co_await] = ACTIONS(664),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_requires] = ACTIONS(670),
    [sym_this] = ACTIONS(604),
  },
  [29] = {
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_preproc_else] = STATE(8653),
    [sym_preproc_elif] = STATE(8653),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5832),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2191),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7032),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(31),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3909),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(31),
    [sym_labeled_statement] = STATE(31),
    [sym_expression_statement] = STATE(31),
    [sym_if_statement] = STATE(31),
    [sym_switch_statement] = STATE(31),
    [sym_case_statement] = STATE(31),
    [sym_while_statement] = STATE(31),
    [sym_do_statement] = STATE(31),
    [sym_for_statement] = STATE(31),
    [sym_return_statement] = STATE(31),
    [sym_break_statement] = STATE(31),
    [sym_continue_statement] = STATE(31),
    [sym_goto_statement] = STATE(31),
    [sym_seh_try_statement] = STATE(31),
    [sym_seh_leave_statement] = STATE(31),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(31),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2179),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(31),
    [sym_template_instantiation] = STATE(31),
    [sym_operator_cast] = STATE(7346),
    [sym__constructor_specifiers] = STATE(2179),
    [sym_operator_cast_definition] = STATE(31),
    [sym_operator_cast_declaration] = STATE(31),
    [sym_constructor_or_destructor_definition] = STATE(31),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(31),
    [sym_namespace_alias_definition] = STATE(31),
    [sym_using_declaration] = STATE(31),
    [sym_alias_declaration] = STATE(31),
    [sym_static_assert_declaration] = STATE(31),
    [sym_concept_definition] = STATE(31),
    [sym_for_range_loop] = STATE(31),
    [sym_co_return_statement] = STATE(31),
    [sym_co_yield_statement] = STATE(31),
    [sym_throw_statement] = STATE(31),
    [sym_try_statement] = STATE(31),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7346),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2179),
    [sym_identifier] = ACTIONS(359),
    [aux_sym_preproc_include_token1] = ACTIONS(361),
    [aux_sym_preproc_def_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token1] = ACTIONS(365),
    [aux_sym_preproc_if_token2] = ACTIONS(673),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(369),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(371),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(373),
    [anon_sym___extension__] = ACTIONS(375),
    [anon_sym_typedef] = ACTIONS(377),
    [anon_sym_extern] = ACTIONS(379),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(383),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_switch] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(389),
    [anon_sym_default] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(401),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_goto] = ACTIONS(405),
    [anon_sym___try] = ACTIONS(407),
    [anon_sym___leave] = ACTIONS(409),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(411),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_namespace] = ACTIONS(417),
    [anon_sym_using] = ACTIONS(419),
    [anon_sym_static_assert] = ACTIONS(421),
    [anon_sym_concept] = ACTIONS(423),
    [anon_sym_co_return] = ACTIONS(425),
    [anon_sym_co_yield] = ACTIONS(427),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [30] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_preproc_else] = STATE(8951),
    [sym_preproc_elif] = STATE(8951),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5832),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2191),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7032),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3909),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2179),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(7346),
    [sym__constructor_specifiers] = STATE(2179),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7346),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2179),
    [sym_identifier] = ACTIONS(359),
    [aux_sym_preproc_include_token1] = ACTIONS(361),
    [aux_sym_preproc_def_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token1] = ACTIONS(365),
    [aux_sym_preproc_if_token2] = ACTIONS(675),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(369),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(371),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(373),
    [anon_sym___extension__] = ACTIONS(375),
    [anon_sym_typedef] = ACTIONS(377),
    [anon_sym_extern] = ACTIONS(379),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(383),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_switch] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(389),
    [anon_sym_default] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(401),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_goto] = ACTIONS(405),
    [anon_sym___try] = ACTIONS(407),
    [anon_sym___leave] = ACTIONS(409),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(411),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_namespace] = ACTIONS(417),
    [anon_sym_using] = ACTIONS(419),
    [anon_sym_static_assert] = ACTIONS(421),
    [anon_sym_concept] = ACTIONS(423),
    [anon_sym_co_return] = ACTIONS(425),
    [anon_sym_co_yield] = ACTIONS(427),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [31] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(8681),
    [sym_preproc_elif] = STATE(8681),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5832),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2191),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7032),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3909),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2179),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7346),
    [sym__constructor_specifiers] = STATE(2179),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7346),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2179),
    [sym_identifier] = ACTIONS(359),
    [aux_sym_preproc_include_token1] = ACTIONS(361),
    [aux_sym_preproc_def_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token1] = ACTIONS(365),
    [aux_sym_preproc_if_token2] = ACTIONS(677),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(369),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(371),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(373),
    [anon_sym___extension__] = ACTIONS(375),
    [anon_sym_typedef] = ACTIONS(377),
    [anon_sym_extern] = ACTIONS(379),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(383),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_switch] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(389),
    [anon_sym_default] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(401),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_goto] = ACTIONS(405),
    [anon_sym___try] = ACTIONS(407),
    [anon_sym___leave] = ACTIONS(409),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(411),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_namespace] = ACTIONS(417),
    [anon_sym_using] = ACTIONS(419),
    [anon_sym_static_assert] = ACTIONS(421),
    [anon_sym_concept] = ACTIONS(423),
    [anon_sym_co_return] = ACTIONS(425),
    [anon_sym_co_yield] = ACTIONS(427),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [32] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_preproc_else] = STATE(9219),
    [sym_preproc_elif] = STATE(9219),
    [sym_function_definition] = STATE(34),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5832),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2191),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7032),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(34),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3909),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(34),
    [sym_labeled_statement] = STATE(34),
    [sym_expression_statement] = STATE(34),
    [sym_if_statement] = STATE(34),
    [sym_switch_statement] = STATE(34),
    [sym_case_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_do_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_return_statement] = STATE(34),
    [sym_break_statement] = STATE(34),
    [sym_continue_statement] = STATE(34),
    [sym_goto_statement] = STATE(34),
    [sym_seh_try_statement] = STATE(34),
    [sym_seh_leave_statement] = STATE(34),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(34),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2179),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(34),
    [sym_template_instantiation] = STATE(34),
    [sym_operator_cast] = STATE(7346),
    [sym__constructor_specifiers] = STATE(2179),
    [sym_operator_cast_definition] = STATE(34),
    [sym_operator_cast_declaration] = STATE(34),
    [sym_constructor_or_destructor_definition] = STATE(34),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(34),
    [sym_namespace_alias_definition] = STATE(34),
    [sym_using_declaration] = STATE(34),
    [sym_alias_declaration] = STATE(34),
    [sym_static_assert_declaration] = STATE(34),
    [sym_concept_definition] = STATE(34),
    [sym_for_range_loop] = STATE(34),
    [sym_co_return_statement] = STATE(34),
    [sym_co_yield_statement] = STATE(34),
    [sym_throw_statement] = STATE(34),
    [sym_try_statement] = STATE(34),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7346),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2179),
    [sym_identifier] = ACTIONS(359),
    [aux_sym_preproc_include_token1] = ACTIONS(361),
    [aux_sym_preproc_def_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token1] = ACTIONS(365),
    [aux_sym_preproc_if_token2] = ACTIONS(679),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(369),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(371),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(373),
    [anon_sym___extension__] = ACTIONS(375),
    [anon_sym_typedef] = ACTIONS(377),
    [anon_sym_extern] = ACTIONS(379),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(383),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_switch] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(389),
    [anon_sym_default] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(401),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_goto] = ACTIONS(405),
    [anon_sym___try] = ACTIONS(407),
    [anon_sym___leave] = ACTIONS(409),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(411),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_namespace] = ACTIONS(417),
    [anon_sym_using] = ACTIONS(419),
    [anon_sym_static_assert] = ACTIONS(421),
    [anon_sym_concept] = ACTIONS(423),
    [anon_sym_co_return] = ACTIONS(425),
    [anon_sym_co_yield] = ACTIONS(427),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [33] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(9133),
    [sym_preproc_elif] = STATE(9133),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5832),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2191),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7032),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3909),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2179),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7346),
    [sym__constructor_specifiers] = STATE(2179),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7346),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2179),
    [sym_identifier] = ACTIONS(359),
    [aux_sym_preproc_include_token1] = ACTIONS(361),
    [aux_sym_preproc_def_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token1] = ACTIONS(365),
    [aux_sym_preproc_if_token2] = ACTIONS(681),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(369),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(371),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(373),
    [anon_sym___extension__] = ACTIONS(375),
    [anon_sym_typedef] = ACTIONS(377),
    [anon_sym_extern] = ACTIONS(379),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(383),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_switch] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(389),
    [anon_sym_default] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(401),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_goto] = ACTIONS(405),
    [anon_sym___try] = ACTIONS(407),
    [anon_sym___leave] = ACTIONS(409),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(411),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_namespace] = ACTIONS(417),
    [anon_sym_using] = ACTIONS(419),
    [anon_sym_static_assert] = ACTIONS(421),
    [anon_sym_concept] = ACTIONS(423),
    [anon_sym_co_return] = ACTIONS(425),
    [anon_sym_co_yield] = ACTIONS(427),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [34] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(9345),
    [sym_preproc_elif] = STATE(9345),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5832),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2191),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7032),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3909),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2179),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7346),
    [sym__constructor_specifiers] = STATE(2179),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7346),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2179),
    [sym_identifier] = ACTIONS(359),
    [aux_sym_preproc_include_token1] = ACTIONS(361),
    [aux_sym_preproc_def_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token1] = ACTIONS(365),
    [aux_sym_preproc_if_token2] = ACTIONS(683),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(369),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(371),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(373),
    [anon_sym___extension__] = ACTIONS(375),
    [anon_sym_typedef] = ACTIONS(377),
    [anon_sym_extern] = ACTIONS(379),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(383),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_switch] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(389),
    [anon_sym_default] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(401),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_goto] = ACTIONS(405),
    [anon_sym___try] = ACTIONS(407),
    [anon_sym___leave] = ACTIONS(409),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(411),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_namespace] = ACTIONS(417),
    [anon_sym_using] = ACTIONS(419),
    [anon_sym_static_assert] = ACTIONS(421),
    [anon_sym_concept] = ACTIONS(423),
    [anon_sym_co_return] = ACTIONS(425),
    [anon_sym_co_yield] = ACTIONS(427),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [35] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(9112),
    [sym_preproc_elif] = STATE(9112),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5832),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2191),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7032),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3909),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(27),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2179),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(27),
    [sym_template_instantiation] = STATE(27),
    [sym_operator_cast] = STATE(7346),
    [sym__constructor_specifiers] = STATE(2179),
    [sym_operator_cast_definition] = STATE(27),
    [sym_operator_cast_declaration] = STATE(27),
    [sym_constructor_or_destructor_definition] = STATE(27),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(27),
    [sym_namespace_alias_definition] = STATE(27),
    [sym_using_declaration] = STATE(27),
    [sym_alias_declaration] = STATE(27),
    [sym_static_assert_declaration] = STATE(27),
    [sym_concept_definition] = STATE(27),
    [sym_for_range_loop] = STATE(27),
    [sym_co_return_statement] = STATE(27),
    [sym_co_yield_statement] = STATE(27),
    [sym_throw_statement] = STATE(27),
    [sym_try_statement] = STATE(27),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7346),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2179),
    [sym_identifier] = ACTIONS(359),
    [aux_sym_preproc_include_token1] = ACTIONS(361),
    [aux_sym_preproc_def_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token1] = ACTIONS(365),
    [aux_sym_preproc_if_token2] = ACTIONS(685),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(369),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(371),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(373),
    [anon_sym___extension__] = ACTIONS(375),
    [anon_sym_typedef] = ACTIONS(377),
    [anon_sym_extern] = ACTIONS(379),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(383),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_switch] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(389),
    [anon_sym_default] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(401),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_goto] = ACTIONS(405),
    [anon_sym___try] = ACTIONS(407),
    [anon_sym___leave] = ACTIONS(409),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(411),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_namespace] = ACTIONS(417),
    [anon_sym_using] = ACTIONS(419),
    [anon_sym_static_assert] = ACTIONS(421),
    [anon_sym_concept] = ACTIONS(423),
    [anon_sym_co_return] = ACTIONS(425),
    [anon_sym_co_yield] = ACTIONS(427),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [36] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(8983),
    [sym_preproc_elif] = STATE(8983),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5832),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2191),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7032),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3909),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2179),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7346),
    [sym__constructor_specifiers] = STATE(2179),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7346),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2179),
    [sym_identifier] = ACTIONS(359),
    [aux_sym_preproc_include_token1] = ACTIONS(361),
    [aux_sym_preproc_def_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token1] = ACTIONS(365),
    [aux_sym_preproc_if_token2] = ACTIONS(687),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(369),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(371),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(373),
    [anon_sym___extension__] = ACTIONS(375),
    [anon_sym_typedef] = ACTIONS(377),
    [anon_sym_extern] = ACTIONS(379),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(383),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_switch] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(389),
    [anon_sym_default] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(401),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_goto] = ACTIONS(405),
    [anon_sym___try] = ACTIONS(407),
    [anon_sym___leave] = ACTIONS(409),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(411),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_namespace] = ACTIONS(417),
    [anon_sym_using] = ACTIONS(419),
    [anon_sym_static_assert] = ACTIONS(421),
    [anon_sym_concept] = ACTIONS(423),
    [anon_sym_co_return] = ACTIONS(425),
    [anon_sym_co_yield] = ACTIONS(427),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [37] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(8948),
    [sym_preproc_elif] = STATE(8948),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5832),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2191),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7032),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(38),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3909),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(38),
    [sym_labeled_statement] = STATE(38),
    [sym_expression_statement] = STATE(38),
    [sym_if_statement] = STATE(38),
    [sym_switch_statement] = STATE(38),
    [sym_case_statement] = STATE(38),
    [sym_while_statement] = STATE(38),
    [sym_do_statement] = STATE(38),
    [sym_for_statement] = STATE(38),
    [sym_return_statement] = STATE(38),
    [sym_break_statement] = STATE(38),
    [sym_continue_statement] = STATE(38),
    [sym_goto_statement] = STATE(38),
    [sym_seh_try_statement] = STATE(38),
    [sym_seh_leave_statement] = STATE(38),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2179),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(7346),
    [sym__constructor_specifiers] = STATE(2179),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(38),
    [sym_co_return_statement] = STATE(38),
    [sym_co_yield_statement] = STATE(38),
    [sym_throw_statement] = STATE(38),
    [sym_try_statement] = STATE(38),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7346),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2179),
    [sym_identifier] = ACTIONS(359),
    [aux_sym_preproc_include_token1] = ACTIONS(361),
    [aux_sym_preproc_def_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token1] = ACTIONS(365),
    [aux_sym_preproc_if_token2] = ACTIONS(689),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(369),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(371),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(373),
    [anon_sym___extension__] = ACTIONS(375),
    [anon_sym_typedef] = ACTIONS(377),
    [anon_sym_extern] = ACTIONS(379),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(383),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_switch] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(389),
    [anon_sym_default] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(401),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_goto] = ACTIONS(405),
    [anon_sym___try] = ACTIONS(407),
    [anon_sym___leave] = ACTIONS(409),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(411),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_namespace] = ACTIONS(417),
    [anon_sym_using] = ACTIONS(419),
    [anon_sym_static_assert] = ACTIONS(421),
    [anon_sym_concept] = ACTIONS(423),
    [anon_sym_co_return] = ACTIONS(425),
    [anon_sym_co_yield] = ACTIONS(427),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [38] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(9108),
    [sym_preproc_elif] = STATE(9108),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5832),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2191),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7032),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3909),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2179),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7346),
    [sym__constructor_specifiers] = STATE(2179),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7346),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2179),
    [sym_identifier] = ACTIONS(359),
    [aux_sym_preproc_include_token1] = ACTIONS(361),
    [aux_sym_preproc_def_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token1] = ACTIONS(365),
    [aux_sym_preproc_if_token2] = ACTIONS(691),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(369),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(371),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(373),
    [anon_sym___extension__] = ACTIONS(375),
    [anon_sym_typedef] = ACTIONS(377),
    [anon_sym_extern] = ACTIONS(379),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(383),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_switch] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(389),
    [anon_sym_default] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(401),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_goto] = ACTIONS(405),
    [anon_sym___try] = ACTIONS(407),
    [anon_sym___leave] = ACTIONS(409),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(411),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_namespace] = ACTIONS(417),
    [anon_sym_using] = ACTIONS(419),
    [anon_sym_static_assert] = ACTIONS(421),
    [anon_sym_concept] = ACTIONS(423),
    [anon_sym_co_return] = ACTIONS(425),
    [anon_sym_co_yield] = ACTIONS(427),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [39] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(8870),
    [sym_preproc_elif] = STATE(8870),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5832),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2191),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7032),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3909),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2179),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7346),
    [sym__constructor_specifiers] = STATE(2179),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7346),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2179),
    [sym_identifier] = ACTIONS(359),
    [aux_sym_preproc_include_token1] = ACTIONS(361),
    [aux_sym_preproc_def_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token1] = ACTIONS(365),
    [aux_sym_preproc_if_token2] = ACTIONS(693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(369),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(371),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(373),
    [anon_sym___extension__] = ACTIONS(375),
    [anon_sym_typedef] = ACTIONS(377),
    [anon_sym_extern] = ACTIONS(379),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(383),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_switch] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(389),
    [anon_sym_default] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(401),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_goto] = ACTIONS(405),
    [anon_sym___try] = ACTIONS(407),
    [anon_sym___leave] = ACTIONS(409),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(411),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_namespace] = ACTIONS(417),
    [anon_sym_using] = ACTIONS(419),
    [anon_sym_static_assert] = ACTIONS(421),
    [anon_sym_concept] = ACTIONS(423),
    [anon_sym_co_return] = ACTIONS(425),
    [anon_sym_co_yield] = ACTIONS(427),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [40] = {
    [sym_preproc_include] = STATE(36),
    [sym_preproc_def] = STATE(36),
    [sym_preproc_function_def] = STATE(36),
    [sym_preproc_call] = STATE(36),
    [sym_preproc_if] = STATE(36),
    [sym_preproc_ifdef] = STATE(36),
    [sym_preproc_else] = STATE(8865),
    [sym_preproc_elif] = STATE(8865),
    [sym_function_definition] = STATE(36),
    [sym_declaration] = STATE(36),
    [sym_type_definition] = STATE(36),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5832),
    [sym_linkage_specification] = STATE(36),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2191),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7032),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(36),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3909),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(36),
    [sym_labeled_statement] = STATE(36),
    [sym_expression_statement] = STATE(36),
    [sym_if_statement] = STATE(36),
    [sym_switch_statement] = STATE(36),
    [sym_case_statement] = STATE(36),
    [sym_while_statement] = STATE(36),
    [sym_do_statement] = STATE(36),
    [sym_for_statement] = STATE(36),
    [sym_return_statement] = STATE(36),
    [sym_break_statement] = STATE(36),
    [sym_continue_statement] = STATE(36),
    [sym_goto_statement] = STATE(36),
    [sym_seh_try_statement] = STATE(36),
    [sym_seh_leave_statement] = STATE(36),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(36),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2179),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(36),
    [sym_template_instantiation] = STATE(36),
    [sym_operator_cast] = STATE(7346),
    [sym__constructor_specifiers] = STATE(2179),
    [sym_operator_cast_definition] = STATE(36),
    [sym_operator_cast_declaration] = STATE(36),
    [sym_constructor_or_destructor_definition] = STATE(36),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(36),
    [sym_namespace_alias_definition] = STATE(36),
    [sym_using_declaration] = STATE(36),
    [sym_alias_declaration] = STATE(36),
    [sym_static_assert_declaration] = STATE(36),
    [sym_concept_definition] = STATE(36),
    [sym_for_range_loop] = STATE(36),
    [sym_co_return_statement] = STATE(36),
    [sym_co_yield_statement] = STATE(36),
    [sym_throw_statement] = STATE(36),
    [sym_try_statement] = STATE(36),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7346),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(36),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2179),
    [sym_identifier] = ACTIONS(359),
    [aux_sym_preproc_include_token1] = ACTIONS(361),
    [aux_sym_preproc_def_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token1] = ACTIONS(365),
    [aux_sym_preproc_if_token2] = ACTIONS(695),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(369),
    [aux_sym_preproc_else_token1] = ACTIONS(277),
    [aux_sym_preproc_elif_token1] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(371),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(373),
    [anon_sym___extension__] = ACTIONS(375),
    [anon_sym_typedef] = ACTIONS(377),
    [anon_sym_extern] = ACTIONS(379),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(383),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_switch] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(389),
    [anon_sym_default] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(401),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_goto] = ACTIONS(405),
    [anon_sym___try] = ACTIONS(407),
    [anon_sym___leave] = ACTIONS(409),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(411),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_namespace] = ACTIONS(417),
    [anon_sym_using] = ACTIONS(419),
    [anon_sym_static_assert] = ACTIONS(421),
    [anon_sym_concept] = ACTIONS(423),
    [anon_sym_co_return] = ACTIONS(425),
    [anon_sym_co_yield] = ACTIONS(427),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [41] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5832),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2191),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7032),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3909),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2179),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7346),
    [sym__constructor_specifiers] = STATE(2179),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7346),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2179),
    [sym_identifier] = ACTIONS(697),
    [aux_sym_preproc_include_token1] = ACTIONS(700),
    [aux_sym_preproc_def_token1] = ACTIONS(703),
    [aux_sym_preproc_if_token1] = ACTIONS(706),
    [aux_sym_preproc_if_token2] = ACTIONS(443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(709),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(709),
    [aux_sym_preproc_else_token1] = ACTIONS(443),
    [aux_sym_preproc_elif_token1] = ACTIONS(443),
    [sym_preproc_directive] = ACTIONS(712),
    [anon_sym_LPAREN2] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(454),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_PLUS] = ACTIONS(460),
    [anon_sym_STAR] = ACTIONS(463),
    [anon_sym_AMP_AMP] = ACTIONS(466),
    [anon_sym_AMP] = ACTIONS(469),
    [anon_sym_SEMI] = ACTIONS(715),
    [anon_sym___extension__] = ACTIONS(718),
    [anon_sym_typedef] = ACTIONS(721),
    [anon_sym_extern] = ACTIONS(724),
    [anon_sym___attribute__] = ACTIONS(484),
    [anon_sym_COLON_COLON] = ACTIONS(487),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(490),
    [anon_sym___declspec] = ACTIONS(493),
    [anon_sym___based] = ACTIONS(496),
    [anon_sym___cdecl] = ACTIONS(499),
    [anon_sym___clrcall] = ACTIONS(499),
    [anon_sym___stdcall] = ACTIONS(499),
    [anon_sym___fastcall] = ACTIONS(499),
    [anon_sym___thiscall] = ACTIONS(499),
    [anon_sym___vectorcall] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(727),
    [anon_sym_signed] = ACTIONS(505),
    [anon_sym_unsigned] = ACTIONS(505),
    [anon_sym_long] = ACTIONS(505),
    [anon_sym_short] = ACTIONS(505),
    [anon_sym_LBRACK] = ACTIONS(508),
    [anon_sym_static] = ACTIONS(511),
    [anon_sym_register] = ACTIONS(511),
    [anon_sym_inline] = ACTIONS(730),
    [anon_sym___inline] = ACTIONS(511),
    [anon_sym___inline__] = ACTIONS(511),
    [anon_sym___forceinline] = ACTIONS(511),
    [anon_sym_thread_local] = ACTIONS(511),
    [anon_sym___thread] = ACTIONS(511),
    [anon_sym_const] = ACTIONS(517),
    [anon_sym_constexpr] = ACTIONS(517),
    [anon_sym_volatile] = ACTIONS(517),
    [anon_sym_restrict] = ACTIONS(517),
    [anon_sym___restrict__] = ACTIONS(517),
    [anon_sym__Atomic] = ACTIONS(517),
    [anon_sym__Noreturn] = ACTIONS(517),
    [anon_sym_noreturn] = ACTIONS(517),
    [anon_sym_mutable] = ACTIONS(517),
    [anon_sym_constinit] = ACTIONS(517),
    [anon_sym_consteval] = ACTIONS(517),
    [anon_sym_PROGMEM] = ACTIONS(517),
    [aux_sym_primitive_type_token1] = ACTIONS(520),
    [anon_sym_byte] = ACTIONS(520),
    [anon_sym_word] = ACTIONS(520),
    [anon_sym_enum] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(526),
    [anon_sym_struct] = ACTIONS(529),
    [anon_sym_union] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(733),
    [anon_sym_switch] = ACTIONS(736),
    [anon_sym_case] = ACTIONS(739),
    [anon_sym_default] = ACTIONS(742),
    [anon_sym_while] = ACTIONS(745),
    [anon_sym_do] = ACTIONS(748),
    [anon_sym_for] = ACTIONS(751),
    [anon_sym_return] = ACTIONS(754),
    [anon_sym_break] = ACTIONS(757),
    [anon_sym_continue] = ACTIONS(760),
    [anon_sym_goto] = ACTIONS(763),
    [anon_sym___try] = ACTIONS(766),
    [anon_sym___leave] = ACTIONS(769),
    [anon_sym_not] = ACTIONS(460),
    [anon_sym_compl] = ACTIONS(460),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(577),
    [anon_sym___alignof__] = ACTIONS(580),
    [anon_sym___alignof] = ACTIONS(580),
    [anon_sym__alignof] = ACTIONS(580),
    [anon_sym_alignof] = ACTIONS(580),
    [anon_sym__Alignof] = ACTIONS(580),
    [anon_sym_offsetof] = ACTIONS(583),
    [anon_sym__Generic] = ACTIONS(586),
    [anon_sym_asm] = ACTIONS(589),
    [anon_sym___asm__] = ACTIONS(589),
    [aux_sym_number_literal_token1] = ACTIONS(592),
    [aux_sym_number_literal_token2] = ACTIONS(595),
    [anon_sym_L_SQUOTE] = ACTIONS(598),
    [anon_sym_u_SQUOTE] = ACTIONS(598),
    [anon_sym_U_SQUOTE] = ACTIONS(598),
    [anon_sym_u8_SQUOTE] = ACTIONS(598),
    [anon_sym_SQUOTE] = ACTIONS(598),
    [anon_sym_L_DQUOTE] = ACTIONS(601),
    [anon_sym_u_DQUOTE] = ACTIONS(601),
    [anon_sym_U_DQUOTE] = ACTIONS(601),
    [anon_sym_u8_DQUOTE] = ACTIONS(601),
    [anon_sym_DQUOTE] = ACTIONS(601),
    [sym_true] = ACTIONS(604),
    [sym_false] = ACTIONS(604),
    [anon_sym_NULL] = ACTIONS(607),
    [anon_sym_nullptr] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(610),
    [anon_sym_decltype] = ACTIONS(613),
    [anon_sym_virtual] = ACTIONS(616),
    [anon_sym_alignas] = ACTIONS(619),
    [anon_sym_explicit] = ACTIONS(622),
    [anon_sym_typename] = ACTIONS(625),
    [anon_sym_template] = ACTIONS(772),
    [anon_sym_operator] = ACTIONS(631),
    [anon_sym_try] = ACTIONS(775),
    [anon_sym_delete] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(778),
    [anon_sym_namespace] = ACTIONS(781),
    [anon_sym_using] = ACTIONS(784),
    [anon_sym_static_assert] = ACTIONS(787),
    [anon_sym_concept] = ACTIONS(790),
    [anon_sym_co_return] = ACTIONS(793),
    [anon_sym_co_yield] = ACTIONS(796),
    [anon_sym_R_DQUOTE] = ACTIONS(661),
    [anon_sym_LR_DQUOTE] = ACTIONS(661),
    [anon_sym_uR_DQUOTE] = ACTIONS(661),
    [anon_sym_UR_DQUOTE] = ACTIONS(661),
    [anon_sym_u8R_DQUOTE] = ACTIONS(661),
    [anon_sym_co_await] = ACTIONS(664),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_requires] = ACTIONS(670),
    [sym_this] = ACTIONS(604),
  },
  [42] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(803),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [43] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(805),
    [aux_sym_preproc_include_token1] = ACTIONS(808),
    [aux_sym_preproc_def_token1] = ACTIONS(811),
    [aux_sym_preproc_if_token1] = ACTIONS(814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(817),
    [sym_preproc_directive] = ACTIONS(820),
    [anon_sym_LPAREN2] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(454),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_PLUS] = ACTIONS(460),
    [anon_sym_STAR] = ACTIONS(463),
    [anon_sym_AMP_AMP] = ACTIONS(466),
    [anon_sym_AMP] = ACTIONS(469),
    [anon_sym_SEMI] = ACTIONS(823),
    [anon_sym___extension__] = ACTIONS(826),
    [anon_sym_typedef] = ACTIONS(829),
    [anon_sym_extern] = ACTIONS(832),
    [anon_sym___attribute__] = ACTIONS(484),
    [anon_sym_COLON_COLON] = ACTIONS(487),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(490),
    [anon_sym___declspec] = ACTIONS(493),
    [anon_sym___based] = ACTIONS(496),
    [anon_sym___cdecl] = ACTIONS(499),
    [anon_sym___clrcall] = ACTIONS(499),
    [anon_sym___stdcall] = ACTIONS(499),
    [anon_sym___fastcall] = ACTIONS(499),
    [anon_sym___thiscall] = ACTIONS(499),
    [anon_sym___vectorcall] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_RBRACE] = ACTIONS(838),
    [anon_sym_signed] = ACTIONS(505),
    [anon_sym_unsigned] = ACTIONS(505),
    [anon_sym_long] = ACTIONS(505),
    [anon_sym_short] = ACTIONS(505),
    [anon_sym_LBRACK] = ACTIONS(508),
    [anon_sym_static] = ACTIONS(511),
    [anon_sym_register] = ACTIONS(511),
    [anon_sym_inline] = ACTIONS(840),
    [anon_sym___inline] = ACTIONS(511),
    [anon_sym___inline__] = ACTIONS(511),
    [anon_sym___forceinline] = ACTIONS(511),
    [anon_sym_thread_local] = ACTIONS(511),
    [anon_sym___thread] = ACTIONS(511),
    [anon_sym_const] = ACTIONS(517),
    [anon_sym_constexpr] = ACTIONS(517),
    [anon_sym_volatile] = ACTIONS(517),
    [anon_sym_restrict] = ACTIONS(517),
    [anon_sym___restrict__] = ACTIONS(517),
    [anon_sym__Atomic] = ACTIONS(517),
    [anon_sym__Noreturn] = ACTIONS(517),
    [anon_sym_noreturn] = ACTIONS(517),
    [anon_sym_mutable] = ACTIONS(517),
    [anon_sym_constinit] = ACTIONS(517),
    [anon_sym_consteval] = ACTIONS(517),
    [anon_sym_PROGMEM] = ACTIONS(517),
    [aux_sym_primitive_type_token1] = ACTIONS(520),
    [anon_sym_byte] = ACTIONS(520),
    [anon_sym_word] = ACTIONS(520),
    [anon_sym_enum] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(526),
    [anon_sym_struct] = ACTIONS(529),
    [anon_sym_union] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_switch] = ACTIONS(846),
    [anon_sym_case] = ACTIONS(849),
    [anon_sym_default] = ACTIONS(852),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_do] = ACTIONS(858),
    [anon_sym_for] = ACTIONS(861),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_break] = ACTIONS(867),
    [anon_sym_continue] = ACTIONS(870),
    [anon_sym_goto] = ACTIONS(873),
    [anon_sym___try] = ACTIONS(876),
    [anon_sym___leave] = ACTIONS(879),
    [anon_sym_not] = ACTIONS(460),
    [anon_sym_compl] = ACTIONS(460),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(577),
    [anon_sym___alignof__] = ACTIONS(580),
    [anon_sym___alignof] = ACTIONS(580),
    [anon_sym__alignof] = ACTIONS(580),
    [anon_sym_alignof] = ACTIONS(580),
    [anon_sym__Alignof] = ACTIONS(580),
    [anon_sym_offsetof] = ACTIONS(583),
    [anon_sym__Generic] = ACTIONS(586),
    [anon_sym_asm] = ACTIONS(589),
    [anon_sym___asm__] = ACTIONS(589),
    [aux_sym_number_literal_token1] = ACTIONS(592),
    [aux_sym_number_literal_token2] = ACTIONS(595),
    [anon_sym_L_SQUOTE] = ACTIONS(598),
    [anon_sym_u_SQUOTE] = ACTIONS(598),
    [anon_sym_U_SQUOTE] = ACTIONS(598),
    [anon_sym_u8_SQUOTE] = ACTIONS(598),
    [anon_sym_SQUOTE] = ACTIONS(598),
    [anon_sym_L_DQUOTE] = ACTIONS(601),
    [anon_sym_u_DQUOTE] = ACTIONS(601),
    [anon_sym_U_DQUOTE] = ACTIONS(601),
    [anon_sym_u8_DQUOTE] = ACTIONS(601),
    [anon_sym_DQUOTE] = ACTIONS(601),
    [sym_true] = ACTIONS(604),
    [sym_false] = ACTIONS(604),
    [anon_sym_NULL] = ACTIONS(607),
    [anon_sym_nullptr] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(610),
    [anon_sym_decltype] = ACTIONS(613),
    [anon_sym_virtual] = ACTIONS(616),
    [anon_sym_alignas] = ACTIONS(619),
    [anon_sym_explicit] = ACTIONS(622),
    [anon_sym_typename] = ACTIONS(625),
    [anon_sym_template] = ACTIONS(882),
    [anon_sym_operator] = ACTIONS(631),
    [anon_sym_try] = ACTIONS(885),
    [anon_sym_delete] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(888),
    [anon_sym_namespace] = ACTIONS(891),
    [anon_sym_using] = ACTIONS(894),
    [anon_sym_static_assert] = ACTIONS(897),
    [anon_sym_concept] = ACTIONS(900),
    [anon_sym_co_return] = ACTIONS(903),
    [anon_sym_co_yield] = ACTIONS(906),
    [anon_sym_R_DQUOTE] = ACTIONS(661),
    [anon_sym_LR_DQUOTE] = ACTIONS(661),
    [anon_sym_uR_DQUOTE] = ACTIONS(661),
    [anon_sym_UR_DQUOTE] = ACTIONS(661),
    [anon_sym_u8R_DQUOTE] = ACTIONS(661),
    [anon_sym_co_await] = ACTIONS(664),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_requires] = ACTIONS(670),
    [sym_this] = ACTIONS(604),
  },
  [44] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(909),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [45] = {
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(75),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(75),
    [sym_labeled_statement] = STATE(75),
    [sym_expression_statement] = STATE(75),
    [sym_if_statement] = STATE(75),
    [sym_switch_statement] = STATE(75),
    [sym_case_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_do_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_return_statement] = STATE(75),
    [sym_break_statement] = STATE(75),
    [sym_continue_statement] = STATE(75),
    [sym_goto_statement] = STATE(75),
    [sym_seh_try_statement] = STATE(75),
    [sym_seh_leave_statement] = STATE(75),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(75),
    [sym_co_return_statement] = STATE(75),
    [sym_co_yield_statement] = STATE(75),
    [sym_throw_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(911),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [46] = {
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(48),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(48),
    [sym_labeled_statement] = STATE(48),
    [sym_expression_statement] = STATE(48),
    [sym_if_statement] = STATE(48),
    [sym_switch_statement] = STATE(48),
    [sym_case_statement] = STATE(48),
    [sym_while_statement] = STATE(48),
    [sym_do_statement] = STATE(48),
    [sym_for_statement] = STATE(48),
    [sym_return_statement] = STATE(48),
    [sym_break_statement] = STATE(48),
    [sym_continue_statement] = STATE(48),
    [sym_goto_statement] = STATE(48),
    [sym_seh_try_statement] = STATE(48),
    [sym_seh_leave_statement] = STATE(48),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(48),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(48),
    [sym_template_instantiation] = STATE(48),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(48),
    [sym_operator_cast_declaration] = STATE(48),
    [sym_constructor_or_destructor_definition] = STATE(48),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(48),
    [sym_namespace_alias_definition] = STATE(48),
    [sym_using_declaration] = STATE(48),
    [sym_alias_declaration] = STATE(48),
    [sym_static_assert_declaration] = STATE(48),
    [sym_concept_definition] = STATE(48),
    [sym_for_range_loop] = STATE(48),
    [sym_co_return_statement] = STATE(48),
    [sym_co_yield_statement] = STATE(48),
    [sym_throw_statement] = STATE(48),
    [sym_try_statement] = STATE(48),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(913),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [47] = {
    [sym_preproc_include] = STATE(96),
    [sym_preproc_def] = STATE(96),
    [sym_preproc_function_def] = STATE(96),
    [sym_preproc_call] = STATE(96),
    [sym_preproc_if] = STATE(96),
    [sym_preproc_ifdef] = STATE(96),
    [sym_function_definition] = STATE(96),
    [sym_declaration] = STATE(96),
    [sym_type_definition] = STATE(96),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5813),
    [sym_linkage_specification] = STATE(96),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2144),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6998),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(96),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3961),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(96),
    [sym_labeled_statement] = STATE(96),
    [sym_expression_statement] = STATE(96),
    [sym_if_statement] = STATE(96),
    [sym_switch_statement] = STATE(96),
    [sym_case_statement] = STATE(96),
    [sym_while_statement] = STATE(96),
    [sym_do_statement] = STATE(96),
    [sym_for_statement] = STATE(96),
    [sym_return_statement] = STATE(96),
    [sym_break_statement] = STATE(96),
    [sym_continue_statement] = STATE(96),
    [sym_goto_statement] = STATE(96),
    [sym_seh_try_statement] = STATE(96),
    [sym_seh_leave_statement] = STATE(96),
    [sym__expression] = STATE(5202),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9192),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(96),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(96),
    [sym_template_instantiation] = STATE(96),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(96),
    [sym_operator_cast_declaration] = STATE(96),
    [sym_constructor_or_destructor_definition] = STATE(96),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(96),
    [sym_namespace_alias_definition] = STATE(96),
    [sym_using_declaration] = STATE(96),
    [sym_alias_declaration] = STATE(96),
    [sym_static_assert_declaration] = STATE(96),
    [sym_concept_definition] = STATE(96),
    [sym_for_range_loop] = STATE(96),
    [sym_co_return_statement] = STATE(96),
    [sym_co_yield_statement] = STATE(96),
    [sym_throw_statement] = STATE(96),
    [sym_try_statement] = STATE(96),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(96),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(915),
    [aux_sym_preproc_include_token1] = ACTIONS(917),
    [aux_sym_preproc_def_token1] = ACTIONS(919),
    [aux_sym_preproc_if_token1] = ACTIONS(921),
    [aux_sym_preproc_if_token2] = ACTIONS(923),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(925),
    [sym_preproc_directive] = ACTIONS(927),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(929),
    [anon_sym___extension__] = ACTIONS(931),
    [anon_sym_typedef] = ACTIONS(933),
    [anon_sym_extern] = ACTIONS(935),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(937),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(939),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_switch] = ACTIONS(943),
    [anon_sym_case] = ACTIONS(945),
    [anon_sym_default] = ACTIONS(947),
    [anon_sym_while] = ACTIONS(949),
    [anon_sym_do] = ACTIONS(951),
    [anon_sym_for] = ACTIONS(953),
    [anon_sym_return] = ACTIONS(955),
    [anon_sym_break] = ACTIONS(957),
    [anon_sym_continue] = ACTIONS(959),
    [anon_sym_goto] = ACTIONS(961),
    [anon_sym___try] = ACTIONS(963),
    [anon_sym___leave] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(967),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(969),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(971),
    [anon_sym_namespace] = ACTIONS(973),
    [anon_sym_using] = ACTIONS(975),
    [anon_sym_static_assert] = ACTIONS(977),
    [anon_sym_concept] = ACTIONS(979),
    [anon_sym_co_return] = ACTIONS(981),
    [anon_sym_co_yield] = ACTIONS(983),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [48] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(985),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [49] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(987),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [50] = {
    [sym_preproc_include] = STATE(51),
    [sym_preproc_def] = STATE(51),
    [sym_preproc_function_def] = STATE(51),
    [sym_preproc_call] = STATE(51),
    [sym_preproc_if] = STATE(51),
    [sym_preproc_ifdef] = STATE(51),
    [sym_function_definition] = STATE(51),
    [sym_declaration] = STATE(51),
    [sym_type_definition] = STATE(51),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(51),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(51),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(51),
    [sym_labeled_statement] = STATE(51),
    [sym_expression_statement] = STATE(51),
    [sym_if_statement] = STATE(51),
    [sym_switch_statement] = STATE(51),
    [sym_case_statement] = STATE(51),
    [sym_while_statement] = STATE(51),
    [sym_do_statement] = STATE(51),
    [sym_for_statement] = STATE(51),
    [sym_return_statement] = STATE(51),
    [sym_break_statement] = STATE(51),
    [sym_continue_statement] = STATE(51),
    [sym_goto_statement] = STATE(51),
    [sym_seh_try_statement] = STATE(51),
    [sym_seh_leave_statement] = STATE(51),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(51),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(51),
    [sym_template_instantiation] = STATE(51),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(51),
    [sym_operator_cast_declaration] = STATE(51),
    [sym_constructor_or_destructor_definition] = STATE(51),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(51),
    [sym_namespace_alias_definition] = STATE(51),
    [sym_using_declaration] = STATE(51),
    [sym_alias_declaration] = STATE(51),
    [sym_static_assert_declaration] = STATE(51),
    [sym_concept_definition] = STATE(51),
    [sym_for_range_loop] = STATE(51),
    [sym_co_return_statement] = STATE(51),
    [sym_co_yield_statement] = STATE(51),
    [sym_throw_statement] = STATE(51),
    [sym_try_statement] = STATE(51),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(51),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(989),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [51] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(991),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [52] = {
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_function_definition] = STATE(53),
    [sym_declaration] = STATE(53),
    [sym_type_definition] = STATE(53),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(53),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(53),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(53),
    [sym_labeled_statement] = STATE(53),
    [sym_expression_statement] = STATE(53),
    [sym_if_statement] = STATE(53),
    [sym_switch_statement] = STATE(53),
    [sym_case_statement] = STATE(53),
    [sym_while_statement] = STATE(53),
    [sym_do_statement] = STATE(53),
    [sym_for_statement] = STATE(53),
    [sym_return_statement] = STATE(53),
    [sym_break_statement] = STATE(53),
    [sym_continue_statement] = STATE(53),
    [sym_goto_statement] = STATE(53),
    [sym_seh_try_statement] = STATE(53),
    [sym_seh_leave_statement] = STATE(53),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(53),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(53),
    [sym_template_instantiation] = STATE(53),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(53),
    [sym_operator_cast_declaration] = STATE(53),
    [sym_constructor_or_destructor_definition] = STATE(53),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(53),
    [sym_namespace_alias_definition] = STATE(53),
    [sym_using_declaration] = STATE(53),
    [sym_alias_declaration] = STATE(53),
    [sym_static_assert_declaration] = STATE(53),
    [sym_concept_definition] = STATE(53),
    [sym_for_range_loop] = STATE(53),
    [sym_co_return_statement] = STATE(53),
    [sym_co_yield_statement] = STATE(53),
    [sym_throw_statement] = STATE(53),
    [sym_try_statement] = STATE(53),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(53),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(993),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [53] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(995),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [54] = {
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5813),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2144),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6998),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(47),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3961),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(47),
    [sym_labeled_statement] = STATE(47),
    [sym_expression_statement] = STATE(47),
    [sym_if_statement] = STATE(47),
    [sym_switch_statement] = STATE(47),
    [sym_case_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_do_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_return_statement] = STATE(47),
    [sym_break_statement] = STATE(47),
    [sym_continue_statement] = STATE(47),
    [sym_goto_statement] = STATE(47),
    [sym_seh_try_statement] = STATE(47),
    [sym_seh_leave_statement] = STATE(47),
    [sym__expression] = STATE(5202),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9192),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(47),
    [sym_co_return_statement] = STATE(47),
    [sym_co_yield_statement] = STATE(47),
    [sym_throw_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(915),
    [aux_sym_preproc_include_token1] = ACTIONS(917),
    [aux_sym_preproc_def_token1] = ACTIONS(919),
    [aux_sym_preproc_if_token1] = ACTIONS(921),
    [aux_sym_preproc_if_token2] = ACTIONS(997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(925),
    [sym_preproc_directive] = ACTIONS(927),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(929),
    [anon_sym___extension__] = ACTIONS(931),
    [anon_sym_typedef] = ACTIONS(933),
    [anon_sym_extern] = ACTIONS(935),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(937),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(939),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_switch] = ACTIONS(943),
    [anon_sym_case] = ACTIONS(945),
    [anon_sym_default] = ACTIONS(947),
    [anon_sym_while] = ACTIONS(949),
    [anon_sym_do] = ACTIONS(951),
    [anon_sym_for] = ACTIONS(953),
    [anon_sym_return] = ACTIONS(955),
    [anon_sym_break] = ACTIONS(957),
    [anon_sym_continue] = ACTIONS(959),
    [anon_sym_goto] = ACTIONS(961),
    [anon_sym___try] = ACTIONS(963),
    [anon_sym___leave] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(967),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(969),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(971),
    [anon_sym_namespace] = ACTIONS(973),
    [anon_sym_using] = ACTIONS(975),
    [anon_sym_static_assert] = ACTIONS(977),
    [anon_sym_concept] = ACTIONS(979),
    [anon_sym_co_return] = ACTIONS(981),
    [anon_sym_co_yield] = ACTIONS(983),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [55] = {
    [sym_preproc_include] = STATE(49),
    [sym_preproc_def] = STATE(49),
    [sym_preproc_function_def] = STATE(49),
    [sym_preproc_call] = STATE(49),
    [sym_preproc_if] = STATE(49),
    [sym_preproc_ifdef] = STATE(49),
    [sym_function_definition] = STATE(49),
    [sym_declaration] = STATE(49),
    [sym_type_definition] = STATE(49),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(49),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(49),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(49),
    [sym_labeled_statement] = STATE(49),
    [sym_expression_statement] = STATE(49),
    [sym_if_statement] = STATE(49),
    [sym_switch_statement] = STATE(49),
    [sym_case_statement] = STATE(49),
    [sym_while_statement] = STATE(49),
    [sym_do_statement] = STATE(49),
    [sym_for_statement] = STATE(49),
    [sym_return_statement] = STATE(49),
    [sym_break_statement] = STATE(49),
    [sym_continue_statement] = STATE(49),
    [sym_goto_statement] = STATE(49),
    [sym_seh_try_statement] = STATE(49),
    [sym_seh_leave_statement] = STATE(49),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(49),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(49),
    [sym_template_instantiation] = STATE(49),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(49),
    [sym_operator_cast_declaration] = STATE(49),
    [sym_constructor_or_destructor_definition] = STATE(49),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(49),
    [sym_namespace_alias_definition] = STATE(49),
    [sym_using_declaration] = STATE(49),
    [sym_alias_declaration] = STATE(49),
    [sym_static_assert_declaration] = STATE(49),
    [sym_concept_definition] = STATE(49),
    [sym_for_range_loop] = STATE(49),
    [sym_co_return_statement] = STATE(49),
    [sym_co_yield_statement] = STATE(49),
    [sym_throw_statement] = STATE(49),
    [sym_try_statement] = STATE(49),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(49),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(999),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [56] = {
    [sym_preproc_include] = STATE(57),
    [sym_preproc_def] = STATE(57),
    [sym_preproc_function_def] = STATE(57),
    [sym_preproc_call] = STATE(57),
    [sym_preproc_if] = STATE(57),
    [sym_preproc_ifdef] = STATE(57),
    [sym_function_definition] = STATE(57),
    [sym_declaration] = STATE(57),
    [sym_type_definition] = STATE(57),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(57),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(57),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(57),
    [sym_labeled_statement] = STATE(57),
    [sym_expression_statement] = STATE(57),
    [sym_if_statement] = STATE(57),
    [sym_switch_statement] = STATE(57),
    [sym_case_statement] = STATE(57),
    [sym_while_statement] = STATE(57),
    [sym_do_statement] = STATE(57),
    [sym_for_statement] = STATE(57),
    [sym_return_statement] = STATE(57),
    [sym_break_statement] = STATE(57),
    [sym_continue_statement] = STATE(57),
    [sym_goto_statement] = STATE(57),
    [sym_seh_try_statement] = STATE(57),
    [sym_seh_leave_statement] = STATE(57),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(57),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(57),
    [sym_template_instantiation] = STATE(57),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(57),
    [sym_operator_cast_declaration] = STATE(57),
    [sym_constructor_or_destructor_definition] = STATE(57),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(57),
    [sym_namespace_alias_definition] = STATE(57),
    [sym_using_declaration] = STATE(57),
    [sym_alias_declaration] = STATE(57),
    [sym_static_assert_declaration] = STATE(57),
    [sym_concept_definition] = STATE(57),
    [sym_for_range_loop] = STATE(57),
    [sym_co_return_statement] = STATE(57),
    [sym_co_yield_statement] = STATE(57),
    [sym_throw_statement] = STATE(57),
    [sym_try_statement] = STATE(57),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(57),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1001),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [57] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1003),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [58] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1005),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [59] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1007),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [60] = {
    [sym_preproc_include] = STATE(61),
    [sym_preproc_def] = STATE(61),
    [sym_preproc_function_def] = STATE(61),
    [sym_preproc_call] = STATE(61),
    [sym_preproc_if] = STATE(61),
    [sym_preproc_ifdef] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_declaration] = STATE(61),
    [sym_type_definition] = STATE(61),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(61),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(61),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(61),
    [sym_labeled_statement] = STATE(61),
    [sym_expression_statement] = STATE(61),
    [sym_if_statement] = STATE(61),
    [sym_switch_statement] = STATE(61),
    [sym_case_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_do_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_return_statement] = STATE(61),
    [sym_break_statement] = STATE(61),
    [sym_continue_statement] = STATE(61),
    [sym_goto_statement] = STATE(61),
    [sym_seh_try_statement] = STATE(61),
    [sym_seh_leave_statement] = STATE(61),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(61),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(61),
    [sym_template_instantiation] = STATE(61),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(61),
    [sym_operator_cast_declaration] = STATE(61),
    [sym_constructor_or_destructor_definition] = STATE(61),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(61),
    [sym_namespace_alias_definition] = STATE(61),
    [sym_using_declaration] = STATE(61),
    [sym_alias_declaration] = STATE(61),
    [sym_static_assert_declaration] = STATE(61),
    [sym_concept_definition] = STATE(61),
    [sym_for_range_loop] = STATE(61),
    [sym_co_return_statement] = STATE(61),
    [sym_co_yield_statement] = STATE(61),
    [sym_throw_statement] = STATE(61),
    [sym_try_statement] = STATE(61),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(61),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1009),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [61] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1011),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [62] = {
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(42),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(42),
    [sym_labeled_statement] = STATE(42),
    [sym_expression_statement] = STATE(42),
    [sym_if_statement] = STATE(42),
    [sym_switch_statement] = STATE(42),
    [sym_case_statement] = STATE(42),
    [sym_while_statement] = STATE(42),
    [sym_do_statement] = STATE(42),
    [sym_for_statement] = STATE(42),
    [sym_return_statement] = STATE(42),
    [sym_break_statement] = STATE(42),
    [sym_continue_statement] = STATE(42),
    [sym_goto_statement] = STATE(42),
    [sym_seh_try_statement] = STATE(42),
    [sym_seh_leave_statement] = STATE(42),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(42),
    [sym_co_return_statement] = STATE(42),
    [sym_co_yield_statement] = STATE(42),
    [sym_throw_statement] = STATE(42),
    [sym_try_statement] = STATE(42),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1013),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [63] = {
    [sym_preproc_include] = STATE(72),
    [sym_preproc_def] = STATE(72),
    [sym_preproc_function_def] = STATE(72),
    [sym_preproc_call] = STATE(72),
    [sym_preproc_if] = STATE(72),
    [sym_preproc_ifdef] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_declaration] = STATE(72),
    [sym_type_definition] = STATE(72),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(72),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(72),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(72),
    [sym_labeled_statement] = STATE(72),
    [sym_expression_statement] = STATE(72),
    [sym_if_statement] = STATE(72),
    [sym_switch_statement] = STATE(72),
    [sym_case_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_do_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_return_statement] = STATE(72),
    [sym_break_statement] = STATE(72),
    [sym_continue_statement] = STATE(72),
    [sym_goto_statement] = STATE(72),
    [sym_seh_try_statement] = STATE(72),
    [sym_seh_leave_statement] = STATE(72),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(72),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(72),
    [sym_template_instantiation] = STATE(72),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(72),
    [sym_operator_cast_declaration] = STATE(72),
    [sym_constructor_or_destructor_definition] = STATE(72),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(72),
    [sym_namespace_alias_definition] = STATE(72),
    [sym_using_declaration] = STATE(72),
    [sym_alias_declaration] = STATE(72),
    [sym_static_assert_declaration] = STATE(72),
    [sym_concept_definition] = STATE(72),
    [sym_for_range_loop] = STATE(72),
    [sym_co_return_statement] = STATE(72),
    [sym_co_yield_statement] = STATE(72),
    [sym_throw_statement] = STATE(72),
    [sym_try_statement] = STATE(72),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(72),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1015),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [64] = {
    [sym_preproc_include] = STATE(65),
    [sym_preproc_def] = STATE(65),
    [sym_preproc_function_def] = STATE(65),
    [sym_preproc_call] = STATE(65),
    [sym_preproc_if] = STATE(65),
    [sym_preproc_ifdef] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(65),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(65),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(65),
    [sym_labeled_statement] = STATE(65),
    [sym_expression_statement] = STATE(65),
    [sym_if_statement] = STATE(65),
    [sym_switch_statement] = STATE(65),
    [sym_case_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_do_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_return_statement] = STATE(65),
    [sym_break_statement] = STATE(65),
    [sym_continue_statement] = STATE(65),
    [sym_goto_statement] = STATE(65),
    [sym_seh_try_statement] = STATE(65),
    [sym_seh_leave_statement] = STATE(65),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(65),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(65),
    [sym_template_instantiation] = STATE(65),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(65),
    [sym_operator_cast_declaration] = STATE(65),
    [sym_constructor_or_destructor_definition] = STATE(65),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(65),
    [sym_namespace_alias_definition] = STATE(65),
    [sym_using_declaration] = STATE(65),
    [sym_alias_declaration] = STATE(65),
    [sym_static_assert_declaration] = STATE(65),
    [sym_concept_definition] = STATE(65),
    [sym_for_range_loop] = STATE(65),
    [sym_co_return_statement] = STATE(65),
    [sym_co_yield_statement] = STATE(65),
    [sym_throw_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(65),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1017),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [65] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1019),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [66] = {
    [sym_preproc_include] = STATE(67),
    [sym_preproc_def] = STATE(67),
    [sym_preproc_function_def] = STATE(67),
    [sym_preproc_call] = STATE(67),
    [sym_preproc_if] = STATE(67),
    [sym_preproc_ifdef] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(67),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(67),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(67),
    [sym_labeled_statement] = STATE(67),
    [sym_expression_statement] = STATE(67),
    [sym_if_statement] = STATE(67),
    [sym_switch_statement] = STATE(67),
    [sym_case_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_do_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_return_statement] = STATE(67),
    [sym_break_statement] = STATE(67),
    [sym_continue_statement] = STATE(67),
    [sym_goto_statement] = STATE(67),
    [sym_seh_try_statement] = STATE(67),
    [sym_seh_leave_statement] = STATE(67),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(67),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(67),
    [sym_template_instantiation] = STATE(67),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(67),
    [sym_operator_cast_declaration] = STATE(67),
    [sym_constructor_or_destructor_definition] = STATE(67),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(67),
    [sym_namespace_alias_definition] = STATE(67),
    [sym_using_declaration] = STATE(67),
    [sym_alias_declaration] = STATE(67),
    [sym_static_assert_declaration] = STATE(67),
    [sym_concept_definition] = STATE(67),
    [sym_for_range_loop] = STATE(67),
    [sym_co_return_statement] = STATE(67),
    [sym_co_yield_statement] = STATE(67),
    [sym_throw_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(67),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1021),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [67] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1023),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [68] = {
    [sym_preproc_include] = STATE(69),
    [sym_preproc_def] = STATE(69),
    [sym_preproc_function_def] = STATE(69),
    [sym_preproc_call] = STATE(69),
    [sym_preproc_if] = STATE(69),
    [sym_preproc_ifdef] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(69),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(69),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(69),
    [sym_labeled_statement] = STATE(69),
    [sym_expression_statement] = STATE(69),
    [sym_if_statement] = STATE(69),
    [sym_switch_statement] = STATE(69),
    [sym_case_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_do_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_return_statement] = STATE(69),
    [sym_break_statement] = STATE(69),
    [sym_continue_statement] = STATE(69),
    [sym_goto_statement] = STATE(69),
    [sym_seh_try_statement] = STATE(69),
    [sym_seh_leave_statement] = STATE(69),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(69),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(69),
    [sym_template_instantiation] = STATE(69),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(69),
    [sym_operator_cast_declaration] = STATE(69),
    [sym_constructor_or_destructor_definition] = STATE(69),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(69),
    [sym_namespace_alias_definition] = STATE(69),
    [sym_using_declaration] = STATE(69),
    [sym_alias_declaration] = STATE(69),
    [sym_static_assert_declaration] = STATE(69),
    [sym_concept_definition] = STATE(69),
    [sym_for_range_loop] = STATE(69),
    [sym_co_return_statement] = STATE(69),
    [sym_co_yield_statement] = STATE(69),
    [sym_throw_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(69),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1025),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [69] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1027),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [70] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1029),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [71] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1031),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [72] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1033),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [73] = {
    [sym_preproc_include] = STATE(71),
    [sym_preproc_def] = STATE(71),
    [sym_preproc_function_def] = STATE(71),
    [sym_preproc_call] = STATE(71),
    [sym_preproc_if] = STATE(71),
    [sym_preproc_ifdef] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(71),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(71),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(71),
    [sym_labeled_statement] = STATE(71),
    [sym_expression_statement] = STATE(71),
    [sym_if_statement] = STATE(71),
    [sym_switch_statement] = STATE(71),
    [sym_case_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_do_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_return_statement] = STATE(71),
    [sym_break_statement] = STATE(71),
    [sym_continue_statement] = STATE(71),
    [sym_goto_statement] = STATE(71),
    [sym_seh_try_statement] = STATE(71),
    [sym_seh_leave_statement] = STATE(71),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(71),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(71),
    [sym_template_instantiation] = STATE(71),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(71),
    [sym_operator_cast_declaration] = STATE(71),
    [sym_constructor_or_destructor_definition] = STATE(71),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(71),
    [sym_namespace_alias_definition] = STATE(71),
    [sym_using_declaration] = STATE(71),
    [sym_alias_declaration] = STATE(71),
    [sym_static_assert_declaration] = STATE(71),
    [sym_concept_definition] = STATE(71),
    [sym_for_range_loop] = STATE(71),
    [sym_co_return_statement] = STATE(71),
    [sym_co_yield_statement] = STATE(71),
    [sym_throw_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(71),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1035),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [74] = {
    [sym_preproc_include] = STATE(79),
    [sym_preproc_def] = STATE(79),
    [sym_preproc_function_def] = STATE(79),
    [sym_preproc_call] = STATE(79),
    [sym_preproc_if] = STATE(79),
    [sym_preproc_ifdef] = STATE(79),
    [sym_function_definition] = STATE(79),
    [sym_declaration] = STATE(79),
    [sym_type_definition] = STATE(79),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(79),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(79),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(79),
    [sym_labeled_statement] = STATE(79),
    [sym_expression_statement] = STATE(79),
    [sym_if_statement] = STATE(79),
    [sym_switch_statement] = STATE(79),
    [sym_case_statement] = STATE(79),
    [sym_while_statement] = STATE(79),
    [sym_do_statement] = STATE(79),
    [sym_for_statement] = STATE(79),
    [sym_return_statement] = STATE(79),
    [sym_break_statement] = STATE(79),
    [sym_continue_statement] = STATE(79),
    [sym_goto_statement] = STATE(79),
    [sym_seh_try_statement] = STATE(79),
    [sym_seh_leave_statement] = STATE(79),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(79),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(79),
    [sym_template_instantiation] = STATE(79),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(79),
    [sym_operator_cast_declaration] = STATE(79),
    [sym_constructor_or_destructor_definition] = STATE(79),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(79),
    [sym_namespace_alias_definition] = STATE(79),
    [sym_using_declaration] = STATE(79),
    [sym_alias_declaration] = STATE(79),
    [sym_static_assert_declaration] = STATE(79),
    [sym_concept_definition] = STATE(79),
    [sym_for_range_loop] = STATE(79),
    [sym_co_return_statement] = STATE(79),
    [sym_co_yield_statement] = STATE(79),
    [sym_throw_statement] = STATE(79),
    [sym_try_statement] = STATE(79),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(79),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1037),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [75] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1039),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [76] = {
    [sym_preproc_include] = STATE(44),
    [sym_preproc_def] = STATE(44),
    [sym_preproc_function_def] = STATE(44),
    [sym_preproc_call] = STATE(44),
    [sym_preproc_if] = STATE(44),
    [sym_preproc_ifdef] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_declaration] = STATE(44),
    [sym_type_definition] = STATE(44),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(44),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(44),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(44),
    [sym_labeled_statement] = STATE(44),
    [sym_expression_statement] = STATE(44),
    [sym_if_statement] = STATE(44),
    [sym_switch_statement] = STATE(44),
    [sym_case_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_do_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_return_statement] = STATE(44),
    [sym_break_statement] = STATE(44),
    [sym_continue_statement] = STATE(44),
    [sym_goto_statement] = STATE(44),
    [sym_seh_try_statement] = STATE(44),
    [sym_seh_leave_statement] = STATE(44),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(44),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(44),
    [sym_template_instantiation] = STATE(44),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(44),
    [sym_operator_cast_declaration] = STATE(44),
    [sym_constructor_or_destructor_definition] = STATE(44),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(44),
    [sym_namespace_alias_definition] = STATE(44),
    [sym_using_declaration] = STATE(44),
    [sym_alias_declaration] = STATE(44),
    [sym_static_assert_declaration] = STATE(44),
    [sym_concept_definition] = STATE(44),
    [sym_for_range_loop] = STATE(44),
    [sym_co_return_statement] = STATE(44),
    [sym_co_yield_statement] = STATE(44),
    [sym_throw_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(44),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [77] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1043),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [78] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1045),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [79] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1047),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [80] = {
    [sym_preproc_include] = STATE(78),
    [sym_preproc_def] = STATE(78),
    [sym_preproc_function_def] = STATE(78),
    [sym_preproc_call] = STATE(78),
    [sym_preproc_if] = STATE(78),
    [sym_preproc_ifdef] = STATE(78),
    [sym_function_definition] = STATE(78),
    [sym_declaration] = STATE(78),
    [sym_type_definition] = STATE(78),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(78),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(78),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(78),
    [sym_labeled_statement] = STATE(78),
    [sym_expression_statement] = STATE(78),
    [sym_if_statement] = STATE(78),
    [sym_switch_statement] = STATE(78),
    [sym_case_statement] = STATE(78),
    [sym_while_statement] = STATE(78),
    [sym_do_statement] = STATE(78),
    [sym_for_statement] = STATE(78),
    [sym_return_statement] = STATE(78),
    [sym_break_statement] = STATE(78),
    [sym_continue_statement] = STATE(78),
    [sym_goto_statement] = STATE(78),
    [sym_seh_try_statement] = STATE(78),
    [sym_seh_leave_statement] = STATE(78),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(78),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(78),
    [sym_template_instantiation] = STATE(78),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(78),
    [sym_operator_cast_declaration] = STATE(78),
    [sym_constructor_or_destructor_definition] = STATE(78),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(78),
    [sym_namespace_alias_definition] = STATE(78),
    [sym_using_declaration] = STATE(78),
    [sym_alias_declaration] = STATE(78),
    [sym_static_assert_declaration] = STATE(78),
    [sym_concept_definition] = STATE(78),
    [sym_for_range_loop] = STATE(78),
    [sym_co_return_statement] = STATE(78),
    [sym_co_yield_statement] = STATE(78),
    [sym_throw_statement] = STATE(78),
    [sym_try_statement] = STATE(78),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(78),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1049),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [81] = {
    [sym_preproc_include] = STATE(95),
    [sym_preproc_def] = STATE(95),
    [sym_preproc_function_def] = STATE(95),
    [sym_preproc_call] = STATE(95),
    [sym_preproc_if] = STATE(95),
    [sym_preproc_ifdef] = STATE(95),
    [sym_function_definition] = STATE(95),
    [sym_declaration] = STATE(95),
    [sym_type_definition] = STATE(95),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(95),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(95),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(95),
    [sym_labeled_statement] = STATE(95),
    [sym_expression_statement] = STATE(95),
    [sym_if_statement] = STATE(95),
    [sym_switch_statement] = STATE(95),
    [sym_case_statement] = STATE(95),
    [sym_while_statement] = STATE(95),
    [sym_do_statement] = STATE(95),
    [sym_for_statement] = STATE(95),
    [sym_return_statement] = STATE(95),
    [sym_break_statement] = STATE(95),
    [sym_continue_statement] = STATE(95),
    [sym_goto_statement] = STATE(95),
    [sym_seh_try_statement] = STATE(95),
    [sym_seh_leave_statement] = STATE(95),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(95),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(95),
    [sym_template_instantiation] = STATE(95),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(95),
    [sym_operator_cast_declaration] = STATE(95),
    [sym_constructor_or_destructor_definition] = STATE(95),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(95),
    [sym_namespace_alias_definition] = STATE(95),
    [sym_using_declaration] = STATE(95),
    [sym_alias_declaration] = STATE(95),
    [sym_static_assert_declaration] = STATE(95),
    [sym_concept_definition] = STATE(95),
    [sym_for_range_loop] = STATE(95),
    [sym_co_return_statement] = STATE(95),
    [sym_co_yield_statement] = STATE(95),
    [sym_throw_statement] = STATE(95),
    [sym_try_statement] = STATE(95),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(95),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [82] = {
    [sym_preproc_include] = STATE(94),
    [sym_preproc_def] = STATE(94),
    [sym_preproc_function_def] = STATE(94),
    [sym_preproc_call] = STATE(94),
    [sym_preproc_if] = STATE(94),
    [sym_preproc_ifdef] = STATE(94),
    [sym_function_definition] = STATE(94),
    [sym_declaration] = STATE(94),
    [sym_type_definition] = STATE(94),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(94),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(94),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(94),
    [sym_labeled_statement] = STATE(94),
    [sym_expression_statement] = STATE(94),
    [sym_if_statement] = STATE(94),
    [sym_switch_statement] = STATE(94),
    [sym_case_statement] = STATE(94),
    [sym_while_statement] = STATE(94),
    [sym_do_statement] = STATE(94),
    [sym_for_statement] = STATE(94),
    [sym_return_statement] = STATE(94),
    [sym_break_statement] = STATE(94),
    [sym_continue_statement] = STATE(94),
    [sym_goto_statement] = STATE(94),
    [sym_seh_try_statement] = STATE(94),
    [sym_seh_leave_statement] = STATE(94),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(94),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(94),
    [sym_template_instantiation] = STATE(94),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(94),
    [sym_operator_cast_declaration] = STATE(94),
    [sym_constructor_or_destructor_definition] = STATE(94),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(94),
    [sym_namespace_alias_definition] = STATE(94),
    [sym_using_declaration] = STATE(94),
    [sym_alias_declaration] = STATE(94),
    [sym_static_assert_declaration] = STATE(94),
    [sym_concept_definition] = STATE(94),
    [sym_for_range_loop] = STATE(94),
    [sym_co_return_statement] = STATE(94),
    [sym_co_yield_statement] = STATE(94),
    [sym_throw_statement] = STATE(94),
    [sym_try_statement] = STATE(94),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(94),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1053),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [83] = {
    [sym_preproc_include] = STATE(91),
    [sym_preproc_def] = STATE(91),
    [sym_preproc_function_def] = STATE(91),
    [sym_preproc_call] = STATE(91),
    [sym_preproc_if] = STATE(91),
    [sym_preproc_ifdef] = STATE(91),
    [sym_function_definition] = STATE(91),
    [sym_declaration] = STATE(91),
    [sym_type_definition] = STATE(91),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(91),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(91),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(91),
    [sym_labeled_statement] = STATE(91),
    [sym_expression_statement] = STATE(91),
    [sym_if_statement] = STATE(91),
    [sym_switch_statement] = STATE(91),
    [sym_case_statement] = STATE(91),
    [sym_while_statement] = STATE(91),
    [sym_do_statement] = STATE(91),
    [sym_for_statement] = STATE(91),
    [sym_return_statement] = STATE(91),
    [sym_break_statement] = STATE(91),
    [sym_continue_statement] = STATE(91),
    [sym_goto_statement] = STATE(91),
    [sym_seh_try_statement] = STATE(91),
    [sym_seh_leave_statement] = STATE(91),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(91),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(91),
    [sym_template_instantiation] = STATE(91),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(91),
    [sym_operator_cast_declaration] = STATE(91),
    [sym_constructor_or_destructor_definition] = STATE(91),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(91),
    [sym_namespace_alias_definition] = STATE(91),
    [sym_using_declaration] = STATE(91),
    [sym_alias_declaration] = STATE(91),
    [sym_static_assert_declaration] = STATE(91),
    [sym_concept_definition] = STATE(91),
    [sym_for_range_loop] = STATE(91),
    [sym_co_return_statement] = STATE(91),
    [sym_co_yield_statement] = STATE(91),
    [sym_throw_statement] = STATE(91),
    [sym_try_statement] = STATE(91),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(91),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [84] = {
    [sym_preproc_include] = STATE(97),
    [sym_preproc_def] = STATE(97),
    [sym_preproc_function_def] = STATE(97),
    [sym_preproc_call] = STATE(97),
    [sym_preproc_if] = STATE(97),
    [sym_preproc_ifdef] = STATE(97),
    [sym_function_definition] = STATE(97),
    [sym_declaration] = STATE(97),
    [sym_type_definition] = STATE(97),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(97),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(97),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(97),
    [sym_labeled_statement] = STATE(97),
    [sym_expression_statement] = STATE(97),
    [sym_if_statement] = STATE(97),
    [sym_switch_statement] = STATE(97),
    [sym_case_statement] = STATE(97),
    [sym_while_statement] = STATE(97),
    [sym_do_statement] = STATE(97),
    [sym_for_statement] = STATE(97),
    [sym_return_statement] = STATE(97),
    [sym_break_statement] = STATE(97),
    [sym_continue_statement] = STATE(97),
    [sym_goto_statement] = STATE(97),
    [sym_seh_try_statement] = STATE(97),
    [sym_seh_leave_statement] = STATE(97),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(97),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(97),
    [sym_template_instantiation] = STATE(97),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(97),
    [sym_operator_cast_declaration] = STATE(97),
    [sym_constructor_or_destructor_definition] = STATE(97),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(97),
    [sym_namespace_alias_definition] = STATE(97),
    [sym_using_declaration] = STATE(97),
    [sym_alias_declaration] = STATE(97),
    [sym_static_assert_declaration] = STATE(97),
    [sym_concept_definition] = STATE(97),
    [sym_for_range_loop] = STATE(97),
    [sym_co_return_statement] = STATE(97),
    [sym_co_yield_statement] = STATE(97),
    [sym_throw_statement] = STATE(97),
    [sym_try_statement] = STATE(97),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(97),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1057),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [85] = {
    [sym_preproc_include] = STATE(77),
    [sym_preproc_def] = STATE(77),
    [sym_preproc_function_def] = STATE(77),
    [sym_preproc_call] = STATE(77),
    [sym_preproc_if] = STATE(77),
    [sym_preproc_ifdef] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_declaration] = STATE(77),
    [sym_type_definition] = STATE(77),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(77),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(77),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(77),
    [sym_labeled_statement] = STATE(77),
    [sym_expression_statement] = STATE(77),
    [sym_if_statement] = STATE(77),
    [sym_switch_statement] = STATE(77),
    [sym_case_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_do_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_return_statement] = STATE(77),
    [sym_break_statement] = STATE(77),
    [sym_continue_statement] = STATE(77),
    [sym_goto_statement] = STATE(77),
    [sym_seh_try_statement] = STATE(77),
    [sym_seh_leave_statement] = STATE(77),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(77),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(77),
    [sym_template_instantiation] = STATE(77),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(77),
    [sym_operator_cast_declaration] = STATE(77),
    [sym_constructor_or_destructor_definition] = STATE(77),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(77),
    [sym_namespace_alias_definition] = STATE(77),
    [sym_using_declaration] = STATE(77),
    [sym_alias_declaration] = STATE(77),
    [sym_static_assert_declaration] = STATE(77),
    [sym_concept_definition] = STATE(77),
    [sym_for_range_loop] = STATE(77),
    [sym_co_return_statement] = STATE(77),
    [sym_co_yield_statement] = STATE(77),
    [sym_throw_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(77),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1059),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [86] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1061),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [87] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1063),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [88] = {
    [sym_preproc_include] = STATE(87),
    [sym_preproc_def] = STATE(87),
    [sym_preproc_function_def] = STATE(87),
    [sym_preproc_call] = STATE(87),
    [sym_preproc_if] = STATE(87),
    [sym_preproc_ifdef] = STATE(87),
    [sym_function_definition] = STATE(87),
    [sym_declaration] = STATE(87),
    [sym_type_definition] = STATE(87),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(87),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(87),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(87),
    [sym_labeled_statement] = STATE(87),
    [sym_expression_statement] = STATE(87),
    [sym_if_statement] = STATE(87),
    [sym_switch_statement] = STATE(87),
    [sym_case_statement] = STATE(87),
    [sym_while_statement] = STATE(87),
    [sym_do_statement] = STATE(87),
    [sym_for_statement] = STATE(87),
    [sym_return_statement] = STATE(87),
    [sym_break_statement] = STATE(87),
    [sym_continue_statement] = STATE(87),
    [sym_goto_statement] = STATE(87),
    [sym_seh_try_statement] = STATE(87),
    [sym_seh_leave_statement] = STATE(87),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(87),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(87),
    [sym_template_instantiation] = STATE(87),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(87),
    [sym_operator_cast_declaration] = STATE(87),
    [sym_constructor_or_destructor_definition] = STATE(87),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(87),
    [sym_namespace_alias_definition] = STATE(87),
    [sym_using_declaration] = STATE(87),
    [sym_alias_declaration] = STATE(87),
    [sym_static_assert_declaration] = STATE(87),
    [sym_concept_definition] = STATE(87),
    [sym_for_range_loop] = STATE(87),
    [sym_co_return_statement] = STATE(87),
    [sym_co_yield_statement] = STATE(87),
    [sym_throw_statement] = STATE(87),
    [sym_try_statement] = STATE(87),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(87),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1065),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [89] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1067),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [90] = {
    [sym_preproc_include] = STATE(86),
    [sym_preproc_def] = STATE(86),
    [sym_preproc_function_def] = STATE(86),
    [sym_preproc_call] = STATE(86),
    [sym_preproc_if] = STATE(86),
    [sym_preproc_ifdef] = STATE(86),
    [sym_function_definition] = STATE(86),
    [sym_declaration] = STATE(86),
    [sym_type_definition] = STATE(86),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(86),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(86),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(86),
    [sym_labeled_statement] = STATE(86),
    [sym_expression_statement] = STATE(86),
    [sym_if_statement] = STATE(86),
    [sym_switch_statement] = STATE(86),
    [sym_case_statement] = STATE(86),
    [sym_while_statement] = STATE(86),
    [sym_do_statement] = STATE(86),
    [sym_for_statement] = STATE(86),
    [sym_return_statement] = STATE(86),
    [sym_break_statement] = STATE(86),
    [sym_continue_statement] = STATE(86),
    [sym_goto_statement] = STATE(86),
    [sym_seh_try_statement] = STATE(86),
    [sym_seh_leave_statement] = STATE(86),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(86),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(86),
    [sym_template_instantiation] = STATE(86),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(86),
    [sym_operator_cast_declaration] = STATE(86),
    [sym_constructor_or_destructor_definition] = STATE(86),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(86),
    [sym_namespace_alias_definition] = STATE(86),
    [sym_using_declaration] = STATE(86),
    [sym_alias_declaration] = STATE(86),
    [sym_static_assert_declaration] = STATE(86),
    [sym_concept_definition] = STATE(86),
    [sym_for_range_loop] = STATE(86),
    [sym_co_return_statement] = STATE(86),
    [sym_co_yield_statement] = STATE(86),
    [sym_throw_statement] = STATE(86),
    [sym_try_statement] = STATE(86),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(86),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1069),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [91] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1071),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [92] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1073),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [93] = {
    [sym_preproc_include] = STATE(92),
    [sym_preproc_def] = STATE(92),
    [sym_preproc_function_def] = STATE(92),
    [sym_preproc_call] = STATE(92),
    [sym_preproc_if] = STATE(92),
    [sym_preproc_ifdef] = STATE(92),
    [sym_function_definition] = STATE(92),
    [sym_declaration] = STATE(92),
    [sym_type_definition] = STATE(92),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(92),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(92),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(92),
    [sym_labeled_statement] = STATE(92),
    [sym_expression_statement] = STATE(92),
    [sym_if_statement] = STATE(92),
    [sym_switch_statement] = STATE(92),
    [sym_case_statement] = STATE(92),
    [sym_while_statement] = STATE(92),
    [sym_do_statement] = STATE(92),
    [sym_for_statement] = STATE(92),
    [sym_return_statement] = STATE(92),
    [sym_break_statement] = STATE(92),
    [sym_continue_statement] = STATE(92),
    [sym_goto_statement] = STATE(92),
    [sym_seh_try_statement] = STATE(92),
    [sym_seh_leave_statement] = STATE(92),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(92),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(92),
    [sym_template_instantiation] = STATE(92),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(92),
    [sym_operator_cast_declaration] = STATE(92),
    [sym_constructor_or_destructor_definition] = STATE(92),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(92),
    [sym_namespace_alias_definition] = STATE(92),
    [sym_using_declaration] = STATE(92),
    [sym_alias_declaration] = STATE(92),
    [sym_static_assert_declaration] = STATE(92),
    [sym_concept_definition] = STATE(92),
    [sym_for_range_loop] = STATE(92),
    [sym_co_return_statement] = STATE(92),
    [sym_co_yield_statement] = STATE(92),
    [sym_throw_statement] = STATE(92),
    [sym_try_statement] = STATE(92),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1075),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [94] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1077),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [95] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1079),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [96] = {
    [sym_preproc_include] = STATE(96),
    [sym_preproc_def] = STATE(96),
    [sym_preproc_function_def] = STATE(96),
    [sym_preproc_call] = STATE(96),
    [sym_preproc_if] = STATE(96),
    [sym_preproc_ifdef] = STATE(96),
    [sym_function_definition] = STATE(96),
    [sym_declaration] = STATE(96),
    [sym_type_definition] = STATE(96),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5813),
    [sym_linkage_specification] = STATE(96),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2144),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6998),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(96),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3961),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(96),
    [sym_labeled_statement] = STATE(96),
    [sym_expression_statement] = STATE(96),
    [sym_if_statement] = STATE(96),
    [sym_switch_statement] = STATE(96),
    [sym_case_statement] = STATE(96),
    [sym_while_statement] = STATE(96),
    [sym_do_statement] = STATE(96),
    [sym_for_statement] = STATE(96),
    [sym_return_statement] = STATE(96),
    [sym_break_statement] = STATE(96),
    [sym_continue_statement] = STATE(96),
    [sym_goto_statement] = STATE(96),
    [sym_seh_try_statement] = STATE(96),
    [sym_seh_leave_statement] = STATE(96),
    [sym__expression] = STATE(5202),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9192),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(96),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(96),
    [sym_template_instantiation] = STATE(96),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(96),
    [sym_operator_cast_declaration] = STATE(96),
    [sym_constructor_or_destructor_definition] = STATE(96),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(96),
    [sym_namespace_alias_definition] = STATE(96),
    [sym_using_declaration] = STATE(96),
    [sym_alias_declaration] = STATE(96),
    [sym_static_assert_declaration] = STATE(96),
    [sym_concept_definition] = STATE(96),
    [sym_for_range_loop] = STATE(96),
    [sym_co_return_statement] = STATE(96),
    [sym_co_yield_statement] = STATE(96),
    [sym_throw_statement] = STATE(96),
    [sym_try_statement] = STATE(96),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(96),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(1081),
    [aux_sym_preproc_include_token1] = ACTIONS(1084),
    [aux_sym_preproc_def_token1] = ACTIONS(1087),
    [aux_sym_preproc_if_token1] = ACTIONS(1090),
    [aux_sym_preproc_if_token2] = ACTIONS(443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1093),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1093),
    [sym_preproc_directive] = ACTIONS(1096),
    [anon_sym_LPAREN2] = ACTIONS(451),
    [anon_sym_BANG] = ACTIONS(454),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_PLUS] = ACTIONS(460),
    [anon_sym_STAR] = ACTIONS(463),
    [anon_sym_AMP_AMP] = ACTIONS(466),
    [anon_sym_AMP] = ACTIONS(469),
    [anon_sym_SEMI] = ACTIONS(1099),
    [anon_sym___extension__] = ACTIONS(1102),
    [anon_sym_typedef] = ACTIONS(1105),
    [anon_sym_extern] = ACTIONS(1108),
    [anon_sym___attribute__] = ACTIONS(484),
    [anon_sym_COLON_COLON] = ACTIONS(487),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(490),
    [anon_sym___declspec] = ACTIONS(493),
    [anon_sym___based] = ACTIONS(496),
    [anon_sym___cdecl] = ACTIONS(499),
    [anon_sym___clrcall] = ACTIONS(499),
    [anon_sym___stdcall] = ACTIONS(499),
    [anon_sym___fastcall] = ACTIONS(499),
    [anon_sym___thiscall] = ACTIONS(499),
    [anon_sym___vectorcall] = ACTIONS(499),
    [anon_sym_LBRACE] = ACTIONS(1111),
    [anon_sym_signed] = ACTIONS(505),
    [anon_sym_unsigned] = ACTIONS(505),
    [anon_sym_long] = ACTIONS(505),
    [anon_sym_short] = ACTIONS(505),
    [anon_sym_LBRACK] = ACTIONS(508),
    [anon_sym_static] = ACTIONS(511),
    [anon_sym_register] = ACTIONS(511),
    [anon_sym_inline] = ACTIONS(1114),
    [anon_sym___inline] = ACTIONS(511),
    [anon_sym___inline__] = ACTIONS(511),
    [anon_sym___forceinline] = ACTIONS(511),
    [anon_sym_thread_local] = ACTIONS(511),
    [anon_sym___thread] = ACTIONS(511),
    [anon_sym_const] = ACTIONS(517),
    [anon_sym_constexpr] = ACTIONS(517),
    [anon_sym_volatile] = ACTIONS(517),
    [anon_sym_restrict] = ACTIONS(517),
    [anon_sym___restrict__] = ACTIONS(517),
    [anon_sym__Atomic] = ACTIONS(517),
    [anon_sym__Noreturn] = ACTIONS(517),
    [anon_sym_noreturn] = ACTIONS(517),
    [anon_sym_mutable] = ACTIONS(517),
    [anon_sym_constinit] = ACTIONS(517),
    [anon_sym_consteval] = ACTIONS(517),
    [anon_sym_PROGMEM] = ACTIONS(517),
    [aux_sym_primitive_type_token1] = ACTIONS(520),
    [anon_sym_byte] = ACTIONS(520),
    [anon_sym_word] = ACTIONS(520),
    [anon_sym_enum] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(526),
    [anon_sym_struct] = ACTIONS(529),
    [anon_sym_union] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_switch] = ACTIONS(1120),
    [anon_sym_case] = ACTIONS(1123),
    [anon_sym_default] = ACTIONS(1126),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_do] = ACTIONS(1132),
    [anon_sym_for] = ACTIONS(1135),
    [anon_sym_return] = ACTIONS(1138),
    [anon_sym_break] = ACTIONS(1141),
    [anon_sym_continue] = ACTIONS(1144),
    [anon_sym_goto] = ACTIONS(1147),
    [anon_sym___try] = ACTIONS(1150),
    [anon_sym___leave] = ACTIONS(1153),
    [anon_sym_not] = ACTIONS(460),
    [anon_sym_compl] = ACTIONS(460),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(577),
    [anon_sym___alignof__] = ACTIONS(580),
    [anon_sym___alignof] = ACTIONS(580),
    [anon_sym__alignof] = ACTIONS(580),
    [anon_sym_alignof] = ACTIONS(580),
    [anon_sym__Alignof] = ACTIONS(580),
    [anon_sym_offsetof] = ACTIONS(583),
    [anon_sym__Generic] = ACTIONS(586),
    [anon_sym_asm] = ACTIONS(589),
    [anon_sym___asm__] = ACTIONS(589),
    [aux_sym_number_literal_token1] = ACTIONS(592),
    [aux_sym_number_literal_token2] = ACTIONS(595),
    [anon_sym_L_SQUOTE] = ACTIONS(598),
    [anon_sym_u_SQUOTE] = ACTIONS(598),
    [anon_sym_U_SQUOTE] = ACTIONS(598),
    [anon_sym_u8_SQUOTE] = ACTIONS(598),
    [anon_sym_SQUOTE] = ACTIONS(598),
    [anon_sym_L_DQUOTE] = ACTIONS(601),
    [anon_sym_u_DQUOTE] = ACTIONS(601),
    [anon_sym_U_DQUOTE] = ACTIONS(601),
    [anon_sym_u8_DQUOTE] = ACTIONS(601),
    [anon_sym_DQUOTE] = ACTIONS(601),
    [sym_true] = ACTIONS(604),
    [sym_false] = ACTIONS(604),
    [anon_sym_NULL] = ACTIONS(607),
    [anon_sym_nullptr] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(610),
    [anon_sym_decltype] = ACTIONS(613),
    [anon_sym_virtual] = ACTIONS(616),
    [anon_sym_alignas] = ACTIONS(619),
    [anon_sym_explicit] = ACTIONS(622),
    [anon_sym_typename] = ACTIONS(625),
    [anon_sym_template] = ACTIONS(1156),
    [anon_sym_operator] = ACTIONS(631),
    [anon_sym_try] = ACTIONS(1159),
    [anon_sym_delete] = ACTIONS(637),
    [anon_sym_throw] = ACTIONS(1162),
    [anon_sym_namespace] = ACTIONS(1165),
    [anon_sym_using] = ACTIONS(1168),
    [anon_sym_static_assert] = ACTIONS(1171),
    [anon_sym_concept] = ACTIONS(1174),
    [anon_sym_co_return] = ACTIONS(1177),
    [anon_sym_co_yield] = ACTIONS(1180),
    [anon_sym_R_DQUOTE] = ACTIONS(661),
    [anon_sym_LR_DQUOTE] = ACTIONS(661),
    [anon_sym_uR_DQUOTE] = ACTIONS(661),
    [anon_sym_UR_DQUOTE] = ACTIONS(661),
    [anon_sym_u8R_DQUOTE] = ACTIONS(661),
    [anon_sym_co_await] = ACTIONS(664),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_requires] = ACTIONS(670),
    [sym_this] = ACTIONS(604),
  },
  [97] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7041),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2091),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2091),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2091),
    [sym_identifier] = ACTIONS(799),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1183),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [98] = {
    [sym_preproc_include] = STATE(99),
    [sym_preproc_def] = STATE(99),
    [sym_preproc_function_def] = STATE(99),
    [sym_preproc_call] = STATE(99),
    [sym_preproc_if] = STATE(99),
    [sym_preproc_ifdef] = STATE(99),
    [sym_function_definition] = STATE(99),
    [sym_declaration] = STATE(99),
    [sym_type_definition] = STATE(99),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5856),
    [sym_linkage_specification] = STATE(99),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2122),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7027),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(99),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(4008),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(99),
    [sym_labeled_statement] = STATE(99),
    [sym__top_level_expression_statement] = STATE(99),
    [sym_if_statement] = STATE(99),
    [sym_switch_statement] = STATE(99),
    [sym_case_statement] = STATE(99),
    [sym_while_statement] = STATE(99),
    [sym_do_statement] = STATE(99),
    [sym_for_statement] = STATE(99),
    [sym_return_statement] = STATE(99),
    [sym_break_statement] = STATE(99),
    [sym_continue_statement] = STATE(99),
    [sym_goto_statement] = STATE(99),
    [sym__expression] = STATE(5463),
    [sym__expression_not_binary] = STATE(5554),
    [sym__string] = STATE(5554),
    [sym_conditional_expression] = STATE(5554),
    [sym_assignment_expression] = STATE(5554),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(5554),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(5554),
    [sym_cast_expression] = STATE(5554),
    [sym_sizeof_expression] = STATE(5554),
    [sym_alignof_expression] = STATE(5554),
    [sym_offsetof_expression] = STATE(5554),
    [sym_generic_expression] = STATE(5554),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(5554),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(5554),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(5554),
    [sym__empty_declaration] = STATE(99),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2195),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(99),
    [sym_template_instantiation] = STATE(99),
    [sym_operator_cast] = STATE(7350),
    [sym__constructor_specifiers] = STATE(2195),
    [sym_operator_cast_definition] = STATE(99),
    [sym_operator_cast_declaration] = STATE(99),
    [sym_constructor_or_destructor_definition] = STATE(99),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(99),
    [sym_namespace_alias_definition] = STATE(99),
    [sym_using_declaration] = STATE(99),
    [sym_alias_declaration] = STATE(99),
    [sym_static_assert_declaration] = STATE(99),
    [sym_concept_definition] = STATE(99),
    [sym_for_range_loop] = STATE(99),
    [sym_co_return_statement] = STATE(99),
    [sym_co_yield_statement] = STATE(99),
    [sym_throw_statement] = STATE(99),
    [sym_try_statement] = STATE(99),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(5554),
    [sym_new_expression] = STATE(5554),
    [sym_delete_expression] = STATE(5554),
    [sym_requires_clause] = STATE(5554),
    [sym_requires_expression] = STATE(5554),
    [sym_lambda_expression] = STATE(5554),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(5554),
    [sym_parameter_pack_expansion] = STATE(5554),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7350),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_translation_unit_repeat1] = STATE(99),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2195),
    [ts_builtin_sym_end] = ACTIONS(1185),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(115),
    [sym_false] = ACTIONS(115),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(131),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(141),
    [anon_sym_using] = ACTIONS(143),
    [anon_sym_static_assert] = ACTIONS(145),
    [anon_sym_concept] = ACTIONS(147),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(115),
  },
  [99] = {
    [sym_preproc_include] = STATE(99),
    [sym_preproc_def] = STATE(99),
    [sym_preproc_function_def] = STATE(99),
    [sym_preproc_call] = STATE(99),
    [sym_preproc_if] = STATE(99),
    [sym_preproc_ifdef] = STATE(99),
    [sym_function_definition] = STATE(99),
    [sym_declaration] = STATE(99),
    [sym_type_definition] = STATE(99),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5856),
    [sym_linkage_specification] = STATE(99),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(1129),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2122),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7027),
    [sym_array_declarator] = STATE(6932),
    [sym_compound_statement] = STATE(99),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(4008),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(99),
    [sym_labeled_statement] = STATE(99),
    [sym__top_level_expression_statement] = STATE(99),
    [sym_if_statement] = STATE(99),
    [sym_switch_statement] = STATE(99),
    [sym_case_statement] = STATE(99),
    [sym_while_statement] = STATE(99),
    [sym_do_statement] = STATE(99),
    [sym_for_statement] = STATE(99),
    [sym_return_statement] = STATE(99),
    [sym_break_statement] = STATE(99),
    [sym_continue_statement] = STATE(99),
    [sym_goto_statement] = STATE(99),
    [sym__expression] = STATE(5463),
    [sym__expression_not_binary] = STATE(5554),
    [sym__string] = STATE(5554),
    [sym_conditional_expression] = STATE(5554),
    [sym_assignment_expression] = STATE(5554),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(5554),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(5554),
    [sym_cast_expression] = STATE(5554),
    [sym_sizeof_expression] = STATE(5554),
    [sym_alignof_expression] = STATE(5554),
    [sym_offsetof_expression] = STATE(5554),
    [sym_generic_expression] = STATE(5554),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(5554),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(5554),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(5554),
    [sym__empty_declaration] = STATE(99),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2195),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(99),
    [sym_template_instantiation] = STATE(99),
    [sym_operator_cast] = STATE(7350),
    [sym__constructor_specifiers] = STATE(2195),
    [sym_operator_cast_definition] = STATE(99),
    [sym_operator_cast_declaration] = STATE(99),
    [sym_constructor_or_destructor_definition] = STATE(99),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(5223),
    [sym_namespace_definition] = STATE(99),
    [sym_namespace_alias_definition] = STATE(99),
    [sym_using_declaration] = STATE(99),
    [sym_alias_declaration] = STATE(99),
    [sym_static_assert_declaration] = STATE(99),
    [sym_concept_definition] = STATE(99),
    [sym_for_range_loop] = STATE(99),
    [sym_co_return_statement] = STATE(99),
    [sym_co_yield_statement] = STATE(99),
    [sym_throw_statement] = STATE(99),
    [sym_try_statement] = STATE(99),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(5554),
    [sym_new_expression] = STATE(5554),
    [sym_delete_expression] = STATE(5554),
    [sym_requires_clause] = STATE(5554),
    [sym_requires_expression] = STATE(5554),
    [sym_lambda_expression] = STATE(5554),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(5554),
    [sym_parameter_pack_expansion] = STATE(5554),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6158),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_qualified_operator_cast_identifier] = STATE(7350),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_translation_unit_repeat1] = STATE(99),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2195),
    [ts_builtin_sym_end] = ACTIONS(1187),
    [sym_identifier] = ACTIONS(1189),
    [aux_sym_preproc_include_token1] = ACTIONS(1192),
    [aux_sym_preproc_def_token1] = ACTIONS(1195),
    [aux_sym_preproc_if_token1] = ACTIONS(1198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1201),
    [sym_preproc_directive] = ACTIONS(1204),
    [anon_sym_LPAREN2] = ACTIONS(1207),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_STAR] = ACTIONS(1219),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym___extension__] = ACTIONS(1228),
    [anon_sym_typedef] = ACTIONS(1231),
    [anon_sym_extern] = ACTIONS(1234),
    [anon_sym___attribute__] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1243),
    [anon_sym___declspec] = ACTIONS(1246),
    [anon_sym___based] = ACTIONS(1249),
    [anon_sym___cdecl] = ACTIONS(1252),
    [anon_sym___clrcall] = ACTIONS(1252),
    [anon_sym___stdcall] = ACTIONS(1252),
    [anon_sym___fastcall] = ACTIONS(1252),
    [anon_sym___thiscall] = ACTIONS(1252),
    [anon_sym___vectorcall] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1255),
    [anon_sym_signed] = ACTIONS(1258),
    [anon_sym_unsigned] = ACTIONS(1258),
    [anon_sym_long] = ACTIONS(1258),
    [anon_sym_short] = ACTIONS(1258),
    [anon_sym_LBRACK] = ACTIONS(1261),
    [anon_sym_static] = ACTIONS(1264),
    [anon_sym_register] = ACTIONS(1264),
    [anon_sym_inline] = ACTIONS(1267),
    [anon_sym___inline] = ACTIONS(1264),
    [anon_sym___inline__] = ACTIONS(1264),
    [anon_sym___forceinline] = ACTIONS(1264),
    [anon_sym_thread_local] = ACTIONS(1264),
    [anon_sym___thread] = ACTIONS(1264),
    [anon_sym_const] = ACTIONS(1270),
    [anon_sym_constexpr] = ACTIONS(1270),
    [anon_sym_volatile] = ACTIONS(1270),
    [anon_sym_restrict] = ACTIONS(1270),
    [anon_sym___restrict__] = ACTIONS(1270),
    [anon_sym__Atomic] = ACTIONS(1270),
    [anon_sym__Noreturn] = ACTIONS(1270),
    [anon_sym_noreturn] = ACTIONS(1270),
    [anon_sym_mutable] = ACTIONS(1270),
    [anon_sym_constinit] = ACTIONS(1270),
    [anon_sym_consteval] = ACTIONS(1270),
    [anon_sym_PROGMEM] = ACTIONS(1270),
    [aux_sym_primitive_type_token1] = ACTIONS(1273),
    [anon_sym_byte] = ACTIONS(1273),
    [anon_sym_word] = ACTIONS(1273),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_class] = ACTIONS(1279),
    [anon_sym_struct] = ACTIONS(1282),
    [anon_sym_union] = ACTIONS(1285),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_switch] = ACTIONS(1291),
    [anon_sym_case] = ACTIONS(1294),
    [anon_sym_default] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1300),
    [anon_sym_do] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1309),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1315),
    [anon_sym_goto] = ACTIONS(1318),
    [anon_sym_not] = ACTIONS(1216),
    [anon_sym_compl] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1321),
    [anon_sym_PLUS_PLUS] = ACTIONS(1321),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym___alignof__] = ACTIONS(1327),
    [anon_sym___alignof] = ACTIONS(1327),
    [anon_sym__alignof] = ACTIONS(1327),
    [anon_sym_alignof] = ACTIONS(1327),
    [anon_sym__Alignof] = ACTIONS(1327),
    [anon_sym_offsetof] = ACTIONS(1330),
    [anon_sym__Generic] = ACTIONS(1333),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [aux_sym_number_literal_token1] = ACTIONS(1339),
    [aux_sym_number_literal_token2] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1345),
    [anon_sym_u_SQUOTE] = ACTIONS(1345),
    [anon_sym_U_SQUOTE] = ACTIONS(1345),
    [anon_sym_u8_SQUOTE] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1345),
    [anon_sym_L_DQUOTE] = ACTIONS(1348),
    [anon_sym_u_DQUOTE] = ACTIONS(1348),
    [anon_sym_U_DQUOTE] = ACTIONS(1348),
    [anon_sym_u8_DQUOTE] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [anon_sym_NULL] = ACTIONS(1354),
    [anon_sym_nullptr] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1357),
    [anon_sym_decltype] = ACTIONS(1360),
    [anon_sym_virtual] = ACTIONS(1363),
    [anon_sym_alignas] = ACTIONS(1366),
    [anon_sym_explicit] = ACTIONS(1369),
    [anon_sym_typename] = ACTIONS(1372),
    [anon_sym_template] = ACTIONS(1375),
    [anon_sym_operator] = ACTIONS(1378),
    [anon_sym_try] = ACTIONS(1381),
    [anon_sym_delete] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1387),
    [anon_sym_namespace] = ACTIONS(1390),
    [anon_sym_using] = ACTIONS(1393),
    [anon_sym_static_assert] = ACTIONS(1396),
    [anon_sym_concept] = ACTIONS(1399),
    [anon_sym_co_return] = ACTIONS(1402),
    [anon_sym_co_yield] = ACTIONS(1405),
    [anon_sym_R_DQUOTE] = ACTIONS(1408),
    [anon_sym_LR_DQUOTE] = ACTIONS(1408),
    [anon_sym_uR_DQUOTE] = ACTIONS(1408),
    [anon_sym_UR_DQUOTE] = ACTIONS(1408),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1408),
    [anon_sym_co_await] = ACTIONS(1411),
    [anon_sym_new] = ACTIONS(1414),
    [anon_sym_requires] = ACTIONS(1417),
    [sym_this] = ACTIONS(1351),
  },
  [100] = {
    [sym_declaration] = STATE(101),
    [sym_type_definition] = STATE(101),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5853),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(101),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(101),
    [sym_labeled_statement] = STATE(101),
    [sym_expression_statement] = STATE(101),
    [sym_if_statement] = STATE(101),
    [sym_switch_statement] = STATE(101),
    [sym_while_statement] = STATE(101),
    [sym_do_statement] = STATE(101),
    [sym_for_statement] = STATE(101),
    [sym_return_statement] = STATE(101),
    [sym_break_statement] = STATE(101),
    [sym_continue_statement] = STATE(101),
    [sym_goto_statement] = STATE(101),
    [sym_seh_try_statement] = STATE(101),
    [sym_seh_leave_statement] = STATE(101),
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8707),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(101),
    [sym_co_return_statement] = STATE(101),
    [sym_co_yield_statement] = STATE(101),
    [sym_throw_statement] = STATE(101),
    [sym_try_statement] = STATE(101),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(101),
    [sym_identifier] = ACTIONS(1420),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token2] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [aux_sym_preproc_else_token1] = ACTIONS(1422),
    [aux_sym_preproc_elif_token1] = ACTIONS(1422),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1422),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(1422),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_using] = ACTIONS(1422),
    [anon_sym_static_assert] = ACTIONS(1422),
    [anon_sym_concept] = ACTIONS(1422),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [101] = {
    [sym_declaration] = STATE(101),
    [sym_type_definition] = STATE(101),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5853),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(101),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(101),
    [sym_labeled_statement] = STATE(101),
    [sym_expression_statement] = STATE(101),
    [sym_if_statement] = STATE(101),
    [sym_switch_statement] = STATE(101),
    [sym_while_statement] = STATE(101),
    [sym_do_statement] = STATE(101),
    [sym_for_statement] = STATE(101),
    [sym_return_statement] = STATE(101),
    [sym_break_statement] = STATE(101),
    [sym_continue_statement] = STATE(101),
    [sym_goto_statement] = STATE(101),
    [sym_seh_try_statement] = STATE(101),
    [sym_seh_leave_statement] = STATE(101),
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8707),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(101),
    [sym_co_return_statement] = STATE(101),
    [sym_co_yield_statement] = STATE(101),
    [sym_throw_statement] = STATE(101),
    [sym_try_statement] = STATE(101),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(101),
    [sym_identifier] = ACTIONS(1438),
    [aux_sym_preproc_include_token1] = ACTIONS(1441),
    [aux_sym_preproc_def_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token2] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1441),
    [aux_sym_preproc_else_token1] = ACTIONS(1441),
    [aux_sym_preproc_elif_token1] = ACTIONS(1441),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1441),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1441),
    [sym_preproc_directive] = ACTIONS(1441),
    [anon_sym_LPAREN2] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1455),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1460),
    [anon_sym___extension__] = ACTIONS(1463),
    [anon_sym_typedef] = ACTIONS(1466),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_COLON_COLON] = ACTIONS(1475),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym___based] = ACTIONS(1441),
    [anon_sym___cdecl] = ACTIONS(1441),
    [anon_sym___clrcall] = ACTIONS(1441),
    [anon_sym___stdcall] = ACTIONS(1441),
    [anon_sym___fastcall] = ACTIONS(1441),
    [anon_sym___thiscall] = ACTIONS(1441),
    [anon_sym___vectorcall] = ACTIONS(1441),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_signed] = ACTIONS(1487),
    [anon_sym_unsigned] = ACTIONS(1487),
    [anon_sym_long] = ACTIONS(1487),
    [anon_sym_short] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1493),
    [anon_sym_constexpr] = ACTIONS(1493),
    [anon_sym_volatile] = ACTIONS(1493),
    [anon_sym_restrict] = ACTIONS(1493),
    [anon_sym___restrict__] = ACTIONS(1493),
    [anon_sym__Atomic] = ACTIONS(1493),
    [anon_sym__Noreturn] = ACTIONS(1493),
    [anon_sym_noreturn] = ACTIONS(1493),
    [anon_sym_mutable] = ACTIONS(1493),
    [anon_sym_constinit] = ACTIONS(1493),
    [anon_sym_consteval] = ACTIONS(1493),
    [anon_sym_PROGMEM] = ACTIONS(1493),
    [aux_sym_primitive_type_token1] = ACTIONS(1496),
    [anon_sym_byte] = ACTIONS(1496),
    [anon_sym_word] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1499),
    [anon_sym_class] = ACTIONS(1502),
    [anon_sym_struct] = ACTIONS(1505),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_else] = ACTIONS(1441),
    [anon_sym_switch] = ACTIONS(1514),
    [anon_sym_case] = ACTIONS(1441),
    [anon_sym_default] = ACTIONS(1441),
    [anon_sym_while] = ACTIONS(1517),
    [anon_sym_do] = ACTIONS(1520),
    [anon_sym_for] = ACTIONS(1523),
    [anon_sym_return] = ACTIONS(1526),
    [anon_sym_break] = ACTIONS(1529),
    [anon_sym_continue] = ACTIONS(1532),
    [anon_sym_goto] = ACTIONS(1535),
    [anon_sym___try] = ACTIONS(1538),
    [anon_sym___leave] = ACTIONS(1541),
    [anon_sym_not] = ACTIONS(1449),
    [anon_sym_compl] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_sizeof] = ACTIONS(1547),
    [anon_sym___alignof__] = ACTIONS(1550),
    [anon_sym___alignof] = ACTIONS(1550),
    [anon_sym__alignof] = ACTIONS(1550),
    [anon_sym_alignof] = ACTIONS(1550),
    [anon_sym__Alignof] = ACTIONS(1550),
    [anon_sym_offsetof] = ACTIONS(1553),
    [anon_sym__Generic] = ACTIONS(1556),
    [anon_sym_asm] = ACTIONS(1559),
    [anon_sym___asm__] = ACTIONS(1559),
    [aux_sym_number_literal_token1] = ACTIONS(1562),
    [aux_sym_number_literal_token2] = ACTIONS(1565),
    [anon_sym_L_SQUOTE] = ACTIONS(1568),
    [anon_sym_u_SQUOTE] = ACTIONS(1568),
    [anon_sym_U_SQUOTE] = ACTIONS(1568),
    [anon_sym_u8_SQUOTE] = ACTIONS(1568),
    [anon_sym_SQUOTE] = ACTIONS(1568),
    [anon_sym_L_DQUOTE] = ACTIONS(1571),
    [anon_sym_u_DQUOTE] = ACTIONS(1571),
    [anon_sym_U_DQUOTE] = ACTIONS(1571),
    [anon_sym_u8_DQUOTE] = ACTIONS(1571),
    [anon_sym_DQUOTE] = ACTIONS(1571),
    [sym_true] = ACTIONS(1574),
    [sym_false] = ACTIONS(1574),
    [anon_sym_NULL] = ACTIONS(1577),
    [anon_sym_nullptr] = ACTIONS(1577),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1580),
    [anon_sym_decltype] = ACTIONS(1583),
    [anon_sym_virtual] = ACTIONS(1586),
    [anon_sym_alignas] = ACTIONS(1589),
    [anon_sym_explicit] = ACTIONS(1441),
    [anon_sym_typename] = ACTIONS(1592),
    [anon_sym_template] = ACTIONS(1595),
    [anon_sym_operator] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1598),
    [anon_sym_delete] = ACTIONS(1601),
    [anon_sym_throw] = ACTIONS(1604),
    [anon_sym_namespace] = ACTIONS(1441),
    [anon_sym_using] = ACTIONS(1441),
    [anon_sym_static_assert] = ACTIONS(1441),
    [anon_sym_concept] = ACTIONS(1441),
    [anon_sym_co_return] = ACTIONS(1607),
    [anon_sym_co_yield] = ACTIONS(1610),
    [anon_sym_R_DQUOTE] = ACTIONS(1613),
    [anon_sym_LR_DQUOTE] = ACTIONS(1613),
    [anon_sym_uR_DQUOTE] = ACTIONS(1613),
    [anon_sym_UR_DQUOTE] = ACTIONS(1613),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1613),
    [anon_sym_co_await] = ACTIONS(1616),
    [anon_sym_new] = ACTIONS(1619),
    [anon_sym_requires] = ACTIONS(1622),
    [sym_this] = ACTIONS(1574),
  },
  [102] = {
    [sym_declaration] = STATE(100),
    [sym_type_definition] = STATE(100),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5853),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(100),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(100),
    [sym_labeled_statement] = STATE(100),
    [sym_expression_statement] = STATE(100),
    [sym_if_statement] = STATE(100),
    [sym_switch_statement] = STATE(100),
    [sym_while_statement] = STATE(100),
    [sym_do_statement] = STATE(100),
    [sym_for_statement] = STATE(100),
    [sym_return_statement] = STATE(100),
    [sym_break_statement] = STATE(100),
    [sym_continue_statement] = STATE(100),
    [sym_goto_statement] = STATE(100),
    [sym_seh_try_statement] = STATE(100),
    [sym_seh_leave_statement] = STATE(100),
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8707),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(100),
    [sym_co_return_statement] = STATE(100),
    [sym_co_yield_statement] = STATE(100),
    [sym_throw_statement] = STATE(100),
    [sym_try_statement] = STATE(100),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(100),
    [sym_identifier] = ACTIONS(1420),
    [aux_sym_preproc_include_token1] = ACTIONS(1625),
    [aux_sym_preproc_def_token1] = ACTIONS(1625),
    [aux_sym_preproc_if_token1] = ACTIONS(1625),
    [aux_sym_preproc_if_token2] = ACTIONS(1625),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1625),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1625),
    [aux_sym_preproc_else_token1] = ACTIONS(1625),
    [aux_sym_preproc_elif_token1] = ACTIONS(1625),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1625),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1625),
    [sym_preproc_directive] = ACTIONS(1625),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1627),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1625),
    [anon_sym___cdecl] = ACTIONS(1625),
    [anon_sym___clrcall] = ACTIONS(1625),
    [anon_sym___stdcall] = ACTIONS(1625),
    [anon_sym___fastcall] = ACTIONS(1625),
    [anon_sym___thiscall] = ACTIONS(1625),
    [anon_sym___vectorcall] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_else] = ACTIONS(1625),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(1625),
    [anon_sym_default] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1625),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(1625),
    [anon_sym_using] = ACTIONS(1625),
    [anon_sym_static_assert] = ACTIONS(1625),
    [anon_sym_concept] = ACTIONS(1625),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [103] = {
    [sym_declaration] = STATE(101),
    [sym_type_definition] = STATE(101),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5853),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(101),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(101),
    [sym_labeled_statement] = STATE(101),
    [sym_expression_statement] = STATE(101),
    [sym_if_statement] = STATE(101),
    [sym_switch_statement] = STATE(101),
    [sym_while_statement] = STATE(101),
    [sym_do_statement] = STATE(101),
    [sym_for_statement] = STATE(101),
    [sym_return_statement] = STATE(101),
    [sym_break_statement] = STATE(101),
    [sym_continue_statement] = STATE(101),
    [sym_goto_statement] = STATE(101),
    [sym_seh_try_statement] = STATE(101),
    [sym_seh_leave_statement] = STATE(101),
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8707),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(101),
    [sym_co_return_statement] = STATE(101),
    [sym_co_yield_statement] = STATE(101),
    [sym_throw_statement] = STATE(101),
    [sym_try_statement] = STATE(101),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(101),
    [sym_identifier] = ACTIONS(1420),
    [aux_sym_preproc_include_token1] = ACTIONS(1629),
    [aux_sym_preproc_def_token1] = ACTIONS(1629),
    [aux_sym_preproc_if_token1] = ACTIONS(1629),
    [aux_sym_preproc_if_token2] = ACTIONS(1629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1629),
    [aux_sym_preproc_else_token1] = ACTIONS(1629),
    [aux_sym_preproc_elif_token1] = ACTIONS(1629),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1629),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1629),
    [sym_preproc_directive] = ACTIONS(1629),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1629),
    [anon_sym___cdecl] = ACTIONS(1629),
    [anon_sym___clrcall] = ACTIONS(1629),
    [anon_sym___stdcall] = ACTIONS(1629),
    [anon_sym___fastcall] = ACTIONS(1629),
    [anon_sym___thiscall] = ACTIONS(1629),
    [anon_sym___vectorcall] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_else] = ACTIONS(1629),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(1629),
    [anon_sym_default] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1629),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(1629),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(1629),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_static_assert] = ACTIONS(1629),
    [anon_sym_concept] = ACTIONS(1629),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [104] = {
    [sym_declaration] = STATE(103),
    [sym_type_definition] = STATE(103),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5853),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(103),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(103),
    [sym_labeled_statement] = STATE(103),
    [sym_expression_statement] = STATE(103),
    [sym_if_statement] = STATE(103),
    [sym_switch_statement] = STATE(103),
    [sym_while_statement] = STATE(103),
    [sym_do_statement] = STATE(103),
    [sym_for_statement] = STATE(103),
    [sym_return_statement] = STATE(103),
    [sym_break_statement] = STATE(103),
    [sym_continue_statement] = STATE(103),
    [sym_goto_statement] = STATE(103),
    [sym_seh_try_statement] = STATE(103),
    [sym_seh_leave_statement] = STATE(103),
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8707),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(103),
    [sym_co_return_statement] = STATE(103),
    [sym_co_yield_statement] = STATE(103),
    [sym_throw_statement] = STATE(103),
    [sym_try_statement] = STATE(103),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(103),
    [sym_identifier] = ACTIONS(1420),
    [aux_sym_preproc_include_token1] = ACTIONS(1633),
    [aux_sym_preproc_def_token1] = ACTIONS(1633),
    [aux_sym_preproc_if_token1] = ACTIONS(1633),
    [aux_sym_preproc_if_token2] = ACTIONS(1633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1633),
    [aux_sym_preproc_else_token1] = ACTIONS(1633),
    [aux_sym_preproc_elif_token1] = ACTIONS(1633),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1633),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1633),
    [sym_preproc_directive] = ACTIONS(1633),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1635),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym___extension__] = ACTIONS(287),
    [anon_sym_typedef] = ACTIONS(289),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1633),
    [anon_sym___cdecl] = ACTIONS(1633),
    [anon_sym___clrcall] = ACTIONS(1633),
    [anon_sym___stdcall] = ACTIONS(1633),
    [anon_sym___fastcall] = ACTIONS(1633),
    [anon_sym___thiscall] = ACTIONS(1633),
    [anon_sym___vectorcall] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_else] = ACTIONS(1633),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(1633),
    [anon_sym_default] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1633),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(1633),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(1633),
    [anon_sym_using] = ACTIONS(1633),
    [anon_sym_static_assert] = ACTIONS(1633),
    [anon_sym_concept] = ACTIONS(1633),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [105] = {
    [sym_declaration] = STATE(106),
    [sym_type_definition] = STATE(106),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5821),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(106),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(106),
    [sym_labeled_statement] = STATE(106),
    [sym_expression_statement] = STATE(106),
    [sym_if_statement] = STATE(106),
    [sym_switch_statement] = STATE(106),
    [sym_while_statement] = STATE(106),
    [sym_do_statement] = STATE(106),
    [sym_for_statement] = STATE(106),
    [sym_return_statement] = STATE(106),
    [sym_break_statement] = STATE(106),
    [sym_continue_statement] = STATE(106),
    [sym_goto_statement] = STATE(106),
    [sym_seh_try_statement] = STATE(106),
    [sym_seh_leave_statement] = STATE(106),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(106),
    [sym_co_return_statement] = STATE(106),
    [sym_co_yield_statement] = STATE(106),
    [sym_throw_statement] = STATE(106),
    [sym_try_statement] = STATE(106),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(106),
    [sym_identifier] = ACTIONS(1637),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token2] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [aux_sym_preproc_else_token1] = ACTIONS(1422),
    [aux_sym_preproc_elif_token1] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(373),
    [anon_sym___extension__] = ACTIONS(375),
    [anon_sym_typedef] = ACTIONS(377),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(401),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_goto] = ACTIONS(405),
    [anon_sym___try] = ACTIONS(407),
    [anon_sym___leave] = ACTIONS(409),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1422),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(1422),
    [anon_sym_try] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_using] = ACTIONS(1422),
    [anon_sym_static_assert] = ACTIONS(1422),
    [anon_sym_concept] = ACTIONS(1422),
    [anon_sym_co_return] = ACTIONS(425),
    [anon_sym_co_yield] = ACTIONS(427),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [106] = {
    [sym_declaration] = STATE(106),
    [sym_type_definition] = STATE(106),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5821),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(106),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(106),
    [sym_labeled_statement] = STATE(106),
    [sym_expression_statement] = STATE(106),
    [sym_if_statement] = STATE(106),
    [sym_switch_statement] = STATE(106),
    [sym_while_statement] = STATE(106),
    [sym_do_statement] = STATE(106),
    [sym_for_statement] = STATE(106),
    [sym_return_statement] = STATE(106),
    [sym_break_statement] = STATE(106),
    [sym_continue_statement] = STATE(106),
    [sym_goto_statement] = STATE(106),
    [sym_seh_try_statement] = STATE(106),
    [sym_seh_leave_statement] = STATE(106),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(106),
    [sym_co_return_statement] = STATE(106),
    [sym_co_yield_statement] = STATE(106),
    [sym_throw_statement] = STATE(106),
    [sym_try_statement] = STATE(106),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(106),
    [sym_identifier] = ACTIONS(1639),
    [aux_sym_preproc_include_token1] = ACTIONS(1441),
    [aux_sym_preproc_def_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token2] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1441),
    [aux_sym_preproc_else_token1] = ACTIONS(1441),
    [aux_sym_preproc_elif_token1] = ACTIONS(1441),
    [sym_preproc_directive] = ACTIONS(1441),
    [anon_sym_LPAREN2] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1455),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1642),
    [anon_sym___extension__] = ACTIONS(1645),
    [anon_sym_typedef] = ACTIONS(1648),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_COLON_COLON] = ACTIONS(1475),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym___based] = ACTIONS(1441),
    [anon_sym___cdecl] = ACTIONS(1441),
    [anon_sym___clrcall] = ACTIONS(1441),
    [anon_sym___stdcall] = ACTIONS(1441),
    [anon_sym___fastcall] = ACTIONS(1441),
    [anon_sym___thiscall] = ACTIONS(1441),
    [anon_sym___vectorcall] = ACTIONS(1441),
    [anon_sym_LBRACE] = ACTIONS(1651),
    [anon_sym_signed] = ACTIONS(1487),
    [anon_sym_unsigned] = ACTIONS(1487),
    [anon_sym_long] = ACTIONS(1487),
    [anon_sym_short] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1493),
    [anon_sym_constexpr] = ACTIONS(1493),
    [anon_sym_volatile] = ACTIONS(1493),
    [anon_sym_restrict] = ACTIONS(1493),
    [anon_sym___restrict__] = ACTIONS(1493),
    [anon_sym__Atomic] = ACTIONS(1493),
    [anon_sym__Noreturn] = ACTIONS(1493),
    [anon_sym_noreturn] = ACTIONS(1493),
    [anon_sym_mutable] = ACTIONS(1493),
    [anon_sym_constinit] = ACTIONS(1493),
    [anon_sym_consteval] = ACTIONS(1493),
    [anon_sym_PROGMEM] = ACTIONS(1493),
    [aux_sym_primitive_type_token1] = ACTIONS(1496),
    [anon_sym_byte] = ACTIONS(1496),
    [anon_sym_word] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1499),
    [anon_sym_class] = ACTIONS(1502),
    [anon_sym_struct] = ACTIONS(1505),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1654),
    [anon_sym_else] = ACTIONS(1441),
    [anon_sym_switch] = ACTIONS(1657),
    [anon_sym_case] = ACTIONS(1441),
    [anon_sym_default] = ACTIONS(1441),
    [anon_sym_while] = ACTIONS(1660),
    [anon_sym_do] = ACTIONS(1663),
    [anon_sym_for] = ACTIONS(1666),
    [anon_sym_return] = ACTIONS(1669),
    [anon_sym_break] = ACTIONS(1672),
    [anon_sym_continue] = ACTIONS(1675),
    [anon_sym_goto] = ACTIONS(1678),
    [anon_sym___try] = ACTIONS(1681),
    [anon_sym___leave] = ACTIONS(1684),
    [anon_sym_not] = ACTIONS(1449),
    [anon_sym_compl] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_sizeof] = ACTIONS(1547),
    [anon_sym___alignof__] = ACTIONS(1550),
    [anon_sym___alignof] = ACTIONS(1550),
    [anon_sym__alignof] = ACTIONS(1550),
    [anon_sym_alignof] = ACTIONS(1550),
    [anon_sym__Alignof] = ACTIONS(1550),
    [anon_sym_offsetof] = ACTIONS(1553),
    [anon_sym__Generic] = ACTIONS(1556),
    [anon_sym_asm] = ACTIONS(1559),
    [anon_sym___asm__] = ACTIONS(1559),
    [aux_sym_number_literal_token1] = ACTIONS(1562),
    [aux_sym_number_literal_token2] = ACTIONS(1565),
    [anon_sym_L_SQUOTE] = ACTIONS(1568),
    [anon_sym_u_SQUOTE] = ACTIONS(1568),
    [anon_sym_U_SQUOTE] = ACTIONS(1568),
    [anon_sym_u8_SQUOTE] = ACTIONS(1568),
    [anon_sym_SQUOTE] = ACTIONS(1568),
    [anon_sym_L_DQUOTE] = ACTIONS(1571),
    [anon_sym_u_DQUOTE] = ACTIONS(1571),
    [anon_sym_U_DQUOTE] = ACTIONS(1571),
    [anon_sym_u8_DQUOTE] = ACTIONS(1571),
    [anon_sym_DQUOTE] = ACTIONS(1571),
    [sym_true] = ACTIONS(1574),
    [sym_false] = ACTIONS(1574),
    [anon_sym_NULL] = ACTIONS(1577),
    [anon_sym_nullptr] = ACTIONS(1577),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1580),
    [anon_sym_decltype] = ACTIONS(1583),
    [anon_sym_virtual] = ACTIONS(1586),
    [anon_sym_alignas] = ACTIONS(1589),
    [anon_sym_explicit] = ACTIONS(1441),
    [anon_sym_typename] = ACTIONS(1592),
    [anon_sym_template] = ACTIONS(1595),
    [anon_sym_operator] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1687),
    [anon_sym_delete] = ACTIONS(1601),
    [anon_sym_throw] = ACTIONS(1690),
    [anon_sym_namespace] = ACTIONS(1441),
    [anon_sym_using] = ACTIONS(1441),
    [anon_sym_static_assert] = ACTIONS(1441),
    [anon_sym_concept] = ACTIONS(1441),
    [anon_sym_co_return] = ACTIONS(1693),
    [anon_sym_co_yield] = ACTIONS(1696),
    [anon_sym_R_DQUOTE] = ACTIONS(1613),
    [anon_sym_LR_DQUOTE] = ACTIONS(1613),
    [anon_sym_uR_DQUOTE] = ACTIONS(1613),
    [anon_sym_UR_DQUOTE] = ACTIONS(1613),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1613),
    [anon_sym_co_await] = ACTIONS(1616),
    [anon_sym_new] = ACTIONS(1619),
    [anon_sym_requires] = ACTIONS(1622),
    [sym_this] = ACTIONS(1574),
  },
  [107] = {
    [sym_declaration] = STATE(106),
    [sym_type_definition] = STATE(106),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5821),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(106),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(106),
    [sym_labeled_statement] = STATE(106),
    [sym_expression_statement] = STATE(106),
    [sym_if_statement] = STATE(106),
    [sym_switch_statement] = STATE(106),
    [sym_while_statement] = STATE(106),
    [sym_do_statement] = STATE(106),
    [sym_for_statement] = STATE(106),
    [sym_return_statement] = STATE(106),
    [sym_break_statement] = STATE(106),
    [sym_continue_statement] = STATE(106),
    [sym_goto_statement] = STATE(106),
    [sym_seh_try_statement] = STATE(106),
    [sym_seh_leave_statement] = STATE(106),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(106),
    [sym_co_return_statement] = STATE(106),
    [sym_co_yield_statement] = STATE(106),
    [sym_throw_statement] = STATE(106),
    [sym_try_statement] = STATE(106),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(106),
    [sym_identifier] = ACTIONS(1637),
    [aux_sym_preproc_include_token1] = ACTIONS(1629),
    [aux_sym_preproc_def_token1] = ACTIONS(1629),
    [aux_sym_preproc_if_token1] = ACTIONS(1629),
    [aux_sym_preproc_if_token2] = ACTIONS(1629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1629),
    [aux_sym_preproc_else_token1] = ACTIONS(1629),
    [aux_sym_preproc_elif_token1] = ACTIONS(1629),
    [sym_preproc_directive] = ACTIONS(1629),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(373),
    [anon_sym___extension__] = ACTIONS(375),
    [anon_sym_typedef] = ACTIONS(377),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1629),
    [anon_sym___cdecl] = ACTIONS(1629),
    [anon_sym___clrcall] = ACTIONS(1629),
    [anon_sym___stdcall] = ACTIONS(1629),
    [anon_sym___fastcall] = ACTIONS(1629),
    [anon_sym___thiscall] = ACTIONS(1629),
    [anon_sym___vectorcall] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_else] = ACTIONS(1629),
    [anon_sym_switch] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(1629),
    [anon_sym_default] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(401),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_goto] = ACTIONS(405),
    [anon_sym___try] = ACTIONS(407),
    [anon_sym___leave] = ACTIONS(409),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1629),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(1629),
    [anon_sym_try] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_namespace] = ACTIONS(1629),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_static_assert] = ACTIONS(1629),
    [anon_sym_concept] = ACTIONS(1629),
    [anon_sym_co_return] = ACTIONS(425),
    [anon_sym_co_yield] = ACTIONS(427),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [108] = {
    [sym_declaration] = STATE(107),
    [sym_type_definition] = STATE(107),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5821),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(107),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(107),
    [sym_labeled_statement] = STATE(107),
    [sym_expression_statement] = STATE(107),
    [sym_if_statement] = STATE(107),
    [sym_switch_statement] = STATE(107),
    [sym_while_statement] = STATE(107),
    [sym_do_statement] = STATE(107),
    [sym_for_statement] = STATE(107),
    [sym_return_statement] = STATE(107),
    [sym_break_statement] = STATE(107),
    [sym_continue_statement] = STATE(107),
    [sym_goto_statement] = STATE(107),
    [sym_seh_try_statement] = STATE(107),
    [sym_seh_leave_statement] = STATE(107),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(107),
    [sym_co_return_statement] = STATE(107),
    [sym_co_yield_statement] = STATE(107),
    [sym_throw_statement] = STATE(107),
    [sym_try_statement] = STATE(107),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(107),
    [sym_identifier] = ACTIONS(1637),
    [aux_sym_preproc_include_token1] = ACTIONS(1633),
    [aux_sym_preproc_def_token1] = ACTIONS(1633),
    [aux_sym_preproc_if_token1] = ACTIONS(1633),
    [aux_sym_preproc_if_token2] = ACTIONS(1633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1633),
    [aux_sym_preproc_else_token1] = ACTIONS(1633),
    [aux_sym_preproc_elif_token1] = ACTIONS(1633),
    [sym_preproc_directive] = ACTIONS(1633),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1635),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(373),
    [anon_sym___extension__] = ACTIONS(375),
    [anon_sym_typedef] = ACTIONS(377),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1633),
    [anon_sym___cdecl] = ACTIONS(1633),
    [anon_sym___clrcall] = ACTIONS(1633),
    [anon_sym___stdcall] = ACTIONS(1633),
    [anon_sym___fastcall] = ACTIONS(1633),
    [anon_sym___thiscall] = ACTIONS(1633),
    [anon_sym___vectorcall] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_else] = ACTIONS(1633),
    [anon_sym_switch] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(1633),
    [anon_sym_default] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(401),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_goto] = ACTIONS(405),
    [anon_sym___try] = ACTIONS(407),
    [anon_sym___leave] = ACTIONS(409),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1633),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(1633),
    [anon_sym_try] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_namespace] = ACTIONS(1633),
    [anon_sym_using] = ACTIONS(1633),
    [anon_sym_static_assert] = ACTIONS(1633),
    [anon_sym_concept] = ACTIONS(1633),
    [anon_sym_co_return] = ACTIONS(425),
    [anon_sym_co_yield] = ACTIONS(427),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [109] = {
    [sym_declaration] = STATE(105),
    [sym_type_definition] = STATE(105),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5821),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(105),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(105),
    [sym_co_return_statement] = STATE(105),
    [sym_co_yield_statement] = STATE(105),
    [sym_throw_statement] = STATE(105),
    [sym_try_statement] = STATE(105),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(105),
    [sym_identifier] = ACTIONS(1637),
    [aux_sym_preproc_include_token1] = ACTIONS(1625),
    [aux_sym_preproc_def_token1] = ACTIONS(1625),
    [aux_sym_preproc_if_token1] = ACTIONS(1625),
    [aux_sym_preproc_if_token2] = ACTIONS(1625),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1625),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1625),
    [aux_sym_preproc_else_token1] = ACTIONS(1625),
    [aux_sym_preproc_elif_token1] = ACTIONS(1625),
    [sym_preproc_directive] = ACTIONS(1625),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1627),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(373),
    [anon_sym___extension__] = ACTIONS(375),
    [anon_sym_typedef] = ACTIONS(377),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1625),
    [anon_sym___cdecl] = ACTIONS(1625),
    [anon_sym___clrcall] = ACTIONS(1625),
    [anon_sym___stdcall] = ACTIONS(1625),
    [anon_sym___fastcall] = ACTIONS(1625),
    [anon_sym___thiscall] = ACTIONS(1625),
    [anon_sym___vectorcall] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_else] = ACTIONS(1625),
    [anon_sym_switch] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(1625),
    [anon_sym_default] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(401),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_goto] = ACTIONS(405),
    [anon_sym___try] = ACTIONS(407),
    [anon_sym___leave] = ACTIONS(409),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1625),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_namespace] = ACTIONS(1625),
    [anon_sym_using] = ACTIONS(1625),
    [anon_sym_static_assert] = ACTIONS(1625),
    [anon_sym_concept] = ACTIONS(1625),
    [anon_sym_co_return] = ACTIONS(425),
    [anon_sym_co_yield] = ACTIONS(427),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [110] = {
    [sym_declaration] = STATE(111),
    [sym_type_definition] = STATE(111),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5816),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(111),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(111),
    [sym_labeled_statement] = STATE(111),
    [sym_expression_statement] = STATE(111),
    [sym_if_statement] = STATE(111),
    [sym_switch_statement] = STATE(111),
    [sym_while_statement] = STATE(111),
    [sym_do_statement] = STATE(111),
    [sym_for_statement] = STATE(111),
    [sym_return_statement] = STATE(111),
    [sym_break_statement] = STATE(111),
    [sym_continue_statement] = STATE(111),
    [sym_goto_statement] = STATE(111),
    [sym_seh_try_statement] = STATE(111),
    [sym_seh_leave_statement] = STATE(111),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(111),
    [sym_co_return_statement] = STATE(111),
    [sym_co_yield_statement] = STATE(111),
    [sym_throw_statement] = STATE(111),
    [sym_try_statement] = STATE(111),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(111),
    [sym_identifier] = ACTIONS(1699),
    [aux_sym_preproc_include_token1] = ACTIONS(1629),
    [aux_sym_preproc_def_token1] = ACTIONS(1629),
    [aux_sym_preproc_if_token1] = ACTIONS(1629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1629),
    [sym_preproc_directive] = ACTIONS(1629),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1629),
    [anon_sym___cdecl] = ACTIONS(1629),
    [anon_sym___clrcall] = ACTIONS(1629),
    [anon_sym___stdcall] = ACTIONS(1629),
    [anon_sym___fastcall] = ACTIONS(1629),
    [anon_sym___thiscall] = ACTIONS(1629),
    [anon_sym___vectorcall] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1631),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_else] = ACTIONS(1629),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(1629),
    [anon_sym_default] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1629),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(1629),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(1629),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_static_assert] = ACTIONS(1629),
    [anon_sym_concept] = ACTIONS(1629),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [111] = {
    [sym_declaration] = STATE(111),
    [sym_type_definition] = STATE(111),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5816),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(111),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(111),
    [sym_labeled_statement] = STATE(111),
    [sym_expression_statement] = STATE(111),
    [sym_if_statement] = STATE(111),
    [sym_switch_statement] = STATE(111),
    [sym_while_statement] = STATE(111),
    [sym_do_statement] = STATE(111),
    [sym_for_statement] = STATE(111),
    [sym_return_statement] = STATE(111),
    [sym_break_statement] = STATE(111),
    [sym_continue_statement] = STATE(111),
    [sym_goto_statement] = STATE(111),
    [sym_seh_try_statement] = STATE(111),
    [sym_seh_leave_statement] = STATE(111),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(111),
    [sym_co_return_statement] = STATE(111),
    [sym_co_yield_statement] = STATE(111),
    [sym_throw_statement] = STATE(111),
    [sym_try_statement] = STATE(111),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(111),
    [sym_identifier] = ACTIONS(1701),
    [aux_sym_preproc_include_token1] = ACTIONS(1441),
    [aux_sym_preproc_def_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1441),
    [sym_preproc_directive] = ACTIONS(1441),
    [anon_sym_LPAREN2] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1455),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1704),
    [anon_sym___extension__] = ACTIONS(1707),
    [anon_sym_typedef] = ACTIONS(1710),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_COLON_COLON] = ACTIONS(1475),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym___based] = ACTIONS(1441),
    [anon_sym___cdecl] = ACTIONS(1441),
    [anon_sym___clrcall] = ACTIONS(1441),
    [anon_sym___stdcall] = ACTIONS(1441),
    [anon_sym___fastcall] = ACTIONS(1441),
    [anon_sym___thiscall] = ACTIONS(1441),
    [anon_sym___vectorcall] = ACTIONS(1441),
    [anon_sym_LBRACE] = ACTIONS(1713),
    [anon_sym_RBRACE] = ACTIONS(1455),
    [anon_sym_signed] = ACTIONS(1487),
    [anon_sym_unsigned] = ACTIONS(1487),
    [anon_sym_long] = ACTIONS(1487),
    [anon_sym_short] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1493),
    [anon_sym_constexpr] = ACTIONS(1493),
    [anon_sym_volatile] = ACTIONS(1493),
    [anon_sym_restrict] = ACTIONS(1493),
    [anon_sym___restrict__] = ACTIONS(1493),
    [anon_sym__Atomic] = ACTIONS(1493),
    [anon_sym__Noreturn] = ACTIONS(1493),
    [anon_sym_noreturn] = ACTIONS(1493),
    [anon_sym_mutable] = ACTIONS(1493),
    [anon_sym_constinit] = ACTIONS(1493),
    [anon_sym_consteval] = ACTIONS(1493),
    [anon_sym_PROGMEM] = ACTIONS(1493),
    [aux_sym_primitive_type_token1] = ACTIONS(1496),
    [anon_sym_byte] = ACTIONS(1496),
    [anon_sym_word] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1499),
    [anon_sym_class] = ACTIONS(1502),
    [anon_sym_struct] = ACTIONS(1505),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_else] = ACTIONS(1441),
    [anon_sym_switch] = ACTIONS(1719),
    [anon_sym_case] = ACTIONS(1441),
    [anon_sym_default] = ACTIONS(1441),
    [anon_sym_while] = ACTIONS(1722),
    [anon_sym_do] = ACTIONS(1725),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1734),
    [anon_sym_continue] = ACTIONS(1737),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym___try] = ACTIONS(1743),
    [anon_sym___leave] = ACTIONS(1746),
    [anon_sym_not] = ACTIONS(1449),
    [anon_sym_compl] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_sizeof] = ACTIONS(1547),
    [anon_sym___alignof__] = ACTIONS(1550),
    [anon_sym___alignof] = ACTIONS(1550),
    [anon_sym__alignof] = ACTIONS(1550),
    [anon_sym_alignof] = ACTIONS(1550),
    [anon_sym__Alignof] = ACTIONS(1550),
    [anon_sym_offsetof] = ACTIONS(1553),
    [anon_sym__Generic] = ACTIONS(1556),
    [anon_sym_asm] = ACTIONS(1559),
    [anon_sym___asm__] = ACTIONS(1559),
    [aux_sym_number_literal_token1] = ACTIONS(1562),
    [aux_sym_number_literal_token2] = ACTIONS(1565),
    [anon_sym_L_SQUOTE] = ACTIONS(1568),
    [anon_sym_u_SQUOTE] = ACTIONS(1568),
    [anon_sym_U_SQUOTE] = ACTIONS(1568),
    [anon_sym_u8_SQUOTE] = ACTIONS(1568),
    [anon_sym_SQUOTE] = ACTIONS(1568),
    [anon_sym_L_DQUOTE] = ACTIONS(1571),
    [anon_sym_u_DQUOTE] = ACTIONS(1571),
    [anon_sym_U_DQUOTE] = ACTIONS(1571),
    [anon_sym_u8_DQUOTE] = ACTIONS(1571),
    [anon_sym_DQUOTE] = ACTIONS(1571),
    [sym_true] = ACTIONS(1574),
    [sym_false] = ACTIONS(1574),
    [anon_sym_NULL] = ACTIONS(1577),
    [anon_sym_nullptr] = ACTIONS(1577),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1580),
    [anon_sym_decltype] = ACTIONS(1583),
    [anon_sym_virtual] = ACTIONS(1586),
    [anon_sym_alignas] = ACTIONS(1589),
    [anon_sym_explicit] = ACTIONS(1441),
    [anon_sym_typename] = ACTIONS(1592),
    [anon_sym_template] = ACTIONS(1595),
    [anon_sym_operator] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1749),
    [anon_sym_delete] = ACTIONS(1601),
    [anon_sym_throw] = ACTIONS(1752),
    [anon_sym_namespace] = ACTIONS(1441),
    [anon_sym_using] = ACTIONS(1441),
    [anon_sym_static_assert] = ACTIONS(1441),
    [anon_sym_concept] = ACTIONS(1441),
    [anon_sym_co_return] = ACTIONS(1755),
    [anon_sym_co_yield] = ACTIONS(1758),
    [anon_sym_R_DQUOTE] = ACTIONS(1613),
    [anon_sym_LR_DQUOTE] = ACTIONS(1613),
    [anon_sym_uR_DQUOTE] = ACTIONS(1613),
    [anon_sym_UR_DQUOTE] = ACTIONS(1613),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1613),
    [anon_sym_co_await] = ACTIONS(1616),
    [anon_sym_new] = ACTIONS(1619),
    [anon_sym_requires] = ACTIONS(1622),
    [sym_this] = ACTIONS(1574),
  },
  [112] = {
    [sym_declaration] = STATE(122),
    [sym_type_definition] = STATE(122),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5849),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(122),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(122),
    [sym_labeled_statement] = STATE(122),
    [sym_expression_statement] = STATE(122),
    [sym_if_statement] = STATE(122),
    [sym_switch_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_do_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_return_statement] = STATE(122),
    [sym_break_statement] = STATE(122),
    [sym_continue_statement] = STATE(122),
    [sym_goto_statement] = STATE(122),
    [sym_seh_try_statement] = STATE(122),
    [sym_seh_leave_statement] = STATE(122),
    [sym__expression] = STATE(5202),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9192),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(122),
    [sym_co_return_statement] = STATE(122),
    [sym_co_yield_statement] = STATE(122),
    [sym_throw_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(122),
    [sym_identifier] = ACTIONS(1761),
    [aux_sym_preproc_include_token1] = ACTIONS(1625),
    [aux_sym_preproc_def_token1] = ACTIONS(1625),
    [aux_sym_preproc_if_token1] = ACTIONS(1625),
    [aux_sym_preproc_if_token2] = ACTIONS(1625),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1625),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1625),
    [sym_preproc_directive] = ACTIONS(1625),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1627),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(929),
    [anon_sym___extension__] = ACTIONS(931),
    [anon_sym_typedef] = ACTIONS(933),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1625),
    [anon_sym___cdecl] = ACTIONS(1625),
    [anon_sym___clrcall] = ACTIONS(1625),
    [anon_sym___stdcall] = ACTIONS(1625),
    [anon_sym___fastcall] = ACTIONS(1625),
    [anon_sym___thiscall] = ACTIONS(1625),
    [anon_sym___vectorcall] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(937),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_else] = ACTIONS(1625),
    [anon_sym_switch] = ACTIONS(943),
    [anon_sym_case] = ACTIONS(1625),
    [anon_sym_default] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(949),
    [anon_sym_do] = ACTIONS(951),
    [anon_sym_for] = ACTIONS(953),
    [anon_sym_return] = ACTIONS(955),
    [anon_sym_break] = ACTIONS(957),
    [anon_sym_continue] = ACTIONS(959),
    [anon_sym_goto] = ACTIONS(961),
    [anon_sym___try] = ACTIONS(963),
    [anon_sym___leave] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1625),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(969),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(971),
    [anon_sym_namespace] = ACTIONS(1625),
    [anon_sym_using] = ACTIONS(1625),
    [anon_sym_static_assert] = ACTIONS(1625),
    [anon_sym_concept] = ACTIONS(1625),
    [anon_sym_co_return] = ACTIONS(981),
    [anon_sym_co_yield] = ACTIONS(983),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [113] = {
    [sym_declaration] = STATE(121),
    [sym_type_definition] = STATE(121),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5849),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(121),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(121),
    [sym_labeled_statement] = STATE(121),
    [sym_expression_statement] = STATE(121),
    [sym_if_statement] = STATE(121),
    [sym_switch_statement] = STATE(121),
    [sym_while_statement] = STATE(121),
    [sym_do_statement] = STATE(121),
    [sym_for_statement] = STATE(121),
    [sym_return_statement] = STATE(121),
    [sym_break_statement] = STATE(121),
    [sym_continue_statement] = STATE(121),
    [sym_goto_statement] = STATE(121),
    [sym_seh_try_statement] = STATE(121),
    [sym_seh_leave_statement] = STATE(121),
    [sym__expression] = STATE(5202),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9192),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(121),
    [sym_co_return_statement] = STATE(121),
    [sym_co_yield_statement] = STATE(121),
    [sym_throw_statement] = STATE(121),
    [sym_try_statement] = STATE(121),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(121),
    [sym_identifier] = ACTIONS(1761),
    [aux_sym_preproc_include_token1] = ACTIONS(1629),
    [aux_sym_preproc_def_token1] = ACTIONS(1629),
    [aux_sym_preproc_if_token1] = ACTIONS(1629),
    [aux_sym_preproc_if_token2] = ACTIONS(1629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1629),
    [sym_preproc_directive] = ACTIONS(1629),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(929),
    [anon_sym___extension__] = ACTIONS(931),
    [anon_sym_typedef] = ACTIONS(933),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1629),
    [anon_sym___cdecl] = ACTIONS(1629),
    [anon_sym___clrcall] = ACTIONS(1629),
    [anon_sym___stdcall] = ACTIONS(1629),
    [anon_sym___fastcall] = ACTIONS(1629),
    [anon_sym___thiscall] = ACTIONS(1629),
    [anon_sym___vectorcall] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(937),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_else] = ACTIONS(1629),
    [anon_sym_switch] = ACTIONS(943),
    [anon_sym_case] = ACTIONS(1629),
    [anon_sym_default] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(949),
    [anon_sym_do] = ACTIONS(951),
    [anon_sym_for] = ACTIONS(953),
    [anon_sym_return] = ACTIONS(955),
    [anon_sym_break] = ACTIONS(957),
    [anon_sym_continue] = ACTIONS(959),
    [anon_sym_goto] = ACTIONS(961),
    [anon_sym___try] = ACTIONS(963),
    [anon_sym___leave] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1629),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(1629),
    [anon_sym_try] = ACTIONS(969),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(971),
    [anon_sym_namespace] = ACTIONS(1629),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_static_assert] = ACTIONS(1629),
    [anon_sym_concept] = ACTIONS(1629),
    [anon_sym_co_return] = ACTIONS(981),
    [anon_sym_co_yield] = ACTIONS(983),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [114] = {
    [sym_declaration] = STATE(113),
    [sym_type_definition] = STATE(113),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5849),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(113),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(113),
    [sym_labeled_statement] = STATE(113),
    [sym_expression_statement] = STATE(113),
    [sym_if_statement] = STATE(113),
    [sym_switch_statement] = STATE(113),
    [sym_while_statement] = STATE(113),
    [sym_do_statement] = STATE(113),
    [sym_for_statement] = STATE(113),
    [sym_return_statement] = STATE(113),
    [sym_break_statement] = STATE(113),
    [sym_continue_statement] = STATE(113),
    [sym_goto_statement] = STATE(113),
    [sym_seh_try_statement] = STATE(113),
    [sym_seh_leave_statement] = STATE(113),
    [sym__expression] = STATE(5202),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9192),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(113),
    [sym_co_return_statement] = STATE(113),
    [sym_co_yield_statement] = STATE(113),
    [sym_throw_statement] = STATE(113),
    [sym_try_statement] = STATE(113),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(113),
    [sym_identifier] = ACTIONS(1761),
    [aux_sym_preproc_include_token1] = ACTIONS(1633),
    [aux_sym_preproc_def_token1] = ACTIONS(1633),
    [aux_sym_preproc_if_token1] = ACTIONS(1633),
    [aux_sym_preproc_if_token2] = ACTIONS(1633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1633),
    [sym_preproc_directive] = ACTIONS(1633),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1635),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(929),
    [anon_sym___extension__] = ACTIONS(931),
    [anon_sym_typedef] = ACTIONS(933),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1633),
    [anon_sym___cdecl] = ACTIONS(1633),
    [anon_sym___clrcall] = ACTIONS(1633),
    [anon_sym___stdcall] = ACTIONS(1633),
    [anon_sym___fastcall] = ACTIONS(1633),
    [anon_sym___thiscall] = ACTIONS(1633),
    [anon_sym___vectorcall] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(937),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_else] = ACTIONS(1633),
    [anon_sym_switch] = ACTIONS(943),
    [anon_sym_case] = ACTIONS(1633),
    [anon_sym_default] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(949),
    [anon_sym_do] = ACTIONS(951),
    [anon_sym_for] = ACTIONS(953),
    [anon_sym_return] = ACTIONS(955),
    [anon_sym_break] = ACTIONS(957),
    [anon_sym_continue] = ACTIONS(959),
    [anon_sym_goto] = ACTIONS(961),
    [anon_sym___try] = ACTIONS(963),
    [anon_sym___leave] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1633),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(1633),
    [anon_sym_try] = ACTIONS(969),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(971),
    [anon_sym_namespace] = ACTIONS(1633),
    [anon_sym_using] = ACTIONS(1633),
    [anon_sym_static_assert] = ACTIONS(1633),
    [anon_sym_concept] = ACTIONS(1633),
    [anon_sym_co_return] = ACTIONS(981),
    [anon_sym_co_yield] = ACTIONS(983),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [115] = {
    [sym_declaration] = STATE(120),
    [sym_type_definition] = STATE(120),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5847),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(120),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(120),
    [sym_labeled_statement] = STATE(120),
    [sym_expression_statement] = STATE(120),
    [sym_if_statement] = STATE(120),
    [sym_switch_statement] = STATE(120),
    [sym_while_statement] = STATE(120),
    [sym_do_statement] = STATE(120),
    [sym_for_statement] = STATE(120),
    [sym_return_statement] = STATE(120),
    [sym_break_statement] = STATE(120),
    [sym_continue_statement] = STATE(120),
    [sym_goto_statement] = STATE(120),
    [sym_seh_try_statement] = STATE(120),
    [sym_seh_leave_statement] = STATE(120),
    [sym__expression] = STATE(5244),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9119),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(120),
    [sym_co_return_statement] = STATE(120),
    [sym_co_yield_statement] = STATE(120),
    [sym_throw_statement] = STATE(120),
    [sym_try_statement] = STATE(120),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(120),
    [ts_builtin_sym_end] = ACTIONS(1627),
    [sym_identifier] = ACTIONS(1763),
    [aux_sym_preproc_include_token1] = ACTIONS(1625),
    [aux_sym_preproc_def_token1] = ACTIONS(1625),
    [aux_sym_preproc_if_token1] = ACTIONS(1625),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1625),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1625),
    [sym_preproc_directive] = ACTIONS(1625),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1627),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1765),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1625),
    [anon_sym___cdecl] = ACTIONS(1625),
    [anon_sym___clrcall] = ACTIONS(1625),
    [anon_sym___stdcall] = ACTIONS(1625),
    [anon_sym___fastcall] = ACTIONS(1625),
    [anon_sym___thiscall] = ACTIONS(1625),
    [anon_sym___vectorcall] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(1625),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1625),
    [anon_sym_default] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1767),
    [anon_sym___leave] = ACTIONS(1769),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1625),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(1625),
    [anon_sym_using] = ACTIONS(1625),
    [anon_sym_static_assert] = ACTIONS(1625),
    [anon_sym_concept] = ACTIONS(1625),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [116] = {
    [sym_declaration] = STATE(123),
    [sym_type_definition] = STATE(123),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5847),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(123),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(123),
    [sym_labeled_statement] = STATE(123),
    [sym_expression_statement] = STATE(123),
    [sym_if_statement] = STATE(123),
    [sym_switch_statement] = STATE(123),
    [sym_while_statement] = STATE(123),
    [sym_do_statement] = STATE(123),
    [sym_for_statement] = STATE(123),
    [sym_return_statement] = STATE(123),
    [sym_break_statement] = STATE(123),
    [sym_continue_statement] = STATE(123),
    [sym_goto_statement] = STATE(123),
    [sym_seh_try_statement] = STATE(123),
    [sym_seh_leave_statement] = STATE(123),
    [sym__expression] = STATE(5244),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9119),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(123),
    [sym_co_return_statement] = STATE(123),
    [sym_co_yield_statement] = STATE(123),
    [sym_throw_statement] = STATE(123),
    [sym_try_statement] = STATE(123),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(123),
    [ts_builtin_sym_end] = ACTIONS(1631),
    [sym_identifier] = ACTIONS(1763),
    [aux_sym_preproc_include_token1] = ACTIONS(1629),
    [aux_sym_preproc_def_token1] = ACTIONS(1629),
    [aux_sym_preproc_if_token1] = ACTIONS(1629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1629),
    [sym_preproc_directive] = ACTIONS(1629),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1765),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1629),
    [anon_sym___cdecl] = ACTIONS(1629),
    [anon_sym___clrcall] = ACTIONS(1629),
    [anon_sym___stdcall] = ACTIONS(1629),
    [anon_sym___fastcall] = ACTIONS(1629),
    [anon_sym___thiscall] = ACTIONS(1629),
    [anon_sym___vectorcall] = ACTIONS(1629),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(1629),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1629),
    [anon_sym_default] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1767),
    [anon_sym___leave] = ACTIONS(1769),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1629),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(1629),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(1629),
    [anon_sym_using] = ACTIONS(1629),
    [anon_sym_static_assert] = ACTIONS(1629),
    [anon_sym_concept] = ACTIONS(1629),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [117] = {
    [sym_declaration] = STATE(116),
    [sym_type_definition] = STATE(116),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5847),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(116),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(116),
    [sym_labeled_statement] = STATE(116),
    [sym_expression_statement] = STATE(116),
    [sym_if_statement] = STATE(116),
    [sym_switch_statement] = STATE(116),
    [sym_while_statement] = STATE(116),
    [sym_do_statement] = STATE(116),
    [sym_for_statement] = STATE(116),
    [sym_return_statement] = STATE(116),
    [sym_break_statement] = STATE(116),
    [sym_continue_statement] = STATE(116),
    [sym_goto_statement] = STATE(116),
    [sym_seh_try_statement] = STATE(116),
    [sym_seh_leave_statement] = STATE(116),
    [sym__expression] = STATE(5244),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9119),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(116),
    [sym_co_return_statement] = STATE(116),
    [sym_co_yield_statement] = STATE(116),
    [sym_throw_statement] = STATE(116),
    [sym_try_statement] = STATE(116),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(116),
    [ts_builtin_sym_end] = ACTIONS(1635),
    [sym_identifier] = ACTIONS(1763),
    [aux_sym_preproc_include_token1] = ACTIONS(1633),
    [aux_sym_preproc_def_token1] = ACTIONS(1633),
    [aux_sym_preproc_if_token1] = ACTIONS(1633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1633),
    [sym_preproc_directive] = ACTIONS(1633),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1635),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1765),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1633),
    [anon_sym___cdecl] = ACTIONS(1633),
    [anon_sym___clrcall] = ACTIONS(1633),
    [anon_sym___stdcall] = ACTIONS(1633),
    [anon_sym___fastcall] = ACTIONS(1633),
    [anon_sym___thiscall] = ACTIONS(1633),
    [anon_sym___vectorcall] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(1633),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1633),
    [anon_sym_default] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1767),
    [anon_sym___leave] = ACTIONS(1769),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1633),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(1633),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(1633),
    [anon_sym_using] = ACTIONS(1633),
    [anon_sym_static_assert] = ACTIONS(1633),
    [anon_sym_concept] = ACTIONS(1633),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [118] = {
    [sym_declaration] = STATE(124),
    [sym_type_definition] = STATE(124),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5816),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(124),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(124),
    [sym_labeled_statement] = STATE(124),
    [sym_expression_statement] = STATE(124),
    [sym_if_statement] = STATE(124),
    [sym_switch_statement] = STATE(124),
    [sym_while_statement] = STATE(124),
    [sym_do_statement] = STATE(124),
    [sym_for_statement] = STATE(124),
    [sym_return_statement] = STATE(124),
    [sym_break_statement] = STATE(124),
    [sym_continue_statement] = STATE(124),
    [sym_goto_statement] = STATE(124),
    [sym_seh_try_statement] = STATE(124),
    [sym_seh_leave_statement] = STATE(124),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(124),
    [sym_co_return_statement] = STATE(124),
    [sym_co_yield_statement] = STATE(124),
    [sym_throw_statement] = STATE(124),
    [sym_try_statement] = STATE(124),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(124),
    [sym_identifier] = ACTIONS(1699),
    [aux_sym_preproc_include_token1] = ACTIONS(1625),
    [aux_sym_preproc_def_token1] = ACTIONS(1625),
    [aux_sym_preproc_if_token1] = ACTIONS(1625),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1625),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1625),
    [sym_preproc_directive] = ACTIONS(1625),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1627),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1625),
    [anon_sym___cdecl] = ACTIONS(1625),
    [anon_sym___clrcall] = ACTIONS(1625),
    [anon_sym___stdcall] = ACTIONS(1625),
    [anon_sym___fastcall] = ACTIONS(1625),
    [anon_sym___thiscall] = ACTIONS(1625),
    [anon_sym___vectorcall] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1627),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_else] = ACTIONS(1625),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(1625),
    [anon_sym_default] = ACTIONS(1625),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1625),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(1625),
    [anon_sym_using] = ACTIONS(1625),
    [anon_sym_static_assert] = ACTIONS(1625),
    [anon_sym_concept] = ACTIONS(1625),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [119] = {
    [sym_declaration] = STATE(110),
    [sym_type_definition] = STATE(110),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5816),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(110),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(110),
    [sym_labeled_statement] = STATE(110),
    [sym_expression_statement] = STATE(110),
    [sym_if_statement] = STATE(110),
    [sym_switch_statement] = STATE(110),
    [sym_while_statement] = STATE(110),
    [sym_do_statement] = STATE(110),
    [sym_for_statement] = STATE(110),
    [sym_return_statement] = STATE(110),
    [sym_break_statement] = STATE(110),
    [sym_continue_statement] = STATE(110),
    [sym_goto_statement] = STATE(110),
    [sym_seh_try_statement] = STATE(110),
    [sym_seh_leave_statement] = STATE(110),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(110),
    [sym_co_return_statement] = STATE(110),
    [sym_co_yield_statement] = STATE(110),
    [sym_throw_statement] = STATE(110),
    [sym_try_statement] = STATE(110),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(110),
    [sym_identifier] = ACTIONS(1699),
    [aux_sym_preproc_include_token1] = ACTIONS(1633),
    [aux_sym_preproc_def_token1] = ACTIONS(1633),
    [aux_sym_preproc_if_token1] = ACTIONS(1633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1633),
    [sym_preproc_directive] = ACTIONS(1633),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1635),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1633),
    [anon_sym___cdecl] = ACTIONS(1633),
    [anon_sym___clrcall] = ACTIONS(1633),
    [anon_sym___stdcall] = ACTIONS(1633),
    [anon_sym___fastcall] = ACTIONS(1633),
    [anon_sym___thiscall] = ACTIONS(1633),
    [anon_sym___vectorcall] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1635),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_else] = ACTIONS(1633),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(1633),
    [anon_sym_default] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1633),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(1633),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(1633),
    [anon_sym_using] = ACTIONS(1633),
    [anon_sym_static_assert] = ACTIONS(1633),
    [anon_sym_concept] = ACTIONS(1633),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [120] = {
    [sym_declaration] = STATE(123),
    [sym_type_definition] = STATE(123),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5847),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(123),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(123),
    [sym_labeled_statement] = STATE(123),
    [sym_expression_statement] = STATE(123),
    [sym_if_statement] = STATE(123),
    [sym_switch_statement] = STATE(123),
    [sym_while_statement] = STATE(123),
    [sym_do_statement] = STATE(123),
    [sym_for_statement] = STATE(123),
    [sym_return_statement] = STATE(123),
    [sym_break_statement] = STATE(123),
    [sym_continue_statement] = STATE(123),
    [sym_goto_statement] = STATE(123),
    [sym_seh_try_statement] = STATE(123),
    [sym_seh_leave_statement] = STATE(123),
    [sym__expression] = STATE(5244),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9119),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(123),
    [sym_co_return_statement] = STATE(123),
    [sym_co_yield_statement] = STATE(123),
    [sym_throw_statement] = STATE(123),
    [sym_try_statement] = STATE(123),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(123),
    [ts_builtin_sym_end] = ACTIONS(1428),
    [sym_identifier] = ACTIONS(1763),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1765),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1767),
    [anon_sym___leave] = ACTIONS(1769),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1422),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(1422),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_using] = ACTIONS(1422),
    [anon_sym_static_assert] = ACTIONS(1422),
    [anon_sym_concept] = ACTIONS(1422),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [121] = {
    [sym_declaration] = STATE(121),
    [sym_type_definition] = STATE(121),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5849),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(121),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(121),
    [sym_labeled_statement] = STATE(121),
    [sym_expression_statement] = STATE(121),
    [sym_if_statement] = STATE(121),
    [sym_switch_statement] = STATE(121),
    [sym_while_statement] = STATE(121),
    [sym_do_statement] = STATE(121),
    [sym_for_statement] = STATE(121),
    [sym_return_statement] = STATE(121),
    [sym_break_statement] = STATE(121),
    [sym_continue_statement] = STATE(121),
    [sym_goto_statement] = STATE(121),
    [sym_seh_try_statement] = STATE(121),
    [sym_seh_leave_statement] = STATE(121),
    [sym__expression] = STATE(5202),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9192),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(121),
    [sym_co_return_statement] = STATE(121),
    [sym_co_yield_statement] = STATE(121),
    [sym_throw_statement] = STATE(121),
    [sym_try_statement] = STATE(121),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(121),
    [sym_identifier] = ACTIONS(1771),
    [aux_sym_preproc_include_token1] = ACTIONS(1441),
    [aux_sym_preproc_def_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token2] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1441),
    [sym_preproc_directive] = ACTIONS(1441),
    [anon_sym_LPAREN2] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1455),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1774),
    [anon_sym___extension__] = ACTIONS(1777),
    [anon_sym_typedef] = ACTIONS(1780),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_COLON_COLON] = ACTIONS(1475),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym___based] = ACTIONS(1441),
    [anon_sym___cdecl] = ACTIONS(1441),
    [anon_sym___clrcall] = ACTIONS(1441),
    [anon_sym___stdcall] = ACTIONS(1441),
    [anon_sym___fastcall] = ACTIONS(1441),
    [anon_sym___thiscall] = ACTIONS(1441),
    [anon_sym___vectorcall] = ACTIONS(1441),
    [anon_sym_LBRACE] = ACTIONS(1783),
    [anon_sym_signed] = ACTIONS(1487),
    [anon_sym_unsigned] = ACTIONS(1487),
    [anon_sym_long] = ACTIONS(1487),
    [anon_sym_short] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1493),
    [anon_sym_constexpr] = ACTIONS(1493),
    [anon_sym_volatile] = ACTIONS(1493),
    [anon_sym_restrict] = ACTIONS(1493),
    [anon_sym___restrict__] = ACTIONS(1493),
    [anon_sym__Atomic] = ACTIONS(1493),
    [anon_sym__Noreturn] = ACTIONS(1493),
    [anon_sym_noreturn] = ACTIONS(1493),
    [anon_sym_mutable] = ACTIONS(1493),
    [anon_sym_constinit] = ACTIONS(1493),
    [anon_sym_consteval] = ACTIONS(1493),
    [anon_sym_PROGMEM] = ACTIONS(1493),
    [aux_sym_primitive_type_token1] = ACTIONS(1496),
    [anon_sym_byte] = ACTIONS(1496),
    [anon_sym_word] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1499),
    [anon_sym_class] = ACTIONS(1502),
    [anon_sym_struct] = ACTIONS(1505),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1786),
    [anon_sym_else] = ACTIONS(1441),
    [anon_sym_switch] = ACTIONS(1789),
    [anon_sym_case] = ACTIONS(1441),
    [anon_sym_default] = ACTIONS(1441),
    [anon_sym_while] = ACTIONS(1792),
    [anon_sym_do] = ACTIONS(1795),
    [anon_sym_for] = ACTIONS(1798),
    [anon_sym_return] = ACTIONS(1801),
    [anon_sym_break] = ACTIONS(1804),
    [anon_sym_continue] = ACTIONS(1807),
    [anon_sym_goto] = ACTIONS(1810),
    [anon_sym___try] = ACTIONS(1813),
    [anon_sym___leave] = ACTIONS(1816),
    [anon_sym_not] = ACTIONS(1449),
    [anon_sym_compl] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_sizeof] = ACTIONS(1547),
    [anon_sym___alignof__] = ACTIONS(1550),
    [anon_sym___alignof] = ACTIONS(1550),
    [anon_sym__alignof] = ACTIONS(1550),
    [anon_sym_alignof] = ACTIONS(1550),
    [anon_sym__Alignof] = ACTIONS(1550),
    [anon_sym_offsetof] = ACTIONS(1553),
    [anon_sym__Generic] = ACTIONS(1556),
    [anon_sym_asm] = ACTIONS(1559),
    [anon_sym___asm__] = ACTIONS(1559),
    [aux_sym_number_literal_token1] = ACTIONS(1562),
    [aux_sym_number_literal_token2] = ACTIONS(1565),
    [anon_sym_L_SQUOTE] = ACTIONS(1568),
    [anon_sym_u_SQUOTE] = ACTIONS(1568),
    [anon_sym_U_SQUOTE] = ACTIONS(1568),
    [anon_sym_u8_SQUOTE] = ACTIONS(1568),
    [anon_sym_SQUOTE] = ACTIONS(1568),
    [anon_sym_L_DQUOTE] = ACTIONS(1571),
    [anon_sym_u_DQUOTE] = ACTIONS(1571),
    [anon_sym_U_DQUOTE] = ACTIONS(1571),
    [anon_sym_u8_DQUOTE] = ACTIONS(1571),
    [anon_sym_DQUOTE] = ACTIONS(1571),
    [sym_true] = ACTIONS(1574),
    [sym_false] = ACTIONS(1574),
    [anon_sym_NULL] = ACTIONS(1577),
    [anon_sym_nullptr] = ACTIONS(1577),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1580),
    [anon_sym_decltype] = ACTIONS(1583),
    [anon_sym_virtual] = ACTIONS(1586),
    [anon_sym_alignas] = ACTIONS(1589),
    [anon_sym_explicit] = ACTIONS(1441),
    [anon_sym_typename] = ACTIONS(1592),
    [anon_sym_template] = ACTIONS(1595),
    [anon_sym_operator] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1601),
    [anon_sym_throw] = ACTIONS(1822),
    [anon_sym_namespace] = ACTIONS(1441),
    [anon_sym_using] = ACTIONS(1441),
    [anon_sym_static_assert] = ACTIONS(1441),
    [anon_sym_concept] = ACTIONS(1441),
    [anon_sym_co_return] = ACTIONS(1825),
    [anon_sym_co_yield] = ACTIONS(1828),
    [anon_sym_R_DQUOTE] = ACTIONS(1613),
    [anon_sym_LR_DQUOTE] = ACTIONS(1613),
    [anon_sym_uR_DQUOTE] = ACTIONS(1613),
    [anon_sym_UR_DQUOTE] = ACTIONS(1613),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1613),
    [anon_sym_co_await] = ACTIONS(1616),
    [anon_sym_new] = ACTIONS(1619),
    [anon_sym_requires] = ACTIONS(1622),
    [sym_this] = ACTIONS(1574),
  },
  [122] = {
    [sym_declaration] = STATE(121),
    [sym_type_definition] = STATE(121),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5849),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(121),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(121),
    [sym_labeled_statement] = STATE(121),
    [sym_expression_statement] = STATE(121),
    [sym_if_statement] = STATE(121),
    [sym_switch_statement] = STATE(121),
    [sym_while_statement] = STATE(121),
    [sym_do_statement] = STATE(121),
    [sym_for_statement] = STATE(121),
    [sym_return_statement] = STATE(121),
    [sym_break_statement] = STATE(121),
    [sym_continue_statement] = STATE(121),
    [sym_goto_statement] = STATE(121),
    [sym_seh_try_statement] = STATE(121),
    [sym_seh_leave_statement] = STATE(121),
    [sym__expression] = STATE(5202),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9192),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(121),
    [sym_co_return_statement] = STATE(121),
    [sym_co_yield_statement] = STATE(121),
    [sym_throw_statement] = STATE(121),
    [sym_try_statement] = STATE(121),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(121),
    [sym_identifier] = ACTIONS(1761),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token2] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(929),
    [anon_sym___extension__] = ACTIONS(931),
    [anon_sym_typedef] = ACTIONS(933),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(937),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(943),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(949),
    [anon_sym_do] = ACTIONS(951),
    [anon_sym_for] = ACTIONS(953),
    [anon_sym_return] = ACTIONS(955),
    [anon_sym_break] = ACTIONS(957),
    [anon_sym_continue] = ACTIONS(959),
    [anon_sym_goto] = ACTIONS(961),
    [anon_sym___try] = ACTIONS(963),
    [anon_sym___leave] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1422),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(1422),
    [anon_sym_try] = ACTIONS(969),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(971),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_using] = ACTIONS(1422),
    [anon_sym_static_assert] = ACTIONS(1422),
    [anon_sym_concept] = ACTIONS(1422),
    [anon_sym_co_return] = ACTIONS(981),
    [anon_sym_co_yield] = ACTIONS(983),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [123] = {
    [sym_declaration] = STATE(123),
    [sym_type_definition] = STATE(123),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5847),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(123),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(123),
    [sym_labeled_statement] = STATE(123),
    [sym_expression_statement] = STATE(123),
    [sym_if_statement] = STATE(123),
    [sym_switch_statement] = STATE(123),
    [sym_while_statement] = STATE(123),
    [sym_do_statement] = STATE(123),
    [sym_for_statement] = STATE(123),
    [sym_return_statement] = STATE(123),
    [sym_break_statement] = STATE(123),
    [sym_continue_statement] = STATE(123),
    [sym_goto_statement] = STATE(123),
    [sym_seh_try_statement] = STATE(123),
    [sym_seh_leave_statement] = STATE(123),
    [sym__expression] = STATE(5244),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9119),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(123),
    [sym_co_return_statement] = STATE(123),
    [sym_co_yield_statement] = STATE(123),
    [sym_throw_statement] = STATE(123),
    [sym_try_statement] = STATE(123),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(123),
    [ts_builtin_sym_end] = ACTIONS(1455),
    [sym_identifier] = ACTIONS(1831),
    [aux_sym_preproc_include_token1] = ACTIONS(1441),
    [aux_sym_preproc_def_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1441),
    [sym_preproc_directive] = ACTIONS(1441),
    [anon_sym_LPAREN2] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1455),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1834),
    [anon_sym___extension__] = ACTIONS(1837),
    [anon_sym_typedef] = ACTIONS(1840),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_COLON_COLON] = ACTIONS(1475),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym___based] = ACTIONS(1441),
    [anon_sym___cdecl] = ACTIONS(1441),
    [anon_sym___clrcall] = ACTIONS(1441),
    [anon_sym___stdcall] = ACTIONS(1441),
    [anon_sym___fastcall] = ACTIONS(1441),
    [anon_sym___thiscall] = ACTIONS(1441),
    [anon_sym___vectorcall] = ACTIONS(1441),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_signed] = ACTIONS(1487),
    [anon_sym_unsigned] = ACTIONS(1487),
    [anon_sym_long] = ACTIONS(1487),
    [anon_sym_short] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1493),
    [anon_sym_constexpr] = ACTIONS(1493),
    [anon_sym_volatile] = ACTIONS(1493),
    [anon_sym_restrict] = ACTIONS(1493),
    [anon_sym___restrict__] = ACTIONS(1493),
    [anon_sym__Atomic] = ACTIONS(1493),
    [anon_sym__Noreturn] = ACTIONS(1493),
    [anon_sym_noreturn] = ACTIONS(1493),
    [anon_sym_mutable] = ACTIONS(1493),
    [anon_sym_constinit] = ACTIONS(1493),
    [anon_sym_consteval] = ACTIONS(1493),
    [anon_sym_PROGMEM] = ACTIONS(1493),
    [aux_sym_primitive_type_token1] = ACTIONS(1496),
    [anon_sym_byte] = ACTIONS(1496),
    [anon_sym_word] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1499),
    [anon_sym_class] = ACTIONS(1502),
    [anon_sym_struct] = ACTIONS(1505),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1846),
    [anon_sym_else] = ACTIONS(1441),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_case] = ACTIONS(1441),
    [anon_sym_default] = ACTIONS(1441),
    [anon_sym_while] = ACTIONS(1852),
    [anon_sym_do] = ACTIONS(1855),
    [anon_sym_for] = ACTIONS(1858),
    [anon_sym_return] = ACTIONS(1861),
    [anon_sym_break] = ACTIONS(1864),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1870),
    [anon_sym___try] = ACTIONS(1873),
    [anon_sym___leave] = ACTIONS(1876),
    [anon_sym_not] = ACTIONS(1449),
    [anon_sym_compl] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_sizeof] = ACTIONS(1547),
    [anon_sym___alignof__] = ACTIONS(1550),
    [anon_sym___alignof] = ACTIONS(1550),
    [anon_sym__alignof] = ACTIONS(1550),
    [anon_sym_alignof] = ACTIONS(1550),
    [anon_sym__Alignof] = ACTIONS(1550),
    [anon_sym_offsetof] = ACTIONS(1553),
    [anon_sym__Generic] = ACTIONS(1556),
    [anon_sym_asm] = ACTIONS(1559),
    [anon_sym___asm__] = ACTIONS(1559),
    [aux_sym_number_literal_token1] = ACTIONS(1562),
    [aux_sym_number_literal_token2] = ACTIONS(1565),
    [anon_sym_L_SQUOTE] = ACTIONS(1568),
    [anon_sym_u_SQUOTE] = ACTIONS(1568),
    [anon_sym_U_SQUOTE] = ACTIONS(1568),
    [anon_sym_u8_SQUOTE] = ACTIONS(1568),
    [anon_sym_SQUOTE] = ACTIONS(1568),
    [anon_sym_L_DQUOTE] = ACTIONS(1571),
    [anon_sym_u_DQUOTE] = ACTIONS(1571),
    [anon_sym_U_DQUOTE] = ACTIONS(1571),
    [anon_sym_u8_DQUOTE] = ACTIONS(1571),
    [anon_sym_DQUOTE] = ACTIONS(1571),
    [sym_true] = ACTIONS(1574),
    [sym_false] = ACTIONS(1574),
    [anon_sym_NULL] = ACTIONS(1577),
    [anon_sym_nullptr] = ACTIONS(1577),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1580),
    [anon_sym_decltype] = ACTIONS(1583),
    [anon_sym_virtual] = ACTIONS(1586),
    [anon_sym_alignas] = ACTIONS(1589),
    [anon_sym_explicit] = ACTIONS(1441),
    [anon_sym_typename] = ACTIONS(1592),
    [anon_sym_template] = ACTIONS(1595),
    [anon_sym_operator] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1879),
    [anon_sym_delete] = ACTIONS(1601),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_namespace] = ACTIONS(1441),
    [anon_sym_using] = ACTIONS(1441),
    [anon_sym_static_assert] = ACTIONS(1441),
    [anon_sym_concept] = ACTIONS(1441),
    [anon_sym_co_return] = ACTIONS(1885),
    [anon_sym_co_yield] = ACTIONS(1888),
    [anon_sym_R_DQUOTE] = ACTIONS(1613),
    [anon_sym_LR_DQUOTE] = ACTIONS(1613),
    [anon_sym_uR_DQUOTE] = ACTIONS(1613),
    [anon_sym_UR_DQUOTE] = ACTIONS(1613),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1613),
    [anon_sym_co_await] = ACTIONS(1616),
    [anon_sym_new] = ACTIONS(1619),
    [anon_sym_requires] = ACTIONS(1622),
    [sym_this] = ACTIONS(1574),
  },
  [124] = {
    [sym_declaration] = STATE(111),
    [sym_type_definition] = STATE(111),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5816),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(111),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(111),
    [sym_labeled_statement] = STATE(111),
    [sym_expression_statement] = STATE(111),
    [sym_if_statement] = STATE(111),
    [sym_switch_statement] = STATE(111),
    [sym_while_statement] = STATE(111),
    [sym_do_statement] = STATE(111),
    [sym_for_statement] = STATE(111),
    [sym_return_statement] = STATE(111),
    [sym_break_statement] = STATE(111),
    [sym_continue_statement] = STATE(111),
    [sym_goto_statement] = STATE(111),
    [sym_seh_try_statement] = STATE(111),
    [sym_seh_leave_statement] = STATE(111),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(111),
    [sym_co_return_statement] = STATE(111),
    [sym_co_yield_statement] = STATE(111),
    [sym_throw_statement] = STATE(111),
    [sym_try_statement] = STATE(111),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(111),
    [sym_identifier] = ACTIONS(1699),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(1428),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1422),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(1422),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_using] = ACTIONS(1422),
    [anon_sym_static_assert] = ACTIONS(1422),
    [anon_sym_concept] = ACTIONS(1422),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [125] = {
    [sym_declaration] = STATE(127),
    [sym_type_definition] = STATE(127),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5796),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(127),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(127),
    [sym_labeled_statement] = STATE(127),
    [sym_expression_statement] = STATE(127),
    [sym_if_statement] = STATE(127),
    [sym_switch_statement] = STATE(127),
    [sym_while_statement] = STATE(127),
    [sym_do_statement] = STATE(127),
    [sym_for_statement] = STATE(127),
    [sym_return_statement] = STATE(127),
    [sym_break_statement] = STATE(127),
    [sym_continue_statement] = STATE(127),
    [sym_goto_statement] = STATE(127),
    [sym_seh_try_statement] = STATE(127),
    [sym_seh_leave_statement] = STATE(127),
    [sym__expression] = STATE(5216),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9492),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(127),
    [sym_co_return_statement] = STATE(127),
    [sym_co_yield_statement] = STATE(127),
    [sym_throw_statement] = STATE(127),
    [sym_try_statement] = STATE(127),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(127),
    [sym_identifier] = ACTIONS(1891),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1893),
    [anon_sym___extension__] = ACTIONS(1895),
    [anon_sym_typedef] = ACTIONS(1897),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1901),
    [anon_sym_else] = ACTIONS(1633),
    [anon_sym_switch] = ACTIONS(1903),
    [anon_sym_while] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1907),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1911),
    [anon_sym_break] = ACTIONS(1913),
    [anon_sym_continue] = ACTIONS(1915),
    [anon_sym_goto] = ACTIONS(1917),
    [anon_sym___try] = ACTIONS(1919),
    [anon_sym___leave] = ACTIONS(1921),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1923),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1925),
    [anon_sym_co_return] = ACTIONS(1927),
    [anon_sym_co_yield] = ACTIONS(1929),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [126] = {
    [sym_declaration] = STATE(126),
    [sym_type_definition] = STATE(126),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5796),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(126),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(126),
    [sym_labeled_statement] = STATE(126),
    [sym_expression_statement] = STATE(126),
    [sym_if_statement] = STATE(126),
    [sym_switch_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_do_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_return_statement] = STATE(126),
    [sym_break_statement] = STATE(126),
    [sym_continue_statement] = STATE(126),
    [sym_goto_statement] = STATE(126),
    [sym_seh_try_statement] = STATE(126),
    [sym_seh_leave_statement] = STATE(126),
    [sym__expression] = STATE(5216),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9492),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(126),
    [sym_co_return_statement] = STATE(126),
    [sym_co_yield_statement] = STATE(126),
    [sym_throw_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(126),
    [sym_identifier] = ACTIONS(1931),
    [anon_sym_LPAREN2] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1934),
    [anon_sym___extension__] = ACTIONS(1937),
    [anon_sym_typedef] = ACTIONS(1940),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_COLON_COLON] = ACTIONS(1475),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym_LBRACE] = ACTIONS(1943),
    [anon_sym_signed] = ACTIONS(1487),
    [anon_sym_unsigned] = ACTIONS(1487),
    [anon_sym_long] = ACTIONS(1487),
    [anon_sym_short] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1493),
    [anon_sym_constexpr] = ACTIONS(1493),
    [anon_sym_volatile] = ACTIONS(1493),
    [anon_sym_restrict] = ACTIONS(1493),
    [anon_sym___restrict__] = ACTIONS(1493),
    [anon_sym__Atomic] = ACTIONS(1493),
    [anon_sym__Noreturn] = ACTIONS(1493),
    [anon_sym_noreturn] = ACTIONS(1493),
    [anon_sym_mutable] = ACTIONS(1493),
    [anon_sym_constinit] = ACTIONS(1493),
    [anon_sym_consteval] = ACTIONS(1493),
    [anon_sym_PROGMEM] = ACTIONS(1493),
    [aux_sym_primitive_type_token1] = ACTIONS(1496),
    [anon_sym_byte] = ACTIONS(1496),
    [anon_sym_word] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1499),
    [anon_sym_class] = ACTIONS(1502),
    [anon_sym_struct] = ACTIONS(1505),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1946),
    [anon_sym_else] = ACTIONS(1441),
    [anon_sym_switch] = ACTIONS(1949),
    [anon_sym_while] = ACTIONS(1952),
    [anon_sym_do] = ACTIONS(1955),
    [anon_sym_for] = ACTIONS(1958),
    [anon_sym_return] = ACTIONS(1961),
    [anon_sym_break] = ACTIONS(1964),
    [anon_sym_continue] = ACTIONS(1967),
    [anon_sym_goto] = ACTIONS(1970),
    [anon_sym___try] = ACTIONS(1973),
    [anon_sym___leave] = ACTIONS(1976),
    [anon_sym_not] = ACTIONS(1449),
    [anon_sym_compl] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_sizeof] = ACTIONS(1547),
    [anon_sym___alignof__] = ACTIONS(1550),
    [anon_sym___alignof] = ACTIONS(1550),
    [anon_sym__alignof] = ACTIONS(1550),
    [anon_sym_alignof] = ACTIONS(1550),
    [anon_sym__Alignof] = ACTIONS(1550),
    [anon_sym_offsetof] = ACTIONS(1553),
    [anon_sym__Generic] = ACTIONS(1556),
    [anon_sym_asm] = ACTIONS(1559),
    [anon_sym___asm__] = ACTIONS(1559),
    [aux_sym_number_literal_token1] = ACTIONS(1562),
    [aux_sym_number_literal_token2] = ACTIONS(1565),
    [anon_sym_L_SQUOTE] = ACTIONS(1568),
    [anon_sym_u_SQUOTE] = ACTIONS(1568),
    [anon_sym_U_SQUOTE] = ACTIONS(1568),
    [anon_sym_u8_SQUOTE] = ACTIONS(1568),
    [anon_sym_SQUOTE] = ACTIONS(1568),
    [anon_sym_L_DQUOTE] = ACTIONS(1571),
    [anon_sym_u_DQUOTE] = ACTIONS(1571),
    [anon_sym_U_DQUOTE] = ACTIONS(1571),
    [anon_sym_u8_DQUOTE] = ACTIONS(1571),
    [anon_sym_DQUOTE] = ACTIONS(1571),
    [sym_true] = ACTIONS(1574),
    [sym_false] = ACTIONS(1574),
    [anon_sym_NULL] = ACTIONS(1577),
    [anon_sym_nullptr] = ACTIONS(1577),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1580),
    [anon_sym_decltype] = ACTIONS(1583),
    [anon_sym_virtual] = ACTIONS(1586),
    [anon_sym_alignas] = ACTIONS(1589),
    [anon_sym_typename] = ACTIONS(1592),
    [anon_sym_template] = ACTIONS(1595),
    [anon_sym_try] = ACTIONS(1979),
    [anon_sym_delete] = ACTIONS(1601),
    [anon_sym_throw] = ACTIONS(1982),
    [anon_sym_co_return] = ACTIONS(1985),
    [anon_sym_co_yield] = ACTIONS(1988),
    [anon_sym_R_DQUOTE] = ACTIONS(1613),
    [anon_sym_LR_DQUOTE] = ACTIONS(1613),
    [anon_sym_uR_DQUOTE] = ACTIONS(1613),
    [anon_sym_UR_DQUOTE] = ACTIONS(1613),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1613),
    [anon_sym_co_await] = ACTIONS(1616),
    [anon_sym_new] = ACTIONS(1619),
    [anon_sym_requires] = ACTIONS(1622),
    [sym_this] = ACTIONS(1574),
  },
  [127] = {
    [sym_declaration] = STATE(126),
    [sym_type_definition] = STATE(126),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5796),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(126),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(126),
    [sym_labeled_statement] = STATE(126),
    [sym_expression_statement] = STATE(126),
    [sym_if_statement] = STATE(126),
    [sym_switch_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_do_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_return_statement] = STATE(126),
    [sym_break_statement] = STATE(126),
    [sym_continue_statement] = STATE(126),
    [sym_goto_statement] = STATE(126),
    [sym_seh_try_statement] = STATE(126),
    [sym_seh_leave_statement] = STATE(126),
    [sym__expression] = STATE(5216),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9492),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(126),
    [sym_co_return_statement] = STATE(126),
    [sym_co_yield_statement] = STATE(126),
    [sym_throw_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(126),
    [sym_identifier] = ACTIONS(1891),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1893),
    [anon_sym___extension__] = ACTIONS(1895),
    [anon_sym_typedef] = ACTIONS(1897),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1901),
    [anon_sym_else] = ACTIONS(1629),
    [anon_sym_switch] = ACTIONS(1903),
    [anon_sym_while] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1907),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1911),
    [anon_sym_break] = ACTIONS(1913),
    [anon_sym_continue] = ACTIONS(1915),
    [anon_sym_goto] = ACTIONS(1917),
    [anon_sym___try] = ACTIONS(1919),
    [anon_sym___leave] = ACTIONS(1921),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1923),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1925),
    [anon_sym_co_return] = ACTIONS(1927),
    [anon_sym_co_yield] = ACTIONS(1929),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [128] = {
    [sym_declaration] = STATE(129),
    [sym_type_definition] = STATE(129),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5796),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(129),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(129),
    [sym_labeled_statement] = STATE(129),
    [sym_expression_statement] = STATE(129),
    [sym_if_statement] = STATE(129),
    [sym_switch_statement] = STATE(129),
    [sym_while_statement] = STATE(129),
    [sym_do_statement] = STATE(129),
    [sym_for_statement] = STATE(129),
    [sym_return_statement] = STATE(129),
    [sym_break_statement] = STATE(129),
    [sym_continue_statement] = STATE(129),
    [sym_goto_statement] = STATE(129),
    [sym_seh_try_statement] = STATE(129),
    [sym_seh_leave_statement] = STATE(129),
    [sym__expression] = STATE(5216),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9492),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(129),
    [sym_co_return_statement] = STATE(129),
    [sym_co_yield_statement] = STATE(129),
    [sym_throw_statement] = STATE(129),
    [sym_try_statement] = STATE(129),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(129),
    [sym_identifier] = ACTIONS(1891),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1893),
    [anon_sym___extension__] = ACTIONS(1895),
    [anon_sym_typedef] = ACTIONS(1897),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1901),
    [anon_sym_else] = ACTIONS(1625),
    [anon_sym_switch] = ACTIONS(1903),
    [anon_sym_while] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1907),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1911),
    [anon_sym_break] = ACTIONS(1913),
    [anon_sym_continue] = ACTIONS(1915),
    [anon_sym_goto] = ACTIONS(1917),
    [anon_sym___try] = ACTIONS(1919),
    [anon_sym___leave] = ACTIONS(1921),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1923),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1925),
    [anon_sym_co_return] = ACTIONS(1927),
    [anon_sym_co_yield] = ACTIONS(1929),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [129] = {
    [sym_declaration] = STATE(126),
    [sym_type_definition] = STATE(126),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5796),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(1141),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_compound_statement] = STATE(126),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(126),
    [sym_labeled_statement] = STATE(126),
    [sym_expression_statement] = STATE(126),
    [sym_if_statement] = STATE(126),
    [sym_switch_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_do_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_return_statement] = STATE(126),
    [sym_break_statement] = STATE(126),
    [sym_continue_statement] = STATE(126),
    [sym_goto_statement] = STATE(126),
    [sym_seh_try_statement] = STATE(126),
    [sym_seh_leave_statement] = STATE(126),
    [sym__expression] = STATE(5216),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9492),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(126),
    [sym_co_return_statement] = STATE(126),
    [sym_co_yield_statement] = STATE(126),
    [sym_throw_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_case_statement_repeat1] = STATE(126),
    [sym_identifier] = ACTIONS(1891),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1893),
    [anon_sym___extension__] = ACTIONS(1895),
    [anon_sym_typedef] = ACTIONS(1897),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1901),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1903),
    [anon_sym_while] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1907),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1911),
    [anon_sym_break] = ACTIONS(1913),
    [anon_sym_continue] = ACTIONS(1915),
    [anon_sym_goto] = ACTIONS(1917),
    [anon_sym___try] = ACTIONS(1919),
    [anon_sym___leave] = ACTIONS(1921),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1923),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1925),
    [anon_sym_co_return] = ACTIONS(1927),
    [anon_sym_co_yield] = ACTIONS(1929),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [130] = {
    [sym_declaration] = STATE(274),
    [sym_type_definition] = STATE(4669),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_expression_statement] = STATE(4669),
    [sym__for_statement_body] = STATE(9459),
    [sym__expression] = STATE(5239),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9469),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_alias_declaration] = STATE(4669),
    [sym__for_range_loop_body] = STATE(9496),
    [sym_init_statement] = STATE(2093),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(1991),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1993),
    [anon_sym___extension__] = ACTIONS(1995),
    [anon_sym_typedef] = ACTIONS(1997),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(2001),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [131] = {
    [sym_declaration] = STATE(274),
    [sym_type_definition] = STATE(4669),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_expression_statement] = STATE(4669),
    [sym__for_statement_body] = STATE(8640),
    [sym__expression] = STATE(5239),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9469),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_alias_declaration] = STATE(4669),
    [sym__for_range_loop_body] = STATE(8639),
    [sym_init_statement] = STATE(2093),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(1991),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1993),
    [anon_sym___extension__] = ACTIONS(1995),
    [anon_sym_typedef] = ACTIONS(1997),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(2001),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [132] = {
    [sym_declaration] = STATE(274),
    [sym_type_definition] = STATE(4669),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_expression_statement] = STATE(4669),
    [sym__for_statement_body] = STATE(8722),
    [sym__expression] = STATE(5239),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9469),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_alias_declaration] = STATE(4669),
    [sym__for_range_loop_body] = STATE(8723),
    [sym_init_statement] = STATE(2093),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(1991),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1993),
    [anon_sym___extension__] = ACTIONS(1995),
    [anon_sym_typedef] = ACTIONS(1997),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(2001),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [133] = {
    [sym_declaration] = STATE(274),
    [sym_type_definition] = STATE(4669),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_expression_statement] = STATE(4669),
    [sym__for_statement_body] = STATE(8636),
    [sym__expression] = STATE(5239),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9469),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_alias_declaration] = STATE(4669),
    [sym__for_range_loop_body] = STATE(8634),
    [sym_init_statement] = STATE(2093),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(1991),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1993),
    [anon_sym___extension__] = ACTIONS(1995),
    [anon_sym_typedef] = ACTIONS(1997),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(2001),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [134] = {
    [sym_declaration] = STATE(274),
    [sym_type_definition] = STATE(4669),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_expression_statement] = STATE(4669),
    [sym__for_statement_body] = STATE(9011),
    [sym__expression] = STATE(5239),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9469),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_alias_declaration] = STATE(4669),
    [sym__for_range_loop_body] = STATE(9009),
    [sym_init_statement] = STATE(2093),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(1991),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1993),
    [anon_sym___extension__] = ACTIONS(1995),
    [anon_sym_typedef] = ACTIONS(1997),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(2001),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [135] = {
    [sym_declaration] = STATE(274),
    [sym_type_definition] = STATE(4669),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_expression_statement] = STATE(4669),
    [sym__for_statement_body] = STATE(8800),
    [sym__expression] = STATE(5239),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9469),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_alias_declaration] = STATE(4669),
    [sym__for_range_loop_body] = STATE(8801),
    [sym_init_statement] = STATE(2093),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(1991),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1993),
    [anon_sym___extension__] = ACTIONS(1995),
    [anon_sym_typedef] = ACTIONS(1997),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(2001),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [136] = {
    [sym_declaration] = STATE(274),
    [sym_type_definition] = STATE(4669),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_expression_statement] = STATE(4669),
    [sym__for_statement_body] = STATE(8877),
    [sym__expression] = STATE(5239),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9469),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_alias_declaration] = STATE(4669),
    [sym__for_range_loop_body] = STATE(8875),
    [sym_init_statement] = STATE(2093),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(1991),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1993),
    [anon_sym___extension__] = ACTIONS(1995),
    [anon_sym_typedef] = ACTIONS(1997),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(2001),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [137] = {
    [sym_declaration] = STATE(1956),
    [sym_type_definition] = STATE(1956),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5801),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_expression_statement] = STATE(1956),
    [sym__expression] = STATE(4980),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8253),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_alias_declaration] = STATE(1956),
    [sym_init_statement] = STATE(147),
    [sym_condition_declaration] = STATE(9460),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(1991),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1893),
    [anon_sym___extension__] = ACTIONS(1895),
    [anon_sym_typedef] = ACTIONS(1897),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(2003),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [138] = {
    [sym__declaration_modifiers] = STATE(2241),
    [sym__declaration_specifiers] = STATE(4767),
    [sym_attribute_specifier] = STATE(2241),
    [sym_attribute_declaration] = STATE(2241),
    [sym_ms_declspec_modifier] = STATE(2241),
    [sym_storage_class_specifier] = STATE(2241),
    [sym_type_qualifier] = STATE(2241),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3878),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7852),
    [sym__expression] = STATE(3883),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8236),
    [sym_virtual] = STATE(2241),
    [sym_alignas_specifier] = STATE(2241),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7852),
    [sym_variadic_parameter_declaration] = STATE(7852),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym__unary_left_fold] = STATE(9139),
    [sym__unary_right_fold] = STATE(9138),
    [sym__binary_fold] = STATE(9136),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6338),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3913),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2241),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_RPAREN] = ACTIONS(2009),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2023),
    [anon_sym_struct] = ACTIONS(2025),
    [anon_sym_union] = ACTIONS(2027),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2053),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [139] = {
    [sym__declaration_modifiers] = STATE(2241),
    [sym__declaration_specifiers] = STATE(4767),
    [sym_attribute_specifier] = STATE(2241),
    [sym_attribute_declaration] = STATE(2241),
    [sym_ms_declspec_modifier] = STATE(2241),
    [sym_storage_class_specifier] = STATE(2241),
    [sym_type_qualifier] = STATE(2241),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3878),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7852),
    [sym__expression] = STATE(3770),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8236),
    [sym_virtual] = STATE(2241),
    [sym_alignas_specifier] = STATE(2241),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7852),
    [sym_variadic_parameter_declaration] = STATE(7852),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym__unary_left_fold] = STATE(8754),
    [sym__unary_right_fold] = STATE(8755),
    [sym__binary_fold] = STATE(8756),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6338),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3913),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2241),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_RPAREN] = ACTIONS(2009),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2023),
    [anon_sym_struct] = ACTIONS(2025),
    [anon_sym_union] = ACTIONS(2027),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2053),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [140] = {
    [sym__declaration_modifiers] = STATE(2241),
    [sym__declaration_specifiers] = STATE(4767),
    [sym_attribute_specifier] = STATE(2241),
    [sym_attribute_declaration] = STATE(2241),
    [sym_ms_declspec_modifier] = STATE(2241),
    [sym_storage_class_specifier] = STATE(2241),
    [sym_type_qualifier] = STATE(2241),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3878),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7852),
    [sym__expression] = STATE(3794),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8236),
    [sym_virtual] = STATE(2241),
    [sym_alignas_specifier] = STATE(2241),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7852),
    [sym_variadic_parameter_declaration] = STATE(7852),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym__unary_left_fold] = STATE(8978),
    [sym__unary_right_fold] = STATE(8979),
    [sym__binary_fold] = STATE(8980),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6338),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3913),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2241),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_RPAREN] = ACTIONS(2009),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2023),
    [anon_sym_struct] = ACTIONS(2025),
    [anon_sym_union] = ACTIONS(2027),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2053),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [141] = {
    [sym__declaration_modifiers] = STATE(2241),
    [sym__declaration_specifiers] = STATE(4767),
    [sym_attribute_specifier] = STATE(2241),
    [sym_attribute_declaration] = STATE(2241),
    [sym_ms_declspec_modifier] = STATE(2241),
    [sym_compound_statement] = STATE(7919),
    [sym_storage_class_specifier] = STATE(2241),
    [sym_type_qualifier] = STATE(2241),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(8054),
    [sym__expression] = STATE(5088),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(7919),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2241),
    [sym_alignas_specifier] = STATE(2241),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(8054),
    [sym_variadic_parameter_declaration] = STATE(8054),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6370),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2241),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2067),
    [anon_sym_RPAREN] = ACTIONS(2069),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(2071),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2023),
    [anon_sym_struct] = ACTIONS(2025),
    [anon_sym_union] = ACTIONS(2027),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2053),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [142] = {
    [sym__declaration_modifiers] = STATE(2241),
    [sym__declaration_specifiers] = STATE(4767),
    [sym_attribute_specifier] = STATE(2241),
    [sym_attribute_declaration] = STATE(2241),
    [sym_ms_declspec_modifier] = STATE(2241),
    [sym_storage_class_specifier] = STATE(2241),
    [sym_type_qualifier] = STATE(2241),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3878),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7852),
    [sym__expression] = STATE(3768),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8236),
    [sym_virtual] = STATE(2241),
    [sym_alignas_specifier] = STATE(2241),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7852),
    [sym_variadic_parameter_declaration] = STATE(7852),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym__unary_left_fold] = STATE(8958),
    [sym__unary_right_fold] = STATE(9069),
    [sym__binary_fold] = STATE(9066),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6338),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3913),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2241),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_RPAREN] = ACTIONS(2009),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2023),
    [anon_sym_struct] = ACTIONS(2025),
    [anon_sym_union] = ACTIONS(2027),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2053),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [143] = {
    [sym__declaration_modifiers] = STATE(2241),
    [sym__declaration_specifiers] = STATE(4767),
    [sym_attribute_specifier] = STATE(2241),
    [sym_attribute_declaration] = STATE(2241),
    [sym_ms_declspec_modifier] = STATE(2241),
    [sym_storage_class_specifier] = STATE(2241),
    [sym_type_qualifier] = STATE(2241),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3878),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7852),
    [sym__expression] = STATE(3852),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8236),
    [sym_virtual] = STATE(2241),
    [sym_alignas_specifier] = STATE(2241),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7852),
    [sym_variadic_parameter_declaration] = STATE(7852),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym__unary_left_fold] = STATE(8725),
    [sym__unary_right_fold] = STATE(8720),
    [sym__binary_fold] = STATE(8717),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6338),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3913),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2241),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_RPAREN] = ACTIONS(2009),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2023),
    [anon_sym_struct] = ACTIONS(2025),
    [anon_sym_union] = ACTIONS(2027),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2053),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [144] = {
    [sym__declaration_modifiers] = STATE(2241),
    [sym__declaration_specifiers] = STATE(4767),
    [sym_attribute_specifier] = STATE(2241),
    [sym_attribute_declaration] = STATE(2241),
    [sym_ms_declspec_modifier] = STATE(2241),
    [sym_storage_class_specifier] = STATE(2241),
    [sym_type_qualifier] = STATE(2241),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3878),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7852),
    [sym__expression] = STATE(3843),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8236),
    [sym_virtual] = STATE(2241),
    [sym_alignas_specifier] = STATE(2241),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7852),
    [sym_variadic_parameter_declaration] = STATE(7852),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym__unary_left_fold] = STATE(9187),
    [sym__unary_right_fold] = STATE(9186),
    [sym__binary_fold] = STATE(9185),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6338),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3913),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2241),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_RPAREN] = ACTIONS(2009),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2023),
    [anon_sym_struct] = ACTIONS(2025),
    [anon_sym_union] = ACTIONS(2027),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2053),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [145] = {
    [sym__declaration_modifiers] = STATE(2241),
    [sym__declaration_specifiers] = STATE(4767),
    [sym_attribute_specifier] = STATE(2241),
    [sym_attribute_declaration] = STATE(2241),
    [sym_ms_declspec_modifier] = STATE(2241),
    [sym_storage_class_specifier] = STATE(2241),
    [sym_type_qualifier] = STATE(2241),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3878),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7852),
    [sym__expression] = STATE(3788),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8236),
    [sym_virtual] = STATE(2241),
    [sym_alignas_specifier] = STATE(2241),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7852),
    [sym_variadic_parameter_declaration] = STATE(7852),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym__unary_left_fold] = STATE(9128),
    [sym__unary_right_fold] = STATE(9127),
    [sym__binary_fold] = STATE(9126),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6338),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3913),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2241),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_RPAREN] = ACTIONS(2009),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2023),
    [anon_sym_struct] = ACTIONS(2025),
    [anon_sym_union] = ACTIONS(2027),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2053),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [146] = {
    [sym__declaration_modifiers] = STATE(2241),
    [sym__declaration_specifiers] = STATE(4767),
    [sym_attribute_specifier] = STATE(2241),
    [sym_attribute_declaration] = STATE(2241),
    [sym_ms_declspec_modifier] = STATE(2241),
    [sym_storage_class_specifier] = STATE(2241),
    [sym_type_qualifier] = STATE(2241),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3878),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7852),
    [sym__expression] = STATE(3889),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8236),
    [sym_virtual] = STATE(2241),
    [sym_alignas_specifier] = STATE(2241),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7852),
    [sym_variadic_parameter_declaration] = STATE(7852),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym__unary_left_fold] = STATE(9181),
    [sym__unary_right_fold] = STATE(9182),
    [sym__binary_fold] = STATE(9183),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6338),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3913),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2241),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_RPAREN] = ACTIONS(2009),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2023),
    [anon_sym_struct] = ACTIONS(2025),
    [anon_sym_union] = ACTIONS(2027),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2053),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [147] = {
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5945),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3611),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__expression] = STATE(5231),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8733),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8485),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4602),
    [sym_template_function] = STATE(4548),
    [sym_condition_declaration] = STATE(8733),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(4637),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(1991),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [148] = {
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7261),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6932),
    [sym_array_declarator] = STATE(6932),
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3325),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(9130),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(9129),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3847),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(9128),
    [sym__unary_right_fold] = STATE(9127),
    [sym__binary_fold] = STATE(9126),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3839),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(9125),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2085),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2087),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [149] = {
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7261),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6932),
    [sym_array_declarator] = STATE(6932),
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3330),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(9079),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(8727),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3847),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(8725),
    [sym__unary_right_fold] = STATE(8720),
    [sym__binary_fold] = STATE(8717),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3839),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(9056),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2085),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2087),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [150] = {
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7261),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6932),
    [sym_array_declarator] = STATE(6932),
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3330),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(9079),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(9075),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3847),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(8958),
    [sym__unary_right_fold] = STATE(9069),
    [sym__binary_fold] = STATE(9066),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3839),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(9056),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2085),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2087),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [151] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2824),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_initializer_list] = STATE(2951),
    [sym_number_literal] = STATE(3233),
    [sym_char_literal] = STATE(3233),
    [sym_concatenated_string] = STATE(3211),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2303),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2147),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2149),
    [anon_sym_COMMA] = ACTIONS(2149),
    [aux_sym_preproc_if_token2] = ACTIONS(2149),
    [aux_sym_preproc_else_token1] = ACTIONS(2149),
    [aux_sym_preproc_elif_token1] = ACTIONS(2147),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2149),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2149),
    [anon_sym_LPAREN2] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2147),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_PIPE] = ACTIONS(2147),
    [anon_sym_CARET] = ACTIONS(2147),
    [anon_sym_AMP] = ACTIONS(2147),
    [anon_sym_EQ_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ] = ACTIONS(2149),
    [anon_sym_GT] = ACTIONS(2147),
    [anon_sym_GT_EQ] = ACTIONS(2149),
    [anon_sym_LT_EQ] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_LT_LT] = ACTIONS(2147),
    [anon_sym_GT_GT] = ACTIONS(2147),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [anon_sym_EQ] = ACTIONS(2147),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(2149),
    [anon_sym_STAR_EQ] = ACTIONS(2149),
    [anon_sym_SLASH_EQ] = ACTIONS(2149),
    [anon_sym_PERCENT_EQ] = ACTIONS(2149),
    [anon_sym_PLUS_EQ] = ACTIONS(2149),
    [anon_sym_DASH_EQ] = ACTIONS(2149),
    [anon_sym_LT_LT_EQ] = ACTIONS(2149),
    [anon_sym_GT_GT_EQ] = ACTIONS(2149),
    [anon_sym_AMP_EQ] = ACTIONS(2149),
    [anon_sym_CARET_EQ] = ACTIONS(2149),
    [anon_sym_PIPE_EQ] = ACTIONS(2149),
    [anon_sym_and_eq] = ACTIONS(2147),
    [anon_sym_or_eq] = ACTIONS(2147),
    [anon_sym_xor_eq] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_LT_EQ_GT] = ACTIONS(2149),
    [anon_sym_or] = ACTIONS(2147),
    [anon_sym_and] = ACTIONS(2147),
    [anon_sym_bitor] = ACTIONS(2147),
    [anon_sym_xor] = ACTIONS(2147),
    [anon_sym_bitand] = ACTIONS(2147),
    [anon_sym_not_eq] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [anon_sym_DOT] = ACTIONS(2147),
    [anon_sym_DOT_STAR] = ACTIONS(2149),
    [anon_sym_DASH_GT] = ACTIONS(2149),
    [aux_sym_number_literal_token1] = ACTIONS(2169),
    [aux_sym_number_literal_token2] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2173),
    [anon_sym_u_SQUOTE] = ACTIONS(2173),
    [anon_sym_U_SQUOTE] = ACTIONS(2173),
    [anon_sym_u8_SQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2183),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [anon_sym_co_await] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [152] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2824),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_initializer_list] = STATE(2951),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2149),
    [anon_sym_COMMA] = ACTIONS(2149),
    [anon_sym_RPAREN] = ACTIONS(2149),
    [anon_sym_LPAREN2] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2195),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2147),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_PIPE] = ACTIONS(2147),
    [anon_sym_CARET] = ACTIONS(2147),
    [anon_sym_AMP] = ACTIONS(2147),
    [anon_sym_EQ_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ] = ACTIONS(2149),
    [anon_sym_GT] = ACTIONS(2147),
    [anon_sym_GT_EQ] = ACTIONS(2149),
    [anon_sym_LT_EQ] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_LT_LT] = ACTIONS(2147),
    [anon_sym_GT_GT] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_RBRACE] = ACTIONS(2149),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [anon_sym_RBRACK] = ACTIONS(2149),
    [anon_sym_EQ] = ACTIONS(2147),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(2149),
    [anon_sym_STAR_EQ] = ACTIONS(2149),
    [anon_sym_SLASH_EQ] = ACTIONS(2149),
    [anon_sym_PERCENT_EQ] = ACTIONS(2149),
    [anon_sym_PLUS_EQ] = ACTIONS(2149),
    [anon_sym_DASH_EQ] = ACTIONS(2149),
    [anon_sym_LT_LT_EQ] = ACTIONS(2149),
    [anon_sym_GT_GT_EQ] = ACTIONS(2149),
    [anon_sym_AMP_EQ] = ACTIONS(2149),
    [anon_sym_CARET_EQ] = ACTIONS(2149),
    [anon_sym_PIPE_EQ] = ACTIONS(2149),
    [anon_sym_and_eq] = ACTIONS(2147),
    [anon_sym_or_eq] = ACTIONS(2147),
    [anon_sym_xor_eq] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_LT_EQ_GT] = ACTIONS(2149),
    [anon_sym_or] = ACTIONS(2147),
    [anon_sym_and] = ACTIONS(2147),
    [anon_sym_bitor] = ACTIONS(2147),
    [anon_sym_xor] = ACTIONS(2147),
    [anon_sym_bitand] = ACTIONS(2147),
    [anon_sym_not_eq] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [anon_sym_DOT] = ACTIONS(2147),
    [anon_sym_DOT_STAR] = ACTIONS(2149),
    [anon_sym_DASH_GT] = ACTIONS(2149),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [153] = {
    [sym_primitive_type] = STATE(7583),
    [sym__expression] = STATE(3331),
    [sym__expression_not_binary] = STATE(3727),
    [sym__string] = STATE(3727),
    [sym_conditional_expression] = STATE(3727),
    [sym_assignment_expression] = STATE(3727),
    [sym_pointer_expression] = STATE(3727),
    [sym_unary_expression] = STATE(3727),
    [sym_binary_expression] = STATE(3727),
    [sym_update_expression] = STATE(3727),
    [sym_cast_expression] = STATE(3727),
    [sym_sizeof_expression] = STATE(3727),
    [sym_alignof_expression] = STATE(3727),
    [sym_offsetof_expression] = STATE(3727),
    [sym_generic_expression] = STATE(3727),
    [sym_subscript_expression] = STATE(3727),
    [sym_call_expression] = STATE(3727),
    [sym_gnu_asm_expression] = STATE(3727),
    [sym_field_expression] = STATE(3727),
    [sym_compound_literal_expression] = STATE(3727),
    [sym_parenthesized_expression] = STATE(3727),
    [sym_initializer_list] = STATE(3759),
    [sym_number_literal] = STATE(3478),
    [sym_char_literal] = STATE(3478),
    [sym_concatenated_string] = STATE(3481),
    [sym_string_literal] = STATE(2496),
    [sym_null] = STATE(3727),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3727),
    [sym_raw_string_literal] = STATE(2431),
    [sym_co_await_expression] = STATE(3727),
    [sym_new_expression] = STATE(3727),
    [sym_delete_expression] = STATE(3727),
    [sym_requires_clause] = STATE(3727),
    [sym_requires_expression] = STATE(3727),
    [sym_lambda_expression] = STATE(3727),
    [sym_lambda_capture_specifier] = STATE(6580),
    [sym_fold_expression] = STATE(3727),
    [sym_parameter_pack_expansion] = STATE(3727),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3727),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(3727),
    [sym_identifier] = ACTIONS(2147),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2149),
    [anon_sym_COMMA] = ACTIONS(2149),
    [aux_sym_preproc_if_token2] = ACTIONS(2149),
    [aux_sym_preproc_else_token1] = ACTIONS(2149),
    [aux_sym_preproc_elif_token1] = ACTIONS(2149),
    [anon_sym_LPAREN2] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2147),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_PIPE] = ACTIONS(2147),
    [anon_sym_CARET] = ACTIONS(2147),
    [anon_sym_AMP] = ACTIONS(2147),
    [anon_sym_EQ_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ] = ACTIONS(2149),
    [anon_sym_GT] = ACTIONS(2147),
    [anon_sym_GT_EQ] = ACTIONS(2149),
    [anon_sym_LT_EQ] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_LT_LT] = ACTIONS(2147),
    [anon_sym_GT_GT] = ACTIONS(2147),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [anon_sym_EQ] = ACTIONS(2147),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(2149),
    [anon_sym_STAR_EQ] = ACTIONS(2149),
    [anon_sym_SLASH_EQ] = ACTIONS(2149),
    [anon_sym_PERCENT_EQ] = ACTIONS(2149),
    [anon_sym_PLUS_EQ] = ACTIONS(2149),
    [anon_sym_DASH_EQ] = ACTIONS(2149),
    [anon_sym_LT_LT_EQ] = ACTIONS(2149),
    [anon_sym_GT_GT_EQ] = ACTIONS(2149),
    [anon_sym_AMP_EQ] = ACTIONS(2149),
    [anon_sym_CARET_EQ] = ACTIONS(2149),
    [anon_sym_PIPE_EQ] = ACTIONS(2149),
    [anon_sym_and_eq] = ACTIONS(2147),
    [anon_sym_or_eq] = ACTIONS(2147),
    [anon_sym_xor_eq] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2219),
    [anon_sym_compl] = ACTIONS(2219),
    [anon_sym_LT_EQ_GT] = ACTIONS(2149),
    [anon_sym_or] = ACTIONS(2147),
    [anon_sym_and] = ACTIONS(2147),
    [anon_sym_bitor] = ACTIONS(2147),
    [anon_sym_xor] = ACTIONS(2147),
    [anon_sym_bitand] = ACTIONS(2147),
    [anon_sym_not_eq] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_sizeof] = ACTIONS(2227),
    [anon_sym___alignof__] = ACTIONS(2229),
    [anon_sym___alignof] = ACTIONS(2229),
    [anon_sym__alignof] = ACTIONS(2229),
    [anon_sym_alignof] = ACTIONS(2229),
    [anon_sym__Alignof] = ACTIONS(2229),
    [anon_sym_offsetof] = ACTIONS(2231),
    [anon_sym__Generic] = ACTIONS(2233),
    [anon_sym_asm] = ACTIONS(2235),
    [anon_sym___asm__] = ACTIONS(2235),
    [anon_sym_DOT] = ACTIONS(2147),
    [anon_sym_DOT_STAR] = ACTIONS(2149),
    [anon_sym_DASH_GT] = ACTIONS(2149),
    [aux_sym_number_literal_token1] = ACTIONS(2237),
    [aux_sym_number_literal_token2] = ACTIONS(2239),
    [anon_sym_L_SQUOTE] = ACTIONS(2241),
    [anon_sym_u_SQUOTE] = ACTIONS(2241),
    [anon_sym_U_SQUOTE] = ACTIONS(2241),
    [anon_sym_u8_SQUOTE] = ACTIONS(2241),
    [anon_sym_SQUOTE] = ACTIONS(2241),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_true] = ACTIONS(2245),
    [sym_false] = ACTIONS(2245),
    [anon_sym_NULL] = ACTIONS(2247),
    [anon_sym_nullptr] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [anon_sym_co_await] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2255),
    [anon_sym_requires] = ACTIONS(2257),
    [sym_this] = ACTIONS(2245),
  },
  [154] = {
    [ts_builtin_sym_end] = ACTIONS(2259),
    [sym_identifier] = ACTIONS(2261),
    [aux_sym_preproc_include_token1] = ACTIONS(2261),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [anon_sym_COMMA] = ACTIONS(2259),
    [anon_sym_RPAREN] = ACTIONS(2259),
    [aux_sym_preproc_if_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2261),
    [anon_sym_LPAREN2] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2261),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_PIPE_PIPE] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym___extension__] = ACTIONS(2261),
    [anon_sym_typedef] = ACTIONS(2261),
    [anon_sym_extern] = ACTIONS(2261),
    [anon_sym___attribute__] = ACTIONS(2261),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2259),
    [anon_sym___declspec] = ACTIONS(2261),
    [anon_sym___based] = ACTIONS(2261),
    [anon_sym___cdecl] = ACTIONS(2261),
    [anon_sym___clrcall] = ACTIONS(2261),
    [anon_sym___stdcall] = ACTIONS(2261),
    [anon_sym___fastcall] = ACTIONS(2261),
    [anon_sym___thiscall] = ACTIONS(2261),
    [anon_sym___vectorcall] = ACTIONS(2261),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_signed] = ACTIONS(2261),
    [anon_sym_unsigned] = ACTIONS(2261),
    [anon_sym_long] = ACTIONS(2261),
    [anon_sym_short] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_EQ] = ACTIONS(2259),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_register] = ACTIONS(2261),
    [anon_sym_inline] = ACTIONS(2261),
    [anon_sym___inline] = ACTIONS(2261),
    [anon_sym___inline__] = ACTIONS(2261),
    [anon_sym___forceinline] = ACTIONS(2261),
    [anon_sym_thread_local] = ACTIONS(2261),
    [anon_sym___thread] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_constexpr] = ACTIONS(2261),
    [anon_sym_volatile] = ACTIONS(2261),
    [anon_sym_restrict] = ACTIONS(2261),
    [anon_sym___restrict__] = ACTIONS(2261),
    [anon_sym__Atomic] = ACTIONS(2261),
    [anon_sym__Noreturn] = ACTIONS(2261),
    [anon_sym_noreturn] = ACTIONS(2261),
    [anon_sym_mutable] = ACTIONS(2261),
    [anon_sym_constinit] = ACTIONS(2261),
    [anon_sym_consteval] = ACTIONS(2261),
    [anon_sym_PROGMEM] = ACTIONS(2261),
    [aux_sym_primitive_type_token1] = ACTIONS(2261),
    [anon_sym_byte] = ACTIONS(2261),
    [anon_sym_word] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_struct] = ACTIONS(2261),
    [anon_sym_union] = ACTIONS(2261),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_else] = ACTIONS(2261),
    [anon_sym_switch] = ACTIONS(2261),
    [anon_sym_case] = ACTIONS(2261),
    [anon_sym_default] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2261),
    [anon_sym_do] = ACTIONS(2261),
    [anon_sym_for] = ACTIONS(2261),
    [anon_sym_return] = ACTIONS(2261),
    [anon_sym_break] = ACTIONS(2261),
    [anon_sym_continue] = ACTIONS(2261),
    [anon_sym_goto] = ACTIONS(2261),
    [anon_sym___try] = ACTIONS(2261),
    [anon_sym___except] = ACTIONS(2261),
    [anon_sym___finally] = ACTIONS(2261),
    [anon_sym___leave] = ACTIONS(2261),
    [anon_sym_not] = ACTIONS(2261),
    [anon_sym_compl] = ACTIONS(2261),
    [anon_sym_or] = ACTIONS(2261),
    [anon_sym_and] = ACTIONS(2261),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_sizeof] = ACTIONS(2261),
    [anon_sym___alignof__] = ACTIONS(2261),
    [anon_sym___alignof] = ACTIONS(2261),
    [anon_sym__alignof] = ACTIONS(2261),
    [anon_sym_alignof] = ACTIONS(2261),
    [anon_sym__Alignof] = ACTIONS(2261),
    [anon_sym_offsetof] = ACTIONS(2261),
    [anon_sym__Generic] = ACTIONS(2261),
    [anon_sym_asm] = ACTIONS(2261),
    [anon_sym___asm__] = ACTIONS(2261),
    [aux_sym_number_literal_token1] = ACTIONS(2259),
    [aux_sym_number_literal_token2] = ACTIONS(2261),
    [anon_sym_L_SQUOTE] = ACTIONS(2259),
    [anon_sym_u_SQUOTE] = ACTIONS(2259),
    [anon_sym_U_SQUOTE] = ACTIONS(2259),
    [anon_sym_u8_SQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [anon_sym_L_DQUOTE] = ACTIONS(2259),
    [anon_sym_u_DQUOTE] = ACTIONS(2259),
    [anon_sym_U_DQUOTE] = ACTIONS(2259),
    [anon_sym_u8_DQUOTE] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [sym_true] = ACTIONS(2261),
    [sym_false] = ACTIONS(2261),
    [anon_sym_NULL] = ACTIONS(2261),
    [anon_sym_nullptr] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2261),
    [anon_sym_decltype] = ACTIONS(2261),
    [anon_sym_final] = ACTIONS(2261),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_virtual] = ACTIONS(2261),
    [anon_sym_alignas] = ACTIONS(2261),
    [anon_sym_explicit] = ACTIONS(2261),
    [anon_sym_typename] = ACTIONS(2261),
    [anon_sym_template] = ACTIONS(2261),
    [anon_sym_GT2] = ACTIONS(2259),
    [anon_sym_operator] = ACTIONS(2261),
    [anon_sym_try] = ACTIONS(2261),
    [anon_sym_delete] = ACTIONS(2261),
    [anon_sym_throw] = ACTIONS(2261),
    [anon_sym_namespace] = ACTIONS(2261),
    [anon_sym_using] = ACTIONS(2261),
    [anon_sym_static_assert] = ACTIONS(2261),
    [anon_sym_concept] = ACTIONS(2261),
    [anon_sym_co_return] = ACTIONS(2261),
    [anon_sym_co_yield] = ACTIONS(2261),
    [anon_sym_catch] = ACTIONS(2261),
    [anon_sym_R_DQUOTE] = ACTIONS(2259),
    [anon_sym_LR_DQUOTE] = ACTIONS(2259),
    [anon_sym_uR_DQUOTE] = ACTIONS(2259),
    [anon_sym_UR_DQUOTE] = ACTIONS(2259),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2259),
    [anon_sym_co_await] = ACTIONS(2261),
    [anon_sym_new] = ACTIONS(2261),
    [anon_sym_requires] = ACTIONS(2261),
    [sym_this] = ACTIONS(2261),
  },
  [155] = {
    [ts_builtin_sym_end] = ACTIONS(2263),
    [sym_identifier] = ACTIONS(2265),
    [aux_sym_preproc_include_token1] = ACTIONS(2265),
    [aux_sym_preproc_def_token1] = ACTIONS(2265),
    [anon_sym_COMMA] = ACTIONS(2263),
    [anon_sym_RPAREN] = ACTIONS(2263),
    [aux_sym_preproc_if_token1] = ACTIONS(2265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2265),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2265),
    [sym_preproc_directive] = ACTIONS(2265),
    [anon_sym_LPAREN2] = ACTIONS(2263),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2265),
    [anon_sym_PLUS] = ACTIONS(2265),
    [anon_sym_STAR] = ACTIONS(2263),
    [anon_sym_PIPE_PIPE] = ACTIONS(2263),
    [anon_sym_AMP_AMP] = ACTIONS(2263),
    [anon_sym_AMP] = ACTIONS(2265),
    [anon_sym_SEMI] = ACTIONS(2263),
    [anon_sym___extension__] = ACTIONS(2265),
    [anon_sym_typedef] = ACTIONS(2265),
    [anon_sym_extern] = ACTIONS(2265),
    [anon_sym___attribute__] = ACTIONS(2265),
    [anon_sym_COLON_COLON] = ACTIONS(2263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2263),
    [anon_sym___declspec] = ACTIONS(2265),
    [anon_sym___based] = ACTIONS(2265),
    [anon_sym___cdecl] = ACTIONS(2265),
    [anon_sym___clrcall] = ACTIONS(2265),
    [anon_sym___stdcall] = ACTIONS(2265),
    [anon_sym___fastcall] = ACTIONS(2265),
    [anon_sym___thiscall] = ACTIONS(2265),
    [anon_sym___vectorcall] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(2263),
    [anon_sym_signed] = ACTIONS(2265),
    [anon_sym_unsigned] = ACTIONS(2265),
    [anon_sym_long] = ACTIONS(2265),
    [anon_sym_short] = ACTIONS(2265),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_EQ] = ACTIONS(2263),
    [anon_sym_static] = ACTIONS(2265),
    [anon_sym_register] = ACTIONS(2265),
    [anon_sym_inline] = ACTIONS(2265),
    [anon_sym___inline] = ACTIONS(2265),
    [anon_sym___inline__] = ACTIONS(2265),
    [anon_sym___forceinline] = ACTIONS(2265),
    [anon_sym_thread_local] = ACTIONS(2265),
    [anon_sym___thread] = ACTIONS(2265),
    [anon_sym_const] = ACTIONS(2265),
    [anon_sym_constexpr] = ACTIONS(2265),
    [anon_sym_volatile] = ACTIONS(2265),
    [anon_sym_restrict] = ACTIONS(2265),
    [anon_sym___restrict__] = ACTIONS(2265),
    [anon_sym__Atomic] = ACTIONS(2265),
    [anon_sym__Noreturn] = ACTIONS(2265),
    [anon_sym_noreturn] = ACTIONS(2265),
    [anon_sym_mutable] = ACTIONS(2265),
    [anon_sym_constinit] = ACTIONS(2265),
    [anon_sym_consteval] = ACTIONS(2265),
    [anon_sym_PROGMEM] = ACTIONS(2265),
    [aux_sym_primitive_type_token1] = ACTIONS(2265),
    [anon_sym_byte] = ACTIONS(2265),
    [anon_sym_word] = ACTIONS(2265),
    [anon_sym_enum] = ACTIONS(2265),
    [anon_sym_class] = ACTIONS(2265),
    [anon_sym_struct] = ACTIONS(2265),
    [anon_sym_union] = ACTIONS(2265),
    [anon_sym_if] = ACTIONS(2265),
    [anon_sym_else] = ACTIONS(2265),
    [anon_sym_switch] = ACTIONS(2265),
    [anon_sym_case] = ACTIONS(2265),
    [anon_sym_default] = ACTIONS(2265),
    [anon_sym_while] = ACTIONS(2265),
    [anon_sym_do] = ACTIONS(2265),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_return] = ACTIONS(2265),
    [anon_sym_break] = ACTIONS(2265),
    [anon_sym_continue] = ACTIONS(2265),
    [anon_sym_goto] = ACTIONS(2265),
    [anon_sym___try] = ACTIONS(2265),
    [anon_sym___except] = ACTIONS(2265),
    [anon_sym___finally] = ACTIONS(2265),
    [anon_sym___leave] = ACTIONS(2265),
    [anon_sym_not] = ACTIONS(2265),
    [anon_sym_compl] = ACTIONS(2265),
    [anon_sym_or] = ACTIONS(2265),
    [anon_sym_and] = ACTIONS(2265),
    [anon_sym_DASH_DASH] = ACTIONS(2263),
    [anon_sym_PLUS_PLUS] = ACTIONS(2263),
    [anon_sym_sizeof] = ACTIONS(2265),
    [anon_sym___alignof__] = ACTIONS(2265),
    [anon_sym___alignof] = ACTIONS(2265),
    [anon_sym__alignof] = ACTIONS(2265),
    [anon_sym_alignof] = ACTIONS(2265),
    [anon_sym__Alignof] = ACTIONS(2265),
    [anon_sym_offsetof] = ACTIONS(2265),
    [anon_sym__Generic] = ACTIONS(2265),
    [anon_sym_asm] = ACTIONS(2265),
    [anon_sym___asm__] = ACTIONS(2265),
    [aux_sym_number_literal_token1] = ACTIONS(2263),
    [aux_sym_number_literal_token2] = ACTIONS(2265),
    [anon_sym_L_SQUOTE] = ACTIONS(2263),
    [anon_sym_u_SQUOTE] = ACTIONS(2263),
    [anon_sym_U_SQUOTE] = ACTIONS(2263),
    [anon_sym_u8_SQUOTE] = ACTIONS(2263),
    [anon_sym_SQUOTE] = ACTIONS(2263),
    [anon_sym_L_DQUOTE] = ACTIONS(2263),
    [anon_sym_u_DQUOTE] = ACTIONS(2263),
    [anon_sym_U_DQUOTE] = ACTIONS(2263),
    [anon_sym_u8_DQUOTE] = ACTIONS(2263),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_true] = ACTIONS(2265),
    [sym_false] = ACTIONS(2265),
    [anon_sym_NULL] = ACTIONS(2265),
    [anon_sym_nullptr] = ACTIONS(2265),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2265),
    [anon_sym_decltype] = ACTIONS(2265),
    [anon_sym_final] = ACTIONS(2265),
    [anon_sym_override] = ACTIONS(2265),
    [anon_sym_virtual] = ACTIONS(2265),
    [anon_sym_alignas] = ACTIONS(2265),
    [anon_sym_explicit] = ACTIONS(2265),
    [anon_sym_typename] = ACTIONS(2265),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_GT2] = ACTIONS(2263),
    [anon_sym_operator] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_delete] = ACTIONS(2265),
    [anon_sym_throw] = ACTIONS(2265),
    [anon_sym_namespace] = ACTIONS(2265),
    [anon_sym_using] = ACTIONS(2265),
    [anon_sym_static_assert] = ACTIONS(2265),
    [anon_sym_concept] = ACTIONS(2265),
    [anon_sym_co_return] = ACTIONS(2265),
    [anon_sym_co_yield] = ACTIONS(2265),
    [anon_sym_catch] = ACTIONS(2265),
    [anon_sym_R_DQUOTE] = ACTIONS(2263),
    [anon_sym_LR_DQUOTE] = ACTIONS(2263),
    [anon_sym_uR_DQUOTE] = ACTIONS(2263),
    [anon_sym_UR_DQUOTE] = ACTIONS(2263),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2263),
    [anon_sym_co_await] = ACTIONS(2265),
    [anon_sym_new] = ACTIONS(2265),
    [anon_sym_requires] = ACTIONS(2265),
    [sym_this] = ACTIONS(2265),
  },
  [156] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3623),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_initializer_list] = STATE(3997),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2149),
    [anon_sym_COMMA] = ACTIONS(2149),
    [anon_sym_RPAREN] = ACTIONS(2149),
    [anon_sym_LPAREN2] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2083),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2147),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_PIPE] = ACTIONS(2147),
    [anon_sym_CARET] = ACTIONS(2147),
    [anon_sym_AMP] = ACTIONS(2147),
    [anon_sym_EQ_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ] = ACTIONS(2149),
    [anon_sym_GT] = ACTIONS(2147),
    [anon_sym_GT_EQ] = ACTIONS(2149),
    [anon_sym_LT_EQ] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_LT_LT] = ACTIONS(2147),
    [anon_sym_GT_GT] = ACTIONS(2147),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2269),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [anon_sym_EQ] = ACTIONS(2147),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(2149),
    [anon_sym_STAR_EQ] = ACTIONS(2149),
    [anon_sym_SLASH_EQ] = ACTIONS(2149),
    [anon_sym_PERCENT_EQ] = ACTIONS(2149),
    [anon_sym_PLUS_EQ] = ACTIONS(2149),
    [anon_sym_DASH_EQ] = ACTIONS(2149),
    [anon_sym_LT_LT_EQ] = ACTIONS(2149),
    [anon_sym_GT_GT_EQ] = ACTIONS(2149),
    [anon_sym_AMP_EQ] = ACTIONS(2149),
    [anon_sym_CARET_EQ] = ACTIONS(2149),
    [anon_sym_PIPE_EQ] = ACTIONS(2149),
    [anon_sym_and_eq] = ACTIONS(2147),
    [anon_sym_or_eq] = ACTIONS(2147),
    [anon_sym_xor_eq] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_LT_EQ_GT] = ACTIONS(2149),
    [anon_sym_or] = ACTIONS(2147),
    [anon_sym_and] = ACTIONS(2147),
    [anon_sym_bitor] = ACTIONS(2147),
    [anon_sym_xor] = ACTIONS(2147),
    [anon_sym_bitand] = ACTIONS(2147),
    [anon_sym_not_eq] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [anon_sym_DOT] = ACTIONS(2147),
    [anon_sym_DOT_STAR] = ACTIONS(2149),
    [anon_sym_DASH_GT] = ACTIONS(2147),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2149),
    [sym_this] = ACTIONS(2125),
  },
  [157] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(816),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(816),
    [sym_labeled_statement] = STATE(816),
    [sym_expression_statement] = STATE(816),
    [sym_if_statement] = STATE(816),
    [sym_switch_statement] = STATE(816),
    [sym_case_statement] = STATE(816),
    [sym_while_statement] = STATE(816),
    [sym_do_statement] = STATE(816),
    [sym_for_statement] = STATE(816),
    [sym_return_statement] = STATE(816),
    [sym_break_statement] = STATE(816),
    [sym_continue_statement] = STATE(816),
    [sym_goto_statement] = STATE(816),
    [sym_seh_try_statement] = STATE(816),
    [sym_seh_leave_statement] = STATE(816),
    [sym__expression] = STATE(5126),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8474),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(816),
    [sym_co_return_statement] = STATE(816),
    [sym_co_yield_statement] = STATE(816),
    [sym_throw_statement] = STATE(816),
    [sym_try_statement] = STATE(816),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [158] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2824),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_initializer_list] = STATE(2951),
    [sym_number_literal] = STATE(3890),
    [sym_char_literal] = STATE(3890),
    [sym_concatenated_string] = STATE(3901),
    [sym_string_literal] = STATE(2724),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2699),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2149),
    [anon_sym_COMMA] = ACTIONS(2149),
    [anon_sym_LPAREN2] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2275),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2147),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_PIPE] = ACTIONS(2147),
    [anon_sym_CARET] = ACTIONS(2147),
    [anon_sym_AMP] = ACTIONS(2147),
    [anon_sym_EQ_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ] = ACTIONS(2149),
    [anon_sym_GT] = ACTIONS(2147),
    [anon_sym_GT_EQ] = ACTIONS(2149),
    [anon_sym_LT_EQ] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_LT_LT] = ACTIONS(2147),
    [anon_sym_GT_GT] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym___attribute__] = ACTIONS(2147),
    [anon_sym_COLON_COLON] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [anon_sym_EQ] = ACTIONS(2147),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(2149),
    [anon_sym_STAR_EQ] = ACTIONS(2149),
    [anon_sym_SLASH_EQ] = ACTIONS(2149),
    [anon_sym_PERCENT_EQ] = ACTIONS(2149),
    [anon_sym_PLUS_EQ] = ACTIONS(2149),
    [anon_sym_DASH_EQ] = ACTIONS(2149),
    [anon_sym_LT_LT_EQ] = ACTIONS(2149),
    [anon_sym_GT_GT_EQ] = ACTIONS(2149),
    [anon_sym_AMP_EQ] = ACTIONS(2149),
    [anon_sym_CARET_EQ] = ACTIONS(2149),
    [anon_sym_PIPE_EQ] = ACTIONS(2149),
    [anon_sym_and_eq] = ACTIONS(2147),
    [anon_sym_or_eq] = ACTIONS(2147),
    [anon_sym_xor_eq] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_LT_EQ_GT] = ACTIONS(2149),
    [anon_sym_or] = ACTIONS(2147),
    [anon_sym_and] = ACTIONS(2147),
    [anon_sym_bitor] = ACTIONS(2147),
    [anon_sym_xor] = ACTIONS(2147),
    [anon_sym_bitand] = ACTIONS(2147),
    [anon_sym_not_eq] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_sizeof] = ACTIONS(2281),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [anon_sym_DOT] = ACTIONS(2147),
    [anon_sym_DOT_STAR] = ACTIONS(2149),
    [anon_sym_DASH_GT] = ACTIONS(2149),
    [aux_sym_number_literal_token1] = ACTIONS(2283),
    [aux_sym_number_literal_token2] = ACTIONS(2285),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2289),
    [anon_sym_u_DQUOTE] = ACTIONS(2289),
    [anon_sym_U_DQUOTE] = ACTIONS(2289),
    [anon_sym_u8_DQUOTE] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2295),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [159] = {
    [sym_attribute_declaration] = STATE(165),
    [sym_compound_statement] = STATE(780),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(785),
    [sym_labeled_statement] = STATE(789),
    [sym_expression_statement] = STATE(793),
    [sym_if_statement] = STATE(852),
    [sym_switch_statement] = STATE(853),
    [sym_case_statement] = STATE(855),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(831),
    [sym_for_statement] = STATE(830),
    [sym_return_statement] = STATE(829),
    [sym_break_statement] = STATE(827),
    [sym_continue_statement] = STATE(825),
    [sym_goto_statement] = STATE(824),
    [sym_seh_try_statement] = STATE(822),
    [sym_seh_leave_statement] = STATE(821),
    [sym__expression] = STATE(5202),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9192),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(815),
    [sym_co_return_statement] = STATE(814),
    [sym_co_yield_statement] = STATE(813),
    [sym_throw_statement] = STATE(812),
    [sym_try_statement] = STATE(810),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(929),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(937),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_switch] = ACTIONS(943),
    [anon_sym_case] = ACTIONS(945),
    [anon_sym_default] = ACTIONS(947),
    [anon_sym_while] = ACTIONS(949),
    [anon_sym_do] = ACTIONS(951),
    [anon_sym_for] = ACTIONS(953),
    [anon_sym_return] = ACTIONS(955),
    [anon_sym_break] = ACTIONS(957),
    [anon_sym_continue] = ACTIONS(959),
    [anon_sym_goto] = ACTIONS(961),
    [anon_sym___try] = ACTIONS(963),
    [anon_sym___leave] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(969),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(971),
    [anon_sym_co_return] = ACTIONS(981),
    [anon_sym_co_yield] = ACTIONS(983),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [160] = {
    [sym_attribute_declaration] = STATE(174),
    [sym_compound_statement] = STATE(276),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(276),
    [sym_labeled_statement] = STATE(276),
    [sym_expression_statement] = STATE(276),
    [sym_if_statement] = STATE(276),
    [sym_switch_statement] = STATE(276),
    [sym_case_statement] = STATE(276),
    [sym_while_statement] = STATE(276),
    [sym_do_statement] = STATE(276),
    [sym_for_statement] = STATE(276),
    [sym_return_statement] = STATE(276),
    [sym_break_statement] = STATE(276),
    [sym_continue_statement] = STATE(276),
    [sym_goto_statement] = STATE(276),
    [sym_seh_try_statement] = STATE(276),
    [sym_seh_leave_statement] = STATE(276),
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8707),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(276),
    [sym_co_return_statement] = STATE(276),
    [sym_co_yield_statement] = STATE(276),
    [sym_throw_statement] = STATE(276),
    [sym_try_statement] = STATE(276),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(174),
    [sym_identifier] = ACTIONS(2299),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [161] = {
    [sym_attribute_declaration] = STATE(178),
    [sym_compound_statement] = STATE(1149),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(1149),
    [sym_labeled_statement] = STATE(1149),
    [sym_expression_statement] = STATE(1149),
    [sym_if_statement] = STATE(1149),
    [sym_switch_statement] = STATE(1149),
    [sym_case_statement] = STATE(1149),
    [sym_while_statement] = STATE(1149),
    [sym_do_statement] = STATE(1149),
    [sym_for_statement] = STATE(1149),
    [sym_return_statement] = STATE(1149),
    [sym_break_statement] = STATE(1149),
    [sym_continue_statement] = STATE(1149),
    [sym_goto_statement] = STATE(1149),
    [sym_seh_try_statement] = STATE(1149),
    [sym_seh_leave_statement] = STATE(1149),
    [sym__expression] = STATE(5216),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9492),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(1149),
    [sym_co_return_statement] = STATE(1149),
    [sym_co_yield_statement] = STATE(1149),
    [sym_throw_statement] = STATE(1149),
    [sym_try_statement] = STATE(1149),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(178),
    [sym_identifier] = ACTIONS(2301),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1893),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(1901),
    [anon_sym_switch] = ACTIONS(1903),
    [anon_sym_case] = ACTIONS(2303),
    [anon_sym_default] = ACTIONS(2305),
    [anon_sym_while] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1907),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1911),
    [anon_sym_break] = ACTIONS(1913),
    [anon_sym_continue] = ACTIONS(1915),
    [anon_sym_goto] = ACTIONS(1917),
    [anon_sym___try] = ACTIONS(1919),
    [anon_sym___leave] = ACTIONS(1921),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1923),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1925),
    [anon_sym_co_return] = ACTIONS(1927),
    [anon_sym_co_yield] = ACTIONS(1929),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [162] = {
    [sym_attribute_declaration] = STATE(195),
    [sym_compound_statement] = STATE(580),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(580),
    [sym_labeled_statement] = STATE(580),
    [sym_expression_statement] = STATE(580),
    [sym_if_statement] = STATE(580),
    [sym_switch_statement] = STATE(580),
    [sym_case_statement] = STATE(580),
    [sym_while_statement] = STATE(580),
    [sym_do_statement] = STATE(580),
    [sym_for_statement] = STATE(580),
    [sym_return_statement] = STATE(580),
    [sym_break_statement] = STATE(580),
    [sym_continue_statement] = STATE(580),
    [sym_goto_statement] = STATE(580),
    [sym_seh_try_statement] = STATE(580),
    [sym_seh_leave_statement] = STATE(580),
    [sym__expression] = STATE(5244),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9119),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(580),
    [sym_co_return_statement] = STATE(580),
    [sym_co_yield_statement] = STATE(580),
    [sym_throw_statement] = STATE(580),
    [sym_try_statement] = STATE(580),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [sym_identifier] = ACTIONS(2307),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1765),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1767),
    [anon_sym___leave] = ACTIONS(1769),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [163] = {
    [sym_attribute_declaration] = STATE(163),
    [sym_compound_statement] = STATE(823),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(823),
    [sym_labeled_statement] = STATE(823),
    [sym_expression_statement] = STATE(823),
    [sym_if_statement] = STATE(823),
    [sym_switch_statement] = STATE(823),
    [sym_case_statement] = STATE(823),
    [sym_while_statement] = STATE(823),
    [sym_do_statement] = STATE(823),
    [sym_for_statement] = STATE(823),
    [sym_return_statement] = STATE(823),
    [sym_break_statement] = STATE(823),
    [sym_continue_statement] = STATE(823),
    [sym_goto_statement] = STATE(823),
    [sym_seh_try_statement] = STATE(823),
    [sym_seh_leave_statement] = STATE(823),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(823),
    [sym_co_return_statement] = STATE(823),
    [sym_co_yield_statement] = STATE(823),
    [sym_throw_statement] = STATE(823),
    [sym_try_statement] = STATE(823),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [sym_identifier] = ACTIONS(2309),
    [anon_sym_LPAREN2] = ACTIONS(2312),
    [anon_sym_BANG] = ACTIONS(2315),
    [anon_sym_TILDE] = ACTIONS(2315),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2321),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_SEMI] = ACTIONS(2324),
    [anon_sym_COLON_COLON] = ACTIONS(2327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2336),
    [aux_sym_primitive_type_token1] = ACTIONS(2339),
    [anon_sym_byte] = ACTIONS(2339),
    [anon_sym_word] = ACTIONS(2339),
    [anon_sym_if] = ACTIONS(2342),
    [anon_sym_switch] = ACTIONS(2345),
    [anon_sym_case] = ACTIONS(2348),
    [anon_sym_default] = ACTIONS(2351),
    [anon_sym_while] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2357),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_return] = ACTIONS(2363),
    [anon_sym_break] = ACTIONS(2366),
    [anon_sym_continue] = ACTIONS(2369),
    [anon_sym_goto] = ACTIONS(2372),
    [anon_sym___try] = ACTIONS(2375),
    [anon_sym___leave] = ACTIONS(2378),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_compl] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2381),
    [anon_sym_PLUS_PLUS] = ACTIONS(2381),
    [anon_sym_sizeof] = ACTIONS(2384),
    [anon_sym___alignof__] = ACTIONS(2387),
    [anon_sym___alignof] = ACTIONS(2387),
    [anon_sym__alignof] = ACTIONS(2387),
    [anon_sym_alignof] = ACTIONS(2387),
    [anon_sym__Alignof] = ACTIONS(2387),
    [anon_sym_offsetof] = ACTIONS(2390),
    [anon_sym__Generic] = ACTIONS(2393),
    [anon_sym_asm] = ACTIONS(2396),
    [anon_sym___asm__] = ACTIONS(2396),
    [aux_sym_number_literal_token1] = ACTIONS(2399),
    [aux_sym_number_literal_token2] = ACTIONS(2402),
    [anon_sym_L_SQUOTE] = ACTIONS(2405),
    [anon_sym_u_SQUOTE] = ACTIONS(2405),
    [anon_sym_U_SQUOTE] = ACTIONS(2405),
    [anon_sym_u8_SQUOTE] = ACTIONS(2405),
    [anon_sym_SQUOTE] = ACTIONS(2405),
    [anon_sym_L_DQUOTE] = ACTIONS(2408),
    [anon_sym_u_DQUOTE] = ACTIONS(2408),
    [anon_sym_U_DQUOTE] = ACTIONS(2408),
    [anon_sym_u8_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [sym_true] = ACTIONS(2411),
    [sym_false] = ACTIONS(2411),
    [anon_sym_NULL] = ACTIONS(2414),
    [anon_sym_nullptr] = ACTIONS(2414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2417),
    [anon_sym_template] = ACTIONS(2420),
    [anon_sym_try] = ACTIONS(2423),
    [anon_sym_delete] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2429),
    [anon_sym_co_return] = ACTIONS(2432),
    [anon_sym_co_yield] = ACTIONS(2435),
    [anon_sym_R_DQUOTE] = ACTIONS(2438),
    [anon_sym_LR_DQUOTE] = ACTIONS(2438),
    [anon_sym_uR_DQUOTE] = ACTIONS(2438),
    [anon_sym_UR_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2438),
    [anon_sym_co_await] = ACTIONS(2441),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2447),
    [sym_this] = ACTIONS(2411),
  },
  [164] = {
    [sym_attribute_declaration] = STATE(205),
    [sym_compound_statement] = STATE(8156),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(8156),
    [sym_labeled_statement] = STATE(8156),
    [sym_expression_statement] = STATE(8156),
    [sym_if_statement] = STATE(8156),
    [sym_switch_statement] = STATE(8156),
    [sym_case_statement] = STATE(8156),
    [sym_while_statement] = STATE(8156),
    [sym_do_statement] = STATE(8156),
    [sym_for_statement] = STATE(8156),
    [sym_return_statement] = STATE(8156),
    [sym_break_statement] = STATE(8156),
    [sym_continue_statement] = STATE(8156),
    [sym_goto_statement] = STATE(8156),
    [sym_seh_try_statement] = STATE(8156),
    [sym_seh_leave_statement] = STATE(8156),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(8156),
    [sym_co_return_statement] = STATE(8156),
    [sym_co_yield_statement] = STATE(8156),
    [sym_throw_statement] = STATE(8156),
    [sym_try_statement] = STATE(8156),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2303),
    [anon_sym_default] = ACTIONS(2305),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2458),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [165] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(641),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(641),
    [sym_labeled_statement] = STATE(641),
    [sym_expression_statement] = STATE(641),
    [sym_if_statement] = STATE(641),
    [sym_switch_statement] = STATE(641),
    [sym_case_statement] = STATE(641),
    [sym_while_statement] = STATE(641),
    [sym_do_statement] = STATE(641),
    [sym_for_statement] = STATE(641),
    [sym_return_statement] = STATE(641),
    [sym_break_statement] = STATE(641),
    [sym_continue_statement] = STATE(641),
    [sym_goto_statement] = STATE(641),
    [sym_seh_try_statement] = STATE(641),
    [sym_seh_leave_statement] = STATE(641),
    [sym__expression] = STATE(5202),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9192),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(641),
    [sym_co_return_statement] = STATE(641),
    [sym_co_yield_statement] = STATE(641),
    [sym_throw_statement] = STATE(641),
    [sym_try_statement] = STATE(641),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(929),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(937),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_switch] = ACTIONS(943),
    [anon_sym_case] = ACTIONS(945),
    [anon_sym_default] = ACTIONS(947),
    [anon_sym_while] = ACTIONS(949),
    [anon_sym_do] = ACTIONS(951),
    [anon_sym_for] = ACTIONS(953),
    [anon_sym_return] = ACTIONS(955),
    [anon_sym_break] = ACTIONS(957),
    [anon_sym_continue] = ACTIONS(959),
    [anon_sym_goto] = ACTIONS(961),
    [anon_sym___try] = ACTIONS(963),
    [anon_sym___leave] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(969),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(971),
    [anon_sym_co_return] = ACTIONS(981),
    [anon_sym_co_yield] = ACTIONS(983),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [166] = {
    [sym_attribute_declaration] = STATE(161),
    [sym_compound_statement] = STATE(1213),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(1208),
    [sym_labeled_statement] = STATE(1216),
    [sym_expression_statement] = STATE(1215),
    [sym_if_statement] = STATE(1212),
    [sym_switch_statement] = STATE(1211),
    [sym_case_statement] = STATE(1210),
    [sym_while_statement] = STATE(1209),
    [sym_do_statement] = STATE(1206),
    [sym_for_statement] = STATE(1203),
    [sym_return_statement] = STATE(1202),
    [sym_break_statement] = STATE(1201),
    [sym_continue_statement] = STATE(1200),
    [sym_goto_statement] = STATE(1199),
    [sym_seh_try_statement] = STATE(1198),
    [sym_seh_leave_statement] = STATE(1197),
    [sym__expression] = STATE(5216),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9492),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(1196),
    [sym_co_return_statement] = STATE(1193),
    [sym_co_yield_statement] = STATE(1192),
    [sym_throw_statement] = STATE(1191),
    [sym_try_statement] = STATE(1190),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(2301),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1893),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(1901),
    [anon_sym_switch] = ACTIONS(1903),
    [anon_sym_case] = ACTIONS(2303),
    [anon_sym_default] = ACTIONS(2305),
    [anon_sym_while] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1907),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1911),
    [anon_sym_break] = ACTIONS(1913),
    [anon_sym_continue] = ACTIONS(1915),
    [anon_sym_goto] = ACTIONS(1917),
    [anon_sym___try] = ACTIONS(1919),
    [anon_sym___leave] = ACTIONS(1921),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1923),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1925),
    [anon_sym_co_return] = ACTIONS(1927),
    [anon_sym_co_yield] = ACTIONS(1929),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [167] = {
    [sym_attribute_declaration] = STATE(161),
    [sym_compound_statement] = STATE(1166),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(1167),
    [sym_labeled_statement] = STATE(1168),
    [sym_expression_statement] = STATE(1169),
    [sym_if_statement] = STATE(1170),
    [sym_switch_statement] = STATE(1172),
    [sym_case_statement] = STATE(1173),
    [sym_while_statement] = STATE(1174),
    [sym_do_statement] = STATE(1175),
    [sym_for_statement] = STATE(1176),
    [sym_return_statement] = STATE(1177),
    [sym_break_statement] = STATE(1178),
    [sym_continue_statement] = STATE(1179),
    [sym_goto_statement] = STATE(1180),
    [sym_seh_try_statement] = STATE(1181),
    [sym_seh_leave_statement] = STATE(1185),
    [sym__expression] = STATE(5216),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9492),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(1186),
    [sym_co_return_statement] = STATE(1194),
    [sym_co_yield_statement] = STATE(1195),
    [sym_throw_statement] = STATE(1214),
    [sym_try_statement] = STATE(1140),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(2301),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1893),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(1901),
    [anon_sym_switch] = ACTIONS(1903),
    [anon_sym_case] = ACTIONS(2303),
    [anon_sym_default] = ACTIONS(2305),
    [anon_sym_while] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1907),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1911),
    [anon_sym_break] = ACTIONS(1913),
    [anon_sym_continue] = ACTIONS(1915),
    [anon_sym_goto] = ACTIONS(1917),
    [anon_sym___try] = ACTIONS(1919),
    [anon_sym___leave] = ACTIONS(1921),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1923),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1925),
    [anon_sym_co_return] = ACTIONS(1927),
    [anon_sym_co_yield] = ACTIONS(1929),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [168] = {
    [sym_attribute_declaration] = STATE(161),
    [sym_compound_statement] = STATE(1164),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(1164),
    [sym_labeled_statement] = STATE(1164),
    [sym_expression_statement] = STATE(1164),
    [sym_if_statement] = STATE(1164),
    [sym_switch_statement] = STATE(1164),
    [sym_case_statement] = STATE(1164),
    [sym_while_statement] = STATE(1164),
    [sym_do_statement] = STATE(1164),
    [sym_for_statement] = STATE(1164),
    [sym_return_statement] = STATE(1164),
    [sym_break_statement] = STATE(1164),
    [sym_continue_statement] = STATE(1164),
    [sym_goto_statement] = STATE(1164),
    [sym_seh_try_statement] = STATE(1164),
    [sym_seh_leave_statement] = STATE(1164),
    [sym__expression] = STATE(5216),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9492),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(1164),
    [sym_co_return_statement] = STATE(1164),
    [sym_co_yield_statement] = STATE(1164),
    [sym_throw_statement] = STATE(1164),
    [sym_try_statement] = STATE(1164),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(2301),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1893),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(1901),
    [anon_sym_switch] = ACTIONS(1903),
    [anon_sym_case] = ACTIONS(2303),
    [anon_sym_default] = ACTIONS(2305),
    [anon_sym_while] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1907),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1911),
    [anon_sym_break] = ACTIONS(1913),
    [anon_sym_continue] = ACTIONS(1915),
    [anon_sym_goto] = ACTIONS(1917),
    [anon_sym___try] = ACTIONS(1919),
    [anon_sym___leave] = ACTIONS(1921),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1923),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1925),
    [anon_sym_co_return] = ACTIONS(1927),
    [anon_sym_co_yield] = ACTIONS(1929),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [169] = {
    [sym_attribute_declaration] = STATE(205),
    [sym_compound_statement] = STATE(9297),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(9297),
    [sym_labeled_statement] = STATE(9297),
    [sym_expression_statement] = STATE(9297),
    [sym_if_statement] = STATE(9297),
    [sym_switch_statement] = STATE(9297),
    [sym_case_statement] = STATE(9297),
    [sym_while_statement] = STATE(9297),
    [sym_do_statement] = STATE(9297),
    [sym_for_statement] = STATE(9297),
    [sym_return_statement] = STATE(9297),
    [sym_break_statement] = STATE(9297),
    [sym_continue_statement] = STATE(9297),
    [sym_goto_statement] = STATE(9297),
    [sym_seh_try_statement] = STATE(9297),
    [sym_seh_leave_statement] = STATE(9297),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(9297),
    [sym_co_return_statement] = STATE(9297),
    [sym_co_yield_statement] = STATE(9297),
    [sym_throw_statement] = STATE(9297),
    [sym_try_statement] = STATE(9297),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2303),
    [anon_sym_default] = ACTIONS(2305),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2458),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [170] = {
    [sym_attribute_declaration] = STATE(161),
    [sym_compound_statement] = STATE(1135),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(1135),
    [sym_labeled_statement] = STATE(1135),
    [sym_expression_statement] = STATE(1135),
    [sym_if_statement] = STATE(1135),
    [sym_switch_statement] = STATE(1135),
    [sym_case_statement] = STATE(1135),
    [sym_while_statement] = STATE(1135),
    [sym_do_statement] = STATE(1135),
    [sym_for_statement] = STATE(1135),
    [sym_return_statement] = STATE(1135),
    [sym_break_statement] = STATE(1135),
    [sym_continue_statement] = STATE(1135),
    [sym_goto_statement] = STATE(1135),
    [sym_seh_try_statement] = STATE(1135),
    [sym_seh_leave_statement] = STATE(1135),
    [sym__expression] = STATE(5216),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9492),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(1135),
    [sym_co_return_statement] = STATE(1135),
    [sym_co_yield_statement] = STATE(1135),
    [sym_throw_statement] = STATE(1135),
    [sym_try_statement] = STATE(1135),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(2301),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1893),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(1901),
    [anon_sym_switch] = ACTIONS(1903),
    [anon_sym_case] = ACTIONS(2303),
    [anon_sym_default] = ACTIONS(2305),
    [anon_sym_while] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1907),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1911),
    [anon_sym_break] = ACTIONS(1913),
    [anon_sym_continue] = ACTIONS(1915),
    [anon_sym_goto] = ACTIONS(1917),
    [anon_sym___try] = ACTIONS(1919),
    [anon_sym___leave] = ACTIONS(1921),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1923),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1925),
    [anon_sym_co_return] = ACTIONS(1927),
    [anon_sym_co_yield] = ACTIONS(1929),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [171] = {
    [sym_attribute_declaration] = STATE(205),
    [sym_compound_statement] = STATE(9277),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(9277),
    [sym_labeled_statement] = STATE(9277),
    [sym_expression_statement] = STATE(9277),
    [sym_if_statement] = STATE(9277),
    [sym_switch_statement] = STATE(9277),
    [sym_case_statement] = STATE(9277),
    [sym_while_statement] = STATE(9277),
    [sym_do_statement] = STATE(9277),
    [sym_for_statement] = STATE(9277),
    [sym_return_statement] = STATE(9277),
    [sym_break_statement] = STATE(9277),
    [sym_continue_statement] = STATE(9277),
    [sym_goto_statement] = STATE(9277),
    [sym_seh_try_statement] = STATE(9277),
    [sym_seh_leave_statement] = STATE(9277),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(9277),
    [sym_co_return_statement] = STATE(9277),
    [sym_co_yield_statement] = STATE(9277),
    [sym_throw_statement] = STATE(9277),
    [sym_try_statement] = STATE(9277),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2303),
    [anon_sym_default] = ACTIONS(2305),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2458),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [172] = {
    [sym_attribute_declaration] = STATE(205),
    [sym_compound_statement] = STATE(9255),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(9255),
    [sym_labeled_statement] = STATE(9255),
    [sym_expression_statement] = STATE(9255),
    [sym_if_statement] = STATE(9255),
    [sym_switch_statement] = STATE(9255),
    [sym_case_statement] = STATE(9255),
    [sym_while_statement] = STATE(9255),
    [sym_do_statement] = STATE(9255),
    [sym_for_statement] = STATE(9255),
    [sym_return_statement] = STATE(9255),
    [sym_break_statement] = STATE(9255),
    [sym_continue_statement] = STATE(9255),
    [sym_goto_statement] = STATE(9255),
    [sym_seh_try_statement] = STATE(9255),
    [sym_seh_leave_statement] = STATE(9255),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(9255),
    [sym_co_return_statement] = STATE(9255),
    [sym_co_yield_statement] = STATE(9255),
    [sym_throw_statement] = STATE(9255),
    [sym_try_statement] = STATE(9255),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2303),
    [anon_sym_default] = ACTIONS(2305),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2458),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [173] = {
    [sym_attribute_declaration] = STATE(188),
    [sym_compound_statement] = STATE(531),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(524),
    [sym_labeled_statement] = STATE(522),
    [sym_expression_statement] = STATE(521),
    [sym_if_statement] = STATE(520),
    [sym_switch_statement] = STATE(518),
    [sym_case_statement] = STATE(515),
    [sym_while_statement] = STATE(514),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(511),
    [sym_return_statement] = STATE(510),
    [sym_break_statement] = STATE(508),
    [sym_continue_statement] = STATE(485),
    [sym_goto_statement] = STATE(504),
    [sym_seh_try_statement] = STATE(498),
    [sym_seh_leave_statement] = STATE(495),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(492),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(466),
    [sym_throw_statement] = STATE(467),
    [sym_try_statement] = STATE(471),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(373),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_switch] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(389),
    [anon_sym_default] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(401),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_goto] = ACTIONS(405),
    [anon_sym___try] = ACTIONS(407),
    [anon_sym___leave] = ACTIONS(409),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_co_return] = ACTIONS(425),
    [anon_sym_co_yield] = ACTIONS(427),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [174] = {
    [sym_attribute_declaration] = STATE(174),
    [sym_compound_statement] = STATE(276),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(276),
    [sym_labeled_statement] = STATE(276),
    [sym_expression_statement] = STATE(276),
    [sym_if_statement] = STATE(276),
    [sym_switch_statement] = STATE(276),
    [sym_case_statement] = STATE(276),
    [sym_while_statement] = STATE(276),
    [sym_do_statement] = STATE(276),
    [sym_for_statement] = STATE(276),
    [sym_return_statement] = STATE(276),
    [sym_break_statement] = STATE(276),
    [sym_continue_statement] = STATE(276),
    [sym_goto_statement] = STATE(276),
    [sym_seh_try_statement] = STATE(276),
    [sym_seh_leave_statement] = STATE(276),
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8707),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(276),
    [sym_co_return_statement] = STATE(276),
    [sym_co_yield_statement] = STATE(276),
    [sym_throw_statement] = STATE(276),
    [sym_try_statement] = STATE(276),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(174),
    [sym_identifier] = ACTIONS(2462),
    [anon_sym_LPAREN2] = ACTIONS(2312),
    [anon_sym_BANG] = ACTIONS(2315),
    [anon_sym_TILDE] = ACTIONS(2315),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2321),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_SEMI] = ACTIONS(2465),
    [anon_sym_COLON_COLON] = ACTIONS(2327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2336),
    [aux_sym_primitive_type_token1] = ACTIONS(2339),
    [anon_sym_byte] = ACTIONS(2339),
    [anon_sym_word] = ACTIONS(2339),
    [anon_sym_if] = ACTIONS(2471),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2477),
    [anon_sym_default] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(2483),
    [anon_sym_do] = ACTIONS(2486),
    [anon_sym_for] = ACTIONS(2489),
    [anon_sym_return] = ACTIONS(2492),
    [anon_sym_break] = ACTIONS(2495),
    [anon_sym_continue] = ACTIONS(2498),
    [anon_sym_goto] = ACTIONS(2501),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2507),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_compl] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2381),
    [anon_sym_PLUS_PLUS] = ACTIONS(2381),
    [anon_sym_sizeof] = ACTIONS(2384),
    [anon_sym___alignof__] = ACTIONS(2387),
    [anon_sym___alignof] = ACTIONS(2387),
    [anon_sym__alignof] = ACTIONS(2387),
    [anon_sym_alignof] = ACTIONS(2387),
    [anon_sym__Alignof] = ACTIONS(2387),
    [anon_sym_offsetof] = ACTIONS(2390),
    [anon_sym__Generic] = ACTIONS(2393),
    [anon_sym_asm] = ACTIONS(2396),
    [anon_sym___asm__] = ACTIONS(2396),
    [aux_sym_number_literal_token1] = ACTIONS(2399),
    [aux_sym_number_literal_token2] = ACTIONS(2402),
    [anon_sym_L_SQUOTE] = ACTIONS(2405),
    [anon_sym_u_SQUOTE] = ACTIONS(2405),
    [anon_sym_U_SQUOTE] = ACTIONS(2405),
    [anon_sym_u8_SQUOTE] = ACTIONS(2405),
    [anon_sym_SQUOTE] = ACTIONS(2405),
    [anon_sym_L_DQUOTE] = ACTIONS(2408),
    [anon_sym_u_DQUOTE] = ACTIONS(2408),
    [anon_sym_U_DQUOTE] = ACTIONS(2408),
    [anon_sym_u8_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [sym_true] = ACTIONS(2411),
    [sym_false] = ACTIONS(2411),
    [anon_sym_NULL] = ACTIONS(2414),
    [anon_sym_nullptr] = ACTIONS(2414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2417),
    [anon_sym_template] = ACTIONS(2420),
    [anon_sym_try] = ACTIONS(2510),
    [anon_sym_delete] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2513),
    [anon_sym_co_return] = ACTIONS(2516),
    [anon_sym_co_yield] = ACTIONS(2519),
    [anon_sym_R_DQUOTE] = ACTIONS(2438),
    [anon_sym_LR_DQUOTE] = ACTIONS(2438),
    [anon_sym_uR_DQUOTE] = ACTIONS(2438),
    [anon_sym_UR_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2438),
    [anon_sym_co_await] = ACTIONS(2441),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2447),
    [sym_this] = ACTIONS(2411),
  },
  [175] = {
    [sym_attribute_declaration] = STATE(205),
    [sym_compound_statement] = STATE(9231),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(9231),
    [sym_labeled_statement] = STATE(9231),
    [sym_expression_statement] = STATE(9231),
    [sym_if_statement] = STATE(9231),
    [sym_switch_statement] = STATE(9231),
    [sym_case_statement] = STATE(9231),
    [sym_while_statement] = STATE(9231),
    [sym_do_statement] = STATE(9231),
    [sym_for_statement] = STATE(9231),
    [sym_return_statement] = STATE(9231),
    [sym_break_statement] = STATE(9231),
    [sym_continue_statement] = STATE(9231),
    [sym_goto_statement] = STATE(9231),
    [sym_seh_try_statement] = STATE(9231),
    [sym_seh_leave_statement] = STATE(9231),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(9231),
    [sym_co_return_statement] = STATE(9231),
    [sym_co_yield_statement] = STATE(9231),
    [sym_throw_statement] = STATE(9231),
    [sym_try_statement] = STATE(9231),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2303),
    [anon_sym_default] = ACTIONS(2305),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2458),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [176] = {
    [sym_primitive_type] = STATE(7598),
    [sym__expression] = STATE(3880),
    [sym__expression_not_binary] = STATE(4253),
    [sym__string] = STATE(4253),
    [sym_conditional_expression] = STATE(4253),
    [sym_assignment_expression] = STATE(4253),
    [sym_pointer_expression] = STATE(4253),
    [sym_unary_expression] = STATE(4253),
    [sym_binary_expression] = STATE(4253),
    [sym_update_expression] = STATE(4253),
    [sym_cast_expression] = STATE(4253),
    [sym_sizeof_expression] = STATE(4253),
    [sym_alignof_expression] = STATE(4253),
    [sym_offsetof_expression] = STATE(4253),
    [sym_generic_expression] = STATE(4253),
    [sym_subscript_expression] = STATE(4253),
    [sym_call_expression] = STATE(4253),
    [sym_gnu_asm_expression] = STATE(4253),
    [sym_field_expression] = STATE(4253),
    [sym_compound_literal_expression] = STATE(4253),
    [sym_parenthesized_expression] = STATE(4253),
    [sym_initializer_list] = STATE(4231),
    [sym_number_literal] = STATE(4051),
    [sym_char_literal] = STATE(4051),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2771),
    [sym_null] = STATE(4253),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8475),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4253),
    [sym_raw_string_literal] = STATE(2791),
    [sym_co_await_expression] = STATE(4253),
    [sym_new_expression] = STATE(4253),
    [sym_delete_expression] = STATE(4253),
    [sym_requires_clause] = STATE(4253),
    [sym_requires_expression] = STATE(4253),
    [sym_lambda_expression] = STATE(4253),
    [sym_lambda_capture_specifier] = STATE(6572),
    [sym_fold_expression] = STATE(4253),
    [sym_parameter_pack_expansion] = STATE(4253),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4253),
    [sym_qualified_type_identifier] = STATE(8475),
    [sym_user_defined_literal] = STATE(4253),
    [sym_identifier] = ACTIONS(2522),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2149),
    [anon_sym_COMMA] = ACTIONS(2149),
    [anon_sym_LPAREN2] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2147),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_PIPE] = ACTIONS(2147),
    [anon_sym_CARET] = ACTIONS(2147),
    [anon_sym_AMP] = ACTIONS(2147),
    [anon_sym_EQ_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ] = ACTIONS(2149),
    [anon_sym_GT] = ACTIONS(2147),
    [anon_sym_GT_EQ] = ACTIONS(2147),
    [anon_sym_LT_EQ] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_LT_LT] = ACTIONS(2147),
    [anon_sym_GT_GT] = ACTIONS(2147),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2530),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [anon_sym_EQ] = ACTIONS(2147),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(2149),
    [anon_sym_STAR_EQ] = ACTIONS(2149),
    [anon_sym_SLASH_EQ] = ACTIONS(2149),
    [anon_sym_PERCENT_EQ] = ACTIONS(2149),
    [anon_sym_PLUS_EQ] = ACTIONS(2149),
    [anon_sym_DASH_EQ] = ACTIONS(2149),
    [anon_sym_LT_LT_EQ] = ACTIONS(2149),
    [anon_sym_GT_GT_EQ] = ACTIONS(2147),
    [anon_sym_AMP_EQ] = ACTIONS(2149),
    [anon_sym_CARET_EQ] = ACTIONS(2149),
    [anon_sym_PIPE_EQ] = ACTIONS(2149),
    [anon_sym_and_eq] = ACTIONS(2147),
    [anon_sym_or_eq] = ACTIONS(2147),
    [anon_sym_xor_eq] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_LT_EQ_GT] = ACTIONS(2149),
    [anon_sym_or] = ACTIONS(2147),
    [anon_sym_and] = ACTIONS(2147),
    [anon_sym_bitor] = ACTIONS(2147),
    [anon_sym_xor] = ACTIONS(2147),
    [anon_sym_bitand] = ACTIONS(2147),
    [anon_sym_not_eq] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2147),
    [anon_sym_DOT_STAR] = ACTIONS(2149),
    [anon_sym_DASH_GT] = ACTIONS(2149),
    [aux_sym_number_literal_token1] = ACTIONS(2542),
    [aux_sym_number_literal_token2] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_GT2] = ACTIONS(2149),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2550),
  },
  [177] = {
    [sym_attribute_declaration] = STATE(160),
    [sym_compound_statement] = STATE(353),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(353),
    [sym_labeled_statement] = STATE(353),
    [sym_expression_statement] = STATE(353),
    [sym_if_statement] = STATE(353),
    [sym_switch_statement] = STATE(353),
    [sym_case_statement] = STATE(353),
    [sym_while_statement] = STATE(353),
    [sym_do_statement] = STATE(353),
    [sym_for_statement] = STATE(353),
    [sym_return_statement] = STATE(353),
    [sym_break_statement] = STATE(353),
    [sym_continue_statement] = STATE(353),
    [sym_goto_statement] = STATE(353),
    [sym_seh_try_statement] = STATE(353),
    [sym_seh_leave_statement] = STATE(353),
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8707),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(353),
    [sym_co_return_statement] = STATE(353),
    [sym_co_yield_statement] = STATE(353),
    [sym_throw_statement] = STATE(353),
    [sym_try_statement] = STATE(353),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(2299),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [178] = {
    [sym_attribute_declaration] = STATE(178),
    [sym_compound_statement] = STATE(1149),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(1149),
    [sym_labeled_statement] = STATE(1149),
    [sym_expression_statement] = STATE(1149),
    [sym_if_statement] = STATE(1149),
    [sym_switch_statement] = STATE(1149),
    [sym_case_statement] = STATE(1149),
    [sym_while_statement] = STATE(1149),
    [sym_do_statement] = STATE(1149),
    [sym_for_statement] = STATE(1149),
    [sym_return_statement] = STATE(1149),
    [sym_break_statement] = STATE(1149),
    [sym_continue_statement] = STATE(1149),
    [sym_goto_statement] = STATE(1149),
    [sym_seh_try_statement] = STATE(1149),
    [sym_seh_leave_statement] = STATE(1149),
    [sym__expression] = STATE(5216),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9492),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(1149),
    [sym_co_return_statement] = STATE(1149),
    [sym_co_yield_statement] = STATE(1149),
    [sym_throw_statement] = STATE(1149),
    [sym_try_statement] = STATE(1149),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(178),
    [sym_identifier] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2312),
    [anon_sym_BANG] = ACTIONS(2315),
    [anon_sym_TILDE] = ACTIONS(2315),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2321),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_COLON_COLON] = ACTIONS(2327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_LBRACK] = ACTIONS(2336),
    [aux_sym_primitive_type_token1] = ACTIONS(2339),
    [anon_sym_byte] = ACTIONS(2339),
    [anon_sym_word] = ACTIONS(2339),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2348),
    [anon_sym_default] = ACTIONS(2351),
    [anon_sym_while] = ACTIONS(2579),
    [anon_sym_do] = ACTIONS(2582),
    [anon_sym_for] = ACTIONS(2585),
    [anon_sym_return] = ACTIONS(2588),
    [anon_sym_break] = ACTIONS(2591),
    [anon_sym_continue] = ACTIONS(2594),
    [anon_sym_goto] = ACTIONS(2597),
    [anon_sym___try] = ACTIONS(2600),
    [anon_sym___leave] = ACTIONS(2603),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_compl] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2381),
    [anon_sym_PLUS_PLUS] = ACTIONS(2381),
    [anon_sym_sizeof] = ACTIONS(2384),
    [anon_sym___alignof__] = ACTIONS(2387),
    [anon_sym___alignof] = ACTIONS(2387),
    [anon_sym__alignof] = ACTIONS(2387),
    [anon_sym_alignof] = ACTIONS(2387),
    [anon_sym__Alignof] = ACTIONS(2387),
    [anon_sym_offsetof] = ACTIONS(2390),
    [anon_sym__Generic] = ACTIONS(2393),
    [anon_sym_asm] = ACTIONS(2396),
    [anon_sym___asm__] = ACTIONS(2396),
    [aux_sym_number_literal_token1] = ACTIONS(2399),
    [aux_sym_number_literal_token2] = ACTIONS(2402),
    [anon_sym_L_SQUOTE] = ACTIONS(2405),
    [anon_sym_u_SQUOTE] = ACTIONS(2405),
    [anon_sym_U_SQUOTE] = ACTIONS(2405),
    [anon_sym_u8_SQUOTE] = ACTIONS(2405),
    [anon_sym_SQUOTE] = ACTIONS(2405),
    [anon_sym_L_DQUOTE] = ACTIONS(2408),
    [anon_sym_u_DQUOTE] = ACTIONS(2408),
    [anon_sym_U_DQUOTE] = ACTIONS(2408),
    [anon_sym_u8_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [sym_true] = ACTIONS(2411),
    [sym_false] = ACTIONS(2411),
    [anon_sym_NULL] = ACTIONS(2414),
    [anon_sym_nullptr] = ACTIONS(2414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2417),
    [anon_sym_template] = ACTIONS(2420),
    [anon_sym_try] = ACTIONS(2606),
    [anon_sym_delete] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2609),
    [anon_sym_co_return] = ACTIONS(2612),
    [anon_sym_co_yield] = ACTIONS(2615),
    [anon_sym_R_DQUOTE] = ACTIONS(2438),
    [anon_sym_LR_DQUOTE] = ACTIONS(2438),
    [anon_sym_uR_DQUOTE] = ACTIONS(2438),
    [anon_sym_UR_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2438),
    [anon_sym_co_await] = ACTIONS(2441),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2447),
    [sym_this] = ACTIONS(2411),
  },
  [179] = {
    [sym_attribute_declaration] = STATE(161),
    [sym_compound_statement] = STATE(1155),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(1155),
    [sym_labeled_statement] = STATE(1155),
    [sym_expression_statement] = STATE(1155),
    [sym_if_statement] = STATE(1155),
    [sym_switch_statement] = STATE(1155),
    [sym_case_statement] = STATE(1155),
    [sym_while_statement] = STATE(1155),
    [sym_do_statement] = STATE(1155),
    [sym_for_statement] = STATE(1155),
    [sym_return_statement] = STATE(1155),
    [sym_break_statement] = STATE(1155),
    [sym_continue_statement] = STATE(1155),
    [sym_goto_statement] = STATE(1155),
    [sym_seh_try_statement] = STATE(1155),
    [sym_seh_leave_statement] = STATE(1155),
    [sym__expression] = STATE(5216),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9492),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(1155),
    [sym_co_return_statement] = STATE(1155),
    [sym_co_yield_statement] = STATE(1155),
    [sym_throw_statement] = STATE(1155),
    [sym_try_statement] = STATE(1155),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(2301),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1893),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(1901),
    [anon_sym_switch] = ACTIONS(1903),
    [anon_sym_case] = ACTIONS(2303),
    [anon_sym_default] = ACTIONS(2305),
    [anon_sym_while] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1907),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1911),
    [anon_sym_break] = ACTIONS(1913),
    [anon_sym_continue] = ACTIONS(1915),
    [anon_sym_goto] = ACTIONS(1917),
    [anon_sym___try] = ACTIONS(1919),
    [anon_sym___leave] = ACTIONS(1921),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1923),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1925),
    [anon_sym_co_return] = ACTIONS(1927),
    [anon_sym_co_yield] = ACTIONS(1929),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [180] = {
    [sym_attribute_declaration] = STATE(180),
    [sym_compound_statement] = STATE(468),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(468),
    [sym_labeled_statement] = STATE(468),
    [sym_expression_statement] = STATE(468),
    [sym_if_statement] = STATE(468),
    [sym_switch_statement] = STATE(468),
    [sym_case_statement] = STATE(468),
    [sym_while_statement] = STATE(468),
    [sym_do_statement] = STATE(468),
    [sym_for_statement] = STATE(468),
    [sym_return_statement] = STATE(468),
    [sym_break_statement] = STATE(468),
    [sym_continue_statement] = STATE(468),
    [sym_goto_statement] = STATE(468),
    [sym_seh_try_statement] = STATE(468),
    [sym_seh_leave_statement] = STATE(468),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(468),
    [sym_co_return_statement] = STATE(468),
    [sym_co_yield_statement] = STATE(468),
    [sym_throw_statement] = STATE(468),
    [sym_try_statement] = STATE(468),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(180),
    [sym_identifier] = ACTIONS(2618),
    [anon_sym_LPAREN2] = ACTIONS(2312),
    [anon_sym_BANG] = ACTIONS(2315),
    [anon_sym_TILDE] = ACTIONS(2315),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2321),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_LBRACK] = ACTIONS(2336),
    [aux_sym_primitive_type_token1] = ACTIONS(2339),
    [anon_sym_byte] = ACTIONS(2339),
    [anon_sym_word] = ACTIONS(2339),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_switch] = ACTIONS(2630),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2636),
    [anon_sym_while] = ACTIONS(2639),
    [anon_sym_do] = ACTIONS(2642),
    [anon_sym_for] = ACTIONS(2645),
    [anon_sym_return] = ACTIONS(2648),
    [anon_sym_break] = ACTIONS(2651),
    [anon_sym_continue] = ACTIONS(2654),
    [anon_sym_goto] = ACTIONS(2657),
    [anon_sym___try] = ACTIONS(2660),
    [anon_sym___leave] = ACTIONS(2663),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_compl] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2381),
    [anon_sym_PLUS_PLUS] = ACTIONS(2381),
    [anon_sym_sizeof] = ACTIONS(2384),
    [anon_sym___alignof__] = ACTIONS(2387),
    [anon_sym___alignof] = ACTIONS(2387),
    [anon_sym__alignof] = ACTIONS(2387),
    [anon_sym_alignof] = ACTIONS(2387),
    [anon_sym__Alignof] = ACTIONS(2387),
    [anon_sym_offsetof] = ACTIONS(2390),
    [anon_sym__Generic] = ACTIONS(2393),
    [anon_sym_asm] = ACTIONS(2396),
    [anon_sym___asm__] = ACTIONS(2396),
    [aux_sym_number_literal_token1] = ACTIONS(2399),
    [aux_sym_number_literal_token2] = ACTIONS(2402),
    [anon_sym_L_SQUOTE] = ACTIONS(2405),
    [anon_sym_u_SQUOTE] = ACTIONS(2405),
    [anon_sym_U_SQUOTE] = ACTIONS(2405),
    [anon_sym_u8_SQUOTE] = ACTIONS(2405),
    [anon_sym_SQUOTE] = ACTIONS(2405),
    [anon_sym_L_DQUOTE] = ACTIONS(2408),
    [anon_sym_u_DQUOTE] = ACTIONS(2408),
    [anon_sym_U_DQUOTE] = ACTIONS(2408),
    [anon_sym_u8_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [sym_true] = ACTIONS(2411),
    [sym_false] = ACTIONS(2411),
    [anon_sym_NULL] = ACTIONS(2414),
    [anon_sym_nullptr] = ACTIONS(2414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2417),
    [anon_sym_template] = ACTIONS(2420),
    [anon_sym_try] = ACTIONS(2666),
    [anon_sym_delete] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2669),
    [anon_sym_co_return] = ACTIONS(2672),
    [anon_sym_co_yield] = ACTIONS(2675),
    [anon_sym_R_DQUOTE] = ACTIONS(2438),
    [anon_sym_LR_DQUOTE] = ACTIONS(2438),
    [anon_sym_uR_DQUOTE] = ACTIONS(2438),
    [anon_sym_UR_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2438),
    [anon_sym_co_await] = ACTIONS(2441),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2447),
    [sym_this] = ACTIONS(2411),
  },
  [181] = {
    [sym_attribute_declaration] = STATE(199),
    [sym_compound_statement] = STATE(719),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(719),
    [sym_labeled_statement] = STATE(719),
    [sym_expression_statement] = STATE(719),
    [sym_if_statement] = STATE(719),
    [sym_switch_statement] = STATE(719),
    [sym_case_statement] = STATE(719),
    [sym_while_statement] = STATE(719),
    [sym_do_statement] = STATE(719),
    [sym_for_statement] = STATE(719),
    [sym_return_statement] = STATE(719),
    [sym_break_statement] = STATE(719),
    [sym_continue_statement] = STATE(719),
    [sym_goto_statement] = STATE(719),
    [sym_seh_try_statement] = STATE(719),
    [sym_seh_leave_statement] = STATE(719),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(719),
    [sym_co_return_statement] = STATE(719),
    [sym_co_yield_statement] = STATE(719),
    [sym_throw_statement] = STATE(719),
    [sym_try_statement] = STATE(719),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(199),
    [sym_identifier] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [182] = {
    [sym_attribute_declaration] = STATE(188),
    [sym_compound_statement] = STATE(535),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(535),
    [sym_labeled_statement] = STATE(535),
    [sym_expression_statement] = STATE(535),
    [sym_if_statement] = STATE(535),
    [sym_switch_statement] = STATE(535),
    [sym_case_statement] = STATE(535),
    [sym_while_statement] = STATE(535),
    [sym_do_statement] = STATE(535),
    [sym_for_statement] = STATE(535),
    [sym_return_statement] = STATE(535),
    [sym_break_statement] = STATE(535),
    [sym_continue_statement] = STATE(535),
    [sym_goto_statement] = STATE(535),
    [sym_seh_try_statement] = STATE(535),
    [sym_seh_leave_statement] = STATE(535),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(535),
    [sym_co_return_statement] = STATE(535),
    [sym_co_yield_statement] = STATE(535),
    [sym_throw_statement] = STATE(535),
    [sym_try_statement] = STATE(535),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(373),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_switch] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(389),
    [anon_sym_default] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(401),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_goto] = ACTIONS(405),
    [anon_sym___try] = ACTIONS(407),
    [anon_sym___leave] = ACTIONS(409),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_co_return] = ACTIONS(425),
    [anon_sym_co_yield] = ACTIONS(427),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [183] = {
    [sym_attribute_declaration] = STATE(205),
    [sym_compound_statement] = STATE(688),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(688),
    [sym_labeled_statement] = STATE(688),
    [sym_expression_statement] = STATE(688),
    [sym_if_statement] = STATE(688),
    [sym_switch_statement] = STATE(688),
    [sym_case_statement] = STATE(688),
    [sym_while_statement] = STATE(688),
    [sym_do_statement] = STATE(688),
    [sym_for_statement] = STATE(688),
    [sym_return_statement] = STATE(688),
    [sym_break_statement] = STATE(688),
    [sym_continue_statement] = STATE(688),
    [sym_goto_statement] = STATE(688),
    [sym_seh_try_statement] = STATE(688),
    [sym_seh_leave_statement] = STATE(688),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(688),
    [sym_co_return_statement] = STATE(688),
    [sym_co_yield_statement] = STATE(688),
    [sym_throw_statement] = STATE(688),
    [sym_try_statement] = STATE(688),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2303),
    [anon_sym_default] = ACTIONS(2305),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2458),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [184] = {
    [sym_attribute_declaration] = STATE(161),
    [sym_compound_statement] = STATE(1152),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(1152),
    [sym_labeled_statement] = STATE(1152),
    [sym_expression_statement] = STATE(1152),
    [sym_if_statement] = STATE(1152),
    [sym_switch_statement] = STATE(1152),
    [sym_case_statement] = STATE(1152),
    [sym_while_statement] = STATE(1152),
    [sym_do_statement] = STATE(1152),
    [sym_for_statement] = STATE(1152),
    [sym_return_statement] = STATE(1152),
    [sym_break_statement] = STATE(1152),
    [sym_continue_statement] = STATE(1152),
    [sym_goto_statement] = STATE(1152),
    [sym_seh_try_statement] = STATE(1152),
    [sym_seh_leave_statement] = STATE(1152),
    [sym__expression] = STATE(5216),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9492),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(1152),
    [sym_co_return_statement] = STATE(1152),
    [sym_co_yield_statement] = STATE(1152),
    [sym_throw_statement] = STATE(1152),
    [sym_try_statement] = STATE(1152),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(2301),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1893),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(1901),
    [anon_sym_switch] = ACTIONS(1903),
    [anon_sym_case] = ACTIONS(2303),
    [anon_sym_default] = ACTIONS(2305),
    [anon_sym_while] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1907),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1911),
    [anon_sym_break] = ACTIONS(1913),
    [anon_sym_continue] = ACTIONS(1915),
    [anon_sym_goto] = ACTIONS(1917),
    [anon_sym___try] = ACTIONS(1919),
    [anon_sym___leave] = ACTIONS(1921),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1923),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1925),
    [anon_sym_co_return] = ACTIONS(1927),
    [anon_sym_co_yield] = ACTIONS(1929),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [185] = {
    [sym_attribute_declaration] = STATE(161),
    [sym_compound_statement] = STATE(1138),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(1138),
    [sym_labeled_statement] = STATE(1138),
    [sym_expression_statement] = STATE(1138),
    [sym_if_statement] = STATE(1138),
    [sym_switch_statement] = STATE(1138),
    [sym_case_statement] = STATE(1138),
    [sym_while_statement] = STATE(1138),
    [sym_do_statement] = STATE(1138),
    [sym_for_statement] = STATE(1138),
    [sym_return_statement] = STATE(1138),
    [sym_break_statement] = STATE(1138),
    [sym_continue_statement] = STATE(1138),
    [sym_goto_statement] = STATE(1138),
    [sym_seh_try_statement] = STATE(1138),
    [sym_seh_leave_statement] = STATE(1138),
    [sym__expression] = STATE(5216),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9492),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(1138),
    [sym_co_return_statement] = STATE(1138),
    [sym_co_yield_statement] = STATE(1138),
    [sym_throw_statement] = STATE(1138),
    [sym_try_statement] = STATE(1138),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(2301),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1893),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(1901),
    [anon_sym_switch] = ACTIONS(1903),
    [anon_sym_case] = ACTIONS(2303),
    [anon_sym_default] = ACTIONS(2305),
    [anon_sym_while] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1907),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1911),
    [anon_sym_break] = ACTIONS(1913),
    [anon_sym_continue] = ACTIONS(1915),
    [anon_sym_goto] = ACTIONS(1917),
    [anon_sym___try] = ACTIONS(1919),
    [anon_sym___leave] = ACTIONS(1921),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(1923),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1925),
    [anon_sym_co_return] = ACTIONS(1927),
    [anon_sym_co_yield] = ACTIONS(1929),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [186] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(574),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(574),
    [sym_labeled_statement] = STATE(574),
    [sym_expression_statement] = STATE(574),
    [sym_if_statement] = STATE(574),
    [sym_switch_statement] = STATE(574),
    [sym_case_statement] = STATE(574),
    [sym_while_statement] = STATE(574),
    [sym_do_statement] = STATE(574),
    [sym_for_statement] = STATE(574),
    [sym_return_statement] = STATE(574),
    [sym_break_statement] = STATE(574),
    [sym_continue_statement] = STATE(574),
    [sym_goto_statement] = STATE(574),
    [sym_seh_try_statement] = STATE(574),
    [sym_seh_leave_statement] = STATE(574),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(574),
    [sym_co_return_statement] = STATE(574),
    [sym_co_yield_statement] = STATE(574),
    [sym_throw_statement] = STATE(574),
    [sym_try_statement] = STATE(574),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [187] = {
    [sym_attribute_declaration] = STATE(188),
    [sym_compound_statement] = STATE(537),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(537),
    [sym_labeled_statement] = STATE(537),
    [sym_expression_statement] = STATE(537),
    [sym_if_statement] = STATE(537),
    [sym_switch_statement] = STATE(537),
    [sym_case_statement] = STATE(537),
    [sym_while_statement] = STATE(537),
    [sym_do_statement] = STATE(537),
    [sym_for_statement] = STATE(537),
    [sym_return_statement] = STATE(537),
    [sym_break_statement] = STATE(537),
    [sym_continue_statement] = STATE(537),
    [sym_goto_statement] = STATE(537),
    [sym_seh_try_statement] = STATE(537),
    [sym_seh_leave_statement] = STATE(537),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(537),
    [sym_co_return_statement] = STATE(537),
    [sym_co_yield_statement] = STATE(537),
    [sym_throw_statement] = STATE(537),
    [sym_try_statement] = STATE(537),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(373),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_switch] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(389),
    [anon_sym_default] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(401),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_goto] = ACTIONS(405),
    [anon_sym___try] = ACTIONS(407),
    [anon_sym___leave] = ACTIONS(409),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_co_return] = ACTIONS(425),
    [anon_sym_co_yield] = ACTIONS(427),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [188] = {
    [sym_attribute_declaration] = STATE(180),
    [sym_compound_statement] = STATE(468),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(468),
    [sym_labeled_statement] = STATE(468),
    [sym_expression_statement] = STATE(468),
    [sym_if_statement] = STATE(468),
    [sym_switch_statement] = STATE(468),
    [sym_case_statement] = STATE(468),
    [sym_while_statement] = STATE(468),
    [sym_do_statement] = STATE(468),
    [sym_for_statement] = STATE(468),
    [sym_return_statement] = STATE(468),
    [sym_break_statement] = STATE(468),
    [sym_continue_statement] = STATE(468),
    [sym_goto_statement] = STATE(468),
    [sym_seh_try_statement] = STATE(468),
    [sym_seh_leave_statement] = STATE(468),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(468),
    [sym_co_return_statement] = STATE(468),
    [sym_co_yield_statement] = STATE(468),
    [sym_throw_statement] = STATE(468),
    [sym_try_statement] = STATE(468),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(180),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(373),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_switch] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(389),
    [anon_sym_default] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(401),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_goto] = ACTIONS(405),
    [anon_sym___try] = ACTIONS(407),
    [anon_sym___leave] = ACTIONS(409),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_co_return] = ACTIONS(425),
    [anon_sym_co_yield] = ACTIONS(427),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [189] = {
    [sym_attribute_declaration] = STATE(205),
    [sym_compound_statement] = STATE(703),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(709),
    [sym_labeled_statement] = STATE(710),
    [sym_expression_statement] = STATE(712),
    [sym_if_statement] = STATE(713),
    [sym_switch_statement] = STATE(714),
    [sym_case_statement] = STATE(717),
    [sym_while_statement] = STATE(722),
    [sym_do_statement] = STATE(723),
    [sym_for_statement] = STATE(728),
    [sym_return_statement] = STATE(734),
    [sym_break_statement] = STATE(736),
    [sym_continue_statement] = STATE(737),
    [sym_goto_statement] = STATE(743),
    [sym_seh_try_statement] = STATE(744),
    [sym_seh_leave_statement] = STATE(749),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(755),
    [sym_co_return_statement] = STATE(765),
    [sym_co_yield_statement] = STATE(771),
    [sym_throw_statement] = STATE(772),
    [sym_try_statement] = STATE(787),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2303),
    [anon_sym_default] = ACTIONS(2305),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2458),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [190] = {
    [sym_attribute_declaration] = STATE(188),
    [sym_compound_statement] = STATE(417),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(417),
    [sym_labeled_statement] = STATE(417),
    [sym_expression_statement] = STATE(417),
    [sym_if_statement] = STATE(417),
    [sym_switch_statement] = STATE(417),
    [sym_case_statement] = STATE(417),
    [sym_while_statement] = STATE(417),
    [sym_do_statement] = STATE(417),
    [sym_for_statement] = STATE(417),
    [sym_return_statement] = STATE(417),
    [sym_break_statement] = STATE(417),
    [sym_continue_statement] = STATE(417),
    [sym_goto_statement] = STATE(417),
    [sym_seh_try_statement] = STATE(417),
    [sym_seh_leave_statement] = STATE(417),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(417),
    [sym_co_return_statement] = STATE(417),
    [sym_co_yield_statement] = STATE(417),
    [sym_throw_statement] = STATE(417),
    [sym_try_statement] = STATE(417),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(373),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_switch] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(389),
    [anon_sym_default] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(401),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_goto] = ACTIONS(405),
    [anon_sym___try] = ACTIONS(407),
    [anon_sym___leave] = ACTIONS(409),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_co_return] = ACTIONS(425),
    [anon_sym_co_yield] = ACTIONS(427),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [191] = {
    [sym_attribute_declaration] = STATE(205),
    [sym_compound_statement] = STATE(788),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(791),
    [sym_labeled_statement] = STATE(792),
    [sym_expression_statement] = STATE(794),
    [sym_if_statement] = STATE(798),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(817),
    [sym_while_statement] = STATE(818),
    [sym_do_statement] = STATE(820),
    [sym_for_statement] = STATE(826),
    [sym_return_statement] = STATE(850),
    [sym_break_statement] = STATE(854),
    [sym_continue_statement] = STATE(735),
    [sym_goto_statement] = STATE(848),
    [sym_seh_try_statement] = STATE(846),
    [sym_seh_leave_statement] = STATE(838),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(837),
    [sym_co_return_statement] = STATE(833),
    [sym_co_yield_statement] = STATE(802),
    [sym_throw_statement] = STATE(800),
    [sym_try_statement] = STATE(795),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2303),
    [anon_sym_default] = ACTIONS(2305),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2458),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [192] = {
    [sym_attribute_declaration] = STATE(205),
    [sym_compound_statement] = STATE(8751),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(8751),
    [sym_labeled_statement] = STATE(8751),
    [sym_expression_statement] = STATE(8751),
    [sym_if_statement] = STATE(8751),
    [sym_switch_statement] = STATE(8751),
    [sym_case_statement] = STATE(8751),
    [sym_while_statement] = STATE(8751),
    [sym_do_statement] = STATE(8751),
    [sym_for_statement] = STATE(8751),
    [sym_return_statement] = STATE(8751),
    [sym_break_statement] = STATE(8751),
    [sym_continue_statement] = STATE(8751),
    [sym_goto_statement] = STATE(8751),
    [sym_seh_try_statement] = STATE(8751),
    [sym_seh_leave_statement] = STATE(8751),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(8751),
    [sym_co_return_statement] = STATE(8751),
    [sym_co_yield_statement] = STATE(8751),
    [sym_throw_statement] = STATE(8751),
    [sym_try_statement] = STATE(8751),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2303),
    [anon_sym_default] = ACTIONS(2305),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2458),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [193] = {
    [sym_attribute_declaration] = STATE(188),
    [sym_compound_statement] = STATE(526),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(526),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(373),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_switch] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(389),
    [anon_sym_default] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(401),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_goto] = ACTIONS(405),
    [anon_sym___try] = ACTIONS(407),
    [anon_sym___leave] = ACTIONS(409),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_co_return] = ACTIONS(425),
    [anon_sym_co_yield] = ACTIONS(427),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [194] = {
    [sym_attribute_declaration] = STATE(165),
    [sym_compound_statement] = STATE(664),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(671),
    [sym_labeled_statement] = STATE(675),
    [sym_expression_statement] = STATE(679),
    [sym_if_statement] = STATE(707),
    [sym_switch_statement] = STATE(715),
    [sym_case_statement] = STATE(721),
    [sym_while_statement] = STATE(729),
    [sym_do_statement] = STATE(750),
    [sym_for_statement] = STATE(751),
    [sym_return_statement] = STATE(753),
    [sym_break_statement] = STATE(756),
    [sym_continue_statement] = STATE(760),
    [sym_goto_statement] = STATE(761),
    [sym_seh_try_statement] = STATE(768),
    [sym_seh_leave_statement] = STATE(805),
    [sym__expression] = STATE(5202),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9192),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(773),
    [sym_co_return_statement] = STATE(774),
    [sym_co_yield_statement] = STATE(777),
    [sym_throw_statement] = STATE(778),
    [sym_try_statement] = STATE(779),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(929),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(937),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_switch] = ACTIONS(943),
    [anon_sym_case] = ACTIONS(945),
    [anon_sym_default] = ACTIONS(947),
    [anon_sym_while] = ACTIONS(949),
    [anon_sym_do] = ACTIONS(951),
    [anon_sym_for] = ACTIONS(953),
    [anon_sym_return] = ACTIONS(955),
    [anon_sym_break] = ACTIONS(957),
    [anon_sym_continue] = ACTIONS(959),
    [anon_sym_goto] = ACTIONS(961),
    [anon_sym___try] = ACTIONS(963),
    [anon_sym___leave] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(969),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(971),
    [anon_sym_co_return] = ACTIONS(981),
    [anon_sym_co_yield] = ACTIONS(983),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [195] = {
    [sym_attribute_declaration] = STATE(226),
    [sym_compound_statement] = STATE(823),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(823),
    [sym_labeled_statement] = STATE(823),
    [sym_expression_statement] = STATE(823),
    [sym_if_statement] = STATE(823),
    [sym_switch_statement] = STATE(823),
    [sym_case_statement] = STATE(823),
    [sym_while_statement] = STATE(823),
    [sym_do_statement] = STATE(823),
    [sym_for_statement] = STATE(823),
    [sym_return_statement] = STATE(823),
    [sym_break_statement] = STATE(823),
    [sym_continue_statement] = STATE(823),
    [sym_goto_statement] = STATE(823),
    [sym_seh_try_statement] = STATE(823),
    [sym_seh_leave_statement] = STATE(823),
    [sym__expression] = STATE(5244),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9119),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(823),
    [sym_co_return_statement] = STATE(823),
    [sym_co_yield_statement] = STATE(823),
    [sym_throw_statement] = STATE(823),
    [sym_try_statement] = STATE(823),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(226),
    [sym_identifier] = ACTIONS(2307),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1765),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1767),
    [anon_sym___leave] = ACTIONS(1769),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [196] = {
    [sym_attribute_declaration] = STATE(165),
    [sym_compound_statement] = STATE(659),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(659),
    [sym_labeled_statement] = STATE(659),
    [sym_expression_statement] = STATE(659),
    [sym_if_statement] = STATE(659),
    [sym_switch_statement] = STATE(659),
    [sym_case_statement] = STATE(659),
    [sym_while_statement] = STATE(659),
    [sym_do_statement] = STATE(659),
    [sym_for_statement] = STATE(659),
    [sym_return_statement] = STATE(659),
    [sym_break_statement] = STATE(659),
    [sym_continue_statement] = STATE(659),
    [sym_goto_statement] = STATE(659),
    [sym_seh_try_statement] = STATE(659),
    [sym_seh_leave_statement] = STATE(659),
    [sym__expression] = STATE(5202),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9192),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(659),
    [sym_co_return_statement] = STATE(659),
    [sym_co_yield_statement] = STATE(659),
    [sym_throw_statement] = STATE(659),
    [sym_try_statement] = STATE(659),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(929),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(937),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_switch] = ACTIONS(943),
    [anon_sym_case] = ACTIONS(945),
    [anon_sym_default] = ACTIONS(947),
    [anon_sym_while] = ACTIONS(949),
    [anon_sym_do] = ACTIONS(951),
    [anon_sym_for] = ACTIONS(953),
    [anon_sym_return] = ACTIONS(955),
    [anon_sym_break] = ACTIONS(957),
    [anon_sym_continue] = ACTIONS(959),
    [anon_sym_goto] = ACTIONS(961),
    [anon_sym___try] = ACTIONS(963),
    [anon_sym___leave] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(969),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(971),
    [anon_sym_co_return] = ACTIONS(981),
    [anon_sym_co_yield] = ACTIONS(983),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [197] = {
    [sym_attribute_declaration] = STATE(160),
    [sym_compound_statement] = STATE(270),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(270),
    [sym_labeled_statement] = STATE(270),
    [sym_expression_statement] = STATE(270),
    [sym_if_statement] = STATE(270),
    [sym_switch_statement] = STATE(270),
    [sym_case_statement] = STATE(270),
    [sym_while_statement] = STATE(270),
    [sym_do_statement] = STATE(270),
    [sym_for_statement] = STATE(270),
    [sym_return_statement] = STATE(270),
    [sym_break_statement] = STATE(270),
    [sym_continue_statement] = STATE(270),
    [sym_goto_statement] = STATE(270),
    [sym_seh_try_statement] = STATE(270),
    [sym_seh_leave_statement] = STATE(270),
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8707),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(270),
    [sym_co_return_statement] = STATE(270),
    [sym_co_yield_statement] = STATE(270),
    [sym_throw_statement] = STATE(270),
    [sym_try_statement] = STATE(270),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(2299),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [198] = {
    [sym_attribute_declaration] = STATE(188),
    [sym_compound_statement] = STATE(397),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(397),
    [sym_labeled_statement] = STATE(397),
    [sym_expression_statement] = STATE(397),
    [sym_if_statement] = STATE(397),
    [sym_switch_statement] = STATE(397),
    [sym_case_statement] = STATE(397),
    [sym_while_statement] = STATE(397),
    [sym_do_statement] = STATE(397),
    [sym_for_statement] = STATE(397),
    [sym_return_statement] = STATE(397),
    [sym_break_statement] = STATE(397),
    [sym_continue_statement] = STATE(397),
    [sym_goto_statement] = STATE(397),
    [sym_seh_try_statement] = STATE(397),
    [sym_seh_leave_statement] = STATE(397),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(397),
    [sym_co_return_statement] = STATE(397),
    [sym_co_yield_statement] = STATE(397),
    [sym_throw_statement] = STATE(397),
    [sym_try_statement] = STATE(397),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(373),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_switch] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(389),
    [anon_sym_default] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(401),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_goto] = ACTIONS(405),
    [anon_sym___try] = ACTIONS(407),
    [anon_sym___leave] = ACTIONS(409),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_co_return] = ACTIONS(425),
    [anon_sym_co_yield] = ACTIONS(427),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [199] = {
    [sym_attribute_declaration] = STATE(199),
    [sym_compound_statement] = STATE(719),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(719),
    [sym_labeled_statement] = STATE(719),
    [sym_expression_statement] = STATE(719),
    [sym_if_statement] = STATE(719),
    [sym_switch_statement] = STATE(719),
    [sym_case_statement] = STATE(719),
    [sym_while_statement] = STATE(719),
    [sym_do_statement] = STATE(719),
    [sym_for_statement] = STATE(719),
    [sym_return_statement] = STATE(719),
    [sym_break_statement] = STATE(719),
    [sym_continue_statement] = STATE(719),
    [sym_goto_statement] = STATE(719),
    [sym_seh_try_statement] = STATE(719),
    [sym_seh_leave_statement] = STATE(719),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(719),
    [sym_co_return_statement] = STATE(719),
    [sym_co_yield_statement] = STATE(719),
    [sym_throw_statement] = STATE(719),
    [sym_try_statement] = STATE(719),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(199),
    [sym_identifier] = ACTIONS(2678),
    [anon_sym_LPAREN2] = ACTIONS(2312),
    [anon_sym_BANG] = ACTIONS(2315),
    [anon_sym_TILDE] = ACTIONS(2315),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2321),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_SEMI] = ACTIONS(2324),
    [anon_sym_COLON_COLON] = ACTIONS(2327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2681),
    [anon_sym_LBRACK] = ACTIONS(2336),
    [aux_sym_primitive_type_token1] = ACTIONS(2339),
    [anon_sym_byte] = ACTIONS(2339),
    [anon_sym_word] = ACTIONS(2339),
    [anon_sym_if] = ACTIONS(2684),
    [anon_sym_switch] = ACTIONS(2687),
    [anon_sym_case] = ACTIONS(2690),
    [anon_sym_default] = ACTIONS(2693),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2699),
    [anon_sym_for] = ACTIONS(2702),
    [anon_sym_return] = ACTIONS(2705),
    [anon_sym_break] = ACTIONS(2708),
    [anon_sym_continue] = ACTIONS(2711),
    [anon_sym_goto] = ACTIONS(2714),
    [anon_sym___try] = ACTIONS(2717),
    [anon_sym___leave] = ACTIONS(2378),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_compl] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2381),
    [anon_sym_PLUS_PLUS] = ACTIONS(2381),
    [anon_sym_sizeof] = ACTIONS(2384),
    [anon_sym___alignof__] = ACTIONS(2387),
    [anon_sym___alignof] = ACTIONS(2387),
    [anon_sym__alignof] = ACTIONS(2387),
    [anon_sym_alignof] = ACTIONS(2387),
    [anon_sym__Alignof] = ACTIONS(2387),
    [anon_sym_offsetof] = ACTIONS(2390),
    [anon_sym__Generic] = ACTIONS(2393),
    [anon_sym_asm] = ACTIONS(2396),
    [anon_sym___asm__] = ACTIONS(2396),
    [aux_sym_number_literal_token1] = ACTIONS(2399),
    [aux_sym_number_literal_token2] = ACTIONS(2402),
    [anon_sym_L_SQUOTE] = ACTIONS(2405),
    [anon_sym_u_SQUOTE] = ACTIONS(2405),
    [anon_sym_U_SQUOTE] = ACTIONS(2405),
    [anon_sym_u8_SQUOTE] = ACTIONS(2405),
    [anon_sym_SQUOTE] = ACTIONS(2405),
    [anon_sym_L_DQUOTE] = ACTIONS(2408),
    [anon_sym_u_DQUOTE] = ACTIONS(2408),
    [anon_sym_U_DQUOTE] = ACTIONS(2408),
    [anon_sym_u8_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [sym_true] = ACTIONS(2411),
    [sym_false] = ACTIONS(2411),
    [anon_sym_NULL] = ACTIONS(2414),
    [anon_sym_nullptr] = ACTIONS(2414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2417),
    [anon_sym_template] = ACTIONS(2420),
    [anon_sym_try] = ACTIONS(2720),
    [anon_sym_delete] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2723),
    [anon_sym_co_return] = ACTIONS(2726),
    [anon_sym_co_yield] = ACTIONS(2729),
    [anon_sym_R_DQUOTE] = ACTIONS(2438),
    [anon_sym_LR_DQUOTE] = ACTIONS(2438),
    [anon_sym_uR_DQUOTE] = ACTIONS(2438),
    [anon_sym_UR_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2438),
    [anon_sym_co_await] = ACTIONS(2441),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2447),
    [sym_this] = ACTIONS(2411),
  },
  [200] = {
    [sym_attribute_declaration] = STATE(205),
    [sym_compound_statement] = STATE(612),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(612),
    [sym_labeled_statement] = STATE(612),
    [sym_expression_statement] = STATE(612),
    [sym_if_statement] = STATE(612),
    [sym_switch_statement] = STATE(612),
    [sym_case_statement] = STATE(612),
    [sym_while_statement] = STATE(612),
    [sym_do_statement] = STATE(612),
    [sym_for_statement] = STATE(612),
    [sym_return_statement] = STATE(612),
    [sym_break_statement] = STATE(612),
    [sym_continue_statement] = STATE(612),
    [sym_goto_statement] = STATE(612),
    [sym_seh_try_statement] = STATE(612),
    [sym_seh_leave_statement] = STATE(612),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(612),
    [sym_co_return_statement] = STATE(612),
    [sym_co_yield_statement] = STATE(612),
    [sym_throw_statement] = STATE(612),
    [sym_try_statement] = STATE(612),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2303),
    [anon_sym_default] = ACTIONS(2305),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2458),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [201] = {
    [sym_attribute_declaration] = STATE(205),
    [sym_compound_statement] = STATE(8152),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(8152),
    [sym_labeled_statement] = STATE(8152),
    [sym_expression_statement] = STATE(8152),
    [sym_if_statement] = STATE(8152),
    [sym_switch_statement] = STATE(8152),
    [sym_case_statement] = STATE(8152),
    [sym_while_statement] = STATE(8152),
    [sym_do_statement] = STATE(8152),
    [sym_for_statement] = STATE(8152),
    [sym_return_statement] = STATE(8152),
    [sym_break_statement] = STATE(8152),
    [sym_continue_statement] = STATE(8152),
    [sym_goto_statement] = STATE(8152),
    [sym_seh_try_statement] = STATE(8152),
    [sym_seh_leave_statement] = STATE(8152),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(8152),
    [sym_co_return_statement] = STATE(8152),
    [sym_co_yield_statement] = STATE(8152),
    [sym_throw_statement] = STATE(8152),
    [sym_try_statement] = STATE(8152),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2303),
    [anon_sym_default] = ACTIONS(2305),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2458),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [202] = {
    [sym_attribute_declaration] = STATE(160),
    [sym_compound_statement] = STATE(323),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(322),
    [sym_labeled_statement] = STATE(321),
    [sym_expression_statement] = STATE(320),
    [sym_if_statement] = STATE(319),
    [sym_switch_statement] = STATE(318),
    [sym_case_statement] = STATE(317),
    [sym_while_statement] = STATE(316),
    [sym_do_statement] = STATE(315),
    [sym_for_statement] = STATE(314),
    [sym_return_statement] = STATE(313),
    [sym_break_statement] = STATE(312),
    [sym_continue_statement] = STATE(311),
    [sym_goto_statement] = STATE(310),
    [sym_seh_try_statement] = STATE(309),
    [sym_seh_leave_statement] = STATE(308),
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8707),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(307),
    [sym_co_return_statement] = STATE(306),
    [sym_co_yield_statement] = STATE(305),
    [sym_throw_statement] = STATE(304),
    [sym_try_statement] = STATE(303),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(2299),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [203] = {
    [sym_attribute_declaration] = STATE(188),
    [sym_compound_statement] = STATE(472),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(473),
    [sym_labeled_statement] = STATE(477),
    [sym_expression_statement] = STATE(479),
    [sym_if_statement] = STATE(481),
    [sym_switch_statement] = STATE(482),
    [sym_case_statement] = STATE(486),
    [sym_while_statement] = STATE(487),
    [sym_do_statement] = STATE(490),
    [sym_for_statement] = STATE(493),
    [sym_return_statement] = STATE(494),
    [sym_break_statement] = STATE(501),
    [sym_continue_statement] = STATE(507),
    [sym_goto_statement] = STATE(513),
    [sym_seh_try_statement] = STATE(517),
    [sym_seh_leave_statement] = STATE(519),
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8994),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(527),
    [sym_co_return_statement] = STATE(533),
    [sym_co_yield_statement] = STATE(525),
    [sym_throw_statement] = STATE(506),
    [sym_try_statement] = STATE(502),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(373),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(385),
    [anon_sym_switch] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(389),
    [anon_sym_default] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(393),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(397),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(401),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_goto] = ACTIONS(405),
    [anon_sym___try] = ACTIONS(407),
    [anon_sym___leave] = ACTIONS(409),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_co_return] = ACTIONS(425),
    [anon_sym_co_yield] = ACTIONS(427),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [204] = {
    [sym_attribute_declaration] = STATE(165),
    [sym_compound_statement] = STATE(582),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(582),
    [sym_labeled_statement] = STATE(582),
    [sym_expression_statement] = STATE(582),
    [sym_if_statement] = STATE(582),
    [sym_switch_statement] = STATE(582),
    [sym_case_statement] = STATE(582),
    [sym_while_statement] = STATE(582),
    [sym_do_statement] = STATE(582),
    [sym_for_statement] = STATE(582),
    [sym_return_statement] = STATE(582),
    [sym_break_statement] = STATE(582),
    [sym_continue_statement] = STATE(582),
    [sym_goto_statement] = STATE(582),
    [sym_seh_try_statement] = STATE(582),
    [sym_seh_leave_statement] = STATE(582),
    [sym__expression] = STATE(5202),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9192),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(582),
    [sym_co_return_statement] = STATE(582),
    [sym_co_yield_statement] = STATE(582),
    [sym_throw_statement] = STATE(582),
    [sym_try_statement] = STATE(582),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(929),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(937),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_switch] = ACTIONS(943),
    [anon_sym_case] = ACTIONS(945),
    [anon_sym_default] = ACTIONS(947),
    [anon_sym_while] = ACTIONS(949),
    [anon_sym_do] = ACTIONS(951),
    [anon_sym_for] = ACTIONS(953),
    [anon_sym_return] = ACTIONS(955),
    [anon_sym_break] = ACTIONS(957),
    [anon_sym_continue] = ACTIONS(959),
    [anon_sym_goto] = ACTIONS(961),
    [anon_sym___try] = ACTIONS(963),
    [anon_sym___leave] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(969),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(971),
    [anon_sym_co_return] = ACTIONS(981),
    [anon_sym_co_yield] = ACTIONS(983),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [205] = {
    [sym_attribute_declaration] = STATE(163),
    [sym_compound_statement] = STATE(823),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(823),
    [sym_labeled_statement] = STATE(823),
    [sym_expression_statement] = STATE(823),
    [sym_if_statement] = STATE(823),
    [sym_switch_statement] = STATE(823),
    [sym_case_statement] = STATE(823),
    [sym_while_statement] = STATE(823),
    [sym_do_statement] = STATE(823),
    [sym_for_statement] = STATE(823),
    [sym_return_statement] = STATE(823),
    [sym_break_statement] = STATE(823),
    [sym_continue_statement] = STATE(823),
    [sym_goto_statement] = STATE(823),
    [sym_seh_try_statement] = STATE(823),
    [sym_seh_leave_statement] = STATE(823),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(823),
    [sym_co_return_statement] = STATE(823),
    [sym_co_yield_statement] = STATE(823),
    [sym_throw_statement] = STATE(823),
    [sym_try_statement] = STATE(823),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2303),
    [anon_sym_default] = ACTIONS(2305),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2458),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [206] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(641),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(641),
    [sym_labeled_statement] = STATE(641),
    [sym_expression_statement] = STATE(641),
    [sym_if_statement] = STATE(641),
    [sym_switch_statement] = STATE(641),
    [sym_case_statement] = STATE(641),
    [sym_while_statement] = STATE(641),
    [sym_do_statement] = STATE(641),
    [sym_for_statement] = STATE(641),
    [sym_return_statement] = STATE(641),
    [sym_break_statement] = STATE(641),
    [sym_continue_statement] = STATE(641),
    [sym_goto_statement] = STATE(641),
    [sym_seh_try_statement] = STATE(641),
    [sym_seh_leave_statement] = STATE(641),
    [sym__expression] = STATE(5202),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9192),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(641),
    [sym_co_return_statement] = STATE(641),
    [sym_co_yield_statement] = STATE(641),
    [sym_throw_statement] = STATE(641),
    [sym_try_statement] = STATE(641),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2732),
    [anon_sym_LPAREN2] = ACTIONS(2312),
    [anon_sym_BANG] = ACTIONS(2315),
    [anon_sym_TILDE] = ACTIONS(2315),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2321),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_SEMI] = ACTIONS(2735),
    [anon_sym_COLON_COLON] = ACTIONS(2327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2336),
    [aux_sym_primitive_type_token1] = ACTIONS(2339),
    [anon_sym_byte] = ACTIONS(2339),
    [anon_sym_word] = ACTIONS(2339),
    [anon_sym_if] = ACTIONS(2741),
    [anon_sym_switch] = ACTIONS(2744),
    [anon_sym_case] = ACTIONS(2747),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_do] = ACTIONS(2756),
    [anon_sym_for] = ACTIONS(2759),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_break] = ACTIONS(2765),
    [anon_sym_continue] = ACTIONS(2768),
    [anon_sym_goto] = ACTIONS(2771),
    [anon_sym___try] = ACTIONS(2774),
    [anon_sym___leave] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_compl] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2381),
    [anon_sym_PLUS_PLUS] = ACTIONS(2381),
    [anon_sym_sizeof] = ACTIONS(2384),
    [anon_sym___alignof__] = ACTIONS(2387),
    [anon_sym___alignof] = ACTIONS(2387),
    [anon_sym__alignof] = ACTIONS(2387),
    [anon_sym_alignof] = ACTIONS(2387),
    [anon_sym__Alignof] = ACTIONS(2387),
    [anon_sym_offsetof] = ACTIONS(2390),
    [anon_sym__Generic] = ACTIONS(2393),
    [anon_sym_asm] = ACTIONS(2396),
    [anon_sym___asm__] = ACTIONS(2396),
    [aux_sym_number_literal_token1] = ACTIONS(2399),
    [aux_sym_number_literal_token2] = ACTIONS(2402),
    [anon_sym_L_SQUOTE] = ACTIONS(2405),
    [anon_sym_u_SQUOTE] = ACTIONS(2405),
    [anon_sym_U_SQUOTE] = ACTIONS(2405),
    [anon_sym_u8_SQUOTE] = ACTIONS(2405),
    [anon_sym_SQUOTE] = ACTIONS(2405),
    [anon_sym_L_DQUOTE] = ACTIONS(2408),
    [anon_sym_u_DQUOTE] = ACTIONS(2408),
    [anon_sym_U_DQUOTE] = ACTIONS(2408),
    [anon_sym_u8_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [sym_true] = ACTIONS(2411),
    [sym_false] = ACTIONS(2411),
    [anon_sym_NULL] = ACTIONS(2414),
    [anon_sym_nullptr] = ACTIONS(2414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2417),
    [anon_sym_template] = ACTIONS(2420),
    [anon_sym_try] = ACTIONS(2780),
    [anon_sym_delete] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2783),
    [anon_sym_co_return] = ACTIONS(2786),
    [anon_sym_co_yield] = ACTIONS(2789),
    [anon_sym_R_DQUOTE] = ACTIONS(2438),
    [anon_sym_LR_DQUOTE] = ACTIONS(2438),
    [anon_sym_uR_DQUOTE] = ACTIONS(2438),
    [anon_sym_UR_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2438),
    [anon_sym_co_await] = ACTIONS(2441),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2447),
    [sym_this] = ACTIONS(2411),
  },
  [207] = {
    [sym_attribute_declaration] = STATE(160),
    [sym_compound_statement] = STATE(348),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(347),
    [sym_labeled_statement] = STATE(346),
    [sym_expression_statement] = STATE(345),
    [sym_if_statement] = STATE(344),
    [sym_switch_statement] = STATE(342),
    [sym_case_statement] = STATE(341),
    [sym_while_statement] = STATE(340),
    [sym_do_statement] = STATE(338),
    [sym_for_statement] = STATE(336),
    [sym_return_statement] = STATE(335),
    [sym_break_statement] = STATE(333),
    [sym_continue_statement] = STATE(332),
    [sym_goto_statement] = STATE(331),
    [sym_seh_try_statement] = STATE(330),
    [sym_seh_leave_statement] = STATE(329),
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8707),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(328),
    [sym_co_return_statement] = STATE(327),
    [sym_co_yield_statement] = STATE(326),
    [sym_throw_statement] = STATE(325),
    [sym_try_statement] = STATE(324),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(2299),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [208] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(694),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(693),
    [sym_labeled_statement] = STATE(692),
    [sym_expression_statement] = STATE(691),
    [sym_if_statement] = STATE(690),
    [sym_switch_statement] = STATE(687),
    [sym_case_statement] = STATE(686),
    [sym_while_statement] = STATE(685),
    [sym_do_statement] = STATE(684),
    [sym_for_statement] = STATE(683),
    [sym_return_statement] = STATE(682),
    [sym_break_statement] = STATE(677),
    [sym_continue_statement] = STATE(676),
    [sym_goto_statement] = STATE(674),
    [sym_seh_try_statement] = STATE(669),
    [sym_seh_leave_statement] = STATE(668),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(667),
    [sym_co_return_statement] = STATE(666),
    [sym_co_yield_statement] = STATE(665),
    [sym_throw_statement] = STATE(662),
    [sym_try_statement] = STATE(660),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [209] = {
    [sym_attribute_declaration] = STATE(160),
    [sym_compound_statement] = STATE(360),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(360),
    [sym_labeled_statement] = STATE(360),
    [sym_expression_statement] = STATE(360),
    [sym_if_statement] = STATE(360),
    [sym_switch_statement] = STATE(360),
    [sym_case_statement] = STATE(360),
    [sym_while_statement] = STATE(360),
    [sym_do_statement] = STATE(360),
    [sym_for_statement] = STATE(360),
    [sym_return_statement] = STATE(360),
    [sym_break_statement] = STATE(360),
    [sym_continue_statement] = STATE(360),
    [sym_goto_statement] = STATE(360),
    [sym_seh_try_statement] = STATE(360),
    [sym_seh_leave_statement] = STATE(360),
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8707),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(360),
    [sym_co_return_statement] = STATE(360),
    [sym_co_yield_statement] = STATE(360),
    [sym_throw_statement] = STATE(360),
    [sym_try_statement] = STATE(360),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(2299),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [210] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(587),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(587),
    [sym_labeled_statement] = STATE(587),
    [sym_expression_statement] = STATE(587),
    [sym_if_statement] = STATE(587),
    [sym_switch_statement] = STATE(587),
    [sym_case_statement] = STATE(587),
    [sym_while_statement] = STATE(587),
    [sym_do_statement] = STATE(587),
    [sym_for_statement] = STATE(587),
    [sym_return_statement] = STATE(587),
    [sym_break_statement] = STATE(587),
    [sym_continue_statement] = STATE(587),
    [sym_goto_statement] = STATE(587),
    [sym_seh_try_statement] = STATE(587),
    [sym_seh_leave_statement] = STATE(587),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(587),
    [sym_co_return_statement] = STATE(587),
    [sym_co_yield_statement] = STATE(587),
    [sym_throw_statement] = STATE(587),
    [sym_try_statement] = STATE(587),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [211] = {
    [sym_attribute_declaration] = STATE(195),
    [sym_compound_statement] = STATE(563),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(563),
    [sym_labeled_statement] = STATE(563),
    [sym_expression_statement] = STATE(563),
    [sym_if_statement] = STATE(563),
    [sym_switch_statement] = STATE(563),
    [sym_case_statement] = STATE(563),
    [sym_while_statement] = STATE(563),
    [sym_do_statement] = STATE(563),
    [sym_for_statement] = STATE(563),
    [sym_return_statement] = STATE(563),
    [sym_break_statement] = STATE(563),
    [sym_continue_statement] = STATE(563),
    [sym_goto_statement] = STATE(563),
    [sym_seh_try_statement] = STATE(563),
    [sym_seh_leave_statement] = STATE(563),
    [sym__expression] = STATE(5244),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9119),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(563),
    [sym_co_return_statement] = STATE(563),
    [sym_co_yield_statement] = STATE(563),
    [sym_throw_statement] = STATE(563),
    [sym_try_statement] = STATE(563),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [sym_identifier] = ACTIONS(2307),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1765),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1767),
    [anon_sym___leave] = ACTIONS(1769),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [212] = {
    [sym_attribute_declaration] = STATE(160),
    [sym_compound_statement] = STATE(350),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(350),
    [sym_labeled_statement] = STATE(350),
    [sym_expression_statement] = STATE(350),
    [sym_if_statement] = STATE(350),
    [sym_switch_statement] = STATE(350),
    [sym_case_statement] = STATE(350),
    [sym_while_statement] = STATE(350),
    [sym_do_statement] = STATE(350),
    [sym_for_statement] = STATE(350),
    [sym_return_statement] = STATE(350),
    [sym_break_statement] = STATE(350),
    [sym_continue_statement] = STATE(350),
    [sym_goto_statement] = STATE(350),
    [sym_seh_try_statement] = STATE(350),
    [sym_seh_leave_statement] = STATE(350),
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8707),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(350),
    [sym_co_return_statement] = STATE(350),
    [sym_co_yield_statement] = STATE(350),
    [sym_throw_statement] = STATE(350),
    [sym_try_statement] = STATE(350),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(2299),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [213] = {
    [sym_attribute_declaration] = STATE(205),
    [sym_compound_statement] = STATE(617),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(617),
    [sym_labeled_statement] = STATE(617),
    [sym_expression_statement] = STATE(617),
    [sym_if_statement] = STATE(617),
    [sym_switch_statement] = STATE(617),
    [sym_case_statement] = STATE(617),
    [sym_while_statement] = STATE(617),
    [sym_do_statement] = STATE(617),
    [sym_for_statement] = STATE(617),
    [sym_return_statement] = STATE(617),
    [sym_break_statement] = STATE(617),
    [sym_continue_statement] = STATE(617),
    [sym_goto_statement] = STATE(617),
    [sym_seh_try_statement] = STATE(617),
    [sym_seh_leave_statement] = STATE(617),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(617),
    [sym_co_return_statement] = STATE(617),
    [sym_co_yield_statement] = STATE(617),
    [sym_throw_statement] = STATE(617),
    [sym_try_statement] = STATE(617),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2303),
    [anon_sym_default] = ACTIONS(2305),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2458),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [214] = {
    [sym_attribute_declaration] = STATE(195),
    [sym_compound_statement] = STATE(688),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(688),
    [sym_labeled_statement] = STATE(688),
    [sym_expression_statement] = STATE(688),
    [sym_if_statement] = STATE(688),
    [sym_switch_statement] = STATE(688),
    [sym_case_statement] = STATE(688),
    [sym_while_statement] = STATE(688),
    [sym_do_statement] = STATE(688),
    [sym_for_statement] = STATE(688),
    [sym_return_statement] = STATE(688),
    [sym_break_statement] = STATE(688),
    [sym_continue_statement] = STATE(688),
    [sym_goto_statement] = STATE(688),
    [sym_seh_try_statement] = STATE(688),
    [sym_seh_leave_statement] = STATE(688),
    [sym__expression] = STATE(5244),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9119),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(688),
    [sym_co_return_statement] = STATE(688),
    [sym_co_yield_statement] = STATE(688),
    [sym_throw_statement] = STATE(688),
    [sym_try_statement] = STATE(688),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [sym_identifier] = ACTIONS(2307),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1765),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1767),
    [anon_sym___leave] = ACTIONS(1769),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [215] = {
    [sym_attribute_declaration] = STATE(195),
    [sym_compound_statement] = STATE(612),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(612),
    [sym_labeled_statement] = STATE(612),
    [sym_expression_statement] = STATE(612),
    [sym_if_statement] = STATE(612),
    [sym_switch_statement] = STATE(612),
    [sym_case_statement] = STATE(612),
    [sym_while_statement] = STATE(612),
    [sym_do_statement] = STATE(612),
    [sym_for_statement] = STATE(612),
    [sym_return_statement] = STATE(612),
    [sym_break_statement] = STATE(612),
    [sym_continue_statement] = STATE(612),
    [sym_goto_statement] = STATE(612),
    [sym_seh_try_statement] = STATE(612),
    [sym_seh_leave_statement] = STATE(612),
    [sym__expression] = STATE(5244),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9119),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(612),
    [sym_co_return_statement] = STATE(612),
    [sym_co_yield_statement] = STATE(612),
    [sym_throw_statement] = STATE(612),
    [sym_try_statement] = STATE(612),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [sym_identifier] = ACTIONS(2307),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1765),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1767),
    [anon_sym___leave] = ACTIONS(1769),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [216] = {
    [sym_attribute_declaration] = STATE(195),
    [sym_compound_statement] = STATE(617),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(617),
    [sym_labeled_statement] = STATE(617),
    [sym_expression_statement] = STATE(617),
    [sym_if_statement] = STATE(617),
    [sym_switch_statement] = STATE(617),
    [sym_case_statement] = STATE(617),
    [sym_while_statement] = STATE(617),
    [sym_do_statement] = STATE(617),
    [sym_for_statement] = STATE(617),
    [sym_return_statement] = STATE(617),
    [sym_break_statement] = STATE(617),
    [sym_continue_statement] = STATE(617),
    [sym_goto_statement] = STATE(617),
    [sym_seh_try_statement] = STATE(617),
    [sym_seh_leave_statement] = STATE(617),
    [sym__expression] = STATE(5244),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9119),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(617),
    [sym_co_return_statement] = STATE(617),
    [sym_co_yield_statement] = STATE(617),
    [sym_throw_statement] = STATE(617),
    [sym_try_statement] = STATE(617),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [sym_identifier] = ACTIONS(2307),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1765),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1767),
    [anon_sym___leave] = ACTIONS(1769),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [217] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(816),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(816),
    [sym_labeled_statement] = STATE(816),
    [sym_expression_statement] = STATE(816),
    [sym_if_statement] = STATE(816),
    [sym_switch_statement] = STATE(816),
    [sym_case_statement] = STATE(816),
    [sym_while_statement] = STATE(816),
    [sym_do_statement] = STATE(816),
    [sym_for_statement] = STATE(816),
    [sym_return_statement] = STATE(816),
    [sym_break_statement] = STATE(816),
    [sym_continue_statement] = STATE(816),
    [sym_goto_statement] = STATE(816),
    [sym_seh_try_statement] = STATE(816),
    [sym_seh_leave_statement] = STATE(816),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(816),
    [sym_co_return_statement] = STATE(816),
    [sym_co_yield_statement] = STATE(816),
    [sym_throw_statement] = STATE(816),
    [sym_try_statement] = STATE(816),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [218] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(739),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(739),
    [sym_labeled_statement] = STATE(739),
    [sym_expression_statement] = STATE(739),
    [sym_if_statement] = STATE(739),
    [sym_switch_statement] = STATE(739),
    [sym_case_statement] = STATE(739),
    [sym_while_statement] = STATE(739),
    [sym_do_statement] = STATE(739),
    [sym_for_statement] = STATE(739),
    [sym_return_statement] = STATE(739),
    [sym_break_statement] = STATE(739),
    [sym_continue_statement] = STATE(739),
    [sym_goto_statement] = STATE(739),
    [sym_seh_try_statement] = STATE(739),
    [sym_seh_leave_statement] = STATE(739),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(739),
    [sym_co_return_statement] = STATE(739),
    [sym_co_yield_statement] = STATE(739),
    [sym_throw_statement] = STATE(739),
    [sym_try_statement] = STATE(739),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [219] = {
    [sym_attribute_declaration] = STATE(165),
    [sym_compound_statement] = STATE(575),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(575),
    [sym_labeled_statement] = STATE(575),
    [sym_expression_statement] = STATE(575),
    [sym_if_statement] = STATE(575),
    [sym_switch_statement] = STATE(575),
    [sym_case_statement] = STATE(575),
    [sym_while_statement] = STATE(575),
    [sym_do_statement] = STATE(575),
    [sym_for_statement] = STATE(575),
    [sym_return_statement] = STATE(575),
    [sym_break_statement] = STATE(575),
    [sym_continue_statement] = STATE(575),
    [sym_goto_statement] = STATE(575),
    [sym_seh_try_statement] = STATE(575),
    [sym_seh_leave_statement] = STATE(575),
    [sym__expression] = STATE(5202),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9192),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(575),
    [sym_co_return_statement] = STATE(575),
    [sym_co_yield_statement] = STATE(575),
    [sym_throw_statement] = STATE(575),
    [sym_try_statement] = STATE(575),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(929),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(937),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_switch] = ACTIONS(943),
    [anon_sym_case] = ACTIONS(945),
    [anon_sym_default] = ACTIONS(947),
    [anon_sym_while] = ACTIONS(949),
    [anon_sym_do] = ACTIONS(951),
    [anon_sym_for] = ACTIONS(953),
    [anon_sym_return] = ACTIONS(955),
    [anon_sym_break] = ACTIONS(957),
    [anon_sym_continue] = ACTIONS(959),
    [anon_sym_goto] = ACTIONS(961),
    [anon_sym___try] = ACTIONS(963),
    [anon_sym___leave] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(969),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(971),
    [anon_sym_co_return] = ACTIONS(981),
    [anon_sym_co_yield] = ACTIONS(983),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [220] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(613),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(733),
    [sym_labeled_statement] = STATE(731),
    [sym_expression_statement] = STATE(730),
    [sym_if_statement] = STATE(727),
    [sym_switch_statement] = STATE(726),
    [sym_case_statement] = STATE(725),
    [sym_while_statement] = STATE(724),
    [sym_do_statement] = STATE(720),
    [sym_for_statement] = STATE(718),
    [sym_return_statement] = STATE(711),
    [sym_break_statement] = STATE(705),
    [sym_continue_statement] = STATE(704),
    [sym_goto_statement] = STATE(702),
    [sym_seh_try_statement] = STATE(701),
    [sym_seh_leave_statement] = STATE(700),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(699),
    [sym_co_return_statement] = STATE(698),
    [sym_co_yield_statement] = STATE(697),
    [sym_throw_statement] = STATE(696),
    [sym_try_statement] = STATE(695),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [221] = {
    [sym_attribute_declaration] = STATE(165),
    [sym_compound_statement] = STATE(763),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(763),
    [sym_labeled_statement] = STATE(763),
    [sym_expression_statement] = STATE(763),
    [sym_if_statement] = STATE(763),
    [sym_switch_statement] = STATE(763),
    [sym_case_statement] = STATE(763),
    [sym_while_statement] = STATE(763),
    [sym_do_statement] = STATE(763),
    [sym_for_statement] = STATE(763),
    [sym_return_statement] = STATE(763),
    [sym_break_statement] = STATE(763),
    [sym_continue_statement] = STATE(763),
    [sym_goto_statement] = STATE(763),
    [sym_seh_try_statement] = STATE(763),
    [sym_seh_leave_statement] = STATE(763),
    [sym__expression] = STATE(5202),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9192),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(763),
    [sym_co_return_statement] = STATE(763),
    [sym_co_yield_statement] = STATE(763),
    [sym_throw_statement] = STATE(763),
    [sym_try_statement] = STATE(763),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(929),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(937),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_switch] = ACTIONS(943),
    [anon_sym_case] = ACTIONS(945),
    [anon_sym_default] = ACTIONS(947),
    [anon_sym_while] = ACTIONS(949),
    [anon_sym_do] = ACTIONS(951),
    [anon_sym_for] = ACTIONS(953),
    [anon_sym_return] = ACTIONS(955),
    [anon_sym_break] = ACTIONS(957),
    [anon_sym_continue] = ACTIONS(959),
    [anon_sym_goto] = ACTIONS(961),
    [anon_sym___try] = ACTIONS(963),
    [anon_sym___leave] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(969),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(971),
    [anon_sym_co_return] = ACTIONS(981),
    [anon_sym_co_yield] = ACTIONS(983),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [222] = {
    [sym_attribute_declaration] = STATE(165),
    [sym_compound_statement] = STATE(740),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(740),
    [sym_labeled_statement] = STATE(740),
    [sym_expression_statement] = STATE(740),
    [sym_if_statement] = STATE(740),
    [sym_switch_statement] = STATE(740),
    [sym_case_statement] = STATE(740),
    [sym_while_statement] = STATE(740),
    [sym_do_statement] = STATE(740),
    [sym_for_statement] = STATE(740),
    [sym_return_statement] = STATE(740),
    [sym_break_statement] = STATE(740),
    [sym_continue_statement] = STATE(740),
    [sym_goto_statement] = STATE(740),
    [sym_seh_try_statement] = STATE(740),
    [sym_seh_leave_statement] = STATE(740),
    [sym__expression] = STATE(5202),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9192),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(740),
    [sym_co_return_statement] = STATE(740),
    [sym_co_yield_statement] = STATE(740),
    [sym_throw_statement] = STATE(740),
    [sym_try_statement] = STATE(740),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(929),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(937),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_switch] = ACTIONS(943),
    [anon_sym_case] = ACTIONS(945),
    [anon_sym_default] = ACTIONS(947),
    [anon_sym_while] = ACTIONS(949),
    [anon_sym_do] = ACTIONS(951),
    [anon_sym_for] = ACTIONS(953),
    [anon_sym_return] = ACTIONS(955),
    [anon_sym_break] = ACTIONS(957),
    [anon_sym_continue] = ACTIONS(959),
    [anon_sym_goto] = ACTIONS(961),
    [anon_sym___try] = ACTIONS(963),
    [anon_sym___leave] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(969),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(971),
    [anon_sym_co_return] = ACTIONS(981),
    [anon_sym_co_yield] = ACTIONS(983),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [223] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(806),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(806),
    [sym_labeled_statement] = STATE(806),
    [sym_expression_statement] = STATE(806),
    [sym_if_statement] = STATE(806),
    [sym_switch_statement] = STATE(806),
    [sym_case_statement] = STATE(806),
    [sym_while_statement] = STATE(806),
    [sym_do_statement] = STATE(806),
    [sym_for_statement] = STATE(806),
    [sym_return_statement] = STATE(806),
    [sym_break_statement] = STATE(806),
    [sym_continue_statement] = STATE(806),
    [sym_goto_statement] = STATE(806),
    [sym_seh_try_statement] = STATE(806),
    [sym_seh_leave_statement] = STATE(806),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(806),
    [sym_co_return_statement] = STATE(806),
    [sym_co_yield_statement] = STATE(806),
    [sym_throw_statement] = STATE(806),
    [sym_try_statement] = STATE(806),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [224] = {
    [sym_attribute_declaration] = STATE(195),
    [sym_compound_statement] = STATE(788),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(791),
    [sym_labeled_statement] = STATE(792),
    [sym_expression_statement] = STATE(794),
    [sym_if_statement] = STATE(798),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(817),
    [sym_while_statement] = STATE(818),
    [sym_do_statement] = STATE(820),
    [sym_for_statement] = STATE(826),
    [sym_return_statement] = STATE(850),
    [sym_break_statement] = STATE(854),
    [sym_continue_statement] = STATE(735),
    [sym_goto_statement] = STATE(848),
    [sym_seh_try_statement] = STATE(846),
    [sym_seh_leave_statement] = STATE(838),
    [sym__expression] = STATE(5244),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9119),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(837),
    [sym_co_return_statement] = STATE(833),
    [sym_co_yield_statement] = STATE(802),
    [sym_throw_statement] = STATE(800),
    [sym_try_statement] = STATE(795),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [sym_identifier] = ACTIONS(2307),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1765),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1767),
    [anon_sym___leave] = ACTIONS(1769),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [225] = {
    [sym_attribute_declaration] = STATE(160),
    [sym_compound_statement] = STATE(269),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(269),
    [sym_labeled_statement] = STATE(269),
    [sym_expression_statement] = STATE(269),
    [sym_if_statement] = STATE(269),
    [sym_switch_statement] = STATE(269),
    [sym_case_statement] = STATE(269),
    [sym_while_statement] = STATE(269),
    [sym_do_statement] = STATE(269),
    [sym_for_statement] = STATE(269),
    [sym_return_statement] = STATE(269),
    [sym_break_statement] = STATE(269),
    [sym_continue_statement] = STATE(269),
    [sym_goto_statement] = STATE(269),
    [sym_seh_try_statement] = STATE(269),
    [sym_seh_leave_statement] = STATE(269),
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8707),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(269),
    [sym_co_return_statement] = STATE(269),
    [sym_co_yield_statement] = STATE(269),
    [sym_throw_statement] = STATE(269),
    [sym_try_statement] = STATE(269),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(2299),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(293),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(301),
    [anon_sym_default] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(315),
    [anon_sym_goto] = ACTIONS(317),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(321),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(325),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(327),
    [anon_sym_co_return] = ACTIONS(337),
    [anon_sym_co_yield] = ACTIONS(339),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [226] = {
    [sym_attribute_declaration] = STATE(226),
    [sym_compound_statement] = STATE(823),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(823),
    [sym_labeled_statement] = STATE(823),
    [sym_expression_statement] = STATE(823),
    [sym_if_statement] = STATE(823),
    [sym_switch_statement] = STATE(823),
    [sym_case_statement] = STATE(823),
    [sym_while_statement] = STATE(823),
    [sym_do_statement] = STATE(823),
    [sym_for_statement] = STATE(823),
    [sym_return_statement] = STATE(823),
    [sym_break_statement] = STATE(823),
    [sym_continue_statement] = STATE(823),
    [sym_goto_statement] = STATE(823),
    [sym_seh_try_statement] = STATE(823),
    [sym_seh_leave_statement] = STATE(823),
    [sym__expression] = STATE(5244),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9119),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(823),
    [sym_co_return_statement] = STATE(823),
    [sym_co_yield_statement] = STATE(823),
    [sym_throw_statement] = STATE(823),
    [sym_try_statement] = STATE(823),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(226),
    [sym_identifier] = ACTIONS(2792),
    [anon_sym_LPAREN2] = ACTIONS(2312),
    [anon_sym_BANG] = ACTIONS(2315),
    [anon_sym_TILDE] = ACTIONS(2315),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2321),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_SEMI] = ACTIONS(2795),
    [anon_sym_COLON_COLON] = ACTIONS(2327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2336),
    [aux_sym_primitive_type_token1] = ACTIONS(2339),
    [anon_sym_byte] = ACTIONS(2339),
    [anon_sym_word] = ACTIONS(2339),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2345),
    [anon_sym_case] = ACTIONS(2801),
    [anon_sym_default] = ACTIONS(2804),
    [anon_sym_while] = ACTIONS(2807),
    [anon_sym_do] = ACTIONS(2357),
    [anon_sym_for] = ACTIONS(2810),
    [anon_sym_return] = ACTIONS(2363),
    [anon_sym_break] = ACTIONS(2366),
    [anon_sym_continue] = ACTIONS(2369),
    [anon_sym_goto] = ACTIONS(2372),
    [anon_sym___try] = ACTIONS(2813),
    [anon_sym___leave] = ACTIONS(2816),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_compl] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2381),
    [anon_sym_PLUS_PLUS] = ACTIONS(2381),
    [anon_sym_sizeof] = ACTIONS(2384),
    [anon_sym___alignof__] = ACTIONS(2387),
    [anon_sym___alignof] = ACTIONS(2387),
    [anon_sym__alignof] = ACTIONS(2387),
    [anon_sym_alignof] = ACTIONS(2387),
    [anon_sym__Alignof] = ACTIONS(2387),
    [anon_sym_offsetof] = ACTIONS(2390),
    [anon_sym__Generic] = ACTIONS(2393),
    [anon_sym_asm] = ACTIONS(2396),
    [anon_sym___asm__] = ACTIONS(2396),
    [aux_sym_number_literal_token1] = ACTIONS(2399),
    [aux_sym_number_literal_token2] = ACTIONS(2402),
    [anon_sym_L_SQUOTE] = ACTIONS(2405),
    [anon_sym_u_SQUOTE] = ACTIONS(2405),
    [anon_sym_U_SQUOTE] = ACTIONS(2405),
    [anon_sym_u8_SQUOTE] = ACTIONS(2405),
    [anon_sym_SQUOTE] = ACTIONS(2405),
    [anon_sym_L_DQUOTE] = ACTIONS(2408),
    [anon_sym_u_DQUOTE] = ACTIONS(2408),
    [anon_sym_U_DQUOTE] = ACTIONS(2408),
    [anon_sym_u8_DQUOTE] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [sym_true] = ACTIONS(2411),
    [sym_false] = ACTIONS(2411),
    [anon_sym_NULL] = ACTIONS(2414),
    [anon_sym_nullptr] = ACTIONS(2414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2417),
    [anon_sym_template] = ACTIONS(2420),
    [anon_sym_try] = ACTIONS(2423),
    [anon_sym_delete] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2429),
    [anon_sym_co_return] = ACTIONS(2432),
    [anon_sym_co_yield] = ACTIONS(2435),
    [anon_sym_R_DQUOTE] = ACTIONS(2438),
    [anon_sym_LR_DQUOTE] = ACTIONS(2438),
    [anon_sym_uR_DQUOTE] = ACTIONS(2438),
    [anon_sym_UR_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2438),
    [anon_sym_co_await] = ACTIONS(2441),
    [anon_sym_new] = ACTIONS(2444),
    [anon_sym_requires] = ACTIONS(2447),
    [sym_this] = ACTIONS(2411),
  },
  [227] = {
    [sym_attribute_declaration] = STATE(205),
    [sym_compound_statement] = STATE(9065),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(9065),
    [sym_labeled_statement] = STATE(9065),
    [sym_expression_statement] = STATE(9065),
    [sym_if_statement] = STATE(9065),
    [sym_switch_statement] = STATE(9065),
    [sym_case_statement] = STATE(9065),
    [sym_while_statement] = STATE(9065),
    [sym_do_statement] = STATE(9065),
    [sym_for_statement] = STATE(9065),
    [sym_return_statement] = STATE(9065),
    [sym_break_statement] = STATE(9065),
    [sym_continue_statement] = STATE(9065),
    [sym_goto_statement] = STATE(9065),
    [sym_seh_try_statement] = STATE(9065),
    [sym_seh_leave_statement] = STATE(9065),
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8892),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(9065),
    [sym_co_return_statement] = STATE(9065),
    [sym_co_yield_statement] = STATE(9065),
    [sym_throw_statement] = STATE(9065),
    [sym_try_statement] = STATE(9065),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2303),
    [anon_sym_default] = ACTIONS(2305),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2458),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [228] = {
    [sym_attribute_declaration] = STATE(195),
    [sym_compound_statement] = STATE(703),
    [sym_primitive_type] = STATE(7627),
    [sym_attributed_statement] = STATE(709),
    [sym_labeled_statement] = STATE(710),
    [sym_expression_statement] = STATE(712),
    [sym_if_statement] = STATE(713),
    [sym_switch_statement] = STATE(714),
    [sym_case_statement] = STATE(717),
    [sym_while_statement] = STATE(722),
    [sym_do_statement] = STATE(723),
    [sym_for_statement] = STATE(728),
    [sym_return_statement] = STATE(734),
    [sym_break_statement] = STATE(736),
    [sym_continue_statement] = STATE(737),
    [sym_goto_statement] = STATE(743),
    [sym_seh_try_statement] = STATE(744),
    [sym_seh_leave_statement] = STATE(749),
    [sym__expression] = STATE(5244),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9119),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_for_range_loop] = STATE(755),
    [sym_co_return_statement] = STATE(765),
    [sym_co_yield_statement] = STATE(771),
    [sym_throw_statement] = STATE(772),
    [sym_try_statement] = STATE(787),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [sym_identifier] = ACTIONS(2307),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1765),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1767),
    [anon_sym___leave] = ACTIONS(1769),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [229] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(4021),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_initializer_list] = STATE(2951),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2149),
    [anon_sym_LPAREN2] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2147),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_PIPE] = ACTIONS(2147),
    [anon_sym_CARET] = ACTIONS(2147),
    [anon_sym_AMP] = ACTIONS(2147),
    [anon_sym_EQ_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ] = ACTIONS(2149),
    [anon_sym_GT] = ACTIONS(2147),
    [anon_sym_GT_EQ] = ACTIONS(2149),
    [anon_sym_LT_EQ] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_LT_LT] = ACTIONS(2147),
    [anon_sym_GT_GT] = ACTIONS(2147),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [anon_sym_EQ] = ACTIONS(2147),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(2147),
    [anon_sym_QMARK] = ACTIONS(2149),
    [anon_sym_STAR_EQ] = ACTIONS(2149),
    [anon_sym_SLASH_EQ] = ACTIONS(2149),
    [anon_sym_PERCENT_EQ] = ACTIONS(2149),
    [anon_sym_PLUS_EQ] = ACTIONS(2149),
    [anon_sym_DASH_EQ] = ACTIONS(2149),
    [anon_sym_LT_LT_EQ] = ACTIONS(2149),
    [anon_sym_GT_GT_EQ] = ACTIONS(2149),
    [anon_sym_AMP_EQ] = ACTIONS(2149),
    [anon_sym_CARET_EQ] = ACTIONS(2149),
    [anon_sym_PIPE_EQ] = ACTIONS(2149),
    [anon_sym_and_eq] = ACTIONS(2147),
    [anon_sym_or_eq] = ACTIONS(2147),
    [anon_sym_xor_eq] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_LT_EQ_GT] = ACTIONS(2149),
    [anon_sym_or] = ACTIONS(2147),
    [anon_sym_and] = ACTIONS(2147),
    [anon_sym_bitor] = ACTIONS(2147),
    [anon_sym_xor] = ACTIONS(2147),
    [anon_sym_bitand] = ACTIONS(2147),
    [anon_sym_not_eq] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [anon_sym_DOT] = ACTIONS(2147),
    [anon_sym_DOT_STAR] = ACTIONS(2149),
    [anon_sym_DASH_GT] = ACTIONS(2149),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [230] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3366),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(8741),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(9070),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(9139),
    [sym__unary_right_fold] = STATE(9138),
    [sym__binary_fold] = STATE(9136),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(8757),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [231] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3330),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(9079),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(9462),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(8958),
    [sym__unary_right_fold] = STATE(9069),
    [sym__binary_fold] = STATE(9066),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(9056),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [232] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3355),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(8728),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(8841),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(8754),
    [sym__unary_right_fold] = STATE(8755),
    [sym__binary_fold] = STATE(8756),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(8716),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [233] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3330),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(9079),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(9055),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(8958),
    [sym__unary_right_fold] = STATE(9069),
    [sym__binary_fold] = STATE(9066),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(9056),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [234] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3355),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(8728),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(9179),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(9181),
    [sym__unary_right_fold] = STATE(9182),
    [sym__binary_fold] = STATE(9183),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(8716),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [235] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3325),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(9130),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(9129),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(9128),
    [sym__unary_right_fold] = STATE(9127),
    [sym__binary_fold] = STATE(9126),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(9125),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [236] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3330),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(9079),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(9575),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(8958),
    [sym__unary_right_fold] = STATE(9069),
    [sym__binary_fold] = STATE(9066),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(9056),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [237] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3330),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(9079),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(9435),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(8725),
    [sym__unary_right_fold] = STATE(8720),
    [sym__binary_fold] = STATE(8717),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(9056),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [238] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3355),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(8728),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(9275),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(9181),
    [sym__unary_right_fold] = STATE(9182),
    [sym__binary_fold] = STATE(9183),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(8716),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [239] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3355),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(8728),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(8752),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(8754),
    [sym__unary_right_fold] = STATE(8755),
    [sym__binary_fold] = STATE(8756),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(8716),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [240] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3330),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(9079),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(9116),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(8725),
    [sym__unary_right_fold] = STATE(8720),
    [sym__binary_fold] = STATE(8717),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(9056),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [241] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3330),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(9079),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(9482),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(8958),
    [sym__unary_right_fold] = STATE(9069),
    [sym__binary_fold] = STATE(9066),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(9056),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [242] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3330),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(9079),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(9075),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(8958),
    [sym__unary_right_fold] = STATE(9069),
    [sym__binary_fold] = STATE(9066),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(9056),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [243] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3330),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(9079),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(8635),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(8725),
    [sym__unary_right_fold] = STATE(8720),
    [sym__binary_fold] = STATE(8717),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(9056),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [244] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3330),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(9079),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(9200),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(8725),
    [sym__unary_right_fold] = STATE(8720),
    [sym__binary_fold] = STATE(8717),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(9056),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [245] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3366),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(8741),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(9093),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(9139),
    [sym__unary_right_fold] = STATE(9138),
    [sym__binary_fold] = STATE(9136),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(8757),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [246] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3330),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(9079),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(9088),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(8958),
    [sym__unary_right_fold] = STATE(9069),
    [sym__binary_fold] = STATE(9066),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(9056),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [247] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3330),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(9079),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(8727),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(8725),
    [sym__unary_right_fold] = STATE(8720),
    [sym__binary_fold] = STATE(8717),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(9056),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [248] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3330),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(9079),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(9240),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(8958),
    [sym__unary_right_fold] = STATE(9069),
    [sym__binary_fold] = STATE(9066),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(9056),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [249] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3330),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(9079),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(9306),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(8725),
    [sym__unary_right_fold] = STATE(8720),
    [sym__binary_fold] = STATE(8717),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(9056),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [250] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3366),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(8741),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(9171),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(9187),
    [sym__unary_right_fold] = STATE(9186),
    [sym__binary_fold] = STATE(9185),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(8757),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [251] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3366),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(8741),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(9190),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(9187),
    [sym__unary_right_fold] = STATE(9186),
    [sym__binary_fold] = STATE(9185),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(8757),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [252] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3325),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(9130),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(9003),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(9128),
    [sym__unary_right_fold] = STATE(9127),
    [sym__binary_fold] = STATE(9126),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(9125),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [253] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4150),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_initializer_list] = STATE(4406),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2149),
    [anon_sym_COMMA] = ACTIONS(2149),
    [anon_sym_RPAREN] = ACTIONS(2149),
    [anon_sym_LPAREN2] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2015),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2147),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_PIPE] = ACTIONS(2147),
    [anon_sym_CARET] = ACTIONS(2147),
    [anon_sym_AMP] = ACTIONS(2147),
    [anon_sym_EQ_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ] = ACTIONS(2149),
    [anon_sym_GT] = ACTIONS(2147),
    [anon_sym_GT_EQ] = ACTIONS(2149),
    [anon_sym_LT_EQ] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_LT_LT] = ACTIONS(2147),
    [anon_sym_GT_GT] = ACTIONS(2147),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [anon_sym_EQ] = ACTIONS(2147),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(2149),
    [anon_sym_STAR_EQ] = ACTIONS(2149),
    [anon_sym_SLASH_EQ] = ACTIONS(2149),
    [anon_sym_PERCENT_EQ] = ACTIONS(2149),
    [anon_sym_PLUS_EQ] = ACTIONS(2149),
    [anon_sym_DASH_EQ] = ACTIONS(2149),
    [anon_sym_LT_LT_EQ] = ACTIONS(2149),
    [anon_sym_GT_GT_EQ] = ACTIONS(2149),
    [anon_sym_AMP_EQ] = ACTIONS(2149),
    [anon_sym_CARET_EQ] = ACTIONS(2149),
    [anon_sym_PIPE_EQ] = ACTIONS(2149),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_LT_EQ_GT] = ACTIONS(2149),
    [anon_sym_or] = ACTIONS(2147),
    [anon_sym_and] = ACTIONS(2147),
    [anon_sym_bitor] = ACTIONS(2147),
    [anon_sym_xor] = ACTIONS(2147),
    [anon_sym_bitand] = ACTIONS(2147),
    [anon_sym_not_eq] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [anon_sym_DOT] = ACTIONS(2147),
    [anon_sym_DOT_STAR] = ACTIONS(2149),
    [anon_sym_DASH_GT] = ACTIONS(2147),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2149),
    [sym_this] = ACTIONS(2049),
  },
  [254] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3330),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(9079),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(9429),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(8958),
    [sym__unary_right_fold] = STATE(9069),
    [sym__binary_fold] = STATE(9066),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(9056),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [255] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3330),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(9079),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(9140),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(8725),
    [sym__unary_right_fold] = STATE(8720),
    [sym__binary_fold] = STATE(8717),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(9056),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [256] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3325),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(9130),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(8966),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(8978),
    [sym__unary_right_fold] = STATE(8979),
    [sym__binary_fold] = STATE(8980),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(9125),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [257] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3330),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(9079),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(9236),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(8725),
    [sym__unary_right_fold] = STATE(8720),
    [sym__binary_fold] = STATE(8717),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(9056),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [258] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3330),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(9079),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(9521),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(8958),
    [sym__unary_right_fold] = STATE(9069),
    [sym__binary_fold] = STATE(9066),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(9056),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [259] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3330),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(9079),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(9228),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(8958),
    [sym__unary_right_fold] = STATE(9069),
    [sym__binary_fold] = STATE(9066),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(9056),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [260] = {
    [sym_type_qualifier] = STATE(4428),
    [sym__type_specifier] = STATE(5612),
    [sym_sized_type_specifier] = STATE(2250),
    [sym_primitive_type] = STATE(5875),
    [sym_enum_specifier] = STATE(2250),
    [sym_struct_specifier] = STATE(2250),
    [sym_union_specifier] = STATE(2250),
    [sym__expression] = STATE(3325),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_comma_expression] = STATE(9130),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_type_descriptor] = STATE(8977),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_placeholder_type_specifier] = STATE(2250),
    [sym_decltype_auto] = STATE(2249),
    [sym_decltype] = STATE(2131),
    [sym_class_specifier] = STATE(2250),
    [sym__class_name] = STATE(8454),
    [sym_dependent_type] = STATE(2250),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym__unary_left_fold] = STATE(8978),
    [sym__unary_right_fold] = STATE(8979),
    [sym__binary_fold] = STATE(8980),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6378),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym__assignment_expression_lhs] = STATE(9125),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4428),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2173),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_signed] = ACTIONS(2091),
    [anon_sym_unsigned] = ACTIONS(2091),
    [anon_sym_long] = ACTIONS(2091),
    [anon_sym_short] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2103),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2129),
    [anon_sym_decltype] = ACTIONS(2131),
    [anon_sym_typename] = ACTIONS(2133),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [261] = {
    [sym_catch_clause] = STATE(262),
    [aux_sym_constructor_try_statement_repeat1] = STATE(262),
    [sym_identifier] = ACTIONS(2841),
    [aux_sym_preproc_include_token1] = ACTIONS(2841),
    [aux_sym_preproc_def_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token2] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2841),
    [aux_sym_preproc_else_token1] = ACTIONS(2841),
    [aux_sym_preproc_elif_token1] = ACTIONS(2841),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2841),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2841),
    [sym_preproc_directive] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_BANG] = ACTIONS(2843),
    [anon_sym_TILDE] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym_SEMI] = ACTIONS(2843),
    [anon_sym___extension__] = ACTIONS(2841),
    [anon_sym_typedef] = ACTIONS(2841),
    [anon_sym_extern] = ACTIONS(2841),
    [anon_sym___attribute__] = ACTIONS(2841),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2843),
    [anon_sym___declspec] = ACTIONS(2841),
    [anon_sym___based] = ACTIONS(2841),
    [anon_sym___cdecl] = ACTIONS(2841),
    [anon_sym___clrcall] = ACTIONS(2841),
    [anon_sym___stdcall] = ACTIONS(2841),
    [anon_sym___fastcall] = ACTIONS(2841),
    [anon_sym___thiscall] = ACTIONS(2841),
    [anon_sym___vectorcall] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_signed] = ACTIONS(2841),
    [anon_sym_unsigned] = ACTIONS(2841),
    [anon_sym_long] = ACTIONS(2841),
    [anon_sym_short] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_static] = ACTIONS(2841),
    [anon_sym_register] = ACTIONS(2841),
    [anon_sym_inline] = ACTIONS(2841),
    [anon_sym___inline] = ACTIONS(2841),
    [anon_sym___inline__] = ACTIONS(2841),
    [anon_sym___forceinline] = ACTIONS(2841),
    [anon_sym_thread_local] = ACTIONS(2841),
    [anon_sym___thread] = ACTIONS(2841),
    [anon_sym_const] = ACTIONS(2841),
    [anon_sym_constexpr] = ACTIONS(2841),
    [anon_sym_volatile] = ACTIONS(2841),
    [anon_sym_restrict] = ACTIONS(2841),
    [anon_sym___restrict__] = ACTIONS(2841),
    [anon_sym__Atomic] = ACTIONS(2841),
    [anon_sym__Noreturn] = ACTIONS(2841),
    [anon_sym_noreturn] = ACTIONS(2841),
    [anon_sym_mutable] = ACTIONS(2841),
    [anon_sym_constinit] = ACTIONS(2841),
    [anon_sym_consteval] = ACTIONS(2841),
    [anon_sym_PROGMEM] = ACTIONS(2841),
    [aux_sym_primitive_type_token1] = ACTIONS(2841),
    [anon_sym_byte] = ACTIONS(2841),
    [anon_sym_word] = ACTIONS(2841),
    [anon_sym_enum] = ACTIONS(2841),
    [anon_sym_class] = ACTIONS(2841),
    [anon_sym_struct] = ACTIONS(2841),
    [anon_sym_union] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_else] = ACTIONS(2841),
    [anon_sym_switch] = ACTIONS(2841),
    [anon_sym_case] = ACTIONS(2841),
    [anon_sym_default] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_break] = ACTIONS(2841),
    [anon_sym_continue] = ACTIONS(2841),
    [anon_sym_goto] = ACTIONS(2841),
    [anon_sym___try] = ACTIONS(2841),
    [anon_sym___leave] = ACTIONS(2841),
    [anon_sym_not] = ACTIONS(2841),
    [anon_sym_compl] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2843),
    [anon_sym_PLUS_PLUS] = ACTIONS(2843),
    [anon_sym_sizeof] = ACTIONS(2841),
    [anon_sym___alignof__] = ACTIONS(2841),
    [anon_sym___alignof] = ACTIONS(2841),
    [anon_sym__alignof] = ACTIONS(2841),
    [anon_sym_alignof] = ACTIONS(2841),
    [anon_sym__Alignof] = ACTIONS(2841),
    [anon_sym_offsetof] = ACTIONS(2841),
    [anon_sym__Generic] = ACTIONS(2841),
    [anon_sym_asm] = ACTIONS(2841),
    [anon_sym___asm__] = ACTIONS(2841),
    [aux_sym_number_literal_token1] = ACTIONS(2843),
    [aux_sym_number_literal_token2] = ACTIONS(2841),
    [anon_sym_L_SQUOTE] = ACTIONS(2843),
    [anon_sym_u_SQUOTE] = ACTIONS(2843),
    [anon_sym_U_SQUOTE] = ACTIONS(2843),
    [anon_sym_u8_SQUOTE] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_L_DQUOTE] = ACTIONS(2843),
    [anon_sym_u_DQUOTE] = ACTIONS(2843),
    [anon_sym_U_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8_DQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2843),
    [sym_true] = ACTIONS(2841),
    [sym_false] = ACTIONS(2841),
    [anon_sym_NULL] = ACTIONS(2841),
    [anon_sym_nullptr] = ACTIONS(2841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2841),
    [anon_sym_decltype] = ACTIONS(2841),
    [anon_sym_virtual] = ACTIONS(2841),
    [anon_sym_alignas] = ACTIONS(2841),
    [anon_sym_explicit] = ACTIONS(2841),
    [anon_sym_typename] = ACTIONS(2841),
    [anon_sym_template] = ACTIONS(2841),
    [anon_sym_operator] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_delete] = ACTIONS(2841),
    [anon_sym_throw] = ACTIONS(2841),
    [anon_sym_namespace] = ACTIONS(2841),
    [anon_sym_using] = ACTIONS(2841),
    [anon_sym_static_assert] = ACTIONS(2841),
    [anon_sym_concept] = ACTIONS(2841),
    [anon_sym_co_return] = ACTIONS(2841),
    [anon_sym_co_yield] = ACTIONS(2841),
    [anon_sym_catch] = ACTIONS(2845),
    [anon_sym_R_DQUOTE] = ACTIONS(2843),
    [anon_sym_LR_DQUOTE] = ACTIONS(2843),
    [anon_sym_uR_DQUOTE] = ACTIONS(2843),
    [anon_sym_UR_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2843),
    [anon_sym_co_await] = ACTIONS(2841),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_requires] = ACTIONS(2841),
    [sym_this] = ACTIONS(2841),
  },
  [262] = {
    [sym_catch_clause] = STATE(262),
    [aux_sym_constructor_try_statement_repeat1] = STATE(262),
    [sym_identifier] = ACTIONS(2847),
    [aux_sym_preproc_include_token1] = ACTIONS(2847),
    [aux_sym_preproc_def_token1] = ACTIONS(2847),
    [aux_sym_preproc_if_token1] = ACTIONS(2847),
    [aux_sym_preproc_if_token2] = ACTIONS(2847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2847),
    [aux_sym_preproc_else_token1] = ACTIONS(2847),
    [aux_sym_preproc_elif_token1] = ACTIONS(2847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2847),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2847),
    [sym_preproc_directive] = ACTIONS(2847),
    [anon_sym_LPAREN2] = ACTIONS(2849),
    [anon_sym_BANG] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2849),
    [anon_sym_DASH] = ACTIONS(2847),
    [anon_sym_PLUS] = ACTIONS(2847),
    [anon_sym_STAR] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2849),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_SEMI] = ACTIONS(2849),
    [anon_sym___extension__] = ACTIONS(2847),
    [anon_sym_typedef] = ACTIONS(2847),
    [anon_sym_extern] = ACTIONS(2847),
    [anon_sym___attribute__] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(2849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2849),
    [anon_sym___declspec] = ACTIONS(2847),
    [anon_sym___based] = ACTIONS(2847),
    [anon_sym___cdecl] = ACTIONS(2847),
    [anon_sym___clrcall] = ACTIONS(2847),
    [anon_sym___stdcall] = ACTIONS(2847),
    [anon_sym___fastcall] = ACTIONS(2847),
    [anon_sym___thiscall] = ACTIONS(2847),
    [anon_sym___vectorcall] = ACTIONS(2847),
    [anon_sym_LBRACE] = ACTIONS(2849),
    [anon_sym_signed] = ACTIONS(2847),
    [anon_sym_unsigned] = ACTIONS(2847),
    [anon_sym_long] = ACTIONS(2847),
    [anon_sym_short] = ACTIONS(2847),
    [anon_sym_LBRACK] = ACTIONS(2847),
    [anon_sym_static] = ACTIONS(2847),
    [anon_sym_register] = ACTIONS(2847),
    [anon_sym_inline] = ACTIONS(2847),
    [anon_sym___inline] = ACTIONS(2847),
    [anon_sym___inline__] = ACTIONS(2847),
    [anon_sym___forceinline] = ACTIONS(2847),
    [anon_sym_thread_local] = ACTIONS(2847),
    [anon_sym___thread] = ACTIONS(2847),
    [anon_sym_const] = ACTIONS(2847),
    [anon_sym_constexpr] = ACTIONS(2847),
    [anon_sym_volatile] = ACTIONS(2847),
    [anon_sym_restrict] = ACTIONS(2847),
    [anon_sym___restrict__] = ACTIONS(2847),
    [anon_sym__Atomic] = ACTIONS(2847),
    [anon_sym__Noreturn] = ACTIONS(2847),
    [anon_sym_noreturn] = ACTIONS(2847),
    [anon_sym_mutable] = ACTIONS(2847),
    [anon_sym_constinit] = ACTIONS(2847),
    [anon_sym_consteval] = ACTIONS(2847),
    [anon_sym_PROGMEM] = ACTIONS(2847),
    [aux_sym_primitive_type_token1] = ACTIONS(2847),
    [anon_sym_byte] = ACTIONS(2847),
    [anon_sym_word] = ACTIONS(2847),
    [anon_sym_enum] = ACTIONS(2847),
    [anon_sym_class] = ACTIONS(2847),
    [anon_sym_struct] = ACTIONS(2847),
    [anon_sym_union] = ACTIONS(2847),
    [anon_sym_if] = ACTIONS(2847),
    [anon_sym_else] = ACTIONS(2847),
    [anon_sym_switch] = ACTIONS(2847),
    [anon_sym_case] = ACTIONS(2847),
    [anon_sym_default] = ACTIONS(2847),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_do] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2847),
    [anon_sym_return] = ACTIONS(2847),
    [anon_sym_break] = ACTIONS(2847),
    [anon_sym_continue] = ACTIONS(2847),
    [anon_sym_goto] = ACTIONS(2847),
    [anon_sym___try] = ACTIONS(2847),
    [anon_sym___leave] = ACTIONS(2847),
    [anon_sym_not] = ACTIONS(2847),
    [anon_sym_compl] = ACTIONS(2847),
    [anon_sym_DASH_DASH] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2849),
    [anon_sym_sizeof] = ACTIONS(2847),
    [anon_sym___alignof__] = ACTIONS(2847),
    [anon_sym___alignof] = ACTIONS(2847),
    [anon_sym__alignof] = ACTIONS(2847),
    [anon_sym_alignof] = ACTIONS(2847),
    [anon_sym__Alignof] = ACTIONS(2847),
    [anon_sym_offsetof] = ACTIONS(2847),
    [anon_sym__Generic] = ACTIONS(2847),
    [anon_sym_asm] = ACTIONS(2847),
    [anon_sym___asm__] = ACTIONS(2847),
    [aux_sym_number_literal_token1] = ACTIONS(2849),
    [aux_sym_number_literal_token2] = ACTIONS(2847),
    [anon_sym_L_SQUOTE] = ACTIONS(2849),
    [anon_sym_u_SQUOTE] = ACTIONS(2849),
    [anon_sym_U_SQUOTE] = ACTIONS(2849),
    [anon_sym_u8_SQUOTE] = ACTIONS(2849),
    [anon_sym_SQUOTE] = ACTIONS(2849),
    [anon_sym_L_DQUOTE] = ACTIONS(2849),
    [anon_sym_u_DQUOTE] = ACTIONS(2849),
    [anon_sym_U_DQUOTE] = ACTIONS(2849),
    [anon_sym_u8_DQUOTE] = ACTIONS(2849),
    [anon_sym_DQUOTE] = ACTIONS(2849),
    [sym_true] = ACTIONS(2847),
    [sym_false] = ACTIONS(2847),
    [anon_sym_NULL] = ACTIONS(2847),
    [anon_sym_nullptr] = ACTIONS(2847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2847),
    [anon_sym_decltype] = ACTIONS(2847),
    [anon_sym_virtual] = ACTIONS(2847),
    [anon_sym_alignas] = ACTIONS(2847),
    [anon_sym_explicit] = ACTIONS(2847),
    [anon_sym_typename] = ACTIONS(2847),
    [anon_sym_template] = ACTIONS(2847),
    [anon_sym_operator] = ACTIONS(2847),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_delete] = ACTIONS(2847),
    [anon_sym_throw] = ACTIONS(2847),
    [anon_sym_namespace] = ACTIONS(2847),
    [anon_sym_using] = ACTIONS(2847),
    [anon_sym_static_assert] = ACTIONS(2847),
    [anon_sym_concept] = ACTIONS(2847),
    [anon_sym_co_return] = ACTIONS(2847),
    [anon_sym_co_yield] = ACTIONS(2847),
    [anon_sym_catch] = ACTIONS(2851),
    [anon_sym_R_DQUOTE] = ACTIONS(2849),
    [anon_sym_LR_DQUOTE] = ACTIONS(2849),
    [anon_sym_uR_DQUOTE] = ACTIONS(2849),
    [anon_sym_UR_DQUOTE] = ACTIONS(2849),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2849),
    [anon_sym_co_await] = ACTIONS(2847),
    [anon_sym_new] = ACTIONS(2847),
    [anon_sym_requires] = ACTIONS(2847),
    [sym_this] = ACTIONS(2847),
  },
  [263] = {
    [sym_catch_clause] = STATE(262),
    [aux_sym_constructor_try_statement_repeat1] = STATE(262),
    [sym_identifier] = ACTIONS(2854),
    [aux_sym_preproc_include_token1] = ACTIONS(2854),
    [aux_sym_preproc_def_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token2] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2854),
    [aux_sym_preproc_else_token1] = ACTIONS(2854),
    [aux_sym_preproc_elif_token1] = ACTIONS(2854),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2854),
    [sym_preproc_directive] = ACTIONS(2854),
    [anon_sym_LPAREN2] = ACTIONS(2856),
    [anon_sym_BANG] = ACTIONS(2856),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym_SEMI] = ACTIONS(2856),
    [anon_sym___extension__] = ACTIONS(2854),
    [anon_sym_typedef] = ACTIONS(2854),
    [anon_sym_extern] = ACTIONS(2854),
    [anon_sym___attribute__] = ACTIONS(2854),
    [anon_sym_COLON_COLON] = ACTIONS(2856),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2856),
    [anon_sym___declspec] = ACTIONS(2854),
    [anon_sym___based] = ACTIONS(2854),
    [anon_sym___cdecl] = ACTIONS(2854),
    [anon_sym___clrcall] = ACTIONS(2854),
    [anon_sym___stdcall] = ACTIONS(2854),
    [anon_sym___fastcall] = ACTIONS(2854),
    [anon_sym___thiscall] = ACTIONS(2854),
    [anon_sym___vectorcall] = ACTIONS(2854),
    [anon_sym_LBRACE] = ACTIONS(2856),
    [anon_sym_signed] = ACTIONS(2854),
    [anon_sym_unsigned] = ACTIONS(2854),
    [anon_sym_long] = ACTIONS(2854),
    [anon_sym_short] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_register] = ACTIONS(2854),
    [anon_sym_inline] = ACTIONS(2854),
    [anon_sym___inline] = ACTIONS(2854),
    [anon_sym___inline__] = ACTIONS(2854),
    [anon_sym___forceinline] = ACTIONS(2854),
    [anon_sym_thread_local] = ACTIONS(2854),
    [anon_sym___thread] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_constexpr] = ACTIONS(2854),
    [anon_sym_volatile] = ACTIONS(2854),
    [anon_sym_restrict] = ACTIONS(2854),
    [anon_sym___restrict__] = ACTIONS(2854),
    [anon_sym__Atomic] = ACTIONS(2854),
    [anon_sym__Noreturn] = ACTIONS(2854),
    [anon_sym_noreturn] = ACTIONS(2854),
    [anon_sym_mutable] = ACTIONS(2854),
    [anon_sym_constinit] = ACTIONS(2854),
    [anon_sym_consteval] = ACTIONS(2854),
    [anon_sym_PROGMEM] = ACTIONS(2854),
    [aux_sym_primitive_type_token1] = ACTIONS(2854),
    [anon_sym_byte] = ACTIONS(2854),
    [anon_sym_word] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_struct] = ACTIONS(2854),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_switch] = ACTIONS(2854),
    [anon_sym_case] = ACTIONS(2854),
    [anon_sym_default] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2854),
    [anon_sym_do] = ACTIONS(2854),
    [anon_sym_for] = ACTIONS(2854),
    [anon_sym_return] = ACTIONS(2854),
    [anon_sym_break] = ACTIONS(2854),
    [anon_sym_continue] = ACTIONS(2854),
    [anon_sym_goto] = ACTIONS(2854),
    [anon_sym___try] = ACTIONS(2854),
    [anon_sym___leave] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2854),
    [anon_sym_compl] = ACTIONS(2854),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2854),
    [anon_sym___alignof__] = ACTIONS(2854),
    [anon_sym___alignof] = ACTIONS(2854),
    [anon_sym__alignof] = ACTIONS(2854),
    [anon_sym_alignof] = ACTIONS(2854),
    [anon_sym__Alignof] = ACTIONS(2854),
    [anon_sym_offsetof] = ACTIONS(2854),
    [anon_sym__Generic] = ACTIONS(2854),
    [anon_sym_asm] = ACTIONS(2854),
    [anon_sym___asm__] = ACTIONS(2854),
    [aux_sym_number_literal_token1] = ACTIONS(2856),
    [aux_sym_number_literal_token2] = ACTIONS(2854),
    [anon_sym_L_SQUOTE] = ACTIONS(2856),
    [anon_sym_u_SQUOTE] = ACTIONS(2856),
    [anon_sym_U_SQUOTE] = ACTIONS(2856),
    [anon_sym_u8_SQUOTE] = ACTIONS(2856),
    [anon_sym_SQUOTE] = ACTIONS(2856),
    [anon_sym_L_DQUOTE] = ACTIONS(2856),
    [anon_sym_u_DQUOTE] = ACTIONS(2856),
    [anon_sym_U_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8_DQUOTE] = ACTIONS(2856),
    [anon_sym_DQUOTE] = ACTIONS(2856),
    [sym_true] = ACTIONS(2854),
    [sym_false] = ACTIONS(2854),
    [anon_sym_NULL] = ACTIONS(2854),
    [anon_sym_nullptr] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2854),
    [anon_sym_decltype] = ACTIONS(2854),
    [anon_sym_virtual] = ACTIONS(2854),
    [anon_sym_alignas] = ACTIONS(2854),
    [anon_sym_explicit] = ACTIONS(2854),
    [anon_sym_typename] = ACTIONS(2854),
    [anon_sym_template] = ACTIONS(2854),
    [anon_sym_operator] = ACTIONS(2854),
    [anon_sym_try] = ACTIONS(2854),
    [anon_sym_delete] = ACTIONS(2854),
    [anon_sym_throw] = ACTIONS(2854),
    [anon_sym_namespace] = ACTIONS(2854),
    [anon_sym_using] = ACTIONS(2854),
    [anon_sym_static_assert] = ACTIONS(2854),
    [anon_sym_concept] = ACTIONS(2854),
    [anon_sym_co_return] = ACTIONS(2854),
    [anon_sym_co_yield] = ACTIONS(2854),
    [anon_sym_catch] = ACTIONS(2845),
    [anon_sym_R_DQUOTE] = ACTIONS(2856),
    [anon_sym_LR_DQUOTE] = ACTIONS(2856),
    [anon_sym_uR_DQUOTE] = ACTIONS(2856),
    [anon_sym_UR_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2856),
    [anon_sym_co_await] = ACTIONS(2854),
    [anon_sym_new] = ACTIONS(2854),
    [anon_sym_requires] = ACTIONS(2854),
    [sym_this] = ACTIONS(2854),
  },
  [264] = {
    [sym_catch_clause] = STATE(262),
    [aux_sym_constructor_try_statement_repeat1] = STATE(262),
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_include_token1] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token2] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [aux_sym_preproc_else_token1] = ACTIONS(2858),
    [aux_sym_preproc_elif_token1] = ACTIONS(2858),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_BANG] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym___cdecl] = ACTIONS(2858),
    [anon_sym___clrcall] = ACTIONS(2858),
    [anon_sym___stdcall] = ACTIONS(2858),
    [anon_sym___fastcall] = ACTIONS(2858),
    [anon_sym___thiscall] = ACTIONS(2858),
    [anon_sym___vectorcall] = ACTIONS(2858),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [anon_sym_PROGMEM] = ACTIONS(2858),
    [aux_sym_primitive_type_token1] = ACTIONS(2858),
    [anon_sym_byte] = ACTIONS(2858),
    [anon_sym_word] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [anon_sym_if] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2858),
    [anon_sym_case] = ACTIONS(2858),
    [anon_sym_default] = ACTIONS(2858),
    [anon_sym_while] = ACTIONS(2858),
    [anon_sym_do] = ACTIONS(2858),
    [anon_sym_for] = ACTIONS(2858),
    [anon_sym_return] = ACTIONS(2858),
    [anon_sym_break] = ACTIONS(2858),
    [anon_sym_continue] = ACTIONS(2858),
    [anon_sym_goto] = ACTIONS(2858),
    [anon_sym___try] = ACTIONS(2858),
    [anon_sym___leave] = ACTIONS(2858),
    [anon_sym_not] = ACTIONS(2858),
    [anon_sym_compl] = ACTIONS(2858),
    [anon_sym_DASH_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_PLUS] = ACTIONS(2860),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2858),
    [anon_sym___alignof] = ACTIONS(2858),
    [anon_sym__alignof] = ACTIONS(2858),
    [anon_sym_alignof] = ACTIONS(2858),
    [anon_sym__Alignof] = ACTIONS(2858),
    [anon_sym_offsetof] = ACTIONS(2858),
    [anon_sym__Generic] = ACTIONS(2858),
    [anon_sym_asm] = ACTIONS(2858),
    [anon_sym___asm__] = ACTIONS(2858),
    [aux_sym_number_literal_token1] = ACTIONS(2860),
    [aux_sym_number_literal_token2] = ACTIONS(2858),
    [anon_sym_L_SQUOTE] = ACTIONS(2860),
    [anon_sym_u_SQUOTE] = ACTIONS(2860),
    [anon_sym_U_SQUOTE] = ACTIONS(2860),
    [anon_sym_u8_SQUOTE] = ACTIONS(2860),
    [anon_sym_SQUOTE] = ACTIONS(2860),
    [anon_sym_L_DQUOTE] = ACTIONS(2860),
    [anon_sym_u_DQUOTE] = ACTIONS(2860),
    [anon_sym_U_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [sym_true] = ACTIONS(2858),
    [sym_false] = ACTIONS(2858),
    [anon_sym_NULL] = ACTIONS(2858),
    [anon_sym_nullptr] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [anon_sym_virtual] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_try] = ACTIONS(2858),
    [anon_sym_delete] = ACTIONS(2858),
    [anon_sym_throw] = ACTIONS(2858),
    [anon_sym_namespace] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
    [anon_sym_concept] = ACTIONS(2858),
    [anon_sym_co_return] = ACTIONS(2858),
    [anon_sym_co_yield] = ACTIONS(2858),
    [anon_sym_catch] = ACTIONS(2845),
    [anon_sym_R_DQUOTE] = ACTIONS(2860),
    [anon_sym_LR_DQUOTE] = ACTIONS(2860),
    [anon_sym_uR_DQUOTE] = ACTIONS(2860),
    [anon_sym_UR_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2860),
    [anon_sym_co_await] = ACTIONS(2858),
    [anon_sym_new] = ACTIONS(2858),
    [anon_sym_requires] = ACTIONS(2858),
    [sym_this] = ACTIONS(2858),
  },
  [265] = {
    [sym_identifier] = ACTIONS(2265),
    [aux_sym_preproc_include_token1] = ACTIONS(2265),
    [aux_sym_preproc_def_token1] = ACTIONS(2265),
    [aux_sym_preproc_if_token1] = ACTIONS(2265),
    [aux_sym_preproc_if_token2] = ACTIONS(2265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2265),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2265),
    [aux_sym_preproc_else_token1] = ACTIONS(2265),
    [aux_sym_preproc_elif_token1] = ACTIONS(2265),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2265),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2265),
    [sym_preproc_directive] = ACTIONS(2265),
    [anon_sym_LPAREN2] = ACTIONS(2263),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2265),
    [anon_sym_PLUS] = ACTIONS(2265),
    [anon_sym_STAR] = ACTIONS(2263),
    [anon_sym_AMP_AMP] = ACTIONS(2263),
    [anon_sym_AMP] = ACTIONS(2265),
    [anon_sym_SEMI] = ACTIONS(2263),
    [anon_sym___extension__] = ACTIONS(2265),
    [anon_sym_typedef] = ACTIONS(2265),
    [anon_sym_extern] = ACTIONS(2265),
    [anon_sym___attribute__] = ACTIONS(2265),
    [anon_sym_COLON_COLON] = ACTIONS(2263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2263),
    [anon_sym___declspec] = ACTIONS(2265),
    [anon_sym___based] = ACTIONS(2265),
    [anon_sym___cdecl] = ACTIONS(2265),
    [anon_sym___clrcall] = ACTIONS(2265),
    [anon_sym___stdcall] = ACTIONS(2265),
    [anon_sym___fastcall] = ACTIONS(2265),
    [anon_sym___thiscall] = ACTIONS(2265),
    [anon_sym___vectorcall] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(2263),
    [anon_sym_signed] = ACTIONS(2265),
    [anon_sym_unsigned] = ACTIONS(2265),
    [anon_sym_long] = ACTIONS(2265),
    [anon_sym_short] = ACTIONS(2265),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_static] = ACTIONS(2265),
    [anon_sym_register] = ACTIONS(2265),
    [anon_sym_inline] = ACTIONS(2265),
    [anon_sym___inline] = ACTIONS(2265),
    [anon_sym___inline__] = ACTIONS(2265),
    [anon_sym___forceinline] = ACTIONS(2265),
    [anon_sym_thread_local] = ACTIONS(2265),
    [anon_sym___thread] = ACTIONS(2265),
    [anon_sym_const] = ACTIONS(2265),
    [anon_sym_constexpr] = ACTIONS(2265),
    [anon_sym_volatile] = ACTIONS(2265),
    [anon_sym_restrict] = ACTIONS(2265),
    [anon_sym___restrict__] = ACTIONS(2265),
    [anon_sym__Atomic] = ACTIONS(2265),
    [anon_sym__Noreturn] = ACTIONS(2265),
    [anon_sym_noreturn] = ACTIONS(2265),
    [anon_sym_mutable] = ACTIONS(2265),
    [anon_sym_constinit] = ACTIONS(2265),
    [anon_sym_consteval] = ACTIONS(2265),
    [anon_sym_PROGMEM] = ACTIONS(2265),
    [aux_sym_primitive_type_token1] = ACTIONS(2265),
    [anon_sym_byte] = ACTIONS(2265),
    [anon_sym_word] = ACTIONS(2265),
    [anon_sym_enum] = ACTIONS(2265),
    [anon_sym_class] = ACTIONS(2265),
    [anon_sym_struct] = ACTIONS(2265),
    [anon_sym_union] = ACTIONS(2265),
    [anon_sym_if] = ACTIONS(2265),
    [anon_sym_else] = ACTIONS(2265),
    [anon_sym_switch] = ACTIONS(2265),
    [anon_sym_case] = ACTIONS(2265),
    [anon_sym_default] = ACTIONS(2265),
    [anon_sym_while] = ACTIONS(2265),
    [anon_sym_do] = ACTIONS(2265),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_return] = ACTIONS(2265),
    [anon_sym_break] = ACTIONS(2265),
    [anon_sym_continue] = ACTIONS(2265),
    [anon_sym_goto] = ACTIONS(2265),
    [anon_sym___try] = ACTIONS(2265),
    [anon_sym___leave] = ACTIONS(2265),
    [anon_sym_not] = ACTIONS(2265),
    [anon_sym_compl] = ACTIONS(2265),
    [anon_sym_DASH_DASH] = ACTIONS(2263),
    [anon_sym_PLUS_PLUS] = ACTIONS(2263),
    [anon_sym_sizeof] = ACTIONS(2265),
    [anon_sym___alignof__] = ACTIONS(2265),
    [anon_sym___alignof] = ACTIONS(2265),
    [anon_sym__alignof] = ACTIONS(2265),
    [anon_sym_alignof] = ACTIONS(2265),
    [anon_sym__Alignof] = ACTIONS(2265),
    [anon_sym_offsetof] = ACTIONS(2265),
    [anon_sym__Generic] = ACTIONS(2265),
    [anon_sym_asm] = ACTIONS(2265),
    [anon_sym___asm__] = ACTIONS(2265),
    [aux_sym_number_literal_token1] = ACTIONS(2263),
    [aux_sym_number_literal_token2] = ACTIONS(2265),
    [anon_sym_L_SQUOTE] = ACTIONS(2263),
    [anon_sym_u_SQUOTE] = ACTIONS(2263),
    [anon_sym_U_SQUOTE] = ACTIONS(2263),
    [anon_sym_u8_SQUOTE] = ACTIONS(2263),
    [anon_sym_SQUOTE] = ACTIONS(2263),
    [anon_sym_L_DQUOTE] = ACTIONS(2263),
    [anon_sym_u_DQUOTE] = ACTIONS(2263),
    [anon_sym_U_DQUOTE] = ACTIONS(2263),
    [anon_sym_u8_DQUOTE] = ACTIONS(2263),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_true] = ACTIONS(2265),
    [sym_false] = ACTIONS(2265),
    [anon_sym_NULL] = ACTIONS(2265),
    [anon_sym_nullptr] = ACTIONS(2265),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2265),
    [anon_sym_decltype] = ACTIONS(2265),
    [anon_sym_virtual] = ACTIONS(2265),
    [anon_sym_alignas] = ACTIONS(2265),
    [anon_sym_explicit] = ACTIONS(2265),
    [anon_sym_typename] = ACTIONS(2265),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_operator] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_delete] = ACTIONS(2265),
    [anon_sym_throw] = ACTIONS(2265),
    [anon_sym_namespace] = ACTIONS(2265),
    [anon_sym_using] = ACTIONS(2265),
    [anon_sym_static_assert] = ACTIONS(2265),
    [anon_sym_concept] = ACTIONS(2265),
    [anon_sym_co_return] = ACTIONS(2265),
    [anon_sym_co_yield] = ACTIONS(2265),
    [anon_sym_catch] = ACTIONS(2265),
    [anon_sym_R_DQUOTE] = ACTIONS(2263),
    [anon_sym_LR_DQUOTE] = ACTIONS(2263),
    [anon_sym_uR_DQUOTE] = ACTIONS(2263),
    [anon_sym_UR_DQUOTE] = ACTIONS(2263),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2263),
    [anon_sym_co_await] = ACTIONS(2265),
    [anon_sym_new] = ACTIONS(2265),
    [anon_sym_requires] = ACTIONS(2265),
    [sym_this] = ACTIONS(2265),
  },
  [266] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5193),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8745),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(2862),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(2865),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2872),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [anon_sym_PROGMEM] = ACTIONS(2867),
    [aux_sym_primitive_type_token1] = ACTIONS(2874),
    [anon_sym_byte] = ACTIONS(2874),
    [anon_sym_word] = ACTIONS(2874),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2880),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [267] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5142),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9168),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(2883),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(2886),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_extern] = ACTIONS(2888),
    [anon_sym___attribute__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(2890),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2893),
    [anon_sym___declspec] = ACTIONS(2888),
    [anon_sym_signed] = ACTIONS(2888),
    [anon_sym_unsigned] = ACTIONS(2888),
    [anon_sym_long] = ACTIONS(2888),
    [anon_sym_short] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_register] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2888),
    [anon_sym___inline] = ACTIONS(2888),
    [anon_sym___inline__] = ACTIONS(2888),
    [anon_sym___forceinline] = ACTIONS(2888),
    [anon_sym_thread_local] = ACTIONS(2888),
    [anon_sym___thread] = ACTIONS(2888),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_PROGMEM] = ACTIONS(2888),
    [aux_sym_primitive_type_token1] = ACTIONS(2895),
    [anon_sym_byte] = ACTIONS(2895),
    [anon_sym_word] = ACTIONS(2895),
    [anon_sym_enum] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_struct] = ACTIONS(2888),
    [anon_sym_union] = ACTIONS(2888),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2888),
    [anon_sym_decltype] = ACTIONS(2898),
    [anon_sym_virtual] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2888),
    [anon_sym_typename] = ACTIONS(2888),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [268] = {
    [sym_catch_clause] = STATE(268),
    [aux_sym_constructor_try_statement_repeat1] = STATE(268),
    [sym_identifier] = ACTIONS(2847),
    [aux_sym_preproc_include_token1] = ACTIONS(2847),
    [aux_sym_preproc_def_token1] = ACTIONS(2847),
    [aux_sym_preproc_if_token1] = ACTIONS(2847),
    [aux_sym_preproc_if_token2] = ACTIONS(2847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2847),
    [aux_sym_preproc_else_token1] = ACTIONS(2847),
    [aux_sym_preproc_elif_token1] = ACTIONS(2847),
    [sym_preproc_directive] = ACTIONS(2847),
    [anon_sym_LPAREN2] = ACTIONS(2849),
    [anon_sym_BANG] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2849),
    [anon_sym_DASH] = ACTIONS(2847),
    [anon_sym_PLUS] = ACTIONS(2847),
    [anon_sym_STAR] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2849),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_SEMI] = ACTIONS(2849),
    [anon_sym___extension__] = ACTIONS(2847),
    [anon_sym_typedef] = ACTIONS(2847),
    [anon_sym_extern] = ACTIONS(2847),
    [anon_sym___attribute__] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(2849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2849),
    [anon_sym___declspec] = ACTIONS(2847),
    [anon_sym___based] = ACTIONS(2847),
    [anon_sym___cdecl] = ACTIONS(2847),
    [anon_sym___clrcall] = ACTIONS(2847),
    [anon_sym___stdcall] = ACTIONS(2847),
    [anon_sym___fastcall] = ACTIONS(2847),
    [anon_sym___thiscall] = ACTIONS(2847),
    [anon_sym___vectorcall] = ACTIONS(2847),
    [anon_sym_LBRACE] = ACTIONS(2849),
    [anon_sym_signed] = ACTIONS(2847),
    [anon_sym_unsigned] = ACTIONS(2847),
    [anon_sym_long] = ACTIONS(2847),
    [anon_sym_short] = ACTIONS(2847),
    [anon_sym_LBRACK] = ACTIONS(2847),
    [anon_sym_static] = ACTIONS(2847),
    [anon_sym_register] = ACTIONS(2847),
    [anon_sym_inline] = ACTIONS(2847),
    [anon_sym___inline] = ACTIONS(2847),
    [anon_sym___inline__] = ACTIONS(2847),
    [anon_sym___forceinline] = ACTIONS(2847),
    [anon_sym_thread_local] = ACTIONS(2847),
    [anon_sym___thread] = ACTIONS(2847),
    [anon_sym_const] = ACTIONS(2847),
    [anon_sym_constexpr] = ACTIONS(2847),
    [anon_sym_volatile] = ACTIONS(2847),
    [anon_sym_restrict] = ACTIONS(2847),
    [anon_sym___restrict__] = ACTIONS(2847),
    [anon_sym__Atomic] = ACTIONS(2847),
    [anon_sym__Noreturn] = ACTIONS(2847),
    [anon_sym_noreturn] = ACTIONS(2847),
    [anon_sym_mutable] = ACTIONS(2847),
    [anon_sym_constinit] = ACTIONS(2847),
    [anon_sym_consteval] = ACTIONS(2847),
    [anon_sym_PROGMEM] = ACTIONS(2847),
    [aux_sym_primitive_type_token1] = ACTIONS(2847),
    [anon_sym_byte] = ACTIONS(2847),
    [anon_sym_word] = ACTIONS(2847),
    [anon_sym_enum] = ACTIONS(2847),
    [anon_sym_class] = ACTIONS(2847),
    [anon_sym_struct] = ACTIONS(2847),
    [anon_sym_union] = ACTIONS(2847),
    [anon_sym_if] = ACTIONS(2847),
    [anon_sym_else] = ACTIONS(2847),
    [anon_sym_switch] = ACTIONS(2847),
    [anon_sym_case] = ACTIONS(2847),
    [anon_sym_default] = ACTIONS(2847),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_do] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2847),
    [anon_sym_return] = ACTIONS(2847),
    [anon_sym_break] = ACTIONS(2847),
    [anon_sym_continue] = ACTIONS(2847),
    [anon_sym_goto] = ACTIONS(2847),
    [anon_sym___try] = ACTIONS(2847),
    [anon_sym___leave] = ACTIONS(2847),
    [anon_sym_not] = ACTIONS(2847),
    [anon_sym_compl] = ACTIONS(2847),
    [anon_sym_DASH_DASH] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2849),
    [anon_sym_sizeof] = ACTIONS(2847),
    [anon_sym___alignof__] = ACTIONS(2847),
    [anon_sym___alignof] = ACTIONS(2847),
    [anon_sym__alignof] = ACTIONS(2847),
    [anon_sym_alignof] = ACTIONS(2847),
    [anon_sym__Alignof] = ACTIONS(2847),
    [anon_sym_offsetof] = ACTIONS(2847),
    [anon_sym__Generic] = ACTIONS(2847),
    [anon_sym_asm] = ACTIONS(2847),
    [anon_sym___asm__] = ACTIONS(2847),
    [aux_sym_number_literal_token1] = ACTIONS(2849),
    [aux_sym_number_literal_token2] = ACTIONS(2847),
    [anon_sym_L_SQUOTE] = ACTIONS(2849),
    [anon_sym_u_SQUOTE] = ACTIONS(2849),
    [anon_sym_U_SQUOTE] = ACTIONS(2849),
    [anon_sym_u8_SQUOTE] = ACTIONS(2849),
    [anon_sym_SQUOTE] = ACTIONS(2849),
    [anon_sym_L_DQUOTE] = ACTIONS(2849),
    [anon_sym_u_DQUOTE] = ACTIONS(2849),
    [anon_sym_U_DQUOTE] = ACTIONS(2849),
    [anon_sym_u8_DQUOTE] = ACTIONS(2849),
    [anon_sym_DQUOTE] = ACTIONS(2849),
    [sym_true] = ACTIONS(2847),
    [sym_false] = ACTIONS(2847),
    [anon_sym_NULL] = ACTIONS(2847),
    [anon_sym_nullptr] = ACTIONS(2847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2847),
    [anon_sym_decltype] = ACTIONS(2847),
    [anon_sym_virtual] = ACTIONS(2847),
    [anon_sym_alignas] = ACTIONS(2847),
    [anon_sym_explicit] = ACTIONS(2847),
    [anon_sym_typename] = ACTIONS(2847),
    [anon_sym_template] = ACTIONS(2847),
    [anon_sym_operator] = ACTIONS(2847),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_delete] = ACTIONS(2847),
    [anon_sym_throw] = ACTIONS(2847),
    [anon_sym_namespace] = ACTIONS(2847),
    [anon_sym_using] = ACTIONS(2847),
    [anon_sym_static_assert] = ACTIONS(2847),
    [anon_sym_concept] = ACTIONS(2847),
    [anon_sym_co_return] = ACTIONS(2847),
    [anon_sym_co_yield] = ACTIONS(2847),
    [anon_sym_catch] = ACTIONS(2904),
    [anon_sym_R_DQUOTE] = ACTIONS(2849),
    [anon_sym_LR_DQUOTE] = ACTIONS(2849),
    [anon_sym_uR_DQUOTE] = ACTIONS(2849),
    [anon_sym_UR_DQUOTE] = ACTIONS(2849),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2849),
    [anon_sym_co_await] = ACTIONS(2847),
    [anon_sym_new] = ACTIONS(2847),
    [anon_sym_requires] = ACTIONS(2847),
    [sym_this] = ACTIONS(2847),
  },
  [269] = {
    [sym_else_clause] = STATE(351),
    [sym_identifier] = ACTIONS(2907),
    [aux_sym_preproc_include_token1] = ACTIONS(2907),
    [aux_sym_preproc_def_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token2] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2907),
    [aux_sym_preproc_else_token1] = ACTIONS(2907),
    [aux_sym_preproc_elif_token1] = ACTIONS(2907),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2907),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2907),
    [sym_preproc_directive] = ACTIONS(2907),
    [anon_sym_LPAREN2] = ACTIONS(2909),
    [anon_sym_BANG] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_SEMI] = ACTIONS(2909),
    [anon_sym___extension__] = ACTIONS(2907),
    [anon_sym_typedef] = ACTIONS(2907),
    [anon_sym_extern] = ACTIONS(2907),
    [anon_sym___attribute__] = ACTIONS(2907),
    [anon_sym_COLON_COLON] = ACTIONS(2909),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2909),
    [anon_sym___declspec] = ACTIONS(2907),
    [anon_sym___based] = ACTIONS(2907),
    [anon_sym___cdecl] = ACTIONS(2907),
    [anon_sym___clrcall] = ACTIONS(2907),
    [anon_sym___stdcall] = ACTIONS(2907),
    [anon_sym___fastcall] = ACTIONS(2907),
    [anon_sym___thiscall] = ACTIONS(2907),
    [anon_sym___vectorcall] = ACTIONS(2907),
    [anon_sym_LBRACE] = ACTIONS(2909),
    [anon_sym_signed] = ACTIONS(2907),
    [anon_sym_unsigned] = ACTIONS(2907),
    [anon_sym_long] = ACTIONS(2907),
    [anon_sym_short] = ACTIONS(2907),
    [anon_sym_LBRACK] = ACTIONS(2907),
    [anon_sym_static] = ACTIONS(2907),
    [anon_sym_register] = ACTIONS(2907),
    [anon_sym_inline] = ACTIONS(2907),
    [anon_sym___inline] = ACTIONS(2907),
    [anon_sym___inline__] = ACTIONS(2907),
    [anon_sym___forceinline] = ACTIONS(2907),
    [anon_sym_thread_local] = ACTIONS(2907),
    [anon_sym___thread] = ACTIONS(2907),
    [anon_sym_const] = ACTIONS(2907),
    [anon_sym_constexpr] = ACTIONS(2907),
    [anon_sym_volatile] = ACTIONS(2907),
    [anon_sym_restrict] = ACTIONS(2907),
    [anon_sym___restrict__] = ACTIONS(2907),
    [anon_sym__Atomic] = ACTIONS(2907),
    [anon_sym__Noreturn] = ACTIONS(2907),
    [anon_sym_noreturn] = ACTIONS(2907),
    [anon_sym_mutable] = ACTIONS(2907),
    [anon_sym_constinit] = ACTIONS(2907),
    [anon_sym_consteval] = ACTIONS(2907),
    [anon_sym_PROGMEM] = ACTIONS(2907),
    [aux_sym_primitive_type_token1] = ACTIONS(2907),
    [anon_sym_byte] = ACTIONS(2907),
    [anon_sym_word] = ACTIONS(2907),
    [anon_sym_enum] = ACTIONS(2907),
    [anon_sym_class] = ACTIONS(2907),
    [anon_sym_struct] = ACTIONS(2907),
    [anon_sym_union] = ACTIONS(2907),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2907),
    [anon_sym_case] = ACTIONS(2907),
    [anon_sym_default] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(2907),
    [anon_sym_do] = ACTIONS(2907),
    [anon_sym_for] = ACTIONS(2907),
    [anon_sym_return] = ACTIONS(2907),
    [anon_sym_break] = ACTIONS(2907),
    [anon_sym_continue] = ACTIONS(2907),
    [anon_sym_goto] = ACTIONS(2907),
    [anon_sym___try] = ACTIONS(2907),
    [anon_sym___leave] = ACTIONS(2907),
    [anon_sym_not] = ACTIONS(2907),
    [anon_sym_compl] = ACTIONS(2907),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_sizeof] = ACTIONS(2907),
    [anon_sym___alignof__] = ACTIONS(2907),
    [anon_sym___alignof] = ACTIONS(2907),
    [anon_sym__alignof] = ACTIONS(2907),
    [anon_sym_alignof] = ACTIONS(2907),
    [anon_sym__Alignof] = ACTIONS(2907),
    [anon_sym_offsetof] = ACTIONS(2907),
    [anon_sym__Generic] = ACTIONS(2907),
    [anon_sym_asm] = ACTIONS(2907),
    [anon_sym___asm__] = ACTIONS(2907),
    [aux_sym_number_literal_token1] = ACTIONS(2909),
    [aux_sym_number_literal_token2] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2909),
    [anon_sym_u_SQUOTE] = ACTIONS(2909),
    [anon_sym_U_SQUOTE] = ACTIONS(2909),
    [anon_sym_u8_SQUOTE] = ACTIONS(2909),
    [anon_sym_SQUOTE] = ACTIONS(2909),
    [anon_sym_L_DQUOTE] = ACTIONS(2909),
    [anon_sym_u_DQUOTE] = ACTIONS(2909),
    [anon_sym_U_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8_DQUOTE] = ACTIONS(2909),
    [anon_sym_DQUOTE] = ACTIONS(2909),
    [sym_true] = ACTIONS(2907),
    [sym_false] = ACTIONS(2907),
    [anon_sym_NULL] = ACTIONS(2907),
    [anon_sym_nullptr] = ACTIONS(2907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2907),
    [anon_sym_decltype] = ACTIONS(2907),
    [anon_sym_virtual] = ACTIONS(2907),
    [anon_sym_alignas] = ACTIONS(2907),
    [anon_sym_explicit] = ACTIONS(2907),
    [anon_sym_typename] = ACTIONS(2907),
    [anon_sym_template] = ACTIONS(2907),
    [anon_sym_operator] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2907),
    [anon_sym_delete] = ACTIONS(2907),
    [anon_sym_throw] = ACTIONS(2907),
    [anon_sym_namespace] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2907),
    [anon_sym_static_assert] = ACTIONS(2907),
    [anon_sym_concept] = ACTIONS(2907),
    [anon_sym_co_return] = ACTIONS(2907),
    [anon_sym_co_yield] = ACTIONS(2907),
    [anon_sym_R_DQUOTE] = ACTIONS(2909),
    [anon_sym_LR_DQUOTE] = ACTIONS(2909),
    [anon_sym_uR_DQUOTE] = ACTIONS(2909),
    [anon_sym_UR_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2909),
    [anon_sym_co_await] = ACTIONS(2907),
    [anon_sym_new] = ACTIONS(2907),
    [anon_sym_requires] = ACTIONS(2907),
    [sym_this] = ACTIONS(2907),
  },
  [270] = {
    [sym_else_clause] = STATE(283),
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [aux_sym_preproc_else_token1] = ACTIONS(2913),
    [aux_sym_preproc_elif_token1] = ACTIONS(2913),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_PROGMEM] = ACTIONS(2913),
    [aux_sym_primitive_type_token1] = ACTIONS(2913),
    [anon_sym_byte] = ACTIONS(2913),
    [anon_sym_word] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [aux_sym_number_literal_token1] = ACTIONS(2915),
    [aux_sym_number_literal_token2] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [271] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [aux_sym_preproc_else_token1] = ACTIONS(2917),
    [aux_sym_preproc_elif_token1] = ACTIONS(2917),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_PROGMEM] = ACTIONS(2917),
    [aux_sym_primitive_type_token1] = ACTIONS(2917),
    [anon_sym_byte] = ACTIONS(2917),
    [anon_sym_word] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [aux_sym_number_literal_token1] = ACTIONS(2919),
    [aux_sym_number_literal_token2] = ACTIONS(2917),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_catch] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [272] = {
    [sym_catch_clause] = STATE(268),
    [aux_sym_constructor_try_statement_repeat1] = STATE(268),
    [sym_identifier] = ACTIONS(2841),
    [aux_sym_preproc_include_token1] = ACTIONS(2841),
    [aux_sym_preproc_def_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token2] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2841),
    [aux_sym_preproc_else_token1] = ACTIONS(2841),
    [aux_sym_preproc_elif_token1] = ACTIONS(2841),
    [sym_preproc_directive] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_BANG] = ACTIONS(2843),
    [anon_sym_TILDE] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym_SEMI] = ACTIONS(2843),
    [anon_sym___extension__] = ACTIONS(2841),
    [anon_sym_typedef] = ACTIONS(2841),
    [anon_sym_extern] = ACTIONS(2841),
    [anon_sym___attribute__] = ACTIONS(2841),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2843),
    [anon_sym___declspec] = ACTIONS(2841),
    [anon_sym___based] = ACTIONS(2841),
    [anon_sym___cdecl] = ACTIONS(2841),
    [anon_sym___clrcall] = ACTIONS(2841),
    [anon_sym___stdcall] = ACTIONS(2841),
    [anon_sym___fastcall] = ACTIONS(2841),
    [anon_sym___thiscall] = ACTIONS(2841),
    [anon_sym___vectorcall] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_signed] = ACTIONS(2841),
    [anon_sym_unsigned] = ACTIONS(2841),
    [anon_sym_long] = ACTIONS(2841),
    [anon_sym_short] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_static] = ACTIONS(2841),
    [anon_sym_register] = ACTIONS(2841),
    [anon_sym_inline] = ACTIONS(2841),
    [anon_sym___inline] = ACTIONS(2841),
    [anon_sym___inline__] = ACTIONS(2841),
    [anon_sym___forceinline] = ACTIONS(2841),
    [anon_sym_thread_local] = ACTIONS(2841),
    [anon_sym___thread] = ACTIONS(2841),
    [anon_sym_const] = ACTIONS(2841),
    [anon_sym_constexpr] = ACTIONS(2841),
    [anon_sym_volatile] = ACTIONS(2841),
    [anon_sym_restrict] = ACTIONS(2841),
    [anon_sym___restrict__] = ACTIONS(2841),
    [anon_sym__Atomic] = ACTIONS(2841),
    [anon_sym__Noreturn] = ACTIONS(2841),
    [anon_sym_noreturn] = ACTIONS(2841),
    [anon_sym_mutable] = ACTIONS(2841),
    [anon_sym_constinit] = ACTIONS(2841),
    [anon_sym_consteval] = ACTIONS(2841),
    [anon_sym_PROGMEM] = ACTIONS(2841),
    [aux_sym_primitive_type_token1] = ACTIONS(2841),
    [anon_sym_byte] = ACTIONS(2841),
    [anon_sym_word] = ACTIONS(2841),
    [anon_sym_enum] = ACTIONS(2841),
    [anon_sym_class] = ACTIONS(2841),
    [anon_sym_struct] = ACTIONS(2841),
    [anon_sym_union] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_else] = ACTIONS(2841),
    [anon_sym_switch] = ACTIONS(2841),
    [anon_sym_case] = ACTIONS(2841),
    [anon_sym_default] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_break] = ACTIONS(2841),
    [anon_sym_continue] = ACTIONS(2841),
    [anon_sym_goto] = ACTIONS(2841),
    [anon_sym___try] = ACTIONS(2841),
    [anon_sym___leave] = ACTIONS(2841),
    [anon_sym_not] = ACTIONS(2841),
    [anon_sym_compl] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2843),
    [anon_sym_PLUS_PLUS] = ACTIONS(2843),
    [anon_sym_sizeof] = ACTIONS(2841),
    [anon_sym___alignof__] = ACTIONS(2841),
    [anon_sym___alignof] = ACTIONS(2841),
    [anon_sym__alignof] = ACTIONS(2841),
    [anon_sym_alignof] = ACTIONS(2841),
    [anon_sym__Alignof] = ACTIONS(2841),
    [anon_sym_offsetof] = ACTIONS(2841),
    [anon_sym__Generic] = ACTIONS(2841),
    [anon_sym_asm] = ACTIONS(2841),
    [anon_sym___asm__] = ACTIONS(2841),
    [aux_sym_number_literal_token1] = ACTIONS(2843),
    [aux_sym_number_literal_token2] = ACTIONS(2841),
    [anon_sym_L_SQUOTE] = ACTIONS(2843),
    [anon_sym_u_SQUOTE] = ACTIONS(2843),
    [anon_sym_U_SQUOTE] = ACTIONS(2843),
    [anon_sym_u8_SQUOTE] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_L_DQUOTE] = ACTIONS(2843),
    [anon_sym_u_DQUOTE] = ACTIONS(2843),
    [anon_sym_U_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8_DQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2843),
    [sym_true] = ACTIONS(2841),
    [sym_false] = ACTIONS(2841),
    [anon_sym_NULL] = ACTIONS(2841),
    [anon_sym_nullptr] = ACTIONS(2841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2841),
    [anon_sym_decltype] = ACTIONS(2841),
    [anon_sym_virtual] = ACTIONS(2841),
    [anon_sym_alignas] = ACTIONS(2841),
    [anon_sym_explicit] = ACTIONS(2841),
    [anon_sym_typename] = ACTIONS(2841),
    [anon_sym_template] = ACTIONS(2841),
    [anon_sym_operator] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_delete] = ACTIONS(2841),
    [anon_sym_throw] = ACTIONS(2841),
    [anon_sym_namespace] = ACTIONS(2841),
    [anon_sym_using] = ACTIONS(2841),
    [anon_sym_static_assert] = ACTIONS(2841),
    [anon_sym_concept] = ACTIONS(2841),
    [anon_sym_co_return] = ACTIONS(2841),
    [anon_sym_co_yield] = ACTIONS(2841),
    [anon_sym_catch] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2843),
    [anon_sym_LR_DQUOTE] = ACTIONS(2843),
    [anon_sym_uR_DQUOTE] = ACTIONS(2843),
    [anon_sym_UR_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2843),
    [anon_sym_co_await] = ACTIONS(2841),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_requires] = ACTIONS(2841),
    [sym_this] = ACTIONS(2841),
  },
  [273] = {
    [sym_identifier] = ACTIONS(2261),
    [aux_sym_preproc_include_token1] = ACTIONS(2261),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [aux_sym_preproc_if_token1] = ACTIONS(2261),
    [aux_sym_preproc_if_token2] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2261),
    [aux_sym_preproc_else_token1] = ACTIONS(2261),
    [aux_sym_preproc_elif_token1] = ACTIONS(2261),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2261),
    [anon_sym_LPAREN2] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2261),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym___extension__] = ACTIONS(2261),
    [anon_sym_typedef] = ACTIONS(2261),
    [anon_sym_extern] = ACTIONS(2261),
    [anon_sym___attribute__] = ACTIONS(2261),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2259),
    [anon_sym___declspec] = ACTIONS(2261),
    [anon_sym___based] = ACTIONS(2261),
    [anon_sym___cdecl] = ACTIONS(2261),
    [anon_sym___clrcall] = ACTIONS(2261),
    [anon_sym___stdcall] = ACTIONS(2261),
    [anon_sym___fastcall] = ACTIONS(2261),
    [anon_sym___thiscall] = ACTIONS(2261),
    [anon_sym___vectorcall] = ACTIONS(2261),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_signed] = ACTIONS(2261),
    [anon_sym_unsigned] = ACTIONS(2261),
    [anon_sym_long] = ACTIONS(2261),
    [anon_sym_short] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_register] = ACTIONS(2261),
    [anon_sym_inline] = ACTIONS(2261),
    [anon_sym___inline] = ACTIONS(2261),
    [anon_sym___inline__] = ACTIONS(2261),
    [anon_sym___forceinline] = ACTIONS(2261),
    [anon_sym_thread_local] = ACTIONS(2261),
    [anon_sym___thread] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_constexpr] = ACTIONS(2261),
    [anon_sym_volatile] = ACTIONS(2261),
    [anon_sym_restrict] = ACTIONS(2261),
    [anon_sym___restrict__] = ACTIONS(2261),
    [anon_sym__Atomic] = ACTIONS(2261),
    [anon_sym__Noreturn] = ACTIONS(2261),
    [anon_sym_noreturn] = ACTIONS(2261),
    [anon_sym_mutable] = ACTIONS(2261),
    [anon_sym_constinit] = ACTIONS(2261),
    [anon_sym_consteval] = ACTIONS(2261),
    [anon_sym_PROGMEM] = ACTIONS(2261),
    [aux_sym_primitive_type_token1] = ACTIONS(2261),
    [anon_sym_byte] = ACTIONS(2261),
    [anon_sym_word] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_struct] = ACTIONS(2261),
    [anon_sym_union] = ACTIONS(2261),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_else] = ACTIONS(2261),
    [anon_sym_switch] = ACTIONS(2261),
    [anon_sym_case] = ACTIONS(2261),
    [anon_sym_default] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2261),
    [anon_sym_do] = ACTIONS(2261),
    [anon_sym_for] = ACTIONS(2261),
    [anon_sym_return] = ACTIONS(2261),
    [anon_sym_break] = ACTIONS(2261),
    [anon_sym_continue] = ACTIONS(2261),
    [anon_sym_goto] = ACTIONS(2261),
    [anon_sym___try] = ACTIONS(2261),
    [anon_sym___leave] = ACTIONS(2261),
    [anon_sym_not] = ACTIONS(2261),
    [anon_sym_compl] = ACTIONS(2261),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_sizeof] = ACTIONS(2261),
    [anon_sym___alignof__] = ACTIONS(2261),
    [anon_sym___alignof] = ACTIONS(2261),
    [anon_sym__alignof] = ACTIONS(2261),
    [anon_sym_alignof] = ACTIONS(2261),
    [anon_sym__Alignof] = ACTIONS(2261),
    [anon_sym_offsetof] = ACTIONS(2261),
    [anon_sym__Generic] = ACTIONS(2261),
    [anon_sym_asm] = ACTIONS(2261),
    [anon_sym___asm__] = ACTIONS(2261),
    [aux_sym_number_literal_token1] = ACTIONS(2259),
    [aux_sym_number_literal_token2] = ACTIONS(2261),
    [anon_sym_L_SQUOTE] = ACTIONS(2259),
    [anon_sym_u_SQUOTE] = ACTIONS(2259),
    [anon_sym_U_SQUOTE] = ACTIONS(2259),
    [anon_sym_u8_SQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [anon_sym_L_DQUOTE] = ACTIONS(2259),
    [anon_sym_u_DQUOTE] = ACTIONS(2259),
    [anon_sym_U_DQUOTE] = ACTIONS(2259),
    [anon_sym_u8_DQUOTE] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [sym_true] = ACTIONS(2261),
    [sym_false] = ACTIONS(2261),
    [anon_sym_NULL] = ACTIONS(2261),
    [anon_sym_nullptr] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2261),
    [anon_sym_decltype] = ACTIONS(2261),
    [anon_sym_virtual] = ACTIONS(2261),
    [anon_sym_alignas] = ACTIONS(2261),
    [anon_sym_explicit] = ACTIONS(2261),
    [anon_sym_typename] = ACTIONS(2261),
    [anon_sym_template] = ACTIONS(2261),
    [anon_sym_operator] = ACTIONS(2261),
    [anon_sym_try] = ACTIONS(2261),
    [anon_sym_delete] = ACTIONS(2261),
    [anon_sym_throw] = ACTIONS(2261),
    [anon_sym_namespace] = ACTIONS(2261),
    [anon_sym_using] = ACTIONS(2261),
    [anon_sym_static_assert] = ACTIONS(2261),
    [anon_sym_concept] = ACTIONS(2261),
    [anon_sym_co_return] = ACTIONS(2261),
    [anon_sym_co_yield] = ACTIONS(2261),
    [anon_sym_catch] = ACTIONS(2261),
    [anon_sym_R_DQUOTE] = ACTIONS(2259),
    [anon_sym_LR_DQUOTE] = ACTIONS(2259),
    [anon_sym_uR_DQUOTE] = ACTIONS(2259),
    [anon_sym_UR_DQUOTE] = ACTIONS(2259),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2259),
    [anon_sym_co_await] = ACTIONS(2261),
    [anon_sym_new] = ACTIONS(2261),
    [anon_sym_requires] = ACTIONS(2261),
    [sym_this] = ACTIONS(2261),
  },
  [274] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5187),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8746),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(2923),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2933),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_PROGMEM] = ACTIONS(2928),
    [aux_sym_primitive_type_token1] = ACTIONS(2935),
    [anon_sym_byte] = ACTIONS(2935),
    [anon_sym_word] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2938),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [275] = {
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_include_token1] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token2] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [aux_sym_preproc_else_token1] = ACTIONS(2944),
    [aux_sym_preproc_elif_token1] = ACTIONS(2944),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2944),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym___cdecl] = ACTIONS(2944),
    [anon_sym___clrcall] = ACTIONS(2944),
    [anon_sym___stdcall] = ACTIONS(2944),
    [anon_sym___fastcall] = ACTIONS(2944),
    [anon_sym___thiscall] = ACTIONS(2944),
    [anon_sym___vectorcall] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(2946),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_PROGMEM] = ACTIONS(2944),
    [aux_sym_primitive_type_token1] = ACTIONS(2944),
    [anon_sym_byte] = ACTIONS(2944),
    [anon_sym_word] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [anon_sym_if] = ACTIONS(2944),
    [anon_sym_else] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2944),
    [anon_sym_case] = ACTIONS(2944),
    [anon_sym_default] = ACTIONS(2944),
    [anon_sym_while] = ACTIONS(2944),
    [anon_sym_do] = ACTIONS(2944),
    [anon_sym_for] = ACTIONS(2944),
    [anon_sym_return] = ACTIONS(2944),
    [anon_sym_break] = ACTIONS(2944),
    [anon_sym_continue] = ACTIONS(2944),
    [anon_sym_goto] = ACTIONS(2944),
    [anon_sym___try] = ACTIONS(2944),
    [anon_sym___leave] = ACTIONS(2944),
    [anon_sym_not] = ACTIONS(2944),
    [anon_sym_compl] = ACTIONS(2944),
    [anon_sym_DASH_DASH] = ACTIONS(2946),
    [anon_sym_PLUS_PLUS] = ACTIONS(2946),
    [anon_sym_sizeof] = ACTIONS(2944),
    [anon_sym___alignof__] = ACTIONS(2944),
    [anon_sym___alignof] = ACTIONS(2944),
    [anon_sym__alignof] = ACTIONS(2944),
    [anon_sym_alignof] = ACTIONS(2944),
    [anon_sym__Alignof] = ACTIONS(2944),
    [anon_sym_offsetof] = ACTIONS(2944),
    [anon_sym__Generic] = ACTIONS(2944),
    [anon_sym_asm] = ACTIONS(2944),
    [anon_sym___asm__] = ACTIONS(2944),
    [aux_sym_number_literal_token1] = ACTIONS(2946),
    [aux_sym_number_literal_token2] = ACTIONS(2944),
    [anon_sym_L_SQUOTE] = ACTIONS(2946),
    [anon_sym_u_SQUOTE] = ACTIONS(2946),
    [anon_sym_U_SQUOTE] = ACTIONS(2946),
    [anon_sym_u8_SQUOTE] = ACTIONS(2946),
    [anon_sym_SQUOTE] = ACTIONS(2946),
    [anon_sym_L_DQUOTE] = ACTIONS(2946),
    [anon_sym_u_DQUOTE] = ACTIONS(2946),
    [anon_sym_U_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8_DQUOTE] = ACTIONS(2946),
    [anon_sym_DQUOTE] = ACTIONS(2946),
    [sym_true] = ACTIONS(2944),
    [sym_false] = ACTIONS(2944),
    [anon_sym_NULL] = ACTIONS(2944),
    [anon_sym_nullptr] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_delete] = ACTIONS(2944),
    [anon_sym_throw] = ACTIONS(2944),
    [anon_sym_namespace] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
    [anon_sym_concept] = ACTIONS(2944),
    [anon_sym_co_return] = ACTIONS(2944),
    [anon_sym_co_yield] = ACTIONS(2944),
    [anon_sym_R_DQUOTE] = ACTIONS(2946),
    [anon_sym_LR_DQUOTE] = ACTIONS(2946),
    [anon_sym_uR_DQUOTE] = ACTIONS(2946),
    [anon_sym_UR_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2946),
    [anon_sym_co_await] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(2944),
    [anon_sym_requires] = ACTIONS(2944),
    [sym_this] = ACTIONS(2944),
  },
  [276] = {
    [sym_identifier] = ACTIONS(2948),
    [aux_sym_preproc_include_token1] = ACTIONS(2948),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token2] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2948),
    [aux_sym_preproc_else_token1] = ACTIONS(2948),
    [aux_sym_preproc_elif_token1] = ACTIONS(2948),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2948),
    [sym_preproc_directive] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(2950),
    [anon_sym_BANG] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_DASH] = ACTIONS(2948),
    [anon_sym_PLUS] = ACTIONS(2948),
    [anon_sym_STAR] = ACTIONS(2950),
    [anon_sym_AMP_AMP] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym___extension__] = ACTIONS(2948),
    [anon_sym_typedef] = ACTIONS(2948),
    [anon_sym_extern] = ACTIONS(2948),
    [anon_sym___attribute__] = ACTIONS(2948),
    [anon_sym_COLON_COLON] = ACTIONS(2950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2950),
    [anon_sym___declspec] = ACTIONS(2948),
    [anon_sym___based] = ACTIONS(2948),
    [anon_sym___cdecl] = ACTIONS(2948),
    [anon_sym___clrcall] = ACTIONS(2948),
    [anon_sym___stdcall] = ACTIONS(2948),
    [anon_sym___fastcall] = ACTIONS(2948),
    [anon_sym___thiscall] = ACTIONS(2948),
    [anon_sym___vectorcall] = ACTIONS(2948),
    [anon_sym_LBRACE] = ACTIONS(2950),
    [anon_sym_signed] = ACTIONS(2948),
    [anon_sym_unsigned] = ACTIONS(2948),
    [anon_sym_long] = ACTIONS(2948),
    [anon_sym_short] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_register] = ACTIONS(2948),
    [anon_sym_inline] = ACTIONS(2948),
    [anon_sym___inline] = ACTIONS(2948),
    [anon_sym___inline__] = ACTIONS(2948),
    [anon_sym___forceinline] = ACTIONS(2948),
    [anon_sym_thread_local] = ACTIONS(2948),
    [anon_sym___thread] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_constexpr] = ACTIONS(2948),
    [anon_sym_volatile] = ACTIONS(2948),
    [anon_sym_restrict] = ACTIONS(2948),
    [anon_sym___restrict__] = ACTIONS(2948),
    [anon_sym__Atomic] = ACTIONS(2948),
    [anon_sym__Noreturn] = ACTIONS(2948),
    [anon_sym_noreturn] = ACTIONS(2948),
    [anon_sym_mutable] = ACTIONS(2948),
    [anon_sym_constinit] = ACTIONS(2948),
    [anon_sym_consteval] = ACTIONS(2948),
    [anon_sym_PROGMEM] = ACTIONS(2948),
    [aux_sym_primitive_type_token1] = ACTIONS(2948),
    [anon_sym_byte] = ACTIONS(2948),
    [anon_sym_word] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_struct] = ACTIONS(2948),
    [anon_sym_union] = ACTIONS(2948),
    [anon_sym_if] = ACTIONS(2948),
    [anon_sym_else] = ACTIONS(2948),
    [anon_sym_switch] = ACTIONS(2948),
    [anon_sym_case] = ACTIONS(2948),
    [anon_sym_default] = ACTIONS(2948),
    [anon_sym_while] = ACTIONS(2948),
    [anon_sym_do] = ACTIONS(2948),
    [anon_sym_for] = ACTIONS(2948),
    [anon_sym_return] = ACTIONS(2948),
    [anon_sym_break] = ACTIONS(2948),
    [anon_sym_continue] = ACTIONS(2948),
    [anon_sym_goto] = ACTIONS(2948),
    [anon_sym___try] = ACTIONS(2948),
    [anon_sym___leave] = ACTIONS(2948),
    [anon_sym_not] = ACTIONS(2948),
    [anon_sym_compl] = ACTIONS(2948),
    [anon_sym_DASH_DASH] = ACTIONS(2950),
    [anon_sym_PLUS_PLUS] = ACTIONS(2950),
    [anon_sym_sizeof] = ACTIONS(2948),
    [anon_sym___alignof__] = ACTIONS(2948),
    [anon_sym___alignof] = ACTIONS(2948),
    [anon_sym__alignof] = ACTIONS(2948),
    [anon_sym_alignof] = ACTIONS(2948),
    [anon_sym__Alignof] = ACTIONS(2948),
    [anon_sym_offsetof] = ACTIONS(2948),
    [anon_sym__Generic] = ACTIONS(2948),
    [anon_sym_asm] = ACTIONS(2948),
    [anon_sym___asm__] = ACTIONS(2948),
    [aux_sym_number_literal_token1] = ACTIONS(2950),
    [aux_sym_number_literal_token2] = ACTIONS(2948),
    [anon_sym_L_SQUOTE] = ACTIONS(2950),
    [anon_sym_u_SQUOTE] = ACTIONS(2950),
    [anon_sym_U_SQUOTE] = ACTIONS(2950),
    [anon_sym_u8_SQUOTE] = ACTIONS(2950),
    [anon_sym_SQUOTE] = ACTIONS(2950),
    [anon_sym_L_DQUOTE] = ACTIONS(2950),
    [anon_sym_u_DQUOTE] = ACTIONS(2950),
    [anon_sym_U_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8_DQUOTE] = ACTIONS(2950),
    [anon_sym_DQUOTE] = ACTIONS(2950),
    [sym_true] = ACTIONS(2948),
    [sym_false] = ACTIONS(2948),
    [anon_sym_NULL] = ACTIONS(2948),
    [anon_sym_nullptr] = ACTIONS(2948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2948),
    [anon_sym_decltype] = ACTIONS(2948),
    [anon_sym_virtual] = ACTIONS(2948),
    [anon_sym_alignas] = ACTIONS(2948),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2948),
    [anon_sym_template] = ACTIONS(2948),
    [anon_sym_operator] = ACTIONS(2948),
    [anon_sym_try] = ACTIONS(2948),
    [anon_sym_delete] = ACTIONS(2948),
    [anon_sym_throw] = ACTIONS(2948),
    [anon_sym_namespace] = ACTIONS(2948),
    [anon_sym_using] = ACTIONS(2948),
    [anon_sym_static_assert] = ACTIONS(2948),
    [anon_sym_concept] = ACTIONS(2948),
    [anon_sym_co_return] = ACTIONS(2948),
    [anon_sym_co_yield] = ACTIONS(2948),
    [anon_sym_R_DQUOTE] = ACTIONS(2950),
    [anon_sym_LR_DQUOTE] = ACTIONS(2950),
    [anon_sym_uR_DQUOTE] = ACTIONS(2950),
    [anon_sym_UR_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2950),
    [anon_sym_co_await] = ACTIONS(2948),
    [anon_sym_new] = ACTIONS(2948),
    [anon_sym_requires] = ACTIONS(2948),
    [sym_this] = ACTIONS(2948),
  },
  [277] = {
    [sym_identifier] = ACTIONS(2952),
    [aux_sym_preproc_include_token1] = ACTIONS(2952),
    [aux_sym_preproc_def_token1] = ACTIONS(2952),
    [aux_sym_preproc_if_token1] = ACTIONS(2952),
    [aux_sym_preproc_if_token2] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [aux_sym_preproc_else_token1] = ACTIONS(2952),
    [aux_sym_preproc_elif_token1] = ACTIONS(2952),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2952),
    [anon_sym_LPAREN2] = ACTIONS(2954),
    [anon_sym_BANG] = ACTIONS(2954),
    [anon_sym_TILDE] = ACTIONS(2954),
    [anon_sym_DASH] = ACTIONS(2952),
    [anon_sym_PLUS] = ACTIONS(2952),
    [anon_sym_STAR] = ACTIONS(2954),
    [anon_sym_AMP_AMP] = ACTIONS(2954),
    [anon_sym_AMP] = ACTIONS(2952),
    [anon_sym_SEMI] = ACTIONS(2954),
    [anon_sym___extension__] = ACTIONS(2952),
    [anon_sym_typedef] = ACTIONS(2952),
    [anon_sym_extern] = ACTIONS(2952),
    [anon_sym___attribute__] = ACTIONS(2952),
    [anon_sym_COLON_COLON] = ACTIONS(2954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2954),
    [anon_sym___declspec] = ACTIONS(2952),
    [anon_sym___based] = ACTIONS(2952),
    [anon_sym___cdecl] = ACTIONS(2952),
    [anon_sym___clrcall] = ACTIONS(2952),
    [anon_sym___stdcall] = ACTIONS(2952),
    [anon_sym___fastcall] = ACTIONS(2952),
    [anon_sym___thiscall] = ACTIONS(2952),
    [anon_sym___vectorcall] = ACTIONS(2952),
    [anon_sym_LBRACE] = ACTIONS(2954),
    [anon_sym_signed] = ACTIONS(2952),
    [anon_sym_unsigned] = ACTIONS(2952),
    [anon_sym_long] = ACTIONS(2952),
    [anon_sym_short] = ACTIONS(2952),
    [anon_sym_LBRACK] = ACTIONS(2952),
    [anon_sym_static] = ACTIONS(2952),
    [anon_sym_register] = ACTIONS(2952),
    [anon_sym_inline] = ACTIONS(2952),
    [anon_sym___inline] = ACTIONS(2952),
    [anon_sym___inline__] = ACTIONS(2952),
    [anon_sym___forceinline] = ACTIONS(2952),
    [anon_sym_thread_local] = ACTIONS(2952),
    [anon_sym___thread] = ACTIONS(2952),
    [anon_sym_const] = ACTIONS(2952),
    [anon_sym_constexpr] = ACTIONS(2952),
    [anon_sym_volatile] = ACTIONS(2952),
    [anon_sym_restrict] = ACTIONS(2952),
    [anon_sym___restrict__] = ACTIONS(2952),
    [anon_sym__Atomic] = ACTIONS(2952),
    [anon_sym__Noreturn] = ACTIONS(2952),
    [anon_sym_noreturn] = ACTIONS(2952),
    [anon_sym_mutable] = ACTIONS(2952),
    [anon_sym_constinit] = ACTIONS(2952),
    [anon_sym_consteval] = ACTIONS(2952),
    [anon_sym_PROGMEM] = ACTIONS(2952),
    [aux_sym_primitive_type_token1] = ACTIONS(2952),
    [anon_sym_byte] = ACTIONS(2952),
    [anon_sym_word] = ACTIONS(2952),
    [anon_sym_enum] = ACTIONS(2952),
    [anon_sym_class] = ACTIONS(2952),
    [anon_sym_struct] = ACTIONS(2952),
    [anon_sym_union] = ACTIONS(2952),
    [anon_sym_if] = ACTIONS(2952),
    [anon_sym_else] = ACTIONS(2952),
    [anon_sym_switch] = ACTIONS(2952),
    [anon_sym_case] = ACTIONS(2952),
    [anon_sym_default] = ACTIONS(2952),
    [anon_sym_while] = ACTIONS(2952),
    [anon_sym_do] = ACTIONS(2952),
    [anon_sym_for] = ACTIONS(2952),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_break] = ACTIONS(2952),
    [anon_sym_continue] = ACTIONS(2952),
    [anon_sym_goto] = ACTIONS(2952),
    [anon_sym___try] = ACTIONS(2952),
    [anon_sym___leave] = ACTIONS(2952),
    [anon_sym_not] = ACTIONS(2952),
    [anon_sym_compl] = ACTIONS(2952),
    [anon_sym_DASH_DASH] = ACTIONS(2954),
    [anon_sym_PLUS_PLUS] = ACTIONS(2954),
    [anon_sym_sizeof] = ACTIONS(2952),
    [anon_sym___alignof__] = ACTIONS(2952),
    [anon_sym___alignof] = ACTIONS(2952),
    [anon_sym__alignof] = ACTIONS(2952),
    [anon_sym_alignof] = ACTIONS(2952),
    [anon_sym__Alignof] = ACTIONS(2952),
    [anon_sym_offsetof] = ACTIONS(2952),
    [anon_sym__Generic] = ACTIONS(2952),
    [anon_sym_asm] = ACTIONS(2952),
    [anon_sym___asm__] = ACTIONS(2952),
    [aux_sym_number_literal_token1] = ACTIONS(2954),
    [aux_sym_number_literal_token2] = ACTIONS(2952),
    [anon_sym_L_SQUOTE] = ACTIONS(2954),
    [anon_sym_u_SQUOTE] = ACTIONS(2954),
    [anon_sym_U_SQUOTE] = ACTIONS(2954),
    [anon_sym_u8_SQUOTE] = ACTIONS(2954),
    [anon_sym_SQUOTE] = ACTIONS(2954),
    [anon_sym_L_DQUOTE] = ACTIONS(2954),
    [anon_sym_u_DQUOTE] = ACTIONS(2954),
    [anon_sym_U_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8_DQUOTE] = ACTIONS(2954),
    [anon_sym_DQUOTE] = ACTIONS(2954),
    [sym_true] = ACTIONS(2952),
    [sym_false] = ACTIONS(2952),
    [anon_sym_NULL] = ACTIONS(2952),
    [anon_sym_nullptr] = ACTIONS(2952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2952),
    [anon_sym_decltype] = ACTIONS(2952),
    [anon_sym_virtual] = ACTIONS(2952),
    [anon_sym_alignas] = ACTIONS(2952),
    [anon_sym_explicit] = ACTIONS(2952),
    [anon_sym_typename] = ACTIONS(2952),
    [anon_sym_template] = ACTIONS(2952),
    [anon_sym_operator] = ACTIONS(2952),
    [anon_sym_try] = ACTIONS(2952),
    [anon_sym_delete] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2952),
    [anon_sym_namespace] = ACTIONS(2952),
    [anon_sym_using] = ACTIONS(2952),
    [anon_sym_static_assert] = ACTIONS(2952),
    [anon_sym_concept] = ACTIONS(2952),
    [anon_sym_co_return] = ACTIONS(2952),
    [anon_sym_co_yield] = ACTIONS(2952),
    [anon_sym_R_DQUOTE] = ACTIONS(2954),
    [anon_sym_LR_DQUOTE] = ACTIONS(2954),
    [anon_sym_uR_DQUOTE] = ACTIONS(2954),
    [anon_sym_UR_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2954),
    [anon_sym_co_await] = ACTIONS(2952),
    [anon_sym_new] = ACTIONS(2952),
    [anon_sym_requires] = ACTIONS(2952),
    [sym_this] = ACTIONS(2952),
  },
  [278] = {
    [sym_type_qualifier] = STATE(4419),
    [sym__type_specifier] = STATE(5566),
    [sym_sized_type_specifier] = STATE(3307),
    [sym_primitive_type] = STATE(5783),
    [sym_enum_specifier] = STATE(3307),
    [sym_struct_specifier] = STATE(3307),
    [sym_union_specifier] = STATE(3307),
    [sym__expression] = STATE(5098),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_type_descriptor] = STATE(7472),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_placeholder_type_specifier] = STATE(3307),
    [sym_decltype_auto] = STATE(3308),
    [sym_decltype] = STATE(3258),
    [sym_class_specifier] = STATE(3307),
    [sym__class_name] = STATE(8488),
    [sym_dependent_type] = STATE(3307),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_type_parameter_pack_expansion] = STATE(8047),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6377),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym_user_defined_literal] = STATE(4145),
    [aux_sym__type_definition_type_repeat1] = STATE(4419),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2974),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2978),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_GT2] = ACTIONS(3010),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [279] = {
    [sym_type_qualifier] = STATE(4419),
    [sym__type_specifier] = STATE(5566),
    [sym_sized_type_specifier] = STATE(3307),
    [sym_primitive_type] = STATE(5783),
    [sym_enum_specifier] = STATE(3307),
    [sym_struct_specifier] = STATE(3307),
    [sym_union_specifier] = STATE(3307),
    [sym__expression] = STATE(5034),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_type_descriptor] = STATE(7638),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_placeholder_type_specifier] = STATE(3307),
    [sym_decltype_auto] = STATE(3308),
    [sym_decltype] = STATE(3258),
    [sym_class_specifier] = STATE(3307),
    [sym__class_name] = STATE(8488),
    [sym_dependent_type] = STATE(3307),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_type_parameter_pack_expansion] = STATE(8084),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6377),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym_user_defined_literal] = STATE(4145),
    [aux_sym__type_definition_type_repeat1] = STATE(4419),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2974),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2978),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_GT2] = ACTIONS(3022),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [280] = {
    [sym_type_qualifier] = STATE(4419),
    [sym__type_specifier] = STATE(5566),
    [sym_sized_type_specifier] = STATE(3307),
    [sym_primitive_type] = STATE(5783),
    [sym_enum_specifier] = STATE(3307),
    [sym_struct_specifier] = STATE(3307),
    [sym_union_specifier] = STATE(3307),
    [sym__expression] = STATE(5030),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_type_descriptor] = STATE(7492),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_placeholder_type_specifier] = STATE(3307),
    [sym_decltype_auto] = STATE(3308),
    [sym_decltype] = STATE(3258),
    [sym_class_specifier] = STATE(3307),
    [sym__class_name] = STATE(8488),
    [sym_dependent_type] = STATE(3307),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_type_parameter_pack_expansion] = STATE(7865),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6377),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym_user_defined_literal] = STATE(4145),
    [aux_sym__type_definition_type_repeat1] = STATE(4419),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2974),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2978),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_GT2] = ACTIONS(3024),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [281] = {
    [sym_identifier] = ACTIONS(2261),
    [aux_sym_preproc_include_token1] = ACTIONS(2261),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [anon_sym_COMMA] = ACTIONS(3026),
    [aux_sym_preproc_if_token1] = ACTIONS(2261),
    [aux_sym_preproc_if_token2] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2261),
    [aux_sym_preproc_else_token1] = ACTIONS(2261),
    [aux_sym_preproc_elif_token1] = ACTIONS(2261),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2261),
    [anon_sym_LPAREN2] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2261),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym___extension__] = ACTIONS(2261),
    [anon_sym_typedef] = ACTIONS(2261),
    [anon_sym_extern] = ACTIONS(2261),
    [anon_sym___attribute__] = ACTIONS(2261),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2259),
    [anon_sym___declspec] = ACTIONS(2261),
    [anon_sym___based] = ACTIONS(2261),
    [anon_sym___cdecl] = ACTIONS(2261),
    [anon_sym___clrcall] = ACTIONS(2261),
    [anon_sym___stdcall] = ACTIONS(2261),
    [anon_sym___fastcall] = ACTIONS(2261),
    [anon_sym___thiscall] = ACTIONS(2261),
    [anon_sym___vectorcall] = ACTIONS(2261),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_signed] = ACTIONS(2261),
    [anon_sym_unsigned] = ACTIONS(2261),
    [anon_sym_long] = ACTIONS(2261),
    [anon_sym_short] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_register] = ACTIONS(2261),
    [anon_sym_inline] = ACTIONS(2261),
    [anon_sym___inline] = ACTIONS(2261),
    [anon_sym___inline__] = ACTIONS(2261),
    [anon_sym___forceinline] = ACTIONS(2261),
    [anon_sym_thread_local] = ACTIONS(2261),
    [anon_sym___thread] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_constexpr] = ACTIONS(2261),
    [anon_sym_volatile] = ACTIONS(2261),
    [anon_sym_restrict] = ACTIONS(2261),
    [anon_sym___restrict__] = ACTIONS(2261),
    [anon_sym__Atomic] = ACTIONS(2261),
    [anon_sym__Noreturn] = ACTIONS(2261),
    [anon_sym_noreturn] = ACTIONS(2261),
    [anon_sym_mutable] = ACTIONS(2261),
    [anon_sym_constinit] = ACTIONS(2261),
    [anon_sym_consteval] = ACTIONS(2261),
    [anon_sym_PROGMEM] = ACTIONS(2261),
    [aux_sym_primitive_type_token1] = ACTIONS(2261),
    [anon_sym_byte] = ACTIONS(2261),
    [anon_sym_word] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_struct] = ACTIONS(2261),
    [anon_sym_union] = ACTIONS(2261),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_switch] = ACTIONS(2261),
    [anon_sym_case] = ACTIONS(2261),
    [anon_sym_default] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2261),
    [anon_sym_do] = ACTIONS(2261),
    [anon_sym_for] = ACTIONS(2261),
    [anon_sym_return] = ACTIONS(2261),
    [anon_sym_break] = ACTIONS(2261),
    [anon_sym_continue] = ACTIONS(2261),
    [anon_sym_goto] = ACTIONS(2261),
    [anon_sym___try] = ACTIONS(2261),
    [anon_sym___leave] = ACTIONS(2261),
    [anon_sym_not] = ACTIONS(2261),
    [anon_sym_compl] = ACTIONS(2261),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_sizeof] = ACTIONS(2261),
    [anon_sym___alignof__] = ACTIONS(2261),
    [anon_sym___alignof] = ACTIONS(2261),
    [anon_sym__alignof] = ACTIONS(2261),
    [anon_sym_alignof] = ACTIONS(2261),
    [anon_sym__Alignof] = ACTIONS(2261),
    [anon_sym_offsetof] = ACTIONS(2261),
    [anon_sym__Generic] = ACTIONS(2261),
    [anon_sym_asm] = ACTIONS(2261),
    [anon_sym___asm__] = ACTIONS(2261),
    [aux_sym_number_literal_token1] = ACTIONS(2259),
    [aux_sym_number_literal_token2] = ACTIONS(2261),
    [anon_sym_L_SQUOTE] = ACTIONS(2259),
    [anon_sym_u_SQUOTE] = ACTIONS(2259),
    [anon_sym_U_SQUOTE] = ACTIONS(2259),
    [anon_sym_u8_SQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [anon_sym_L_DQUOTE] = ACTIONS(2259),
    [anon_sym_u_DQUOTE] = ACTIONS(2259),
    [anon_sym_U_DQUOTE] = ACTIONS(2259),
    [anon_sym_u8_DQUOTE] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [sym_true] = ACTIONS(2261),
    [sym_false] = ACTIONS(2261),
    [anon_sym_NULL] = ACTIONS(2261),
    [anon_sym_nullptr] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2261),
    [anon_sym_decltype] = ACTIONS(2261),
    [anon_sym_virtual] = ACTIONS(2261),
    [anon_sym_alignas] = ACTIONS(2261),
    [anon_sym_explicit] = ACTIONS(2261),
    [anon_sym_typename] = ACTIONS(2261),
    [anon_sym_template] = ACTIONS(2261),
    [anon_sym_operator] = ACTIONS(2261),
    [anon_sym_try] = ACTIONS(2261),
    [anon_sym_delete] = ACTIONS(2261),
    [anon_sym_throw] = ACTIONS(2261),
    [anon_sym_namespace] = ACTIONS(2261),
    [anon_sym_using] = ACTIONS(2261),
    [anon_sym_static_assert] = ACTIONS(2261),
    [anon_sym_concept] = ACTIONS(2261),
    [anon_sym_co_return] = ACTIONS(2261),
    [anon_sym_co_yield] = ACTIONS(2261),
    [anon_sym_R_DQUOTE] = ACTIONS(2259),
    [anon_sym_LR_DQUOTE] = ACTIONS(2259),
    [anon_sym_uR_DQUOTE] = ACTIONS(2259),
    [anon_sym_UR_DQUOTE] = ACTIONS(2259),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2259),
    [anon_sym_co_await] = ACTIONS(2261),
    [anon_sym_new] = ACTIONS(2261),
    [anon_sym_requires] = ACTIONS(2261),
    [sym_this] = ACTIONS(2261),
  },
  [282] = {
    [sym_identifier] = ACTIONS(3028),
    [aux_sym_preproc_include_token1] = ACTIONS(3028),
    [aux_sym_preproc_def_token1] = ACTIONS(3028),
    [aux_sym_preproc_if_token1] = ACTIONS(3028),
    [aux_sym_preproc_if_token2] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3028),
    [aux_sym_preproc_else_token1] = ACTIONS(3028),
    [aux_sym_preproc_elif_token1] = ACTIONS(3028),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3028),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3028),
    [sym_preproc_directive] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3030),
    [anon_sym_TILDE] = ACTIONS(3030),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_STAR] = ACTIONS(3030),
    [anon_sym_AMP_AMP] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_SEMI] = ACTIONS(3030),
    [anon_sym___extension__] = ACTIONS(3028),
    [anon_sym_typedef] = ACTIONS(3028),
    [anon_sym_extern] = ACTIONS(3028),
    [anon_sym___attribute__] = ACTIONS(3028),
    [anon_sym_COLON_COLON] = ACTIONS(3030),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3030),
    [anon_sym___declspec] = ACTIONS(3028),
    [anon_sym___based] = ACTIONS(3028),
    [anon_sym___cdecl] = ACTIONS(3028),
    [anon_sym___clrcall] = ACTIONS(3028),
    [anon_sym___stdcall] = ACTIONS(3028),
    [anon_sym___fastcall] = ACTIONS(3028),
    [anon_sym___thiscall] = ACTIONS(3028),
    [anon_sym___vectorcall] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_signed] = ACTIONS(3028),
    [anon_sym_unsigned] = ACTIONS(3028),
    [anon_sym_long] = ACTIONS(3028),
    [anon_sym_short] = ACTIONS(3028),
    [anon_sym_LBRACK] = ACTIONS(3028),
    [anon_sym_static] = ACTIONS(3028),
    [anon_sym_register] = ACTIONS(3028),
    [anon_sym_inline] = ACTIONS(3028),
    [anon_sym___inline] = ACTIONS(3028),
    [anon_sym___inline__] = ACTIONS(3028),
    [anon_sym___forceinline] = ACTIONS(3028),
    [anon_sym_thread_local] = ACTIONS(3028),
    [anon_sym___thread] = ACTIONS(3028),
    [anon_sym_const] = ACTIONS(3028),
    [anon_sym_constexpr] = ACTIONS(3028),
    [anon_sym_volatile] = ACTIONS(3028),
    [anon_sym_restrict] = ACTIONS(3028),
    [anon_sym___restrict__] = ACTIONS(3028),
    [anon_sym__Atomic] = ACTIONS(3028),
    [anon_sym__Noreturn] = ACTIONS(3028),
    [anon_sym_noreturn] = ACTIONS(3028),
    [anon_sym_mutable] = ACTIONS(3028),
    [anon_sym_constinit] = ACTIONS(3028),
    [anon_sym_consteval] = ACTIONS(3028),
    [anon_sym_PROGMEM] = ACTIONS(3028),
    [aux_sym_primitive_type_token1] = ACTIONS(3028),
    [anon_sym_byte] = ACTIONS(3028),
    [anon_sym_word] = ACTIONS(3028),
    [anon_sym_enum] = ACTIONS(3028),
    [anon_sym_class] = ACTIONS(3028),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(3028),
    [anon_sym_if] = ACTIONS(3028),
    [anon_sym_else] = ACTIONS(3028),
    [anon_sym_switch] = ACTIONS(3028),
    [anon_sym_case] = ACTIONS(3028),
    [anon_sym_default] = ACTIONS(3028),
    [anon_sym_while] = ACTIONS(3028),
    [anon_sym_do] = ACTIONS(3028),
    [anon_sym_for] = ACTIONS(3028),
    [anon_sym_return] = ACTIONS(3028),
    [anon_sym_break] = ACTIONS(3028),
    [anon_sym_continue] = ACTIONS(3028),
    [anon_sym_goto] = ACTIONS(3028),
    [anon_sym___try] = ACTIONS(3028),
    [anon_sym___leave] = ACTIONS(3028),
    [anon_sym_not] = ACTIONS(3028),
    [anon_sym_compl] = ACTIONS(3028),
    [anon_sym_DASH_DASH] = ACTIONS(3030),
    [anon_sym_PLUS_PLUS] = ACTIONS(3030),
    [anon_sym_sizeof] = ACTIONS(3028),
    [anon_sym___alignof__] = ACTIONS(3028),
    [anon_sym___alignof] = ACTIONS(3028),
    [anon_sym__alignof] = ACTIONS(3028),
    [anon_sym_alignof] = ACTIONS(3028),
    [anon_sym__Alignof] = ACTIONS(3028),
    [anon_sym_offsetof] = ACTIONS(3028),
    [anon_sym__Generic] = ACTIONS(3028),
    [anon_sym_asm] = ACTIONS(3028),
    [anon_sym___asm__] = ACTIONS(3028),
    [aux_sym_number_literal_token1] = ACTIONS(3030),
    [aux_sym_number_literal_token2] = ACTIONS(3028),
    [anon_sym_L_SQUOTE] = ACTIONS(3030),
    [anon_sym_u_SQUOTE] = ACTIONS(3030),
    [anon_sym_U_SQUOTE] = ACTIONS(3030),
    [anon_sym_u8_SQUOTE] = ACTIONS(3030),
    [anon_sym_SQUOTE] = ACTIONS(3030),
    [anon_sym_L_DQUOTE] = ACTIONS(3030),
    [anon_sym_u_DQUOTE] = ACTIONS(3030),
    [anon_sym_U_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8_DQUOTE] = ACTIONS(3030),
    [anon_sym_DQUOTE] = ACTIONS(3030),
    [sym_true] = ACTIONS(3028),
    [sym_false] = ACTIONS(3028),
    [anon_sym_NULL] = ACTIONS(3028),
    [anon_sym_nullptr] = ACTIONS(3028),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3028),
    [anon_sym_decltype] = ACTIONS(3028),
    [anon_sym_virtual] = ACTIONS(3028),
    [anon_sym_alignas] = ACTIONS(3028),
    [anon_sym_explicit] = ACTIONS(3028),
    [anon_sym_typename] = ACTIONS(3028),
    [anon_sym_template] = ACTIONS(3028),
    [anon_sym_operator] = ACTIONS(3028),
    [anon_sym_try] = ACTIONS(3028),
    [anon_sym_delete] = ACTIONS(3028),
    [anon_sym_throw] = ACTIONS(3028),
    [anon_sym_namespace] = ACTIONS(3028),
    [anon_sym_using] = ACTIONS(3028),
    [anon_sym_static_assert] = ACTIONS(3028),
    [anon_sym_concept] = ACTIONS(3028),
    [anon_sym_co_return] = ACTIONS(3028),
    [anon_sym_co_yield] = ACTIONS(3028),
    [anon_sym_R_DQUOTE] = ACTIONS(3030),
    [anon_sym_LR_DQUOTE] = ACTIONS(3030),
    [anon_sym_uR_DQUOTE] = ACTIONS(3030),
    [anon_sym_UR_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3030),
    [anon_sym_co_await] = ACTIONS(3028),
    [anon_sym_new] = ACTIONS(3028),
    [anon_sym_requires] = ACTIONS(3028),
    [sym_this] = ACTIONS(3028),
  },
  [283] = {
    [sym_identifier] = ACTIONS(3032),
    [aux_sym_preproc_include_token1] = ACTIONS(3032),
    [aux_sym_preproc_def_token1] = ACTIONS(3032),
    [aux_sym_preproc_if_token1] = ACTIONS(3032),
    [aux_sym_preproc_if_token2] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3032),
    [aux_sym_preproc_else_token1] = ACTIONS(3032),
    [aux_sym_preproc_elif_token1] = ACTIONS(3032),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3032),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3032),
    [sym_preproc_directive] = ACTIONS(3032),
    [anon_sym_LPAREN2] = ACTIONS(3034),
    [anon_sym_BANG] = ACTIONS(3034),
    [anon_sym_TILDE] = ACTIONS(3034),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_AMP] = ACTIONS(3032),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym___extension__] = ACTIONS(3032),
    [anon_sym_typedef] = ACTIONS(3032),
    [anon_sym_extern] = ACTIONS(3032),
    [anon_sym___attribute__] = ACTIONS(3032),
    [anon_sym_COLON_COLON] = ACTIONS(3034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3034),
    [anon_sym___declspec] = ACTIONS(3032),
    [anon_sym___based] = ACTIONS(3032),
    [anon_sym___cdecl] = ACTIONS(3032),
    [anon_sym___clrcall] = ACTIONS(3032),
    [anon_sym___stdcall] = ACTIONS(3032),
    [anon_sym___fastcall] = ACTIONS(3032),
    [anon_sym___thiscall] = ACTIONS(3032),
    [anon_sym___vectorcall] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(3034),
    [anon_sym_signed] = ACTIONS(3032),
    [anon_sym_unsigned] = ACTIONS(3032),
    [anon_sym_long] = ACTIONS(3032),
    [anon_sym_short] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3032),
    [anon_sym_static] = ACTIONS(3032),
    [anon_sym_register] = ACTIONS(3032),
    [anon_sym_inline] = ACTIONS(3032),
    [anon_sym___inline] = ACTIONS(3032),
    [anon_sym___inline__] = ACTIONS(3032),
    [anon_sym___forceinline] = ACTIONS(3032),
    [anon_sym_thread_local] = ACTIONS(3032),
    [anon_sym___thread] = ACTIONS(3032),
    [anon_sym_const] = ACTIONS(3032),
    [anon_sym_constexpr] = ACTIONS(3032),
    [anon_sym_volatile] = ACTIONS(3032),
    [anon_sym_restrict] = ACTIONS(3032),
    [anon_sym___restrict__] = ACTIONS(3032),
    [anon_sym__Atomic] = ACTIONS(3032),
    [anon_sym__Noreturn] = ACTIONS(3032),
    [anon_sym_noreturn] = ACTIONS(3032),
    [anon_sym_mutable] = ACTIONS(3032),
    [anon_sym_constinit] = ACTIONS(3032),
    [anon_sym_consteval] = ACTIONS(3032),
    [anon_sym_PROGMEM] = ACTIONS(3032),
    [aux_sym_primitive_type_token1] = ACTIONS(3032),
    [anon_sym_byte] = ACTIONS(3032),
    [anon_sym_word] = ACTIONS(3032),
    [anon_sym_enum] = ACTIONS(3032),
    [anon_sym_class] = ACTIONS(3032),
    [anon_sym_struct] = ACTIONS(3032),
    [anon_sym_union] = ACTIONS(3032),
    [anon_sym_if] = ACTIONS(3032),
    [anon_sym_else] = ACTIONS(3032),
    [anon_sym_switch] = ACTIONS(3032),
    [anon_sym_case] = ACTIONS(3032),
    [anon_sym_default] = ACTIONS(3032),
    [anon_sym_while] = ACTIONS(3032),
    [anon_sym_do] = ACTIONS(3032),
    [anon_sym_for] = ACTIONS(3032),
    [anon_sym_return] = ACTIONS(3032),
    [anon_sym_break] = ACTIONS(3032),
    [anon_sym_continue] = ACTIONS(3032),
    [anon_sym_goto] = ACTIONS(3032),
    [anon_sym___try] = ACTIONS(3032),
    [anon_sym___leave] = ACTIONS(3032),
    [anon_sym_not] = ACTIONS(3032),
    [anon_sym_compl] = ACTIONS(3032),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_sizeof] = ACTIONS(3032),
    [anon_sym___alignof__] = ACTIONS(3032),
    [anon_sym___alignof] = ACTIONS(3032),
    [anon_sym__alignof] = ACTIONS(3032),
    [anon_sym_alignof] = ACTIONS(3032),
    [anon_sym__Alignof] = ACTIONS(3032),
    [anon_sym_offsetof] = ACTIONS(3032),
    [anon_sym__Generic] = ACTIONS(3032),
    [anon_sym_asm] = ACTIONS(3032),
    [anon_sym___asm__] = ACTIONS(3032),
    [aux_sym_number_literal_token1] = ACTIONS(3034),
    [aux_sym_number_literal_token2] = ACTIONS(3032),
    [anon_sym_L_SQUOTE] = ACTIONS(3034),
    [anon_sym_u_SQUOTE] = ACTIONS(3034),
    [anon_sym_U_SQUOTE] = ACTIONS(3034),
    [anon_sym_u8_SQUOTE] = ACTIONS(3034),
    [anon_sym_SQUOTE] = ACTIONS(3034),
    [anon_sym_L_DQUOTE] = ACTIONS(3034),
    [anon_sym_u_DQUOTE] = ACTIONS(3034),
    [anon_sym_U_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8_DQUOTE] = ACTIONS(3034),
    [anon_sym_DQUOTE] = ACTIONS(3034),
    [sym_true] = ACTIONS(3032),
    [sym_false] = ACTIONS(3032),
    [anon_sym_NULL] = ACTIONS(3032),
    [anon_sym_nullptr] = ACTIONS(3032),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3032),
    [anon_sym_decltype] = ACTIONS(3032),
    [anon_sym_virtual] = ACTIONS(3032),
    [anon_sym_alignas] = ACTIONS(3032),
    [anon_sym_explicit] = ACTIONS(3032),
    [anon_sym_typename] = ACTIONS(3032),
    [anon_sym_template] = ACTIONS(3032),
    [anon_sym_operator] = ACTIONS(3032),
    [anon_sym_try] = ACTIONS(3032),
    [anon_sym_delete] = ACTIONS(3032),
    [anon_sym_throw] = ACTIONS(3032),
    [anon_sym_namespace] = ACTIONS(3032),
    [anon_sym_using] = ACTIONS(3032),
    [anon_sym_static_assert] = ACTIONS(3032),
    [anon_sym_concept] = ACTIONS(3032),
    [anon_sym_co_return] = ACTIONS(3032),
    [anon_sym_co_yield] = ACTIONS(3032),
    [anon_sym_R_DQUOTE] = ACTIONS(3034),
    [anon_sym_LR_DQUOTE] = ACTIONS(3034),
    [anon_sym_uR_DQUOTE] = ACTIONS(3034),
    [anon_sym_UR_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3034),
    [anon_sym_co_await] = ACTIONS(3032),
    [anon_sym_new] = ACTIONS(3032),
    [anon_sym_requires] = ACTIONS(3032),
    [sym_this] = ACTIONS(3032),
  },
  [284] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2872),
    [anon_sym_BANG] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2872),
    [anon_sym_AMP_AMP] = ACTIONS(2872),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2872),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2872),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2872),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [anon_sym_PROGMEM] = ACTIONS(2867),
    [aux_sym_primitive_type_token1] = ACTIONS(2867),
    [anon_sym_byte] = ACTIONS(2867),
    [anon_sym_word] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2872),
    [anon_sym_PLUS_PLUS] = ACTIONS(2872),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [aux_sym_number_literal_token1] = ACTIONS(2872),
    [aux_sym_number_literal_token2] = ACTIONS(2867),
    [anon_sym_L_SQUOTE] = ACTIONS(2872),
    [anon_sym_u_SQUOTE] = ACTIONS(2872),
    [anon_sym_U_SQUOTE] = ACTIONS(2872),
    [anon_sym_u8_SQUOTE] = ACTIONS(2872),
    [anon_sym_SQUOTE] = ACTIONS(2872),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2872),
    [anon_sym_LR_DQUOTE] = ACTIONS(2872),
    [anon_sym_uR_DQUOTE] = ACTIONS(2872),
    [anon_sym_UR_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2872),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [285] = {
    [sym_identifier] = ACTIONS(3036),
    [aux_sym_preproc_include_token1] = ACTIONS(3036),
    [aux_sym_preproc_def_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token2] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3036),
    [aux_sym_preproc_else_token1] = ACTIONS(3036),
    [aux_sym_preproc_elif_token1] = ACTIONS(3036),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3036),
    [sym_preproc_directive] = ACTIONS(3036),
    [anon_sym_LPAREN2] = ACTIONS(3038),
    [anon_sym_BANG] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym___extension__] = ACTIONS(3036),
    [anon_sym_typedef] = ACTIONS(3036),
    [anon_sym_extern] = ACTIONS(3036),
    [anon_sym___attribute__] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3038),
    [anon_sym___declspec] = ACTIONS(3036),
    [anon_sym___based] = ACTIONS(3036),
    [anon_sym___cdecl] = ACTIONS(3036),
    [anon_sym___clrcall] = ACTIONS(3036),
    [anon_sym___stdcall] = ACTIONS(3036),
    [anon_sym___fastcall] = ACTIONS(3036),
    [anon_sym___thiscall] = ACTIONS(3036),
    [anon_sym___vectorcall] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3036),
    [anon_sym_unsigned] = ACTIONS(3036),
    [anon_sym_long] = ACTIONS(3036),
    [anon_sym_short] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3036),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_register] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym___inline] = ACTIONS(3036),
    [anon_sym___inline__] = ACTIONS(3036),
    [anon_sym___forceinline] = ACTIONS(3036),
    [anon_sym_thread_local] = ACTIONS(3036),
    [anon_sym___thread] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(3036),
    [anon_sym_restrict] = ACTIONS(3036),
    [anon_sym___restrict__] = ACTIONS(3036),
    [anon_sym__Atomic] = ACTIONS(3036),
    [anon_sym__Noreturn] = ACTIONS(3036),
    [anon_sym_noreturn] = ACTIONS(3036),
    [anon_sym_mutable] = ACTIONS(3036),
    [anon_sym_constinit] = ACTIONS(3036),
    [anon_sym_consteval] = ACTIONS(3036),
    [anon_sym_PROGMEM] = ACTIONS(3036),
    [aux_sym_primitive_type_token1] = ACTIONS(3036),
    [anon_sym_byte] = ACTIONS(3036),
    [anon_sym_word] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_struct] = ACTIONS(3036),
    [anon_sym_union] = ACTIONS(3036),
    [anon_sym_if] = ACTIONS(3036),
    [anon_sym_else] = ACTIONS(3036),
    [anon_sym_switch] = ACTIONS(3036),
    [anon_sym_case] = ACTIONS(3036),
    [anon_sym_default] = ACTIONS(3036),
    [anon_sym_while] = ACTIONS(3036),
    [anon_sym_do] = ACTIONS(3036),
    [anon_sym_for] = ACTIONS(3036),
    [anon_sym_return] = ACTIONS(3036),
    [anon_sym_break] = ACTIONS(3036),
    [anon_sym_continue] = ACTIONS(3036),
    [anon_sym_goto] = ACTIONS(3036),
    [anon_sym___try] = ACTIONS(3036),
    [anon_sym___leave] = ACTIONS(3036),
    [anon_sym_not] = ACTIONS(3036),
    [anon_sym_compl] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_sizeof] = ACTIONS(3036),
    [anon_sym___alignof__] = ACTIONS(3036),
    [anon_sym___alignof] = ACTIONS(3036),
    [anon_sym__alignof] = ACTIONS(3036),
    [anon_sym_alignof] = ACTIONS(3036),
    [anon_sym__Alignof] = ACTIONS(3036),
    [anon_sym_offsetof] = ACTIONS(3036),
    [anon_sym__Generic] = ACTIONS(3036),
    [anon_sym_asm] = ACTIONS(3036),
    [anon_sym___asm__] = ACTIONS(3036),
    [aux_sym_number_literal_token1] = ACTIONS(3038),
    [aux_sym_number_literal_token2] = ACTIONS(3036),
    [anon_sym_L_SQUOTE] = ACTIONS(3038),
    [anon_sym_u_SQUOTE] = ACTIONS(3038),
    [anon_sym_U_SQUOTE] = ACTIONS(3038),
    [anon_sym_u8_SQUOTE] = ACTIONS(3038),
    [anon_sym_SQUOTE] = ACTIONS(3038),
    [anon_sym_L_DQUOTE] = ACTIONS(3038),
    [anon_sym_u_DQUOTE] = ACTIONS(3038),
    [anon_sym_U_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8_DQUOTE] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3038),
    [sym_true] = ACTIONS(3036),
    [sym_false] = ACTIONS(3036),
    [anon_sym_NULL] = ACTIONS(3036),
    [anon_sym_nullptr] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3036),
    [anon_sym_decltype] = ACTIONS(3036),
    [anon_sym_virtual] = ACTIONS(3036),
    [anon_sym_alignas] = ACTIONS(3036),
    [anon_sym_explicit] = ACTIONS(3036),
    [anon_sym_typename] = ACTIONS(3036),
    [anon_sym_template] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_try] = ACTIONS(3036),
    [anon_sym_delete] = ACTIONS(3036),
    [anon_sym_throw] = ACTIONS(3036),
    [anon_sym_namespace] = ACTIONS(3036),
    [anon_sym_using] = ACTIONS(3036),
    [anon_sym_static_assert] = ACTIONS(3036),
    [anon_sym_concept] = ACTIONS(3036),
    [anon_sym_co_return] = ACTIONS(3036),
    [anon_sym_co_yield] = ACTIONS(3036),
    [anon_sym_R_DQUOTE] = ACTIONS(3038),
    [anon_sym_LR_DQUOTE] = ACTIONS(3038),
    [anon_sym_uR_DQUOTE] = ACTIONS(3038),
    [anon_sym_UR_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3038),
    [anon_sym_co_await] = ACTIONS(3036),
    [anon_sym_new] = ACTIONS(3036),
    [anon_sym_requires] = ACTIONS(3036),
    [sym_this] = ACTIONS(3036),
  },
  [286] = {
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_include_token1] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token2] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [aux_sym_preproc_else_token1] = ACTIONS(3040),
    [aux_sym_preproc_elif_token1] = ACTIONS(3040),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_BANG] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym___cdecl] = ACTIONS(3040),
    [anon_sym___clrcall] = ACTIONS(3040),
    [anon_sym___stdcall] = ACTIONS(3040),
    [anon_sym___fastcall] = ACTIONS(3040),
    [anon_sym___thiscall] = ACTIONS(3040),
    [anon_sym___vectorcall] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_PROGMEM] = ACTIONS(3040),
    [aux_sym_primitive_type_token1] = ACTIONS(3040),
    [anon_sym_byte] = ACTIONS(3040),
    [anon_sym_word] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_else] = ACTIONS(3040),
    [anon_sym_switch] = ACTIONS(3040),
    [anon_sym_case] = ACTIONS(3040),
    [anon_sym_default] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_do] = ACTIONS(3040),
    [anon_sym_for] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_break] = ACTIONS(3040),
    [anon_sym_continue] = ACTIONS(3040),
    [anon_sym_goto] = ACTIONS(3040),
    [anon_sym___try] = ACTIONS(3040),
    [anon_sym___leave] = ACTIONS(3040),
    [anon_sym_not] = ACTIONS(3040),
    [anon_sym_compl] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_sizeof] = ACTIONS(3040),
    [anon_sym___alignof__] = ACTIONS(3040),
    [anon_sym___alignof] = ACTIONS(3040),
    [anon_sym__alignof] = ACTIONS(3040),
    [anon_sym_alignof] = ACTIONS(3040),
    [anon_sym__Alignof] = ACTIONS(3040),
    [anon_sym_offsetof] = ACTIONS(3040),
    [anon_sym__Generic] = ACTIONS(3040),
    [anon_sym_asm] = ACTIONS(3040),
    [anon_sym___asm__] = ACTIONS(3040),
    [aux_sym_number_literal_token1] = ACTIONS(3042),
    [aux_sym_number_literal_token2] = ACTIONS(3040),
    [anon_sym_L_SQUOTE] = ACTIONS(3042),
    [anon_sym_u_SQUOTE] = ACTIONS(3042),
    [anon_sym_U_SQUOTE] = ACTIONS(3042),
    [anon_sym_u8_SQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_L_DQUOTE] = ACTIONS(3042),
    [anon_sym_u_DQUOTE] = ACTIONS(3042),
    [anon_sym_U_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8_DQUOTE] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3042),
    [sym_true] = ACTIONS(3040),
    [sym_false] = ACTIONS(3040),
    [anon_sym_NULL] = ACTIONS(3040),
    [anon_sym_nullptr] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_delete] = ACTIONS(3040),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_namespace] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
    [anon_sym_concept] = ACTIONS(3040),
    [anon_sym_co_return] = ACTIONS(3040),
    [anon_sym_co_yield] = ACTIONS(3040),
    [anon_sym_R_DQUOTE] = ACTIONS(3042),
    [anon_sym_LR_DQUOTE] = ACTIONS(3042),
    [anon_sym_uR_DQUOTE] = ACTIONS(3042),
    [anon_sym_UR_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3042),
    [anon_sym_co_await] = ACTIONS(3040),
    [anon_sym_new] = ACTIONS(3040),
    [anon_sym_requires] = ACTIONS(3040),
    [sym_this] = ACTIONS(3040),
  },
  [287] = {
    [sym_type_qualifier] = STATE(4419),
    [sym__type_specifier] = STATE(5566),
    [sym_sized_type_specifier] = STATE(3307),
    [sym_primitive_type] = STATE(5783),
    [sym_enum_specifier] = STATE(3307),
    [sym_struct_specifier] = STATE(3307),
    [sym_union_specifier] = STATE(3307),
    [sym__expression] = STATE(5047),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_type_descriptor] = STATE(7599),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_placeholder_type_specifier] = STATE(3307),
    [sym_decltype_auto] = STATE(3308),
    [sym_decltype] = STATE(3258),
    [sym_class_specifier] = STATE(3307),
    [sym__class_name] = STATE(8488),
    [sym_dependent_type] = STATE(3307),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_type_parameter_pack_expansion] = STATE(8192),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6377),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym_user_defined_literal] = STATE(4145),
    [aux_sym__type_definition_type_repeat1] = STATE(4419),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2974),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2978),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_GT2] = ACTIONS(3044),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [288] = {
    [sym_type_qualifier] = STATE(4419),
    [sym__type_specifier] = STATE(5566),
    [sym_sized_type_specifier] = STATE(3307),
    [sym_primitive_type] = STATE(5783),
    [sym_enum_specifier] = STATE(3307),
    [sym_struct_specifier] = STATE(3307),
    [sym_union_specifier] = STATE(3307),
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_type_descriptor] = STATE(7671),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_placeholder_type_specifier] = STATE(3307),
    [sym_decltype_auto] = STATE(3308),
    [sym_decltype] = STATE(3258),
    [sym_class_specifier] = STATE(3307),
    [sym__class_name] = STATE(8488),
    [sym_dependent_type] = STATE(3307),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_type_parameter_pack_expansion] = STATE(8011),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6377),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym_user_defined_literal] = STATE(4145),
    [aux_sym__type_definition_type_repeat1] = STATE(4419),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2974),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2978),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_GT2] = ACTIONS(3046),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [289] = {
    [sym_identifier] = ACTIONS(3048),
    [aux_sym_preproc_include_token1] = ACTIONS(3048),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token2] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3048),
    [aux_sym_preproc_else_token1] = ACTIONS(3048),
    [aux_sym_preproc_elif_token1] = ACTIONS(3048),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3048),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3048),
    [sym_preproc_directive] = ACTIONS(3048),
    [anon_sym_LPAREN2] = ACTIONS(3050),
    [anon_sym_BANG] = ACTIONS(3050),
    [anon_sym_TILDE] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3048),
    [anon_sym_STAR] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3050),
    [anon_sym_AMP] = ACTIONS(3048),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym___extension__] = ACTIONS(3048),
    [anon_sym_typedef] = ACTIONS(3048),
    [anon_sym_extern] = ACTIONS(3048),
    [anon_sym___attribute__] = ACTIONS(3048),
    [anon_sym_COLON_COLON] = ACTIONS(3050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3050),
    [anon_sym___declspec] = ACTIONS(3048),
    [anon_sym___based] = ACTIONS(3048),
    [anon_sym___cdecl] = ACTIONS(3048),
    [anon_sym___clrcall] = ACTIONS(3048),
    [anon_sym___stdcall] = ACTIONS(3048),
    [anon_sym___fastcall] = ACTIONS(3048),
    [anon_sym___thiscall] = ACTIONS(3048),
    [anon_sym___vectorcall] = ACTIONS(3048),
    [anon_sym_LBRACE] = ACTIONS(3050),
    [anon_sym_signed] = ACTIONS(3048),
    [anon_sym_unsigned] = ACTIONS(3048),
    [anon_sym_long] = ACTIONS(3048),
    [anon_sym_short] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(3048),
    [anon_sym_static] = ACTIONS(3048),
    [anon_sym_register] = ACTIONS(3048),
    [anon_sym_inline] = ACTIONS(3048),
    [anon_sym___inline] = ACTIONS(3048),
    [anon_sym___inline__] = ACTIONS(3048),
    [anon_sym___forceinline] = ACTIONS(3048),
    [anon_sym_thread_local] = ACTIONS(3048),
    [anon_sym___thread] = ACTIONS(3048),
    [anon_sym_const] = ACTIONS(3048),
    [anon_sym_constexpr] = ACTIONS(3048),
    [anon_sym_volatile] = ACTIONS(3048),
    [anon_sym_restrict] = ACTIONS(3048),
    [anon_sym___restrict__] = ACTIONS(3048),
    [anon_sym__Atomic] = ACTIONS(3048),
    [anon_sym__Noreturn] = ACTIONS(3048),
    [anon_sym_noreturn] = ACTIONS(3048),
    [anon_sym_mutable] = ACTIONS(3048),
    [anon_sym_constinit] = ACTIONS(3048),
    [anon_sym_consteval] = ACTIONS(3048),
    [anon_sym_PROGMEM] = ACTIONS(3048),
    [aux_sym_primitive_type_token1] = ACTIONS(3048),
    [anon_sym_byte] = ACTIONS(3048),
    [anon_sym_word] = ACTIONS(3048),
    [anon_sym_enum] = ACTIONS(3048),
    [anon_sym_class] = ACTIONS(3048),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3048),
    [anon_sym_if] = ACTIONS(3048),
    [anon_sym_else] = ACTIONS(3048),
    [anon_sym_switch] = ACTIONS(3048),
    [anon_sym_case] = ACTIONS(3048),
    [anon_sym_default] = ACTIONS(3048),
    [anon_sym_while] = ACTIONS(3048),
    [anon_sym_do] = ACTIONS(3048),
    [anon_sym_for] = ACTIONS(3048),
    [anon_sym_return] = ACTIONS(3048),
    [anon_sym_break] = ACTIONS(3048),
    [anon_sym_continue] = ACTIONS(3048),
    [anon_sym_goto] = ACTIONS(3048),
    [anon_sym___try] = ACTIONS(3048),
    [anon_sym___leave] = ACTIONS(3048),
    [anon_sym_not] = ACTIONS(3048),
    [anon_sym_compl] = ACTIONS(3048),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_sizeof] = ACTIONS(3048),
    [anon_sym___alignof__] = ACTIONS(3048),
    [anon_sym___alignof] = ACTIONS(3048),
    [anon_sym__alignof] = ACTIONS(3048),
    [anon_sym_alignof] = ACTIONS(3048),
    [anon_sym__Alignof] = ACTIONS(3048),
    [anon_sym_offsetof] = ACTIONS(3048),
    [anon_sym__Generic] = ACTIONS(3048),
    [anon_sym_asm] = ACTIONS(3048),
    [anon_sym___asm__] = ACTIONS(3048),
    [aux_sym_number_literal_token1] = ACTIONS(3050),
    [aux_sym_number_literal_token2] = ACTIONS(3048),
    [anon_sym_L_SQUOTE] = ACTIONS(3050),
    [anon_sym_u_SQUOTE] = ACTIONS(3050),
    [anon_sym_U_SQUOTE] = ACTIONS(3050),
    [anon_sym_u8_SQUOTE] = ACTIONS(3050),
    [anon_sym_SQUOTE] = ACTIONS(3050),
    [anon_sym_L_DQUOTE] = ACTIONS(3050),
    [anon_sym_u_DQUOTE] = ACTIONS(3050),
    [anon_sym_U_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8_DQUOTE] = ACTIONS(3050),
    [anon_sym_DQUOTE] = ACTIONS(3050),
    [sym_true] = ACTIONS(3048),
    [sym_false] = ACTIONS(3048),
    [anon_sym_NULL] = ACTIONS(3048),
    [anon_sym_nullptr] = ACTIONS(3048),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3048),
    [anon_sym_decltype] = ACTIONS(3048),
    [anon_sym_virtual] = ACTIONS(3048),
    [anon_sym_alignas] = ACTIONS(3048),
    [anon_sym_explicit] = ACTIONS(3048),
    [anon_sym_typename] = ACTIONS(3048),
    [anon_sym_template] = ACTIONS(3048),
    [anon_sym_operator] = ACTIONS(3048),
    [anon_sym_try] = ACTIONS(3048),
    [anon_sym_delete] = ACTIONS(3048),
    [anon_sym_throw] = ACTIONS(3048),
    [anon_sym_namespace] = ACTIONS(3048),
    [anon_sym_using] = ACTIONS(3048),
    [anon_sym_static_assert] = ACTIONS(3048),
    [anon_sym_concept] = ACTIONS(3048),
    [anon_sym_co_return] = ACTIONS(3048),
    [anon_sym_co_yield] = ACTIONS(3048),
    [anon_sym_R_DQUOTE] = ACTIONS(3050),
    [anon_sym_LR_DQUOTE] = ACTIONS(3050),
    [anon_sym_uR_DQUOTE] = ACTIONS(3050),
    [anon_sym_UR_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3050),
    [anon_sym_co_await] = ACTIONS(3048),
    [anon_sym_new] = ACTIONS(3048),
    [anon_sym_requires] = ACTIONS(3048),
    [sym_this] = ACTIONS(3048),
  },
  [290] = {
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_include_token1] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token2] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [aux_sym_preproc_else_token1] = ACTIONS(3052),
    [aux_sym_preproc_elif_token1] = ACTIONS(3052),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_BANG] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym___cdecl] = ACTIONS(3052),
    [anon_sym___clrcall] = ACTIONS(3052),
    [anon_sym___stdcall] = ACTIONS(3052),
    [anon_sym___fastcall] = ACTIONS(3052),
    [anon_sym___thiscall] = ACTIONS(3052),
    [anon_sym___vectorcall] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_PROGMEM] = ACTIONS(3052),
    [aux_sym_primitive_type_token1] = ACTIONS(3052),
    [anon_sym_byte] = ACTIONS(3052),
    [anon_sym_word] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [anon_sym_if] = ACTIONS(3052),
    [anon_sym_else] = ACTIONS(3052),
    [anon_sym_switch] = ACTIONS(3052),
    [anon_sym_case] = ACTIONS(3052),
    [anon_sym_default] = ACTIONS(3052),
    [anon_sym_while] = ACTIONS(3052),
    [anon_sym_do] = ACTIONS(3052),
    [anon_sym_for] = ACTIONS(3052),
    [anon_sym_return] = ACTIONS(3052),
    [anon_sym_break] = ACTIONS(3052),
    [anon_sym_continue] = ACTIONS(3052),
    [anon_sym_goto] = ACTIONS(3052),
    [anon_sym___try] = ACTIONS(3052),
    [anon_sym___leave] = ACTIONS(3052),
    [anon_sym_not] = ACTIONS(3052),
    [anon_sym_compl] = ACTIONS(3052),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_sizeof] = ACTIONS(3052),
    [anon_sym___alignof__] = ACTIONS(3052),
    [anon_sym___alignof] = ACTIONS(3052),
    [anon_sym__alignof] = ACTIONS(3052),
    [anon_sym_alignof] = ACTIONS(3052),
    [anon_sym__Alignof] = ACTIONS(3052),
    [anon_sym_offsetof] = ACTIONS(3052),
    [anon_sym__Generic] = ACTIONS(3052),
    [anon_sym_asm] = ACTIONS(3052),
    [anon_sym___asm__] = ACTIONS(3052),
    [aux_sym_number_literal_token1] = ACTIONS(3054),
    [aux_sym_number_literal_token2] = ACTIONS(3052),
    [anon_sym_L_SQUOTE] = ACTIONS(3054),
    [anon_sym_u_SQUOTE] = ACTIONS(3054),
    [anon_sym_U_SQUOTE] = ACTIONS(3054),
    [anon_sym_u8_SQUOTE] = ACTIONS(3054),
    [anon_sym_SQUOTE] = ACTIONS(3054),
    [anon_sym_L_DQUOTE] = ACTIONS(3054),
    [anon_sym_u_DQUOTE] = ACTIONS(3054),
    [anon_sym_U_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8_DQUOTE] = ACTIONS(3054),
    [anon_sym_DQUOTE] = ACTIONS(3054),
    [sym_true] = ACTIONS(3052),
    [sym_false] = ACTIONS(3052),
    [anon_sym_NULL] = ACTIONS(3052),
    [anon_sym_nullptr] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_try] = ACTIONS(3052),
    [anon_sym_delete] = ACTIONS(3052),
    [anon_sym_throw] = ACTIONS(3052),
    [anon_sym_namespace] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
    [anon_sym_concept] = ACTIONS(3052),
    [anon_sym_co_return] = ACTIONS(3052),
    [anon_sym_co_yield] = ACTIONS(3052),
    [anon_sym_R_DQUOTE] = ACTIONS(3054),
    [anon_sym_LR_DQUOTE] = ACTIONS(3054),
    [anon_sym_uR_DQUOTE] = ACTIONS(3054),
    [anon_sym_UR_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3054),
    [anon_sym_co_await] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(3052),
    [anon_sym_requires] = ACTIONS(3052),
    [sym_this] = ACTIONS(3052),
  },
  [291] = {
    [sym_identifier] = ACTIONS(3056),
    [aux_sym_preproc_include_token1] = ACTIONS(3056),
    [aux_sym_preproc_def_token1] = ACTIONS(3056),
    [aux_sym_preproc_if_token1] = ACTIONS(3056),
    [aux_sym_preproc_if_token2] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3056),
    [aux_sym_preproc_else_token1] = ACTIONS(3056),
    [aux_sym_preproc_elif_token1] = ACTIONS(3056),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3056),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3056),
    [sym_preproc_directive] = ACTIONS(3056),
    [anon_sym_LPAREN2] = ACTIONS(3058),
    [anon_sym_BANG] = ACTIONS(3058),
    [anon_sym_TILDE] = ACTIONS(3058),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym___extension__] = ACTIONS(3056),
    [anon_sym_typedef] = ACTIONS(3056),
    [anon_sym_extern] = ACTIONS(3056),
    [anon_sym___attribute__] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3058),
    [anon_sym___declspec] = ACTIONS(3056),
    [anon_sym___based] = ACTIONS(3056),
    [anon_sym___cdecl] = ACTIONS(3056),
    [anon_sym___clrcall] = ACTIONS(3056),
    [anon_sym___stdcall] = ACTIONS(3056),
    [anon_sym___fastcall] = ACTIONS(3056),
    [anon_sym___thiscall] = ACTIONS(3056),
    [anon_sym___vectorcall] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_signed] = ACTIONS(3056),
    [anon_sym_unsigned] = ACTIONS(3056),
    [anon_sym_long] = ACTIONS(3056),
    [anon_sym_short] = ACTIONS(3056),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [anon_sym_static] = ACTIONS(3056),
    [anon_sym_register] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym___inline] = ACTIONS(3056),
    [anon_sym___inline__] = ACTIONS(3056),
    [anon_sym___forceinline] = ACTIONS(3056),
    [anon_sym_thread_local] = ACTIONS(3056),
    [anon_sym___thread] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_constexpr] = ACTIONS(3056),
    [anon_sym_volatile] = ACTIONS(3056),
    [anon_sym_restrict] = ACTIONS(3056),
    [anon_sym___restrict__] = ACTIONS(3056),
    [anon_sym__Atomic] = ACTIONS(3056),
    [anon_sym__Noreturn] = ACTIONS(3056),
    [anon_sym_noreturn] = ACTIONS(3056),
    [anon_sym_mutable] = ACTIONS(3056),
    [anon_sym_constinit] = ACTIONS(3056),
    [anon_sym_consteval] = ACTIONS(3056),
    [anon_sym_PROGMEM] = ACTIONS(3056),
    [aux_sym_primitive_type_token1] = ACTIONS(3056),
    [anon_sym_byte] = ACTIONS(3056),
    [anon_sym_word] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_class] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3056),
    [anon_sym_union] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(3056),
    [anon_sym_else] = ACTIONS(3056),
    [anon_sym_switch] = ACTIONS(3056),
    [anon_sym_case] = ACTIONS(3056),
    [anon_sym_default] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_do] = ACTIONS(3056),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_return] = ACTIONS(3056),
    [anon_sym_break] = ACTIONS(3056),
    [anon_sym_continue] = ACTIONS(3056),
    [anon_sym_goto] = ACTIONS(3056),
    [anon_sym___try] = ACTIONS(3056),
    [anon_sym___leave] = ACTIONS(3056),
    [anon_sym_not] = ACTIONS(3056),
    [anon_sym_compl] = ACTIONS(3056),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_sizeof] = ACTIONS(3056),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3056),
    [anon_sym__Generic] = ACTIONS(3056),
    [anon_sym_asm] = ACTIONS(3056),
    [anon_sym___asm__] = ACTIONS(3056),
    [aux_sym_number_literal_token1] = ACTIONS(3058),
    [aux_sym_number_literal_token2] = ACTIONS(3056),
    [anon_sym_L_SQUOTE] = ACTIONS(3058),
    [anon_sym_u_SQUOTE] = ACTIONS(3058),
    [anon_sym_U_SQUOTE] = ACTIONS(3058),
    [anon_sym_u8_SQUOTE] = ACTIONS(3058),
    [anon_sym_SQUOTE] = ACTIONS(3058),
    [anon_sym_L_DQUOTE] = ACTIONS(3058),
    [anon_sym_u_DQUOTE] = ACTIONS(3058),
    [anon_sym_U_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8_DQUOTE] = ACTIONS(3058),
    [anon_sym_DQUOTE] = ACTIONS(3058),
    [sym_true] = ACTIONS(3056),
    [sym_false] = ACTIONS(3056),
    [anon_sym_NULL] = ACTIONS(3056),
    [anon_sym_nullptr] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3056),
    [anon_sym_decltype] = ACTIONS(3056),
    [anon_sym_virtual] = ACTIONS(3056),
    [anon_sym_alignas] = ACTIONS(3056),
    [anon_sym_explicit] = ACTIONS(3056),
    [anon_sym_typename] = ACTIONS(3056),
    [anon_sym_template] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_try] = ACTIONS(3056),
    [anon_sym_delete] = ACTIONS(3056),
    [anon_sym_throw] = ACTIONS(3056),
    [anon_sym_namespace] = ACTIONS(3056),
    [anon_sym_using] = ACTIONS(3056),
    [anon_sym_static_assert] = ACTIONS(3056),
    [anon_sym_concept] = ACTIONS(3056),
    [anon_sym_co_return] = ACTIONS(3056),
    [anon_sym_co_yield] = ACTIONS(3056),
    [anon_sym_R_DQUOTE] = ACTIONS(3058),
    [anon_sym_LR_DQUOTE] = ACTIONS(3058),
    [anon_sym_uR_DQUOTE] = ACTIONS(3058),
    [anon_sym_UR_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3058),
    [anon_sym_co_await] = ACTIONS(3056),
    [anon_sym_new] = ACTIONS(3056),
    [anon_sym_requires] = ACTIONS(3056),
    [sym_this] = ACTIONS(3056),
  },
  [292] = {
    [sym_identifier] = ACTIONS(3060),
    [aux_sym_preproc_include_token1] = ACTIONS(3060),
    [aux_sym_preproc_def_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token2] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3060),
    [aux_sym_preproc_else_token1] = ACTIONS(3060),
    [aux_sym_preproc_elif_token1] = ACTIONS(3060),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3060),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3060),
    [sym_preproc_directive] = ACTIONS(3060),
    [anon_sym_LPAREN2] = ACTIONS(3062),
    [anon_sym_BANG] = ACTIONS(3062),
    [anon_sym_TILDE] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym___extension__] = ACTIONS(3060),
    [anon_sym_typedef] = ACTIONS(3060),
    [anon_sym_extern] = ACTIONS(3060),
    [anon_sym___attribute__] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3062),
    [anon_sym___declspec] = ACTIONS(3060),
    [anon_sym___based] = ACTIONS(3060),
    [anon_sym___cdecl] = ACTIONS(3060),
    [anon_sym___clrcall] = ACTIONS(3060),
    [anon_sym___stdcall] = ACTIONS(3060),
    [anon_sym___fastcall] = ACTIONS(3060),
    [anon_sym___thiscall] = ACTIONS(3060),
    [anon_sym___vectorcall] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_signed] = ACTIONS(3060),
    [anon_sym_unsigned] = ACTIONS(3060),
    [anon_sym_long] = ACTIONS(3060),
    [anon_sym_short] = ACTIONS(3060),
    [anon_sym_LBRACK] = ACTIONS(3060),
    [anon_sym_static] = ACTIONS(3060),
    [anon_sym_register] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym___inline] = ACTIONS(3060),
    [anon_sym___inline__] = ACTIONS(3060),
    [anon_sym___forceinline] = ACTIONS(3060),
    [anon_sym_thread_local] = ACTIONS(3060),
    [anon_sym___thread] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_constexpr] = ACTIONS(3060),
    [anon_sym_volatile] = ACTIONS(3060),
    [anon_sym_restrict] = ACTIONS(3060),
    [anon_sym___restrict__] = ACTIONS(3060),
    [anon_sym__Atomic] = ACTIONS(3060),
    [anon_sym__Noreturn] = ACTIONS(3060),
    [anon_sym_noreturn] = ACTIONS(3060),
    [anon_sym_mutable] = ACTIONS(3060),
    [anon_sym_constinit] = ACTIONS(3060),
    [anon_sym_consteval] = ACTIONS(3060),
    [anon_sym_PROGMEM] = ACTIONS(3060),
    [aux_sym_primitive_type_token1] = ACTIONS(3060),
    [anon_sym_byte] = ACTIONS(3060),
    [anon_sym_word] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_class] = ACTIONS(3060),
    [anon_sym_struct] = ACTIONS(3060),
    [anon_sym_union] = ACTIONS(3060),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_else] = ACTIONS(3060),
    [anon_sym_switch] = ACTIONS(3060),
    [anon_sym_case] = ACTIONS(3060),
    [anon_sym_default] = ACTIONS(3060),
    [anon_sym_while] = ACTIONS(3060),
    [anon_sym_do] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(3060),
    [anon_sym_return] = ACTIONS(3060),
    [anon_sym_break] = ACTIONS(3060),
    [anon_sym_continue] = ACTIONS(3060),
    [anon_sym_goto] = ACTIONS(3060),
    [anon_sym___try] = ACTIONS(3060),
    [anon_sym___leave] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(3060),
    [anon_sym_compl] = ACTIONS(3060),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_sizeof] = ACTIONS(3060),
    [anon_sym___alignof__] = ACTIONS(3060),
    [anon_sym___alignof] = ACTIONS(3060),
    [anon_sym__alignof] = ACTIONS(3060),
    [anon_sym_alignof] = ACTIONS(3060),
    [anon_sym__Alignof] = ACTIONS(3060),
    [anon_sym_offsetof] = ACTIONS(3060),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3060),
    [anon_sym___asm__] = ACTIONS(3060),
    [aux_sym_number_literal_token1] = ACTIONS(3062),
    [aux_sym_number_literal_token2] = ACTIONS(3060),
    [anon_sym_L_SQUOTE] = ACTIONS(3062),
    [anon_sym_u_SQUOTE] = ACTIONS(3062),
    [anon_sym_U_SQUOTE] = ACTIONS(3062),
    [anon_sym_u8_SQUOTE] = ACTIONS(3062),
    [anon_sym_SQUOTE] = ACTIONS(3062),
    [anon_sym_L_DQUOTE] = ACTIONS(3062),
    [anon_sym_u_DQUOTE] = ACTIONS(3062),
    [anon_sym_U_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8_DQUOTE] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3062),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [anon_sym_NULL] = ACTIONS(3060),
    [anon_sym_nullptr] = ACTIONS(3060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3060),
    [anon_sym_decltype] = ACTIONS(3060),
    [anon_sym_virtual] = ACTIONS(3060),
    [anon_sym_alignas] = ACTIONS(3060),
    [anon_sym_explicit] = ACTIONS(3060),
    [anon_sym_typename] = ACTIONS(3060),
    [anon_sym_template] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_try] = ACTIONS(3060),
    [anon_sym_delete] = ACTIONS(3060),
    [anon_sym_throw] = ACTIONS(3060),
    [anon_sym_namespace] = ACTIONS(3060),
    [anon_sym_using] = ACTIONS(3060),
    [anon_sym_static_assert] = ACTIONS(3060),
    [anon_sym_concept] = ACTIONS(3060),
    [anon_sym_co_return] = ACTIONS(3060),
    [anon_sym_co_yield] = ACTIONS(3060),
    [anon_sym_R_DQUOTE] = ACTIONS(3062),
    [anon_sym_LR_DQUOTE] = ACTIONS(3062),
    [anon_sym_uR_DQUOTE] = ACTIONS(3062),
    [anon_sym_UR_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3062),
    [anon_sym_co_await] = ACTIONS(3060),
    [anon_sym_new] = ACTIONS(3060),
    [anon_sym_requires] = ACTIONS(3060),
    [sym_this] = ACTIONS(3060),
  },
  [293] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_include_token1] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token2] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [aux_sym_preproc_else_token1] = ACTIONS(3064),
    [aux_sym_preproc_elif_token1] = ACTIONS(3064),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym___cdecl] = ACTIONS(3064),
    [anon_sym___clrcall] = ACTIONS(3064),
    [anon_sym___stdcall] = ACTIONS(3064),
    [anon_sym___fastcall] = ACTIONS(3064),
    [anon_sym___thiscall] = ACTIONS(3064),
    [anon_sym___vectorcall] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_goto] = ACTIONS(3064),
    [anon_sym___try] = ACTIONS(3064),
    [anon_sym___leave] = ACTIONS(3064),
    [anon_sym_not] = ACTIONS(3064),
    [anon_sym_compl] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_sizeof] = ACTIONS(3064),
    [anon_sym___alignof__] = ACTIONS(3064),
    [anon_sym___alignof] = ACTIONS(3064),
    [anon_sym__alignof] = ACTIONS(3064),
    [anon_sym_alignof] = ACTIONS(3064),
    [anon_sym__Alignof] = ACTIONS(3064),
    [anon_sym_offsetof] = ACTIONS(3064),
    [anon_sym__Generic] = ACTIONS(3064),
    [anon_sym_asm] = ACTIONS(3064),
    [anon_sym___asm__] = ACTIONS(3064),
    [aux_sym_number_literal_token1] = ACTIONS(3066),
    [aux_sym_number_literal_token2] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3066),
    [anon_sym_u_DQUOTE] = ACTIONS(3066),
    [anon_sym_U_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8_DQUOTE] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [anon_sym_NULL] = ACTIONS(3064),
    [anon_sym_nullptr] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
    [anon_sym_concept] = ACTIONS(3064),
    [anon_sym_co_return] = ACTIONS(3064),
    [anon_sym_co_yield] = ACTIONS(3064),
    [anon_sym_R_DQUOTE] = ACTIONS(3066),
    [anon_sym_LR_DQUOTE] = ACTIONS(3066),
    [anon_sym_uR_DQUOTE] = ACTIONS(3066),
    [anon_sym_UR_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3066),
    [anon_sym_co_await] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_requires] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
  },
  [294] = {
    [sym_identifier] = ACTIONS(3068),
    [aux_sym_preproc_include_token1] = ACTIONS(3068),
    [aux_sym_preproc_def_token1] = ACTIONS(3068),
    [aux_sym_preproc_if_token1] = ACTIONS(3068),
    [aux_sym_preproc_if_token2] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3068),
    [aux_sym_preproc_else_token1] = ACTIONS(3068),
    [aux_sym_preproc_elif_token1] = ACTIONS(3068),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3068),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3068),
    [sym_preproc_directive] = ACTIONS(3068),
    [anon_sym_LPAREN2] = ACTIONS(3070),
    [anon_sym_BANG] = ACTIONS(3070),
    [anon_sym_TILDE] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_AMP_AMP] = ACTIONS(3070),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_SEMI] = ACTIONS(3070),
    [anon_sym___extension__] = ACTIONS(3068),
    [anon_sym_typedef] = ACTIONS(3068),
    [anon_sym_extern] = ACTIONS(3068),
    [anon_sym___attribute__] = ACTIONS(3068),
    [anon_sym_COLON_COLON] = ACTIONS(3070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3070),
    [anon_sym___declspec] = ACTIONS(3068),
    [anon_sym___based] = ACTIONS(3068),
    [anon_sym___cdecl] = ACTIONS(3068),
    [anon_sym___clrcall] = ACTIONS(3068),
    [anon_sym___stdcall] = ACTIONS(3068),
    [anon_sym___fastcall] = ACTIONS(3068),
    [anon_sym___thiscall] = ACTIONS(3068),
    [anon_sym___vectorcall] = ACTIONS(3068),
    [anon_sym_LBRACE] = ACTIONS(3070),
    [anon_sym_signed] = ACTIONS(3068),
    [anon_sym_unsigned] = ACTIONS(3068),
    [anon_sym_long] = ACTIONS(3068),
    [anon_sym_short] = ACTIONS(3068),
    [anon_sym_LBRACK] = ACTIONS(3068),
    [anon_sym_static] = ACTIONS(3068),
    [anon_sym_register] = ACTIONS(3068),
    [anon_sym_inline] = ACTIONS(3068),
    [anon_sym___inline] = ACTIONS(3068),
    [anon_sym___inline__] = ACTIONS(3068),
    [anon_sym___forceinline] = ACTIONS(3068),
    [anon_sym_thread_local] = ACTIONS(3068),
    [anon_sym___thread] = ACTIONS(3068),
    [anon_sym_const] = ACTIONS(3068),
    [anon_sym_constexpr] = ACTIONS(3068),
    [anon_sym_volatile] = ACTIONS(3068),
    [anon_sym_restrict] = ACTIONS(3068),
    [anon_sym___restrict__] = ACTIONS(3068),
    [anon_sym__Atomic] = ACTIONS(3068),
    [anon_sym__Noreturn] = ACTIONS(3068),
    [anon_sym_noreturn] = ACTIONS(3068),
    [anon_sym_mutable] = ACTIONS(3068),
    [anon_sym_constinit] = ACTIONS(3068),
    [anon_sym_consteval] = ACTIONS(3068),
    [anon_sym_PROGMEM] = ACTIONS(3068),
    [aux_sym_primitive_type_token1] = ACTIONS(3068),
    [anon_sym_byte] = ACTIONS(3068),
    [anon_sym_word] = ACTIONS(3068),
    [anon_sym_enum] = ACTIONS(3068),
    [anon_sym_class] = ACTIONS(3068),
    [anon_sym_struct] = ACTIONS(3068),
    [anon_sym_union] = ACTIONS(3068),
    [anon_sym_if] = ACTIONS(3068),
    [anon_sym_else] = ACTIONS(3068),
    [anon_sym_switch] = ACTIONS(3068),
    [anon_sym_case] = ACTIONS(3068),
    [anon_sym_default] = ACTIONS(3068),
    [anon_sym_while] = ACTIONS(3068),
    [anon_sym_do] = ACTIONS(3068),
    [anon_sym_for] = ACTIONS(3068),
    [anon_sym_return] = ACTIONS(3068),
    [anon_sym_break] = ACTIONS(3068),
    [anon_sym_continue] = ACTIONS(3068),
    [anon_sym_goto] = ACTIONS(3068),
    [anon_sym___try] = ACTIONS(3068),
    [anon_sym___leave] = ACTIONS(3068),
    [anon_sym_not] = ACTIONS(3068),
    [anon_sym_compl] = ACTIONS(3068),
    [anon_sym_DASH_DASH] = ACTIONS(3070),
    [anon_sym_PLUS_PLUS] = ACTIONS(3070),
    [anon_sym_sizeof] = ACTIONS(3068),
    [anon_sym___alignof__] = ACTIONS(3068),
    [anon_sym___alignof] = ACTIONS(3068),
    [anon_sym__alignof] = ACTIONS(3068),
    [anon_sym_alignof] = ACTIONS(3068),
    [anon_sym__Alignof] = ACTIONS(3068),
    [anon_sym_offsetof] = ACTIONS(3068),
    [anon_sym__Generic] = ACTIONS(3068),
    [anon_sym_asm] = ACTIONS(3068),
    [anon_sym___asm__] = ACTIONS(3068),
    [aux_sym_number_literal_token1] = ACTIONS(3070),
    [aux_sym_number_literal_token2] = ACTIONS(3068),
    [anon_sym_L_SQUOTE] = ACTIONS(3070),
    [anon_sym_u_SQUOTE] = ACTIONS(3070),
    [anon_sym_U_SQUOTE] = ACTIONS(3070),
    [anon_sym_u8_SQUOTE] = ACTIONS(3070),
    [anon_sym_SQUOTE] = ACTIONS(3070),
    [anon_sym_L_DQUOTE] = ACTIONS(3070),
    [anon_sym_u_DQUOTE] = ACTIONS(3070),
    [anon_sym_U_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8_DQUOTE] = ACTIONS(3070),
    [anon_sym_DQUOTE] = ACTIONS(3070),
    [sym_true] = ACTIONS(3068),
    [sym_false] = ACTIONS(3068),
    [anon_sym_NULL] = ACTIONS(3068),
    [anon_sym_nullptr] = ACTIONS(3068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3068),
    [anon_sym_decltype] = ACTIONS(3068),
    [anon_sym_virtual] = ACTIONS(3068),
    [anon_sym_alignas] = ACTIONS(3068),
    [anon_sym_explicit] = ACTIONS(3068),
    [anon_sym_typename] = ACTIONS(3068),
    [anon_sym_template] = ACTIONS(3068),
    [anon_sym_operator] = ACTIONS(3068),
    [anon_sym_try] = ACTIONS(3068),
    [anon_sym_delete] = ACTIONS(3068),
    [anon_sym_throw] = ACTIONS(3068),
    [anon_sym_namespace] = ACTIONS(3068),
    [anon_sym_using] = ACTIONS(3068),
    [anon_sym_static_assert] = ACTIONS(3068),
    [anon_sym_concept] = ACTIONS(3068),
    [anon_sym_co_return] = ACTIONS(3068),
    [anon_sym_co_yield] = ACTIONS(3068),
    [anon_sym_R_DQUOTE] = ACTIONS(3070),
    [anon_sym_LR_DQUOTE] = ACTIONS(3070),
    [anon_sym_uR_DQUOTE] = ACTIONS(3070),
    [anon_sym_UR_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3070),
    [anon_sym_co_await] = ACTIONS(3068),
    [anon_sym_new] = ACTIONS(3068),
    [anon_sym_requires] = ACTIONS(3068),
    [sym_this] = ACTIONS(3068),
  },
  [295] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_include_token1] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token2] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [aux_sym_preproc_else_token1] = ACTIONS(3064),
    [aux_sym_preproc_elif_token1] = ACTIONS(3064),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym___cdecl] = ACTIONS(3064),
    [anon_sym___clrcall] = ACTIONS(3064),
    [anon_sym___stdcall] = ACTIONS(3064),
    [anon_sym___fastcall] = ACTIONS(3064),
    [anon_sym___thiscall] = ACTIONS(3064),
    [anon_sym___vectorcall] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_goto] = ACTIONS(3064),
    [anon_sym___try] = ACTIONS(3064),
    [anon_sym___leave] = ACTIONS(3064),
    [anon_sym_not] = ACTIONS(3064),
    [anon_sym_compl] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_sizeof] = ACTIONS(3064),
    [anon_sym___alignof__] = ACTIONS(3064),
    [anon_sym___alignof] = ACTIONS(3064),
    [anon_sym__alignof] = ACTIONS(3064),
    [anon_sym_alignof] = ACTIONS(3064),
    [anon_sym__Alignof] = ACTIONS(3064),
    [anon_sym_offsetof] = ACTIONS(3064),
    [anon_sym__Generic] = ACTIONS(3064),
    [anon_sym_asm] = ACTIONS(3064),
    [anon_sym___asm__] = ACTIONS(3064),
    [aux_sym_number_literal_token1] = ACTIONS(3066),
    [aux_sym_number_literal_token2] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3066),
    [anon_sym_u_DQUOTE] = ACTIONS(3066),
    [anon_sym_U_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8_DQUOTE] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [anon_sym_NULL] = ACTIONS(3064),
    [anon_sym_nullptr] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
    [anon_sym_concept] = ACTIONS(3064),
    [anon_sym_co_return] = ACTIONS(3064),
    [anon_sym_co_yield] = ACTIONS(3064),
    [anon_sym_R_DQUOTE] = ACTIONS(3066),
    [anon_sym_LR_DQUOTE] = ACTIONS(3066),
    [anon_sym_uR_DQUOTE] = ACTIONS(3066),
    [anon_sym_UR_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3066),
    [anon_sym_co_await] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_requires] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
  },
  [296] = {
    [sym_catch_clause] = STATE(268),
    [aux_sym_constructor_try_statement_repeat1] = STATE(268),
    [sym_identifier] = ACTIONS(2854),
    [aux_sym_preproc_include_token1] = ACTIONS(2854),
    [aux_sym_preproc_def_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token2] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2854),
    [aux_sym_preproc_else_token1] = ACTIONS(2854),
    [aux_sym_preproc_elif_token1] = ACTIONS(2854),
    [sym_preproc_directive] = ACTIONS(2854),
    [anon_sym_LPAREN2] = ACTIONS(2856),
    [anon_sym_BANG] = ACTIONS(2856),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym_SEMI] = ACTIONS(2856),
    [anon_sym___extension__] = ACTIONS(2854),
    [anon_sym_typedef] = ACTIONS(2854),
    [anon_sym_extern] = ACTIONS(2854),
    [anon_sym___attribute__] = ACTIONS(2854),
    [anon_sym_COLON_COLON] = ACTIONS(2856),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2856),
    [anon_sym___declspec] = ACTIONS(2854),
    [anon_sym___based] = ACTIONS(2854),
    [anon_sym___cdecl] = ACTIONS(2854),
    [anon_sym___clrcall] = ACTIONS(2854),
    [anon_sym___stdcall] = ACTIONS(2854),
    [anon_sym___fastcall] = ACTIONS(2854),
    [anon_sym___thiscall] = ACTIONS(2854),
    [anon_sym___vectorcall] = ACTIONS(2854),
    [anon_sym_LBRACE] = ACTIONS(2856),
    [anon_sym_signed] = ACTIONS(2854),
    [anon_sym_unsigned] = ACTIONS(2854),
    [anon_sym_long] = ACTIONS(2854),
    [anon_sym_short] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_register] = ACTIONS(2854),
    [anon_sym_inline] = ACTIONS(2854),
    [anon_sym___inline] = ACTIONS(2854),
    [anon_sym___inline__] = ACTIONS(2854),
    [anon_sym___forceinline] = ACTIONS(2854),
    [anon_sym_thread_local] = ACTIONS(2854),
    [anon_sym___thread] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_constexpr] = ACTIONS(2854),
    [anon_sym_volatile] = ACTIONS(2854),
    [anon_sym_restrict] = ACTIONS(2854),
    [anon_sym___restrict__] = ACTIONS(2854),
    [anon_sym__Atomic] = ACTIONS(2854),
    [anon_sym__Noreturn] = ACTIONS(2854),
    [anon_sym_noreturn] = ACTIONS(2854),
    [anon_sym_mutable] = ACTIONS(2854),
    [anon_sym_constinit] = ACTIONS(2854),
    [anon_sym_consteval] = ACTIONS(2854),
    [anon_sym_PROGMEM] = ACTIONS(2854),
    [aux_sym_primitive_type_token1] = ACTIONS(2854),
    [anon_sym_byte] = ACTIONS(2854),
    [anon_sym_word] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_struct] = ACTIONS(2854),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_switch] = ACTIONS(2854),
    [anon_sym_case] = ACTIONS(2854),
    [anon_sym_default] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2854),
    [anon_sym_do] = ACTIONS(2854),
    [anon_sym_for] = ACTIONS(2854),
    [anon_sym_return] = ACTIONS(2854),
    [anon_sym_break] = ACTIONS(2854),
    [anon_sym_continue] = ACTIONS(2854),
    [anon_sym_goto] = ACTIONS(2854),
    [anon_sym___try] = ACTIONS(2854),
    [anon_sym___leave] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2854),
    [anon_sym_compl] = ACTIONS(2854),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2854),
    [anon_sym___alignof__] = ACTIONS(2854),
    [anon_sym___alignof] = ACTIONS(2854),
    [anon_sym__alignof] = ACTIONS(2854),
    [anon_sym_alignof] = ACTIONS(2854),
    [anon_sym__Alignof] = ACTIONS(2854),
    [anon_sym_offsetof] = ACTIONS(2854),
    [anon_sym__Generic] = ACTIONS(2854),
    [anon_sym_asm] = ACTIONS(2854),
    [anon_sym___asm__] = ACTIONS(2854),
    [aux_sym_number_literal_token1] = ACTIONS(2856),
    [aux_sym_number_literal_token2] = ACTIONS(2854),
    [anon_sym_L_SQUOTE] = ACTIONS(2856),
    [anon_sym_u_SQUOTE] = ACTIONS(2856),
    [anon_sym_U_SQUOTE] = ACTIONS(2856),
    [anon_sym_u8_SQUOTE] = ACTIONS(2856),
    [anon_sym_SQUOTE] = ACTIONS(2856),
    [anon_sym_L_DQUOTE] = ACTIONS(2856),
    [anon_sym_u_DQUOTE] = ACTIONS(2856),
    [anon_sym_U_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8_DQUOTE] = ACTIONS(2856),
    [anon_sym_DQUOTE] = ACTIONS(2856),
    [sym_true] = ACTIONS(2854),
    [sym_false] = ACTIONS(2854),
    [anon_sym_NULL] = ACTIONS(2854),
    [anon_sym_nullptr] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2854),
    [anon_sym_decltype] = ACTIONS(2854),
    [anon_sym_virtual] = ACTIONS(2854),
    [anon_sym_alignas] = ACTIONS(2854),
    [anon_sym_explicit] = ACTIONS(2854),
    [anon_sym_typename] = ACTIONS(2854),
    [anon_sym_template] = ACTIONS(2854),
    [anon_sym_operator] = ACTIONS(2854),
    [anon_sym_try] = ACTIONS(2854),
    [anon_sym_delete] = ACTIONS(2854),
    [anon_sym_throw] = ACTIONS(2854),
    [anon_sym_namespace] = ACTIONS(2854),
    [anon_sym_using] = ACTIONS(2854),
    [anon_sym_static_assert] = ACTIONS(2854),
    [anon_sym_concept] = ACTIONS(2854),
    [anon_sym_co_return] = ACTIONS(2854),
    [anon_sym_co_yield] = ACTIONS(2854),
    [anon_sym_catch] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2856),
    [anon_sym_LR_DQUOTE] = ACTIONS(2856),
    [anon_sym_uR_DQUOTE] = ACTIONS(2856),
    [anon_sym_UR_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2856),
    [anon_sym_co_await] = ACTIONS(2854),
    [anon_sym_new] = ACTIONS(2854),
    [anon_sym_requires] = ACTIONS(2854),
    [sym_this] = ACTIONS(2854),
  },
  [297] = {
    [sym_identifier] = ACTIONS(3072),
    [aux_sym_preproc_include_token1] = ACTIONS(3072),
    [aux_sym_preproc_def_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token2] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3072),
    [aux_sym_preproc_else_token1] = ACTIONS(3072),
    [aux_sym_preproc_elif_token1] = ACTIONS(3072),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3072),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3072),
    [sym_preproc_directive] = ACTIONS(3072),
    [anon_sym_LPAREN2] = ACTIONS(3074),
    [anon_sym_BANG] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3074),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym___extension__] = ACTIONS(3072),
    [anon_sym_typedef] = ACTIONS(3072),
    [anon_sym_extern] = ACTIONS(3072),
    [anon_sym___attribute__] = ACTIONS(3072),
    [anon_sym_COLON_COLON] = ACTIONS(3074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3074),
    [anon_sym___declspec] = ACTIONS(3072),
    [anon_sym___based] = ACTIONS(3072),
    [anon_sym___cdecl] = ACTIONS(3072),
    [anon_sym___clrcall] = ACTIONS(3072),
    [anon_sym___stdcall] = ACTIONS(3072),
    [anon_sym___fastcall] = ACTIONS(3072),
    [anon_sym___thiscall] = ACTIONS(3072),
    [anon_sym___vectorcall] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3074),
    [anon_sym_signed] = ACTIONS(3072),
    [anon_sym_unsigned] = ACTIONS(3072),
    [anon_sym_long] = ACTIONS(3072),
    [anon_sym_short] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_register] = ACTIONS(3072),
    [anon_sym_inline] = ACTIONS(3072),
    [anon_sym___inline] = ACTIONS(3072),
    [anon_sym___inline__] = ACTIONS(3072),
    [anon_sym___forceinline] = ACTIONS(3072),
    [anon_sym_thread_local] = ACTIONS(3072),
    [anon_sym___thread] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_constexpr] = ACTIONS(3072),
    [anon_sym_volatile] = ACTIONS(3072),
    [anon_sym_restrict] = ACTIONS(3072),
    [anon_sym___restrict__] = ACTIONS(3072),
    [anon_sym__Atomic] = ACTIONS(3072),
    [anon_sym__Noreturn] = ACTIONS(3072),
    [anon_sym_noreturn] = ACTIONS(3072),
    [anon_sym_mutable] = ACTIONS(3072),
    [anon_sym_constinit] = ACTIONS(3072),
    [anon_sym_consteval] = ACTIONS(3072),
    [anon_sym_PROGMEM] = ACTIONS(3072),
    [aux_sym_primitive_type_token1] = ACTIONS(3072),
    [anon_sym_byte] = ACTIONS(3072),
    [anon_sym_word] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_struct] = ACTIONS(3072),
    [anon_sym_union] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_else] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_default] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_goto] = ACTIONS(3072),
    [anon_sym___try] = ACTIONS(3072),
    [anon_sym___leave] = ACTIONS(3072),
    [anon_sym_not] = ACTIONS(3072),
    [anon_sym_compl] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_sizeof] = ACTIONS(3072),
    [anon_sym___alignof__] = ACTIONS(3072),
    [anon_sym___alignof] = ACTIONS(3072),
    [anon_sym__alignof] = ACTIONS(3072),
    [anon_sym_alignof] = ACTIONS(3072),
    [anon_sym__Alignof] = ACTIONS(3072),
    [anon_sym_offsetof] = ACTIONS(3072),
    [anon_sym__Generic] = ACTIONS(3072),
    [anon_sym_asm] = ACTIONS(3072),
    [anon_sym___asm__] = ACTIONS(3072),
    [aux_sym_number_literal_token1] = ACTIONS(3074),
    [aux_sym_number_literal_token2] = ACTIONS(3072),
    [anon_sym_L_SQUOTE] = ACTIONS(3074),
    [anon_sym_u_SQUOTE] = ACTIONS(3074),
    [anon_sym_U_SQUOTE] = ACTIONS(3074),
    [anon_sym_u8_SQUOTE] = ACTIONS(3074),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [anon_sym_L_DQUOTE] = ACTIONS(3074),
    [anon_sym_u_DQUOTE] = ACTIONS(3074),
    [anon_sym_U_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8_DQUOTE] = ACTIONS(3074),
    [anon_sym_DQUOTE] = ACTIONS(3074),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3072),
    [anon_sym_decltype] = ACTIONS(3072),
    [anon_sym_virtual] = ACTIONS(3072),
    [anon_sym_alignas] = ACTIONS(3072),
    [anon_sym_explicit] = ACTIONS(3072),
    [anon_sym_typename] = ACTIONS(3072),
    [anon_sym_template] = ACTIONS(3072),
    [anon_sym_operator] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_static_assert] = ACTIONS(3072),
    [anon_sym_concept] = ACTIONS(3072),
    [anon_sym_co_return] = ACTIONS(3072),
    [anon_sym_co_yield] = ACTIONS(3072),
    [anon_sym_R_DQUOTE] = ACTIONS(3074),
    [anon_sym_LR_DQUOTE] = ACTIONS(3074),
    [anon_sym_uR_DQUOTE] = ACTIONS(3074),
    [anon_sym_UR_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3074),
    [anon_sym_co_await] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_requires] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
  },
  [298] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_include_token1] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token2] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [aux_sym_preproc_else_token1] = ACTIONS(3076),
    [aux_sym_preproc_elif_token1] = ACTIONS(3076),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym___cdecl] = ACTIONS(3076),
    [anon_sym___clrcall] = ACTIONS(3076),
    [anon_sym___stdcall] = ACTIONS(3076),
    [anon_sym___fastcall] = ACTIONS(3076),
    [anon_sym___thiscall] = ACTIONS(3076),
    [anon_sym___vectorcall] = ACTIONS(3076),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3076),
    [anon_sym_else] = ACTIONS(3076),
    [anon_sym_switch] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_default] = ACTIONS(3076),
    [anon_sym_while] = ACTIONS(3076),
    [anon_sym_do] = ACTIONS(3076),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_return] = ACTIONS(3076),
    [anon_sym_break] = ACTIONS(3076),
    [anon_sym_continue] = ACTIONS(3076),
    [anon_sym_goto] = ACTIONS(3076),
    [anon_sym___try] = ACTIONS(3076),
    [anon_sym___leave] = ACTIONS(3076),
    [anon_sym_not] = ACTIONS(3076),
    [anon_sym_compl] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_sizeof] = ACTIONS(3076),
    [anon_sym___alignof__] = ACTIONS(3076),
    [anon_sym___alignof] = ACTIONS(3076),
    [anon_sym__alignof] = ACTIONS(3076),
    [anon_sym_alignof] = ACTIONS(3076),
    [anon_sym__Alignof] = ACTIONS(3076),
    [anon_sym_offsetof] = ACTIONS(3076),
    [anon_sym__Generic] = ACTIONS(3076),
    [anon_sym_asm] = ACTIONS(3076),
    [anon_sym___asm__] = ACTIONS(3076),
    [aux_sym_number_literal_token1] = ACTIONS(3078),
    [aux_sym_number_literal_token2] = ACTIONS(3076),
    [anon_sym_L_SQUOTE] = ACTIONS(3078),
    [anon_sym_u_SQUOTE] = ACTIONS(3078),
    [anon_sym_U_SQUOTE] = ACTIONS(3078),
    [anon_sym_u8_SQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_L_DQUOTE] = ACTIONS(3078),
    [anon_sym_u_DQUOTE] = ACTIONS(3078),
    [anon_sym_U_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [sym_true] = ACTIONS(3076),
    [sym_false] = ACTIONS(3076),
    [anon_sym_NULL] = ACTIONS(3076),
    [anon_sym_nullptr] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_try] = ACTIONS(3076),
    [anon_sym_delete] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3076),
    [anon_sym_namespace] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
    [anon_sym_concept] = ACTIONS(3076),
    [anon_sym_co_return] = ACTIONS(3076),
    [anon_sym_co_yield] = ACTIONS(3076),
    [anon_sym_R_DQUOTE] = ACTIONS(3078),
    [anon_sym_LR_DQUOTE] = ACTIONS(3078),
    [anon_sym_uR_DQUOTE] = ACTIONS(3078),
    [anon_sym_UR_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3078),
    [anon_sym_co_await] = ACTIONS(3076),
    [anon_sym_new] = ACTIONS(3076),
    [anon_sym_requires] = ACTIONS(3076),
    [sym_this] = ACTIONS(3076),
  },
  [299] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_include_token1] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token2] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [aux_sym_preproc_else_token1] = ACTIONS(3076),
    [aux_sym_preproc_elif_token1] = ACTIONS(3076),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym___cdecl] = ACTIONS(3076),
    [anon_sym___clrcall] = ACTIONS(3076),
    [anon_sym___stdcall] = ACTIONS(3076),
    [anon_sym___fastcall] = ACTIONS(3076),
    [anon_sym___thiscall] = ACTIONS(3076),
    [anon_sym___vectorcall] = ACTIONS(3076),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3076),
    [anon_sym_else] = ACTIONS(3076),
    [anon_sym_switch] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_default] = ACTIONS(3076),
    [anon_sym_while] = ACTIONS(3076),
    [anon_sym_do] = ACTIONS(3076),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_return] = ACTIONS(3076),
    [anon_sym_break] = ACTIONS(3076),
    [anon_sym_continue] = ACTIONS(3076),
    [anon_sym_goto] = ACTIONS(3076),
    [anon_sym___try] = ACTIONS(3076),
    [anon_sym___leave] = ACTIONS(3076),
    [anon_sym_not] = ACTIONS(3076),
    [anon_sym_compl] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_sizeof] = ACTIONS(3076),
    [anon_sym___alignof__] = ACTIONS(3076),
    [anon_sym___alignof] = ACTIONS(3076),
    [anon_sym__alignof] = ACTIONS(3076),
    [anon_sym_alignof] = ACTIONS(3076),
    [anon_sym__Alignof] = ACTIONS(3076),
    [anon_sym_offsetof] = ACTIONS(3076),
    [anon_sym__Generic] = ACTIONS(3076),
    [anon_sym_asm] = ACTIONS(3076),
    [anon_sym___asm__] = ACTIONS(3076),
    [aux_sym_number_literal_token1] = ACTIONS(3078),
    [aux_sym_number_literal_token2] = ACTIONS(3076),
    [anon_sym_L_SQUOTE] = ACTIONS(3078),
    [anon_sym_u_SQUOTE] = ACTIONS(3078),
    [anon_sym_U_SQUOTE] = ACTIONS(3078),
    [anon_sym_u8_SQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_L_DQUOTE] = ACTIONS(3078),
    [anon_sym_u_DQUOTE] = ACTIONS(3078),
    [anon_sym_U_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [sym_true] = ACTIONS(3076),
    [sym_false] = ACTIONS(3076),
    [anon_sym_NULL] = ACTIONS(3076),
    [anon_sym_nullptr] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_try] = ACTIONS(3076),
    [anon_sym_delete] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3076),
    [anon_sym_namespace] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
    [anon_sym_concept] = ACTIONS(3076),
    [anon_sym_co_return] = ACTIONS(3076),
    [anon_sym_co_yield] = ACTIONS(3076),
    [anon_sym_R_DQUOTE] = ACTIONS(3078),
    [anon_sym_LR_DQUOTE] = ACTIONS(3078),
    [anon_sym_uR_DQUOTE] = ACTIONS(3078),
    [anon_sym_UR_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3078),
    [anon_sym_co_await] = ACTIONS(3076),
    [anon_sym_new] = ACTIONS(3076),
    [anon_sym_requires] = ACTIONS(3076),
    [sym_this] = ACTIONS(3076),
  },
  [300] = {
    [sym_identifier] = ACTIONS(3080),
    [aux_sym_preproc_include_token1] = ACTIONS(3080),
    [aux_sym_preproc_def_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3080),
    [aux_sym_preproc_else_token1] = ACTIONS(3080),
    [aux_sym_preproc_elif_token1] = ACTIONS(3080),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3080),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3080),
    [sym_preproc_directive] = ACTIONS(3080),
    [anon_sym_LPAREN2] = ACTIONS(3082),
    [anon_sym_BANG] = ACTIONS(3082),
    [anon_sym_TILDE] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym___extension__] = ACTIONS(3080),
    [anon_sym_typedef] = ACTIONS(3080),
    [anon_sym_extern] = ACTIONS(3080),
    [anon_sym___attribute__] = ACTIONS(3080),
    [anon_sym_COLON_COLON] = ACTIONS(3082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3082),
    [anon_sym___declspec] = ACTIONS(3080),
    [anon_sym___based] = ACTIONS(3080),
    [anon_sym___cdecl] = ACTIONS(3080),
    [anon_sym___clrcall] = ACTIONS(3080),
    [anon_sym___stdcall] = ACTIONS(3080),
    [anon_sym___fastcall] = ACTIONS(3080),
    [anon_sym___thiscall] = ACTIONS(3080),
    [anon_sym___vectorcall] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3082),
    [anon_sym_signed] = ACTIONS(3080),
    [anon_sym_unsigned] = ACTIONS(3080),
    [anon_sym_long] = ACTIONS(3080),
    [anon_sym_short] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_register] = ACTIONS(3080),
    [anon_sym_inline] = ACTIONS(3080),
    [anon_sym___inline] = ACTIONS(3080),
    [anon_sym___inline__] = ACTIONS(3080),
    [anon_sym___forceinline] = ACTIONS(3080),
    [anon_sym_thread_local] = ACTIONS(3080),
    [anon_sym___thread] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_constexpr] = ACTIONS(3080),
    [anon_sym_volatile] = ACTIONS(3080),
    [anon_sym_restrict] = ACTIONS(3080),
    [anon_sym___restrict__] = ACTIONS(3080),
    [anon_sym__Atomic] = ACTIONS(3080),
    [anon_sym__Noreturn] = ACTIONS(3080),
    [anon_sym_noreturn] = ACTIONS(3080),
    [anon_sym_mutable] = ACTIONS(3080),
    [anon_sym_constinit] = ACTIONS(3080),
    [anon_sym_consteval] = ACTIONS(3080),
    [anon_sym_PROGMEM] = ACTIONS(3080),
    [aux_sym_primitive_type_token1] = ACTIONS(3080),
    [anon_sym_byte] = ACTIONS(3080),
    [anon_sym_word] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_struct] = ACTIONS(3080),
    [anon_sym_union] = ACTIONS(3080),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_else] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_case] = ACTIONS(3080),
    [anon_sym_default] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_goto] = ACTIONS(3080),
    [anon_sym___try] = ACTIONS(3080),
    [anon_sym___leave] = ACTIONS(3080),
    [anon_sym_not] = ACTIONS(3080),
    [anon_sym_compl] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3082),
    [anon_sym_sizeof] = ACTIONS(3080),
    [anon_sym___alignof__] = ACTIONS(3080),
    [anon_sym___alignof] = ACTIONS(3080),
    [anon_sym__alignof] = ACTIONS(3080),
    [anon_sym_alignof] = ACTIONS(3080),
    [anon_sym__Alignof] = ACTIONS(3080),
    [anon_sym_offsetof] = ACTIONS(3080),
    [anon_sym__Generic] = ACTIONS(3080),
    [anon_sym_asm] = ACTIONS(3080),
    [anon_sym___asm__] = ACTIONS(3080),
    [aux_sym_number_literal_token1] = ACTIONS(3082),
    [aux_sym_number_literal_token2] = ACTIONS(3080),
    [anon_sym_L_SQUOTE] = ACTIONS(3082),
    [anon_sym_u_SQUOTE] = ACTIONS(3082),
    [anon_sym_U_SQUOTE] = ACTIONS(3082),
    [anon_sym_u8_SQUOTE] = ACTIONS(3082),
    [anon_sym_SQUOTE] = ACTIONS(3082),
    [anon_sym_L_DQUOTE] = ACTIONS(3082),
    [anon_sym_u_DQUOTE] = ACTIONS(3082),
    [anon_sym_U_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8_DQUOTE] = ACTIONS(3082),
    [anon_sym_DQUOTE] = ACTIONS(3082),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [anon_sym_NULL] = ACTIONS(3080),
    [anon_sym_nullptr] = ACTIONS(3080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3080),
    [anon_sym_decltype] = ACTIONS(3080),
    [anon_sym_virtual] = ACTIONS(3080),
    [anon_sym_alignas] = ACTIONS(3080),
    [anon_sym_explicit] = ACTIONS(3080),
    [anon_sym_typename] = ACTIONS(3080),
    [anon_sym_template] = ACTIONS(3080),
    [anon_sym_operator] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_static_assert] = ACTIONS(3080),
    [anon_sym_concept] = ACTIONS(3080),
    [anon_sym_co_return] = ACTIONS(3080),
    [anon_sym_co_yield] = ACTIONS(3080),
    [anon_sym_R_DQUOTE] = ACTIONS(3082),
    [anon_sym_LR_DQUOTE] = ACTIONS(3082),
    [anon_sym_uR_DQUOTE] = ACTIONS(3082),
    [anon_sym_UR_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3082),
    [anon_sym_co_await] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_requires] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
  },
  [301] = {
    [sym_identifier] = ACTIONS(3084),
    [aux_sym_preproc_include_token1] = ACTIONS(3084),
    [aux_sym_preproc_def_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token2] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [aux_sym_preproc_else_token1] = ACTIONS(3084),
    [aux_sym_preproc_elif_token1] = ACTIONS(3084),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3084),
    [sym_preproc_directive] = ACTIONS(3084),
    [anon_sym_LPAREN2] = ACTIONS(3086),
    [anon_sym_BANG] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym___extension__] = ACTIONS(3084),
    [anon_sym_typedef] = ACTIONS(3084),
    [anon_sym_extern] = ACTIONS(3084),
    [anon_sym___attribute__] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3086),
    [anon_sym___declspec] = ACTIONS(3084),
    [anon_sym___based] = ACTIONS(3084),
    [anon_sym___cdecl] = ACTIONS(3084),
    [anon_sym___clrcall] = ACTIONS(3084),
    [anon_sym___stdcall] = ACTIONS(3084),
    [anon_sym___fastcall] = ACTIONS(3084),
    [anon_sym___thiscall] = ACTIONS(3084),
    [anon_sym___vectorcall] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_signed] = ACTIONS(3084),
    [anon_sym_unsigned] = ACTIONS(3084),
    [anon_sym_long] = ACTIONS(3084),
    [anon_sym_short] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_register] = ACTIONS(3084),
    [anon_sym_inline] = ACTIONS(3084),
    [anon_sym___inline] = ACTIONS(3084),
    [anon_sym___inline__] = ACTIONS(3084),
    [anon_sym___forceinline] = ACTIONS(3084),
    [anon_sym_thread_local] = ACTIONS(3084),
    [anon_sym___thread] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_constexpr] = ACTIONS(3084),
    [anon_sym_volatile] = ACTIONS(3084),
    [anon_sym_restrict] = ACTIONS(3084),
    [anon_sym___restrict__] = ACTIONS(3084),
    [anon_sym__Atomic] = ACTIONS(3084),
    [anon_sym__Noreturn] = ACTIONS(3084),
    [anon_sym_noreturn] = ACTIONS(3084),
    [anon_sym_mutable] = ACTIONS(3084),
    [anon_sym_constinit] = ACTIONS(3084),
    [anon_sym_consteval] = ACTIONS(3084),
    [anon_sym_PROGMEM] = ACTIONS(3084),
    [aux_sym_primitive_type_token1] = ACTIONS(3084),
    [anon_sym_byte] = ACTIONS(3084),
    [anon_sym_word] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_struct] = ACTIONS(3084),
    [anon_sym_union] = ACTIONS(3084),
    [anon_sym_if] = ACTIONS(3084),
    [anon_sym_else] = ACTIONS(3084),
    [anon_sym_switch] = ACTIONS(3084),
    [anon_sym_case] = ACTIONS(3084),
    [anon_sym_default] = ACTIONS(3084),
    [anon_sym_while] = ACTIONS(3084),
    [anon_sym_do] = ACTIONS(3084),
    [anon_sym_for] = ACTIONS(3084),
    [anon_sym_return] = ACTIONS(3084),
    [anon_sym_break] = ACTIONS(3084),
    [anon_sym_continue] = ACTIONS(3084),
    [anon_sym_goto] = ACTIONS(3084),
    [anon_sym___try] = ACTIONS(3084),
    [anon_sym___leave] = ACTIONS(3084),
    [anon_sym_not] = ACTIONS(3084),
    [anon_sym_compl] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_sizeof] = ACTIONS(3084),
    [anon_sym___alignof__] = ACTIONS(3084),
    [anon_sym___alignof] = ACTIONS(3084),
    [anon_sym__alignof] = ACTIONS(3084),
    [anon_sym_alignof] = ACTIONS(3084),
    [anon_sym__Alignof] = ACTIONS(3084),
    [anon_sym_offsetof] = ACTIONS(3084),
    [anon_sym__Generic] = ACTIONS(3084),
    [anon_sym_asm] = ACTIONS(3084),
    [anon_sym___asm__] = ACTIONS(3084),
    [aux_sym_number_literal_token1] = ACTIONS(3086),
    [aux_sym_number_literal_token2] = ACTIONS(3084),
    [anon_sym_L_SQUOTE] = ACTIONS(3086),
    [anon_sym_u_SQUOTE] = ACTIONS(3086),
    [anon_sym_U_SQUOTE] = ACTIONS(3086),
    [anon_sym_u8_SQUOTE] = ACTIONS(3086),
    [anon_sym_SQUOTE] = ACTIONS(3086),
    [anon_sym_L_DQUOTE] = ACTIONS(3086),
    [anon_sym_u_DQUOTE] = ACTIONS(3086),
    [anon_sym_U_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8_DQUOTE] = ACTIONS(3086),
    [anon_sym_DQUOTE] = ACTIONS(3086),
    [sym_true] = ACTIONS(3084),
    [sym_false] = ACTIONS(3084),
    [anon_sym_NULL] = ACTIONS(3084),
    [anon_sym_nullptr] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3084),
    [anon_sym_decltype] = ACTIONS(3084),
    [anon_sym_virtual] = ACTIONS(3084),
    [anon_sym_alignas] = ACTIONS(3084),
    [anon_sym_explicit] = ACTIONS(3084),
    [anon_sym_typename] = ACTIONS(3084),
    [anon_sym_template] = ACTIONS(3084),
    [anon_sym_operator] = ACTIONS(3084),
    [anon_sym_try] = ACTIONS(3084),
    [anon_sym_delete] = ACTIONS(3084),
    [anon_sym_throw] = ACTIONS(3084),
    [anon_sym_namespace] = ACTIONS(3084),
    [anon_sym_using] = ACTIONS(3084),
    [anon_sym_static_assert] = ACTIONS(3084),
    [anon_sym_concept] = ACTIONS(3084),
    [anon_sym_co_return] = ACTIONS(3084),
    [anon_sym_co_yield] = ACTIONS(3084),
    [anon_sym_R_DQUOTE] = ACTIONS(3086),
    [anon_sym_LR_DQUOTE] = ACTIONS(3086),
    [anon_sym_uR_DQUOTE] = ACTIONS(3086),
    [anon_sym_UR_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3086),
    [anon_sym_co_await] = ACTIONS(3084),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_requires] = ACTIONS(3084),
    [sym_this] = ACTIONS(3084),
  },
  [302] = {
    [sym_type_qualifier] = STATE(4419),
    [sym__type_specifier] = STATE(5566),
    [sym_sized_type_specifier] = STATE(3307),
    [sym_primitive_type] = STATE(5783),
    [sym_enum_specifier] = STATE(3307),
    [sym_struct_specifier] = STATE(3307),
    [sym_union_specifier] = STATE(3307),
    [sym__expression] = STATE(5084),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_type_descriptor] = STATE(7706),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_placeholder_type_specifier] = STATE(3307),
    [sym_decltype_auto] = STATE(3308),
    [sym_decltype] = STATE(3258),
    [sym_class_specifier] = STATE(3307),
    [sym__class_name] = STATE(8488),
    [sym_dependent_type] = STATE(3307),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_type_parameter_pack_expansion] = STATE(7926),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6377),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym_user_defined_literal] = STATE(4145),
    [aux_sym__type_definition_type_repeat1] = STATE(4419),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2974),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2978),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_GT2] = ACTIONS(3088),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [303] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [304] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [305] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [306] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [307] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [308] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [309] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [310] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [311] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [312] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [313] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [314] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [315] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [316] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [317] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [318] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [319] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [320] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [321] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [322] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [323] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [324] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [325] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [326] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [327] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [328] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [329] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [330] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [331] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [332] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [333] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [334] = {
    [sym_type_qualifier] = STATE(4419),
    [sym__type_specifier] = STATE(5566),
    [sym_sized_type_specifier] = STATE(3307),
    [sym_primitive_type] = STATE(5783),
    [sym_enum_specifier] = STATE(3307),
    [sym_struct_specifier] = STATE(3307),
    [sym_union_specifier] = STATE(3307),
    [sym__expression] = STATE(4966),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_type_descriptor] = STATE(7624),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_placeholder_type_specifier] = STATE(3307),
    [sym_decltype_auto] = STATE(3308),
    [sym_decltype] = STATE(3258),
    [sym_class_specifier] = STATE(3307),
    [sym__class_name] = STATE(8488),
    [sym_dependent_type] = STATE(3307),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_type_parameter_pack_expansion] = STATE(8118),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6377),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym_user_defined_literal] = STATE(4145),
    [aux_sym__type_definition_type_repeat1] = STATE(4419),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2974),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2978),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_GT2] = ACTIONS(3098),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [335] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [336] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [337] = {
    [sym_type_qualifier] = STATE(4419),
    [sym__type_specifier] = STATE(5566),
    [sym_sized_type_specifier] = STATE(3307),
    [sym_primitive_type] = STATE(5783),
    [sym_enum_specifier] = STATE(3307),
    [sym_struct_specifier] = STATE(3307),
    [sym_union_specifier] = STATE(3307),
    [sym__expression] = STATE(4976),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_type_descriptor] = STATE(7629),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_placeholder_type_specifier] = STATE(3307),
    [sym_decltype_auto] = STATE(3308),
    [sym_decltype] = STATE(3258),
    [sym_class_specifier] = STATE(3307),
    [sym__class_name] = STATE(8488),
    [sym_dependent_type] = STATE(3307),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_type_parameter_pack_expansion] = STATE(8106),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6377),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym_user_defined_literal] = STATE(4145),
    [aux_sym__type_definition_type_repeat1] = STATE(4419),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2974),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2978),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_GT2] = ACTIONS(3100),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [338] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [339] = {
    [sym_type_qualifier] = STATE(4419),
    [sym__type_specifier] = STATE(5566),
    [sym_sized_type_specifier] = STATE(3307),
    [sym_primitive_type] = STATE(5783),
    [sym_enum_specifier] = STATE(3307),
    [sym_struct_specifier] = STATE(3307),
    [sym_union_specifier] = STATE(3307),
    [sym__expression] = STATE(5015),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_type_descriptor] = STATE(7614),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_placeholder_type_specifier] = STATE(3307),
    [sym_decltype_auto] = STATE(3308),
    [sym_decltype] = STATE(3258),
    [sym_class_specifier] = STATE(3307),
    [sym__class_name] = STATE(8488),
    [sym_dependent_type] = STATE(3307),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_type_parameter_pack_expansion] = STATE(8142),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6377),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym_user_defined_literal] = STATE(4145),
    [aux_sym__type_definition_type_repeat1] = STATE(4419),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2974),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2978),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_GT2] = ACTIONS(3102),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [340] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [341] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [342] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [343] = {
    [sym_identifier] = ACTIONS(3104),
    [aux_sym_preproc_include_token1] = ACTIONS(3104),
    [aux_sym_preproc_def_token1] = ACTIONS(3104),
    [aux_sym_preproc_if_token1] = ACTIONS(3104),
    [aux_sym_preproc_if_token2] = ACTIONS(3104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3104),
    [aux_sym_preproc_else_token1] = ACTIONS(3104),
    [aux_sym_preproc_elif_token1] = ACTIONS(3104),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3104),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3104),
    [sym_preproc_directive] = ACTIONS(3104),
    [anon_sym_LPAREN2] = ACTIONS(3106),
    [anon_sym_BANG] = ACTIONS(3106),
    [anon_sym_TILDE] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3104),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_AMP_AMP] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym___extension__] = ACTIONS(3104),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(3104),
    [anon_sym___attribute__] = ACTIONS(3104),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3106),
    [anon_sym___declspec] = ACTIONS(3104),
    [anon_sym___based] = ACTIONS(3104),
    [anon_sym___cdecl] = ACTIONS(3104),
    [anon_sym___clrcall] = ACTIONS(3104),
    [anon_sym___stdcall] = ACTIONS(3104),
    [anon_sym___fastcall] = ACTIONS(3104),
    [anon_sym___thiscall] = ACTIONS(3104),
    [anon_sym___vectorcall] = ACTIONS(3104),
    [anon_sym_LBRACE] = ACTIONS(3106),
    [anon_sym_signed] = ACTIONS(3104),
    [anon_sym_unsigned] = ACTIONS(3104),
    [anon_sym_long] = ACTIONS(3104),
    [anon_sym_short] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_static] = ACTIONS(3104),
    [anon_sym_register] = ACTIONS(3104),
    [anon_sym_inline] = ACTIONS(3104),
    [anon_sym___inline] = ACTIONS(3104),
    [anon_sym___inline__] = ACTIONS(3104),
    [anon_sym___forceinline] = ACTIONS(3104),
    [anon_sym_thread_local] = ACTIONS(3104),
    [anon_sym___thread] = ACTIONS(3104),
    [anon_sym_const] = ACTIONS(3104),
    [anon_sym_constexpr] = ACTIONS(3104),
    [anon_sym_volatile] = ACTIONS(3104),
    [anon_sym_restrict] = ACTIONS(3104),
    [anon_sym___restrict__] = ACTIONS(3104),
    [anon_sym__Atomic] = ACTIONS(3104),
    [anon_sym__Noreturn] = ACTIONS(3104),
    [anon_sym_noreturn] = ACTIONS(3104),
    [anon_sym_mutable] = ACTIONS(3104),
    [anon_sym_constinit] = ACTIONS(3104),
    [anon_sym_consteval] = ACTIONS(3104),
    [anon_sym_PROGMEM] = ACTIONS(3104),
    [aux_sym_primitive_type_token1] = ACTIONS(3104),
    [anon_sym_byte] = ACTIONS(3104),
    [anon_sym_word] = ACTIONS(3104),
    [anon_sym_enum] = ACTIONS(3104),
    [anon_sym_class] = ACTIONS(3104),
    [anon_sym_struct] = ACTIONS(3104),
    [anon_sym_union] = ACTIONS(3104),
    [anon_sym_if] = ACTIONS(3104),
    [anon_sym_else] = ACTIONS(3104),
    [anon_sym_switch] = ACTIONS(3104),
    [anon_sym_case] = ACTIONS(3104),
    [anon_sym_default] = ACTIONS(3104),
    [anon_sym_while] = ACTIONS(3104),
    [anon_sym_do] = ACTIONS(3104),
    [anon_sym_for] = ACTIONS(3104),
    [anon_sym_return] = ACTIONS(3104),
    [anon_sym_break] = ACTIONS(3104),
    [anon_sym_continue] = ACTIONS(3104),
    [anon_sym_goto] = ACTIONS(3104),
    [anon_sym___try] = ACTIONS(3104),
    [anon_sym___leave] = ACTIONS(3104),
    [anon_sym_not] = ACTIONS(3104),
    [anon_sym_compl] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_sizeof] = ACTIONS(3104),
    [anon_sym___alignof__] = ACTIONS(3104),
    [anon_sym___alignof] = ACTIONS(3104),
    [anon_sym__alignof] = ACTIONS(3104),
    [anon_sym_alignof] = ACTIONS(3104),
    [anon_sym__Alignof] = ACTIONS(3104),
    [anon_sym_offsetof] = ACTIONS(3104),
    [anon_sym__Generic] = ACTIONS(3104),
    [anon_sym_asm] = ACTIONS(3104),
    [anon_sym___asm__] = ACTIONS(3104),
    [aux_sym_number_literal_token1] = ACTIONS(3106),
    [aux_sym_number_literal_token2] = ACTIONS(3104),
    [anon_sym_L_SQUOTE] = ACTIONS(3106),
    [anon_sym_u_SQUOTE] = ACTIONS(3106),
    [anon_sym_U_SQUOTE] = ACTIONS(3106),
    [anon_sym_u8_SQUOTE] = ACTIONS(3106),
    [anon_sym_SQUOTE] = ACTIONS(3106),
    [anon_sym_L_DQUOTE] = ACTIONS(3106),
    [anon_sym_u_DQUOTE] = ACTIONS(3106),
    [anon_sym_U_DQUOTE] = ACTIONS(3106),
    [anon_sym_u8_DQUOTE] = ACTIONS(3106),
    [anon_sym_DQUOTE] = ACTIONS(3106),
    [sym_true] = ACTIONS(3104),
    [sym_false] = ACTIONS(3104),
    [anon_sym_NULL] = ACTIONS(3104),
    [anon_sym_nullptr] = ACTIONS(3104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3104),
    [anon_sym_decltype] = ACTIONS(3104),
    [anon_sym_virtual] = ACTIONS(3104),
    [anon_sym_alignas] = ACTIONS(3104),
    [anon_sym_explicit] = ACTIONS(3104),
    [anon_sym_typename] = ACTIONS(3104),
    [anon_sym_template] = ACTIONS(3104),
    [anon_sym_operator] = ACTIONS(3104),
    [anon_sym_try] = ACTIONS(3104),
    [anon_sym_delete] = ACTIONS(3104),
    [anon_sym_throw] = ACTIONS(3104),
    [anon_sym_namespace] = ACTIONS(3104),
    [anon_sym_using] = ACTIONS(3104),
    [anon_sym_static_assert] = ACTIONS(3104),
    [anon_sym_concept] = ACTIONS(3104),
    [anon_sym_co_return] = ACTIONS(3104),
    [anon_sym_co_yield] = ACTIONS(3104),
    [anon_sym_R_DQUOTE] = ACTIONS(3106),
    [anon_sym_LR_DQUOTE] = ACTIONS(3106),
    [anon_sym_uR_DQUOTE] = ACTIONS(3106),
    [anon_sym_UR_DQUOTE] = ACTIONS(3106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3106),
    [anon_sym_co_await] = ACTIONS(3104),
    [anon_sym_new] = ACTIONS(3104),
    [anon_sym_requires] = ACTIONS(3104),
    [sym_this] = ACTIONS(3104),
  },
  [344] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [345] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [346] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [347] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [348] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [349] = {
    [sym_identifier] = ACTIONS(3108),
    [aux_sym_preproc_include_token1] = ACTIONS(3108),
    [aux_sym_preproc_def_token1] = ACTIONS(3108),
    [aux_sym_preproc_if_token1] = ACTIONS(3108),
    [aux_sym_preproc_if_token2] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3108),
    [aux_sym_preproc_else_token1] = ACTIONS(3108),
    [aux_sym_preproc_elif_token1] = ACTIONS(3108),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3108),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3108),
    [sym_preproc_directive] = ACTIONS(3108),
    [anon_sym_LPAREN2] = ACTIONS(3110),
    [anon_sym_BANG] = ACTIONS(3110),
    [anon_sym_TILDE] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3110),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym___extension__] = ACTIONS(3108),
    [anon_sym_typedef] = ACTIONS(3108),
    [anon_sym_extern] = ACTIONS(3108),
    [anon_sym___attribute__] = ACTIONS(3108),
    [anon_sym_COLON_COLON] = ACTIONS(3110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3110),
    [anon_sym___declspec] = ACTIONS(3108),
    [anon_sym___based] = ACTIONS(3108),
    [anon_sym___cdecl] = ACTIONS(3108),
    [anon_sym___clrcall] = ACTIONS(3108),
    [anon_sym___stdcall] = ACTIONS(3108),
    [anon_sym___fastcall] = ACTIONS(3108),
    [anon_sym___thiscall] = ACTIONS(3108),
    [anon_sym___vectorcall] = ACTIONS(3108),
    [anon_sym_LBRACE] = ACTIONS(3110),
    [anon_sym_signed] = ACTIONS(3108),
    [anon_sym_unsigned] = ACTIONS(3108),
    [anon_sym_long] = ACTIONS(3108),
    [anon_sym_short] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(3108),
    [anon_sym_register] = ACTIONS(3108),
    [anon_sym_inline] = ACTIONS(3108),
    [anon_sym___inline] = ACTIONS(3108),
    [anon_sym___inline__] = ACTIONS(3108),
    [anon_sym___forceinline] = ACTIONS(3108),
    [anon_sym_thread_local] = ACTIONS(3108),
    [anon_sym___thread] = ACTIONS(3108),
    [anon_sym_const] = ACTIONS(3108),
    [anon_sym_constexpr] = ACTIONS(3108),
    [anon_sym_volatile] = ACTIONS(3108),
    [anon_sym_restrict] = ACTIONS(3108),
    [anon_sym___restrict__] = ACTIONS(3108),
    [anon_sym__Atomic] = ACTIONS(3108),
    [anon_sym__Noreturn] = ACTIONS(3108),
    [anon_sym_noreturn] = ACTIONS(3108),
    [anon_sym_mutable] = ACTIONS(3108),
    [anon_sym_constinit] = ACTIONS(3108),
    [anon_sym_consteval] = ACTIONS(3108),
    [anon_sym_PROGMEM] = ACTIONS(3108),
    [aux_sym_primitive_type_token1] = ACTIONS(3108),
    [anon_sym_byte] = ACTIONS(3108),
    [anon_sym_word] = ACTIONS(3108),
    [anon_sym_enum] = ACTIONS(3108),
    [anon_sym_class] = ACTIONS(3108),
    [anon_sym_struct] = ACTIONS(3108),
    [anon_sym_union] = ACTIONS(3108),
    [anon_sym_if] = ACTIONS(3108),
    [anon_sym_else] = ACTIONS(3108),
    [anon_sym_switch] = ACTIONS(3108),
    [anon_sym_case] = ACTIONS(3108),
    [anon_sym_default] = ACTIONS(3108),
    [anon_sym_while] = ACTIONS(3108),
    [anon_sym_do] = ACTIONS(3108),
    [anon_sym_for] = ACTIONS(3108),
    [anon_sym_return] = ACTIONS(3108),
    [anon_sym_break] = ACTIONS(3108),
    [anon_sym_continue] = ACTIONS(3108),
    [anon_sym_goto] = ACTIONS(3108),
    [anon_sym___try] = ACTIONS(3108),
    [anon_sym___leave] = ACTIONS(3108),
    [anon_sym_not] = ACTIONS(3108),
    [anon_sym_compl] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_sizeof] = ACTIONS(3108),
    [anon_sym___alignof__] = ACTIONS(3108),
    [anon_sym___alignof] = ACTIONS(3108),
    [anon_sym__alignof] = ACTIONS(3108),
    [anon_sym_alignof] = ACTIONS(3108),
    [anon_sym__Alignof] = ACTIONS(3108),
    [anon_sym_offsetof] = ACTIONS(3108),
    [anon_sym__Generic] = ACTIONS(3108),
    [anon_sym_asm] = ACTIONS(3108),
    [anon_sym___asm__] = ACTIONS(3108),
    [aux_sym_number_literal_token1] = ACTIONS(3110),
    [aux_sym_number_literal_token2] = ACTIONS(3108),
    [anon_sym_L_SQUOTE] = ACTIONS(3110),
    [anon_sym_u_SQUOTE] = ACTIONS(3110),
    [anon_sym_U_SQUOTE] = ACTIONS(3110),
    [anon_sym_u8_SQUOTE] = ACTIONS(3110),
    [anon_sym_SQUOTE] = ACTIONS(3110),
    [anon_sym_L_DQUOTE] = ACTIONS(3110),
    [anon_sym_u_DQUOTE] = ACTIONS(3110),
    [anon_sym_U_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8_DQUOTE] = ACTIONS(3110),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [sym_true] = ACTIONS(3108),
    [sym_false] = ACTIONS(3108),
    [anon_sym_NULL] = ACTIONS(3108),
    [anon_sym_nullptr] = ACTIONS(3108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3108),
    [anon_sym_decltype] = ACTIONS(3108),
    [anon_sym_virtual] = ACTIONS(3108),
    [anon_sym_alignas] = ACTIONS(3108),
    [anon_sym_explicit] = ACTIONS(3108),
    [anon_sym_typename] = ACTIONS(3108),
    [anon_sym_template] = ACTIONS(3108),
    [anon_sym_operator] = ACTIONS(3108),
    [anon_sym_try] = ACTIONS(3108),
    [anon_sym_delete] = ACTIONS(3108),
    [anon_sym_throw] = ACTIONS(3108),
    [anon_sym_namespace] = ACTIONS(3108),
    [anon_sym_using] = ACTIONS(3108),
    [anon_sym_static_assert] = ACTIONS(3108),
    [anon_sym_concept] = ACTIONS(3108),
    [anon_sym_co_return] = ACTIONS(3108),
    [anon_sym_co_yield] = ACTIONS(3108),
    [anon_sym_R_DQUOTE] = ACTIONS(3110),
    [anon_sym_LR_DQUOTE] = ACTIONS(3110),
    [anon_sym_uR_DQUOTE] = ACTIONS(3110),
    [anon_sym_UR_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3110),
    [anon_sym_co_await] = ACTIONS(3108),
    [anon_sym_new] = ACTIONS(3108),
    [anon_sym_requires] = ACTIONS(3108),
    [sym_this] = ACTIONS(3108),
  },
  [350] = {
    [sym_identifier] = ACTIONS(3112),
    [aux_sym_preproc_include_token1] = ACTIONS(3112),
    [aux_sym_preproc_def_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token2] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3112),
    [aux_sym_preproc_else_token1] = ACTIONS(3112),
    [aux_sym_preproc_elif_token1] = ACTIONS(3112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3112),
    [sym_preproc_directive] = ACTIONS(3112),
    [anon_sym_LPAREN2] = ACTIONS(3114),
    [anon_sym_BANG] = ACTIONS(3114),
    [anon_sym_TILDE] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym___extension__] = ACTIONS(3112),
    [anon_sym_typedef] = ACTIONS(3112),
    [anon_sym_extern] = ACTIONS(3112),
    [anon_sym___attribute__] = ACTIONS(3112),
    [anon_sym_COLON_COLON] = ACTIONS(3114),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3114),
    [anon_sym___declspec] = ACTIONS(3112),
    [anon_sym___based] = ACTIONS(3112),
    [anon_sym___cdecl] = ACTIONS(3112),
    [anon_sym___clrcall] = ACTIONS(3112),
    [anon_sym___stdcall] = ACTIONS(3112),
    [anon_sym___fastcall] = ACTIONS(3112),
    [anon_sym___thiscall] = ACTIONS(3112),
    [anon_sym___vectorcall] = ACTIONS(3112),
    [anon_sym_LBRACE] = ACTIONS(3114),
    [anon_sym_signed] = ACTIONS(3112),
    [anon_sym_unsigned] = ACTIONS(3112),
    [anon_sym_long] = ACTIONS(3112),
    [anon_sym_short] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_register] = ACTIONS(3112),
    [anon_sym_inline] = ACTIONS(3112),
    [anon_sym___inline] = ACTIONS(3112),
    [anon_sym___inline__] = ACTIONS(3112),
    [anon_sym___forceinline] = ACTIONS(3112),
    [anon_sym_thread_local] = ACTIONS(3112),
    [anon_sym___thread] = ACTIONS(3112),
    [anon_sym_const] = ACTIONS(3112),
    [anon_sym_constexpr] = ACTIONS(3112),
    [anon_sym_volatile] = ACTIONS(3112),
    [anon_sym_restrict] = ACTIONS(3112),
    [anon_sym___restrict__] = ACTIONS(3112),
    [anon_sym__Atomic] = ACTIONS(3112),
    [anon_sym__Noreturn] = ACTIONS(3112),
    [anon_sym_noreturn] = ACTIONS(3112),
    [anon_sym_mutable] = ACTIONS(3112),
    [anon_sym_constinit] = ACTIONS(3112),
    [anon_sym_consteval] = ACTIONS(3112),
    [anon_sym_PROGMEM] = ACTIONS(3112),
    [aux_sym_primitive_type_token1] = ACTIONS(3112),
    [anon_sym_byte] = ACTIONS(3112),
    [anon_sym_word] = ACTIONS(3112),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3112),
    [anon_sym_struct] = ACTIONS(3112),
    [anon_sym_union] = ACTIONS(3112),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_else] = ACTIONS(3112),
    [anon_sym_switch] = ACTIONS(3112),
    [anon_sym_case] = ACTIONS(3112),
    [anon_sym_default] = ACTIONS(3112),
    [anon_sym_while] = ACTIONS(3112),
    [anon_sym_do] = ACTIONS(3112),
    [anon_sym_for] = ACTIONS(3112),
    [anon_sym_return] = ACTIONS(3112),
    [anon_sym_break] = ACTIONS(3112),
    [anon_sym_continue] = ACTIONS(3112),
    [anon_sym_goto] = ACTIONS(3112),
    [anon_sym___try] = ACTIONS(3112),
    [anon_sym___leave] = ACTIONS(3112),
    [anon_sym_not] = ACTIONS(3112),
    [anon_sym_compl] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_sizeof] = ACTIONS(3112),
    [anon_sym___alignof__] = ACTIONS(3112),
    [anon_sym___alignof] = ACTIONS(3112),
    [anon_sym__alignof] = ACTIONS(3112),
    [anon_sym_alignof] = ACTIONS(3112),
    [anon_sym__Alignof] = ACTIONS(3112),
    [anon_sym_offsetof] = ACTIONS(3112),
    [anon_sym__Generic] = ACTIONS(3112),
    [anon_sym_asm] = ACTIONS(3112),
    [anon_sym___asm__] = ACTIONS(3112),
    [aux_sym_number_literal_token1] = ACTIONS(3114),
    [aux_sym_number_literal_token2] = ACTIONS(3112),
    [anon_sym_L_SQUOTE] = ACTIONS(3114),
    [anon_sym_u_SQUOTE] = ACTIONS(3114),
    [anon_sym_U_SQUOTE] = ACTIONS(3114),
    [anon_sym_u8_SQUOTE] = ACTIONS(3114),
    [anon_sym_SQUOTE] = ACTIONS(3114),
    [anon_sym_L_DQUOTE] = ACTIONS(3114),
    [anon_sym_u_DQUOTE] = ACTIONS(3114),
    [anon_sym_U_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8_DQUOTE] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(3114),
    [sym_true] = ACTIONS(3112),
    [sym_false] = ACTIONS(3112),
    [anon_sym_NULL] = ACTIONS(3112),
    [anon_sym_nullptr] = ACTIONS(3112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3112),
    [anon_sym_decltype] = ACTIONS(3112),
    [anon_sym_virtual] = ACTIONS(3112),
    [anon_sym_alignas] = ACTIONS(3112),
    [anon_sym_explicit] = ACTIONS(3112),
    [anon_sym_typename] = ACTIONS(3112),
    [anon_sym_template] = ACTIONS(3112),
    [anon_sym_operator] = ACTIONS(3112),
    [anon_sym_try] = ACTIONS(3112),
    [anon_sym_delete] = ACTIONS(3112),
    [anon_sym_throw] = ACTIONS(3112),
    [anon_sym_namespace] = ACTIONS(3112),
    [anon_sym_using] = ACTIONS(3112),
    [anon_sym_static_assert] = ACTIONS(3112),
    [anon_sym_concept] = ACTIONS(3112),
    [anon_sym_co_return] = ACTIONS(3112),
    [anon_sym_co_yield] = ACTIONS(3112),
    [anon_sym_R_DQUOTE] = ACTIONS(3114),
    [anon_sym_LR_DQUOTE] = ACTIONS(3114),
    [anon_sym_uR_DQUOTE] = ACTIONS(3114),
    [anon_sym_UR_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3114),
    [anon_sym_co_await] = ACTIONS(3112),
    [anon_sym_new] = ACTIONS(3112),
    [anon_sym_requires] = ACTIONS(3112),
    [sym_this] = ACTIONS(3112),
  },
  [351] = {
    [sym_identifier] = ACTIONS(3116),
    [aux_sym_preproc_include_token1] = ACTIONS(3116),
    [aux_sym_preproc_def_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token2] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3116),
    [aux_sym_preproc_else_token1] = ACTIONS(3116),
    [aux_sym_preproc_elif_token1] = ACTIONS(3116),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3116),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3116),
    [sym_preproc_directive] = ACTIONS(3116),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [anon_sym_BANG] = ACTIONS(3118),
    [anon_sym_TILDE] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3118),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3118),
    [anon_sym___extension__] = ACTIONS(3116),
    [anon_sym_typedef] = ACTIONS(3116),
    [anon_sym_extern] = ACTIONS(3116),
    [anon_sym___attribute__] = ACTIONS(3116),
    [anon_sym_COLON_COLON] = ACTIONS(3118),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3118),
    [anon_sym___declspec] = ACTIONS(3116),
    [anon_sym___based] = ACTIONS(3116),
    [anon_sym___cdecl] = ACTIONS(3116),
    [anon_sym___clrcall] = ACTIONS(3116),
    [anon_sym___stdcall] = ACTIONS(3116),
    [anon_sym___fastcall] = ACTIONS(3116),
    [anon_sym___thiscall] = ACTIONS(3116),
    [anon_sym___vectorcall] = ACTIONS(3116),
    [anon_sym_LBRACE] = ACTIONS(3118),
    [anon_sym_signed] = ACTIONS(3116),
    [anon_sym_unsigned] = ACTIONS(3116),
    [anon_sym_long] = ACTIONS(3116),
    [anon_sym_short] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_static] = ACTIONS(3116),
    [anon_sym_register] = ACTIONS(3116),
    [anon_sym_inline] = ACTIONS(3116),
    [anon_sym___inline] = ACTIONS(3116),
    [anon_sym___inline__] = ACTIONS(3116),
    [anon_sym___forceinline] = ACTIONS(3116),
    [anon_sym_thread_local] = ACTIONS(3116),
    [anon_sym___thread] = ACTIONS(3116),
    [anon_sym_const] = ACTIONS(3116),
    [anon_sym_constexpr] = ACTIONS(3116),
    [anon_sym_volatile] = ACTIONS(3116),
    [anon_sym_restrict] = ACTIONS(3116),
    [anon_sym___restrict__] = ACTIONS(3116),
    [anon_sym__Atomic] = ACTIONS(3116),
    [anon_sym__Noreturn] = ACTIONS(3116),
    [anon_sym_noreturn] = ACTIONS(3116),
    [anon_sym_mutable] = ACTIONS(3116),
    [anon_sym_constinit] = ACTIONS(3116),
    [anon_sym_consteval] = ACTIONS(3116),
    [anon_sym_PROGMEM] = ACTIONS(3116),
    [aux_sym_primitive_type_token1] = ACTIONS(3116),
    [anon_sym_byte] = ACTIONS(3116),
    [anon_sym_word] = ACTIONS(3116),
    [anon_sym_enum] = ACTIONS(3116),
    [anon_sym_class] = ACTIONS(3116),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3116),
    [anon_sym_if] = ACTIONS(3116),
    [anon_sym_else] = ACTIONS(3116),
    [anon_sym_switch] = ACTIONS(3116),
    [anon_sym_case] = ACTIONS(3116),
    [anon_sym_default] = ACTIONS(3116),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_do] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3116),
    [anon_sym_return] = ACTIONS(3116),
    [anon_sym_break] = ACTIONS(3116),
    [anon_sym_continue] = ACTIONS(3116),
    [anon_sym_goto] = ACTIONS(3116),
    [anon_sym___try] = ACTIONS(3116),
    [anon_sym___leave] = ACTIONS(3116),
    [anon_sym_not] = ACTIONS(3116),
    [anon_sym_compl] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_sizeof] = ACTIONS(3116),
    [anon_sym___alignof__] = ACTIONS(3116),
    [anon_sym___alignof] = ACTIONS(3116),
    [anon_sym__alignof] = ACTIONS(3116),
    [anon_sym_alignof] = ACTIONS(3116),
    [anon_sym__Alignof] = ACTIONS(3116),
    [anon_sym_offsetof] = ACTIONS(3116),
    [anon_sym__Generic] = ACTIONS(3116),
    [anon_sym_asm] = ACTIONS(3116),
    [anon_sym___asm__] = ACTIONS(3116),
    [aux_sym_number_literal_token1] = ACTIONS(3118),
    [aux_sym_number_literal_token2] = ACTIONS(3116),
    [anon_sym_L_SQUOTE] = ACTIONS(3118),
    [anon_sym_u_SQUOTE] = ACTIONS(3118),
    [anon_sym_U_SQUOTE] = ACTIONS(3118),
    [anon_sym_u8_SQUOTE] = ACTIONS(3118),
    [anon_sym_SQUOTE] = ACTIONS(3118),
    [anon_sym_L_DQUOTE] = ACTIONS(3118),
    [anon_sym_u_DQUOTE] = ACTIONS(3118),
    [anon_sym_U_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8_DQUOTE] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(3118),
    [sym_true] = ACTIONS(3116),
    [sym_false] = ACTIONS(3116),
    [anon_sym_NULL] = ACTIONS(3116),
    [anon_sym_nullptr] = ACTIONS(3116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3116),
    [anon_sym_decltype] = ACTIONS(3116),
    [anon_sym_virtual] = ACTIONS(3116),
    [anon_sym_alignas] = ACTIONS(3116),
    [anon_sym_explicit] = ACTIONS(3116),
    [anon_sym_typename] = ACTIONS(3116),
    [anon_sym_template] = ACTIONS(3116),
    [anon_sym_operator] = ACTIONS(3116),
    [anon_sym_try] = ACTIONS(3116),
    [anon_sym_delete] = ACTIONS(3116),
    [anon_sym_throw] = ACTIONS(3116),
    [anon_sym_namespace] = ACTIONS(3116),
    [anon_sym_using] = ACTIONS(3116),
    [anon_sym_static_assert] = ACTIONS(3116),
    [anon_sym_concept] = ACTIONS(3116),
    [anon_sym_co_return] = ACTIONS(3116),
    [anon_sym_co_yield] = ACTIONS(3116),
    [anon_sym_R_DQUOTE] = ACTIONS(3118),
    [anon_sym_LR_DQUOTE] = ACTIONS(3118),
    [anon_sym_uR_DQUOTE] = ACTIONS(3118),
    [anon_sym_UR_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3118),
    [anon_sym_co_await] = ACTIONS(3116),
    [anon_sym_new] = ACTIONS(3116),
    [anon_sym_requires] = ACTIONS(3116),
    [sym_this] = ACTIONS(3116),
  },
  [352] = {
    [sym_identifier] = ACTIONS(3120),
    [aux_sym_preproc_include_token1] = ACTIONS(3120),
    [aux_sym_preproc_def_token1] = ACTIONS(3120),
    [aux_sym_preproc_if_token1] = ACTIONS(3120),
    [aux_sym_preproc_if_token2] = ACTIONS(3120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3120),
    [aux_sym_preproc_else_token1] = ACTIONS(3120),
    [aux_sym_preproc_elif_token1] = ACTIONS(3120),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3120),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3120),
    [sym_preproc_directive] = ACTIONS(3120),
    [anon_sym_LPAREN2] = ACTIONS(3122),
    [anon_sym_BANG] = ACTIONS(3122),
    [anon_sym_TILDE] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym_SEMI] = ACTIONS(3122),
    [anon_sym___extension__] = ACTIONS(3120),
    [anon_sym_typedef] = ACTIONS(3120),
    [anon_sym_extern] = ACTIONS(3120),
    [anon_sym___attribute__] = ACTIONS(3120),
    [anon_sym_COLON_COLON] = ACTIONS(3122),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3122),
    [anon_sym___declspec] = ACTIONS(3120),
    [anon_sym___based] = ACTIONS(3120),
    [anon_sym___cdecl] = ACTIONS(3120),
    [anon_sym___clrcall] = ACTIONS(3120),
    [anon_sym___stdcall] = ACTIONS(3120),
    [anon_sym___fastcall] = ACTIONS(3120),
    [anon_sym___thiscall] = ACTIONS(3120),
    [anon_sym___vectorcall] = ACTIONS(3120),
    [anon_sym_LBRACE] = ACTIONS(3122),
    [anon_sym_signed] = ACTIONS(3120),
    [anon_sym_unsigned] = ACTIONS(3120),
    [anon_sym_long] = ACTIONS(3120),
    [anon_sym_short] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_static] = ACTIONS(3120),
    [anon_sym_register] = ACTIONS(3120),
    [anon_sym_inline] = ACTIONS(3120),
    [anon_sym___inline] = ACTIONS(3120),
    [anon_sym___inline__] = ACTIONS(3120),
    [anon_sym___forceinline] = ACTIONS(3120),
    [anon_sym_thread_local] = ACTIONS(3120),
    [anon_sym___thread] = ACTIONS(3120),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_constexpr] = ACTIONS(3120),
    [anon_sym_volatile] = ACTIONS(3120),
    [anon_sym_restrict] = ACTIONS(3120),
    [anon_sym___restrict__] = ACTIONS(3120),
    [anon_sym__Atomic] = ACTIONS(3120),
    [anon_sym__Noreturn] = ACTIONS(3120),
    [anon_sym_noreturn] = ACTIONS(3120),
    [anon_sym_mutable] = ACTIONS(3120),
    [anon_sym_constinit] = ACTIONS(3120),
    [anon_sym_consteval] = ACTIONS(3120),
    [anon_sym_PROGMEM] = ACTIONS(3120),
    [aux_sym_primitive_type_token1] = ACTIONS(3120),
    [anon_sym_byte] = ACTIONS(3120),
    [anon_sym_word] = ACTIONS(3120),
    [anon_sym_enum] = ACTIONS(3120),
    [anon_sym_class] = ACTIONS(3120),
    [anon_sym_struct] = ACTIONS(3120),
    [anon_sym_union] = ACTIONS(3120),
    [anon_sym_if] = ACTIONS(3120),
    [anon_sym_else] = ACTIONS(3120),
    [anon_sym_switch] = ACTIONS(3120),
    [anon_sym_case] = ACTIONS(3120),
    [anon_sym_default] = ACTIONS(3120),
    [anon_sym_while] = ACTIONS(3120),
    [anon_sym_do] = ACTIONS(3120),
    [anon_sym_for] = ACTIONS(3120),
    [anon_sym_return] = ACTIONS(3120),
    [anon_sym_break] = ACTIONS(3120),
    [anon_sym_continue] = ACTIONS(3120),
    [anon_sym_goto] = ACTIONS(3120),
    [anon_sym___try] = ACTIONS(3120),
    [anon_sym___leave] = ACTIONS(3120),
    [anon_sym_not] = ACTIONS(3120),
    [anon_sym_compl] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_sizeof] = ACTIONS(3120),
    [anon_sym___alignof__] = ACTIONS(3120),
    [anon_sym___alignof] = ACTIONS(3120),
    [anon_sym__alignof] = ACTIONS(3120),
    [anon_sym_alignof] = ACTIONS(3120),
    [anon_sym__Alignof] = ACTIONS(3120),
    [anon_sym_offsetof] = ACTIONS(3120),
    [anon_sym__Generic] = ACTIONS(3120),
    [anon_sym_asm] = ACTIONS(3120),
    [anon_sym___asm__] = ACTIONS(3120),
    [aux_sym_number_literal_token1] = ACTIONS(3122),
    [aux_sym_number_literal_token2] = ACTIONS(3120),
    [anon_sym_L_SQUOTE] = ACTIONS(3122),
    [anon_sym_u_SQUOTE] = ACTIONS(3122),
    [anon_sym_U_SQUOTE] = ACTIONS(3122),
    [anon_sym_u8_SQUOTE] = ACTIONS(3122),
    [anon_sym_SQUOTE] = ACTIONS(3122),
    [anon_sym_L_DQUOTE] = ACTIONS(3122),
    [anon_sym_u_DQUOTE] = ACTIONS(3122),
    [anon_sym_U_DQUOTE] = ACTIONS(3122),
    [anon_sym_u8_DQUOTE] = ACTIONS(3122),
    [anon_sym_DQUOTE] = ACTIONS(3122),
    [sym_true] = ACTIONS(3120),
    [sym_false] = ACTIONS(3120),
    [anon_sym_NULL] = ACTIONS(3120),
    [anon_sym_nullptr] = ACTIONS(3120),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3120),
    [anon_sym_decltype] = ACTIONS(3120),
    [anon_sym_virtual] = ACTIONS(3120),
    [anon_sym_alignas] = ACTIONS(3120),
    [anon_sym_explicit] = ACTIONS(3120),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3120),
    [anon_sym_operator] = ACTIONS(3120),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_delete] = ACTIONS(3120),
    [anon_sym_throw] = ACTIONS(3120),
    [anon_sym_namespace] = ACTIONS(3120),
    [anon_sym_using] = ACTIONS(3120),
    [anon_sym_static_assert] = ACTIONS(3120),
    [anon_sym_concept] = ACTIONS(3120),
    [anon_sym_co_return] = ACTIONS(3120),
    [anon_sym_co_yield] = ACTIONS(3120),
    [anon_sym_R_DQUOTE] = ACTIONS(3122),
    [anon_sym_LR_DQUOTE] = ACTIONS(3122),
    [anon_sym_uR_DQUOTE] = ACTIONS(3122),
    [anon_sym_UR_DQUOTE] = ACTIONS(3122),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3122),
    [anon_sym_co_await] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(3120),
    [anon_sym_requires] = ACTIONS(3120),
    [sym_this] = ACTIONS(3120),
  },
  [353] = {
    [sym_identifier] = ACTIONS(3124),
    [aux_sym_preproc_include_token1] = ACTIONS(3124),
    [aux_sym_preproc_def_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token2] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3124),
    [aux_sym_preproc_else_token1] = ACTIONS(3124),
    [aux_sym_preproc_elif_token1] = ACTIONS(3124),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3126),
    [anon_sym_BANG] = ACTIONS(3126),
    [anon_sym_TILDE] = ACTIONS(3126),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_STAR] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym___extension__] = ACTIONS(3124),
    [anon_sym_typedef] = ACTIONS(3124),
    [anon_sym_extern] = ACTIONS(3124),
    [anon_sym___attribute__] = ACTIONS(3124),
    [anon_sym_COLON_COLON] = ACTIONS(3126),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3126),
    [anon_sym___declspec] = ACTIONS(3124),
    [anon_sym___based] = ACTIONS(3124),
    [anon_sym___cdecl] = ACTIONS(3124),
    [anon_sym___clrcall] = ACTIONS(3124),
    [anon_sym___stdcall] = ACTIONS(3124),
    [anon_sym___fastcall] = ACTIONS(3124),
    [anon_sym___thiscall] = ACTIONS(3124),
    [anon_sym___vectorcall] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3126),
    [anon_sym_signed] = ACTIONS(3124),
    [anon_sym_unsigned] = ACTIONS(3124),
    [anon_sym_long] = ACTIONS(3124),
    [anon_sym_short] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_register] = ACTIONS(3124),
    [anon_sym_inline] = ACTIONS(3124),
    [anon_sym___inline] = ACTIONS(3124),
    [anon_sym___inline__] = ACTIONS(3124),
    [anon_sym___forceinline] = ACTIONS(3124),
    [anon_sym_thread_local] = ACTIONS(3124),
    [anon_sym___thread] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_constexpr] = ACTIONS(3124),
    [anon_sym_volatile] = ACTIONS(3124),
    [anon_sym_restrict] = ACTIONS(3124),
    [anon_sym___restrict__] = ACTIONS(3124),
    [anon_sym__Atomic] = ACTIONS(3124),
    [anon_sym__Noreturn] = ACTIONS(3124),
    [anon_sym_noreturn] = ACTIONS(3124),
    [anon_sym_mutable] = ACTIONS(3124),
    [anon_sym_constinit] = ACTIONS(3124),
    [anon_sym_consteval] = ACTIONS(3124),
    [anon_sym_PROGMEM] = ACTIONS(3124),
    [aux_sym_primitive_type_token1] = ACTIONS(3124),
    [anon_sym_byte] = ACTIONS(3124),
    [anon_sym_word] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_struct] = ACTIONS(3124),
    [anon_sym_union] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_else] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_default] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_goto] = ACTIONS(3124),
    [anon_sym___try] = ACTIONS(3124),
    [anon_sym___leave] = ACTIONS(3124),
    [anon_sym_not] = ACTIONS(3124),
    [anon_sym_compl] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_sizeof] = ACTIONS(3124),
    [anon_sym___alignof__] = ACTIONS(3124),
    [anon_sym___alignof] = ACTIONS(3124),
    [anon_sym__alignof] = ACTIONS(3124),
    [anon_sym_alignof] = ACTIONS(3124),
    [anon_sym__Alignof] = ACTIONS(3124),
    [anon_sym_offsetof] = ACTIONS(3124),
    [anon_sym__Generic] = ACTIONS(3124),
    [anon_sym_asm] = ACTIONS(3124),
    [anon_sym___asm__] = ACTIONS(3124),
    [aux_sym_number_literal_token1] = ACTIONS(3126),
    [aux_sym_number_literal_token2] = ACTIONS(3124),
    [anon_sym_L_SQUOTE] = ACTIONS(3126),
    [anon_sym_u_SQUOTE] = ACTIONS(3126),
    [anon_sym_U_SQUOTE] = ACTIONS(3126),
    [anon_sym_u8_SQUOTE] = ACTIONS(3126),
    [anon_sym_SQUOTE] = ACTIONS(3126),
    [anon_sym_L_DQUOTE] = ACTIONS(3126),
    [anon_sym_u_DQUOTE] = ACTIONS(3126),
    [anon_sym_U_DQUOTE] = ACTIONS(3126),
    [anon_sym_u8_DQUOTE] = ACTIONS(3126),
    [anon_sym_DQUOTE] = ACTIONS(3126),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [anon_sym_NULL] = ACTIONS(3124),
    [anon_sym_nullptr] = ACTIONS(3124),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3124),
    [anon_sym_decltype] = ACTIONS(3124),
    [anon_sym_virtual] = ACTIONS(3124),
    [anon_sym_alignas] = ACTIONS(3124),
    [anon_sym_explicit] = ACTIONS(3124),
    [anon_sym_typename] = ACTIONS(3124),
    [anon_sym_template] = ACTIONS(3124),
    [anon_sym_operator] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_static_assert] = ACTIONS(3124),
    [anon_sym_concept] = ACTIONS(3124),
    [anon_sym_co_return] = ACTIONS(3124),
    [anon_sym_co_yield] = ACTIONS(3124),
    [anon_sym_R_DQUOTE] = ACTIONS(3126),
    [anon_sym_LR_DQUOTE] = ACTIONS(3126),
    [anon_sym_uR_DQUOTE] = ACTIONS(3126),
    [anon_sym_UR_DQUOTE] = ACTIONS(3126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3126),
    [anon_sym_co_await] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_requires] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
  },
  [354] = {
    [sym_type_qualifier] = STATE(4419),
    [sym__type_specifier] = STATE(5566),
    [sym_sized_type_specifier] = STATE(3307),
    [sym_primitive_type] = STATE(5783),
    [sym_enum_specifier] = STATE(3307),
    [sym_struct_specifier] = STATE(3307),
    [sym_union_specifier] = STATE(3307),
    [sym__expression] = STATE(5060),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_type_descriptor] = STATE(7608),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_placeholder_type_specifier] = STATE(3307),
    [sym_decltype_auto] = STATE(3308),
    [sym_decltype] = STATE(3258),
    [sym_class_specifier] = STATE(3307),
    [sym__class_name] = STATE(8488),
    [sym_dependent_type] = STATE(3307),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_type_parameter_pack_expansion] = STATE(8163),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6377),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym_user_defined_literal] = STATE(4145),
    [aux_sym__type_definition_type_repeat1] = STATE(4419),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2974),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2978),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_GT2] = ACTIONS(3128),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [355] = {
    [sym_identifier] = ACTIONS(3130),
    [aux_sym_preproc_include_token1] = ACTIONS(3130),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token2] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3130),
    [aux_sym_preproc_else_token1] = ACTIONS(3130),
    [aux_sym_preproc_elif_token1] = ACTIONS(3130),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3130),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3130),
    [sym_preproc_directive] = ACTIONS(3130),
    [anon_sym_LPAREN2] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym___extension__] = ACTIONS(3130),
    [anon_sym_typedef] = ACTIONS(3130),
    [anon_sym_extern] = ACTIONS(3130),
    [anon_sym___attribute__] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3132),
    [anon_sym___declspec] = ACTIONS(3130),
    [anon_sym___based] = ACTIONS(3130),
    [anon_sym___cdecl] = ACTIONS(3130),
    [anon_sym___clrcall] = ACTIONS(3130),
    [anon_sym___stdcall] = ACTIONS(3130),
    [anon_sym___fastcall] = ACTIONS(3130),
    [anon_sym___thiscall] = ACTIONS(3130),
    [anon_sym___vectorcall] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_signed] = ACTIONS(3130),
    [anon_sym_unsigned] = ACTIONS(3130),
    [anon_sym_long] = ACTIONS(3130),
    [anon_sym_short] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_register] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym___inline] = ACTIONS(3130),
    [anon_sym___inline__] = ACTIONS(3130),
    [anon_sym___forceinline] = ACTIONS(3130),
    [anon_sym_thread_local] = ACTIONS(3130),
    [anon_sym___thread] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_constexpr] = ACTIONS(3130),
    [anon_sym_volatile] = ACTIONS(3130),
    [anon_sym_restrict] = ACTIONS(3130),
    [anon_sym___restrict__] = ACTIONS(3130),
    [anon_sym__Atomic] = ACTIONS(3130),
    [anon_sym__Noreturn] = ACTIONS(3130),
    [anon_sym_noreturn] = ACTIONS(3130),
    [anon_sym_mutable] = ACTIONS(3130),
    [anon_sym_constinit] = ACTIONS(3130),
    [anon_sym_consteval] = ACTIONS(3130),
    [anon_sym_PROGMEM] = ACTIONS(3130),
    [aux_sym_primitive_type_token1] = ACTIONS(3130),
    [anon_sym_byte] = ACTIONS(3130),
    [anon_sym_word] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_struct] = ACTIONS(3130),
    [anon_sym_union] = ACTIONS(3130),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_else] = ACTIONS(3130),
    [anon_sym_switch] = ACTIONS(3130),
    [anon_sym_case] = ACTIONS(3130),
    [anon_sym_default] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_do] = ACTIONS(3130),
    [anon_sym_for] = ACTIONS(3130),
    [anon_sym_return] = ACTIONS(3130),
    [anon_sym_break] = ACTIONS(3130),
    [anon_sym_continue] = ACTIONS(3130),
    [anon_sym_goto] = ACTIONS(3130),
    [anon_sym___try] = ACTIONS(3130),
    [anon_sym___leave] = ACTIONS(3130),
    [anon_sym_not] = ACTIONS(3130),
    [anon_sym_compl] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_sizeof] = ACTIONS(3130),
    [anon_sym___alignof__] = ACTIONS(3130),
    [anon_sym___alignof] = ACTIONS(3130),
    [anon_sym__alignof] = ACTIONS(3130),
    [anon_sym_alignof] = ACTIONS(3130),
    [anon_sym__Alignof] = ACTIONS(3130),
    [anon_sym_offsetof] = ACTIONS(3130),
    [anon_sym__Generic] = ACTIONS(3130),
    [anon_sym_asm] = ACTIONS(3130),
    [anon_sym___asm__] = ACTIONS(3130),
    [aux_sym_number_literal_token1] = ACTIONS(3132),
    [aux_sym_number_literal_token2] = ACTIONS(3130),
    [anon_sym_L_SQUOTE] = ACTIONS(3132),
    [anon_sym_u_SQUOTE] = ACTIONS(3132),
    [anon_sym_U_SQUOTE] = ACTIONS(3132),
    [anon_sym_u8_SQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [anon_sym_L_DQUOTE] = ACTIONS(3132),
    [anon_sym_u_DQUOTE] = ACTIONS(3132),
    [anon_sym_U_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8_DQUOTE] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [sym_true] = ACTIONS(3130),
    [sym_false] = ACTIONS(3130),
    [anon_sym_NULL] = ACTIONS(3130),
    [anon_sym_nullptr] = ACTIONS(3130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3130),
    [anon_sym_decltype] = ACTIONS(3130),
    [anon_sym_virtual] = ACTIONS(3130),
    [anon_sym_alignas] = ACTIONS(3130),
    [anon_sym_explicit] = ACTIONS(3130),
    [anon_sym_typename] = ACTIONS(3130),
    [anon_sym_template] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_try] = ACTIONS(3130),
    [anon_sym_delete] = ACTIONS(3130),
    [anon_sym_throw] = ACTIONS(3130),
    [anon_sym_namespace] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_static_assert] = ACTIONS(3130),
    [anon_sym_concept] = ACTIONS(3130),
    [anon_sym_co_return] = ACTIONS(3130),
    [anon_sym_co_yield] = ACTIONS(3130),
    [anon_sym_R_DQUOTE] = ACTIONS(3132),
    [anon_sym_LR_DQUOTE] = ACTIONS(3132),
    [anon_sym_uR_DQUOTE] = ACTIONS(3132),
    [anon_sym_UR_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3132),
    [anon_sym_co_await] = ACTIONS(3130),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_requires] = ACTIONS(3130),
    [sym_this] = ACTIONS(3130),
  },
  [356] = {
    [sym_type_qualifier] = STATE(4419),
    [sym__type_specifier] = STATE(5566),
    [sym_sized_type_specifier] = STATE(3307),
    [sym_primitive_type] = STATE(5783),
    [sym_enum_specifier] = STATE(3307),
    [sym_struct_specifier] = STATE(3307),
    [sym_union_specifier] = STATE(3307),
    [sym__expression] = STATE(5064),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_type_descriptor] = STATE(7764),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_placeholder_type_specifier] = STATE(3307),
    [sym_decltype_auto] = STATE(3308),
    [sym_decltype] = STATE(3258),
    [sym_class_specifier] = STATE(3307),
    [sym__class_name] = STATE(8488),
    [sym_dependent_type] = STATE(3307),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_type_parameter_pack_expansion] = STATE(7790),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6377),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym_user_defined_literal] = STATE(4145),
    [aux_sym__type_definition_type_repeat1] = STATE(4419),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2974),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2978),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_GT2] = ACTIONS(3134),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [357] = {
    [sym_identifier] = ACTIONS(3136),
    [aux_sym_preproc_include_token1] = ACTIONS(3136),
    [aux_sym_preproc_def_token1] = ACTIONS(3136),
    [aux_sym_preproc_if_token1] = ACTIONS(3136),
    [aux_sym_preproc_if_token2] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [aux_sym_preproc_else_token1] = ACTIONS(3136),
    [aux_sym_preproc_elif_token1] = ACTIONS(3136),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3136),
    [sym_preproc_directive] = ACTIONS(3136),
    [anon_sym_LPAREN2] = ACTIONS(3138),
    [anon_sym_BANG] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3138),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym___extension__] = ACTIONS(3136),
    [anon_sym_typedef] = ACTIONS(3136),
    [anon_sym_extern] = ACTIONS(3136),
    [anon_sym___attribute__] = ACTIONS(3136),
    [anon_sym_COLON_COLON] = ACTIONS(3138),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3138),
    [anon_sym___declspec] = ACTIONS(3136),
    [anon_sym___based] = ACTIONS(3136),
    [anon_sym___cdecl] = ACTIONS(3136),
    [anon_sym___clrcall] = ACTIONS(3136),
    [anon_sym___stdcall] = ACTIONS(3136),
    [anon_sym___fastcall] = ACTIONS(3136),
    [anon_sym___thiscall] = ACTIONS(3136),
    [anon_sym___vectorcall] = ACTIONS(3136),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_signed] = ACTIONS(3136),
    [anon_sym_unsigned] = ACTIONS(3136),
    [anon_sym_long] = ACTIONS(3136),
    [anon_sym_short] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_static] = ACTIONS(3136),
    [anon_sym_register] = ACTIONS(3136),
    [anon_sym_inline] = ACTIONS(3136),
    [anon_sym___inline] = ACTIONS(3136),
    [anon_sym___inline__] = ACTIONS(3136),
    [anon_sym___forceinline] = ACTIONS(3136),
    [anon_sym_thread_local] = ACTIONS(3136),
    [anon_sym___thread] = ACTIONS(3136),
    [anon_sym_const] = ACTIONS(3136),
    [anon_sym_constexpr] = ACTIONS(3136),
    [anon_sym_volatile] = ACTIONS(3136),
    [anon_sym_restrict] = ACTIONS(3136),
    [anon_sym___restrict__] = ACTIONS(3136),
    [anon_sym__Atomic] = ACTIONS(3136),
    [anon_sym__Noreturn] = ACTIONS(3136),
    [anon_sym_noreturn] = ACTIONS(3136),
    [anon_sym_mutable] = ACTIONS(3136),
    [anon_sym_constinit] = ACTIONS(3136),
    [anon_sym_consteval] = ACTIONS(3136),
    [anon_sym_PROGMEM] = ACTIONS(3136),
    [aux_sym_primitive_type_token1] = ACTIONS(3136),
    [anon_sym_byte] = ACTIONS(3136),
    [anon_sym_word] = ACTIONS(3136),
    [anon_sym_enum] = ACTIONS(3136),
    [anon_sym_class] = ACTIONS(3136),
    [anon_sym_struct] = ACTIONS(3136),
    [anon_sym_union] = ACTIONS(3136),
    [anon_sym_if] = ACTIONS(3136),
    [anon_sym_else] = ACTIONS(3136),
    [anon_sym_switch] = ACTIONS(3136),
    [anon_sym_case] = ACTIONS(3136),
    [anon_sym_default] = ACTIONS(3136),
    [anon_sym_while] = ACTIONS(3136),
    [anon_sym_do] = ACTIONS(3136),
    [anon_sym_for] = ACTIONS(3136),
    [anon_sym_return] = ACTIONS(3136),
    [anon_sym_break] = ACTIONS(3136),
    [anon_sym_continue] = ACTIONS(3136),
    [anon_sym_goto] = ACTIONS(3136),
    [anon_sym___try] = ACTIONS(3136),
    [anon_sym___leave] = ACTIONS(3136),
    [anon_sym_not] = ACTIONS(3136),
    [anon_sym_compl] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_sizeof] = ACTIONS(3136),
    [anon_sym___alignof__] = ACTIONS(3136),
    [anon_sym___alignof] = ACTIONS(3136),
    [anon_sym__alignof] = ACTIONS(3136),
    [anon_sym_alignof] = ACTIONS(3136),
    [anon_sym__Alignof] = ACTIONS(3136),
    [anon_sym_offsetof] = ACTIONS(3136),
    [anon_sym__Generic] = ACTIONS(3136),
    [anon_sym_asm] = ACTIONS(3136),
    [anon_sym___asm__] = ACTIONS(3136),
    [aux_sym_number_literal_token1] = ACTIONS(3138),
    [aux_sym_number_literal_token2] = ACTIONS(3136),
    [anon_sym_L_SQUOTE] = ACTIONS(3138),
    [anon_sym_u_SQUOTE] = ACTIONS(3138),
    [anon_sym_U_SQUOTE] = ACTIONS(3138),
    [anon_sym_u8_SQUOTE] = ACTIONS(3138),
    [anon_sym_SQUOTE] = ACTIONS(3138),
    [anon_sym_L_DQUOTE] = ACTIONS(3138),
    [anon_sym_u_DQUOTE] = ACTIONS(3138),
    [anon_sym_U_DQUOTE] = ACTIONS(3138),
    [anon_sym_u8_DQUOTE] = ACTIONS(3138),
    [anon_sym_DQUOTE] = ACTIONS(3138),
    [sym_true] = ACTIONS(3136),
    [sym_false] = ACTIONS(3136),
    [anon_sym_NULL] = ACTIONS(3136),
    [anon_sym_nullptr] = ACTIONS(3136),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3136),
    [anon_sym_decltype] = ACTIONS(3136),
    [anon_sym_virtual] = ACTIONS(3136),
    [anon_sym_alignas] = ACTIONS(3136),
    [anon_sym_explicit] = ACTIONS(3136),
    [anon_sym_typename] = ACTIONS(3136),
    [anon_sym_template] = ACTIONS(3136),
    [anon_sym_operator] = ACTIONS(3136),
    [anon_sym_try] = ACTIONS(3136),
    [anon_sym_delete] = ACTIONS(3136),
    [anon_sym_throw] = ACTIONS(3136),
    [anon_sym_namespace] = ACTIONS(3136),
    [anon_sym_using] = ACTIONS(3136),
    [anon_sym_static_assert] = ACTIONS(3136),
    [anon_sym_concept] = ACTIONS(3136),
    [anon_sym_co_return] = ACTIONS(3136),
    [anon_sym_co_yield] = ACTIONS(3136),
    [anon_sym_R_DQUOTE] = ACTIONS(3138),
    [anon_sym_LR_DQUOTE] = ACTIONS(3138),
    [anon_sym_uR_DQUOTE] = ACTIONS(3138),
    [anon_sym_UR_DQUOTE] = ACTIONS(3138),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3138),
    [anon_sym_co_await] = ACTIONS(3136),
    [anon_sym_new] = ACTIONS(3136),
    [anon_sym_requires] = ACTIONS(3136),
    [sym_this] = ACTIONS(3136),
  },
  [358] = {
    [sym_type_qualifier] = STATE(4419),
    [sym__type_specifier] = STATE(5566),
    [sym_sized_type_specifier] = STATE(3307),
    [sym_primitive_type] = STATE(5783),
    [sym_enum_specifier] = STATE(3307),
    [sym_struct_specifier] = STATE(3307),
    [sym_union_specifier] = STATE(3307),
    [sym__expression] = STATE(5113),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_type_descriptor] = STATE(7600),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_placeholder_type_specifier] = STATE(3307),
    [sym_decltype_auto] = STATE(3308),
    [sym_decltype] = STATE(3258),
    [sym_class_specifier] = STATE(3307),
    [sym__class_name] = STATE(8488),
    [sym_dependent_type] = STATE(3307),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_type_parameter_pack_expansion] = STATE(8184),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6377),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym_user_defined_literal] = STATE(4145),
    [aux_sym__type_definition_type_repeat1] = STATE(4419),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2974),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2978),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_GT2] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [359] = {
    [sym_type_qualifier] = STATE(4419),
    [sym__type_specifier] = STATE(5566),
    [sym_sized_type_specifier] = STATE(3307),
    [sym_primitive_type] = STATE(5783),
    [sym_enum_specifier] = STATE(3307),
    [sym_struct_specifier] = STATE(3307),
    [sym_union_specifier] = STATE(3307),
    [sym__expression] = STATE(5059),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_type_descriptor] = STATE(7496),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_placeholder_type_specifier] = STATE(3307),
    [sym_decltype_auto] = STATE(3308),
    [sym_decltype] = STATE(3258),
    [sym_class_specifier] = STATE(3307),
    [sym__class_name] = STATE(8488),
    [sym_dependent_type] = STATE(3307),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_type_parameter_pack_expansion] = STATE(8114),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6377),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym_user_defined_literal] = STATE(4145),
    [aux_sym__type_definition_type_repeat1] = STATE(4419),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2974),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2978),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_GT2] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [360] = {
    [sym_identifier] = ACTIONS(3144),
    [aux_sym_preproc_include_token1] = ACTIONS(3144),
    [aux_sym_preproc_def_token1] = ACTIONS(3144),
    [aux_sym_preproc_if_token1] = ACTIONS(3144),
    [aux_sym_preproc_if_token2] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3144),
    [aux_sym_preproc_else_token1] = ACTIONS(3144),
    [aux_sym_preproc_elif_token1] = ACTIONS(3144),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3144),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3144),
    [sym_preproc_directive] = ACTIONS(3144),
    [anon_sym_LPAREN2] = ACTIONS(3146),
    [anon_sym_BANG] = ACTIONS(3146),
    [anon_sym_TILDE] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3146),
    [anon_sym_AMP] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3146),
    [anon_sym___extension__] = ACTIONS(3144),
    [anon_sym_typedef] = ACTIONS(3144),
    [anon_sym_extern] = ACTIONS(3144),
    [anon_sym___attribute__] = ACTIONS(3144),
    [anon_sym_COLON_COLON] = ACTIONS(3146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3146),
    [anon_sym___declspec] = ACTIONS(3144),
    [anon_sym___based] = ACTIONS(3144),
    [anon_sym___cdecl] = ACTIONS(3144),
    [anon_sym___clrcall] = ACTIONS(3144),
    [anon_sym___stdcall] = ACTIONS(3144),
    [anon_sym___fastcall] = ACTIONS(3144),
    [anon_sym___thiscall] = ACTIONS(3144),
    [anon_sym___vectorcall] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_signed] = ACTIONS(3144),
    [anon_sym_unsigned] = ACTIONS(3144),
    [anon_sym_long] = ACTIONS(3144),
    [anon_sym_short] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_register] = ACTIONS(3144),
    [anon_sym_inline] = ACTIONS(3144),
    [anon_sym___inline] = ACTIONS(3144),
    [anon_sym___inline__] = ACTIONS(3144),
    [anon_sym___forceinline] = ACTIONS(3144),
    [anon_sym_thread_local] = ACTIONS(3144),
    [anon_sym___thread] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_constexpr] = ACTIONS(3144),
    [anon_sym_volatile] = ACTIONS(3144),
    [anon_sym_restrict] = ACTIONS(3144),
    [anon_sym___restrict__] = ACTIONS(3144),
    [anon_sym__Atomic] = ACTIONS(3144),
    [anon_sym__Noreturn] = ACTIONS(3144),
    [anon_sym_noreturn] = ACTIONS(3144),
    [anon_sym_mutable] = ACTIONS(3144),
    [anon_sym_constinit] = ACTIONS(3144),
    [anon_sym_consteval] = ACTIONS(3144),
    [anon_sym_PROGMEM] = ACTIONS(3144),
    [aux_sym_primitive_type_token1] = ACTIONS(3144),
    [anon_sym_byte] = ACTIONS(3144),
    [anon_sym_word] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_struct] = ACTIONS(3144),
    [anon_sym_union] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_else] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_case] = ACTIONS(3144),
    [anon_sym_default] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_goto] = ACTIONS(3144),
    [anon_sym___try] = ACTIONS(3144),
    [anon_sym___leave] = ACTIONS(3144),
    [anon_sym_not] = ACTIONS(3144),
    [anon_sym_compl] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_sizeof] = ACTIONS(3144),
    [anon_sym___alignof__] = ACTIONS(3144),
    [anon_sym___alignof] = ACTIONS(3144),
    [anon_sym__alignof] = ACTIONS(3144),
    [anon_sym_alignof] = ACTIONS(3144),
    [anon_sym__Alignof] = ACTIONS(3144),
    [anon_sym_offsetof] = ACTIONS(3144),
    [anon_sym__Generic] = ACTIONS(3144),
    [anon_sym_asm] = ACTIONS(3144),
    [anon_sym___asm__] = ACTIONS(3144),
    [aux_sym_number_literal_token1] = ACTIONS(3146),
    [aux_sym_number_literal_token2] = ACTIONS(3144),
    [anon_sym_L_SQUOTE] = ACTIONS(3146),
    [anon_sym_u_SQUOTE] = ACTIONS(3146),
    [anon_sym_U_SQUOTE] = ACTIONS(3146),
    [anon_sym_u8_SQUOTE] = ACTIONS(3146),
    [anon_sym_SQUOTE] = ACTIONS(3146),
    [anon_sym_L_DQUOTE] = ACTIONS(3146),
    [anon_sym_u_DQUOTE] = ACTIONS(3146),
    [anon_sym_U_DQUOTE] = ACTIONS(3146),
    [anon_sym_u8_DQUOTE] = ACTIONS(3146),
    [anon_sym_DQUOTE] = ACTIONS(3146),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [anon_sym_NULL] = ACTIONS(3144),
    [anon_sym_nullptr] = ACTIONS(3144),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3144),
    [anon_sym_decltype] = ACTIONS(3144),
    [anon_sym_virtual] = ACTIONS(3144),
    [anon_sym_alignas] = ACTIONS(3144),
    [anon_sym_explicit] = ACTIONS(3144),
    [anon_sym_typename] = ACTIONS(3144),
    [anon_sym_template] = ACTIONS(3144),
    [anon_sym_operator] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_namespace] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_static_assert] = ACTIONS(3144),
    [anon_sym_concept] = ACTIONS(3144),
    [anon_sym_co_return] = ACTIONS(3144),
    [anon_sym_co_yield] = ACTIONS(3144),
    [anon_sym_R_DQUOTE] = ACTIONS(3146),
    [anon_sym_LR_DQUOTE] = ACTIONS(3146),
    [anon_sym_uR_DQUOTE] = ACTIONS(3146),
    [anon_sym_UR_DQUOTE] = ACTIONS(3146),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3146),
    [anon_sym_co_await] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_requires] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
  },
  [361] = {
    [sym_catch_clause] = STATE(268),
    [aux_sym_constructor_try_statement_repeat1] = STATE(268),
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_include_token1] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token2] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [aux_sym_preproc_else_token1] = ACTIONS(2858),
    [aux_sym_preproc_elif_token1] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_BANG] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym___cdecl] = ACTIONS(2858),
    [anon_sym___clrcall] = ACTIONS(2858),
    [anon_sym___stdcall] = ACTIONS(2858),
    [anon_sym___fastcall] = ACTIONS(2858),
    [anon_sym___thiscall] = ACTIONS(2858),
    [anon_sym___vectorcall] = ACTIONS(2858),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [anon_sym_PROGMEM] = ACTIONS(2858),
    [aux_sym_primitive_type_token1] = ACTIONS(2858),
    [anon_sym_byte] = ACTIONS(2858),
    [anon_sym_word] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [anon_sym_if] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2858),
    [anon_sym_case] = ACTIONS(2858),
    [anon_sym_default] = ACTIONS(2858),
    [anon_sym_while] = ACTIONS(2858),
    [anon_sym_do] = ACTIONS(2858),
    [anon_sym_for] = ACTIONS(2858),
    [anon_sym_return] = ACTIONS(2858),
    [anon_sym_break] = ACTIONS(2858),
    [anon_sym_continue] = ACTIONS(2858),
    [anon_sym_goto] = ACTIONS(2858),
    [anon_sym___try] = ACTIONS(2858),
    [anon_sym___leave] = ACTIONS(2858),
    [anon_sym_not] = ACTIONS(2858),
    [anon_sym_compl] = ACTIONS(2858),
    [anon_sym_DASH_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_PLUS] = ACTIONS(2860),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2858),
    [anon_sym___alignof] = ACTIONS(2858),
    [anon_sym__alignof] = ACTIONS(2858),
    [anon_sym_alignof] = ACTIONS(2858),
    [anon_sym__Alignof] = ACTIONS(2858),
    [anon_sym_offsetof] = ACTIONS(2858),
    [anon_sym__Generic] = ACTIONS(2858),
    [anon_sym_asm] = ACTIONS(2858),
    [anon_sym___asm__] = ACTIONS(2858),
    [aux_sym_number_literal_token1] = ACTIONS(2860),
    [aux_sym_number_literal_token2] = ACTIONS(2858),
    [anon_sym_L_SQUOTE] = ACTIONS(2860),
    [anon_sym_u_SQUOTE] = ACTIONS(2860),
    [anon_sym_U_SQUOTE] = ACTIONS(2860),
    [anon_sym_u8_SQUOTE] = ACTIONS(2860),
    [anon_sym_SQUOTE] = ACTIONS(2860),
    [anon_sym_L_DQUOTE] = ACTIONS(2860),
    [anon_sym_u_DQUOTE] = ACTIONS(2860),
    [anon_sym_U_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [sym_true] = ACTIONS(2858),
    [sym_false] = ACTIONS(2858),
    [anon_sym_NULL] = ACTIONS(2858),
    [anon_sym_nullptr] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [anon_sym_virtual] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_try] = ACTIONS(2858),
    [anon_sym_delete] = ACTIONS(2858),
    [anon_sym_throw] = ACTIONS(2858),
    [anon_sym_namespace] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
    [anon_sym_concept] = ACTIONS(2858),
    [anon_sym_co_return] = ACTIONS(2858),
    [anon_sym_co_yield] = ACTIONS(2858),
    [anon_sym_catch] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2860),
    [anon_sym_LR_DQUOTE] = ACTIONS(2860),
    [anon_sym_uR_DQUOTE] = ACTIONS(2860),
    [anon_sym_UR_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2860),
    [anon_sym_co_await] = ACTIONS(2858),
    [anon_sym_new] = ACTIONS(2858),
    [anon_sym_requires] = ACTIONS(2858),
    [sym_this] = ACTIONS(2858),
  },
  [362] = {
    [sym_type_qualifier] = STATE(4419),
    [sym__type_specifier] = STATE(5566),
    [sym_sized_type_specifier] = STATE(3307),
    [sym_primitive_type] = STATE(5783),
    [sym_enum_specifier] = STATE(3307),
    [sym_struct_specifier] = STATE(3307),
    [sym_union_specifier] = STATE(3307),
    [sym__expression] = STATE(5115),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_type_descriptor] = STATE(7588),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_placeholder_type_specifier] = STATE(3307),
    [sym_decltype_auto] = STATE(3308),
    [sym_decltype] = STATE(3258),
    [sym_class_specifier] = STATE(3307),
    [sym__class_name] = STATE(8488),
    [sym_dependent_type] = STATE(3307),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_type_parameter_pack_expansion] = STATE(8204),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6377),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym_user_defined_literal] = STATE(4145),
    [aux_sym__type_definition_type_repeat1] = STATE(4419),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2974),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2978),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_GT2] = ACTIONS(3148),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [363] = {
    [sym_type_qualifier] = STATE(4419),
    [sym__type_specifier] = STATE(5566),
    [sym_sized_type_specifier] = STATE(3307),
    [sym_primitive_type] = STATE(5783),
    [sym_enum_specifier] = STATE(3307),
    [sym_struct_specifier] = STATE(3307),
    [sym_union_specifier] = STATE(3307),
    [sym__expression] = STATE(5105),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_type_descriptor] = STATE(7749),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_placeholder_type_specifier] = STATE(3307),
    [sym_decltype_auto] = STATE(3308),
    [sym_decltype] = STATE(3258),
    [sym_class_specifier] = STATE(3307),
    [sym__class_name] = STATE(8488),
    [sym_dependent_type] = STATE(3307),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_type_parameter_pack_expansion] = STATE(7815),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6377),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym_user_defined_literal] = STATE(4145),
    [aux_sym__type_definition_type_repeat1] = STATE(4419),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2974),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2978),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_GT2] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [364] = {
    [sym_identifier] = ACTIONS(3152),
    [aux_sym_preproc_include_token1] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token2] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3152),
    [aux_sym_preproc_else_token1] = ACTIONS(3152),
    [aux_sym_preproc_elif_token1] = ACTIONS(3152),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3152),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3152),
    [sym_preproc_directive] = ACTIONS(3152),
    [anon_sym_LPAREN2] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym___extension__] = ACTIONS(3152),
    [anon_sym_typedef] = ACTIONS(3152),
    [anon_sym_extern] = ACTIONS(3152),
    [anon_sym___attribute__] = ACTIONS(3152),
    [anon_sym_COLON_COLON] = ACTIONS(3154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3154),
    [anon_sym___declspec] = ACTIONS(3152),
    [anon_sym___based] = ACTIONS(3152),
    [anon_sym___cdecl] = ACTIONS(3152),
    [anon_sym___clrcall] = ACTIONS(3152),
    [anon_sym___stdcall] = ACTIONS(3152),
    [anon_sym___fastcall] = ACTIONS(3152),
    [anon_sym___thiscall] = ACTIONS(3152),
    [anon_sym___vectorcall] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_signed] = ACTIONS(3152),
    [anon_sym_unsigned] = ACTIONS(3152),
    [anon_sym_long] = ACTIONS(3152),
    [anon_sym_short] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_register] = ACTIONS(3152),
    [anon_sym_inline] = ACTIONS(3152),
    [anon_sym___inline] = ACTIONS(3152),
    [anon_sym___inline__] = ACTIONS(3152),
    [anon_sym___forceinline] = ACTIONS(3152),
    [anon_sym_thread_local] = ACTIONS(3152),
    [anon_sym___thread] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_constexpr] = ACTIONS(3152),
    [anon_sym_volatile] = ACTIONS(3152),
    [anon_sym_restrict] = ACTIONS(3152),
    [anon_sym___restrict__] = ACTIONS(3152),
    [anon_sym__Atomic] = ACTIONS(3152),
    [anon_sym__Noreturn] = ACTIONS(3152),
    [anon_sym_noreturn] = ACTIONS(3152),
    [anon_sym_mutable] = ACTIONS(3152),
    [anon_sym_constinit] = ACTIONS(3152),
    [anon_sym_consteval] = ACTIONS(3152),
    [anon_sym_PROGMEM] = ACTIONS(3152),
    [aux_sym_primitive_type_token1] = ACTIONS(3152),
    [anon_sym_byte] = ACTIONS(3152),
    [anon_sym_word] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_struct] = ACTIONS(3152),
    [anon_sym_union] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_else] = ACTIONS(3152),
    [anon_sym_switch] = ACTIONS(3152),
    [anon_sym_case] = ACTIONS(3152),
    [anon_sym_default] = ACTIONS(3152),
    [anon_sym_while] = ACTIONS(3152),
    [anon_sym_do] = ACTIONS(3152),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_return] = ACTIONS(3152),
    [anon_sym_break] = ACTIONS(3152),
    [anon_sym_continue] = ACTIONS(3152),
    [anon_sym_goto] = ACTIONS(3152),
    [anon_sym___try] = ACTIONS(3152),
    [anon_sym___leave] = ACTIONS(3152),
    [anon_sym_not] = ACTIONS(3152),
    [anon_sym_compl] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_sizeof] = ACTIONS(3152),
    [anon_sym___alignof__] = ACTIONS(3152),
    [anon_sym___alignof] = ACTIONS(3152),
    [anon_sym__alignof] = ACTIONS(3152),
    [anon_sym_alignof] = ACTIONS(3152),
    [anon_sym__Alignof] = ACTIONS(3152),
    [anon_sym_offsetof] = ACTIONS(3152),
    [anon_sym__Generic] = ACTIONS(3152),
    [anon_sym_asm] = ACTIONS(3152),
    [anon_sym___asm__] = ACTIONS(3152),
    [aux_sym_number_literal_token1] = ACTIONS(3154),
    [aux_sym_number_literal_token2] = ACTIONS(3152),
    [anon_sym_L_SQUOTE] = ACTIONS(3154),
    [anon_sym_u_SQUOTE] = ACTIONS(3154),
    [anon_sym_U_SQUOTE] = ACTIONS(3154),
    [anon_sym_u8_SQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_L_DQUOTE] = ACTIONS(3154),
    [anon_sym_u_DQUOTE] = ACTIONS(3154),
    [anon_sym_U_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8_DQUOTE] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [sym_true] = ACTIONS(3152),
    [sym_false] = ACTIONS(3152),
    [anon_sym_NULL] = ACTIONS(3152),
    [anon_sym_nullptr] = ACTIONS(3152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3152),
    [anon_sym_decltype] = ACTIONS(3152),
    [anon_sym_virtual] = ACTIONS(3152),
    [anon_sym_alignas] = ACTIONS(3152),
    [anon_sym_explicit] = ACTIONS(3152),
    [anon_sym_typename] = ACTIONS(3152),
    [anon_sym_template] = ACTIONS(3152),
    [anon_sym_operator] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3152),
    [anon_sym_delete] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3152),
    [anon_sym_namespace] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_static_assert] = ACTIONS(3152),
    [anon_sym_concept] = ACTIONS(3152),
    [anon_sym_co_return] = ACTIONS(3152),
    [anon_sym_co_yield] = ACTIONS(3152),
    [anon_sym_R_DQUOTE] = ACTIONS(3154),
    [anon_sym_LR_DQUOTE] = ACTIONS(3154),
    [anon_sym_uR_DQUOTE] = ACTIONS(3154),
    [anon_sym_UR_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3154),
    [anon_sym_co_await] = ACTIONS(3152),
    [anon_sym_new] = ACTIONS(3152),
    [anon_sym_requires] = ACTIONS(3152),
    [sym_this] = ACTIONS(3152),
  },
  [365] = {
    [sym_type_qualifier] = STATE(4419),
    [sym__type_specifier] = STATE(5566),
    [sym_sized_type_specifier] = STATE(3307),
    [sym_primitive_type] = STATE(5783),
    [sym_enum_specifier] = STATE(3307),
    [sym_struct_specifier] = STATE(3307),
    [sym_union_specifier] = STATE(3307),
    [sym__expression] = STATE(5076),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_type_descriptor] = STATE(7642),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_placeholder_type_specifier] = STATE(3307),
    [sym_decltype_auto] = STATE(3308),
    [sym_decltype] = STATE(3258),
    [sym_class_specifier] = STATE(3307),
    [sym__class_name] = STATE(8488),
    [sym_dependent_type] = STATE(3307),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_type_parameter_pack_expansion] = STATE(8067),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6377),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym_user_defined_literal] = STATE(4145),
    [aux_sym__type_definition_type_repeat1] = STATE(4419),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2974),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2978),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_GT2] = ACTIONS(3156),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [366] = {
    [sym_type_qualifier] = STATE(4419),
    [sym__type_specifier] = STATE(5566),
    [sym_sized_type_specifier] = STATE(3307),
    [sym_primitive_type] = STATE(5783),
    [sym_enum_specifier] = STATE(3307),
    [sym_struct_specifier] = STATE(3307),
    [sym_union_specifier] = STATE(3307),
    [sym__expression] = STATE(5124),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_type_descriptor] = STATE(7582),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_placeholder_type_specifier] = STATE(3307),
    [sym_decltype_auto] = STATE(3308),
    [sym_decltype] = STATE(3258),
    [sym_class_specifier] = STATE(3307),
    [sym__class_name] = STATE(8488),
    [sym_dependent_type] = STATE(3307),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_type_parameter_pack_expansion] = STATE(8224),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6377),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym_user_defined_literal] = STATE(4145),
    [aux_sym__type_definition_type_repeat1] = STATE(4419),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2974),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2978),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_GT2] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [367] = {
    [sym_identifier] = ACTIONS(2888),
    [aux_sym_preproc_include_token1] = ACTIONS(2888),
    [aux_sym_preproc_def_token1] = ACTIONS(2888),
    [aux_sym_preproc_if_token1] = ACTIONS(2888),
    [aux_sym_preproc_if_token2] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2888),
    [aux_sym_preproc_else_token1] = ACTIONS(2888),
    [aux_sym_preproc_elif_token1] = ACTIONS(2888),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2888),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2888),
    [sym_preproc_directive] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(2893),
    [anon_sym_TILDE] = ACTIONS(2893),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_STAR] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2893),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_typedef] = ACTIONS(2888),
    [anon_sym_extern] = ACTIONS(2888),
    [anon_sym___attribute__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(2893),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2893),
    [anon_sym___declspec] = ACTIONS(2888),
    [anon_sym___based] = ACTIONS(2888),
    [anon_sym___cdecl] = ACTIONS(2888),
    [anon_sym___clrcall] = ACTIONS(2888),
    [anon_sym___stdcall] = ACTIONS(2888),
    [anon_sym___fastcall] = ACTIONS(2888),
    [anon_sym___thiscall] = ACTIONS(2888),
    [anon_sym___vectorcall] = ACTIONS(2888),
    [anon_sym_LBRACE] = ACTIONS(2893),
    [anon_sym_signed] = ACTIONS(2888),
    [anon_sym_unsigned] = ACTIONS(2888),
    [anon_sym_long] = ACTIONS(2888),
    [anon_sym_short] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_register] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2888),
    [anon_sym___inline] = ACTIONS(2888),
    [anon_sym___inline__] = ACTIONS(2888),
    [anon_sym___forceinline] = ACTIONS(2888),
    [anon_sym_thread_local] = ACTIONS(2888),
    [anon_sym___thread] = ACTIONS(2888),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_PROGMEM] = ACTIONS(2888),
    [aux_sym_primitive_type_token1] = ACTIONS(2888),
    [anon_sym_byte] = ACTIONS(2888),
    [anon_sym_word] = ACTIONS(2888),
    [anon_sym_enum] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_struct] = ACTIONS(2888),
    [anon_sym_union] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_else] = ACTIONS(2888),
    [anon_sym_switch] = ACTIONS(2888),
    [anon_sym_case] = ACTIONS(2888),
    [anon_sym_default] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_break] = ACTIONS(2888),
    [anon_sym_continue] = ACTIONS(2888),
    [anon_sym_goto] = ACTIONS(2888),
    [anon_sym___try] = ACTIONS(2888),
    [anon_sym___leave] = ACTIONS(2888),
    [anon_sym_not] = ACTIONS(2888),
    [anon_sym_compl] = ACTIONS(2888),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_sizeof] = ACTIONS(2888),
    [anon_sym___alignof__] = ACTIONS(2888),
    [anon_sym___alignof] = ACTIONS(2888),
    [anon_sym__alignof] = ACTIONS(2888),
    [anon_sym_alignof] = ACTIONS(2888),
    [anon_sym__Alignof] = ACTIONS(2888),
    [anon_sym_offsetof] = ACTIONS(2888),
    [anon_sym__Generic] = ACTIONS(2888),
    [anon_sym_asm] = ACTIONS(2888),
    [anon_sym___asm__] = ACTIONS(2888),
    [aux_sym_number_literal_token1] = ACTIONS(2893),
    [aux_sym_number_literal_token2] = ACTIONS(2888),
    [anon_sym_L_SQUOTE] = ACTIONS(2893),
    [anon_sym_u_SQUOTE] = ACTIONS(2893),
    [anon_sym_U_SQUOTE] = ACTIONS(2893),
    [anon_sym_u8_SQUOTE] = ACTIONS(2893),
    [anon_sym_SQUOTE] = ACTIONS(2893),
    [anon_sym_L_DQUOTE] = ACTIONS(2893),
    [anon_sym_u_DQUOTE] = ACTIONS(2893),
    [anon_sym_U_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8_DQUOTE] = ACTIONS(2893),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_true] = ACTIONS(2888),
    [sym_false] = ACTIONS(2888),
    [anon_sym_NULL] = ACTIONS(2888),
    [anon_sym_nullptr] = ACTIONS(2888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2888),
    [anon_sym_decltype] = ACTIONS(2888),
    [anon_sym_virtual] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2888),
    [anon_sym_explicit] = ACTIONS(2888),
    [anon_sym_typename] = ACTIONS(2888),
    [anon_sym_template] = ACTIONS(2888),
    [anon_sym_operator] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_delete] = ACTIONS(2888),
    [anon_sym_throw] = ACTIONS(2888),
    [anon_sym_namespace] = ACTIONS(2888),
    [anon_sym_using] = ACTIONS(2888),
    [anon_sym_static_assert] = ACTIONS(2888),
    [anon_sym_concept] = ACTIONS(2888),
    [anon_sym_co_return] = ACTIONS(2888),
    [anon_sym_co_yield] = ACTIONS(2888),
    [anon_sym_R_DQUOTE] = ACTIONS(2893),
    [anon_sym_LR_DQUOTE] = ACTIONS(2893),
    [anon_sym_uR_DQUOTE] = ACTIONS(2893),
    [anon_sym_UR_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2893),
    [anon_sym_co_await] = ACTIONS(2888),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_requires] = ACTIONS(2888),
    [sym_this] = ACTIONS(2888),
  },
  [368] = {
    [sym_type_qualifier] = STATE(4419),
    [sym__type_specifier] = STATE(5566),
    [sym_sized_type_specifier] = STATE(3307),
    [sym_primitive_type] = STATE(5783),
    [sym_enum_specifier] = STATE(3307),
    [sym_struct_specifier] = STATE(3307),
    [sym_union_specifier] = STATE(3307),
    [sym__expression] = STATE(5120),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_type_descriptor] = STATE(7573),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_placeholder_type_specifier] = STATE(3307),
    [sym_decltype_auto] = STATE(3308),
    [sym_decltype] = STATE(3258),
    [sym_class_specifier] = STATE(3307),
    [sym__class_name] = STATE(8488),
    [sym_dependent_type] = STATE(3307),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_type_parameter_pack_expansion] = STATE(8194),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6377),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym_user_defined_literal] = STATE(4145),
    [aux_sym__type_definition_type_repeat1] = STATE(4419),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2974),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2978),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_GT2] = ACTIONS(3160),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [369] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_include_token1] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token2] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [aux_sym_preproc_else_token1] = ACTIONS(3162),
    [aux_sym_preproc_elif_token1] = ACTIONS(3162),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym___cdecl] = ACTIONS(3162),
    [anon_sym___clrcall] = ACTIONS(3162),
    [anon_sym___stdcall] = ACTIONS(3162),
    [anon_sym___fastcall] = ACTIONS(3162),
    [anon_sym___thiscall] = ACTIONS(3162),
    [anon_sym___vectorcall] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_PROGMEM] = ACTIONS(3162),
    [aux_sym_primitive_type_token1] = ACTIONS(3162),
    [anon_sym_byte] = ACTIONS(3162),
    [anon_sym_word] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_else] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_goto] = ACTIONS(3162),
    [anon_sym___try] = ACTIONS(3162),
    [anon_sym___leave] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3162),
    [anon_sym_compl] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_sizeof] = ACTIONS(3162),
    [anon_sym___alignof__] = ACTIONS(3162),
    [anon_sym___alignof] = ACTIONS(3162),
    [anon_sym__alignof] = ACTIONS(3162),
    [anon_sym_alignof] = ACTIONS(3162),
    [anon_sym__Alignof] = ACTIONS(3162),
    [anon_sym_offsetof] = ACTIONS(3162),
    [anon_sym__Generic] = ACTIONS(3162),
    [anon_sym_asm] = ACTIONS(3162),
    [anon_sym___asm__] = ACTIONS(3162),
    [aux_sym_number_literal_token1] = ACTIONS(3164),
    [aux_sym_number_literal_token2] = ACTIONS(3162),
    [anon_sym_L_SQUOTE] = ACTIONS(3164),
    [anon_sym_u_SQUOTE] = ACTIONS(3164),
    [anon_sym_U_SQUOTE] = ACTIONS(3164),
    [anon_sym_u8_SQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_L_DQUOTE] = ACTIONS(3164),
    [anon_sym_u_DQUOTE] = ACTIONS(3164),
    [anon_sym_U_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8_DQUOTE] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [anon_sym_NULL] = ACTIONS(3162),
    [anon_sym_nullptr] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
    [anon_sym_concept] = ACTIONS(3162),
    [anon_sym_co_return] = ACTIONS(3162),
    [anon_sym_co_yield] = ACTIONS(3162),
    [anon_sym_R_DQUOTE] = ACTIONS(3164),
    [anon_sym_LR_DQUOTE] = ACTIONS(3164),
    [anon_sym_uR_DQUOTE] = ACTIONS(3164),
    [anon_sym_UR_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3164),
    [anon_sym_co_await] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_requires] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
  },
  [370] = {
    [sym_type_qualifier] = STATE(4419),
    [sym__type_specifier] = STATE(5566),
    [sym_sized_type_specifier] = STATE(3307),
    [sym_primitive_type] = STATE(5783),
    [sym_enum_specifier] = STATE(3307),
    [sym_struct_specifier] = STATE(3307),
    [sym_union_specifier] = STATE(3307),
    [sym__expression] = STATE(5053),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_type_descriptor] = STATE(7537),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_placeholder_type_specifier] = STATE(3307),
    [sym_decltype_auto] = STATE(3308),
    [sym_decltype] = STATE(3258),
    [sym_class_specifier] = STATE(3307),
    [sym__class_name] = STATE(8488),
    [sym_dependent_type] = STATE(3307),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_type_parameter_pack_expansion] = STATE(8030),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6377),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym_user_defined_literal] = STATE(4145),
    [aux_sym__type_definition_type_repeat1] = STATE(4419),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2974),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2978),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_GT2] = ACTIONS(3166),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [371] = {
    [sym_identifier] = ACTIONS(3168),
    [aux_sym_preproc_include_token1] = ACTIONS(3168),
    [aux_sym_preproc_def_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3168),
    [aux_sym_preproc_else_token1] = ACTIONS(3168),
    [aux_sym_preproc_elif_token1] = ACTIONS(3168),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3168),
    [sym_preproc_directive] = ACTIONS(3168),
    [anon_sym_LPAREN2] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym___extension__] = ACTIONS(3168),
    [anon_sym_typedef] = ACTIONS(3168),
    [anon_sym_extern] = ACTIONS(3168),
    [anon_sym___attribute__] = ACTIONS(3168),
    [anon_sym_COLON_COLON] = ACTIONS(3170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3170),
    [anon_sym___declspec] = ACTIONS(3168),
    [anon_sym___based] = ACTIONS(3168),
    [anon_sym___cdecl] = ACTIONS(3168),
    [anon_sym___clrcall] = ACTIONS(3168),
    [anon_sym___stdcall] = ACTIONS(3168),
    [anon_sym___fastcall] = ACTIONS(3168),
    [anon_sym___thiscall] = ACTIONS(3168),
    [anon_sym___vectorcall] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_signed] = ACTIONS(3168),
    [anon_sym_unsigned] = ACTIONS(3168),
    [anon_sym_long] = ACTIONS(3168),
    [anon_sym_short] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_register] = ACTIONS(3168),
    [anon_sym_inline] = ACTIONS(3168),
    [anon_sym___inline] = ACTIONS(3168),
    [anon_sym___inline__] = ACTIONS(3168),
    [anon_sym___forceinline] = ACTIONS(3168),
    [anon_sym_thread_local] = ACTIONS(3168),
    [anon_sym___thread] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_constexpr] = ACTIONS(3168),
    [anon_sym_volatile] = ACTIONS(3168),
    [anon_sym_restrict] = ACTIONS(3168),
    [anon_sym___restrict__] = ACTIONS(3168),
    [anon_sym__Atomic] = ACTIONS(3168),
    [anon_sym__Noreturn] = ACTIONS(3168),
    [anon_sym_noreturn] = ACTIONS(3168),
    [anon_sym_mutable] = ACTIONS(3168),
    [anon_sym_constinit] = ACTIONS(3168),
    [anon_sym_consteval] = ACTIONS(3168),
    [anon_sym_PROGMEM] = ACTIONS(3168),
    [aux_sym_primitive_type_token1] = ACTIONS(3168),
    [anon_sym_byte] = ACTIONS(3168),
    [anon_sym_word] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_struct] = ACTIONS(3168),
    [anon_sym_union] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_else] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_case] = ACTIONS(3168),
    [anon_sym_default] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_goto] = ACTIONS(3168),
    [anon_sym___try] = ACTIONS(3168),
    [anon_sym___leave] = ACTIONS(3168),
    [anon_sym_not] = ACTIONS(3168),
    [anon_sym_compl] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_sizeof] = ACTIONS(3168),
    [anon_sym___alignof__] = ACTIONS(3168),
    [anon_sym___alignof] = ACTIONS(3168),
    [anon_sym__alignof] = ACTIONS(3168),
    [anon_sym_alignof] = ACTIONS(3168),
    [anon_sym__Alignof] = ACTIONS(3168),
    [anon_sym_offsetof] = ACTIONS(3168),
    [anon_sym__Generic] = ACTIONS(3168),
    [anon_sym_asm] = ACTIONS(3168),
    [anon_sym___asm__] = ACTIONS(3168),
    [aux_sym_number_literal_token1] = ACTIONS(3170),
    [aux_sym_number_literal_token2] = ACTIONS(3168),
    [anon_sym_L_SQUOTE] = ACTIONS(3170),
    [anon_sym_u_SQUOTE] = ACTIONS(3170),
    [anon_sym_U_SQUOTE] = ACTIONS(3170),
    [anon_sym_u8_SQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [anon_sym_L_DQUOTE] = ACTIONS(3170),
    [anon_sym_u_DQUOTE] = ACTIONS(3170),
    [anon_sym_U_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8_DQUOTE] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [anon_sym_NULL] = ACTIONS(3168),
    [anon_sym_nullptr] = ACTIONS(3168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3168),
    [anon_sym_decltype] = ACTIONS(3168),
    [anon_sym_virtual] = ACTIONS(3168),
    [anon_sym_alignas] = ACTIONS(3168),
    [anon_sym_explicit] = ACTIONS(3168),
    [anon_sym_typename] = ACTIONS(3168),
    [anon_sym_template] = ACTIONS(3168),
    [anon_sym_operator] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_static_assert] = ACTIONS(3168),
    [anon_sym_concept] = ACTIONS(3168),
    [anon_sym_co_return] = ACTIONS(3168),
    [anon_sym_co_yield] = ACTIONS(3168),
    [anon_sym_R_DQUOTE] = ACTIONS(3170),
    [anon_sym_LR_DQUOTE] = ACTIONS(3170),
    [anon_sym_uR_DQUOTE] = ACTIONS(3170),
    [anon_sym_UR_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3170),
    [anon_sym_co_await] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_requires] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
  },
  [372] = {
    [sym_identifier] = ACTIONS(3172),
    [aux_sym_preproc_include_token1] = ACTIONS(3172),
    [aux_sym_preproc_def_token1] = ACTIONS(3172),
    [aux_sym_preproc_if_token1] = ACTIONS(3172),
    [aux_sym_preproc_if_token2] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3172),
    [aux_sym_preproc_else_token1] = ACTIONS(3172),
    [aux_sym_preproc_elif_token1] = ACTIONS(3172),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3172),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3172),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_AMP_AMP] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym___extension__] = ACTIONS(3172),
    [anon_sym_typedef] = ACTIONS(3172),
    [anon_sym_extern] = ACTIONS(3172),
    [anon_sym___attribute__] = ACTIONS(3172),
    [anon_sym_COLON_COLON] = ACTIONS(3174),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3174),
    [anon_sym___declspec] = ACTIONS(3172),
    [anon_sym___based] = ACTIONS(3172),
    [anon_sym___cdecl] = ACTIONS(3172),
    [anon_sym___clrcall] = ACTIONS(3172),
    [anon_sym___stdcall] = ACTIONS(3172),
    [anon_sym___fastcall] = ACTIONS(3172),
    [anon_sym___thiscall] = ACTIONS(3172),
    [anon_sym___vectorcall] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_signed] = ACTIONS(3172),
    [anon_sym_unsigned] = ACTIONS(3172),
    [anon_sym_long] = ACTIONS(3172),
    [anon_sym_short] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_register] = ACTIONS(3172),
    [anon_sym_inline] = ACTIONS(3172),
    [anon_sym___inline] = ACTIONS(3172),
    [anon_sym___inline__] = ACTIONS(3172),
    [anon_sym___forceinline] = ACTIONS(3172),
    [anon_sym_thread_local] = ACTIONS(3172),
    [anon_sym___thread] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_constexpr] = ACTIONS(3172),
    [anon_sym_volatile] = ACTIONS(3172),
    [anon_sym_restrict] = ACTIONS(3172),
    [anon_sym___restrict__] = ACTIONS(3172),
    [anon_sym__Atomic] = ACTIONS(3172),
    [anon_sym__Noreturn] = ACTIONS(3172),
    [anon_sym_noreturn] = ACTIONS(3172),
    [anon_sym_mutable] = ACTIONS(3172),
    [anon_sym_constinit] = ACTIONS(3172),
    [anon_sym_consteval] = ACTIONS(3172),
    [anon_sym_PROGMEM] = ACTIONS(3172),
    [aux_sym_primitive_type_token1] = ACTIONS(3172),
    [anon_sym_byte] = ACTIONS(3172),
    [anon_sym_word] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_struct] = ACTIONS(3172),
    [anon_sym_union] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_goto] = ACTIONS(3172),
    [anon_sym___try] = ACTIONS(3172),
    [anon_sym___leave] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3172),
    [anon_sym_compl] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(3172),
    [anon_sym___alignof__] = ACTIONS(3172),
    [anon_sym___alignof] = ACTIONS(3172),
    [anon_sym__alignof] = ACTIONS(3172),
    [anon_sym_alignof] = ACTIONS(3172),
    [anon_sym__Alignof] = ACTIONS(3172),
    [anon_sym_offsetof] = ACTIONS(3172),
    [anon_sym__Generic] = ACTIONS(3172),
    [anon_sym_asm] = ACTIONS(3172),
    [anon_sym___asm__] = ACTIONS(3172),
    [aux_sym_number_literal_token1] = ACTIONS(3174),
    [aux_sym_number_literal_token2] = ACTIONS(3172),
    [anon_sym_L_SQUOTE] = ACTIONS(3174),
    [anon_sym_u_SQUOTE] = ACTIONS(3174),
    [anon_sym_U_SQUOTE] = ACTIONS(3174),
    [anon_sym_u8_SQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [anon_sym_L_DQUOTE] = ACTIONS(3174),
    [anon_sym_u_DQUOTE] = ACTIONS(3174),
    [anon_sym_U_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8_DQUOTE] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [anon_sym_NULL] = ACTIONS(3172),
    [anon_sym_nullptr] = ACTIONS(3172),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3172),
    [anon_sym_decltype] = ACTIONS(3172),
    [anon_sym_virtual] = ACTIONS(3172),
    [anon_sym_alignas] = ACTIONS(3172),
    [anon_sym_explicit] = ACTIONS(3172),
    [anon_sym_typename] = ACTIONS(3172),
    [anon_sym_template] = ACTIONS(3172),
    [anon_sym_operator] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_static_assert] = ACTIONS(3172),
    [anon_sym_concept] = ACTIONS(3172),
    [anon_sym_co_return] = ACTIONS(3172),
    [anon_sym_co_yield] = ACTIONS(3172),
    [anon_sym_R_DQUOTE] = ACTIONS(3174),
    [anon_sym_LR_DQUOTE] = ACTIONS(3174),
    [anon_sym_uR_DQUOTE] = ACTIONS(3174),
    [anon_sym_UR_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3174),
    [anon_sym_co_await] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_requires] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
  },
  [373] = {
    [sym_identifier] = ACTIONS(3176),
    [aux_sym_preproc_include_token1] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token2] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [aux_sym_preproc_else_token1] = ACTIONS(3176),
    [aux_sym_preproc_elif_token1] = ACTIONS(3176),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3178),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3178),
    [anon_sym___extension__] = ACTIONS(3176),
    [anon_sym_typedef] = ACTIONS(3176),
    [anon_sym_extern] = ACTIONS(3176),
    [anon_sym___attribute__] = ACTIONS(3176),
    [anon_sym_COLON_COLON] = ACTIONS(3178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3178),
    [anon_sym___declspec] = ACTIONS(3176),
    [anon_sym___based] = ACTIONS(3176),
    [anon_sym___cdecl] = ACTIONS(3176),
    [anon_sym___clrcall] = ACTIONS(3176),
    [anon_sym___stdcall] = ACTIONS(3176),
    [anon_sym___fastcall] = ACTIONS(3176),
    [anon_sym___thiscall] = ACTIONS(3176),
    [anon_sym___vectorcall] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3178),
    [anon_sym_signed] = ACTIONS(3176),
    [anon_sym_unsigned] = ACTIONS(3176),
    [anon_sym_long] = ACTIONS(3176),
    [anon_sym_short] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_register] = ACTIONS(3176),
    [anon_sym_inline] = ACTIONS(3176),
    [anon_sym___inline] = ACTIONS(3176),
    [anon_sym___inline__] = ACTIONS(3176),
    [anon_sym___forceinline] = ACTIONS(3176),
    [anon_sym_thread_local] = ACTIONS(3176),
    [anon_sym___thread] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_constexpr] = ACTIONS(3176),
    [anon_sym_volatile] = ACTIONS(3176),
    [anon_sym_restrict] = ACTIONS(3176),
    [anon_sym___restrict__] = ACTIONS(3176),
    [anon_sym__Atomic] = ACTIONS(3176),
    [anon_sym__Noreturn] = ACTIONS(3176),
    [anon_sym_noreturn] = ACTIONS(3176),
    [anon_sym_mutable] = ACTIONS(3176),
    [anon_sym_constinit] = ACTIONS(3176),
    [anon_sym_consteval] = ACTIONS(3176),
    [anon_sym_PROGMEM] = ACTIONS(3176),
    [aux_sym_primitive_type_token1] = ACTIONS(3176),
    [anon_sym_byte] = ACTIONS(3176),
    [anon_sym_word] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_struct] = ACTIONS(3176),
    [anon_sym_union] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_default] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_goto] = ACTIONS(3176),
    [anon_sym___try] = ACTIONS(3176),
    [anon_sym___leave] = ACTIONS(3176),
    [anon_sym_not] = ACTIONS(3176),
    [anon_sym_compl] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(3176),
    [anon_sym___alignof__] = ACTIONS(3176),
    [anon_sym___alignof] = ACTIONS(3176),
    [anon_sym__alignof] = ACTIONS(3176),
    [anon_sym_alignof] = ACTIONS(3176),
    [anon_sym__Alignof] = ACTIONS(3176),
    [anon_sym_offsetof] = ACTIONS(3176),
    [anon_sym__Generic] = ACTIONS(3176),
    [anon_sym_asm] = ACTIONS(3176),
    [anon_sym___asm__] = ACTIONS(3176),
    [aux_sym_number_literal_token1] = ACTIONS(3178),
    [aux_sym_number_literal_token2] = ACTIONS(3176),
    [anon_sym_L_SQUOTE] = ACTIONS(3178),
    [anon_sym_u_SQUOTE] = ACTIONS(3178),
    [anon_sym_U_SQUOTE] = ACTIONS(3178),
    [anon_sym_u8_SQUOTE] = ACTIONS(3178),
    [anon_sym_SQUOTE] = ACTIONS(3178),
    [anon_sym_L_DQUOTE] = ACTIONS(3178),
    [anon_sym_u_DQUOTE] = ACTIONS(3178),
    [anon_sym_U_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8_DQUOTE] = ACTIONS(3178),
    [anon_sym_DQUOTE] = ACTIONS(3178),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [anon_sym_NULL] = ACTIONS(3176),
    [anon_sym_nullptr] = ACTIONS(3176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3176),
    [anon_sym_decltype] = ACTIONS(3176),
    [anon_sym_virtual] = ACTIONS(3176),
    [anon_sym_alignas] = ACTIONS(3176),
    [anon_sym_explicit] = ACTIONS(3176),
    [anon_sym_typename] = ACTIONS(3176),
    [anon_sym_template] = ACTIONS(3176),
    [anon_sym_operator] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_static_assert] = ACTIONS(3176),
    [anon_sym_concept] = ACTIONS(3176),
    [anon_sym_co_return] = ACTIONS(3176),
    [anon_sym_co_yield] = ACTIONS(3176),
    [anon_sym_R_DQUOTE] = ACTIONS(3178),
    [anon_sym_LR_DQUOTE] = ACTIONS(3178),
    [anon_sym_uR_DQUOTE] = ACTIONS(3178),
    [anon_sym_UR_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3178),
    [anon_sym_co_await] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_requires] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
  },
  [374] = {
    [sym_identifier] = ACTIONS(3180),
    [aux_sym_preproc_include_token1] = ACTIONS(3180),
    [aux_sym_preproc_def_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token2] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3180),
    [aux_sym_preproc_else_token1] = ACTIONS(3180),
    [aux_sym_preproc_elif_token1] = ACTIONS(3180),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3180),
    [sym_preproc_directive] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_STAR] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym___extension__] = ACTIONS(3180),
    [anon_sym_typedef] = ACTIONS(3180),
    [anon_sym_extern] = ACTIONS(3180),
    [anon_sym___attribute__] = ACTIONS(3180),
    [anon_sym_COLON_COLON] = ACTIONS(3182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3182),
    [anon_sym___declspec] = ACTIONS(3180),
    [anon_sym___based] = ACTIONS(3180),
    [anon_sym___cdecl] = ACTIONS(3180),
    [anon_sym___clrcall] = ACTIONS(3180),
    [anon_sym___stdcall] = ACTIONS(3180),
    [anon_sym___fastcall] = ACTIONS(3180),
    [anon_sym___thiscall] = ACTIONS(3180),
    [anon_sym___vectorcall] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_signed] = ACTIONS(3180),
    [anon_sym_unsigned] = ACTIONS(3180),
    [anon_sym_long] = ACTIONS(3180),
    [anon_sym_short] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_register] = ACTIONS(3180),
    [anon_sym_inline] = ACTIONS(3180),
    [anon_sym___inline] = ACTIONS(3180),
    [anon_sym___inline__] = ACTIONS(3180),
    [anon_sym___forceinline] = ACTIONS(3180),
    [anon_sym_thread_local] = ACTIONS(3180),
    [anon_sym___thread] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_constexpr] = ACTIONS(3180),
    [anon_sym_volatile] = ACTIONS(3180),
    [anon_sym_restrict] = ACTIONS(3180),
    [anon_sym___restrict__] = ACTIONS(3180),
    [anon_sym__Atomic] = ACTIONS(3180),
    [anon_sym__Noreturn] = ACTIONS(3180),
    [anon_sym_noreturn] = ACTIONS(3180),
    [anon_sym_mutable] = ACTIONS(3180),
    [anon_sym_constinit] = ACTIONS(3180),
    [anon_sym_consteval] = ACTIONS(3180),
    [anon_sym_PROGMEM] = ACTIONS(3180),
    [aux_sym_primitive_type_token1] = ACTIONS(3180),
    [anon_sym_byte] = ACTIONS(3180),
    [anon_sym_word] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_struct] = ACTIONS(3180),
    [anon_sym_union] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_case] = ACTIONS(3180),
    [anon_sym_default] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_goto] = ACTIONS(3180),
    [anon_sym___try] = ACTIONS(3180),
    [anon_sym___leave] = ACTIONS(3180),
    [anon_sym_not] = ACTIONS(3180),
    [anon_sym_compl] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_sizeof] = ACTIONS(3180),
    [anon_sym___alignof__] = ACTIONS(3180),
    [anon_sym___alignof] = ACTIONS(3180),
    [anon_sym__alignof] = ACTIONS(3180),
    [anon_sym_alignof] = ACTIONS(3180),
    [anon_sym__Alignof] = ACTIONS(3180),
    [anon_sym_offsetof] = ACTIONS(3180),
    [anon_sym__Generic] = ACTIONS(3180),
    [anon_sym_asm] = ACTIONS(3180),
    [anon_sym___asm__] = ACTIONS(3180),
    [aux_sym_number_literal_token1] = ACTIONS(3182),
    [aux_sym_number_literal_token2] = ACTIONS(3180),
    [anon_sym_L_SQUOTE] = ACTIONS(3182),
    [anon_sym_u_SQUOTE] = ACTIONS(3182),
    [anon_sym_U_SQUOTE] = ACTIONS(3182),
    [anon_sym_u8_SQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [anon_sym_L_DQUOTE] = ACTIONS(3182),
    [anon_sym_u_DQUOTE] = ACTIONS(3182),
    [anon_sym_U_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8_DQUOTE] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [anon_sym_NULL] = ACTIONS(3180),
    [anon_sym_nullptr] = ACTIONS(3180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3180),
    [anon_sym_decltype] = ACTIONS(3180),
    [anon_sym_virtual] = ACTIONS(3180),
    [anon_sym_alignas] = ACTIONS(3180),
    [anon_sym_explicit] = ACTIONS(3180),
    [anon_sym_typename] = ACTIONS(3180),
    [anon_sym_template] = ACTIONS(3180),
    [anon_sym_operator] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_static_assert] = ACTIONS(3180),
    [anon_sym_concept] = ACTIONS(3180),
    [anon_sym_co_return] = ACTIONS(3180),
    [anon_sym_co_yield] = ACTIONS(3180),
    [anon_sym_R_DQUOTE] = ACTIONS(3182),
    [anon_sym_LR_DQUOTE] = ACTIONS(3182),
    [anon_sym_uR_DQUOTE] = ACTIONS(3182),
    [anon_sym_UR_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3182),
    [anon_sym_co_await] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_requires] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
  },
  [375] = {
    [sym_identifier] = ACTIONS(3184),
    [aux_sym_preproc_include_token1] = ACTIONS(3184),
    [aux_sym_preproc_def_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token2] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3184),
    [aux_sym_preproc_else_token1] = ACTIONS(3184),
    [aux_sym_preproc_elif_token1] = ACTIONS(3184),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3184),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3184),
    [sym_preproc_directive] = ACTIONS(3184),
    [anon_sym_LPAREN2] = ACTIONS(3186),
    [anon_sym_BANG] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_AMP_AMP] = ACTIONS(3186),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym___extension__] = ACTIONS(3184),
    [anon_sym_typedef] = ACTIONS(3184),
    [anon_sym_extern] = ACTIONS(3184),
    [anon_sym___attribute__] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3186),
    [anon_sym___declspec] = ACTIONS(3184),
    [anon_sym___based] = ACTIONS(3184),
    [anon_sym___cdecl] = ACTIONS(3184),
    [anon_sym___clrcall] = ACTIONS(3184),
    [anon_sym___stdcall] = ACTIONS(3184),
    [anon_sym___fastcall] = ACTIONS(3184),
    [anon_sym___thiscall] = ACTIONS(3184),
    [anon_sym___vectorcall] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_signed] = ACTIONS(3184),
    [anon_sym_unsigned] = ACTIONS(3184),
    [anon_sym_long] = ACTIONS(3184),
    [anon_sym_short] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_register] = ACTIONS(3184),
    [anon_sym_inline] = ACTIONS(3184),
    [anon_sym___inline] = ACTIONS(3184),
    [anon_sym___inline__] = ACTIONS(3184),
    [anon_sym___forceinline] = ACTIONS(3184),
    [anon_sym_thread_local] = ACTIONS(3184),
    [anon_sym___thread] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_constexpr] = ACTIONS(3184),
    [anon_sym_volatile] = ACTIONS(3184),
    [anon_sym_restrict] = ACTIONS(3184),
    [anon_sym___restrict__] = ACTIONS(3184),
    [anon_sym__Atomic] = ACTIONS(3184),
    [anon_sym__Noreturn] = ACTIONS(3184),
    [anon_sym_noreturn] = ACTIONS(3184),
    [anon_sym_mutable] = ACTIONS(3184),
    [anon_sym_constinit] = ACTIONS(3184),
    [anon_sym_consteval] = ACTIONS(3184),
    [anon_sym_PROGMEM] = ACTIONS(3184),
    [aux_sym_primitive_type_token1] = ACTIONS(3184),
    [anon_sym_byte] = ACTIONS(3184),
    [anon_sym_word] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_struct] = ACTIONS(3184),
    [anon_sym_union] = ACTIONS(3184),
    [anon_sym_if] = ACTIONS(3184),
    [anon_sym_switch] = ACTIONS(3184),
    [anon_sym_case] = ACTIONS(3184),
    [anon_sym_default] = ACTIONS(3184),
    [anon_sym_while] = ACTIONS(3184),
    [anon_sym_do] = ACTIONS(3184),
    [anon_sym_for] = ACTIONS(3184),
    [anon_sym_return] = ACTIONS(3184),
    [anon_sym_break] = ACTIONS(3184),
    [anon_sym_continue] = ACTIONS(3184),
    [anon_sym_goto] = ACTIONS(3184),
    [anon_sym___try] = ACTIONS(3184),
    [anon_sym___leave] = ACTIONS(3184),
    [anon_sym_not] = ACTIONS(3184),
    [anon_sym_compl] = ACTIONS(3184),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_sizeof] = ACTIONS(3184),
    [anon_sym___alignof__] = ACTIONS(3184),
    [anon_sym___alignof] = ACTIONS(3184),
    [anon_sym__alignof] = ACTIONS(3184),
    [anon_sym_alignof] = ACTIONS(3184),
    [anon_sym__Alignof] = ACTIONS(3184),
    [anon_sym_offsetof] = ACTIONS(3184),
    [anon_sym__Generic] = ACTIONS(3184),
    [anon_sym_asm] = ACTIONS(3184),
    [anon_sym___asm__] = ACTIONS(3184),
    [aux_sym_number_literal_token1] = ACTIONS(3186),
    [aux_sym_number_literal_token2] = ACTIONS(3184),
    [anon_sym_L_SQUOTE] = ACTIONS(3186),
    [anon_sym_u_SQUOTE] = ACTIONS(3186),
    [anon_sym_U_SQUOTE] = ACTIONS(3186),
    [anon_sym_u8_SQUOTE] = ACTIONS(3186),
    [anon_sym_SQUOTE] = ACTIONS(3186),
    [anon_sym_L_DQUOTE] = ACTIONS(3186),
    [anon_sym_u_DQUOTE] = ACTIONS(3186),
    [anon_sym_U_DQUOTE] = ACTIONS(3186),
    [anon_sym_u8_DQUOTE] = ACTIONS(3186),
    [anon_sym_DQUOTE] = ACTIONS(3186),
    [sym_true] = ACTIONS(3184),
    [sym_false] = ACTIONS(3184),
    [anon_sym_NULL] = ACTIONS(3184),
    [anon_sym_nullptr] = ACTIONS(3184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3184),
    [anon_sym_decltype] = ACTIONS(3184),
    [anon_sym_virtual] = ACTIONS(3184),
    [anon_sym_alignas] = ACTIONS(3184),
    [anon_sym_explicit] = ACTIONS(3184),
    [anon_sym_typename] = ACTIONS(3184),
    [anon_sym_template] = ACTIONS(3184),
    [anon_sym_operator] = ACTIONS(3184),
    [anon_sym_try] = ACTIONS(3184),
    [anon_sym_delete] = ACTIONS(3184),
    [anon_sym_throw] = ACTIONS(3184),
    [anon_sym_namespace] = ACTIONS(3184),
    [anon_sym_using] = ACTIONS(3184),
    [anon_sym_static_assert] = ACTIONS(3184),
    [anon_sym_concept] = ACTIONS(3184),
    [anon_sym_co_return] = ACTIONS(3184),
    [anon_sym_co_yield] = ACTIONS(3184),
    [anon_sym_R_DQUOTE] = ACTIONS(3186),
    [anon_sym_LR_DQUOTE] = ACTIONS(3186),
    [anon_sym_uR_DQUOTE] = ACTIONS(3186),
    [anon_sym_UR_DQUOTE] = ACTIONS(3186),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3186),
    [anon_sym_co_await] = ACTIONS(3184),
    [anon_sym_new] = ACTIONS(3184),
    [anon_sym_requires] = ACTIONS(3184),
    [sym_this] = ACTIONS(3184),
  },
  [376] = {
    [sym_identifier] = ACTIONS(3188),
    [aux_sym_preproc_include_token1] = ACTIONS(3188),
    [aux_sym_preproc_def_token1] = ACTIONS(3188),
    [aux_sym_preproc_if_token1] = ACTIONS(3188),
    [aux_sym_preproc_if_token2] = ACTIONS(3188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3188),
    [aux_sym_preproc_else_token1] = ACTIONS(3188),
    [aux_sym_preproc_elif_token1] = ACTIONS(3188),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3188),
    [anon_sym_LPAREN2] = ACTIONS(3190),
    [anon_sym_BANG] = ACTIONS(3190),
    [anon_sym_TILDE] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_STAR] = ACTIONS(3190),
    [anon_sym_AMP_AMP] = ACTIONS(3190),
    [anon_sym_AMP] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3190),
    [anon_sym___extension__] = ACTIONS(3188),
    [anon_sym_typedef] = ACTIONS(3188),
    [anon_sym_extern] = ACTIONS(3188),
    [anon_sym___attribute__] = ACTIONS(3188),
    [anon_sym_COLON_COLON] = ACTIONS(3190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3190),
    [anon_sym___declspec] = ACTIONS(3188),
    [anon_sym___based] = ACTIONS(3188),
    [anon_sym___cdecl] = ACTIONS(3188),
    [anon_sym___clrcall] = ACTIONS(3188),
    [anon_sym___stdcall] = ACTIONS(3188),
    [anon_sym___fastcall] = ACTIONS(3188),
    [anon_sym___thiscall] = ACTIONS(3188),
    [anon_sym___vectorcall] = ACTIONS(3188),
    [anon_sym_LBRACE] = ACTIONS(3190),
    [anon_sym_signed] = ACTIONS(3188),
    [anon_sym_unsigned] = ACTIONS(3188),
    [anon_sym_long] = ACTIONS(3188),
    [anon_sym_short] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_register] = ACTIONS(3188),
    [anon_sym_inline] = ACTIONS(3188),
    [anon_sym___inline] = ACTIONS(3188),
    [anon_sym___inline__] = ACTIONS(3188),
    [anon_sym___forceinline] = ACTIONS(3188),
    [anon_sym_thread_local] = ACTIONS(3188),
    [anon_sym___thread] = ACTIONS(3188),
    [anon_sym_const] = ACTIONS(3188),
    [anon_sym_constexpr] = ACTIONS(3188),
    [anon_sym_volatile] = ACTIONS(3188),
    [anon_sym_restrict] = ACTIONS(3188),
    [anon_sym___restrict__] = ACTIONS(3188),
    [anon_sym__Atomic] = ACTIONS(3188),
    [anon_sym__Noreturn] = ACTIONS(3188),
    [anon_sym_noreturn] = ACTIONS(3188),
    [anon_sym_mutable] = ACTIONS(3188),
    [anon_sym_constinit] = ACTIONS(3188),
    [anon_sym_consteval] = ACTIONS(3188),
    [anon_sym_PROGMEM] = ACTIONS(3188),
    [aux_sym_primitive_type_token1] = ACTIONS(3188),
    [anon_sym_byte] = ACTIONS(3188),
    [anon_sym_word] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_struct] = ACTIONS(3188),
    [anon_sym_union] = ACTIONS(3188),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_switch] = ACTIONS(3188),
    [anon_sym_case] = ACTIONS(3188),
    [anon_sym_default] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3188),
    [anon_sym_do] = ACTIONS(3188),
    [anon_sym_for] = ACTIONS(3188),
    [anon_sym_return] = ACTIONS(3188),
    [anon_sym_break] = ACTIONS(3188),
    [anon_sym_continue] = ACTIONS(3188),
    [anon_sym_goto] = ACTIONS(3188),
    [anon_sym___try] = ACTIONS(3188),
    [anon_sym___leave] = ACTIONS(3188),
    [anon_sym_not] = ACTIONS(3188),
    [anon_sym_compl] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_sizeof] = ACTIONS(3188),
    [anon_sym___alignof__] = ACTIONS(3188),
    [anon_sym___alignof] = ACTIONS(3188),
    [anon_sym__alignof] = ACTIONS(3188),
    [anon_sym_alignof] = ACTIONS(3188),
    [anon_sym__Alignof] = ACTIONS(3188),
    [anon_sym_offsetof] = ACTIONS(3188),
    [anon_sym__Generic] = ACTIONS(3188),
    [anon_sym_asm] = ACTIONS(3188),
    [anon_sym___asm__] = ACTIONS(3188),
    [aux_sym_number_literal_token1] = ACTIONS(3190),
    [aux_sym_number_literal_token2] = ACTIONS(3188),
    [anon_sym_L_SQUOTE] = ACTIONS(3190),
    [anon_sym_u_SQUOTE] = ACTIONS(3190),
    [anon_sym_U_SQUOTE] = ACTIONS(3190),
    [anon_sym_u8_SQUOTE] = ACTIONS(3190),
    [anon_sym_SQUOTE] = ACTIONS(3190),
    [anon_sym_L_DQUOTE] = ACTIONS(3190),
    [anon_sym_u_DQUOTE] = ACTIONS(3190),
    [anon_sym_U_DQUOTE] = ACTIONS(3190),
    [anon_sym_u8_DQUOTE] = ACTIONS(3190),
    [anon_sym_DQUOTE] = ACTIONS(3190),
    [sym_true] = ACTIONS(3188),
    [sym_false] = ACTIONS(3188),
    [anon_sym_NULL] = ACTIONS(3188),
    [anon_sym_nullptr] = ACTIONS(3188),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3188),
    [anon_sym_decltype] = ACTIONS(3188),
    [anon_sym_virtual] = ACTIONS(3188),
    [anon_sym_alignas] = ACTIONS(3188),
    [anon_sym_explicit] = ACTIONS(3188),
    [anon_sym_typename] = ACTIONS(3188),
    [anon_sym_template] = ACTIONS(3188),
    [anon_sym_operator] = ACTIONS(3188),
    [anon_sym_try] = ACTIONS(3188),
    [anon_sym_delete] = ACTIONS(3188),
    [anon_sym_throw] = ACTIONS(3188),
    [anon_sym_namespace] = ACTIONS(3188),
    [anon_sym_using] = ACTIONS(3188),
    [anon_sym_static_assert] = ACTIONS(3188),
    [anon_sym_concept] = ACTIONS(3188),
    [anon_sym_co_return] = ACTIONS(3188),
    [anon_sym_co_yield] = ACTIONS(3188),
    [anon_sym_R_DQUOTE] = ACTIONS(3190),
    [anon_sym_LR_DQUOTE] = ACTIONS(3190),
    [anon_sym_uR_DQUOTE] = ACTIONS(3190),
    [anon_sym_UR_DQUOTE] = ACTIONS(3190),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3190),
    [anon_sym_co_await] = ACTIONS(3188),
    [anon_sym_new] = ACTIONS(3188),
    [anon_sym_requires] = ACTIONS(3188),
    [sym_this] = ACTIONS(3188),
  },
  [377] = {
    [sym_identifier] = ACTIONS(3192),
    [aux_sym_preproc_include_token1] = ACTIONS(3192),
    [aux_sym_preproc_def_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token2] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3192),
    [aux_sym_preproc_else_token1] = ACTIONS(3192),
    [aux_sym_preproc_elif_token1] = ACTIONS(3192),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3192),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3192),
    [sym_preproc_directive] = ACTIONS(3192),
    [anon_sym_LPAREN2] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym___extension__] = ACTIONS(3192),
    [anon_sym_typedef] = ACTIONS(3192),
    [anon_sym_extern] = ACTIONS(3192),
    [anon_sym___attribute__] = ACTIONS(3192),
    [anon_sym_COLON_COLON] = ACTIONS(3194),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3194),
    [anon_sym___declspec] = ACTIONS(3192),
    [anon_sym___based] = ACTIONS(3192),
    [anon_sym___cdecl] = ACTIONS(3192),
    [anon_sym___clrcall] = ACTIONS(3192),
    [anon_sym___stdcall] = ACTIONS(3192),
    [anon_sym___fastcall] = ACTIONS(3192),
    [anon_sym___thiscall] = ACTIONS(3192),
    [anon_sym___vectorcall] = ACTIONS(3192),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_signed] = ACTIONS(3192),
    [anon_sym_unsigned] = ACTIONS(3192),
    [anon_sym_long] = ACTIONS(3192),
    [anon_sym_short] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_register] = ACTIONS(3192),
    [anon_sym_inline] = ACTIONS(3192),
    [anon_sym___inline] = ACTIONS(3192),
    [anon_sym___inline__] = ACTIONS(3192),
    [anon_sym___forceinline] = ACTIONS(3192),
    [anon_sym_thread_local] = ACTIONS(3192),
    [anon_sym___thread] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_constexpr] = ACTIONS(3192),
    [anon_sym_volatile] = ACTIONS(3192),
    [anon_sym_restrict] = ACTIONS(3192),
    [anon_sym___restrict__] = ACTIONS(3192),
    [anon_sym__Atomic] = ACTIONS(3192),
    [anon_sym__Noreturn] = ACTIONS(3192),
    [anon_sym_noreturn] = ACTIONS(3192),
    [anon_sym_mutable] = ACTIONS(3192),
    [anon_sym_constinit] = ACTIONS(3192),
    [anon_sym_consteval] = ACTIONS(3192),
    [anon_sym_PROGMEM] = ACTIONS(3192),
    [aux_sym_primitive_type_token1] = ACTIONS(3192),
    [anon_sym_byte] = ACTIONS(3192),
    [anon_sym_word] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_struct] = ACTIONS(3192),
    [anon_sym_union] = ACTIONS(3192),
    [anon_sym_if] = ACTIONS(3192),
    [anon_sym_switch] = ACTIONS(3192),
    [anon_sym_case] = ACTIONS(3192),
    [anon_sym_default] = ACTIONS(3192),
    [anon_sym_while] = ACTIONS(3192),
    [anon_sym_do] = ACTIONS(3192),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_break] = ACTIONS(3192),
    [anon_sym_continue] = ACTIONS(3192),
    [anon_sym_goto] = ACTIONS(3192),
    [anon_sym___try] = ACTIONS(3192),
    [anon_sym___leave] = ACTIONS(3192),
    [anon_sym_not] = ACTIONS(3192),
    [anon_sym_compl] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_sizeof] = ACTIONS(3192),
    [anon_sym___alignof__] = ACTIONS(3192),
    [anon_sym___alignof] = ACTIONS(3192),
    [anon_sym__alignof] = ACTIONS(3192),
    [anon_sym_alignof] = ACTIONS(3192),
    [anon_sym__Alignof] = ACTIONS(3192),
    [anon_sym_offsetof] = ACTIONS(3192),
    [anon_sym__Generic] = ACTIONS(3192),
    [anon_sym_asm] = ACTIONS(3192),
    [anon_sym___asm__] = ACTIONS(3192),
    [aux_sym_number_literal_token1] = ACTIONS(3194),
    [aux_sym_number_literal_token2] = ACTIONS(3192),
    [anon_sym_L_SQUOTE] = ACTIONS(3194),
    [anon_sym_u_SQUOTE] = ACTIONS(3194),
    [anon_sym_U_SQUOTE] = ACTIONS(3194),
    [anon_sym_u8_SQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [anon_sym_L_DQUOTE] = ACTIONS(3194),
    [anon_sym_u_DQUOTE] = ACTIONS(3194),
    [anon_sym_U_DQUOTE] = ACTIONS(3194),
    [anon_sym_u8_DQUOTE] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [sym_true] = ACTIONS(3192),
    [sym_false] = ACTIONS(3192),
    [anon_sym_NULL] = ACTIONS(3192),
    [anon_sym_nullptr] = ACTIONS(3192),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3192),
    [anon_sym_decltype] = ACTIONS(3192),
    [anon_sym_virtual] = ACTIONS(3192),
    [anon_sym_alignas] = ACTIONS(3192),
    [anon_sym_explicit] = ACTIONS(3192),
    [anon_sym_typename] = ACTIONS(3192),
    [anon_sym_template] = ACTIONS(3192),
    [anon_sym_operator] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3192),
    [anon_sym_delete] = ACTIONS(3192),
    [anon_sym_throw] = ACTIONS(3192),
    [anon_sym_namespace] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_static_assert] = ACTIONS(3192),
    [anon_sym_concept] = ACTIONS(3192),
    [anon_sym_co_return] = ACTIONS(3192),
    [anon_sym_co_yield] = ACTIONS(3192),
    [anon_sym_R_DQUOTE] = ACTIONS(3194),
    [anon_sym_LR_DQUOTE] = ACTIONS(3194),
    [anon_sym_uR_DQUOTE] = ACTIONS(3194),
    [anon_sym_UR_DQUOTE] = ACTIONS(3194),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3194),
    [anon_sym_co_await] = ACTIONS(3192),
    [anon_sym_new] = ACTIONS(3192),
    [anon_sym_requires] = ACTIONS(3192),
    [sym_this] = ACTIONS(3192),
  },
  [378] = {
    [sym_identifier] = ACTIONS(3196),
    [aux_sym_preproc_include_token1] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3196),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_if_token2] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3196),
    [aux_sym_preproc_else_token1] = ACTIONS(3196),
    [aux_sym_preproc_elif_token1] = ACTIONS(3196),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3196),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3196),
    [sym_preproc_directive] = ACTIONS(3196),
    [anon_sym_LPAREN2] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_STAR] = ACTIONS(3198),
    [anon_sym_AMP_AMP] = ACTIONS(3198),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(3196),
    [anon_sym_typedef] = ACTIONS(3196),
    [anon_sym_extern] = ACTIONS(3196),
    [anon_sym___attribute__] = ACTIONS(3196),
    [anon_sym_COLON_COLON] = ACTIONS(3198),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3198),
    [anon_sym___declspec] = ACTIONS(3196),
    [anon_sym___based] = ACTIONS(3196),
    [anon_sym___cdecl] = ACTIONS(3196),
    [anon_sym___clrcall] = ACTIONS(3196),
    [anon_sym___stdcall] = ACTIONS(3196),
    [anon_sym___fastcall] = ACTIONS(3196),
    [anon_sym___thiscall] = ACTIONS(3196),
    [anon_sym___vectorcall] = ACTIONS(3196),
    [anon_sym_LBRACE] = ACTIONS(3198),
    [anon_sym_signed] = ACTIONS(3196),
    [anon_sym_unsigned] = ACTIONS(3196),
    [anon_sym_long] = ACTIONS(3196),
    [anon_sym_short] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_register] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(3196),
    [anon_sym___inline] = ACTIONS(3196),
    [anon_sym___inline__] = ACTIONS(3196),
    [anon_sym___forceinline] = ACTIONS(3196),
    [anon_sym_thread_local] = ACTIONS(3196),
    [anon_sym___thread] = ACTIONS(3196),
    [anon_sym_const] = ACTIONS(3196),
    [anon_sym_constexpr] = ACTIONS(3196),
    [anon_sym_volatile] = ACTIONS(3196),
    [anon_sym_restrict] = ACTIONS(3196),
    [anon_sym___restrict__] = ACTIONS(3196),
    [anon_sym__Atomic] = ACTIONS(3196),
    [anon_sym__Noreturn] = ACTIONS(3196),
    [anon_sym_noreturn] = ACTIONS(3196),
    [anon_sym_mutable] = ACTIONS(3196),
    [anon_sym_constinit] = ACTIONS(3196),
    [anon_sym_consteval] = ACTIONS(3196),
    [anon_sym_PROGMEM] = ACTIONS(3196),
    [aux_sym_primitive_type_token1] = ACTIONS(3196),
    [anon_sym_byte] = ACTIONS(3196),
    [anon_sym_word] = ACTIONS(3196),
    [anon_sym_enum] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_struct] = ACTIONS(3196),
    [anon_sym_union] = ACTIONS(3196),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_switch] = ACTIONS(3196),
    [anon_sym_case] = ACTIONS(3196),
    [anon_sym_default] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3196),
    [anon_sym_do] = ACTIONS(3196),
    [anon_sym_for] = ACTIONS(3196),
    [anon_sym_return] = ACTIONS(3196),
    [anon_sym_break] = ACTIONS(3196),
    [anon_sym_continue] = ACTIONS(3196),
    [anon_sym_goto] = ACTIONS(3196),
    [anon_sym___try] = ACTIONS(3196),
    [anon_sym___leave] = ACTIONS(3196),
    [anon_sym_not] = ACTIONS(3196),
    [anon_sym_compl] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_sizeof] = ACTIONS(3196),
    [anon_sym___alignof__] = ACTIONS(3196),
    [anon_sym___alignof] = ACTIONS(3196),
    [anon_sym__alignof] = ACTIONS(3196),
    [anon_sym_alignof] = ACTIONS(3196),
    [anon_sym__Alignof] = ACTIONS(3196),
    [anon_sym_offsetof] = ACTIONS(3196),
    [anon_sym__Generic] = ACTIONS(3196),
    [anon_sym_asm] = ACTIONS(3196),
    [anon_sym___asm__] = ACTIONS(3196),
    [aux_sym_number_literal_token1] = ACTIONS(3198),
    [aux_sym_number_literal_token2] = ACTIONS(3196),
    [anon_sym_L_SQUOTE] = ACTIONS(3198),
    [anon_sym_u_SQUOTE] = ACTIONS(3198),
    [anon_sym_U_SQUOTE] = ACTIONS(3198),
    [anon_sym_u8_SQUOTE] = ACTIONS(3198),
    [anon_sym_SQUOTE] = ACTIONS(3198),
    [anon_sym_L_DQUOTE] = ACTIONS(3198),
    [anon_sym_u_DQUOTE] = ACTIONS(3198),
    [anon_sym_U_DQUOTE] = ACTIONS(3198),
    [anon_sym_u8_DQUOTE] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [sym_true] = ACTIONS(3196),
    [sym_false] = ACTIONS(3196),
    [anon_sym_NULL] = ACTIONS(3196),
    [anon_sym_nullptr] = ACTIONS(3196),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3196),
    [anon_sym_decltype] = ACTIONS(3196),
    [anon_sym_virtual] = ACTIONS(3196),
    [anon_sym_alignas] = ACTIONS(3196),
    [anon_sym_explicit] = ACTIONS(3196),
    [anon_sym_typename] = ACTIONS(3196),
    [anon_sym_template] = ACTIONS(3196),
    [anon_sym_operator] = ACTIONS(3196),
    [anon_sym_try] = ACTIONS(3196),
    [anon_sym_delete] = ACTIONS(3196),
    [anon_sym_throw] = ACTIONS(3196),
    [anon_sym_namespace] = ACTIONS(3196),
    [anon_sym_using] = ACTIONS(3196),
    [anon_sym_static_assert] = ACTIONS(3196),
    [anon_sym_concept] = ACTIONS(3196),
    [anon_sym_co_return] = ACTIONS(3196),
    [anon_sym_co_yield] = ACTIONS(3196),
    [anon_sym_R_DQUOTE] = ACTIONS(3198),
    [anon_sym_LR_DQUOTE] = ACTIONS(3198),
    [anon_sym_uR_DQUOTE] = ACTIONS(3198),
    [anon_sym_UR_DQUOTE] = ACTIONS(3198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3198),
    [anon_sym_co_await] = ACTIONS(3196),
    [anon_sym_new] = ACTIONS(3196),
    [anon_sym_requires] = ACTIONS(3196),
    [sym_this] = ACTIONS(3196),
  },
  [379] = {
    [sym_identifier] = ACTIONS(3200),
    [aux_sym_preproc_include_token1] = ACTIONS(3200),
    [aux_sym_preproc_def_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token2] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3200),
    [aux_sym_preproc_else_token1] = ACTIONS(3200),
    [aux_sym_preproc_elif_token1] = ACTIONS(3200),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3200),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(3202),
    [anon_sym_BANG] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3202),
    [anon_sym___extension__] = ACTIONS(3200),
    [anon_sym_typedef] = ACTIONS(3200),
    [anon_sym_extern] = ACTIONS(3200),
    [anon_sym___attribute__] = ACTIONS(3200),
    [anon_sym_COLON_COLON] = ACTIONS(3202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3202),
    [anon_sym___declspec] = ACTIONS(3200),
    [anon_sym___based] = ACTIONS(3200),
    [anon_sym___cdecl] = ACTIONS(3200),
    [anon_sym___clrcall] = ACTIONS(3200),
    [anon_sym___stdcall] = ACTIONS(3200),
    [anon_sym___fastcall] = ACTIONS(3200),
    [anon_sym___thiscall] = ACTIONS(3200),
    [anon_sym___vectorcall] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3202),
    [anon_sym_signed] = ACTIONS(3200),
    [anon_sym_unsigned] = ACTIONS(3200),
    [anon_sym_long] = ACTIONS(3200),
    [anon_sym_short] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_register] = ACTIONS(3200),
    [anon_sym_inline] = ACTIONS(3200),
    [anon_sym___inline] = ACTIONS(3200),
    [anon_sym___inline__] = ACTIONS(3200),
    [anon_sym___forceinline] = ACTIONS(3200),
    [anon_sym_thread_local] = ACTIONS(3200),
    [anon_sym___thread] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_constexpr] = ACTIONS(3200),
    [anon_sym_volatile] = ACTIONS(3200),
    [anon_sym_restrict] = ACTIONS(3200),
    [anon_sym___restrict__] = ACTIONS(3200),
    [anon_sym__Atomic] = ACTIONS(3200),
    [anon_sym__Noreturn] = ACTIONS(3200),
    [anon_sym_noreturn] = ACTIONS(3200),
    [anon_sym_mutable] = ACTIONS(3200),
    [anon_sym_constinit] = ACTIONS(3200),
    [anon_sym_consteval] = ACTIONS(3200),
    [anon_sym_PROGMEM] = ACTIONS(3200),
    [aux_sym_primitive_type_token1] = ACTIONS(3200),
    [anon_sym_byte] = ACTIONS(3200),
    [anon_sym_word] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_struct] = ACTIONS(3200),
    [anon_sym_union] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_case] = ACTIONS(3200),
    [anon_sym_default] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_goto] = ACTIONS(3200),
    [anon_sym___try] = ACTIONS(3200),
    [anon_sym___leave] = ACTIONS(3200),
    [anon_sym_not] = ACTIONS(3200),
    [anon_sym_compl] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_sizeof] = ACTIONS(3200),
    [anon_sym___alignof__] = ACTIONS(3200),
    [anon_sym___alignof] = ACTIONS(3200),
    [anon_sym__alignof] = ACTIONS(3200),
    [anon_sym_alignof] = ACTIONS(3200),
    [anon_sym__Alignof] = ACTIONS(3200),
    [anon_sym_offsetof] = ACTIONS(3200),
    [anon_sym__Generic] = ACTIONS(3200),
    [anon_sym_asm] = ACTIONS(3200),
    [anon_sym___asm__] = ACTIONS(3200),
    [aux_sym_number_literal_token1] = ACTIONS(3202),
    [aux_sym_number_literal_token2] = ACTIONS(3200),
    [anon_sym_L_SQUOTE] = ACTIONS(3202),
    [anon_sym_u_SQUOTE] = ACTIONS(3202),
    [anon_sym_U_SQUOTE] = ACTIONS(3202),
    [anon_sym_u8_SQUOTE] = ACTIONS(3202),
    [anon_sym_SQUOTE] = ACTIONS(3202),
    [anon_sym_L_DQUOTE] = ACTIONS(3202),
    [anon_sym_u_DQUOTE] = ACTIONS(3202),
    [anon_sym_U_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8_DQUOTE] = ACTIONS(3202),
    [anon_sym_DQUOTE] = ACTIONS(3202),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [anon_sym_NULL] = ACTIONS(3200),
    [anon_sym_nullptr] = ACTIONS(3200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3200),
    [anon_sym_decltype] = ACTIONS(3200),
    [anon_sym_virtual] = ACTIONS(3200),
    [anon_sym_alignas] = ACTIONS(3200),
    [anon_sym_explicit] = ACTIONS(3200),
    [anon_sym_typename] = ACTIONS(3200),
    [anon_sym_template] = ACTIONS(3200),
    [anon_sym_operator] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_static_assert] = ACTIONS(3200),
    [anon_sym_concept] = ACTIONS(3200),
    [anon_sym_co_return] = ACTIONS(3200),
    [anon_sym_co_yield] = ACTIONS(3200),
    [anon_sym_R_DQUOTE] = ACTIONS(3202),
    [anon_sym_LR_DQUOTE] = ACTIONS(3202),
    [anon_sym_uR_DQUOTE] = ACTIONS(3202),
    [anon_sym_UR_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3202),
    [anon_sym_co_await] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_requires] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
  },
  [380] = {
    [sym_identifier] = ACTIONS(3204),
    [aux_sym_preproc_include_token1] = ACTIONS(3204),
    [aux_sym_preproc_def_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token2] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3204),
    [aux_sym_preproc_else_token1] = ACTIONS(3204),
    [aux_sym_preproc_elif_token1] = ACTIONS(3204),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3204),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3204),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_AMP_AMP] = ACTIONS(3206),
    [anon_sym_AMP] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym___extension__] = ACTIONS(3204),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_extern] = ACTIONS(3204),
    [anon_sym___attribute__] = ACTIONS(3204),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3206),
    [anon_sym___declspec] = ACTIONS(3204),
    [anon_sym___based] = ACTIONS(3204),
    [anon_sym___cdecl] = ACTIONS(3204),
    [anon_sym___clrcall] = ACTIONS(3204),
    [anon_sym___stdcall] = ACTIONS(3204),
    [anon_sym___fastcall] = ACTIONS(3204),
    [anon_sym___thiscall] = ACTIONS(3204),
    [anon_sym___vectorcall] = ACTIONS(3204),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_signed] = ACTIONS(3204),
    [anon_sym_unsigned] = ACTIONS(3204),
    [anon_sym_long] = ACTIONS(3204),
    [anon_sym_short] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_static] = ACTIONS(3204),
    [anon_sym_register] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(3204),
    [anon_sym___inline] = ACTIONS(3204),
    [anon_sym___inline__] = ACTIONS(3204),
    [anon_sym___forceinline] = ACTIONS(3204),
    [anon_sym_thread_local] = ACTIONS(3204),
    [anon_sym___thread] = ACTIONS(3204),
    [anon_sym_const] = ACTIONS(3204),
    [anon_sym_constexpr] = ACTIONS(3204),
    [anon_sym_volatile] = ACTIONS(3204),
    [anon_sym_restrict] = ACTIONS(3204),
    [anon_sym___restrict__] = ACTIONS(3204),
    [anon_sym__Atomic] = ACTIONS(3204),
    [anon_sym__Noreturn] = ACTIONS(3204),
    [anon_sym_noreturn] = ACTIONS(3204),
    [anon_sym_mutable] = ACTIONS(3204),
    [anon_sym_constinit] = ACTIONS(3204),
    [anon_sym_consteval] = ACTIONS(3204),
    [anon_sym_PROGMEM] = ACTIONS(3204),
    [aux_sym_primitive_type_token1] = ACTIONS(3204),
    [anon_sym_byte] = ACTIONS(3204),
    [anon_sym_word] = ACTIONS(3204),
    [anon_sym_enum] = ACTIONS(3204),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_struct] = ACTIONS(3204),
    [anon_sym_union] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3204),
    [anon_sym_switch] = ACTIONS(3204),
    [anon_sym_case] = ACTIONS(3204),
    [anon_sym_default] = ACTIONS(3204),
    [anon_sym_while] = ACTIONS(3204),
    [anon_sym_do] = ACTIONS(3204),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_return] = ACTIONS(3204),
    [anon_sym_break] = ACTIONS(3204),
    [anon_sym_continue] = ACTIONS(3204),
    [anon_sym_goto] = ACTIONS(3204),
    [anon_sym___try] = ACTIONS(3204),
    [anon_sym___leave] = ACTIONS(3204),
    [anon_sym_not] = ACTIONS(3204),
    [anon_sym_compl] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_sizeof] = ACTIONS(3204),
    [anon_sym___alignof__] = ACTIONS(3204),
    [anon_sym___alignof] = ACTIONS(3204),
    [anon_sym__alignof] = ACTIONS(3204),
    [anon_sym_alignof] = ACTIONS(3204),
    [anon_sym__Alignof] = ACTIONS(3204),
    [anon_sym_offsetof] = ACTIONS(3204),
    [anon_sym__Generic] = ACTIONS(3204),
    [anon_sym_asm] = ACTIONS(3204),
    [anon_sym___asm__] = ACTIONS(3204),
    [aux_sym_number_literal_token1] = ACTIONS(3206),
    [aux_sym_number_literal_token2] = ACTIONS(3204),
    [anon_sym_L_SQUOTE] = ACTIONS(3206),
    [anon_sym_u_SQUOTE] = ACTIONS(3206),
    [anon_sym_U_SQUOTE] = ACTIONS(3206),
    [anon_sym_u8_SQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [anon_sym_L_DQUOTE] = ACTIONS(3206),
    [anon_sym_u_DQUOTE] = ACTIONS(3206),
    [anon_sym_U_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8_DQUOTE] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [sym_true] = ACTIONS(3204),
    [sym_false] = ACTIONS(3204),
    [anon_sym_NULL] = ACTIONS(3204),
    [anon_sym_nullptr] = ACTIONS(3204),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3204),
    [anon_sym_decltype] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(3204),
    [anon_sym_alignas] = ACTIONS(3204),
    [anon_sym_explicit] = ACTIONS(3204),
    [anon_sym_typename] = ACTIONS(3204),
    [anon_sym_template] = ACTIONS(3204),
    [anon_sym_operator] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3204),
    [anon_sym_delete] = ACTIONS(3204),
    [anon_sym_throw] = ACTIONS(3204),
    [anon_sym_namespace] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3204),
    [anon_sym_static_assert] = ACTIONS(3204),
    [anon_sym_concept] = ACTIONS(3204),
    [anon_sym_co_return] = ACTIONS(3204),
    [anon_sym_co_yield] = ACTIONS(3204),
    [anon_sym_R_DQUOTE] = ACTIONS(3206),
    [anon_sym_LR_DQUOTE] = ACTIONS(3206),
    [anon_sym_uR_DQUOTE] = ACTIONS(3206),
    [anon_sym_UR_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3206),
    [anon_sym_co_await] = ACTIONS(3204),
    [anon_sym_new] = ACTIONS(3204),
    [anon_sym_requires] = ACTIONS(3204),
    [sym_this] = ACTIONS(3204),
  },
  [381] = {
    [sym_identifier] = ACTIONS(3208),
    [aux_sym_preproc_include_token1] = ACTIONS(3208),
    [aux_sym_preproc_def_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token2] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3208),
    [aux_sym_preproc_else_token1] = ACTIONS(3208),
    [aux_sym_preproc_elif_token1] = ACTIONS(3208),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3208),
    [sym_preproc_directive] = ACTIONS(3208),
    [anon_sym_LPAREN2] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3210),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym___extension__] = ACTIONS(3208),
    [anon_sym_typedef] = ACTIONS(3208),
    [anon_sym_extern] = ACTIONS(3208),
    [anon_sym___attribute__] = ACTIONS(3208),
    [anon_sym_COLON_COLON] = ACTIONS(3210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3210),
    [anon_sym___declspec] = ACTIONS(3208),
    [anon_sym___based] = ACTIONS(3208),
    [anon_sym___cdecl] = ACTIONS(3208),
    [anon_sym___clrcall] = ACTIONS(3208),
    [anon_sym___stdcall] = ACTIONS(3208),
    [anon_sym___fastcall] = ACTIONS(3208),
    [anon_sym___thiscall] = ACTIONS(3208),
    [anon_sym___vectorcall] = ACTIONS(3208),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_signed] = ACTIONS(3208),
    [anon_sym_unsigned] = ACTIONS(3208),
    [anon_sym_long] = ACTIONS(3208),
    [anon_sym_short] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_register] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(3208),
    [anon_sym___inline] = ACTIONS(3208),
    [anon_sym___inline__] = ACTIONS(3208),
    [anon_sym___forceinline] = ACTIONS(3208),
    [anon_sym_thread_local] = ACTIONS(3208),
    [anon_sym___thread] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_constexpr] = ACTIONS(3208),
    [anon_sym_volatile] = ACTIONS(3208),
    [anon_sym_restrict] = ACTIONS(3208),
    [anon_sym___restrict__] = ACTIONS(3208),
    [anon_sym__Atomic] = ACTIONS(3208),
    [anon_sym__Noreturn] = ACTIONS(3208),
    [anon_sym_noreturn] = ACTIONS(3208),
    [anon_sym_mutable] = ACTIONS(3208),
    [anon_sym_constinit] = ACTIONS(3208),
    [anon_sym_consteval] = ACTIONS(3208),
    [anon_sym_PROGMEM] = ACTIONS(3208),
    [aux_sym_primitive_type_token1] = ACTIONS(3208),
    [anon_sym_byte] = ACTIONS(3208),
    [anon_sym_word] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_struct] = ACTIONS(3208),
    [anon_sym_union] = ACTIONS(3208),
    [anon_sym_if] = ACTIONS(3208),
    [anon_sym_switch] = ACTIONS(3208),
    [anon_sym_case] = ACTIONS(3208),
    [anon_sym_default] = ACTIONS(3208),
    [anon_sym_while] = ACTIONS(3208),
    [anon_sym_do] = ACTIONS(3208),
    [anon_sym_for] = ACTIONS(3208),
    [anon_sym_return] = ACTIONS(3208),
    [anon_sym_break] = ACTIONS(3208),
    [anon_sym_continue] = ACTIONS(3208),
    [anon_sym_goto] = ACTIONS(3208),
    [anon_sym___try] = ACTIONS(3208),
    [anon_sym___leave] = ACTIONS(3208),
    [anon_sym_not] = ACTIONS(3208),
    [anon_sym_compl] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_sizeof] = ACTIONS(3208),
    [anon_sym___alignof__] = ACTIONS(3208),
    [anon_sym___alignof] = ACTIONS(3208),
    [anon_sym__alignof] = ACTIONS(3208),
    [anon_sym_alignof] = ACTIONS(3208),
    [anon_sym__Alignof] = ACTIONS(3208),
    [anon_sym_offsetof] = ACTIONS(3208),
    [anon_sym__Generic] = ACTIONS(3208),
    [anon_sym_asm] = ACTIONS(3208),
    [anon_sym___asm__] = ACTIONS(3208),
    [aux_sym_number_literal_token1] = ACTIONS(3210),
    [aux_sym_number_literal_token2] = ACTIONS(3208),
    [anon_sym_L_SQUOTE] = ACTIONS(3210),
    [anon_sym_u_SQUOTE] = ACTIONS(3210),
    [anon_sym_U_SQUOTE] = ACTIONS(3210),
    [anon_sym_u8_SQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [anon_sym_L_DQUOTE] = ACTIONS(3210),
    [anon_sym_u_DQUOTE] = ACTIONS(3210),
    [anon_sym_U_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8_DQUOTE] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [sym_true] = ACTIONS(3208),
    [sym_false] = ACTIONS(3208),
    [anon_sym_NULL] = ACTIONS(3208),
    [anon_sym_nullptr] = ACTIONS(3208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3208),
    [anon_sym_decltype] = ACTIONS(3208),
    [anon_sym_virtual] = ACTIONS(3208),
    [anon_sym_alignas] = ACTIONS(3208),
    [anon_sym_explicit] = ACTIONS(3208),
    [anon_sym_typename] = ACTIONS(3208),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(3208),
    [anon_sym_try] = ACTIONS(3208),
    [anon_sym_delete] = ACTIONS(3208),
    [anon_sym_throw] = ACTIONS(3208),
    [anon_sym_namespace] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_static_assert] = ACTIONS(3208),
    [anon_sym_concept] = ACTIONS(3208),
    [anon_sym_co_return] = ACTIONS(3208),
    [anon_sym_co_yield] = ACTIONS(3208),
    [anon_sym_R_DQUOTE] = ACTIONS(3210),
    [anon_sym_LR_DQUOTE] = ACTIONS(3210),
    [anon_sym_uR_DQUOTE] = ACTIONS(3210),
    [anon_sym_UR_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3210),
    [anon_sym_co_await] = ACTIONS(3208),
    [anon_sym_new] = ACTIONS(3208),
    [anon_sym_requires] = ACTIONS(3208),
    [sym_this] = ACTIONS(3208),
  },
  [382] = {
    [sym_identifier] = ACTIONS(3212),
    [aux_sym_preproc_include_token1] = ACTIONS(3212),
    [aux_sym_preproc_def_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token2] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3212),
    [aux_sym_preproc_else_token1] = ACTIONS(3212),
    [aux_sym_preproc_elif_token1] = ACTIONS(3212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3212),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3212),
    [sym_preproc_directive] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym___extension__] = ACTIONS(3212),
    [anon_sym_typedef] = ACTIONS(3212),
    [anon_sym_extern] = ACTIONS(3212),
    [anon_sym___attribute__] = ACTIONS(3212),
    [anon_sym_COLON_COLON] = ACTIONS(3214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3214),
    [anon_sym___declspec] = ACTIONS(3212),
    [anon_sym___based] = ACTIONS(3212),
    [anon_sym___cdecl] = ACTIONS(3212),
    [anon_sym___clrcall] = ACTIONS(3212),
    [anon_sym___stdcall] = ACTIONS(3212),
    [anon_sym___fastcall] = ACTIONS(3212),
    [anon_sym___thiscall] = ACTIONS(3212),
    [anon_sym___vectorcall] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_signed] = ACTIONS(3212),
    [anon_sym_unsigned] = ACTIONS(3212),
    [anon_sym_long] = ACTIONS(3212),
    [anon_sym_short] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_register] = ACTIONS(3212),
    [anon_sym_inline] = ACTIONS(3212),
    [anon_sym___inline] = ACTIONS(3212),
    [anon_sym___inline__] = ACTIONS(3212),
    [anon_sym___forceinline] = ACTIONS(3212),
    [anon_sym_thread_local] = ACTIONS(3212),
    [anon_sym___thread] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_constexpr] = ACTIONS(3212),
    [anon_sym_volatile] = ACTIONS(3212),
    [anon_sym_restrict] = ACTIONS(3212),
    [anon_sym___restrict__] = ACTIONS(3212),
    [anon_sym__Atomic] = ACTIONS(3212),
    [anon_sym__Noreturn] = ACTIONS(3212),
    [anon_sym_noreturn] = ACTIONS(3212),
    [anon_sym_mutable] = ACTIONS(3212),
    [anon_sym_constinit] = ACTIONS(3212),
    [anon_sym_consteval] = ACTIONS(3212),
    [anon_sym_PROGMEM] = ACTIONS(3212),
    [aux_sym_primitive_type_token1] = ACTIONS(3212),
    [anon_sym_byte] = ACTIONS(3212),
    [anon_sym_word] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_struct] = ACTIONS(3212),
    [anon_sym_union] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_case] = ACTIONS(3212),
    [anon_sym_default] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_goto] = ACTIONS(3212),
    [anon_sym___try] = ACTIONS(3212),
    [anon_sym___leave] = ACTIONS(3212),
    [anon_sym_not] = ACTIONS(3212),
    [anon_sym_compl] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_sizeof] = ACTIONS(3212),
    [anon_sym___alignof__] = ACTIONS(3212),
    [anon_sym___alignof] = ACTIONS(3212),
    [anon_sym__alignof] = ACTIONS(3212),
    [anon_sym_alignof] = ACTIONS(3212),
    [anon_sym__Alignof] = ACTIONS(3212),
    [anon_sym_offsetof] = ACTIONS(3212),
    [anon_sym__Generic] = ACTIONS(3212),
    [anon_sym_asm] = ACTIONS(3212),
    [anon_sym___asm__] = ACTIONS(3212),
    [aux_sym_number_literal_token1] = ACTIONS(3214),
    [aux_sym_number_literal_token2] = ACTIONS(3212),
    [anon_sym_L_SQUOTE] = ACTIONS(3214),
    [anon_sym_u_SQUOTE] = ACTIONS(3214),
    [anon_sym_U_SQUOTE] = ACTIONS(3214),
    [anon_sym_u8_SQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [anon_sym_L_DQUOTE] = ACTIONS(3214),
    [anon_sym_u_DQUOTE] = ACTIONS(3214),
    [anon_sym_U_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8_DQUOTE] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [anon_sym_NULL] = ACTIONS(3212),
    [anon_sym_nullptr] = ACTIONS(3212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3212),
    [anon_sym_decltype] = ACTIONS(3212),
    [anon_sym_virtual] = ACTIONS(3212),
    [anon_sym_alignas] = ACTIONS(3212),
    [anon_sym_explicit] = ACTIONS(3212),
    [anon_sym_typename] = ACTIONS(3212),
    [anon_sym_template] = ACTIONS(3212),
    [anon_sym_operator] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3212),
    [anon_sym_concept] = ACTIONS(3212),
    [anon_sym_co_return] = ACTIONS(3212),
    [anon_sym_co_yield] = ACTIONS(3212),
    [anon_sym_R_DQUOTE] = ACTIONS(3214),
    [anon_sym_LR_DQUOTE] = ACTIONS(3214),
    [anon_sym_uR_DQUOTE] = ACTIONS(3214),
    [anon_sym_UR_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3214),
    [anon_sym_co_await] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_requires] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
  },
  [383] = {
    [sym_identifier] = ACTIONS(3216),
    [aux_sym_preproc_include_token1] = ACTIONS(3216),
    [aux_sym_preproc_def_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token2] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3216),
    [aux_sym_preproc_else_token1] = ACTIONS(3216),
    [aux_sym_preproc_elif_token1] = ACTIONS(3216),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3216),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3216),
    [sym_preproc_directive] = ACTIONS(3216),
    [anon_sym_LPAREN2] = ACTIONS(3218),
    [anon_sym_BANG] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3218),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3218),
    [anon_sym___extension__] = ACTIONS(3216),
    [anon_sym_typedef] = ACTIONS(3216),
    [anon_sym_extern] = ACTIONS(3216),
    [anon_sym___attribute__] = ACTIONS(3216),
    [anon_sym_COLON_COLON] = ACTIONS(3218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3218),
    [anon_sym___declspec] = ACTIONS(3216),
    [anon_sym___based] = ACTIONS(3216),
    [anon_sym___cdecl] = ACTIONS(3216),
    [anon_sym___clrcall] = ACTIONS(3216),
    [anon_sym___stdcall] = ACTIONS(3216),
    [anon_sym___fastcall] = ACTIONS(3216),
    [anon_sym___thiscall] = ACTIONS(3216),
    [anon_sym___vectorcall] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_signed] = ACTIONS(3216),
    [anon_sym_unsigned] = ACTIONS(3216),
    [anon_sym_long] = ACTIONS(3216),
    [anon_sym_short] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_register] = ACTIONS(3216),
    [anon_sym_inline] = ACTIONS(3216),
    [anon_sym___inline] = ACTIONS(3216),
    [anon_sym___inline__] = ACTIONS(3216),
    [anon_sym___forceinline] = ACTIONS(3216),
    [anon_sym_thread_local] = ACTIONS(3216),
    [anon_sym___thread] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_constexpr] = ACTIONS(3216),
    [anon_sym_volatile] = ACTIONS(3216),
    [anon_sym_restrict] = ACTIONS(3216),
    [anon_sym___restrict__] = ACTIONS(3216),
    [anon_sym__Atomic] = ACTIONS(3216),
    [anon_sym__Noreturn] = ACTIONS(3216),
    [anon_sym_noreturn] = ACTIONS(3216),
    [anon_sym_mutable] = ACTIONS(3216),
    [anon_sym_constinit] = ACTIONS(3216),
    [anon_sym_consteval] = ACTIONS(3216),
    [anon_sym_PROGMEM] = ACTIONS(3216),
    [aux_sym_primitive_type_token1] = ACTIONS(3216),
    [anon_sym_byte] = ACTIONS(3216),
    [anon_sym_word] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3216),
    [anon_sym_union] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_case] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_goto] = ACTIONS(3216),
    [anon_sym___try] = ACTIONS(3216),
    [anon_sym___leave] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(3216),
    [anon_sym_compl] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_sizeof] = ACTIONS(3216),
    [anon_sym___alignof__] = ACTIONS(3216),
    [anon_sym___alignof] = ACTIONS(3216),
    [anon_sym__alignof] = ACTIONS(3216),
    [anon_sym_alignof] = ACTIONS(3216),
    [anon_sym__Alignof] = ACTIONS(3216),
    [anon_sym_offsetof] = ACTIONS(3216),
    [anon_sym__Generic] = ACTIONS(3216),
    [anon_sym_asm] = ACTIONS(3216),
    [anon_sym___asm__] = ACTIONS(3216),
    [aux_sym_number_literal_token1] = ACTIONS(3218),
    [aux_sym_number_literal_token2] = ACTIONS(3216),
    [anon_sym_L_SQUOTE] = ACTIONS(3218),
    [anon_sym_u_SQUOTE] = ACTIONS(3218),
    [anon_sym_U_SQUOTE] = ACTIONS(3218),
    [anon_sym_u8_SQUOTE] = ACTIONS(3218),
    [anon_sym_SQUOTE] = ACTIONS(3218),
    [anon_sym_L_DQUOTE] = ACTIONS(3218),
    [anon_sym_u_DQUOTE] = ACTIONS(3218),
    [anon_sym_U_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8_DQUOTE] = ACTIONS(3218),
    [anon_sym_DQUOTE] = ACTIONS(3218),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [anon_sym_NULL] = ACTIONS(3216),
    [anon_sym_nullptr] = ACTIONS(3216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3216),
    [anon_sym_decltype] = ACTIONS(3216),
    [anon_sym_virtual] = ACTIONS(3216),
    [anon_sym_alignas] = ACTIONS(3216),
    [anon_sym_explicit] = ACTIONS(3216),
    [anon_sym_typename] = ACTIONS(3216),
    [anon_sym_template] = ACTIONS(3216),
    [anon_sym_operator] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_static_assert] = ACTIONS(3216),
    [anon_sym_concept] = ACTIONS(3216),
    [anon_sym_co_return] = ACTIONS(3216),
    [anon_sym_co_yield] = ACTIONS(3216),
    [anon_sym_R_DQUOTE] = ACTIONS(3218),
    [anon_sym_LR_DQUOTE] = ACTIONS(3218),
    [anon_sym_uR_DQUOTE] = ACTIONS(3218),
    [anon_sym_UR_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3218),
    [anon_sym_co_await] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_requires] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
  },
  [384] = {
    [sym_identifier] = ACTIONS(3220),
    [aux_sym_preproc_include_token1] = ACTIONS(3220),
    [aux_sym_preproc_def_token1] = ACTIONS(3220),
    [aux_sym_preproc_if_token1] = ACTIONS(3220),
    [aux_sym_preproc_if_token2] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3220),
    [aux_sym_preproc_else_token1] = ACTIONS(3220),
    [aux_sym_preproc_elif_token1] = ACTIONS(3220),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3220),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3220),
    [sym_preproc_directive] = ACTIONS(3220),
    [anon_sym_LPAREN2] = ACTIONS(3222),
    [anon_sym_BANG] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3222),
    [anon_sym_AMP_AMP] = ACTIONS(3222),
    [anon_sym_AMP] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym___extension__] = ACTIONS(3220),
    [anon_sym_typedef] = ACTIONS(3220),
    [anon_sym_extern] = ACTIONS(3220),
    [anon_sym___attribute__] = ACTIONS(3220),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3222),
    [anon_sym___declspec] = ACTIONS(3220),
    [anon_sym___based] = ACTIONS(3220),
    [anon_sym___cdecl] = ACTIONS(3220),
    [anon_sym___clrcall] = ACTIONS(3220),
    [anon_sym___stdcall] = ACTIONS(3220),
    [anon_sym___fastcall] = ACTIONS(3220),
    [anon_sym___thiscall] = ACTIONS(3220),
    [anon_sym___vectorcall] = ACTIONS(3220),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_signed] = ACTIONS(3220),
    [anon_sym_unsigned] = ACTIONS(3220),
    [anon_sym_long] = ACTIONS(3220),
    [anon_sym_short] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_static] = ACTIONS(3220),
    [anon_sym_register] = ACTIONS(3220),
    [anon_sym_inline] = ACTIONS(3220),
    [anon_sym___inline] = ACTIONS(3220),
    [anon_sym___inline__] = ACTIONS(3220),
    [anon_sym___forceinline] = ACTIONS(3220),
    [anon_sym_thread_local] = ACTIONS(3220),
    [anon_sym___thread] = ACTIONS(3220),
    [anon_sym_const] = ACTIONS(3220),
    [anon_sym_constexpr] = ACTIONS(3220),
    [anon_sym_volatile] = ACTIONS(3220),
    [anon_sym_restrict] = ACTIONS(3220),
    [anon_sym___restrict__] = ACTIONS(3220),
    [anon_sym__Atomic] = ACTIONS(3220),
    [anon_sym__Noreturn] = ACTIONS(3220),
    [anon_sym_noreturn] = ACTIONS(3220),
    [anon_sym_mutable] = ACTIONS(3220),
    [anon_sym_constinit] = ACTIONS(3220),
    [anon_sym_consteval] = ACTIONS(3220),
    [anon_sym_PROGMEM] = ACTIONS(3220),
    [aux_sym_primitive_type_token1] = ACTIONS(3220),
    [anon_sym_byte] = ACTIONS(3220),
    [anon_sym_word] = ACTIONS(3220),
    [anon_sym_enum] = ACTIONS(3220),
    [anon_sym_class] = ACTIONS(3220),
    [anon_sym_struct] = ACTIONS(3220),
    [anon_sym_union] = ACTIONS(3220),
    [anon_sym_if] = ACTIONS(3220),
    [anon_sym_switch] = ACTIONS(3220),
    [anon_sym_case] = ACTIONS(3220),
    [anon_sym_default] = ACTIONS(3220),
    [anon_sym_while] = ACTIONS(3220),
    [anon_sym_do] = ACTIONS(3220),
    [anon_sym_for] = ACTIONS(3220),
    [anon_sym_return] = ACTIONS(3220),
    [anon_sym_break] = ACTIONS(3220),
    [anon_sym_continue] = ACTIONS(3220),
    [anon_sym_goto] = ACTIONS(3220),
    [anon_sym___try] = ACTIONS(3220),
    [anon_sym___leave] = ACTIONS(3220),
    [anon_sym_not] = ACTIONS(3220),
    [anon_sym_compl] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_sizeof] = ACTIONS(3220),
    [anon_sym___alignof__] = ACTIONS(3220),
    [anon_sym___alignof] = ACTIONS(3220),
    [anon_sym__alignof] = ACTIONS(3220),
    [anon_sym_alignof] = ACTIONS(3220),
    [anon_sym__Alignof] = ACTIONS(3220),
    [anon_sym_offsetof] = ACTIONS(3220),
    [anon_sym__Generic] = ACTIONS(3220),
    [anon_sym_asm] = ACTIONS(3220),
    [anon_sym___asm__] = ACTIONS(3220),
    [aux_sym_number_literal_token1] = ACTIONS(3222),
    [aux_sym_number_literal_token2] = ACTIONS(3220),
    [anon_sym_L_SQUOTE] = ACTIONS(3222),
    [anon_sym_u_SQUOTE] = ACTIONS(3222),
    [anon_sym_U_SQUOTE] = ACTIONS(3222),
    [anon_sym_u8_SQUOTE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_L_DQUOTE] = ACTIONS(3222),
    [anon_sym_u_DQUOTE] = ACTIONS(3222),
    [anon_sym_U_DQUOTE] = ACTIONS(3222),
    [anon_sym_u8_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [sym_true] = ACTIONS(3220),
    [sym_false] = ACTIONS(3220),
    [anon_sym_NULL] = ACTIONS(3220),
    [anon_sym_nullptr] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3220),
    [anon_sym_decltype] = ACTIONS(3220),
    [anon_sym_virtual] = ACTIONS(3220),
    [anon_sym_alignas] = ACTIONS(3220),
    [anon_sym_explicit] = ACTIONS(3220),
    [anon_sym_typename] = ACTIONS(3220),
    [anon_sym_template] = ACTIONS(3220),
    [anon_sym_operator] = ACTIONS(3220),
    [anon_sym_try] = ACTIONS(3220),
    [anon_sym_delete] = ACTIONS(3220),
    [anon_sym_throw] = ACTIONS(3220),
    [anon_sym_namespace] = ACTIONS(3220),
    [anon_sym_using] = ACTIONS(3220),
    [anon_sym_static_assert] = ACTIONS(3220),
    [anon_sym_concept] = ACTIONS(3220),
    [anon_sym_co_return] = ACTIONS(3220),
    [anon_sym_co_yield] = ACTIONS(3220),
    [anon_sym_R_DQUOTE] = ACTIONS(3222),
    [anon_sym_LR_DQUOTE] = ACTIONS(3222),
    [anon_sym_uR_DQUOTE] = ACTIONS(3222),
    [anon_sym_UR_DQUOTE] = ACTIONS(3222),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3222),
    [anon_sym_co_await] = ACTIONS(3220),
    [anon_sym_new] = ACTIONS(3220),
    [anon_sym_requires] = ACTIONS(3220),
    [sym_this] = ACTIONS(3220),
  },
  [385] = {
    [sym_preproc_def] = STATE(834),
    [sym_preproc_function_def] = STATE(834),
    [sym_preproc_call] = STATE(834),
    [sym_preproc_if_in_field_declaration_list] = STATE(834),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(834),
    [sym_preproc_else_in_field_declaration_list] = STATE(8838),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8838),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8838),
    [sym_type_definition] = STATE(834),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6331),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6985),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(834),
    [sym_field_declaration] = STATE(834),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2150),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(834),
    [sym_operator_cast] = STATE(7390),
    [sym_inline_method_definition] = STATE(834),
    [sym__constructor_specifiers] = STATE(2150),
    [sym_operator_cast_definition] = STATE(834),
    [sym_operator_cast_declaration] = STATE(834),
    [sym_constructor_or_destructor_definition] = STATE(834),
    [sym_constructor_or_destructor_declaration] = STATE(834),
    [sym_friend_declaration] = STATE(834),
    [sym_access_specifier] = STATE(9040),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(834),
    [sym_alias_declaration] = STATE(834),
    [sym_static_assert_declaration] = STATE(834),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7390),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(834),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2150),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token1] = ACTIONS(3228),
    [aux_sym_preproc_if_token2] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3232),
    [aux_sym_preproc_else_token1] = ACTIONS(3234),
    [aux_sym_preproc_elif_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3238),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3238),
    [sym_preproc_directive] = ACTIONS(3240),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3250),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3270),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3274),
    [anon_sym_static_assert] = ACTIONS(3276),
  },
  [386] = {
    [sym_identifier] = ACTIONS(3278),
    [aux_sym_preproc_include_token1] = ACTIONS(3278),
    [aux_sym_preproc_def_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token2] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3278),
    [aux_sym_preproc_else_token1] = ACTIONS(3278),
    [aux_sym_preproc_elif_token1] = ACTIONS(3278),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3278),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3278),
    [sym_preproc_directive] = ACTIONS(3278),
    [anon_sym_LPAREN2] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym___extension__] = ACTIONS(3278),
    [anon_sym_typedef] = ACTIONS(3278),
    [anon_sym_extern] = ACTIONS(3278),
    [anon_sym___attribute__] = ACTIONS(3278),
    [anon_sym_COLON_COLON] = ACTIONS(3280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3280),
    [anon_sym___declspec] = ACTIONS(3278),
    [anon_sym___based] = ACTIONS(3278),
    [anon_sym___cdecl] = ACTIONS(3278),
    [anon_sym___clrcall] = ACTIONS(3278),
    [anon_sym___stdcall] = ACTIONS(3278),
    [anon_sym___fastcall] = ACTIONS(3278),
    [anon_sym___thiscall] = ACTIONS(3278),
    [anon_sym___vectorcall] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_signed] = ACTIONS(3278),
    [anon_sym_unsigned] = ACTIONS(3278),
    [anon_sym_long] = ACTIONS(3278),
    [anon_sym_short] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_register] = ACTIONS(3278),
    [anon_sym_inline] = ACTIONS(3278),
    [anon_sym___inline] = ACTIONS(3278),
    [anon_sym___inline__] = ACTIONS(3278),
    [anon_sym___forceinline] = ACTIONS(3278),
    [anon_sym_thread_local] = ACTIONS(3278),
    [anon_sym___thread] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_constexpr] = ACTIONS(3278),
    [anon_sym_volatile] = ACTIONS(3278),
    [anon_sym_restrict] = ACTIONS(3278),
    [anon_sym___restrict__] = ACTIONS(3278),
    [anon_sym__Atomic] = ACTIONS(3278),
    [anon_sym__Noreturn] = ACTIONS(3278),
    [anon_sym_noreturn] = ACTIONS(3278),
    [anon_sym_mutable] = ACTIONS(3278),
    [anon_sym_constinit] = ACTIONS(3278),
    [anon_sym_consteval] = ACTIONS(3278),
    [anon_sym_PROGMEM] = ACTIONS(3278),
    [aux_sym_primitive_type_token1] = ACTIONS(3278),
    [anon_sym_byte] = ACTIONS(3278),
    [anon_sym_word] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_struct] = ACTIONS(3278),
    [anon_sym_union] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_default] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_goto] = ACTIONS(3278),
    [anon_sym___try] = ACTIONS(3278),
    [anon_sym___leave] = ACTIONS(3278),
    [anon_sym_not] = ACTIONS(3278),
    [anon_sym_compl] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_sizeof] = ACTIONS(3278),
    [anon_sym___alignof__] = ACTIONS(3278),
    [anon_sym___alignof] = ACTIONS(3278),
    [anon_sym__alignof] = ACTIONS(3278),
    [anon_sym_alignof] = ACTIONS(3278),
    [anon_sym__Alignof] = ACTIONS(3278),
    [anon_sym_offsetof] = ACTIONS(3278),
    [anon_sym__Generic] = ACTIONS(3278),
    [anon_sym_asm] = ACTIONS(3278),
    [anon_sym___asm__] = ACTIONS(3278),
    [aux_sym_number_literal_token1] = ACTIONS(3280),
    [aux_sym_number_literal_token2] = ACTIONS(3278),
    [anon_sym_L_SQUOTE] = ACTIONS(3280),
    [anon_sym_u_SQUOTE] = ACTIONS(3280),
    [anon_sym_U_SQUOTE] = ACTIONS(3280),
    [anon_sym_u8_SQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [anon_sym_L_DQUOTE] = ACTIONS(3280),
    [anon_sym_u_DQUOTE] = ACTIONS(3280),
    [anon_sym_U_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8_DQUOTE] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [anon_sym_NULL] = ACTIONS(3278),
    [anon_sym_nullptr] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3278),
    [anon_sym_decltype] = ACTIONS(3278),
    [anon_sym_virtual] = ACTIONS(3278),
    [anon_sym_alignas] = ACTIONS(3278),
    [anon_sym_explicit] = ACTIONS(3278),
    [anon_sym_typename] = ACTIONS(3278),
    [anon_sym_template] = ACTIONS(3278),
    [anon_sym_operator] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_static_assert] = ACTIONS(3278),
    [anon_sym_concept] = ACTIONS(3278),
    [anon_sym_co_return] = ACTIONS(3278),
    [anon_sym_co_yield] = ACTIONS(3278),
    [anon_sym_R_DQUOTE] = ACTIONS(3280),
    [anon_sym_LR_DQUOTE] = ACTIONS(3280),
    [anon_sym_uR_DQUOTE] = ACTIONS(3280),
    [anon_sym_UR_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3280),
    [anon_sym_co_await] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_requires] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
  },
  [387] = {
    [sym_catch_clause] = STATE(441),
    [aux_sym_constructor_try_statement_repeat1] = STATE(441),
    [sym_identifier] = ACTIONS(2841),
    [aux_sym_preproc_include_token1] = ACTIONS(2841),
    [aux_sym_preproc_def_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token2] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2841),
    [sym_preproc_directive] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_BANG] = ACTIONS(2843),
    [anon_sym_TILDE] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym_SEMI] = ACTIONS(2843),
    [anon_sym___extension__] = ACTIONS(2841),
    [anon_sym_typedef] = ACTIONS(2841),
    [anon_sym_extern] = ACTIONS(2841),
    [anon_sym___attribute__] = ACTIONS(2841),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2843),
    [anon_sym___declspec] = ACTIONS(2841),
    [anon_sym___based] = ACTIONS(2841),
    [anon_sym___cdecl] = ACTIONS(2841),
    [anon_sym___clrcall] = ACTIONS(2841),
    [anon_sym___stdcall] = ACTIONS(2841),
    [anon_sym___fastcall] = ACTIONS(2841),
    [anon_sym___thiscall] = ACTIONS(2841),
    [anon_sym___vectorcall] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_signed] = ACTIONS(2841),
    [anon_sym_unsigned] = ACTIONS(2841),
    [anon_sym_long] = ACTIONS(2841),
    [anon_sym_short] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_static] = ACTIONS(2841),
    [anon_sym_register] = ACTIONS(2841),
    [anon_sym_inline] = ACTIONS(2841),
    [anon_sym___inline] = ACTIONS(2841),
    [anon_sym___inline__] = ACTIONS(2841),
    [anon_sym___forceinline] = ACTIONS(2841),
    [anon_sym_thread_local] = ACTIONS(2841),
    [anon_sym___thread] = ACTIONS(2841),
    [anon_sym_const] = ACTIONS(2841),
    [anon_sym_constexpr] = ACTIONS(2841),
    [anon_sym_volatile] = ACTIONS(2841),
    [anon_sym_restrict] = ACTIONS(2841),
    [anon_sym___restrict__] = ACTIONS(2841),
    [anon_sym__Atomic] = ACTIONS(2841),
    [anon_sym__Noreturn] = ACTIONS(2841),
    [anon_sym_noreturn] = ACTIONS(2841),
    [anon_sym_mutable] = ACTIONS(2841),
    [anon_sym_constinit] = ACTIONS(2841),
    [anon_sym_consteval] = ACTIONS(2841),
    [anon_sym_PROGMEM] = ACTIONS(2841),
    [aux_sym_primitive_type_token1] = ACTIONS(2841),
    [anon_sym_byte] = ACTIONS(2841),
    [anon_sym_word] = ACTIONS(2841),
    [anon_sym_enum] = ACTIONS(2841),
    [anon_sym_class] = ACTIONS(2841),
    [anon_sym_struct] = ACTIONS(2841),
    [anon_sym_union] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_else] = ACTIONS(2841),
    [anon_sym_switch] = ACTIONS(2841),
    [anon_sym_case] = ACTIONS(2841),
    [anon_sym_default] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_break] = ACTIONS(2841),
    [anon_sym_continue] = ACTIONS(2841),
    [anon_sym_goto] = ACTIONS(2841),
    [anon_sym___try] = ACTIONS(2841),
    [anon_sym___leave] = ACTIONS(2841),
    [anon_sym_not] = ACTIONS(2841),
    [anon_sym_compl] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2843),
    [anon_sym_PLUS_PLUS] = ACTIONS(2843),
    [anon_sym_sizeof] = ACTIONS(2841),
    [anon_sym___alignof__] = ACTIONS(2841),
    [anon_sym___alignof] = ACTIONS(2841),
    [anon_sym__alignof] = ACTIONS(2841),
    [anon_sym_alignof] = ACTIONS(2841),
    [anon_sym__Alignof] = ACTIONS(2841),
    [anon_sym_offsetof] = ACTIONS(2841),
    [anon_sym__Generic] = ACTIONS(2841),
    [anon_sym_asm] = ACTIONS(2841),
    [anon_sym___asm__] = ACTIONS(2841),
    [aux_sym_number_literal_token1] = ACTIONS(2843),
    [aux_sym_number_literal_token2] = ACTIONS(2841),
    [anon_sym_L_SQUOTE] = ACTIONS(2843),
    [anon_sym_u_SQUOTE] = ACTIONS(2843),
    [anon_sym_U_SQUOTE] = ACTIONS(2843),
    [anon_sym_u8_SQUOTE] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_L_DQUOTE] = ACTIONS(2843),
    [anon_sym_u_DQUOTE] = ACTIONS(2843),
    [anon_sym_U_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8_DQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2843),
    [sym_true] = ACTIONS(2841),
    [sym_false] = ACTIONS(2841),
    [anon_sym_NULL] = ACTIONS(2841),
    [anon_sym_nullptr] = ACTIONS(2841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2841),
    [anon_sym_decltype] = ACTIONS(2841),
    [anon_sym_virtual] = ACTIONS(2841),
    [anon_sym_alignas] = ACTIONS(2841),
    [anon_sym_explicit] = ACTIONS(2841),
    [anon_sym_typename] = ACTIONS(2841),
    [anon_sym_template] = ACTIONS(2841),
    [anon_sym_operator] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_delete] = ACTIONS(2841),
    [anon_sym_throw] = ACTIONS(2841),
    [anon_sym_namespace] = ACTIONS(2841),
    [anon_sym_using] = ACTIONS(2841),
    [anon_sym_static_assert] = ACTIONS(2841),
    [anon_sym_concept] = ACTIONS(2841),
    [anon_sym_co_return] = ACTIONS(2841),
    [anon_sym_co_yield] = ACTIONS(2841),
    [anon_sym_catch] = ACTIONS(3282),
    [anon_sym_R_DQUOTE] = ACTIONS(2843),
    [anon_sym_LR_DQUOTE] = ACTIONS(2843),
    [anon_sym_uR_DQUOTE] = ACTIONS(2843),
    [anon_sym_UR_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2843),
    [anon_sym_co_await] = ACTIONS(2841),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_requires] = ACTIONS(2841),
    [sym_this] = ACTIONS(2841),
  },
  [388] = {
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_unaligned_ptr_modifier] = STATE(5824),
    [sym_ms_pointer_modifier] = STATE(3808),
    [sym__declarator] = STATE(7132),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6932),
    [sym_array_declarator] = STATE(6932),
    [sym_type_qualifier] = STATE(4732),
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3849),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6342),
    [sym_qualified_identifier] = STATE(3851),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(2907),
    [aux_sym__type_definition_type_repeat1] = STATE(4732),
    [aux_sym_pointer_declarator_repeat1] = STATE(3808),
    [sym_identifier] = ACTIONS(3284),
    [anon_sym_LPAREN2] = ACTIONS(3286),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(3290),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3292),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3292),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3292),
    [anon_sym__unaligned] = ACTIONS(3294),
    [anon_sym___unaligned] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_constexpr] = ACTIONS(3290),
    [anon_sym_volatile] = ACTIONS(3290),
    [anon_sym_restrict] = ACTIONS(3290),
    [anon_sym___restrict__] = ACTIONS(3290),
    [anon_sym__Atomic] = ACTIONS(3290),
    [anon_sym__Noreturn] = ACTIONS(3290),
    [anon_sym_noreturn] = ACTIONS(3290),
    [anon_sym_mutable] = ACTIONS(3290),
    [anon_sym_constinit] = ACTIONS(3290),
    [anon_sym_consteval] = ACTIONS(3290),
    [anon_sym_PROGMEM] = ACTIONS(3290),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [389] = {
    [sym_preproc_def] = STATE(385),
    [sym_preproc_function_def] = STATE(385),
    [sym_preproc_call] = STATE(385),
    [sym_preproc_if_in_field_declaration_list] = STATE(385),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(385),
    [sym_preproc_else_in_field_declaration_list] = STATE(8858),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8858),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8858),
    [sym_type_definition] = STATE(385),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6331),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6985),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(385),
    [sym_field_declaration] = STATE(385),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2150),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(385),
    [sym_operator_cast] = STATE(7390),
    [sym_inline_method_definition] = STATE(385),
    [sym__constructor_specifiers] = STATE(2150),
    [sym_operator_cast_definition] = STATE(385),
    [sym_operator_cast_declaration] = STATE(385),
    [sym_constructor_or_destructor_definition] = STATE(385),
    [sym_constructor_or_destructor_declaration] = STATE(385),
    [sym_friend_declaration] = STATE(385),
    [sym_access_specifier] = STATE(9040),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(385),
    [sym_alias_declaration] = STATE(385),
    [sym_static_assert_declaration] = STATE(385),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7390),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(385),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2150),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token1] = ACTIONS(3228),
    [aux_sym_preproc_if_token2] = ACTIONS(3298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3232),
    [aux_sym_preproc_else_token1] = ACTIONS(3234),
    [aux_sym_preproc_elif_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3238),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3238),
    [sym_preproc_directive] = ACTIONS(3240),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3250),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3270),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3274),
    [anon_sym_static_assert] = ACTIONS(3276),
  },
  [390] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [aux_sym_preproc_else_token1] = ACTIONS(2917),
    [aux_sym_preproc_elif_token1] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_PROGMEM] = ACTIONS(2917),
    [aux_sym_primitive_type_token1] = ACTIONS(2917),
    [anon_sym_byte] = ACTIONS(2917),
    [anon_sym_word] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [aux_sym_number_literal_token1] = ACTIONS(2919),
    [aux_sym_number_literal_token2] = ACTIONS(2917),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_catch] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [391] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4982),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(3302),
    [anon_sym_extern] = ACTIONS(3302),
    [anon_sym___attribute__] = ACTIONS(3302),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3304),
    [anon_sym___declspec] = ACTIONS(3302),
    [anon_sym_signed] = ACTIONS(3302),
    [anon_sym_unsigned] = ACTIONS(3302),
    [anon_sym_long] = ACTIONS(3302),
    [anon_sym_short] = ACTIONS(3302),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(3302),
    [anon_sym_register] = ACTIONS(3302),
    [anon_sym_inline] = ACTIONS(3302),
    [anon_sym___inline] = ACTIONS(3302),
    [anon_sym___inline__] = ACTIONS(3302),
    [anon_sym___forceinline] = ACTIONS(3302),
    [anon_sym_thread_local] = ACTIONS(3302),
    [anon_sym___thread] = ACTIONS(3302),
    [anon_sym_const] = ACTIONS(3302),
    [anon_sym_constexpr] = ACTIONS(3302),
    [anon_sym_volatile] = ACTIONS(3302),
    [anon_sym_restrict] = ACTIONS(3302),
    [anon_sym___restrict__] = ACTIONS(3302),
    [anon_sym__Atomic] = ACTIONS(3302),
    [anon_sym__Noreturn] = ACTIONS(3302),
    [anon_sym_noreturn] = ACTIONS(3302),
    [anon_sym_mutable] = ACTIONS(3302),
    [anon_sym_constinit] = ACTIONS(3302),
    [anon_sym_consteval] = ACTIONS(3302),
    [anon_sym_PROGMEM] = ACTIONS(3302),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3302),
    [anon_sym_class] = ACTIONS(3302),
    [anon_sym_struct] = ACTIONS(3302),
    [anon_sym_union] = ACTIONS(3302),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3302),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_virtual] = ACTIONS(3302),
    [anon_sym_alignas] = ACTIONS(3302),
    [anon_sym_typename] = ACTIONS(3302),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [392] = {
    [sym_preproc_def] = STATE(834),
    [sym_preproc_function_def] = STATE(834),
    [sym_preproc_call] = STATE(834),
    [sym_preproc_if_in_field_declaration_list] = STATE(834),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(834),
    [sym_preproc_else_in_field_declaration_list] = STATE(9259),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9259),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(9259),
    [sym_type_definition] = STATE(834),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6331),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6985),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(834),
    [sym_field_declaration] = STATE(834),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2150),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(834),
    [sym_operator_cast] = STATE(7390),
    [sym_inline_method_definition] = STATE(834),
    [sym__constructor_specifiers] = STATE(2150),
    [sym_operator_cast_definition] = STATE(834),
    [sym_operator_cast_declaration] = STATE(834),
    [sym_constructor_or_destructor_definition] = STATE(834),
    [sym_constructor_or_destructor_declaration] = STATE(834),
    [sym_friend_declaration] = STATE(834),
    [sym_access_specifier] = STATE(9040),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(834),
    [sym_alias_declaration] = STATE(834),
    [sym_static_assert_declaration] = STATE(834),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7390),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(834),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2150),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token1] = ACTIONS(3228),
    [aux_sym_preproc_if_token2] = ACTIONS(3306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3232),
    [aux_sym_preproc_else_token1] = ACTIONS(3234),
    [aux_sym_preproc_elif_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3238),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3238),
    [sym_preproc_directive] = ACTIONS(3240),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3250),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3270),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3274),
    [anon_sym_static_assert] = ACTIONS(3276),
  },
  [393] = {
    [sym_identifier] = ACTIONS(2265),
    [aux_sym_preproc_include_token1] = ACTIONS(2265),
    [aux_sym_preproc_def_token1] = ACTIONS(2265),
    [aux_sym_preproc_if_token1] = ACTIONS(2265),
    [aux_sym_preproc_if_token2] = ACTIONS(2265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2265),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2265),
    [aux_sym_preproc_else_token1] = ACTIONS(2265),
    [aux_sym_preproc_elif_token1] = ACTIONS(2265),
    [sym_preproc_directive] = ACTIONS(2265),
    [anon_sym_LPAREN2] = ACTIONS(2263),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2265),
    [anon_sym_PLUS] = ACTIONS(2265),
    [anon_sym_STAR] = ACTIONS(2263),
    [anon_sym_AMP_AMP] = ACTIONS(2263),
    [anon_sym_AMP] = ACTIONS(2265),
    [anon_sym_SEMI] = ACTIONS(2263),
    [anon_sym___extension__] = ACTIONS(2265),
    [anon_sym_typedef] = ACTIONS(2265),
    [anon_sym_extern] = ACTIONS(2265),
    [anon_sym___attribute__] = ACTIONS(2265),
    [anon_sym_COLON_COLON] = ACTIONS(2263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2263),
    [anon_sym___declspec] = ACTIONS(2265),
    [anon_sym___based] = ACTIONS(2265),
    [anon_sym___cdecl] = ACTIONS(2265),
    [anon_sym___clrcall] = ACTIONS(2265),
    [anon_sym___stdcall] = ACTIONS(2265),
    [anon_sym___fastcall] = ACTIONS(2265),
    [anon_sym___thiscall] = ACTIONS(2265),
    [anon_sym___vectorcall] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(2263),
    [anon_sym_signed] = ACTIONS(2265),
    [anon_sym_unsigned] = ACTIONS(2265),
    [anon_sym_long] = ACTIONS(2265),
    [anon_sym_short] = ACTIONS(2265),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_static] = ACTIONS(2265),
    [anon_sym_register] = ACTIONS(2265),
    [anon_sym_inline] = ACTIONS(2265),
    [anon_sym___inline] = ACTIONS(2265),
    [anon_sym___inline__] = ACTIONS(2265),
    [anon_sym___forceinline] = ACTIONS(2265),
    [anon_sym_thread_local] = ACTIONS(2265),
    [anon_sym___thread] = ACTIONS(2265),
    [anon_sym_const] = ACTIONS(2265),
    [anon_sym_constexpr] = ACTIONS(2265),
    [anon_sym_volatile] = ACTIONS(2265),
    [anon_sym_restrict] = ACTIONS(2265),
    [anon_sym___restrict__] = ACTIONS(2265),
    [anon_sym__Atomic] = ACTIONS(2265),
    [anon_sym__Noreturn] = ACTIONS(2265),
    [anon_sym_noreturn] = ACTIONS(2265),
    [anon_sym_mutable] = ACTIONS(2265),
    [anon_sym_constinit] = ACTIONS(2265),
    [anon_sym_consteval] = ACTIONS(2265),
    [anon_sym_PROGMEM] = ACTIONS(2265),
    [aux_sym_primitive_type_token1] = ACTIONS(2265),
    [anon_sym_byte] = ACTIONS(2265),
    [anon_sym_word] = ACTIONS(2265),
    [anon_sym_enum] = ACTIONS(2265),
    [anon_sym_class] = ACTIONS(2265),
    [anon_sym_struct] = ACTIONS(2265),
    [anon_sym_union] = ACTIONS(2265),
    [anon_sym_if] = ACTIONS(2265),
    [anon_sym_else] = ACTIONS(2265),
    [anon_sym_switch] = ACTIONS(2265),
    [anon_sym_case] = ACTIONS(2265),
    [anon_sym_default] = ACTIONS(2265),
    [anon_sym_while] = ACTIONS(2265),
    [anon_sym_do] = ACTIONS(2265),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_return] = ACTIONS(2265),
    [anon_sym_break] = ACTIONS(2265),
    [anon_sym_continue] = ACTIONS(2265),
    [anon_sym_goto] = ACTIONS(2265),
    [anon_sym___try] = ACTIONS(2265),
    [anon_sym___leave] = ACTIONS(2265),
    [anon_sym_not] = ACTIONS(2265),
    [anon_sym_compl] = ACTIONS(2265),
    [anon_sym_DASH_DASH] = ACTIONS(2263),
    [anon_sym_PLUS_PLUS] = ACTIONS(2263),
    [anon_sym_sizeof] = ACTIONS(2265),
    [anon_sym___alignof__] = ACTIONS(2265),
    [anon_sym___alignof] = ACTIONS(2265),
    [anon_sym__alignof] = ACTIONS(2265),
    [anon_sym_alignof] = ACTIONS(2265),
    [anon_sym__Alignof] = ACTIONS(2265),
    [anon_sym_offsetof] = ACTIONS(2265),
    [anon_sym__Generic] = ACTIONS(2265),
    [anon_sym_asm] = ACTIONS(2265),
    [anon_sym___asm__] = ACTIONS(2265),
    [aux_sym_number_literal_token1] = ACTIONS(2263),
    [aux_sym_number_literal_token2] = ACTIONS(2265),
    [anon_sym_L_SQUOTE] = ACTIONS(2263),
    [anon_sym_u_SQUOTE] = ACTIONS(2263),
    [anon_sym_U_SQUOTE] = ACTIONS(2263),
    [anon_sym_u8_SQUOTE] = ACTIONS(2263),
    [anon_sym_SQUOTE] = ACTIONS(2263),
    [anon_sym_L_DQUOTE] = ACTIONS(2263),
    [anon_sym_u_DQUOTE] = ACTIONS(2263),
    [anon_sym_U_DQUOTE] = ACTIONS(2263),
    [anon_sym_u8_DQUOTE] = ACTIONS(2263),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_true] = ACTIONS(2265),
    [sym_false] = ACTIONS(2265),
    [anon_sym_NULL] = ACTIONS(2265),
    [anon_sym_nullptr] = ACTIONS(2265),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2265),
    [anon_sym_decltype] = ACTIONS(2265),
    [anon_sym_virtual] = ACTIONS(2265),
    [anon_sym_alignas] = ACTIONS(2265),
    [anon_sym_explicit] = ACTIONS(2265),
    [anon_sym_typename] = ACTIONS(2265),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_operator] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_delete] = ACTIONS(2265),
    [anon_sym_throw] = ACTIONS(2265),
    [anon_sym_namespace] = ACTIONS(2265),
    [anon_sym_using] = ACTIONS(2265),
    [anon_sym_static_assert] = ACTIONS(2265),
    [anon_sym_concept] = ACTIONS(2265),
    [anon_sym_co_return] = ACTIONS(2265),
    [anon_sym_co_yield] = ACTIONS(2265),
    [anon_sym_catch] = ACTIONS(2265),
    [anon_sym_R_DQUOTE] = ACTIONS(2263),
    [anon_sym_LR_DQUOTE] = ACTIONS(2263),
    [anon_sym_uR_DQUOTE] = ACTIONS(2263),
    [anon_sym_UR_DQUOTE] = ACTIONS(2263),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2263),
    [anon_sym_co_await] = ACTIONS(2265),
    [anon_sym_new] = ACTIONS(2265),
    [anon_sym_requires] = ACTIONS(2265),
    [sym_this] = ACTIONS(2265),
  },
  [394] = {
    [sym_identifier] = ACTIONS(3308),
    [aux_sym_preproc_include_token1] = ACTIONS(3308),
    [aux_sym_preproc_def_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token2] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3308),
    [aux_sym_preproc_else_token1] = ACTIONS(3308),
    [aux_sym_preproc_elif_token1] = ACTIONS(3308),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3308),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3308),
    [sym_preproc_directive] = ACTIONS(3308),
    [anon_sym_LPAREN2] = ACTIONS(3310),
    [anon_sym_BANG] = ACTIONS(3310),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_STAR] = ACTIONS(3310),
    [anon_sym_AMP_AMP] = ACTIONS(3310),
    [anon_sym_AMP] = ACTIONS(3308),
    [anon_sym_SEMI] = ACTIONS(3310),
    [anon_sym___extension__] = ACTIONS(3308),
    [anon_sym_typedef] = ACTIONS(3308),
    [anon_sym_extern] = ACTIONS(3308),
    [anon_sym___attribute__] = ACTIONS(3308),
    [anon_sym_COLON_COLON] = ACTIONS(3310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3310),
    [anon_sym___declspec] = ACTIONS(3308),
    [anon_sym___based] = ACTIONS(3308),
    [anon_sym___cdecl] = ACTIONS(3308),
    [anon_sym___clrcall] = ACTIONS(3308),
    [anon_sym___stdcall] = ACTIONS(3308),
    [anon_sym___fastcall] = ACTIONS(3308),
    [anon_sym___thiscall] = ACTIONS(3308),
    [anon_sym___vectorcall] = ACTIONS(3308),
    [anon_sym_LBRACE] = ACTIONS(3310),
    [anon_sym_signed] = ACTIONS(3308),
    [anon_sym_unsigned] = ACTIONS(3308),
    [anon_sym_long] = ACTIONS(3308),
    [anon_sym_short] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_register] = ACTIONS(3308),
    [anon_sym_inline] = ACTIONS(3308),
    [anon_sym___inline] = ACTIONS(3308),
    [anon_sym___inline__] = ACTIONS(3308),
    [anon_sym___forceinline] = ACTIONS(3308),
    [anon_sym_thread_local] = ACTIONS(3308),
    [anon_sym___thread] = ACTIONS(3308),
    [anon_sym_const] = ACTIONS(3308),
    [anon_sym_constexpr] = ACTIONS(3308),
    [anon_sym_volatile] = ACTIONS(3308),
    [anon_sym_restrict] = ACTIONS(3308),
    [anon_sym___restrict__] = ACTIONS(3308),
    [anon_sym__Atomic] = ACTIONS(3308),
    [anon_sym__Noreturn] = ACTIONS(3308),
    [anon_sym_noreturn] = ACTIONS(3308),
    [anon_sym_mutable] = ACTIONS(3308),
    [anon_sym_constinit] = ACTIONS(3308),
    [anon_sym_consteval] = ACTIONS(3308),
    [anon_sym_PROGMEM] = ACTIONS(3308),
    [aux_sym_primitive_type_token1] = ACTIONS(3308),
    [anon_sym_byte] = ACTIONS(3308),
    [anon_sym_word] = ACTIONS(3308),
    [anon_sym_enum] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_struct] = ACTIONS(3308),
    [anon_sym_union] = ACTIONS(3308),
    [anon_sym_if] = ACTIONS(3308),
    [anon_sym_switch] = ACTIONS(3308),
    [anon_sym_case] = ACTIONS(3308),
    [anon_sym_default] = ACTIONS(3308),
    [anon_sym_while] = ACTIONS(3308),
    [anon_sym_do] = ACTIONS(3308),
    [anon_sym_for] = ACTIONS(3308),
    [anon_sym_return] = ACTIONS(3308),
    [anon_sym_break] = ACTIONS(3308),
    [anon_sym_continue] = ACTIONS(3308),
    [anon_sym_goto] = ACTIONS(3308),
    [anon_sym___try] = ACTIONS(3308),
    [anon_sym___leave] = ACTIONS(3308),
    [anon_sym_not] = ACTIONS(3308),
    [anon_sym_compl] = ACTIONS(3308),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_sizeof] = ACTIONS(3308),
    [anon_sym___alignof__] = ACTIONS(3308),
    [anon_sym___alignof] = ACTIONS(3308),
    [anon_sym__alignof] = ACTIONS(3308),
    [anon_sym_alignof] = ACTIONS(3308),
    [anon_sym__Alignof] = ACTIONS(3308),
    [anon_sym_offsetof] = ACTIONS(3308),
    [anon_sym__Generic] = ACTIONS(3308),
    [anon_sym_asm] = ACTIONS(3308),
    [anon_sym___asm__] = ACTIONS(3308),
    [aux_sym_number_literal_token1] = ACTIONS(3310),
    [aux_sym_number_literal_token2] = ACTIONS(3308),
    [anon_sym_L_SQUOTE] = ACTIONS(3310),
    [anon_sym_u_SQUOTE] = ACTIONS(3310),
    [anon_sym_U_SQUOTE] = ACTIONS(3310),
    [anon_sym_u8_SQUOTE] = ACTIONS(3310),
    [anon_sym_SQUOTE] = ACTIONS(3310),
    [anon_sym_L_DQUOTE] = ACTIONS(3310),
    [anon_sym_u_DQUOTE] = ACTIONS(3310),
    [anon_sym_U_DQUOTE] = ACTIONS(3310),
    [anon_sym_u8_DQUOTE] = ACTIONS(3310),
    [anon_sym_DQUOTE] = ACTIONS(3310),
    [sym_true] = ACTIONS(3308),
    [sym_false] = ACTIONS(3308),
    [anon_sym_NULL] = ACTIONS(3308),
    [anon_sym_nullptr] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3308),
    [anon_sym_decltype] = ACTIONS(3308),
    [anon_sym_virtual] = ACTIONS(3308),
    [anon_sym_alignas] = ACTIONS(3308),
    [anon_sym_explicit] = ACTIONS(3308),
    [anon_sym_typename] = ACTIONS(3308),
    [anon_sym_template] = ACTIONS(3308),
    [anon_sym_operator] = ACTIONS(3308),
    [anon_sym_try] = ACTIONS(3308),
    [anon_sym_delete] = ACTIONS(3308),
    [anon_sym_throw] = ACTIONS(3308),
    [anon_sym_namespace] = ACTIONS(3308),
    [anon_sym_using] = ACTIONS(3308),
    [anon_sym_static_assert] = ACTIONS(3308),
    [anon_sym_concept] = ACTIONS(3308),
    [anon_sym_co_return] = ACTIONS(3308),
    [anon_sym_co_yield] = ACTIONS(3308),
    [anon_sym_R_DQUOTE] = ACTIONS(3310),
    [anon_sym_LR_DQUOTE] = ACTIONS(3310),
    [anon_sym_uR_DQUOTE] = ACTIONS(3310),
    [anon_sym_UR_DQUOTE] = ACTIONS(3310),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3310),
    [anon_sym_co_await] = ACTIONS(3308),
    [anon_sym_new] = ACTIONS(3308),
    [anon_sym_requires] = ACTIONS(3308),
    [sym_this] = ACTIONS(3308),
  },
  [395] = {
    [sym_identifier] = ACTIONS(3312),
    [aux_sym_preproc_include_token1] = ACTIONS(3312),
    [aux_sym_preproc_def_token1] = ACTIONS(3312),
    [aux_sym_preproc_if_token1] = ACTIONS(3312),
    [aux_sym_preproc_if_token2] = ACTIONS(3312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3312),
    [aux_sym_preproc_else_token1] = ACTIONS(3312),
    [aux_sym_preproc_elif_token1] = ACTIONS(3312),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3312),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3312),
    [sym_preproc_directive] = ACTIONS(3312),
    [anon_sym_LPAREN2] = ACTIONS(3314),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(3314),
    [anon_sym_AMP_AMP] = ACTIONS(3314),
    [anon_sym_AMP] = ACTIONS(3312),
    [anon_sym_SEMI] = ACTIONS(3314),
    [anon_sym___extension__] = ACTIONS(3312),
    [anon_sym_typedef] = ACTIONS(3312),
    [anon_sym_extern] = ACTIONS(3312),
    [anon_sym___attribute__] = ACTIONS(3312),
    [anon_sym_COLON_COLON] = ACTIONS(3314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3314),
    [anon_sym___declspec] = ACTIONS(3312),
    [anon_sym___based] = ACTIONS(3312),
    [anon_sym___cdecl] = ACTIONS(3312),
    [anon_sym___clrcall] = ACTIONS(3312),
    [anon_sym___stdcall] = ACTIONS(3312),
    [anon_sym___fastcall] = ACTIONS(3312),
    [anon_sym___thiscall] = ACTIONS(3312),
    [anon_sym___vectorcall] = ACTIONS(3312),
    [anon_sym_LBRACE] = ACTIONS(3314),
    [anon_sym_signed] = ACTIONS(3312),
    [anon_sym_unsigned] = ACTIONS(3312),
    [anon_sym_long] = ACTIONS(3312),
    [anon_sym_short] = ACTIONS(3312),
    [anon_sym_LBRACK] = ACTIONS(3312),
    [anon_sym_static] = ACTIONS(3312),
    [anon_sym_register] = ACTIONS(3312),
    [anon_sym_inline] = ACTIONS(3312),
    [anon_sym___inline] = ACTIONS(3312),
    [anon_sym___inline__] = ACTIONS(3312),
    [anon_sym___forceinline] = ACTIONS(3312),
    [anon_sym_thread_local] = ACTIONS(3312),
    [anon_sym___thread] = ACTIONS(3312),
    [anon_sym_const] = ACTIONS(3312),
    [anon_sym_constexpr] = ACTIONS(3312),
    [anon_sym_volatile] = ACTIONS(3312),
    [anon_sym_restrict] = ACTIONS(3312),
    [anon_sym___restrict__] = ACTIONS(3312),
    [anon_sym__Atomic] = ACTIONS(3312),
    [anon_sym__Noreturn] = ACTIONS(3312),
    [anon_sym_noreturn] = ACTIONS(3312),
    [anon_sym_mutable] = ACTIONS(3312),
    [anon_sym_constinit] = ACTIONS(3312),
    [anon_sym_consteval] = ACTIONS(3312),
    [anon_sym_PROGMEM] = ACTIONS(3312),
    [aux_sym_primitive_type_token1] = ACTIONS(3312),
    [anon_sym_byte] = ACTIONS(3312),
    [anon_sym_word] = ACTIONS(3312),
    [anon_sym_enum] = ACTIONS(3312),
    [anon_sym_class] = ACTIONS(3312),
    [anon_sym_struct] = ACTIONS(3312),
    [anon_sym_union] = ACTIONS(3312),
    [anon_sym_if] = ACTIONS(3312),
    [anon_sym_switch] = ACTIONS(3312),
    [anon_sym_case] = ACTIONS(3312),
    [anon_sym_default] = ACTIONS(3312),
    [anon_sym_while] = ACTIONS(3312),
    [anon_sym_do] = ACTIONS(3312),
    [anon_sym_for] = ACTIONS(3312),
    [anon_sym_return] = ACTIONS(3312),
    [anon_sym_break] = ACTIONS(3312),
    [anon_sym_continue] = ACTIONS(3312),
    [anon_sym_goto] = ACTIONS(3312),
    [anon_sym___try] = ACTIONS(3312),
    [anon_sym___leave] = ACTIONS(3312),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3314),
    [anon_sym_sizeof] = ACTIONS(3312),
    [anon_sym___alignof__] = ACTIONS(3312),
    [anon_sym___alignof] = ACTIONS(3312),
    [anon_sym__alignof] = ACTIONS(3312),
    [anon_sym_alignof] = ACTIONS(3312),
    [anon_sym__Alignof] = ACTIONS(3312),
    [anon_sym_offsetof] = ACTIONS(3312),
    [anon_sym__Generic] = ACTIONS(3312),
    [anon_sym_asm] = ACTIONS(3312),
    [anon_sym___asm__] = ACTIONS(3312),
    [aux_sym_number_literal_token1] = ACTIONS(3314),
    [aux_sym_number_literal_token2] = ACTIONS(3312),
    [anon_sym_L_SQUOTE] = ACTIONS(3314),
    [anon_sym_u_SQUOTE] = ACTIONS(3314),
    [anon_sym_U_SQUOTE] = ACTIONS(3314),
    [anon_sym_u8_SQUOTE] = ACTIONS(3314),
    [anon_sym_SQUOTE] = ACTIONS(3314),
    [anon_sym_L_DQUOTE] = ACTIONS(3314),
    [anon_sym_u_DQUOTE] = ACTIONS(3314),
    [anon_sym_U_DQUOTE] = ACTIONS(3314),
    [anon_sym_u8_DQUOTE] = ACTIONS(3314),
    [anon_sym_DQUOTE] = ACTIONS(3314),
    [sym_true] = ACTIONS(3312),
    [sym_false] = ACTIONS(3312),
    [anon_sym_NULL] = ACTIONS(3312),
    [anon_sym_nullptr] = ACTIONS(3312),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3312),
    [anon_sym_decltype] = ACTIONS(3312),
    [anon_sym_virtual] = ACTIONS(3312),
    [anon_sym_alignas] = ACTIONS(3312),
    [anon_sym_explicit] = ACTIONS(3312),
    [anon_sym_typename] = ACTIONS(3312),
    [anon_sym_template] = ACTIONS(3312),
    [anon_sym_operator] = ACTIONS(3312),
    [anon_sym_try] = ACTIONS(3312),
    [anon_sym_delete] = ACTIONS(3312),
    [anon_sym_throw] = ACTIONS(3312),
    [anon_sym_namespace] = ACTIONS(3312),
    [anon_sym_using] = ACTIONS(3312),
    [anon_sym_static_assert] = ACTIONS(3312),
    [anon_sym_concept] = ACTIONS(3312),
    [anon_sym_co_return] = ACTIONS(3312),
    [anon_sym_co_yield] = ACTIONS(3312),
    [anon_sym_R_DQUOTE] = ACTIONS(3314),
    [anon_sym_LR_DQUOTE] = ACTIONS(3314),
    [anon_sym_uR_DQUOTE] = ACTIONS(3314),
    [anon_sym_UR_DQUOTE] = ACTIONS(3314),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3314),
    [anon_sym_co_await] = ACTIONS(3312),
    [anon_sym_new] = ACTIONS(3312),
    [anon_sym_requires] = ACTIONS(3312),
    [sym_this] = ACTIONS(3312),
  },
  [396] = {
    [sym_identifier] = ACTIONS(3316),
    [aux_sym_preproc_include_token1] = ACTIONS(3316),
    [aux_sym_preproc_def_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token2] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3316),
    [aux_sym_preproc_else_token1] = ACTIONS(3316),
    [aux_sym_preproc_elif_token1] = ACTIONS(3316),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3316),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3316),
    [sym_preproc_directive] = ACTIONS(3316),
    [anon_sym_LPAREN2] = ACTIONS(3318),
    [anon_sym_BANG] = ACTIONS(3318),
    [anon_sym_TILDE] = ACTIONS(3318),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_STAR] = ACTIONS(3318),
    [anon_sym_AMP_AMP] = ACTIONS(3318),
    [anon_sym_AMP] = ACTIONS(3316),
    [anon_sym_SEMI] = ACTIONS(3318),
    [anon_sym___extension__] = ACTIONS(3316),
    [anon_sym_typedef] = ACTIONS(3316),
    [anon_sym_extern] = ACTIONS(3316),
    [anon_sym___attribute__] = ACTIONS(3316),
    [anon_sym_COLON_COLON] = ACTIONS(3318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3318),
    [anon_sym___declspec] = ACTIONS(3316),
    [anon_sym___based] = ACTIONS(3316),
    [anon_sym___cdecl] = ACTIONS(3316),
    [anon_sym___clrcall] = ACTIONS(3316),
    [anon_sym___stdcall] = ACTIONS(3316),
    [anon_sym___fastcall] = ACTIONS(3316),
    [anon_sym___thiscall] = ACTIONS(3316),
    [anon_sym___vectorcall] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_signed] = ACTIONS(3316),
    [anon_sym_unsigned] = ACTIONS(3316),
    [anon_sym_long] = ACTIONS(3316),
    [anon_sym_short] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_register] = ACTIONS(3316),
    [anon_sym_inline] = ACTIONS(3316),
    [anon_sym___inline] = ACTIONS(3316),
    [anon_sym___inline__] = ACTIONS(3316),
    [anon_sym___forceinline] = ACTIONS(3316),
    [anon_sym_thread_local] = ACTIONS(3316),
    [anon_sym___thread] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_constexpr] = ACTIONS(3316),
    [anon_sym_volatile] = ACTIONS(3316),
    [anon_sym_restrict] = ACTIONS(3316),
    [anon_sym___restrict__] = ACTIONS(3316),
    [anon_sym__Atomic] = ACTIONS(3316),
    [anon_sym__Noreturn] = ACTIONS(3316),
    [anon_sym_noreturn] = ACTIONS(3316),
    [anon_sym_mutable] = ACTIONS(3316),
    [anon_sym_constinit] = ACTIONS(3316),
    [anon_sym_consteval] = ACTIONS(3316),
    [anon_sym_PROGMEM] = ACTIONS(3316),
    [aux_sym_primitive_type_token1] = ACTIONS(3316),
    [anon_sym_byte] = ACTIONS(3316),
    [anon_sym_word] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_struct] = ACTIONS(3316),
    [anon_sym_union] = ACTIONS(3316),
    [anon_sym_if] = ACTIONS(3316),
    [anon_sym_switch] = ACTIONS(3316),
    [anon_sym_case] = ACTIONS(3316),
    [anon_sym_default] = ACTIONS(3316),
    [anon_sym_while] = ACTIONS(3316),
    [anon_sym_do] = ACTIONS(3316),
    [anon_sym_for] = ACTIONS(3316),
    [anon_sym_return] = ACTIONS(3316),
    [anon_sym_break] = ACTIONS(3316),
    [anon_sym_continue] = ACTIONS(3316),
    [anon_sym_goto] = ACTIONS(3316),
    [anon_sym___try] = ACTIONS(3316),
    [anon_sym___leave] = ACTIONS(3316),
    [anon_sym_not] = ACTIONS(3316),
    [anon_sym_compl] = ACTIONS(3316),
    [anon_sym_DASH_DASH] = ACTIONS(3318),
    [anon_sym_PLUS_PLUS] = ACTIONS(3318),
    [anon_sym_sizeof] = ACTIONS(3316),
    [anon_sym___alignof__] = ACTIONS(3316),
    [anon_sym___alignof] = ACTIONS(3316),
    [anon_sym__alignof] = ACTIONS(3316),
    [anon_sym_alignof] = ACTIONS(3316),
    [anon_sym__Alignof] = ACTIONS(3316),
    [anon_sym_offsetof] = ACTIONS(3316),
    [anon_sym__Generic] = ACTIONS(3316),
    [anon_sym_asm] = ACTIONS(3316),
    [anon_sym___asm__] = ACTIONS(3316),
    [aux_sym_number_literal_token1] = ACTIONS(3318),
    [aux_sym_number_literal_token2] = ACTIONS(3316),
    [anon_sym_L_SQUOTE] = ACTIONS(3318),
    [anon_sym_u_SQUOTE] = ACTIONS(3318),
    [anon_sym_U_SQUOTE] = ACTIONS(3318),
    [anon_sym_u8_SQUOTE] = ACTIONS(3318),
    [anon_sym_SQUOTE] = ACTIONS(3318),
    [anon_sym_L_DQUOTE] = ACTIONS(3318),
    [anon_sym_u_DQUOTE] = ACTIONS(3318),
    [anon_sym_U_DQUOTE] = ACTIONS(3318),
    [anon_sym_u8_DQUOTE] = ACTIONS(3318),
    [anon_sym_DQUOTE] = ACTIONS(3318),
    [sym_true] = ACTIONS(3316),
    [sym_false] = ACTIONS(3316),
    [anon_sym_NULL] = ACTIONS(3316),
    [anon_sym_nullptr] = ACTIONS(3316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3316),
    [anon_sym_decltype] = ACTIONS(3316),
    [anon_sym_virtual] = ACTIONS(3316),
    [anon_sym_alignas] = ACTIONS(3316),
    [anon_sym_explicit] = ACTIONS(3316),
    [anon_sym_typename] = ACTIONS(3316),
    [anon_sym_template] = ACTIONS(3316),
    [anon_sym_operator] = ACTIONS(3316),
    [anon_sym_try] = ACTIONS(3316),
    [anon_sym_delete] = ACTIONS(3316),
    [anon_sym_throw] = ACTIONS(3316),
    [anon_sym_namespace] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_static_assert] = ACTIONS(3316),
    [anon_sym_concept] = ACTIONS(3316),
    [anon_sym_co_return] = ACTIONS(3316),
    [anon_sym_co_yield] = ACTIONS(3316),
    [anon_sym_R_DQUOTE] = ACTIONS(3318),
    [anon_sym_LR_DQUOTE] = ACTIONS(3318),
    [anon_sym_uR_DQUOTE] = ACTIONS(3318),
    [anon_sym_UR_DQUOTE] = ACTIONS(3318),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3318),
    [anon_sym_co_await] = ACTIONS(3316),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3316),
    [sym_this] = ACTIONS(3316),
  },
  [397] = {
    [sym_else_clause] = STATE(478),
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [aux_sym_preproc_else_token1] = ACTIONS(2913),
    [aux_sym_preproc_elif_token1] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_PROGMEM] = ACTIONS(2913),
    [aux_sym_primitive_type_token1] = ACTIONS(2913),
    [anon_sym_byte] = ACTIONS(2913),
    [anon_sym_word] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(3320),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [aux_sym_number_literal_token1] = ACTIONS(2915),
    [aux_sym_number_literal_token2] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [398] = {
    [sym_identifier] = ACTIONS(3322),
    [aux_sym_preproc_include_token1] = ACTIONS(3322),
    [aux_sym_preproc_def_token1] = ACTIONS(3322),
    [aux_sym_preproc_if_token1] = ACTIONS(3322),
    [aux_sym_preproc_if_token2] = ACTIONS(3322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3322),
    [aux_sym_preproc_else_token1] = ACTIONS(3322),
    [aux_sym_preproc_elif_token1] = ACTIONS(3322),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3322),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3322),
    [sym_preproc_directive] = ACTIONS(3322),
    [anon_sym_LPAREN2] = ACTIONS(3324),
    [anon_sym_BANG] = ACTIONS(3324),
    [anon_sym_TILDE] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3322),
    [anon_sym_PLUS] = ACTIONS(3322),
    [anon_sym_STAR] = ACTIONS(3324),
    [anon_sym_AMP_AMP] = ACTIONS(3324),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym_SEMI] = ACTIONS(3324),
    [anon_sym___extension__] = ACTIONS(3322),
    [anon_sym_typedef] = ACTIONS(3322),
    [anon_sym_extern] = ACTIONS(3322),
    [anon_sym___attribute__] = ACTIONS(3322),
    [anon_sym_COLON_COLON] = ACTIONS(3324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3324),
    [anon_sym___declspec] = ACTIONS(3322),
    [anon_sym___based] = ACTIONS(3322),
    [anon_sym___cdecl] = ACTIONS(3322),
    [anon_sym___clrcall] = ACTIONS(3322),
    [anon_sym___stdcall] = ACTIONS(3322),
    [anon_sym___fastcall] = ACTIONS(3322),
    [anon_sym___thiscall] = ACTIONS(3322),
    [anon_sym___vectorcall] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3324),
    [anon_sym_signed] = ACTIONS(3322),
    [anon_sym_unsigned] = ACTIONS(3322),
    [anon_sym_long] = ACTIONS(3322),
    [anon_sym_short] = ACTIONS(3322),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_static] = ACTIONS(3322),
    [anon_sym_register] = ACTIONS(3322),
    [anon_sym_inline] = ACTIONS(3322),
    [anon_sym___inline] = ACTIONS(3322),
    [anon_sym___inline__] = ACTIONS(3322),
    [anon_sym___forceinline] = ACTIONS(3322),
    [anon_sym_thread_local] = ACTIONS(3322),
    [anon_sym___thread] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_constexpr] = ACTIONS(3322),
    [anon_sym_volatile] = ACTIONS(3322),
    [anon_sym_restrict] = ACTIONS(3322),
    [anon_sym___restrict__] = ACTIONS(3322),
    [anon_sym__Atomic] = ACTIONS(3322),
    [anon_sym__Noreturn] = ACTIONS(3322),
    [anon_sym_noreturn] = ACTIONS(3322),
    [anon_sym_mutable] = ACTIONS(3322),
    [anon_sym_constinit] = ACTIONS(3322),
    [anon_sym_consteval] = ACTIONS(3322),
    [anon_sym_PROGMEM] = ACTIONS(3322),
    [aux_sym_primitive_type_token1] = ACTIONS(3322),
    [anon_sym_byte] = ACTIONS(3322),
    [anon_sym_word] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3322),
    [anon_sym_struct] = ACTIONS(3322),
    [anon_sym_union] = ACTIONS(3322),
    [anon_sym_if] = ACTIONS(3322),
    [anon_sym_switch] = ACTIONS(3322),
    [anon_sym_case] = ACTIONS(3322),
    [anon_sym_default] = ACTIONS(3322),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_do] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3322),
    [anon_sym_return] = ACTIONS(3322),
    [anon_sym_break] = ACTIONS(3322),
    [anon_sym_continue] = ACTIONS(3322),
    [anon_sym_goto] = ACTIONS(3322),
    [anon_sym___try] = ACTIONS(3322),
    [anon_sym___leave] = ACTIONS(3322),
    [anon_sym_not] = ACTIONS(3322),
    [anon_sym_compl] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3324),
    [anon_sym_PLUS_PLUS] = ACTIONS(3324),
    [anon_sym_sizeof] = ACTIONS(3322),
    [anon_sym___alignof__] = ACTIONS(3322),
    [anon_sym___alignof] = ACTIONS(3322),
    [anon_sym__alignof] = ACTIONS(3322),
    [anon_sym_alignof] = ACTIONS(3322),
    [anon_sym__Alignof] = ACTIONS(3322),
    [anon_sym_offsetof] = ACTIONS(3322),
    [anon_sym__Generic] = ACTIONS(3322),
    [anon_sym_asm] = ACTIONS(3322),
    [anon_sym___asm__] = ACTIONS(3322),
    [aux_sym_number_literal_token1] = ACTIONS(3324),
    [aux_sym_number_literal_token2] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3324),
    [anon_sym_u_DQUOTE] = ACTIONS(3324),
    [anon_sym_U_DQUOTE] = ACTIONS(3324),
    [anon_sym_u8_DQUOTE] = ACTIONS(3324),
    [anon_sym_DQUOTE] = ACTIONS(3324),
    [sym_true] = ACTIONS(3322),
    [sym_false] = ACTIONS(3322),
    [anon_sym_NULL] = ACTIONS(3322),
    [anon_sym_nullptr] = ACTIONS(3322),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3322),
    [anon_sym_decltype] = ACTIONS(3322),
    [anon_sym_virtual] = ACTIONS(3322),
    [anon_sym_alignas] = ACTIONS(3322),
    [anon_sym_explicit] = ACTIONS(3322),
    [anon_sym_typename] = ACTIONS(3322),
    [anon_sym_template] = ACTIONS(3322),
    [anon_sym_operator] = ACTIONS(3322),
    [anon_sym_try] = ACTIONS(3322),
    [anon_sym_delete] = ACTIONS(3322),
    [anon_sym_throw] = ACTIONS(3322),
    [anon_sym_namespace] = ACTIONS(3322),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_static_assert] = ACTIONS(3322),
    [anon_sym_concept] = ACTIONS(3322),
    [anon_sym_co_return] = ACTIONS(3322),
    [anon_sym_co_yield] = ACTIONS(3322),
    [anon_sym_R_DQUOTE] = ACTIONS(3324),
    [anon_sym_LR_DQUOTE] = ACTIONS(3324),
    [anon_sym_uR_DQUOTE] = ACTIONS(3324),
    [anon_sym_UR_DQUOTE] = ACTIONS(3324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3324),
    [anon_sym_co_await] = ACTIONS(3322),
    [anon_sym_new] = ACTIONS(3322),
    [anon_sym_requires] = ACTIONS(3322),
    [sym_this] = ACTIONS(3322),
  },
  [399] = {
    [sym_identifier] = ACTIONS(3326),
    [aux_sym_preproc_include_token1] = ACTIONS(3326),
    [aux_sym_preproc_def_token1] = ACTIONS(3326),
    [aux_sym_preproc_if_token1] = ACTIONS(3326),
    [aux_sym_preproc_if_token2] = ACTIONS(3326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3326),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3326),
    [aux_sym_preproc_else_token1] = ACTIONS(3326),
    [aux_sym_preproc_elif_token1] = ACTIONS(3326),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3326),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3326),
    [sym_preproc_directive] = ACTIONS(3326),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(3328),
    [anon_sym_AMP_AMP] = ACTIONS(3328),
    [anon_sym_AMP] = ACTIONS(3326),
    [anon_sym_SEMI] = ACTIONS(3328),
    [anon_sym___extension__] = ACTIONS(3326),
    [anon_sym_typedef] = ACTIONS(3326),
    [anon_sym_extern] = ACTIONS(3326),
    [anon_sym___attribute__] = ACTIONS(3326),
    [anon_sym_COLON_COLON] = ACTIONS(3328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3328),
    [anon_sym___declspec] = ACTIONS(3326),
    [anon_sym___based] = ACTIONS(3326),
    [anon_sym___cdecl] = ACTIONS(3326),
    [anon_sym___clrcall] = ACTIONS(3326),
    [anon_sym___stdcall] = ACTIONS(3326),
    [anon_sym___fastcall] = ACTIONS(3326),
    [anon_sym___thiscall] = ACTIONS(3326),
    [anon_sym___vectorcall] = ACTIONS(3326),
    [anon_sym_LBRACE] = ACTIONS(3328),
    [anon_sym_signed] = ACTIONS(3326),
    [anon_sym_unsigned] = ACTIONS(3326),
    [anon_sym_long] = ACTIONS(3326),
    [anon_sym_short] = ACTIONS(3326),
    [anon_sym_LBRACK] = ACTIONS(3326),
    [anon_sym_static] = ACTIONS(3326),
    [anon_sym_register] = ACTIONS(3326),
    [anon_sym_inline] = ACTIONS(3326),
    [anon_sym___inline] = ACTIONS(3326),
    [anon_sym___inline__] = ACTIONS(3326),
    [anon_sym___forceinline] = ACTIONS(3326),
    [anon_sym_thread_local] = ACTIONS(3326),
    [anon_sym___thread] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3326),
    [anon_sym_constexpr] = ACTIONS(3326),
    [anon_sym_volatile] = ACTIONS(3326),
    [anon_sym_restrict] = ACTIONS(3326),
    [anon_sym___restrict__] = ACTIONS(3326),
    [anon_sym__Atomic] = ACTIONS(3326),
    [anon_sym__Noreturn] = ACTIONS(3326),
    [anon_sym_noreturn] = ACTIONS(3326),
    [anon_sym_mutable] = ACTIONS(3326),
    [anon_sym_constinit] = ACTIONS(3326),
    [anon_sym_consteval] = ACTIONS(3326),
    [anon_sym_PROGMEM] = ACTIONS(3326),
    [aux_sym_primitive_type_token1] = ACTIONS(3326),
    [anon_sym_byte] = ACTIONS(3326),
    [anon_sym_word] = ACTIONS(3326),
    [anon_sym_enum] = ACTIONS(3326),
    [anon_sym_class] = ACTIONS(3326),
    [anon_sym_struct] = ACTIONS(3326),
    [anon_sym_union] = ACTIONS(3326),
    [anon_sym_if] = ACTIONS(3326),
    [anon_sym_switch] = ACTIONS(3326),
    [anon_sym_case] = ACTIONS(3326),
    [anon_sym_default] = ACTIONS(3326),
    [anon_sym_while] = ACTIONS(3326),
    [anon_sym_do] = ACTIONS(3326),
    [anon_sym_for] = ACTIONS(3326),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_break] = ACTIONS(3326),
    [anon_sym_continue] = ACTIONS(3326),
    [anon_sym_goto] = ACTIONS(3326),
    [anon_sym___try] = ACTIONS(3326),
    [anon_sym___leave] = ACTIONS(3326),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(3328),
    [anon_sym_PLUS_PLUS] = ACTIONS(3328),
    [anon_sym_sizeof] = ACTIONS(3326),
    [anon_sym___alignof__] = ACTIONS(3326),
    [anon_sym___alignof] = ACTIONS(3326),
    [anon_sym__alignof] = ACTIONS(3326),
    [anon_sym_alignof] = ACTIONS(3326),
    [anon_sym__Alignof] = ACTIONS(3326),
    [anon_sym_offsetof] = ACTIONS(3326),
    [anon_sym__Generic] = ACTIONS(3326),
    [anon_sym_asm] = ACTIONS(3326),
    [anon_sym___asm__] = ACTIONS(3326),
    [aux_sym_number_literal_token1] = ACTIONS(3328),
    [aux_sym_number_literal_token2] = ACTIONS(3326),
    [anon_sym_L_SQUOTE] = ACTIONS(3328),
    [anon_sym_u_SQUOTE] = ACTIONS(3328),
    [anon_sym_U_SQUOTE] = ACTIONS(3328),
    [anon_sym_u8_SQUOTE] = ACTIONS(3328),
    [anon_sym_SQUOTE] = ACTIONS(3328),
    [anon_sym_L_DQUOTE] = ACTIONS(3328),
    [anon_sym_u_DQUOTE] = ACTIONS(3328),
    [anon_sym_U_DQUOTE] = ACTIONS(3328),
    [anon_sym_u8_DQUOTE] = ACTIONS(3328),
    [anon_sym_DQUOTE] = ACTIONS(3328),
    [sym_true] = ACTIONS(3326),
    [sym_false] = ACTIONS(3326),
    [anon_sym_NULL] = ACTIONS(3326),
    [anon_sym_nullptr] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3326),
    [anon_sym_decltype] = ACTIONS(3326),
    [anon_sym_virtual] = ACTIONS(3326),
    [anon_sym_alignas] = ACTIONS(3326),
    [anon_sym_explicit] = ACTIONS(3326),
    [anon_sym_typename] = ACTIONS(3326),
    [anon_sym_template] = ACTIONS(3326),
    [anon_sym_operator] = ACTIONS(3326),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_delete] = ACTIONS(3326),
    [anon_sym_throw] = ACTIONS(3326),
    [anon_sym_namespace] = ACTIONS(3326),
    [anon_sym_using] = ACTIONS(3326),
    [anon_sym_static_assert] = ACTIONS(3326),
    [anon_sym_concept] = ACTIONS(3326),
    [anon_sym_co_return] = ACTIONS(3326),
    [anon_sym_co_yield] = ACTIONS(3326),
    [anon_sym_R_DQUOTE] = ACTIONS(3328),
    [anon_sym_LR_DQUOTE] = ACTIONS(3328),
    [anon_sym_uR_DQUOTE] = ACTIONS(3328),
    [anon_sym_UR_DQUOTE] = ACTIONS(3328),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3328),
    [anon_sym_co_await] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(3326),
    [anon_sym_requires] = ACTIONS(3326),
    [sym_this] = ACTIONS(3326),
  },
  [400] = {
    [sym_identifier] = ACTIONS(3330),
    [aux_sym_preproc_include_token1] = ACTIONS(3330),
    [aux_sym_preproc_def_token1] = ACTIONS(3330),
    [aux_sym_preproc_if_token1] = ACTIONS(3330),
    [aux_sym_preproc_if_token2] = ACTIONS(3330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3330),
    [aux_sym_preproc_else_token1] = ACTIONS(3330),
    [aux_sym_preproc_elif_token1] = ACTIONS(3330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3330),
    [sym_preproc_directive] = ACTIONS(3330),
    [anon_sym_LPAREN2] = ACTIONS(3332),
    [anon_sym_BANG] = ACTIONS(3332),
    [anon_sym_TILDE] = ACTIONS(3332),
    [anon_sym_DASH] = ACTIONS(3330),
    [anon_sym_PLUS] = ACTIONS(3330),
    [anon_sym_STAR] = ACTIONS(3332),
    [anon_sym_AMP_AMP] = ACTIONS(3332),
    [anon_sym_AMP] = ACTIONS(3330),
    [anon_sym_SEMI] = ACTIONS(3332),
    [anon_sym___extension__] = ACTIONS(3330),
    [anon_sym_typedef] = ACTIONS(3330),
    [anon_sym_extern] = ACTIONS(3330),
    [anon_sym___attribute__] = ACTIONS(3330),
    [anon_sym_COLON_COLON] = ACTIONS(3332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3332),
    [anon_sym___declspec] = ACTIONS(3330),
    [anon_sym___based] = ACTIONS(3330),
    [anon_sym___cdecl] = ACTIONS(3330),
    [anon_sym___clrcall] = ACTIONS(3330),
    [anon_sym___stdcall] = ACTIONS(3330),
    [anon_sym___fastcall] = ACTIONS(3330),
    [anon_sym___thiscall] = ACTIONS(3330),
    [anon_sym___vectorcall] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3332),
    [anon_sym_signed] = ACTIONS(3330),
    [anon_sym_unsigned] = ACTIONS(3330),
    [anon_sym_long] = ACTIONS(3330),
    [anon_sym_short] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(3330),
    [anon_sym_static] = ACTIONS(3330),
    [anon_sym_register] = ACTIONS(3330),
    [anon_sym_inline] = ACTIONS(3330),
    [anon_sym___inline] = ACTIONS(3330),
    [anon_sym___inline__] = ACTIONS(3330),
    [anon_sym___forceinline] = ACTIONS(3330),
    [anon_sym_thread_local] = ACTIONS(3330),
    [anon_sym___thread] = ACTIONS(3330),
    [anon_sym_const] = ACTIONS(3330),
    [anon_sym_constexpr] = ACTIONS(3330),
    [anon_sym_volatile] = ACTIONS(3330),
    [anon_sym_restrict] = ACTIONS(3330),
    [anon_sym___restrict__] = ACTIONS(3330),
    [anon_sym__Atomic] = ACTIONS(3330),
    [anon_sym__Noreturn] = ACTIONS(3330),
    [anon_sym_noreturn] = ACTIONS(3330),
    [anon_sym_mutable] = ACTIONS(3330),
    [anon_sym_constinit] = ACTIONS(3330),
    [anon_sym_consteval] = ACTIONS(3330),
    [anon_sym_PROGMEM] = ACTIONS(3330),
    [aux_sym_primitive_type_token1] = ACTIONS(3330),
    [anon_sym_byte] = ACTIONS(3330),
    [anon_sym_word] = ACTIONS(3330),
    [anon_sym_enum] = ACTIONS(3330),
    [anon_sym_class] = ACTIONS(3330),
    [anon_sym_struct] = ACTIONS(3330),
    [anon_sym_union] = ACTIONS(3330),
    [anon_sym_if] = ACTIONS(3330),
    [anon_sym_switch] = ACTIONS(3330),
    [anon_sym_case] = ACTIONS(3330),
    [anon_sym_default] = ACTIONS(3330),
    [anon_sym_while] = ACTIONS(3330),
    [anon_sym_do] = ACTIONS(3330),
    [anon_sym_for] = ACTIONS(3330),
    [anon_sym_return] = ACTIONS(3330),
    [anon_sym_break] = ACTIONS(3330),
    [anon_sym_continue] = ACTIONS(3330),
    [anon_sym_goto] = ACTIONS(3330),
    [anon_sym___try] = ACTIONS(3330),
    [anon_sym___leave] = ACTIONS(3330),
    [anon_sym_not] = ACTIONS(3330),
    [anon_sym_compl] = ACTIONS(3330),
    [anon_sym_DASH_DASH] = ACTIONS(3332),
    [anon_sym_PLUS_PLUS] = ACTIONS(3332),
    [anon_sym_sizeof] = ACTIONS(3330),
    [anon_sym___alignof__] = ACTIONS(3330),
    [anon_sym___alignof] = ACTIONS(3330),
    [anon_sym__alignof] = ACTIONS(3330),
    [anon_sym_alignof] = ACTIONS(3330),
    [anon_sym__Alignof] = ACTIONS(3330),
    [anon_sym_offsetof] = ACTIONS(3330),
    [anon_sym__Generic] = ACTIONS(3330),
    [anon_sym_asm] = ACTIONS(3330),
    [anon_sym___asm__] = ACTIONS(3330),
    [aux_sym_number_literal_token1] = ACTIONS(3332),
    [aux_sym_number_literal_token2] = ACTIONS(3330),
    [anon_sym_L_SQUOTE] = ACTIONS(3332),
    [anon_sym_u_SQUOTE] = ACTIONS(3332),
    [anon_sym_U_SQUOTE] = ACTIONS(3332),
    [anon_sym_u8_SQUOTE] = ACTIONS(3332),
    [anon_sym_SQUOTE] = ACTIONS(3332),
    [anon_sym_L_DQUOTE] = ACTIONS(3332),
    [anon_sym_u_DQUOTE] = ACTIONS(3332),
    [anon_sym_U_DQUOTE] = ACTIONS(3332),
    [anon_sym_u8_DQUOTE] = ACTIONS(3332),
    [anon_sym_DQUOTE] = ACTIONS(3332),
    [sym_true] = ACTIONS(3330),
    [sym_false] = ACTIONS(3330),
    [anon_sym_NULL] = ACTIONS(3330),
    [anon_sym_nullptr] = ACTIONS(3330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3330),
    [anon_sym_decltype] = ACTIONS(3330),
    [anon_sym_virtual] = ACTIONS(3330),
    [anon_sym_alignas] = ACTIONS(3330),
    [anon_sym_explicit] = ACTIONS(3330),
    [anon_sym_typename] = ACTIONS(3330),
    [anon_sym_template] = ACTIONS(3330),
    [anon_sym_operator] = ACTIONS(3330),
    [anon_sym_try] = ACTIONS(3330),
    [anon_sym_delete] = ACTIONS(3330),
    [anon_sym_throw] = ACTIONS(3330),
    [anon_sym_namespace] = ACTIONS(3330),
    [anon_sym_using] = ACTIONS(3330),
    [anon_sym_static_assert] = ACTIONS(3330),
    [anon_sym_concept] = ACTIONS(3330),
    [anon_sym_co_return] = ACTIONS(3330),
    [anon_sym_co_yield] = ACTIONS(3330),
    [anon_sym_R_DQUOTE] = ACTIONS(3332),
    [anon_sym_LR_DQUOTE] = ACTIONS(3332),
    [anon_sym_uR_DQUOTE] = ACTIONS(3332),
    [anon_sym_UR_DQUOTE] = ACTIONS(3332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3332),
    [anon_sym_co_await] = ACTIONS(3330),
    [anon_sym_new] = ACTIONS(3330),
    [anon_sym_requires] = ACTIONS(3330),
    [sym_this] = ACTIONS(3330),
  },
  [401] = {
    [sym_catch_clause] = STATE(442),
    [aux_sym_constructor_try_statement_repeat1] = STATE(442),
    [sym_identifier] = ACTIONS(2841),
    [aux_sym_preproc_include_token1] = ACTIONS(2841),
    [aux_sym_preproc_def_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token1] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2841),
    [sym_preproc_directive] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_BANG] = ACTIONS(2843),
    [anon_sym_TILDE] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym_SEMI] = ACTIONS(2843),
    [anon_sym___extension__] = ACTIONS(2841),
    [anon_sym_typedef] = ACTIONS(2841),
    [anon_sym_extern] = ACTIONS(2841),
    [anon_sym___attribute__] = ACTIONS(2841),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2843),
    [anon_sym___declspec] = ACTIONS(2841),
    [anon_sym___based] = ACTIONS(2841),
    [anon_sym___cdecl] = ACTIONS(2841),
    [anon_sym___clrcall] = ACTIONS(2841),
    [anon_sym___stdcall] = ACTIONS(2841),
    [anon_sym___fastcall] = ACTIONS(2841),
    [anon_sym___thiscall] = ACTIONS(2841),
    [anon_sym___vectorcall] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_RBRACE] = ACTIONS(2843),
    [anon_sym_signed] = ACTIONS(2841),
    [anon_sym_unsigned] = ACTIONS(2841),
    [anon_sym_long] = ACTIONS(2841),
    [anon_sym_short] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_static] = ACTIONS(2841),
    [anon_sym_register] = ACTIONS(2841),
    [anon_sym_inline] = ACTIONS(2841),
    [anon_sym___inline] = ACTIONS(2841),
    [anon_sym___inline__] = ACTIONS(2841),
    [anon_sym___forceinline] = ACTIONS(2841),
    [anon_sym_thread_local] = ACTIONS(2841),
    [anon_sym___thread] = ACTIONS(2841),
    [anon_sym_const] = ACTIONS(2841),
    [anon_sym_constexpr] = ACTIONS(2841),
    [anon_sym_volatile] = ACTIONS(2841),
    [anon_sym_restrict] = ACTIONS(2841),
    [anon_sym___restrict__] = ACTIONS(2841),
    [anon_sym__Atomic] = ACTIONS(2841),
    [anon_sym__Noreturn] = ACTIONS(2841),
    [anon_sym_noreturn] = ACTIONS(2841),
    [anon_sym_mutable] = ACTIONS(2841),
    [anon_sym_constinit] = ACTIONS(2841),
    [anon_sym_consteval] = ACTIONS(2841),
    [anon_sym_PROGMEM] = ACTIONS(2841),
    [aux_sym_primitive_type_token1] = ACTIONS(2841),
    [anon_sym_byte] = ACTIONS(2841),
    [anon_sym_word] = ACTIONS(2841),
    [anon_sym_enum] = ACTIONS(2841),
    [anon_sym_class] = ACTIONS(2841),
    [anon_sym_struct] = ACTIONS(2841),
    [anon_sym_union] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_else] = ACTIONS(2841),
    [anon_sym_switch] = ACTIONS(2841),
    [anon_sym_case] = ACTIONS(2841),
    [anon_sym_default] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_break] = ACTIONS(2841),
    [anon_sym_continue] = ACTIONS(2841),
    [anon_sym_goto] = ACTIONS(2841),
    [anon_sym___try] = ACTIONS(2841),
    [anon_sym___leave] = ACTIONS(2841),
    [anon_sym_not] = ACTIONS(2841),
    [anon_sym_compl] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2843),
    [anon_sym_PLUS_PLUS] = ACTIONS(2843),
    [anon_sym_sizeof] = ACTIONS(2841),
    [anon_sym___alignof__] = ACTIONS(2841),
    [anon_sym___alignof] = ACTIONS(2841),
    [anon_sym__alignof] = ACTIONS(2841),
    [anon_sym_alignof] = ACTIONS(2841),
    [anon_sym__Alignof] = ACTIONS(2841),
    [anon_sym_offsetof] = ACTIONS(2841),
    [anon_sym__Generic] = ACTIONS(2841),
    [anon_sym_asm] = ACTIONS(2841),
    [anon_sym___asm__] = ACTIONS(2841),
    [aux_sym_number_literal_token1] = ACTIONS(2843),
    [aux_sym_number_literal_token2] = ACTIONS(2841),
    [anon_sym_L_SQUOTE] = ACTIONS(2843),
    [anon_sym_u_SQUOTE] = ACTIONS(2843),
    [anon_sym_U_SQUOTE] = ACTIONS(2843),
    [anon_sym_u8_SQUOTE] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_L_DQUOTE] = ACTIONS(2843),
    [anon_sym_u_DQUOTE] = ACTIONS(2843),
    [anon_sym_U_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8_DQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2843),
    [sym_true] = ACTIONS(2841),
    [sym_false] = ACTIONS(2841),
    [anon_sym_NULL] = ACTIONS(2841),
    [anon_sym_nullptr] = ACTIONS(2841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2841),
    [anon_sym_decltype] = ACTIONS(2841),
    [anon_sym_virtual] = ACTIONS(2841),
    [anon_sym_alignas] = ACTIONS(2841),
    [anon_sym_explicit] = ACTIONS(2841),
    [anon_sym_typename] = ACTIONS(2841),
    [anon_sym_template] = ACTIONS(2841),
    [anon_sym_operator] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_delete] = ACTIONS(2841),
    [anon_sym_throw] = ACTIONS(2841),
    [anon_sym_namespace] = ACTIONS(2841),
    [anon_sym_using] = ACTIONS(2841),
    [anon_sym_static_assert] = ACTIONS(2841),
    [anon_sym_concept] = ACTIONS(2841),
    [anon_sym_co_return] = ACTIONS(2841),
    [anon_sym_co_yield] = ACTIONS(2841),
    [anon_sym_catch] = ACTIONS(3334),
    [anon_sym_R_DQUOTE] = ACTIONS(2843),
    [anon_sym_LR_DQUOTE] = ACTIONS(2843),
    [anon_sym_uR_DQUOTE] = ACTIONS(2843),
    [anon_sym_UR_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2843),
    [anon_sym_co_await] = ACTIONS(2841),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_requires] = ACTIONS(2841),
    [sym_this] = ACTIONS(2841),
  },
  [402] = {
    [sym_catch_clause] = STATE(402),
    [aux_sym_constructor_try_statement_repeat1] = STATE(402),
    [ts_builtin_sym_end] = ACTIONS(2849),
    [sym_identifier] = ACTIONS(2847),
    [aux_sym_preproc_include_token1] = ACTIONS(2847),
    [aux_sym_preproc_def_token1] = ACTIONS(2847),
    [aux_sym_preproc_if_token1] = ACTIONS(2847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2847),
    [sym_preproc_directive] = ACTIONS(2847),
    [anon_sym_LPAREN2] = ACTIONS(2849),
    [anon_sym_BANG] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2849),
    [anon_sym_DASH] = ACTIONS(2847),
    [anon_sym_PLUS] = ACTIONS(2847),
    [anon_sym_STAR] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2849),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_SEMI] = ACTIONS(2849),
    [anon_sym___extension__] = ACTIONS(2847),
    [anon_sym_typedef] = ACTIONS(2847),
    [anon_sym_extern] = ACTIONS(2847),
    [anon_sym___attribute__] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(2849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2849),
    [anon_sym___declspec] = ACTIONS(2847),
    [anon_sym___based] = ACTIONS(2847),
    [anon_sym___cdecl] = ACTIONS(2847),
    [anon_sym___clrcall] = ACTIONS(2847),
    [anon_sym___stdcall] = ACTIONS(2847),
    [anon_sym___fastcall] = ACTIONS(2847),
    [anon_sym___thiscall] = ACTIONS(2847),
    [anon_sym___vectorcall] = ACTIONS(2847),
    [anon_sym_LBRACE] = ACTIONS(2849),
    [anon_sym_signed] = ACTIONS(2847),
    [anon_sym_unsigned] = ACTIONS(2847),
    [anon_sym_long] = ACTIONS(2847),
    [anon_sym_short] = ACTIONS(2847),
    [anon_sym_LBRACK] = ACTIONS(2847),
    [anon_sym_static] = ACTIONS(2847),
    [anon_sym_register] = ACTIONS(2847),
    [anon_sym_inline] = ACTIONS(2847),
    [anon_sym___inline] = ACTIONS(2847),
    [anon_sym___inline__] = ACTIONS(2847),
    [anon_sym___forceinline] = ACTIONS(2847),
    [anon_sym_thread_local] = ACTIONS(2847),
    [anon_sym___thread] = ACTIONS(2847),
    [anon_sym_const] = ACTIONS(2847),
    [anon_sym_constexpr] = ACTIONS(2847),
    [anon_sym_volatile] = ACTIONS(2847),
    [anon_sym_restrict] = ACTIONS(2847),
    [anon_sym___restrict__] = ACTIONS(2847),
    [anon_sym__Atomic] = ACTIONS(2847),
    [anon_sym__Noreturn] = ACTIONS(2847),
    [anon_sym_noreturn] = ACTIONS(2847),
    [anon_sym_mutable] = ACTIONS(2847),
    [anon_sym_constinit] = ACTIONS(2847),
    [anon_sym_consteval] = ACTIONS(2847),
    [anon_sym_PROGMEM] = ACTIONS(2847),
    [aux_sym_primitive_type_token1] = ACTIONS(2847),
    [anon_sym_byte] = ACTIONS(2847),
    [anon_sym_word] = ACTIONS(2847),
    [anon_sym_enum] = ACTIONS(2847),
    [anon_sym_class] = ACTIONS(2847),
    [anon_sym_struct] = ACTIONS(2847),
    [anon_sym_union] = ACTIONS(2847),
    [anon_sym_if] = ACTIONS(2847),
    [anon_sym_else] = ACTIONS(2847),
    [anon_sym_switch] = ACTIONS(2847),
    [anon_sym_case] = ACTIONS(2847),
    [anon_sym_default] = ACTIONS(2847),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_do] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2847),
    [anon_sym_return] = ACTIONS(2847),
    [anon_sym_break] = ACTIONS(2847),
    [anon_sym_continue] = ACTIONS(2847),
    [anon_sym_goto] = ACTIONS(2847),
    [anon_sym___try] = ACTIONS(2847),
    [anon_sym___leave] = ACTIONS(2847),
    [anon_sym_not] = ACTIONS(2847),
    [anon_sym_compl] = ACTIONS(2847),
    [anon_sym_DASH_DASH] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2849),
    [anon_sym_sizeof] = ACTIONS(2847),
    [anon_sym___alignof__] = ACTIONS(2847),
    [anon_sym___alignof] = ACTIONS(2847),
    [anon_sym__alignof] = ACTIONS(2847),
    [anon_sym_alignof] = ACTIONS(2847),
    [anon_sym__Alignof] = ACTIONS(2847),
    [anon_sym_offsetof] = ACTIONS(2847),
    [anon_sym__Generic] = ACTIONS(2847),
    [anon_sym_asm] = ACTIONS(2847),
    [anon_sym___asm__] = ACTIONS(2847),
    [aux_sym_number_literal_token1] = ACTIONS(2849),
    [aux_sym_number_literal_token2] = ACTIONS(2847),
    [anon_sym_L_SQUOTE] = ACTIONS(2849),
    [anon_sym_u_SQUOTE] = ACTIONS(2849),
    [anon_sym_U_SQUOTE] = ACTIONS(2849),
    [anon_sym_u8_SQUOTE] = ACTIONS(2849),
    [anon_sym_SQUOTE] = ACTIONS(2849),
    [anon_sym_L_DQUOTE] = ACTIONS(2849),
    [anon_sym_u_DQUOTE] = ACTIONS(2849),
    [anon_sym_U_DQUOTE] = ACTIONS(2849),
    [anon_sym_u8_DQUOTE] = ACTIONS(2849),
    [anon_sym_DQUOTE] = ACTIONS(2849),
    [sym_true] = ACTIONS(2847),
    [sym_false] = ACTIONS(2847),
    [anon_sym_NULL] = ACTIONS(2847),
    [anon_sym_nullptr] = ACTIONS(2847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2847),
    [anon_sym_decltype] = ACTIONS(2847),
    [anon_sym_virtual] = ACTIONS(2847),
    [anon_sym_alignas] = ACTIONS(2847),
    [anon_sym_explicit] = ACTIONS(2847),
    [anon_sym_typename] = ACTIONS(2847),
    [anon_sym_template] = ACTIONS(2847),
    [anon_sym_operator] = ACTIONS(2847),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_delete] = ACTIONS(2847),
    [anon_sym_throw] = ACTIONS(2847),
    [anon_sym_namespace] = ACTIONS(2847),
    [anon_sym_using] = ACTIONS(2847),
    [anon_sym_static_assert] = ACTIONS(2847),
    [anon_sym_concept] = ACTIONS(2847),
    [anon_sym_co_return] = ACTIONS(2847),
    [anon_sym_co_yield] = ACTIONS(2847),
    [anon_sym_catch] = ACTIONS(3336),
    [anon_sym_R_DQUOTE] = ACTIONS(2849),
    [anon_sym_LR_DQUOTE] = ACTIONS(2849),
    [anon_sym_uR_DQUOTE] = ACTIONS(2849),
    [anon_sym_UR_DQUOTE] = ACTIONS(2849),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2849),
    [anon_sym_co_await] = ACTIONS(2847),
    [anon_sym_new] = ACTIONS(2847),
    [anon_sym_requires] = ACTIONS(2847),
    [sym_this] = ACTIONS(2847),
  },
  [403] = {
    [sym_identifier] = ACTIONS(3339),
    [aux_sym_preproc_include_token1] = ACTIONS(3339),
    [aux_sym_preproc_def_token1] = ACTIONS(3339),
    [aux_sym_preproc_if_token1] = ACTIONS(3339),
    [aux_sym_preproc_if_token2] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3339),
    [aux_sym_preproc_else_token1] = ACTIONS(3339),
    [aux_sym_preproc_elif_token1] = ACTIONS(3339),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3339),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3339),
    [sym_preproc_directive] = ACTIONS(3339),
    [anon_sym_LPAREN2] = ACTIONS(3341),
    [anon_sym_BANG] = ACTIONS(3341),
    [anon_sym_TILDE] = ACTIONS(3341),
    [anon_sym_DASH] = ACTIONS(3339),
    [anon_sym_PLUS] = ACTIONS(3339),
    [anon_sym_STAR] = ACTIONS(3341),
    [anon_sym_AMP_AMP] = ACTIONS(3341),
    [anon_sym_AMP] = ACTIONS(3339),
    [anon_sym_SEMI] = ACTIONS(3341),
    [anon_sym___extension__] = ACTIONS(3339),
    [anon_sym_typedef] = ACTIONS(3339),
    [anon_sym_extern] = ACTIONS(3339),
    [anon_sym___attribute__] = ACTIONS(3339),
    [anon_sym_COLON_COLON] = ACTIONS(3341),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3341),
    [anon_sym___declspec] = ACTIONS(3339),
    [anon_sym___based] = ACTIONS(3339),
    [anon_sym___cdecl] = ACTIONS(3339),
    [anon_sym___clrcall] = ACTIONS(3339),
    [anon_sym___stdcall] = ACTIONS(3339),
    [anon_sym___fastcall] = ACTIONS(3339),
    [anon_sym___thiscall] = ACTIONS(3339),
    [anon_sym___vectorcall] = ACTIONS(3339),
    [anon_sym_LBRACE] = ACTIONS(3341),
    [anon_sym_signed] = ACTIONS(3339),
    [anon_sym_unsigned] = ACTIONS(3339),
    [anon_sym_long] = ACTIONS(3339),
    [anon_sym_short] = ACTIONS(3339),
    [anon_sym_LBRACK] = ACTIONS(3339),
    [anon_sym_static] = ACTIONS(3339),
    [anon_sym_register] = ACTIONS(3339),
    [anon_sym_inline] = ACTIONS(3339),
    [anon_sym___inline] = ACTIONS(3339),
    [anon_sym___inline__] = ACTIONS(3339),
    [anon_sym___forceinline] = ACTIONS(3339),
    [anon_sym_thread_local] = ACTIONS(3339),
    [anon_sym___thread] = ACTIONS(3339),
    [anon_sym_const] = ACTIONS(3339),
    [anon_sym_constexpr] = ACTIONS(3339),
    [anon_sym_volatile] = ACTIONS(3339),
    [anon_sym_restrict] = ACTIONS(3339),
    [anon_sym___restrict__] = ACTIONS(3339),
    [anon_sym__Atomic] = ACTIONS(3339),
    [anon_sym__Noreturn] = ACTIONS(3339),
    [anon_sym_noreturn] = ACTIONS(3339),
    [anon_sym_mutable] = ACTIONS(3339),
    [anon_sym_constinit] = ACTIONS(3339),
    [anon_sym_consteval] = ACTIONS(3339),
    [anon_sym_PROGMEM] = ACTIONS(3339),
    [aux_sym_primitive_type_token1] = ACTIONS(3339),
    [anon_sym_byte] = ACTIONS(3339),
    [anon_sym_word] = ACTIONS(3339),
    [anon_sym_enum] = ACTIONS(3339),
    [anon_sym_class] = ACTIONS(3339),
    [anon_sym_struct] = ACTIONS(3339),
    [anon_sym_union] = ACTIONS(3339),
    [anon_sym_if] = ACTIONS(3339),
    [anon_sym_switch] = ACTIONS(3339),
    [anon_sym_case] = ACTIONS(3339),
    [anon_sym_default] = ACTIONS(3339),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(3339),
    [anon_sym_for] = ACTIONS(3339),
    [anon_sym_return] = ACTIONS(3339),
    [anon_sym_break] = ACTIONS(3339),
    [anon_sym_continue] = ACTIONS(3339),
    [anon_sym_goto] = ACTIONS(3339),
    [anon_sym___try] = ACTIONS(3339),
    [anon_sym___leave] = ACTIONS(3339),
    [anon_sym_not] = ACTIONS(3339),
    [anon_sym_compl] = ACTIONS(3339),
    [anon_sym_DASH_DASH] = ACTIONS(3341),
    [anon_sym_PLUS_PLUS] = ACTIONS(3341),
    [anon_sym_sizeof] = ACTIONS(3339),
    [anon_sym___alignof__] = ACTIONS(3339),
    [anon_sym___alignof] = ACTIONS(3339),
    [anon_sym__alignof] = ACTIONS(3339),
    [anon_sym_alignof] = ACTIONS(3339),
    [anon_sym__Alignof] = ACTIONS(3339),
    [anon_sym_offsetof] = ACTIONS(3339),
    [anon_sym__Generic] = ACTIONS(3339),
    [anon_sym_asm] = ACTIONS(3339),
    [anon_sym___asm__] = ACTIONS(3339),
    [aux_sym_number_literal_token1] = ACTIONS(3341),
    [aux_sym_number_literal_token2] = ACTIONS(3339),
    [anon_sym_L_SQUOTE] = ACTIONS(3341),
    [anon_sym_u_SQUOTE] = ACTIONS(3341),
    [anon_sym_U_SQUOTE] = ACTIONS(3341),
    [anon_sym_u8_SQUOTE] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_L_DQUOTE] = ACTIONS(3341),
    [anon_sym_u_DQUOTE] = ACTIONS(3341),
    [anon_sym_U_DQUOTE] = ACTIONS(3341),
    [anon_sym_u8_DQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3341),
    [sym_true] = ACTIONS(3339),
    [sym_false] = ACTIONS(3339),
    [anon_sym_NULL] = ACTIONS(3339),
    [anon_sym_nullptr] = ACTIONS(3339),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3339),
    [anon_sym_decltype] = ACTIONS(3339),
    [anon_sym_virtual] = ACTIONS(3339),
    [anon_sym_alignas] = ACTIONS(3339),
    [anon_sym_explicit] = ACTIONS(3339),
    [anon_sym_typename] = ACTIONS(3339),
    [anon_sym_template] = ACTIONS(3339),
    [anon_sym_operator] = ACTIONS(3339),
    [anon_sym_try] = ACTIONS(3339),
    [anon_sym_delete] = ACTIONS(3339),
    [anon_sym_throw] = ACTIONS(3339),
    [anon_sym_namespace] = ACTIONS(3339),
    [anon_sym_using] = ACTIONS(3339),
    [anon_sym_static_assert] = ACTIONS(3339),
    [anon_sym_concept] = ACTIONS(3339),
    [anon_sym_co_return] = ACTIONS(3339),
    [anon_sym_co_yield] = ACTIONS(3339),
    [anon_sym_R_DQUOTE] = ACTIONS(3341),
    [anon_sym_LR_DQUOTE] = ACTIONS(3341),
    [anon_sym_uR_DQUOTE] = ACTIONS(3341),
    [anon_sym_UR_DQUOTE] = ACTIONS(3341),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3341),
    [anon_sym_co_await] = ACTIONS(3339),
    [anon_sym_new] = ACTIONS(3339),
    [anon_sym_requires] = ACTIONS(3339),
    [sym_this] = ACTIONS(3339),
  },
  [404] = {
    [sym_identifier] = ACTIONS(3343),
    [aux_sym_preproc_include_token1] = ACTIONS(3343),
    [aux_sym_preproc_def_token1] = ACTIONS(3343),
    [aux_sym_preproc_if_token1] = ACTIONS(3343),
    [aux_sym_preproc_if_token2] = ACTIONS(3343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3343),
    [aux_sym_preproc_else_token1] = ACTIONS(3343),
    [aux_sym_preproc_elif_token1] = ACTIONS(3343),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3343),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3343),
    [sym_preproc_directive] = ACTIONS(3343),
    [anon_sym_LPAREN2] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(3345),
    [anon_sym_AMP_AMP] = ACTIONS(3345),
    [anon_sym_AMP] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3345),
    [anon_sym___extension__] = ACTIONS(3343),
    [anon_sym_typedef] = ACTIONS(3343),
    [anon_sym_extern] = ACTIONS(3343),
    [anon_sym___attribute__] = ACTIONS(3343),
    [anon_sym_COLON_COLON] = ACTIONS(3345),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3345),
    [anon_sym___declspec] = ACTIONS(3343),
    [anon_sym___based] = ACTIONS(3343),
    [anon_sym___cdecl] = ACTIONS(3343),
    [anon_sym___clrcall] = ACTIONS(3343),
    [anon_sym___stdcall] = ACTIONS(3343),
    [anon_sym___fastcall] = ACTIONS(3343),
    [anon_sym___thiscall] = ACTIONS(3343),
    [anon_sym___vectorcall] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3345),
    [anon_sym_signed] = ACTIONS(3343),
    [anon_sym_unsigned] = ACTIONS(3343),
    [anon_sym_long] = ACTIONS(3343),
    [anon_sym_short] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_register] = ACTIONS(3343),
    [anon_sym_inline] = ACTIONS(3343),
    [anon_sym___inline] = ACTIONS(3343),
    [anon_sym___inline__] = ACTIONS(3343),
    [anon_sym___forceinline] = ACTIONS(3343),
    [anon_sym_thread_local] = ACTIONS(3343),
    [anon_sym___thread] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_constexpr] = ACTIONS(3343),
    [anon_sym_volatile] = ACTIONS(3343),
    [anon_sym_restrict] = ACTIONS(3343),
    [anon_sym___restrict__] = ACTIONS(3343),
    [anon_sym__Atomic] = ACTIONS(3343),
    [anon_sym__Noreturn] = ACTIONS(3343),
    [anon_sym_noreturn] = ACTIONS(3343),
    [anon_sym_mutable] = ACTIONS(3343),
    [anon_sym_constinit] = ACTIONS(3343),
    [anon_sym_consteval] = ACTIONS(3343),
    [anon_sym_PROGMEM] = ACTIONS(3343),
    [aux_sym_primitive_type_token1] = ACTIONS(3343),
    [anon_sym_byte] = ACTIONS(3343),
    [anon_sym_word] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_struct] = ACTIONS(3343),
    [anon_sym_union] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_goto] = ACTIONS(3343),
    [anon_sym___try] = ACTIONS(3343),
    [anon_sym___leave] = ACTIONS(3343),
    [anon_sym_not] = ACTIONS(3343),
    [anon_sym_compl] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_sizeof] = ACTIONS(3343),
    [anon_sym___alignof__] = ACTIONS(3343),
    [anon_sym___alignof] = ACTIONS(3343),
    [anon_sym__alignof] = ACTIONS(3343),
    [anon_sym_alignof] = ACTIONS(3343),
    [anon_sym__Alignof] = ACTIONS(3343),
    [anon_sym_offsetof] = ACTIONS(3343),
    [anon_sym__Generic] = ACTIONS(3343),
    [anon_sym_asm] = ACTIONS(3343),
    [anon_sym___asm__] = ACTIONS(3343),
    [aux_sym_number_literal_token1] = ACTIONS(3345),
    [aux_sym_number_literal_token2] = ACTIONS(3343),
    [anon_sym_L_SQUOTE] = ACTIONS(3345),
    [anon_sym_u_SQUOTE] = ACTIONS(3345),
    [anon_sym_U_SQUOTE] = ACTIONS(3345),
    [anon_sym_u8_SQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [anon_sym_L_DQUOTE] = ACTIONS(3345),
    [anon_sym_u_DQUOTE] = ACTIONS(3345),
    [anon_sym_U_DQUOTE] = ACTIONS(3345),
    [anon_sym_u8_DQUOTE] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [anon_sym_NULL] = ACTIONS(3343),
    [anon_sym_nullptr] = ACTIONS(3343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3343),
    [anon_sym_decltype] = ACTIONS(3343),
    [anon_sym_virtual] = ACTIONS(3343),
    [anon_sym_alignas] = ACTIONS(3343),
    [anon_sym_explicit] = ACTIONS(3343),
    [anon_sym_typename] = ACTIONS(3343),
    [anon_sym_template] = ACTIONS(3343),
    [anon_sym_operator] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_static_assert] = ACTIONS(3343),
    [anon_sym_concept] = ACTIONS(3343),
    [anon_sym_co_return] = ACTIONS(3343),
    [anon_sym_co_yield] = ACTIONS(3343),
    [anon_sym_R_DQUOTE] = ACTIONS(3345),
    [anon_sym_LR_DQUOTE] = ACTIONS(3345),
    [anon_sym_uR_DQUOTE] = ACTIONS(3345),
    [anon_sym_UR_DQUOTE] = ACTIONS(3345),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3345),
    [anon_sym_co_await] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_requires] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
  },
  [405] = {
    [sym_identifier] = ACTIONS(3347),
    [aux_sym_preproc_include_token1] = ACTIONS(3347),
    [aux_sym_preproc_def_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token2] = ACTIONS(3347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3347),
    [aux_sym_preproc_else_token1] = ACTIONS(3347),
    [aux_sym_preproc_elif_token1] = ACTIONS(3347),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3347),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3347),
    [sym_preproc_directive] = ACTIONS(3347),
    [anon_sym_LPAREN2] = ACTIONS(3349),
    [anon_sym_BANG] = ACTIONS(3349),
    [anon_sym_TILDE] = ACTIONS(3349),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_AMP_AMP] = ACTIONS(3349),
    [anon_sym_AMP] = ACTIONS(3347),
    [anon_sym_SEMI] = ACTIONS(3349),
    [anon_sym___extension__] = ACTIONS(3347),
    [anon_sym_typedef] = ACTIONS(3347),
    [anon_sym_extern] = ACTIONS(3347),
    [anon_sym___attribute__] = ACTIONS(3347),
    [anon_sym_COLON_COLON] = ACTIONS(3349),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3349),
    [anon_sym___declspec] = ACTIONS(3347),
    [anon_sym___based] = ACTIONS(3347),
    [anon_sym___cdecl] = ACTIONS(3347),
    [anon_sym___clrcall] = ACTIONS(3347),
    [anon_sym___stdcall] = ACTIONS(3347),
    [anon_sym___fastcall] = ACTIONS(3347),
    [anon_sym___thiscall] = ACTIONS(3347),
    [anon_sym___vectorcall] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3349),
    [anon_sym_signed] = ACTIONS(3347),
    [anon_sym_unsigned] = ACTIONS(3347),
    [anon_sym_long] = ACTIONS(3347),
    [anon_sym_short] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_register] = ACTIONS(3347),
    [anon_sym_inline] = ACTIONS(3347),
    [anon_sym___inline] = ACTIONS(3347),
    [anon_sym___inline__] = ACTIONS(3347),
    [anon_sym___forceinline] = ACTIONS(3347),
    [anon_sym_thread_local] = ACTIONS(3347),
    [anon_sym___thread] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_constexpr] = ACTIONS(3347),
    [anon_sym_volatile] = ACTIONS(3347),
    [anon_sym_restrict] = ACTIONS(3347),
    [anon_sym___restrict__] = ACTIONS(3347),
    [anon_sym__Atomic] = ACTIONS(3347),
    [anon_sym__Noreturn] = ACTIONS(3347),
    [anon_sym_noreturn] = ACTIONS(3347),
    [anon_sym_mutable] = ACTIONS(3347),
    [anon_sym_constinit] = ACTIONS(3347),
    [anon_sym_consteval] = ACTIONS(3347),
    [anon_sym_PROGMEM] = ACTIONS(3347),
    [aux_sym_primitive_type_token1] = ACTIONS(3347),
    [anon_sym_byte] = ACTIONS(3347),
    [anon_sym_word] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_struct] = ACTIONS(3347),
    [anon_sym_union] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(3347),
    [anon_sym_switch] = ACTIONS(3347),
    [anon_sym_case] = ACTIONS(3347),
    [anon_sym_default] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(3347),
    [anon_sym_do] = ACTIONS(3347),
    [anon_sym_for] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3347),
    [anon_sym_break] = ACTIONS(3347),
    [anon_sym_continue] = ACTIONS(3347),
    [anon_sym_goto] = ACTIONS(3347),
    [anon_sym___try] = ACTIONS(3347),
    [anon_sym___leave] = ACTIONS(3347),
    [anon_sym_not] = ACTIONS(3347),
    [anon_sym_compl] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3349),
    [anon_sym_PLUS_PLUS] = ACTIONS(3349),
    [anon_sym_sizeof] = ACTIONS(3347),
    [anon_sym___alignof__] = ACTIONS(3347),
    [anon_sym___alignof] = ACTIONS(3347),
    [anon_sym__alignof] = ACTIONS(3347),
    [anon_sym_alignof] = ACTIONS(3347),
    [anon_sym__Alignof] = ACTIONS(3347),
    [anon_sym_offsetof] = ACTIONS(3347),
    [anon_sym__Generic] = ACTIONS(3347),
    [anon_sym_asm] = ACTIONS(3347),
    [anon_sym___asm__] = ACTIONS(3347),
    [aux_sym_number_literal_token1] = ACTIONS(3349),
    [aux_sym_number_literal_token2] = ACTIONS(3347),
    [anon_sym_L_SQUOTE] = ACTIONS(3349),
    [anon_sym_u_SQUOTE] = ACTIONS(3349),
    [anon_sym_U_SQUOTE] = ACTIONS(3349),
    [anon_sym_u8_SQUOTE] = ACTIONS(3349),
    [anon_sym_SQUOTE] = ACTIONS(3349),
    [anon_sym_L_DQUOTE] = ACTIONS(3349),
    [anon_sym_u_DQUOTE] = ACTIONS(3349),
    [anon_sym_U_DQUOTE] = ACTIONS(3349),
    [anon_sym_u8_DQUOTE] = ACTIONS(3349),
    [anon_sym_DQUOTE] = ACTIONS(3349),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [anon_sym_NULL] = ACTIONS(3347),
    [anon_sym_nullptr] = ACTIONS(3347),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3347),
    [anon_sym_decltype] = ACTIONS(3347),
    [anon_sym_virtual] = ACTIONS(3347),
    [anon_sym_alignas] = ACTIONS(3347),
    [anon_sym_explicit] = ACTIONS(3347),
    [anon_sym_typename] = ACTIONS(3347),
    [anon_sym_template] = ACTIONS(3347),
    [anon_sym_operator] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3347),
    [anon_sym_delete] = ACTIONS(3347),
    [anon_sym_throw] = ACTIONS(3347),
    [anon_sym_namespace] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_static_assert] = ACTIONS(3347),
    [anon_sym_concept] = ACTIONS(3347),
    [anon_sym_co_return] = ACTIONS(3347),
    [anon_sym_co_yield] = ACTIONS(3347),
    [anon_sym_R_DQUOTE] = ACTIONS(3349),
    [anon_sym_LR_DQUOTE] = ACTIONS(3349),
    [anon_sym_uR_DQUOTE] = ACTIONS(3349),
    [anon_sym_UR_DQUOTE] = ACTIONS(3349),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3349),
    [anon_sym_co_await] = ACTIONS(3347),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_requires] = ACTIONS(3347),
    [sym_this] = ACTIONS(3347),
  },
  [406] = {
    [sym_identifier] = ACTIONS(3351),
    [aux_sym_preproc_include_token1] = ACTIONS(3351),
    [aux_sym_preproc_def_token1] = ACTIONS(3351),
    [aux_sym_preproc_if_token1] = ACTIONS(3351),
    [aux_sym_preproc_if_token2] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3351),
    [aux_sym_preproc_else_token1] = ACTIONS(3351),
    [aux_sym_preproc_elif_token1] = ACTIONS(3351),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3351),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3351),
    [sym_preproc_directive] = ACTIONS(3351),
    [anon_sym_LPAREN2] = ACTIONS(3353),
    [anon_sym_BANG] = ACTIONS(3353),
    [anon_sym_TILDE] = ACTIONS(3353),
    [anon_sym_DASH] = ACTIONS(3351),
    [anon_sym_PLUS] = ACTIONS(3351),
    [anon_sym_STAR] = ACTIONS(3353),
    [anon_sym_AMP_AMP] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(3351),
    [anon_sym_SEMI] = ACTIONS(3353),
    [anon_sym___extension__] = ACTIONS(3351),
    [anon_sym_typedef] = ACTIONS(3351),
    [anon_sym_extern] = ACTIONS(3351),
    [anon_sym___attribute__] = ACTIONS(3351),
    [anon_sym_COLON_COLON] = ACTIONS(3353),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3353),
    [anon_sym___declspec] = ACTIONS(3351),
    [anon_sym___based] = ACTIONS(3351),
    [anon_sym___cdecl] = ACTIONS(3351),
    [anon_sym___clrcall] = ACTIONS(3351),
    [anon_sym___stdcall] = ACTIONS(3351),
    [anon_sym___fastcall] = ACTIONS(3351),
    [anon_sym___thiscall] = ACTIONS(3351),
    [anon_sym___vectorcall] = ACTIONS(3351),
    [anon_sym_LBRACE] = ACTIONS(3353),
    [anon_sym_signed] = ACTIONS(3351),
    [anon_sym_unsigned] = ACTIONS(3351),
    [anon_sym_long] = ACTIONS(3351),
    [anon_sym_short] = ACTIONS(3351),
    [anon_sym_LBRACK] = ACTIONS(3351),
    [anon_sym_static] = ACTIONS(3351),
    [anon_sym_register] = ACTIONS(3351),
    [anon_sym_inline] = ACTIONS(3351),
    [anon_sym___inline] = ACTIONS(3351),
    [anon_sym___inline__] = ACTIONS(3351),
    [anon_sym___forceinline] = ACTIONS(3351),
    [anon_sym_thread_local] = ACTIONS(3351),
    [anon_sym___thread] = ACTIONS(3351),
    [anon_sym_const] = ACTIONS(3351),
    [anon_sym_constexpr] = ACTIONS(3351),
    [anon_sym_volatile] = ACTIONS(3351),
    [anon_sym_restrict] = ACTIONS(3351),
    [anon_sym___restrict__] = ACTIONS(3351),
    [anon_sym__Atomic] = ACTIONS(3351),
    [anon_sym__Noreturn] = ACTIONS(3351),
    [anon_sym_noreturn] = ACTIONS(3351),
    [anon_sym_mutable] = ACTIONS(3351),
    [anon_sym_constinit] = ACTIONS(3351),
    [anon_sym_consteval] = ACTIONS(3351),
    [anon_sym_PROGMEM] = ACTIONS(3351),
    [aux_sym_primitive_type_token1] = ACTIONS(3351),
    [anon_sym_byte] = ACTIONS(3351),
    [anon_sym_word] = ACTIONS(3351),
    [anon_sym_enum] = ACTIONS(3351),
    [anon_sym_class] = ACTIONS(3351),
    [anon_sym_struct] = ACTIONS(3351),
    [anon_sym_union] = ACTIONS(3351),
    [anon_sym_if] = ACTIONS(3351),
    [anon_sym_switch] = ACTIONS(3351),
    [anon_sym_case] = ACTIONS(3351),
    [anon_sym_default] = ACTIONS(3351),
    [anon_sym_while] = ACTIONS(3351),
    [anon_sym_do] = ACTIONS(3351),
    [anon_sym_for] = ACTIONS(3351),
    [anon_sym_return] = ACTIONS(3351),
    [anon_sym_break] = ACTIONS(3351),
    [anon_sym_continue] = ACTIONS(3351),
    [anon_sym_goto] = ACTIONS(3351),
    [anon_sym___try] = ACTIONS(3351),
    [anon_sym___leave] = ACTIONS(3351),
    [anon_sym_not] = ACTIONS(3351),
    [anon_sym_compl] = ACTIONS(3351),
    [anon_sym_DASH_DASH] = ACTIONS(3353),
    [anon_sym_PLUS_PLUS] = ACTIONS(3353),
    [anon_sym_sizeof] = ACTIONS(3351),
    [anon_sym___alignof__] = ACTIONS(3351),
    [anon_sym___alignof] = ACTIONS(3351),
    [anon_sym__alignof] = ACTIONS(3351),
    [anon_sym_alignof] = ACTIONS(3351),
    [anon_sym__Alignof] = ACTIONS(3351),
    [anon_sym_offsetof] = ACTIONS(3351),
    [anon_sym__Generic] = ACTIONS(3351),
    [anon_sym_asm] = ACTIONS(3351),
    [anon_sym___asm__] = ACTIONS(3351),
    [aux_sym_number_literal_token1] = ACTIONS(3353),
    [aux_sym_number_literal_token2] = ACTIONS(3351),
    [anon_sym_L_SQUOTE] = ACTIONS(3353),
    [anon_sym_u_SQUOTE] = ACTIONS(3353),
    [anon_sym_U_SQUOTE] = ACTIONS(3353),
    [anon_sym_u8_SQUOTE] = ACTIONS(3353),
    [anon_sym_SQUOTE] = ACTIONS(3353),
    [anon_sym_L_DQUOTE] = ACTIONS(3353),
    [anon_sym_u_DQUOTE] = ACTIONS(3353),
    [anon_sym_U_DQUOTE] = ACTIONS(3353),
    [anon_sym_u8_DQUOTE] = ACTIONS(3353),
    [anon_sym_DQUOTE] = ACTIONS(3353),
    [sym_true] = ACTIONS(3351),
    [sym_false] = ACTIONS(3351),
    [anon_sym_NULL] = ACTIONS(3351),
    [anon_sym_nullptr] = ACTIONS(3351),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3351),
    [anon_sym_decltype] = ACTIONS(3351),
    [anon_sym_virtual] = ACTIONS(3351),
    [anon_sym_alignas] = ACTIONS(3351),
    [anon_sym_explicit] = ACTIONS(3351),
    [anon_sym_typename] = ACTIONS(3351),
    [anon_sym_template] = ACTIONS(3351),
    [anon_sym_operator] = ACTIONS(3351),
    [anon_sym_try] = ACTIONS(3351),
    [anon_sym_delete] = ACTIONS(3351),
    [anon_sym_throw] = ACTIONS(3351),
    [anon_sym_namespace] = ACTIONS(3351),
    [anon_sym_using] = ACTIONS(3351),
    [anon_sym_static_assert] = ACTIONS(3351),
    [anon_sym_concept] = ACTIONS(3351),
    [anon_sym_co_return] = ACTIONS(3351),
    [anon_sym_co_yield] = ACTIONS(3351),
    [anon_sym_R_DQUOTE] = ACTIONS(3353),
    [anon_sym_LR_DQUOTE] = ACTIONS(3353),
    [anon_sym_uR_DQUOTE] = ACTIONS(3353),
    [anon_sym_UR_DQUOTE] = ACTIONS(3353),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3353),
    [anon_sym_co_await] = ACTIONS(3351),
    [anon_sym_new] = ACTIONS(3351),
    [anon_sym_requires] = ACTIONS(3351),
    [sym_this] = ACTIONS(3351),
  },
  [407] = {
    [sym_preproc_def] = STATE(834),
    [sym_preproc_function_def] = STATE(834),
    [sym_preproc_call] = STATE(834),
    [sym_preproc_if_in_field_declaration_list] = STATE(834),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(834),
    [sym_preproc_else_in_field_declaration_list] = STATE(8691),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8691),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8691),
    [sym_type_definition] = STATE(834),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6331),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6985),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(834),
    [sym_field_declaration] = STATE(834),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2150),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(834),
    [sym_operator_cast] = STATE(7390),
    [sym_inline_method_definition] = STATE(834),
    [sym__constructor_specifiers] = STATE(2150),
    [sym_operator_cast_definition] = STATE(834),
    [sym_operator_cast_declaration] = STATE(834),
    [sym_constructor_or_destructor_definition] = STATE(834),
    [sym_constructor_or_destructor_declaration] = STATE(834),
    [sym_friend_declaration] = STATE(834),
    [sym_access_specifier] = STATE(9040),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(834),
    [sym_alias_declaration] = STATE(834),
    [sym_static_assert_declaration] = STATE(834),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7390),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(834),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2150),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token1] = ACTIONS(3228),
    [aux_sym_preproc_if_token2] = ACTIONS(3355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3232),
    [aux_sym_preproc_else_token1] = ACTIONS(3234),
    [aux_sym_preproc_elif_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3238),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3238),
    [sym_preproc_directive] = ACTIONS(3240),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3250),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3270),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3274),
    [anon_sym_static_assert] = ACTIONS(3276),
  },
  [408] = {
    [sym_identifier] = ACTIONS(3357),
    [aux_sym_preproc_include_token1] = ACTIONS(3357),
    [aux_sym_preproc_def_token1] = ACTIONS(3357),
    [aux_sym_preproc_if_token1] = ACTIONS(3357),
    [aux_sym_preproc_if_token2] = ACTIONS(3357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3357),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3357),
    [aux_sym_preproc_else_token1] = ACTIONS(3357),
    [aux_sym_preproc_elif_token1] = ACTIONS(3357),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3357),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3357),
    [sym_preproc_directive] = ACTIONS(3357),
    [anon_sym_LPAREN2] = ACTIONS(3359),
    [anon_sym_BANG] = ACTIONS(3359),
    [anon_sym_TILDE] = ACTIONS(3359),
    [anon_sym_DASH] = ACTIONS(3357),
    [anon_sym_PLUS] = ACTIONS(3357),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_AMP_AMP] = ACTIONS(3359),
    [anon_sym_AMP] = ACTIONS(3357),
    [anon_sym_SEMI] = ACTIONS(3359),
    [anon_sym___extension__] = ACTIONS(3357),
    [anon_sym_typedef] = ACTIONS(3357),
    [anon_sym_extern] = ACTIONS(3357),
    [anon_sym___attribute__] = ACTIONS(3357),
    [anon_sym_COLON_COLON] = ACTIONS(3359),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3359),
    [anon_sym___declspec] = ACTIONS(3357),
    [anon_sym___based] = ACTIONS(3357),
    [anon_sym___cdecl] = ACTIONS(3357),
    [anon_sym___clrcall] = ACTIONS(3357),
    [anon_sym___stdcall] = ACTIONS(3357),
    [anon_sym___fastcall] = ACTIONS(3357),
    [anon_sym___thiscall] = ACTIONS(3357),
    [anon_sym___vectorcall] = ACTIONS(3357),
    [anon_sym_LBRACE] = ACTIONS(3359),
    [anon_sym_signed] = ACTIONS(3357),
    [anon_sym_unsigned] = ACTIONS(3357),
    [anon_sym_long] = ACTIONS(3357),
    [anon_sym_short] = ACTIONS(3357),
    [anon_sym_LBRACK] = ACTIONS(3357),
    [anon_sym_static] = ACTIONS(3357),
    [anon_sym_register] = ACTIONS(3357),
    [anon_sym_inline] = ACTIONS(3357),
    [anon_sym___inline] = ACTIONS(3357),
    [anon_sym___inline__] = ACTIONS(3357),
    [anon_sym___forceinline] = ACTIONS(3357),
    [anon_sym_thread_local] = ACTIONS(3357),
    [anon_sym___thread] = ACTIONS(3357),
    [anon_sym_const] = ACTIONS(3357),
    [anon_sym_constexpr] = ACTIONS(3357),
    [anon_sym_volatile] = ACTIONS(3357),
    [anon_sym_restrict] = ACTIONS(3357),
    [anon_sym___restrict__] = ACTIONS(3357),
    [anon_sym__Atomic] = ACTIONS(3357),
    [anon_sym__Noreturn] = ACTIONS(3357),
    [anon_sym_noreturn] = ACTIONS(3357),
    [anon_sym_mutable] = ACTIONS(3357),
    [anon_sym_constinit] = ACTIONS(3357),
    [anon_sym_consteval] = ACTIONS(3357),
    [anon_sym_PROGMEM] = ACTIONS(3357),
    [aux_sym_primitive_type_token1] = ACTIONS(3357),
    [anon_sym_byte] = ACTIONS(3357),
    [anon_sym_word] = ACTIONS(3357),
    [anon_sym_enum] = ACTIONS(3357),
    [anon_sym_class] = ACTIONS(3357),
    [anon_sym_struct] = ACTIONS(3357),
    [anon_sym_union] = ACTIONS(3357),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_switch] = ACTIONS(3357),
    [anon_sym_case] = ACTIONS(3357),
    [anon_sym_default] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(3357),
    [anon_sym_do] = ACTIONS(3357),
    [anon_sym_for] = ACTIONS(3357),
    [anon_sym_return] = ACTIONS(3357),
    [anon_sym_break] = ACTIONS(3357),
    [anon_sym_continue] = ACTIONS(3357),
    [anon_sym_goto] = ACTIONS(3357),
    [anon_sym___try] = ACTIONS(3357),
    [anon_sym___leave] = ACTIONS(3357),
    [anon_sym_not] = ACTIONS(3357),
    [anon_sym_compl] = ACTIONS(3357),
    [anon_sym_DASH_DASH] = ACTIONS(3359),
    [anon_sym_PLUS_PLUS] = ACTIONS(3359),
    [anon_sym_sizeof] = ACTIONS(3357),
    [anon_sym___alignof__] = ACTIONS(3357),
    [anon_sym___alignof] = ACTIONS(3357),
    [anon_sym__alignof] = ACTIONS(3357),
    [anon_sym_alignof] = ACTIONS(3357),
    [anon_sym__Alignof] = ACTIONS(3357),
    [anon_sym_offsetof] = ACTIONS(3357),
    [anon_sym__Generic] = ACTIONS(3357),
    [anon_sym_asm] = ACTIONS(3357),
    [anon_sym___asm__] = ACTIONS(3357),
    [aux_sym_number_literal_token1] = ACTIONS(3359),
    [aux_sym_number_literal_token2] = ACTIONS(3357),
    [anon_sym_L_SQUOTE] = ACTIONS(3359),
    [anon_sym_u_SQUOTE] = ACTIONS(3359),
    [anon_sym_U_SQUOTE] = ACTIONS(3359),
    [anon_sym_u8_SQUOTE] = ACTIONS(3359),
    [anon_sym_SQUOTE] = ACTIONS(3359),
    [anon_sym_L_DQUOTE] = ACTIONS(3359),
    [anon_sym_u_DQUOTE] = ACTIONS(3359),
    [anon_sym_U_DQUOTE] = ACTIONS(3359),
    [anon_sym_u8_DQUOTE] = ACTIONS(3359),
    [anon_sym_DQUOTE] = ACTIONS(3359),
    [sym_true] = ACTIONS(3357),
    [sym_false] = ACTIONS(3357),
    [anon_sym_NULL] = ACTIONS(3357),
    [anon_sym_nullptr] = ACTIONS(3357),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3357),
    [anon_sym_decltype] = ACTIONS(3357),
    [anon_sym_virtual] = ACTIONS(3357),
    [anon_sym_alignas] = ACTIONS(3357),
    [anon_sym_explicit] = ACTIONS(3357),
    [anon_sym_typename] = ACTIONS(3357),
    [anon_sym_template] = ACTIONS(3357),
    [anon_sym_operator] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(3357),
    [anon_sym_delete] = ACTIONS(3357),
    [anon_sym_throw] = ACTIONS(3357),
    [anon_sym_namespace] = ACTIONS(3357),
    [anon_sym_using] = ACTIONS(3357),
    [anon_sym_static_assert] = ACTIONS(3357),
    [anon_sym_concept] = ACTIONS(3357),
    [anon_sym_co_return] = ACTIONS(3357),
    [anon_sym_co_yield] = ACTIONS(3357),
    [anon_sym_R_DQUOTE] = ACTIONS(3359),
    [anon_sym_LR_DQUOTE] = ACTIONS(3359),
    [anon_sym_uR_DQUOTE] = ACTIONS(3359),
    [anon_sym_UR_DQUOTE] = ACTIONS(3359),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3359),
    [anon_sym_co_await] = ACTIONS(3357),
    [anon_sym_new] = ACTIONS(3357),
    [anon_sym_requires] = ACTIONS(3357),
    [sym_this] = ACTIONS(3357),
  },
  [409] = {
    [sym_identifier] = ACTIONS(3361),
    [aux_sym_preproc_include_token1] = ACTIONS(3361),
    [aux_sym_preproc_def_token1] = ACTIONS(3361),
    [aux_sym_preproc_if_token1] = ACTIONS(3361),
    [aux_sym_preproc_if_token2] = ACTIONS(3361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3361),
    [aux_sym_preproc_else_token1] = ACTIONS(3361),
    [aux_sym_preproc_elif_token1] = ACTIONS(3361),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3361),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3361),
    [sym_preproc_directive] = ACTIONS(3361),
    [anon_sym_LPAREN2] = ACTIONS(3363),
    [anon_sym_BANG] = ACTIONS(3363),
    [anon_sym_TILDE] = ACTIONS(3363),
    [anon_sym_DASH] = ACTIONS(3361),
    [anon_sym_PLUS] = ACTIONS(3361),
    [anon_sym_STAR] = ACTIONS(3363),
    [anon_sym_AMP_AMP] = ACTIONS(3363),
    [anon_sym_AMP] = ACTIONS(3361),
    [anon_sym_SEMI] = ACTIONS(3363),
    [anon_sym___extension__] = ACTIONS(3361),
    [anon_sym_typedef] = ACTIONS(3361),
    [anon_sym_extern] = ACTIONS(3361),
    [anon_sym___attribute__] = ACTIONS(3361),
    [anon_sym_COLON_COLON] = ACTIONS(3363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3363),
    [anon_sym___declspec] = ACTIONS(3361),
    [anon_sym___based] = ACTIONS(3361),
    [anon_sym___cdecl] = ACTIONS(3361),
    [anon_sym___clrcall] = ACTIONS(3361),
    [anon_sym___stdcall] = ACTIONS(3361),
    [anon_sym___fastcall] = ACTIONS(3361),
    [anon_sym___thiscall] = ACTIONS(3361),
    [anon_sym___vectorcall] = ACTIONS(3361),
    [anon_sym_LBRACE] = ACTIONS(3363),
    [anon_sym_signed] = ACTIONS(3361),
    [anon_sym_unsigned] = ACTIONS(3361),
    [anon_sym_long] = ACTIONS(3361),
    [anon_sym_short] = ACTIONS(3361),
    [anon_sym_LBRACK] = ACTIONS(3361),
    [anon_sym_static] = ACTIONS(3361),
    [anon_sym_register] = ACTIONS(3361),
    [anon_sym_inline] = ACTIONS(3361),
    [anon_sym___inline] = ACTIONS(3361),
    [anon_sym___inline__] = ACTIONS(3361),
    [anon_sym___forceinline] = ACTIONS(3361),
    [anon_sym_thread_local] = ACTIONS(3361),
    [anon_sym___thread] = ACTIONS(3361),
    [anon_sym_const] = ACTIONS(3361),
    [anon_sym_constexpr] = ACTIONS(3361),
    [anon_sym_volatile] = ACTIONS(3361),
    [anon_sym_restrict] = ACTIONS(3361),
    [anon_sym___restrict__] = ACTIONS(3361),
    [anon_sym__Atomic] = ACTIONS(3361),
    [anon_sym__Noreturn] = ACTIONS(3361),
    [anon_sym_noreturn] = ACTIONS(3361),
    [anon_sym_mutable] = ACTIONS(3361),
    [anon_sym_constinit] = ACTIONS(3361),
    [anon_sym_consteval] = ACTIONS(3361),
    [anon_sym_PROGMEM] = ACTIONS(3361),
    [aux_sym_primitive_type_token1] = ACTIONS(3361),
    [anon_sym_byte] = ACTIONS(3361),
    [anon_sym_word] = ACTIONS(3361),
    [anon_sym_enum] = ACTIONS(3361),
    [anon_sym_class] = ACTIONS(3361),
    [anon_sym_struct] = ACTIONS(3361),
    [anon_sym_union] = ACTIONS(3361),
    [anon_sym_if] = ACTIONS(3361),
    [anon_sym_switch] = ACTIONS(3361),
    [anon_sym_case] = ACTIONS(3361),
    [anon_sym_default] = ACTIONS(3361),
    [anon_sym_while] = ACTIONS(3361),
    [anon_sym_do] = ACTIONS(3361),
    [anon_sym_for] = ACTIONS(3361),
    [anon_sym_return] = ACTIONS(3361),
    [anon_sym_break] = ACTIONS(3361),
    [anon_sym_continue] = ACTIONS(3361),
    [anon_sym_goto] = ACTIONS(3361),
    [anon_sym___try] = ACTIONS(3361),
    [anon_sym___leave] = ACTIONS(3361),
    [anon_sym_not] = ACTIONS(3361),
    [anon_sym_compl] = ACTIONS(3361),
    [anon_sym_DASH_DASH] = ACTIONS(3363),
    [anon_sym_PLUS_PLUS] = ACTIONS(3363),
    [anon_sym_sizeof] = ACTIONS(3361),
    [anon_sym___alignof__] = ACTIONS(3361),
    [anon_sym___alignof] = ACTIONS(3361),
    [anon_sym__alignof] = ACTIONS(3361),
    [anon_sym_alignof] = ACTIONS(3361),
    [anon_sym__Alignof] = ACTIONS(3361),
    [anon_sym_offsetof] = ACTIONS(3361),
    [anon_sym__Generic] = ACTIONS(3361),
    [anon_sym_asm] = ACTIONS(3361),
    [anon_sym___asm__] = ACTIONS(3361),
    [aux_sym_number_literal_token1] = ACTIONS(3363),
    [aux_sym_number_literal_token2] = ACTIONS(3361),
    [anon_sym_L_SQUOTE] = ACTIONS(3363),
    [anon_sym_u_SQUOTE] = ACTIONS(3363),
    [anon_sym_U_SQUOTE] = ACTIONS(3363),
    [anon_sym_u8_SQUOTE] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(3363),
    [anon_sym_L_DQUOTE] = ACTIONS(3363),
    [anon_sym_u_DQUOTE] = ACTIONS(3363),
    [anon_sym_U_DQUOTE] = ACTIONS(3363),
    [anon_sym_u8_DQUOTE] = ACTIONS(3363),
    [anon_sym_DQUOTE] = ACTIONS(3363),
    [sym_true] = ACTIONS(3361),
    [sym_false] = ACTIONS(3361),
    [anon_sym_NULL] = ACTIONS(3361),
    [anon_sym_nullptr] = ACTIONS(3361),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3361),
    [anon_sym_decltype] = ACTIONS(3361),
    [anon_sym_virtual] = ACTIONS(3361),
    [anon_sym_alignas] = ACTIONS(3361),
    [anon_sym_explicit] = ACTIONS(3361),
    [anon_sym_typename] = ACTIONS(3361),
    [anon_sym_template] = ACTIONS(3361),
    [anon_sym_operator] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3361),
    [anon_sym_delete] = ACTIONS(3361),
    [anon_sym_throw] = ACTIONS(3361),
    [anon_sym_namespace] = ACTIONS(3361),
    [anon_sym_using] = ACTIONS(3361),
    [anon_sym_static_assert] = ACTIONS(3361),
    [anon_sym_concept] = ACTIONS(3361),
    [anon_sym_co_return] = ACTIONS(3361),
    [anon_sym_co_yield] = ACTIONS(3361),
    [anon_sym_R_DQUOTE] = ACTIONS(3363),
    [anon_sym_LR_DQUOTE] = ACTIONS(3363),
    [anon_sym_uR_DQUOTE] = ACTIONS(3363),
    [anon_sym_UR_DQUOTE] = ACTIONS(3363),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3363),
    [anon_sym_co_await] = ACTIONS(3361),
    [anon_sym_new] = ACTIONS(3361),
    [anon_sym_requires] = ACTIONS(3361),
    [sym_this] = ACTIONS(3361),
  },
  [410] = {
    [sym_identifier] = ACTIONS(3365),
    [aux_sym_preproc_include_token1] = ACTIONS(3365),
    [aux_sym_preproc_def_token1] = ACTIONS(3365),
    [aux_sym_preproc_if_token1] = ACTIONS(3365),
    [aux_sym_preproc_if_token2] = ACTIONS(3365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3365),
    [aux_sym_preproc_else_token1] = ACTIONS(3365),
    [aux_sym_preproc_elif_token1] = ACTIONS(3365),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3365),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3365),
    [sym_preproc_directive] = ACTIONS(3365),
    [anon_sym_LPAREN2] = ACTIONS(3367),
    [anon_sym_BANG] = ACTIONS(3367),
    [anon_sym_TILDE] = ACTIONS(3367),
    [anon_sym_DASH] = ACTIONS(3365),
    [anon_sym_PLUS] = ACTIONS(3365),
    [anon_sym_STAR] = ACTIONS(3367),
    [anon_sym_AMP_AMP] = ACTIONS(3367),
    [anon_sym_AMP] = ACTIONS(3365),
    [anon_sym_SEMI] = ACTIONS(3367),
    [anon_sym___extension__] = ACTIONS(3365),
    [anon_sym_typedef] = ACTIONS(3365),
    [anon_sym_extern] = ACTIONS(3365),
    [anon_sym___attribute__] = ACTIONS(3365),
    [anon_sym_COLON_COLON] = ACTIONS(3367),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3367),
    [anon_sym___declspec] = ACTIONS(3365),
    [anon_sym___based] = ACTIONS(3365),
    [anon_sym___cdecl] = ACTIONS(3365),
    [anon_sym___clrcall] = ACTIONS(3365),
    [anon_sym___stdcall] = ACTIONS(3365),
    [anon_sym___fastcall] = ACTIONS(3365),
    [anon_sym___thiscall] = ACTIONS(3365),
    [anon_sym___vectorcall] = ACTIONS(3365),
    [anon_sym_LBRACE] = ACTIONS(3367),
    [anon_sym_signed] = ACTIONS(3365),
    [anon_sym_unsigned] = ACTIONS(3365),
    [anon_sym_long] = ACTIONS(3365),
    [anon_sym_short] = ACTIONS(3365),
    [anon_sym_LBRACK] = ACTIONS(3365),
    [anon_sym_static] = ACTIONS(3365),
    [anon_sym_register] = ACTIONS(3365),
    [anon_sym_inline] = ACTIONS(3365),
    [anon_sym___inline] = ACTIONS(3365),
    [anon_sym___inline__] = ACTIONS(3365),
    [anon_sym___forceinline] = ACTIONS(3365),
    [anon_sym_thread_local] = ACTIONS(3365),
    [anon_sym___thread] = ACTIONS(3365),
    [anon_sym_const] = ACTIONS(3365),
    [anon_sym_constexpr] = ACTIONS(3365),
    [anon_sym_volatile] = ACTIONS(3365),
    [anon_sym_restrict] = ACTIONS(3365),
    [anon_sym___restrict__] = ACTIONS(3365),
    [anon_sym__Atomic] = ACTIONS(3365),
    [anon_sym__Noreturn] = ACTIONS(3365),
    [anon_sym_noreturn] = ACTIONS(3365),
    [anon_sym_mutable] = ACTIONS(3365),
    [anon_sym_constinit] = ACTIONS(3365),
    [anon_sym_consteval] = ACTIONS(3365),
    [anon_sym_PROGMEM] = ACTIONS(3365),
    [aux_sym_primitive_type_token1] = ACTIONS(3365),
    [anon_sym_byte] = ACTIONS(3365),
    [anon_sym_word] = ACTIONS(3365),
    [anon_sym_enum] = ACTIONS(3365),
    [anon_sym_class] = ACTIONS(3365),
    [anon_sym_struct] = ACTIONS(3365),
    [anon_sym_union] = ACTIONS(3365),
    [anon_sym_if] = ACTIONS(3365),
    [anon_sym_switch] = ACTIONS(3365),
    [anon_sym_case] = ACTIONS(3365),
    [anon_sym_default] = ACTIONS(3365),
    [anon_sym_while] = ACTIONS(3365),
    [anon_sym_do] = ACTIONS(3365),
    [anon_sym_for] = ACTIONS(3365),
    [anon_sym_return] = ACTIONS(3365),
    [anon_sym_break] = ACTIONS(3365),
    [anon_sym_continue] = ACTIONS(3365),
    [anon_sym_goto] = ACTIONS(3365),
    [anon_sym___try] = ACTIONS(3365),
    [anon_sym___leave] = ACTIONS(3365),
    [anon_sym_not] = ACTIONS(3365),
    [anon_sym_compl] = ACTIONS(3365),
    [anon_sym_DASH_DASH] = ACTIONS(3367),
    [anon_sym_PLUS_PLUS] = ACTIONS(3367),
    [anon_sym_sizeof] = ACTIONS(3365),
    [anon_sym___alignof__] = ACTIONS(3365),
    [anon_sym___alignof] = ACTIONS(3365),
    [anon_sym__alignof] = ACTIONS(3365),
    [anon_sym_alignof] = ACTIONS(3365),
    [anon_sym__Alignof] = ACTIONS(3365),
    [anon_sym_offsetof] = ACTIONS(3365),
    [anon_sym__Generic] = ACTIONS(3365),
    [anon_sym_asm] = ACTIONS(3365),
    [anon_sym___asm__] = ACTIONS(3365),
    [aux_sym_number_literal_token1] = ACTIONS(3367),
    [aux_sym_number_literal_token2] = ACTIONS(3365),
    [anon_sym_L_SQUOTE] = ACTIONS(3367),
    [anon_sym_u_SQUOTE] = ACTIONS(3367),
    [anon_sym_U_SQUOTE] = ACTIONS(3367),
    [anon_sym_u8_SQUOTE] = ACTIONS(3367),
    [anon_sym_SQUOTE] = ACTIONS(3367),
    [anon_sym_L_DQUOTE] = ACTIONS(3367),
    [anon_sym_u_DQUOTE] = ACTIONS(3367),
    [anon_sym_U_DQUOTE] = ACTIONS(3367),
    [anon_sym_u8_DQUOTE] = ACTIONS(3367),
    [anon_sym_DQUOTE] = ACTIONS(3367),
    [sym_true] = ACTIONS(3365),
    [sym_false] = ACTIONS(3365),
    [anon_sym_NULL] = ACTIONS(3365),
    [anon_sym_nullptr] = ACTIONS(3365),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3365),
    [anon_sym_decltype] = ACTIONS(3365),
    [anon_sym_virtual] = ACTIONS(3365),
    [anon_sym_alignas] = ACTIONS(3365),
    [anon_sym_explicit] = ACTIONS(3365),
    [anon_sym_typename] = ACTIONS(3365),
    [anon_sym_template] = ACTIONS(3365),
    [anon_sym_operator] = ACTIONS(3365),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_delete] = ACTIONS(3365),
    [anon_sym_throw] = ACTIONS(3365),
    [anon_sym_namespace] = ACTIONS(3365),
    [anon_sym_using] = ACTIONS(3365),
    [anon_sym_static_assert] = ACTIONS(3365),
    [anon_sym_concept] = ACTIONS(3365),
    [anon_sym_co_return] = ACTIONS(3365),
    [anon_sym_co_yield] = ACTIONS(3365),
    [anon_sym_R_DQUOTE] = ACTIONS(3367),
    [anon_sym_LR_DQUOTE] = ACTIONS(3367),
    [anon_sym_uR_DQUOTE] = ACTIONS(3367),
    [anon_sym_UR_DQUOTE] = ACTIONS(3367),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3367),
    [anon_sym_co_await] = ACTIONS(3365),
    [anon_sym_new] = ACTIONS(3365),
    [anon_sym_requires] = ACTIONS(3365),
    [sym_this] = ACTIONS(3365),
  },
  [411] = {
    [sym_identifier] = ACTIONS(3369),
    [aux_sym_preproc_include_token1] = ACTIONS(3369),
    [aux_sym_preproc_def_token1] = ACTIONS(3369),
    [aux_sym_preproc_if_token1] = ACTIONS(3369),
    [aux_sym_preproc_if_token2] = ACTIONS(3369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3369),
    [aux_sym_preproc_else_token1] = ACTIONS(3369),
    [aux_sym_preproc_elif_token1] = ACTIONS(3369),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3369),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3369),
    [sym_preproc_directive] = ACTIONS(3369),
    [anon_sym_LPAREN2] = ACTIONS(3371),
    [anon_sym_BANG] = ACTIONS(3371),
    [anon_sym_TILDE] = ACTIONS(3371),
    [anon_sym_DASH] = ACTIONS(3369),
    [anon_sym_PLUS] = ACTIONS(3369),
    [anon_sym_STAR] = ACTIONS(3371),
    [anon_sym_AMP_AMP] = ACTIONS(3371),
    [anon_sym_AMP] = ACTIONS(3369),
    [anon_sym_SEMI] = ACTIONS(3371),
    [anon_sym___extension__] = ACTIONS(3369),
    [anon_sym_typedef] = ACTIONS(3369),
    [anon_sym_extern] = ACTIONS(3369),
    [anon_sym___attribute__] = ACTIONS(3369),
    [anon_sym_COLON_COLON] = ACTIONS(3371),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3371),
    [anon_sym___declspec] = ACTIONS(3369),
    [anon_sym___based] = ACTIONS(3369),
    [anon_sym___cdecl] = ACTIONS(3369),
    [anon_sym___clrcall] = ACTIONS(3369),
    [anon_sym___stdcall] = ACTIONS(3369),
    [anon_sym___fastcall] = ACTIONS(3369),
    [anon_sym___thiscall] = ACTIONS(3369),
    [anon_sym___vectorcall] = ACTIONS(3369),
    [anon_sym_LBRACE] = ACTIONS(3371),
    [anon_sym_signed] = ACTIONS(3369),
    [anon_sym_unsigned] = ACTIONS(3369),
    [anon_sym_long] = ACTIONS(3369),
    [anon_sym_short] = ACTIONS(3369),
    [anon_sym_LBRACK] = ACTIONS(3369),
    [anon_sym_static] = ACTIONS(3369),
    [anon_sym_register] = ACTIONS(3369),
    [anon_sym_inline] = ACTIONS(3369),
    [anon_sym___inline] = ACTIONS(3369),
    [anon_sym___inline__] = ACTIONS(3369),
    [anon_sym___forceinline] = ACTIONS(3369),
    [anon_sym_thread_local] = ACTIONS(3369),
    [anon_sym___thread] = ACTIONS(3369),
    [anon_sym_const] = ACTIONS(3369),
    [anon_sym_constexpr] = ACTIONS(3369),
    [anon_sym_volatile] = ACTIONS(3369),
    [anon_sym_restrict] = ACTIONS(3369),
    [anon_sym___restrict__] = ACTIONS(3369),
    [anon_sym__Atomic] = ACTIONS(3369),
    [anon_sym__Noreturn] = ACTIONS(3369),
    [anon_sym_noreturn] = ACTIONS(3369),
    [anon_sym_mutable] = ACTIONS(3369),
    [anon_sym_constinit] = ACTIONS(3369),
    [anon_sym_consteval] = ACTIONS(3369),
    [anon_sym_PROGMEM] = ACTIONS(3369),
    [aux_sym_primitive_type_token1] = ACTIONS(3369),
    [anon_sym_byte] = ACTIONS(3369),
    [anon_sym_word] = ACTIONS(3369),
    [anon_sym_enum] = ACTIONS(3369),
    [anon_sym_class] = ACTIONS(3369),
    [anon_sym_struct] = ACTIONS(3369),
    [anon_sym_union] = ACTIONS(3369),
    [anon_sym_if] = ACTIONS(3369),
    [anon_sym_switch] = ACTIONS(3369),
    [anon_sym_case] = ACTIONS(3369),
    [anon_sym_default] = ACTIONS(3369),
    [anon_sym_while] = ACTIONS(3369),
    [anon_sym_do] = ACTIONS(3369),
    [anon_sym_for] = ACTIONS(3369),
    [anon_sym_return] = ACTIONS(3369),
    [anon_sym_break] = ACTIONS(3369),
    [anon_sym_continue] = ACTIONS(3369),
    [anon_sym_goto] = ACTIONS(3369),
    [anon_sym___try] = ACTIONS(3369),
    [anon_sym___leave] = ACTIONS(3369),
    [anon_sym_not] = ACTIONS(3369),
    [anon_sym_compl] = ACTIONS(3369),
    [anon_sym_DASH_DASH] = ACTIONS(3371),
    [anon_sym_PLUS_PLUS] = ACTIONS(3371),
    [anon_sym_sizeof] = ACTIONS(3369),
    [anon_sym___alignof__] = ACTIONS(3369),
    [anon_sym___alignof] = ACTIONS(3369),
    [anon_sym__alignof] = ACTIONS(3369),
    [anon_sym_alignof] = ACTIONS(3369),
    [anon_sym__Alignof] = ACTIONS(3369),
    [anon_sym_offsetof] = ACTIONS(3369),
    [anon_sym__Generic] = ACTIONS(3369),
    [anon_sym_asm] = ACTIONS(3369),
    [anon_sym___asm__] = ACTIONS(3369),
    [aux_sym_number_literal_token1] = ACTIONS(3371),
    [aux_sym_number_literal_token2] = ACTIONS(3369),
    [anon_sym_L_SQUOTE] = ACTIONS(3371),
    [anon_sym_u_SQUOTE] = ACTIONS(3371),
    [anon_sym_U_SQUOTE] = ACTIONS(3371),
    [anon_sym_u8_SQUOTE] = ACTIONS(3371),
    [anon_sym_SQUOTE] = ACTIONS(3371),
    [anon_sym_L_DQUOTE] = ACTIONS(3371),
    [anon_sym_u_DQUOTE] = ACTIONS(3371),
    [anon_sym_U_DQUOTE] = ACTIONS(3371),
    [anon_sym_u8_DQUOTE] = ACTIONS(3371),
    [anon_sym_DQUOTE] = ACTIONS(3371),
    [sym_true] = ACTIONS(3369),
    [sym_false] = ACTIONS(3369),
    [anon_sym_NULL] = ACTIONS(3369),
    [anon_sym_nullptr] = ACTIONS(3369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3369),
    [anon_sym_decltype] = ACTIONS(3369),
    [anon_sym_virtual] = ACTIONS(3369),
    [anon_sym_alignas] = ACTIONS(3369),
    [anon_sym_explicit] = ACTIONS(3369),
    [anon_sym_typename] = ACTIONS(3369),
    [anon_sym_template] = ACTIONS(3369),
    [anon_sym_operator] = ACTIONS(3369),
    [anon_sym_try] = ACTIONS(3369),
    [anon_sym_delete] = ACTIONS(3369),
    [anon_sym_throw] = ACTIONS(3369),
    [anon_sym_namespace] = ACTIONS(3369),
    [anon_sym_using] = ACTIONS(3369),
    [anon_sym_static_assert] = ACTIONS(3369),
    [anon_sym_concept] = ACTIONS(3369),
    [anon_sym_co_return] = ACTIONS(3369),
    [anon_sym_co_yield] = ACTIONS(3369),
    [anon_sym_R_DQUOTE] = ACTIONS(3371),
    [anon_sym_LR_DQUOTE] = ACTIONS(3371),
    [anon_sym_uR_DQUOTE] = ACTIONS(3371),
    [anon_sym_UR_DQUOTE] = ACTIONS(3371),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3371),
    [anon_sym_co_await] = ACTIONS(3369),
    [anon_sym_new] = ACTIONS(3369),
    [anon_sym_requires] = ACTIONS(3369),
    [sym_this] = ACTIONS(3369),
  },
  [412] = {
    [sym_identifier] = ACTIONS(3373),
    [aux_sym_preproc_include_token1] = ACTIONS(3373),
    [aux_sym_preproc_def_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token2] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3373),
    [aux_sym_preproc_else_token1] = ACTIONS(3373),
    [aux_sym_preproc_elif_token1] = ACTIONS(3373),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3373),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3373),
    [sym_preproc_directive] = ACTIONS(3373),
    [anon_sym_LPAREN2] = ACTIONS(3375),
    [anon_sym_BANG] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_DASH] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(3373),
    [anon_sym_STAR] = ACTIONS(3375),
    [anon_sym_AMP_AMP] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(3375),
    [anon_sym___extension__] = ACTIONS(3373),
    [anon_sym_typedef] = ACTIONS(3373),
    [anon_sym_extern] = ACTIONS(3373),
    [anon_sym___attribute__] = ACTIONS(3373),
    [anon_sym_COLON_COLON] = ACTIONS(3375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3375),
    [anon_sym___declspec] = ACTIONS(3373),
    [anon_sym___based] = ACTIONS(3373),
    [anon_sym___cdecl] = ACTIONS(3373),
    [anon_sym___clrcall] = ACTIONS(3373),
    [anon_sym___stdcall] = ACTIONS(3373),
    [anon_sym___fastcall] = ACTIONS(3373),
    [anon_sym___thiscall] = ACTIONS(3373),
    [anon_sym___vectorcall] = ACTIONS(3373),
    [anon_sym_LBRACE] = ACTIONS(3375),
    [anon_sym_signed] = ACTIONS(3373),
    [anon_sym_unsigned] = ACTIONS(3373),
    [anon_sym_long] = ACTIONS(3373),
    [anon_sym_short] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_register] = ACTIONS(3373),
    [anon_sym_inline] = ACTIONS(3373),
    [anon_sym___inline] = ACTIONS(3373),
    [anon_sym___inline__] = ACTIONS(3373),
    [anon_sym___forceinline] = ACTIONS(3373),
    [anon_sym_thread_local] = ACTIONS(3373),
    [anon_sym___thread] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_constexpr] = ACTIONS(3373),
    [anon_sym_volatile] = ACTIONS(3373),
    [anon_sym_restrict] = ACTIONS(3373),
    [anon_sym___restrict__] = ACTIONS(3373),
    [anon_sym__Atomic] = ACTIONS(3373),
    [anon_sym__Noreturn] = ACTIONS(3373),
    [anon_sym_noreturn] = ACTIONS(3373),
    [anon_sym_mutable] = ACTIONS(3373),
    [anon_sym_constinit] = ACTIONS(3373),
    [anon_sym_consteval] = ACTIONS(3373),
    [anon_sym_PROGMEM] = ACTIONS(3373),
    [aux_sym_primitive_type_token1] = ACTIONS(3373),
    [anon_sym_byte] = ACTIONS(3373),
    [anon_sym_word] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_struct] = ACTIONS(3373),
    [anon_sym_union] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_switch] = ACTIONS(3373),
    [anon_sym_case] = ACTIONS(3373),
    [anon_sym_default] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(3373),
    [anon_sym_do] = ACTIONS(3373),
    [anon_sym_for] = ACTIONS(3373),
    [anon_sym_return] = ACTIONS(3373),
    [anon_sym_break] = ACTIONS(3373),
    [anon_sym_continue] = ACTIONS(3373),
    [anon_sym_goto] = ACTIONS(3373),
    [anon_sym___try] = ACTIONS(3373),
    [anon_sym___leave] = ACTIONS(3373),
    [anon_sym_not] = ACTIONS(3373),
    [anon_sym_compl] = ACTIONS(3373),
    [anon_sym_DASH_DASH] = ACTIONS(3375),
    [anon_sym_PLUS_PLUS] = ACTIONS(3375),
    [anon_sym_sizeof] = ACTIONS(3373),
    [anon_sym___alignof__] = ACTIONS(3373),
    [anon_sym___alignof] = ACTIONS(3373),
    [anon_sym__alignof] = ACTIONS(3373),
    [anon_sym_alignof] = ACTIONS(3373),
    [anon_sym__Alignof] = ACTIONS(3373),
    [anon_sym_offsetof] = ACTIONS(3373),
    [anon_sym__Generic] = ACTIONS(3373),
    [anon_sym_asm] = ACTIONS(3373),
    [anon_sym___asm__] = ACTIONS(3373),
    [aux_sym_number_literal_token1] = ACTIONS(3375),
    [aux_sym_number_literal_token2] = ACTIONS(3373),
    [anon_sym_L_SQUOTE] = ACTIONS(3375),
    [anon_sym_u_SQUOTE] = ACTIONS(3375),
    [anon_sym_U_SQUOTE] = ACTIONS(3375),
    [anon_sym_u8_SQUOTE] = ACTIONS(3375),
    [anon_sym_SQUOTE] = ACTIONS(3375),
    [anon_sym_L_DQUOTE] = ACTIONS(3375),
    [anon_sym_u_DQUOTE] = ACTIONS(3375),
    [anon_sym_U_DQUOTE] = ACTIONS(3375),
    [anon_sym_u8_DQUOTE] = ACTIONS(3375),
    [anon_sym_DQUOTE] = ACTIONS(3375),
    [sym_true] = ACTIONS(3373),
    [sym_false] = ACTIONS(3373),
    [anon_sym_NULL] = ACTIONS(3373),
    [anon_sym_nullptr] = ACTIONS(3373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3373),
    [anon_sym_decltype] = ACTIONS(3373),
    [anon_sym_virtual] = ACTIONS(3373),
    [anon_sym_alignas] = ACTIONS(3373),
    [anon_sym_explicit] = ACTIONS(3373),
    [anon_sym_typename] = ACTIONS(3373),
    [anon_sym_template] = ACTIONS(3373),
    [anon_sym_operator] = ACTIONS(3373),
    [anon_sym_try] = ACTIONS(3373),
    [anon_sym_delete] = ACTIONS(3373),
    [anon_sym_throw] = ACTIONS(3373),
    [anon_sym_namespace] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_static_assert] = ACTIONS(3373),
    [anon_sym_concept] = ACTIONS(3373),
    [anon_sym_co_return] = ACTIONS(3373),
    [anon_sym_co_yield] = ACTIONS(3373),
    [anon_sym_R_DQUOTE] = ACTIONS(3375),
    [anon_sym_LR_DQUOTE] = ACTIONS(3375),
    [anon_sym_uR_DQUOTE] = ACTIONS(3375),
    [anon_sym_UR_DQUOTE] = ACTIONS(3375),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3375),
    [anon_sym_co_await] = ACTIONS(3373),
    [anon_sym_new] = ACTIONS(3373),
    [anon_sym_requires] = ACTIONS(3373),
    [sym_this] = ACTIONS(3373),
  },
  [413] = {
    [sym_identifier] = ACTIONS(3377),
    [aux_sym_preproc_include_token1] = ACTIONS(3377),
    [aux_sym_preproc_def_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token2] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3377),
    [aux_sym_preproc_else_token1] = ACTIONS(3377),
    [aux_sym_preproc_elif_token1] = ACTIONS(3377),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3377),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3377),
    [sym_preproc_directive] = ACTIONS(3377),
    [anon_sym_LPAREN2] = ACTIONS(3379),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_STAR] = ACTIONS(3379),
    [anon_sym_AMP_AMP] = ACTIONS(3379),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym___extension__] = ACTIONS(3377),
    [anon_sym_typedef] = ACTIONS(3377),
    [anon_sym_extern] = ACTIONS(3377),
    [anon_sym___attribute__] = ACTIONS(3377),
    [anon_sym_COLON_COLON] = ACTIONS(3379),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3379),
    [anon_sym___declspec] = ACTIONS(3377),
    [anon_sym___based] = ACTIONS(3377),
    [anon_sym___cdecl] = ACTIONS(3377),
    [anon_sym___clrcall] = ACTIONS(3377),
    [anon_sym___stdcall] = ACTIONS(3377),
    [anon_sym___fastcall] = ACTIONS(3377),
    [anon_sym___thiscall] = ACTIONS(3377),
    [anon_sym___vectorcall] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_signed] = ACTIONS(3377),
    [anon_sym_unsigned] = ACTIONS(3377),
    [anon_sym_long] = ACTIONS(3377),
    [anon_sym_short] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_register] = ACTIONS(3377),
    [anon_sym_inline] = ACTIONS(3377),
    [anon_sym___inline] = ACTIONS(3377),
    [anon_sym___inline__] = ACTIONS(3377),
    [anon_sym___forceinline] = ACTIONS(3377),
    [anon_sym_thread_local] = ACTIONS(3377),
    [anon_sym___thread] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_constexpr] = ACTIONS(3377),
    [anon_sym_volatile] = ACTIONS(3377),
    [anon_sym_restrict] = ACTIONS(3377),
    [anon_sym___restrict__] = ACTIONS(3377),
    [anon_sym__Atomic] = ACTIONS(3377),
    [anon_sym__Noreturn] = ACTIONS(3377),
    [anon_sym_noreturn] = ACTIONS(3377),
    [anon_sym_mutable] = ACTIONS(3377),
    [anon_sym_constinit] = ACTIONS(3377),
    [anon_sym_consteval] = ACTIONS(3377),
    [anon_sym_PROGMEM] = ACTIONS(3377),
    [aux_sym_primitive_type_token1] = ACTIONS(3377),
    [anon_sym_byte] = ACTIONS(3377),
    [anon_sym_word] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_struct] = ACTIONS(3377),
    [anon_sym_union] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_case] = ACTIONS(3377),
    [anon_sym_default] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_goto] = ACTIONS(3377),
    [anon_sym___try] = ACTIONS(3377),
    [anon_sym___leave] = ACTIONS(3377),
    [anon_sym_not] = ACTIONS(3377),
    [anon_sym_compl] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_sizeof] = ACTIONS(3377),
    [anon_sym___alignof__] = ACTIONS(3377),
    [anon_sym___alignof] = ACTIONS(3377),
    [anon_sym__alignof] = ACTIONS(3377),
    [anon_sym_alignof] = ACTIONS(3377),
    [anon_sym__Alignof] = ACTIONS(3377),
    [anon_sym_offsetof] = ACTIONS(3377),
    [anon_sym__Generic] = ACTIONS(3377),
    [anon_sym_asm] = ACTIONS(3377),
    [anon_sym___asm__] = ACTIONS(3377),
    [aux_sym_number_literal_token1] = ACTIONS(3379),
    [aux_sym_number_literal_token2] = ACTIONS(3377),
    [anon_sym_L_SQUOTE] = ACTIONS(3379),
    [anon_sym_u_SQUOTE] = ACTIONS(3379),
    [anon_sym_U_SQUOTE] = ACTIONS(3379),
    [anon_sym_u8_SQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [anon_sym_L_DQUOTE] = ACTIONS(3379),
    [anon_sym_u_DQUOTE] = ACTIONS(3379),
    [anon_sym_U_DQUOTE] = ACTIONS(3379),
    [anon_sym_u8_DQUOTE] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [anon_sym_NULL] = ACTIONS(3377),
    [anon_sym_nullptr] = ACTIONS(3377),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3377),
    [anon_sym_decltype] = ACTIONS(3377),
    [anon_sym_virtual] = ACTIONS(3377),
    [anon_sym_alignas] = ACTIONS(3377),
    [anon_sym_explicit] = ACTIONS(3377),
    [anon_sym_typename] = ACTIONS(3377),
    [anon_sym_template] = ACTIONS(3377),
    [anon_sym_operator] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_static_assert] = ACTIONS(3377),
    [anon_sym_concept] = ACTIONS(3377),
    [anon_sym_co_return] = ACTIONS(3377),
    [anon_sym_co_yield] = ACTIONS(3377),
    [anon_sym_R_DQUOTE] = ACTIONS(3379),
    [anon_sym_LR_DQUOTE] = ACTIONS(3379),
    [anon_sym_uR_DQUOTE] = ACTIONS(3379),
    [anon_sym_UR_DQUOTE] = ACTIONS(3379),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3379),
    [anon_sym_co_await] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_requires] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
  },
  [414] = {
    [sym_identifier] = ACTIONS(3381),
    [aux_sym_preproc_include_token1] = ACTIONS(3381),
    [aux_sym_preproc_def_token1] = ACTIONS(3381),
    [aux_sym_preproc_if_token1] = ACTIONS(3381),
    [aux_sym_preproc_if_token2] = ACTIONS(3381),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3381),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3381),
    [aux_sym_preproc_else_token1] = ACTIONS(3381),
    [aux_sym_preproc_elif_token1] = ACTIONS(3381),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3381),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3381),
    [sym_preproc_directive] = ACTIONS(3381),
    [anon_sym_LPAREN2] = ACTIONS(3383),
    [anon_sym_BANG] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(3383),
    [anon_sym_DASH] = ACTIONS(3381),
    [anon_sym_PLUS] = ACTIONS(3381),
    [anon_sym_STAR] = ACTIONS(3383),
    [anon_sym_AMP_AMP] = ACTIONS(3383),
    [anon_sym_AMP] = ACTIONS(3381),
    [anon_sym_SEMI] = ACTIONS(3383),
    [anon_sym___extension__] = ACTIONS(3381),
    [anon_sym_typedef] = ACTIONS(3381),
    [anon_sym_extern] = ACTIONS(3381),
    [anon_sym___attribute__] = ACTIONS(3381),
    [anon_sym_COLON_COLON] = ACTIONS(3383),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3383),
    [anon_sym___declspec] = ACTIONS(3381),
    [anon_sym___based] = ACTIONS(3381),
    [anon_sym___cdecl] = ACTIONS(3381),
    [anon_sym___clrcall] = ACTIONS(3381),
    [anon_sym___stdcall] = ACTIONS(3381),
    [anon_sym___fastcall] = ACTIONS(3381),
    [anon_sym___thiscall] = ACTIONS(3381),
    [anon_sym___vectorcall] = ACTIONS(3381),
    [anon_sym_LBRACE] = ACTIONS(3383),
    [anon_sym_signed] = ACTIONS(3381),
    [anon_sym_unsigned] = ACTIONS(3381),
    [anon_sym_long] = ACTIONS(3381),
    [anon_sym_short] = ACTIONS(3381),
    [anon_sym_LBRACK] = ACTIONS(3381),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_register] = ACTIONS(3381),
    [anon_sym_inline] = ACTIONS(3381),
    [anon_sym___inline] = ACTIONS(3381),
    [anon_sym___inline__] = ACTIONS(3381),
    [anon_sym___forceinline] = ACTIONS(3381),
    [anon_sym_thread_local] = ACTIONS(3381),
    [anon_sym___thread] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3381),
    [anon_sym_constexpr] = ACTIONS(3381),
    [anon_sym_volatile] = ACTIONS(3381),
    [anon_sym_restrict] = ACTIONS(3381),
    [anon_sym___restrict__] = ACTIONS(3381),
    [anon_sym__Atomic] = ACTIONS(3381),
    [anon_sym__Noreturn] = ACTIONS(3381),
    [anon_sym_noreturn] = ACTIONS(3381),
    [anon_sym_mutable] = ACTIONS(3381),
    [anon_sym_constinit] = ACTIONS(3381),
    [anon_sym_consteval] = ACTIONS(3381),
    [anon_sym_PROGMEM] = ACTIONS(3381),
    [aux_sym_primitive_type_token1] = ACTIONS(3381),
    [anon_sym_byte] = ACTIONS(3381),
    [anon_sym_word] = ACTIONS(3381),
    [anon_sym_enum] = ACTIONS(3381),
    [anon_sym_class] = ACTIONS(3381),
    [anon_sym_struct] = ACTIONS(3381),
    [anon_sym_union] = ACTIONS(3381),
    [anon_sym_if] = ACTIONS(3381),
    [anon_sym_switch] = ACTIONS(3381),
    [anon_sym_case] = ACTIONS(3381),
    [anon_sym_default] = ACTIONS(3381),
    [anon_sym_while] = ACTIONS(3381),
    [anon_sym_do] = ACTIONS(3381),
    [anon_sym_for] = ACTIONS(3381),
    [anon_sym_return] = ACTIONS(3381),
    [anon_sym_break] = ACTIONS(3381),
    [anon_sym_continue] = ACTIONS(3381),
    [anon_sym_goto] = ACTIONS(3381),
    [anon_sym___try] = ACTIONS(3381),
    [anon_sym___leave] = ACTIONS(3381),
    [anon_sym_not] = ACTIONS(3381),
    [anon_sym_compl] = ACTIONS(3381),
    [anon_sym_DASH_DASH] = ACTIONS(3383),
    [anon_sym_PLUS_PLUS] = ACTIONS(3383),
    [anon_sym_sizeof] = ACTIONS(3381),
    [anon_sym___alignof__] = ACTIONS(3381),
    [anon_sym___alignof] = ACTIONS(3381),
    [anon_sym__alignof] = ACTIONS(3381),
    [anon_sym_alignof] = ACTIONS(3381),
    [anon_sym__Alignof] = ACTIONS(3381),
    [anon_sym_offsetof] = ACTIONS(3381),
    [anon_sym__Generic] = ACTIONS(3381),
    [anon_sym_asm] = ACTIONS(3381),
    [anon_sym___asm__] = ACTIONS(3381),
    [aux_sym_number_literal_token1] = ACTIONS(3383),
    [aux_sym_number_literal_token2] = ACTIONS(3381),
    [anon_sym_L_SQUOTE] = ACTIONS(3383),
    [anon_sym_u_SQUOTE] = ACTIONS(3383),
    [anon_sym_U_SQUOTE] = ACTIONS(3383),
    [anon_sym_u8_SQUOTE] = ACTIONS(3383),
    [anon_sym_SQUOTE] = ACTIONS(3383),
    [anon_sym_L_DQUOTE] = ACTIONS(3383),
    [anon_sym_u_DQUOTE] = ACTIONS(3383),
    [anon_sym_U_DQUOTE] = ACTIONS(3383),
    [anon_sym_u8_DQUOTE] = ACTIONS(3383),
    [anon_sym_DQUOTE] = ACTIONS(3383),
    [sym_true] = ACTIONS(3381),
    [sym_false] = ACTIONS(3381),
    [anon_sym_NULL] = ACTIONS(3381),
    [anon_sym_nullptr] = ACTIONS(3381),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3381),
    [anon_sym_decltype] = ACTIONS(3381),
    [anon_sym_virtual] = ACTIONS(3381),
    [anon_sym_alignas] = ACTIONS(3381),
    [anon_sym_explicit] = ACTIONS(3381),
    [anon_sym_typename] = ACTIONS(3381),
    [anon_sym_template] = ACTIONS(3381),
    [anon_sym_operator] = ACTIONS(3381),
    [anon_sym_try] = ACTIONS(3381),
    [anon_sym_delete] = ACTIONS(3381),
    [anon_sym_throw] = ACTIONS(3381),
    [anon_sym_namespace] = ACTIONS(3381),
    [anon_sym_using] = ACTIONS(3381),
    [anon_sym_static_assert] = ACTIONS(3381),
    [anon_sym_concept] = ACTIONS(3381),
    [anon_sym_co_return] = ACTIONS(3381),
    [anon_sym_co_yield] = ACTIONS(3381),
    [anon_sym_R_DQUOTE] = ACTIONS(3383),
    [anon_sym_LR_DQUOTE] = ACTIONS(3383),
    [anon_sym_uR_DQUOTE] = ACTIONS(3383),
    [anon_sym_UR_DQUOTE] = ACTIONS(3383),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3383),
    [anon_sym_co_await] = ACTIONS(3381),
    [anon_sym_new] = ACTIONS(3381),
    [anon_sym_requires] = ACTIONS(3381),
    [sym_this] = ACTIONS(3381),
  },
  [415] = {
    [sym_identifier] = ACTIONS(3385),
    [aux_sym_preproc_include_token1] = ACTIONS(3385),
    [aux_sym_preproc_def_token1] = ACTIONS(3385),
    [aux_sym_preproc_if_token1] = ACTIONS(3385),
    [aux_sym_preproc_if_token2] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3385),
    [aux_sym_preproc_else_token1] = ACTIONS(3385),
    [aux_sym_preproc_elif_token1] = ACTIONS(3385),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3385),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3385),
    [sym_preproc_directive] = ACTIONS(3385),
    [anon_sym_LPAREN2] = ACTIONS(3387),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3385),
    [anon_sym_PLUS] = ACTIONS(3385),
    [anon_sym_STAR] = ACTIONS(3387),
    [anon_sym_AMP_AMP] = ACTIONS(3387),
    [anon_sym_AMP] = ACTIONS(3385),
    [anon_sym_SEMI] = ACTIONS(3387),
    [anon_sym___extension__] = ACTIONS(3385),
    [anon_sym_typedef] = ACTIONS(3385),
    [anon_sym_extern] = ACTIONS(3385),
    [anon_sym___attribute__] = ACTIONS(3385),
    [anon_sym_COLON_COLON] = ACTIONS(3387),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3387),
    [anon_sym___declspec] = ACTIONS(3385),
    [anon_sym___based] = ACTIONS(3385),
    [anon_sym___cdecl] = ACTIONS(3385),
    [anon_sym___clrcall] = ACTIONS(3385),
    [anon_sym___stdcall] = ACTIONS(3385),
    [anon_sym___fastcall] = ACTIONS(3385),
    [anon_sym___thiscall] = ACTIONS(3385),
    [anon_sym___vectorcall] = ACTIONS(3385),
    [anon_sym_LBRACE] = ACTIONS(3387),
    [anon_sym_signed] = ACTIONS(3385),
    [anon_sym_unsigned] = ACTIONS(3385),
    [anon_sym_long] = ACTIONS(3385),
    [anon_sym_short] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3385),
    [anon_sym_static] = ACTIONS(3385),
    [anon_sym_register] = ACTIONS(3385),
    [anon_sym_inline] = ACTIONS(3385),
    [anon_sym___inline] = ACTIONS(3385),
    [anon_sym___inline__] = ACTIONS(3385),
    [anon_sym___forceinline] = ACTIONS(3385),
    [anon_sym_thread_local] = ACTIONS(3385),
    [anon_sym___thread] = ACTIONS(3385),
    [anon_sym_const] = ACTIONS(3385),
    [anon_sym_constexpr] = ACTIONS(3385),
    [anon_sym_volatile] = ACTIONS(3385),
    [anon_sym_restrict] = ACTIONS(3385),
    [anon_sym___restrict__] = ACTIONS(3385),
    [anon_sym__Atomic] = ACTIONS(3385),
    [anon_sym__Noreturn] = ACTIONS(3385),
    [anon_sym_noreturn] = ACTIONS(3385),
    [anon_sym_mutable] = ACTIONS(3385),
    [anon_sym_constinit] = ACTIONS(3385),
    [anon_sym_consteval] = ACTIONS(3385),
    [anon_sym_PROGMEM] = ACTIONS(3385),
    [aux_sym_primitive_type_token1] = ACTIONS(3385),
    [anon_sym_byte] = ACTIONS(3385),
    [anon_sym_word] = ACTIONS(3385),
    [anon_sym_enum] = ACTIONS(3385),
    [anon_sym_class] = ACTIONS(3385),
    [anon_sym_struct] = ACTIONS(3385),
    [anon_sym_union] = ACTIONS(3385),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_switch] = ACTIONS(3385),
    [anon_sym_case] = ACTIONS(3385),
    [anon_sym_default] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(3385),
    [anon_sym_do] = ACTIONS(3385),
    [anon_sym_for] = ACTIONS(3385),
    [anon_sym_return] = ACTIONS(3385),
    [anon_sym_break] = ACTIONS(3385),
    [anon_sym_continue] = ACTIONS(3385),
    [anon_sym_goto] = ACTIONS(3385),
    [anon_sym___try] = ACTIONS(3385),
    [anon_sym___leave] = ACTIONS(3385),
    [anon_sym_not] = ACTIONS(3385),
    [anon_sym_compl] = ACTIONS(3385),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_sizeof] = ACTIONS(3385),
    [anon_sym___alignof__] = ACTIONS(3385),
    [anon_sym___alignof] = ACTIONS(3385),
    [anon_sym__alignof] = ACTIONS(3385),
    [anon_sym_alignof] = ACTIONS(3385),
    [anon_sym__Alignof] = ACTIONS(3385),
    [anon_sym_offsetof] = ACTIONS(3385),
    [anon_sym__Generic] = ACTIONS(3385),
    [anon_sym_asm] = ACTIONS(3385),
    [anon_sym___asm__] = ACTIONS(3385),
    [aux_sym_number_literal_token1] = ACTIONS(3387),
    [aux_sym_number_literal_token2] = ACTIONS(3385),
    [anon_sym_L_SQUOTE] = ACTIONS(3387),
    [anon_sym_u_SQUOTE] = ACTIONS(3387),
    [anon_sym_U_SQUOTE] = ACTIONS(3387),
    [anon_sym_u8_SQUOTE] = ACTIONS(3387),
    [anon_sym_SQUOTE] = ACTIONS(3387),
    [anon_sym_L_DQUOTE] = ACTIONS(3387),
    [anon_sym_u_DQUOTE] = ACTIONS(3387),
    [anon_sym_U_DQUOTE] = ACTIONS(3387),
    [anon_sym_u8_DQUOTE] = ACTIONS(3387),
    [anon_sym_DQUOTE] = ACTIONS(3387),
    [sym_true] = ACTIONS(3385),
    [sym_false] = ACTIONS(3385),
    [anon_sym_NULL] = ACTIONS(3385),
    [anon_sym_nullptr] = ACTIONS(3385),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3385),
    [anon_sym_decltype] = ACTIONS(3385),
    [anon_sym_virtual] = ACTIONS(3385),
    [anon_sym_alignas] = ACTIONS(3385),
    [anon_sym_explicit] = ACTIONS(3385),
    [anon_sym_typename] = ACTIONS(3385),
    [anon_sym_template] = ACTIONS(3385),
    [anon_sym_operator] = ACTIONS(3385),
    [anon_sym_try] = ACTIONS(3385),
    [anon_sym_delete] = ACTIONS(3385),
    [anon_sym_throw] = ACTIONS(3385),
    [anon_sym_namespace] = ACTIONS(3385),
    [anon_sym_using] = ACTIONS(3385),
    [anon_sym_static_assert] = ACTIONS(3385),
    [anon_sym_concept] = ACTIONS(3385),
    [anon_sym_co_return] = ACTIONS(3385),
    [anon_sym_co_yield] = ACTIONS(3385),
    [anon_sym_R_DQUOTE] = ACTIONS(3387),
    [anon_sym_LR_DQUOTE] = ACTIONS(3387),
    [anon_sym_uR_DQUOTE] = ACTIONS(3387),
    [anon_sym_UR_DQUOTE] = ACTIONS(3387),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3387),
    [anon_sym_co_await] = ACTIONS(3385),
    [anon_sym_new] = ACTIONS(3385),
    [anon_sym_requires] = ACTIONS(3385),
    [sym_this] = ACTIONS(3385),
  },
  [416] = {
    [sym_identifier] = ACTIONS(3389),
    [aux_sym_preproc_include_token1] = ACTIONS(3389),
    [aux_sym_preproc_def_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token2] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3389),
    [aux_sym_preproc_else_token1] = ACTIONS(3389),
    [aux_sym_preproc_elif_token1] = ACTIONS(3389),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3389),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3389),
    [sym_preproc_directive] = ACTIONS(3389),
    [anon_sym_LPAREN2] = ACTIONS(3391),
    [anon_sym_BANG] = ACTIONS(3391),
    [anon_sym_TILDE] = ACTIONS(3391),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP_AMP] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3389),
    [anon_sym_SEMI] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(3389),
    [anon_sym_typedef] = ACTIONS(3389),
    [anon_sym_extern] = ACTIONS(3389),
    [anon_sym___attribute__] = ACTIONS(3389),
    [anon_sym_COLON_COLON] = ACTIONS(3391),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3391),
    [anon_sym___declspec] = ACTIONS(3389),
    [anon_sym___based] = ACTIONS(3389),
    [anon_sym___cdecl] = ACTIONS(3389),
    [anon_sym___clrcall] = ACTIONS(3389),
    [anon_sym___stdcall] = ACTIONS(3389),
    [anon_sym___fastcall] = ACTIONS(3389),
    [anon_sym___thiscall] = ACTIONS(3389),
    [anon_sym___vectorcall] = ACTIONS(3389),
    [anon_sym_LBRACE] = ACTIONS(3391),
    [anon_sym_signed] = ACTIONS(3389),
    [anon_sym_unsigned] = ACTIONS(3389),
    [anon_sym_long] = ACTIONS(3389),
    [anon_sym_short] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_register] = ACTIONS(3389),
    [anon_sym_inline] = ACTIONS(3389),
    [anon_sym___inline] = ACTIONS(3389),
    [anon_sym___inline__] = ACTIONS(3389),
    [anon_sym___forceinline] = ACTIONS(3389),
    [anon_sym_thread_local] = ACTIONS(3389),
    [anon_sym___thread] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_constexpr] = ACTIONS(3389),
    [anon_sym_volatile] = ACTIONS(3389),
    [anon_sym_restrict] = ACTIONS(3389),
    [anon_sym___restrict__] = ACTIONS(3389),
    [anon_sym__Atomic] = ACTIONS(3389),
    [anon_sym__Noreturn] = ACTIONS(3389),
    [anon_sym_noreturn] = ACTIONS(3389),
    [anon_sym_mutable] = ACTIONS(3389),
    [anon_sym_constinit] = ACTIONS(3389),
    [anon_sym_consteval] = ACTIONS(3389),
    [anon_sym_PROGMEM] = ACTIONS(3389),
    [aux_sym_primitive_type_token1] = ACTIONS(3389),
    [anon_sym_byte] = ACTIONS(3389),
    [anon_sym_word] = ACTIONS(3389),
    [anon_sym_enum] = ACTIONS(3389),
    [anon_sym_class] = ACTIONS(3389),
    [anon_sym_struct] = ACTIONS(3389),
    [anon_sym_union] = ACTIONS(3389),
    [anon_sym_if] = ACTIONS(3389),
    [anon_sym_switch] = ACTIONS(3389),
    [anon_sym_case] = ACTIONS(3389),
    [anon_sym_default] = ACTIONS(3389),
    [anon_sym_while] = ACTIONS(3389),
    [anon_sym_do] = ACTIONS(3389),
    [anon_sym_for] = ACTIONS(3389),
    [anon_sym_return] = ACTIONS(3389),
    [anon_sym_break] = ACTIONS(3389),
    [anon_sym_continue] = ACTIONS(3389),
    [anon_sym_goto] = ACTIONS(3389),
    [anon_sym___try] = ACTIONS(3389),
    [anon_sym___leave] = ACTIONS(3389),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(3391),
    [anon_sym_sizeof] = ACTIONS(3389),
    [anon_sym___alignof__] = ACTIONS(3389),
    [anon_sym___alignof] = ACTIONS(3389),
    [anon_sym__alignof] = ACTIONS(3389),
    [anon_sym_alignof] = ACTIONS(3389),
    [anon_sym__Alignof] = ACTIONS(3389),
    [anon_sym_offsetof] = ACTIONS(3389),
    [anon_sym__Generic] = ACTIONS(3389),
    [anon_sym_asm] = ACTIONS(3389),
    [anon_sym___asm__] = ACTIONS(3389),
    [aux_sym_number_literal_token1] = ACTIONS(3391),
    [aux_sym_number_literal_token2] = ACTIONS(3389),
    [anon_sym_L_SQUOTE] = ACTIONS(3391),
    [anon_sym_u_SQUOTE] = ACTIONS(3391),
    [anon_sym_U_SQUOTE] = ACTIONS(3391),
    [anon_sym_u8_SQUOTE] = ACTIONS(3391),
    [anon_sym_SQUOTE] = ACTIONS(3391),
    [anon_sym_L_DQUOTE] = ACTIONS(3391),
    [anon_sym_u_DQUOTE] = ACTIONS(3391),
    [anon_sym_U_DQUOTE] = ACTIONS(3391),
    [anon_sym_u8_DQUOTE] = ACTIONS(3391),
    [anon_sym_DQUOTE] = ACTIONS(3391),
    [sym_true] = ACTIONS(3389),
    [sym_false] = ACTIONS(3389),
    [anon_sym_NULL] = ACTIONS(3389),
    [anon_sym_nullptr] = ACTIONS(3389),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3389),
    [anon_sym_decltype] = ACTIONS(3389),
    [anon_sym_virtual] = ACTIONS(3389),
    [anon_sym_alignas] = ACTIONS(3389),
    [anon_sym_explicit] = ACTIONS(3389),
    [anon_sym_typename] = ACTIONS(3389),
    [anon_sym_template] = ACTIONS(3389),
    [anon_sym_operator] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3389),
    [anon_sym_delete] = ACTIONS(3389),
    [anon_sym_throw] = ACTIONS(3389),
    [anon_sym_namespace] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_static_assert] = ACTIONS(3389),
    [anon_sym_concept] = ACTIONS(3389),
    [anon_sym_co_return] = ACTIONS(3389),
    [anon_sym_co_yield] = ACTIONS(3389),
    [anon_sym_R_DQUOTE] = ACTIONS(3391),
    [anon_sym_LR_DQUOTE] = ACTIONS(3391),
    [anon_sym_uR_DQUOTE] = ACTIONS(3391),
    [anon_sym_UR_DQUOTE] = ACTIONS(3391),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3391),
    [anon_sym_co_await] = ACTIONS(3389),
    [anon_sym_new] = ACTIONS(3389),
    [anon_sym_requires] = ACTIONS(3389),
    [sym_this] = ACTIONS(3389),
  },
  [417] = {
    [sym_else_clause] = STATE(532),
    [sym_identifier] = ACTIONS(2907),
    [aux_sym_preproc_include_token1] = ACTIONS(2907),
    [aux_sym_preproc_def_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token2] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2907),
    [aux_sym_preproc_else_token1] = ACTIONS(2907),
    [aux_sym_preproc_elif_token1] = ACTIONS(2907),
    [sym_preproc_directive] = ACTIONS(2907),
    [anon_sym_LPAREN2] = ACTIONS(2909),
    [anon_sym_BANG] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_SEMI] = ACTIONS(2909),
    [anon_sym___extension__] = ACTIONS(2907),
    [anon_sym_typedef] = ACTIONS(2907),
    [anon_sym_extern] = ACTIONS(2907),
    [anon_sym___attribute__] = ACTIONS(2907),
    [anon_sym_COLON_COLON] = ACTIONS(2909),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2909),
    [anon_sym___declspec] = ACTIONS(2907),
    [anon_sym___based] = ACTIONS(2907),
    [anon_sym___cdecl] = ACTIONS(2907),
    [anon_sym___clrcall] = ACTIONS(2907),
    [anon_sym___stdcall] = ACTIONS(2907),
    [anon_sym___fastcall] = ACTIONS(2907),
    [anon_sym___thiscall] = ACTIONS(2907),
    [anon_sym___vectorcall] = ACTIONS(2907),
    [anon_sym_LBRACE] = ACTIONS(2909),
    [anon_sym_signed] = ACTIONS(2907),
    [anon_sym_unsigned] = ACTIONS(2907),
    [anon_sym_long] = ACTIONS(2907),
    [anon_sym_short] = ACTIONS(2907),
    [anon_sym_LBRACK] = ACTIONS(2907),
    [anon_sym_static] = ACTIONS(2907),
    [anon_sym_register] = ACTIONS(2907),
    [anon_sym_inline] = ACTIONS(2907),
    [anon_sym___inline] = ACTIONS(2907),
    [anon_sym___inline__] = ACTIONS(2907),
    [anon_sym___forceinline] = ACTIONS(2907),
    [anon_sym_thread_local] = ACTIONS(2907),
    [anon_sym___thread] = ACTIONS(2907),
    [anon_sym_const] = ACTIONS(2907),
    [anon_sym_constexpr] = ACTIONS(2907),
    [anon_sym_volatile] = ACTIONS(2907),
    [anon_sym_restrict] = ACTIONS(2907),
    [anon_sym___restrict__] = ACTIONS(2907),
    [anon_sym__Atomic] = ACTIONS(2907),
    [anon_sym__Noreturn] = ACTIONS(2907),
    [anon_sym_noreturn] = ACTIONS(2907),
    [anon_sym_mutable] = ACTIONS(2907),
    [anon_sym_constinit] = ACTIONS(2907),
    [anon_sym_consteval] = ACTIONS(2907),
    [anon_sym_PROGMEM] = ACTIONS(2907),
    [aux_sym_primitive_type_token1] = ACTIONS(2907),
    [anon_sym_byte] = ACTIONS(2907),
    [anon_sym_word] = ACTIONS(2907),
    [anon_sym_enum] = ACTIONS(2907),
    [anon_sym_class] = ACTIONS(2907),
    [anon_sym_struct] = ACTIONS(2907),
    [anon_sym_union] = ACTIONS(2907),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_else] = ACTIONS(3320),
    [anon_sym_switch] = ACTIONS(2907),
    [anon_sym_case] = ACTIONS(2907),
    [anon_sym_default] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(2907),
    [anon_sym_do] = ACTIONS(2907),
    [anon_sym_for] = ACTIONS(2907),
    [anon_sym_return] = ACTIONS(2907),
    [anon_sym_break] = ACTIONS(2907),
    [anon_sym_continue] = ACTIONS(2907),
    [anon_sym_goto] = ACTIONS(2907),
    [anon_sym___try] = ACTIONS(2907),
    [anon_sym___leave] = ACTIONS(2907),
    [anon_sym_not] = ACTIONS(2907),
    [anon_sym_compl] = ACTIONS(2907),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_sizeof] = ACTIONS(2907),
    [anon_sym___alignof__] = ACTIONS(2907),
    [anon_sym___alignof] = ACTIONS(2907),
    [anon_sym__alignof] = ACTIONS(2907),
    [anon_sym_alignof] = ACTIONS(2907),
    [anon_sym__Alignof] = ACTIONS(2907),
    [anon_sym_offsetof] = ACTIONS(2907),
    [anon_sym__Generic] = ACTIONS(2907),
    [anon_sym_asm] = ACTIONS(2907),
    [anon_sym___asm__] = ACTIONS(2907),
    [aux_sym_number_literal_token1] = ACTIONS(2909),
    [aux_sym_number_literal_token2] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2909),
    [anon_sym_u_SQUOTE] = ACTIONS(2909),
    [anon_sym_U_SQUOTE] = ACTIONS(2909),
    [anon_sym_u8_SQUOTE] = ACTIONS(2909),
    [anon_sym_SQUOTE] = ACTIONS(2909),
    [anon_sym_L_DQUOTE] = ACTIONS(2909),
    [anon_sym_u_DQUOTE] = ACTIONS(2909),
    [anon_sym_U_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8_DQUOTE] = ACTIONS(2909),
    [anon_sym_DQUOTE] = ACTIONS(2909),
    [sym_true] = ACTIONS(2907),
    [sym_false] = ACTIONS(2907),
    [anon_sym_NULL] = ACTIONS(2907),
    [anon_sym_nullptr] = ACTIONS(2907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2907),
    [anon_sym_decltype] = ACTIONS(2907),
    [anon_sym_virtual] = ACTIONS(2907),
    [anon_sym_alignas] = ACTIONS(2907),
    [anon_sym_explicit] = ACTIONS(2907),
    [anon_sym_typename] = ACTIONS(2907),
    [anon_sym_template] = ACTIONS(2907),
    [anon_sym_operator] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2907),
    [anon_sym_delete] = ACTIONS(2907),
    [anon_sym_throw] = ACTIONS(2907),
    [anon_sym_namespace] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2907),
    [anon_sym_static_assert] = ACTIONS(2907),
    [anon_sym_concept] = ACTIONS(2907),
    [anon_sym_co_return] = ACTIONS(2907),
    [anon_sym_co_yield] = ACTIONS(2907),
    [anon_sym_R_DQUOTE] = ACTIONS(2909),
    [anon_sym_LR_DQUOTE] = ACTIONS(2909),
    [anon_sym_uR_DQUOTE] = ACTIONS(2909),
    [anon_sym_UR_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2909),
    [anon_sym_co_await] = ACTIONS(2907),
    [anon_sym_new] = ACTIONS(2907),
    [anon_sym_requires] = ACTIONS(2907),
    [sym_this] = ACTIONS(2907),
  },
  [418] = {
    [sym_identifier] = ACTIONS(3393),
    [aux_sym_preproc_include_token1] = ACTIONS(3393),
    [aux_sym_preproc_def_token1] = ACTIONS(3393),
    [aux_sym_preproc_if_token1] = ACTIONS(3393),
    [aux_sym_preproc_if_token2] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3393),
    [aux_sym_preproc_else_token1] = ACTIONS(3393),
    [aux_sym_preproc_elif_token1] = ACTIONS(3393),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3393),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3393),
    [sym_preproc_directive] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3395),
    [anon_sym_TILDE] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3393),
    [anon_sym_STAR] = ACTIONS(3395),
    [anon_sym_AMP_AMP] = ACTIONS(3395),
    [anon_sym_AMP] = ACTIONS(3393),
    [anon_sym_SEMI] = ACTIONS(3395),
    [anon_sym___extension__] = ACTIONS(3393),
    [anon_sym_typedef] = ACTIONS(3393),
    [anon_sym_extern] = ACTIONS(3393),
    [anon_sym___attribute__] = ACTIONS(3393),
    [anon_sym_COLON_COLON] = ACTIONS(3395),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3395),
    [anon_sym___declspec] = ACTIONS(3393),
    [anon_sym___based] = ACTIONS(3393),
    [anon_sym___cdecl] = ACTIONS(3393),
    [anon_sym___clrcall] = ACTIONS(3393),
    [anon_sym___stdcall] = ACTIONS(3393),
    [anon_sym___fastcall] = ACTIONS(3393),
    [anon_sym___thiscall] = ACTIONS(3393),
    [anon_sym___vectorcall] = ACTIONS(3393),
    [anon_sym_LBRACE] = ACTIONS(3395),
    [anon_sym_signed] = ACTIONS(3393),
    [anon_sym_unsigned] = ACTIONS(3393),
    [anon_sym_long] = ACTIONS(3393),
    [anon_sym_short] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(3393),
    [anon_sym_static] = ACTIONS(3393),
    [anon_sym_register] = ACTIONS(3393),
    [anon_sym_inline] = ACTIONS(3393),
    [anon_sym___inline] = ACTIONS(3393),
    [anon_sym___inline__] = ACTIONS(3393),
    [anon_sym___forceinline] = ACTIONS(3393),
    [anon_sym_thread_local] = ACTIONS(3393),
    [anon_sym___thread] = ACTIONS(3393),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_constexpr] = ACTIONS(3393),
    [anon_sym_volatile] = ACTIONS(3393),
    [anon_sym_restrict] = ACTIONS(3393),
    [anon_sym___restrict__] = ACTIONS(3393),
    [anon_sym__Atomic] = ACTIONS(3393),
    [anon_sym__Noreturn] = ACTIONS(3393),
    [anon_sym_noreturn] = ACTIONS(3393),
    [anon_sym_mutable] = ACTIONS(3393),
    [anon_sym_constinit] = ACTIONS(3393),
    [anon_sym_consteval] = ACTIONS(3393),
    [anon_sym_PROGMEM] = ACTIONS(3393),
    [aux_sym_primitive_type_token1] = ACTIONS(3393),
    [anon_sym_byte] = ACTIONS(3393),
    [anon_sym_word] = ACTIONS(3393),
    [anon_sym_enum] = ACTIONS(3393),
    [anon_sym_class] = ACTIONS(3393),
    [anon_sym_struct] = ACTIONS(3393),
    [anon_sym_union] = ACTIONS(3393),
    [anon_sym_if] = ACTIONS(3393),
    [anon_sym_switch] = ACTIONS(3393),
    [anon_sym_case] = ACTIONS(3393),
    [anon_sym_default] = ACTIONS(3393),
    [anon_sym_while] = ACTIONS(3393),
    [anon_sym_do] = ACTIONS(3393),
    [anon_sym_for] = ACTIONS(3393),
    [anon_sym_return] = ACTIONS(3393),
    [anon_sym_break] = ACTIONS(3393),
    [anon_sym_continue] = ACTIONS(3393),
    [anon_sym_goto] = ACTIONS(3393),
    [anon_sym___try] = ACTIONS(3393),
    [anon_sym___leave] = ACTIONS(3393),
    [anon_sym_not] = ACTIONS(3393),
    [anon_sym_compl] = ACTIONS(3393),
    [anon_sym_DASH_DASH] = ACTIONS(3395),
    [anon_sym_PLUS_PLUS] = ACTIONS(3395),
    [anon_sym_sizeof] = ACTIONS(3393),
    [anon_sym___alignof__] = ACTIONS(3393),
    [anon_sym___alignof] = ACTIONS(3393),
    [anon_sym__alignof] = ACTIONS(3393),
    [anon_sym_alignof] = ACTIONS(3393),
    [anon_sym__Alignof] = ACTIONS(3393),
    [anon_sym_offsetof] = ACTIONS(3393),
    [anon_sym__Generic] = ACTIONS(3393),
    [anon_sym_asm] = ACTIONS(3393),
    [anon_sym___asm__] = ACTIONS(3393),
    [aux_sym_number_literal_token1] = ACTIONS(3395),
    [aux_sym_number_literal_token2] = ACTIONS(3393),
    [anon_sym_L_SQUOTE] = ACTIONS(3395),
    [anon_sym_u_SQUOTE] = ACTIONS(3395),
    [anon_sym_U_SQUOTE] = ACTIONS(3395),
    [anon_sym_u8_SQUOTE] = ACTIONS(3395),
    [anon_sym_SQUOTE] = ACTIONS(3395),
    [anon_sym_L_DQUOTE] = ACTIONS(3395),
    [anon_sym_u_DQUOTE] = ACTIONS(3395),
    [anon_sym_U_DQUOTE] = ACTIONS(3395),
    [anon_sym_u8_DQUOTE] = ACTIONS(3395),
    [anon_sym_DQUOTE] = ACTIONS(3395),
    [sym_true] = ACTIONS(3393),
    [sym_false] = ACTIONS(3393),
    [anon_sym_NULL] = ACTIONS(3393),
    [anon_sym_nullptr] = ACTIONS(3393),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3393),
    [anon_sym_decltype] = ACTIONS(3393),
    [anon_sym_virtual] = ACTIONS(3393),
    [anon_sym_alignas] = ACTIONS(3393),
    [anon_sym_explicit] = ACTIONS(3393),
    [anon_sym_typename] = ACTIONS(3393),
    [anon_sym_template] = ACTIONS(3393),
    [anon_sym_operator] = ACTIONS(3393),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_delete] = ACTIONS(3393),
    [anon_sym_throw] = ACTIONS(3393),
    [anon_sym_namespace] = ACTIONS(3393),
    [anon_sym_using] = ACTIONS(3393),
    [anon_sym_static_assert] = ACTIONS(3393),
    [anon_sym_concept] = ACTIONS(3393),
    [anon_sym_co_return] = ACTIONS(3393),
    [anon_sym_co_yield] = ACTIONS(3393),
    [anon_sym_R_DQUOTE] = ACTIONS(3395),
    [anon_sym_LR_DQUOTE] = ACTIONS(3395),
    [anon_sym_uR_DQUOTE] = ACTIONS(3395),
    [anon_sym_UR_DQUOTE] = ACTIONS(3395),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3395),
    [anon_sym_co_await] = ACTIONS(3393),
    [anon_sym_new] = ACTIONS(3393),
    [anon_sym_requires] = ACTIONS(3393),
    [sym_this] = ACTIONS(3393),
  },
  [419] = {
    [sym_identifier] = ACTIONS(3397),
    [aux_sym_preproc_include_token1] = ACTIONS(3397),
    [aux_sym_preproc_def_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token2] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3397),
    [aux_sym_preproc_else_token1] = ACTIONS(3397),
    [aux_sym_preproc_elif_token1] = ACTIONS(3397),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3397),
    [sym_preproc_directive] = ACTIONS(3397),
    [anon_sym_LPAREN2] = ACTIONS(3399),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_AMP_AMP] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3399),
    [anon_sym___extension__] = ACTIONS(3397),
    [anon_sym_typedef] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym___attribute__] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(3399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym___declspec] = ACTIONS(3397),
    [anon_sym___based] = ACTIONS(3397),
    [anon_sym___cdecl] = ACTIONS(3397),
    [anon_sym___clrcall] = ACTIONS(3397),
    [anon_sym___stdcall] = ACTIONS(3397),
    [anon_sym___fastcall] = ACTIONS(3397),
    [anon_sym___thiscall] = ACTIONS(3397),
    [anon_sym___vectorcall] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_signed] = ACTIONS(3397),
    [anon_sym_unsigned] = ACTIONS(3397),
    [anon_sym_long] = ACTIONS(3397),
    [anon_sym_short] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_register] = ACTIONS(3397),
    [anon_sym_inline] = ACTIONS(3397),
    [anon_sym___inline] = ACTIONS(3397),
    [anon_sym___inline__] = ACTIONS(3397),
    [anon_sym___forceinline] = ACTIONS(3397),
    [anon_sym_thread_local] = ACTIONS(3397),
    [anon_sym___thread] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_constexpr] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_restrict] = ACTIONS(3397),
    [anon_sym___restrict__] = ACTIONS(3397),
    [anon_sym__Atomic] = ACTIONS(3397),
    [anon_sym__Noreturn] = ACTIONS(3397),
    [anon_sym_noreturn] = ACTIONS(3397),
    [anon_sym_mutable] = ACTIONS(3397),
    [anon_sym_constinit] = ACTIONS(3397),
    [anon_sym_consteval] = ACTIONS(3397),
    [anon_sym_PROGMEM] = ACTIONS(3397),
    [aux_sym_primitive_type_token1] = ACTIONS(3397),
    [anon_sym_byte] = ACTIONS(3397),
    [anon_sym_word] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_union] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_goto] = ACTIONS(3397),
    [anon_sym___try] = ACTIONS(3397),
    [anon_sym___leave] = ACTIONS(3397),
    [anon_sym_not] = ACTIONS(3397),
    [anon_sym_compl] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_sizeof] = ACTIONS(3397),
    [anon_sym___alignof__] = ACTIONS(3397),
    [anon_sym___alignof] = ACTIONS(3397),
    [anon_sym__alignof] = ACTIONS(3397),
    [anon_sym_alignof] = ACTIONS(3397),
    [anon_sym__Alignof] = ACTIONS(3397),
    [anon_sym_offsetof] = ACTIONS(3397),
    [anon_sym__Generic] = ACTIONS(3397),
    [anon_sym_asm] = ACTIONS(3397),
    [anon_sym___asm__] = ACTIONS(3397),
    [aux_sym_number_literal_token1] = ACTIONS(3399),
    [aux_sym_number_literal_token2] = ACTIONS(3397),
    [anon_sym_L_SQUOTE] = ACTIONS(3399),
    [anon_sym_u_SQUOTE] = ACTIONS(3399),
    [anon_sym_U_SQUOTE] = ACTIONS(3399),
    [anon_sym_u8_SQUOTE] = ACTIONS(3399),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [anon_sym_L_DQUOTE] = ACTIONS(3399),
    [anon_sym_u_DQUOTE] = ACTIONS(3399),
    [anon_sym_U_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8_DQUOTE] = ACTIONS(3399),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [anon_sym_NULL] = ACTIONS(3397),
    [anon_sym_nullptr] = ACTIONS(3397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3397),
    [anon_sym_decltype] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_alignas] = ACTIONS(3397),
    [anon_sym_explicit] = ACTIONS(3397),
    [anon_sym_typename] = ACTIONS(3397),
    [anon_sym_template] = ACTIONS(3397),
    [anon_sym_operator] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_static_assert] = ACTIONS(3397),
    [anon_sym_concept] = ACTIONS(3397),
    [anon_sym_co_return] = ACTIONS(3397),
    [anon_sym_co_yield] = ACTIONS(3397),
    [anon_sym_R_DQUOTE] = ACTIONS(3399),
    [anon_sym_LR_DQUOTE] = ACTIONS(3399),
    [anon_sym_uR_DQUOTE] = ACTIONS(3399),
    [anon_sym_UR_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3399),
    [anon_sym_co_await] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_requires] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
  },
  [420] = {
    [sym_identifier] = ACTIONS(3397),
    [aux_sym_preproc_include_token1] = ACTIONS(3397),
    [aux_sym_preproc_def_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token2] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3397),
    [aux_sym_preproc_else_token1] = ACTIONS(3397),
    [aux_sym_preproc_elif_token1] = ACTIONS(3397),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3397),
    [sym_preproc_directive] = ACTIONS(3397),
    [anon_sym_LPAREN2] = ACTIONS(3399),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_AMP_AMP] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3399),
    [anon_sym___extension__] = ACTIONS(3397),
    [anon_sym_typedef] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym___attribute__] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(3399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym___declspec] = ACTIONS(3397),
    [anon_sym___based] = ACTIONS(3397),
    [anon_sym___cdecl] = ACTIONS(3397),
    [anon_sym___clrcall] = ACTIONS(3397),
    [anon_sym___stdcall] = ACTIONS(3397),
    [anon_sym___fastcall] = ACTIONS(3397),
    [anon_sym___thiscall] = ACTIONS(3397),
    [anon_sym___vectorcall] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_signed] = ACTIONS(3397),
    [anon_sym_unsigned] = ACTIONS(3397),
    [anon_sym_long] = ACTIONS(3397),
    [anon_sym_short] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_register] = ACTIONS(3397),
    [anon_sym_inline] = ACTIONS(3397),
    [anon_sym___inline] = ACTIONS(3397),
    [anon_sym___inline__] = ACTIONS(3397),
    [anon_sym___forceinline] = ACTIONS(3397),
    [anon_sym_thread_local] = ACTIONS(3397),
    [anon_sym___thread] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_constexpr] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_restrict] = ACTIONS(3397),
    [anon_sym___restrict__] = ACTIONS(3397),
    [anon_sym__Atomic] = ACTIONS(3397),
    [anon_sym__Noreturn] = ACTIONS(3397),
    [anon_sym_noreturn] = ACTIONS(3397),
    [anon_sym_mutable] = ACTIONS(3397),
    [anon_sym_constinit] = ACTIONS(3397),
    [anon_sym_consteval] = ACTIONS(3397),
    [anon_sym_PROGMEM] = ACTIONS(3397),
    [aux_sym_primitive_type_token1] = ACTIONS(3397),
    [anon_sym_byte] = ACTIONS(3397),
    [anon_sym_word] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_union] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_goto] = ACTIONS(3397),
    [anon_sym___try] = ACTIONS(3397),
    [anon_sym___leave] = ACTIONS(3397),
    [anon_sym_not] = ACTIONS(3397),
    [anon_sym_compl] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_sizeof] = ACTIONS(3397),
    [anon_sym___alignof__] = ACTIONS(3397),
    [anon_sym___alignof] = ACTIONS(3397),
    [anon_sym__alignof] = ACTIONS(3397),
    [anon_sym_alignof] = ACTIONS(3397),
    [anon_sym__Alignof] = ACTIONS(3397),
    [anon_sym_offsetof] = ACTIONS(3397),
    [anon_sym__Generic] = ACTIONS(3397),
    [anon_sym_asm] = ACTIONS(3397),
    [anon_sym___asm__] = ACTIONS(3397),
    [aux_sym_number_literal_token1] = ACTIONS(3399),
    [aux_sym_number_literal_token2] = ACTIONS(3397),
    [anon_sym_L_SQUOTE] = ACTIONS(3399),
    [anon_sym_u_SQUOTE] = ACTIONS(3399),
    [anon_sym_U_SQUOTE] = ACTIONS(3399),
    [anon_sym_u8_SQUOTE] = ACTIONS(3399),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [anon_sym_L_DQUOTE] = ACTIONS(3399),
    [anon_sym_u_DQUOTE] = ACTIONS(3399),
    [anon_sym_U_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8_DQUOTE] = ACTIONS(3399),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [anon_sym_NULL] = ACTIONS(3397),
    [anon_sym_nullptr] = ACTIONS(3397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3397),
    [anon_sym_decltype] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_alignas] = ACTIONS(3397),
    [anon_sym_explicit] = ACTIONS(3397),
    [anon_sym_typename] = ACTIONS(3397),
    [anon_sym_template] = ACTIONS(3397),
    [anon_sym_operator] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_static_assert] = ACTIONS(3397),
    [anon_sym_concept] = ACTIONS(3397),
    [anon_sym_co_return] = ACTIONS(3397),
    [anon_sym_co_yield] = ACTIONS(3397),
    [anon_sym_R_DQUOTE] = ACTIONS(3399),
    [anon_sym_LR_DQUOTE] = ACTIONS(3399),
    [anon_sym_uR_DQUOTE] = ACTIONS(3399),
    [anon_sym_UR_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3399),
    [anon_sym_co_await] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_requires] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
  },
  [421] = {
    [sym_identifier] = ACTIONS(3401),
    [aux_sym_preproc_include_token1] = ACTIONS(3401),
    [aux_sym_preproc_def_token1] = ACTIONS(3401),
    [aux_sym_preproc_if_token1] = ACTIONS(3401),
    [aux_sym_preproc_if_token2] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3401),
    [aux_sym_preproc_else_token1] = ACTIONS(3401),
    [aux_sym_preproc_elif_token1] = ACTIONS(3401),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3401),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3401),
    [sym_preproc_directive] = ACTIONS(3401),
    [anon_sym_LPAREN2] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3401),
    [anon_sym_PLUS] = ACTIONS(3401),
    [anon_sym_STAR] = ACTIONS(3403),
    [anon_sym_AMP_AMP] = ACTIONS(3403),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym___extension__] = ACTIONS(3401),
    [anon_sym_typedef] = ACTIONS(3401),
    [anon_sym_extern] = ACTIONS(3401),
    [anon_sym___attribute__] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3403),
    [anon_sym___declspec] = ACTIONS(3401),
    [anon_sym___based] = ACTIONS(3401),
    [anon_sym___cdecl] = ACTIONS(3401),
    [anon_sym___clrcall] = ACTIONS(3401),
    [anon_sym___stdcall] = ACTIONS(3401),
    [anon_sym___fastcall] = ACTIONS(3401),
    [anon_sym___thiscall] = ACTIONS(3401),
    [anon_sym___vectorcall] = ACTIONS(3401),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3401),
    [anon_sym_unsigned] = ACTIONS(3401),
    [anon_sym_long] = ACTIONS(3401),
    [anon_sym_short] = ACTIONS(3401),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_static] = ACTIONS(3401),
    [anon_sym_register] = ACTIONS(3401),
    [anon_sym_inline] = ACTIONS(3401),
    [anon_sym___inline] = ACTIONS(3401),
    [anon_sym___inline__] = ACTIONS(3401),
    [anon_sym___forceinline] = ACTIONS(3401),
    [anon_sym_thread_local] = ACTIONS(3401),
    [anon_sym___thread] = ACTIONS(3401),
    [anon_sym_const] = ACTIONS(3401),
    [anon_sym_constexpr] = ACTIONS(3401),
    [anon_sym_volatile] = ACTIONS(3401),
    [anon_sym_restrict] = ACTIONS(3401),
    [anon_sym___restrict__] = ACTIONS(3401),
    [anon_sym__Atomic] = ACTIONS(3401),
    [anon_sym__Noreturn] = ACTIONS(3401),
    [anon_sym_noreturn] = ACTIONS(3401),
    [anon_sym_mutable] = ACTIONS(3401),
    [anon_sym_constinit] = ACTIONS(3401),
    [anon_sym_consteval] = ACTIONS(3401),
    [anon_sym_PROGMEM] = ACTIONS(3401),
    [aux_sym_primitive_type_token1] = ACTIONS(3401),
    [anon_sym_byte] = ACTIONS(3401),
    [anon_sym_word] = ACTIONS(3401),
    [anon_sym_enum] = ACTIONS(3401),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3401),
    [anon_sym_union] = ACTIONS(3401),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_switch] = ACTIONS(3401),
    [anon_sym_case] = ACTIONS(3401),
    [anon_sym_default] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(3401),
    [anon_sym_do] = ACTIONS(3401),
    [anon_sym_for] = ACTIONS(3401),
    [anon_sym_return] = ACTIONS(3401),
    [anon_sym_break] = ACTIONS(3401),
    [anon_sym_continue] = ACTIONS(3401),
    [anon_sym_goto] = ACTIONS(3401),
    [anon_sym___try] = ACTIONS(3401),
    [anon_sym___leave] = ACTIONS(3401),
    [anon_sym_not] = ACTIONS(3401),
    [anon_sym_compl] = ACTIONS(3401),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_sizeof] = ACTIONS(3401),
    [anon_sym___alignof__] = ACTIONS(3401),
    [anon_sym___alignof] = ACTIONS(3401),
    [anon_sym__alignof] = ACTIONS(3401),
    [anon_sym_alignof] = ACTIONS(3401),
    [anon_sym__Alignof] = ACTIONS(3401),
    [anon_sym_offsetof] = ACTIONS(3401),
    [anon_sym__Generic] = ACTIONS(3401),
    [anon_sym_asm] = ACTIONS(3401),
    [anon_sym___asm__] = ACTIONS(3401),
    [aux_sym_number_literal_token1] = ACTIONS(3403),
    [aux_sym_number_literal_token2] = ACTIONS(3401),
    [anon_sym_L_SQUOTE] = ACTIONS(3403),
    [anon_sym_u_SQUOTE] = ACTIONS(3403),
    [anon_sym_U_SQUOTE] = ACTIONS(3403),
    [anon_sym_u8_SQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [anon_sym_L_DQUOTE] = ACTIONS(3403),
    [anon_sym_u_DQUOTE] = ACTIONS(3403),
    [anon_sym_U_DQUOTE] = ACTIONS(3403),
    [anon_sym_u8_DQUOTE] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [sym_true] = ACTIONS(3401),
    [sym_false] = ACTIONS(3401),
    [anon_sym_NULL] = ACTIONS(3401),
    [anon_sym_nullptr] = ACTIONS(3401),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3401),
    [anon_sym_decltype] = ACTIONS(3401),
    [anon_sym_virtual] = ACTIONS(3401),
    [anon_sym_alignas] = ACTIONS(3401),
    [anon_sym_explicit] = ACTIONS(3401),
    [anon_sym_typename] = ACTIONS(3401),
    [anon_sym_template] = ACTIONS(3401),
    [anon_sym_operator] = ACTIONS(3401),
    [anon_sym_try] = ACTIONS(3401),
    [anon_sym_delete] = ACTIONS(3401),
    [anon_sym_throw] = ACTIONS(3401),
    [anon_sym_namespace] = ACTIONS(3401),
    [anon_sym_using] = ACTIONS(3401),
    [anon_sym_static_assert] = ACTIONS(3401),
    [anon_sym_concept] = ACTIONS(3401),
    [anon_sym_co_return] = ACTIONS(3401),
    [anon_sym_co_yield] = ACTIONS(3401),
    [anon_sym_R_DQUOTE] = ACTIONS(3403),
    [anon_sym_LR_DQUOTE] = ACTIONS(3403),
    [anon_sym_uR_DQUOTE] = ACTIONS(3403),
    [anon_sym_UR_DQUOTE] = ACTIONS(3403),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3403),
    [anon_sym_co_await] = ACTIONS(3401),
    [anon_sym_new] = ACTIONS(3401),
    [anon_sym_requires] = ACTIONS(3401),
    [sym_this] = ACTIONS(3401),
  },
  [422] = {
    [sym_identifier] = ACTIONS(3405),
    [aux_sym_preproc_include_token1] = ACTIONS(3405),
    [aux_sym_preproc_def_token1] = ACTIONS(3405),
    [aux_sym_preproc_if_token1] = ACTIONS(3405),
    [aux_sym_preproc_if_token2] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3405),
    [aux_sym_preproc_else_token1] = ACTIONS(3405),
    [aux_sym_preproc_elif_token1] = ACTIONS(3405),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3405),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3405),
    [sym_preproc_directive] = ACTIONS(3405),
    [anon_sym_LPAREN2] = ACTIONS(3407),
    [anon_sym_BANG] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3407),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_STAR] = ACTIONS(3407),
    [anon_sym_AMP_AMP] = ACTIONS(3407),
    [anon_sym_AMP] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3407),
    [anon_sym___extension__] = ACTIONS(3405),
    [anon_sym_typedef] = ACTIONS(3405),
    [anon_sym_extern] = ACTIONS(3405),
    [anon_sym___attribute__] = ACTIONS(3405),
    [anon_sym_COLON_COLON] = ACTIONS(3407),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3407),
    [anon_sym___declspec] = ACTIONS(3405),
    [anon_sym___based] = ACTIONS(3405),
    [anon_sym___cdecl] = ACTIONS(3405),
    [anon_sym___clrcall] = ACTIONS(3405),
    [anon_sym___stdcall] = ACTIONS(3405),
    [anon_sym___fastcall] = ACTIONS(3405),
    [anon_sym___thiscall] = ACTIONS(3405),
    [anon_sym___vectorcall] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3407),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_register] = ACTIONS(3405),
    [anon_sym_inline] = ACTIONS(3405),
    [anon_sym___inline] = ACTIONS(3405),
    [anon_sym___inline__] = ACTIONS(3405),
    [anon_sym___forceinline] = ACTIONS(3405),
    [anon_sym_thread_local] = ACTIONS(3405),
    [anon_sym___thread] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_constexpr] = ACTIONS(3405),
    [anon_sym_volatile] = ACTIONS(3405),
    [anon_sym_restrict] = ACTIONS(3405),
    [anon_sym___restrict__] = ACTIONS(3405),
    [anon_sym__Atomic] = ACTIONS(3405),
    [anon_sym__Noreturn] = ACTIONS(3405),
    [anon_sym_noreturn] = ACTIONS(3405),
    [anon_sym_mutable] = ACTIONS(3405),
    [anon_sym_constinit] = ACTIONS(3405),
    [anon_sym_consteval] = ACTIONS(3405),
    [anon_sym_PROGMEM] = ACTIONS(3405),
    [aux_sym_primitive_type_token1] = ACTIONS(3405),
    [anon_sym_byte] = ACTIONS(3405),
    [anon_sym_word] = ACTIONS(3405),
    [anon_sym_enum] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_struct] = ACTIONS(3405),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(3405),
    [anon_sym_switch] = ACTIONS(3405),
    [anon_sym_case] = ACTIONS(3405),
    [anon_sym_default] = ACTIONS(3405),
    [anon_sym_while] = ACTIONS(3405),
    [anon_sym_do] = ACTIONS(3405),
    [anon_sym_for] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3405),
    [anon_sym_break] = ACTIONS(3405),
    [anon_sym_continue] = ACTIONS(3405),
    [anon_sym_goto] = ACTIONS(3405),
    [anon_sym___try] = ACTIONS(3405),
    [anon_sym___leave] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3405),
    [anon_sym_compl] = ACTIONS(3405),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3405),
    [anon_sym___alignof__] = ACTIONS(3405),
    [anon_sym___alignof] = ACTIONS(3405),
    [anon_sym__alignof] = ACTIONS(3405),
    [anon_sym_alignof] = ACTIONS(3405),
    [anon_sym__Alignof] = ACTIONS(3405),
    [anon_sym_offsetof] = ACTIONS(3405),
    [anon_sym__Generic] = ACTIONS(3405),
    [anon_sym_asm] = ACTIONS(3405),
    [anon_sym___asm__] = ACTIONS(3405),
    [aux_sym_number_literal_token1] = ACTIONS(3407),
    [aux_sym_number_literal_token2] = ACTIONS(3405),
    [anon_sym_L_SQUOTE] = ACTIONS(3407),
    [anon_sym_u_SQUOTE] = ACTIONS(3407),
    [anon_sym_U_SQUOTE] = ACTIONS(3407),
    [anon_sym_u8_SQUOTE] = ACTIONS(3407),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_L_DQUOTE] = ACTIONS(3407),
    [anon_sym_u_DQUOTE] = ACTIONS(3407),
    [anon_sym_U_DQUOTE] = ACTIONS(3407),
    [anon_sym_u8_DQUOTE] = ACTIONS(3407),
    [anon_sym_DQUOTE] = ACTIONS(3407),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [anon_sym_NULL] = ACTIONS(3405),
    [anon_sym_nullptr] = ACTIONS(3405),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3405),
    [anon_sym_decltype] = ACTIONS(3405),
    [anon_sym_virtual] = ACTIONS(3405),
    [anon_sym_alignas] = ACTIONS(3405),
    [anon_sym_explicit] = ACTIONS(3405),
    [anon_sym_typename] = ACTIONS(3405),
    [anon_sym_template] = ACTIONS(3405),
    [anon_sym_operator] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_delete] = ACTIONS(3405),
    [anon_sym_throw] = ACTIONS(3405),
    [anon_sym_namespace] = ACTIONS(3405),
    [anon_sym_using] = ACTIONS(3405),
    [anon_sym_static_assert] = ACTIONS(3405),
    [anon_sym_concept] = ACTIONS(3405),
    [anon_sym_co_return] = ACTIONS(3405),
    [anon_sym_co_yield] = ACTIONS(3405),
    [anon_sym_R_DQUOTE] = ACTIONS(3407),
    [anon_sym_LR_DQUOTE] = ACTIONS(3407),
    [anon_sym_uR_DQUOTE] = ACTIONS(3407),
    [anon_sym_UR_DQUOTE] = ACTIONS(3407),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3407),
    [anon_sym_co_await] = ACTIONS(3405),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_requires] = ACTIONS(3405),
    [sym_this] = ACTIONS(3405),
  },
  [423] = {
    [sym_identifier] = ACTIONS(3409),
    [aux_sym_preproc_include_token1] = ACTIONS(3409),
    [aux_sym_preproc_def_token1] = ACTIONS(3409),
    [aux_sym_preproc_if_token1] = ACTIONS(3409),
    [aux_sym_preproc_if_token2] = ACTIONS(3409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3409),
    [aux_sym_preproc_else_token1] = ACTIONS(3409),
    [aux_sym_preproc_elif_token1] = ACTIONS(3409),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3409),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3409),
    [sym_preproc_directive] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3411),
    [anon_sym_TILDE] = ACTIONS(3411),
    [anon_sym_DASH] = ACTIONS(3409),
    [anon_sym_PLUS] = ACTIONS(3409),
    [anon_sym_STAR] = ACTIONS(3411),
    [anon_sym_AMP_AMP] = ACTIONS(3411),
    [anon_sym_AMP] = ACTIONS(3409),
    [anon_sym_SEMI] = ACTIONS(3411),
    [anon_sym___extension__] = ACTIONS(3409),
    [anon_sym_typedef] = ACTIONS(3409),
    [anon_sym_extern] = ACTIONS(3409),
    [anon_sym___attribute__] = ACTIONS(3409),
    [anon_sym_COLON_COLON] = ACTIONS(3411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3411),
    [anon_sym___declspec] = ACTIONS(3409),
    [anon_sym___based] = ACTIONS(3409),
    [anon_sym___cdecl] = ACTIONS(3409),
    [anon_sym___clrcall] = ACTIONS(3409),
    [anon_sym___stdcall] = ACTIONS(3409),
    [anon_sym___fastcall] = ACTIONS(3409),
    [anon_sym___thiscall] = ACTIONS(3409),
    [anon_sym___vectorcall] = ACTIONS(3409),
    [anon_sym_LBRACE] = ACTIONS(3411),
    [anon_sym_signed] = ACTIONS(3409),
    [anon_sym_unsigned] = ACTIONS(3409),
    [anon_sym_long] = ACTIONS(3409),
    [anon_sym_short] = ACTIONS(3409),
    [anon_sym_LBRACK] = ACTIONS(3409),
    [anon_sym_static] = ACTIONS(3409),
    [anon_sym_register] = ACTIONS(3409),
    [anon_sym_inline] = ACTIONS(3409),
    [anon_sym___inline] = ACTIONS(3409),
    [anon_sym___inline__] = ACTIONS(3409),
    [anon_sym___forceinline] = ACTIONS(3409),
    [anon_sym_thread_local] = ACTIONS(3409),
    [anon_sym___thread] = ACTIONS(3409),
    [anon_sym_const] = ACTIONS(3409),
    [anon_sym_constexpr] = ACTIONS(3409),
    [anon_sym_volatile] = ACTIONS(3409),
    [anon_sym_restrict] = ACTIONS(3409),
    [anon_sym___restrict__] = ACTIONS(3409),
    [anon_sym__Atomic] = ACTIONS(3409),
    [anon_sym__Noreturn] = ACTIONS(3409),
    [anon_sym_noreturn] = ACTIONS(3409),
    [anon_sym_mutable] = ACTIONS(3409),
    [anon_sym_constinit] = ACTIONS(3409),
    [anon_sym_consteval] = ACTIONS(3409),
    [anon_sym_PROGMEM] = ACTIONS(3409),
    [aux_sym_primitive_type_token1] = ACTIONS(3409),
    [anon_sym_byte] = ACTIONS(3409),
    [anon_sym_word] = ACTIONS(3409),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3409),
    [anon_sym_struct] = ACTIONS(3409),
    [anon_sym_union] = ACTIONS(3409),
    [anon_sym_if] = ACTIONS(3409),
    [anon_sym_switch] = ACTIONS(3409),
    [anon_sym_case] = ACTIONS(3409),
    [anon_sym_default] = ACTIONS(3409),
    [anon_sym_while] = ACTIONS(3409),
    [anon_sym_do] = ACTIONS(3409),
    [anon_sym_for] = ACTIONS(3409),
    [anon_sym_return] = ACTIONS(3409),
    [anon_sym_break] = ACTIONS(3409),
    [anon_sym_continue] = ACTIONS(3409),
    [anon_sym_goto] = ACTIONS(3409),
    [anon_sym___try] = ACTIONS(3409),
    [anon_sym___leave] = ACTIONS(3409),
    [anon_sym_not] = ACTIONS(3409),
    [anon_sym_compl] = ACTIONS(3409),
    [anon_sym_DASH_DASH] = ACTIONS(3411),
    [anon_sym_PLUS_PLUS] = ACTIONS(3411),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3409),
    [anon_sym___alignof] = ACTIONS(3409),
    [anon_sym__alignof] = ACTIONS(3409),
    [anon_sym_alignof] = ACTIONS(3409),
    [anon_sym__Alignof] = ACTIONS(3409),
    [anon_sym_offsetof] = ACTIONS(3409),
    [anon_sym__Generic] = ACTIONS(3409),
    [anon_sym_asm] = ACTIONS(3409),
    [anon_sym___asm__] = ACTIONS(3409),
    [aux_sym_number_literal_token1] = ACTIONS(3411),
    [aux_sym_number_literal_token2] = ACTIONS(3409),
    [anon_sym_L_SQUOTE] = ACTIONS(3411),
    [anon_sym_u_SQUOTE] = ACTIONS(3411),
    [anon_sym_U_SQUOTE] = ACTIONS(3411),
    [anon_sym_u8_SQUOTE] = ACTIONS(3411),
    [anon_sym_SQUOTE] = ACTIONS(3411),
    [anon_sym_L_DQUOTE] = ACTIONS(3411),
    [anon_sym_u_DQUOTE] = ACTIONS(3411),
    [anon_sym_U_DQUOTE] = ACTIONS(3411),
    [anon_sym_u8_DQUOTE] = ACTIONS(3411),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [sym_true] = ACTIONS(3409),
    [sym_false] = ACTIONS(3409),
    [anon_sym_NULL] = ACTIONS(3409),
    [anon_sym_nullptr] = ACTIONS(3409),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3409),
    [anon_sym_decltype] = ACTIONS(3409),
    [anon_sym_virtual] = ACTIONS(3409),
    [anon_sym_alignas] = ACTIONS(3409),
    [anon_sym_explicit] = ACTIONS(3409),
    [anon_sym_typename] = ACTIONS(3409),
    [anon_sym_template] = ACTIONS(3409),
    [anon_sym_operator] = ACTIONS(3409),
    [anon_sym_try] = ACTIONS(3409),
    [anon_sym_delete] = ACTIONS(3409),
    [anon_sym_throw] = ACTIONS(3409),
    [anon_sym_namespace] = ACTIONS(3409),
    [anon_sym_using] = ACTIONS(3409),
    [anon_sym_static_assert] = ACTIONS(3409),
    [anon_sym_concept] = ACTIONS(3409),
    [anon_sym_co_return] = ACTIONS(3409),
    [anon_sym_co_yield] = ACTIONS(3409),
    [anon_sym_R_DQUOTE] = ACTIONS(3411),
    [anon_sym_LR_DQUOTE] = ACTIONS(3411),
    [anon_sym_uR_DQUOTE] = ACTIONS(3411),
    [anon_sym_UR_DQUOTE] = ACTIONS(3411),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3411),
    [anon_sym_co_await] = ACTIONS(3409),
    [anon_sym_new] = ACTIONS(3409),
    [anon_sym_requires] = ACTIONS(3409),
    [sym_this] = ACTIONS(3409),
  },
  [424] = {
    [sym_identifier] = ACTIONS(3413),
    [aux_sym_preproc_include_token1] = ACTIONS(3413),
    [aux_sym_preproc_def_token1] = ACTIONS(3413),
    [aux_sym_preproc_if_token1] = ACTIONS(3413),
    [aux_sym_preproc_if_token2] = ACTIONS(3413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3413),
    [aux_sym_preproc_else_token1] = ACTIONS(3413),
    [aux_sym_preproc_elif_token1] = ACTIONS(3413),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3413),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3413),
    [sym_preproc_directive] = ACTIONS(3413),
    [anon_sym_LPAREN2] = ACTIONS(3415),
    [anon_sym_BANG] = ACTIONS(3415),
    [anon_sym_TILDE] = ACTIONS(3415),
    [anon_sym_DASH] = ACTIONS(3413),
    [anon_sym_PLUS] = ACTIONS(3413),
    [anon_sym_STAR] = ACTIONS(3415),
    [anon_sym_AMP_AMP] = ACTIONS(3415),
    [anon_sym_AMP] = ACTIONS(3413),
    [anon_sym_SEMI] = ACTIONS(3415),
    [anon_sym___extension__] = ACTIONS(3413),
    [anon_sym_typedef] = ACTIONS(3413),
    [anon_sym_extern] = ACTIONS(3413),
    [anon_sym___attribute__] = ACTIONS(3413),
    [anon_sym_COLON_COLON] = ACTIONS(3415),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3415),
    [anon_sym___declspec] = ACTIONS(3413),
    [anon_sym___based] = ACTIONS(3413),
    [anon_sym___cdecl] = ACTIONS(3413),
    [anon_sym___clrcall] = ACTIONS(3413),
    [anon_sym___stdcall] = ACTIONS(3413),
    [anon_sym___fastcall] = ACTIONS(3413),
    [anon_sym___thiscall] = ACTIONS(3413),
    [anon_sym___vectorcall] = ACTIONS(3413),
    [anon_sym_LBRACE] = ACTIONS(3415),
    [anon_sym_signed] = ACTIONS(3413),
    [anon_sym_unsigned] = ACTIONS(3413),
    [anon_sym_long] = ACTIONS(3413),
    [anon_sym_short] = ACTIONS(3413),
    [anon_sym_LBRACK] = ACTIONS(3413),
    [anon_sym_static] = ACTIONS(3413),
    [anon_sym_register] = ACTIONS(3413),
    [anon_sym_inline] = ACTIONS(3413),
    [anon_sym___inline] = ACTIONS(3413),
    [anon_sym___inline__] = ACTIONS(3413),
    [anon_sym___forceinline] = ACTIONS(3413),
    [anon_sym_thread_local] = ACTIONS(3413),
    [anon_sym___thread] = ACTIONS(3413),
    [anon_sym_const] = ACTIONS(3413),
    [anon_sym_constexpr] = ACTIONS(3413),
    [anon_sym_volatile] = ACTIONS(3413),
    [anon_sym_restrict] = ACTIONS(3413),
    [anon_sym___restrict__] = ACTIONS(3413),
    [anon_sym__Atomic] = ACTIONS(3413),
    [anon_sym__Noreturn] = ACTIONS(3413),
    [anon_sym_noreturn] = ACTIONS(3413),
    [anon_sym_mutable] = ACTIONS(3413),
    [anon_sym_constinit] = ACTIONS(3413),
    [anon_sym_consteval] = ACTIONS(3413),
    [anon_sym_PROGMEM] = ACTIONS(3413),
    [aux_sym_primitive_type_token1] = ACTIONS(3413),
    [anon_sym_byte] = ACTIONS(3413),
    [anon_sym_word] = ACTIONS(3413),
    [anon_sym_enum] = ACTIONS(3413),
    [anon_sym_class] = ACTIONS(3413),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3413),
    [anon_sym_if] = ACTIONS(3413),
    [anon_sym_switch] = ACTIONS(3413),
    [anon_sym_case] = ACTIONS(3413),
    [anon_sym_default] = ACTIONS(3413),
    [anon_sym_while] = ACTIONS(3413),
    [anon_sym_do] = ACTIONS(3413),
    [anon_sym_for] = ACTIONS(3413),
    [anon_sym_return] = ACTIONS(3413),
    [anon_sym_break] = ACTIONS(3413),
    [anon_sym_continue] = ACTIONS(3413),
    [anon_sym_goto] = ACTIONS(3413),
    [anon_sym___try] = ACTIONS(3413),
    [anon_sym___leave] = ACTIONS(3413),
    [anon_sym_not] = ACTIONS(3413),
    [anon_sym_compl] = ACTIONS(3413),
    [anon_sym_DASH_DASH] = ACTIONS(3415),
    [anon_sym_PLUS_PLUS] = ACTIONS(3415),
    [anon_sym_sizeof] = ACTIONS(3413),
    [anon_sym___alignof__] = ACTIONS(3413),
    [anon_sym___alignof] = ACTIONS(3413),
    [anon_sym__alignof] = ACTIONS(3413),
    [anon_sym_alignof] = ACTIONS(3413),
    [anon_sym__Alignof] = ACTIONS(3413),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3413),
    [anon_sym_asm] = ACTIONS(3413),
    [anon_sym___asm__] = ACTIONS(3413),
    [aux_sym_number_literal_token1] = ACTIONS(3415),
    [aux_sym_number_literal_token2] = ACTIONS(3413),
    [anon_sym_L_SQUOTE] = ACTIONS(3415),
    [anon_sym_u_SQUOTE] = ACTIONS(3415),
    [anon_sym_U_SQUOTE] = ACTIONS(3415),
    [anon_sym_u8_SQUOTE] = ACTIONS(3415),
    [anon_sym_SQUOTE] = ACTIONS(3415),
    [anon_sym_L_DQUOTE] = ACTIONS(3415),
    [anon_sym_u_DQUOTE] = ACTIONS(3415),
    [anon_sym_U_DQUOTE] = ACTIONS(3415),
    [anon_sym_u8_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE] = ACTIONS(3415),
    [sym_true] = ACTIONS(3413),
    [sym_false] = ACTIONS(3413),
    [anon_sym_NULL] = ACTIONS(3413),
    [anon_sym_nullptr] = ACTIONS(3413),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3413),
    [anon_sym_decltype] = ACTIONS(3413),
    [anon_sym_virtual] = ACTIONS(3413),
    [anon_sym_alignas] = ACTIONS(3413),
    [anon_sym_explicit] = ACTIONS(3413),
    [anon_sym_typename] = ACTIONS(3413),
    [anon_sym_template] = ACTIONS(3413),
    [anon_sym_operator] = ACTIONS(3413),
    [anon_sym_try] = ACTIONS(3413),
    [anon_sym_delete] = ACTIONS(3413),
    [anon_sym_throw] = ACTIONS(3413),
    [anon_sym_namespace] = ACTIONS(3413),
    [anon_sym_using] = ACTIONS(3413),
    [anon_sym_static_assert] = ACTIONS(3413),
    [anon_sym_concept] = ACTIONS(3413),
    [anon_sym_co_return] = ACTIONS(3413),
    [anon_sym_co_yield] = ACTIONS(3413),
    [anon_sym_R_DQUOTE] = ACTIONS(3415),
    [anon_sym_LR_DQUOTE] = ACTIONS(3415),
    [anon_sym_uR_DQUOTE] = ACTIONS(3415),
    [anon_sym_UR_DQUOTE] = ACTIONS(3415),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3415),
    [anon_sym_co_await] = ACTIONS(3413),
    [anon_sym_new] = ACTIONS(3413),
    [anon_sym_requires] = ACTIONS(3413),
    [sym_this] = ACTIONS(3413),
  },
  [425] = {
    [sym_identifier] = ACTIONS(3417),
    [aux_sym_preproc_include_token1] = ACTIONS(3417),
    [aux_sym_preproc_def_token1] = ACTIONS(3417),
    [aux_sym_preproc_if_token1] = ACTIONS(3417),
    [aux_sym_preproc_if_token2] = ACTIONS(3417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3417),
    [aux_sym_preproc_else_token1] = ACTIONS(3417),
    [aux_sym_preproc_elif_token1] = ACTIONS(3417),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3417),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3417),
    [sym_preproc_directive] = ACTIONS(3417),
    [anon_sym_LPAREN2] = ACTIONS(3419),
    [anon_sym_BANG] = ACTIONS(3419),
    [anon_sym_TILDE] = ACTIONS(3419),
    [anon_sym_DASH] = ACTIONS(3417),
    [anon_sym_PLUS] = ACTIONS(3417),
    [anon_sym_STAR] = ACTIONS(3419),
    [anon_sym_AMP_AMP] = ACTIONS(3419),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_SEMI] = ACTIONS(3419),
    [anon_sym___extension__] = ACTIONS(3417),
    [anon_sym_typedef] = ACTIONS(3417),
    [anon_sym_extern] = ACTIONS(3417),
    [anon_sym___attribute__] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3419),
    [anon_sym___declspec] = ACTIONS(3417),
    [anon_sym___based] = ACTIONS(3417),
    [anon_sym___cdecl] = ACTIONS(3417),
    [anon_sym___clrcall] = ACTIONS(3417),
    [anon_sym___stdcall] = ACTIONS(3417),
    [anon_sym___fastcall] = ACTIONS(3417),
    [anon_sym___thiscall] = ACTIONS(3417),
    [anon_sym___vectorcall] = ACTIONS(3417),
    [anon_sym_LBRACE] = ACTIONS(3419),
    [anon_sym_signed] = ACTIONS(3417),
    [anon_sym_unsigned] = ACTIONS(3417),
    [anon_sym_long] = ACTIONS(3417),
    [anon_sym_short] = ACTIONS(3417),
    [anon_sym_LBRACK] = ACTIONS(3417),
    [anon_sym_static] = ACTIONS(3417),
    [anon_sym_register] = ACTIONS(3417),
    [anon_sym_inline] = ACTIONS(3417),
    [anon_sym___inline] = ACTIONS(3417),
    [anon_sym___inline__] = ACTIONS(3417),
    [anon_sym___forceinline] = ACTIONS(3417),
    [anon_sym_thread_local] = ACTIONS(3417),
    [anon_sym___thread] = ACTIONS(3417),
    [anon_sym_const] = ACTIONS(3417),
    [anon_sym_constexpr] = ACTIONS(3417),
    [anon_sym_volatile] = ACTIONS(3417),
    [anon_sym_restrict] = ACTIONS(3417),
    [anon_sym___restrict__] = ACTIONS(3417),
    [anon_sym__Atomic] = ACTIONS(3417),
    [anon_sym__Noreturn] = ACTIONS(3417),
    [anon_sym_noreturn] = ACTIONS(3417),
    [anon_sym_mutable] = ACTIONS(3417),
    [anon_sym_constinit] = ACTIONS(3417),
    [anon_sym_consteval] = ACTIONS(3417),
    [anon_sym_PROGMEM] = ACTIONS(3417),
    [aux_sym_primitive_type_token1] = ACTIONS(3417),
    [anon_sym_byte] = ACTIONS(3417),
    [anon_sym_word] = ACTIONS(3417),
    [anon_sym_enum] = ACTIONS(3417),
    [anon_sym_class] = ACTIONS(3417),
    [anon_sym_struct] = ACTIONS(3417),
    [anon_sym_union] = ACTIONS(3417),
    [anon_sym_if] = ACTIONS(3417),
    [anon_sym_switch] = ACTIONS(3417),
    [anon_sym_case] = ACTIONS(3417),
    [anon_sym_default] = ACTIONS(3417),
    [anon_sym_while] = ACTIONS(3417),
    [anon_sym_do] = ACTIONS(3417),
    [anon_sym_for] = ACTIONS(3417),
    [anon_sym_return] = ACTIONS(3417),
    [anon_sym_break] = ACTIONS(3417),
    [anon_sym_continue] = ACTIONS(3417),
    [anon_sym_goto] = ACTIONS(3417),
    [anon_sym___try] = ACTIONS(3417),
    [anon_sym___leave] = ACTIONS(3417),
    [anon_sym_not] = ACTIONS(3417),
    [anon_sym_compl] = ACTIONS(3417),
    [anon_sym_DASH_DASH] = ACTIONS(3419),
    [anon_sym_PLUS_PLUS] = ACTIONS(3419),
    [anon_sym_sizeof] = ACTIONS(3417),
    [anon_sym___alignof__] = ACTIONS(3417),
    [anon_sym___alignof] = ACTIONS(3417),
    [anon_sym__alignof] = ACTIONS(3417),
    [anon_sym_alignof] = ACTIONS(3417),
    [anon_sym__Alignof] = ACTIONS(3417),
    [anon_sym_offsetof] = ACTIONS(3417),
    [anon_sym__Generic] = ACTIONS(3417),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [aux_sym_number_literal_token1] = ACTIONS(3419),
    [aux_sym_number_literal_token2] = ACTIONS(3417),
    [anon_sym_L_SQUOTE] = ACTIONS(3419),
    [anon_sym_u_SQUOTE] = ACTIONS(3419),
    [anon_sym_U_SQUOTE] = ACTIONS(3419),
    [anon_sym_u8_SQUOTE] = ACTIONS(3419),
    [anon_sym_SQUOTE] = ACTIONS(3419),
    [anon_sym_L_DQUOTE] = ACTIONS(3419),
    [anon_sym_u_DQUOTE] = ACTIONS(3419),
    [anon_sym_U_DQUOTE] = ACTIONS(3419),
    [anon_sym_u8_DQUOTE] = ACTIONS(3419),
    [anon_sym_DQUOTE] = ACTIONS(3419),
    [sym_true] = ACTIONS(3417),
    [sym_false] = ACTIONS(3417),
    [anon_sym_NULL] = ACTIONS(3417),
    [anon_sym_nullptr] = ACTIONS(3417),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3417),
    [anon_sym_decltype] = ACTIONS(3417),
    [anon_sym_virtual] = ACTIONS(3417),
    [anon_sym_alignas] = ACTIONS(3417),
    [anon_sym_explicit] = ACTIONS(3417),
    [anon_sym_typename] = ACTIONS(3417),
    [anon_sym_template] = ACTIONS(3417),
    [anon_sym_operator] = ACTIONS(3417),
    [anon_sym_try] = ACTIONS(3417),
    [anon_sym_delete] = ACTIONS(3417),
    [anon_sym_throw] = ACTIONS(3417),
    [anon_sym_namespace] = ACTIONS(3417),
    [anon_sym_using] = ACTIONS(3417),
    [anon_sym_static_assert] = ACTIONS(3417),
    [anon_sym_concept] = ACTIONS(3417),
    [anon_sym_co_return] = ACTIONS(3417),
    [anon_sym_co_yield] = ACTIONS(3417),
    [anon_sym_R_DQUOTE] = ACTIONS(3419),
    [anon_sym_LR_DQUOTE] = ACTIONS(3419),
    [anon_sym_uR_DQUOTE] = ACTIONS(3419),
    [anon_sym_UR_DQUOTE] = ACTIONS(3419),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3419),
    [anon_sym_co_await] = ACTIONS(3417),
    [anon_sym_new] = ACTIONS(3417),
    [anon_sym_requires] = ACTIONS(3417),
    [sym_this] = ACTIONS(3417),
  },
  [426] = {
    [sym_identifier] = ACTIONS(3421),
    [aux_sym_preproc_include_token1] = ACTIONS(3421),
    [aux_sym_preproc_def_token1] = ACTIONS(3421),
    [aux_sym_preproc_if_token1] = ACTIONS(3421),
    [aux_sym_preproc_if_token2] = ACTIONS(3421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3421),
    [aux_sym_preproc_else_token1] = ACTIONS(3421),
    [aux_sym_preproc_elif_token1] = ACTIONS(3421),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3421),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3421),
    [sym_preproc_directive] = ACTIONS(3421),
    [anon_sym_LPAREN2] = ACTIONS(3423),
    [anon_sym_BANG] = ACTIONS(3423),
    [anon_sym_TILDE] = ACTIONS(3423),
    [anon_sym_DASH] = ACTIONS(3421),
    [anon_sym_PLUS] = ACTIONS(3421),
    [anon_sym_STAR] = ACTIONS(3423),
    [anon_sym_AMP_AMP] = ACTIONS(3423),
    [anon_sym_AMP] = ACTIONS(3421),
    [anon_sym_SEMI] = ACTIONS(3423),
    [anon_sym___extension__] = ACTIONS(3421),
    [anon_sym_typedef] = ACTIONS(3421),
    [anon_sym_extern] = ACTIONS(3421),
    [anon_sym___attribute__] = ACTIONS(3421),
    [anon_sym_COLON_COLON] = ACTIONS(3423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3423),
    [anon_sym___declspec] = ACTIONS(3421),
    [anon_sym___based] = ACTIONS(3421),
    [anon_sym___cdecl] = ACTIONS(3421),
    [anon_sym___clrcall] = ACTIONS(3421),
    [anon_sym___stdcall] = ACTIONS(3421),
    [anon_sym___fastcall] = ACTIONS(3421),
    [anon_sym___thiscall] = ACTIONS(3421),
    [anon_sym___vectorcall] = ACTIONS(3421),
    [anon_sym_LBRACE] = ACTIONS(3423),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(3421),
    [anon_sym_static] = ACTIONS(3421),
    [anon_sym_register] = ACTIONS(3421),
    [anon_sym_inline] = ACTIONS(3421),
    [anon_sym___inline] = ACTIONS(3421),
    [anon_sym___inline__] = ACTIONS(3421),
    [anon_sym___forceinline] = ACTIONS(3421),
    [anon_sym_thread_local] = ACTIONS(3421),
    [anon_sym___thread] = ACTIONS(3421),
    [anon_sym_const] = ACTIONS(3421),
    [anon_sym_constexpr] = ACTIONS(3421),
    [anon_sym_volatile] = ACTIONS(3421),
    [anon_sym_restrict] = ACTIONS(3421),
    [anon_sym___restrict__] = ACTIONS(3421),
    [anon_sym__Atomic] = ACTIONS(3421),
    [anon_sym__Noreturn] = ACTIONS(3421),
    [anon_sym_noreturn] = ACTIONS(3421),
    [anon_sym_mutable] = ACTIONS(3421),
    [anon_sym_constinit] = ACTIONS(3421),
    [anon_sym_consteval] = ACTIONS(3421),
    [anon_sym_PROGMEM] = ACTIONS(3421),
    [aux_sym_primitive_type_token1] = ACTIONS(3421),
    [anon_sym_byte] = ACTIONS(3421),
    [anon_sym_word] = ACTIONS(3421),
    [anon_sym_enum] = ACTIONS(3421),
    [anon_sym_class] = ACTIONS(3421),
    [anon_sym_struct] = ACTIONS(3421),
    [anon_sym_union] = ACTIONS(3421),
    [anon_sym_if] = ACTIONS(3421),
    [anon_sym_switch] = ACTIONS(3421),
    [anon_sym_case] = ACTIONS(3421),
    [anon_sym_default] = ACTIONS(3421),
    [anon_sym_while] = ACTIONS(3421),
    [anon_sym_do] = ACTIONS(3421),
    [anon_sym_for] = ACTIONS(3421),
    [anon_sym_return] = ACTIONS(3421),
    [anon_sym_break] = ACTIONS(3421),
    [anon_sym_continue] = ACTIONS(3421),
    [anon_sym_goto] = ACTIONS(3421),
    [anon_sym___try] = ACTIONS(3421),
    [anon_sym___leave] = ACTIONS(3421),
    [anon_sym_not] = ACTIONS(3421),
    [anon_sym_compl] = ACTIONS(3421),
    [anon_sym_DASH_DASH] = ACTIONS(3423),
    [anon_sym_PLUS_PLUS] = ACTIONS(3423),
    [anon_sym_sizeof] = ACTIONS(3421),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3421),
    [anon_sym__Generic] = ACTIONS(3421),
    [anon_sym_asm] = ACTIONS(3421),
    [anon_sym___asm__] = ACTIONS(3421),
    [aux_sym_number_literal_token1] = ACTIONS(3423),
    [aux_sym_number_literal_token2] = ACTIONS(3421),
    [anon_sym_L_SQUOTE] = ACTIONS(3423),
    [anon_sym_u_SQUOTE] = ACTIONS(3423),
    [anon_sym_U_SQUOTE] = ACTIONS(3423),
    [anon_sym_u8_SQUOTE] = ACTIONS(3423),
    [anon_sym_SQUOTE] = ACTIONS(3423),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3421),
    [sym_false] = ACTIONS(3421),
    [anon_sym_NULL] = ACTIONS(3421),
    [anon_sym_nullptr] = ACTIONS(3421),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3421),
    [anon_sym_decltype] = ACTIONS(3421),
    [anon_sym_virtual] = ACTIONS(3421),
    [anon_sym_alignas] = ACTIONS(3421),
    [anon_sym_explicit] = ACTIONS(3421),
    [anon_sym_typename] = ACTIONS(3421),
    [anon_sym_template] = ACTIONS(3421),
    [anon_sym_operator] = ACTIONS(3421),
    [anon_sym_try] = ACTIONS(3421),
    [anon_sym_delete] = ACTIONS(3421),
    [anon_sym_throw] = ACTIONS(3421),
    [anon_sym_namespace] = ACTIONS(3421),
    [anon_sym_using] = ACTIONS(3421),
    [anon_sym_static_assert] = ACTIONS(3421),
    [anon_sym_concept] = ACTIONS(3421),
    [anon_sym_co_return] = ACTIONS(3421),
    [anon_sym_co_yield] = ACTIONS(3421),
    [anon_sym_R_DQUOTE] = ACTIONS(3423),
    [anon_sym_LR_DQUOTE] = ACTIONS(3423),
    [anon_sym_uR_DQUOTE] = ACTIONS(3423),
    [anon_sym_UR_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3423),
    [anon_sym_co_await] = ACTIONS(3421),
    [anon_sym_new] = ACTIONS(3421),
    [anon_sym_requires] = ACTIONS(3421),
    [sym_this] = ACTIONS(3421),
  },
  [427] = {
    [sym_preproc_def] = STATE(407),
    [sym_preproc_function_def] = STATE(407),
    [sym_preproc_call] = STATE(407),
    [sym_preproc_if_in_field_declaration_list] = STATE(407),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(407),
    [sym_preproc_else_in_field_declaration_list] = STATE(8684),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8684),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8684),
    [sym_type_definition] = STATE(407),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6331),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6985),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(407),
    [sym_field_declaration] = STATE(407),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2150),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(407),
    [sym_operator_cast] = STATE(7390),
    [sym_inline_method_definition] = STATE(407),
    [sym__constructor_specifiers] = STATE(2150),
    [sym_operator_cast_definition] = STATE(407),
    [sym_operator_cast_declaration] = STATE(407),
    [sym_constructor_or_destructor_definition] = STATE(407),
    [sym_constructor_or_destructor_declaration] = STATE(407),
    [sym_friend_declaration] = STATE(407),
    [sym_access_specifier] = STATE(9040),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(407),
    [sym_alias_declaration] = STATE(407),
    [sym_static_assert_declaration] = STATE(407),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7390),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(407),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2150),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token1] = ACTIONS(3228),
    [aux_sym_preproc_if_token2] = ACTIONS(3425),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3232),
    [aux_sym_preproc_else_token1] = ACTIONS(3234),
    [aux_sym_preproc_elif_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3238),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3238),
    [sym_preproc_directive] = ACTIONS(3240),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3250),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3270),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3274),
    [anon_sym_static_assert] = ACTIONS(3276),
  },
  [428] = {
    [sym_identifier] = ACTIONS(3427),
    [aux_sym_preproc_include_token1] = ACTIONS(3427),
    [aux_sym_preproc_def_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token2] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3427),
    [aux_sym_preproc_else_token1] = ACTIONS(3427),
    [aux_sym_preproc_elif_token1] = ACTIONS(3427),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3427),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3427),
    [sym_preproc_directive] = ACTIONS(3427),
    [anon_sym_LPAREN2] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3427),
    [anon_sym_PLUS] = ACTIONS(3427),
    [anon_sym_STAR] = ACTIONS(3429),
    [anon_sym_AMP_AMP] = ACTIONS(3429),
    [anon_sym_AMP] = ACTIONS(3427),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym___extension__] = ACTIONS(3427),
    [anon_sym_typedef] = ACTIONS(3427),
    [anon_sym_extern] = ACTIONS(3427),
    [anon_sym___attribute__] = ACTIONS(3427),
    [anon_sym_COLON_COLON] = ACTIONS(3429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3429),
    [anon_sym___declspec] = ACTIONS(3427),
    [anon_sym___based] = ACTIONS(3427),
    [anon_sym___cdecl] = ACTIONS(3427),
    [anon_sym___clrcall] = ACTIONS(3427),
    [anon_sym___stdcall] = ACTIONS(3427),
    [anon_sym___fastcall] = ACTIONS(3427),
    [anon_sym___thiscall] = ACTIONS(3427),
    [anon_sym___vectorcall] = ACTIONS(3427),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_signed] = ACTIONS(3427),
    [anon_sym_unsigned] = ACTIONS(3427),
    [anon_sym_long] = ACTIONS(3427),
    [anon_sym_short] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_register] = ACTIONS(3427),
    [anon_sym_inline] = ACTIONS(3427),
    [anon_sym___inline] = ACTIONS(3427),
    [anon_sym___inline__] = ACTIONS(3427),
    [anon_sym___forceinline] = ACTIONS(3427),
    [anon_sym_thread_local] = ACTIONS(3427),
    [anon_sym___thread] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_constexpr] = ACTIONS(3427),
    [anon_sym_volatile] = ACTIONS(3427),
    [anon_sym_restrict] = ACTIONS(3427),
    [anon_sym___restrict__] = ACTIONS(3427),
    [anon_sym__Atomic] = ACTIONS(3427),
    [anon_sym__Noreturn] = ACTIONS(3427),
    [anon_sym_noreturn] = ACTIONS(3427),
    [anon_sym_mutable] = ACTIONS(3427),
    [anon_sym_constinit] = ACTIONS(3427),
    [anon_sym_consteval] = ACTIONS(3427),
    [anon_sym_PROGMEM] = ACTIONS(3427),
    [aux_sym_primitive_type_token1] = ACTIONS(3427),
    [anon_sym_byte] = ACTIONS(3427),
    [anon_sym_word] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3427),
    [anon_sym_union] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(3427),
    [anon_sym_switch] = ACTIONS(3427),
    [anon_sym_case] = ACTIONS(3427),
    [anon_sym_default] = ACTIONS(3427),
    [anon_sym_while] = ACTIONS(3427),
    [anon_sym_do] = ACTIONS(3427),
    [anon_sym_for] = ACTIONS(3427),
    [anon_sym_return] = ACTIONS(3427),
    [anon_sym_break] = ACTIONS(3427),
    [anon_sym_continue] = ACTIONS(3427),
    [anon_sym_goto] = ACTIONS(3427),
    [anon_sym___try] = ACTIONS(3427),
    [anon_sym___leave] = ACTIONS(3427),
    [anon_sym_not] = ACTIONS(3427),
    [anon_sym_compl] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_sizeof] = ACTIONS(3427),
    [anon_sym___alignof__] = ACTIONS(3427),
    [anon_sym___alignof] = ACTIONS(3427),
    [anon_sym__alignof] = ACTIONS(3427),
    [anon_sym_alignof] = ACTIONS(3427),
    [anon_sym__Alignof] = ACTIONS(3427),
    [anon_sym_offsetof] = ACTIONS(3427),
    [anon_sym__Generic] = ACTIONS(3427),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [aux_sym_number_literal_token1] = ACTIONS(3429),
    [aux_sym_number_literal_token2] = ACTIONS(3427),
    [anon_sym_L_SQUOTE] = ACTIONS(3429),
    [anon_sym_u_SQUOTE] = ACTIONS(3429),
    [anon_sym_U_SQUOTE] = ACTIONS(3429),
    [anon_sym_u8_SQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [anon_sym_L_DQUOTE] = ACTIONS(3429),
    [anon_sym_u_DQUOTE] = ACTIONS(3429),
    [anon_sym_U_DQUOTE] = ACTIONS(3429),
    [anon_sym_u8_DQUOTE] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [sym_true] = ACTIONS(3427),
    [sym_false] = ACTIONS(3427),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3427),
    [anon_sym_decltype] = ACTIONS(3427),
    [anon_sym_virtual] = ACTIONS(3427),
    [anon_sym_alignas] = ACTIONS(3427),
    [anon_sym_explicit] = ACTIONS(3427),
    [anon_sym_typename] = ACTIONS(3427),
    [anon_sym_template] = ACTIONS(3427),
    [anon_sym_operator] = ACTIONS(3427),
    [anon_sym_try] = ACTIONS(3427),
    [anon_sym_delete] = ACTIONS(3427),
    [anon_sym_throw] = ACTIONS(3427),
    [anon_sym_namespace] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_static_assert] = ACTIONS(3427),
    [anon_sym_concept] = ACTIONS(3427),
    [anon_sym_co_return] = ACTIONS(3427),
    [anon_sym_co_yield] = ACTIONS(3427),
    [anon_sym_R_DQUOTE] = ACTIONS(3429),
    [anon_sym_LR_DQUOTE] = ACTIONS(3429),
    [anon_sym_uR_DQUOTE] = ACTIONS(3429),
    [anon_sym_UR_DQUOTE] = ACTIONS(3429),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3429),
    [anon_sym_co_await] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3427),
    [anon_sym_requires] = ACTIONS(3427),
    [sym_this] = ACTIONS(3427),
  },
  [429] = {
    [sym_identifier] = ACTIONS(3427),
    [aux_sym_preproc_include_token1] = ACTIONS(3427),
    [aux_sym_preproc_def_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token2] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3427),
    [aux_sym_preproc_else_token1] = ACTIONS(3427),
    [aux_sym_preproc_elif_token1] = ACTIONS(3427),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3427),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3427),
    [sym_preproc_directive] = ACTIONS(3427),
    [anon_sym_LPAREN2] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3427),
    [anon_sym_PLUS] = ACTIONS(3427),
    [anon_sym_STAR] = ACTIONS(3429),
    [anon_sym_AMP_AMP] = ACTIONS(3429),
    [anon_sym_AMP] = ACTIONS(3427),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym___extension__] = ACTIONS(3427),
    [anon_sym_typedef] = ACTIONS(3427),
    [anon_sym_extern] = ACTIONS(3427),
    [anon_sym___attribute__] = ACTIONS(3427),
    [anon_sym_COLON_COLON] = ACTIONS(3429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3429),
    [anon_sym___declspec] = ACTIONS(3427),
    [anon_sym___based] = ACTIONS(3427),
    [anon_sym___cdecl] = ACTIONS(3427),
    [anon_sym___clrcall] = ACTIONS(3427),
    [anon_sym___stdcall] = ACTIONS(3427),
    [anon_sym___fastcall] = ACTIONS(3427),
    [anon_sym___thiscall] = ACTIONS(3427),
    [anon_sym___vectorcall] = ACTIONS(3427),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_signed] = ACTIONS(3427),
    [anon_sym_unsigned] = ACTIONS(3427),
    [anon_sym_long] = ACTIONS(3427),
    [anon_sym_short] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_register] = ACTIONS(3427),
    [anon_sym_inline] = ACTIONS(3427),
    [anon_sym___inline] = ACTIONS(3427),
    [anon_sym___inline__] = ACTIONS(3427),
    [anon_sym___forceinline] = ACTIONS(3427),
    [anon_sym_thread_local] = ACTIONS(3427),
    [anon_sym___thread] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_constexpr] = ACTIONS(3427),
    [anon_sym_volatile] = ACTIONS(3427),
    [anon_sym_restrict] = ACTIONS(3427),
    [anon_sym___restrict__] = ACTIONS(3427),
    [anon_sym__Atomic] = ACTIONS(3427),
    [anon_sym__Noreturn] = ACTIONS(3427),
    [anon_sym_noreturn] = ACTIONS(3427),
    [anon_sym_mutable] = ACTIONS(3427),
    [anon_sym_constinit] = ACTIONS(3427),
    [anon_sym_consteval] = ACTIONS(3427),
    [anon_sym_PROGMEM] = ACTIONS(3427),
    [aux_sym_primitive_type_token1] = ACTIONS(3427),
    [anon_sym_byte] = ACTIONS(3427),
    [anon_sym_word] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3427),
    [anon_sym_union] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(3427),
    [anon_sym_switch] = ACTIONS(3427),
    [anon_sym_case] = ACTIONS(3427),
    [anon_sym_default] = ACTIONS(3427),
    [anon_sym_while] = ACTIONS(3427),
    [anon_sym_do] = ACTIONS(3427),
    [anon_sym_for] = ACTIONS(3427),
    [anon_sym_return] = ACTIONS(3427),
    [anon_sym_break] = ACTIONS(3427),
    [anon_sym_continue] = ACTIONS(3427),
    [anon_sym_goto] = ACTIONS(3427),
    [anon_sym___try] = ACTIONS(3427),
    [anon_sym___leave] = ACTIONS(3427),
    [anon_sym_not] = ACTIONS(3427),
    [anon_sym_compl] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_sizeof] = ACTIONS(3427),
    [anon_sym___alignof__] = ACTIONS(3427),
    [anon_sym___alignof] = ACTIONS(3427),
    [anon_sym__alignof] = ACTIONS(3427),
    [anon_sym_alignof] = ACTIONS(3427),
    [anon_sym__Alignof] = ACTIONS(3427),
    [anon_sym_offsetof] = ACTIONS(3427),
    [anon_sym__Generic] = ACTIONS(3427),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [aux_sym_number_literal_token1] = ACTIONS(3429),
    [aux_sym_number_literal_token2] = ACTIONS(3427),
    [anon_sym_L_SQUOTE] = ACTIONS(3429),
    [anon_sym_u_SQUOTE] = ACTIONS(3429),
    [anon_sym_U_SQUOTE] = ACTIONS(3429),
    [anon_sym_u8_SQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [anon_sym_L_DQUOTE] = ACTIONS(3429),
    [anon_sym_u_DQUOTE] = ACTIONS(3429),
    [anon_sym_U_DQUOTE] = ACTIONS(3429),
    [anon_sym_u8_DQUOTE] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [sym_true] = ACTIONS(3427),
    [sym_false] = ACTIONS(3427),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3427),
    [anon_sym_decltype] = ACTIONS(3427),
    [anon_sym_virtual] = ACTIONS(3427),
    [anon_sym_alignas] = ACTIONS(3427),
    [anon_sym_explicit] = ACTIONS(3427),
    [anon_sym_typename] = ACTIONS(3427),
    [anon_sym_template] = ACTIONS(3427),
    [anon_sym_operator] = ACTIONS(3427),
    [anon_sym_try] = ACTIONS(3427),
    [anon_sym_delete] = ACTIONS(3427),
    [anon_sym_throw] = ACTIONS(3427),
    [anon_sym_namespace] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_static_assert] = ACTIONS(3427),
    [anon_sym_concept] = ACTIONS(3427),
    [anon_sym_co_return] = ACTIONS(3427),
    [anon_sym_co_yield] = ACTIONS(3427),
    [anon_sym_R_DQUOTE] = ACTIONS(3429),
    [anon_sym_LR_DQUOTE] = ACTIONS(3429),
    [anon_sym_uR_DQUOTE] = ACTIONS(3429),
    [anon_sym_UR_DQUOTE] = ACTIONS(3429),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3429),
    [anon_sym_co_await] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3427),
    [anon_sym_requires] = ACTIONS(3427),
    [sym_this] = ACTIONS(3427),
  },
  [430] = {
    [sym_preproc_def] = STATE(392),
    [sym_preproc_function_def] = STATE(392),
    [sym_preproc_call] = STATE(392),
    [sym_preproc_if_in_field_declaration_list] = STATE(392),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(392),
    [sym_preproc_else_in_field_declaration_list] = STATE(9157),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9157),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(9157),
    [sym_type_definition] = STATE(392),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6331),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6985),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(392),
    [sym_field_declaration] = STATE(392),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2150),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(392),
    [sym_operator_cast] = STATE(7390),
    [sym_inline_method_definition] = STATE(392),
    [sym__constructor_specifiers] = STATE(2150),
    [sym_operator_cast_definition] = STATE(392),
    [sym_operator_cast_declaration] = STATE(392),
    [sym_constructor_or_destructor_definition] = STATE(392),
    [sym_constructor_or_destructor_declaration] = STATE(392),
    [sym_friend_declaration] = STATE(392),
    [sym_access_specifier] = STATE(9040),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(392),
    [sym_alias_declaration] = STATE(392),
    [sym_static_assert_declaration] = STATE(392),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7390),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(392),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2150),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token1] = ACTIONS(3228),
    [aux_sym_preproc_if_token2] = ACTIONS(3431),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3232),
    [aux_sym_preproc_else_token1] = ACTIONS(3234),
    [aux_sym_preproc_elif_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3238),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3238),
    [sym_preproc_directive] = ACTIONS(3240),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3250),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3270),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3274),
    [anon_sym_static_assert] = ACTIONS(3276),
  },
  [431] = {
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_unaligned_ptr_modifier] = STATE(5824),
    [sym_ms_pointer_modifier] = STATE(3808),
    [sym__declarator] = STATE(7132),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6932),
    [sym_array_declarator] = STATE(6932),
    [sym_type_qualifier] = STATE(4732),
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3735),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3847),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6337),
    [sym_qualified_identifier] = STATE(3839),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3981),
    [aux_sym__type_definition_type_repeat1] = STATE(4732),
    [aux_sym_pointer_declarator_repeat1] = STATE(3808),
    [sym_identifier] = ACTIONS(3433),
    [anon_sym_LPAREN2] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2085),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2087),
    [anon_sym___extension__] = ACTIONS(3290),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3292),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3292),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3292),
    [anon_sym__unaligned] = ACTIONS(3294),
    [anon_sym___unaligned] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_constexpr] = ACTIONS(3290),
    [anon_sym_volatile] = ACTIONS(3290),
    [anon_sym_restrict] = ACTIONS(3290),
    [anon_sym___restrict__] = ACTIONS(3290),
    [anon_sym__Atomic] = ACTIONS(3290),
    [anon_sym__Noreturn] = ACTIONS(3290),
    [anon_sym_noreturn] = ACTIONS(3290),
    [anon_sym_mutable] = ACTIONS(3290),
    [anon_sym_constinit] = ACTIONS(3290),
    [anon_sym_consteval] = ACTIONS(3290),
    [anon_sym_PROGMEM] = ACTIONS(3290),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [432] = {
    [sym_identifier] = ACTIONS(3435),
    [aux_sym_preproc_include_token1] = ACTIONS(3435),
    [aux_sym_preproc_def_token1] = ACTIONS(3435),
    [aux_sym_preproc_if_token1] = ACTIONS(3435),
    [aux_sym_preproc_if_token2] = ACTIONS(3435),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3435),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3435),
    [aux_sym_preproc_else_token1] = ACTIONS(3435),
    [aux_sym_preproc_elif_token1] = ACTIONS(3435),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3435),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3435),
    [sym_preproc_directive] = ACTIONS(3435),
    [anon_sym_LPAREN2] = ACTIONS(3437),
    [anon_sym_BANG] = ACTIONS(3437),
    [anon_sym_TILDE] = ACTIONS(3437),
    [anon_sym_DASH] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3435),
    [anon_sym_STAR] = ACTIONS(3437),
    [anon_sym_AMP_AMP] = ACTIONS(3437),
    [anon_sym_AMP] = ACTIONS(3435),
    [anon_sym_SEMI] = ACTIONS(3437),
    [anon_sym___extension__] = ACTIONS(3435),
    [anon_sym_typedef] = ACTIONS(3435),
    [anon_sym_extern] = ACTIONS(3435),
    [anon_sym___attribute__] = ACTIONS(3435),
    [anon_sym_COLON_COLON] = ACTIONS(3437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3437),
    [anon_sym___declspec] = ACTIONS(3435),
    [anon_sym___based] = ACTIONS(3435),
    [anon_sym___cdecl] = ACTIONS(3435),
    [anon_sym___clrcall] = ACTIONS(3435),
    [anon_sym___stdcall] = ACTIONS(3435),
    [anon_sym___fastcall] = ACTIONS(3435),
    [anon_sym___thiscall] = ACTIONS(3435),
    [anon_sym___vectorcall] = ACTIONS(3435),
    [anon_sym_LBRACE] = ACTIONS(3437),
    [anon_sym_signed] = ACTIONS(3435),
    [anon_sym_unsigned] = ACTIONS(3435),
    [anon_sym_long] = ACTIONS(3435),
    [anon_sym_short] = ACTIONS(3435),
    [anon_sym_LBRACK] = ACTIONS(3435),
    [anon_sym_static] = ACTIONS(3435),
    [anon_sym_register] = ACTIONS(3435),
    [anon_sym_inline] = ACTIONS(3435),
    [anon_sym___inline] = ACTIONS(3435),
    [anon_sym___inline__] = ACTIONS(3435),
    [anon_sym___forceinline] = ACTIONS(3435),
    [anon_sym_thread_local] = ACTIONS(3435),
    [anon_sym___thread] = ACTIONS(3435),
    [anon_sym_const] = ACTIONS(3435),
    [anon_sym_constexpr] = ACTIONS(3435),
    [anon_sym_volatile] = ACTIONS(3435),
    [anon_sym_restrict] = ACTIONS(3435),
    [anon_sym___restrict__] = ACTIONS(3435),
    [anon_sym__Atomic] = ACTIONS(3435),
    [anon_sym__Noreturn] = ACTIONS(3435),
    [anon_sym_noreturn] = ACTIONS(3435),
    [anon_sym_mutable] = ACTIONS(3435),
    [anon_sym_constinit] = ACTIONS(3435),
    [anon_sym_consteval] = ACTIONS(3435),
    [anon_sym_PROGMEM] = ACTIONS(3435),
    [aux_sym_primitive_type_token1] = ACTIONS(3435),
    [anon_sym_byte] = ACTIONS(3435),
    [anon_sym_word] = ACTIONS(3435),
    [anon_sym_enum] = ACTIONS(3435),
    [anon_sym_class] = ACTIONS(3435),
    [anon_sym_struct] = ACTIONS(3435),
    [anon_sym_union] = ACTIONS(3435),
    [anon_sym_if] = ACTIONS(3435),
    [anon_sym_switch] = ACTIONS(3435),
    [anon_sym_case] = ACTIONS(3435),
    [anon_sym_default] = ACTIONS(3435),
    [anon_sym_while] = ACTIONS(3435),
    [anon_sym_do] = ACTIONS(3435),
    [anon_sym_for] = ACTIONS(3435),
    [anon_sym_return] = ACTIONS(3435),
    [anon_sym_break] = ACTIONS(3435),
    [anon_sym_continue] = ACTIONS(3435),
    [anon_sym_goto] = ACTIONS(3435),
    [anon_sym___try] = ACTIONS(3435),
    [anon_sym___leave] = ACTIONS(3435),
    [anon_sym_not] = ACTIONS(3435),
    [anon_sym_compl] = ACTIONS(3435),
    [anon_sym_DASH_DASH] = ACTIONS(3437),
    [anon_sym_PLUS_PLUS] = ACTIONS(3437),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3435),
    [anon_sym___alignof] = ACTIONS(3435),
    [anon_sym__alignof] = ACTIONS(3435),
    [anon_sym_alignof] = ACTIONS(3435),
    [anon_sym__Alignof] = ACTIONS(3435),
    [anon_sym_offsetof] = ACTIONS(3435),
    [anon_sym__Generic] = ACTIONS(3435),
    [anon_sym_asm] = ACTIONS(3435),
    [anon_sym___asm__] = ACTIONS(3435),
    [aux_sym_number_literal_token1] = ACTIONS(3437),
    [aux_sym_number_literal_token2] = ACTIONS(3435),
    [anon_sym_L_SQUOTE] = ACTIONS(3437),
    [anon_sym_u_SQUOTE] = ACTIONS(3437),
    [anon_sym_U_SQUOTE] = ACTIONS(3437),
    [anon_sym_u8_SQUOTE] = ACTIONS(3437),
    [anon_sym_SQUOTE] = ACTIONS(3437),
    [anon_sym_L_DQUOTE] = ACTIONS(3437),
    [anon_sym_u_DQUOTE] = ACTIONS(3437),
    [anon_sym_U_DQUOTE] = ACTIONS(3437),
    [anon_sym_u8_DQUOTE] = ACTIONS(3437),
    [anon_sym_DQUOTE] = ACTIONS(3437),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3435),
    [anon_sym_nullptr] = ACTIONS(3435),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3435),
    [anon_sym_decltype] = ACTIONS(3435),
    [anon_sym_virtual] = ACTIONS(3435),
    [anon_sym_alignas] = ACTIONS(3435),
    [anon_sym_explicit] = ACTIONS(3435),
    [anon_sym_typename] = ACTIONS(3435),
    [anon_sym_template] = ACTIONS(3435),
    [anon_sym_operator] = ACTIONS(3435),
    [anon_sym_try] = ACTIONS(3435),
    [anon_sym_delete] = ACTIONS(3435),
    [anon_sym_throw] = ACTIONS(3435),
    [anon_sym_namespace] = ACTIONS(3435),
    [anon_sym_using] = ACTIONS(3435),
    [anon_sym_static_assert] = ACTIONS(3435),
    [anon_sym_concept] = ACTIONS(3435),
    [anon_sym_co_return] = ACTIONS(3435),
    [anon_sym_co_yield] = ACTIONS(3435),
    [anon_sym_R_DQUOTE] = ACTIONS(3437),
    [anon_sym_LR_DQUOTE] = ACTIONS(3437),
    [anon_sym_uR_DQUOTE] = ACTIONS(3437),
    [anon_sym_UR_DQUOTE] = ACTIONS(3437),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3437),
    [anon_sym_co_await] = ACTIONS(3435),
    [anon_sym_new] = ACTIONS(3435),
    [anon_sym_requires] = ACTIONS(3435),
    [sym_this] = ACTIONS(3435),
  },
  [433] = {
    [sym_identifier] = ACTIONS(3439),
    [aux_sym_preproc_include_token1] = ACTIONS(3439),
    [aux_sym_preproc_def_token1] = ACTIONS(3439),
    [aux_sym_preproc_if_token1] = ACTIONS(3439),
    [aux_sym_preproc_if_token2] = ACTIONS(3439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3439),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3439),
    [aux_sym_preproc_else_token1] = ACTIONS(3439),
    [aux_sym_preproc_elif_token1] = ACTIONS(3439),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3439),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3439),
    [sym_preproc_directive] = ACTIONS(3439),
    [anon_sym_LPAREN2] = ACTIONS(3441),
    [anon_sym_BANG] = ACTIONS(3441),
    [anon_sym_TILDE] = ACTIONS(3441),
    [anon_sym_DASH] = ACTIONS(3439),
    [anon_sym_PLUS] = ACTIONS(3439),
    [anon_sym_STAR] = ACTIONS(3441),
    [anon_sym_AMP_AMP] = ACTIONS(3441),
    [anon_sym_AMP] = ACTIONS(3439),
    [anon_sym_SEMI] = ACTIONS(3441),
    [anon_sym___extension__] = ACTIONS(3439),
    [anon_sym_typedef] = ACTIONS(3439),
    [anon_sym_extern] = ACTIONS(3439),
    [anon_sym___attribute__] = ACTIONS(3439),
    [anon_sym_COLON_COLON] = ACTIONS(3441),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3441),
    [anon_sym___declspec] = ACTIONS(3439),
    [anon_sym___based] = ACTIONS(3439),
    [anon_sym___cdecl] = ACTIONS(3439),
    [anon_sym___clrcall] = ACTIONS(3439),
    [anon_sym___stdcall] = ACTIONS(3439),
    [anon_sym___fastcall] = ACTIONS(3439),
    [anon_sym___thiscall] = ACTIONS(3439),
    [anon_sym___vectorcall] = ACTIONS(3439),
    [anon_sym_LBRACE] = ACTIONS(3441),
    [anon_sym_signed] = ACTIONS(3439),
    [anon_sym_unsigned] = ACTIONS(3439),
    [anon_sym_long] = ACTIONS(3439),
    [anon_sym_short] = ACTIONS(3439),
    [anon_sym_LBRACK] = ACTIONS(3439),
    [anon_sym_static] = ACTIONS(3439),
    [anon_sym_register] = ACTIONS(3439),
    [anon_sym_inline] = ACTIONS(3439),
    [anon_sym___inline] = ACTIONS(3439),
    [anon_sym___inline__] = ACTIONS(3439),
    [anon_sym___forceinline] = ACTIONS(3439),
    [anon_sym_thread_local] = ACTIONS(3439),
    [anon_sym___thread] = ACTIONS(3439),
    [anon_sym_const] = ACTIONS(3439),
    [anon_sym_constexpr] = ACTIONS(3439),
    [anon_sym_volatile] = ACTIONS(3439),
    [anon_sym_restrict] = ACTIONS(3439),
    [anon_sym___restrict__] = ACTIONS(3439),
    [anon_sym__Atomic] = ACTIONS(3439),
    [anon_sym__Noreturn] = ACTIONS(3439),
    [anon_sym_noreturn] = ACTIONS(3439),
    [anon_sym_mutable] = ACTIONS(3439),
    [anon_sym_constinit] = ACTIONS(3439),
    [anon_sym_consteval] = ACTIONS(3439),
    [anon_sym_PROGMEM] = ACTIONS(3439),
    [aux_sym_primitive_type_token1] = ACTIONS(3439),
    [anon_sym_byte] = ACTIONS(3439),
    [anon_sym_word] = ACTIONS(3439),
    [anon_sym_enum] = ACTIONS(3439),
    [anon_sym_class] = ACTIONS(3439),
    [anon_sym_struct] = ACTIONS(3439),
    [anon_sym_union] = ACTIONS(3439),
    [anon_sym_if] = ACTIONS(3439),
    [anon_sym_switch] = ACTIONS(3439),
    [anon_sym_case] = ACTIONS(3439),
    [anon_sym_default] = ACTIONS(3439),
    [anon_sym_while] = ACTIONS(3439),
    [anon_sym_do] = ACTIONS(3439),
    [anon_sym_for] = ACTIONS(3439),
    [anon_sym_return] = ACTIONS(3439),
    [anon_sym_break] = ACTIONS(3439),
    [anon_sym_continue] = ACTIONS(3439),
    [anon_sym_goto] = ACTIONS(3439),
    [anon_sym___try] = ACTIONS(3439),
    [anon_sym___leave] = ACTIONS(3439),
    [anon_sym_not] = ACTIONS(3439),
    [anon_sym_compl] = ACTIONS(3439),
    [anon_sym_DASH_DASH] = ACTIONS(3441),
    [anon_sym_PLUS_PLUS] = ACTIONS(3441),
    [anon_sym_sizeof] = ACTIONS(3439),
    [anon_sym___alignof__] = ACTIONS(3439),
    [anon_sym___alignof] = ACTIONS(3439),
    [anon_sym__alignof] = ACTIONS(3439),
    [anon_sym_alignof] = ACTIONS(3439),
    [anon_sym__Alignof] = ACTIONS(3439),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3439),
    [anon_sym_asm] = ACTIONS(3439),
    [anon_sym___asm__] = ACTIONS(3439),
    [aux_sym_number_literal_token1] = ACTIONS(3441),
    [aux_sym_number_literal_token2] = ACTIONS(3439),
    [anon_sym_L_SQUOTE] = ACTIONS(3441),
    [anon_sym_u_SQUOTE] = ACTIONS(3441),
    [anon_sym_U_SQUOTE] = ACTIONS(3441),
    [anon_sym_u8_SQUOTE] = ACTIONS(3441),
    [anon_sym_SQUOTE] = ACTIONS(3441),
    [anon_sym_L_DQUOTE] = ACTIONS(3441),
    [anon_sym_u_DQUOTE] = ACTIONS(3441),
    [anon_sym_U_DQUOTE] = ACTIONS(3441),
    [anon_sym_u8_DQUOTE] = ACTIONS(3441),
    [anon_sym_DQUOTE] = ACTIONS(3441),
    [sym_true] = ACTIONS(3439),
    [sym_false] = ACTIONS(3439),
    [anon_sym_NULL] = ACTIONS(3439),
    [anon_sym_nullptr] = ACTIONS(3439),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3439),
    [anon_sym_virtual] = ACTIONS(3439),
    [anon_sym_alignas] = ACTIONS(3439),
    [anon_sym_explicit] = ACTIONS(3439),
    [anon_sym_typename] = ACTIONS(3439),
    [anon_sym_template] = ACTIONS(3439),
    [anon_sym_operator] = ACTIONS(3439),
    [anon_sym_try] = ACTIONS(3439),
    [anon_sym_delete] = ACTIONS(3439),
    [anon_sym_throw] = ACTIONS(3439),
    [anon_sym_namespace] = ACTIONS(3439),
    [anon_sym_using] = ACTIONS(3439),
    [anon_sym_static_assert] = ACTIONS(3439),
    [anon_sym_concept] = ACTIONS(3439),
    [anon_sym_co_return] = ACTIONS(3439),
    [anon_sym_co_yield] = ACTIONS(3439),
    [anon_sym_R_DQUOTE] = ACTIONS(3441),
    [anon_sym_LR_DQUOTE] = ACTIONS(3441),
    [anon_sym_uR_DQUOTE] = ACTIONS(3441),
    [anon_sym_UR_DQUOTE] = ACTIONS(3441),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3441),
    [anon_sym_co_await] = ACTIONS(3439),
    [anon_sym_new] = ACTIONS(3439),
    [anon_sym_requires] = ACTIONS(3439),
    [sym_this] = ACTIONS(3439),
  },
  [434] = {
    [sym_identifier] = ACTIONS(3443),
    [aux_sym_preproc_include_token1] = ACTIONS(3443),
    [aux_sym_preproc_def_token1] = ACTIONS(3443),
    [aux_sym_preproc_if_token1] = ACTIONS(3443),
    [aux_sym_preproc_if_token2] = ACTIONS(3443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3443),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3443),
    [aux_sym_preproc_else_token1] = ACTIONS(3443),
    [aux_sym_preproc_elif_token1] = ACTIONS(3443),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3443),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3443),
    [sym_preproc_directive] = ACTIONS(3443),
    [anon_sym_LPAREN2] = ACTIONS(3445),
    [anon_sym_BANG] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3445),
    [anon_sym_DASH] = ACTIONS(3443),
    [anon_sym_PLUS] = ACTIONS(3443),
    [anon_sym_STAR] = ACTIONS(3445),
    [anon_sym_AMP_AMP] = ACTIONS(3445),
    [anon_sym_AMP] = ACTIONS(3443),
    [anon_sym_SEMI] = ACTIONS(3445),
    [anon_sym___extension__] = ACTIONS(3443),
    [anon_sym_typedef] = ACTIONS(3443),
    [anon_sym_extern] = ACTIONS(3443),
    [anon_sym___attribute__] = ACTIONS(3443),
    [anon_sym_COLON_COLON] = ACTIONS(3445),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3445),
    [anon_sym___declspec] = ACTIONS(3443),
    [anon_sym___based] = ACTIONS(3443),
    [anon_sym___cdecl] = ACTIONS(3443),
    [anon_sym___clrcall] = ACTIONS(3443),
    [anon_sym___stdcall] = ACTIONS(3443),
    [anon_sym___fastcall] = ACTIONS(3443),
    [anon_sym___thiscall] = ACTIONS(3443),
    [anon_sym___vectorcall] = ACTIONS(3443),
    [anon_sym_LBRACE] = ACTIONS(3445),
    [anon_sym_signed] = ACTIONS(3443),
    [anon_sym_unsigned] = ACTIONS(3443),
    [anon_sym_long] = ACTIONS(3443),
    [anon_sym_short] = ACTIONS(3443),
    [anon_sym_LBRACK] = ACTIONS(3443),
    [anon_sym_static] = ACTIONS(3443),
    [anon_sym_register] = ACTIONS(3443),
    [anon_sym_inline] = ACTIONS(3443),
    [anon_sym___inline] = ACTIONS(3443),
    [anon_sym___inline__] = ACTIONS(3443),
    [anon_sym___forceinline] = ACTIONS(3443),
    [anon_sym_thread_local] = ACTIONS(3443),
    [anon_sym___thread] = ACTIONS(3443),
    [anon_sym_const] = ACTIONS(3443),
    [anon_sym_constexpr] = ACTIONS(3443),
    [anon_sym_volatile] = ACTIONS(3443),
    [anon_sym_restrict] = ACTIONS(3443),
    [anon_sym___restrict__] = ACTIONS(3443),
    [anon_sym__Atomic] = ACTIONS(3443),
    [anon_sym__Noreturn] = ACTIONS(3443),
    [anon_sym_noreturn] = ACTIONS(3443),
    [anon_sym_mutable] = ACTIONS(3443),
    [anon_sym_constinit] = ACTIONS(3443),
    [anon_sym_consteval] = ACTIONS(3443),
    [anon_sym_PROGMEM] = ACTIONS(3443),
    [aux_sym_primitive_type_token1] = ACTIONS(3443),
    [anon_sym_byte] = ACTIONS(3443),
    [anon_sym_word] = ACTIONS(3443),
    [anon_sym_enum] = ACTIONS(3443),
    [anon_sym_class] = ACTIONS(3443),
    [anon_sym_struct] = ACTIONS(3443),
    [anon_sym_union] = ACTIONS(3443),
    [anon_sym_if] = ACTIONS(3443),
    [anon_sym_switch] = ACTIONS(3443),
    [anon_sym_case] = ACTIONS(3443),
    [anon_sym_default] = ACTIONS(3443),
    [anon_sym_while] = ACTIONS(3443),
    [anon_sym_do] = ACTIONS(3443),
    [anon_sym_for] = ACTIONS(3443),
    [anon_sym_return] = ACTIONS(3443),
    [anon_sym_break] = ACTIONS(3443),
    [anon_sym_continue] = ACTIONS(3443),
    [anon_sym_goto] = ACTIONS(3443),
    [anon_sym___try] = ACTIONS(3443),
    [anon_sym___leave] = ACTIONS(3443),
    [anon_sym_not] = ACTIONS(3443),
    [anon_sym_compl] = ACTIONS(3443),
    [anon_sym_DASH_DASH] = ACTIONS(3445),
    [anon_sym_PLUS_PLUS] = ACTIONS(3445),
    [anon_sym_sizeof] = ACTIONS(3443),
    [anon_sym___alignof__] = ACTIONS(3443),
    [anon_sym___alignof] = ACTIONS(3443),
    [anon_sym__alignof] = ACTIONS(3443),
    [anon_sym_alignof] = ACTIONS(3443),
    [anon_sym__Alignof] = ACTIONS(3443),
    [anon_sym_offsetof] = ACTIONS(3443),
    [anon_sym__Generic] = ACTIONS(3443),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [aux_sym_number_literal_token1] = ACTIONS(3445),
    [aux_sym_number_literal_token2] = ACTIONS(3443),
    [anon_sym_L_SQUOTE] = ACTIONS(3445),
    [anon_sym_u_SQUOTE] = ACTIONS(3445),
    [anon_sym_U_SQUOTE] = ACTIONS(3445),
    [anon_sym_u8_SQUOTE] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(3445),
    [anon_sym_L_DQUOTE] = ACTIONS(3445),
    [anon_sym_u_DQUOTE] = ACTIONS(3445),
    [anon_sym_U_DQUOTE] = ACTIONS(3445),
    [anon_sym_u8_DQUOTE] = ACTIONS(3445),
    [anon_sym_DQUOTE] = ACTIONS(3445),
    [sym_true] = ACTIONS(3443),
    [sym_false] = ACTIONS(3443),
    [anon_sym_NULL] = ACTIONS(3443),
    [anon_sym_nullptr] = ACTIONS(3443),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3443),
    [anon_sym_decltype] = ACTIONS(3443),
    [anon_sym_virtual] = ACTIONS(3443),
    [anon_sym_alignas] = ACTIONS(3443),
    [anon_sym_explicit] = ACTIONS(3443),
    [anon_sym_typename] = ACTIONS(3443),
    [anon_sym_template] = ACTIONS(3443),
    [anon_sym_operator] = ACTIONS(3443),
    [anon_sym_try] = ACTIONS(3443),
    [anon_sym_delete] = ACTIONS(3443),
    [anon_sym_throw] = ACTIONS(3443),
    [anon_sym_namespace] = ACTIONS(3443),
    [anon_sym_using] = ACTIONS(3443),
    [anon_sym_static_assert] = ACTIONS(3443),
    [anon_sym_concept] = ACTIONS(3443),
    [anon_sym_co_return] = ACTIONS(3443),
    [anon_sym_co_yield] = ACTIONS(3443),
    [anon_sym_R_DQUOTE] = ACTIONS(3445),
    [anon_sym_LR_DQUOTE] = ACTIONS(3445),
    [anon_sym_uR_DQUOTE] = ACTIONS(3445),
    [anon_sym_UR_DQUOTE] = ACTIONS(3445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3445),
    [anon_sym_co_await] = ACTIONS(3443),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3443),
    [sym_this] = ACTIONS(3443),
  },
  [435] = {
    [sym_identifier] = ACTIONS(3447),
    [aux_sym_preproc_include_token1] = ACTIONS(3447),
    [aux_sym_preproc_def_token1] = ACTIONS(3447),
    [aux_sym_preproc_if_token1] = ACTIONS(3447),
    [aux_sym_preproc_if_token2] = ACTIONS(3447),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3447),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3447),
    [aux_sym_preproc_else_token1] = ACTIONS(3447),
    [aux_sym_preproc_elif_token1] = ACTIONS(3447),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3447),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3447),
    [sym_preproc_directive] = ACTIONS(3447),
    [anon_sym_LPAREN2] = ACTIONS(3449),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(3449),
    [anon_sym_AMP_AMP] = ACTIONS(3449),
    [anon_sym_AMP] = ACTIONS(3447),
    [anon_sym_SEMI] = ACTIONS(3449),
    [anon_sym___extension__] = ACTIONS(3447),
    [anon_sym_typedef] = ACTIONS(3447),
    [anon_sym_extern] = ACTIONS(3447),
    [anon_sym___attribute__] = ACTIONS(3447),
    [anon_sym_COLON_COLON] = ACTIONS(3449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3449),
    [anon_sym___declspec] = ACTIONS(3447),
    [anon_sym___based] = ACTIONS(3447),
    [anon_sym___cdecl] = ACTIONS(3447),
    [anon_sym___clrcall] = ACTIONS(3447),
    [anon_sym___stdcall] = ACTIONS(3447),
    [anon_sym___fastcall] = ACTIONS(3447),
    [anon_sym___thiscall] = ACTIONS(3447),
    [anon_sym___vectorcall] = ACTIONS(3447),
    [anon_sym_LBRACE] = ACTIONS(3449),
    [anon_sym_signed] = ACTIONS(3447),
    [anon_sym_unsigned] = ACTIONS(3447),
    [anon_sym_long] = ACTIONS(3447),
    [anon_sym_short] = ACTIONS(3447),
    [anon_sym_LBRACK] = ACTIONS(3447),
    [anon_sym_static] = ACTIONS(3447),
    [anon_sym_register] = ACTIONS(3447),
    [anon_sym_inline] = ACTIONS(3447),
    [anon_sym___inline] = ACTIONS(3447),
    [anon_sym___inline__] = ACTIONS(3447),
    [anon_sym___forceinline] = ACTIONS(3447),
    [anon_sym_thread_local] = ACTIONS(3447),
    [anon_sym___thread] = ACTIONS(3447),
    [anon_sym_const] = ACTIONS(3447),
    [anon_sym_constexpr] = ACTIONS(3447),
    [anon_sym_volatile] = ACTIONS(3447),
    [anon_sym_restrict] = ACTIONS(3447),
    [anon_sym___restrict__] = ACTIONS(3447),
    [anon_sym__Atomic] = ACTIONS(3447),
    [anon_sym__Noreturn] = ACTIONS(3447),
    [anon_sym_noreturn] = ACTIONS(3447),
    [anon_sym_mutable] = ACTIONS(3447),
    [anon_sym_constinit] = ACTIONS(3447),
    [anon_sym_consteval] = ACTIONS(3447),
    [anon_sym_PROGMEM] = ACTIONS(3447),
    [aux_sym_primitive_type_token1] = ACTIONS(3447),
    [anon_sym_byte] = ACTIONS(3447),
    [anon_sym_word] = ACTIONS(3447),
    [anon_sym_enum] = ACTIONS(3447),
    [anon_sym_class] = ACTIONS(3447),
    [anon_sym_struct] = ACTIONS(3447),
    [anon_sym_union] = ACTIONS(3447),
    [anon_sym_if] = ACTIONS(3447),
    [anon_sym_switch] = ACTIONS(3447),
    [anon_sym_case] = ACTIONS(3447),
    [anon_sym_default] = ACTIONS(3447),
    [anon_sym_while] = ACTIONS(3447),
    [anon_sym_do] = ACTIONS(3447),
    [anon_sym_for] = ACTIONS(3447),
    [anon_sym_return] = ACTIONS(3447),
    [anon_sym_break] = ACTIONS(3447),
    [anon_sym_continue] = ACTIONS(3447),
    [anon_sym_goto] = ACTIONS(3447),
    [anon_sym___try] = ACTIONS(3447),
    [anon_sym___leave] = ACTIONS(3447),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(3449),
    [anon_sym_PLUS_PLUS] = ACTIONS(3449),
    [anon_sym_sizeof] = ACTIONS(3447),
    [anon_sym___alignof__] = ACTIONS(3447),
    [anon_sym___alignof] = ACTIONS(3447),
    [anon_sym__alignof] = ACTIONS(3447),
    [anon_sym_alignof] = ACTIONS(3447),
    [anon_sym__Alignof] = ACTIONS(3447),
    [anon_sym_offsetof] = ACTIONS(3447),
    [anon_sym__Generic] = ACTIONS(3447),
    [anon_sym_asm] = ACTIONS(3447),
    [anon_sym___asm__] = ACTIONS(3447),
    [aux_sym_number_literal_token1] = ACTIONS(3449),
    [aux_sym_number_literal_token2] = ACTIONS(3447),
    [anon_sym_L_SQUOTE] = ACTIONS(3449),
    [anon_sym_u_SQUOTE] = ACTIONS(3449),
    [anon_sym_U_SQUOTE] = ACTIONS(3449),
    [anon_sym_u8_SQUOTE] = ACTIONS(3449),
    [anon_sym_SQUOTE] = ACTIONS(3449),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3447),
    [sym_false] = ACTIONS(3447),
    [anon_sym_NULL] = ACTIONS(3447),
    [anon_sym_nullptr] = ACTIONS(3447),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3447),
    [anon_sym_decltype] = ACTIONS(3447),
    [anon_sym_virtual] = ACTIONS(3447),
    [anon_sym_alignas] = ACTIONS(3447),
    [anon_sym_explicit] = ACTIONS(3447),
    [anon_sym_typename] = ACTIONS(3447),
    [anon_sym_template] = ACTIONS(3447),
    [anon_sym_operator] = ACTIONS(3447),
    [anon_sym_try] = ACTIONS(3447),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_throw] = ACTIONS(3447),
    [anon_sym_namespace] = ACTIONS(3447),
    [anon_sym_using] = ACTIONS(3447),
    [anon_sym_static_assert] = ACTIONS(3447),
    [anon_sym_concept] = ACTIONS(3447),
    [anon_sym_co_return] = ACTIONS(3447),
    [anon_sym_co_yield] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3447),
    [anon_sym_new] = ACTIONS(3447),
    [anon_sym_requires] = ACTIONS(3447),
    [sym_this] = ACTIONS(3447),
  },
  [436] = {
    [sym_identifier] = ACTIONS(3451),
    [aux_sym_preproc_include_token1] = ACTIONS(3451),
    [aux_sym_preproc_def_token1] = ACTIONS(3451),
    [aux_sym_preproc_if_token1] = ACTIONS(3451),
    [aux_sym_preproc_if_token2] = ACTIONS(3451),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3451),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3451),
    [aux_sym_preproc_else_token1] = ACTIONS(3451),
    [aux_sym_preproc_elif_token1] = ACTIONS(3451),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3451),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3451),
    [sym_preproc_directive] = ACTIONS(3451),
    [anon_sym_LPAREN2] = ACTIONS(3453),
    [anon_sym_BANG] = ACTIONS(3453),
    [anon_sym_TILDE] = ACTIONS(3453),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3453),
    [anon_sym_AMP_AMP] = ACTIONS(3453),
    [anon_sym_AMP] = ACTIONS(3451),
    [anon_sym_SEMI] = ACTIONS(3453),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_typedef] = ACTIONS(3451),
    [anon_sym_extern] = ACTIONS(3451),
    [anon_sym___attribute__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3453),
    [anon_sym___declspec] = ACTIONS(3451),
    [anon_sym___based] = ACTIONS(3451),
    [anon_sym___cdecl] = ACTIONS(3451),
    [anon_sym___clrcall] = ACTIONS(3451),
    [anon_sym___stdcall] = ACTIONS(3451),
    [anon_sym___fastcall] = ACTIONS(3451),
    [anon_sym___thiscall] = ACTIONS(3451),
    [anon_sym___vectorcall] = ACTIONS(3451),
    [anon_sym_LBRACE] = ACTIONS(3453),
    [anon_sym_signed] = ACTIONS(3451),
    [anon_sym_unsigned] = ACTIONS(3451),
    [anon_sym_long] = ACTIONS(3451),
    [anon_sym_short] = ACTIONS(3451),
    [anon_sym_LBRACK] = ACTIONS(3451),
    [anon_sym_static] = ACTIONS(3451),
    [anon_sym_register] = ACTIONS(3451),
    [anon_sym_inline] = ACTIONS(3451),
    [anon_sym___inline] = ACTIONS(3451),
    [anon_sym___inline__] = ACTIONS(3451),
    [anon_sym___forceinline] = ACTIONS(3451),
    [anon_sym_thread_local] = ACTIONS(3451),
    [anon_sym___thread] = ACTIONS(3451),
    [anon_sym_const] = ACTIONS(3451),
    [anon_sym_constexpr] = ACTIONS(3451),
    [anon_sym_volatile] = ACTIONS(3451),
    [anon_sym_restrict] = ACTIONS(3451),
    [anon_sym___restrict__] = ACTIONS(3451),
    [anon_sym__Atomic] = ACTIONS(3451),
    [anon_sym__Noreturn] = ACTIONS(3451),
    [anon_sym_noreturn] = ACTIONS(3451),
    [anon_sym_mutable] = ACTIONS(3451),
    [anon_sym_constinit] = ACTIONS(3451),
    [anon_sym_consteval] = ACTIONS(3451),
    [anon_sym_PROGMEM] = ACTIONS(3451),
    [aux_sym_primitive_type_token1] = ACTIONS(3451),
    [anon_sym_byte] = ACTIONS(3451),
    [anon_sym_word] = ACTIONS(3451),
    [anon_sym_enum] = ACTIONS(3451),
    [anon_sym_class] = ACTIONS(3451),
    [anon_sym_struct] = ACTIONS(3451),
    [anon_sym_union] = ACTIONS(3451),
    [anon_sym_if] = ACTIONS(3451),
    [anon_sym_switch] = ACTIONS(3451),
    [anon_sym_case] = ACTIONS(3451),
    [anon_sym_default] = ACTIONS(3451),
    [anon_sym_while] = ACTIONS(3451),
    [anon_sym_do] = ACTIONS(3451),
    [anon_sym_for] = ACTIONS(3451),
    [anon_sym_return] = ACTIONS(3451),
    [anon_sym_break] = ACTIONS(3451),
    [anon_sym_continue] = ACTIONS(3451),
    [anon_sym_goto] = ACTIONS(3451),
    [anon_sym___try] = ACTIONS(3451),
    [anon_sym___leave] = ACTIONS(3451),
    [anon_sym_not] = ACTIONS(3451),
    [anon_sym_compl] = ACTIONS(3451),
    [anon_sym_DASH_DASH] = ACTIONS(3453),
    [anon_sym_PLUS_PLUS] = ACTIONS(3453),
    [anon_sym_sizeof] = ACTIONS(3451),
    [anon_sym___alignof__] = ACTIONS(3451),
    [anon_sym___alignof] = ACTIONS(3451),
    [anon_sym__alignof] = ACTIONS(3451),
    [anon_sym_alignof] = ACTIONS(3451),
    [anon_sym__Alignof] = ACTIONS(3451),
    [anon_sym_offsetof] = ACTIONS(3451),
    [anon_sym__Generic] = ACTIONS(3451),
    [anon_sym_asm] = ACTIONS(3451),
    [anon_sym___asm__] = ACTIONS(3451),
    [aux_sym_number_literal_token1] = ACTIONS(3453),
    [aux_sym_number_literal_token2] = ACTIONS(3451),
    [anon_sym_L_SQUOTE] = ACTIONS(3453),
    [anon_sym_u_SQUOTE] = ACTIONS(3453),
    [anon_sym_U_SQUOTE] = ACTIONS(3453),
    [anon_sym_u8_SQUOTE] = ACTIONS(3453),
    [anon_sym_SQUOTE] = ACTIONS(3453),
    [anon_sym_L_DQUOTE] = ACTIONS(3453),
    [anon_sym_u_DQUOTE] = ACTIONS(3453),
    [anon_sym_U_DQUOTE] = ACTIONS(3453),
    [anon_sym_u8_DQUOTE] = ACTIONS(3453),
    [anon_sym_DQUOTE] = ACTIONS(3453),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3451),
    [anon_sym_nullptr] = ACTIONS(3451),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3451),
    [anon_sym_decltype] = ACTIONS(3451),
    [anon_sym_virtual] = ACTIONS(3451),
    [anon_sym_alignas] = ACTIONS(3451),
    [anon_sym_explicit] = ACTIONS(3451),
    [anon_sym_typename] = ACTIONS(3451),
    [anon_sym_template] = ACTIONS(3451),
    [anon_sym_operator] = ACTIONS(3451),
    [anon_sym_try] = ACTIONS(3451),
    [anon_sym_delete] = ACTIONS(3451),
    [anon_sym_throw] = ACTIONS(3451),
    [anon_sym_namespace] = ACTIONS(3451),
    [anon_sym_using] = ACTIONS(3451),
    [anon_sym_static_assert] = ACTIONS(3451),
    [anon_sym_concept] = ACTIONS(3451),
    [anon_sym_co_return] = ACTIONS(3451),
    [anon_sym_co_yield] = ACTIONS(3451),
    [anon_sym_R_DQUOTE] = ACTIONS(3453),
    [anon_sym_LR_DQUOTE] = ACTIONS(3453),
    [anon_sym_uR_DQUOTE] = ACTIONS(3453),
    [anon_sym_UR_DQUOTE] = ACTIONS(3453),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3453),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3451),
    [anon_sym_requires] = ACTIONS(3451),
    [sym_this] = ACTIONS(3451),
  },
  [437] = {
    [sym_identifier] = ACTIONS(3455),
    [aux_sym_preproc_include_token1] = ACTIONS(3455),
    [aux_sym_preproc_def_token1] = ACTIONS(3455),
    [aux_sym_preproc_if_token1] = ACTIONS(3455),
    [aux_sym_preproc_if_token2] = ACTIONS(3455),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3455),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3455),
    [aux_sym_preproc_else_token1] = ACTIONS(3455),
    [aux_sym_preproc_elif_token1] = ACTIONS(3455),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3455),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3455),
    [sym_preproc_directive] = ACTIONS(3455),
    [anon_sym_LPAREN2] = ACTIONS(3457),
    [anon_sym_BANG] = ACTIONS(3457),
    [anon_sym_TILDE] = ACTIONS(3457),
    [anon_sym_DASH] = ACTIONS(3455),
    [anon_sym_PLUS] = ACTIONS(3455),
    [anon_sym_STAR] = ACTIONS(3457),
    [anon_sym_AMP_AMP] = ACTIONS(3457),
    [anon_sym_AMP] = ACTIONS(3455),
    [anon_sym_SEMI] = ACTIONS(3457),
    [anon_sym___extension__] = ACTIONS(3455),
    [anon_sym_typedef] = ACTIONS(3455),
    [anon_sym_extern] = ACTIONS(3455),
    [anon_sym___attribute__] = ACTIONS(3455),
    [anon_sym_COLON_COLON] = ACTIONS(3457),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3457),
    [anon_sym___declspec] = ACTIONS(3455),
    [anon_sym___based] = ACTIONS(3455),
    [anon_sym___cdecl] = ACTIONS(3455),
    [anon_sym___clrcall] = ACTIONS(3455),
    [anon_sym___stdcall] = ACTIONS(3455),
    [anon_sym___fastcall] = ACTIONS(3455),
    [anon_sym___thiscall] = ACTIONS(3455),
    [anon_sym___vectorcall] = ACTIONS(3455),
    [anon_sym_LBRACE] = ACTIONS(3457),
    [anon_sym_signed] = ACTIONS(3455),
    [anon_sym_unsigned] = ACTIONS(3455),
    [anon_sym_long] = ACTIONS(3455),
    [anon_sym_short] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(3455),
    [anon_sym_static] = ACTIONS(3455),
    [anon_sym_register] = ACTIONS(3455),
    [anon_sym_inline] = ACTIONS(3455),
    [anon_sym___inline] = ACTIONS(3455),
    [anon_sym___inline__] = ACTIONS(3455),
    [anon_sym___forceinline] = ACTIONS(3455),
    [anon_sym_thread_local] = ACTIONS(3455),
    [anon_sym___thread] = ACTIONS(3455),
    [anon_sym_const] = ACTIONS(3455),
    [anon_sym_constexpr] = ACTIONS(3455),
    [anon_sym_volatile] = ACTIONS(3455),
    [anon_sym_restrict] = ACTIONS(3455),
    [anon_sym___restrict__] = ACTIONS(3455),
    [anon_sym__Atomic] = ACTIONS(3455),
    [anon_sym__Noreturn] = ACTIONS(3455),
    [anon_sym_noreturn] = ACTIONS(3455),
    [anon_sym_mutable] = ACTIONS(3455),
    [anon_sym_constinit] = ACTIONS(3455),
    [anon_sym_consteval] = ACTIONS(3455),
    [anon_sym_PROGMEM] = ACTIONS(3455),
    [aux_sym_primitive_type_token1] = ACTIONS(3455),
    [anon_sym_byte] = ACTIONS(3455),
    [anon_sym_word] = ACTIONS(3455),
    [anon_sym_enum] = ACTIONS(3455),
    [anon_sym_class] = ACTIONS(3455),
    [anon_sym_struct] = ACTIONS(3455),
    [anon_sym_union] = ACTIONS(3455),
    [anon_sym_if] = ACTIONS(3455),
    [anon_sym_switch] = ACTIONS(3455),
    [anon_sym_case] = ACTIONS(3455),
    [anon_sym_default] = ACTIONS(3455),
    [anon_sym_while] = ACTIONS(3455),
    [anon_sym_do] = ACTIONS(3455),
    [anon_sym_for] = ACTIONS(3455),
    [anon_sym_return] = ACTIONS(3455),
    [anon_sym_break] = ACTIONS(3455),
    [anon_sym_continue] = ACTIONS(3455),
    [anon_sym_goto] = ACTIONS(3455),
    [anon_sym___try] = ACTIONS(3455),
    [anon_sym___leave] = ACTIONS(3455),
    [anon_sym_not] = ACTIONS(3455),
    [anon_sym_compl] = ACTIONS(3455),
    [anon_sym_DASH_DASH] = ACTIONS(3457),
    [anon_sym_PLUS_PLUS] = ACTIONS(3457),
    [anon_sym_sizeof] = ACTIONS(3455),
    [anon_sym___alignof__] = ACTIONS(3455),
    [anon_sym___alignof] = ACTIONS(3455),
    [anon_sym__alignof] = ACTIONS(3455),
    [anon_sym_alignof] = ACTIONS(3455),
    [anon_sym__Alignof] = ACTIONS(3455),
    [anon_sym_offsetof] = ACTIONS(3455),
    [anon_sym__Generic] = ACTIONS(3455),
    [anon_sym_asm] = ACTIONS(3455),
    [anon_sym___asm__] = ACTIONS(3455),
    [aux_sym_number_literal_token1] = ACTIONS(3457),
    [aux_sym_number_literal_token2] = ACTIONS(3455),
    [anon_sym_L_SQUOTE] = ACTIONS(3457),
    [anon_sym_u_SQUOTE] = ACTIONS(3457),
    [anon_sym_U_SQUOTE] = ACTIONS(3457),
    [anon_sym_u8_SQUOTE] = ACTIONS(3457),
    [anon_sym_SQUOTE] = ACTIONS(3457),
    [anon_sym_L_DQUOTE] = ACTIONS(3457),
    [anon_sym_u_DQUOTE] = ACTIONS(3457),
    [anon_sym_U_DQUOTE] = ACTIONS(3457),
    [anon_sym_u8_DQUOTE] = ACTIONS(3457),
    [anon_sym_DQUOTE] = ACTIONS(3457),
    [sym_true] = ACTIONS(3455),
    [sym_false] = ACTIONS(3455),
    [anon_sym_NULL] = ACTIONS(3455),
    [anon_sym_nullptr] = ACTIONS(3455),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3455),
    [anon_sym_virtual] = ACTIONS(3455),
    [anon_sym_alignas] = ACTIONS(3455),
    [anon_sym_explicit] = ACTIONS(3455),
    [anon_sym_typename] = ACTIONS(3455),
    [anon_sym_template] = ACTIONS(3455),
    [anon_sym_operator] = ACTIONS(3455),
    [anon_sym_try] = ACTIONS(3455),
    [anon_sym_delete] = ACTIONS(3455),
    [anon_sym_throw] = ACTIONS(3455),
    [anon_sym_namespace] = ACTIONS(3455),
    [anon_sym_using] = ACTIONS(3455),
    [anon_sym_static_assert] = ACTIONS(3455),
    [anon_sym_concept] = ACTIONS(3455),
    [anon_sym_co_return] = ACTIONS(3455),
    [anon_sym_co_yield] = ACTIONS(3455),
    [anon_sym_R_DQUOTE] = ACTIONS(3457),
    [anon_sym_LR_DQUOTE] = ACTIONS(3457),
    [anon_sym_uR_DQUOTE] = ACTIONS(3457),
    [anon_sym_UR_DQUOTE] = ACTIONS(3457),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3457),
    [anon_sym_co_await] = ACTIONS(3455),
    [anon_sym_new] = ACTIONS(3455),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3455),
  },
  [438] = {
    [sym_identifier] = ACTIONS(3459),
    [aux_sym_preproc_include_token1] = ACTIONS(3459),
    [aux_sym_preproc_def_token1] = ACTIONS(3459),
    [aux_sym_preproc_if_token1] = ACTIONS(3459),
    [aux_sym_preproc_if_token2] = ACTIONS(3459),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3459),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3459),
    [aux_sym_preproc_else_token1] = ACTIONS(3459),
    [aux_sym_preproc_elif_token1] = ACTIONS(3459),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3459),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3459),
    [sym_preproc_directive] = ACTIONS(3459),
    [anon_sym_LPAREN2] = ACTIONS(3461),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(3461),
    [anon_sym_AMP_AMP] = ACTIONS(3461),
    [anon_sym_AMP] = ACTIONS(3459),
    [anon_sym_SEMI] = ACTIONS(3461),
    [anon_sym___extension__] = ACTIONS(3459),
    [anon_sym_typedef] = ACTIONS(3459),
    [anon_sym_extern] = ACTIONS(3459),
    [anon_sym___attribute__] = ACTIONS(3459),
    [anon_sym_COLON_COLON] = ACTIONS(3461),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3461),
    [anon_sym___declspec] = ACTIONS(3459),
    [anon_sym___based] = ACTIONS(3459),
    [anon_sym___cdecl] = ACTIONS(3459),
    [anon_sym___clrcall] = ACTIONS(3459),
    [anon_sym___stdcall] = ACTIONS(3459),
    [anon_sym___fastcall] = ACTIONS(3459),
    [anon_sym___thiscall] = ACTIONS(3459),
    [anon_sym___vectorcall] = ACTIONS(3459),
    [anon_sym_LBRACE] = ACTIONS(3461),
    [anon_sym_signed] = ACTIONS(3459),
    [anon_sym_unsigned] = ACTIONS(3459),
    [anon_sym_long] = ACTIONS(3459),
    [anon_sym_short] = ACTIONS(3459),
    [anon_sym_LBRACK] = ACTIONS(3459),
    [anon_sym_static] = ACTIONS(3459),
    [anon_sym_register] = ACTIONS(3459),
    [anon_sym_inline] = ACTIONS(3459),
    [anon_sym___inline] = ACTIONS(3459),
    [anon_sym___inline__] = ACTIONS(3459),
    [anon_sym___forceinline] = ACTIONS(3459),
    [anon_sym_thread_local] = ACTIONS(3459),
    [anon_sym___thread] = ACTIONS(3459),
    [anon_sym_const] = ACTIONS(3459),
    [anon_sym_constexpr] = ACTIONS(3459),
    [anon_sym_volatile] = ACTIONS(3459),
    [anon_sym_restrict] = ACTIONS(3459),
    [anon_sym___restrict__] = ACTIONS(3459),
    [anon_sym__Atomic] = ACTIONS(3459),
    [anon_sym__Noreturn] = ACTIONS(3459),
    [anon_sym_noreturn] = ACTIONS(3459),
    [anon_sym_mutable] = ACTIONS(3459),
    [anon_sym_constinit] = ACTIONS(3459),
    [anon_sym_consteval] = ACTIONS(3459),
    [anon_sym_PROGMEM] = ACTIONS(3459),
    [aux_sym_primitive_type_token1] = ACTIONS(3459),
    [anon_sym_byte] = ACTIONS(3459),
    [anon_sym_word] = ACTIONS(3459),
    [anon_sym_enum] = ACTIONS(3459),
    [anon_sym_class] = ACTIONS(3459),
    [anon_sym_struct] = ACTIONS(3459),
    [anon_sym_union] = ACTIONS(3459),
    [anon_sym_if] = ACTIONS(3459),
    [anon_sym_switch] = ACTIONS(3459),
    [anon_sym_case] = ACTIONS(3459),
    [anon_sym_default] = ACTIONS(3459),
    [anon_sym_while] = ACTIONS(3459),
    [anon_sym_do] = ACTIONS(3459),
    [anon_sym_for] = ACTIONS(3459),
    [anon_sym_return] = ACTIONS(3459),
    [anon_sym_break] = ACTIONS(3459),
    [anon_sym_continue] = ACTIONS(3459),
    [anon_sym_goto] = ACTIONS(3459),
    [anon_sym___try] = ACTIONS(3459),
    [anon_sym___leave] = ACTIONS(3459),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(3461),
    [anon_sym_PLUS_PLUS] = ACTIONS(3461),
    [anon_sym_sizeof] = ACTIONS(3459),
    [anon_sym___alignof__] = ACTIONS(3459),
    [anon_sym___alignof] = ACTIONS(3459),
    [anon_sym__alignof] = ACTIONS(3459),
    [anon_sym_alignof] = ACTIONS(3459),
    [anon_sym__Alignof] = ACTIONS(3459),
    [anon_sym_offsetof] = ACTIONS(3459),
    [anon_sym__Generic] = ACTIONS(3459),
    [anon_sym_asm] = ACTIONS(3459),
    [anon_sym___asm__] = ACTIONS(3459),
    [aux_sym_number_literal_token1] = ACTIONS(3461),
    [aux_sym_number_literal_token2] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3461),
    [anon_sym_u_DQUOTE] = ACTIONS(3461),
    [anon_sym_U_DQUOTE] = ACTIONS(3461),
    [anon_sym_u8_DQUOTE] = ACTIONS(3461),
    [anon_sym_DQUOTE] = ACTIONS(3461),
    [sym_true] = ACTIONS(3459),
    [sym_false] = ACTIONS(3459),
    [anon_sym_NULL] = ACTIONS(3459),
    [anon_sym_nullptr] = ACTIONS(3459),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3459),
    [anon_sym_decltype] = ACTIONS(3459),
    [anon_sym_virtual] = ACTIONS(3459),
    [anon_sym_alignas] = ACTIONS(3459),
    [anon_sym_explicit] = ACTIONS(3459),
    [anon_sym_typename] = ACTIONS(3459),
    [anon_sym_template] = ACTIONS(3459),
    [anon_sym_operator] = ACTIONS(3459),
    [anon_sym_try] = ACTIONS(3459),
    [anon_sym_delete] = ACTIONS(3459),
    [anon_sym_throw] = ACTIONS(3459),
    [anon_sym_namespace] = ACTIONS(3459),
    [anon_sym_using] = ACTIONS(3459),
    [anon_sym_static_assert] = ACTIONS(3459),
    [anon_sym_concept] = ACTIONS(3459),
    [anon_sym_co_return] = ACTIONS(3459),
    [anon_sym_co_yield] = ACTIONS(3459),
    [anon_sym_R_DQUOTE] = ACTIONS(3461),
    [anon_sym_LR_DQUOTE] = ACTIONS(3461),
    [anon_sym_uR_DQUOTE] = ACTIONS(3461),
    [anon_sym_UR_DQUOTE] = ACTIONS(3461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3461),
    [anon_sym_co_await] = ACTIONS(3459),
    [anon_sym_new] = ACTIONS(3459),
    [anon_sym_requires] = ACTIONS(3459),
    [sym_this] = ACTIONS(3459),
  },
  [439] = {
    [sym_catch_clause] = STATE(402),
    [aux_sym_constructor_try_statement_repeat1] = STATE(402),
    [ts_builtin_sym_end] = ACTIONS(2843),
    [sym_identifier] = ACTIONS(2841),
    [aux_sym_preproc_include_token1] = ACTIONS(2841),
    [aux_sym_preproc_def_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token1] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2841),
    [sym_preproc_directive] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_BANG] = ACTIONS(2843),
    [anon_sym_TILDE] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym_SEMI] = ACTIONS(2843),
    [anon_sym___extension__] = ACTIONS(2841),
    [anon_sym_typedef] = ACTIONS(2841),
    [anon_sym_extern] = ACTIONS(2841),
    [anon_sym___attribute__] = ACTIONS(2841),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2843),
    [anon_sym___declspec] = ACTIONS(2841),
    [anon_sym___based] = ACTIONS(2841),
    [anon_sym___cdecl] = ACTIONS(2841),
    [anon_sym___clrcall] = ACTIONS(2841),
    [anon_sym___stdcall] = ACTIONS(2841),
    [anon_sym___fastcall] = ACTIONS(2841),
    [anon_sym___thiscall] = ACTIONS(2841),
    [anon_sym___vectorcall] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_signed] = ACTIONS(2841),
    [anon_sym_unsigned] = ACTIONS(2841),
    [anon_sym_long] = ACTIONS(2841),
    [anon_sym_short] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_static] = ACTIONS(2841),
    [anon_sym_register] = ACTIONS(2841),
    [anon_sym_inline] = ACTIONS(2841),
    [anon_sym___inline] = ACTIONS(2841),
    [anon_sym___inline__] = ACTIONS(2841),
    [anon_sym___forceinline] = ACTIONS(2841),
    [anon_sym_thread_local] = ACTIONS(2841),
    [anon_sym___thread] = ACTIONS(2841),
    [anon_sym_const] = ACTIONS(2841),
    [anon_sym_constexpr] = ACTIONS(2841),
    [anon_sym_volatile] = ACTIONS(2841),
    [anon_sym_restrict] = ACTIONS(2841),
    [anon_sym___restrict__] = ACTIONS(2841),
    [anon_sym__Atomic] = ACTIONS(2841),
    [anon_sym__Noreturn] = ACTIONS(2841),
    [anon_sym_noreturn] = ACTIONS(2841),
    [anon_sym_mutable] = ACTIONS(2841),
    [anon_sym_constinit] = ACTIONS(2841),
    [anon_sym_consteval] = ACTIONS(2841),
    [anon_sym_PROGMEM] = ACTIONS(2841),
    [aux_sym_primitive_type_token1] = ACTIONS(2841),
    [anon_sym_byte] = ACTIONS(2841),
    [anon_sym_word] = ACTIONS(2841),
    [anon_sym_enum] = ACTIONS(2841),
    [anon_sym_class] = ACTIONS(2841),
    [anon_sym_struct] = ACTIONS(2841),
    [anon_sym_union] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_else] = ACTIONS(2841),
    [anon_sym_switch] = ACTIONS(2841),
    [anon_sym_case] = ACTIONS(2841),
    [anon_sym_default] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_break] = ACTIONS(2841),
    [anon_sym_continue] = ACTIONS(2841),
    [anon_sym_goto] = ACTIONS(2841),
    [anon_sym___try] = ACTIONS(2841),
    [anon_sym___leave] = ACTIONS(2841),
    [anon_sym_not] = ACTIONS(2841),
    [anon_sym_compl] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2843),
    [anon_sym_PLUS_PLUS] = ACTIONS(2843),
    [anon_sym_sizeof] = ACTIONS(2841),
    [anon_sym___alignof__] = ACTIONS(2841),
    [anon_sym___alignof] = ACTIONS(2841),
    [anon_sym__alignof] = ACTIONS(2841),
    [anon_sym_alignof] = ACTIONS(2841),
    [anon_sym__Alignof] = ACTIONS(2841),
    [anon_sym_offsetof] = ACTIONS(2841),
    [anon_sym__Generic] = ACTIONS(2841),
    [anon_sym_asm] = ACTIONS(2841),
    [anon_sym___asm__] = ACTIONS(2841),
    [aux_sym_number_literal_token1] = ACTIONS(2843),
    [aux_sym_number_literal_token2] = ACTIONS(2841),
    [anon_sym_L_SQUOTE] = ACTIONS(2843),
    [anon_sym_u_SQUOTE] = ACTIONS(2843),
    [anon_sym_U_SQUOTE] = ACTIONS(2843),
    [anon_sym_u8_SQUOTE] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_L_DQUOTE] = ACTIONS(2843),
    [anon_sym_u_DQUOTE] = ACTIONS(2843),
    [anon_sym_U_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8_DQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2843),
    [sym_true] = ACTIONS(2841),
    [sym_false] = ACTIONS(2841),
    [anon_sym_NULL] = ACTIONS(2841),
    [anon_sym_nullptr] = ACTIONS(2841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2841),
    [anon_sym_decltype] = ACTIONS(2841),
    [anon_sym_virtual] = ACTIONS(2841),
    [anon_sym_alignas] = ACTIONS(2841),
    [anon_sym_explicit] = ACTIONS(2841),
    [anon_sym_typename] = ACTIONS(2841),
    [anon_sym_template] = ACTIONS(2841),
    [anon_sym_operator] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_delete] = ACTIONS(2841),
    [anon_sym_throw] = ACTIONS(2841),
    [anon_sym_namespace] = ACTIONS(2841),
    [anon_sym_using] = ACTIONS(2841),
    [anon_sym_static_assert] = ACTIONS(2841),
    [anon_sym_concept] = ACTIONS(2841),
    [anon_sym_co_return] = ACTIONS(2841),
    [anon_sym_co_yield] = ACTIONS(2841),
    [anon_sym_catch] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(2843),
    [anon_sym_LR_DQUOTE] = ACTIONS(2843),
    [anon_sym_uR_DQUOTE] = ACTIONS(2843),
    [anon_sym_UR_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2843),
    [anon_sym_co_await] = ACTIONS(2841),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_requires] = ACTIONS(2841),
    [sym_this] = ACTIONS(2841),
  },
  [440] = {
    [sym_identifier] = ACTIONS(3465),
    [aux_sym_preproc_include_token1] = ACTIONS(3465),
    [aux_sym_preproc_def_token1] = ACTIONS(3465),
    [aux_sym_preproc_if_token1] = ACTIONS(3465),
    [aux_sym_preproc_if_token2] = ACTIONS(3465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3465),
    [aux_sym_preproc_else_token1] = ACTIONS(3465),
    [aux_sym_preproc_elif_token1] = ACTIONS(3465),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3465),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3465),
    [sym_preproc_directive] = ACTIONS(3465),
    [anon_sym_LPAREN2] = ACTIONS(3467),
    [anon_sym_BANG] = ACTIONS(3467),
    [anon_sym_TILDE] = ACTIONS(3467),
    [anon_sym_DASH] = ACTIONS(3465),
    [anon_sym_PLUS] = ACTIONS(3465),
    [anon_sym_STAR] = ACTIONS(3467),
    [anon_sym_AMP_AMP] = ACTIONS(3467),
    [anon_sym_AMP] = ACTIONS(3465),
    [anon_sym_SEMI] = ACTIONS(3467),
    [anon_sym___extension__] = ACTIONS(3465),
    [anon_sym_typedef] = ACTIONS(3465),
    [anon_sym_extern] = ACTIONS(3465),
    [anon_sym___attribute__] = ACTIONS(3465),
    [anon_sym_COLON_COLON] = ACTIONS(3467),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3467),
    [anon_sym___declspec] = ACTIONS(3465),
    [anon_sym___based] = ACTIONS(3465),
    [anon_sym___cdecl] = ACTIONS(3465),
    [anon_sym___clrcall] = ACTIONS(3465),
    [anon_sym___stdcall] = ACTIONS(3465),
    [anon_sym___fastcall] = ACTIONS(3465),
    [anon_sym___thiscall] = ACTIONS(3465),
    [anon_sym___vectorcall] = ACTIONS(3465),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_signed] = ACTIONS(3465),
    [anon_sym_unsigned] = ACTIONS(3465),
    [anon_sym_long] = ACTIONS(3465),
    [anon_sym_short] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(3465),
    [anon_sym_static] = ACTIONS(3465),
    [anon_sym_register] = ACTIONS(3465),
    [anon_sym_inline] = ACTIONS(3465),
    [anon_sym___inline] = ACTIONS(3465),
    [anon_sym___inline__] = ACTIONS(3465),
    [anon_sym___forceinline] = ACTIONS(3465),
    [anon_sym_thread_local] = ACTIONS(3465),
    [anon_sym___thread] = ACTIONS(3465),
    [anon_sym_const] = ACTIONS(3465),
    [anon_sym_constexpr] = ACTIONS(3465),
    [anon_sym_volatile] = ACTIONS(3465),
    [anon_sym_restrict] = ACTIONS(3465),
    [anon_sym___restrict__] = ACTIONS(3465),
    [anon_sym__Atomic] = ACTIONS(3465),
    [anon_sym__Noreturn] = ACTIONS(3465),
    [anon_sym_noreturn] = ACTIONS(3465),
    [anon_sym_mutable] = ACTIONS(3465),
    [anon_sym_constinit] = ACTIONS(3465),
    [anon_sym_consteval] = ACTIONS(3465),
    [anon_sym_PROGMEM] = ACTIONS(3465),
    [aux_sym_primitive_type_token1] = ACTIONS(3465),
    [anon_sym_byte] = ACTIONS(3465),
    [anon_sym_word] = ACTIONS(3465),
    [anon_sym_enum] = ACTIONS(3465),
    [anon_sym_class] = ACTIONS(3465),
    [anon_sym_struct] = ACTIONS(3465),
    [anon_sym_union] = ACTIONS(3465),
    [anon_sym_if] = ACTIONS(3465),
    [anon_sym_switch] = ACTIONS(3465),
    [anon_sym_case] = ACTIONS(3465),
    [anon_sym_default] = ACTIONS(3465),
    [anon_sym_while] = ACTIONS(3465),
    [anon_sym_do] = ACTIONS(3465),
    [anon_sym_for] = ACTIONS(3465),
    [anon_sym_return] = ACTIONS(3465),
    [anon_sym_break] = ACTIONS(3465),
    [anon_sym_continue] = ACTIONS(3465),
    [anon_sym_goto] = ACTIONS(3465),
    [anon_sym___try] = ACTIONS(3465),
    [anon_sym___leave] = ACTIONS(3465),
    [anon_sym_not] = ACTIONS(3465),
    [anon_sym_compl] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3467),
    [anon_sym_PLUS_PLUS] = ACTIONS(3467),
    [anon_sym_sizeof] = ACTIONS(3465),
    [anon_sym___alignof__] = ACTIONS(3465),
    [anon_sym___alignof] = ACTIONS(3465),
    [anon_sym__alignof] = ACTIONS(3465),
    [anon_sym_alignof] = ACTIONS(3465),
    [anon_sym__Alignof] = ACTIONS(3465),
    [anon_sym_offsetof] = ACTIONS(3465),
    [anon_sym__Generic] = ACTIONS(3465),
    [anon_sym_asm] = ACTIONS(3465),
    [anon_sym___asm__] = ACTIONS(3465),
    [aux_sym_number_literal_token1] = ACTIONS(3467),
    [aux_sym_number_literal_token2] = ACTIONS(3465),
    [anon_sym_L_SQUOTE] = ACTIONS(3467),
    [anon_sym_u_SQUOTE] = ACTIONS(3467),
    [anon_sym_U_SQUOTE] = ACTIONS(3467),
    [anon_sym_u8_SQUOTE] = ACTIONS(3467),
    [anon_sym_SQUOTE] = ACTIONS(3467),
    [anon_sym_L_DQUOTE] = ACTIONS(3467),
    [anon_sym_u_DQUOTE] = ACTIONS(3467),
    [anon_sym_U_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8_DQUOTE] = ACTIONS(3467),
    [anon_sym_DQUOTE] = ACTIONS(3467),
    [sym_true] = ACTIONS(3465),
    [sym_false] = ACTIONS(3465),
    [anon_sym_NULL] = ACTIONS(3465),
    [anon_sym_nullptr] = ACTIONS(3465),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3465),
    [anon_sym_decltype] = ACTIONS(3465),
    [anon_sym_virtual] = ACTIONS(3465),
    [anon_sym_alignas] = ACTIONS(3465),
    [anon_sym_explicit] = ACTIONS(3465),
    [anon_sym_typename] = ACTIONS(3465),
    [anon_sym_template] = ACTIONS(3465),
    [anon_sym_operator] = ACTIONS(3465),
    [anon_sym_try] = ACTIONS(3465),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_throw] = ACTIONS(3465),
    [anon_sym_namespace] = ACTIONS(3465),
    [anon_sym_using] = ACTIONS(3465),
    [anon_sym_static_assert] = ACTIONS(3465),
    [anon_sym_concept] = ACTIONS(3465),
    [anon_sym_co_return] = ACTIONS(3465),
    [anon_sym_co_yield] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3465),
    [anon_sym_new] = ACTIONS(3465),
    [anon_sym_requires] = ACTIONS(3465),
    [sym_this] = ACTIONS(3465),
  },
  [441] = {
    [sym_catch_clause] = STATE(441),
    [aux_sym_constructor_try_statement_repeat1] = STATE(441),
    [sym_identifier] = ACTIONS(2847),
    [aux_sym_preproc_include_token1] = ACTIONS(2847),
    [aux_sym_preproc_def_token1] = ACTIONS(2847),
    [aux_sym_preproc_if_token1] = ACTIONS(2847),
    [aux_sym_preproc_if_token2] = ACTIONS(2847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2847),
    [sym_preproc_directive] = ACTIONS(2847),
    [anon_sym_LPAREN2] = ACTIONS(2849),
    [anon_sym_BANG] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2849),
    [anon_sym_DASH] = ACTIONS(2847),
    [anon_sym_PLUS] = ACTIONS(2847),
    [anon_sym_STAR] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2849),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_SEMI] = ACTIONS(2849),
    [anon_sym___extension__] = ACTIONS(2847),
    [anon_sym_typedef] = ACTIONS(2847),
    [anon_sym_extern] = ACTIONS(2847),
    [anon_sym___attribute__] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(2849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2849),
    [anon_sym___declspec] = ACTIONS(2847),
    [anon_sym___based] = ACTIONS(2847),
    [anon_sym___cdecl] = ACTIONS(2847),
    [anon_sym___clrcall] = ACTIONS(2847),
    [anon_sym___stdcall] = ACTIONS(2847),
    [anon_sym___fastcall] = ACTIONS(2847),
    [anon_sym___thiscall] = ACTIONS(2847),
    [anon_sym___vectorcall] = ACTIONS(2847),
    [anon_sym_LBRACE] = ACTIONS(2849),
    [anon_sym_signed] = ACTIONS(2847),
    [anon_sym_unsigned] = ACTIONS(2847),
    [anon_sym_long] = ACTIONS(2847),
    [anon_sym_short] = ACTIONS(2847),
    [anon_sym_LBRACK] = ACTIONS(2847),
    [anon_sym_static] = ACTIONS(2847),
    [anon_sym_register] = ACTIONS(2847),
    [anon_sym_inline] = ACTIONS(2847),
    [anon_sym___inline] = ACTIONS(2847),
    [anon_sym___inline__] = ACTIONS(2847),
    [anon_sym___forceinline] = ACTIONS(2847),
    [anon_sym_thread_local] = ACTIONS(2847),
    [anon_sym___thread] = ACTIONS(2847),
    [anon_sym_const] = ACTIONS(2847),
    [anon_sym_constexpr] = ACTIONS(2847),
    [anon_sym_volatile] = ACTIONS(2847),
    [anon_sym_restrict] = ACTIONS(2847),
    [anon_sym___restrict__] = ACTIONS(2847),
    [anon_sym__Atomic] = ACTIONS(2847),
    [anon_sym__Noreturn] = ACTIONS(2847),
    [anon_sym_noreturn] = ACTIONS(2847),
    [anon_sym_mutable] = ACTIONS(2847),
    [anon_sym_constinit] = ACTIONS(2847),
    [anon_sym_consteval] = ACTIONS(2847),
    [anon_sym_PROGMEM] = ACTIONS(2847),
    [aux_sym_primitive_type_token1] = ACTIONS(2847),
    [anon_sym_byte] = ACTIONS(2847),
    [anon_sym_word] = ACTIONS(2847),
    [anon_sym_enum] = ACTIONS(2847),
    [anon_sym_class] = ACTIONS(2847),
    [anon_sym_struct] = ACTIONS(2847),
    [anon_sym_union] = ACTIONS(2847),
    [anon_sym_if] = ACTIONS(2847),
    [anon_sym_else] = ACTIONS(2847),
    [anon_sym_switch] = ACTIONS(2847),
    [anon_sym_case] = ACTIONS(2847),
    [anon_sym_default] = ACTIONS(2847),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_do] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2847),
    [anon_sym_return] = ACTIONS(2847),
    [anon_sym_break] = ACTIONS(2847),
    [anon_sym_continue] = ACTIONS(2847),
    [anon_sym_goto] = ACTIONS(2847),
    [anon_sym___try] = ACTIONS(2847),
    [anon_sym___leave] = ACTIONS(2847),
    [anon_sym_not] = ACTIONS(2847),
    [anon_sym_compl] = ACTIONS(2847),
    [anon_sym_DASH_DASH] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2849),
    [anon_sym_sizeof] = ACTIONS(2847),
    [anon_sym___alignof__] = ACTIONS(2847),
    [anon_sym___alignof] = ACTIONS(2847),
    [anon_sym__alignof] = ACTIONS(2847),
    [anon_sym_alignof] = ACTIONS(2847),
    [anon_sym__Alignof] = ACTIONS(2847),
    [anon_sym_offsetof] = ACTIONS(2847),
    [anon_sym__Generic] = ACTIONS(2847),
    [anon_sym_asm] = ACTIONS(2847),
    [anon_sym___asm__] = ACTIONS(2847),
    [aux_sym_number_literal_token1] = ACTIONS(2849),
    [aux_sym_number_literal_token2] = ACTIONS(2847),
    [anon_sym_L_SQUOTE] = ACTIONS(2849),
    [anon_sym_u_SQUOTE] = ACTIONS(2849),
    [anon_sym_U_SQUOTE] = ACTIONS(2849),
    [anon_sym_u8_SQUOTE] = ACTIONS(2849),
    [anon_sym_SQUOTE] = ACTIONS(2849),
    [anon_sym_L_DQUOTE] = ACTIONS(2849),
    [anon_sym_u_DQUOTE] = ACTIONS(2849),
    [anon_sym_U_DQUOTE] = ACTIONS(2849),
    [anon_sym_u8_DQUOTE] = ACTIONS(2849),
    [anon_sym_DQUOTE] = ACTIONS(2849),
    [sym_true] = ACTIONS(2847),
    [sym_false] = ACTIONS(2847),
    [anon_sym_NULL] = ACTIONS(2847),
    [anon_sym_nullptr] = ACTIONS(2847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2847),
    [anon_sym_decltype] = ACTIONS(2847),
    [anon_sym_virtual] = ACTIONS(2847),
    [anon_sym_alignas] = ACTIONS(2847),
    [anon_sym_explicit] = ACTIONS(2847),
    [anon_sym_typename] = ACTIONS(2847),
    [anon_sym_template] = ACTIONS(2847),
    [anon_sym_operator] = ACTIONS(2847),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_delete] = ACTIONS(2847),
    [anon_sym_throw] = ACTIONS(2847),
    [anon_sym_namespace] = ACTIONS(2847),
    [anon_sym_using] = ACTIONS(2847),
    [anon_sym_static_assert] = ACTIONS(2847),
    [anon_sym_concept] = ACTIONS(2847),
    [anon_sym_co_return] = ACTIONS(2847),
    [anon_sym_co_yield] = ACTIONS(2847),
    [anon_sym_catch] = ACTIONS(3469),
    [anon_sym_R_DQUOTE] = ACTIONS(2849),
    [anon_sym_LR_DQUOTE] = ACTIONS(2849),
    [anon_sym_uR_DQUOTE] = ACTIONS(2849),
    [anon_sym_UR_DQUOTE] = ACTIONS(2849),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2849),
    [anon_sym_co_await] = ACTIONS(2847),
    [anon_sym_new] = ACTIONS(2847),
    [anon_sym_requires] = ACTIONS(2847),
    [sym_this] = ACTIONS(2847),
  },
  [442] = {
    [sym_catch_clause] = STATE(442),
    [aux_sym_constructor_try_statement_repeat1] = STATE(442),
    [sym_identifier] = ACTIONS(2847),
    [aux_sym_preproc_include_token1] = ACTIONS(2847),
    [aux_sym_preproc_def_token1] = ACTIONS(2847),
    [aux_sym_preproc_if_token1] = ACTIONS(2847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2847),
    [sym_preproc_directive] = ACTIONS(2847),
    [anon_sym_LPAREN2] = ACTIONS(2849),
    [anon_sym_BANG] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2849),
    [anon_sym_DASH] = ACTIONS(2847),
    [anon_sym_PLUS] = ACTIONS(2847),
    [anon_sym_STAR] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2849),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_SEMI] = ACTIONS(2849),
    [anon_sym___extension__] = ACTIONS(2847),
    [anon_sym_typedef] = ACTIONS(2847),
    [anon_sym_extern] = ACTIONS(2847),
    [anon_sym___attribute__] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(2849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2849),
    [anon_sym___declspec] = ACTIONS(2847),
    [anon_sym___based] = ACTIONS(2847),
    [anon_sym___cdecl] = ACTIONS(2847),
    [anon_sym___clrcall] = ACTIONS(2847),
    [anon_sym___stdcall] = ACTIONS(2847),
    [anon_sym___fastcall] = ACTIONS(2847),
    [anon_sym___thiscall] = ACTIONS(2847),
    [anon_sym___vectorcall] = ACTIONS(2847),
    [anon_sym_LBRACE] = ACTIONS(2849),
    [anon_sym_RBRACE] = ACTIONS(2849),
    [anon_sym_signed] = ACTIONS(2847),
    [anon_sym_unsigned] = ACTIONS(2847),
    [anon_sym_long] = ACTIONS(2847),
    [anon_sym_short] = ACTIONS(2847),
    [anon_sym_LBRACK] = ACTIONS(2847),
    [anon_sym_static] = ACTIONS(2847),
    [anon_sym_register] = ACTIONS(2847),
    [anon_sym_inline] = ACTIONS(2847),
    [anon_sym___inline] = ACTIONS(2847),
    [anon_sym___inline__] = ACTIONS(2847),
    [anon_sym___forceinline] = ACTIONS(2847),
    [anon_sym_thread_local] = ACTIONS(2847),
    [anon_sym___thread] = ACTIONS(2847),
    [anon_sym_const] = ACTIONS(2847),
    [anon_sym_constexpr] = ACTIONS(2847),
    [anon_sym_volatile] = ACTIONS(2847),
    [anon_sym_restrict] = ACTIONS(2847),
    [anon_sym___restrict__] = ACTIONS(2847),
    [anon_sym__Atomic] = ACTIONS(2847),
    [anon_sym__Noreturn] = ACTIONS(2847),
    [anon_sym_noreturn] = ACTIONS(2847),
    [anon_sym_mutable] = ACTIONS(2847),
    [anon_sym_constinit] = ACTIONS(2847),
    [anon_sym_consteval] = ACTIONS(2847),
    [anon_sym_PROGMEM] = ACTIONS(2847),
    [aux_sym_primitive_type_token1] = ACTIONS(2847),
    [anon_sym_byte] = ACTIONS(2847),
    [anon_sym_word] = ACTIONS(2847),
    [anon_sym_enum] = ACTIONS(2847),
    [anon_sym_class] = ACTIONS(2847),
    [anon_sym_struct] = ACTIONS(2847),
    [anon_sym_union] = ACTIONS(2847),
    [anon_sym_if] = ACTIONS(2847),
    [anon_sym_else] = ACTIONS(2847),
    [anon_sym_switch] = ACTIONS(2847),
    [anon_sym_case] = ACTIONS(2847),
    [anon_sym_default] = ACTIONS(2847),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_do] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2847),
    [anon_sym_return] = ACTIONS(2847),
    [anon_sym_break] = ACTIONS(2847),
    [anon_sym_continue] = ACTIONS(2847),
    [anon_sym_goto] = ACTIONS(2847),
    [anon_sym___try] = ACTIONS(2847),
    [anon_sym___leave] = ACTIONS(2847),
    [anon_sym_not] = ACTIONS(2847),
    [anon_sym_compl] = ACTIONS(2847),
    [anon_sym_DASH_DASH] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2849),
    [anon_sym_sizeof] = ACTIONS(2847),
    [anon_sym___alignof__] = ACTIONS(2847),
    [anon_sym___alignof] = ACTIONS(2847),
    [anon_sym__alignof] = ACTIONS(2847),
    [anon_sym_alignof] = ACTIONS(2847),
    [anon_sym__Alignof] = ACTIONS(2847),
    [anon_sym_offsetof] = ACTIONS(2847),
    [anon_sym__Generic] = ACTIONS(2847),
    [anon_sym_asm] = ACTIONS(2847),
    [anon_sym___asm__] = ACTIONS(2847),
    [aux_sym_number_literal_token1] = ACTIONS(2849),
    [aux_sym_number_literal_token2] = ACTIONS(2847),
    [anon_sym_L_SQUOTE] = ACTIONS(2849),
    [anon_sym_u_SQUOTE] = ACTIONS(2849),
    [anon_sym_U_SQUOTE] = ACTIONS(2849),
    [anon_sym_u8_SQUOTE] = ACTIONS(2849),
    [anon_sym_SQUOTE] = ACTIONS(2849),
    [anon_sym_L_DQUOTE] = ACTIONS(2849),
    [anon_sym_u_DQUOTE] = ACTIONS(2849),
    [anon_sym_U_DQUOTE] = ACTIONS(2849),
    [anon_sym_u8_DQUOTE] = ACTIONS(2849),
    [anon_sym_DQUOTE] = ACTIONS(2849),
    [sym_true] = ACTIONS(2847),
    [sym_false] = ACTIONS(2847),
    [anon_sym_NULL] = ACTIONS(2847),
    [anon_sym_nullptr] = ACTIONS(2847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2847),
    [anon_sym_decltype] = ACTIONS(2847),
    [anon_sym_virtual] = ACTIONS(2847),
    [anon_sym_alignas] = ACTIONS(2847),
    [anon_sym_explicit] = ACTIONS(2847),
    [anon_sym_typename] = ACTIONS(2847),
    [anon_sym_template] = ACTIONS(2847),
    [anon_sym_operator] = ACTIONS(2847),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_delete] = ACTIONS(2847),
    [anon_sym_throw] = ACTIONS(2847),
    [anon_sym_namespace] = ACTIONS(2847),
    [anon_sym_using] = ACTIONS(2847),
    [anon_sym_static_assert] = ACTIONS(2847),
    [anon_sym_concept] = ACTIONS(2847),
    [anon_sym_co_return] = ACTIONS(2847),
    [anon_sym_co_yield] = ACTIONS(2847),
    [anon_sym_catch] = ACTIONS(3472),
    [anon_sym_R_DQUOTE] = ACTIONS(2849),
    [anon_sym_LR_DQUOTE] = ACTIONS(2849),
    [anon_sym_uR_DQUOTE] = ACTIONS(2849),
    [anon_sym_UR_DQUOTE] = ACTIONS(2849),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2849),
    [anon_sym_co_await] = ACTIONS(2847),
    [anon_sym_new] = ACTIONS(2847),
    [anon_sym_requires] = ACTIONS(2847),
    [sym_this] = ACTIONS(2847),
  },
  [443] = {
    [sym_identifier] = ACTIONS(2261),
    [aux_sym_preproc_include_token1] = ACTIONS(2261),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [aux_sym_preproc_if_token1] = ACTIONS(2261),
    [aux_sym_preproc_if_token2] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2261),
    [aux_sym_preproc_else_token1] = ACTIONS(2261),
    [aux_sym_preproc_elif_token1] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2261),
    [anon_sym_LPAREN2] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2261),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym___extension__] = ACTIONS(2261),
    [anon_sym_typedef] = ACTIONS(2261),
    [anon_sym_extern] = ACTIONS(2261),
    [anon_sym___attribute__] = ACTIONS(2261),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2259),
    [anon_sym___declspec] = ACTIONS(2261),
    [anon_sym___based] = ACTIONS(2261),
    [anon_sym___cdecl] = ACTIONS(2261),
    [anon_sym___clrcall] = ACTIONS(2261),
    [anon_sym___stdcall] = ACTIONS(2261),
    [anon_sym___fastcall] = ACTIONS(2261),
    [anon_sym___thiscall] = ACTIONS(2261),
    [anon_sym___vectorcall] = ACTIONS(2261),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_signed] = ACTIONS(2261),
    [anon_sym_unsigned] = ACTIONS(2261),
    [anon_sym_long] = ACTIONS(2261),
    [anon_sym_short] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_register] = ACTIONS(2261),
    [anon_sym_inline] = ACTIONS(2261),
    [anon_sym___inline] = ACTIONS(2261),
    [anon_sym___inline__] = ACTIONS(2261),
    [anon_sym___forceinline] = ACTIONS(2261),
    [anon_sym_thread_local] = ACTIONS(2261),
    [anon_sym___thread] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_constexpr] = ACTIONS(2261),
    [anon_sym_volatile] = ACTIONS(2261),
    [anon_sym_restrict] = ACTIONS(2261),
    [anon_sym___restrict__] = ACTIONS(2261),
    [anon_sym__Atomic] = ACTIONS(2261),
    [anon_sym__Noreturn] = ACTIONS(2261),
    [anon_sym_noreturn] = ACTIONS(2261),
    [anon_sym_mutable] = ACTIONS(2261),
    [anon_sym_constinit] = ACTIONS(2261),
    [anon_sym_consteval] = ACTIONS(2261),
    [anon_sym_PROGMEM] = ACTIONS(2261),
    [aux_sym_primitive_type_token1] = ACTIONS(2261),
    [anon_sym_byte] = ACTIONS(2261),
    [anon_sym_word] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_struct] = ACTIONS(2261),
    [anon_sym_union] = ACTIONS(2261),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_else] = ACTIONS(2261),
    [anon_sym_switch] = ACTIONS(2261),
    [anon_sym_case] = ACTIONS(2261),
    [anon_sym_default] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2261),
    [anon_sym_do] = ACTIONS(2261),
    [anon_sym_for] = ACTIONS(2261),
    [anon_sym_return] = ACTIONS(2261),
    [anon_sym_break] = ACTIONS(2261),
    [anon_sym_continue] = ACTIONS(2261),
    [anon_sym_goto] = ACTIONS(2261),
    [anon_sym___try] = ACTIONS(2261),
    [anon_sym___leave] = ACTIONS(2261),
    [anon_sym_not] = ACTIONS(2261),
    [anon_sym_compl] = ACTIONS(2261),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_sizeof] = ACTIONS(2261),
    [anon_sym___alignof__] = ACTIONS(2261),
    [anon_sym___alignof] = ACTIONS(2261),
    [anon_sym__alignof] = ACTIONS(2261),
    [anon_sym_alignof] = ACTIONS(2261),
    [anon_sym__Alignof] = ACTIONS(2261),
    [anon_sym_offsetof] = ACTIONS(2261),
    [anon_sym__Generic] = ACTIONS(2261),
    [anon_sym_asm] = ACTIONS(2261),
    [anon_sym___asm__] = ACTIONS(2261),
    [aux_sym_number_literal_token1] = ACTIONS(2259),
    [aux_sym_number_literal_token2] = ACTIONS(2261),
    [anon_sym_L_SQUOTE] = ACTIONS(2259),
    [anon_sym_u_SQUOTE] = ACTIONS(2259),
    [anon_sym_U_SQUOTE] = ACTIONS(2259),
    [anon_sym_u8_SQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [anon_sym_L_DQUOTE] = ACTIONS(2259),
    [anon_sym_u_DQUOTE] = ACTIONS(2259),
    [anon_sym_U_DQUOTE] = ACTIONS(2259),
    [anon_sym_u8_DQUOTE] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [sym_true] = ACTIONS(2261),
    [sym_false] = ACTIONS(2261),
    [anon_sym_NULL] = ACTIONS(2261),
    [anon_sym_nullptr] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2261),
    [anon_sym_decltype] = ACTIONS(2261),
    [anon_sym_virtual] = ACTIONS(2261),
    [anon_sym_alignas] = ACTIONS(2261),
    [anon_sym_explicit] = ACTIONS(2261),
    [anon_sym_typename] = ACTIONS(2261),
    [anon_sym_template] = ACTIONS(2261),
    [anon_sym_operator] = ACTIONS(2261),
    [anon_sym_try] = ACTIONS(2261),
    [anon_sym_delete] = ACTIONS(2261),
    [anon_sym_throw] = ACTIONS(2261),
    [anon_sym_namespace] = ACTIONS(2261),
    [anon_sym_using] = ACTIONS(2261),
    [anon_sym_static_assert] = ACTIONS(2261),
    [anon_sym_concept] = ACTIONS(2261),
    [anon_sym_co_return] = ACTIONS(2261),
    [anon_sym_co_yield] = ACTIONS(2261),
    [anon_sym_catch] = ACTIONS(2261),
    [anon_sym_R_DQUOTE] = ACTIONS(2259),
    [anon_sym_LR_DQUOTE] = ACTIONS(2259),
    [anon_sym_uR_DQUOTE] = ACTIONS(2259),
    [anon_sym_UR_DQUOTE] = ACTIONS(2259),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2259),
    [anon_sym_co_await] = ACTIONS(2261),
    [anon_sym_new] = ACTIONS(2261),
    [anon_sym_requires] = ACTIONS(2261),
    [sym_this] = ACTIONS(2261),
  },
  [444] = {
    [sym_identifier] = ACTIONS(3475),
    [aux_sym_preproc_include_token1] = ACTIONS(3475),
    [aux_sym_preproc_def_token1] = ACTIONS(3475),
    [aux_sym_preproc_if_token1] = ACTIONS(3475),
    [aux_sym_preproc_if_token2] = ACTIONS(3475),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3475),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3475),
    [aux_sym_preproc_else_token1] = ACTIONS(3475),
    [aux_sym_preproc_elif_token1] = ACTIONS(3475),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3475),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3475),
    [sym_preproc_directive] = ACTIONS(3475),
    [anon_sym_LPAREN2] = ACTIONS(3477),
    [anon_sym_BANG] = ACTIONS(3477),
    [anon_sym_TILDE] = ACTIONS(3477),
    [anon_sym_DASH] = ACTIONS(3475),
    [anon_sym_PLUS] = ACTIONS(3475),
    [anon_sym_STAR] = ACTIONS(3477),
    [anon_sym_AMP_AMP] = ACTIONS(3477),
    [anon_sym_AMP] = ACTIONS(3475),
    [anon_sym_SEMI] = ACTIONS(3477),
    [anon_sym___extension__] = ACTIONS(3475),
    [anon_sym_typedef] = ACTIONS(3475),
    [anon_sym_extern] = ACTIONS(3475),
    [anon_sym___attribute__] = ACTIONS(3475),
    [anon_sym_COLON_COLON] = ACTIONS(3477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3477),
    [anon_sym___declspec] = ACTIONS(3475),
    [anon_sym___based] = ACTIONS(3475),
    [anon_sym___cdecl] = ACTIONS(3475),
    [anon_sym___clrcall] = ACTIONS(3475),
    [anon_sym___stdcall] = ACTIONS(3475),
    [anon_sym___fastcall] = ACTIONS(3475),
    [anon_sym___thiscall] = ACTIONS(3475),
    [anon_sym___vectorcall] = ACTIONS(3475),
    [anon_sym_LBRACE] = ACTIONS(3477),
    [anon_sym_signed] = ACTIONS(3475),
    [anon_sym_unsigned] = ACTIONS(3475),
    [anon_sym_long] = ACTIONS(3475),
    [anon_sym_short] = ACTIONS(3475),
    [anon_sym_LBRACK] = ACTIONS(3475),
    [anon_sym_static] = ACTIONS(3475),
    [anon_sym_register] = ACTIONS(3475),
    [anon_sym_inline] = ACTIONS(3475),
    [anon_sym___inline] = ACTIONS(3475),
    [anon_sym___inline__] = ACTIONS(3475),
    [anon_sym___forceinline] = ACTIONS(3475),
    [anon_sym_thread_local] = ACTIONS(3475),
    [anon_sym___thread] = ACTIONS(3475),
    [anon_sym_const] = ACTIONS(3475),
    [anon_sym_constexpr] = ACTIONS(3475),
    [anon_sym_volatile] = ACTIONS(3475),
    [anon_sym_restrict] = ACTIONS(3475),
    [anon_sym___restrict__] = ACTIONS(3475),
    [anon_sym__Atomic] = ACTIONS(3475),
    [anon_sym__Noreturn] = ACTIONS(3475),
    [anon_sym_noreturn] = ACTIONS(3475),
    [anon_sym_mutable] = ACTIONS(3475),
    [anon_sym_constinit] = ACTIONS(3475),
    [anon_sym_consteval] = ACTIONS(3475),
    [anon_sym_PROGMEM] = ACTIONS(3475),
    [aux_sym_primitive_type_token1] = ACTIONS(3475),
    [anon_sym_byte] = ACTIONS(3475),
    [anon_sym_word] = ACTIONS(3475),
    [anon_sym_enum] = ACTIONS(3475),
    [anon_sym_class] = ACTIONS(3475),
    [anon_sym_struct] = ACTIONS(3475),
    [anon_sym_union] = ACTIONS(3475),
    [anon_sym_if] = ACTIONS(3475),
    [anon_sym_switch] = ACTIONS(3475),
    [anon_sym_case] = ACTIONS(3475),
    [anon_sym_default] = ACTIONS(3475),
    [anon_sym_while] = ACTIONS(3475),
    [anon_sym_do] = ACTIONS(3475),
    [anon_sym_for] = ACTIONS(3475),
    [anon_sym_return] = ACTIONS(3475),
    [anon_sym_break] = ACTIONS(3475),
    [anon_sym_continue] = ACTIONS(3475),
    [anon_sym_goto] = ACTIONS(3475),
    [anon_sym___try] = ACTIONS(3475),
    [anon_sym___leave] = ACTIONS(3475),
    [anon_sym_not] = ACTIONS(3475),
    [anon_sym_compl] = ACTIONS(3475),
    [anon_sym_DASH_DASH] = ACTIONS(3477),
    [anon_sym_PLUS_PLUS] = ACTIONS(3477),
    [anon_sym_sizeof] = ACTIONS(3475),
    [anon_sym___alignof__] = ACTIONS(3475),
    [anon_sym___alignof] = ACTIONS(3475),
    [anon_sym__alignof] = ACTIONS(3475),
    [anon_sym_alignof] = ACTIONS(3475),
    [anon_sym__Alignof] = ACTIONS(3475),
    [anon_sym_offsetof] = ACTIONS(3475),
    [anon_sym__Generic] = ACTIONS(3475),
    [anon_sym_asm] = ACTIONS(3475),
    [anon_sym___asm__] = ACTIONS(3475),
    [aux_sym_number_literal_token1] = ACTIONS(3477),
    [aux_sym_number_literal_token2] = ACTIONS(3475),
    [anon_sym_L_SQUOTE] = ACTIONS(3477),
    [anon_sym_u_SQUOTE] = ACTIONS(3477),
    [anon_sym_U_SQUOTE] = ACTIONS(3477),
    [anon_sym_u8_SQUOTE] = ACTIONS(3477),
    [anon_sym_SQUOTE] = ACTIONS(3477),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(3475),
    [sym_false] = ACTIONS(3475),
    [anon_sym_NULL] = ACTIONS(3475),
    [anon_sym_nullptr] = ACTIONS(3475),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3475),
    [anon_sym_decltype] = ACTIONS(3475),
    [anon_sym_virtual] = ACTIONS(3475),
    [anon_sym_alignas] = ACTIONS(3475),
    [anon_sym_explicit] = ACTIONS(3475),
    [anon_sym_typename] = ACTIONS(3475),
    [anon_sym_template] = ACTIONS(3475),
    [anon_sym_operator] = ACTIONS(3475),
    [anon_sym_try] = ACTIONS(3475),
    [anon_sym_delete] = ACTIONS(3475),
    [anon_sym_throw] = ACTIONS(3475),
    [anon_sym_namespace] = ACTIONS(3475),
    [anon_sym_using] = ACTIONS(3475),
    [anon_sym_static_assert] = ACTIONS(3475),
    [anon_sym_concept] = ACTIONS(3475),
    [anon_sym_co_return] = ACTIONS(3475),
    [anon_sym_co_yield] = ACTIONS(3475),
    [anon_sym_R_DQUOTE] = ACTIONS(3477),
    [anon_sym_LR_DQUOTE] = ACTIONS(3477),
    [anon_sym_uR_DQUOTE] = ACTIONS(3477),
    [anon_sym_UR_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3477),
    [anon_sym_co_await] = ACTIONS(3475),
    [anon_sym_new] = ACTIONS(3475),
    [anon_sym_requires] = ACTIONS(3475),
    [sym_this] = ACTIONS(3475),
  },
  [445] = {
    [sym_type_qualifier] = STATE(4419),
    [sym__type_specifier] = STATE(5566),
    [sym_sized_type_specifier] = STATE(3307),
    [sym_primitive_type] = STATE(5783),
    [sym_enum_specifier] = STATE(3307),
    [sym_struct_specifier] = STATE(3307),
    [sym_union_specifier] = STATE(3307),
    [sym__expression] = STATE(5179),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_type_descriptor] = STATE(7906),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_placeholder_type_specifier] = STATE(3307),
    [sym_decltype_auto] = STATE(3308),
    [sym_decltype] = STATE(3258),
    [sym_class_specifier] = STATE(3307),
    [sym__class_name] = STATE(8488),
    [sym_dependent_type] = STATE(3307),
    [sym_template_type] = STATE(6073),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_type_parameter_pack_expansion] = STATE(8505),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6377),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(6086),
    [sym_user_defined_literal] = STATE(4145),
    [aux_sym__type_definition_type_repeat1] = STATE(4419),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2974),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2978),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [446] = {
    [sym_identifier] = ACTIONS(3479),
    [aux_sym_preproc_include_token1] = ACTIONS(3479),
    [aux_sym_preproc_def_token1] = ACTIONS(3479),
    [aux_sym_preproc_if_token1] = ACTIONS(3479),
    [aux_sym_preproc_if_token2] = ACTIONS(3479),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3479),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3479),
    [aux_sym_preproc_else_token1] = ACTIONS(3479),
    [aux_sym_preproc_elif_token1] = ACTIONS(3479),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3479),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3479),
    [sym_preproc_directive] = ACTIONS(3479),
    [anon_sym_LPAREN2] = ACTIONS(3481),
    [anon_sym_BANG] = ACTIONS(3481),
    [anon_sym_TILDE] = ACTIONS(3481),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3481),
    [anon_sym_AMP_AMP] = ACTIONS(3481),
    [anon_sym_AMP] = ACTIONS(3479),
    [anon_sym_SEMI] = ACTIONS(3481),
    [anon_sym___extension__] = ACTIONS(3479),
    [anon_sym_typedef] = ACTIONS(3479),
    [anon_sym_extern] = ACTIONS(3479),
    [anon_sym___attribute__] = ACTIONS(3479),
    [anon_sym_COLON_COLON] = ACTIONS(3481),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3481),
    [anon_sym___declspec] = ACTIONS(3479),
    [anon_sym___based] = ACTIONS(3479),
    [anon_sym___cdecl] = ACTIONS(3479),
    [anon_sym___clrcall] = ACTIONS(3479),
    [anon_sym___stdcall] = ACTIONS(3479),
    [anon_sym___fastcall] = ACTIONS(3479),
    [anon_sym___thiscall] = ACTIONS(3479),
    [anon_sym___vectorcall] = ACTIONS(3479),
    [anon_sym_LBRACE] = ACTIONS(3481),
    [anon_sym_signed] = ACTIONS(3479),
    [anon_sym_unsigned] = ACTIONS(3479),
    [anon_sym_long] = ACTIONS(3479),
    [anon_sym_short] = ACTIONS(3479),
    [anon_sym_LBRACK] = ACTIONS(3479),
    [anon_sym_static] = ACTIONS(3479),
    [anon_sym_register] = ACTIONS(3479),
    [anon_sym_inline] = ACTIONS(3479),
    [anon_sym___inline] = ACTIONS(3479),
    [anon_sym___inline__] = ACTIONS(3479),
    [anon_sym___forceinline] = ACTIONS(3479),
    [anon_sym_thread_local] = ACTIONS(3479),
    [anon_sym___thread] = ACTIONS(3479),
    [anon_sym_const] = ACTIONS(3479),
    [anon_sym_constexpr] = ACTIONS(3479),
    [anon_sym_volatile] = ACTIONS(3479),
    [anon_sym_restrict] = ACTIONS(3479),
    [anon_sym___restrict__] = ACTIONS(3479),
    [anon_sym__Atomic] = ACTIONS(3479),
    [anon_sym__Noreturn] = ACTIONS(3479),
    [anon_sym_noreturn] = ACTIONS(3479),
    [anon_sym_mutable] = ACTIONS(3479),
    [anon_sym_constinit] = ACTIONS(3479),
    [anon_sym_consteval] = ACTIONS(3479),
    [anon_sym_PROGMEM] = ACTIONS(3479),
    [aux_sym_primitive_type_token1] = ACTIONS(3479),
    [anon_sym_byte] = ACTIONS(3479),
    [anon_sym_word] = ACTIONS(3479),
    [anon_sym_enum] = ACTIONS(3479),
    [anon_sym_class] = ACTIONS(3479),
    [anon_sym_struct] = ACTIONS(3479),
    [anon_sym_union] = ACTIONS(3479),
    [anon_sym_if] = ACTIONS(3479),
    [anon_sym_switch] = ACTIONS(3479),
    [anon_sym_case] = ACTIONS(3479),
    [anon_sym_default] = ACTIONS(3479),
    [anon_sym_while] = ACTIONS(3479),
    [anon_sym_do] = ACTIONS(3479),
    [anon_sym_for] = ACTIONS(3479),
    [anon_sym_return] = ACTIONS(3479),
    [anon_sym_break] = ACTIONS(3479),
    [anon_sym_continue] = ACTIONS(3479),
    [anon_sym_goto] = ACTIONS(3479),
    [anon_sym___try] = ACTIONS(3479),
    [anon_sym___leave] = ACTIONS(3479),
    [anon_sym_not] = ACTIONS(3479),
    [anon_sym_compl] = ACTIONS(3479),
    [anon_sym_DASH_DASH] = ACTIONS(3481),
    [anon_sym_PLUS_PLUS] = ACTIONS(3481),
    [anon_sym_sizeof] = ACTIONS(3479),
    [anon_sym___alignof__] = ACTIONS(3479),
    [anon_sym___alignof] = ACTIONS(3479),
    [anon_sym__alignof] = ACTIONS(3479),
    [anon_sym_alignof] = ACTIONS(3479),
    [anon_sym__Alignof] = ACTIONS(3479),
    [anon_sym_offsetof] = ACTIONS(3479),
    [anon_sym__Generic] = ACTIONS(3479),
    [anon_sym_asm] = ACTIONS(3479),
    [anon_sym___asm__] = ACTIONS(3479),
    [aux_sym_number_literal_token1] = ACTIONS(3481),
    [aux_sym_number_literal_token2] = ACTIONS(3479),
    [anon_sym_L_SQUOTE] = ACTIONS(3481),
    [anon_sym_u_SQUOTE] = ACTIONS(3481),
    [anon_sym_U_SQUOTE] = ACTIONS(3481),
    [anon_sym_u8_SQUOTE] = ACTIONS(3481),
    [anon_sym_SQUOTE] = ACTIONS(3481),
    [anon_sym_L_DQUOTE] = ACTIONS(3481),
    [anon_sym_u_DQUOTE] = ACTIONS(3481),
    [anon_sym_U_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8_DQUOTE] = ACTIONS(3481),
    [anon_sym_DQUOTE] = ACTIONS(3481),
    [sym_true] = ACTIONS(3479),
    [sym_false] = ACTIONS(3479),
    [anon_sym_NULL] = ACTIONS(3479),
    [anon_sym_nullptr] = ACTIONS(3479),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3479),
    [anon_sym_decltype] = ACTIONS(3479),
    [anon_sym_virtual] = ACTIONS(3479),
    [anon_sym_alignas] = ACTIONS(3479),
    [anon_sym_explicit] = ACTIONS(3479),
    [anon_sym_typename] = ACTIONS(3479),
    [anon_sym_template] = ACTIONS(3479),
    [anon_sym_operator] = ACTIONS(3479),
    [anon_sym_try] = ACTIONS(3479),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_throw] = ACTIONS(3479),
    [anon_sym_namespace] = ACTIONS(3479),
    [anon_sym_using] = ACTIONS(3479),
    [anon_sym_static_assert] = ACTIONS(3479),
    [anon_sym_concept] = ACTIONS(3479),
    [anon_sym_co_return] = ACTIONS(3479),
    [anon_sym_co_yield] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3479),
    [anon_sym_new] = ACTIONS(3479),
    [anon_sym_requires] = ACTIONS(3479),
    [sym_this] = ACTIONS(3479),
  },
  [447] = {
    [sym_identifier] = ACTIONS(3483),
    [aux_sym_preproc_include_token1] = ACTIONS(3483),
    [aux_sym_preproc_def_token1] = ACTIONS(3483),
    [aux_sym_preproc_if_token1] = ACTIONS(3483),
    [aux_sym_preproc_if_token2] = ACTIONS(3483),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3483),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3483),
    [aux_sym_preproc_else_token1] = ACTIONS(3483),
    [aux_sym_preproc_elif_token1] = ACTIONS(3483),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3483),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3483),
    [sym_preproc_directive] = ACTIONS(3483),
    [anon_sym_LPAREN2] = ACTIONS(3485),
    [anon_sym_BANG] = ACTIONS(3485),
    [anon_sym_TILDE] = ACTIONS(3485),
    [anon_sym_DASH] = ACTIONS(3483),
    [anon_sym_PLUS] = ACTIONS(3483),
    [anon_sym_STAR] = ACTIONS(3485),
    [anon_sym_AMP_AMP] = ACTIONS(3485),
    [anon_sym_AMP] = ACTIONS(3483),
    [anon_sym_SEMI] = ACTIONS(3485),
    [anon_sym___extension__] = ACTIONS(3483),
    [anon_sym_typedef] = ACTIONS(3483),
    [anon_sym_extern] = ACTIONS(3483),
    [anon_sym___attribute__] = ACTIONS(3483),
    [anon_sym_COLON_COLON] = ACTIONS(3485),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3485),
    [anon_sym___declspec] = ACTIONS(3483),
    [anon_sym___based] = ACTIONS(3483),
    [anon_sym___cdecl] = ACTIONS(3483),
    [anon_sym___clrcall] = ACTIONS(3483),
    [anon_sym___stdcall] = ACTIONS(3483),
    [anon_sym___fastcall] = ACTIONS(3483),
    [anon_sym___thiscall] = ACTIONS(3483),
    [anon_sym___vectorcall] = ACTIONS(3483),
    [anon_sym_LBRACE] = ACTIONS(3485),
    [anon_sym_signed] = ACTIONS(3483),
    [anon_sym_unsigned] = ACTIONS(3483),
    [anon_sym_long] = ACTIONS(3483),
    [anon_sym_short] = ACTIONS(3483),
    [anon_sym_LBRACK] = ACTIONS(3483),
    [anon_sym_static] = ACTIONS(3483),
    [anon_sym_register] = ACTIONS(3483),
    [anon_sym_inline] = ACTIONS(3483),
    [anon_sym___inline] = ACTIONS(3483),
    [anon_sym___inline__] = ACTIONS(3483),
    [anon_sym___forceinline] = ACTIONS(3483),
    [anon_sym_thread_local] = ACTIONS(3483),
    [anon_sym___thread] = ACTIONS(3483),
    [anon_sym_const] = ACTIONS(3483),
    [anon_sym_constexpr] = ACTIONS(3483),
    [anon_sym_volatile] = ACTIONS(3483),
    [anon_sym_restrict] = ACTIONS(3483),
    [anon_sym___restrict__] = ACTIONS(3483),
    [anon_sym__Atomic] = ACTIONS(3483),
    [anon_sym__Noreturn] = ACTIONS(3483),
    [anon_sym_noreturn] = ACTIONS(3483),
    [anon_sym_mutable] = ACTIONS(3483),
    [anon_sym_constinit] = ACTIONS(3483),
    [anon_sym_consteval] = ACTIONS(3483),
    [anon_sym_PROGMEM] = ACTIONS(3483),
    [aux_sym_primitive_type_token1] = ACTIONS(3483),
    [anon_sym_byte] = ACTIONS(3483),
    [anon_sym_word] = ACTIONS(3483),
    [anon_sym_enum] = ACTIONS(3483),
    [anon_sym_class] = ACTIONS(3483),
    [anon_sym_struct] = ACTIONS(3483),
    [anon_sym_union] = ACTIONS(3483),
    [anon_sym_if] = ACTIONS(3483),
    [anon_sym_switch] = ACTIONS(3483),
    [anon_sym_case] = ACTIONS(3483),
    [anon_sym_default] = ACTIONS(3483),
    [anon_sym_while] = ACTIONS(3483),
    [anon_sym_do] = ACTIONS(3483),
    [anon_sym_for] = ACTIONS(3483),
    [anon_sym_return] = ACTIONS(3483),
    [anon_sym_break] = ACTIONS(3483),
    [anon_sym_continue] = ACTIONS(3483),
    [anon_sym_goto] = ACTIONS(3483),
    [anon_sym___try] = ACTIONS(3483),
    [anon_sym___leave] = ACTIONS(3483),
    [anon_sym_not] = ACTIONS(3483),
    [anon_sym_compl] = ACTIONS(3483),
    [anon_sym_DASH_DASH] = ACTIONS(3485),
    [anon_sym_PLUS_PLUS] = ACTIONS(3485),
    [anon_sym_sizeof] = ACTIONS(3483),
    [anon_sym___alignof__] = ACTIONS(3483),
    [anon_sym___alignof] = ACTIONS(3483),
    [anon_sym__alignof] = ACTIONS(3483),
    [anon_sym_alignof] = ACTIONS(3483),
    [anon_sym__Alignof] = ACTIONS(3483),
    [anon_sym_offsetof] = ACTIONS(3483),
    [anon_sym__Generic] = ACTIONS(3483),
    [anon_sym_asm] = ACTIONS(3483),
    [anon_sym___asm__] = ACTIONS(3483),
    [aux_sym_number_literal_token1] = ACTIONS(3485),
    [aux_sym_number_literal_token2] = ACTIONS(3483),
    [anon_sym_L_SQUOTE] = ACTIONS(3485),
    [anon_sym_u_SQUOTE] = ACTIONS(3485),
    [anon_sym_U_SQUOTE] = ACTIONS(3485),
    [anon_sym_u8_SQUOTE] = ACTIONS(3485),
    [anon_sym_SQUOTE] = ACTIONS(3485),
    [anon_sym_L_DQUOTE] = ACTIONS(3485),
    [anon_sym_u_DQUOTE] = ACTIONS(3485),
    [anon_sym_U_DQUOTE] = ACTIONS(3485),
    [anon_sym_u8_DQUOTE] = ACTIONS(3485),
    [anon_sym_DQUOTE] = ACTIONS(3485),
    [sym_true] = ACTIONS(3483),
    [sym_false] = ACTIONS(3483),
    [anon_sym_NULL] = ACTIONS(3483),
    [anon_sym_nullptr] = ACTIONS(3483),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3483),
    [anon_sym_decltype] = ACTIONS(3483),
    [anon_sym_virtual] = ACTIONS(3483),
    [anon_sym_alignas] = ACTIONS(3483),
    [anon_sym_explicit] = ACTIONS(3483),
    [anon_sym_typename] = ACTIONS(3483),
    [anon_sym_template] = ACTIONS(3483),
    [anon_sym_operator] = ACTIONS(3483),
    [anon_sym_try] = ACTIONS(3483),
    [anon_sym_delete] = ACTIONS(3483),
    [anon_sym_throw] = ACTIONS(3483),
    [anon_sym_namespace] = ACTIONS(3483),
    [anon_sym_using] = ACTIONS(3483),
    [anon_sym_static_assert] = ACTIONS(3483),
    [anon_sym_concept] = ACTIONS(3483),
    [anon_sym_co_return] = ACTIONS(3483),
    [anon_sym_co_yield] = ACTIONS(3483),
    [anon_sym_R_DQUOTE] = ACTIONS(3485),
    [anon_sym_LR_DQUOTE] = ACTIONS(3485),
    [anon_sym_uR_DQUOTE] = ACTIONS(3485),
    [anon_sym_UR_DQUOTE] = ACTIONS(3485),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3485),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3483),
    [anon_sym_requires] = ACTIONS(3483),
    [sym_this] = ACTIONS(3483),
  },
  [448] = {
    [sym_preproc_def] = STATE(449),
    [sym_preproc_function_def] = STATE(449),
    [sym_preproc_call] = STATE(449),
    [sym_preproc_if_in_field_declaration_list] = STATE(449),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(449),
    [sym_preproc_else_in_field_declaration_list] = STATE(8912),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8912),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8912),
    [sym_type_definition] = STATE(449),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6331),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6985),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(449),
    [sym_field_declaration] = STATE(449),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2150),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(449),
    [sym_operator_cast] = STATE(7390),
    [sym_inline_method_definition] = STATE(449),
    [sym__constructor_specifiers] = STATE(2150),
    [sym_operator_cast_definition] = STATE(449),
    [sym_operator_cast_declaration] = STATE(449),
    [sym_constructor_or_destructor_definition] = STATE(449),
    [sym_constructor_or_destructor_declaration] = STATE(449),
    [sym_friend_declaration] = STATE(449),
    [sym_access_specifier] = STATE(9040),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(449),
    [sym_alias_declaration] = STATE(449),
    [sym_static_assert_declaration] = STATE(449),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7390),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(449),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2150),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token1] = ACTIONS(3228),
    [aux_sym_preproc_if_token2] = ACTIONS(3487),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3232),
    [aux_sym_preproc_else_token1] = ACTIONS(3234),
    [aux_sym_preproc_elif_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3238),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3238),
    [sym_preproc_directive] = ACTIONS(3240),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3250),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3270),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3274),
    [anon_sym_static_assert] = ACTIONS(3276),
  },
  [449] = {
    [sym_preproc_def] = STATE(834),
    [sym_preproc_function_def] = STATE(834),
    [sym_preproc_call] = STATE(834),
    [sym_preproc_if_in_field_declaration_list] = STATE(834),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(834),
    [sym_preproc_else_in_field_declaration_list] = STATE(8922),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8922),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8922),
    [sym_type_definition] = STATE(834),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6331),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6985),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(834),
    [sym_field_declaration] = STATE(834),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2150),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(834),
    [sym_operator_cast] = STATE(7390),
    [sym_inline_method_definition] = STATE(834),
    [sym__constructor_specifiers] = STATE(2150),
    [sym_operator_cast_definition] = STATE(834),
    [sym_operator_cast_declaration] = STATE(834),
    [sym_constructor_or_destructor_definition] = STATE(834),
    [sym_constructor_or_destructor_declaration] = STATE(834),
    [sym_friend_declaration] = STATE(834),
    [sym_access_specifier] = STATE(9040),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(834),
    [sym_alias_declaration] = STATE(834),
    [sym_static_assert_declaration] = STATE(834),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7390),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(834),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2150),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token1] = ACTIONS(3228),
    [aux_sym_preproc_if_token2] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3232),
    [aux_sym_preproc_else_token1] = ACTIONS(3234),
    [aux_sym_preproc_elif_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3238),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3238),
    [sym_preproc_directive] = ACTIONS(3240),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3250),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3270),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3274),
    [anon_sym_static_assert] = ACTIONS(3276),
  },
  [450] = {
    [sym_identifier] = ACTIONS(3491),
    [aux_sym_preproc_include_token1] = ACTIONS(3491),
    [aux_sym_preproc_def_token1] = ACTIONS(3491),
    [aux_sym_preproc_if_token1] = ACTIONS(3491),
    [aux_sym_preproc_if_token2] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [aux_sym_preproc_else_token1] = ACTIONS(3491),
    [aux_sym_preproc_elif_token1] = ACTIONS(3491),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3491),
    [anon_sym_LPAREN2] = ACTIONS(3493),
    [anon_sym_BANG] = ACTIONS(3493),
    [anon_sym_TILDE] = ACTIONS(3493),
    [anon_sym_DASH] = ACTIONS(3491),
    [anon_sym_PLUS] = ACTIONS(3491),
    [anon_sym_STAR] = ACTIONS(3493),
    [anon_sym_AMP_AMP] = ACTIONS(3493),
    [anon_sym_AMP] = ACTIONS(3491),
    [anon_sym_SEMI] = ACTIONS(3493),
    [anon_sym___extension__] = ACTIONS(3491),
    [anon_sym_typedef] = ACTIONS(3491),
    [anon_sym_extern] = ACTIONS(3491),
    [anon_sym___attribute__] = ACTIONS(3491),
    [anon_sym_COLON_COLON] = ACTIONS(3493),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3493),
    [anon_sym___declspec] = ACTIONS(3491),
    [anon_sym___based] = ACTIONS(3491),
    [anon_sym___cdecl] = ACTIONS(3491),
    [anon_sym___clrcall] = ACTIONS(3491),
    [anon_sym___stdcall] = ACTIONS(3491),
    [anon_sym___fastcall] = ACTIONS(3491),
    [anon_sym___thiscall] = ACTIONS(3491),
    [anon_sym___vectorcall] = ACTIONS(3491),
    [anon_sym_LBRACE] = ACTIONS(3493),
    [anon_sym_signed] = ACTIONS(3491),
    [anon_sym_unsigned] = ACTIONS(3491),
    [anon_sym_long] = ACTIONS(3491),
    [anon_sym_short] = ACTIONS(3491),
    [anon_sym_LBRACK] = ACTIONS(3491),
    [anon_sym_static] = ACTIONS(3491),
    [anon_sym_register] = ACTIONS(3491),
    [anon_sym_inline] = ACTIONS(3491),
    [anon_sym___inline] = ACTIONS(3491),
    [anon_sym___inline__] = ACTIONS(3491),
    [anon_sym___forceinline] = ACTIONS(3491),
    [anon_sym_thread_local] = ACTIONS(3491),
    [anon_sym___thread] = ACTIONS(3491),
    [anon_sym_const] = ACTIONS(3491),
    [anon_sym_constexpr] = ACTIONS(3491),
    [anon_sym_volatile] = ACTIONS(3491),
    [anon_sym_restrict] = ACTIONS(3491),
    [anon_sym___restrict__] = ACTIONS(3491),
    [anon_sym__Atomic] = ACTIONS(3491),
    [anon_sym__Noreturn] = ACTIONS(3491),
    [anon_sym_noreturn] = ACTIONS(3491),
    [anon_sym_mutable] = ACTIONS(3491),
    [anon_sym_constinit] = ACTIONS(3491),
    [anon_sym_consteval] = ACTIONS(3491),
    [anon_sym_PROGMEM] = ACTIONS(3491),
    [aux_sym_primitive_type_token1] = ACTIONS(3491),
    [anon_sym_byte] = ACTIONS(3491),
    [anon_sym_word] = ACTIONS(3491),
    [anon_sym_enum] = ACTIONS(3491),
    [anon_sym_class] = ACTIONS(3491),
    [anon_sym_struct] = ACTIONS(3491),
    [anon_sym_union] = ACTIONS(3491),
    [anon_sym_if] = ACTIONS(3491),
    [anon_sym_switch] = ACTIONS(3491),
    [anon_sym_case] = ACTIONS(3491),
    [anon_sym_default] = ACTIONS(3491),
    [anon_sym_while] = ACTIONS(3491),
    [anon_sym_do] = ACTIONS(3491),
    [anon_sym_for] = ACTIONS(3491),
    [anon_sym_return] = ACTIONS(3491),
    [anon_sym_break] = ACTIONS(3491),
    [anon_sym_continue] = ACTIONS(3491),
    [anon_sym_goto] = ACTIONS(3491),
    [anon_sym___try] = ACTIONS(3491),
    [anon_sym___leave] = ACTIONS(3491),
    [anon_sym_not] = ACTIONS(3491),
    [anon_sym_compl] = ACTIONS(3491),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_sizeof] = ACTIONS(3491),
    [anon_sym___alignof__] = ACTIONS(3491),
    [anon_sym___alignof] = ACTIONS(3491),
    [anon_sym__alignof] = ACTIONS(3491),
    [anon_sym_alignof] = ACTIONS(3491),
    [anon_sym__Alignof] = ACTIONS(3491),
    [anon_sym_offsetof] = ACTIONS(3491),
    [anon_sym__Generic] = ACTIONS(3491),
    [anon_sym_asm] = ACTIONS(3491),
    [anon_sym___asm__] = ACTIONS(3491),
    [aux_sym_number_literal_token1] = ACTIONS(3493),
    [aux_sym_number_literal_token2] = ACTIONS(3491),
    [anon_sym_L_SQUOTE] = ACTIONS(3493),
    [anon_sym_u_SQUOTE] = ACTIONS(3493),
    [anon_sym_U_SQUOTE] = ACTIONS(3493),
    [anon_sym_u8_SQUOTE] = ACTIONS(3493),
    [anon_sym_SQUOTE] = ACTIONS(3493),
    [anon_sym_L_DQUOTE] = ACTIONS(3493),
    [anon_sym_u_DQUOTE] = ACTIONS(3493),
    [anon_sym_U_DQUOTE] = ACTIONS(3493),
    [anon_sym_u8_DQUOTE] = ACTIONS(3493),
    [anon_sym_DQUOTE] = ACTIONS(3493),
    [sym_true] = ACTIONS(3491),
    [sym_false] = ACTIONS(3491),
    [anon_sym_NULL] = ACTIONS(3491),
    [anon_sym_nullptr] = ACTIONS(3491),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3491),
    [anon_sym_decltype] = ACTIONS(3491),
    [anon_sym_virtual] = ACTIONS(3491),
    [anon_sym_alignas] = ACTIONS(3491),
    [anon_sym_explicit] = ACTIONS(3491),
    [anon_sym_typename] = ACTIONS(3491),
    [anon_sym_template] = ACTIONS(3491),
    [anon_sym_operator] = ACTIONS(3491),
    [anon_sym_try] = ACTIONS(3491),
    [anon_sym_delete] = ACTIONS(3491),
    [anon_sym_throw] = ACTIONS(3491),
    [anon_sym_namespace] = ACTIONS(3491),
    [anon_sym_using] = ACTIONS(3491),
    [anon_sym_static_assert] = ACTIONS(3491),
    [anon_sym_concept] = ACTIONS(3491),
    [anon_sym_co_return] = ACTIONS(3491),
    [anon_sym_co_yield] = ACTIONS(3491),
    [anon_sym_R_DQUOTE] = ACTIONS(3493),
    [anon_sym_LR_DQUOTE] = ACTIONS(3493),
    [anon_sym_uR_DQUOTE] = ACTIONS(3493),
    [anon_sym_UR_DQUOTE] = ACTIONS(3493),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3493),
    [anon_sym_co_await] = ACTIONS(3491),
    [anon_sym_new] = ACTIONS(3491),
    [anon_sym_requires] = ACTIONS(3491),
    [sym_this] = ACTIONS(3491),
  },
  [451] = {
    [sym_identifier] = ACTIONS(3495),
    [aux_sym_preproc_include_token1] = ACTIONS(3495),
    [aux_sym_preproc_def_token1] = ACTIONS(3495),
    [aux_sym_preproc_if_token1] = ACTIONS(3495),
    [aux_sym_preproc_if_token2] = ACTIONS(3495),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3495),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3495),
    [aux_sym_preproc_else_token1] = ACTIONS(3495),
    [aux_sym_preproc_elif_token1] = ACTIONS(3495),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3495),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3495),
    [sym_preproc_directive] = ACTIONS(3495),
    [anon_sym_LPAREN2] = ACTIONS(3497),
    [anon_sym_BANG] = ACTIONS(3497),
    [anon_sym_TILDE] = ACTIONS(3497),
    [anon_sym_DASH] = ACTIONS(3495),
    [anon_sym_PLUS] = ACTIONS(3495),
    [anon_sym_STAR] = ACTIONS(3497),
    [anon_sym_AMP_AMP] = ACTIONS(3497),
    [anon_sym_AMP] = ACTIONS(3495),
    [anon_sym_SEMI] = ACTIONS(3497),
    [anon_sym___extension__] = ACTIONS(3495),
    [anon_sym_typedef] = ACTIONS(3495),
    [anon_sym_extern] = ACTIONS(3495),
    [anon_sym___attribute__] = ACTIONS(3495),
    [anon_sym_COLON_COLON] = ACTIONS(3497),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3497),
    [anon_sym___declspec] = ACTIONS(3495),
    [anon_sym___based] = ACTIONS(3495),
    [anon_sym___cdecl] = ACTIONS(3495),
    [anon_sym___clrcall] = ACTIONS(3495),
    [anon_sym___stdcall] = ACTIONS(3495),
    [anon_sym___fastcall] = ACTIONS(3495),
    [anon_sym___thiscall] = ACTIONS(3495),
    [anon_sym___vectorcall] = ACTIONS(3495),
    [anon_sym_LBRACE] = ACTIONS(3497),
    [anon_sym_signed] = ACTIONS(3495),
    [anon_sym_unsigned] = ACTIONS(3495),
    [anon_sym_long] = ACTIONS(3495),
    [anon_sym_short] = ACTIONS(3495),
    [anon_sym_LBRACK] = ACTIONS(3495),
    [anon_sym_static] = ACTIONS(3495),
    [anon_sym_register] = ACTIONS(3495),
    [anon_sym_inline] = ACTIONS(3495),
    [anon_sym___inline] = ACTIONS(3495),
    [anon_sym___inline__] = ACTIONS(3495),
    [anon_sym___forceinline] = ACTIONS(3495),
    [anon_sym_thread_local] = ACTIONS(3495),
    [anon_sym___thread] = ACTIONS(3495),
    [anon_sym_const] = ACTIONS(3495),
    [anon_sym_constexpr] = ACTIONS(3495),
    [anon_sym_volatile] = ACTIONS(3495),
    [anon_sym_restrict] = ACTIONS(3495),
    [anon_sym___restrict__] = ACTIONS(3495),
    [anon_sym__Atomic] = ACTIONS(3495),
    [anon_sym__Noreturn] = ACTIONS(3495),
    [anon_sym_noreturn] = ACTIONS(3495),
    [anon_sym_mutable] = ACTIONS(3495),
    [anon_sym_constinit] = ACTIONS(3495),
    [anon_sym_consteval] = ACTIONS(3495),
    [anon_sym_PROGMEM] = ACTIONS(3495),
    [aux_sym_primitive_type_token1] = ACTIONS(3495),
    [anon_sym_byte] = ACTIONS(3495),
    [anon_sym_word] = ACTIONS(3495),
    [anon_sym_enum] = ACTIONS(3495),
    [anon_sym_class] = ACTIONS(3495),
    [anon_sym_struct] = ACTIONS(3495),
    [anon_sym_union] = ACTIONS(3495),
    [anon_sym_if] = ACTIONS(3495),
    [anon_sym_switch] = ACTIONS(3495),
    [anon_sym_case] = ACTIONS(3495),
    [anon_sym_default] = ACTIONS(3495),
    [anon_sym_while] = ACTIONS(3495),
    [anon_sym_do] = ACTIONS(3495),
    [anon_sym_for] = ACTIONS(3495),
    [anon_sym_return] = ACTIONS(3495),
    [anon_sym_break] = ACTIONS(3495),
    [anon_sym_continue] = ACTIONS(3495),
    [anon_sym_goto] = ACTIONS(3495),
    [anon_sym___try] = ACTIONS(3495),
    [anon_sym___leave] = ACTIONS(3495),
    [anon_sym_not] = ACTIONS(3495),
    [anon_sym_compl] = ACTIONS(3495),
    [anon_sym_DASH_DASH] = ACTIONS(3497),
    [anon_sym_PLUS_PLUS] = ACTIONS(3497),
    [anon_sym_sizeof] = ACTIONS(3495),
    [anon_sym___alignof__] = ACTIONS(3495),
    [anon_sym___alignof] = ACTIONS(3495),
    [anon_sym__alignof] = ACTIONS(3495),
    [anon_sym_alignof] = ACTIONS(3495),
    [anon_sym__Alignof] = ACTIONS(3495),
    [anon_sym_offsetof] = ACTIONS(3495),
    [anon_sym__Generic] = ACTIONS(3495),
    [anon_sym_asm] = ACTIONS(3495),
    [anon_sym___asm__] = ACTIONS(3495),
    [aux_sym_number_literal_token1] = ACTIONS(3497),
    [aux_sym_number_literal_token2] = ACTIONS(3495),
    [anon_sym_L_SQUOTE] = ACTIONS(3497),
    [anon_sym_u_SQUOTE] = ACTIONS(3497),
    [anon_sym_U_SQUOTE] = ACTIONS(3497),
    [anon_sym_u8_SQUOTE] = ACTIONS(3497),
    [anon_sym_SQUOTE] = ACTIONS(3497),
    [anon_sym_L_DQUOTE] = ACTIONS(3497),
    [anon_sym_u_DQUOTE] = ACTIONS(3497),
    [anon_sym_U_DQUOTE] = ACTIONS(3497),
    [anon_sym_u8_DQUOTE] = ACTIONS(3497),
    [anon_sym_DQUOTE] = ACTIONS(3497),
    [sym_true] = ACTIONS(3495),
    [sym_false] = ACTIONS(3495),
    [anon_sym_NULL] = ACTIONS(3495),
    [anon_sym_nullptr] = ACTIONS(3495),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3495),
    [anon_sym_decltype] = ACTIONS(3495),
    [anon_sym_virtual] = ACTIONS(3495),
    [anon_sym_alignas] = ACTIONS(3495),
    [anon_sym_explicit] = ACTIONS(3495),
    [anon_sym_typename] = ACTIONS(3495),
    [anon_sym_template] = ACTIONS(3495),
    [anon_sym_operator] = ACTIONS(3495),
    [anon_sym_try] = ACTIONS(3495),
    [anon_sym_delete] = ACTIONS(3495),
    [anon_sym_throw] = ACTIONS(3495),
    [anon_sym_namespace] = ACTIONS(3495),
    [anon_sym_using] = ACTIONS(3495),
    [anon_sym_static_assert] = ACTIONS(3495),
    [anon_sym_concept] = ACTIONS(3495),
    [anon_sym_co_return] = ACTIONS(3495),
    [anon_sym_co_yield] = ACTIONS(3495),
    [anon_sym_R_DQUOTE] = ACTIONS(3497),
    [anon_sym_LR_DQUOTE] = ACTIONS(3497),
    [anon_sym_uR_DQUOTE] = ACTIONS(3497),
    [anon_sym_UR_DQUOTE] = ACTIONS(3497),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3497),
    [anon_sym_co_await] = ACTIONS(3495),
    [anon_sym_new] = ACTIONS(3495),
    [anon_sym_requires] = ACTIONS(3495),
    [sym_this] = ACTIONS(3495),
  },
  [452] = {
    [sym_identifier] = ACTIONS(3499),
    [aux_sym_preproc_include_token1] = ACTIONS(3499),
    [aux_sym_preproc_def_token1] = ACTIONS(3499),
    [aux_sym_preproc_if_token1] = ACTIONS(3499),
    [aux_sym_preproc_if_token2] = ACTIONS(3499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3499),
    [aux_sym_preproc_else_token1] = ACTIONS(3499),
    [aux_sym_preproc_elif_token1] = ACTIONS(3499),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3499),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3499),
    [sym_preproc_directive] = ACTIONS(3499),
    [anon_sym_LPAREN2] = ACTIONS(3501),
    [anon_sym_BANG] = ACTIONS(3501),
    [anon_sym_TILDE] = ACTIONS(3501),
    [anon_sym_DASH] = ACTIONS(3499),
    [anon_sym_PLUS] = ACTIONS(3499),
    [anon_sym_STAR] = ACTIONS(3501),
    [anon_sym_AMP_AMP] = ACTIONS(3501),
    [anon_sym_AMP] = ACTIONS(3499),
    [anon_sym_SEMI] = ACTIONS(3501),
    [anon_sym___extension__] = ACTIONS(3499),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_extern] = ACTIONS(3499),
    [anon_sym___attribute__] = ACTIONS(3499),
    [anon_sym_COLON_COLON] = ACTIONS(3501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3501),
    [anon_sym___declspec] = ACTIONS(3499),
    [anon_sym___based] = ACTIONS(3499),
    [anon_sym___cdecl] = ACTIONS(3499),
    [anon_sym___clrcall] = ACTIONS(3499),
    [anon_sym___stdcall] = ACTIONS(3499),
    [anon_sym___fastcall] = ACTIONS(3499),
    [anon_sym___thiscall] = ACTIONS(3499),
    [anon_sym___vectorcall] = ACTIONS(3499),
    [anon_sym_LBRACE] = ACTIONS(3501),
    [anon_sym_signed] = ACTIONS(3499),
    [anon_sym_unsigned] = ACTIONS(3499),
    [anon_sym_long] = ACTIONS(3499),
    [anon_sym_short] = ACTIONS(3499),
    [anon_sym_LBRACK] = ACTIONS(3499),
    [anon_sym_static] = ACTIONS(3499),
    [anon_sym_register] = ACTIONS(3499),
    [anon_sym_inline] = ACTIONS(3499),
    [anon_sym___inline] = ACTIONS(3499),
    [anon_sym___inline__] = ACTIONS(3499),
    [anon_sym___forceinline] = ACTIONS(3499),
    [anon_sym_thread_local] = ACTIONS(3499),
    [anon_sym___thread] = ACTIONS(3499),
    [anon_sym_const] = ACTIONS(3499),
    [anon_sym_constexpr] = ACTIONS(3499),
    [anon_sym_volatile] = ACTIONS(3499),
    [anon_sym_restrict] = ACTIONS(3499),
    [anon_sym___restrict__] = ACTIONS(3499),
    [anon_sym__Atomic] = ACTIONS(3499),
    [anon_sym__Noreturn] = ACTIONS(3499),
    [anon_sym_noreturn] = ACTIONS(3499),
    [anon_sym_mutable] = ACTIONS(3499),
    [anon_sym_constinit] = ACTIONS(3499),
    [anon_sym_consteval] = ACTIONS(3499),
    [anon_sym_PROGMEM] = ACTIONS(3499),
    [aux_sym_primitive_type_token1] = ACTIONS(3499),
    [anon_sym_byte] = ACTIONS(3499),
    [anon_sym_word] = ACTIONS(3499),
    [anon_sym_enum] = ACTIONS(3499),
    [anon_sym_class] = ACTIONS(3499),
    [anon_sym_struct] = ACTIONS(3499),
    [anon_sym_union] = ACTIONS(3499),
    [anon_sym_if] = ACTIONS(3499),
    [anon_sym_switch] = ACTIONS(3499),
    [anon_sym_case] = ACTIONS(3499),
    [anon_sym_default] = ACTIONS(3499),
    [anon_sym_while] = ACTIONS(3499),
    [anon_sym_do] = ACTIONS(3499),
    [anon_sym_for] = ACTIONS(3499),
    [anon_sym_return] = ACTIONS(3499),
    [anon_sym_break] = ACTIONS(3499),
    [anon_sym_continue] = ACTIONS(3499),
    [anon_sym_goto] = ACTIONS(3499),
    [anon_sym___try] = ACTIONS(3499),
    [anon_sym___leave] = ACTIONS(3499),
    [anon_sym_not] = ACTIONS(3499),
    [anon_sym_compl] = ACTIONS(3499),
    [anon_sym_DASH_DASH] = ACTIONS(3501),
    [anon_sym_PLUS_PLUS] = ACTIONS(3501),
    [anon_sym_sizeof] = ACTIONS(3499),
    [anon_sym___alignof__] = ACTIONS(3499),
    [anon_sym___alignof] = ACTIONS(3499),
    [anon_sym__alignof] = ACTIONS(3499),
    [anon_sym_alignof] = ACTIONS(3499),
    [anon_sym__Alignof] = ACTIONS(3499),
    [anon_sym_offsetof] = ACTIONS(3499),
    [anon_sym__Generic] = ACTIONS(3499),
    [anon_sym_asm] = ACTIONS(3499),
    [anon_sym___asm__] = ACTIONS(3499),
    [aux_sym_number_literal_token1] = ACTIONS(3501),
    [aux_sym_number_literal_token2] = ACTIONS(3499),
    [anon_sym_L_SQUOTE] = ACTIONS(3501),
    [anon_sym_u_SQUOTE] = ACTIONS(3501),
    [anon_sym_U_SQUOTE] = ACTIONS(3501),
    [anon_sym_u8_SQUOTE] = ACTIONS(3501),
    [anon_sym_SQUOTE] = ACTIONS(3501),
    [anon_sym_L_DQUOTE] = ACTIONS(3501),
    [anon_sym_u_DQUOTE] = ACTIONS(3501),
    [anon_sym_U_DQUOTE] = ACTIONS(3501),
    [anon_sym_u8_DQUOTE] = ACTIONS(3501),
    [anon_sym_DQUOTE] = ACTIONS(3501),
    [sym_true] = ACTIONS(3499),
    [sym_false] = ACTIONS(3499),
    [anon_sym_NULL] = ACTIONS(3499),
    [anon_sym_nullptr] = ACTIONS(3499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3499),
    [anon_sym_decltype] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(3499),
    [anon_sym_alignas] = ACTIONS(3499),
    [anon_sym_explicit] = ACTIONS(3499),
    [anon_sym_typename] = ACTIONS(3499),
    [anon_sym_template] = ACTIONS(3499),
    [anon_sym_operator] = ACTIONS(3499),
    [anon_sym_try] = ACTIONS(3499),
    [anon_sym_delete] = ACTIONS(3499),
    [anon_sym_throw] = ACTIONS(3499),
    [anon_sym_namespace] = ACTIONS(3499),
    [anon_sym_using] = ACTIONS(3499),
    [anon_sym_static_assert] = ACTIONS(3499),
    [anon_sym_concept] = ACTIONS(3499),
    [anon_sym_co_return] = ACTIONS(3499),
    [anon_sym_co_yield] = ACTIONS(3499),
    [anon_sym_R_DQUOTE] = ACTIONS(3501),
    [anon_sym_LR_DQUOTE] = ACTIONS(3501),
    [anon_sym_uR_DQUOTE] = ACTIONS(3501),
    [anon_sym_UR_DQUOTE] = ACTIONS(3501),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3501),
    [anon_sym_co_await] = ACTIONS(3499),
    [anon_sym_new] = ACTIONS(3499),
    [anon_sym_requires] = ACTIONS(3499),
    [sym_this] = ACTIONS(3499),
  },
  [453] = {
    [sym_identifier] = ACTIONS(3503),
    [aux_sym_preproc_include_token1] = ACTIONS(3503),
    [aux_sym_preproc_def_token1] = ACTIONS(3503),
    [aux_sym_preproc_if_token1] = ACTIONS(3503),
    [aux_sym_preproc_if_token2] = ACTIONS(3503),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3503),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3503),
    [aux_sym_preproc_else_token1] = ACTIONS(3503),
    [aux_sym_preproc_elif_token1] = ACTIONS(3503),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3503),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3503),
    [sym_preproc_directive] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(3505),
    [anon_sym_BANG] = ACTIONS(3505),
    [anon_sym_TILDE] = ACTIONS(3505),
    [anon_sym_DASH] = ACTIONS(3503),
    [anon_sym_PLUS] = ACTIONS(3503),
    [anon_sym_STAR] = ACTIONS(3505),
    [anon_sym_AMP_AMP] = ACTIONS(3505),
    [anon_sym_AMP] = ACTIONS(3503),
    [anon_sym_SEMI] = ACTIONS(3505),
    [anon_sym___extension__] = ACTIONS(3503),
    [anon_sym_typedef] = ACTIONS(3503),
    [anon_sym_extern] = ACTIONS(3503),
    [anon_sym___attribute__] = ACTIONS(3503),
    [anon_sym_COLON_COLON] = ACTIONS(3505),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3505),
    [anon_sym___declspec] = ACTIONS(3503),
    [anon_sym___based] = ACTIONS(3503),
    [anon_sym___cdecl] = ACTIONS(3503),
    [anon_sym___clrcall] = ACTIONS(3503),
    [anon_sym___stdcall] = ACTIONS(3503),
    [anon_sym___fastcall] = ACTIONS(3503),
    [anon_sym___thiscall] = ACTIONS(3503),
    [anon_sym___vectorcall] = ACTIONS(3503),
    [anon_sym_LBRACE] = ACTIONS(3505),
    [anon_sym_signed] = ACTIONS(3503),
    [anon_sym_unsigned] = ACTIONS(3503),
    [anon_sym_long] = ACTIONS(3503),
    [anon_sym_short] = ACTIONS(3503),
    [anon_sym_LBRACK] = ACTIONS(3503),
    [anon_sym_static] = ACTIONS(3503),
    [anon_sym_register] = ACTIONS(3503),
    [anon_sym_inline] = ACTIONS(3503),
    [anon_sym___inline] = ACTIONS(3503),
    [anon_sym___inline__] = ACTIONS(3503),
    [anon_sym___forceinline] = ACTIONS(3503),
    [anon_sym_thread_local] = ACTIONS(3503),
    [anon_sym___thread] = ACTIONS(3503),
    [anon_sym_const] = ACTIONS(3503),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(3503),
    [anon_sym_restrict] = ACTIONS(3503),
    [anon_sym___restrict__] = ACTIONS(3503),
    [anon_sym__Atomic] = ACTIONS(3503),
    [anon_sym__Noreturn] = ACTIONS(3503),
    [anon_sym_noreturn] = ACTIONS(3503),
    [anon_sym_mutable] = ACTIONS(3503),
    [anon_sym_constinit] = ACTIONS(3503),
    [anon_sym_consteval] = ACTIONS(3503),
    [anon_sym_PROGMEM] = ACTIONS(3503),
    [aux_sym_primitive_type_token1] = ACTIONS(3503),
    [anon_sym_byte] = ACTIONS(3503),
    [anon_sym_word] = ACTIONS(3503),
    [anon_sym_enum] = ACTIONS(3503),
    [anon_sym_class] = ACTIONS(3503),
    [anon_sym_struct] = ACTIONS(3503),
    [anon_sym_union] = ACTIONS(3503),
    [anon_sym_if] = ACTIONS(3503),
    [anon_sym_switch] = ACTIONS(3503),
    [anon_sym_case] = ACTIONS(3503),
    [anon_sym_default] = ACTIONS(3503),
    [anon_sym_while] = ACTIONS(3503),
    [anon_sym_do] = ACTIONS(3503),
    [anon_sym_for] = ACTIONS(3503),
    [anon_sym_return] = ACTIONS(3503),
    [anon_sym_break] = ACTIONS(3503),
    [anon_sym_continue] = ACTIONS(3503),
    [anon_sym_goto] = ACTIONS(3503),
    [anon_sym___try] = ACTIONS(3503),
    [anon_sym___leave] = ACTIONS(3503),
    [anon_sym_not] = ACTIONS(3503),
    [anon_sym_compl] = ACTIONS(3503),
    [anon_sym_DASH_DASH] = ACTIONS(3505),
    [anon_sym_PLUS_PLUS] = ACTIONS(3505),
    [anon_sym_sizeof] = ACTIONS(3503),
    [anon_sym___alignof__] = ACTIONS(3503),
    [anon_sym___alignof] = ACTIONS(3503),
    [anon_sym__alignof] = ACTIONS(3503),
    [anon_sym_alignof] = ACTIONS(3503),
    [anon_sym__Alignof] = ACTIONS(3503),
    [anon_sym_offsetof] = ACTIONS(3503),
    [anon_sym__Generic] = ACTIONS(3503),
    [anon_sym_asm] = ACTIONS(3503),
    [anon_sym___asm__] = ACTIONS(3503),
    [aux_sym_number_literal_token1] = ACTIONS(3505),
    [aux_sym_number_literal_token2] = ACTIONS(3503),
    [anon_sym_L_SQUOTE] = ACTIONS(3505),
    [anon_sym_u_SQUOTE] = ACTIONS(3505),
    [anon_sym_U_SQUOTE] = ACTIONS(3505),
    [anon_sym_u8_SQUOTE] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(3505),
    [anon_sym_L_DQUOTE] = ACTIONS(3505),
    [anon_sym_u_DQUOTE] = ACTIONS(3505),
    [anon_sym_U_DQUOTE] = ACTIONS(3505),
    [anon_sym_u8_DQUOTE] = ACTIONS(3505),
    [anon_sym_DQUOTE] = ACTIONS(3505),
    [sym_true] = ACTIONS(3503),
    [sym_false] = ACTIONS(3503),
    [anon_sym_NULL] = ACTIONS(3503),
    [anon_sym_nullptr] = ACTIONS(3503),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3503),
    [anon_sym_decltype] = ACTIONS(3503),
    [anon_sym_virtual] = ACTIONS(3503),
    [anon_sym_alignas] = ACTIONS(3503),
    [anon_sym_explicit] = ACTIONS(3503),
    [anon_sym_typename] = ACTIONS(3503),
    [anon_sym_template] = ACTIONS(3503),
    [anon_sym_operator] = ACTIONS(3503),
    [anon_sym_try] = ACTIONS(3503),
    [anon_sym_delete] = ACTIONS(3503),
    [anon_sym_throw] = ACTIONS(3503),
    [anon_sym_namespace] = ACTIONS(3503),
    [anon_sym_using] = ACTIONS(3503),
    [anon_sym_static_assert] = ACTIONS(3503),
    [anon_sym_concept] = ACTIONS(3503),
    [anon_sym_co_return] = ACTIONS(3503),
    [anon_sym_co_yield] = ACTIONS(3503),
    [anon_sym_R_DQUOTE] = ACTIONS(3505),
    [anon_sym_LR_DQUOTE] = ACTIONS(3505),
    [anon_sym_uR_DQUOTE] = ACTIONS(3505),
    [anon_sym_UR_DQUOTE] = ACTIONS(3505),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3505),
    [anon_sym_co_await] = ACTIONS(3503),
    [anon_sym_new] = ACTIONS(3503),
    [anon_sym_requires] = ACTIONS(3503),
    [sym_this] = ACTIONS(3503),
  },
  [454] = {
    [sym_identifier] = ACTIONS(3507),
    [aux_sym_preproc_include_token1] = ACTIONS(3507),
    [aux_sym_preproc_def_token1] = ACTIONS(3507),
    [aux_sym_preproc_if_token1] = ACTIONS(3507),
    [aux_sym_preproc_if_token2] = ACTIONS(3507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3507),
    [aux_sym_preproc_else_token1] = ACTIONS(3507),
    [aux_sym_preproc_elif_token1] = ACTIONS(3507),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3507),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3507),
    [sym_preproc_directive] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(3509),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(3509),
    [anon_sym_AMP_AMP] = ACTIONS(3509),
    [anon_sym_AMP] = ACTIONS(3507),
    [anon_sym_SEMI] = ACTIONS(3509),
    [anon_sym___extension__] = ACTIONS(3507),
    [anon_sym_typedef] = ACTIONS(3507),
    [anon_sym_extern] = ACTIONS(3507),
    [anon_sym___attribute__] = ACTIONS(3507),
    [anon_sym_COLON_COLON] = ACTIONS(3509),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3509),
    [anon_sym___declspec] = ACTIONS(3507),
    [anon_sym___based] = ACTIONS(3507),
    [anon_sym___cdecl] = ACTIONS(3507),
    [anon_sym___clrcall] = ACTIONS(3507),
    [anon_sym___stdcall] = ACTIONS(3507),
    [anon_sym___fastcall] = ACTIONS(3507),
    [anon_sym___thiscall] = ACTIONS(3507),
    [anon_sym___vectorcall] = ACTIONS(3507),
    [anon_sym_LBRACE] = ACTIONS(3509),
    [anon_sym_signed] = ACTIONS(3507),
    [anon_sym_unsigned] = ACTIONS(3507),
    [anon_sym_long] = ACTIONS(3507),
    [anon_sym_short] = ACTIONS(3507),
    [anon_sym_LBRACK] = ACTIONS(3507),
    [anon_sym_static] = ACTIONS(3507),
    [anon_sym_register] = ACTIONS(3507),
    [anon_sym_inline] = ACTIONS(3507),
    [anon_sym___inline] = ACTIONS(3507),
    [anon_sym___inline__] = ACTIONS(3507),
    [anon_sym___forceinline] = ACTIONS(3507),
    [anon_sym_thread_local] = ACTIONS(3507),
    [anon_sym___thread] = ACTIONS(3507),
    [anon_sym_const] = ACTIONS(3507),
    [anon_sym_constexpr] = ACTIONS(3507),
    [anon_sym_volatile] = ACTIONS(3507),
    [anon_sym_restrict] = ACTIONS(3507),
    [anon_sym___restrict__] = ACTIONS(3507),
    [anon_sym__Atomic] = ACTIONS(3507),
    [anon_sym__Noreturn] = ACTIONS(3507),
    [anon_sym_noreturn] = ACTIONS(3507),
    [anon_sym_mutable] = ACTIONS(3507),
    [anon_sym_constinit] = ACTIONS(3507),
    [anon_sym_consteval] = ACTIONS(3507),
    [anon_sym_PROGMEM] = ACTIONS(3507),
    [aux_sym_primitive_type_token1] = ACTIONS(3507),
    [anon_sym_byte] = ACTIONS(3507),
    [anon_sym_word] = ACTIONS(3507),
    [anon_sym_enum] = ACTIONS(3507),
    [anon_sym_class] = ACTIONS(3507),
    [anon_sym_struct] = ACTIONS(3507),
    [anon_sym_union] = ACTIONS(3507),
    [anon_sym_if] = ACTIONS(3507),
    [anon_sym_switch] = ACTIONS(3507),
    [anon_sym_case] = ACTIONS(3507),
    [anon_sym_default] = ACTIONS(3507),
    [anon_sym_while] = ACTIONS(3507),
    [anon_sym_do] = ACTIONS(3507),
    [anon_sym_for] = ACTIONS(3507),
    [anon_sym_return] = ACTIONS(3507),
    [anon_sym_break] = ACTIONS(3507),
    [anon_sym_continue] = ACTIONS(3507),
    [anon_sym_goto] = ACTIONS(3507),
    [anon_sym___try] = ACTIONS(3507),
    [anon_sym___leave] = ACTIONS(3507),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(3509),
    [anon_sym_PLUS_PLUS] = ACTIONS(3509),
    [anon_sym_sizeof] = ACTIONS(3507),
    [anon_sym___alignof__] = ACTIONS(3507),
    [anon_sym___alignof] = ACTIONS(3507),
    [anon_sym__alignof] = ACTIONS(3507),
    [anon_sym_alignof] = ACTIONS(3507),
    [anon_sym__Alignof] = ACTIONS(3507),
    [anon_sym_offsetof] = ACTIONS(3507),
    [anon_sym__Generic] = ACTIONS(3507),
    [anon_sym_asm] = ACTIONS(3507),
    [anon_sym___asm__] = ACTIONS(3507),
    [aux_sym_number_literal_token1] = ACTIONS(3509),
    [aux_sym_number_literal_token2] = ACTIONS(3507),
    [anon_sym_L_SQUOTE] = ACTIONS(3509),
    [anon_sym_u_SQUOTE] = ACTIONS(3509),
    [anon_sym_U_SQUOTE] = ACTIONS(3509),
    [anon_sym_u8_SQUOTE] = ACTIONS(3509),
    [anon_sym_SQUOTE] = ACTIONS(3509),
    [anon_sym_L_DQUOTE] = ACTIONS(3509),
    [anon_sym_u_DQUOTE] = ACTIONS(3509),
    [anon_sym_U_DQUOTE] = ACTIONS(3509),
    [anon_sym_u8_DQUOTE] = ACTIONS(3509),
    [anon_sym_DQUOTE] = ACTIONS(3509),
    [sym_true] = ACTIONS(3507),
    [sym_false] = ACTIONS(3507),
    [anon_sym_NULL] = ACTIONS(3507),
    [anon_sym_nullptr] = ACTIONS(3507),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3507),
    [anon_sym_decltype] = ACTIONS(3507),
    [anon_sym_virtual] = ACTIONS(3507),
    [anon_sym_alignas] = ACTIONS(3507),
    [anon_sym_explicit] = ACTIONS(3507),
    [anon_sym_typename] = ACTIONS(3507),
    [anon_sym_template] = ACTIONS(3507),
    [anon_sym_operator] = ACTIONS(3507),
    [anon_sym_try] = ACTIONS(3507),
    [anon_sym_delete] = ACTIONS(3507),
    [anon_sym_throw] = ACTIONS(3507),
    [anon_sym_namespace] = ACTIONS(3507),
    [anon_sym_using] = ACTIONS(3507),
    [anon_sym_static_assert] = ACTIONS(3507),
    [anon_sym_concept] = ACTIONS(3507),
    [anon_sym_co_return] = ACTIONS(3507),
    [anon_sym_co_yield] = ACTIONS(3507),
    [anon_sym_R_DQUOTE] = ACTIONS(3509),
    [anon_sym_LR_DQUOTE] = ACTIONS(3509),
    [anon_sym_uR_DQUOTE] = ACTIONS(3509),
    [anon_sym_UR_DQUOTE] = ACTIONS(3509),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3509),
    [anon_sym_co_await] = ACTIONS(3507),
    [anon_sym_new] = ACTIONS(3507),
    [anon_sym_requires] = ACTIONS(3507),
    [sym_this] = ACTIONS(3507),
  },
  [455] = {
    [sym_identifier] = ACTIONS(3511),
    [aux_sym_preproc_include_token1] = ACTIONS(3511),
    [aux_sym_preproc_def_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token2] = ACTIONS(3511),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3511),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3511),
    [aux_sym_preproc_else_token1] = ACTIONS(3511),
    [aux_sym_preproc_elif_token1] = ACTIONS(3511),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3511),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3511),
    [sym_preproc_directive] = ACTIONS(3511),
    [anon_sym_LPAREN2] = ACTIONS(3513),
    [anon_sym_BANG] = ACTIONS(3513),
    [anon_sym_TILDE] = ACTIONS(3513),
    [anon_sym_DASH] = ACTIONS(3511),
    [anon_sym_PLUS] = ACTIONS(3511),
    [anon_sym_STAR] = ACTIONS(3513),
    [anon_sym_AMP_AMP] = ACTIONS(3513),
    [anon_sym_AMP] = ACTIONS(3511),
    [anon_sym_SEMI] = ACTIONS(3513),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_typedef] = ACTIONS(3511),
    [anon_sym_extern] = ACTIONS(3511),
    [anon_sym___attribute__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3513),
    [anon_sym___declspec] = ACTIONS(3511),
    [anon_sym___based] = ACTIONS(3511),
    [anon_sym___cdecl] = ACTIONS(3511),
    [anon_sym___clrcall] = ACTIONS(3511),
    [anon_sym___stdcall] = ACTIONS(3511),
    [anon_sym___fastcall] = ACTIONS(3511),
    [anon_sym___thiscall] = ACTIONS(3511),
    [anon_sym___vectorcall] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3513),
    [anon_sym_signed] = ACTIONS(3511),
    [anon_sym_unsigned] = ACTIONS(3511),
    [anon_sym_long] = ACTIONS(3511),
    [anon_sym_short] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(3511),
    [anon_sym_static] = ACTIONS(3511),
    [anon_sym_register] = ACTIONS(3511),
    [anon_sym_inline] = ACTIONS(3511),
    [anon_sym___inline] = ACTIONS(3511),
    [anon_sym___inline__] = ACTIONS(3511),
    [anon_sym___forceinline] = ACTIONS(3511),
    [anon_sym_thread_local] = ACTIONS(3511),
    [anon_sym___thread] = ACTIONS(3511),
    [anon_sym_const] = ACTIONS(3511),
    [anon_sym_constexpr] = ACTIONS(3511),
    [anon_sym_volatile] = ACTIONS(3511),
    [anon_sym_restrict] = ACTIONS(3511),
    [anon_sym___restrict__] = ACTIONS(3511),
    [anon_sym__Atomic] = ACTIONS(3511),
    [anon_sym__Noreturn] = ACTIONS(3511),
    [anon_sym_noreturn] = ACTIONS(3511),
    [anon_sym_mutable] = ACTIONS(3511),
    [anon_sym_constinit] = ACTIONS(3511),
    [anon_sym_consteval] = ACTIONS(3511),
    [anon_sym_PROGMEM] = ACTIONS(3511),
    [aux_sym_primitive_type_token1] = ACTIONS(3511),
    [anon_sym_byte] = ACTIONS(3511),
    [anon_sym_word] = ACTIONS(3511),
    [anon_sym_enum] = ACTIONS(3511),
    [anon_sym_class] = ACTIONS(3511),
    [anon_sym_struct] = ACTIONS(3511),
    [anon_sym_union] = ACTIONS(3511),
    [anon_sym_if] = ACTIONS(3511),
    [anon_sym_switch] = ACTIONS(3511),
    [anon_sym_case] = ACTIONS(3511),
    [anon_sym_default] = ACTIONS(3511),
    [anon_sym_while] = ACTIONS(3511),
    [anon_sym_do] = ACTIONS(3511),
    [anon_sym_for] = ACTIONS(3511),
    [anon_sym_return] = ACTIONS(3511),
    [anon_sym_break] = ACTIONS(3511),
    [anon_sym_continue] = ACTIONS(3511),
    [anon_sym_goto] = ACTIONS(3511),
    [anon_sym___try] = ACTIONS(3511),
    [anon_sym___leave] = ACTIONS(3511),
    [anon_sym_not] = ACTIONS(3511),
    [anon_sym_compl] = ACTIONS(3511),
    [anon_sym_DASH_DASH] = ACTIONS(3513),
    [anon_sym_PLUS_PLUS] = ACTIONS(3513),
    [anon_sym_sizeof] = ACTIONS(3511),
    [anon_sym___alignof__] = ACTIONS(3511),
    [anon_sym___alignof] = ACTIONS(3511),
    [anon_sym__alignof] = ACTIONS(3511),
    [anon_sym_alignof] = ACTIONS(3511),
    [anon_sym__Alignof] = ACTIONS(3511),
    [anon_sym_offsetof] = ACTIONS(3511),
    [anon_sym__Generic] = ACTIONS(3511),
    [anon_sym_asm] = ACTIONS(3511),
    [anon_sym___asm__] = ACTIONS(3511),
    [aux_sym_number_literal_token1] = ACTIONS(3513),
    [aux_sym_number_literal_token2] = ACTIONS(3511),
    [anon_sym_L_SQUOTE] = ACTIONS(3513),
    [anon_sym_u_SQUOTE] = ACTIONS(3513),
    [anon_sym_U_SQUOTE] = ACTIONS(3513),
    [anon_sym_u8_SQUOTE] = ACTIONS(3513),
    [anon_sym_SQUOTE] = ACTIONS(3513),
    [anon_sym_L_DQUOTE] = ACTIONS(3513),
    [anon_sym_u_DQUOTE] = ACTIONS(3513),
    [anon_sym_U_DQUOTE] = ACTIONS(3513),
    [anon_sym_u8_DQUOTE] = ACTIONS(3513),
    [anon_sym_DQUOTE] = ACTIONS(3513),
    [sym_true] = ACTIONS(3511),
    [sym_false] = ACTIONS(3511),
    [anon_sym_NULL] = ACTIONS(3511),
    [anon_sym_nullptr] = ACTIONS(3511),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3511),
    [anon_sym_decltype] = ACTIONS(3511),
    [anon_sym_virtual] = ACTIONS(3511),
    [anon_sym_alignas] = ACTIONS(3511),
    [anon_sym_explicit] = ACTIONS(3511),
    [anon_sym_typename] = ACTIONS(3511),
    [anon_sym_template] = ACTIONS(3511),
    [anon_sym_operator] = ACTIONS(3511),
    [anon_sym_try] = ACTIONS(3511),
    [anon_sym_delete] = ACTIONS(3511),
    [anon_sym_throw] = ACTIONS(3511),
    [anon_sym_namespace] = ACTIONS(3511),
    [anon_sym_using] = ACTIONS(3511),
    [anon_sym_static_assert] = ACTIONS(3511),
    [anon_sym_concept] = ACTIONS(3511),
    [anon_sym_co_return] = ACTIONS(3511),
    [anon_sym_co_yield] = ACTIONS(3511),
    [anon_sym_R_DQUOTE] = ACTIONS(3513),
    [anon_sym_LR_DQUOTE] = ACTIONS(3513),
    [anon_sym_uR_DQUOTE] = ACTIONS(3513),
    [anon_sym_UR_DQUOTE] = ACTIONS(3513),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3513),
    [anon_sym_co_await] = ACTIONS(3511),
    [anon_sym_new] = ACTIONS(3511),
    [anon_sym_requires] = ACTIONS(3511),
    [sym_this] = ACTIONS(3511),
  },
  [456] = {
    [sym_identifier] = ACTIONS(3515),
    [aux_sym_preproc_include_token1] = ACTIONS(3515),
    [aux_sym_preproc_def_token1] = ACTIONS(3515),
    [aux_sym_preproc_if_token1] = ACTIONS(3515),
    [aux_sym_preproc_if_token2] = ACTIONS(3515),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3515),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3515),
    [aux_sym_preproc_else_token1] = ACTIONS(3515),
    [aux_sym_preproc_elif_token1] = ACTIONS(3515),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3515),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3515),
    [sym_preproc_directive] = ACTIONS(3515),
    [anon_sym_LPAREN2] = ACTIONS(3517),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(3517),
    [anon_sym_AMP_AMP] = ACTIONS(3517),
    [anon_sym_AMP] = ACTIONS(3515),
    [anon_sym_SEMI] = ACTIONS(3517),
    [anon_sym___extension__] = ACTIONS(3515),
    [anon_sym_typedef] = ACTIONS(3515),
    [anon_sym_extern] = ACTIONS(3515),
    [anon_sym___attribute__] = ACTIONS(3515),
    [anon_sym_COLON_COLON] = ACTIONS(3517),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3517),
    [anon_sym___declspec] = ACTIONS(3515),
    [anon_sym___based] = ACTIONS(3515),
    [anon_sym___cdecl] = ACTIONS(3515),
    [anon_sym___clrcall] = ACTIONS(3515),
    [anon_sym___stdcall] = ACTIONS(3515),
    [anon_sym___fastcall] = ACTIONS(3515),
    [anon_sym___thiscall] = ACTIONS(3515),
    [anon_sym___vectorcall] = ACTIONS(3515),
    [anon_sym_LBRACE] = ACTIONS(3517),
    [anon_sym_signed] = ACTIONS(3515),
    [anon_sym_unsigned] = ACTIONS(3515),
    [anon_sym_long] = ACTIONS(3515),
    [anon_sym_short] = ACTIONS(3515),
    [anon_sym_LBRACK] = ACTIONS(3515),
    [anon_sym_static] = ACTIONS(3515),
    [anon_sym_register] = ACTIONS(3515),
    [anon_sym_inline] = ACTIONS(3515),
    [anon_sym___inline] = ACTIONS(3515),
    [anon_sym___inline__] = ACTIONS(3515),
    [anon_sym___forceinline] = ACTIONS(3515),
    [anon_sym_thread_local] = ACTIONS(3515),
    [anon_sym___thread] = ACTIONS(3515),
    [anon_sym_const] = ACTIONS(3515),
    [anon_sym_constexpr] = ACTIONS(3515),
    [anon_sym_volatile] = ACTIONS(3515),
    [anon_sym_restrict] = ACTIONS(3515),
    [anon_sym___restrict__] = ACTIONS(3515),
    [anon_sym__Atomic] = ACTIONS(3515),
    [anon_sym__Noreturn] = ACTIONS(3515),
    [anon_sym_noreturn] = ACTIONS(3515),
    [anon_sym_mutable] = ACTIONS(3515),
    [anon_sym_constinit] = ACTIONS(3515),
    [anon_sym_consteval] = ACTIONS(3515),
    [anon_sym_PROGMEM] = ACTIONS(3515),
    [aux_sym_primitive_type_token1] = ACTIONS(3515),
    [anon_sym_byte] = ACTIONS(3515),
    [anon_sym_word] = ACTIONS(3515),
    [anon_sym_enum] = ACTIONS(3515),
    [anon_sym_class] = ACTIONS(3515),
    [anon_sym_struct] = ACTIONS(3515),
    [anon_sym_union] = ACTIONS(3515),
    [anon_sym_if] = ACTIONS(3515),
    [anon_sym_switch] = ACTIONS(3515),
    [anon_sym_case] = ACTIONS(3515),
    [anon_sym_default] = ACTIONS(3515),
    [anon_sym_while] = ACTIONS(3515),
    [anon_sym_do] = ACTIONS(3515),
    [anon_sym_for] = ACTIONS(3515),
    [anon_sym_return] = ACTIONS(3515),
    [anon_sym_break] = ACTIONS(3515),
    [anon_sym_continue] = ACTIONS(3515),
    [anon_sym_goto] = ACTIONS(3515),
    [anon_sym___try] = ACTIONS(3515),
    [anon_sym___leave] = ACTIONS(3515),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(3517),
    [anon_sym_PLUS_PLUS] = ACTIONS(3517),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(3515),
    [anon_sym___alignof] = ACTIONS(3515),
    [anon_sym__alignof] = ACTIONS(3515),
    [anon_sym_alignof] = ACTIONS(3515),
    [anon_sym__Alignof] = ACTIONS(3515),
    [anon_sym_offsetof] = ACTIONS(3515),
    [anon_sym__Generic] = ACTIONS(3515),
    [anon_sym_asm] = ACTIONS(3515),
    [anon_sym___asm__] = ACTIONS(3515),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3515),
    [anon_sym_L_SQUOTE] = ACTIONS(3517),
    [anon_sym_u_SQUOTE] = ACTIONS(3517),
    [anon_sym_U_SQUOTE] = ACTIONS(3517),
    [anon_sym_u8_SQUOTE] = ACTIONS(3517),
    [anon_sym_SQUOTE] = ACTIONS(3517),
    [anon_sym_L_DQUOTE] = ACTIONS(3517),
    [anon_sym_u_DQUOTE] = ACTIONS(3517),
    [anon_sym_U_DQUOTE] = ACTIONS(3517),
    [anon_sym_u8_DQUOTE] = ACTIONS(3517),
    [anon_sym_DQUOTE] = ACTIONS(3517),
    [sym_true] = ACTIONS(3515),
    [sym_false] = ACTIONS(3515),
    [anon_sym_NULL] = ACTIONS(3515),
    [anon_sym_nullptr] = ACTIONS(3515),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3515),
    [anon_sym_decltype] = ACTIONS(3515),
    [anon_sym_virtual] = ACTIONS(3515),
    [anon_sym_alignas] = ACTIONS(3515),
    [anon_sym_explicit] = ACTIONS(3515),
    [anon_sym_typename] = ACTIONS(3515),
    [anon_sym_template] = ACTIONS(3515),
    [anon_sym_operator] = ACTIONS(3515),
    [anon_sym_try] = ACTIONS(3515),
    [anon_sym_delete] = ACTIONS(3515),
    [anon_sym_throw] = ACTIONS(3515),
    [anon_sym_namespace] = ACTIONS(3515),
    [anon_sym_using] = ACTIONS(3515),
    [anon_sym_static_assert] = ACTIONS(3515),
    [anon_sym_concept] = ACTIONS(3515),
    [anon_sym_co_return] = ACTIONS(3515),
    [anon_sym_co_yield] = ACTIONS(3515),
    [anon_sym_R_DQUOTE] = ACTIONS(3517),
    [anon_sym_LR_DQUOTE] = ACTIONS(3517),
    [anon_sym_uR_DQUOTE] = ACTIONS(3517),
    [anon_sym_UR_DQUOTE] = ACTIONS(3517),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3517),
    [anon_sym_co_await] = ACTIONS(3515),
    [anon_sym_new] = ACTIONS(3515),
    [anon_sym_requires] = ACTIONS(3515),
    [sym_this] = ACTIONS(3515),
  },
  [457] = {
    [sym_identifier] = ACTIONS(3136),
    [aux_sym_preproc_include_token1] = ACTIONS(3136),
    [aux_sym_preproc_def_token1] = ACTIONS(3136),
    [aux_sym_preproc_if_token1] = ACTIONS(3136),
    [aux_sym_preproc_if_token2] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [aux_sym_preproc_else_token1] = ACTIONS(3136),
    [aux_sym_preproc_elif_token1] = ACTIONS(3136),
    [sym_preproc_directive] = ACTIONS(3136),
    [anon_sym_LPAREN2] = ACTIONS(3138),
    [anon_sym_BANG] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3138),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym___extension__] = ACTIONS(3136),
    [anon_sym_typedef] = ACTIONS(3136),
    [anon_sym_extern] = ACTIONS(3136),
    [anon_sym___attribute__] = ACTIONS(3136),
    [anon_sym_COLON_COLON] = ACTIONS(3138),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3138),
    [anon_sym___declspec] = ACTIONS(3136),
    [anon_sym___based] = ACTIONS(3136),
    [anon_sym___cdecl] = ACTIONS(3136),
    [anon_sym___clrcall] = ACTIONS(3136),
    [anon_sym___stdcall] = ACTIONS(3136),
    [anon_sym___fastcall] = ACTIONS(3136),
    [anon_sym___thiscall] = ACTIONS(3136),
    [anon_sym___vectorcall] = ACTIONS(3136),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_signed] = ACTIONS(3136),
    [anon_sym_unsigned] = ACTIONS(3136),
    [anon_sym_long] = ACTIONS(3136),
    [anon_sym_short] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_static] = ACTIONS(3136),
    [anon_sym_register] = ACTIONS(3136),
    [anon_sym_inline] = ACTIONS(3136),
    [anon_sym___inline] = ACTIONS(3136),
    [anon_sym___inline__] = ACTIONS(3136),
    [anon_sym___forceinline] = ACTIONS(3136),
    [anon_sym_thread_local] = ACTIONS(3136),
    [anon_sym___thread] = ACTIONS(3136),
    [anon_sym_const] = ACTIONS(3136),
    [anon_sym_constexpr] = ACTIONS(3136),
    [anon_sym_volatile] = ACTIONS(3136),
    [anon_sym_restrict] = ACTIONS(3136),
    [anon_sym___restrict__] = ACTIONS(3136),
    [anon_sym__Atomic] = ACTIONS(3136),
    [anon_sym__Noreturn] = ACTIONS(3136),
    [anon_sym_noreturn] = ACTIONS(3136),
    [anon_sym_mutable] = ACTIONS(3136),
    [anon_sym_constinit] = ACTIONS(3136),
    [anon_sym_consteval] = ACTIONS(3136),
    [anon_sym_PROGMEM] = ACTIONS(3136),
    [aux_sym_primitive_type_token1] = ACTIONS(3136),
    [anon_sym_byte] = ACTIONS(3136),
    [anon_sym_word] = ACTIONS(3136),
    [anon_sym_enum] = ACTIONS(3136),
    [anon_sym_class] = ACTIONS(3136),
    [anon_sym_struct] = ACTIONS(3136),
    [anon_sym_union] = ACTIONS(3136),
    [anon_sym_if] = ACTIONS(3136),
    [anon_sym_else] = ACTIONS(3136),
    [anon_sym_switch] = ACTIONS(3136),
    [anon_sym_case] = ACTIONS(3136),
    [anon_sym_default] = ACTIONS(3136),
    [anon_sym_while] = ACTIONS(3136),
    [anon_sym_do] = ACTIONS(3136),
    [anon_sym_for] = ACTIONS(3136),
    [anon_sym_return] = ACTIONS(3136),
    [anon_sym_break] = ACTIONS(3136),
    [anon_sym_continue] = ACTIONS(3136),
    [anon_sym_goto] = ACTIONS(3136),
    [anon_sym___try] = ACTIONS(3136),
    [anon_sym___leave] = ACTIONS(3136),
    [anon_sym_not] = ACTIONS(3136),
    [anon_sym_compl] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_sizeof] = ACTIONS(3136),
    [anon_sym___alignof__] = ACTIONS(3136),
    [anon_sym___alignof] = ACTIONS(3136),
    [anon_sym__alignof] = ACTIONS(3136),
    [anon_sym_alignof] = ACTIONS(3136),
    [anon_sym__Alignof] = ACTIONS(3136),
    [anon_sym_offsetof] = ACTIONS(3136),
    [anon_sym__Generic] = ACTIONS(3136),
    [anon_sym_asm] = ACTIONS(3136),
    [anon_sym___asm__] = ACTIONS(3136),
    [aux_sym_number_literal_token1] = ACTIONS(3138),
    [aux_sym_number_literal_token2] = ACTIONS(3136),
    [anon_sym_L_SQUOTE] = ACTIONS(3138),
    [anon_sym_u_SQUOTE] = ACTIONS(3138),
    [anon_sym_U_SQUOTE] = ACTIONS(3138),
    [anon_sym_u8_SQUOTE] = ACTIONS(3138),
    [anon_sym_SQUOTE] = ACTIONS(3138),
    [anon_sym_L_DQUOTE] = ACTIONS(3138),
    [anon_sym_u_DQUOTE] = ACTIONS(3138),
    [anon_sym_U_DQUOTE] = ACTIONS(3138),
    [anon_sym_u8_DQUOTE] = ACTIONS(3138),
    [anon_sym_DQUOTE] = ACTIONS(3138),
    [sym_true] = ACTIONS(3136),
    [sym_false] = ACTIONS(3136),
    [anon_sym_NULL] = ACTIONS(3136),
    [anon_sym_nullptr] = ACTIONS(3136),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3136),
    [anon_sym_decltype] = ACTIONS(3136),
    [anon_sym_virtual] = ACTIONS(3136),
    [anon_sym_alignas] = ACTIONS(3136),
    [anon_sym_explicit] = ACTIONS(3136),
    [anon_sym_typename] = ACTIONS(3136),
    [anon_sym_template] = ACTIONS(3136),
    [anon_sym_operator] = ACTIONS(3136),
    [anon_sym_try] = ACTIONS(3136),
    [anon_sym_delete] = ACTIONS(3136),
    [anon_sym_throw] = ACTIONS(3136),
    [anon_sym_namespace] = ACTIONS(3136),
    [anon_sym_using] = ACTIONS(3136),
    [anon_sym_static_assert] = ACTIONS(3136),
    [anon_sym_concept] = ACTIONS(3136),
    [anon_sym_co_return] = ACTIONS(3136),
    [anon_sym_co_yield] = ACTIONS(3136),
    [anon_sym_R_DQUOTE] = ACTIONS(3138),
    [anon_sym_LR_DQUOTE] = ACTIONS(3138),
    [anon_sym_uR_DQUOTE] = ACTIONS(3138),
    [anon_sym_UR_DQUOTE] = ACTIONS(3138),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3138),
    [anon_sym_co_await] = ACTIONS(3136),
    [anon_sym_new] = ACTIONS(3136),
    [anon_sym_requires] = ACTIONS(3136),
    [sym_this] = ACTIONS(3136),
  },
  [458] = {
    [sym_identifier] = ACTIONS(2888),
    [aux_sym_preproc_include_token1] = ACTIONS(2888),
    [aux_sym_preproc_def_token1] = ACTIONS(2888),
    [aux_sym_preproc_if_token1] = ACTIONS(2888),
    [aux_sym_preproc_if_token2] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2888),
    [aux_sym_preproc_else_token1] = ACTIONS(2888),
    [aux_sym_preproc_elif_token1] = ACTIONS(2888),
    [sym_preproc_directive] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(2893),
    [anon_sym_TILDE] = ACTIONS(2893),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_STAR] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2893),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_typedef] = ACTIONS(2888),
    [anon_sym_extern] = ACTIONS(2888),
    [anon_sym___attribute__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(2893),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2893),
    [anon_sym___declspec] = ACTIONS(2888),
    [anon_sym___based] = ACTIONS(2888),
    [anon_sym___cdecl] = ACTIONS(2888),
    [anon_sym___clrcall] = ACTIONS(2888),
    [anon_sym___stdcall] = ACTIONS(2888),
    [anon_sym___fastcall] = ACTIONS(2888),
    [anon_sym___thiscall] = ACTIONS(2888),
    [anon_sym___vectorcall] = ACTIONS(2888),
    [anon_sym_LBRACE] = ACTIONS(2893),
    [anon_sym_signed] = ACTIONS(2888),
    [anon_sym_unsigned] = ACTIONS(2888),
    [anon_sym_long] = ACTIONS(2888),
    [anon_sym_short] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_register] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2888),
    [anon_sym___inline] = ACTIONS(2888),
    [anon_sym___inline__] = ACTIONS(2888),
    [anon_sym___forceinline] = ACTIONS(2888),
    [anon_sym_thread_local] = ACTIONS(2888),
    [anon_sym___thread] = ACTIONS(2888),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_PROGMEM] = ACTIONS(2888),
    [aux_sym_primitive_type_token1] = ACTIONS(2888),
    [anon_sym_byte] = ACTIONS(2888),
    [anon_sym_word] = ACTIONS(2888),
    [anon_sym_enum] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_struct] = ACTIONS(2888),
    [anon_sym_union] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_else] = ACTIONS(2888),
    [anon_sym_switch] = ACTIONS(2888),
    [anon_sym_case] = ACTIONS(2888),
    [anon_sym_default] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_break] = ACTIONS(2888),
    [anon_sym_continue] = ACTIONS(2888),
    [anon_sym_goto] = ACTIONS(2888),
    [anon_sym___try] = ACTIONS(2888),
    [anon_sym___leave] = ACTIONS(2888),
    [anon_sym_not] = ACTIONS(2888),
    [anon_sym_compl] = ACTIONS(2888),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_sizeof] = ACTIONS(2888),
    [anon_sym___alignof__] = ACTIONS(2888),
    [anon_sym___alignof] = ACTIONS(2888),
    [anon_sym__alignof] = ACTIONS(2888),
    [anon_sym_alignof] = ACTIONS(2888),
    [anon_sym__Alignof] = ACTIONS(2888),
    [anon_sym_offsetof] = ACTIONS(2888),
    [anon_sym__Generic] = ACTIONS(2888),
    [anon_sym_asm] = ACTIONS(2888),
    [anon_sym___asm__] = ACTIONS(2888),
    [aux_sym_number_literal_token1] = ACTIONS(2893),
    [aux_sym_number_literal_token2] = ACTIONS(2888),
    [anon_sym_L_SQUOTE] = ACTIONS(2893),
    [anon_sym_u_SQUOTE] = ACTIONS(2893),
    [anon_sym_U_SQUOTE] = ACTIONS(2893),
    [anon_sym_u8_SQUOTE] = ACTIONS(2893),
    [anon_sym_SQUOTE] = ACTIONS(2893),
    [anon_sym_L_DQUOTE] = ACTIONS(2893),
    [anon_sym_u_DQUOTE] = ACTIONS(2893),
    [anon_sym_U_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8_DQUOTE] = ACTIONS(2893),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_true] = ACTIONS(2888),
    [sym_false] = ACTIONS(2888),
    [anon_sym_NULL] = ACTIONS(2888),
    [anon_sym_nullptr] = ACTIONS(2888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2888),
    [anon_sym_decltype] = ACTIONS(2888),
    [anon_sym_virtual] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2888),
    [anon_sym_explicit] = ACTIONS(2888),
    [anon_sym_typename] = ACTIONS(2888),
    [anon_sym_template] = ACTIONS(2888),
    [anon_sym_operator] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_delete] = ACTIONS(2888),
    [anon_sym_throw] = ACTIONS(2888),
    [anon_sym_namespace] = ACTIONS(2888),
    [anon_sym_using] = ACTIONS(2888),
    [anon_sym_static_assert] = ACTIONS(2888),
    [anon_sym_concept] = ACTIONS(2888),
    [anon_sym_co_return] = ACTIONS(2888),
    [anon_sym_co_yield] = ACTIONS(2888),
    [anon_sym_R_DQUOTE] = ACTIONS(2893),
    [anon_sym_LR_DQUOTE] = ACTIONS(2893),
    [anon_sym_uR_DQUOTE] = ACTIONS(2893),
    [anon_sym_UR_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2893),
    [anon_sym_co_await] = ACTIONS(2888),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_requires] = ACTIONS(2888),
    [sym_this] = ACTIONS(2888),
  },
  [459] = {
    [sym_identifier] = ACTIONS(3072),
    [aux_sym_preproc_include_token1] = ACTIONS(3072),
    [aux_sym_preproc_def_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token2] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3072),
    [aux_sym_preproc_else_token1] = ACTIONS(3072),
    [aux_sym_preproc_elif_token1] = ACTIONS(3072),
    [sym_preproc_directive] = ACTIONS(3072),
    [anon_sym_LPAREN2] = ACTIONS(3074),
    [anon_sym_BANG] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3074),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym___extension__] = ACTIONS(3072),
    [anon_sym_typedef] = ACTIONS(3072),
    [anon_sym_extern] = ACTIONS(3072),
    [anon_sym___attribute__] = ACTIONS(3072),
    [anon_sym_COLON_COLON] = ACTIONS(3074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3074),
    [anon_sym___declspec] = ACTIONS(3072),
    [anon_sym___based] = ACTIONS(3072),
    [anon_sym___cdecl] = ACTIONS(3072),
    [anon_sym___clrcall] = ACTIONS(3072),
    [anon_sym___stdcall] = ACTIONS(3072),
    [anon_sym___fastcall] = ACTIONS(3072),
    [anon_sym___thiscall] = ACTIONS(3072),
    [anon_sym___vectorcall] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3074),
    [anon_sym_signed] = ACTIONS(3072),
    [anon_sym_unsigned] = ACTIONS(3072),
    [anon_sym_long] = ACTIONS(3072),
    [anon_sym_short] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_register] = ACTIONS(3072),
    [anon_sym_inline] = ACTIONS(3072),
    [anon_sym___inline] = ACTIONS(3072),
    [anon_sym___inline__] = ACTIONS(3072),
    [anon_sym___forceinline] = ACTIONS(3072),
    [anon_sym_thread_local] = ACTIONS(3072),
    [anon_sym___thread] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_constexpr] = ACTIONS(3072),
    [anon_sym_volatile] = ACTIONS(3072),
    [anon_sym_restrict] = ACTIONS(3072),
    [anon_sym___restrict__] = ACTIONS(3072),
    [anon_sym__Atomic] = ACTIONS(3072),
    [anon_sym__Noreturn] = ACTIONS(3072),
    [anon_sym_noreturn] = ACTIONS(3072),
    [anon_sym_mutable] = ACTIONS(3072),
    [anon_sym_constinit] = ACTIONS(3072),
    [anon_sym_consteval] = ACTIONS(3072),
    [anon_sym_PROGMEM] = ACTIONS(3072),
    [aux_sym_primitive_type_token1] = ACTIONS(3072),
    [anon_sym_byte] = ACTIONS(3072),
    [anon_sym_word] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_struct] = ACTIONS(3072),
    [anon_sym_union] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_else] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_default] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_goto] = ACTIONS(3072),
    [anon_sym___try] = ACTIONS(3072),
    [anon_sym___leave] = ACTIONS(3072),
    [anon_sym_not] = ACTIONS(3072),
    [anon_sym_compl] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_sizeof] = ACTIONS(3072),
    [anon_sym___alignof__] = ACTIONS(3072),
    [anon_sym___alignof] = ACTIONS(3072),
    [anon_sym__alignof] = ACTIONS(3072),
    [anon_sym_alignof] = ACTIONS(3072),
    [anon_sym__Alignof] = ACTIONS(3072),
    [anon_sym_offsetof] = ACTIONS(3072),
    [anon_sym__Generic] = ACTIONS(3072),
    [anon_sym_asm] = ACTIONS(3072),
    [anon_sym___asm__] = ACTIONS(3072),
    [aux_sym_number_literal_token1] = ACTIONS(3074),
    [aux_sym_number_literal_token2] = ACTIONS(3072),
    [anon_sym_L_SQUOTE] = ACTIONS(3074),
    [anon_sym_u_SQUOTE] = ACTIONS(3074),
    [anon_sym_U_SQUOTE] = ACTIONS(3074),
    [anon_sym_u8_SQUOTE] = ACTIONS(3074),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [anon_sym_L_DQUOTE] = ACTIONS(3074),
    [anon_sym_u_DQUOTE] = ACTIONS(3074),
    [anon_sym_U_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8_DQUOTE] = ACTIONS(3074),
    [anon_sym_DQUOTE] = ACTIONS(3074),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3072),
    [anon_sym_decltype] = ACTIONS(3072),
    [anon_sym_virtual] = ACTIONS(3072),
    [anon_sym_alignas] = ACTIONS(3072),
    [anon_sym_explicit] = ACTIONS(3072),
    [anon_sym_typename] = ACTIONS(3072),
    [anon_sym_template] = ACTIONS(3072),
    [anon_sym_operator] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_static_assert] = ACTIONS(3072),
    [anon_sym_concept] = ACTIONS(3072),
    [anon_sym_co_return] = ACTIONS(3072),
    [anon_sym_co_yield] = ACTIONS(3072),
    [anon_sym_R_DQUOTE] = ACTIONS(3074),
    [anon_sym_LR_DQUOTE] = ACTIONS(3074),
    [anon_sym_uR_DQUOTE] = ACTIONS(3074),
    [anon_sym_UR_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3074),
    [anon_sym_co_await] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_requires] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
  },
  [460] = {
    [sym_identifier] = ACTIONS(2952),
    [aux_sym_preproc_include_token1] = ACTIONS(2952),
    [aux_sym_preproc_def_token1] = ACTIONS(2952),
    [aux_sym_preproc_if_token1] = ACTIONS(2952),
    [aux_sym_preproc_if_token2] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [aux_sym_preproc_else_token1] = ACTIONS(2952),
    [aux_sym_preproc_elif_token1] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2952),
    [anon_sym_LPAREN2] = ACTIONS(2954),
    [anon_sym_BANG] = ACTIONS(2954),
    [anon_sym_TILDE] = ACTIONS(2954),
    [anon_sym_DASH] = ACTIONS(2952),
    [anon_sym_PLUS] = ACTIONS(2952),
    [anon_sym_STAR] = ACTIONS(2954),
    [anon_sym_AMP_AMP] = ACTIONS(2954),
    [anon_sym_AMP] = ACTIONS(2952),
    [anon_sym_SEMI] = ACTIONS(2954),
    [anon_sym___extension__] = ACTIONS(2952),
    [anon_sym_typedef] = ACTIONS(2952),
    [anon_sym_extern] = ACTIONS(2952),
    [anon_sym___attribute__] = ACTIONS(2952),
    [anon_sym_COLON_COLON] = ACTIONS(2954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2954),
    [anon_sym___declspec] = ACTIONS(2952),
    [anon_sym___based] = ACTIONS(2952),
    [anon_sym___cdecl] = ACTIONS(2952),
    [anon_sym___clrcall] = ACTIONS(2952),
    [anon_sym___stdcall] = ACTIONS(2952),
    [anon_sym___fastcall] = ACTIONS(2952),
    [anon_sym___thiscall] = ACTIONS(2952),
    [anon_sym___vectorcall] = ACTIONS(2952),
    [anon_sym_LBRACE] = ACTIONS(2954),
    [anon_sym_signed] = ACTIONS(2952),
    [anon_sym_unsigned] = ACTIONS(2952),
    [anon_sym_long] = ACTIONS(2952),
    [anon_sym_short] = ACTIONS(2952),
    [anon_sym_LBRACK] = ACTIONS(2952),
    [anon_sym_static] = ACTIONS(2952),
    [anon_sym_register] = ACTIONS(2952),
    [anon_sym_inline] = ACTIONS(2952),
    [anon_sym___inline] = ACTIONS(2952),
    [anon_sym___inline__] = ACTIONS(2952),
    [anon_sym___forceinline] = ACTIONS(2952),
    [anon_sym_thread_local] = ACTIONS(2952),
    [anon_sym___thread] = ACTIONS(2952),
    [anon_sym_const] = ACTIONS(2952),
    [anon_sym_constexpr] = ACTIONS(2952),
    [anon_sym_volatile] = ACTIONS(2952),
    [anon_sym_restrict] = ACTIONS(2952),
    [anon_sym___restrict__] = ACTIONS(2952),
    [anon_sym__Atomic] = ACTIONS(2952),
    [anon_sym__Noreturn] = ACTIONS(2952),
    [anon_sym_noreturn] = ACTIONS(2952),
    [anon_sym_mutable] = ACTIONS(2952),
    [anon_sym_constinit] = ACTIONS(2952),
    [anon_sym_consteval] = ACTIONS(2952),
    [anon_sym_PROGMEM] = ACTIONS(2952),
    [aux_sym_primitive_type_token1] = ACTIONS(2952),
    [anon_sym_byte] = ACTIONS(2952),
    [anon_sym_word] = ACTIONS(2952),
    [anon_sym_enum] = ACTIONS(2952),
    [anon_sym_class] = ACTIONS(2952),
    [anon_sym_struct] = ACTIONS(2952),
    [anon_sym_union] = ACTIONS(2952),
    [anon_sym_if] = ACTIONS(2952),
    [anon_sym_else] = ACTIONS(2952),
    [anon_sym_switch] = ACTIONS(2952),
    [anon_sym_case] = ACTIONS(2952),
    [anon_sym_default] = ACTIONS(2952),
    [anon_sym_while] = ACTIONS(2952),
    [anon_sym_do] = ACTIONS(2952),
    [anon_sym_for] = ACTIONS(2952),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_break] = ACTIONS(2952),
    [anon_sym_continue] = ACTIONS(2952),
    [anon_sym_goto] = ACTIONS(2952),
    [anon_sym___try] = ACTIONS(2952),
    [anon_sym___leave] = ACTIONS(2952),
    [anon_sym_not] = ACTIONS(2952),
    [anon_sym_compl] = ACTIONS(2952),
    [anon_sym_DASH_DASH] = ACTIONS(2954),
    [anon_sym_PLUS_PLUS] = ACTIONS(2954),
    [anon_sym_sizeof] = ACTIONS(2952),
    [anon_sym___alignof__] = ACTIONS(2952),
    [anon_sym___alignof] = ACTIONS(2952),
    [anon_sym__alignof] = ACTIONS(2952),
    [anon_sym_alignof] = ACTIONS(2952),
    [anon_sym__Alignof] = ACTIONS(2952),
    [anon_sym_offsetof] = ACTIONS(2952),
    [anon_sym__Generic] = ACTIONS(2952),
    [anon_sym_asm] = ACTIONS(2952),
    [anon_sym___asm__] = ACTIONS(2952),
    [aux_sym_number_literal_token1] = ACTIONS(2954),
    [aux_sym_number_literal_token2] = ACTIONS(2952),
    [anon_sym_L_SQUOTE] = ACTIONS(2954),
    [anon_sym_u_SQUOTE] = ACTIONS(2954),
    [anon_sym_U_SQUOTE] = ACTIONS(2954),
    [anon_sym_u8_SQUOTE] = ACTIONS(2954),
    [anon_sym_SQUOTE] = ACTIONS(2954),
    [anon_sym_L_DQUOTE] = ACTIONS(2954),
    [anon_sym_u_DQUOTE] = ACTIONS(2954),
    [anon_sym_U_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8_DQUOTE] = ACTIONS(2954),
    [anon_sym_DQUOTE] = ACTIONS(2954),
    [sym_true] = ACTIONS(2952),
    [sym_false] = ACTIONS(2952),
    [anon_sym_NULL] = ACTIONS(2952),
    [anon_sym_nullptr] = ACTIONS(2952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2952),
    [anon_sym_decltype] = ACTIONS(2952),
    [anon_sym_virtual] = ACTIONS(2952),
    [anon_sym_alignas] = ACTIONS(2952),
    [anon_sym_explicit] = ACTIONS(2952),
    [anon_sym_typename] = ACTIONS(2952),
    [anon_sym_template] = ACTIONS(2952),
    [anon_sym_operator] = ACTIONS(2952),
    [anon_sym_try] = ACTIONS(2952),
    [anon_sym_delete] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2952),
    [anon_sym_namespace] = ACTIONS(2952),
    [anon_sym_using] = ACTIONS(2952),
    [anon_sym_static_assert] = ACTIONS(2952),
    [anon_sym_concept] = ACTIONS(2952),
    [anon_sym_co_return] = ACTIONS(2952),
    [anon_sym_co_yield] = ACTIONS(2952),
    [anon_sym_R_DQUOTE] = ACTIONS(2954),
    [anon_sym_LR_DQUOTE] = ACTIONS(2954),
    [anon_sym_uR_DQUOTE] = ACTIONS(2954),
    [anon_sym_UR_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2954),
    [anon_sym_co_await] = ACTIONS(2952),
    [anon_sym_new] = ACTIONS(2952),
    [anon_sym_requires] = ACTIONS(2952),
    [sym_this] = ACTIONS(2952),
  },
  [461] = {
    [sym_catch_clause] = STATE(441),
    [aux_sym_constructor_try_statement_repeat1] = STATE(441),
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_include_token1] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token2] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_BANG] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym___cdecl] = ACTIONS(2858),
    [anon_sym___clrcall] = ACTIONS(2858),
    [anon_sym___stdcall] = ACTIONS(2858),
    [anon_sym___fastcall] = ACTIONS(2858),
    [anon_sym___thiscall] = ACTIONS(2858),
    [anon_sym___vectorcall] = ACTIONS(2858),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [anon_sym_PROGMEM] = ACTIONS(2858),
    [aux_sym_primitive_type_token1] = ACTIONS(2858),
    [anon_sym_byte] = ACTIONS(2858),
    [anon_sym_word] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [anon_sym_if] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2858),
    [anon_sym_case] = ACTIONS(2858),
    [anon_sym_default] = ACTIONS(2858),
    [anon_sym_while] = ACTIONS(2858),
    [anon_sym_do] = ACTIONS(2858),
    [anon_sym_for] = ACTIONS(2858),
    [anon_sym_return] = ACTIONS(2858),
    [anon_sym_break] = ACTIONS(2858),
    [anon_sym_continue] = ACTIONS(2858),
    [anon_sym_goto] = ACTIONS(2858),
    [anon_sym___try] = ACTIONS(2858),
    [anon_sym___leave] = ACTIONS(2858),
    [anon_sym_not] = ACTIONS(2858),
    [anon_sym_compl] = ACTIONS(2858),
    [anon_sym_DASH_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_PLUS] = ACTIONS(2860),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2858),
    [anon_sym___alignof] = ACTIONS(2858),
    [anon_sym__alignof] = ACTIONS(2858),
    [anon_sym_alignof] = ACTIONS(2858),
    [anon_sym__Alignof] = ACTIONS(2858),
    [anon_sym_offsetof] = ACTIONS(2858),
    [anon_sym__Generic] = ACTIONS(2858),
    [anon_sym_asm] = ACTIONS(2858),
    [anon_sym___asm__] = ACTIONS(2858),
    [aux_sym_number_literal_token1] = ACTIONS(2860),
    [aux_sym_number_literal_token2] = ACTIONS(2858),
    [anon_sym_L_SQUOTE] = ACTIONS(2860),
    [anon_sym_u_SQUOTE] = ACTIONS(2860),
    [anon_sym_U_SQUOTE] = ACTIONS(2860),
    [anon_sym_u8_SQUOTE] = ACTIONS(2860),
    [anon_sym_SQUOTE] = ACTIONS(2860),
    [anon_sym_L_DQUOTE] = ACTIONS(2860),
    [anon_sym_u_DQUOTE] = ACTIONS(2860),
    [anon_sym_U_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [sym_true] = ACTIONS(2858),
    [sym_false] = ACTIONS(2858),
    [anon_sym_NULL] = ACTIONS(2858),
    [anon_sym_nullptr] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [anon_sym_virtual] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_try] = ACTIONS(2858),
    [anon_sym_delete] = ACTIONS(2858),
    [anon_sym_throw] = ACTIONS(2858),
    [anon_sym_namespace] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
    [anon_sym_concept] = ACTIONS(2858),
    [anon_sym_co_return] = ACTIONS(2858),
    [anon_sym_co_yield] = ACTIONS(2858),
    [anon_sym_catch] = ACTIONS(3282),
    [anon_sym_R_DQUOTE] = ACTIONS(2860),
    [anon_sym_LR_DQUOTE] = ACTIONS(2860),
    [anon_sym_uR_DQUOTE] = ACTIONS(2860),
    [anon_sym_UR_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2860),
    [anon_sym_co_await] = ACTIONS(2858),
    [anon_sym_new] = ACTIONS(2858),
    [anon_sym_requires] = ACTIONS(2858),
    [sym_this] = ACTIONS(2858),
  },
  [462] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [463] = {
    [sym_identifier] = ACTIONS(3028),
    [aux_sym_preproc_include_token1] = ACTIONS(3028),
    [aux_sym_preproc_def_token1] = ACTIONS(3028),
    [aux_sym_preproc_if_token1] = ACTIONS(3028),
    [aux_sym_preproc_if_token2] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3028),
    [aux_sym_preproc_else_token1] = ACTIONS(3028),
    [aux_sym_preproc_elif_token1] = ACTIONS(3028),
    [sym_preproc_directive] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3030),
    [anon_sym_TILDE] = ACTIONS(3030),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_STAR] = ACTIONS(3030),
    [anon_sym_AMP_AMP] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_SEMI] = ACTIONS(3030),
    [anon_sym___extension__] = ACTIONS(3028),
    [anon_sym_typedef] = ACTIONS(3028),
    [anon_sym_extern] = ACTIONS(3028),
    [anon_sym___attribute__] = ACTIONS(3028),
    [anon_sym_COLON_COLON] = ACTIONS(3030),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3030),
    [anon_sym___declspec] = ACTIONS(3028),
    [anon_sym___based] = ACTIONS(3028),
    [anon_sym___cdecl] = ACTIONS(3028),
    [anon_sym___clrcall] = ACTIONS(3028),
    [anon_sym___stdcall] = ACTIONS(3028),
    [anon_sym___fastcall] = ACTIONS(3028),
    [anon_sym___thiscall] = ACTIONS(3028),
    [anon_sym___vectorcall] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_signed] = ACTIONS(3028),
    [anon_sym_unsigned] = ACTIONS(3028),
    [anon_sym_long] = ACTIONS(3028),
    [anon_sym_short] = ACTIONS(3028),
    [anon_sym_LBRACK] = ACTIONS(3028),
    [anon_sym_static] = ACTIONS(3028),
    [anon_sym_register] = ACTIONS(3028),
    [anon_sym_inline] = ACTIONS(3028),
    [anon_sym___inline] = ACTIONS(3028),
    [anon_sym___inline__] = ACTIONS(3028),
    [anon_sym___forceinline] = ACTIONS(3028),
    [anon_sym_thread_local] = ACTIONS(3028),
    [anon_sym___thread] = ACTIONS(3028),
    [anon_sym_const] = ACTIONS(3028),
    [anon_sym_constexpr] = ACTIONS(3028),
    [anon_sym_volatile] = ACTIONS(3028),
    [anon_sym_restrict] = ACTIONS(3028),
    [anon_sym___restrict__] = ACTIONS(3028),
    [anon_sym__Atomic] = ACTIONS(3028),
    [anon_sym__Noreturn] = ACTIONS(3028),
    [anon_sym_noreturn] = ACTIONS(3028),
    [anon_sym_mutable] = ACTIONS(3028),
    [anon_sym_constinit] = ACTIONS(3028),
    [anon_sym_consteval] = ACTIONS(3028),
    [anon_sym_PROGMEM] = ACTIONS(3028),
    [aux_sym_primitive_type_token1] = ACTIONS(3028),
    [anon_sym_byte] = ACTIONS(3028),
    [anon_sym_word] = ACTIONS(3028),
    [anon_sym_enum] = ACTIONS(3028),
    [anon_sym_class] = ACTIONS(3028),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(3028),
    [anon_sym_if] = ACTIONS(3028),
    [anon_sym_else] = ACTIONS(3028),
    [anon_sym_switch] = ACTIONS(3028),
    [anon_sym_case] = ACTIONS(3028),
    [anon_sym_default] = ACTIONS(3028),
    [anon_sym_while] = ACTIONS(3028),
    [anon_sym_do] = ACTIONS(3028),
    [anon_sym_for] = ACTIONS(3028),
    [anon_sym_return] = ACTIONS(3028),
    [anon_sym_break] = ACTIONS(3028),
    [anon_sym_continue] = ACTIONS(3028),
    [anon_sym_goto] = ACTIONS(3028),
    [anon_sym___try] = ACTIONS(3028),
    [anon_sym___leave] = ACTIONS(3028),
    [anon_sym_not] = ACTIONS(3028),
    [anon_sym_compl] = ACTIONS(3028),
    [anon_sym_DASH_DASH] = ACTIONS(3030),
    [anon_sym_PLUS_PLUS] = ACTIONS(3030),
    [anon_sym_sizeof] = ACTIONS(3028),
    [anon_sym___alignof__] = ACTIONS(3028),
    [anon_sym___alignof] = ACTIONS(3028),
    [anon_sym__alignof] = ACTIONS(3028),
    [anon_sym_alignof] = ACTIONS(3028),
    [anon_sym__Alignof] = ACTIONS(3028),
    [anon_sym_offsetof] = ACTIONS(3028),
    [anon_sym__Generic] = ACTIONS(3028),
    [anon_sym_asm] = ACTIONS(3028),
    [anon_sym___asm__] = ACTIONS(3028),
    [aux_sym_number_literal_token1] = ACTIONS(3030),
    [aux_sym_number_literal_token2] = ACTIONS(3028),
    [anon_sym_L_SQUOTE] = ACTIONS(3030),
    [anon_sym_u_SQUOTE] = ACTIONS(3030),
    [anon_sym_U_SQUOTE] = ACTIONS(3030),
    [anon_sym_u8_SQUOTE] = ACTIONS(3030),
    [anon_sym_SQUOTE] = ACTIONS(3030),
    [anon_sym_L_DQUOTE] = ACTIONS(3030),
    [anon_sym_u_DQUOTE] = ACTIONS(3030),
    [anon_sym_U_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8_DQUOTE] = ACTIONS(3030),
    [anon_sym_DQUOTE] = ACTIONS(3030),
    [sym_true] = ACTIONS(3028),
    [sym_false] = ACTIONS(3028),
    [anon_sym_NULL] = ACTIONS(3028),
    [anon_sym_nullptr] = ACTIONS(3028),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3028),
    [anon_sym_decltype] = ACTIONS(3028),
    [anon_sym_virtual] = ACTIONS(3028),
    [anon_sym_alignas] = ACTIONS(3028),
    [anon_sym_explicit] = ACTIONS(3028),
    [anon_sym_typename] = ACTIONS(3028),
    [anon_sym_template] = ACTIONS(3028),
    [anon_sym_operator] = ACTIONS(3028),
    [anon_sym_try] = ACTIONS(3028),
    [anon_sym_delete] = ACTIONS(3028),
    [anon_sym_throw] = ACTIONS(3028),
    [anon_sym_namespace] = ACTIONS(3028),
    [anon_sym_using] = ACTIONS(3028),
    [anon_sym_static_assert] = ACTIONS(3028),
    [anon_sym_concept] = ACTIONS(3028),
    [anon_sym_co_return] = ACTIONS(3028),
    [anon_sym_co_yield] = ACTIONS(3028),
    [anon_sym_R_DQUOTE] = ACTIONS(3030),
    [anon_sym_LR_DQUOTE] = ACTIONS(3030),
    [anon_sym_uR_DQUOTE] = ACTIONS(3030),
    [anon_sym_UR_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3030),
    [anon_sym_co_await] = ACTIONS(3028),
    [anon_sym_new] = ACTIONS(3028),
    [anon_sym_requires] = ACTIONS(3028),
    [sym_this] = ACTIONS(3028),
  },
  [464] = {
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_include_token1] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token2] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [aux_sym_preproc_else_token1] = ACTIONS(3040),
    [aux_sym_preproc_elif_token1] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_BANG] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym___cdecl] = ACTIONS(3040),
    [anon_sym___clrcall] = ACTIONS(3040),
    [anon_sym___stdcall] = ACTIONS(3040),
    [anon_sym___fastcall] = ACTIONS(3040),
    [anon_sym___thiscall] = ACTIONS(3040),
    [anon_sym___vectorcall] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_PROGMEM] = ACTIONS(3040),
    [aux_sym_primitive_type_token1] = ACTIONS(3040),
    [anon_sym_byte] = ACTIONS(3040),
    [anon_sym_word] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_else] = ACTIONS(3040),
    [anon_sym_switch] = ACTIONS(3040),
    [anon_sym_case] = ACTIONS(3040),
    [anon_sym_default] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_do] = ACTIONS(3040),
    [anon_sym_for] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_break] = ACTIONS(3040),
    [anon_sym_continue] = ACTIONS(3040),
    [anon_sym_goto] = ACTIONS(3040),
    [anon_sym___try] = ACTIONS(3040),
    [anon_sym___leave] = ACTIONS(3040),
    [anon_sym_not] = ACTIONS(3040),
    [anon_sym_compl] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_sizeof] = ACTIONS(3040),
    [anon_sym___alignof__] = ACTIONS(3040),
    [anon_sym___alignof] = ACTIONS(3040),
    [anon_sym__alignof] = ACTIONS(3040),
    [anon_sym_alignof] = ACTIONS(3040),
    [anon_sym__Alignof] = ACTIONS(3040),
    [anon_sym_offsetof] = ACTIONS(3040),
    [anon_sym__Generic] = ACTIONS(3040),
    [anon_sym_asm] = ACTIONS(3040),
    [anon_sym___asm__] = ACTIONS(3040),
    [aux_sym_number_literal_token1] = ACTIONS(3042),
    [aux_sym_number_literal_token2] = ACTIONS(3040),
    [anon_sym_L_SQUOTE] = ACTIONS(3042),
    [anon_sym_u_SQUOTE] = ACTIONS(3042),
    [anon_sym_U_SQUOTE] = ACTIONS(3042),
    [anon_sym_u8_SQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_L_DQUOTE] = ACTIONS(3042),
    [anon_sym_u_DQUOTE] = ACTIONS(3042),
    [anon_sym_U_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8_DQUOTE] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3042),
    [sym_true] = ACTIONS(3040),
    [sym_false] = ACTIONS(3040),
    [anon_sym_NULL] = ACTIONS(3040),
    [anon_sym_nullptr] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_delete] = ACTIONS(3040),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_namespace] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
    [anon_sym_concept] = ACTIONS(3040),
    [anon_sym_co_return] = ACTIONS(3040),
    [anon_sym_co_yield] = ACTIONS(3040),
    [anon_sym_R_DQUOTE] = ACTIONS(3042),
    [anon_sym_LR_DQUOTE] = ACTIONS(3042),
    [anon_sym_uR_DQUOTE] = ACTIONS(3042),
    [anon_sym_UR_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3042),
    [anon_sym_co_await] = ACTIONS(3040),
    [anon_sym_new] = ACTIONS(3040),
    [anon_sym_requires] = ACTIONS(3040),
    [sym_this] = ACTIONS(3040),
  },
  [465] = {
    [sym_catch_clause] = STATE(442),
    [aux_sym_constructor_try_statement_repeat1] = STATE(442),
    [sym_identifier] = ACTIONS(2854),
    [aux_sym_preproc_include_token1] = ACTIONS(2854),
    [aux_sym_preproc_def_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2854),
    [sym_preproc_directive] = ACTIONS(2854),
    [anon_sym_LPAREN2] = ACTIONS(2856),
    [anon_sym_BANG] = ACTIONS(2856),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym_SEMI] = ACTIONS(2856),
    [anon_sym___extension__] = ACTIONS(2854),
    [anon_sym_typedef] = ACTIONS(2854),
    [anon_sym_extern] = ACTIONS(2854),
    [anon_sym___attribute__] = ACTIONS(2854),
    [anon_sym_COLON_COLON] = ACTIONS(2856),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2856),
    [anon_sym___declspec] = ACTIONS(2854),
    [anon_sym___based] = ACTIONS(2854),
    [anon_sym___cdecl] = ACTIONS(2854),
    [anon_sym___clrcall] = ACTIONS(2854),
    [anon_sym___stdcall] = ACTIONS(2854),
    [anon_sym___fastcall] = ACTIONS(2854),
    [anon_sym___thiscall] = ACTIONS(2854),
    [anon_sym___vectorcall] = ACTIONS(2854),
    [anon_sym_LBRACE] = ACTIONS(2856),
    [anon_sym_RBRACE] = ACTIONS(2856),
    [anon_sym_signed] = ACTIONS(2854),
    [anon_sym_unsigned] = ACTIONS(2854),
    [anon_sym_long] = ACTIONS(2854),
    [anon_sym_short] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_register] = ACTIONS(2854),
    [anon_sym_inline] = ACTIONS(2854),
    [anon_sym___inline] = ACTIONS(2854),
    [anon_sym___inline__] = ACTIONS(2854),
    [anon_sym___forceinline] = ACTIONS(2854),
    [anon_sym_thread_local] = ACTIONS(2854),
    [anon_sym___thread] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_constexpr] = ACTIONS(2854),
    [anon_sym_volatile] = ACTIONS(2854),
    [anon_sym_restrict] = ACTIONS(2854),
    [anon_sym___restrict__] = ACTIONS(2854),
    [anon_sym__Atomic] = ACTIONS(2854),
    [anon_sym__Noreturn] = ACTIONS(2854),
    [anon_sym_noreturn] = ACTIONS(2854),
    [anon_sym_mutable] = ACTIONS(2854),
    [anon_sym_constinit] = ACTIONS(2854),
    [anon_sym_consteval] = ACTIONS(2854),
    [anon_sym_PROGMEM] = ACTIONS(2854),
    [aux_sym_primitive_type_token1] = ACTIONS(2854),
    [anon_sym_byte] = ACTIONS(2854),
    [anon_sym_word] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_struct] = ACTIONS(2854),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_switch] = ACTIONS(2854),
    [anon_sym_case] = ACTIONS(2854),
    [anon_sym_default] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2854),
    [anon_sym_do] = ACTIONS(2854),
    [anon_sym_for] = ACTIONS(2854),
    [anon_sym_return] = ACTIONS(2854),
    [anon_sym_break] = ACTIONS(2854),
    [anon_sym_continue] = ACTIONS(2854),
    [anon_sym_goto] = ACTIONS(2854),
    [anon_sym___try] = ACTIONS(2854),
    [anon_sym___leave] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2854),
    [anon_sym_compl] = ACTIONS(2854),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2854),
    [anon_sym___alignof__] = ACTIONS(2854),
    [anon_sym___alignof] = ACTIONS(2854),
    [anon_sym__alignof] = ACTIONS(2854),
    [anon_sym_alignof] = ACTIONS(2854),
    [anon_sym__Alignof] = ACTIONS(2854),
    [anon_sym_offsetof] = ACTIONS(2854),
    [anon_sym__Generic] = ACTIONS(2854),
    [anon_sym_asm] = ACTIONS(2854),
    [anon_sym___asm__] = ACTIONS(2854),
    [aux_sym_number_literal_token1] = ACTIONS(2856),
    [aux_sym_number_literal_token2] = ACTIONS(2854),
    [anon_sym_L_SQUOTE] = ACTIONS(2856),
    [anon_sym_u_SQUOTE] = ACTIONS(2856),
    [anon_sym_U_SQUOTE] = ACTIONS(2856),
    [anon_sym_u8_SQUOTE] = ACTIONS(2856),
    [anon_sym_SQUOTE] = ACTIONS(2856),
    [anon_sym_L_DQUOTE] = ACTIONS(2856),
    [anon_sym_u_DQUOTE] = ACTIONS(2856),
    [anon_sym_U_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8_DQUOTE] = ACTIONS(2856),
    [anon_sym_DQUOTE] = ACTIONS(2856),
    [sym_true] = ACTIONS(2854),
    [sym_false] = ACTIONS(2854),
    [anon_sym_NULL] = ACTIONS(2854),
    [anon_sym_nullptr] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2854),
    [anon_sym_decltype] = ACTIONS(2854),
    [anon_sym_virtual] = ACTIONS(2854),
    [anon_sym_alignas] = ACTIONS(2854),
    [anon_sym_explicit] = ACTIONS(2854),
    [anon_sym_typename] = ACTIONS(2854),
    [anon_sym_template] = ACTIONS(2854),
    [anon_sym_operator] = ACTIONS(2854),
    [anon_sym_try] = ACTIONS(2854),
    [anon_sym_delete] = ACTIONS(2854),
    [anon_sym_throw] = ACTIONS(2854),
    [anon_sym_namespace] = ACTIONS(2854),
    [anon_sym_using] = ACTIONS(2854),
    [anon_sym_static_assert] = ACTIONS(2854),
    [anon_sym_concept] = ACTIONS(2854),
    [anon_sym_co_return] = ACTIONS(2854),
    [anon_sym_co_yield] = ACTIONS(2854),
    [anon_sym_catch] = ACTIONS(3334),
    [anon_sym_R_DQUOTE] = ACTIONS(2856),
    [anon_sym_LR_DQUOTE] = ACTIONS(2856),
    [anon_sym_uR_DQUOTE] = ACTIONS(2856),
    [anon_sym_UR_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2856),
    [anon_sym_co_await] = ACTIONS(2854),
    [anon_sym_new] = ACTIONS(2854),
    [anon_sym_requires] = ACTIONS(2854),
    [sym_this] = ACTIONS(2854),
  },
  [466] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [467] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [468] = {
    [sym_identifier] = ACTIONS(2948),
    [aux_sym_preproc_include_token1] = ACTIONS(2948),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token2] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2948),
    [aux_sym_preproc_else_token1] = ACTIONS(2948),
    [aux_sym_preproc_elif_token1] = ACTIONS(2948),
    [sym_preproc_directive] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(2950),
    [anon_sym_BANG] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_DASH] = ACTIONS(2948),
    [anon_sym_PLUS] = ACTIONS(2948),
    [anon_sym_STAR] = ACTIONS(2950),
    [anon_sym_AMP_AMP] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym___extension__] = ACTIONS(2948),
    [anon_sym_typedef] = ACTIONS(2948),
    [anon_sym_extern] = ACTIONS(2948),
    [anon_sym___attribute__] = ACTIONS(2948),
    [anon_sym_COLON_COLON] = ACTIONS(2950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2950),
    [anon_sym___declspec] = ACTIONS(2948),
    [anon_sym___based] = ACTIONS(2948),
    [anon_sym___cdecl] = ACTIONS(2948),
    [anon_sym___clrcall] = ACTIONS(2948),
    [anon_sym___stdcall] = ACTIONS(2948),
    [anon_sym___fastcall] = ACTIONS(2948),
    [anon_sym___thiscall] = ACTIONS(2948),
    [anon_sym___vectorcall] = ACTIONS(2948),
    [anon_sym_LBRACE] = ACTIONS(2950),
    [anon_sym_signed] = ACTIONS(2948),
    [anon_sym_unsigned] = ACTIONS(2948),
    [anon_sym_long] = ACTIONS(2948),
    [anon_sym_short] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_register] = ACTIONS(2948),
    [anon_sym_inline] = ACTIONS(2948),
    [anon_sym___inline] = ACTIONS(2948),
    [anon_sym___inline__] = ACTIONS(2948),
    [anon_sym___forceinline] = ACTIONS(2948),
    [anon_sym_thread_local] = ACTIONS(2948),
    [anon_sym___thread] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_constexpr] = ACTIONS(2948),
    [anon_sym_volatile] = ACTIONS(2948),
    [anon_sym_restrict] = ACTIONS(2948),
    [anon_sym___restrict__] = ACTIONS(2948),
    [anon_sym__Atomic] = ACTIONS(2948),
    [anon_sym__Noreturn] = ACTIONS(2948),
    [anon_sym_noreturn] = ACTIONS(2948),
    [anon_sym_mutable] = ACTIONS(2948),
    [anon_sym_constinit] = ACTIONS(2948),
    [anon_sym_consteval] = ACTIONS(2948),
    [anon_sym_PROGMEM] = ACTIONS(2948),
    [aux_sym_primitive_type_token1] = ACTIONS(2948),
    [anon_sym_byte] = ACTIONS(2948),
    [anon_sym_word] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_struct] = ACTIONS(2948),
    [anon_sym_union] = ACTIONS(2948),
    [anon_sym_if] = ACTIONS(2948),
    [anon_sym_else] = ACTIONS(2948),
    [anon_sym_switch] = ACTIONS(2948),
    [anon_sym_case] = ACTIONS(2948),
    [anon_sym_default] = ACTIONS(2948),
    [anon_sym_while] = ACTIONS(2948),
    [anon_sym_do] = ACTIONS(2948),
    [anon_sym_for] = ACTIONS(2948),
    [anon_sym_return] = ACTIONS(2948),
    [anon_sym_break] = ACTIONS(2948),
    [anon_sym_continue] = ACTIONS(2948),
    [anon_sym_goto] = ACTIONS(2948),
    [anon_sym___try] = ACTIONS(2948),
    [anon_sym___leave] = ACTIONS(2948),
    [anon_sym_not] = ACTIONS(2948),
    [anon_sym_compl] = ACTIONS(2948),
    [anon_sym_DASH_DASH] = ACTIONS(2950),
    [anon_sym_PLUS_PLUS] = ACTIONS(2950),
    [anon_sym_sizeof] = ACTIONS(2948),
    [anon_sym___alignof__] = ACTIONS(2948),
    [anon_sym___alignof] = ACTIONS(2948),
    [anon_sym__alignof] = ACTIONS(2948),
    [anon_sym_alignof] = ACTIONS(2948),
    [anon_sym__Alignof] = ACTIONS(2948),
    [anon_sym_offsetof] = ACTIONS(2948),
    [anon_sym__Generic] = ACTIONS(2948),
    [anon_sym_asm] = ACTIONS(2948),
    [anon_sym___asm__] = ACTIONS(2948),
    [aux_sym_number_literal_token1] = ACTIONS(2950),
    [aux_sym_number_literal_token2] = ACTIONS(2948),
    [anon_sym_L_SQUOTE] = ACTIONS(2950),
    [anon_sym_u_SQUOTE] = ACTIONS(2950),
    [anon_sym_U_SQUOTE] = ACTIONS(2950),
    [anon_sym_u8_SQUOTE] = ACTIONS(2950),
    [anon_sym_SQUOTE] = ACTIONS(2950),
    [anon_sym_L_DQUOTE] = ACTIONS(2950),
    [anon_sym_u_DQUOTE] = ACTIONS(2950),
    [anon_sym_U_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8_DQUOTE] = ACTIONS(2950),
    [anon_sym_DQUOTE] = ACTIONS(2950),
    [sym_true] = ACTIONS(2948),
    [sym_false] = ACTIONS(2948),
    [anon_sym_NULL] = ACTIONS(2948),
    [anon_sym_nullptr] = ACTIONS(2948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2948),
    [anon_sym_decltype] = ACTIONS(2948),
    [anon_sym_virtual] = ACTIONS(2948),
    [anon_sym_alignas] = ACTIONS(2948),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2948),
    [anon_sym_template] = ACTIONS(2948),
    [anon_sym_operator] = ACTIONS(2948),
    [anon_sym_try] = ACTIONS(2948),
    [anon_sym_delete] = ACTIONS(2948),
    [anon_sym_throw] = ACTIONS(2948),
    [anon_sym_namespace] = ACTIONS(2948),
    [anon_sym_using] = ACTIONS(2948),
    [anon_sym_static_assert] = ACTIONS(2948),
    [anon_sym_concept] = ACTIONS(2948),
    [anon_sym_co_return] = ACTIONS(2948),
    [anon_sym_co_yield] = ACTIONS(2948),
    [anon_sym_R_DQUOTE] = ACTIONS(2950),
    [anon_sym_LR_DQUOTE] = ACTIONS(2950),
    [anon_sym_uR_DQUOTE] = ACTIONS(2950),
    [anon_sym_UR_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2950),
    [anon_sym_co_await] = ACTIONS(2948),
    [anon_sym_new] = ACTIONS(2948),
    [anon_sym_requires] = ACTIONS(2948),
    [sym_this] = ACTIONS(2948),
  },
  [469] = {
    [sym_identifier] = ACTIONS(2261),
    [aux_sym_preproc_include_token1] = ACTIONS(2261),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [anon_sym_COMMA] = ACTIONS(3026),
    [aux_sym_preproc_if_token1] = ACTIONS(2261),
    [aux_sym_preproc_if_token2] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2261),
    [aux_sym_preproc_else_token1] = ACTIONS(2261),
    [aux_sym_preproc_elif_token1] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2261),
    [anon_sym_LPAREN2] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2261),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym___extension__] = ACTIONS(2261),
    [anon_sym_typedef] = ACTIONS(2261),
    [anon_sym_extern] = ACTIONS(2261),
    [anon_sym___attribute__] = ACTIONS(2261),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2259),
    [anon_sym___declspec] = ACTIONS(2261),
    [anon_sym___based] = ACTIONS(2261),
    [anon_sym___cdecl] = ACTIONS(2261),
    [anon_sym___clrcall] = ACTIONS(2261),
    [anon_sym___stdcall] = ACTIONS(2261),
    [anon_sym___fastcall] = ACTIONS(2261),
    [anon_sym___thiscall] = ACTIONS(2261),
    [anon_sym___vectorcall] = ACTIONS(2261),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_signed] = ACTIONS(2261),
    [anon_sym_unsigned] = ACTIONS(2261),
    [anon_sym_long] = ACTIONS(2261),
    [anon_sym_short] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_register] = ACTIONS(2261),
    [anon_sym_inline] = ACTIONS(2261),
    [anon_sym___inline] = ACTIONS(2261),
    [anon_sym___inline__] = ACTIONS(2261),
    [anon_sym___forceinline] = ACTIONS(2261),
    [anon_sym_thread_local] = ACTIONS(2261),
    [anon_sym___thread] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_constexpr] = ACTIONS(2261),
    [anon_sym_volatile] = ACTIONS(2261),
    [anon_sym_restrict] = ACTIONS(2261),
    [anon_sym___restrict__] = ACTIONS(2261),
    [anon_sym__Atomic] = ACTIONS(2261),
    [anon_sym__Noreturn] = ACTIONS(2261),
    [anon_sym_noreturn] = ACTIONS(2261),
    [anon_sym_mutable] = ACTIONS(2261),
    [anon_sym_constinit] = ACTIONS(2261),
    [anon_sym_consteval] = ACTIONS(2261),
    [anon_sym_PROGMEM] = ACTIONS(2261),
    [aux_sym_primitive_type_token1] = ACTIONS(2261),
    [anon_sym_byte] = ACTIONS(2261),
    [anon_sym_word] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_struct] = ACTIONS(2261),
    [anon_sym_union] = ACTIONS(2261),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_switch] = ACTIONS(2261),
    [anon_sym_case] = ACTIONS(2261),
    [anon_sym_default] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2261),
    [anon_sym_do] = ACTIONS(2261),
    [anon_sym_for] = ACTIONS(2261),
    [anon_sym_return] = ACTIONS(2261),
    [anon_sym_break] = ACTIONS(2261),
    [anon_sym_continue] = ACTIONS(2261),
    [anon_sym_goto] = ACTIONS(2261),
    [anon_sym___try] = ACTIONS(2261),
    [anon_sym___leave] = ACTIONS(2261),
    [anon_sym_not] = ACTIONS(2261),
    [anon_sym_compl] = ACTIONS(2261),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_sizeof] = ACTIONS(2261),
    [anon_sym___alignof__] = ACTIONS(2261),
    [anon_sym___alignof] = ACTIONS(2261),
    [anon_sym__alignof] = ACTIONS(2261),
    [anon_sym_alignof] = ACTIONS(2261),
    [anon_sym__Alignof] = ACTIONS(2261),
    [anon_sym_offsetof] = ACTIONS(2261),
    [anon_sym__Generic] = ACTIONS(2261),
    [anon_sym_asm] = ACTIONS(2261),
    [anon_sym___asm__] = ACTIONS(2261),
    [aux_sym_number_literal_token1] = ACTIONS(2259),
    [aux_sym_number_literal_token2] = ACTIONS(2261),
    [anon_sym_L_SQUOTE] = ACTIONS(2259),
    [anon_sym_u_SQUOTE] = ACTIONS(2259),
    [anon_sym_U_SQUOTE] = ACTIONS(2259),
    [anon_sym_u8_SQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [anon_sym_L_DQUOTE] = ACTIONS(2259),
    [anon_sym_u_DQUOTE] = ACTIONS(2259),
    [anon_sym_U_DQUOTE] = ACTIONS(2259),
    [anon_sym_u8_DQUOTE] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [sym_true] = ACTIONS(2261),
    [sym_false] = ACTIONS(2261),
    [anon_sym_NULL] = ACTIONS(2261),
    [anon_sym_nullptr] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2261),
    [anon_sym_decltype] = ACTIONS(2261),
    [anon_sym_virtual] = ACTIONS(2261),
    [anon_sym_alignas] = ACTIONS(2261),
    [anon_sym_explicit] = ACTIONS(2261),
    [anon_sym_typename] = ACTIONS(2261),
    [anon_sym_template] = ACTIONS(2261),
    [anon_sym_operator] = ACTIONS(2261),
    [anon_sym_try] = ACTIONS(2261),
    [anon_sym_delete] = ACTIONS(2261),
    [anon_sym_throw] = ACTIONS(2261),
    [anon_sym_namespace] = ACTIONS(2261),
    [anon_sym_using] = ACTIONS(2261),
    [anon_sym_static_assert] = ACTIONS(2261),
    [anon_sym_concept] = ACTIONS(2261),
    [anon_sym_co_return] = ACTIONS(2261),
    [anon_sym_co_yield] = ACTIONS(2261),
    [anon_sym_R_DQUOTE] = ACTIONS(2259),
    [anon_sym_LR_DQUOTE] = ACTIONS(2259),
    [anon_sym_uR_DQUOTE] = ACTIONS(2259),
    [anon_sym_UR_DQUOTE] = ACTIONS(2259),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2259),
    [anon_sym_co_await] = ACTIONS(2261),
    [anon_sym_new] = ACTIONS(2261),
    [anon_sym_requires] = ACTIONS(2261),
    [sym_this] = ACTIONS(2261),
  },
  [470] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_include_token1] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token2] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [aux_sym_preproc_else_token1] = ACTIONS(3162),
    [aux_sym_preproc_elif_token1] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym___cdecl] = ACTIONS(3162),
    [anon_sym___clrcall] = ACTIONS(3162),
    [anon_sym___stdcall] = ACTIONS(3162),
    [anon_sym___fastcall] = ACTIONS(3162),
    [anon_sym___thiscall] = ACTIONS(3162),
    [anon_sym___vectorcall] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_PROGMEM] = ACTIONS(3162),
    [aux_sym_primitive_type_token1] = ACTIONS(3162),
    [anon_sym_byte] = ACTIONS(3162),
    [anon_sym_word] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_else] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_goto] = ACTIONS(3162),
    [anon_sym___try] = ACTIONS(3162),
    [anon_sym___leave] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3162),
    [anon_sym_compl] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_sizeof] = ACTIONS(3162),
    [anon_sym___alignof__] = ACTIONS(3162),
    [anon_sym___alignof] = ACTIONS(3162),
    [anon_sym__alignof] = ACTIONS(3162),
    [anon_sym_alignof] = ACTIONS(3162),
    [anon_sym__Alignof] = ACTIONS(3162),
    [anon_sym_offsetof] = ACTIONS(3162),
    [anon_sym__Generic] = ACTIONS(3162),
    [anon_sym_asm] = ACTIONS(3162),
    [anon_sym___asm__] = ACTIONS(3162),
    [aux_sym_number_literal_token1] = ACTIONS(3164),
    [aux_sym_number_literal_token2] = ACTIONS(3162),
    [anon_sym_L_SQUOTE] = ACTIONS(3164),
    [anon_sym_u_SQUOTE] = ACTIONS(3164),
    [anon_sym_U_SQUOTE] = ACTIONS(3164),
    [anon_sym_u8_SQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_L_DQUOTE] = ACTIONS(3164),
    [anon_sym_u_DQUOTE] = ACTIONS(3164),
    [anon_sym_U_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8_DQUOTE] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [anon_sym_NULL] = ACTIONS(3162),
    [anon_sym_nullptr] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
    [anon_sym_concept] = ACTIONS(3162),
    [anon_sym_co_return] = ACTIONS(3162),
    [anon_sym_co_yield] = ACTIONS(3162),
    [anon_sym_R_DQUOTE] = ACTIONS(3164),
    [anon_sym_LR_DQUOTE] = ACTIONS(3164),
    [anon_sym_uR_DQUOTE] = ACTIONS(3164),
    [anon_sym_UR_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3164),
    [anon_sym_co_await] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_requires] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
  },
  [471] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [472] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [473] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [474] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2872),
    [anon_sym_BANG] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2872),
    [anon_sym_AMP_AMP] = ACTIONS(2872),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2872),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2872),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2872),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [anon_sym_PROGMEM] = ACTIONS(2867),
    [aux_sym_primitive_type_token1] = ACTIONS(2867),
    [anon_sym_byte] = ACTIONS(2867),
    [anon_sym_word] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2872),
    [anon_sym_PLUS_PLUS] = ACTIONS(2872),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [aux_sym_number_literal_token1] = ACTIONS(2872),
    [aux_sym_number_literal_token2] = ACTIONS(2867),
    [anon_sym_L_SQUOTE] = ACTIONS(2872),
    [anon_sym_u_SQUOTE] = ACTIONS(2872),
    [anon_sym_U_SQUOTE] = ACTIONS(2872),
    [anon_sym_u8_SQUOTE] = ACTIONS(2872),
    [anon_sym_SQUOTE] = ACTIONS(2872),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2872),
    [anon_sym_LR_DQUOTE] = ACTIONS(2872),
    [anon_sym_uR_DQUOTE] = ACTIONS(2872),
    [anon_sym_UR_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2872),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [475] = {
    [sym_identifier] = ACTIONS(3168),
    [aux_sym_preproc_include_token1] = ACTIONS(3168),
    [aux_sym_preproc_def_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3168),
    [aux_sym_preproc_else_token1] = ACTIONS(3168),
    [aux_sym_preproc_elif_token1] = ACTIONS(3168),
    [sym_preproc_directive] = ACTIONS(3168),
    [anon_sym_LPAREN2] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym___extension__] = ACTIONS(3168),
    [anon_sym_typedef] = ACTIONS(3168),
    [anon_sym_extern] = ACTIONS(3168),
    [anon_sym___attribute__] = ACTIONS(3168),
    [anon_sym_COLON_COLON] = ACTIONS(3170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3170),
    [anon_sym___declspec] = ACTIONS(3168),
    [anon_sym___based] = ACTIONS(3168),
    [anon_sym___cdecl] = ACTIONS(3168),
    [anon_sym___clrcall] = ACTIONS(3168),
    [anon_sym___stdcall] = ACTIONS(3168),
    [anon_sym___fastcall] = ACTIONS(3168),
    [anon_sym___thiscall] = ACTIONS(3168),
    [anon_sym___vectorcall] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_signed] = ACTIONS(3168),
    [anon_sym_unsigned] = ACTIONS(3168),
    [anon_sym_long] = ACTIONS(3168),
    [anon_sym_short] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_register] = ACTIONS(3168),
    [anon_sym_inline] = ACTIONS(3168),
    [anon_sym___inline] = ACTIONS(3168),
    [anon_sym___inline__] = ACTIONS(3168),
    [anon_sym___forceinline] = ACTIONS(3168),
    [anon_sym_thread_local] = ACTIONS(3168),
    [anon_sym___thread] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_constexpr] = ACTIONS(3168),
    [anon_sym_volatile] = ACTIONS(3168),
    [anon_sym_restrict] = ACTIONS(3168),
    [anon_sym___restrict__] = ACTIONS(3168),
    [anon_sym__Atomic] = ACTIONS(3168),
    [anon_sym__Noreturn] = ACTIONS(3168),
    [anon_sym_noreturn] = ACTIONS(3168),
    [anon_sym_mutable] = ACTIONS(3168),
    [anon_sym_constinit] = ACTIONS(3168),
    [anon_sym_consteval] = ACTIONS(3168),
    [anon_sym_PROGMEM] = ACTIONS(3168),
    [aux_sym_primitive_type_token1] = ACTIONS(3168),
    [anon_sym_byte] = ACTIONS(3168),
    [anon_sym_word] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_struct] = ACTIONS(3168),
    [anon_sym_union] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_else] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_case] = ACTIONS(3168),
    [anon_sym_default] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_goto] = ACTIONS(3168),
    [anon_sym___try] = ACTIONS(3168),
    [anon_sym___leave] = ACTIONS(3168),
    [anon_sym_not] = ACTIONS(3168),
    [anon_sym_compl] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_sizeof] = ACTIONS(3168),
    [anon_sym___alignof__] = ACTIONS(3168),
    [anon_sym___alignof] = ACTIONS(3168),
    [anon_sym__alignof] = ACTIONS(3168),
    [anon_sym_alignof] = ACTIONS(3168),
    [anon_sym__Alignof] = ACTIONS(3168),
    [anon_sym_offsetof] = ACTIONS(3168),
    [anon_sym__Generic] = ACTIONS(3168),
    [anon_sym_asm] = ACTIONS(3168),
    [anon_sym___asm__] = ACTIONS(3168),
    [aux_sym_number_literal_token1] = ACTIONS(3170),
    [aux_sym_number_literal_token2] = ACTIONS(3168),
    [anon_sym_L_SQUOTE] = ACTIONS(3170),
    [anon_sym_u_SQUOTE] = ACTIONS(3170),
    [anon_sym_U_SQUOTE] = ACTIONS(3170),
    [anon_sym_u8_SQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [anon_sym_L_DQUOTE] = ACTIONS(3170),
    [anon_sym_u_DQUOTE] = ACTIONS(3170),
    [anon_sym_U_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8_DQUOTE] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [anon_sym_NULL] = ACTIONS(3168),
    [anon_sym_nullptr] = ACTIONS(3168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3168),
    [anon_sym_decltype] = ACTIONS(3168),
    [anon_sym_virtual] = ACTIONS(3168),
    [anon_sym_alignas] = ACTIONS(3168),
    [anon_sym_explicit] = ACTIONS(3168),
    [anon_sym_typename] = ACTIONS(3168),
    [anon_sym_template] = ACTIONS(3168),
    [anon_sym_operator] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_static_assert] = ACTIONS(3168),
    [anon_sym_concept] = ACTIONS(3168),
    [anon_sym_co_return] = ACTIONS(3168),
    [anon_sym_co_yield] = ACTIONS(3168),
    [anon_sym_R_DQUOTE] = ACTIONS(3170),
    [anon_sym_LR_DQUOTE] = ACTIONS(3170),
    [anon_sym_uR_DQUOTE] = ACTIONS(3170),
    [anon_sym_UR_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3170),
    [anon_sym_co_await] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_requires] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
  },
  [476] = {
    [sym_identifier] = ACTIONS(3036),
    [aux_sym_preproc_include_token1] = ACTIONS(3036),
    [aux_sym_preproc_def_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token2] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3036),
    [aux_sym_preproc_else_token1] = ACTIONS(3036),
    [aux_sym_preproc_elif_token1] = ACTIONS(3036),
    [sym_preproc_directive] = ACTIONS(3036),
    [anon_sym_LPAREN2] = ACTIONS(3038),
    [anon_sym_BANG] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym___extension__] = ACTIONS(3036),
    [anon_sym_typedef] = ACTIONS(3036),
    [anon_sym_extern] = ACTIONS(3036),
    [anon_sym___attribute__] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3038),
    [anon_sym___declspec] = ACTIONS(3036),
    [anon_sym___based] = ACTIONS(3036),
    [anon_sym___cdecl] = ACTIONS(3036),
    [anon_sym___clrcall] = ACTIONS(3036),
    [anon_sym___stdcall] = ACTIONS(3036),
    [anon_sym___fastcall] = ACTIONS(3036),
    [anon_sym___thiscall] = ACTIONS(3036),
    [anon_sym___vectorcall] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3036),
    [anon_sym_unsigned] = ACTIONS(3036),
    [anon_sym_long] = ACTIONS(3036),
    [anon_sym_short] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3036),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_register] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym___inline] = ACTIONS(3036),
    [anon_sym___inline__] = ACTIONS(3036),
    [anon_sym___forceinline] = ACTIONS(3036),
    [anon_sym_thread_local] = ACTIONS(3036),
    [anon_sym___thread] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(3036),
    [anon_sym_restrict] = ACTIONS(3036),
    [anon_sym___restrict__] = ACTIONS(3036),
    [anon_sym__Atomic] = ACTIONS(3036),
    [anon_sym__Noreturn] = ACTIONS(3036),
    [anon_sym_noreturn] = ACTIONS(3036),
    [anon_sym_mutable] = ACTIONS(3036),
    [anon_sym_constinit] = ACTIONS(3036),
    [anon_sym_consteval] = ACTIONS(3036),
    [anon_sym_PROGMEM] = ACTIONS(3036),
    [aux_sym_primitive_type_token1] = ACTIONS(3036),
    [anon_sym_byte] = ACTIONS(3036),
    [anon_sym_word] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_struct] = ACTIONS(3036),
    [anon_sym_union] = ACTIONS(3036),
    [anon_sym_if] = ACTIONS(3036),
    [anon_sym_else] = ACTIONS(3036),
    [anon_sym_switch] = ACTIONS(3036),
    [anon_sym_case] = ACTIONS(3036),
    [anon_sym_default] = ACTIONS(3036),
    [anon_sym_while] = ACTIONS(3036),
    [anon_sym_do] = ACTIONS(3036),
    [anon_sym_for] = ACTIONS(3036),
    [anon_sym_return] = ACTIONS(3036),
    [anon_sym_break] = ACTIONS(3036),
    [anon_sym_continue] = ACTIONS(3036),
    [anon_sym_goto] = ACTIONS(3036),
    [anon_sym___try] = ACTIONS(3036),
    [anon_sym___leave] = ACTIONS(3036),
    [anon_sym_not] = ACTIONS(3036),
    [anon_sym_compl] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_sizeof] = ACTIONS(3036),
    [anon_sym___alignof__] = ACTIONS(3036),
    [anon_sym___alignof] = ACTIONS(3036),
    [anon_sym__alignof] = ACTIONS(3036),
    [anon_sym_alignof] = ACTIONS(3036),
    [anon_sym__Alignof] = ACTIONS(3036),
    [anon_sym_offsetof] = ACTIONS(3036),
    [anon_sym__Generic] = ACTIONS(3036),
    [anon_sym_asm] = ACTIONS(3036),
    [anon_sym___asm__] = ACTIONS(3036),
    [aux_sym_number_literal_token1] = ACTIONS(3038),
    [aux_sym_number_literal_token2] = ACTIONS(3036),
    [anon_sym_L_SQUOTE] = ACTIONS(3038),
    [anon_sym_u_SQUOTE] = ACTIONS(3038),
    [anon_sym_U_SQUOTE] = ACTIONS(3038),
    [anon_sym_u8_SQUOTE] = ACTIONS(3038),
    [anon_sym_SQUOTE] = ACTIONS(3038),
    [anon_sym_L_DQUOTE] = ACTIONS(3038),
    [anon_sym_u_DQUOTE] = ACTIONS(3038),
    [anon_sym_U_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8_DQUOTE] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3038),
    [sym_true] = ACTIONS(3036),
    [sym_false] = ACTIONS(3036),
    [anon_sym_NULL] = ACTIONS(3036),
    [anon_sym_nullptr] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3036),
    [anon_sym_decltype] = ACTIONS(3036),
    [anon_sym_virtual] = ACTIONS(3036),
    [anon_sym_alignas] = ACTIONS(3036),
    [anon_sym_explicit] = ACTIONS(3036),
    [anon_sym_typename] = ACTIONS(3036),
    [anon_sym_template] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_try] = ACTIONS(3036),
    [anon_sym_delete] = ACTIONS(3036),
    [anon_sym_throw] = ACTIONS(3036),
    [anon_sym_namespace] = ACTIONS(3036),
    [anon_sym_using] = ACTIONS(3036),
    [anon_sym_static_assert] = ACTIONS(3036),
    [anon_sym_concept] = ACTIONS(3036),
    [anon_sym_co_return] = ACTIONS(3036),
    [anon_sym_co_yield] = ACTIONS(3036),
    [anon_sym_R_DQUOTE] = ACTIONS(3038),
    [anon_sym_LR_DQUOTE] = ACTIONS(3038),
    [anon_sym_uR_DQUOTE] = ACTIONS(3038),
    [anon_sym_UR_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3038),
    [anon_sym_co_await] = ACTIONS(3036),
    [anon_sym_new] = ACTIONS(3036),
    [anon_sym_requires] = ACTIONS(3036),
    [sym_this] = ACTIONS(3036),
  },
  [477] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [478] = {
    [sym_identifier] = ACTIONS(3032),
    [aux_sym_preproc_include_token1] = ACTIONS(3032),
    [aux_sym_preproc_def_token1] = ACTIONS(3032),
    [aux_sym_preproc_if_token1] = ACTIONS(3032),
    [aux_sym_preproc_if_token2] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3032),
    [aux_sym_preproc_else_token1] = ACTIONS(3032),
    [aux_sym_preproc_elif_token1] = ACTIONS(3032),
    [sym_preproc_directive] = ACTIONS(3032),
    [anon_sym_LPAREN2] = ACTIONS(3034),
    [anon_sym_BANG] = ACTIONS(3034),
    [anon_sym_TILDE] = ACTIONS(3034),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_AMP] = ACTIONS(3032),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym___extension__] = ACTIONS(3032),
    [anon_sym_typedef] = ACTIONS(3032),
    [anon_sym_extern] = ACTIONS(3032),
    [anon_sym___attribute__] = ACTIONS(3032),
    [anon_sym_COLON_COLON] = ACTIONS(3034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3034),
    [anon_sym___declspec] = ACTIONS(3032),
    [anon_sym___based] = ACTIONS(3032),
    [anon_sym___cdecl] = ACTIONS(3032),
    [anon_sym___clrcall] = ACTIONS(3032),
    [anon_sym___stdcall] = ACTIONS(3032),
    [anon_sym___fastcall] = ACTIONS(3032),
    [anon_sym___thiscall] = ACTIONS(3032),
    [anon_sym___vectorcall] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(3034),
    [anon_sym_signed] = ACTIONS(3032),
    [anon_sym_unsigned] = ACTIONS(3032),
    [anon_sym_long] = ACTIONS(3032),
    [anon_sym_short] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3032),
    [anon_sym_static] = ACTIONS(3032),
    [anon_sym_register] = ACTIONS(3032),
    [anon_sym_inline] = ACTIONS(3032),
    [anon_sym___inline] = ACTIONS(3032),
    [anon_sym___inline__] = ACTIONS(3032),
    [anon_sym___forceinline] = ACTIONS(3032),
    [anon_sym_thread_local] = ACTIONS(3032),
    [anon_sym___thread] = ACTIONS(3032),
    [anon_sym_const] = ACTIONS(3032),
    [anon_sym_constexpr] = ACTIONS(3032),
    [anon_sym_volatile] = ACTIONS(3032),
    [anon_sym_restrict] = ACTIONS(3032),
    [anon_sym___restrict__] = ACTIONS(3032),
    [anon_sym__Atomic] = ACTIONS(3032),
    [anon_sym__Noreturn] = ACTIONS(3032),
    [anon_sym_noreturn] = ACTIONS(3032),
    [anon_sym_mutable] = ACTIONS(3032),
    [anon_sym_constinit] = ACTIONS(3032),
    [anon_sym_consteval] = ACTIONS(3032),
    [anon_sym_PROGMEM] = ACTIONS(3032),
    [aux_sym_primitive_type_token1] = ACTIONS(3032),
    [anon_sym_byte] = ACTIONS(3032),
    [anon_sym_word] = ACTIONS(3032),
    [anon_sym_enum] = ACTIONS(3032),
    [anon_sym_class] = ACTIONS(3032),
    [anon_sym_struct] = ACTIONS(3032),
    [anon_sym_union] = ACTIONS(3032),
    [anon_sym_if] = ACTIONS(3032),
    [anon_sym_else] = ACTIONS(3032),
    [anon_sym_switch] = ACTIONS(3032),
    [anon_sym_case] = ACTIONS(3032),
    [anon_sym_default] = ACTIONS(3032),
    [anon_sym_while] = ACTIONS(3032),
    [anon_sym_do] = ACTIONS(3032),
    [anon_sym_for] = ACTIONS(3032),
    [anon_sym_return] = ACTIONS(3032),
    [anon_sym_break] = ACTIONS(3032),
    [anon_sym_continue] = ACTIONS(3032),
    [anon_sym_goto] = ACTIONS(3032),
    [anon_sym___try] = ACTIONS(3032),
    [anon_sym___leave] = ACTIONS(3032),
    [anon_sym_not] = ACTIONS(3032),
    [anon_sym_compl] = ACTIONS(3032),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_sizeof] = ACTIONS(3032),
    [anon_sym___alignof__] = ACTIONS(3032),
    [anon_sym___alignof] = ACTIONS(3032),
    [anon_sym__alignof] = ACTIONS(3032),
    [anon_sym_alignof] = ACTIONS(3032),
    [anon_sym__Alignof] = ACTIONS(3032),
    [anon_sym_offsetof] = ACTIONS(3032),
    [anon_sym__Generic] = ACTIONS(3032),
    [anon_sym_asm] = ACTIONS(3032),
    [anon_sym___asm__] = ACTIONS(3032),
    [aux_sym_number_literal_token1] = ACTIONS(3034),
    [aux_sym_number_literal_token2] = ACTIONS(3032),
    [anon_sym_L_SQUOTE] = ACTIONS(3034),
    [anon_sym_u_SQUOTE] = ACTIONS(3034),
    [anon_sym_U_SQUOTE] = ACTIONS(3034),
    [anon_sym_u8_SQUOTE] = ACTIONS(3034),
    [anon_sym_SQUOTE] = ACTIONS(3034),
    [anon_sym_L_DQUOTE] = ACTIONS(3034),
    [anon_sym_u_DQUOTE] = ACTIONS(3034),
    [anon_sym_U_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8_DQUOTE] = ACTIONS(3034),
    [anon_sym_DQUOTE] = ACTIONS(3034),
    [sym_true] = ACTIONS(3032),
    [sym_false] = ACTIONS(3032),
    [anon_sym_NULL] = ACTIONS(3032),
    [anon_sym_nullptr] = ACTIONS(3032),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3032),
    [anon_sym_decltype] = ACTIONS(3032),
    [anon_sym_virtual] = ACTIONS(3032),
    [anon_sym_alignas] = ACTIONS(3032),
    [anon_sym_explicit] = ACTIONS(3032),
    [anon_sym_typename] = ACTIONS(3032),
    [anon_sym_template] = ACTIONS(3032),
    [anon_sym_operator] = ACTIONS(3032),
    [anon_sym_try] = ACTIONS(3032),
    [anon_sym_delete] = ACTIONS(3032),
    [anon_sym_throw] = ACTIONS(3032),
    [anon_sym_namespace] = ACTIONS(3032),
    [anon_sym_using] = ACTIONS(3032),
    [anon_sym_static_assert] = ACTIONS(3032),
    [anon_sym_concept] = ACTIONS(3032),
    [anon_sym_co_return] = ACTIONS(3032),
    [anon_sym_co_yield] = ACTIONS(3032),
    [anon_sym_R_DQUOTE] = ACTIONS(3034),
    [anon_sym_LR_DQUOTE] = ACTIONS(3034),
    [anon_sym_uR_DQUOTE] = ACTIONS(3034),
    [anon_sym_UR_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3034),
    [anon_sym_co_await] = ACTIONS(3032),
    [anon_sym_new] = ACTIONS(3032),
    [anon_sym_requires] = ACTIONS(3032),
    [sym_this] = ACTIONS(3032),
  },
  [479] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [480] = {
    [sym_catch_clause] = STATE(442),
    [aux_sym_constructor_try_statement_repeat1] = STATE(442),
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_include_token1] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_BANG] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym___cdecl] = ACTIONS(2858),
    [anon_sym___clrcall] = ACTIONS(2858),
    [anon_sym___stdcall] = ACTIONS(2858),
    [anon_sym___fastcall] = ACTIONS(2858),
    [anon_sym___thiscall] = ACTIONS(2858),
    [anon_sym___vectorcall] = ACTIONS(2858),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_RBRACE] = ACTIONS(2860),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [anon_sym_PROGMEM] = ACTIONS(2858),
    [aux_sym_primitive_type_token1] = ACTIONS(2858),
    [anon_sym_byte] = ACTIONS(2858),
    [anon_sym_word] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [anon_sym_if] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2858),
    [anon_sym_case] = ACTIONS(2858),
    [anon_sym_default] = ACTIONS(2858),
    [anon_sym_while] = ACTIONS(2858),
    [anon_sym_do] = ACTIONS(2858),
    [anon_sym_for] = ACTIONS(2858),
    [anon_sym_return] = ACTIONS(2858),
    [anon_sym_break] = ACTIONS(2858),
    [anon_sym_continue] = ACTIONS(2858),
    [anon_sym_goto] = ACTIONS(2858),
    [anon_sym___try] = ACTIONS(2858),
    [anon_sym___leave] = ACTIONS(2858),
    [anon_sym_not] = ACTIONS(2858),
    [anon_sym_compl] = ACTIONS(2858),
    [anon_sym_DASH_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_PLUS] = ACTIONS(2860),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2858),
    [anon_sym___alignof] = ACTIONS(2858),
    [anon_sym__alignof] = ACTIONS(2858),
    [anon_sym_alignof] = ACTIONS(2858),
    [anon_sym__Alignof] = ACTIONS(2858),
    [anon_sym_offsetof] = ACTIONS(2858),
    [anon_sym__Generic] = ACTIONS(2858),
    [anon_sym_asm] = ACTIONS(2858),
    [anon_sym___asm__] = ACTIONS(2858),
    [aux_sym_number_literal_token1] = ACTIONS(2860),
    [aux_sym_number_literal_token2] = ACTIONS(2858),
    [anon_sym_L_SQUOTE] = ACTIONS(2860),
    [anon_sym_u_SQUOTE] = ACTIONS(2860),
    [anon_sym_U_SQUOTE] = ACTIONS(2860),
    [anon_sym_u8_SQUOTE] = ACTIONS(2860),
    [anon_sym_SQUOTE] = ACTIONS(2860),
    [anon_sym_L_DQUOTE] = ACTIONS(2860),
    [anon_sym_u_DQUOTE] = ACTIONS(2860),
    [anon_sym_U_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [sym_true] = ACTIONS(2858),
    [sym_false] = ACTIONS(2858),
    [anon_sym_NULL] = ACTIONS(2858),
    [anon_sym_nullptr] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [anon_sym_virtual] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_try] = ACTIONS(2858),
    [anon_sym_delete] = ACTIONS(2858),
    [anon_sym_throw] = ACTIONS(2858),
    [anon_sym_namespace] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
    [anon_sym_concept] = ACTIONS(2858),
    [anon_sym_co_return] = ACTIONS(2858),
    [anon_sym_co_yield] = ACTIONS(2858),
    [anon_sym_catch] = ACTIONS(3334),
    [anon_sym_R_DQUOTE] = ACTIONS(2860),
    [anon_sym_LR_DQUOTE] = ACTIONS(2860),
    [anon_sym_uR_DQUOTE] = ACTIONS(2860),
    [anon_sym_UR_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2860),
    [anon_sym_co_await] = ACTIONS(2858),
    [anon_sym_new] = ACTIONS(2858),
    [anon_sym_requires] = ACTIONS(2858),
    [sym_this] = ACTIONS(2858),
  },
  [481] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [482] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [483] = {
    [sym_identifier] = ACTIONS(3048),
    [aux_sym_preproc_include_token1] = ACTIONS(3048),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token2] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3048),
    [aux_sym_preproc_else_token1] = ACTIONS(3048),
    [aux_sym_preproc_elif_token1] = ACTIONS(3048),
    [sym_preproc_directive] = ACTIONS(3048),
    [anon_sym_LPAREN2] = ACTIONS(3050),
    [anon_sym_BANG] = ACTIONS(3050),
    [anon_sym_TILDE] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3048),
    [anon_sym_STAR] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3050),
    [anon_sym_AMP] = ACTIONS(3048),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym___extension__] = ACTIONS(3048),
    [anon_sym_typedef] = ACTIONS(3048),
    [anon_sym_extern] = ACTIONS(3048),
    [anon_sym___attribute__] = ACTIONS(3048),
    [anon_sym_COLON_COLON] = ACTIONS(3050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3050),
    [anon_sym___declspec] = ACTIONS(3048),
    [anon_sym___based] = ACTIONS(3048),
    [anon_sym___cdecl] = ACTIONS(3048),
    [anon_sym___clrcall] = ACTIONS(3048),
    [anon_sym___stdcall] = ACTIONS(3048),
    [anon_sym___fastcall] = ACTIONS(3048),
    [anon_sym___thiscall] = ACTIONS(3048),
    [anon_sym___vectorcall] = ACTIONS(3048),
    [anon_sym_LBRACE] = ACTIONS(3050),
    [anon_sym_signed] = ACTIONS(3048),
    [anon_sym_unsigned] = ACTIONS(3048),
    [anon_sym_long] = ACTIONS(3048),
    [anon_sym_short] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(3048),
    [anon_sym_static] = ACTIONS(3048),
    [anon_sym_register] = ACTIONS(3048),
    [anon_sym_inline] = ACTIONS(3048),
    [anon_sym___inline] = ACTIONS(3048),
    [anon_sym___inline__] = ACTIONS(3048),
    [anon_sym___forceinline] = ACTIONS(3048),
    [anon_sym_thread_local] = ACTIONS(3048),
    [anon_sym___thread] = ACTIONS(3048),
    [anon_sym_const] = ACTIONS(3048),
    [anon_sym_constexpr] = ACTIONS(3048),
    [anon_sym_volatile] = ACTIONS(3048),
    [anon_sym_restrict] = ACTIONS(3048),
    [anon_sym___restrict__] = ACTIONS(3048),
    [anon_sym__Atomic] = ACTIONS(3048),
    [anon_sym__Noreturn] = ACTIONS(3048),
    [anon_sym_noreturn] = ACTIONS(3048),
    [anon_sym_mutable] = ACTIONS(3048),
    [anon_sym_constinit] = ACTIONS(3048),
    [anon_sym_consteval] = ACTIONS(3048),
    [anon_sym_PROGMEM] = ACTIONS(3048),
    [aux_sym_primitive_type_token1] = ACTIONS(3048),
    [anon_sym_byte] = ACTIONS(3048),
    [anon_sym_word] = ACTIONS(3048),
    [anon_sym_enum] = ACTIONS(3048),
    [anon_sym_class] = ACTIONS(3048),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3048),
    [anon_sym_if] = ACTIONS(3048),
    [anon_sym_else] = ACTIONS(3048),
    [anon_sym_switch] = ACTIONS(3048),
    [anon_sym_case] = ACTIONS(3048),
    [anon_sym_default] = ACTIONS(3048),
    [anon_sym_while] = ACTIONS(3048),
    [anon_sym_do] = ACTIONS(3048),
    [anon_sym_for] = ACTIONS(3048),
    [anon_sym_return] = ACTIONS(3048),
    [anon_sym_break] = ACTIONS(3048),
    [anon_sym_continue] = ACTIONS(3048),
    [anon_sym_goto] = ACTIONS(3048),
    [anon_sym___try] = ACTIONS(3048),
    [anon_sym___leave] = ACTIONS(3048),
    [anon_sym_not] = ACTIONS(3048),
    [anon_sym_compl] = ACTIONS(3048),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_sizeof] = ACTIONS(3048),
    [anon_sym___alignof__] = ACTIONS(3048),
    [anon_sym___alignof] = ACTIONS(3048),
    [anon_sym__alignof] = ACTIONS(3048),
    [anon_sym_alignof] = ACTIONS(3048),
    [anon_sym__Alignof] = ACTIONS(3048),
    [anon_sym_offsetof] = ACTIONS(3048),
    [anon_sym__Generic] = ACTIONS(3048),
    [anon_sym_asm] = ACTIONS(3048),
    [anon_sym___asm__] = ACTIONS(3048),
    [aux_sym_number_literal_token1] = ACTIONS(3050),
    [aux_sym_number_literal_token2] = ACTIONS(3048),
    [anon_sym_L_SQUOTE] = ACTIONS(3050),
    [anon_sym_u_SQUOTE] = ACTIONS(3050),
    [anon_sym_U_SQUOTE] = ACTIONS(3050),
    [anon_sym_u8_SQUOTE] = ACTIONS(3050),
    [anon_sym_SQUOTE] = ACTIONS(3050),
    [anon_sym_L_DQUOTE] = ACTIONS(3050),
    [anon_sym_u_DQUOTE] = ACTIONS(3050),
    [anon_sym_U_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8_DQUOTE] = ACTIONS(3050),
    [anon_sym_DQUOTE] = ACTIONS(3050),
    [sym_true] = ACTIONS(3048),
    [sym_false] = ACTIONS(3048),
    [anon_sym_NULL] = ACTIONS(3048),
    [anon_sym_nullptr] = ACTIONS(3048),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3048),
    [anon_sym_decltype] = ACTIONS(3048),
    [anon_sym_virtual] = ACTIONS(3048),
    [anon_sym_alignas] = ACTIONS(3048),
    [anon_sym_explicit] = ACTIONS(3048),
    [anon_sym_typename] = ACTIONS(3048),
    [anon_sym_template] = ACTIONS(3048),
    [anon_sym_operator] = ACTIONS(3048),
    [anon_sym_try] = ACTIONS(3048),
    [anon_sym_delete] = ACTIONS(3048),
    [anon_sym_throw] = ACTIONS(3048),
    [anon_sym_namespace] = ACTIONS(3048),
    [anon_sym_using] = ACTIONS(3048),
    [anon_sym_static_assert] = ACTIONS(3048),
    [anon_sym_concept] = ACTIONS(3048),
    [anon_sym_co_return] = ACTIONS(3048),
    [anon_sym_co_yield] = ACTIONS(3048),
    [anon_sym_R_DQUOTE] = ACTIONS(3050),
    [anon_sym_LR_DQUOTE] = ACTIONS(3050),
    [anon_sym_uR_DQUOTE] = ACTIONS(3050),
    [anon_sym_UR_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3050),
    [anon_sym_co_await] = ACTIONS(3048),
    [anon_sym_new] = ACTIONS(3048),
    [anon_sym_requires] = ACTIONS(3048),
    [sym_this] = ACTIONS(3048),
  },
  [484] = {
    [sym_identifier] = ACTIONS(3056),
    [aux_sym_preproc_include_token1] = ACTIONS(3056),
    [aux_sym_preproc_def_token1] = ACTIONS(3056),
    [aux_sym_preproc_if_token1] = ACTIONS(3056),
    [aux_sym_preproc_if_token2] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3056),
    [aux_sym_preproc_else_token1] = ACTIONS(3056),
    [aux_sym_preproc_elif_token1] = ACTIONS(3056),
    [sym_preproc_directive] = ACTIONS(3056),
    [anon_sym_LPAREN2] = ACTIONS(3058),
    [anon_sym_BANG] = ACTIONS(3058),
    [anon_sym_TILDE] = ACTIONS(3058),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym___extension__] = ACTIONS(3056),
    [anon_sym_typedef] = ACTIONS(3056),
    [anon_sym_extern] = ACTIONS(3056),
    [anon_sym___attribute__] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3058),
    [anon_sym___declspec] = ACTIONS(3056),
    [anon_sym___based] = ACTIONS(3056),
    [anon_sym___cdecl] = ACTIONS(3056),
    [anon_sym___clrcall] = ACTIONS(3056),
    [anon_sym___stdcall] = ACTIONS(3056),
    [anon_sym___fastcall] = ACTIONS(3056),
    [anon_sym___thiscall] = ACTIONS(3056),
    [anon_sym___vectorcall] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_signed] = ACTIONS(3056),
    [anon_sym_unsigned] = ACTIONS(3056),
    [anon_sym_long] = ACTIONS(3056),
    [anon_sym_short] = ACTIONS(3056),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [anon_sym_static] = ACTIONS(3056),
    [anon_sym_register] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym___inline] = ACTIONS(3056),
    [anon_sym___inline__] = ACTIONS(3056),
    [anon_sym___forceinline] = ACTIONS(3056),
    [anon_sym_thread_local] = ACTIONS(3056),
    [anon_sym___thread] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_constexpr] = ACTIONS(3056),
    [anon_sym_volatile] = ACTIONS(3056),
    [anon_sym_restrict] = ACTIONS(3056),
    [anon_sym___restrict__] = ACTIONS(3056),
    [anon_sym__Atomic] = ACTIONS(3056),
    [anon_sym__Noreturn] = ACTIONS(3056),
    [anon_sym_noreturn] = ACTIONS(3056),
    [anon_sym_mutable] = ACTIONS(3056),
    [anon_sym_constinit] = ACTIONS(3056),
    [anon_sym_consteval] = ACTIONS(3056),
    [anon_sym_PROGMEM] = ACTIONS(3056),
    [aux_sym_primitive_type_token1] = ACTIONS(3056),
    [anon_sym_byte] = ACTIONS(3056),
    [anon_sym_word] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_class] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3056),
    [anon_sym_union] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(3056),
    [anon_sym_else] = ACTIONS(3056),
    [anon_sym_switch] = ACTIONS(3056),
    [anon_sym_case] = ACTIONS(3056),
    [anon_sym_default] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_do] = ACTIONS(3056),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_return] = ACTIONS(3056),
    [anon_sym_break] = ACTIONS(3056),
    [anon_sym_continue] = ACTIONS(3056),
    [anon_sym_goto] = ACTIONS(3056),
    [anon_sym___try] = ACTIONS(3056),
    [anon_sym___leave] = ACTIONS(3056),
    [anon_sym_not] = ACTIONS(3056),
    [anon_sym_compl] = ACTIONS(3056),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_sizeof] = ACTIONS(3056),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3056),
    [anon_sym__Generic] = ACTIONS(3056),
    [anon_sym_asm] = ACTIONS(3056),
    [anon_sym___asm__] = ACTIONS(3056),
    [aux_sym_number_literal_token1] = ACTIONS(3058),
    [aux_sym_number_literal_token2] = ACTIONS(3056),
    [anon_sym_L_SQUOTE] = ACTIONS(3058),
    [anon_sym_u_SQUOTE] = ACTIONS(3058),
    [anon_sym_U_SQUOTE] = ACTIONS(3058),
    [anon_sym_u8_SQUOTE] = ACTIONS(3058),
    [anon_sym_SQUOTE] = ACTIONS(3058),
    [anon_sym_L_DQUOTE] = ACTIONS(3058),
    [anon_sym_u_DQUOTE] = ACTIONS(3058),
    [anon_sym_U_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8_DQUOTE] = ACTIONS(3058),
    [anon_sym_DQUOTE] = ACTIONS(3058),
    [sym_true] = ACTIONS(3056),
    [sym_false] = ACTIONS(3056),
    [anon_sym_NULL] = ACTIONS(3056),
    [anon_sym_nullptr] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3056),
    [anon_sym_decltype] = ACTIONS(3056),
    [anon_sym_virtual] = ACTIONS(3056),
    [anon_sym_alignas] = ACTIONS(3056),
    [anon_sym_explicit] = ACTIONS(3056),
    [anon_sym_typename] = ACTIONS(3056),
    [anon_sym_template] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_try] = ACTIONS(3056),
    [anon_sym_delete] = ACTIONS(3056),
    [anon_sym_throw] = ACTIONS(3056),
    [anon_sym_namespace] = ACTIONS(3056),
    [anon_sym_using] = ACTIONS(3056),
    [anon_sym_static_assert] = ACTIONS(3056),
    [anon_sym_concept] = ACTIONS(3056),
    [anon_sym_co_return] = ACTIONS(3056),
    [anon_sym_co_yield] = ACTIONS(3056),
    [anon_sym_R_DQUOTE] = ACTIONS(3058),
    [anon_sym_LR_DQUOTE] = ACTIONS(3058),
    [anon_sym_uR_DQUOTE] = ACTIONS(3058),
    [anon_sym_UR_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3058),
    [anon_sym_co_await] = ACTIONS(3056),
    [anon_sym_new] = ACTIONS(3056),
    [anon_sym_requires] = ACTIONS(3056),
    [sym_this] = ACTIONS(3056),
  },
  [485] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [486] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [487] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [488] = {
    [sym_identifier] = ACTIONS(3172),
    [aux_sym_preproc_include_token1] = ACTIONS(3172),
    [aux_sym_preproc_def_token1] = ACTIONS(3172),
    [aux_sym_preproc_if_token1] = ACTIONS(3172),
    [aux_sym_preproc_if_token2] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3172),
    [aux_sym_preproc_else_token1] = ACTIONS(3172),
    [aux_sym_preproc_elif_token1] = ACTIONS(3172),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_AMP_AMP] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym___extension__] = ACTIONS(3172),
    [anon_sym_typedef] = ACTIONS(3172),
    [anon_sym_extern] = ACTIONS(3172),
    [anon_sym___attribute__] = ACTIONS(3172),
    [anon_sym_COLON_COLON] = ACTIONS(3174),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3174),
    [anon_sym___declspec] = ACTIONS(3172),
    [anon_sym___based] = ACTIONS(3172),
    [anon_sym___cdecl] = ACTIONS(3172),
    [anon_sym___clrcall] = ACTIONS(3172),
    [anon_sym___stdcall] = ACTIONS(3172),
    [anon_sym___fastcall] = ACTIONS(3172),
    [anon_sym___thiscall] = ACTIONS(3172),
    [anon_sym___vectorcall] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_signed] = ACTIONS(3172),
    [anon_sym_unsigned] = ACTIONS(3172),
    [anon_sym_long] = ACTIONS(3172),
    [anon_sym_short] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_register] = ACTIONS(3172),
    [anon_sym_inline] = ACTIONS(3172),
    [anon_sym___inline] = ACTIONS(3172),
    [anon_sym___inline__] = ACTIONS(3172),
    [anon_sym___forceinline] = ACTIONS(3172),
    [anon_sym_thread_local] = ACTIONS(3172),
    [anon_sym___thread] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_constexpr] = ACTIONS(3172),
    [anon_sym_volatile] = ACTIONS(3172),
    [anon_sym_restrict] = ACTIONS(3172),
    [anon_sym___restrict__] = ACTIONS(3172),
    [anon_sym__Atomic] = ACTIONS(3172),
    [anon_sym__Noreturn] = ACTIONS(3172),
    [anon_sym_noreturn] = ACTIONS(3172),
    [anon_sym_mutable] = ACTIONS(3172),
    [anon_sym_constinit] = ACTIONS(3172),
    [anon_sym_consteval] = ACTIONS(3172),
    [anon_sym_PROGMEM] = ACTIONS(3172),
    [aux_sym_primitive_type_token1] = ACTIONS(3172),
    [anon_sym_byte] = ACTIONS(3172),
    [anon_sym_word] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_struct] = ACTIONS(3172),
    [anon_sym_union] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_goto] = ACTIONS(3172),
    [anon_sym___try] = ACTIONS(3172),
    [anon_sym___leave] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3172),
    [anon_sym_compl] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(3172),
    [anon_sym___alignof__] = ACTIONS(3172),
    [anon_sym___alignof] = ACTIONS(3172),
    [anon_sym__alignof] = ACTIONS(3172),
    [anon_sym_alignof] = ACTIONS(3172),
    [anon_sym__Alignof] = ACTIONS(3172),
    [anon_sym_offsetof] = ACTIONS(3172),
    [anon_sym__Generic] = ACTIONS(3172),
    [anon_sym_asm] = ACTIONS(3172),
    [anon_sym___asm__] = ACTIONS(3172),
    [aux_sym_number_literal_token1] = ACTIONS(3174),
    [aux_sym_number_literal_token2] = ACTIONS(3172),
    [anon_sym_L_SQUOTE] = ACTIONS(3174),
    [anon_sym_u_SQUOTE] = ACTIONS(3174),
    [anon_sym_U_SQUOTE] = ACTIONS(3174),
    [anon_sym_u8_SQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [anon_sym_L_DQUOTE] = ACTIONS(3174),
    [anon_sym_u_DQUOTE] = ACTIONS(3174),
    [anon_sym_U_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8_DQUOTE] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [anon_sym_NULL] = ACTIONS(3172),
    [anon_sym_nullptr] = ACTIONS(3172),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3172),
    [anon_sym_decltype] = ACTIONS(3172),
    [anon_sym_virtual] = ACTIONS(3172),
    [anon_sym_alignas] = ACTIONS(3172),
    [anon_sym_explicit] = ACTIONS(3172),
    [anon_sym_typename] = ACTIONS(3172),
    [anon_sym_template] = ACTIONS(3172),
    [anon_sym_operator] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_static_assert] = ACTIONS(3172),
    [anon_sym_concept] = ACTIONS(3172),
    [anon_sym_co_return] = ACTIONS(3172),
    [anon_sym_co_yield] = ACTIONS(3172),
    [anon_sym_R_DQUOTE] = ACTIONS(3174),
    [anon_sym_LR_DQUOTE] = ACTIONS(3174),
    [anon_sym_uR_DQUOTE] = ACTIONS(3174),
    [anon_sym_UR_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3174),
    [anon_sym_co_await] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_requires] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
  },
  [489] = {
    [sym_catch_clause] = STATE(441),
    [aux_sym_constructor_try_statement_repeat1] = STATE(441),
    [sym_identifier] = ACTIONS(2854),
    [aux_sym_preproc_include_token1] = ACTIONS(2854),
    [aux_sym_preproc_def_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token2] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2854),
    [sym_preproc_directive] = ACTIONS(2854),
    [anon_sym_LPAREN2] = ACTIONS(2856),
    [anon_sym_BANG] = ACTIONS(2856),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym_SEMI] = ACTIONS(2856),
    [anon_sym___extension__] = ACTIONS(2854),
    [anon_sym_typedef] = ACTIONS(2854),
    [anon_sym_extern] = ACTIONS(2854),
    [anon_sym___attribute__] = ACTIONS(2854),
    [anon_sym_COLON_COLON] = ACTIONS(2856),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2856),
    [anon_sym___declspec] = ACTIONS(2854),
    [anon_sym___based] = ACTIONS(2854),
    [anon_sym___cdecl] = ACTIONS(2854),
    [anon_sym___clrcall] = ACTIONS(2854),
    [anon_sym___stdcall] = ACTIONS(2854),
    [anon_sym___fastcall] = ACTIONS(2854),
    [anon_sym___thiscall] = ACTIONS(2854),
    [anon_sym___vectorcall] = ACTIONS(2854),
    [anon_sym_LBRACE] = ACTIONS(2856),
    [anon_sym_signed] = ACTIONS(2854),
    [anon_sym_unsigned] = ACTIONS(2854),
    [anon_sym_long] = ACTIONS(2854),
    [anon_sym_short] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_register] = ACTIONS(2854),
    [anon_sym_inline] = ACTIONS(2854),
    [anon_sym___inline] = ACTIONS(2854),
    [anon_sym___inline__] = ACTIONS(2854),
    [anon_sym___forceinline] = ACTIONS(2854),
    [anon_sym_thread_local] = ACTIONS(2854),
    [anon_sym___thread] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_constexpr] = ACTIONS(2854),
    [anon_sym_volatile] = ACTIONS(2854),
    [anon_sym_restrict] = ACTIONS(2854),
    [anon_sym___restrict__] = ACTIONS(2854),
    [anon_sym__Atomic] = ACTIONS(2854),
    [anon_sym__Noreturn] = ACTIONS(2854),
    [anon_sym_noreturn] = ACTIONS(2854),
    [anon_sym_mutable] = ACTIONS(2854),
    [anon_sym_constinit] = ACTIONS(2854),
    [anon_sym_consteval] = ACTIONS(2854),
    [anon_sym_PROGMEM] = ACTIONS(2854),
    [aux_sym_primitive_type_token1] = ACTIONS(2854),
    [anon_sym_byte] = ACTIONS(2854),
    [anon_sym_word] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_struct] = ACTIONS(2854),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_switch] = ACTIONS(2854),
    [anon_sym_case] = ACTIONS(2854),
    [anon_sym_default] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2854),
    [anon_sym_do] = ACTIONS(2854),
    [anon_sym_for] = ACTIONS(2854),
    [anon_sym_return] = ACTIONS(2854),
    [anon_sym_break] = ACTIONS(2854),
    [anon_sym_continue] = ACTIONS(2854),
    [anon_sym_goto] = ACTIONS(2854),
    [anon_sym___try] = ACTIONS(2854),
    [anon_sym___leave] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2854),
    [anon_sym_compl] = ACTIONS(2854),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2854),
    [anon_sym___alignof__] = ACTIONS(2854),
    [anon_sym___alignof] = ACTIONS(2854),
    [anon_sym__alignof] = ACTIONS(2854),
    [anon_sym_alignof] = ACTIONS(2854),
    [anon_sym__Alignof] = ACTIONS(2854),
    [anon_sym_offsetof] = ACTIONS(2854),
    [anon_sym__Generic] = ACTIONS(2854),
    [anon_sym_asm] = ACTIONS(2854),
    [anon_sym___asm__] = ACTIONS(2854),
    [aux_sym_number_literal_token1] = ACTIONS(2856),
    [aux_sym_number_literal_token2] = ACTIONS(2854),
    [anon_sym_L_SQUOTE] = ACTIONS(2856),
    [anon_sym_u_SQUOTE] = ACTIONS(2856),
    [anon_sym_U_SQUOTE] = ACTIONS(2856),
    [anon_sym_u8_SQUOTE] = ACTIONS(2856),
    [anon_sym_SQUOTE] = ACTIONS(2856),
    [anon_sym_L_DQUOTE] = ACTIONS(2856),
    [anon_sym_u_DQUOTE] = ACTIONS(2856),
    [anon_sym_U_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8_DQUOTE] = ACTIONS(2856),
    [anon_sym_DQUOTE] = ACTIONS(2856),
    [sym_true] = ACTIONS(2854),
    [sym_false] = ACTIONS(2854),
    [anon_sym_NULL] = ACTIONS(2854),
    [anon_sym_nullptr] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2854),
    [anon_sym_decltype] = ACTIONS(2854),
    [anon_sym_virtual] = ACTIONS(2854),
    [anon_sym_alignas] = ACTIONS(2854),
    [anon_sym_explicit] = ACTIONS(2854),
    [anon_sym_typename] = ACTIONS(2854),
    [anon_sym_template] = ACTIONS(2854),
    [anon_sym_operator] = ACTIONS(2854),
    [anon_sym_try] = ACTIONS(2854),
    [anon_sym_delete] = ACTIONS(2854),
    [anon_sym_throw] = ACTIONS(2854),
    [anon_sym_namespace] = ACTIONS(2854),
    [anon_sym_using] = ACTIONS(2854),
    [anon_sym_static_assert] = ACTIONS(2854),
    [anon_sym_concept] = ACTIONS(2854),
    [anon_sym_co_return] = ACTIONS(2854),
    [anon_sym_co_yield] = ACTIONS(2854),
    [anon_sym_catch] = ACTIONS(3282),
    [anon_sym_R_DQUOTE] = ACTIONS(2856),
    [anon_sym_LR_DQUOTE] = ACTIONS(2856),
    [anon_sym_uR_DQUOTE] = ACTIONS(2856),
    [anon_sym_UR_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2856),
    [anon_sym_co_await] = ACTIONS(2854),
    [anon_sym_new] = ACTIONS(2854),
    [anon_sym_requires] = ACTIONS(2854),
    [sym_this] = ACTIONS(2854),
  },
  [490] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [491] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_include_token1] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token2] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [aux_sym_preproc_else_token1] = ACTIONS(3076),
    [aux_sym_preproc_elif_token1] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym___cdecl] = ACTIONS(3076),
    [anon_sym___clrcall] = ACTIONS(3076),
    [anon_sym___stdcall] = ACTIONS(3076),
    [anon_sym___fastcall] = ACTIONS(3076),
    [anon_sym___thiscall] = ACTIONS(3076),
    [anon_sym___vectorcall] = ACTIONS(3076),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3076),
    [anon_sym_else] = ACTIONS(3076),
    [anon_sym_switch] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_default] = ACTIONS(3076),
    [anon_sym_while] = ACTIONS(3076),
    [anon_sym_do] = ACTIONS(3076),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_return] = ACTIONS(3076),
    [anon_sym_break] = ACTIONS(3076),
    [anon_sym_continue] = ACTIONS(3076),
    [anon_sym_goto] = ACTIONS(3076),
    [anon_sym___try] = ACTIONS(3076),
    [anon_sym___leave] = ACTIONS(3076),
    [anon_sym_not] = ACTIONS(3076),
    [anon_sym_compl] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_sizeof] = ACTIONS(3076),
    [anon_sym___alignof__] = ACTIONS(3076),
    [anon_sym___alignof] = ACTIONS(3076),
    [anon_sym__alignof] = ACTIONS(3076),
    [anon_sym_alignof] = ACTIONS(3076),
    [anon_sym__Alignof] = ACTIONS(3076),
    [anon_sym_offsetof] = ACTIONS(3076),
    [anon_sym__Generic] = ACTIONS(3076),
    [anon_sym_asm] = ACTIONS(3076),
    [anon_sym___asm__] = ACTIONS(3076),
    [aux_sym_number_literal_token1] = ACTIONS(3078),
    [aux_sym_number_literal_token2] = ACTIONS(3076),
    [anon_sym_L_SQUOTE] = ACTIONS(3078),
    [anon_sym_u_SQUOTE] = ACTIONS(3078),
    [anon_sym_U_SQUOTE] = ACTIONS(3078),
    [anon_sym_u8_SQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_L_DQUOTE] = ACTIONS(3078),
    [anon_sym_u_DQUOTE] = ACTIONS(3078),
    [anon_sym_U_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [sym_true] = ACTIONS(3076),
    [sym_false] = ACTIONS(3076),
    [anon_sym_NULL] = ACTIONS(3076),
    [anon_sym_nullptr] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_try] = ACTIONS(3076),
    [anon_sym_delete] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3076),
    [anon_sym_namespace] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
    [anon_sym_concept] = ACTIONS(3076),
    [anon_sym_co_return] = ACTIONS(3076),
    [anon_sym_co_yield] = ACTIONS(3076),
    [anon_sym_R_DQUOTE] = ACTIONS(3078),
    [anon_sym_LR_DQUOTE] = ACTIONS(3078),
    [anon_sym_uR_DQUOTE] = ACTIONS(3078),
    [anon_sym_UR_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3078),
    [anon_sym_co_await] = ACTIONS(3076),
    [anon_sym_new] = ACTIONS(3076),
    [anon_sym_requires] = ACTIONS(3076),
    [sym_this] = ACTIONS(3076),
  },
  [492] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [493] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [494] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [495] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [496] = {
    [sym_identifier] = ACTIONS(3060),
    [aux_sym_preproc_include_token1] = ACTIONS(3060),
    [aux_sym_preproc_def_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token2] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3060),
    [aux_sym_preproc_else_token1] = ACTIONS(3060),
    [aux_sym_preproc_elif_token1] = ACTIONS(3060),
    [sym_preproc_directive] = ACTIONS(3060),
    [anon_sym_LPAREN2] = ACTIONS(3062),
    [anon_sym_BANG] = ACTIONS(3062),
    [anon_sym_TILDE] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym___extension__] = ACTIONS(3060),
    [anon_sym_typedef] = ACTIONS(3060),
    [anon_sym_extern] = ACTIONS(3060),
    [anon_sym___attribute__] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3062),
    [anon_sym___declspec] = ACTIONS(3060),
    [anon_sym___based] = ACTIONS(3060),
    [anon_sym___cdecl] = ACTIONS(3060),
    [anon_sym___clrcall] = ACTIONS(3060),
    [anon_sym___stdcall] = ACTIONS(3060),
    [anon_sym___fastcall] = ACTIONS(3060),
    [anon_sym___thiscall] = ACTIONS(3060),
    [anon_sym___vectorcall] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_signed] = ACTIONS(3060),
    [anon_sym_unsigned] = ACTIONS(3060),
    [anon_sym_long] = ACTIONS(3060),
    [anon_sym_short] = ACTIONS(3060),
    [anon_sym_LBRACK] = ACTIONS(3060),
    [anon_sym_static] = ACTIONS(3060),
    [anon_sym_register] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym___inline] = ACTIONS(3060),
    [anon_sym___inline__] = ACTIONS(3060),
    [anon_sym___forceinline] = ACTIONS(3060),
    [anon_sym_thread_local] = ACTIONS(3060),
    [anon_sym___thread] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_constexpr] = ACTIONS(3060),
    [anon_sym_volatile] = ACTIONS(3060),
    [anon_sym_restrict] = ACTIONS(3060),
    [anon_sym___restrict__] = ACTIONS(3060),
    [anon_sym__Atomic] = ACTIONS(3060),
    [anon_sym__Noreturn] = ACTIONS(3060),
    [anon_sym_noreturn] = ACTIONS(3060),
    [anon_sym_mutable] = ACTIONS(3060),
    [anon_sym_constinit] = ACTIONS(3060),
    [anon_sym_consteval] = ACTIONS(3060),
    [anon_sym_PROGMEM] = ACTIONS(3060),
    [aux_sym_primitive_type_token1] = ACTIONS(3060),
    [anon_sym_byte] = ACTIONS(3060),
    [anon_sym_word] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_class] = ACTIONS(3060),
    [anon_sym_struct] = ACTIONS(3060),
    [anon_sym_union] = ACTIONS(3060),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_else] = ACTIONS(3060),
    [anon_sym_switch] = ACTIONS(3060),
    [anon_sym_case] = ACTIONS(3060),
    [anon_sym_default] = ACTIONS(3060),
    [anon_sym_while] = ACTIONS(3060),
    [anon_sym_do] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(3060),
    [anon_sym_return] = ACTIONS(3060),
    [anon_sym_break] = ACTIONS(3060),
    [anon_sym_continue] = ACTIONS(3060),
    [anon_sym_goto] = ACTIONS(3060),
    [anon_sym___try] = ACTIONS(3060),
    [anon_sym___leave] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(3060),
    [anon_sym_compl] = ACTIONS(3060),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_sizeof] = ACTIONS(3060),
    [anon_sym___alignof__] = ACTIONS(3060),
    [anon_sym___alignof] = ACTIONS(3060),
    [anon_sym__alignof] = ACTIONS(3060),
    [anon_sym_alignof] = ACTIONS(3060),
    [anon_sym__Alignof] = ACTIONS(3060),
    [anon_sym_offsetof] = ACTIONS(3060),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3060),
    [anon_sym___asm__] = ACTIONS(3060),
    [aux_sym_number_literal_token1] = ACTIONS(3062),
    [aux_sym_number_literal_token2] = ACTIONS(3060),
    [anon_sym_L_SQUOTE] = ACTIONS(3062),
    [anon_sym_u_SQUOTE] = ACTIONS(3062),
    [anon_sym_U_SQUOTE] = ACTIONS(3062),
    [anon_sym_u8_SQUOTE] = ACTIONS(3062),
    [anon_sym_SQUOTE] = ACTIONS(3062),
    [anon_sym_L_DQUOTE] = ACTIONS(3062),
    [anon_sym_u_DQUOTE] = ACTIONS(3062),
    [anon_sym_U_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8_DQUOTE] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3062),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [anon_sym_NULL] = ACTIONS(3060),
    [anon_sym_nullptr] = ACTIONS(3060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3060),
    [anon_sym_decltype] = ACTIONS(3060),
    [anon_sym_virtual] = ACTIONS(3060),
    [anon_sym_alignas] = ACTIONS(3060),
    [anon_sym_explicit] = ACTIONS(3060),
    [anon_sym_typename] = ACTIONS(3060),
    [anon_sym_template] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_try] = ACTIONS(3060),
    [anon_sym_delete] = ACTIONS(3060),
    [anon_sym_throw] = ACTIONS(3060),
    [anon_sym_namespace] = ACTIONS(3060),
    [anon_sym_using] = ACTIONS(3060),
    [anon_sym_static_assert] = ACTIONS(3060),
    [anon_sym_concept] = ACTIONS(3060),
    [anon_sym_co_return] = ACTIONS(3060),
    [anon_sym_co_yield] = ACTIONS(3060),
    [anon_sym_R_DQUOTE] = ACTIONS(3062),
    [anon_sym_LR_DQUOTE] = ACTIONS(3062),
    [anon_sym_uR_DQUOTE] = ACTIONS(3062),
    [anon_sym_UR_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3062),
    [anon_sym_co_await] = ACTIONS(3060),
    [anon_sym_new] = ACTIONS(3060),
    [anon_sym_requires] = ACTIONS(3060),
    [sym_this] = ACTIONS(3060),
  },
  [497] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_include_token1] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token2] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [aux_sym_preproc_else_token1] = ACTIONS(3064),
    [aux_sym_preproc_elif_token1] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym___cdecl] = ACTIONS(3064),
    [anon_sym___clrcall] = ACTIONS(3064),
    [anon_sym___stdcall] = ACTIONS(3064),
    [anon_sym___fastcall] = ACTIONS(3064),
    [anon_sym___thiscall] = ACTIONS(3064),
    [anon_sym___vectorcall] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_goto] = ACTIONS(3064),
    [anon_sym___try] = ACTIONS(3064),
    [anon_sym___leave] = ACTIONS(3064),
    [anon_sym_not] = ACTIONS(3064),
    [anon_sym_compl] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_sizeof] = ACTIONS(3064),
    [anon_sym___alignof__] = ACTIONS(3064),
    [anon_sym___alignof] = ACTIONS(3064),
    [anon_sym__alignof] = ACTIONS(3064),
    [anon_sym_alignof] = ACTIONS(3064),
    [anon_sym__Alignof] = ACTIONS(3064),
    [anon_sym_offsetof] = ACTIONS(3064),
    [anon_sym__Generic] = ACTIONS(3064),
    [anon_sym_asm] = ACTIONS(3064),
    [anon_sym___asm__] = ACTIONS(3064),
    [aux_sym_number_literal_token1] = ACTIONS(3066),
    [aux_sym_number_literal_token2] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3066),
    [anon_sym_u_DQUOTE] = ACTIONS(3066),
    [anon_sym_U_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8_DQUOTE] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [anon_sym_NULL] = ACTIONS(3064),
    [anon_sym_nullptr] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
    [anon_sym_concept] = ACTIONS(3064),
    [anon_sym_co_return] = ACTIONS(3064),
    [anon_sym_co_yield] = ACTIONS(3064),
    [anon_sym_R_DQUOTE] = ACTIONS(3066),
    [anon_sym_LR_DQUOTE] = ACTIONS(3066),
    [anon_sym_uR_DQUOTE] = ACTIONS(3066),
    [anon_sym_UR_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3066),
    [anon_sym_co_await] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_requires] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
  },
  [498] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [499] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_include_token1] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token2] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [aux_sym_preproc_else_token1] = ACTIONS(3064),
    [aux_sym_preproc_elif_token1] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym___cdecl] = ACTIONS(3064),
    [anon_sym___clrcall] = ACTIONS(3064),
    [anon_sym___stdcall] = ACTIONS(3064),
    [anon_sym___fastcall] = ACTIONS(3064),
    [anon_sym___thiscall] = ACTIONS(3064),
    [anon_sym___vectorcall] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_goto] = ACTIONS(3064),
    [anon_sym___try] = ACTIONS(3064),
    [anon_sym___leave] = ACTIONS(3064),
    [anon_sym_not] = ACTIONS(3064),
    [anon_sym_compl] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_sizeof] = ACTIONS(3064),
    [anon_sym___alignof__] = ACTIONS(3064),
    [anon_sym___alignof] = ACTIONS(3064),
    [anon_sym__alignof] = ACTIONS(3064),
    [anon_sym_alignof] = ACTIONS(3064),
    [anon_sym__Alignof] = ACTIONS(3064),
    [anon_sym_offsetof] = ACTIONS(3064),
    [anon_sym__Generic] = ACTIONS(3064),
    [anon_sym_asm] = ACTIONS(3064),
    [anon_sym___asm__] = ACTIONS(3064),
    [aux_sym_number_literal_token1] = ACTIONS(3066),
    [aux_sym_number_literal_token2] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3066),
    [anon_sym_u_DQUOTE] = ACTIONS(3066),
    [anon_sym_U_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8_DQUOTE] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [anon_sym_NULL] = ACTIONS(3064),
    [anon_sym_nullptr] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
    [anon_sym_concept] = ACTIONS(3064),
    [anon_sym_co_return] = ACTIONS(3064),
    [anon_sym_co_yield] = ACTIONS(3064),
    [anon_sym_R_DQUOTE] = ACTIONS(3066),
    [anon_sym_LR_DQUOTE] = ACTIONS(3066),
    [anon_sym_uR_DQUOTE] = ACTIONS(3066),
    [anon_sym_UR_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3066),
    [anon_sym_co_await] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_requires] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
  },
  [500] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_include_token1] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token2] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [aux_sym_preproc_else_token1] = ACTIONS(3076),
    [aux_sym_preproc_elif_token1] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym___cdecl] = ACTIONS(3076),
    [anon_sym___clrcall] = ACTIONS(3076),
    [anon_sym___stdcall] = ACTIONS(3076),
    [anon_sym___fastcall] = ACTIONS(3076),
    [anon_sym___thiscall] = ACTIONS(3076),
    [anon_sym___vectorcall] = ACTIONS(3076),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3076),
    [anon_sym_else] = ACTIONS(3076),
    [anon_sym_switch] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_default] = ACTIONS(3076),
    [anon_sym_while] = ACTIONS(3076),
    [anon_sym_do] = ACTIONS(3076),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_return] = ACTIONS(3076),
    [anon_sym_break] = ACTIONS(3076),
    [anon_sym_continue] = ACTIONS(3076),
    [anon_sym_goto] = ACTIONS(3076),
    [anon_sym___try] = ACTIONS(3076),
    [anon_sym___leave] = ACTIONS(3076),
    [anon_sym_not] = ACTIONS(3076),
    [anon_sym_compl] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_sizeof] = ACTIONS(3076),
    [anon_sym___alignof__] = ACTIONS(3076),
    [anon_sym___alignof] = ACTIONS(3076),
    [anon_sym__alignof] = ACTIONS(3076),
    [anon_sym_alignof] = ACTIONS(3076),
    [anon_sym__Alignof] = ACTIONS(3076),
    [anon_sym_offsetof] = ACTIONS(3076),
    [anon_sym__Generic] = ACTIONS(3076),
    [anon_sym_asm] = ACTIONS(3076),
    [anon_sym___asm__] = ACTIONS(3076),
    [aux_sym_number_literal_token1] = ACTIONS(3078),
    [aux_sym_number_literal_token2] = ACTIONS(3076),
    [anon_sym_L_SQUOTE] = ACTIONS(3078),
    [anon_sym_u_SQUOTE] = ACTIONS(3078),
    [anon_sym_U_SQUOTE] = ACTIONS(3078),
    [anon_sym_u8_SQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_L_DQUOTE] = ACTIONS(3078),
    [anon_sym_u_DQUOTE] = ACTIONS(3078),
    [anon_sym_U_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [sym_true] = ACTIONS(3076),
    [sym_false] = ACTIONS(3076),
    [anon_sym_NULL] = ACTIONS(3076),
    [anon_sym_nullptr] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_try] = ACTIONS(3076),
    [anon_sym_delete] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3076),
    [anon_sym_namespace] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
    [anon_sym_concept] = ACTIONS(3076),
    [anon_sym_co_return] = ACTIONS(3076),
    [anon_sym_co_yield] = ACTIONS(3076),
    [anon_sym_R_DQUOTE] = ACTIONS(3078),
    [anon_sym_LR_DQUOTE] = ACTIONS(3078),
    [anon_sym_uR_DQUOTE] = ACTIONS(3078),
    [anon_sym_UR_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3078),
    [anon_sym_co_await] = ACTIONS(3076),
    [anon_sym_new] = ACTIONS(3076),
    [anon_sym_requires] = ACTIONS(3076),
    [sym_this] = ACTIONS(3076),
  },
  [501] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [502] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [503] = {
    [sym_identifier] = ACTIONS(3080),
    [aux_sym_preproc_include_token1] = ACTIONS(3080),
    [aux_sym_preproc_def_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3080),
    [aux_sym_preproc_else_token1] = ACTIONS(3080),
    [aux_sym_preproc_elif_token1] = ACTIONS(3080),
    [sym_preproc_directive] = ACTIONS(3080),
    [anon_sym_LPAREN2] = ACTIONS(3082),
    [anon_sym_BANG] = ACTIONS(3082),
    [anon_sym_TILDE] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym___extension__] = ACTIONS(3080),
    [anon_sym_typedef] = ACTIONS(3080),
    [anon_sym_extern] = ACTIONS(3080),
    [anon_sym___attribute__] = ACTIONS(3080),
    [anon_sym_COLON_COLON] = ACTIONS(3082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3082),
    [anon_sym___declspec] = ACTIONS(3080),
    [anon_sym___based] = ACTIONS(3080),
    [anon_sym___cdecl] = ACTIONS(3080),
    [anon_sym___clrcall] = ACTIONS(3080),
    [anon_sym___stdcall] = ACTIONS(3080),
    [anon_sym___fastcall] = ACTIONS(3080),
    [anon_sym___thiscall] = ACTIONS(3080),
    [anon_sym___vectorcall] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3082),
    [anon_sym_signed] = ACTIONS(3080),
    [anon_sym_unsigned] = ACTIONS(3080),
    [anon_sym_long] = ACTIONS(3080),
    [anon_sym_short] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_register] = ACTIONS(3080),
    [anon_sym_inline] = ACTIONS(3080),
    [anon_sym___inline] = ACTIONS(3080),
    [anon_sym___inline__] = ACTIONS(3080),
    [anon_sym___forceinline] = ACTIONS(3080),
    [anon_sym_thread_local] = ACTIONS(3080),
    [anon_sym___thread] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_constexpr] = ACTIONS(3080),
    [anon_sym_volatile] = ACTIONS(3080),
    [anon_sym_restrict] = ACTIONS(3080),
    [anon_sym___restrict__] = ACTIONS(3080),
    [anon_sym__Atomic] = ACTIONS(3080),
    [anon_sym__Noreturn] = ACTIONS(3080),
    [anon_sym_noreturn] = ACTIONS(3080),
    [anon_sym_mutable] = ACTIONS(3080),
    [anon_sym_constinit] = ACTIONS(3080),
    [anon_sym_consteval] = ACTIONS(3080),
    [anon_sym_PROGMEM] = ACTIONS(3080),
    [aux_sym_primitive_type_token1] = ACTIONS(3080),
    [anon_sym_byte] = ACTIONS(3080),
    [anon_sym_word] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_struct] = ACTIONS(3080),
    [anon_sym_union] = ACTIONS(3080),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_else] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_case] = ACTIONS(3080),
    [anon_sym_default] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_goto] = ACTIONS(3080),
    [anon_sym___try] = ACTIONS(3080),
    [anon_sym___leave] = ACTIONS(3080),
    [anon_sym_not] = ACTIONS(3080),
    [anon_sym_compl] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3082),
    [anon_sym_sizeof] = ACTIONS(3080),
    [anon_sym___alignof__] = ACTIONS(3080),
    [anon_sym___alignof] = ACTIONS(3080),
    [anon_sym__alignof] = ACTIONS(3080),
    [anon_sym_alignof] = ACTIONS(3080),
    [anon_sym__Alignof] = ACTIONS(3080),
    [anon_sym_offsetof] = ACTIONS(3080),
    [anon_sym__Generic] = ACTIONS(3080),
    [anon_sym_asm] = ACTIONS(3080),
    [anon_sym___asm__] = ACTIONS(3080),
    [aux_sym_number_literal_token1] = ACTIONS(3082),
    [aux_sym_number_literal_token2] = ACTIONS(3080),
    [anon_sym_L_SQUOTE] = ACTIONS(3082),
    [anon_sym_u_SQUOTE] = ACTIONS(3082),
    [anon_sym_U_SQUOTE] = ACTIONS(3082),
    [anon_sym_u8_SQUOTE] = ACTIONS(3082),
    [anon_sym_SQUOTE] = ACTIONS(3082),
    [anon_sym_L_DQUOTE] = ACTIONS(3082),
    [anon_sym_u_DQUOTE] = ACTIONS(3082),
    [anon_sym_U_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8_DQUOTE] = ACTIONS(3082),
    [anon_sym_DQUOTE] = ACTIONS(3082),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [anon_sym_NULL] = ACTIONS(3080),
    [anon_sym_nullptr] = ACTIONS(3080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3080),
    [anon_sym_decltype] = ACTIONS(3080),
    [anon_sym_virtual] = ACTIONS(3080),
    [anon_sym_alignas] = ACTIONS(3080),
    [anon_sym_explicit] = ACTIONS(3080),
    [anon_sym_typename] = ACTIONS(3080),
    [anon_sym_template] = ACTIONS(3080),
    [anon_sym_operator] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_static_assert] = ACTIONS(3080),
    [anon_sym_concept] = ACTIONS(3080),
    [anon_sym_co_return] = ACTIONS(3080),
    [anon_sym_co_yield] = ACTIONS(3080),
    [anon_sym_R_DQUOTE] = ACTIONS(3082),
    [anon_sym_LR_DQUOTE] = ACTIONS(3082),
    [anon_sym_uR_DQUOTE] = ACTIONS(3082),
    [anon_sym_UR_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3082),
    [anon_sym_co_await] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_requires] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
  },
  [504] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [505] = {
    [sym_identifier] = ACTIONS(3084),
    [aux_sym_preproc_include_token1] = ACTIONS(3084),
    [aux_sym_preproc_def_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token2] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [aux_sym_preproc_else_token1] = ACTIONS(3084),
    [aux_sym_preproc_elif_token1] = ACTIONS(3084),
    [sym_preproc_directive] = ACTIONS(3084),
    [anon_sym_LPAREN2] = ACTIONS(3086),
    [anon_sym_BANG] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym___extension__] = ACTIONS(3084),
    [anon_sym_typedef] = ACTIONS(3084),
    [anon_sym_extern] = ACTIONS(3084),
    [anon_sym___attribute__] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3086),
    [anon_sym___declspec] = ACTIONS(3084),
    [anon_sym___based] = ACTIONS(3084),
    [anon_sym___cdecl] = ACTIONS(3084),
    [anon_sym___clrcall] = ACTIONS(3084),
    [anon_sym___stdcall] = ACTIONS(3084),
    [anon_sym___fastcall] = ACTIONS(3084),
    [anon_sym___thiscall] = ACTIONS(3084),
    [anon_sym___vectorcall] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_signed] = ACTIONS(3084),
    [anon_sym_unsigned] = ACTIONS(3084),
    [anon_sym_long] = ACTIONS(3084),
    [anon_sym_short] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_register] = ACTIONS(3084),
    [anon_sym_inline] = ACTIONS(3084),
    [anon_sym___inline] = ACTIONS(3084),
    [anon_sym___inline__] = ACTIONS(3084),
    [anon_sym___forceinline] = ACTIONS(3084),
    [anon_sym_thread_local] = ACTIONS(3084),
    [anon_sym___thread] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_constexpr] = ACTIONS(3084),
    [anon_sym_volatile] = ACTIONS(3084),
    [anon_sym_restrict] = ACTIONS(3084),
    [anon_sym___restrict__] = ACTIONS(3084),
    [anon_sym__Atomic] = ACTIONS(3084),
    [anon_sym__Noreturn] = ACTIONS(3084),
    [anon_sym_noreturn] = ACTIONS(3084),
    [anon_sym_mutable] = ACTIONS(3084),
    [anon_sym_constinit] = ACTIONS(3084),
    [anon_sym_consteval] = ACTIONS(3084),
    [anon_sym_PROGMEM] = ACTIONS(3084),
    [aux_sym_primitive_type_token1] = ACTIONS(3084),
    [anon_sym_byte] = ACTIONS(3084),
    [anon_sym_word] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_struct] = ACTIONS(3084),
    [anon_sym_union] = ACTIONS(3084),
    [anon_sym_if] = ACTIONS(3084),
    [anon_sym_else] = ACTIONS(3084),
    [anon_sym_switch] = ACTIONS(3084),
    [anon_sym_case] = ACTIONS(3084),
    [anon_sym_default] = ACTIONS(3084),
    [anon_sym_while] = ACTIONS(3084),
    [anon_sym_do] = ACTIONS(3084),
    [anon_sym_for] = ACTIONS(3084),
    [anon_sym_return] = ACTIONS(3084),
    [anon_sym_break] = ACTIONS(3084),
    [anon_sym_continue] = ACTIONS(3084),
    [anon_sym_goto] = ACTIONS(3084),
    [anon_sym___try] = ACTIONS(3084),
    [anon_sym___leave] = ACTIONS(3084),
    [anon_sym_not] = ACTIONS(3084),
    [anon_sym_compl] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_sizeof] = ACTIONS(3084),
    [anon_sym___alignof__] = ACTIONS(3084),
    [anon_sym___alignof] = ACTIONS(3084),
    [anon_sym__alignof] = ACTIONS(3084),
    [anon_sym_alignof] = ACTIONS(3084),
    [anon_sym__Alignof] = ACTIONS(3084),
    [anon_sym_offsetof] = ACTIONS(3084),
    [anon_sym__Generic] = ACTIONS(3084),
    [anon_sym_asm] = ACTIONS(3084),
    [anon_sym___asm__] = ACTIONS(3084),
    [aux_sym_number_literal_token1] = ACTIONS(3086),
    [aux_sym_number_literal_token2] = ACTIONS(3084),
    [anon_sym_L_SQUOTE] = ACTIONS(3086),
    [anon_sym_u_SQUOTE] = ACTIONS(3086),
    [anon_sym_U_SQUOTE] = ACTIONS(3086),
    [anon_sym_u8_SQUOTE] = ACTIONS(3086),
    [anon_sym_SQUOTE] = ACTIONS(3086),
    [anon_sym_L_DQUOTE] = ACTIONS(3086),
    [anon_sym_u_DQUOTE] = ACTIONS(3086),
    [anon_sym_U_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8_DQUOTE] = ACTIONS(3086),
    [anon_sym_DQUOTE] = ACTIONS(3086),
    [sym_true] = ACTIONS(3084),
    [sym_false] = ACTIONS(3084),
    [anon_sym_NULL] = ACTIONS(3084),
    [anon_sym_nullptr] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3084),
    [anon_sym_decltype] = ACTIONS(3084),
    [anon_sym_virtual] = ACTIONS(3084),
    [anon_sym_alignas] = ACTIONS(3084),
    [anon_sym_explicit] = ACTIONS(3084),
    [anon_sym_typename] = ACTIONS(3084),
    [anon_sym_template] = ACTIONS(3084),
    [anon_sym_operator] = ACTIONS(3084),
    [anon_sym_try] = ACTIONS(3084),
    [anon_sym_delete] = ACTIONS(3084),
    [anon_sym_throw] = ACTIONS(3084),
    [anon_sym_namespace] = ACTIONS(3084),
    [anon_sym_using] = ACTIONS(3084),
    [anon_sym_static_assert] = ACTIONS(3084),
    [anon_sym_concept] = ACTIONS(3084),
    [anon_sym_co_return] = ACTIONS(3084),
    [anon_sym_co_yield] = ACTIONS(3084),
    [anon_sym_R_DQUOTE] = ACTIONS(3086),
    [anon_sym_LR_DQUOTE] = ACTIONS(3086),
    [anon_sym_uR_DQUOTE] = ACTIONS(3086),
    [anon_sym_UR_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3086),
    [anon_sym_co_await] = ACTIONS(3084),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_requires] = ACTIONS(3084),
    [sym_this] = ACTIONS(3084),
  },
  [506] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [507] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [508] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [509] = {
    [sym_identifier] = ACTIONS(3068),
    [aux_sym_preproc_include_token1] = ACTIONS(3068),
    [aux_sym_preproc_def_token1] = ACTIONS(3068),
    [aux_sym_preproc_if_token1] = ACTIONS(3068),
    [aux_sym_preproc_if_token2] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3068),
    [aux_sym_preproc_else_token1] = ACTIONS(3068),
    [aux_sym_preproc_elif_token1] = ACTIONS(3068),
    [sym_preproc_directive] = ACTIONS(3068),
    [anon_sym_LPAREN2] = ACTIONS(3070),
    [anon_sym_BANG] = ACTIONS(3070),
    [anon_sym_TILDE] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_AMP_AMP] = ACTIONS(3070),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_SEMI] = ACTIONS(3070),
    [anon_sym___extension__] = ACTIONS(3068),
    [anon_sym_typedef] = ACTIONS(3068),
    [anon_sym_extern] = ACTIONS(3068),
    [anon_sym___attribute__] = ACTIONS(3068),
    [anon_sym_COLON_COLON] = ACTIONS(3070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3070),
    [anon_sym___declspec] = ACTIONS(3068),
    [anon_sym___based] = ACTIONS(3068),
    [anon_sym___cdecl] = ACTIONS(3068),
    [anon_sym___clrcall] = ACTIONS(3068),
    [anon_sym___stdcall] = ACTIONS(3068),
    [anon_sym___fastcall] = ACTIONS(3068),
    [anon_sym___thiscall] = ACTIONS(3068),
    [anon_sym___vectorcall] = ACTIONS(3068),
    [anon_sym_LBRACE] = ACTIONS(3070),
    [anon_sym_signed] = ACTIONS(3068),
    [anon_sym_unsigned] = ACTIONS(3068),
    [anon_sym_long] = ACTIONS(3068),
    [anon_sym_short] = ACTIONS(3068),
    [anon_sym_LBRACK] = ACTIONS(3068),
    [anon_sym_static] = ACTIONS(3068),
    [anon_sym_register] = ACTIONS(3068),
    [anon_sym_inline] = ACTIONS(3068),
    [anon_sym___inline] = ACTIONS(3068),
    [anon_sym___inline__] = ACTIONS(3068),
    [anon_sym___forceinline] = ACTIONS(3068),
    [anon_sym_thread_local] = ACTIONS(3068),
    [anon_sym___thread] = ACTIONS(3068),
    [anon_sym_const] = ACTIONS(3068),
    [anon_sym_constexpr] = ACTIONS(3068),
    [anon_sym_volatile] = ACTIONS(3068),
    [anon_sym_restrict] = ACTIONS(3068),
    [anon_sym___restrict__] = ACTIONS(3068),
    [anon_sym__Atomic] = ACTIONS(3068),
    [anon_sym__Noreturn] = ACTIONS(3068),
    [anon_sym_noreturn] = ACTIONS(3068),
    [anon_sym_mutable] = ACTIONS(3068),
    [anon_sym_constinit] = ACTIONS(3068),
    [anon_sym_consteval] = ACTIONS(3068),
    [anon_sym_PROGMEM] = ACTIONS(3068),
    [aux_sym_primitive_type_token1] = ACTIONS(3068),
    [anon_sym_byte] = ACTIONS(3068),
    [anon_sym_word] = ACTIONS(3068),
    [anon_sym_enum] = ACTIONS(3068),
    [anon_sym_class] = ACTIONS(3068),
    [anon_sym_struct] = ACTIONS(3068),
    [anon_sym_union] = ACTIONS(3068),
    [anon_sym_if] = ACTIONS(3068),
    [anon_sym_else] = ACTIONS(3068),
    [anon_sym_switch] = ACTIONS(3068),
    [anon_sym_case] = ACTIONS(3068),
    [anon_sym_default] = ACTIONS(3068),
    [anon_sym_while] = ACTIONS(3068),
    [anon_sym_do] = ACTIONS(3068),
    [anon_sym_for] = ACTIONS(3068),
    [anon_sym_return] = ACTIONS(3068),
    [anon_sym_break] = ACTIONS(3068),
    [anon_sym_continue] = ACTIONS(3068),
    [anon_sym_goto] = ACTIONS(3068),
    [anon_sym___try] = ACTIONS(3068),
    [anon_sym___leave] = ACTIONS(3068),
    [anon_sym_not] = ACTIONS(3068),
    [anon_sym_compl] = ACTIONS(3068),
    [anon_sym_DASH_DASH] = ACTIONS(3070),
    [anon_sym_PLUS_PLUS] = ACTIONS(3070),
    [anon_sym_sizeof] = ACTIONS(3068),
    [anon_sym___alignof__] = ACTIONS(3068),
    [anon_sym___alignof] = ACTIONS(3068),
    [anon_sym__alignof] = ACTIONS(3068),
    [anon_sym_alignof] = ACTIONS(3068),
    [anon_sym__Alignof] = ACTIONS(3068),
    [anon_sym_offsetof] = ACTIONS(3068),
    [anon_sym__Generic] = ACTIONS(3068),
    [anon_sym_asm] = ACTIONS(3068),
    [anon_sym___asm__] = ACTIONS(3068),
    [aux_sym_number_literal_token1] = ACTIONS(3070),
    [aux_sym_number_literal_token2] = ACTIONS(3068),
    [anon_sym_L_SQUOTE] = ACTIONS(3070),
    [anon_sym_u_SQUOTE] = ACTIONS(3070),
    [anon_sym_U_SQUOTE] = ACTIONS(3070),
    [anon_sym_u8_SQUOTE] = ACTIONS(3070),
    [anon_sym_SQUOTE] = ACTIONS(3070),
    [anon_sym_L_DQUOTE] = ACTIONS(3070),
    [anon_sym_u_DQUOTE] = ACTIONS(3070),
    [anon_sym_U_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8_DQUOTE] = ACTIONS(3070),
    [anon_sym_DQUOTE] = ACTIONS(3070),
    [sym_true] = ACTIONS(3068),
    [sym_false] = ACTIONS(3068),
    [anon_sym_NULL] = ACTIONS(3068),
    [anon_sym_nullptr] = ACTIONS(3068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3068),
    [anon_sym_decltype] = ACTIONS(3068),
    [anon_sym_virtual] = ACTIONS(3068),
    [anon_sym_alignas] = ACTIONS(3068),
    [anon_sym_explicit] = ACTIONS(3068),
    [anon_sym_typename] = ACTIONS(3068),
    [anon_sym_template] = ACTIONS(3068),
    [anon_sym_operator] = ACTIONS(3068),
    [anon_sym_try] = ACTIONS(3068),
    [anon_sym_delete] = ACTIONS(3068),
    [anon_sym_throw] = ACTIONS(3068),
    [anon_sym_namespace] = ACTIONS(3068),
    [anon_sym_using] = ACTIONS(3068),
    [anon_sym_static_assert] = ACTIONS(3068),
    [anon_sym_concept] = ACTIONS(3068),
    [anon_sym_co_return] = ACTIONS(3068),
    [anon_sym_co_yield] = ACTIONS(3068),
    [anon_sym_R_DQUOTE] = ACTIONS(3070),
    [anon_sym_LR_DQUOTE] = ACTIONS(3070),
    [anon_sym_uR_DQUOTE] = ACTIONS(3070),
    [anon_sym_UR_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3070),
    [anon_sym_co_await] = ACTIONS(3068),
    [anon_sym_new] = ACTIONS(3068),
    [anon_sym_requires] = ACTIONS(3068),
    [sym_this] = ACTIONS(3068),
  },
  [510] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [511] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [512] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [513] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [514] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [515] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [516] = {
    [sym_identifier] = ACTIONS(3152),
    [aux_sym_preproc_include_token1] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token2] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3152),
    [aux_sym_preproc_else_token1] = ACTIONS(3152),
    [aux_sym_preproc_elif_token1] = ACTIONS(3152),
    [sym_preproc_directive] = ACTIONS(3152),
    [anon_sym_LPAREN2] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym___extension__] = ACTIONS(3152),
    [anon_sym_typedef] = ACTIONS(3152),
    [anon_sym_extern] = ACTIONS(3152),
    [anon_sym___attribute__] = ACTIONS(3152),
    [anon_sym_COLON_COLON] = ACTIONS(3154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3154),
    [anon_sym___declspec] = ACTIONS(3152),
    [anon_sym___based] = ACTIONS(3152),
    [anon_sym___cdecl] = ACTIONS(3152),
    [anon_sym___clrcall] = ACTIONS(3152),
    [anon_sym___stdcall] = ACTIONS(3152),
    [anon_sym___fastcall] = ACTIONS(3152),
    [anon_sym___thiscall] = ACTIONS(3152),
    [anon_sym___vectorcall] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_signed] = ACTIONS(3152),
    [anon_sym_unsigned] = ACTIONS(3152),
    [anon_sym_long] = ACTIONS(3152),
    [anon_sym_short] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_register] = ACTIONS(3152),
    [anon_sym_inline] = ACTIONS(3152),
    [anon_sym___inline] = ACTIONS(3152),
    [anon_sym___inline__] = ACTIONS(3152),
    [anon_sym___forceinline] = ACTIONS(3152),
    [anon_sym_thread_local] = ACTIONS(3152),
    [anon_sym___thread] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_constexpr] = ACTIONS(3152),
    [anon_sym_volatile] = ACTIONS(3152),
    [anon_sym_restrict] = ACTIONS(3152),
    [anon_sym___restrict__] = ACTIONS(3152),
    [anon_sym__Atomic] = ACTIONS(3152),
    [anon_sym__Noreturn] = ACTIONS(3152),
    [anon_sym_noreturn] = ACTIONS(3152),
    [anon_sym_mutable] = ACTIONS(3152),
    [anon_sym_constinit] = ACTIONS(3152),
    [anon_sym_consteval] = ACTIONS(3152),
    [anon_sym_PROGMEM] = ACTIONS(3152),
    [aux_sym_primitive_type_token1] = ACTIONS(3152),
    [anon_sym_byte] = ACTIONS(3152),
    [anon_sym_word] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_struct] = ACTIONS(3152),
    [anon_sym_union] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_else] = ACTIONS(3152),
    [anon_sym_switch] = ACTIONS(3152),
    [anon_sym_case] = ACTIONS(3152),
    [anon_sym_default] = ACTIONS(3152),
    [anon_sym_while] = ACTIONS(3152),
    [anon_sym_do] = ACTIONS(3152),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_return] = ACTIONS(3152),
    [anon_sym_break] = ACTIONS(3152),
    [anon_sym_continue] = ACTIONS(3152),
    [anon_sym_goto] = ACTIONS(3152),
    [anon_sym___try] = ACTIONS(3152),
    [anon_sym___leave] = ACTIONS(3152),
    [anon_sym_not] = ACTIONS(3152),
    [anon_sym_compl] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_sizeof] = ACTIONS(3152),
    [anon_sym___alignof__] = ACTIONS(3152),
    [anon_sym___alignof] = ACTIONS(3152),
    [anon_sym__alignof] = ACTIONS(3152),
    [anon_sym_alignof] = ACTIONS(3152),
    [anon_sym__Alignof] = ACTIONS(3152),
    [anon_sym_offsetof] = ACTIONS(3152),
    [anon_sym__Generic] = ACTIONS(3152),
    [anon_sym_asm] = ACTIONS(3152),
    [anon_sym___asm__] = ACTIONS(3152),
    [aux_sym_number_literal_token1] = ACTIONS(3154),
    [aux_sym_number_literal_token2] = ACTIONS(3152),
    [anon_sym_L_SQUOTE] = ACTIONS(3154),
    [anon_sym_u_SQUOTE] = ACTIONS(3154),
    [anon_sym_U_SQUOTE] = ACTIONS(3154),
    [anon_sym_u8_SQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_L_DQUOTE] = ACTIONS(3154),
    [anon_sym_u_DQUOTE] = ACTIONS(3154),
    [anon_sym_U_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8_DQUOTE] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [sym_true] = ACTIONS(3152),
    [sym_false] = ACTIONS(3152),
    [anon_sym_NULL] = ACTIONS(3152),
    [anon_sym_nullptr] = ACTIONS(3152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3152),
    [anon_sym_decltype] = ACTIONS(3152),
    [anon_sym_virtual] = ACTIONS(3152),
    [anon_sym_alignas] = ACTIONS(3152),
    [anon_sym_explicit] = ACTIONS(3152),
    [anon_sym_typename] = ACTIONS(3152),
    [anon_sym_template] = ACTIONS(3152),
    [anon_sym_operator] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3152),
    [anon_sym_delete] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3152),
    [anon_sym_namespace] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_static_assert] = ACTIONS(3152),
    [anon_sym_concept] = ACTIONS(3152),
    [anon_sym_co_return] = ACTIONS(3152),
    [anon_sym_co_yield] = ACTIONS(3152),
    [anon_sym_R_DQUOTE] = ACTIONS(3154),
    [anon_sym_LR_DQUOTE] = ACTIONS(3154),
    [anon_sym_uR_DQUOTE] = ACTIONS(3154),
    [anon_sym_UR_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3154),
    [anon_sym_co_await] = ACTIONS(3152),
    [anon_sym_new] = ACTIONS(3152),
    [anon_sym_requires] = ACTIONS(3152),
    [sym_this] = ACTIONS(3152),
  },
  [517] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [518] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [519] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [520] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [521] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [522] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [523] = {
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_include_token1] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token2] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [aux_sym_preproc_else_token1] = ACTIONS(2944),
    [aux_sym_preproc_elif_token1] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2944),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym___cdecl] = ACTIONS(2944),
    [anon_sym___clrcall] = ACTIONS(2944),
    [anon_sym___stdcall] = ACTIONS(2944),
    [anon_sym___fastcall] = ACTIONS(2944),
    [anon_sym___thiscall] = ACTIONS(2944),
    [anon_sym___vectorcall] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(2946),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_PROGMEM] = ACTIONS(2944),
    [aux_sym_primitive_type_token1] = ACTIONS(2944),
    [anon_sym_byte] = ACTIONS(2944),
    [anon_sym_word] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [anon_sym_if] = ACTIONS(2944),
    [anon_sym_else] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2944),
    [anon_sym_case] = ACTIONS(2944),
    [anon_sym_default] = ACTIONS(2944),
    [anon_sym_while] = ACTIONS(2944),
    [anon_sym_do] = ACTIONS(2944),
    [anon_sym_for] = ACTIONS(2944),
    [anon_sym_return] = ACTIONS(2944),
    [anon_sym_break] = ACTIONS(2944),
    [anon_sym_continue] = ACTIONS(2944),
    [anon_sym_goto] = ACTIONS(2944),
    [anon_sym___try] = ACTIONS(2944),
    [anon_sym___leave] = ACTIONS(2944),
    [anon_sym_not] = ACTIONS(2944),
    [anon_sym_compl] = ACTIONS(2944),
    [anon_sym_DASH_DASH] = ACTIONS(2946),
    [anon_sym_PLUS_PLUS] = ACTIONS(2946),
    [anon_sym_sizeof] = ACTIONS(2944),
    [anon_sym___alignof__] = ACTIONS(2944),
    [anon_sym___alignof] = ACTIONS(2944),
    [anon_sym__alignof] = ACTIONS(2944),
    [anon_sym_alignof] = ACTIONS(2944),
    [anon_sym__Alignof] = ACTIONS(2944),
    [anon_sym_offsetof] = ACTIONS(2944),
    [anon_sym__Generic] = ACTIONS(2944),
    [anon_sym_asm] = ACTIONS(2944),
    [anon_sym___asm__] = ACTIONS(2944),
    [aux_sym_number_literal_token1] = ACTIONS(2946),
    [aux_sym_number_literal_token2] = ACTIONS(2944),
    [anon_sym_L_SQUOTE] = ACTIONS(2946),
    [anon_sym_u_SQUOTE] = ACTIONS(2946),
    [anon_sym_U_SQUOTE] = ACTIONS(2946),
    [anon_sym_u8_SQUOTE] = ACTIONS(2946),
    [anon_sym_SQUOTE] = ACTIONS(2946),
    [anon_sym_L_DQUOTE] = ACTIONS(2946),
    [anon_sym_u_DQUOTE] = ACTIONS(2946),
    [anon_sym_U_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8_DQUOTE] = ACTIONS(2946),
    [anon_sym_DQUOTE] = ACTIONS(2946),
    [sym_true] = ACTIONS(2944),
    [sym_false] = ACTIONS(2944),
    [anon_sym_NULL] = ACTIONS(2944),
    [anon_sym_nullptr] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_delete] = ACTIONS(2944),
    [anon_sym_throw] = ACTIONS(2944),
    [anon_sym_namespace] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
    [anon_sym_concept] = ACTIONS(2944),
    [anon_sym_co_return] = ACTIONS(2944),
    [anon_sym_co_yield] = ACTIONS(2944),
    [anon_sym_R_DQUOTE] = ACTIONS(2946),
    [anon_sym_LR_DQUOTE] = ACTIONS(2946),
    [anon_sym_uR_DQUOTE] = ACTIONS(2946),
    [anon_sym_UR_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2946),
    [anon_sym_co_await] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(2944),
    [anon_sym_requires] = ACTIONS(2944),
    [sym_this] = ACTIONS(2944),
  },
  [524] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [525] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [526] = {
    [sym_identifier] = ACTIONS(3144),
    [aux_sym_preproc_include_token1] = ACTIONS(3144),
    [aux_sym_preproc_def_token1] = ACTIONS(3144),
    [aux_sym_preproc_if_token1] = ACTIONS(3144),
    [aux_sym_preproc_if_token2] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3144),
    [aux_sym_preproc_else_token1] = ACTIONS(3144),
    [aux_sym_preproc_elif_token1] = ACTIONS(3144),
    [sym_preproc_directive] = ACTIONS(3144),
    [anon_sym_LPAREN2] = ACTIONS(3146),
    [anon_sym_BANG] = ACTIONS(3146),
    [anon_sym_TILDE] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3146),
    [anon_sym_AMP] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3146),
    [anon_sym___extension__] = ACTIONS(3144),
    [anon_sym_typedef] = ACTIONS(3144),
    [anon_sym_extern] = ACTIONS(3144),
    [anon_sym___attribute__] = ACTIONS(3144),
    [anon_sym_COLON_COLON] = ACTIONS(3146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3146),
    [anon_sym___declspec] = ACTIONS(3144),
    [anon_sym___based] = ACTIONS(3144),
    [anon_sym___cdecl] = ACTIONS(3144),
    [anon_sym___clrcall] = ACTIONS(3144),
    [anon_sym___stdcall] = ACTIONS(3144),
    [anon_sym___fastcall] = ACTIONS(3144),
    [anon_sym___thiscall] = ACTIONS(3144),
    [anon_sym___vectorcall] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_signed] = ACTIONS(3144),
    [anon_sym_unsigned] = ACTIONS(3144),
    [anon_sym_long] = ACTIONS(3144),
    [anon_sym_short] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_register] = ACTIONS(3144),
    [anon_sym_inline] = ACTIONS(3144),
    [anon_sym___inline] = ACTIONS(3144),
    [anon_sym___inline__] = ACTIONS(3144),
    [anon_sym___forceinline] = ACTIONS(3144),
    [anon_sym_thread_local] = ACTIONS(3144),
    [anon_sym___thread] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_constexpr] = ACTIONS(3144),
    [anon_sym_volatile] = ACTIONS(3144),
    [anon_sym_restrict] = ACTIONS(3144),
    [anon_sym___restrict__] = ACTIONS(3144),
    [anon_sym__Atomic] = ACTIONS(3144),
    [anon_sym__Noreturn] = ACTIONS(3144),
    [anon_sym_noreturn] = ACTIONS(3144),
    [anon_sym_mutable] = ACTIONS(3144),
    [anon_sym_constinit] = ACTIONS(3144),
    [anon_sym_consteval] = ACTIONS(3144),
    [anon_sym_PROGMEM] = ACTIONS(3144),
    [aux_sym_primitive_type_token1] = ACTIONS(3144),
    [anon_sym_byte] = ACTIONS(3144),
    [anon_sym_word] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_struct] = ACTIONS(3144),
    [anon_sym_union] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_else] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_case] = ACTIONS(3144),
    [anon_sym_default] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_goto] = ACTIONS(3144),
    [anon_sym___try] = ACTIONS(3144),
    [anon_sym___leave] = ACTIONS(3144),
    [anon_sym_not] = ACTIONS(3144),
    [anon_sym_compl] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_sizeof] = ACTIONS(3144),
    [anon_sym___alignof__] = ACTIONS(3144),
    [anon_sym___alignof] = ACTIONS(3144),
    [anon_sym__alignof] = ACTIONS(3144),
    [anon_sym_alignof] = ACTIONS(3144),
    [anon_sym__Alignof] = ACTIONS(3144),
    [anon_sym_offsetof] = ACTIONS(3144),
    [anon_sym__Generic] = ACTIONS(3144),
    [anon_sym_asm] = ACTIONS(3144),
    [anon_sym___asm__] = ACTIONS(3144),
    [aux_sym_number_literal_token1] = ACTIONS(3146),
    [aux_sym_number_literal_token2] = ACTIONS(3144),
    [anon_sym_L_SQUOTE] = ACTIONS(3146),
    [anon_sym_u_SQUOTE] = ACTIONS(3146),
    [anon_sym_U_SQUOTE] = ACTIONS(3146),
    [anon_sym_u8_SQUOTE] = ACTIONS(3146),
    [anon_sym_SQUOTE] = ACTIONS(3146),
    [anon_sym_L_DQUOTE] = ACTIONS(3146),
    [anon_sym_u_DQUOTE] = ACTIONS(3146),
    [anon_sym_U_DQUOTE] = ACTIONS(3146),
    [anon_sym_u8_DQUOTE] = ACTIONS(3146),
    [anon_sym_DQUOTE] = ACTIONS(3146),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [anon_sym_NULL] = ACTIONS(3144),
    [anon_sym_nullptr] = ACTIONS(3144),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3144),
    [anon_sym_decltype] = ACTIONS(3144),
    [anon_sym_virtual] = ACTIONS(3144),
    [anon_sym_alignas] = ACTIONS(3144),
    [anon_sym_explicit] = ACTIONS(3144),
    [anon_sym_typename] = ACTIONS(3144),
    [anon_sym_template] = ACTIONS(3144),
    [anon_sym_operator] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_namespace] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_static_assert] = ACTIONS(3144),
    [anon_sym_concept] = ACTIONS(3144),
    [anon_sym_co_return] = ACTIONS(3144),
    [anon_sym_co_yield] = ACTIONS(3144),
    [anon_sym_R_DQUOTE] = ACTIONS(3146),
    [anon_sym_LR_DQUOTE] = ACTIONS(3146),
    [anon_sym_uR_DQUOTE] = ACTIONS(3146),
    [anon_sym_UR_DQUOTE] = ACTIONS(3146),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3146),
    [anon_sym_co_await] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_requires] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
  },
  [527] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [528] = {
    [sym_identifier] = ACTIONS(3120),
    [aux_sym_preproc_include_token1] = ACTIONS(3120),
    [aux_sym_preproc_def_token1] = ACTIONS(3120),
    [aux_sym_preproc_if_token1] = ACTIONS(3120),
    [aux_sym_preproc_if_token2] = ACTIONS(3120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3120),
    [aux_sym_preproc_else_token1] = ACTIONS(3120),
    [aux_sym_preproc_elif_token1] = ACTIONS(3120),
    [sym_preproc_directive] = ACTIONS(3120),
    [anon_sym_LPAREN2] = ACTIONS(3122),
    [anon_sym_BANG] = ACTIONS(3122),
    [anon_sym_TILDE] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym_SEMI] = ACTIONS(3122),
    [anon_sym___extension__] = ACTIONS(3120),
    [anon_sym_typedef] = ACTIONS(3120),
    [anon_sym_extern] = ACTIONS(3120),
    [anon_sym___attribute__] = ACTIONS(3120),
    [anon_sym_COLON_COLON] = ACTIONS(3122),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3122),
    [anon_sym___declspec] = ACTIONS(3120),
    [anon_sym___based] = ACTIONS(3120),
    [anon_sym___cdecl] = ACTIONS(3120),
    [anon_sym___clrcall] = ACTIONS(3120),
    [anon_sym___stdcall] = ACTIONS(3120),
    [anon_sym___fastcall] = ACTIONS(3120),
    [anon_sym___thiscall] = ACTIONS(3120),
    [anon_sym___vectorcall] = ACTIONS(3120),
    [anon_sym_LBRACE] = ACTIONS(3122),
    [anon_sym_signed] = ACTIONS(3120),
    [anon_sym_unsigned] = ACTIONS(3120),
    [anon_sym_long] = ACTIONS(3120),
    [anon_sym_short] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_static] = ACTIONS(3120),
    [anon_sym_register] = ACTIONS(3120),
    [anon_sym_inline] = ACTIONS(3120),
    [anon_sym___inline] = ACTIONS(3120),
    [anon_sym___inline__] = ACTIONS(3120),
    [anon_sym___forceinline] = ACTIONS(3120),
    [anon_sym_thread_local] = ACTIONS(3120),
    [anon_sym___thread] = ACTIONS(3120),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_constexpr] = ACTIONS(3120),
    [anon_sym_volatile] = ACTIONS(3120),
    [anon_sym_restrict] = ACTIONS(3120),
    [anon_sym___restrict__] = ACTIONS(3120),
    [anon_sym__Atomic] = ACTIONS(3120),
    [anon_sym__Noreturn] = ACTIONS(3120),
    [anon_sym_noreturn] = ACTIONS(3120),
    [anon_sym_mutable] = ACTIONS(3120),
    [anon_sym_constinit] = ACTIONS(3120),
    [anon_sym_consteval] = ACTIONS(3120),
    [anon_sym_PROGMEM] = ACTIONS(3120),
    [aux_sym_primitive_type_token1] = ACTIONS(3120),
    [anon_sym_byte] = ACTIONS(3120),
    [anon_sym_word] = ACTIONS(3120),
    [anon_sym_enum] = ACTIONS(3120),
    [anon_sym_class] = ACTIONS(3120),
    [anon_sym_struct] = ACTIONS(3120),
    [anon_sym_union] = ACTIONS(3120),
    [anon_sym_if] = ACTIONS(3120),
    [anon_sym_else] = ACTIONS(3120),
    [anon_sym_switch] = ACTIONS(3120),
    [anon_sym_case] = ACTIONS(3120),
    [anon_sym_default] = ACTIONS(3120),
    [anon_sym_while] = ACTIONS(3120),
    [anon_sym_do] = ACTIONS(3120),
    [anon_sym_for] = ACTIONS(3120),
    [anon_sym_return] = ACTIONS(3120),
    [anon_sym_break] = ACTIONS(3120),
    [anon_sym_continue] = ACTIONS(3120),
    [anon_sym_goto] = ACTIONS(3120),
    [anon_sym___try] = ACTIONS(3120),
    [anon_sym___leave] = ACTIONS(3120),
    [anon_sym_not] = ACTIONS(3120),
    [anon_sym_compl] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_sizeof] = ACTIONS(3120),
    [anon_sym___alignof__] = ACTIONS(3120),
    [anon_sym___alignof] = ACTIONS(3120),
    [anon_sym__alignof] = ACTIONS(3120),
    [anon_sym_alignof] = ACTIONS(3120),
    [anon_sym__Alignof] = ACTIONS(3120),
    [anon_sym_offsetof] = ACTIONS(3120),
    [anon_sym__Generic] = ACTIONS(3120),
    [anon_sym_asm] = ACTIONS(3120),
    [anon_sym___asm__] = ACTIONS(3120),
    [aux_sym_number_literal_token1] = ACTIONS(3122),
    [aux_sym_number_literal_token2] = ACTIONS(3120),
    [anon_sym_L_SQUOTE] = ACTIONS(3122),
    [anon_sym_u_SQUOTE] = ACTIONS(3122),
    [anon_sym_U_SQUOTE] = ACTIONS(3122),
    [anon_sym_u8_SQUOTE] = ACTIONS(3122),
    [anon_sym_SQUOTE] = ACTIONS(3122),
    [anon_sym_L_DQUOTE] = ACTIONS(3122),
    [anon_sym_u_DQUOTE] = ACTIONS(3122),
    [anon_sym_U_DQUOTE] = ACTIONS(3122),
    [anon_sym_u8_DQUOTE] = ACTIONS(3122),
    [anon_sym_DQUOTE] = ACTIONS(3122),
    [sym_true] = ACTIONS(3120),
    [sym_false] = ACTIONS(3120),
    [anon_sym_NULL] = ACTIONS(3120),
    [anon_sym_nullptr] = ACTIONS(3120),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3120),
    [anon_sym_decltype] = ACTIONS(3120),
    [anon_sym_virtual] = ACTIONS(3120),
    [anon_sym_alignas] = ACTIONS(3120),
    [anon_sym_explicit] = ACTIONS(3120),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3120),
    [anon_sym_operator] = ACTIONS(3120),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_delete] = ACTIONS(3120),
    [anon_sym_throw] = ACTIONS(3120),
    [anon_sym_namespace] = ACTIONS(3120),
    [anon_sym_using] = ACTIONS(3120),
    [anon_sym_static_assert] = ACTIONS(3120),
    [anon_sym_concept] = ACTIONS(3120),
    [anon_sym_co_return] = ACTIONS(3120),
    [anon_sym_co_yield] = ACTIONS(3120),
    [anon_sym_R_DQUOTE] = ACTIONS(3122),
    [anon_sym_LR_DQUOTE] = ACTIONS(3122),
    [anon_sym_uR_DQUOTE] = ACTIONS(3122),
    [anon_sym_UR_DQUOTE] = ACTIONS(3122),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3122),
    [anon_sym_co_await] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(3120),
    [anon_sym_requires] = ACTIONS(3120),
    [sym_this] = ACTIONS(3120),
  },
  [529] = {
    [sym_identifier] = ACTIONS(3104),
    [aux_sym_preproc_include_token1] = ACTIONS(3104),
    [aux_sym_preproc_def_token1] = ACTIONS(3104),
    [aux_sym_preproc_if_token1] = ACTIONS(3104),
    [aux_sym_preproc_if_token2] = ACTIONS(3104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3104),
    [aux_sym_preproc_else_token1] = ACTIONS(3104),
    [aux_sym_preproc_elif_token1] = ACTIONS(3104),
    [sym_preproc_directive] = ACTIONS(3104),
    [anon_sym_LPAREN2] = ACTIONS(3106),
    [anon_sym_BANG] = ACTIONS(3106),
    [anon_sym_TILDE] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3104),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_AMP_AMP] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym___extension__] = ACTIONS(3104),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(3104),
    [anon_sym___attribute__] = ACTIONS(3104),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3106),
    [anon_sym___declspec] = ACTIONS(3104),
    [anon_sym___based] = ACTIONS(3104),
    [anon_sym___cdecl] = ACTIONS(3104),
    [anon_sym___clrcall] = ACTIONS(3104),
    [anon_sym___stdcall] = ACTIONS(3104),
    [anon_sym___fastcall] = ACTIONS(3104),
    [anon_sym___thiscall] = ACTIONS(3104),
    [anon_sym___vectorcall] = ACTIONS(3104),
    [anon_sym_LBRACE] = ACTIONS(3106),
    [anon_sym_signed] = ACTIONS(3104),
    [anon_sym_unsigned] = ACTIONS(3104),
    [anon_sym_long] = ACTIONS(3104),
    [anon_sym_short] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_static] = ACTIONS(3104),
    [anon_sym_register] = ACTIONS(3104),
    [anon_sym_inline] = ACTIONS(3104),
    [anon_sym___inline] = ACTIONS(3104),
    [anon_sym___inline__] = ACTIONS(3104),
    [anon_sym___forceinline] = ACTIONS(3104),
    [anon_sym_thread_local] = ACTIONS(3104),
    [anon_sym___thread] = ACTIONS(3104),
    [anon_sym_const] = ACTIONS(3104),
    [anon_sym_constexpr] = ACTIONS(3104),
    [anon_sym_volatile] = ACTIONS(3104),
    [anon_sym_restrict] = ACTIONS(3104),
    [anon_sym___restrict__] = ACTIONS(3104),
    [anon_sym__Atomic] = ACTIONS(3104),
    [anon_sym__Noreturn] = ACTIONS(3104),
    [anon_sym_noreturn] = ACTIONS(3104),
    [anon_sym_mutable] = ACTIONS(3104),
    [anon_sym_constinit] = ACTIONS(3104),
    [anon_sym_consteval] = ACTIONS(3104),
    [anon_sym_PROGMEM] = ACTIONS(3104),
    [aux_sym_primitive_type_token1] = ACTIONS(3104),
    [anon_sym_byte] = ACTIONS(3104),
    [anon_sym_word] = ACTIONS(3104),
    [anon_sym_enum] = ACTIONS(3104),
    [anon_sym_class] = ACTIONS(3104),
    [anon_sym_struct] = ACTIONS(3104),
    [anon_sym_union] = ACTIONS(3104),
    [anon_sym_if] = ACTIONS(3104),
    [anon_sym_else] = ACTIONS(3104),
    [anon_sym_switch] = ACTIONS(3104),
    [anon_sym_case] = ACTIONS(3104),
    [anon_sym_default] = ACTIONS(3104),
    [anon_sym_while] = ACTIONS(3104),
    [anon_sym_do] = ACTIONS(3104),
    [anon_sym_for] = ACTIONS(3104),
    [anon_sym_return] = ACTIONS(3104),
    [anon_sym_break] = ACTIONS(3104),
    [anon_sym_continue] = ACTIONS(3104),
    [anon_sym_goto] = ACTIONS(3104),
    [anon_sym___try] = ACTIONS(3104),
    [anon_sym___leave] = ACTIONS(3104),
    [anon_sym_not] = ACTIONS(3104),
    [anon_sym_compl] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_sizeof] = ACTIONS(3104),
    [anon_sym___alignof__] = ACTIONS(3104),
    [anon_sym___alignof] = ACTIONS(3104),
    [anon_sym__alignof] = ACTIONS(3104),
    [anon_sym_alignof] = ACTIONS(3104),
    [anon_sym__Alignof] = ACTIONS(3104),
    [anon_sym_offsetof] = ACTIONS(3104),
    [anon_sym__Generic] = ACTIONS(3104),
    [anon_sym_asm] = ACTIONS(3104),
    [anon_sym___asm__] = ACTIONS(3104),
    [aux_sym_number_literal_token1] = ACTIONS(3106),
    [aux_sym_number_literal_token2] = ACTIONS(3104),
    [anon_sym_L_SQUOTE] = ACTIONS(3106),
    [anon_sym_u_SQUOTE] = ACTIONS(3106),
    [anon_sym_U_SQUOTE] = ACTIONS(3106),
    [anon_sym_u8_SQUOTE] = ACTIONS(3106),
    [anon_sym_SQUOTE] = ACTIONS(3106),
    [anon_sym_L_DQUOTE] = ACTIONS(3106),
    [anon_sym_u_DQUOTE] = ACTIONS(3106),
    [anon_sym_U_DQUOTE] = ACTIONS(3106),
    [anon_sym_u8_DQUOTE] = ACTIONS(3106),
    [anon_sym_DQUOTE] = ACTIONS(3106),
    [sym_true] = ACTIONS(3104),
    [sym_false] = ACTIONS(3104),
    [anon_sym_NULL] = ACTIONS(3104),
    [anon_sym_nullptr] = ACTIONS(3104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3104),
    [anon_sym_decltype] = ACTIONS(3104),
    [anon_sym_virtual] = ACTIONS(3104),
    [anon_sym_alignas] = ACTIONS(3104),
    [anon_sym_explicit] = ACTIONS(3104),
    [anon_sym_typename] = ACTIONS(3104),
    [anon_sym_template] = ACTIONS(3104),
    [anon_sym_operator] = ACTIONS(3104),
    [anon_sym_try] = ACTIONS(3104),
    [anon_sym_delete] = ACTIONS(3104),
    [anon_sym_throw] = ACTIONS(3104),
    [anon_sym_namespace] = ACTIONS(3104),
    [anon_sym_using] = ACTIONS(3104),
    [anon_sym_static_assert] = ACTIONS(3104),
    [anon_sym_concept] = ACTIONS(3104),
    [anon_sym_co_return] = ACTIONS(3104),
    [anon_sym_co_yield] = ACTIONS(3104),
    [anon_sym_R_DQUOTE] = ACTIONS(3106),
    [anon_sym_LR_DQUOTE] = ACTIONS(3106),
    [anon_sym_uR_DQUOTE] = ACTIONS(3106),
    [anon_sym_UR_DQUOTE] = ACTIONS(3106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3106),
    [anon_sym_co_await] = ACTIONS(3104),
    [anon_sym_new] = ACTIONS(3104),
    [anon_sym_requires] = ACTIONS(3104),
    [sym_this] = ACTIONS(3104),
  },
  [530] = {
    [sym_identifier] = ACTIONS(3130),
    [aux_sym_preproc_include_token1] = ACTIONS(3130),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token2] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3130),
    [aux_sym_preproc_else_token1] = ACTIONS(3130),
    [aux_sym_preproc_elif_token1] = ACTIONS(3130),
    [sym_preproc_directive] = ACTIONS(3130),
    [anon_sym_LPAREN2] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym___extension__] = ACTIONS(3130),
    [anon_sym_typedef] = ACTIONS(3130),
    [anon_sym_extern] = ACTIONS(3130),
    [anon_sym___attribute__] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3132),
    [anon_sym___declspec] = ACTIONS(3130),
    [anon_sym___based] = ACTIONS(3130),
    [anon_sym___cdecl] = ACTIONS(3130),
    [anon_sym___clrcall] = ACTIONS(3130),
    [anon_sym___stdcall] = ACTIONS(3130),
    [anon_sym___fastcall] = ACTIONS(3130),
    [anon_sym___thiscall] = ACTIONS(3130),
    [anon_sym___vectorcall] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_signed] = ACTIONS(3130),
    [anon_sym_unsigned] = ACTIONS(3130),
    [anon_sym_long] = ACTIONS(3130),
    [anon_sym_short] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_register] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym___inline] = ACTIONS(3130),
    [anon_sym___inline__] = ACTIONS(3130),
    [anon_sym___forceinline] = ACTIONS(3130),
    [anon_sym_thread_local] = ACTIONS(3130),
    [anon_sym___thread] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_constexpr] = ACTIONS(3130),
    [anon_sym_volatile] = ACTIONS(3130),
    [anon_sym_restrict] = ACTIONS(3130),
    [anon_sym___restrict__] = ACTIONS(3130),
    [anon_sym__Atomic] = ACTIONS(3130),
    [anon_sym__Noreturn] = ACTIONS(3130),
    [anon_sym_noreturn] = ACTIONS(3130),
    [anon_sym_mutable] = ACTIONS(3130),
    [anon_sym_constinit] = ACTIONS(3130),
    [anon_sym_consteval] = ACTIONS(3130),
    [anon_sym_PROGMEM] = ACTIONS(3130),
    [aux_sym_primitive_type_token1] = ACTIONS(3130),
    [anon_sym_byte] = ACTIONS(3130),
    [anon_sym_word] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_struct] = ACTIONS(3130),
    [anon_sym_union] = ACTIONS(3130),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_else] = ACTIONS(3130),
    [anon_sym_switch] = ACTIONS(3130),
    [anon_sym_case] = ACTIONS(3130),
    [anon_sym_default] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_do] = ACTIONS(3130),
    [anon_sym_for] = ACTIONS(3130),
    [anon_sym_return] = ACTIONS(3130),
    [anon_sym_break] = ACTIONS(3130),
    [anon_sym_continue] = ACTIONS(3130),
    [anon_sym_goto] = ACTIONS(3130),
    [anon_sym___try] = ACTIONS(3130),
    [anon_sym___leave] = ACTIONS(3130),
    [anon_sym_not] = ACTIONS(3130),
    [anon_sym_compl] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_sizeof] = ACTIONS(3130),
    [anon_sym___alignof__] = ACTIONS(3130),
    [anon_sym___alignof] = ACTIONS(3130),
    [anon_sym__alignof] = ACTIONS(3130),
    [anon_sym_alignof] = ACTIONS(3130),
    [anon_sym__Alignof] = ACTIONS(3130),
    [anon_sym_offsetof] = ACTIONS(3130),
    [anon_sym__Generic] = ACTIONS(3130),
    [anon_sym_asm] = ACTIONS(3130),
    [anon_sym___asm__] = ACTIONS(3130),
    [aux_sym_number_literal_token1] = ACTIONS(3132),
    [aux_sym_number_literal_token2] = ACTIONS(3130),
    [anon_sym_L_SQUOTE] = ACTIONS(3132),
    [anon_sym_u_SQUOTE] = ACTIONS(3132),
    [anon_sym_U_SQUOTE] = ACTIONS(3132),
    [anon_sym_u8_SQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [anon_sym_L_DQUOTE] = ACTIONS(3132),
    [anon_sym_u_DQUOTE] = ACTIONS(3132),
    [anon_sym_U_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8_DQUOTE] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [sym_true] = ACTIONS(3130),
    [sym_false] = ACTIONS(3130),
    [anon_sym_NULL] = ACTIONS(3130),
    [anon_sym_nullptr] = ACTIONS(3130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3130),
    [anon_sym_decltype] = ACTIONS(3130),
    [anon_sym_virtual] = ACTIONS(3130),
    [anon_sym_alignas] = ACTIONS(3130),
    [anon_sym_explicit] = ACTIONS(3130),
    [anon_sym_typename] = ACTIONS(3130),
    [anon_sym_template] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_try] = ACTIONS(3130),
    [anon_sym_delete] = ACTIONS(3130),
    [anon_sym_throw] = ACTIONS(3130),
    [anon_sym_namespace] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_static_assert] = ACTIONS(3130),
    [anon_sym_concept] = ACTIONS(3130),
    [anon_sym_co_return] = ACTIONS(3130),
    [anon_sym_co_yield] = ACTIONS(3130),
    [anon_sym_R_DQUOTE] = ACTIONS(3132),
    [anon_sym_LR_DQUOTE] = ACTIONS(3132),
    [anon_sym_uR_DQUOTE] = ACTIONS(3132),
    [anon_sym_UR_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3132),
    [anon_sym_co_await] = ACTIONS(3130),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_requires] = ACTIONS(3130),
    [sym_this] = ACTIONS(3130),
  },
  [531] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [532] = {
    [sym_identifier] = ACTIONS(3116),
    [aux_sym_preproc_include_token1] = ACTIONS(3116),
    [aux_sym_preproc_def_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token2] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3116),
    [aux_sym_preproc_else_token1] = ACTIONS(3116),
    [aux_sym_preproc_elif_token1] = ACTIONS(3116),
    [sym_preproc_directive] = ACTIONS(3116),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [anon_sym_BANG] = ACTIONS(3118),
    [anon_sym_TILDE] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3118),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3118),
    [anon_sym___extension__] = ACTIONS(3116),
    [anon_sym_typedef] = ACTIONS(3116),
    [anon_sym_extern] = ACTIONS(3116),
    [anon_sym___attribute__] = ACTIONS(3116),
    [anon_sym_COLON_COLON] = ACTIONS(3118),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3118),
    [anon_sym___declspec] = ACTIONS(3116),
    [anon_sym___based] = ACTIONS(3116),
    [anon_sym___cdecl] = ACTIONS(3116),
    [anon_sym___clrcall] = ACTIONS(3116),
    [anon_sym___stdcall] = ACTIONS(3116),
    [anon_sym___fastcall] = ACTIONS(3116),
    [anon_sym___thiscall] = ACTIONS(3116),
    [anon_sym___vectorcall] = ACTIONS(3116),
    [anon_sym_LBRACE] = ACTIONS(3118),
    [anon_sym_signed] = ACTIONS(3116),
    [anon_sym_unsigned] = ACTIONS(3116),
    [anon_sym_long] = ACTIONS(3116),
    [anon_sym_short] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_static] = ACTIONS(3116),
    [anon_sym_register] = ACTIONS(3116),
    [anon_sym_inline] = ACTIONS(3116),
    [anon_sym___inline] = ACTIONS(3116),
    [anon_sym___inline__] = ACTIONS(3116),
    [anon_sym___forceinline] = ACTIONS(3116),
    [anon_sym_thread_local] = ACTIONS(3116),
    [anon_sym___thread] = ACTIONS(3116),
    [anon_sym_const] = ACTIONS(3116),
    [anon_sym_constexpr] = ACTIONS(3116),
    [anon_sym_volatile] = ACTIONS(3116),
    [anon_sym_restrict] = ACTIONS(3116),
    [anon_sym___restrict__] = ACTIONS(3116),
    [anon_sym__Atomic] = ACTIONS(3116),
    [anon_sym__Noreturn] = ACTIONS(3116),
    [anon_sym_noreturn] = ACTIONS(3116),
    [anon_sym_mutable] = ACTIONS(3116),
    [anon_sym_constinit] = ACTIONS(3116),
    [anon_sym_consteval] = ACTIONS(3116),
    [anon_sym_PROGMEM] = ACTIONS(3116),
    [aux_sym_primitive_type_token1] = ACTIONS(3116),
    [anon_sym_byte] = ACTIONS(3116),
    [anon_sym_word] = ACTIONS(3116),
    [anon_sym_enum] = ACTIONS(3116),
    [anon_sym_class] = ACTIONS(3116),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3116),
    [anon_sym_if] = ACTIONS(3116),
    [anon_sym_else] = ACTIONS(3116),
    [anon_sym_switch] = ACTIONS(3116),
    [anon_sym_case] = ACTIONS(3116),
    [anon_sym_default] = ACTIONS(3116),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_do] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3116),
    [anon_sym_return] = ACTIONS(3116),
    [anon_sym_break] = ACTIONS(3116),
    [anon_sym_continue] = ACTIONS(3116),
    [anon_sym_goto] = ACTIONS(3116),
    [anon_sym___try] = ACTIONS(3116),
    [anon_sym___leave] = ACTIONS(3116),
    [anon_sym_not] = ACTIONS(3116),
    [anon_sym_compl] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_sizeof] = ACTIONS(3116),
    [anon_sym___alignof__] = ACTIONS(3116),
    [anon_sym___alignof] = ACTIONS(3116),
    [anon_sym__alignof] = ACTIONS(3116),
    [anon_sym_alignof] = ACTIONS(3116),
    [anon_sym__Alignof] = ACTIONS(3116),
    [anon_sym_offsetof] = ACTIONS(3116),
    [anon_sym__Generic] = ACTIONS(3116),
    [anon_sym_asm] = ACTIONS(3116),
    [anon_sym___asm__] = ACTIONS(3116),
    [aux_sym_number_literal_token1] = ACTIONS(3118),
    [aux_sym_number_literal_token2] = ACTIONS(3116),
    [anon_sym_L_SQUOTE] = ACTIONS(3118),
    [anon_sym_u_SQUOTE] = ACTIONS(3118),
    [anon_sym_U_SQUOTE] = ACTIONS(3118),
    [anon_sym_u8_SQUOTE] = ACTIONS(3118),
    [anon_sym_SQUOTE] = ACTIONS(3118),
    [anon_sym_L_DQUOTE] = ACTIONS(3118),
    [anon_sym_u_DQUOTE] = ACTIONS(3118),
    [anon_sym_U_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8_DQUOTE] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(3118),
    [sym_true] = ACTIONS(3116),
    [sym_false] = ACTIONS(3116),
    [anon_sym_NULL] = ACTIONS(3116),
    [anon_sym_nullptr] = ACTIONS(3116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3116),
    [anon_sym_decltype] = ACTIONS(3116),
    [anon_sym_virtual] = ACTIONS(3116),
    [anon_sym_alignas] = ACTIONS(3116),
    [anon_sym_explicit] = ACTIONS(3116),
    [anon_sym_typename] = ACTIONS(3116),
    [anon_sym_template] = ACTIONS(3116),
    [anon_sym_operator] = ACTIONS(3116),
    [anon_sym_try] = ACTIONS(3116),
    [anon_sym_delete] = ACTIONS(3116),
    [anon_sym_throw] = ACTIONS(3116),
    [anon_sym_namespace] = ACTIONS(3116),
    [anon_sym_using] = ACTIONS(3116),
    [anon_sym_static_assert] = ACTIONS(3116),
    [anon_sym_concept] = ACTIONS(3116),
    [anon_sym_co_return] = ACTIONS(3116),
    [anon_sym_co_yield] = ACTIONS(3116),
    [anon_sym_R_DQUOTE] = ACTIONS(3118),
    [anon_sym_LR_DQUOTE] = ACTIONS(3118),
    [anon_sym_uR_DQUOTE] = ACTIONS(3118),
    [anon_sym_UR_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3118),
    [anon_sym_co_await] = ACTIONS(3116),
    [anon_sym_new] = ACTIONS(3116),
    [anon_sym_requires] = ACTIONS(3116),
    [sym_this] = ACTIONS(3116),
  },
  [533] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [aux_sym_preproc_else_token1] = ACTIONS(3090),
    [aux_sym_preproc_elif_token1] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [534] = {
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_include_token1] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token2] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [aux_sym_preproc_else_token1] = ACTIONS(3052),
    [aux_sym_preproc_elif_token1] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_BANG] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym___cdecl] = ACTIONS(3052),
    [anon_sym___clrcall] = ACTIONS(3052),
    [anon_sym___stdcall] = ACTIONS(3052),
    [anon_sym___fastcall] = ACTIONS(3052),
    [anon_sym___thiscall] = ACTIONS(3052),
    [anon_sym___vectorcall] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_PROGMEM] = ACTIONS(3052),
    [aux_sym_primitive_type_token1] = ACTIONS(3052),
    [anon_sym_byte] = ACTIONS(3052),
    [anon_sym_word] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [anon_sym_if] = ACTIONS(3052),
    [anon_sym_else] = ACTIONS(3052),
    [anon_sym_switch] = ACTIONS(3052),
    [anon_sym_case] = ACTIONS(3052),
    [anon_sym_default] = ACTIONS(3052),
    [anon_sym_while] = ACTIONS(3052),
    [anon_sym_do] = ACTIONS(3052),
    [anon_sym_for] = ACTIONS(3052),
    [anon_sym_return] = ACTIONS(3052),
    [anon_sym_break] = ACTIONS(3052),
    [anon_sym_continue] = ACTIONS(3052),
    [anon_sym_goto] = ACTIONS(3052),
    [anon_sym___try] = ACTIONS(3052),
    [anon_sym___leave] = ACTIONS(3052),
    [anon_sym_not] = ACTIONS(3052),
    [anon_sym_compl] = ACTIONS(3052),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_sizeof] = ACTIONS(3052),
    [anon_sym___alignof__] = ACTIONS(3052),
    [anon_sym___alignof] = ACTIONS(3052),
    [anon_sym__alignof] = ACTIONS(3052),
    [anon_sym_alignof] = ACTIONS(3052),
    [anon_sym__Alignof] = ACTIONS(3052),
    [anon_sym_offsetof] = ACTIONS(3052),
    [anon_sym__Generic] = ACTIONS(3052),
    [anon_sym_asm] = ACTIONS(3052),
    [anon_sym___asm__] = ACTIONS(3052),
    [aux_sym_number_literal_token1] = ACTIONS(3054),
    [aux_sym_number_literal_token2] = ACTIONS(3052),
    [anon_sym_L_SQUOTE] = ACTIONS(3054),
    [anon_sym_u_SQUOTE] = ACTIONS(3054),
    [anon_sym_U_SQUOTE] = ACTIONS(3054),
    [anon_sym_u8_SQUOTE] = ACTIONS(3054),
    [anon_sym_SQUOTE] = ACTIONS(3054),
    [anon_sym_L_DQUOTE] = ACTIONS(3054),
    [anon_sym_u_DQUOTE] = ACTIONS(3054),
    [anon_sym_U_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8_DQUOTE] = ACTIONS(3054),
    [anon_sym_DQUOTE] = ACTIONS(3054),
    [sym_true] = ACTIONS(3052),
    [sym_false] = ACTIONS(3052),
    [anon_sym_NULL] = ACTIONS(3052),
    [anon_sym_nullptr] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_try] = ACTIONS(3052),
    [anon_sym_delete] = ACTIONS(3052),
    [anon_sym_throw] = ACTIONS(3052),
    [anon_sym_namespace] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
    [anon_sym_concept] = ACTIONS(3052),
    [anon_sym_co_return] = ACTIONS(3052),
    [anon_sym_co_yield] = ACTIONS(3052),
    [anon_sym_R_DQUOTE] = ACTIONS(3054),
    [anon_sym_LR_DQUOTE] = ACTIONS(3054),
    [anon_sym_uR_DQUOTE] = ACTIONS(3054),
    [anon_sym_UR_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3054),
    [anon_sym_co_await] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(3052),
    [anon_sym_requires] = ACTIONS(3052),
    [sym_this] = ACTIONS(3052),
  },
  [535] = {
    [sym_identifier] = ACTIONS(3112),
    [aux_sym_preproc_include_token1] = ACTIONS(3112),
    [aux_sym_preproc_def_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token2] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3112),
    [aux_sym_preproc_else_token1] = ACTIONS(3112),
    [aux_sym_preproc_elif_token1] = ACTIONS(3112),
    [sym_preproc_directive] = ACTIONS(3112),
    [anon_sym_LPAREN2] = ACTIONS(3114),
    [anon_sym_BANG] = ACTIONS(3114),
    [anon_sym_TILDE] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym___extension__] = ACTIONS(3112),
    [anon_sym_typedef] = ACTIONS(3112),
    [anon_sym_extern] = ACTIONS(3112),
    [anon_sym___attribute__] = ACTIONS(3112),
    [anon_sym_COLON_COLON] = ACTIONS(3114),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3114),
    [anon_sym___declspec] = ACTIONS(3112),
    [anon_sym___based] = ACTIONS(3112),
    [anon_sym___cdecl] = ACTIONS(3112),
    [anon_sym___clrcall] = ACTIONS(3112),
    [anon_sym___stdcall] = ACTIONS(3112),
    [anon_sym___fastcall] = ACTIONS(3112),
    [anon_sym___thiscall] = ACTIONS(3112),
    [anon_sym___vectorcall] = ACTIONS(3112),
    [anon_sym_LBRACE] = ACTIONS(3114),
    [anon_sym_signed] = ACTIONS(3112),
    [anon_sym_unsigned] = ACTIONS(3112),
    [anon_sym_long] = ACTIONS(3112),
    [anon_sym_short] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_register] = ACTIONS(3112),
    [anon_sym_inline] = ACTIONS(3112),
    [anon_sym___inline] = ACTIONS(3112),
    [anon_sym___inline__] = ACTIONS(3112),
    [anon_sym___forceinline] = ACTIONS(3112),
    [anon_sym_thread_local] = ACTIONS(3112),
    [anon_sym___thread] = ACTIONS(3112),
    [anon_sym_const] = ACTIONS(3112),
    [anon_sym_constexpr] = ACTIONS(3112),
    [anon_sym_volatile] = ACTIONS(3112),
    [anon_sym_restrict] = ACTIONS(3112),
    [anon_sym___restrict__] = ACTIONS(3112),
    [anon_sym__Atomic] = ACTIONS(3112),
    [anon_sym__Noreturn] = ACTIONS(3112),
    [anon_sym_noreturn] = ACTIONS(3112),
    [anon_sym_mutable] = ACTIONS(3112),
    [anon_sym_constinit] = ACTIONS(3112),
    [anon_sym_consteval] = ACTIONS(3112),
    [anon_sym_PROGMEM] = ACTIONS(3112),
    [aux_sym_primitive_type_token1] = ACTIONS(3112),
    [anon_sym_byte] = ACTIONS(3112),
    [anon_sym_word] = ACTIONS(3112),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3112),
    [anon_sym_struct] = ACTIONS(3112),
    [anon_sym_union] = ACTIONS(3112),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_else] = ACTIONS(3112),
    [anon_sym_switch] = ACTIONS(3112),
    [anon_sym_case] = ACTIONS(3112),
    [anon_sym_default] = ACTIONS(3112),
    [anon_sym_while] = ACTIONS(3112),
    [anon_sym_do] = ACTIONS(3112),
    [anon_sym_for] = ACTIONS(3112),
    [anon_sym_return] = ACTIONS(3112),
    [anon_sym_break] = ACTIONS(3112),
    [anon_sym_continue] = ACTIONS(3112),
    [anon_sym_goto] = ACTIONS(3112),
    [anon_sym___try] = ACTIONS(3112),
    [anon_sym___leave] = ACTIONS(3112),
    [anon_sym_not] = ACTIONS(3112),
    [anon_sym_compl] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_sizeof] = ACTIONS(3112),
    [anon_sym___alignof__] = ACTIONS(3112),
    [anon_sym___alignof] = ACTIONS(3112),
    [anon_sym__alignof] = ACTIONS(3112),
    [anon_sym_alignof] = ACTIONS(3112),
    [anon_sym__Alignof] = ACTIONS(3112),
    [anon_sym_offsetof] = ACTIONS(3112),
    [anon_sym__Generic] = ACTIONS(3112),
    [anon_sym_asm] = ACTIONS(3112),
    [anon_sym___asm__] = ACTIONS(3112),
    [aux_sym_number_literal_token1] = ACTIONS(3114),
    [aux_sym_number_literal_token2] = ACTIONS(3112),
    [anon_sym_L_SQUOTE] = ACTIONS(3114),
    [anon_sym_u_SQUOTE] = ACTIONS(3114),
    [anon_sym_U_SQUOTE] = ACTIONS(3114),
    [anon_sym_u8_SQUOTE] = ACTIONS(3114),
    [anon_sym_SQUOTE] = ACTIONS(3114),
    [anon_sym_L_DQUOTE] = ACTIONS(3114),
    [anon_sym_u_DQUOTE] = ACTIONS(3114),
    [anon_sym_U_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8_DQUOTE] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(3114),
    [sym_true] = ACTIONS(3112),
    [sym_false] = ACTIONS(3112),
    [anon_sym_NULL] = ACTIONS(3112),
    [anon_sym_nullptr] = ACTIONS(3112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3112),
    [anon_sym_decltype] = ACTIONS(3112),
    [anon_sym_virtual] = ACTIONS(3112),
    [anon_sym_alignas] = ACTIONS(3112),
    [anon_sym_explicit] = ACTIONS(3112),
    [anon_sym_typename] = ACTIONS(3112),
    [anon_sym_template] = ACTIONS(3112),
    [anon_sym_operator] = ACTIONS(3112),
    [anon_sym_try] = ACTIONS(3112),
    [anon_sym_delete] = ACTIONS(3112),
    [anon_sym_throw] = ACTIONS(3112),
    [anon_sym_namespace] = ACTIONS(3112),
    [anon_sym_using] = ACTIONS(3112),
    [anon_sym_static_assert] = ACTIONS(3112),
    [anon_sym_concept] = ACTIONS(3112),
    [anon_sym_co_return] = ACTIONS(3112),
    [anon_sym_co_yield] = ACTIONS(3112),
    [anon_sym_R_DQUOTE] = ACTIONS(3114),
    [anon_sym_LR_DQUOTE] = ACTIONS(3114),
    [anon_sym_uR_DQUOTE] = ACTIONS(3114),
    [anon_sym_UR_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3114),
    [anon_sym_co_await] = ACTIONS(3112),
    [anon_sym_new] = ACTIONS(3112),
    [anon_sym_requires] = ACTIONS(3112),
    [sym_this] = ACTIONS(3112),
  },
  [536] = {
    [sym_identifier] = ACTIONS(3108),
    [aux_sym_preproc_include_token1] = ACTIONS(3108),
    [aux_sym_preproc_def_token1] = ACTIONS(3108),
    [aux_sym_preproc_if_token1] = ACTIONS(3108),
    [aux_sym_preproc_if_token2] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3108),
    [aux_sym_preproc_else_token1] = ACTIONS(3108),
    [aux_sym_preproc_elif_token1] = ACTIONS(3108),
    [sym_preproc_directive] = ACTIONS(3108),
    [anon_sym_LPAREN2] = ACTIONS(3110),
    [anon_sym_BANG] = ACTIONS(3110),
    [anon_sym_TILDE] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3110),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym___extension__] = ACTIONS(3108),
    [anon_sym_typedef] = ACTIONS(3108),
    [anon_sym_extern] = ACTIONS(3108),
    [anon_sym___attribute__] = ACTIONS(3108),
    [anon_sym_COLON_COLON] = ACTIONS(3110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3110),
    [anon_sym___declspec] = ACTIONS(3108),
    [anon_sym___based] = ACTIONS(3108),
    [anon_sym___cdecl] = ACTIONS(3108),
    [anon_sym___clrcall] = ACTIONS(3108),
    [anon_sym___stdcall] = ACTIONS(3108),
    [anon_sym___fastcall] = ACTIONS(3108),
    [anon_sym___thiscall] = ACTIONS(3108),
    [anon_sym___vectorcall] = ACTIONS(3108),
    [anon_sym_LBRACE] = ACTIONS(3110),
    [anon_sym_signed] = ACTIONS(3108),
    [anon_sym_unsigned] = ACTIONS(3108),
    [anon_sym_long] = ACTIONS(3108),
    [anon_sym_short] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(3108),
    [anon_sym_register] = ACTIONS(3108),
    [anon_sym_inline] = ACTIONS(3108),
    [anon_sym___inline] = ACTIONS(3108),
    [anon_sym___inline__] = ACTIONS(3108),
    [anon_sym___forceinline] = ACTIONS(3108),
    [anon_sym_thread_local] = ACTIONS(3108),
    [anon_sym___thread] = ACTIONS(3108),
    [anon_sym_const] = ACTIONS(3108),
    [anon_sym_constexpr] = ACTIONS(3108),
    [anon_sym_volatile] = ACTIONS(3108),
    [anon_sym_restrict] = ACTIONS(3108),
    [anon_sym___restrict__] = ACTIONS(3108),
    [anon_sym__Atomic] = ACTIONS(3108),
    [anon_sym__Noreturn] = ACTIONS(3108),
    [anon_sym_noreturn] = ACTIONS(3108),
    [anon_sym_mutable] = ACTIONS(3108),
    [anon_sym_constinit] = ACTIONS(3108),
    [anon_sym_consteval] = ACTIONS(3108),
    [anon_sym_PROGMEM] = ACTIONS(3108),
    [aux_sym_primitive_type_token1] = ACTIONS(3108),
    [anon_sym_byte] = ACTIONS(3108),
    [anon_sym_word] = ACTIONS(3108),
    [anon_sym_enum] = ACTIONS(3108),
    [anon_sym_class] = ACTIONS(3108),
    [anon_sym_struct] = ACTIONS(3108),
    [anon_sym_union] = ACTIONS(3108),
    [anon_sym_if] = ACTIONS(3108),
    [anon_sym_else] = ACTIONS(3108),
    [anon_sym_switch] = ACTIONS(3108),
    [anon_sym_case] = ACTIONS(3108),
    [anon_sym_default] = ACTIONS(3108),
    [anon_sym_while] = ACTIONS(3108),
    [anon_sym_do] = ACTIONS(3108),
    [anon_sym_for] = ACTIONS(3108),
    [anon_sym_return] = ACTIONS(3108),
    [anon_sym_break] = ACTIONS(3108),
    [anon_sym_continue] = ACTIONS(3108),
    [anon_sym_goto] = ACTIONS(3108),
    [anon_sym___try] = ACTIONS(3108),
    [anon_sym___leave] = ACTIONS(3108),
    [anon_sym_not] = ACTIONS(3108),
    [anon_sym_compl] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_sizeof] = ACTIONS(3108),
    [anon_sym___alignof__] = ACTIONS(3108),
    [anon_sym___alignof] = ACTIONS(3108),
    [anon_sym__alignof] = ACTIONS(3108),
    [anon_sym_alignof] = ACTIONS(3108),
    [anon_sym__Alignof] = ACTIONS(3108),
    [anon_sym_offsetof] = ACTIONS(3108),
    [anon_sym__Generic] = ACTIONS(3108),
    [anon_sym_asm] = ACTIONS(3108),
    [anon_sym___asm__] = ACTIONS(3108),
    [aux_sym_number_literal_token1] = ACTIONS(3110),
    [aux_sym_number_literal_token2] = ACTIONS(3108),
    [anon_sym_L_SQUOTE] = ACTIONS(3110),
    [anon_sym_u_SQUOTE] = ACTIONS(3110),
    [anon_sym_U_SQUOTE] = ACTIONS(3110),
    [anon_sym_u8_SQUOTE] = ACTIONS(3110),
    [anon_sym_SQUOTE] = ACTIONS(3110),
    [anon_sym_L_DQUOTE] = ACTIONS(3110),
    [anon_sym_u_DQUOTE] = ACTIONS(3110),
    [anon_sym_U_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8_DQUOTE] = ACTIONS(3110),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [sym_true] = ACTIONS(3108),
    [sym_false] = ACTIONS(3108),
    [anon_sym_NULL] = ACTIONS(3108),
    [anon_sym_nullptr] = ACTIONS(3108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3108),
    [anon_sym_decltype] = ACTIONS(3108),
    [anon_sym_virtual] = ACTIONS(3108),
    [anon_sym_alignas] = ACTIONS(3108),
    [anon_sym_explicit] = ACTIONS(3108),
    [anon_sym_typename] = ACTIONS(3108),
    [anon_sym_template] = ACTIONS(3108),
    [anon_sym_operator] = ACTIONS(3108),
    [anon_sym_try] = ACTIONS(3108),
    [anon_sym_delete] = ACTIONS(3108),
    [anon_sym_throw] = ACTIONS(3108),
    [anon_sym_namespace] = ACTIONS(3108),
    [anon_sym_using] = ACTIONS(3108),
    [anon_sym_static_assert] = ACTIONS(3108),
    [anon_sym_concept] = ACTIONS(3108),
    [anon_sym_co_return] = ACTIONS(3108),
    [anon_sym_co_yield] = ACTIONS(3108),
    [anon_sym_R_DQUOTE] = ACTIONS(3110),
    [anon_sym_LR_DQUOTE] = ACTIONS(3110),
    [anon_sym_uR_DQUOTE] = ACTIONS(3110),
    [anon_sym_UR_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3110),
    [anon_sym_co_await] = ACTIONS(3108),
    [anon_sym_new] = ACTIONS(3108),
    [anon_sym_requires] = ACTIONS(3108),
    [sym_this] = ACTIONS(3108),
  },
  [537] = {
    [sym_identifier] = ACTIONS(3124),
    [aux_sym_preproc_include_token1] = ACTIONS(3124),
    [aux_sym_preproc_def_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token2] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3124),
    [aux_sym_preproc_else_token1] = ACTIONS(3124),
    [aux_sym_preproc_elif_token1] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3126),
    [anon_sym_BANG] = ACTIONS(3126),
    [anon_sym_TILDE] = ACTIONS(3126),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_STAR] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym___extension__] = ACTIONS(3124),
    [anon_sym_typedef] = ACTIONS(3124),
    [anon_sym_extern] = ACTIONS(3124),
    [anon_sym___attribute__] = ACTIONS(3124),
    [anon_sym_COLON_COLON] = ACTIONS(3126),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3126),
    [anon_sym___declspec] = ACTIONS(3124),
    [anon_sym___based] = ACTIONS(3124),
    [anon_sym___cdecl] = ACTIONS(3124),
    [anon_sym___clrcall] = ACTIONS(3124),
    [anon_sym___stdcall] = ACTIONS(3124),
    [anon_sym___fastcall] = ACTIONS(3124),
    [anon_sym___thiscall] = ACTIONS(3124),
    [anon_sym___vectorcall] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3126),
    [anon_sym_signed] = ACTIONS(3124),
    [anon_sym_unsigned] = ACTIONS(3124),
    [anon_sym_long] = ACTIONS(3124),
    [anon_sym_short] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_register] = ACTIONS(3124),
    [anon_sym_inline] = ACTIONS(3124),
    [anon_sym___inline] = ACTIONS(3124),
    [anon_sym___inline__] = ACTIONS(3124),
    [anon_sym___forceinline] = ACTIONS(3124),
    [anon_sym_thread_local] = ACTIONS(3124),
    [anon_sym___thread] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_constexpr] = ACTIONS(3124),
    [anon_sym_volatile] = ACTIONS(3124),
    [anon_sym_restrict] = ACTIONS(3124),
    [anon_sym___restrict__] = ACTIONS(3124),
    [anon_sym__Atomic] = ACTIONS(3124),
    [anon_sym__Noreturn] = ACTIONS(3124),
    [anon_sym_noreturn] = ACTIONS(3124),
    [anon_sym_mutable] = ACTIONS(3124),
    [anon_sym_constinit] = ACTIONS(3124),
    [anon_sym_consteval] = ACTIONS(3124),
    [anon_sym_PROGMEM] = ACTIONS(3124),
    [aux_sym_primitive_type_token1] = ACTIONS(3124),
    [anon_sym_byte] = ACTIONS(3124),
    [anon_sym_word] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_struct] = ACTIONS(3124),
    [anon_sym_union] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_else] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_default] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_goto] = ACTIONS(3124),
    [anon_sym___try] = ACTIONS(3124),
    [anon_sym___leave] = ACTIONS(3124),
    [anon_sym_not] = ACTIONS(3124),
    [anon_sym_compl] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_sizeof] = ACTIONS(3124),
    [anon_sym___alignof__] = ACTIONS(3124),
    [anon_sym___alignof] = ACTIONS(3124),
    [anon_sym__alignof] = ACTIONS(3124),
    [anon_sym_alignof] = ACTIONS(3124),
    [anon_sym__Alignof] = ACTIONS(3124),
    [anon_sym_offsetof] = ACTIONS(3124),
    [anon_sym__Generic] = ACTIONS(3124),
    [anon_sym_asm] = ACTIONS(3124),
    [anon_sym___asm__] = ACTIONS(3124),
    [aux_sym_number_literal_token1] = ACTIONS(3126),
    [aux_sym_number_literal_token2] = ACTIONS(3124),
    [anon_sym_L_SQUOTE] = ACTIONS(3126),
    [anon_sym_u_SQUOTE] = ACTIONS(3126),
    [anon_sym_U_SQUOTE] = ACTIONS(3126),
    [anon_sym_u8_SQUOTE] = ACTIONS(3126),
    [anon_sym_SQUOTE] = ACTIONS(3126),
    [anon_sym_L_DQUOTE] = ACTIONS(3126),
    [anon_sym_u_DQUOTE] = ACTIONS(3126),
    [anon_sym_U_DQUOTE] = ACTIONS(3126),
    [anon_sym_u8_DQUOTE] = ACTIONS(3126),
    [anon_sym_DQUOTE] = ACTIONS(3126),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [anon_sym_NULL] = ACTIONS(3124),
    [anon_sym_nullptr] = ACTIONS(3124),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3124),
    [anon_sym_decltype] = ACTIONS(3124),
    [anon_sym_virtual] = ACTIONS(3124),
    [anon_sym_alignas] = ACTIONS(3124),
    [anon_sym_explicit] = ACTIONS(3124),
    [anon_sym_typename] = ACTIONS(3124),
    [anon_sym_template] = ACTIONS(3124),
    [anon_sym_operator] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_static_assert] = ACTIONS(3124),
    [anon_sym_concept] = ACTIONS(3124),
    [anon_sym_co_return] = ACTIONS(3124),
    [anon_sym_co_yield] = ACTIONS(3124),
    [anon_sym_R_DQUOTE] = ACTIONS(3126),
    [anon_sym_LR_DQUOTE] = ACTIONS(3126),
    [anon_sym_uR_DQUOTE] = ACTIONS(3126),
    [anon_sym_UR_DQUOTE] = ACTIONS(3126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3126),
    [anon_sym_co_await] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_requires] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
  },
  [538] = {
    [sym_identifier] = ACTIONS(3447),
    [aux_sym_preproc_include_token1] = ACTIONS(3447),
    [aux_sym_preproc_def_token1] = ACTIONS(3447),
    [aux_sym_preproc_if_token1] = ACTIONS(3447),
    [aux_sym_preproc_if_token2] = ACTIONS(3447),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3447),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3447),
    [aux_sym_preproc_else_token1] = ACTIONS(3447),
    [aux_sym_preproc_elif_token1] = ACTIONS(3447),
    [sym_preproc_directive] = ACTIONS(3447),
    [anon_sym_LPAREN2] = ACTIONS(3449),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(3449),
    [anon_sym_AMP_AMP] = ACTIONS(3449),
    [anon_sym_AMP] = ACTIONS(3447),
    [anon_sym_SEMI] = ACTIONS(3449),
    [anon_sym___extension__] = ACTIONS(3447),
    [anon_sym_typedef] = ACTIONS(3447),
    [anon_sym_extern] = ACTIONS(3447),
    [anon_sym___attribute__] = ACTIONS(3447),
    [anon_sym_COLON_COLON] = ACTIONS(3449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3449),
    [anon_sym___declspec] = ACTIONS(3447),
    [anon_sym___based] = ACTIONS(3447),
    [anon_sym___cdecl] = ACTIONS(3447),
    [anon_sym___clrcall] = ACTIONS(3447),
    [anon_sym___stdcall] = ACTIONS(3447),
    [anon_sym___fastcall] = ACTIONS(3447),
    [anon_sym___thiscall] = ACTIONS(3447),
    [anon_sym___vectorcall] = ACTIONS(3447),
    [anon_sym_LBRACE] = ACTIONS(3449),
    [anon_sym_signed] = ACTIONS(3447),
    [anon_sym_unsigned] = ACTIONS(3447),
    [anon_sym_long] = ACTIONS(3447),
    [anon_sym_short] = ACTIONS(3447),
    [anon_sym_LBRACK] = ACTIONS(3447),
    [anon_sym_static] = ACTIONS(3447),
    [anon_sym_register] = ACTIONS(3447),
    [anon_sym_inline] = ACTIONS(3447),
    [anon_sym___inline] = ACTIONS(3447),
    [anon_sym___inline__] = ACTIONS(3447),
    [anon_sym___forceinline] = ACTIONS(3447),
    [anon_sym_thread_local] = ACTIONS(3447),
    [anon_sym___thread] = ACTIONS(3447),
    [anon_sym_const] = ACTIONS(3447),
    [anon_sym_constexpr] = ACTIONS(3447),
    [anon_sym_volatile] = ACTIONS(3447),
    [anon_sym_restrict] = ACTIONS(3447),
    [anon_sym___restrict__] = ACTIONS(3447),
    [anon_sym__Atomic] = ACTIONS(3447),
    [anon_sym__Noreturn] = ACTIONS(3447),
    [anon_sym_noreturn] = ACTIONS(3447),
    [anon_sym_mutable] = ACTIONS(3447),
    [anon_sym_constinit] = ACTIONS(3447),
    [anon_sym_consteval] = ACTIONS(3447),
    [anon_sym_PROGMEM] = ACTIONS(3447),
    [aux_sym_primitive_type_token1] = ACTIONS(3447),
    [anon_sym_byte] = ACTIONS(3447),
    [anon_sym_word] = ACTIONS(3447),
    [anon_sym_enum] = ACTIONS(3447),
    [anon_sym_class] = ACTIONS(3447),
    [anon_sym_struct] = ACTIONS(3447),
    [anon_sym_union] = ACTIONS(3447),
    [anon_sym_if] = ACTIONS(3447),
    [anon_sym_switch] = ACTIONS(3447),
    [anon_sym_case] = ACTIONS(3447),
    [anon_sym_default] = ACTIONS(3447),
    [anon_sym_while] = ACTIONS(3447),
    [anon_sym_do] = ACTIONS(3447),
    [anon_sym_for] = ACTIONS(3447),
    [anon_sym_return] = ACTIONS(3447),
    [anon_sym_break] = ACTIONS(3447),
    [anon_sym_continue] = ACTIONS(3447),
    [anon_sym_goto] = ACTIONS(3447),
    [anon_sym___try] = ACTIONS(3447),
    [anon_sym___leave] = ACTIONS(3447),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(3449),
    [anon_sym_PLUS_PLUS] = ACTIONS(3449),
    [anon_sym_sizeof] = ACTIONS(3447),
    [anon_sym___alignof__] = ACTIONS(3447),
    [anon_sym___alignof] = ACTIONS(3447),
    [anon_sym__alignof] = ACTIONS(3447),
    [anon_sym_alignof] = ACTIONS(3447),
    [anon_sym__Alignof] = ACTIONS(3447),
    [anon_sym_offsetof] = ACTIONS(3447),
    [anon_sym__Generic] = ACTIONS(3447),
    [anon_sym_asm] = ACTIONS(3447),
    [anon_sym___asm__] = ACTIONS(3447),
    [aux_sym_number_literal_token1] = ACTIONS(3449),
    [aux_sym_number_literal_token2] = ACTIONS(3447),
    [anon_sym_L_SQUOTE] = ACTIONS(3449),
    [anon_sym_u_SQUOTE] = ACTIONS(3449),
    [anon_sym_U_SQUOTE] = ACTIONS(3449),
    [anon_sym_u8_SQUOTE] = ACTIONS(3449),
    [anon_sym_SQUOTE] = ACTIONS(3449),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3447),
    [sym_false] = ACTIONS(3447),
    [anon_sym_NULL] = ACTIONS(3447),
    [anon_sym_nullptr] = ACTIONS(3447),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3447),
    [anon_sym_decltype] = ACTIONS(3447),
    [anon_sym_virtual] = ACTIONS(3447),
    [anon_sym_alignas] = ACTIONS(3447),
    [anon_sym_explicit] = ACTIONS(3447),
    [anon_sym_typename] = ACTIONS(3447),
    [anon_sym_template] = ACTIONS(3447),
    [anon_sym_operator] = ACTIONS(3447),
    [anon_sym_try] = ACTIONS(3447),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_throw] = ACTIONS(3447),
    [anon_sym_namespace] = ACTIONS(3447),
    [anon_sym_using] = ACTIONS(3447),
    [anon_sym_static_assert] = ACTIONS(3447),
    [anon_sym_concept] = ACTIONS(3447),
    [anon_sym_co_return] = ACTIONS(3447),
    [anon_sym_co_yield] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3447),
    [anon_sym_new] = ACTIONS(3447),
    [anon_sym_requires] = ACTIONS(3447),
    [sym_this] = ACTIONS(3447),
  },
  [539] = {
    [sym_identifier] = ACTIONS(3421),
    [aux_sym_preproc_include_token1] = ACTIONS(3421),
    [aux_sym_preproc_def_token1] = ACTIONS(3421),
    [aux_sym_preproc_if_token1] = ACTIONS(3421),
    [aux_sym_preproc_if_token2] = ACTIONS(3421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3421),
    [aux_sym_preproc_else_token1] = ACTIONS(3421),
    [aux_sym_preproc_elif_token1] = ACTIONS(3421),
    [sym_preproc_directive] = ACTIONS(3421),
    [anon_sym_LPAREN2] = ACTIONS(3423),
    [anon_sym_BANG] = ACTIONS(3423),
    [anon_sym_TILDE] = ACTIONS(3423),
    [anon_sym_DASH] = ACTIONS(3421),
    [anon_sym_PLUS] = ACTIONS(3421),
    [anon_sym_STAR] = ACTIONS(3423),
    [anon_sym_AMP_AMP] = ACTIONS(3423),
    [anon_sym_AMP] = ACTIONS(3421),
    [anon_sym_SEMI] = ACTIONS(3423),
    [anon_sym___extension__] = ACTIONS(3421),
    [anon_sym_typedef] = ACTIONS(3421),
    [anon_sym_extern] = ACTIONS(3421),
    [anon_sym___attribute__] = ACTIONS(3421),
    [anon_sym_COLON_COLON] = ACTIONS(3423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3423),
    [anon_sym___declspec] = ACTIONS(3421),
    [anon_sym___based] = ACTIONS(3421),
    [anon_sym___cdecl] = ACTIONS(3421),
    [anon_sym___clrcall] = ACTIONS(3421),
    [anon_sym___stdcall] = ACTIONS(3421),
    [anon_sym___fastcall] = ACTIONS(3421),
    [anon_sym___thiscall] = ACTIONS(3421),
    [anon_sym___vectorcall] = ACTIONS(3421),
    [anon_sym_LBRACE] = ACTIONS(3423),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(3421),
    [anon_sym_static] = ACTIONS(3421),
    [anon_sym_register] = ACTIONS(3421),
    [anon_sym_inline] = ACTIONS(3421),
    [anon_sym___inline] = ACTIONS(3421),
    [anon_sym___inline__] = ACTIONS(3421),
    [anon_sym___forceinline] = ACTIONS(3421),
    [anon_sym_thread_local] = ACTIONS(3421),
    [anon_sym___thread] = ACTIONS(3421),
    [anon_sym_const] = ACTIONS(3421),
    [anon_sym_constexpr] = ACTIONS(3421),
    [anon_sym_volatile] = ACTIONS(3421),
    [anon_sym_restrict] = ACTIONS(3421),
    [anon_sym___restrict__] = ACTIONS(3421),
    [anon_sym__Atomic] = ACTIONS(3421),
    [anon_sym__Noreturn] = ACTIONS(3421),
    [anon_sym_noreturn] = ACTIONS(3421),
    [anon_sym_mutable] = ACTIONS(3421),
    [anon_sym_constinit] = ACTIONS(3421),
    [anon_sym_consteval] = ACTIONS(3421),
    [anon_sym_PROGMEM] = ACTIONS(3421),
    [aux_sym_primitive_type_token1] = ACTIONS(3421),
    [anon_sym_byte] = ACTIONS(3421),
    [anon_sym_word] = ACTIONS(3421),
    [anon_sym_enum] = ACTIONS(3421),
    [anon_sym_class] = ACTIONS(3421),
    [anon_sym_struct] = ACTIONS(3421),
    [anon_sym_union] = ACTIONS(3421),
    [anon_sym_if] = ACTIONS(3421),
    [anon_sym_switch] = ACTIONS(3421),
    [anon_sym_case] = ACTIONS(3421),
    [anon_sym_default] = ACTIONS(3421),
    [anon_sym_while] = ACTIONS(3421),
    [anon_sym_do] = ACTIONS(3421),
    [anon_sym_for] = ACTIONS(3421),
    [anon_sym_return] = ACTIONS(3421),
    [anon_sym_break] = ACTIONS(3421),
    [anon_sym_continue] = ACTIONS(3421),
    [anon_sym_goto] = ACTIONS(3421),
    [anon_sym___try] = ACTIONS(3421),
    [anon_sym___leave] = ACTIONS(3421),
    [anon_sym_not] = ACTIONS(3421),
    [anon_sym_compl] = ACTIONS(3421),
    [anon_sym_DASH_DASH] = ACTIONS(3423),
    [anon_sym_PLUS_PLUS] = ACTIONS(3423),
    [anon_sym_sizeof] = ACTIONS(3421),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3421),
    [anon_sym__Generic] = ACTIONS(3421),
    [anon_sym_asm] = ACTIONS(3421),
    [anon_sym___asm__] = ACTIONS(3421),
    [aux_sym_number_literal_token1] = ACTIONS(3423),
    [aux_sym_number_literal_token2] = ACTIONS(3421),
    [anon_sym_L_SQUOTE] = ACTIONS(3423),
    [anon_sym_u_SQUOTE] = ACTIONS(3423),
    [anon_sym_U_SQUOTE] = ACTIONS(3423),
    [anon_sym_u8_SQUOTE] = ACTIONS(3423),
    [anon_sym_SQUOTE] = ACTIONS(3423),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3421),
    [sym_false] = ACTIONS(3421),
    [anon_sym_NULL] = ACTIONS(3421),
    [anon_sym_nullptr] = ACTIONS(3421),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3421),
    [anon_sym_decltype] = ACTIONS(3421),
    [anon_sym_virtual] = ACTIONS(3421),
    [anon_sym_alignas] = ACTIONS(3421),
    [anon_sym_explicit] = ACTIONS(3421),
    [anon_sym_typename] = ACTIONS(3421),
    [anon_sym_template] = ACTIONS(3421),
    [anon_sym_operator] = ACTIONS(3421),
    [anon_sym_try] = ACTIONS(3421),
    [anon_sym_delete] = ACTIONS(3421),
    [anon_sym_throw] = ACTIONS(3421),
    [anon_sym_namespace] = ACTIONS(3421),
    [anon_sym_using] = ACTIONS(3421),
    [anon_sym_static_assert] = ACTIONS(3421),
    [anon_sym_concept] = ACTIONS(3421),
    [anon_sym_co_return] = ACTIONS(3421),
    [anon_sym_co_yield] = ACTIONS(3421),
    [anon_sym_R_DQUOTE] = ACTIONS(3423),
    [anon_sym_LR_DQUOTE] = ACTIONS(3423),
    [anon_sym_uR_DQUOTE] = ACTIONS(3423),
    [anon_sym_UR_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3423),
    [anon_sym_co_await] = ACTIONS(3421),
    [anon_sym_new] = ACTIONS(3421),
    [anon_sym_requires] = ACTIONS(3421),
    [sym_this] = ACTIONS(3421),
  },
  [540] = {
    [sym_identifier] = ACTIONS(3312),
    [aux_sym_preproc_include_token1] = ACTIONS(3312),
    [aux_sym_preproc_def_token1] = ACTIONS(3312),
    [aux_sym_preproc_if_token1] = ACTIONS(3312),
    [aux_sym_preproc_if_token2] = ACTIONS(3312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3312),
    [aux_sym_preproc_else_token1] = ACTIONS(3312),
    [aux_sym_preproc_elif_token1] = ACTIONS(3312),
    [sym_preproc_directive] = ACTIONS(3312),
    [anon_sym_LPAREN2] = ACTIONS(3314),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(3314),
    [anon_sym_AMP_AMP] = ACTIONS(3314),
    [anon_sym_AMP] = ACTIONS(3312),
    [anon_sym_SEMI] = ACTIONS(3314),
    [anon_sym___extension__] = ACTIONS(3312),
    [anon_sym_typedef] = ACTIONS(3312),
    [anon_sym_extern] = ACTIONS(3312),
    [anon_sym___attribute__] = ACTIONS(3312),
    [anon_sym_COLON_COLON] = ACTIONS(3314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3314),
    [anon_sym___declspec] = ACTIONS(3312),
    [anon_sym___based] = ACTIONS(3312),
    [anon_sym___cdecl] = ACTIONS(3312),
    [anon_sym___clrcall] = ACTIONS(3312),
    [anon_sym___stdcall] = ACTIONS(3312),
    [anon_sym___fastcall] = ACTIONS(3312),
    [anon_sym___thiscall] = ACTIONS(3312),
    [anon_sym___vectorcall] = ACTIONS(3312),
    [anon_sym_LBRACE] = ACTIONS(3314),
    [anon_sym_signed] = ACTIONS(3312),
    [anon_sym_unsigned] = ACTIONS(3312),
    [anon_sym_long] = ACTIONS(3312),
    [anon_sym_short] = ACTIONS(3312),
    [anon_sym_LBRACK] = ACTIONS(3312),
    [anon_sym_static] = ACTIONS(3312),
    [anon_sym_register] = ACTIONS(3312),
    [anon_sym_inline] = ACTIONS(3312),
    [anon_sym___inline] = ACTIONS(3312),
    [anon_sym___inline__] = ACTIONS(3312),
    [anon_sym___forceinline] = ACTIONS(3312),
    [anon_sym_thread_local] = ACTIONS(3312),
    [anon_sym___thread] = ACTIONS(3312),
    [anon_sym_const] = ACTIONS(3312),
    [anon_sym_constexpr] = ACTIONS(3312),
    [anon_sym_volatile] = ACTIONS(3312),
    [anon_sym_restrict] = ACTIONS(3312),
    [anon_sym___restrict__] = ACTIONS(3312),
    [anon_sym__Atomic] = ACTIONS(3312),
    [anon_sym__Noreturn] = ACTIONS(3312),
    [anon_sym_noreturn] = ACTIONS(3312),
    [anon_sym_mutable] = ACTIONS(3312),
    [anon_sym_constinit] = ACTIONS(3312),
    [anon_sym_consteval] = ACTIONS(3312),
    [anon_sym_PROGMEM] = ACTIONS(3312),
    [aux_sym_primitive_type_token1] = ACTIONS(3312),
    [anon_sym_byte] = ACTIONS(3312),
    [anon_sym_word] = ACTIONS(3312),
    [anon_sym_enum] = ACTIONS(3312),
    [anon_sym_class] = ACTIONS(3312),
    [anon_sym_struct] = ACTIONS(3312),
    [anon_sym_union] = ACTIONS(3312),
    [anon_sym_if] = ACTIONS(3312),
    [anon_sym_switch] = ACTIONS(3312),
    [anon_sym_case] = ACTIONS(3312),
    [anon_sym_default] = ACTIONS(3312),
    [anon_sym_while] = ACTIONS(3312),
    [anon_sym_do] = ACTIONS(3312),
    [anon_sym_for] = ACTIONS(3312),
    [anon_sym_return] = ACTIONS(3312),
    [anon_sym_break] = ACTIONS(3312),
    [anon_sym_continue] = ACTIONS(3312),
    [anon_sym_goto] = ACTIONS(3312),
    [anon_sym___try] = ACTIONS(3312),
    [anon_sym___leave] = ACTIONS(3312),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3314),
    [anon_sym_sizeof] = ACTIONS(3312),
    [anon_sym___alignof__] = ACTIONS(3312),
    [anon_sym___alignof] = ACTIONS(3312),
    [anon_sym__alignof] = ACTIONS(3312),
    [anon_sym_alignof] = ACTIONS(3312),
    [anon_sym__Alignof] = ACTIONS(3312),
    [anon_sym_offsetof] = ACTIONS(3312),
    [anon_sym__Generic] = ACTIONS(3312),
    [anon_sym_asm] = ACTIONS(3312),
    [anon_sym___asm__] = ACTIONS(3312),
    [aux_sym_number_literal_token1] = ACTIONS(3314),
    [aux_sym_number_literal_token2] = ACTIONS(3312),
    [anon_sym_L_SQUOTE] = ACTIONS(3314),
    [anon_sym_u_SQUOTE] = ACTIONS(3314),
    [anon_sym_U_SQUOTE] = ACTIONS(3314),
    [anon_sym_u8_SQUOTE] = ACTIONS(3314),
    [anon_sym_SQUOTE] = ACTIONS(3314),
    [anon_sym_L_DQUOTE] = ACTIONS(3314),
    [anon_sym_u_DQUOTE] = ACTIONS(3314),
    [anon_sym_U_DQUOTE] = ACTIONS(3314),
    [anon_sym_u8_DQUOTE] = ACTIONS(3314),
    [anon_sym_DQUOTE] = ACTIONS(3314),
    [sym_true] = ACTIONS(3312),
    [sym_false] = ACTIONS(3312),
    [anon_sym_NULL] = ACTIONS(3312),
    [anon_sym_nullptr] = ACTIONS(3312),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3312),
    [anon_sym_decltype] = ACTIONS(3312),
    [anon_sym_virtual] = ACTIONS(3312),
    [anon_sym_alignas] = ACTIONS(3312),
    [anon_sym_explicit] = ACTIONS(3312),
    [anon_sym_typename] = ACTIONS(3312),
    [anon_sym_template] = ACTIONS(3312),
    [anon_sym_operator] = ACTIONS(3312),
    [anon_sym_try] = ACTIONS(3312),
    [anon_sym_delete] = ACTIONS(3312),
    [anon_sym_throw] = ACTIONS(3312),
    [anon_sym_namespace] = ACTIONS(3312),
    [anon_sym_using] = ACTIONS(3312),
    [anon_sym_static_assert] = ACTIONS(3312),
    [anon_sym_concept] = ACTIONS(3312),
    [anon_sym_co_return] = ACTIONS(3312),
    [anon_sym_co_yield] = ACTIONS(3312),
    [anon_sym_R_DQUOTE] = ACTIONS(3314),
    [anon_sym_LR_DQUOTE] = ACTIONS(3314),
    [anon_sym_uR_DQUOTE] = ACTIONS(3314),
    [anon_sym_UR_DQUOTE] = ACTIONS(3314),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3314),
    [anon_sym_co_await] = ACTIONS(3312),
    [anon_sym_new] = ACTIONS(3312),
    [anon_sym_requires] = ACTIONS(3312),
    [sym_this] = ACTIONS(3312),
  },
  [541] = {
    [sym_identifier] = ACTIONS(3417),
    [aux_sym_preproc_include_token1] = ACTIONS(3417),
    [aux_sym_preproc_def_token1] = ACTIONS(3417),
    [aux_sym_preproc_if_token1] = ACTIONS(3417),
    [aux_sym_preproc_if_token2] = ACTIONS(3417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3417),
    [aux_sym_preproc_else_token1] = ACTIONS(3417),
    [aux_sym_preproc_elif_token1] = ACTIONS(3417),
    [sym_preproc_directive] = ACTIONS(3417),
    [anon_sym_LPAREN2] = ACTIONS(3419),
    [anon_sym_BANG] = ACTIONS(3419),
    [anon_sym_TILDE] = ACTIONS(3419),
    [anon_sym_DASH] = ACTIONS(3417),
    [anon_sym_PLUS] = ACTIONS(3417),
    [anon_sym_STAR] = ACTIONS(3419),
    [anon_sym_AMP_AMP] = ACTIONS(3419),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_SEMI] = ACTIONS(3419),
    [anon_sym___extension__] = ACTIONS(3417),
    [anon_sym_typedef] = ACTIONS(3417),
    [anon_sym_extern] = ACTIONS(3417),
    [anon_sym___attribute__] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3419),
    [anon_sym___declspec] = ACTIONS(3417),
    [anon_sym___based] = ACTIONS(3417),
    [anon_sym___cdecl] = ACTIONS(3417),
    [anon_sym___clrcall] = ACTIONS(3417),
    [anon_sym___stdcall] = ACTIONS(3417),
    [anon_sym___fastcall] = ACTIONS(3417),
    [anon_sym___thiscall] = ACTIONS(3417),
    [anon_sym___vectorcall] = ACTIONS(3417),
    [anon_sym_LBRACE] = ACTIONS(3419),
    [anon_sym_signed] = ACTIONS(3417),
    [anon_sym_unsigned] = ACTIONS(3417),
    [anon_sym_long] = ACTIONS(3417),
    [anon_sym_short] = ACTIONS(3417),
    [anon_sym_LBRACK] = ACTIONS(3417),
    [anon_sym_static] = ACTIONS(3417),
    [anon_sym_register] = ACTIONS(3417),
    [anon_sym_inline] = ACTIONS(3417),
    [anon_sym___inline] = ACTIONS(3417),
    [anon_sym___inline__] = ACTIONS(3417),
    [anon_sym___forceinline] = ACTIONS(3417),
    [anon_sym_thread_local] = ACTIONS(3417),
    [anon_sym___thread] = ACTIONS(3417),
    [anon_sym_const] = ACTIONS(3417),
    [anon_sym_constexpr] = ACTIONS(3417),
    [anon_sym_volatile] = ACTIONS(3417),
    [anon_sym_restrict] = ACTIONS(3417),
    [anon_sym___restrict__] = ACTIONS(3417),
    [anon_sym__Atomic] = ACTIONS(3417),
    [anon_sym__Noreturn] = ACTIONS(3417),
    [anon_sym_noreturn] = ACTIONS(3417),
    [anon_sym_mutable] = ACTIONS(3417),
    [anon_sym_constinit] = ACTIONS(3417),
    [anon_sym_consteval] = ACTIONS(3417),
    [anon_sym_PROGMEM] = ACTIONS(3417),
    [aux_sym_primitive_type_token1] = ACTIONS(3417),
    [anon_sym_byte] = ACTIONS(3417),
    [anon_sym_word] = ACTIONS(3417),
    [anon_sym_enum] = ACTIONS(3417),
    [anon_sym_class] = ACTIONS(3417),
    [anon_sym_struct] = ACTIONS(3417),
    [anon_sym_union] = ACTIONS(3417),
    [anon_sym_if] = ACTIONS(3417),
    [anon_sym_switch] = ACTIONS(3417),
    [anon_sym_case] = ACTIONS(3417),
    [anon_sym_default] = ACTIONS(3417),
    [anon_sym_while] = ACTIONS(3417),
    [anon_sym_do] = ACTIONS(3417),
    [anon_sym_for] = ACTIONS(3417),
    [anon_sym_return] = ACTIONS(3417),
    [anon_sym_break] = ACTIONS(3417),
    [anon_sym_continue] = ACTIONS(3417),
    [anon_sym_goto] = ACTIONS(3417),
    [anon_sym___try] = ACTIONS(3417),
    [anon_sym___leave] = ACTIONS(3417),
    [anon_sym_not] = ACTIONS(3417),
    [anon_sym_compl] = ACTIONS(3417),
    [anon_sym_DASH_DASH] = ACTIONS(3419),
    [anon_sym_PLUS_PLUS] = ACTIONS(3419),
    [anon_sym_sizeof] = ACTIONS(3417),
    [anon_sym___alignof__] = ACTIONS(3417),
    [anon_sym___alignof] = ACTIONS(3417),
    [anon_sym__alignof] = ACTIONS(3417),
    [anon_sym_alignof] = ACTIONS(3417),
    [anon_sym__Alignof] = ACTIONS(3417),
    [anon_sym_offsetof] = ACTIONS(3417),
    [anon_sym__Generic] = ACTIONS(3417),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [aux_sym_number_literal_token1] = ACTIONS(3419),
    [aux_sym_number_literal_token2] = ACTIONS(3417),
    [anon_sym_L_SQUOTE] = ACTIONS(3419),
    [anon_sym_u_SQUOTE] = ACTIONS(3419),
    [anon_sym_U_SQUOTE] = ACTIONS(3419),
    [anon_sym_u8_SQUOTE] = ACTIONS(3419),
    [anon_sym_SQUOTE] = ACTIONS(3419),
    [anon_sym_L_DQUOTE] = ACTIONS(3419),
    [anon_sym_u_DQUOTE] = ACTIONS(3419),
    [anon_sym_U_DQUOTE] = ACTIONS(3419),
    [anon_sym_u8_DQUOTE] = ACTIONS(3419),
    [anon_sym_DQUOTE] = ACTIONS(3419),
    [sym_true] = ACTIONS(3417),
    [sym_false] = ACTIONS(3417),
    [anon_sym_NULL] = ACTIONS(3417),
    [anon_sym_nullptr] = ACTIONS(3417),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3417),
    [anon_sym_decltype] = ACTIONS(3417),
    [anon_sym_virtual] = ACTIONS(3417),
    [anon_sym_alignas] = ACTIONS(3417),
    [anon_sym_explicit] = ACTIONS(3417),
    [anon_sym_typename] = ACTIONS(3417),
    [anon_sym_template] = ACTIONS(3417),
    [anon_sym_operator] = ACTIONS(3417),
    [anon_sym_try] = ACTIONS(3417),
    [anon_sym_delete] = ACTIONS(3417),
    [anon_sym_throw] = ACTIONS(3417),
    [anon_sym_namespace] = ACTIONS(3417),
    [anon_sym_using] = ACTIONS(3417),
    [anon_sym_static_assert] = ACTIONS(3417),
    [anon_sym_concept] = ACTIONS(3417),
    [anon_sym_co_return] = ACTIONS(3417),
    [anon_sym_co_yield] = ACTIONS(3417),
    [anon_sym_R_DQUOTE] = ACTIONS(3419),
    [anon_sym_LR_DQUOTE] = ACTIONS(3419),
    [anon_sym_uR_DQUOTE] = ACTIONS(3419),
    [anon_sym_UR_DQUOTE] = ACTIONS(3419),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3419),
    [anon_sym_co_await] = ACTIONS(3417),
    [anon_sym_new] = ACTIONS(3417),
    [anon_sym_requires] = ACTIONS(3417),
    [sym_this] = ACTIONS(3417),
  },
  [542] = {
    [sym_identifier] = ACTIONS(3208),
    [aux_sym_preproc_include_token1] = ACTIONS(3208),
    [aux_sym_preproc_def_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token2] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3208),
    [aux_sym_preproc_else_token1] = ACTIONS(3208),
    [aux_sym_preproc_elif_token1] = ACTIONS(3208),
    [sym_preproc_directive] = ACTIONS(3208),
    [anon_sym_LPAREN2] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3210),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym___extension__] = ACTIONS(3208),
    [anon_sym_typedef] = ACTIONS(3208),
    [anon_sym_extern] = ACTIONS(3208),
    [anon_sym___attribute__] = ACTIONS(3208),
    [anon_sym_COLON_COLON] = ACTIONS(3210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3210),
    [anon_sym___declspec] = ACTIONS(3208),
    [anon_sym___based] = ACTIONS(3208),
    [anon_sym___cdecl] = ACTIONS(3208),
    [anon_sym___clrcall] = ACTIONS(3208),
    [anon_sym___stdcall] = ACTIONS(3208),
    [anon_sym___fastcall] = ACTIONS(3208),
    [anon_sym___thiscall] = ACTIONS(3208),
    [anon_sym___vectorcall] = ACTIONS(3208),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_signed] = ACTIONS(3208),
    [anon_sym_unsigned] = ACTIONS(3208),
    [anon_sym_long] = ACTIONS(3208),
    [anon_sym_short] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_register] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(3208),
    [anon_sym___inline] = ACTIONS(3208),
    [anon_sym___inline__] = ACTIONS(3208),
    [anon_sym___forceinline] = ACTIONS(3208),
    [anon_sym_thread_local] = ACTIONS(3208),
    [anon_sym___thread] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_constexpr] = ACTIONS(3208),
    [anon_sym_volatile] = ACTIONS(3208),
    [anon_sym_restrict] = ACTIONS(3208),
    [anon_sym___restrict__] = ACTIONS(3208),
    [anon_sym__Atomic] = ACTIONS(3208),
    [anon_sym__Noreturn] = ACTIONS(3208),
    [anon_sym_noreturn] = ACTIONS(3208),
    [anon_sym_mutable] = ACTIONS(3208),
    [anon_sym_constinit] = ACTIONS(3208),
    [anon_sym_consteval] = ACTIONS(3208),
    [anon_sym_PROGMEM] = ACTIONS(3208),
    [aux_sym_primitive_type_token1] = ACTIONS(3208),
    [anon_sym_byte] = ACTIONS(3208),
    [anon_sym_word] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_struct] = ACTIONS(3208),
    [anon_sym_union] = ACTIONS(3208),
    [anon_sym_if] = ACTIONS(3208),
    [anon_sym_switch] = ACTIONS(3208),
    [anon_sym_case] = ACTIONS(3208),
    [anon_sym_default] = ACTIONS(3208),
    [anon_sym_while] = ACTIONS(3208),
    [anon_sym_do] = ACTIONS(3208),
    [anon_sym_for] = ACTIONS(3208),
    [anon_sym_return] = ACTIONS(3208),
    [anon_sym_break] = ACTIONS(3208),
    [anon_sym_continue] = ACTIONS(3208),
    [anon_sym_goto] = ACTIONS(3208),
    [anon_sym___try] = ACTIONS(3208),
    [anon_sym___leave] = ACTIONS(3208),
    [anon_sym_not] = ACTIONS(3208),
    [anon_sym_compl] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_sizeof] = ACTIONS(3208),
    [anon_sym___alignof__] = ACTIONS(3208),
    [anon_sym___alignof] = ACTIONS(3208),
    [anon_sym__alignof] = ACTIONS(3208),
    [anon_sym_alignof] = ACTIONS(3208),
    [anon_sym__Alignof] = ACTIONS(3208),
    [anon_sym_offsetof] = ACTIONS(3208),
    [anon_sym__Generic] = ACTIONS(3208),
    [anon_sym_asm] = ACTIONS(3208),
    [anon_sym___asm__] = ACTIONS(3208),
    [aux_sym_number_literal_token1] = ACTIONS(3210),
    [aux_sym_number_literal_token2] = ACTIONS(3208),
    [anon_sym_L_SQUOTE] = ACTIONS(3210),
    [anon_sym_u_SQUOTE] = ACTIONS(3210),
    [anon_sym_U_SQUOTE] = ACTIONS(3210),
    [anon_sym_u8_SQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [anon_sym_L_DQUOTE] = ACTIONS(3210),
    [anon_sym_u_DQUOTE] = ACTIONS(3210),
    [anon_sym_U_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8_DQUOTE] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [sym_true] = ACTIONS(3208),
    [sym_false] = ACTIONS(3208),
    [anon_sym_NULL] = ACTIONS(3208),
    [anon_sym_nullptr] = ACTIONS(3208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3208),
    [anon_sym_decltype] = ACTIONS(3208),
    [anon_sym_virtual] = ACTIONS(3208),
    [anon_sym_alignas] = ACTIONS(3208),
    [anon_sym_explicit] = ACTIONS(3208),
    [anon_sym_typename] = ACTIONS(3208),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(3208),
    [anon_sym_try] = ACTIONS(3208),
    [anon_sym_delete] = ACTIONS(3208),
    [anon_sym_throw] = ACTIONS(3208),
    [anon_sym_namespace] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_static_assert] = ACTIONS(3208),
    [anon_sym_concept] = ACTIONS(3208),
    [anon_sym_co_return] = ACTIONS(3208),
    [anon_sym_co_yield] = ACTIONS(3208),
    [anon_sym_R_DQUOTE] = ACTIONS(3210),
    [anon_sym_LR_DQUOTE] = ACTIONS(3210),
    [anon_sym_uR_DQUOTE] = ACTIONS(3210),
    [anon_sym_UR_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3210),
    [anon_sym_co_await] = ACTIONS(3208),
    [anon_sym_new] = ACTIONS(3208),
    [anon_sym_requires] = ACTIONS(3208),
    [sym_this] = ACTIONS(3208),
  },
  [543] = {
    [sym_identifier] = ACTIONS(2265),
    [aux_sym_preproc_include_token1] = ACTIONS(2265),
    [aux_sym_preproc_def_token1] = ACTIONS(2265),
    [aux_sym_preproc_if_token1] = ACTIONS(2265),
    [aux_sym_preproc_if_token2] = ACTIONS(2265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2265),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2265),
    [sym_preproc_directive] = ACTIONS(2265),
    [anon_sym_LPAREN2] = ACTIONS(2263),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2265),
    [anon_sym_PLUS] = ACTIONS(2265),
    [anon_sym_STAR] = ACTIONS(2263),
    [anon_sym_AMP_AMP] = ACTIONS(2263),
    [anon_sym_AMP] = ACTIONS(2265),
    [anon_sym_SEMI] = ACTIONS(2263),
    [anon_sym___extension__] = ACTIONS(2265),
    [anon_sym_typedef] = ACTIONS(2265),
    [anon_sym_extern] = ACTIONS(2265),
    [anon_sym___attribute__] = ACTIONS(2265),
    [anon_sym_COLON_COLON] = ACTIONS(2263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2263),
    [anon_sym___declspec] = ACTIONS(2265),
    [anon_sym___based] = ACTIONS(2265),
    [anon_sym___cdecl] = ACTIONS(2265),
    [anon_sym___clrcall] = ACTIONS(2265),
    [anon_sym___stdcall] = ACTIONS(2265),
    [anon_sym___fastcall] = ACTIONS(2265),
    [anon_sym___thiscall] = ACTIONS(2265),
    [anon_sym___vectorcall] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(2263),
    [anon_sym_signed] = ACTIONS(2265),
    [anon_sym_unsigned] = ACTIONS(2265),
    [anon_sym_long] = ACTIONS(2265),
    [anon_sym_short] = ACTIONS(2265),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_static] = ACTIONS(2265),
    [anon_sym_register] = ACTIONS(2265),
    [anon_sym_inline] = ACTIONS(2265),
    [anon_sym___inline] = ACTIONS(2265),
    [anon_sym___inline__] = ACTIONS(2265),
    [anon_sym___forceinline] = ACTIONS(2265),
    [anon_sym_thread_local] = ACTIONS(2265),
    [anon_sym___thread] = ACTIONS(2265),
    [anon_sym_const] = ACTIONS(2265),
    [anon_sym_constexpr] = ACTIONS(2265),
    [anon_sym_volatile] = ACTIONS(2265),
    [anon_sym_restrict] = ACTIONS(2265),
    [anon_sym___restrict__] = ACTIONS(2265),
    [anon_sym__Atomic] = ACTIONS(2265),
    [anon_sym__Noreturn] = ACTIONS(2265),
    [anon_sym_noreturn] = ACTIONS(2265),
    [anon_sym_mutable] = ACTIONS(2265),
    [anon_sym_constinit] = ACTIONS(2265),
    [anon_sym_consteval] = ACTIONS(2265),
    [anon_sym_PROGMEM] = ACTIONS(2265),
    [aux_sym_primitive_type_token1] = ACTIONS(2265),
    [anon_sym_byte] = ACTIONS(2265),
    [anon_sym_word] = ACTIONS(2265),
    [anon_sym_enum] = ACTIONS(2265),
    [anon_sym_class] = ACTIONS(2265),
    [anon_sym_struct] = ACTIONS(2265),
    [anon_sym_union] = ACTIONS(2265),
    [anon_sym_if] = ACTIONS(2265),
    [anon_sym_else] = ACTIONS(2265),
    [anon_sym_switch] = ACTIONS(2265),
    [anon_sym_case] = ACTIONS(2265),
    [anon_sym_default] = ACTIONS(2265),
    [anon_sym_while] = ACTIONS(2265),
    [anon_sym_do] = ACTIONS(2265),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_return] = ACTIONS(2265),
    [anon_sym_break] = ACTIONS(2265),
    [anon_sym_continue] = ACTIONS(2265),
    [anon_sym_goto] = ACTIONS(2265),
    [anon_sym___try] = ACTIONS(2265),
    [anon_sym___leave] = ACTIONS(2265),
    [anon_sym_not] = ACTIONS(2265),
    [anon_sym_compl] = ACTIONS(2265),
    [anon_sym_DASH_DASH] = ACTIONS(2263),
    [anon_sym_PLUS_PLUS] = ACTIONS(2263),
    [anon_sym_sizeof] = ACTIONS(2265),
    [anon_sym___alignof__] = ACTIONS(2265),
    [anon_sym___alignof] = ACTIONS(2265),
    [anon_sym__alignof] = ACTIONS(2265),
    [anon_sym_alignof] = ACTIONS(2265),
    [anon_sym__Alignof] = ACTIONS(2265),
    [anon_sym_offsetof] = ACTIONS(2265),
    [anon_sym__Generic] = ACTIONS(2265),
    [anon_sym_asm] = ACTIONS(2265),
    [anon_sym___asm__] = ACTIONS(2265),
    [aux_sym_number_literal_token1] = ACTIONS(2263),
    [aux_sym_number_literal_token2] = ACTIONS(2265),
    [anon_sym_L_SQUOTE] = ACTIONS(2263),
    [anon_sym_u_SQUOTE] = ACTIONS(2263),
    [anon_sym_U_SQUOTE] = ACTIONS(2263),
    [anon_sym_u8_SQUOTE] = ACTIONS(2263),
    [anon_sym_SQUOTE] = ACTIONS(2263),
    [anon_sym_L_DQUOTE] = ACTIONS(2263),
    [anon_sym_u_DQUOTE] = ACTIONS(2263),
    [anon_sym_U_DQUOTE] = ACTIONS(2263),
    [anon_sym_u8_DQUOTE] = ACTIONS(2263),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_true] = ACTIONS(2265),
    [sym_false] = ACTIONS(2265),
    [anon_sym_NULL] = ACTIONS(2265),
    [anon_sym_nullptr] = ACTIONS(2265),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2265),
    [anon_sym_decltype] = ACTIONS(2265),
    [anon_sym_virtual] = ACTIONS(2265),
    [anon_sym_alignas] = ACTIONS(2265),
    [anon_sym_explicit] = ACTIONS(2265),
    [anon_sym_typename] = ACTIONS(2265),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_operator] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_delete] = ACTIONS(2265),
    [anon_sym_throw] = ACTIONS(2265),
    [anon_sym_namespace] = ACTIONS(2265),
    [anon_sym_using] = ACTIONS(2265),
    [anon_sym_static_assert] = ACTIONS(2265),
    [anon_sym_concept] = ACTIONS(2265),
    [anon_sym_co_return] = ACTIONS(2265),
    [anon_sym_co_yield] = ACTIONS(2265),
    [anon_sym_catch] = ACTIONS(2265),
    [anon_sym_R_DQUOTE] = ACTIONS(2263),
    [anon_sym_LR_DQUOTE] = ACTIONS(2263),
    [anon_sym_uR_DQUOTE] = ACTIONS(2263),
    [anon_sym_UR_DQUOTE] = ACTIONS(2263),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2263),
    [anon_sym_co_await] = ACTIONS(2265),
    [anon_sym_new] = ACTIONS(2265),
    [anon_sym_requires] = ACTIONS(2265),
    [sym_this] = ACTIONS(2265),
  },
  [544] = {
    [sym_identifier] = ACTIONS(3499),
    [aux_sym_preproc_include_token1] = ACTIONS(3499),
    [aux_sym_preproc_def_token1] = ACTIONS(3499),
    [aux_sym_preproc_if_token1] = ACTIONS(3499),
    [aux_sym_preproc_if_token2] = ACTIONS(3499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3499),
    [aux_sym_preproc_else_token1] = ACTIONS(3499),
    [aux_sym_preproc_elif_token1] = ACTIONS(3499),
    [sym_preproc_directive] = ACTIONS(3499),
    [anon_sym_LPAREN2] = ACTIONS(3501),
    [anon_sym_BANG] = ACTIONS(3501),
    [anon_sym_TILDE] = ACTIONS(3501),
    [anon_sym_DASH] = ACTIONS(3499),
    [anon_sym_PLUS] = ACTIONS(3499),
    [anon_sym_STAR] = ACTIONS(3501),
    [anon_sym_AMP_AMP] = ACTIONS(3501),
    [anon_sym_AMP] = ACTIONS(3499),
    [anon_sym_SEMI] = ACTIONS(3501),
    [anon_sym___extension__] = ACTIONS(3499),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_extern] = ACTIONS(3499),
    [anon_sym___attribute__] = ACTIONS(3499),
    [anon_sym_COLON_COLON] = ACTIONS(3501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3501),
    [anon_sym___declspec] = ACTIONS(3499),
    [anon_sym___based] = ACTIONS(3499),
    [anon_sym___cdecl] = ACTIONS(3499),
    [anon_sym___clrcall] = ACTIONS(3499),
    [anon_sym___stdcall] = ACTIONS(3499),
    [anon_sym___fastcall] = ACTIONS(3499),
    [anon_sym___thiscall] = ACTIONS(3499),
    [anon_sym___vectorcall] = ACTIONS(3499),
    [anon_sym_LBRACE] = ACTIONS(3501),
    [anon_sym_signed] = ACTIONS(3499),
    [anon_sym_unsigned] = ACTIONS(3499),
    [anon_sym_long] = ACTIONS(3499),
    [anon_sym_short] = ACTIONS(3499),
    [anon_sym_LBRACK] = ACTIONS(3499),
    [anon_sym_static] = ACTIONS(3499),
    [anon_sym_register] = ACTIONS(3499),
    [anon_sym_inline] = ACTIONS(3499),
    [anon_sym___inline] = ACTIONS(3499),
    [anon_sym___inline__] = ACTIONS(3499),
    [anon_sym___forceinline] = ACTIONS(3499),
    [anon_sym_thread_local] = ACTIONS(3499),
    [anon_sym___thread] = ACTIONS(3499),
    [anon_sym_const] = ACTIONS(3499),
    [anon_sym_constexpr] = ACTIONS(3499),
    [anon_sym_volatile] = ACTIONS(3499),
    [anon_sym_restrict] = ACTIONS(3499),
    [anon_sym___restrict__] = ACTIONS(3499),
    [anon_sym__Atomic] = ACTIONS(3499),
    [anon_sym__Noreturn] = ACTIONS(3499),
    [anon_sym_noreturn] = ACTIONS(3499),
    [anon_sym_mutable] = ACTIONS(3499),
    [anon_sym_constinit] = ACTIONS(3499),
    [anon_sym_consteval] = ACTIONS(3499),
    [anon_sym_PROGMEM] = ACTIONS(3499),
    [aux_sym_primitive_type_token1] = ACTIONS(3499),
    [anon_sym_byte] = ACTIONS(3499),
    [anon_sym_word] = ACTIONS(3499),
    [anon_sym_enum] = ACTIONS(3499),
    [anon_sym_class] = ACTIONS(3499),
    [anon_sym_struct] = ACTIONS(3499),
    [anon_sym_union] = ACTIONS(3499),
    [anon_sym_if] = ACTIONS(3499),
    [anon_sym_switch] = ACTIONS(3499),
    [anon_sym_case] = ACTIONS(3499),
    [anon_sym_default] = ACTIONS(3499),
    [anon_sym_while] = ACTIONS(3499),
    [anon_sym_do] = ACTIONS(3499),
    [anon_sym_for] = ACTIONS(3499),
    [anon_sym_return] = ACTIONS(3499),
    [anon_sym_break] = ACTIONS(3499),
    [anon_sym_continue] = ACTIONS(3499),
    [anon_sym_goto] = ACTIONS(3499),
    [anon_sym___try] = ACTIONS(3499),
    [anon_sym___leave] = ACTIONS(3499),
    [anon_sym_not] = ACTIONS(3499),
    [anon_sym_compl] = ACTIONS(3499),
    [anon_sym_DASH_DASH] = ACTIONS(3501),
    [anon_sym_PLUS_PLUS] = ACTIONS(3501),
    [anon_sym_sizeof] = ACTIONS(3499),
    [anon_sym___alignof__] = ACTIONS(3499),
    [anon_sym___alignof] = ACTIONS(3499),
    [anon_sym__alignof] = ACTIONS(3499),
    [anon_sym_alignof] = ACTIONS(3499),
    [anon_sym__Alignof] = ACTIONS(3499),
    [anon_sym_offsetof] = ACTIONS(3499),
    [anon_sym__Generic] = ACTIONS(3499),
    [anon_sym_asm] = ACTIONS(3499),
    [anon_sym___asm__] = ACTIONS(3499),
    [aux_sym_number_literal_token1] = ACTIONS(3501),
    [aux_sym_number_literal_token2] = ACTIONS(3499),
    [anon_sym_L_SQUOTE] = ACTIONS(3501),
    [anon_sym_u_SQUOTE] = ACTIONS(3501),
    [anon_sym_U_SQUOTE] = ACTIONS(3501),
    [anon_sym_u8_SQUOTE] = ACTIONS(3501),
    [anon_sym_SQUOTE] = ACTIONS(3501),
    [anon_sym_L_DQUOTE] = ACTIONS(3501),
    [anon_sym_u_DQUOTE] = ACTIONS(3501),
    [anon_sym_U_DQUOTE] = ACTIONS(3501),
    [anon_sym_u8_DQUOTE] = ACTIONS(3501),
    [anon_sym_DQUOTE] = ACTIONS(3501),
    [sym_true] = ACTIONS(3499),
    [sym_false] = ACTIONS(3499),
    [anon_sym_NULL] = ACTIONS(3499),
    [anon_sym_nullptr] = ACTIONS(3499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3499),
    [anon_sym_decltype] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(3499),
    [anon_sym_alignas] = ACTIONS(3499),
    [anon_sym_explicit] = ACTIONS(3499),
    [anon_sym_typename] = ACTIONS(3499),
    [anon_sym_template] = ACTIONS(3499),
    [anon_sym_operator] = ACTIONS(3499),
    [anon_sym_try] = ACTIONS(3499),
    [anon_sym_delete] = ACTIONS(3499),
    [anon_sym_throw] = ACTIONS(3499),
    [anon_sym_namespace] = ACTIONS(3499),
    [anon_sym_using] = ACTIONS(3499),
    [anon_sym_static_assert] = ACTIONS(3499),
    [anon_sym_concept] = ACTIONS(3499),
    [anon_sym_co_return] = ACTIONS(3499),
    [anon_sym_co_yield] = ACTIONS(3499),
    [anon_sym_R_DQUOTE] = ACTIONS(3501),
    [anon_sym_LR_DQUOTE] = ACTIONS(3501),
    [anon_sym_uR_DQUOTE] = ACTIONS(3501),
    [anon_sym_UR_DQUOTE] = ACTIONS(3501),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3501),
    [anon_sym_co_await] = ACTIONS(3499),
    [anon_sym_new] = ACTIONS(3499),
    [anon_sym_requires] = ACTIONS(3499),
    [sym_this] = ACTIONS(3499),
  },
  [545] = {
    [sym_identifier] = ACTIONS(3330),
    [aux_sym_preproc_include_token1] = ACTIONS(3330),
    [aux_sym_preproc_def_token1] = ACTIONS(3330),
    [aux_sym_preproc_if_token1] = ACTIONS(3330),
    [aux_sym_preproc_if_token2] = ACTIONS(3330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3330),
    [aux_sym_preproc_else_token1] = ACTIONS(3330),
    [aux_sym_preproc_elif_token1] = ACTIONS(3330),
    [sym_preproc_directive] = ACTIONS(3330),
    [anon_sym_LPAREN2] = ACTIONS(3332),
    [anon_sym_BANG] = ACTIONS(3332),
    [anon_sym_TILDE] = ACTIONS(3332),
    [anon_sym_DASH] = ACTIONS(3330),
    [anon_sym_PLUS] = ACTIONS(3330),
    [anon_sym_STAR] = ACTIONS(3332),
    [anon_sym_AMP_AMP] = ACTIONS(3332),
    [anon_sym_AMP] = ACTIONS(3330),
    [anon_sym_SEMI] = ACTIONS(3332),
    [anon_sym___extension__] = ACTIONS(3330),
    [anon_sym_typedef] = ACTIONS(3330),
    [anon_sym_extern] = ACTIONS(3330),
    [anon_sym___attribute__] = ACTIONS(3330),
    [anon_sym_COLON_COLON] = ACTIONS(3332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3332),
    [anon_sym___declspec] = ACTIONS(3330),
    [anon_sym___based] = ACTIONS(3330),
    [anon_sym___cdecl] = ACTIONS(3330),
    [anon_sym___clrcall] = ACTIONS(3330),
    [anon_sym___stdcall] = ACTIONS(3330),
    [anon_sym___fastcall] = ACTIONS(3330),
    [anon_sym___thiscall] = ACTIONS(3330),
    [anon_sym___vectorcall] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3332),
    [anon_sym_signed] = ACTIONS(3330),
    [anon_sym_unsigned] = ACTIONS(3330),
    [anon_sym_long] = ACTIONS(3330),
    [anon_sym_short] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(3330),
    [anon_sym_static] = ACTIONS(3330),
    [anon_sym_register] = ACTIONS(3330),
    [anon_sym_inline] = ACTIONS(3330),
    [anon_sym___inline] = ACTIONS(3330),
    [anon_sym___inline__] = ACTIONS(3330),
    [anon_sym___forceinline] = ACTIONS(3330),
    [anon_sym_thread_local] = ACTIONS(3330),
    [anon_sym___thread] = ACTIONS(3330),
    [anon_sym_const] = ACTIONS(3330),
    [anon_sym_constexpr] = ACTIONS(3330),
    [anon_sym_volatile] = ACTIONS(3330),
    [anon_sym_restrict] = ACTIONS(3330),
    [anon_sym___restrict__] = ACTIONS(3330),
    [anon_sym__Atomic] = ACTIONS(3330),
    [anon_sym__Noreturn] = ACTIONS(3330),
    [anon_sym_noreturn] = ACTIONS(3330),
    [anon_sym_mutable] = ACTIONS(3330),
    [anon_sym_constinit] = ACTIONS(3330),
    [anon_sym_consteval] = ACTIONS(3330),
    [anon_sym_PROGMEM] = ACTIONS(3330),
    [aux_sym_primitive_type_token1] = ACTIONS(3330),
    [anon_sym_byte] = ACTIONS(3330),
    [anon_sym_word] = ACTIONS(3330),
    [anon_sym_enum] = ACTIONS(3330),
    [anon_sym_class] = ACTIONS(3330),
    [anon_sym_struct] = ACTIONS(3330),
    [anon_sym_union] = ACTIONS(3330),
    [anon_sym_if] = ACTIONS(3330),
    [anon_sym_switch] = ACTIONS(3330),
    [anon_sym_case] = ACTIONS(3330),
    [anon_sym_default] = ACTIONS(3330),
    [anon_sym_while] = ACTIONS(3330),
    [anon_sym_do] = ACTIONS(3330),
    [anon_sym_for] = ACTIONS(3330),
    [anon_sym_return] = ACTIONS(3330),
    [anon_sym_break] = ACTIONS(3330),
    [anon_sym_continue] = ACTIONS(3330),
    [anon_sym_goto] = ACTIONS(3330),
    [anon_sym___try] = ACTIONS(3330),
    [anon_sym___leave] = ACTIONS(3330),
    [anon_sym_not] = ACTIONS(3330),
    [anon_sym_compl] = ACTIONS(3330),
    [anon_sym_DASH_DASH] = ACTIONS(3332),
    [anon_sym_PLUS_PLUS] = ACTIONS(3332),
    [anon_sym_sizeof] = ACTIONS(3330),
    [anon_sym___alignof__] = ACTIONS(3330),
    [anon_sym___alignof] = ACTIONS(3330),
    [anon_sym__alignof] = ACTIONS(3330),
    [anon_sym_alignof] = ACTIONS(3330),
    [anon_sym__Alignof] = ACTIONS(3330),
    [anon_sym_offsetof] = ACTIONS(3330),
    [anon_sym__Generic] = ACTIONS(3330),
    [anon_sym_asm] = ACTIONS(3330),
    [anon_sym___asm__] = ACTIONS(3330),
    [aux_sym_number_literal_token1] = ACTIONS(3332),
    [aux_sym_number_literal_token2] = ACTIONS(3330),
    [anon_sym_L_SQUOTE] = ACTIONS(3332),
    [anon_sym_u_SQUOTE] = ACTIONS(3332),
    [anon_sym_U_SQUOTE] = ACTIONS(3332),
    [anon_sym_u8_SQUOTE] = ACTIONS(3332),
    [anon_sym_SQUOTE] = ACTIONS(3332),
    [anon_sym_L_DQUOTE] = ACTIONS(3332),
    [anon_sym_u_DQUOTE] = ACTIONS(3332),
    [anon_sym_U_DQUOTE] = ACTIONS(3332),
    [anon_sym_u8_DQUOTE] = ACTIONS(3332),
    [anon_sym_DQUOTE] = ACTIONS(3332),
    [sym_true] = ACTIONS(3330),
    [sym_false] = ACTIONS(3330),
    [anon_sym_NULL] = ACTIONS(3330),
    [anon_sym_nullptr] = ACTIONS(3330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3330),
    [anon_sym_decltype] = ACTIONS(3330),
    [anon_sym_virtual] = ACTIONS(3330),
    [anon_sym_alignas] = ACTIONS(3330),
    [anon_sym_explicit] = ACTIONS(3330),
    [anon_sym_typename] = ACTIONS(3330),
    [anon_sym_template] = ACTIONS(3330),
    [anon_sym_operator] = ACTIONS(3330),
    [anon_sym_try] = ACTIONS(3330),
    [anon_sym_delete] = ACTIONS(3330),
    [anon_sym_throw] = ACTIONS(3330),
    [anon_sym_namespace] = ACTIONS(3330),
    [anon_sym_using] = ACTIONS(3330),
    [anon_sym_static_assert] = ACTIONS(3330),
    [anon_sym_concept] = ACTIONS(3330),
    [anon_sym_co_return] = ACTIONS(3330),
    [anon_sym_co_yield] = ACTIONS(3330),
    [anon_sym_R_DQUOTE] = ACTIONS(3332),
    [anon_sym_LR_DQUOTE] = ACTIONS(3332),
    [anon_sym_uR_DQUOTE] = ACTIONS(3332),
    [anon_sym_UR_DQUOTE] = ACTIONS(3332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3332),
    [anon_sym_co_await] = ACTIONS(3330),
    [anon_sym_new] = ACTIONS(3330),
    [anon_sym_requires] = ACTIONS(3330),
    [sym_this] = ACTIONS(3330),
  },
  [546] = {
    [sym_identifier] = ACTIONS(3389),
    [aux_sym_preproc_include_token1] = ACTIONS(3389),
    [aux_sym_preproc_def_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token2] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3389),
    [aux_sym_preproc_else_token1] = ACTIONS(3389),
    [aux_sym_preproc_elif_token1] = ACTIONS(3389),
    [sym_preproc_directive] = ACTIONS(3389),
    [anon_sym_LPAREN2] = ACTIONS(3391),
    [anon_sym_BANG] = ACTIONS(3391),
    [anon_sym_TILDE] = ACTIONS(3391),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP_AMP] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3389),
    [anon_sym_SEMI] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(3389),
    [anon_sym_typedef] = ACTIONS(3389),
    [anon_sym_extern] = ACTIONS(3389),
    [anon_sym___attribute__] = ACTIONS(3389),
    [anon_sym_COLON_COLON] = ACTIONS(3391),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3391),
    [anon_sym___declspec] = ACTIONS(3389),
    [anon_sym___based] = ACTIONS(3389),
    [anon_sym___cdecl] = ACTIONS(3389),
    [anon_sym___clrcall] = ACTIONS(3389),
    [anon_sym___stdcall] = ACTIONS(3389),
    [anon_sym___fastcall] = ACTIONS(3389),
    [anon_sym___thiscall] = ACTIONS(3389),
    [anon_sym___vectorcall] = ACTIONS(3389),
    [anon_sym_LBRACE] = ACTIONS(3391),
    [anon_sym_signed] = ACTIONS(3389),
    [anon_sym_unsigned] = ACTIONS(3389),
    [anon_sym_long] = ACTIONS(3389),
    [anon_sym_short] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_register] = ACTIONS(3389),
    [anon_sym_inline] = ACTIONS(3389),
    [anon_sym___inline] = ACTIONS(3389),
    [anon_sym___inline__] = ACTIONS(3389),
    [anon_sym___forceinline] = ACTIONS(3389),
    [anon_sym_thread_local] = ACTIONS(3389),
    [anon_sym___thread] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_constexpr] = ACTIONS(3389),
    [anon_sym_volatile] = ACTIONS(3389),
    [anon_sym_restrict] = ACTIONS(3389),
    [anon_sym___restrict__] = ACTIONS(3389),
    [anon_sym__Atomic] = ACTIONS(3389),
    [anon_sym__Noreturn] = ACTIONS(3389),
    [anon_sym_noreturn] = ACTIONS(3389),
    [anon_sym_mutable] = ACTIONS(3389),
    [anon_sym_constinit] = ACTIONS(3389),
    [anon_sym_consteval] = ACTIONS(3389),
    [anon_sym_PROGMEM] = ACTIONS(3389),
    [aux_sym_primitive_type_token1] = ACTIONS(3389),
    [anon_sym_byte] = ACTIONS(3389),
    [anon_sym_word] = ACTIONS(3389),
    [anon_sym_enum] = ACTIONS(3389),
    [anon_sym_class] = ACTIONS(3389),
    [anon_sym_struct] = ACTIONS(3389),
    [anon_sym_union] = ACTIONS(3389),
    [anon_sym_if] = ACTIONS(3389),
    [anon_sym_switch] = ACTIONS(3389),
    [anon_sym_case] = ACTIONS(3389),
    [anon_sym_default] = ACTIONS(3389),
    [anon_sym_while] = ACTIONS(3389),
    [anon_sym_do] = ACTIONS(3389),
    [anon_sym_for] = ACTIONS(3389),
    [anon_sym_return] = ACTIONS(3389),
    [anon_sym_break] = ACTIONS(3389),
    [anon_sym_continue] = ACTIONS(3389),
    [anon_sym_goto] = ACTIONS(3389),
    [anon_sym___try] = ACTIONS(3389),
    [anon_sym___leave] = ACTIONS(3389),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(3391),
    [anon_sym_sizeof] = ACTIONS(3389),
    [anon_sym___alignof__] = ACTIONS(3389),
    [anon_sym___alignof] = ACTIONS(3389),
    [anon_sym__alignof] = ACTIONS(3389),
    [anon_sym_alignof] = ACTIONS(3389),
    [anon_sym__Alignof] = ACTIONS(3389),
    [anon_sym_offsetof] = ACTIONS(3389),
    [anon_sym__Generic] = ACTIONS(3389),
    [anon_sym_asm] = ACTIONS(3389),
    [anon_sym___asm__] = ACTIONS(3389),
    [aux_sym_number_literal_token1] = ACTIONS(3391),
    [aux_sym_number_literal_token2] = ACTIONS(3389),
    [anon_sym_L_SQUOTE] = ACTIONS(3391),
    [anon_sym_u_SQUOTE] = ACTIONS(3391),
    [anon_sym_U_SQUOTE] = ACTIONS(3391),
    [anon_sym_u8_SQUOTE] = ACTIONS(3391),
    [anon_sym_SQUOTE] = ACTIONS(3391),
    [anon_sym_L_DQUOTE] = ACTIONS(3391),
    [anon_sym_u_DQUOTE] = ACTIONS(3391),
    [anon_sym_U_DQUOTE] = ACTIONS(3391),
    [anon_sym_u8_DQUOTE] = ACTIONS(3391),
    [anon_sym_DQUOTE] = ACTIONS(3391),
    [sym_true] = ACTIONS(3389),
    [sym_false] = ACTIONS(3389),
    [anon_sym_NULL] = ACTIONS(3389),
    [anon_sym_nullptr] = ACTIONS(3389),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3389),
    [anon_sym_decltype] = ACTIONS(3389),
    [anon_sym_virtual] = ACTIONS(3389),
    [anon_sym_alignas] = ACTIONS(3389),
    [anon_sym_explicit] = ACTIONS(3389),
    [anon_sym_typename] = ACTIONS(3389),
    [anon_sym_template] = ACTIONS(3389),
    [anon_sym_operator] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3389),
    [anon_sym_delete] = ACTIONS(3389),
    [anon_sym_throw] = ACTIONS(3389),
    [anon_sym_namespace] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_static_assert] = ACTIONS(3389),
    [anon_sym_concept] = ACTIONS(3389),
    [anon_sym_co_return] = ACTIONS(3389),
    [anon_sym_co_yield] = ACTIONS(3389),
    [anon_sym_R_DQUOTE] = ACTIONS(3391),
    [anon_sym_LR_DQUOTE] = ACTIONS(3391),
    [anon_sym_uR_DQUOTE] = ACTIONS(3391),
    [anon_sym_UR_DQUOTE] = ACTIONS(3391),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3391),
    [anon_sym_co_await] = ACTIONS(3389),
    [anon_sym_new] = ACTIONS(3389),
    [anon_sym_requires] = ACTIONS(3389),
    [sym_this] = ACTIONS(3389),
  },
  [547] = {
    [sym_identifier] = ACTIONS(3409),
    [aux_sym_preproc_include_token1] = ACTIONS(3409),
    [aux_sym_preproc_def_token1] = ACTIONS(3409),
    [aux_sym_preproc_if_token1] = ACTIONS(3409),
    [aux_sym_preproc_if_token2] = ACTIONS(3409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3409),
    [aux_sym_preproc_else_token1] = ACTIONS(3409),
    [aux_sym_preproc_elif_token1] = ACTIONS(3409),
    [sym_preproc_directive] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3411),
    [anon_sym_TILDE] = ACTIONS(3411),
    [anon_sym_DASH] = ACTIONS(3409),
    [anon_sym_PLUS] = ACTIONS(3409),
    [anon_sym_STAR] = ACTIONS(3411),
    [anon_sym_AMP_AMP] = ACTIONS(3411),
    [anon_sym_AMP] = ACTIONS(3409),
    [anon_sym_SEMI] = ACTIONS(3411),
    [anon_sym___extension__] = ACTIONS(3409),
    [anon_sym_typedef] = ACTIONS(3409),
    [anon_sym_extern] = ACTIONS(3409),
    [anon_sym___attribute__] = ACTIONS(3409),
    [anon_sym_COLON_COLON] = ACTIONS(3411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3411),
    [anon_sym___declspec] = ACTIONS(3409),
    [anon_sym___based] = ACTIONS(3409),
    [anon_sym___cdecl] = ACTIONS(3409),
    [anon_sym___clrcall] = ACTIONS(3409),
    [anon_sym___stdcall] = ACTIONS(3409),
    [anon_sym___fastcall] = ACTIONS(3409),
    [anon_sym___thiscall] = ACTIONS(3409),
    [anon_sym___vectorcall] = ACTIONS(3409),
    [anon_sym_LBRACE] = ACTIONS(3411),
    [anon_sym_signed] = ACTIONS(3409),
    [anon_sym_unsigned] = ACTIONS(3409),
    [anon_sym_long] = ACTIONS(3409),
    [anon_sym_short] = ACTIONS(3409),
    [anon_sym_LBRACK] = ACTIONS(3409),
    [anon_sym_static] = ACTIONS(3409),
    [anon_sym_register] = ACTIONS(3409),
    [anon_sym_inline] = ACTIONS(3409),
    [anon_sym___inline] = ACTIONS(3409),
    [anon_sym___inline__] = ACTIONS(3409),
    [anon_sym___forceinline] = ACTIONS(3409),
    [anon_sym_thread_local] = ACTIONS(3409),
    [anon_sym___thread] = ACTIONS(3409),
    [anon_sym_const] = ACTIONS(3409),
    [anon_sym_constexpr] = ACTIONS(3409),
    [anon_sym_volatile] = ACTIONS(3409),
    [anon_sym_restrict] = ACTIONS(3409),
    [anon_sym___restrict__] = ACTIONS(3409),
    [anon_sym__Atomic] = ACTIONS(3409),
    [anon_sym__Noreturn] = ACTIONS(3409),
    [anon_sym_noreturn] = ACTIONS(3409),
    [anon_sym_mutable] = ACTIONS(3409),
    [anon_sym_constinit] = ACTIONS(3409),
    [anon_sym_consteval] = ACTIONS(3409),
    [anon_sym_PROGMEM] = ACTIONS(3409),
    [aux_sym_primitive_type_token1] = ACTIONS(3409),
    [anon_sym_byte] = ACTIONS(3409),
    [anon_sym_word] = ACTIONS(3409),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3409),
    [anon_sym_struct] = ACTIONS(3409),
    [anon_sym_union] = ACTIONS(3409),
    [anon_sym_if] = ACTIONS(3409),
    [anon_sym_switch] = ACTIONS(3409),
    [anon_sym_case] = ACTIONS(3409),
    [anon_sym_default] = ACTIONS(3409),
    [anon_sym_while] = ACTIONS(3409),
    [anon_sym_do] = ACTIONS(3409),
    [anon_sym_for] = ACTIONS(3409),
    [anon_sym_return] = ACTIONS(3409),
    [anon_sym_break] = ACTIONS(3409),
    [anon_sym_continue] = ACTIONS(3409),
    [anon_sym_goto] = ACTIONS(3409),
    [anon_sym___try] = ACTIONS(3409),
    [anon_sym___leave] = ACTIONS(3409),
    [anon_sym_not] = ACTIONS(3409),
    [anon_sym_compl] = ACTIONS(3409),
    [anon_sym_DASH_DASH] = ACTIONS(3411),
    [anon_sym_PLUS_PLUS] = ACTIONS(3411),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3409),
    [anon_sym___alignof] = ACTIONS(3409),
    [anon_sym__alignof] = ACTIONS(3409),
    [anon_sym_alignof] = ACTIONS(3409),
    [anon_sym__Alignof] = ACTIONS(3409),
    [anon_sym_offsetof] = ACTIONS(3409),
    [anon_sym__Generic] = ACTIONS(3409),
    [anon_sym_asm] = ACTIONS(3409),
    [anon_sym___asm__] = ACTIONS(3409),
    [aux_sym_number_literal_token1] = ACTIONS(3411),
    [aux_sym_number_literal_token2] = ACTIONS(3409),
    [anon_sym_L_SQUOTE] = ACTIONS(3411),
    [anon_sym_u_SQUOTE] = ACTIONS(3411),
    [anon_sym_U_SQUOTE] = ACTIONS(3411),
    [anon_sym_u8_SQUOTE] = ACTIONS(3411),
    [anon_sym_SQUOTE] = ACTIONS(3411),
    [anon_sym_L_DQUOTE] = ACTIONS(3411),
    [anon_sym_u_DQUOTE] = ACTIONS(3411),
    [anon_sym_U_DQUOTE] = ACTIONS(3411),
    [anon_sym_u8_DQUOTE] = ACTIONS(3411),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [sym_true] = ACTIONS(3409),
    [sym_false] = ACTIONS(3409),
    [anon_sym_NULL] = ACTIONS(3409),
    [anon_sym_nullptr] = ACTIONS(3409),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3409),
    [anon_sym_decltype] = ACTIONS(3409),
    [anon_sym_virtual] = ACTIONS(3409),
    [anon_sym_alignas] = ACTIONS(3409),
    [anon_sym_explicit] = ACTIONS(3409),
    [anon_sym_typename] = ACTIONS(3409),
    [anon_sym_template] = ACTIONS(3409),
    [anon_sym_operator] = ACTIONS(3409),
    [anon_sym_try] = ACTIONS(3409),
    [anon_sym_delete] = ACTIONS(3409),
    [anon_sym_throw] = ACTIONS(3409),
    [anon_sym_namespace] = ACTIONS(3409),
    [anon_sym_using] = ACTIONS(3409),
    [anon_sym_static_assert] = ACTIONS(3409),
    [anon_sym_concept] = ACTIONS(3409),
    [anon_sym_co_return] = ACTIONS(3409),
    [anon_sym_co_yield] = ACTIONS(3409),
    [anon_sym_R_DQUOTE] = ACTIONS(3411),
    [anon_sym_LR_DQUOTE] = ACTIONS(3411),
    [anon_sym_uR_DQUOTE] = ACTIONS(3411),
    [anon_sym_UR_DQUOTE] = ACTIONS(3411),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3411),
    [anon_sym_co_await] = ACTIONS(3409),
    [anon_sym_new] = ACTIONS(3409),
    [anon_sym_requires] = ACTIONS(3409),
    [sym_this] = ACTIONS(3409),
  },
  [548] = {
    [sym_identifier] = ACTIONS(3326),
    [aux_sym_preproc_include_token1] = ACTIONS(3326),
    [aux_sym_preproc_def_token1] = ACTIONS(3326),
    [aux_sym_preproc_if_token1] = ACTIONS(3326),
    [aux_sym_preproc_if_token2] = ACTIONS(3326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3326),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3326),
    [aux_sym_preproc_else_token1] = ACTIONS(3326),
    [aux_sym_preproc_elif_token1] = ACTIONS(3326),
    [sym_preproc_directive] = ACTIONS(3326),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(3328),
    [anon_sym_AMP_AMP] = ACTIONS(3328),
    [anon_sym_AMP] = ACTIONS(3326),
    [anon_sym_SEMI] = ACTIONS(3328),
    [anon_sym___extension__] = ACTIONS(3326),
    [anon_sym_typedef] = ACTIONS(3326),
    [anon_sym_extern] = ACTIONS(3326),
    [anon_sym___attribute__] = ACTIONS(3326),
    [anon_sym_COLON_COLON] = ACTIONS(3328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3328),
    [anon_sym___declspec] = ACTIONS(3326),
    [anon_sym___based] = ACTIONS(3326),
    [anon_sym___cdecl] = ACTIONS(3326),
    [anon_sym___clrcall] = ACTIONS(3326),
    [anon_sym___stdcall] = ACTIONS(3326),
    [anon_sym___fastcall] = ACTIONS(3326),
    [anon_sym___thiscall] = ACTIONS(3326),
    [anon_sym___vectorcall] = ACTIONS(3326),
    [anon_sym_LBRACE] = ACTIONS(3328),
    [anon_sym_signed] = ACTIONS(3326),
    [anon_sym_unsigned] = ACTIONS(3326),
    [anon_sym_long] = ACTIONS(3326),
    [anon_sym_short] = ACTIONS(3326),
    [anon_sym_LBRACK] = ACTIONS(3326),
    [anon_sym_static] = ACTIONS(3326),
    [anon_sym_register] = ACTIONS(3326),
    [anon_sym_inline] = ACTIONS(3326),
    [anon_sym___inline] = ACTIONS(3326),
    [anon_sym___inline__] = ACTIONS(3326),
    [anon_sym___forceinline] = ACTIONS(3326),
    [anon_sym_thread_local] = ACTIONS(3326),
    [anon_sym___thread] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3326),
    [anon_sym_constexpr] = ACTIONS(3326),
    [anon_sym_volatile] = ACTIONS(3326),
    [anon_sym_restrict] = ACTIONS(3326),
    [anon_sym___restrict__] = ACTIONS(3326),
    [anon_sym__Atomic] = ACTIONS(3326),
    [anon_sym__Noreturn] = ACTIONS(3326),
    [anon_sym_noreturn] = ACTIONS(3326),
    [anon_sym_mutable] = ACTIONS(3326),
    [anon_sym_constinit] = ACTIONS(3326),
    [anon_sym_consteval] = ACTIONS(3326),
    [anon_sym_PROGMEM] = ACTIONS(3326),
    [aux_sym_primitive_type_token1] = ACTIONS(3326),
    [anon_sym_byte] = ACTIONS(3326),
    [anon_sym_word] = ACTIONS(3326),
    [anon_sym_enum] = ACTIONS(3326),
    [anon_sym_class] = ACTIONS(3326),
    [anon_sym_struct] = ACTIONS(3326),
    [anon_sym_union] = ACTIONS(3326),
    [anon_sym_if] = ACTIONS(3326),
    [anon_sym_switch] = ACTIONS(3326),
    [anon_sym_case] = ACTIONS(3326),
    [anon_sym_default] = ACTIONS(3326),
    [anon_sym_while] = ACTIONS(3326),
    [anon_sym_do] = ACTIONS(3326),
    [anon_sym_for] = ACTIONS(3326),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_break] = ACTIONS(3326),
    [anon_sym_continue] = ACTIONS(3326),
    [anon_sym_goto] = ACTIONS(3326),
    [anon_sym___try] = ACTIONS(3326),
    [anon_sym___leave] = ACTIONS(3326),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(3328),
    [anon_sym_PLUS_PLUS] = ACTIONS(3328),
    [anon_sym_sizeof] = ACTIONS(3326),
    [anon_sym___alignof__] = ACTIONS(3326),
    [anon_sym___alignof] = ACTIONS(3326),
    [anon_sym__alignof] = ACTIONS(3326),
    [anon_sym_alignof] = ACTIONS(3326),
    [anon_sym__Alignof] = ACTIONS(3326),
    [anon_sym_offsetof] = ACTIONS(3326),
    [anon_sym__Generic] = ACTIONS(3326),
    [anon_sym_asm] = ACTIONS(3326),
    [anon_sym___asm__] = ACTIONS(3326),
    [aux_sym_number_literal_token1] = ACTIONS(3328),
    [aux_sym_number_literal_token2] = ACTIONS(3326),
    [anon_sym_L_SQUOTE] = ACTIONS(3328),
    [anon_sym_u_SQUOTE] = ACTIONS(3328),
    [anon_sym_U_SQUOTE] = ACTIONS(3328),
    [anon_sym_u8_SQUOTE] = ACTIONS(3328),
    [anon_sym_SQUOTE] = ACTIONS(3328),
    [anon_sym_L_DQUOTE] = ACTIONS(3328),
    [anon_sym_u_DQUOTE] = ACTIONS(3328),
    [anon_sym_U_DQUOTE] = ACTIONS(3328),
    [anon_sym_u8_DQUOTE] = ACTIONS(3328),
    [anon_sym_DQUOTE] = ACTIONS(3328),
    [sym_true] = ACTIONS(3326),
    [sym_false] = ACTIONS(3326),
    [anon_sym_NULL] = ACTIONS(3326),
    [anon_sym_nullptr] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3326),
    [anon_sym_decltype] = ACTIONS(3326),
    [anon_sym_virtual] = ACTIONS(3326),
    [anon_sym_alignas] = ACTIONS(3326),
    [anon_sym_explicit] = ACTIONS(3326),
    [anon_sym_typename] = ACTIONS(3326),
    [anon_sym_template] = ACTIONS(3326),
    [anon_sym_operator] = ACTIONS(3326),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_delete] = ACTIONS(3326),
    [anon_sym_throw] = ACTIONS(3326),
    [anon_sym_namespace] = ACTIONS(3326),
    [anon_sym_using] = ACTIONS(3326),
    [anon_sym_static_assert] = ACTIONS(3326),
    [anon_sym_concept] = ACTIONS(3326),
    [anon_sym_co_return] = ACTIONS(3326),
    [anon_sym_co_yield] = ACTIONS(3326),
    [anon_sym_R_DQUOTE] = ACTIONS(3328),
    [anon_sym_LR_DQUOTE] = ACTIONS(3328),
    [anon_sym_uR_DQUOTE] = ACTIONS(3328),
    [anon_sym_UR_DQUOTE] = ACTIONS(3328),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3328),
    [anon_sym_co_await] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(3326),
    [anon_sym_requires] = ACTIONS(3326),
    [sym_this] = ACTIONS(3326),
  },
  [549] = {
    [sym_identifier] = ACTIONS(3196),
    [aux_sym_preproc_include_token1] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3196),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_if_token2] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3196),
    [aux_sym_preproc_else_token1] = ACTIONS(3196),
    [aux_sym_preproc_elif_token1] = ACTIONS(3196),
    [sym_preproc_directive] = ACTIONS(3196),
    [anon_sym_LPAREN2] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_STAR] = ACTIONS(3198),
    [anon_sym_AMP_AMP] = ACTIONS(3198),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(3196),
    [anon_sym_typedef] = ACTIONS(3196),
    [anon_sym_extern] = ACTIONS(3196),
    [anon_sym___attribute__] = ACTIONS(3196),
    [anon_sym_COLON_COLON] = ACTIONS(3198),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3198),
    [anon_sym___declspec] = ACTIONS(3196),
    [anon_sym___based] = ACTIONS(3196),
    [anon_sym___cdecl] = ACTIONS(3196),
    [anon_sym___clrcall] = ACTIONS(3196),
    [anon_sym___stdcall] = ACTIONS(3196),
    [anon_sym___fastcall] = ACTIONS(3196),
    [anon_sym___thiscall] = ACTIONS(3196),
    [anon_sym___vectorcall] = ACTIONS(3196),
    [anon_sym_LBRACE] = ACTIONS(3198),
    [anon_sym_signed] = ACTIONS(3196),
    [anon_sym_unsigned] = ACTIONS(3196),
    [anon_sym_long] = ACTIONS(3196),
    [anon_sym_short] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_register] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(3196),
    [anon_sym___inline] = ACTIONS(3196),
    [anon_sym___inline__] = ACTIONS(3196),
    [anon_sym___forceinline] = ACTIONS(3196),
    [anon_sym_thread_local] = ACTIONS(3196),
    [anon_sym___thread] = ACTIONS(3196),
    [anon_sym_const] = ACTIONS(3196),
    [anon_sym_constexpr] = ACTIONS(3196),
    [anon_sym_volatile] = ACTIONS(3196),
    [anon_sym_restrict] = ACTIONS(3196),
    [anon_sym___restrict__] = ACTIONS(3196),
    [anon_sym__Atomic] = ACTIONS(3196),
    [anon_sym__Noreturn] = ACTIONS(3196),
    [anon_sym_noreturn] = ACTIONS(3196),
    [anon_sym_mutable] = ACTIONS(3196),
    [anon_sym_constinit] = ACTIONS(3196),
    [anon_sym_consteval] = ACTIONS(3196),
    [anon_sym_PROGMEM] = ACTIONS(3196),
    [aux_sym_primitive_type_token1] = ACTIONS(3196),
    [anon_sym_byte] = ACTIONS(3196),
    [anon_sym_word] = ACTIONS(3196),
    [anon_sym_enum] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_struct] = ACTIONS(3196),
    [anon_sym_union] = ACTIONS(3196),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_switch] = ACTIONS(3196),
    [anon_sym_case] = ACTIONS(3196),
    [anon_sym_default] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3196),
    [anon_sym_do] = ACTIONS(3196),
    [anon_sym_for] = ACTIONS(3196),
    [anon_sym_return] = ACTIONS(3196),
    [anon_sym_break] = ACTIONS(3196),
    [anon_sym_continue] = ACTIONS(3196),
    [anon_sym_goto] = ACTIONS(3196),
    [anon_sym___try] = ACTIONS(3196),
    [anon_sym___leave] = ACTIONS(3196),
    [anon_sym_not] = ACTIONS(3196),
    [anon_sym_compl] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_sizeof] = ACTIONS(3196),
    [anon_sym___alignof__] = ACTIONS(3196),
    [anon_sym___alignof] = ACTIONS(3196),
    [anon_sym__alignof] = ACTIONS(3196),
    [anon_sym_alignof] = ACTIONS(3196),
    [anon_sym__Alignof] = ACTIONS(3196),
    [anon_sym_offsetof] = ACTIONS(3196),
    [anon_sym__Generic] = ACTIONS(3196),
    [anon_sym_asm] = ACTIONS(3196),
    [anon_sym___asm__] = ACTIONS(3196),
    [aux_sym_number_literal_token1] = ACTIONS(3198),
    [aux_sym_number_literal_token2] = ACTIONS(3196),
    [anon_sym_L_SQUOTE] = ACTIONS(3198),
    [anon_sym_u_SQUOTE] = ACTIONS(3198),
    [anon_sym_U_SQUOTE] = ACTIONS(3198),
    [anon_sym_u8_SQUOTE] = ACTIONS(3198),
    [anon_sym_SQUOTE] = ACTIONS(3198),
    [anon_sym_L_DQUOTE] = ACTIONS(3198),
    [anon_sym_u_DQUOTE] = ACTIONS(3198),
    [anon_sym_U_DQUOTE] = ACTIONS(3198),
    [anon_sym_u8_DQUOTE] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [sym_true] = ACTIONS(3196),
    [sym_false] = ACTIONS(3196),
    [anon_sym_NULL] = ACTIONS(3196),
    [anon_sym_nullptr] = ACTIONS(3196),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3196),
    [anon_sym_decltype] = ACTIONS(3196),
    [anon_sym_virtual] = ACTIONS(3196),
    [anon_sym_alignas] = ACTIONS(3196),
    [anon_sym_explicit] = ACTIONS(3196),
    [anon_sym_typename] = ACTIONS(3196),
    [anon_sym_template] = ACTIONS(3196),
    [anon_sym_operator] = ACTIONS(3196),
    [anon_sym_try] = ACTIONS(3196),
    [anon_sym_delete] = ACTIONS(3196),
    [anon_sym_throw] = ACTIONS(3196),
    [anon_sym_namespace] = ACTIONS(3196),
    [anon_sym_using] = ACTIONS(3196),
    [anon_sym_static_assert] = ACTIONS(3196),
    [anon_sym_concept] = ACTIONS(3196),
    [anon_sym_co_return] = ACTIONS(3196),
    [anon_sym_co_yield] = ACTIONS(3196),
    [anon_sym_R_DQUOTE] = ACTIONS(3198),
    [anon_sym_LR_DQUOTE] = ACTIONS(3198),
    [anon_sym_uR_DQUOTE] = ACTIONS(3198),
    [anon_sym_UR_DQUOTE] = ACTIONS(3198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3198),
    [anon_sym_co_await] = ACTIONS(3196),
    [anon_sym_new] = ACTIONS(3196),
    [anon_sym_requires] = ACTIONS(3196),
    [sym_this] = ACTIONS(3196),
  },
  [550] = {
    [sym_identifier] = ACTIONS(3339),
    [aux_sym_preproc_include_token1] = ACTIONS(3339),
    [aux_sym_preproc_def_token1] = ACTIONS(3339),
    [aux_sym_preproc_if_token1] = ACTIONS(3339),
    [aux_sym_preproc_if_token2] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3339),
    [aux_sym_preproc_else_token1] = ACTIONS(3339),
    [aux_sym_preproc_elif_token1] = ACTIONS(3339),
    [sym_preproc_directive] = ACTIONS(3339),
    [anon_sym_LPAREN2] = ACTIONS(3341),
    [anon_sym_BANG] = ACTIONS(3341),
    [anon_sym_TILDE] = ACTIONS(3341),
    [anon_sym_DASH] = ACTIONS(3339),
    [anon_sym_PLUS] = ACTIONS(3339),
    [anon_sym_STAR] = ACTIONS(3341),
    [anon_sym_AMP_AMP] = ACTIONS(3341),
    [anon_sym_AMP] = ACTIONS(3339),
    [anon_sym_SEMI] = ACTIONS(3341),
    [anon_sym___extension__] = ACTIONS(3339),
    [anon_sym_typedef] = ACTIONS(3339),
    [anon_sym_extern] = ACTIONS(3339),
    [anon_sym___attribute__] = ACTIONS(3339),
    [anon_sym_COLON_COLON] = ACTIONS(3341),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3341),
    [anon_sym___declspec] = ACTIONS(3339),
    [anon_sym___based] = ACTIONS(3339),
    [anon_sym___cdecl] = ACTIONS(3339),
    [anon_sym___clrcall] = ACTIONS(3339),
    [anon_sym___stdcall] = ACTIONS(3339),
    [anon_sym___fastcall] = ACTIONS(3339),
    [anon_sym___thiscall] = ACTIONS(3339),
    [anon_sym___vectorcall] = ACTIONS(3339),
    [anon_sym_LBRACE] = ACTIONS(3341),
    [anon_sym_signed] = ACTIONS(3339),
    [anon_sym_unsigned] = ACTIONS(3339),
    [anon_sym_long] = ACTIONS(3339),
    [anon_sym_short] = ACTIONS(3339),
    [anon_sym_LBRACK] = ACTIONS(3339),
    [anon_sym_static] = ACTIONS(3339),
    [anon_sym_register] = ACTIONS(3339),
    [anon_sym_inline] = ACTIONS(3339),
    [anon_sym___inline] = ACTIONS(3339),
    [anon_sym___inline__] = ACTIONS(3339),
    [anon_sym___forceinline] = ACTIONS(3339),
    [anon_sym_thread_local] = ACTIONS(3339),
    [anon_sym___thread] = ACTIONS(3339),
    [anon_sym_const] = ACTIONS(3339),
    [anon_sym_constexpr] = ACTIONS(3339),
    [anon_sym_volatile] = ACTIONS(3339),
    [anon_sym_restrict] = ACTIONS(3339),
    [anon_sym___restrict__] = ACTIONS(3339),
    [anon_sym__Atomic] = ACTIONS(3339),
    [anon_sym__Noreturn] = ACTIONS(3339),
    [anon_sym_noreturn] = ACTIONS(3339),
    [anon_sym_mutable] = ACTIONS(3339),
    [anon_sym_constinit] = ACTIONS(3339),
    [anon_sym_consteval] = ACTIONS(3339),
    [anon_sym_PROGMEM] = ACTIONS(3339),
    [aux_sym_primitive_type_token1] = ACTIONS(3339),
    [anon_sym_byte] = ACTIONS(3339),
    [anon_sym_word] = ACTIONS(3339),
    [anon_sym_enum] = ACTIONS(3339),
    [anon_sym_class] = ACTIONS(3339),
    [anon_sym_struct] = ACTIONS(3339),
    [anon_sym_union] = ACTIONS(3339),
    [anon_sym_if] = ACTIONS(3339),
    [anon_sym_switch] = ACTIONS(3339),
    [anon_sym_case] = ACTIONS(3339),
    [anon_sym_default] = ACTIONS(3339),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(3339),
    [anon_sym_for] = ACTIONS(3339),
    [anon_sym_return] = ACTIONS(3339),
    [anon_sym_break] = ACTIONS(3339),
    [anon_sym_continue] = ACTIONS(3339),
    [anon_sym_goto] = ACTIONS(3339),
    [anon_sym___try] = ACTIONS(3339),
    [anon_sym___leave] = ACTIONS(3339),
    [anon_sym_not] = ACTIONS(3339),
    [anon_sym_compl] = ACTIONS(3339),
    [anon_sym_DASH_DASH] = ACTIONS(3341),
    [anon_sym_PLUS_PLUS] = ACTIONS(3341),
    [anon_sym_sizeof] = ACTIONS(3339),
    [anon_sym___alignof__] = ACTIONS(3339),
    [anon_sym___alignof] = ACTIONS(3339),
    [anon_sym__alignof] = ACTIONS(3339),
    [anon_sym_alignof] = ACTIONS(3339),
    [anon_sym__Alignof] = ACTIONS(3339),
    [anon_sym_offsetof] = ACTIONS(3339),
    [anon_sym__Generic] = ACTIONS(3339),
    [anon_sym_asm] = ACTIONS(3339),
    [anon_sym___asm__] = ACTIONS(3339),
    [aux_sym_number_literal_token1] = ACTIONS(3341),
    [aux_sym_number_literal_token2] = ACTIONS(3339),
    [anon_sym_L_SQUOTE] = ACTIONS(3341),
    [anon_sym_u_SQUOTE] = ACTIONS(3341),
    [anon_sym_U_SQUOTE] = ACTIONS(3341),
    [anon_sym_u8_SQUOTE] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_L_DQUOTE] = ACTIONS(3341),
    [anon_sym_u_DQUOTE] = ACTIONS(3341),
    [anon_sym_U_DQUOTE] = ACTIONS(3341),
    [anon_sym_u8_DQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3341),
    [sym_true] = ACTIONS(3339),
    [sym_false] = ACTIONS(3339),
    [anon_sym_NULL] = ACTIONS(3339),
    [anon_sym_nullptr] = ACTIONS(3339),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3339),
    [anon_sym_decltype] = ACTIONS(3339),
    [anon_sym_virtual] = ACTIONS(3339),
    [anon_sym_alignas] = ACTIONS(3339),
    [anon_sym_explicit] = ACTIONS(3339),
    [anon_sym_typename] = ACTIONS(3339),
    [anon_sym_template] = ACTIONS(3339),
    [anon_sym_operator] = ACTIONS(3339),
    [anon_sym_try] = ACTIONS(3339),
    [anon_sym_delete] = ACTIONS(3339),
    [anon_sym_throw] = ACTIONS(3339),
    [anon_sym_namespace] = ACTIONS(3339),
    [anon_sym_using] = ACTIONS(3339),
    [anon_sym_static_assert] = ACTIONS(3339),
    [anon_sym_concept] = ACTIONS(3339),
    [anon_sym_co_return] = ACTIONS(3339),
    [anon_sym_co_yield] = ACTIONS(3339),
    [anon_sym_R_DQUOTE] = ACTIONS(3341),
    [anon_sym_LR_DQUOTE] = ACTIONS(3341),
    [anon_sym_uR_DQUOTE] = ACTIONS(3341),
    [anon_sym_UR_DQUOTE] = ACTIONS(3341),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3341),
    [anon_sym_co_await] = ACTIONS(3339),
    [anon_sym_new] = ACTIONS(3339),
    [anon_sym_requires] = ACTIONS(3339),
    [sym_this] = ACTIONS(3339),
  },
  [551] = {
    [sym_identifier] = ACTIONS(3347),
    [aux_sym_preproc_include_token1] = ACTIONS(3347),
    [aux_sym_preproc_def_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token2] = ACTIONS(3347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3347),
    [aux_sym_preproc_else_token1] = ACTIONS(3347),
    [aux_sym_preproc_elif_token1] = ACTIONS(3347),
    [sym_preproc_directive] = ACTIONS(3347),
    [anon_sym_LPAREN2] = ACTIONS(3349),
    [anon_sym_BANG] = ACTIONS(3349),
    [anon_sym_TILDE] = ACTIONS(3349),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_AMP_AMP] = ACTIONS(3349),
    [anon_sym_AMP] = ACTIONS(3347),
    [anon_sym_SEMI] = ACTIONS(3349),
    [anon_sym___extension__] = ACTIONS(3347),
    [anon_sym_typedef] = ACTIONS(3347),
    [anon_sym_extern] = ACTIONS(3347),
    [anon_sym___attribute__] = ACTIONS(3347),
    [anon_sym_COLON_COLON] = ACTIONS(3349),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3349),
    [anon_sym___declspec] = ACTIONS(3347),
    [anon_sym___based] = ACTIONS(3347),
    [anon_sym___cdecl] = ACTIONS(3347),
    [anon_sym___clrcall] = ACTIONS(3347),
    [anon_sym___stdcall] = ACTIONS(3347),
    [anon_sym___fastcall] = ACTIONS(3347),
    [anon_sym___thiscall] = ACTIONS(3347),
    [anon_sym___vectorcall] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3349),
    [anon_sym_signed] = ACTIONS(3347),
    [anon_sym_unsigned] = ACTIONS(3347),
    [anon_sym_long] = ACTIONS(3347),
    [anon_sym_short] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_register] = ACTIONS(3347),
    [anon_sym_inline] = ACTIONS(3347),
    [anon_sym___inline] = ACTIONS(3347),
    [anon_sym___inline__] = ACTIONS(3347),
    [anon_sym___forceinline] = ACTIONS(3347),
    [anon_sym_thread_local] = ACTIONS(3347),
    [anon_sym___thread] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_constexpr] = ACTIONS(3347),
    [anon_sym_volatile] = ACTIONS(3347),
    [anon_sym_restrict] = ACTIONS(3347),
    [anon_sym___restrict__] = ACTIONS(3347),
    [anon_sym__Atomic] = ACTIONS(3347),
    [anon_sym__Noreturn] = ACTIONS(3347),
    [anon_sym_noreturn] = ACTIONS(3347),
    [anon_sym_mutable] = ACTIONS(3347),
    [anon_sym_constinit] = ACTIONS(3347),
    [anon_sym_consteval] = ACTIONS(3347),
    [anon_sym_PROGMEM] = ACTIONS(3347),
    [aux_sym_primitive_type_token1] = ACTIONS(3347),
    [anon_sym_byte] = ACTIONS(3347),
    [anon_sym_word] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_struct] = ACTIONS(3347),
    [anon_sym_union] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(3347),
    [anon_sym_switch] = ACTIONS(3347),
    [anon_sym_case] = ACTIONS(3347),
    [anon_sym_default] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(3347),
    [anon_sym_do] = ACTIONS(3347),
    [anon_sym_for] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3347),
    [anon_sym_break] = ACTIONS(3347),
    [anon_sym_continue] = ACTIONS(3347),
    [anon_sym_goto] = ACTIONS(3347),
    [anon_sym___try] = ACTIONS(3347),
    [anon_sym___leave] = ACTIONS(3347),
    [anon_sym_not] = ACTIONS(3347),
    [anon_sym_compl] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3349),
    [anon_sym_PLUS_PLUS] = ACTIONS(3349),
    [anon_sym_sizeof] = ACTIONS(3347),
    [anon_sym___alignof__] = ACTIONS(3347),
    [anon_sym___alignof] = ACTIONS(3347),
    [anon_sym__alignof] = ACTIONS(3347),
    [anon_sym_alignof] = ACTIONS(3347),
    [anon_sym__Alignof] = ACTIONS(3347),
    [anon_sym_offsetof] = ACTIONS(3347),
    [anon_sym__Generic] = ACTIONS(3347),
    [anon_sym_asm] = ACTIONS(3347),
    [anon_sym___asm__] = ACTIONS(3347),
    [aux_sym_number_literal_token1] = ACTIONS(3349),
    [aux_sym_number_literal_token2] = ACTIONS(3347),
    [anon_sym_L_SQUOTE] = ACTIONS(3349),
    [anon_sym_u_SQUOTE] = ACTIONS(3349),
    [anon_sym_U_SQUOTE] = ACTIONS(3349),
    [anon_sym_u8_SQUOTE] = ACTIONS(3349),
    [anon_sym_SQUOTE] = ACTIONS(3349),
    [anon_sym_L_DQUOTE] = ACTIONS(3349),
    [anon_sym_u_DQUOTE] = ACTIONS(3349),
    [anon_sym_U_DQUOTE] = ACTIONS(3349),
    [anon_sym_u8_DQUOTE] = ACTIONS(3349),
    [anon_sym_DQUOTE] = ACTIONS(3349),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [anon_sym_NULL] = ACTIONS(3347),
    [anon_sym_nullptr] = ACTIONS(3347),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3347),
    [anon_sym_decltype] = ACTIONS(3347),
    [anon_sym_virtual] = ACTIONS(3347),
    [anon_sym_alignas] = ACTIONS(3347),
    [anon_sym_explicit] = ACTIONS(3347),
    [anon_sym_typename] = ACTIONS(3347),
    [anon_sym_template] = ACTIONS(3347),
    [anon_sym_operator] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3347),
    [anon_sym_delete] = ACTIONS(3347),
    [anon_sym_throw] = ACTIONS(3347),
    [anon_sym_namespace] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_static_assert] = ACTIONS(3347),
    [anon_sym_concept] = ACTIONS(3347),
    [anon_sym_co_return] = ACTIONS(3347),
    [anon_sym_co_yield] = ACTIONS(3347),
    [anon_sym_R_DQUOTE] = ACTIONS(3349),
    [anon_sym_LR_DQUOTE] = ACTIONS(3349),
    [anon_sym_uR_DQUOTE] = ACTIONS(3349),
    [anon_sym_UR_DQUOTE] = ACTIONS(3349),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3349),
    [anon_sym_co_await] = ACTIONS(3347),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_requires] = ACTIONS(3347),
    [sym_this] = ACTIONS(3347),
  },
  [552] = {
    [sym_identifier] = ACTIONS(3377),
    [aux_sym_preproc_include_token1] = ACTIONS(3377),
    [aux_sym_preproc_def_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token2] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3377),
    [aux_sym_preproc_else_token1] = ACTIONS(3377),
    [aux_sym_preproc_elif_token1] = ACTIONS(3377),
    [sym_preproc_directive] = ACTIONS(3377),
    [anon_sym_LPAREN2] = ACTIONS(3379),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_STAR] = ACTIONS(3379),
    [anon_sym_AMP_AMP] = ACTIONS(3379),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym___extension__] = ACTIONS(3377),
    [anon_sym_typedef] = ACTIONS(3377),
    [anon_sym_extern] = ACTIONS(3377),
    [anon_sym___attribute__] = ACTIONS(3377),
    [anon_sym_COLON_COLON] = ACTIONS(3379),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3379),
    [anon_sym___declspec] = ACTIONS(3377),
    [anon_sym___based] = ACTIONS(3377),
    [anon_sym___cdecl] = ACTIONS(3377),
    [anon_sym___clrcall] = ACTIONS(3377),
    [anon_sym___stdcall] = ACTIONS(3377),
    [anon_sym___fastcall] = ACTIONS(3377),
    [anon_sym___thiscall] = ACTIONS(3377),
    [anon_sym___vectorcall] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_signed] = ACTIONS(3377),
    [anon_sym_unsigned] = ACTIONS(3377),
    [anon_sym_long] = ACTIONS(3377),
    [anon_sym_short] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_register] = ACTIONS(3377),
    [anon_sym_inline] = ACTIONS(3377),
    [anon_sym___inline] = ACTIONS(3377),
    [anon_sym___inline__] = ACTIONS(3377),
    [anon_sym___forceinline] = ACTIONS(3377),
    [anon_sym_thread_local] = ACTIONS(3377),
    [anon_sym___thread] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_constexpr] = ACTIONS(3377),
    [anon_sym_volatile] = ACTIONS(3377),
    [anon_sym_restrict] = ACTIONS(3377),
    [anon_sym___restrict__] = ACTIONS(3377),
    [anon_sym__Atomic] = ACTIONS(3377),
    [anon_sym__Noreturn] = ACTIONS(3377),
    [anon_sym_noreturn] = ACTIONS(3377),
    [anon_sym_mutable] = ACTIONS(3377),
    [anon_sym_constinit] = ACTIONS(3377),
    [anon_sym_consteval] = ACTIONS(3377),
    [anon_sym_PROGMEM] = ACTIONS(3377),
    [aux_sym_primitive_type_token1] = ACTIONS(3377),
    [anon_sym_byte] = ACTIONS(3377),
    [anon_sym_word] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_struct] = ACTIONS(3377),
    [anon_sym_union] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_case] = ACTIONS(3377),
    [anon_sym_default] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_goto] = ACTIONS(3377),
    [anon_sym___try] = ACTIONS(3377),
    [anon_sym___leave] = ACTIONS(3377),
    [anon_sym_not] = ACTIONS(3377),
    [anon_sym_compl] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_sizeof] = ACTIONS(3377),
    [anon_sym___alignof__] = ACTIONS(3377),
    [anon_sym___alignof] = ACTIONS(3377),
    [anon_sym__alignof] = ACTIONS(3377),
    [anon_sym_alignof] = ACTIONS(3377),
    [anon_sym__Alignof] = ACTIONS(3377),
    [anon_sym_offsetof] = ACTIONS(3377),
    [anon_sym__Generic] = ACTIONS(3377),
    [anon_sym_asm] = ACTIONS(3377),
    [anon_sym___asm__] = ACTIONS(3377),
    [aux_sym_number_literal_token1] = ACTIONS(3379),
    [aux_sym_number_literal_token2] = ACTIONS(3377),
    [anon_sym_L_SQUOTE] = ACTIONS(3379),
    [anon_sym_u_SQUOTE] = ACTIONS(3379),
    [anon_sym_U_SQUOTE] = ACTIONS(3379),
    [anon_sym_u8_SQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [anon_sym_L_DQUOTE] = ACTIONS(3379),
    [anon_sym_u_DQUOTE] = ACTIONS(3379),
    [anon_sym_U_DQUOTE] = ACTIONS(3379),
    [anon_sym_u8_DQUOTE] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [anon_sym_NULL] = ACTIONS(3377),
    [anon_sym_nullptr] = ACTIONS(3377),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3377),
    [anon_sym_decltype] = ACTIONS(3377),
    [anon_sym_virtual] = ACTIONS(3377),
    [anon_sym_alignas] = ACTIONS(3377),
    [anon_sym_explicit] = ACTIONS(3377),
    [anon_sym_typename] = ACTIONS(3377),
    [anon_sym_template] = ACTIONS(3377),
    [anon_sym_operator] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_static_assert] = ACTIONS(3377),
    [anon_sym_concept] = ACTIONS(3377),
    [anon_sym_co_return] = ACTIONS(3377),
    [anon_sym_co_yield] = ACTIONS(3377),
    [anon_sym_R_DQUOTE] = ACTIONS(3379),
    [anon_sym_LR_DQUOTE] = ACTIONS(3379),
    [anon_sym_uR_DQUOTE] = ACTIONS(3379),
    [anon_sym_UR_DQUOTE] = ACTIONS(3379),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3379),
    [anon_sym_co_await] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_requires] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
  },
  [553] = {
    [sym_identifier] = ACTIONS(3491),
    [aux_sym_preproc_include_token1] = ACTIONS(3491),
    [aux_sym_preproc_def_token1] = ACTIONS(3491),
    [aux_sym_preproc_if_token1] = ACTIONS(3491),
    [aux_sym_preproc_if_token2] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [aux_sym_preproc_else_token1] = ACTIONS(3491),
    [aux_sym_preproc_elif_token1] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3491),
    [anon_sym_LPAREN2] = ACTIONS(3493),
    [anon_sym_BANG] = ACTIONS(3493),
    [anon_sym_TILDE] = ACTIONS(3493),
    [anon_sym_DASH] = ACTIONS(3491),
    [anon_sym_PLUS] = ACTIONS(3491),
    [anon_sym_STAR] = ACTIONS(3493),
    [anon_sym_AMP_AMP] = ACTIONS(3493),
    [anon_sym_AMP] = ACTIONS(3491),
    [anon_sym_SEMI] = ACTIONS(3493),
    [anon_sym___extension__] = ACTIONS(3491),
    [anon_sym_typedef] = ACTIONS(3491),
    [anon_sym_extern] = ACTIONS(3491),
    [anon_sym___attribute__] = ACTIONS(3491),
    [anon_sym_COLON_COLON] = ACTIONS(3493),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3493),
    [anon_sym___declspec] = ACTIONS(3491),
    [anon_sym___based] = ACTIONS(3491),
    [anon_sym___cdecl] = ACTIONS(3491),
    [anon_sym___clrcall] = ACTIONS(3491),
    [anon_sym___stdcall] = ACTIONS(3491),
    [anon_sym___fastcall] = ACTIONS(3491),
    [anon_sym___thiscall] = ACTIONS(3491),
    [anon_sym___vectorcall] = ACTIONS(3491),
    [anon_sym_LBRACE] = ACTIONS(3493),
    [anon_sym_signed] = ACTIONS(3491),
    [anon_sym_unsigned] = ACTIONS(3491),
    [anon_sym_long] = ACTIONS(3491),
    [anon_sym_short] = ACTIONS(3491),
    [anon_sym_LBRACK] = ACTIONS(3491),
    [anon_sym_static] = ACTIONS(3491),
    [anon_sym_register] = ACTIONS(3491),
    [anon_sym_inline] = ACTIONS(3491),
    [anon_sym___inline] = ACTIONS(3491),
    [anon_sym___inline__] = ACTIONS(3491),
    [anon_sym___forceinline] = ACTIONS(3491),
    [anon_sym_thread_local] = ACTIONS(3491),
    [anon_sym___thread] = ACTIONS(3491),
    [anon_sym_const] = ACTIONS(3491),
    [anon_sym_constexpr] = ACTIONS(3491),
    [anon_sym_volatile] = ACTIONS(3491),
    [anon_sym_restrict] = ACTIONS(3491),
    [anon_sym___restrict__] = ACTIONS(3491),
    [anon_sym__Atomic] = ACTIONS(3491),
    [anon_sym__Noreturn] = ACTIONS(3491),
    [anon_sym_noreturn] = ACTIONS(3491),
    [anon_sym_mutable] = ACTIONS(3491),
    [anon_sym_constinit] = ACTIONS(3491),
    [anon_sym_consteval] = ACTIONS(3491),
    [anon_sym_PROGMEM] = ACTIONS(3491),
    [aux_sym_primitive_type_token1] = ACTIONS(3491),
    [anon_sym_byte] = ACTIONS(3491),
    [anon_sym_word] = ACTIONS(3491),
    [anon_sym_enum] = ACTIONS(3491),
    [anon_sym_class] = ACTIONS(3491),
    [anon_sym_struct] = ACTIONS(3491),
    [anon_sym_union] = ACTIONS(3491),
    [anon_sym_if] = ACTIONS(3491),
    [anon_sym_switch] = ACTIONS(3491),
    [anon_sym_case] = ACTIONS(3491),
    [anon_sym_default] = ACTIONS(3491),
    [anon_sym_while] = ACTIONS(3491),
    [anon_sym_do] = ACTIONS(3491),
    [anon_sym_for] = ACTIONS(3491),
    [anon_sym_return] = ACTIONS(3491),
    [anon_sym_break] = ACTIONS(3491),
    [anon_sym_continue] = ACTIONS(3491),
    [anon_sym_goto] = ACTIONS(3491),
    [anon_sym___try] = ACTIONS(3491),
    [anon_sym___leave] = ACTIONS(3491),
    [anon_sym_not] = ACTIONS(3491),
    [anon_sym_compl] = ACTIONS(3491),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_sizeof] = ACTIONS(3491),
    [anon_sym___alignof__] = ACTIONS(3491),
    [anon_sym___alignof] = ACTIONS(3491),
    [anon_sym__alignof] = ACTIONS(3491),
    [anon_sym_alignof] = ACTIONS(3491),
    [anon_sym__Alignof] = ACTIONS(3491),
    [anon_sym_offsetof] = ACTIONS(3491),
    [anon_sym__Generic] = ACTIONS(3491),
    [anon_sym_asm] = ACTIONS(3491),
    [anon_sym___asm__] = ACTIONS(3491),
    [aux_sym_number_literal_token1] = ACTIONS(3493),
    [aux_sym_number_literal_token2] = ACTIONS(3491),
    [anon_sym_L_SQUOTE] = ACTIONS(3493),
    [anon_sym_u_SQUOTE] = ACTIONS(3493),
    [anon_sym_U_SQUOTE] = ACTIONS(3493),
    [anon_sym_u8_SQUOTE] = ACTIONS(3493),
    [anon_sym_SQUOTE] = ACTIONS(3493),
    [anon_sym_L_DQUOTE] = ACTIONS(3493),
    [anon_sym_u_DQUOTE] = ACTIONS(3493),
    [anon_sym_U_DQUOTE] = ACTIONS(3493),
    [anon_sym_u8_DQUOTE] = ACTIONS(3493),
    [anon_sym_DQUOTE] = ACTIONS(3493),
    [sym_true] = ACTIONS(3491),
    [sym_false] = ACTIONS(3491),
    [anon_sym_NULL] = ACTIONS(3491),
    [anon_sym_nullptr] = ACTIONS(3491),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3491),
    [anon_sym_decltype] = ACTIONS(3491),
    [anon_sym_virtual] = ACTIONS(3491),
    [anon_sym_alignas] = ACTIONS(3491),
    [anon_sym_explicit] = ACTIONS(3491),
    [anon_sym_typename] = ACTIONS(3491),
    [anon_sym_template] = ACTIONS(3491),
    [anon_sym_operator] = ACTIONS(3491),
    [anon_sym_try] = ACTIONS(3491),
    [anon_sym_delete] = ACTIONS(3491),
    [anon_sym_throw] = ACTIONS(3491),
    [anon_sym_namespace] = ACTIONS(3491),
    [anon_sym_using] = ACTIONS(3491),
    [anon_sym_static_assert] = ACTIONS(3491),
    [anon_sym_concept] = ACTIONS(3491),
    [anon_sym_co_return] = ACTIONS(3491),
    [anon_sym_co_yield] = ACTIONS(3491),
    [anon_sym_R_DQUOTE] = ACTIONS(3493),
    [anon_sym_LR_DQUOTE] = ACTIONS(3493),
    [anon_sym_uR_DQUOTE] = ACTIONS(3493),
    [anon_sym_UR_DQUOTE] = ACTIONS(3493),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3493),
    [anon_sym_co_await] = ACTIONS(3491),
    [anon_sym_new] = ACTIONS(3491),
    [anon_sym_requires] = ACTIONS(3491),
    [sym_this] = ACTIONS(3491),
  },
  [554] = {
    [sym_identifier] = ACTIONS(3443),
    [aux_sym_preproc_include_token1] = ACTIONS(3443),
    [aux_sym_preproc_def_token1] = ACTIONS(3443),
    [aux_sym_preproc_if_token1] = ACTIONS(3443),
    [aux_sym_preproc_if_token2] = ACTIONS(3443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3443),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3443),
    [aux_sym_preproc_else_token1] = ACTIONS(3443),
    [aux_sym_preproc_elif_token1] = ACTIONS(3443),
    [sym_preproc_directive] = ACTIONS(3443),
    [anon_sym_LPAREN2] = ACTIONS(3445),
    [anon_sym_BANG] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3445),
    [anon_sym_DASH] = ACTIONS(3443),
    [anon_sym_PLUS] = ACTIONS(3443),
    [anon_sym_STAR] = ACTIONS(3445),
    [anon_sym_AMP_AMP] = ACTIONS(3445),
    [anon_sym_AMP] = ACTIONS(3443),
    [anon_sym_SEMI] = ACTIONS(3445),
    [anon_sym___extension__] = ACTIONS(3443),
    [anon_sym_typedef] = ACTIONS(3443),
    [anon_sym_extern] = ACTIONS(3443),
    [anon_sym___attribute__] = ACTIONS(3443),
    [anon_sym_COLON_COLON] = ACTIONS(3445),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3445),
    [anon_sym___declspec] = ACTIONS(3443),
    [anon_sym___based] = ACTIONS(3443),
    [anon_sym___cdecl] = ACTIONS(3443),
    [anon_sym___clrcall] = ACTIONS(3443),
    [anon_sym___stdcall] = ACTIONS(3443),
    [anon_sym___fastcall] = ACTIONS(3443),
    [anon_sym___thiscall] = ACTIONS(3443),
    [anon_sym___vectorcall] = ACTIONS(3443),
    [anon_sym_LBRACE] = ACTIONS(3445),
    [anon_sym_signed] = ACTIONS(3443),
    [anon_sym_unsigned] = ACTIONS(3443),
    [anon_sym_long] = ACTIONS(3443),
    [anon_sym_short] = ACTIONS(3443),
    [anon_sym_LBRACK] = ACTIONS(3443),
    [anon_sym_static] = ACTIONS(3443),
    [anon_sym_register] = ACTIONS(3443),
    [anon_sym_inline] = ACTIONS(3443),
    [anon_sym___inline] = ACTIONS(3443),
    [anon_sym___inline__] = ACTIONS(3443),
    [anon_sym___forceinline] = ACTIONS(3443),
    [anon_sym_thread_local] = ACTIONS(3443),
    [anon_sym___thread] = ACTIONS(3443),
    [anon_sym_const] = ACTIONS(3443),
    [anon_sym_constexpr] = ACTIONS(3443),
    [anon_sym_volatile] = ACTIONS(3443),
    [anon_sym_restrict] = ACTIONS(3443),
    [anon_sym___restrict__] = ACTIONS(3443),
    [anon_sym__Atomic] = ACTIONS(3443),
    [anon_sym__Noreturn] = ACTIONS(3443),
    [anon_sym_noreturn] = ACTIONS(3443),
    [anon_sym_mutable] = ACTIONS(3443),
    [anon_sym_constinit] = ACTIONS(3443),
    [anon_sym_consteval] = ACTIONS(3443),
    [anon_sym_PROGMEM] = ACTIONS(3443),
    [aux_sym_primitive_type_token1] = ACTIONS(3443),
    [anon_sym_byte] = ACTIONS(3443),
    [anon_sym_word] = ACTIONS(3443),
    [anon_sym_enum] = ACTIONS(3443),
    [anon_sym_class] = ACTIONS(3443),
    [anon_sym_struct] = ACTIONS(3443),
    [anon_sym_union] = ACTIONS(3443),
    [anon_sym_if] = ACTIONS(3443),
    [anon_sym_switch] = ACTIONS(3443),
    [anon_sym_case] = ACTIONS(3443),
    [anon_sym_default] = ACTIONS(3443),
    [anon_sym_while] = ACTIONS(3443),
    [anon_sym_do] = ACTIONS(3443),
    [anon_sym_for] = ACTIONS(3443),
    [anon_sym_return] = ACTIONS(3443),
    [anon_sym_break] = ACTIONS(3443),
    [anon_sym_continue] = ACTIONS(3443),
    [anon_sym_goto] = ACTIONS(3443),
    [anon_sym___try] = ACTIONS(3443),
    [anon_sym___leave] = ACTIONS(3443),
    [anon_sym_not] = ACTIONS(3443),
    [anon_sym_compl] = ACTIONS(3443),
    [anon_sym_DASH_DASH] = ACTIONS(3445),
    [anon_sym_PLUS_PLUS] = ACTIONS(3445),
    [anon_sym_sizeof] = ACTIONS(3443),
    [anon_sym___alignof__] = ACTIONS(3443),
    [anon_sym___alignof] = ACTIONS(3443),
    [anon_sym__alignof] = ACTIONS(3443),
    [anon_sym_alignof] = ACTIONS(3443),
    [anon_sym__Alignof] = ACTIONS(3443),
    [anon_sym_offsetof] = ACTIONS(3443),
    [anon_sym__Generic] = ACTIONS(3443),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [aux_sym_number_literal_token1] = ACTIONS(3445),
    [aux_sym_number_literal_token2] = ACTIONS(3443),
    [anon_sym_L_SQUOTE] = ACTIONS(3445),
    [anon_sym_u_SQUOTE] = ACTIONS(3445),
    [anon_sym_U_SQUOTE] = ACTIONS(3445),
    [anon_sym_u8_SQUOTE] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(3445),
    [anon_sym_L_DQUOTE] = ACTIONS(3445),
    [anon_sym_u_DQUOTE] = ACTIONS(3445),
    [anon_sym_U_DQUOTE] = ACTIONS(3445),
    [anon_sym_u8_DQUOTE] = ACTIONS(3445),
    [anon_sym_DQUOTE] = ACTIONS(3445),
    [sym_true] = ACTIONS(3443),
    [sym_false] = ACTIONS(3443),
    [anon_sym_NULL] = ACTIONS(3443),
    [anon_sym_nullptr] = ACTIONS(3443),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3443),
    [anon_sym_decltype] = ACTIONS(3443),
    [anon_sym_virtual] = ACTIONS(3443),
    [anon_sym_alignas] = ACTIONS(3443),
    [anon_sym_explicit] = ACTIONS(3443),
    [anon_sym_typename] = ACTIONS(3443),
    [anon_sym_template] = ACTIONS(3443),
    [anon_sym_operator] = ACTIONS(3443),
    [anon_sym_try] = ACTIONS(3443),
    [anon_sym_delete] = ACTIONS(3443),
    [anon_sym_throw] = ACTIONS(3443),
    [anon_sym_namespace] = ACTIONS(3443),
    [anon_sym_using] = ACTIONS(3443),
    [anon_sym_static_assert] = ACTIONS(3443),
    [anon_sym_concept] = ACTIONS(3443),
    [anon_sym_co_return] = ACTIONS(3443),
    [anon_sym_co_yield] = ACTIONS(3443),
    [anon_sym_R_DQUOTE] = ACTIONS(3445),
    [anon_sym_LR_DQUOTE] = ACTIONS(3445),
    [anon_sym_uR_DQUOTE] = ACTIONS(3445),
    [anon_sym_UR_DQUOTE] = ACTIONS(3445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3445),
    [anon_sym_co_await] = ACTIONS(3443),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3443),
    [sym_this] = ACTIONS(3443),
  },
  [555] = {
    [sym_identifier] = ACTIONS(3413),
    [aux_sym_preproc_include_token1] = ACTIONS(3413),
    [aux_sym_preproc_def_token1] = ACTIONS(3413),
    [aux_sym_preproc_if_token1] = ACTIONS(3413),
    [aux_sym_preproc_if_token2] = ACTIONS(3413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3413),
    [aux_sym_preproc_else_token1] = ACTIONS(3413),
    [aux_sym_preproc_elif_token1] = ACTIONS(3413),
    [sym_preproc_directive] = ACTIONS(3413),
    [anon_sym_LPAREN2] = ACTIONS(3415),
    [anon_sym_BANG] = ACTIONS(3415),
    [anon_sym_TILDE] = ACTIONS(3415),
    [anon_sym_DASH] = ACTIONS(3413),
    [anon_sym_PLUS] = ACTIONS(3413),
    [anon_sym_STAR] = ACTIONS(3415),
    [anon_sym_AMP_AMP] = ACTIONS(3415),
    [anon_sym_AMP] = ACTIONS(3413),
    [anon_sym_SEMI] = ACTIONS(3415),
    [anon_sym___extension__] = ACTIONS(3413),
    [anon_sym_typedef] = ACTIONS(3413),
    [anon_sym_extern] = ACTIONS(3413),
    [anon_sym___attribute__] = ACTIONS(3413),
    [anon_sym_COLON_COLON] = ACTIONS(3415),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3415),
    [anon_sym___declspec] = ACTIONS(3413),
    [anon_sym___based] = ACTIONS(3413),
    [anon_sym___cdecl] = ACTIONS(3413),
    [anon_sym___clrcall] = ACTIONS(3413),
    [anon_sym___stdcall] = ACTIONS(3413),
    [anon_sym___fastcall] = ACTIONS(3413),
    [anon_sym___thiscall] = ACTIONS(3413),
    [anon_sym___vectorcall] = ACTIONS(3413),
    [anon_sym_LBRACE] = ACTIONS(3415),
    [anon_sym_signed] = ACTIONS(3413),
    [anon_sym_unsigned] = ACTIONS(3413),
    [anon_sym_long] = ACTIONS(3413),
    [anon_sym_short] = ACTIONS(3413),
    [anon_sym_LBRACK] = ACTIONS(3413),
    [anon_sym_static] = ACTIONS(3413),
    [anon_sym_register] = ACTIONS(3413),
    [anon_sym_inline] = ACTIONS(3413),
    [anon_sym___inline] = ACTIONS(3413),
    [anon_sym___inline__] = ACTIONS(3413),
    [anon_sym___forceinline] = ACTIONS(3413),
    [anon_sym_thread_local] = ACTIONS(3413),
    [anon_sym___thread] = ACTIONS(3413),
    [anon_sym_const] = ACTIONS(3413),
    [anon_sym_constexpr] = ACTIONS(3413),
    [anon_sym_volatile] = ACTIONS(3413),
    [anon_sym_restrict] = ACTIONS(3413),
    [anon_sym___restrict__] = ACTIONS(3413),
    [anon_sym__Atomic] = ACTIONS(3413),
    [anon_sym__Noreturn] = ACTIONS(3413),
    [anon_sym_noreturn] = ACTIONS(3413),
    [anon_sym_mutable] = ACTIONS(3413),
    [anon_sym_constinit] = ACTIONS(3413),
    [anon_sym_consteval] = ACTIONS(3413),
    [anon_sym_PROGMEM] = ACTIONS(3413),
    [aux_sym_primitive_type_token1] = ACTIONS(3413),
    [anon_sym_byte] = ACTIONS(3413),
    [anon_sym_word] = ACTIONS(3413),
    [anon_sym_enum] = ACTIONS(3413),
    [anon_sym_class] = ACTIONS(3413),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3413),
    [anon_sym_if] = ACTIONS(3413),
    [anon_sym_switch] = ACTIONS(3413),
    [anon_sym_case] = ACTIONS(3413),
    [anon_sym_default] = ACTIONS(3413),
    [anon_sym_while] = ACTIONS(3413),
    [anon_sym_do] = ACTIONS(3413),
    [anon_sym_for] = ACTIONS(3413),
    [anon_sym_return] = ACTIONS(3413),
    [anon_sym_break] = ACTIONS(3413),
    [anon_sym_continue] = ACTIONS(3413),
    [anon_sym_goto] = ACTIONS(3413),
    [anon_sym___try] = ACTIONS(3413),
    [anon_sym___leave] = ACTIONS(3413),
    [anon_sym_not] = ACTIONS(3413),
    [anon_sym_compl] = ACTIONS(3413),
    [anon_sym_DASH_DASH] = ACTIONS(3415),
    [anon_sym_PLUS_PLUS] = ACTIONS(3415),
    [anon_sym_sizeof] = ACTIONS(3413),
    [anon_sym___alignof__] = ACTIONS(3413),
    [anon_sym___alignof] = ACTIONS(3413),
    [anon_sym__alignof] = ACTIONS(3413),
    [anon_sym_alignof] = ACTIONS(3413),
    [anon_sym__Alignof] = ACTIONS(3413),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3413),
    [anon_sym_asm] = ACTIONS(3413),
    [anon_sym___asm__] = ACTIONS(3413),
    [aux_sym_number_literal_token1] = ACTIONS(3415),
    [aux_sym_number_literal_token2] = ACTIONS(3413),
    [anon_sym_L_SQUOTE] = ACTIONS(3415),
    [anon_sym_u_SQUOTE] = ACTIONS(3415),
    [anon_sym_U_SQUOTE] = ACTIONS(3415),
    [anon_sym_u8_SQUOTE] = ACTIONS(3415),
    [anon_sym_SQUOTE] = ACTIONS(3415),
    [anon_sym_L_DQUOTE] = ACTIONS(3415),
    [anon_sym_u_DQUOTE] = ACTIONS(3415),
    [anon_sym_U_DQUOTE] = ACTIONS(3415),
    [anon_sym_u8_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE] = ACTIONS(3415),
    [sym_true] = ACTIONS(3413),
    [sym_false] = ACTIONS(3413),
    [anon_sym_NULL] = ACTIONS(3413),
    [anon_sym_nullptr] = ACTIONS(3413),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3413),
    [anon_sym_decltype] = ACTIONS(3413),
    [anon_sym_virtual] = ACTIONS(3413),
    [anon_sym_alignas] = ACTIONS(3413),
    [anon_sym_explicit] = ACTIONS(3413),
    [anon_sym_typename] = ACTIONS(3413),
    [anon_sym_template] = ACTIONS(3413),
    [anon_sym_operator] = ACTIONS(3413),
    [anon_sym_try] = ACTIONS(3413),
    [anon_sym_delete] = ACTIONS(3413),
    [anon_sym_throw] = ACTIONS(3413),
    [anon_sym_namespace] = ACTIONS(3413),
    [anon_sym_using] = ACTIONS(3413),
    [anon_sym_static_assert] = ACTIONS(3413),
    [anon_sym_concept] = ACTIONS(3413),
    [anon_sym_co_return] = ACTIONS(3413),
    [anon_sym_co_yield] = ACTIONS(3413),
    [anon_sym_R_DQUOTE] = ACTIONS(3415),
    [anon_sym_LR_DQUOTE] = ACTIONS(3415),
    [anon_sym_uR_DQUOTE] = ACTIONS(3415),
    [anon_sym_UR_DQUOTE] = ACTIONS(3415),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3415),
    [anon_sym_co_await] = ACTIONS(3413),
    [anon_sym_new] = ACTIONS(3413),
    [anon_sym_requires] = ACTIONS(3413),
    [sym_this] = ACTIONS(3413),
  },
  [556] = {
    [sym_identifier] = ACTIONS(3373),
    [aux_sym_preproc_include_token1] = ACTIONS(3373),
    [aux_sym_preproc_def_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token2] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3373),
    [aux_sym_preproc_else_token1] = ACTIONS(3373),
    [aux_sym_preproc_elif_token1] = ACTIONS(3373),
    [sym_preproc_directive] = ACTIONS(3373),
    [anon_sym_LPAREN2] = ACTIONS(3375),
    [anon_sym_BANG] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_DASH] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(3373),
    [anon_sym_STAR] = ACTIONS(3375),
    [anon_sym_AMP_AMP] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(3375),
    [anon_sym___extension__] = ACTIONS(3373),
    [anon_sym_typedef] = ACTIONS(3373),
    [anon_sym_extern] = ACTIONS(3373),
    [anon_sym___attribute__] = ACTIONS(3373),
    [anon_sym_COLON_COLON] = ACTIONS(3375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3375),
    [anon_sym___declspec] = ACTIONS(3373),
    [anon_sym___based] = ACTIONS(3373),
    [anon_sym___cdecl] = ACTIONS(3373),
    [anon_sym___clrcall] = ACTIONS(3373),
    [anon_sym___stdcall] = ACTIONS(3373),
    [anon_sym___fastcall] = ACTIONS(3373),
    [anon_sym___thiscall] = ACTIONS(3373),
    [anon_sym___vectorcall] = ACTIONS(3373),
    [anon_sym_LBRACE] = ACTIONS(3375),
    [anon_sym_signed] = ACTIONS(3373),
    [anon_sym_unsigned] = ACTIONS(3373),
    [anon_sym_long] = ACTIONS(3373),
    [anon_sym_short] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_register] = ACTIONS(3373),
    [anon_sym_inline] = ACTIONS(3373),
    [anon_sym___inline] = ACTIONS(3373),
    [anon_sym___inline__] = ACTIONS(3373),
    [anon_sym___forceinline] = ACTIONS(3373),
    [anon_sym_thread_local] = ACTIONS(3373),
    [anon_sym___thread] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_constexpr] = ACTIONS(3373),
    [anon_sym_volatile] = ACTIONS(3373),
    [anon_sym_restrict] = ACTIONS(3373),
    [anon_sym___restrict__] = ACTIONS(3373),
    [anon_sym__Atomic] = ACTIONS(3373),
    [anon_sym__Noreturn] = ACTIONS(3373),
    [anon_sym_noreturn] = ACTIONS(3373),
    [anon_sym_mutable] = ACTIONS(3373),
    [anon_sym_constinit] = ACTIONS(3373),
    [anon_sym_consteval] = ACTIONS(3373),
    [anon_sym_PROGMEM] = ACTIONS(3373),
    [aux_sym_primitive_type_token1] = ACTIONS(3373),
    [anon_sym_byte] = ACTIONS(3373),
    [anon_sym_word] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_struct] = ACTIONS(3373),
    [anon_sym_union] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_switch] = ACTIONS(3373),
    [anon_sym_case] = ACTIONS(3373),
    [anon_sym_default] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(3373),
    [anon_sym_do] = ACTIONS(3373),
    [anon_sym_for] = ACTIONS(3373),
    [anon_sym_return] = ACTIONS(3373),
    [anon_sym_break] = ACTIONS(3373),
    [anon_sym_continue] = ACTIONS(3373),
    [anon_sym_goto] = ACTIONS(3373),
    [anon_sym___try] = ACTIONS(3373),
    [anon_sym___leave] = ACTIONS(3373),
    [anon_sym_not] = ACTIONS(3373),
    [anon_sym_compl] = ACTIONS(3373),
    [anon_sym_DASH_DASH] = ACTIONS(3375),
    [anon_sym_PLUS_PLUS] = ACTIONS(3375),
    [anon_sym_sizeof] = ACTIONS(3373),
    [anon_sym___alignof__] = ACTIONS(3373),
    [anon_sym___alignof] = ACTIONS(3373),
    [anon_sym__alignof] = ACTIONS(3373),
    [anon_sym_alignof] = ACTIONS(3373),
    [anon_sym__Alignof] = ACTIONS(3373),
    [anon_sym_offsetof] = ACTIONS(3373),
    [anon_sym__Generic] = ACTIONS(3373),
    [anon_sym_asm] = ACTIONS(3373),
    [anon_sym___asm__] = ACTIONS(3373),
    [aux_sym_number_literal_token1] = ACTIONS(3375),
    [aux_sym_number_literal_token2] = ACTIONS(3373),
    [anon_sym_L_SQUOTE] = ACTIONS(3375),
    [anon_sym_u_SQUOTE] = ACTIONS(3375),
    [anon_sym_U_SQUOTE] = ACTIONS(3375),
    [anon_sym_u8_SQUOTE] = ACTIONS(3375),
    [anon_sym_SQUOTE] = ACTIONS(3375),
    [anon_sym_L_DQUOTE] = ACTIONS(3375),
    [anon_sym_u_DQUOTE] = ACTIONS(3375),
    [anon_sym_U_DQUOTE] = ACTIONS(3375),
    [anon_sym_u8_DQUOTE] = ACTIONS(3375),
    [anon_sym_DQUOTE] = ACTIONS(3375),
    [sym_true] = ACTIONS(3373),
    [sym_false] = ACTIONS(3373),
    [anon_sym_NULL] = ACTIONS(3373),
    [anon_sym_nullptr] = ACTIONS(3373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3373),
    [anon_sym_decltype] = ACTIONS(3373),
    [anon_sym_virtual] = ACTIONS(3373),
    [anon_sym_alignas] = ACTIONS(3373),
    [anon_sym_explicit] = ACTIONS(3373),
    [anon_sym_typename] = ACTIONS(3373),
    [anon_sym_template] = ACTIONS(3373),
    [anon_sym_operator] = ACTIONS(3373),
    [anon_sym_try] = ACTIONS(3373),
    [anon_sym_delete] = ACTIONS(3373),
    [anon_sym_throw] = ACTIONS(3373),
    [anon_sym_namespace] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_static_assert] = ACTIONS(3373),
    [anon_sym_concept] = ACTIONS(3373),
    [anon_sym_co_return] = ACTIONS(3373),
    [anon_sym_co_yield] = ACTIONS(3373),
    [anon_sym_R_DQUOTE] = ACTIONS(3375),
    [anon_sym_LR_DQUOTE] = ACTIONS(3375),
    [anon_sym_uR_DQUOTE] = ACTIONS(3375),
    [anon_sym_UR_DQUOTE] = ACTIONS(3375),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3375),
    [anon_sym_co_await] = ACTIONS(3373),
    [anon_sym_new] = ACTIONS(3373),
    [anon_sym_requires] = ACTIONS(3373),
    [sym_this] = ACTIONS(3373),
  },
  [557] = {
    [sym_identifier] = ACTIONS(2261),
    [aux_sym_preproc_include_token1] = ACTIONS(2261),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [aux_sym_preproc_if_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2261),
    [anon_sym_LPAREN2] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2261),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym___extension__] = ACTIONS(2261),
    [anon_sym_typedef] = ACTIONS(2261),
    [anon_sym_extern] = ACTIONS(2261),
    [anon_sym___attribute__] = ACTIONS(2261),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2259),
    [anon_sym___declspec] = ACTIONS(2261),
    [anon_sym___based] = ACTIONS(2261),
    [anon_sym___cdecl] = ACTIONS(2261),
    [anon_sym___clrcall] = ACTIONS(2261),
    [anon_sym___stdcall] = ACTIONS(2261),
    [anon_sym___fastcall] = ACTIONS(2261),
    [anon_sym___thiscall] = ACTIONS(2261),
    [anon_sym___vectorcall] = ACTIONS(2261),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_RBRACE] = ACTIONS(2259),
    [anon_sym_signed] = ACTIONS(2261),
    [anon_sym_unsigned] = ACTIONS(2261),
    [anon_sym_long] = ACTIONS(2261),
    [anon_sym_short] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_register] = ACTIONS(2261),
    [anon_sym_inline] = ACTIONS(2261),
    [anon_sym___inline] = ACTIONS(2261),
    [anon_sym___inline__] = ACTIONS(2261),
    [anon_sym___forceinline] = ACTIONS(2261),
    [anon_sym_thread_local] = ACTIONS(2261),
    [anon_sym___thread] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_constexpr] = ACTIONS(2261),
    [anon_sym_volatile] = ACTIONS(2261),
    [anon_sym_restrict] = ACTIONS(2261),
    [anon_sym___restrict__] = ACTIONS(2261),
    [anon_sym__Atomic] = ACTIONS(2261),
    [anon_sym__Noreturn] = ACTIONS(2261),
    [anon_sym_noreturn] = ACTIONS(2261),
    [anon_sym_mutable] = ACTIONS(2261),
    [anon_sym_constinit] = ACTIONS(2261),
    [anon_sym_consteval] = ACTIONS(2261),
    [anon_sym_PROGMEM] = ACTIONS(2261),
    [aux_sym_primitive_type_token1] = ACTIONS(2261),
    [anon_sym_byte] = ACTIONS(2261),
    [anon_sym_word] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_struct] = ACTIONS(2261),
    [anon_sym_union] = ACTIONS(2261),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_else] = ACTIONS(2261),
    [anon_sym_switch] = ACTIONS(2261),
    [anon_sym_case] = ACTIONS(2261),
    [anon_sym_default] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2261),
    [anon_sym_do] = ACTIONS(2261),
    [anon_sym_for] = ACTIONS(2261),
    [anon_sym_return] = ACTIONS(2261),
    [anon_sym_break] = ACTIONS(2261),
    [anon_sym_continue] = ACTIONS(2261),
    [anon_sym_goto] = ACTIONS(2261),
    [anon_sym___try] = ACTIONS(2261),
    [anon_sym___leave] = ACTIONS(2261),
    [anon_sym_not] = ACTIONS(2261),
    [anon_sym_compl] = ACTIONS(2261),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_sizeof] = ACTIONS(2261),
    [anon_sym___alignof__] = ACTIONS(2261),
    [anon_sym___alignof] = ACTIONS(2261),
    [anon_sym__alignof] = ACTIONS(2261),
    [anon_sym_alignof] = ACTIONS(2261),
    [anon_sym__Alignof] = ACTIONS(2261),
    [anon_sym_offsetof] = ACTIONS(2261),
    [anon_sym__Generic] = ACTIONS(2261),
    [anon_sym_asm] = ACTIONS(2261),
    [anon_sym___asm__] = ACTIONS(2261),
    [aux_sym_number_literal_token1] = ACTIONS(2259),
    [aux_sym_number_literal_token2] = ACTIONS(2261),
    [anon_sym_L_SQUOTE] = ACTIONS(2259),
    [anon_sym_u_SQUOTE] = ACTIONS(2259),
    [anon_sym_U_SQUOTE] = ACTIONS(2259),
    [anon_sym_u8_SQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [anon_sym_L_DQUOTE] = ACTIONS(2259),
    [anon_sym_u_DQUOTE] = ACTIONS(2259),
    [anon_sym_U_DQUOTE] = ACTIONS(2259),
    [anon_sym_u8_DQUOTE] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [sym_true] = ACTIONS(2261),
    [sym_false] = ACTIONS(2261),
    [anon_sym_NULL] = ACTIONS(2261),
    [anon_sym_nullptr] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2261),
    [anon_sym_decltype] = ACTIONS(2261),
    [anon_sym_virtual] = ACTIONS(2261),
    [anon_sym_alignas] = ACTIONS(2261),
    [anon_sym_explicit] = ACTIONS(2261),
    [anon_sym_typename] = ACTIONS(2261),
    [anon_sym_template] = ACTIONS(2261),
    [anon_sym_operator] = ACTIONS(2261),
    [anon_sym_try] = ACTIONS(2261),
    [anon_sym_delete] = ACTIONS(2261),
    [anon_sym_throw] = ACTIONS(2261),
    [anon_sym_namespace] = ACTIONS(2261),
    [anon_sym_using] = ACTIONS(2261),
    [anon_sym_static_assert] = ACTIONS(2261),
    [anon_sym_concept] = ACTIONS(2261),
    [anon_sym_co_return] = ACTIONS(2261),
    [anon_sym_co_yield] = ACTIONS(2261),
    [anon_sym_catch] = ACTIONS(2261),
    [anon_sym_R_DQUOTE] = ACTIONS(2259),
    [anon_sym_LR_DQUOTE] = ACTIONS(2259),
    [anon_sym_uR_DQUOTE] = ACTIONS(2259),
    [anon_sym_UR_DQUOTE] = ACTIONS(2259),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2259),
    [anon_sym_co_await] = ACTIONS(2261),
    [anon_sym_new] = ACTIONS(2261),
    [anon_sym_requires] = ACTIONS(2261),
    [sym_this] = ACTIONS(2261),
  },
  [558] = {
    [sym_identifier] = ACTIONS(3365),
    [aux_sym_preproc_include_token1] = ACTIONS(3365),
    [aux_sym_preproc_def_token1] = ACTIONS(3365),
    [aux_sym_preproc_if_token1] = ACTIONS(3365),
    [aux_sym_preproc_if_token2] = ACTIONS(3365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3365),
    [aux_sym_preproc_else_token1] = ACTIONS(3365),
    [aux_sym_preproc_elif_token1] = ACTIONS(3365),
    [sym_preproc_directive] = ACTIONS(3365),
    [anon_sym_LPAREN2] = ACTIONS(3367),
    [anon_sym_BANG] = ACTIONS(3367),
    [anon_sym_TILDE] = ACTIONS(3367),
    [anon_sym_DASH] = ACTIONS(3365),
    [anon_sym_PLUS] = ACTIONS(3365),
    [anon_sym_STAR] = ACTIONS(3367),
    [anon_sym_AMP_AMP] = ACTIONS(3367),
    [anon_sym_AMP] = ACTIONS(3365),
    [anon_sym_SEMI] = ACTIONS(3367),
    [anon_sym___extension__] = ACTIONS(3365),
    [anon_sym_typedef] = ACTIONS(3365),
    [anon_sym_extern] = ACTIONS(3365),
    [anon_sym___attribute__] = ACTIONS(3365),
    [anon_sym_COLON_COLON] = ACTIONS(3367),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3367),
    [anon_sym___declspec] = ACTIONS(3365),
    [anon_sym___based] = ACTIONS(3365),
    [anon_sym___cdecl] = ACTIONS(3365),
    [anon_sym___clrcall] = ACTIONS(3365),
    [anon_sym___stdcall] = ACTIONS(3365),
    [anon_sym___fastcall] = ACTIONS(3365),
    [anon_sym___thiscall] = ACTIONS(3365),
    [anon_sym___vectorcall] = ACTIONS(3365),
    [anon_sym_LBRACE] = ACTIONS(3367),
    [anon_sym_signed] = ACTIONS(3365),
    [anon_sym_unsigned] = ACTIONS(3365),
    [anon_sym_long] = ACTIONS(3365),
    [anon_sym_short] = ACTIONS(3365),
    [anon_sym_LBRACK] = ACTIONS(3365),
    [anon_sym_static] = ACTIONS(3365),
    [anon_sym_register] = ACTIONS(3365),
    [anon_sym_inline] = ACTIONS(3365),
    [anon_sym___inline] = ACTIONS(3365),
    [anon_sym___inline__] = ACTIONS(3365),
    [anon_sym___forceinline] = ACTIONS(3365),
    [anon_sym_thread_local] = ACTIONS(3365),
    [anon_sym___thread] = ACTIONS(3365),
    [anon_sym_const] = ACTIONS(3365),
    [anon_sym_constexpr] = ACTIONS(3365),
    [anon_sym_volatile] = ACTIONS(3365),
    [anon_sym_restrict] = ACTIONS(3365),
    [anon_sym___restrict__] = ACTIONS(3365),
    [anon_sym__Atomic] = ACTIONS(3365),
    [anon_sym__Noreturn] = ACTIONS(3365),
    [anon_sym_noreturn] = ACTIONS(3365),
    [anon_sym_mutable] = ACTIONS(3365),
    [anon_sym_constinit] = ACTIONS(3365),
    [anon_sym_consteval] = ACTIONS(3365),
    [anon_sym_PROGMEM] = ACTIONS(3365),
    [aux_sym_primitive_type_token1] = ACTIONS(3365),
    [anon_sym_byte] = ACTIONS(3365),
    [anon_sym_word] = ACTIONS(3365),
    [anon_sym_enum] = ACTIONS(3365),
    [anon_sym_class] = ACTIONS(3365),
    [anon_sym_struct] = ACTIONS(3365),
    [anon_sym_union] = ACTIONS(3365),
    [anon_sym_if] = ACTIONS(3365),
    [anon_sym_switch] = ACTIONS(3365),
    [anon_sym_case] = ACTIONS(3365),
    [anon_sym_default] = ACTIONS(3365),
    [anon_sym_while] = ACTIONS(3365),
    [anon_sym_do] = ACTIONS(3365),
    [anon_sym_for] = ACTIONS(3365),
    [anon_sym_return] = ACTIONS(3365),
    [anon_sym_break] = ACTIONS(3365),
    [anon_sym_continue] = ACTIONS(3365),
    [anon_sym_goto] = ACTIONS(3365),
    [anon_sym___try] = ACTIONS(3365),
    [anon_sym___leave] = ACTIONS(3365),
    [anon_sym_not] = ACTIONS(3365),
    [anon_sym_compl] = ACTIONS(3365),
    [anon_sym_DASH_DASH] = ACTIONS(3367),
    [anon_sym_PLUS_PLUS] = ACTIONS(3367),
    [anon_sym_sizeof] = ACTIONS(3365),
    [anon_sym___alignof__] = ACTIONS(3365),
    [anon_sym___alignof] = ACTIONS(3365),
    [anon_sym__alignof] = ACTIONS(3365),
    [anon_sym_alignof] = ACTIONS(3365),
    [anon_sym__Alignof] = ACTIONS(3365),
    [anon_sym_offsetof] = ACTIONS(3365),
    [anon_sym__Generic] = ACTIONS(3365),
    [anon_sym_asm] = ACTIONS(3365),
    [anon_sym___asm__] = ACTIONS(3365),
    [aux_sym_number_literal_token1] = ACTIONS(3367),
    [aux_sym_number_literal_token2] = ACTIONS(3365),
    [anon_sym_L_SQUOTE] = ACTIONS(3367),
    [anon_sym_u_SQUOTE] = ACTIONS(3367),
    [anon_sym_U_SQUOTE] = ACTIONS(3367),
    [anon_sym_u8_SQUOTE] = ACTIONS(3367),
    [anon_sym_SQUOTE] = ACTIONS(3367),
    [anon_sym_L_DQUOTE] = ACTIONS(3367),
    [anon_sym_u_DQUOTE] = ACTIONS(3367),
    [anon_sym_U_DQUOTE] = ACTIONS(3367),
    [anon_sym_u8_DQUOTE] = ACTIONS(3367),
    [anon_sym_DQUOTE] = ACTIONS(3367),
    [sym_true] = ACTIONS(3365),
    [sym_false] = ACTIONS(3365),
    [anon_sym_NULL] = ACTIONS(3365),
    [anon_sym_nullptr] = ACTIONS(3365),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3365),
    [anon_sym_decltype] = ACTIONS(3365),
    [anon_sym_virtual] = ACTIONS(3365),
    [anon_sym_alignas] = ACTIONS(3365),
    [anon_sym_explicit] = ACTIONS(3365),
    [anon_sym_typename] = ACTIONS(3365),
    [anon_sym_template] = ACTIONS(3365),
    [anon_sym_operator] = ACTIONS(3365),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_delete] = ACTIONS(3365),
    [anon_sym_throw] = ACTIONS(3365),
    [anon_sym_namespace] = ACTIONS(3365),
    [anon_sym_using] = ACTIONS(3365),
    [anon_sym_static_assert] = ACTIONS(3365),
    [anon_sym_concept] = ACTIONS(3365),
    [anon_sym_co_return] = ACTIONS(3365),
    [anon_sym_co_yield] = ACTIONS(3365),
    [anon_sym_R_DQUOTE] = ACTIONS(3367),
    [anon_sym_LR_DQUOTE] = ACTIONS(3367),
    [anon_sym_uR_DQUOTE] = ACTIONS(3367),
    [anon_sym_UR_DQUOTE] = ACTIONS(3367),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3367),
    [anon_sym_co_await] = ACTIONS(3365),
    [anon_sym_new] = ACTIONS(3365),
    [anon_sym_requires] = ACTIONS(3365),
    [sym_this] = ACTIONS(3365),
  },
  [559] = {
    [sym_identifier] = ACTIONS(3405),
    [aux_sym_preproc_include_token1] = ACTIONS(3405),
    [aux_sym_preproc_def_token1] = ACTIONS(3405),
    [aux_sym_preproc_if_token1] = ACTIONS(3405),
    [aux_sym_preproc_if_token2] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3405),
    [aux_sym_preproc_else_token1] = ACTIONS(3405),
    [aux_sym_preproc_elif_token1] = ACTIONS(3405),
    [sym_preproc_directive] = ACTIONS(3405),
    [anon_sym_LPAREN2] = ACTIONS(3407),
    [anon_sym_BANG] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3407),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_STAR] = ACTIONS(3407),
    [anon_sym_AMP_AMP] = ACTIONS(3407),
    [anon_sym_AMP] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3407),
    [anon_sym___extension__] = ACTIONS(3405),
    [anon_sym_typedef] = ACTIONS(3405),
    [anon_sym_extern] = ACTIONS(3405),
    [anon_sym___attribute__] = ACTIONS(3405),
    [anon_sym_COLON_COLON] = ACTIONS(3407),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3407),
    [anon_sym___declspec] = ACTIONS(3405),
    [anon_sym___based] = ACTIONS(3405),
    [anon_sym___cdecl] = ACTIONS(3405),
    [anon_sym___clrcall] = ACTIONS(3405),
    [anon_sym___stdcall] = ACTIONS(3405),
    [anon_sym___fastcall] = ACTIONS(3405),
    [anon_sym___thiscall] = ACTIONS(3405),
    [anon_sym___vectorcall] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3407),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_register] = ACTIONS(3405),
    [anon_sym_inline] = ACTIONS(3405),
    [anon_sym___inline] = ACTIONS(3405),
    [anon_sym___inline__] = ACTIONS(3405),
    [anon_sym___forceinline] = ACTIONS(3405),
    [anon_sym_thread_local] = ACTIONS(3405),
    [anon_sym___thread] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_constexpr] = ACTIONS(3405),
    [anon_sym_volatile] = ACTIONS(3405),
    [anon_sym_restrict] = ACTIONS(3405),
    [anon_sym___restrict__] = ACTIONS(3405),
    [anon_sym__Atomic] = ACTIONS(3405),
    [anon_sym__Noreturn] = ACTIONS(3405),
    [anon_sym_noreturn] = ACTIONS(3405),
    [anon_sym_mutable] = ACTIONS(3405),
    [anon_sym_constinit] = ACTIONS(3405),
    [anon_sym_consteval] = ACTIONS(3405),
    [anon_sym_PROGMEM] = ACTIONS(3405),
    [aux_sym_primitive_type_token1] = ACTIONS(3405),
    [anon_sym_byte] = ACTIONS(3405),
    [anon_sym_word] = ACTIONS(3405),
    [anon_sym_enum] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_struct] = ACTIONS(3405),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(3405),
    [anon_sym_switch] = ACTIONS(3405),
    [anon_sym_case] = ACTIONS(3405),
    [anon_sym_default] = ACTIONS(3405),
    [anon_sym_while] = ACTIONS(3405),
    [anon_sym_do] = ACTIONS(3405),
    [anon_sym_for] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3405),
    [anon_sym_break] = ACTIONS(3405),
    [anon_sym_continue] = ACTIONS(3405),
    [anon_sym_goto] = ACTIONS(3405),
    [anon_sym___try] = ACTIONS(3405),
    [anon_sym___leave] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3405),
    [anon_sym_compl] = ACTIONS(3405),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3405),
    [anon_sym___alignof__] = ACTIONS(3405),
    [anon_sym___alignof] = ACTIONS(3405),
    [anon_sym__alignof] = ACTIONS(3405),
    [anon_sym_alignof] = ACTIONS(3405),
    [anon_sym__Alignof] = ACTIONS(3405),
    [anon_sym_offsetof] = ACTIONS(3405),
    [anon_sym__Generic] = ACTIONS(3405),
    [anon_sym_asm] = ACTIONS(3405),
    [anon_sym___asm__] = ACTIONS(3405),
    [aux_sym_number_literal_token1] = ACTIONS(3407),
    [aux_sym_number_literal_token2] = ACTIONS(3405),
    [anon_sym_L_SQUOTE] = ACTIONS(3407),
    [anon_sym_u_SQUOTE] = ACTIONS(3407),
    [anon_sym_U_SQUOTE] = ACTIONS(3407),
    [anon_sym_u8_SQUOTE] = ACTIONS(3407),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_L_DQUOTE] = ACTIONS(3407),
    [anon_sym_u_DQUOTE] = ACTIONS(3407),
    [anon_sym_U_DQUOTE] = ACTIONS(3407),
    [anon_sym_u8_DQUOTE] = ACTIONS(3407),
    [anon_sym_DQUOTE] = ACTIONS(3407),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [anon_sym_NULL] = ACTIONS(3405),
    [anon_sym_nullptr] = ACTIONS(3405),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3405),
    [anon_sym_decltype] = ACTIONS(3405),
    [anon_sym_virtual] = ACTIONS(3405),
    [anon_sym_alignas] = ACTIONS(3405),
    [anon_sym_explicit] = ACTIONS(3405),
    [anon_sym_typename] = ACTIONS(3405),
    [anon_sym_template] = ACTIONS(3405),
    [anon_sym_operator] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_delete] = ACTIONS(3405),
    [anon_sym_throw] = ACTIONS(3405),
    [anon_sym_namespace] = ACTIONS(3405),
    [anon_sym_using] = ACTIONS(3405),
    [anon_sym_static_assert] = ACTIONS(3405),
    [anon_sym_concept] = ACTIONS(3405),
    [anon_sym_co_return] = ACTIONS(3405),
    [anon_sym_co_yield] = ACTIONS(3405),
    [anon_sym_R_DQUOTE] = ACTIONS(3407),
    [anon_sym_LR_DQUOTE] = ACTIONS(3407),
    [anon_sym_uR_DQUOTE] = ACTIONS(3407),
    [anon_sym_UR_DQUOTE] = ACTIONS(3407),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3407),
    [anon_sym_co_await] = ACTIONS(3405),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_requires] = ACTIONS(3405),
    [sym_this] = ACTIONS(3405),
  },
  [560] = {
    [sym_identifier] = ACTIONS(3212),
    [aux_sym_preproc_include_token1] = ACTIONS(3212),
    [aux_sym_preproc_def_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token2] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3212),
    [aux_sym_preproc_else_token1] = ACTIONS(3212),
    [aux_sym_preproc_elif_token1] = ACTIONS(3212),
    [sym_preproc_directive] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym___extension__] = ACTIONS(3212),
    [anon_sym_typedef] = ACTIONS(3212),
    [anon_sym_extern] = ACTIONS(3212),
    [anon_sym___attribute__] = ACTIONS(3212),
    [anon_sym_COLON_COLON] = ACTIONS(3214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3214),
    [anon_sym___declspec] = ACTIONS(3212),
    [anon_sym___based] = ACTIONS(3212),
    [anon_sym___cdecl] = ACTIONS(3212),
    [anon_sym___clrcall] = ACTIONS(3212),
    [anon_sym___stdcall] = ACTIONS(3212),
    [anon_sym___fastcall] = ACTIONS(3212),
    [anon_sym___thiscall] = ACTIONS(3212),
    [anon_sym___vectorcall] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_signed] = ACTIONS(3212),
    [anon_sym_unsigned] = ACTIONS(3212),
    [anon_sym_long] = ACTIONS(3212),
    [anon_sym_short] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_register] = ACTIONS(3212),
    [anon_sym_inline] = ACTIONS(3212),
    [anon_sym___inline] = ACTIONS(3212),
    [anon_sym___inline__] = ACTIONS(3212),
    [anon_sym___forceinline] = ACTIONS(3212),
    [anon_sym_thread_local] = ACTIONS(3212),
    [anon_sym___thread] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_constexpr] = ACTIONS(3212),
    [anon_sym_volatile] = ACTIONS(3212),
    [anon_sym_restrict] = ACTIONS(3212),
    [anon_sym___restrict__] = ACTIONS(3212),
    [anon_sym__Atomic] = ACTIONS(3212),
    [anon_sym__Noreturn] = ACTIONS(3212),
    [anon_sym_noreturn] = ACTIONS(3212),
    [anon_sym_mutable] = ACTIONS(3212),
    [anon_sym_constinit] = ACTIONS(3212),
    [anon_sym_consteval] = ACTIONS(3212),
    [anon_sym_PROGMEM] = ACTIONS(3212),
    [aux_sym_primitive_type_token1] = ACTIONS(3212),
    [anon_sym_byte] = ACTIONS(3212),
    [anon_sym_word] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_struct] = ACTIONS(3212),
    [anon_sym_union] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_case] = ACTIONS(3212),
    [anon_sym_default] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_goto] = ACTIONS(3212),
    [anon_sym___try] = ACTIONS(3212),
    [anon_sym___leave] = ACTIONS(3212),
    [anon_sym_not] = ACTIONS(3212),
    [anon_sym_compl] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_sizeof] = ACTIONS(3212),
    [anon_sym___alignof__] = ACTIONS(3212),
    [anon_sym___alignof] = ACTIONS(3212),
    [anon_sym__alignof] = ACTIONS(3212),
    [anon_sym_alignof] = ACTIONS(3212),
    [anon_sym__Alignof] = ACTIONS(3212),
    [anon_sym_offsetof] = ACTIONS(3212),
    [anon_sym__Generic] = ACTIONS(3212),
    [anon_sym_asm] = ACTIONS(3212),
    [anon_sym___asm__] = ACTIONS(3212),
    [aux_sym_number_literal_token1] = ACTIONS(3214),
    [aux_sym_number_literal_token2] = ACTIONS(3212),
    [anon_sym_L_SQUOTE] = ACTIONS(3214),
    [anon_sym_u_SQUOTE] = ACTIONS(3214),
    [anon_sym_U_SQUOTE] = ACTIONS(3214),
    [anon_sym_u8_SQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [anon_sym_L_DQUOTE] = ACTIONS(3214),
    [anon_sym_u_DQUOTE] = ACTIONS(3214),
    [anon_sym_U_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8_DQUOTE] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [anon_sym_NULL] = ACTIONS(3212),
    [anon_sym_nullptr] = ACTIONS(3212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3212),
    [anon_sym_decltype] = ACTIONS(3212),
    [anon_sym_virtual] = ACTIONS(3212),
    [anon_sym_alignas] = ACTIONS(3212),
    [anon_sym_explicit] = ACTIONS(3212),
    [anon_sym_typename] = ACTIONS(3212),
    [anon_sym_template] = ACTIONS(3212),
    [anon_sym_operator] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3212),
    [anon_sym_concept] = ACTIONS(3212),
    [anon_sym_co_return] = ACTIONS(3212),
    [anon_sym_co_yield] = ACTIONS(3212),
    [anon_sym_R_DQUOTE] = ACTIONS(3214),
    [anon_sym_LR_DQUOTE] = ACTIONS(3214),
    [anon_sym_uR_DQUOTE] = ACTIONS(3214),
    [anon_sym_UR_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3214),
    [anon_sym_co_await] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_requires] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
  },
  [561] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_PROGMEM] = ACTIONS(2917),
    [aux_sym_primitive_type_token1] = ACTIONS(2917),
    [anon_sym_byte] = ACTIONS(2917),
    [anon_sym_word] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [aux_sym_number_literal_token1] = ACTIONS(2919),
    [aux_sym_number_literal_token2] = ACTIONS(2917),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_catch] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [562] = {
    [sym_identifier] = ACTIONS(3397),
    [aux_sym_preproc_include_token1] = ACTIONS(3397),
    [aux_sym_preproc_def_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token2] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3397),
    [aux_sym_preproc_else_token1] = ACTIONS(3397),
    [aux_sym_preproc_elif_token1] = ACTIONS(3397),
    [sym_preproc_directive] = ACTIONS(3397),
    [anon_sym_LPAREN2] = ACTIONS(3399),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_AMP_AMP] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3399),
    [anon_sym___extension__] = ACTIONS(3397),
    [anon_sym_typedef] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym___attribute__] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(3399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym___declspec] = ACTIONS(3397),
    [anon_sym___based] = ACTIONS(3397),
    [anon_sym___cdecl] = ACTIONS(3397),
    [anon_sym___clrcall] = ACTIONS(3397),
    [anon_sym___stdcall] = ACTIONS(3397),
    [anon_sym___fastcall] = ACTIONS(3397),
    [anon_sym___thiscall] = ACTIONS(3397),
    [anon_sym___vectorcall] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_signed] = ACTIONS(3397),
    [anon_sym_unsigned] = ACTIONS(3397),
    [anon_sym_long] = ACTIONS(3397),
    [anon_sym_short] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_register] = ACTIONS(3397),
    [anon_sym_inline] = ACTIONS(3397),
    [anon_sym___inline] = ACTIONS(3397),
    [anon_sym___inline__] = ACTIONS(3397),
    [anon_sym___forceinline] = ACTIONS(3397),
    [anon_sym_thread_local] = ACTIONS(3397),
    [anon_sym___thread] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_constexpr] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_restrict] = ACTIONS(3397),
    [anon_sym___restrict__] = ACTIONS(3397),
    [anon_sym__Atomic] = ACTIONS(3397),
    [anon_sym__Noreturn] = ACTIONS(3397),
    [anon_sym_noreturn] = ACTIONS(3397),
    [anon_sym_mutable] = ACTIONS(3397),
    [anon_sym_constinit] = ACTIONS(3397),
    [anon_sym_consteval] = ACTIONS(3397),
    [anon_sym_PROGMEM] = ACTIONS(3397),
    [aux_sym_primitive_type_token1] = ACTIONS(3397),
    [anon_sym_byte] = ACTIONS(3397),
    [anon_sym_word] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_union] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_goto] = ACTIONS(3397),
    [anon_sym___try] = ACTIONS(3397),
    [anon_sym___leave] = ACTIONS(3397),
    [anon_sym_not] = ACTIONS(3397),
    [anon_sym_compl] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_sizeof] = ACTIONS(3397),
    [anon_sym___alignof__] = ACTIONS(3397),
    [anon_sym___alignof] = ACTIONS(3397),
    [anon_sym__alignof] = ACTIONS(3397),
    [anon_sym_alignof] = ACTIONS(3397),
    [anon_sym__Alignof] = ACTIONS(3397),
    [anon_sym_offsetof] = ACTIONS(3397),
    [anon_sym__Generic] = ACTIONS(3397),
    [anon_sym_asm] = ACTIONS(3397),
    [anon_sym___asm__] = ACTIONS(3397),
    [aux_sym_number_literal_token1] = ACTIONS(3399),
    [aux_sym_number_literal_token2] = ACTIONS(3397),
    [anon_sym_L_SQUOTE] = ACTIONS(3399),
    [anon_sym_u_SQUOTE] = ACTIONS(3399),
    [anon_sym_U_SQUOTE] = ACTIONS(3399),
    [anon_sym_u8_SQUOTE] = ACTIONS(3399),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [anon_sym_L_DQUOTE] = ACTIONS(3399),
    [anon_sym_u_DQUOTE] = ACTIONS(3399),
    [anon_sym_U_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8_DQUOTE] = ACTIONS(3399),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [anon_sym_NULL] = ACTIONS(3397),
    [anon_sym_nullptr] = ACTIONS(3397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3397),
    [anon_sym_decltype] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_alignas] = ACTIONS(3397),
    [anon_sym_explicit] = ACTIONS(3397),
    [anon_sym_typename] = ACTIONS(3397),
    [anon_sym_template] = ACTIONS(3397),
    [anon_sym_operator] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_static_assert] = ACTIONS(3397),
    [anon_sym_concept] = ACTIONS(3397),
    [anon_sym_co_return] = ACTIONS(3397),
    [anon_sym_co_yield] = ACTIONS(3397),
    [anon_sym_R_DQUOTE] = ACTIONS(3399),
    [anon_sym_LR_DQUOTE] = ACTIONS(3399),
    [anon_sym_uR_DQUOTE] = ACTIONS(3399),
    [anon_sym_UR_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3399),
    [anon_sym_co_await] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_requires] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
  },
  [563] = {
    [sym_else_clause] = STATE(663),
    [ts_builtin_sym_end] = ACTIONS(2915),
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_PROGMEM] = ACTIONS(2913),
    [aux_sym_primitive_type_token1] = ACTIONS(2913),
    [anon_sym_byte] = ACTIONS(2913),
    [anon_sym_word] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(3519),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [aux_sym_number_literal_token1] = ACTIONS(2915),
    [aux_sym_number_literal_token2] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [564] = {
    [sym_identifier] = ACTIONS(3397),
    [aux_sym_preproc_include_token1] = ACTIONS(3397),
    [aux_sym_preproc_def_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token2] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3397),
    [aux_sym_preproc_else_token1] = ACTIONS(3397),
    [aux_sym_preproc_elif_token1] = ACTIONS(3397),
    [sym_preproc_directive] = ACTIONS(3397),
    [anon_sym_LPAREN2] = ACTIONS(3399),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_AMP_AMP] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3399),
    [anon_sym___extension__] = ACTIONS(3397),
    [anon_sym_typedef] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym___attribute__] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(3399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym___declspec] = ACTIONS(3397),
    [anon_sym___based] = ACTIONS(3397),
    [anon_sym___cdecl] = ACTIONS(3397),
    [anon_sym___clrcall] = ACTIONS(3397),
    [anon_sym___stdcall] = ACTIONS(3397),
    [anon_sym___fastcall] = ACTIONS(3397),
    [anon_sym___thiscall] = ACTIONS(3397),
    [anon_sym___vectorcall] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_signed] = ACTIONS(3397),
    [anon_sym_unsigned] = ACTIONS(3397),
    [anon_sym_long] = ACTIONS(3397),
    [anon_sym_short] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_register] = ACTIONS(3397),
    [anon_sym_inline] = ACTIONS(3397),
    [anon_sym___inline] = ACTIONS(3397),
    [anon_sym___inline__] = ACTIONS(3397),
    [anon_sym___forceinline] = ACTIONS(3397),
    [anon_sym_thread_local] = ACTIONS(3397),
    [anon_sym___thread] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_constexpr] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_restrict] = ACTIONS(3397),
    [anon_sym___restrict__] = ACTIONS(3397),
    [anon_sym__Atomic] = ACTIONS(3397),
    [anon_sym__Noreturn] = ACTIONS(3397),
    [anon_sym_noreturn] = ACTIONS(3397),
    [anon_sym_mutable] = ACTIONS(3397),
    [anon_sym_constinit] = ACTIONS(3397),
    [anon_sym_consteval] = ACTIONS(3397),
    [anon_sym_PROGMEM] = ACTIONS(3397),
    [aux_sym_primitive_type_token1] = ACTIONS(3397),
    [anon_sym_byte] = ACTIONS(3397),
    [anon_sym_word] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_union] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_goto] = ACTIONS(3397),
    [anon_sym___try] = ACTIONS(3397),
    [anon_sym___leave] = ACTIONS(3397),
    [anon_sym_not] = ACTIONS(3397),
    [anon_sym_compl] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_sizeof] = ACTIONS(3397),
    [anon_sym___alignof__] = ACTIONS(3397),
    [anon_sym___alignof] = ACTIONS(3397),
    [anon_sym__alignof] = ACTIONS(3397),
    [anon_sym_alignof] = ACTIONS(3397),
    [anon_sym__Alignof] = ACTIONS(3397),
    [anon_sym_offsetof] = ACTIONS(3397),
    [anon_sym__Generic] = ACTIONS(3397),
    [anon_sym_asm] = ACTIONS(3397),
    [anon_sym___asm__] = ACTIONS(3397),
    [aux_sym_number_literal_token1] = ACTIONS(3399),
    [aux_sym_number_literal_token2] = ACTIONS(3397),
    [anon_sym_L_SQUOTE] = ACTIONS(3399),
    [anon_sym_u_SQUOTE] = ACTIONS(3399),
    [anon_sym_U_SQUOTE] = ACTIONS(3399),
    [anon_sym_u8_SQUOTE] = ACTIONS(3399),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [anon_sym_L_DQUOTE] = ACTIONS(3399),
    [anon_sym_u_DQUOTE] = ACTIONS(3399),
    [anon_sym_U_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8_DQUOTE] = ACTIONS(3399),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [anon_sym_NULL] = ACTIONS(3397),
    [anon_sym_nullptr] = ACTIONS(3397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3397),
    [anon_sym_decltype] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_alignas] = ACTIONS(3397),
    [anon_sym_explicit] = ACTIONS(3397),
    [anon_sym_typename] = ACTIONS(3397),
    [anon_sym_template] = ACTIONS(3397),
    [anon_sym_operator] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_static_assert] = ACTIONS(3397),
    [anon_sym_concept] = ACTIONS(3397),
    [anon_sym_co_return] = ACTIONS(3397),
    [anon_sym_co_yield] = ACTIONS(3397),
    [anon_sym_R_DQUOTE] = ACTIONS(3399),
    [anon_sym_LR_DQUOTE] = ACTIONS(3399),
    [anon_sym_uR_DQUOTE] = ACTIONS(3399),
    [anon_sym_UR_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3399),
    [anon_sym_co_await] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_requires] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
  },
  [565] = {
    [sym_identifier] = ACTIONS(3393),
    [aux_sym_preproc_include_token1] = ACTIONS(3393),
    [aux_sym_preproc_def_token1] = ACTIONS(3393),
    [aux_sym_preproc_if_token1] = ACTIONS(3393),
    [aux_sym_preproc_if_token2] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3393),
    [aux_sym_preproc_else_token1] = ACTIONS(3393),
    [aux_sym_preproc_elif_token1] = ACTIONS(3393),
    [sym_preproc_directive] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3395),
    [anon_sym_TILDE] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3393),
    [anon_sym_STAR] = ACTIONS(3395),
    [anon_sym_AMP_AMP] = ACTIONS(3395),
    [anon_sym_AMP] = ACTIONS(3393),
    [anon_sym_SEMI] = ACTIONS(3395),
    [anon_sym___extension__] = ACTIONS(3393),
    [anon_sym_typedef] = ACTIONS(3393),
    [anon_sym_extern] = ACTIONS(3393),
    [anon_sym___attribute__] = ACTIONS(3393),
    [anon_sym_COLON_COLON] = ACTIONS(3395),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3395),
    [anon_sym___declspec] = ACTIONS(3393),
    [anon_sym___based] = ACTIONS(3393),
    [anon_sym___cdecl] = ACTIONS(3393),
    [anon_sym___clrcall] = ACTIONS(3393),
    [anon_sym___stdcall] = ACTIONS(3393),
    [anon_sym___fastcall] = ACTIONS(3393),
    [anon_sym___thiscall] = ACTIONS(3393),
    [anon_sym___vectorcall] = ACTIONS(3393),
    [anon_sym_LBRACE] = ACTIONS(3395),
    [anon_sym_signed] = ACTIONS(3393),
    [anon_sym_unsigned] = ACTIONS(3393),
    [anon_sym_long] = ACTIONS(3393),
    [anon_sym_short] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(3393),
    [anon_sym_static] = ACTIONS(3393),
    [anon_sym_register] = ACTIONS(3393),
    [anon_sym_inline] = ACTIONS(3393),
    [anon_sym___inline] = ACTIONS(3393),
    [anon_sym___inline__] = ACTIONS(3393),
    [anon_sym___forceinline] = ACTIONS(3393),
    [anon_sym_thread_local] = ACTIONS(3393),
    [anon_sym___thread] = ACTIONS(3393),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_constexpr] = ACTIONS(3393),
    [anon_sym_volatile] = ACTIONS(3393),
    [anon_sym_restrict] = ACTIONS(3393),
    [anon_sym___restrict__] = ACTIONS(3393),
    [anon_sym__Atomic] = ACTIONS(3393),
    [anon_sym__Noreturn] = ACTIONS(3393),
    [anon_sym_noreturn] = ACTIONS(3393),
    [anon_sym_mutable] = ACTIONS(3393),
    [anon_sym_constinit] = ACTIONS(3393),
    [anon_sym_consteval] = ACTIONS(3393),
    [anon_sym_PROGMEM] = ACTIONS(3393),
    [aux_sym_primitive_type_token1] = ACTIONS(3393),
    [anon_sym_byte] = ACTIONS(3393),
    [anon_sym_word] = ACTIONS(3393),
    [anon_sym_enum] = ACTIONS(3393),
    [anon_sym_class] = ACTIONS(3393),
    [anon_sym_struct] = ACTIONS(3393),
    [anon_sym_union] = ACTIONS(3393),
    [anon_sym_if] = ACTIONS(3393),
    [anon_sym_switch] = ACTIONS(3393),
    [anon_sym_case] = ACTIONS(3393),
    [anon_sym_default] = ACTIONS(3393),
    [anon_sym_while] = ACTIONS(3393),
    [anon_sym_do] = ACTIONS(3393),
    [anon_sym_for] = ACTIONS(3393),
    [anon_sym_return] = ACTIONS(3393),
    [anon_sym_break] = ACTIONS(3393),
    [anon_sym_continue] = ACTIONS(3393),
    [anon_sym_goto] = ACTIONS(3393),
    [anon_sym___try] = ACTIONS(3393),
    [anon_sym___leave] = ACTIONS(3393),
    [anon_sym_not] = ACTIONS(3393),
    [anon_sym_compl] = ACTIONS(3393),
    [anon_sym_DASH_DASH] = ACTIONS(3395),
    [anon_sym_PLUS_PLUS] = ACTIONS(3395),
    [anon_sym_sizeof] = ACTIONS(3393),
    [anon_sym___alignof__] = ACTIONS(3393),
    [anon_sym___alignof] = ACTIONS(3393),
    [anon_sym__alignof] = ACTIONS(3393),
    [anon_sym_alignof] = ACTIONS(3393),
    [anon_sym__Alignof] = ACTIONS(3393),
    [anon_sym_offsetof] = ACTIONS(3393),
    [anon_sym__Generic] = ACTIONS(3393),
    [anon_sym_asm] = ACTIONS(3393),
    [anon_sym___asm__] = ACTIONS(3393),
    [aux_sym_number_literal_token1] = ACTIONS(3395),
    [aux_sym_number_literal_token2] = ACTIONS(3393),
    [anon_sym_L_SQUOTE] = ACTIONS(3395),
    [anon_sym_u_SQUOTE] = ACTIONS(3395),
    [anon_sym_U_SQUOTE] = ACTIONS(3395),
    [anon_sym_u8_SQUOTE] = ACTIONS(3395),
    [anon_sym_SQUOTE] = ACTIONS(3395),
    [anon_sym_L_DQUOTE] = ACTIONS(3395),
    [anon_sym_u_DQUOTE] = ACTIONS(3395),
    [anon_sym_U_DQUOTE] = ACTIONS(3395),
    [anon_sym_u8_DQUOTE] = ACTIONS(3395),
    [anon_sym_DQUOTE] = ACTIONS(3395),
    [sym_true] = ACTIONS(3393),
    [sym_false] = ACTIONS(3393),
    [anon_sym_NULL] = ACTIONS(3393),
    [anon_sym_nullptr] = ACTIONS(3393),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3393),
    [anon_sym_decltype] = ACTIONS(3393),
    [anon_sym_virtual] = ACTIONS(3393),
    [anon_sym_alignas] = ACTIONS(3393),
    [anon_sym_explicit] = ACTIONS(3393),
    [anon_sym_typename] = ACTIONS(3393),
    [anon_sym_template] = ACTIONS(3393),
    [anon_sym_operator] = ACTIONS(3393),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_delete] = ACTIONS(3393),
    [anon_sym_throw] = ACTIONS(3393),
    [anon_sym_namespace] = ACTIONS(3393),
    [anon_sym_using] = ACTIONS(3393),
    [anon_sym_static_assert] = ACTIONS(3393),
    [anon_sym_concept] = ACTIONS(3393),
    [anon_sym_co_return] = ACTIONS(3393),
    [anon_sym_co_yield] = ACTIONS(3393),
    [anon_sym_R_DQUOTE] = ACTIONS(3395),
    [anon_sym_LR_DQUOTE] = ACTIONS(3395),
    [anon_sym_uR_DQUOTE] = ACTIONS(3395),
    [anon_sym_UR_DQUOTE] = ACTIONS(3395),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3395),
    [anon_sym_co_await] = ACTIONS(3393),
    [anon_sym_new] = ACTIONS(3393),
    [anon_sym_requires] = ACTIONS(3393),
    [sym_this] = ACTIONS(3393),
  },
  [566] = {
    [ts_builtin_sym_end] = ACTIONS(2919),
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_PROGMEM] = ACTIONS(2917),
    [aux_sym_primitive_type_token1] = ACTIONS(2917),
    [anon_sym_byte] = ACTIONS(2917),
    [anon_sym_word] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [aux_sym_number_literal_token1] = ACTIONS(2919),
    [aux_sym_number_literal_token2] = ACTIONS(2917),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_catch] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [567] = {
    [sym_identifier] = ACTIONS(3361),
    [aux_sym_preproc_include_token1] = ACTIONS(3361),
    [aux_sym_preproc_def_token1] = ACTIONS(3361),
    [aux_sym_preproc_if_token1] = ACTIONS(3361),
    [aux_sym_preproc_if_token2] = ACTIONS(3361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3361),
    [aux_sym_preproc_else_token1] = ACTIONS(3361),
    [aux_sym_preproc_elif_token1] = ACTIONS(3361),
    [sym_preproc_directive] = ACTIONS(3361),
    [anon_sym_LPAREN2] = ACTIONS(3363),
    [anon_sym_BANG] = ACTIONS(3363),
    [anon_sym_TILDE] = ACTIONS(3363),
    [anon_sym_DASH] = ACTIONS(3361),
    [anon_sym_PLUS] = ACTIONS(3361),
    [anon_sym_STAR] = ACTIONS(3363),
    [anon_sym_AMP_AMP] = ACTIONS(3363),
    [anon_sym_AMP] = ACTIONS(3361),
    [anon_sym_SEMI] = ACTIONS(3363),
    [anon_sym___extension__] = ACTIONS(3361),
    [anon_sym_typedef] = ACTIONS(3361),
    [anon_sym_extern] = ACTIONS(3361),
    [anon_sym___attribute__] = ACTIONS(3361),
    [anon_sym_COLON_COLON] = ACTIONS(3363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3363),
    [anon_sym___declspec] = ACTIONS(3361),
    [anon_sym___based] = ACTIONS(3361),
    [anon_sym___cdecl] = ACTIONS(3361),
    [anon_sym___clrcall] = ACTIONS(3361),
    [anon_sym___stdcall] = ACTIONS(3361),
    [anon_sym___fastcall] = ACTIONS(3361),
    [anon_sym___thiscall] = ACTIONS(3361),
    [anon_sym___vectorcall] = ACTIONS(3361),
    [anon_sym_LBRACE] = ACTIONS(3363),
    [anon_sym_signed] = ACTIONS(3361),
    [anon_sym_unsigned] = ACTIONS(3361),
    [anon_sym_long] = ACTIONS(3361),
    [anon_sym_short] = ACTIONS(3361),
    [anon_sym_LBRACK] = ACTIONS(3361),
    [anon_sym_static] = ACTIONS(3361),
    [anon_sym_register] = ACTIONS(3361),
    [anon_sym_inline] = ACTIONS(3361),
    [anon_sym___inline] = ACTIONS(3361),
    [anon_sym___inline__] = ACTIONS(3361),
    [anon_sym___forceinline] = ACTIONS(3361),
    [anon_sym_thread_local] = ACTIONS(3361),
    [anon_sym___thread] = ACTIONS(3361),
    [anon_sym_const] = ACTIONS(3361),
    [anon_sym_constexpr] = ACTIONS(3361),
    [anon_sym_volatile] = ACTIONS(3361),
    [anon_sym_restrict] = ACTIONS(3361),
    [anon_sym___restrict__] = ACTIONS(3361),
    [anon_sym__Atomic] = ACTIONS(3361),
    [anon_sym__Noreturn] = ACTIONS(3361),
    [anon_sym_noreturn] = ACTIONS(3361),
    [anon_sym_mutable] = ACTIONS(3361),
    [anon_sym_constinit] = ACTIONS(3361),
    [anon_sym_consteval] = ACTIONS(3361),
    [anon_sym_PROGMEM] = ACTIONS(3361),
    [aux_sym_primitive_type_token1] = ACTIONS(3361),
    [anon_sym_byte] = ACTIONS(3361),
    [anon_sym_word] = ACTIONS(3361),
    [anon_sym_enum] = ACTIONS(3361),
    [anon_sym_class] = ACTIONS(3361),
    [anon_sym_struct] = ACTIONS(3361),
    [anon_sym_union] = ACTIONS(3361),
    [anon_sym_if] = ACTIONS(3361),
    [anon_sym_switch] = ACTIONS(3361),
    [anon_sym_case] = ACTIONS(3361),
    [anon_sym_default] = ACTIONS(3361),
    [anon_sym_while] = ACTIONS(3361),
    [anon_sym_do] = ACTIONS(3361),
    [anon_sym_for] = ACTIONS(3361),
    [anon_sym_return] = ACTIONS(3361),
    [anon_sym_break] = ACTIONS(3361),
    [anon_sym_continue] = ACTIONS(3361),
    [anon_sym_goto] = ACTIONS(3361),
    [anon_sym___try] = ACTIONS(3361),
    [anon_sym___leave] = ACTIONS(3361),
    [anon_sym_not] = ACTIONS(3361),
    [anon_sym_compl] = ACTIONS(3361),
    [anon_sym_DASH_DASH] = ACTIONS(3363),
    [anon_sym_PLUS_PLUS] = ACTIONS(3363),
    [anon_sym_sizeof] = ACTIONS(3361),
    [anon_sym___alignof__] = ACTIONS(3361),
    [anon_sym___alignof] = ACTIONS(3361),
    [anon_sym__alignof] = ACTIONS(3361),
    [anon_sym_alignof] = ACTIONS(3361),
    [anon_sym__Alignof] = ACTIONS(3361),
    [anon_sym_offsetof] = ACTIONS(3361),
    [anon_sym__Generic] = ACTIONS(3361),
    [anon_sym_asm] = ACTIONS(3361),
    [anon_sym___asm__] = ACTIONS(3361),
    [aux_sym_number_literal_token1] = ACTIONS(3363),
    [aux_sym_number_literal_token2] = ACTIONS(3361),
    [anon_sym_L_SQUOTE] = ACTIONS(3363),
    [anon_sym_u_SQUOTE] = ACTIONS(3363),
    [anon_sym_U_SQUOTE] = ACTIONS(3363),
    [anon_sym_u8_SQUOTE] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(3363),
    [anon_sym_L_DQUOTE] = ACTIONS(3363),
    [anon_sym_u_DQUOTE] = ACTIONS(3363),
    [anon_sym_U_DQUOTE] = ACTIONS(3363),
    [anon_sym_u8_DQUOTE] = ACTIONS(3363),
    [anon_sym_DQUOTE] = ACTIONS(3363),
    [sym_true] = ACTIONS(3361),
    [sym_false] = ACTIONS(3361),
    [anon_sym_NULL] = ACTIONS(3361),
    [anon_sym_nullptr] = ACTIONS(3361),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3361),
    [anon_sym_decltype] = ACTIONS(3361),
    [anon_sym_virtual] = ACTIONS(3361),
    [anon_sym_alignas] = ACTIONS(3361),
    [anon_sym_explicit] = ACTIONS(3361),
    [anon_sym_typename] = ACTIONS(3361),
    [anon_sym_template] = ACTIONS(3361),
    [anon_sym_operator] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3361),
    [anon_sym_delete] = ACTIONS(3361),
    [anon_sym_throw] = ACTIONS(3361),
    [anon_sym_namespace] = ACTIONS(3361),
    [anon_sym_using] = ACTIONS(3361),
    [anon_sym_static_assert] = ACTIONS(3361),
    [anon_sym_concept] = ACTIONS(3361),
    [anon_sym_co_return] = ACTIONS(3361),
    [anon_sym_co_yield] = ACTIONS(3361),
    [anon_sym_R_DQUOTE] = ACTIONS(3363),
    [anon_sym_LR_DQUOTE] = ACTIONS(3363),
    [anon_sym_uR_DQUOTE] = ACTIONS(3363),
    [anon_sym_UR_DQUOTE] = ACTIONS(3363),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3363),
    [anon_sym_co_await] = ACTIONS(3361),
    [anon_sym_new] = ACTIONS(3361),
    [anon_sym_requires] = ACTIONS(3361),
    [sym_this] = ACTIONS(3361),
  },
  [568] = {
    [sym_identifier] = ACTIONS(3507),
    [aux_sym_preproc_include_token1] = ACTIONS(3507),
    [aux_sym_preproc_def_token1] = ACTIONS(3507),
    [aux_sym_preproc_if_token1] = ACTIONS(3507),
    [aux_sym_preproc_if_token2] = ACTIONS(3507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3507),
    [aux_sym_preproc_else_token1] = ACTIONS(3507),
    [aux_sym_preproc_elif_token1] = ACTIONS(3507),
    [sym_preproc_directive] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(3509),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(3509),
    [anon_sym_AMP_AMP] = ACTIONS(3509),
    [anon_sym_AMP] = ACTIONS(3507),
    [anon_sym_SEMI] = ACTIONS(3509),
    [anon_sym___extension__] = ACTIONS(3507),
    [anon_sym_typedef] = ACTIONS(3507),
    [anon_sym_extern] = ACTIONS(3507),
    [anon_sym___attribute__] = ACTIONS(3507),
    [anon_sym_COLON_COLON] = ACTIONS(3509),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3509),
    [anon_sym___declspec] = ACTIONS(3507),
    [anon_sym___based] = ACTIONS(3507),
    [anon_sym___cdecl] = ACTIONS(3507),
    [anon_sym___clrcall] = ACTIONS(3507),
    [anon_sym___stdcall] = ACTIONS(3507),
    [anon_sym___fastcall] = ACTIONS(3507),
    [anon_sym___thiscall] = ACTIONS(3507),
    [anon_sym___vectorcall] = ACTIONS(3507),
    [anon_sym_LBRACE] = ACTIONS(3509),
    [anon_sym_signed] = ACTIONS(3507),
    [anon_sym_unsigned] = ACTIONS(3507),
    [anon_sym_long] = ACTIONS(3507),
    [anon_sym_short] = ACTIONS(3507),
    [anon_sym_LBRACK] = ACTIONS(3507),
    [anon_sym_static] = ACTIONS(3507),
    [anon_sym_register] = ACTIONS(3507),
    [anon_sym_inline] = ACTIONS(3507),
    [anon_sym___inline] = ACTIONS(3507),
    [anon_sym___inline__] = ACTIONS(3507),
    [anon_sym___forceinline] = ACTIONS(3507),
    [anon_sym_thread_local] = ACTIONS(3507),
    [anon_sym___thread] = ACTIONS(3507),
    [anon_sym_const] = ACTIONS(3507),
    [anon_sym_constexpr] = ACTIONS(3507),
    [anon_sym_volatile] = ACTIONS(3507),
    [anon_sym_restrict] = ACTIONS(3507),
    [anon_sym___restrict__] = ACTIONS(3507),
    [anon_sym__Atomic] = ACTIONS(3507),
    [anon_sym__Noreturn] = ACTIONS(3507),
    [anon_sym_noreturn] = ACTIONS(3507),
    [anon_sym_mutable] = ACTIONS(3507),
    [anon_sym_constinit] = ACTIONS(3507),
    [anon_sym_consteval] = ACTIONS(3507),
    [anon_sym_PROGMEM] = ACTIONS(3507),
    [aux_sym_primitive_type_token1] = ACTIONS(3507),
    [anon_sym_byte] = ACTIONS(3507),
    [anon_sym_word] = ACTIONS(3507),
    [anon_sym_enum] = ACTIONS(3507),
    [anon_sym_class] = ACTIONS(3507),
    [anon_sym_struct] = ACTIONS(3507),
    [anon_sym_union] = ACTIONS(3507),
    [anon_sym_if] = ACTIONS(3507),
    [anon_sym_switch] = ACTIONS(3507),
    [anon_sym_case] = ACTIONS(3507),
    [anon_sym_default] = ACTIONS(3507),
    [anon_sym_while] = ACTIONS(3507),
    [anon_sym_do] = ACTIONS(3507),
    [anon_sym_for] = ACTIONS(3507),
    [anon_sym_return] = ACTIONS(3507),
    [anon_sym_break] = ACTIONS(3507),
    [anon_sym_continue] = ACTIONS(3507),
    [anon_sym_goto] = ACTIONS(3507),
    [anon_sym___try] = ACTIONS(3507),
    [anon_sym___leave] = ACTIONS(3507),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(3509),
    [anon_sym_PLUS_PLUS] = ACTIONS(3509),
    [anon_sym_sizeof] = ACTIONS(3507),
    [anon_sym___alignof__] = ACTIONS(3507),
    [anon_sym___alignof] = ACTIONS(3507),
    [anon_sym__alignof] = ACTIONS(3507),
    [anon_sym_alignof] = ACTIONS(3507),
    [anon_sym__Alignof] = ACTIONS(3507),
    [anon_sym_offsetof] = ACTIONS(3507),
    [anon_sym__Generic] = ACTIONS(3507),
    [anon_sym_asm] = ACTIONS(3507),
    [anon_sym___asm__] = ACTIONS(3507),
    [aux_sym_number_literal_token1] = ACTIONS(3509),
    [aux_sym_number_literal_token2] = ACTIONS(3507),
    [anon_sym_L_SQUOTE] = ACTIONS(3509),
    [anon_sym_u_SQUOTE] = ACTIONS(3509),
    [anon_sym_U_SQUOTE] = ACTIONS(3509),
    [anon_sym_u8_SQUOTE] = ACTIONS(3509),
    [anon_sym_SQUOTE] = ACTIONS(3509),
    [anon_sym_L_DQUOTE] = ACTIONS(3509),
    [anon_sym_u_DQUOTE] = ACTIONS(3509),
    [anon_sym_U_DQUOTE] = ACTIONS(3509),
    [anon_sym_u8_DQUOTE] = ACTIONS(3509),
    [anon_sym_DQUOTE] = ACTIONS(3509),
    [sym_true] = ACTIONS(3507),
    [sym_false] = ACTIONS(3507),
    [anon_sym_NULL] = ACTIONS(3507),
    [anon_sym_nullptr] = ACTIONS(3507),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3507),
    [anon_sym_decltype] = ACTIONS(3507),
    [anon_sym_virtual] = ACTIONS(3507),
    [anon_sym_alignas] = ACTIONS(3507),
    [anon_sym_explicit] = ACTIONS(3507),
    [anon_sym_typename] = ACTIONS(3507),
    [anon_sym_template] = ACTIONS(3507),
    [anon_sym_operator] = ACTIONS(3507),
    [anon_sym_try] = ACTIONS(3507),
    [anon_sym_delete] = ACTIONS(3507),
    [anon_sym_throw] = ACTIONS(3507),
    [anon_sym_namespace] = ACTIONS(3507),
    [anon_sym_using] = ACTIONS(3507),
    [anon_sym_static_assert] = ACTIONS(3507),
    [anon_sym_concept] = ACTIONS(3507),
    [anon_sym_co_return] = ACTIONS(3507),
    [anon_sym_co_yield] = ACTIONS(3507),
    [anon_sym_R_DQUOTE] = ACTIONS(3509),
    [anon_sym_LR_DQUOTE] = ACTIONS(3509),
    [anon_sym_uR_DQUOTE] = ACTIONS(3509),
    [anon_sym_UR_DQUOTE] = ACTIONS(3509),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3509),
    [anon_sym_co_await] = ACTIONS(3507),
    [anon_sym_new] = ACTIONS(3507),
    [anon_sym_requires] = ACTIONS(3507),
    [sym_this] = ACTIONS(3507),
  },
  [569] = {
    [sym_identifier] = ACTIONS(3343),
    [aux_sym_preproc_include_token1] = ACTIONS(3343),
    [aux_sym_preproc_def_token1] = ACTIONS(3343),
    [aux_sym_preproc_if_token1] = ACTIONS(3343),
    [aux_sym_preproc_if_token2] = ACTIONS(3343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3343),
    [aux_sym_preproc_else_token1] = ACTIONS(3343),
    [aux_sym_preproc_elif_token1] = ACTIONS(3343),
    [sym_preproc_directive] = ACTIONS(3343),
    [anon_sym_LPAREN2] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(3345),
    [anon_sym_AMP_AMP] = ACTIONS(3345),
    [anon_sym_AMP] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3345),
    [anon_sym___extension__] = ACTIONS(3343),
    [anon_sym_typedef] = ACTIONS(3343),
    [anon_sym_extern] = ACTIONS(3343),
    [anon_sym___attribute__] = ACTIONS(3343),
    [anon_sym_COLON_COLON] = ACTIONS(3345),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3345),
    [anon_sym___declspec] = ACTIONS(3343),
    [anon_sym___based] = ACTIONS(3343),
    [anon_sym___cdecl] = ACTIONS(3343),
    [anon_sym___clrcall] = ACTIONS(3343),
    [anon_sym___stdcall] = ACTIONS(3343),
    [anon_sym___fastcall] = ACTIONS(3343),
    [anon_sym___thiscall] = ACTIONS(3343),
    [anon_sym___vectorcall] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3345),
    [anon_sym_signed] = ACTIONS(3343),
    [anon_sym_unsigned] = ACTIONS(3343),
    [anon_sym_long] = ACTIONS(3343),
    [anon_sym_short] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_register] = ACTIONS(3343),
    [anon_sym_inline] = ACTIONS(3343),
    [anon_sym___inline] = ACTIONS(3343),
    [anon_sym___inline__] = ACTIONS(3343),
    [anon_sym___forceinline] = ACTIONS(3343),
    [anon_sym_thread_local] = ACTIONS(3343),
    [anon_sym___thread] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_constexpr] = ACTIONS(3343),
    [anon_sym_volatile] = ACTIONS(3343),
    [anon_sym_restrict] = ACTIONS(3343),
    [anon_sym___restrict__] = ACTIONS(3343),
    [anon_sym__Atomic] = ACTIONS(3343),
    [anon_sym__Noreturn] = ACTIONS(3343),
    [anon_sym_noreturn] = ACTIONS(3343),
    [anon_sym_mutable] = ACTIONS(3343),
    [anon_sym_constinit] = ACTIONS(3343),
    [anon_sym_consteval] = ACTIONS(3343),
    [anon_sym_PROGMEM] = ACTIONS(3343),
    [aux_sym_primitive_type_token1] = ACTIONS(3343),
    [anon_sym_byte] = ACTIONS(3343),
    [anon_sym_word] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_struct] = ACTIONS(3343),
    [anon_sym_union] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_goto] = ACTIONS(3343),
    [anon_sym___try] = ACTIONS(3343),
    [anon_sym___leave] = ACTIONS(3343),
    [anon_sym_not] = ACTIONS(3343),
    [anon_sym_compl] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_sizeof] = ACTIONS(3343),
    [anon_sym___alignof__] = ACTIONS(3343),
    [anon_sym___alignof] = ACTIONS(3343),
    [anon_sym__alignof] = ACTIONS(3343),
    [anon_sym_alignof] = ACTIONS(3343),
    [anon_sym__Alignof] = ACTIONS(3343),
    [anon_sym_offsetof] = ACTIONS(3343),
    [anon_sym__Generic] = ACTIONS(3343),
    [anon_sym_asm] = ACTIONS(3343),
    [anon_sym___asm__] = ACTIONS(3343),
    [aux_sym_number_literal_token1] = ACTIONS(3345),
    [aux_sym_number_literal_token2] = ACTIONS(3343),
    [anon_sym_L_SQUOTE] = ACTIONS(3345),
    [anon_sym_u_SQUOTE] = ACTIONS(3345),
    [anon_sym_U_SQUOTE] = ACTIONS(3345),
    [anon_sym_u8_SQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [anon_sym_L_DQUOTE] = ACTIONS(3345),
    [anon_sym_u_DQUOTE] = ACTIONS(3345),
    [anon_sym_U_DQUOTE] = ACTIONS(3345),
    [anon_sym_u8_DQUOTE] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [anon_sym_NULL] = ACTIONS(3343),
    [anon_sym_nullptr] = ACTIONS(3343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3343),
    [anon_sym_decltype] = ACTIONS(3343),
    [anon_sym_virtual] = ACTIONS(3343),
    [anon_sym_alignas] = ACTIONS(3343),
    [anon_sym_explicit] = ACTIONS(3343),
    [anon_sym_typename] = ACTIONS(3343),
    [anon_sym_template] = ACTIONS(3343),
    [anon_sym_operator] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_static_assert] = ACTIONS(3343),
    [anon_sym_concept] = ACTIONS(3343),
    [anon_sym_co_return] = ACTIONS(3343),
    [anon_sym_co_yield] = ACTIONS(3343),
    [anon_sym_R_DQUOTE] = ACTIONS(3345),
    [anon_sym_LR_DQUOTE] = ACTIONS(3345),
    [anon_sym_uR_DQUOTE] = ACTIONS(3345),
    [anon_sym_UR_DQUOTE] = ACTIONS(3345),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3345),
    [anon_sym_co_await] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_requires] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
  },
  [570] = {
    [sym_identifier] = ACTIONS(3503),
    [aux_sym_preproc_include_token1] = ACTIONS(3503),
    [aux_sym_preproc_def_token1] = ACTIONS(3503),
    [aux_sym_preproc_if_token1] = ACTIONS(3503),
    [aux_sym_preproc_if_token2] = ACTIONS(3503),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3503),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3503),
    [aux_sym_preproc_else_token1] = ACTIONS(3503),
    [aux_sym_preproc_elif_token1] = ACTIONS(3503),
    [sym_preproc_directive] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(3505),
    [anon_sym_BANG] = ACTIONS(3505),
    [anon_sym_TILDE] = ACTIONS(3505),
    [anon_sym_DASH] = ACTIONS(3503),
    [anon_sym_PLUS] = ACTIONS(3503),
    [anon_sym_STAR] = ACTIONS(3505),
    [anon_sym_AMP_AMP] = ACTIONS(3505),
    [anon_sym_AMP] = ACTIONS(3503),
    [anon_sym_SEMI] = ACTIONS(3505),
    [anon_sym___extension__] = ACTIONS(3503),
    [anon_sym_typedef] = ACTIONS(3503),
    [anon_sym_extern] = ACTIONS(3503),
    [anon_sym___attribute__] = ACTIONS(3503),
    [anon_sym_COLON_COLON] = ACTIONS(3505),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3505),
    [anon_sym___declspec] = ACTIONS(3503),
    [anon_sym___based] = ACTIONS(3503),
    [anon_sym___cdecl] = ACTIONS(3503),
    [anon_sym___clrcall] = ACTIONS(3503),
    [anon_sym___stdcall] = ACTIONS(3503),
    [anon_sym___fastcall] = ACTIONS(3503),
    [anon_sym___thiscall] = ACTIONS(3503),
    [anon_sym___vectorcall] = ACTIONS(3503),
    [anon_sym_LBRACE] = ACTIONS(3505),
    [anon_sym_signed] = ACTIONS(3503),
    [anon_sym_unsigned] = ACTIONS(3503),
    [anon_sym_long] = ACTIONS(3503),
    [anon_sym_short] = ACTIONS(3503),
    [anon_sym_LBRACK] = ACTIONS(3503),
    [anon_sym_static] = ACTIONS(3503),
    [anon_sym_register] = ACTIONS(3503),
    [anon_sym_inline] = ACTIONS(3503),
    [anon_sym___inline] = ACTIONS(3503),
    [anon_sym___inline__] = ACTIONS(3503),
    [anon_sym___forceinline] = ACTIONS(3503),
    [anon_sym_thread_local] = ACTIONS(3503),
    [anon_sym___thread] = ACTIONS(3503),
    [anon_sym_const] = ACTIONS(3503),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(3503),
    [anon_sym_restrict] = ACTIONS(3503),
    [anon_sym___restrict__] = ACTIONS(3503),
    [anon_sym__Atomic] = ACTIONS(3503),
    [anon_sym__Noreturn] = ACTIONS(3503),
    [anon_sym_noreturn] = ACTIONS(3503),
    [anon_sym_mutable] = ACTIONS(3503),
    [anon_sym_constinit] = ACTIONS(3503),
    [anon_sym_consteval] = ACTIONS(3503),
    [anon_sym_PROGMEM] = ACTIONS(3503),
    [aux_sym_primitive_type_token1] = ACTIONS(3503),
    [anon_sym_byte] = ACTIONS(3503),
    [anon_sym_word] = ACTIONS(3503),
    [anon_sym_enum] = ACTIONS(3503),
    [anon_sym_class] = ACTIONS(3503),
    [anon_sym_struct] = ACTIONS(3503),
    [anon_sym_union] = ACTIONS(3503),
    [anon_sym_if] = ACTIONS(3503),
    [anon_sym_switch] = ACTIONS(3503),
    [anon_sym_case] = ACTIONS(3503),
    [anon_sym_default] = ACTIONS(3503),
    [anon_sym_while] = ACTIONS(3503),
    [anon_sym_do] = ACTIONS(3503),
    [anon_sym_for] = ACTIONS(3503),
    [anon_sym_return] = ACTIONS(3503),
    [anon_sym_break] = ACTIONS(3503),
    [anon_sym_continue] = ACTIONS(3503),
    [anon_sym_goto] = ACTIONS(3503),
    [anon_sym___try] = ACTIONS(3503),
    [anon_sym___leave] = ACTIONS(3503),
    [anon_sym_not] = ACTIONS(3503),
    [anon_sym_compl] = ACTIONS(3503),
    [anon_sym_DASH_DASH] = ACTIONS(3505),
    [anon_sym_PLUS_PLUS] = ACTIONS(3505),
    [anon_sym_sizeof] = ACTIONS(3503),
    [anon_sym___alignof__] = ACTIONS(3503),
    [anon_sym___alignof] = ACTIONS(3503),
    [anon_sym__alignof] = ACTIONS(3503),
    [anon_sym_alignof] = ACTIONS(3503),
    [anon_sym__Alignof] = ACTIONS(3503),
    [anon_sym_offsetof] = ACTIONS(3503),
    [anon_sym__Generic] = ACTIONS(3503),
    [anon_sym_asm] = ACTIONS(3503),
    [anon_sym___asm__] = ACTIONS(3503),
    [aux_sym_number_literal_token1] = ACTIONS(3505),
    [aux_sym_number_literal_token2] = ACTIONS(3503),
    [anon_sym_L_SQUOTE] = ACTIONS(3505),
    [anon_sym_u_SQUOTE] = ACTIONS(3505),
    [anon_sym_U_SQUOTE] = ACTIONS(3505),
    [anon_sym_u8_SQUOTE] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(3505),
    [anon_sym_L_DQUOTE] = ACTIONS(3505),
    [anon_sym_u_DQUOTE] = ACTIONS(3505),
    [anon_sym_U_DQUOTE] = ACTIONS(3505),
    [anon_sym_u8_DQUOTE] = ACTIONS(3505),
    [anon_sym_DQUOTE] = ACTIONS(3505),
    [sym_true] = ACTIONS(3503),
    [sym_false] = ACTIONS(3503),
    [anon_sym_NULL] = ACTIONS(3503),
    [anon_sym_nullptr] = ACTIONS(3503),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3503),
    [anon_sym_decltype] = ACTIONS(3503),
    [anon_sym_virtual] = ACTIONS(3503),
    [anon_sym_alignas] = ACTIONS(3503),
    [anon_sym_explicit] = ACTIONS(3503),
    [anon_sym_typename] = ACTIONS(3503),
    [anon_sym_template] = ACTIONS(3503),
    [anon_sym_operator] = ACTIONS(3503),
    [anon_sym_try] = ACTIONS(3503),
    [anon_sym_delete] = ACTIONS(3503),
    [anon_sym_throw] = ACTIONS(3503),
    [anon_sym_namespace] = ACTIONS(3503),
    [anon_sym_using] = ACTIONS(3503),
    [anon_sym_static_assert] = ACTIONS(3503),
    [anon_sym_concept] = ACTIONS(3503),
    [anon_sym_co_return] = ACTIONS(3503),
    [anon_sym_co_yield] = ACTIONS(3503),
    [anon_sym_R_DQUOTE] = ACTIONS(3505),
    [anon_sym_LR_DQUOTE] = ACTIONS(3505),
    [anon_sym_uR_DQUOTE] = ACTIONS(3505),
    [anon_sym_UR_DQUOTE] = ACTIONS(3505),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3505),
    [anon_sym_co_await] = ACTIONS(3503),
    [anon_sym_new] = ACTIONS(3503),
    [anon_sym_requires] = ACTIONS(3503),
    [sym_this] = ACTIONS(3503),
  },
  [571] = {
    [sym_identifier] = ACTIONS(3316),
    [aux_sym_preproc_include_token1] = ACTIONS(3316),
    [aux_sym_preproc_def_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token2] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3316),
    [aux_sym_preproc_else_token1] = ACTIONS(3316),
    [aux_sym_preproc_elif_token1] = ACTIONS(3316),
    [sym_preproc_directive] = ACTIONS(3316),
    [anon_sym_LPAREN2] = ACTIONS(3318),
    [anon_sym_BANG] = ACTIONS(3318),
    [anon_sym_TILDE] = ACTIONS(3318),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_STAR] = ACTIONS(3318),
    [anon_sym_AMP_AMP] = ACTIONS(3318),
    [anon_sym_AMP] = ACTIONS(3316),
    [anon_sym_SEMI] = ACTIONS(3318),
    [anon_sym___extension__] = ACTIONS(3316),
    [anon_sym_typedef] = ACTIONS(3316),
    [anon_sym_extern] = ACTIONS(3316),
    [anon_sym___attribute__] = ACTIONS(3316),
    [anon_sym_COLON_COLON] = ACTIONS(3318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3318),
    [anon_sym___declspec] = ACTIONS(3316),
    [anon_sym___based] = ACTIONS(3316),
    [anon_sym___cdecl] = ACTIONS(3316),
    [anon_sym___clrcall] = ACTIONS(3316),
    [anon_sym___stdcall] = ACTIONS(3316),
    [anon_sym___fastcall] = ACTIONS(3316),
    [anon_sym___thiscall] = ACTIONS(3316),
    [anon_sym___vectorcall] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_signed] = ACTIONS(3316),
    [anon_sym_unsigned] = ACTIONS(3316),
    [anon_sym_long] = ACTIONS(3316),
    [anon_sym_short] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_register] = ACTIONS(3316),
    [anon_sym_inline] = ACTIONS(3316),
    [anon_sym___inline] = ACTIONS(3316),
    [anon_sym___inline__] = ACTIONS(3316),
    [anon_sym___forceinline] = ACTIONS(3316),
    [anon_sym_thread_local] = ACTIONS(3316),
    [anon_sym___thread] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_constexpr] = ACTIONS(3316),
    [anon_sym_volatile] = ACTIONS(3316),
    [anon_sym_restrict] = ACTIONS(3316),
    [anon_sym___restrict__] = ACTIONS(3316),
    [anon_sym__Atomic] = ACTIONS(3316),
    [anon_sym__Noreturn] = ACTIONS(3316),
    [anon_sym_noreturn] = ACTIONS(3316),
    [anon_sym_mutable] = ACTIONS(3316),
    [anon_sym_constinit] = ACTIONS(3316),
    [anon_sym_consteval] = ACTIONS(3316),
    [anon_sym_PROGMEM] = ACTIONS(3316),
    [aux_sym_primitive_type_token1] = ACTIONS(3316),
    [anon_sym_byte] = ACTIONS(3316),
    [anon_sym_word] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_struct] = ACTIONS(3316),
    [anon_sym_union] = ACTIONS(3316),
    [anon_sym_if] = ACTIONS(3316),
    [anon_sym_switch] = ACTIONS(3316),
    [anon_sym_case] = ACTIONS(3316),
    [anon_sym_default] = ACTIONS(3316),
    [anon_sym_while] = ACTIONS(3316),
    [anon_sym_do] = ACTIONS(3316),
    [anon_sym_for] = ACTIONS(3316),
    [anon_sym_return] = ACTIONS(3316),
    [anon_sym_break] = ACTIONS(3316),
    [anon_sym_continue] = ACTIONS(3316),
    [anon_sym_goto] = ACTIONS(3316),
    [anon_sym___try] = ACTIONS(3316),
    [anon_sym___leave] = ACTIONS(3316),
    [anon_sym_not] = ACTIONS(3316),
    [anon_sym_compl] = ACTIONS(3316),
    [anon_sym_DASH_DASH] = ACTIONS(3318),
    [anon_sym_PLUS_PLUS] = ACTIONS(3318),
    [anon_sym_sizeof] = ACTIONS(3316),
    [anon_sym___alignof__] = ACTIONS(3316),
    [anon_sym___alignof] = ACTIONS(3316),
    [anon_sym__alignof] = ACTIONS(3316),
    [anon_sym_alignof] = ACTIONS(3316),
    [anon_sym__Alignof] = ACTIONS(3316),
    [anon_sym_offsetof] = ACTIONS(3316),
    [anon_sym__Generic] = ACTIONS(3316),
    [anon_sym_asm] = ACTIONS(3316),
    [anon_sym___asm__] = ACTIONS(3316),
    [aux_sym_number_literal_token1] = ACTIONS(3318),
    [aux_sym_number_literal_token2] = ACTIONS(3316),
    [anon_sym_L_SQUOTE] = ACTIONS(3318),
    [anon_sym_u_SQUOTE] = ACTIONS(3318),
    [anon_sym_U_SQUOTE] = ACTIONS(3318),
    [anon_sym_u8_SQUOTE] = ACTIONS(3318),
    [anon_sym_SQUOTE] = ACTIONS(3318),
    [anon_sym_L_DQUOTE] = ACTIONS(3318),
    [anon_sym_u_DQUOTE] = ACTIONS(3318),
    [anon_sym_U_DQUOTE] = ACTIONS(3318),
    [anon_sym_u8_DQUOTE] = ACTIONS(3318),
    [anon_sym_DQUOTE] = ACTIONS(3318),
    [sym_true] = ACTIONS(3316),
    [sym_false] = ACTIONS(3316),
    [anon_sym_NULL] = ACTIONS(3316),
    [anon_sym_nullptr] = ACTIONS(3316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3316),
    [anon_sym_decltype] = ACTIONS(3316),
    [anon_sym_virtual] = ACTIONS(3316),
    [anon_sym_alignas] = ACTIONS(3316),
    [anon_sym_explicit] = ACTIONS(3316),
    [anon_sym_typename] = ACTIONS(3316),
    [anon_sym_template] = ACTIONS(3316),
    [anon_sym_operator] = ACTIONS(3316),
    [anon_sym_try] = ACTIONS(3316),
    [anon_sym_delete] = ACTIONS(3316),
    [anon_sym_throw] = ACTIONS(3316),
    [anon_sym_namespace] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_static_assert] = ACTIONS(3316),
    [anon_sym_concept] = ACTIONS(3316),
    [anon_sym_co_return] = ACTIONS(3316),
    [anon_sym_co_yield] = ACTIONS(3316),
    [anon_sym_R_DQUOTE] = ACTIONS(3318),
    [anon_sym_LR_DQUOTE] = ACTIONS(3318),
    [anon_sym_uR_DQUOTE] = ACTIONS(3318),
    [anon_sym_UR_DQUOTE] = ACTIONS(3318),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3318),
    [anon_sym_co_await] = ACTIONS(3316),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3316),
    [sym_this] = ACTIONS(3316),
  },
  [572] = {
    [sym_identifier] = ACTIONS(3459),
    [aux_sym_preproc_include_token1] = ACTIONS(3459),
    [aux_sym_preproc_def_token1] = ACTIONS(3459),
    [aux_sym_preproc_if_token1] = ACTIONS(3459),
    [aux_sym_preproc_if_token2] = ACTIONS(3459),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3459),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3459),
    [aux_sym_preproc_else_token1] = ACTIONS(3459),
    [aux_sym_preproc_elif_token1] = ACTIONS(3459),
    [sym_preproc_directive] = ACTIONS(3459),
    [anon_sym_LPAREN2] = ACTIONS(3461),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(3461),
    [anon_sym_AMP_AMP] = ACTIONS(3461),
    [anon_sym_AMP] = ACTIONS(3459),
    [anon_sym_SEMI] = ACTIONS(3461),
    [anon_sym___extension__] = ACTIONS(3459),
    [anon_sym_typedef] = ACTIONS(3459),
    [anon_sym_extern] = ACTIONS(3459),
    [anon_sym___attribute__] = ACTIONS(3459),
    [anon_sym_COLON_COLON] = ACTIONS(3461),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3461),
    [anon_sym___declspec] = ACTIONS(3459),
    [anon_sym___based] = ACTIONS(3459),
    [anon_sym___cdecl] = ACTIONS(3459),
    [anon_sym___clrcall] = ACTIONS(3459),
    [anon_sym___stdcall] = ACTIONS(3459),
    [anon_sym___fastcall] = ACTIONS(3459),
    [anon_sym___thiscall] = ACTIONS(3459),
    [anon_sym___vectorcall] = ACTIONS(3459),
    [anon_sym_LBRACE] = ACTIONS(3461),
    [anon_sym_signed] = ACTIONS(3459),
    [anon_sym_unsigned] = ACTIONS(3459),
    [anon_sym_long] = ACTIONS(3459),
    [anon_sym_short] = ACTIONS(3459),
    [anon_sym_LBRACK] = ACTIONS(3459),
    [anon_sym_static] = ACTIONS(3459),
    [anon_sym_register] = ACTIONS(3459),
    [anon_sym_inline] = ACTIONS(3459),
    [anon_sym___inline] = ACTIONS(3459),
    [anon_sym___inline__] = ACTIONS(3459),
    [anon_sym___forceinline] = ACTIONS(3459),
    [anon_sym_thread_local] = ACTIONS(3459),
    [anon_sym___thread] = ACTIONS(3459),
    [anon_sym_const] = ACTIONS(3459),
    [anon_sym_constexpr] = ACTIONS(3459),
    [anon_sym_volatile] = ACTIONS(3459),
    [anon_sym_restrict] = ACTIONS(3459),
    [anon_sym___restrict__] = ACTIONS(3459),
    [anon_sym__Atomic] = ACTIONS(3459),
    [anon_sym__Noreturn] = ACTIONS(3459),
    [anon_sym_noreturn] = ACTIONS(3459),
    [anon_sym_mutable] = ACTIONS(3459),
    [anon_sym_constinit] = ACTIONS(3459),
    [anon_sym_consteval] = ACTIONS(3459),
    [anon_sym_PROGMEM] = ACTIONS(3459),
    [aux_sym_primitive_type_token1] = ACTIONS(3459),
    [anon_sym_byte] = ACTIONS(3459),
    [anon_sym_word] = ACTIONS(3459),
    [anon_sym_enum] = ACTIONS(3459),
    [anon_sym_class] = ACTIONS(3459),
    [anon_sym_struct] = ACTIONS(3459),
    [anon_sym_union] = ACTIONS(3459),
    [anon_sym_if] = ACTIONS(3459),
    [anon_sym_switch] = ACTIONS(3459),
    [anon_sym_case] = ACTIONS(3459),
    [anon_sym_default] = ACTIONS(3459),
    [anon_sym_while] = ACTIONS(3459),
    [anon_sym_do] = ACTIONS(3459),
    [anon_sym_for] = ACTIONS(3459),
    [anon_sym_return] = ACTIONS(3459),
    [anon_sym_break] = ACTIONS(3459),
    [anon_sym_continue] = ACTIONS(3459),
    [anon_sym_goto] = ACTIONS(3459),
    [anon_sym___try] = ACTIONS(3459),
    [anon_sym___leave] = ACTIONS(3459),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(3461),
    [anon_sym_PLUS_PLUS] = ACTIONS(3461),
    [anon_sym_sizeof] = ACTIONS(3459),
    [anon_sym___alignof__] = ACTIONS(3459),
    [anon_sym___alignof] = ACTIONS(3459),
    [anon_sym__alignof] = ACTIONS(3459),
    [anon_sym_alignof] = ACTIONS(3459),
    [anon_sym__Alignof] = ACTIONS(3459),
    [anon_sym_offsetof] = ACTIONS(3459),
    [anon_sym__Generic] = ACTIONS(3459),
    [anon_sym_asm] = ACTIONS(3459),
    [anon_sym___asm__] = ACTIONS(3459),
    [aux_sym_number_literal_token1] = ACTIONS(3461),
    [aux_sym_number_literal_token2] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3461),
    [anon_sym_u_DQUOTE] = ACTIONS(3461),
    [anon_sym_U_DQUOTE] = ACTIONS(3461),
    [anon_sym_u8_DQUOTE] = ACTIONS(3461),
    [anon_sym_DQUOTE] = ACTIONS(3461),
    [sym_true] = ACTIONS(3459),
    [sym_false] = ACTIONS(3459),
    [anon_sym_NULL] = ACTIONS(3459),
    [anon_sym_nullptr] = ACTIONS(3459),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3459),
    [anon_sym_decltype] = ACTIONS(3459),
    [anon_sym_virtual] = ACTIONS(3459),
    [anon_sym_alignas] = ACTIONS(3459),
    [anon_sym_explicit] = ACTIONS(3459),
    [anon_sym_typename] = ACTIONS(3459),
    [anon_sym_template] = ACTIONS(3459),
    [anon_sym_operator] = ACTIONS(3459),
    [anon_sym_try] = ACTIONS(3459),
    [anon_sym_delete] = ACTIONS(3459),
    [anon_sym_throw] = ACTIONS(3459),
    [anon_sym_namespace] = ACTIONS(3459),
    [anon_sym_using] = ACTIONS(3459),
    [anon_sym_static_assert] = ACTIONS(3459),
    [anon_sym_concept] = ACTIONS(3459),
    [anon_sym_co_return] = ACTIONS(3459),
    [anon_sym_co_yield] = ACTIONS(3459),
    [anon_sym_R_DQUOTE] = ACTIONS(3461),
    [anon_sym_LR_DQUOTE] = ACTIONS(3461),
    [anon_sym_uR_DQUOTE] = ACTIONS(3461),
    [anon_sym_UR_DQUOTE] = ACTIONS(3461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3461),
    [anon_sym_co_await] = ACTIONS(3459),
    [anon_sym_new] = ACTIONS(3459),
    [anon_sym_requires] = ACTIONS(3459),
    [sym_this] = ACTIONS(3459),
  },
  [573] = {
    [sym_identifier] = ACTIONS(3351),
    [aux_sym_preproc_include_token1] = ACTIONS(3351),
    [aux_sym_preproc_def_token1] = ACTIONS(3351),
    [aux_sym_preproc_if_token1] = ACTIONS(3351),
    [aux_sym_preproc_if_token2] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3351),
    [aux_sym_preproc_else_token1] = ACTIONS(3351),
    [aux_sym_preproc_elif_token1] = ACTIONS(3351),
    [sym_preproc_directive] = ACTIONS(3351),
    [anon_sym_LPAREN2] = ACTIONS(3353),
    [anon_sym_BANG] = ACTIONS(3353),
    [anon_sym_TILDE] = ACTIONS(3353),
    [anon_sym_DASH] = ACTIONS(3351),
    [anon_sym_PLUS] = ACTIONS(3351),
    [anon_sym_STAR] = ACTIONS(3353),
    [anon_sym_AMP_AMP] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(3351),
    [anon_sym_SEMI] = ACTIONS(3353),
    [anon_sym___extension__] = ACTIONS(3351),
    [anon_sym_typedef] = ACTIONS(3351),
    [anon_sym_extern] = ACTIONS(3351),
    [anon_sym___attribute__] = ACTIONS(3351),
    [anon_sym_COLON_COLON] = ACTIONS(3353),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3353),
    [anon_sym___declspec] = ACTIONS(3351),
    [anon_sym___based] = ACTIONS(3351),
    [anon_sym___cdecl] = ACTIONS(3351),
    [anon_sym___clrcall] = ACTIONS(3351),
    [anon_sym___stdcall] = ACTIONS(3351),
    [anon_sym___fastcall] = ACTIONS(3351),
    [anon_sym___thiscall] = ACTIONS(3351),
    [anon_sym___vectorcall] = ACTIONS(3351),
    [anon_sym_LBRACE] = ACTIONS(3353),
    [anon_sym_signed] = ACTIONS(3351),
    [anon_sym_unsigned] = ACTIONS(3351),
    [anon_sym_long] = ACTIONS(3351),
    [anon_sym_short] = ACTIONS(3351),
    [anon_sym_LBRACK] = ACTIONS(3351),
    [anon_sym_static] = ACTIONS(3351),
    [anon_sym_register] = ACTIONS(3351),
    [anon_sym_inline] = ACTIONS(3351),
    [anon_sym___inline] = ACTIONS(3351),
    [anon_sym___inline__] = ACTIONS(3351),
    [anon_sym___forceinline] = ACTIONS(3351),
    [anon_sym_thread_local] = ACTIONS(3351),
    [anon_sym___thread] = ACTIONS(3351),
    [anon_sym_const] = ACTIONS(3351),
    [anon_sym_constexpr] = ACTIONS(3351),
    [anon_sym_volatile] = ACTIONS(3351),
    [anon_sym_restrict] = ACTIONS(3351),
    [anon_sym___restrict__] = ACTIONS(3351),
    [anon_sym__Atomic] = ACTIONS(3351),
    [anon_sym__Noreturn] = ACTIONS(3351),
    [anon_sym_noreturn] = ACTIONS(3351),
    [anon_sym_mutable] = ACTIONS(3351),
    [anon_sym_constinit] = ACTIONS(3351),
    [anon_sym_consteval] = ACTIONS(3351),
    [anon_sym_PROGMEM] = ACTIONS(3351),
    [aux_sym_primitive_type_token1] = ACTIONS(3351),
    [anon_sym_byte] = ACTIONS(3351),
    [anon_sym_word] = ACTIONS(3351),
    [anon_sym_enum] = ACTIONS(3351),
    [anon_sym_class] = ACTIONS(3351),
    [anon_sym_struct] = ACTIONS(3351),
    [anon_sym_union] = ACTIONS(3351),
    [anon_sym_if] = ACTIONS(3351),
    [anon_sym_switch] = ACTIONS(3351),
    [anon_sym_case] = ACTIONS(3351),
    [anon_sym_default] = ACTIONS(3351),
    [anon_sym_while] = ACTIONS(3351),
    [anon_sym_do] = ACTIONS(3351),
    [anon_sym_for] = ACTIONS(3351),
    [anon_sym_return] = ACTIONS(3351),
    [anon_sym_break] = ACTIONS(3351),
    [anon_sym_continue] = ACTIONS(3351),
    [anon_sym_goto] = ACTIONS(3351),
    [anon_sym___try] = ACTIONS(3351),
    [anon_sym___leave] = ACTIONS(3351),
    [anon_sym_not] = ACTIONS(3351),
    [anon_sym_compl] = ACTIONS(3351),
    [anon_sym_DASH_DASH] = ACTIONS(3353),
    [anon_sym_PLUS_PLUS] = ACTIONS(3353),
    [anon_sym_sizeof] = ACTIONS(3351),
    [anon_sym___alignof__] = ACTIONS(3351),
    [anon_sym___alignof] = ACTIONS(3351),
    [anon_sym__alignof] = ACTIONS(3351),
    [anon_sym_alignof] = ACTIONS(3351),
    [anon_sym__Alignof] = ACTIONS(3351),
    [anon_sym_offsetof] = ACTIONS(3351),
    [anon_sym__Generic] = ACTIONS(3351),
    [anon_sym_asm] = ACTIONS(3351),
    [anon_sym___asm__] = ACTIONS(3351),
    [aux_sym_number_literal_token1] = ACTIONS(3353),
    [aux_sym_number_literal_token2] = ACTIONS(3351),
    [anon_sym_L_SQUOTE] = ACTIONS(3353),
    [anon_sym_u_SQUOTE] = ACTIONS(3353),
    [anon_sym_U_SQUOTE] = ACTIONS(3353),
    [anon_sym_u8_SQUOTE] = ACTIONS(3353),
    [anon_sym_SQUOTE] = ACTIONS(3353),
    [anon_sym_L_DQUOTE] = ACTIONS(3353),
    [anon_sym_u_DQUOTE] = ACTIONS(3353),
    [anon_sym_U_DQUOTE] = ACTIONS(3353),
    [anon_sym_u8_DQUOTE] = ACTIONS(3353),
    [anon_sym_DQUOTE] = ACTIONS(3353),
    [sym_true] = ACTIONS(3351),
    [sym_false] = ACTIONS(3351),
    [anon_sym_NULL] = ACTIONS(3351),
    [anon_sym_nullptr] = ACTIONS(3351),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3351),
    [anon_sym_decltype] = ACTIONS(3351),
    [anon_sym_virtual] = ACTIONS(3351),
    [anon_sym_alignas] = ACTIONS(3351),
    [anon_sym_explicit] = ACTIONS(3351),
    [anon_sym_typename] = ACTIONS(3351),
    [anon_sym_template] = ACTIONS(3351),
    [anon_sym_operator] = ACTIONS(3351),
    [anon_sym_try] = ACTIONS(3351),
    [anon_sym_delete] = ACTIONS(3351),
    [anon_sym_throw] = ACTIONS(3351),
    [anon_sym_namespace] = ACTIONS(3351),
    [anon_sym_using] = ACTIONS(3351),
    [anon_sym_static_assert] = ACTIONS(3351),
    [anon_sym_concept] = ACTIONS(3351),
    [anon_sym_co_return] = ACTIONS(3351),
    [anon_sym_co_yield] = ACTIONS(3351),
    [anon_sym_R_DQUOTE] = ACTIONS(3353),
    [anon_sym_LR_DQUOTE] = ACTIONS(3353),
    [anon_sym_uR_DQUOTE] = ACTIONS(3353),
    [anon_sym_UR_DQUOTE] = ACTIONS(3353),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3353),
    [anon_sym_co_await] = ACTIONS(3351),
    [anon_sym_new] = ACTIONS(3351),
    [anon_sym_requires] = ACTIONS(3351),
    [sym_this] = ACTIONS(3351),
  },
  [574] = {
    [sym_else_clause] = STATE(741),
    [sym_identifier] = ACTIONS(2907),
    [aux_sym_preproc_include_token1] = ACTIONS(2907),
    [aux_sym_preproc_def_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token1] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2907),
    [sym_preproc_directive] = ACTIONS(2907),
    [anon_sym_LPAREN2] = ACTIONS(2909),
    [anon_sym_BANG] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_SEMI] = ACTIONS(2909),
    [anon_sym___extension__] = ACTIONS(2907),
    [anon_sym_typedef] = ACTIONS(2907),
    [anon_sym_extern] = ACTIONS(2907),
    [anon_sym___attribute__] = ACTIONS(2907),
    [anon_sym_COLON_COLON] = ACTIONS(2909),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2909),
    [anon_sym___declspec] = ACTIONS(2907),
    [anon_sym___based] = ACTIONS(2907),
    [anon_sym___cdecl] = ACTIONS(2907),
    [anon_sym___clrcall] = ACTIONS(2907),
    [anon_sym___stdcall] = ACTIONS(2907),
    [anon_sym___fastcall] = ACTIONS(2907),
    [anon_sym___thiscall] = ACTIONS(2907),
    [anon_sym___vectorcall] = ACTIONS(2907),
    [anon_sym_LBRACE] = ACTIONS(2909),
    [anon_sym_RBRACE] = ACTIONS(2909),
    [anon_sym_signed] = ACTIONS(2907),
    [anon_sym_unsigned] = ACTIONS(2907),
    [anon_sym_long] = ACTIONS(2907),
    [anon_sym_short] = ACTIONS(2907),
    [anon_sym_LBRACK] = ACTIONS(2907),
    [anon_sym_static] = ACTIONS(2907),
    [anon_sym_register] = ACTIONS(2907),
    [anon_sym_inline] = ACTIONS(2907),
    [anon_sym___inline] = ACTIONS(2907),
    [anon_sym___inline__] = ACTIONS(2907),
    [anon_sym___forceinline] = ACTIONS(2907),
    [anon_sym_thread_local] = ACTIONS(2907),
    [anon_sym___thread] = ACTIONS(2907),
    [anon_sym_const] = ACTIONS(2907),
    [anon_sym_constexpr] = ACTIONS(2907),
    [anon_sym_volatile] = ACTIONS(2907),
    [anon_sym_restrict] = ACTIONS(2907),
    [anon_sym___restrict__] = ACTIONS(2907),
    [anon_sym__Atomic] = ACTIONS(2907),
    [anon_sym__Noreturn] = ACTIONS(2907),
    [anon_sym_noreturn] = ACTIONS(2907),
    [anon_sym_mutable] = ACTIONS(2907),
    [anon_sym_constinit] = ACTIONS(2907),
    [anon_sym_consteval] = ACTIONS(2907),
    [anon_sym_PROGMEM] = ACTIONS(2907),
    [aux_sym_primitive_type_token1] = ACTIONS(2907),
    [anon_sym_byte] = ACTIONS(2907),
    [anon_sym_word] = ACTIONS(2907),
    [anon_sym_enum] = ACTIONS(2907),
    [anon_sym_class] = ACTIONS(2907),
    [anon_sym_struct] = ACTIONS(2907),
    [anon_sym_union] = ACTIONS(2907),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_else] = ACTIONS(3521),
    [anon_sym_switch] = ACTIONS(2907),
    [anon_sym_case] = ACTIONS(2907),
    [anon_sym_default] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(2907),
    [anon_sym_do] = ACTIONS(2907),
    [anon_sym_for] = ACTIONS(2907),
    [anon_sym_return] = ACTIONS(2907),
    [anon_sym_break] = ACTIONS(2907),
    [anon_sym_continue] = ACTIONS(2907),
    [anon_sym_goto] = ACTIONS(2907),
    [anon_sym___try] = ACTIONS(2907),
    [anon_sym___leave] = ACTIONS(2907),
    [anon_sym_not] = ACTIONS(2907),
    [anon_sym_compl] = ACTIONS(2907),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_sizeof] = ACTIONS(2907),
    [anon_sym___alignof__] = ACTIONS(2907),
    [anon_sym___alignof] = ACTIONS(2907),
    [anon_sym__alignof] = ACTIONS(2907),
    [anon_sym_alignof] = ACTIONS(2907),
    [anon_sym__Alignof] = ACTIONS(2907),
    [anon_sym_offsetof] = ACTIONS(2907),
    [anon_sym__Generic] = ACTIONS(2907),
    [anon_sym_asm] = ACTIONS(2907),
    [anon_sym___asm__] = ACTIONS(2907),
    [aux_sym_number_literal_token1] = ACTIONS(2909),
    [aux_sym_number_literal_token2] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2909),
    [anon_sym_u_SQUOTE] = ACTIONS(2909),
    [anon_sym_U_SQUOTE] = ACTIONS(2909),
    [anon_sym_u8_SQUOTE] = ACTIONS(2909),
    [anon_sym_SQUOTE] = ACTIONS(2909),
    [anon_sym_L_DQUOTE] = ACTIONS(2909),
    [anon_sym_u_DQUOTE] = ACTIONS(2909),
    [anon_sym_U_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8_DQUOTE] = ACTIONS(2909),
    [anon_sym_DQUOTE] = ACTIONS(2909),
    [sym_true] = ACTIONS(2907),
    [sym_false] = ACTIONS(2907),
    [anon_sym_NULL] = ACTIONS(2907),
    [anon_sym_nullptr] = ACTIONS(2907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2907),
    [anon_sym_decltype] = ACTIONS(2907),
    [anon_sym_virtual] = ACTIONS(2907),
    [anon_sym_alignas] = ACTIONS(2907),
    [anon_sym_explicit] = ACTIONS(2907),
    [anon_sym_typename] = ACTIONS(2907),
    [anon_sym_template] = ACTIONS(2907),
    [anon_sym_operator] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2907),
    [anon_sym_delete] = ACTIONS(2907),
    [anon_sym_throw] = ACTIONS(2907),
    [anon_sym_namespace] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2907),
    [anon_sym_static_assert] = ACTIONS(2907),
    [anon_sym_concept] = ACTIONS(2907),
    [anon_sym_co_return] = ACTIONS(2907),
    [anon_sym_co_yield] = ACTIONS(2907),
    [anon_sym_R_DQUOTE] = ACTIONS(2909),
    [anon_sym_LR_DQUOTE] = ACTIONS(2909),
    [anon_sym_uR_DQUOTE] = ACTIONS(2909),
    [anon_sym_UR_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2909),
    [anon_sym_co_await] = ACTIONS(2907),
    [anon_sym_new] = ACTIONS(2907),
    [anon_sym_requires] = ACTIONS(2907),
    [sym_this] = ACTIONS(2907),
  },
  [575] = {
    [sym_else_clause] = STATE(621),
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_PROGMEM] = ACTIONS(2913),
    [aux_sym_primitive_type_token1] = ACTIONS(2913),
    [anon_sym_byte] = ACTIONS(2913),
    [anon_sym_word] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(3523),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [aux_sym_number_literal_token1] = ACTIONS(2915),
    [aux_sym_number_literal_token2] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [576] = {
    [sym_identifier] = ACTIONS(3188),
    [aux_sym_preproc_include_token1] = ACTIONS(3188),
    [aux_sym_preproc_def_token1] = ACTIONS(3188),
    [aux_sym_preproc_if_token1] = ACTIONS(3188),
    [aux_sym_preproc_if_token2] = ACTIONS(3188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3188),
    [aux_sym_preproc_else_token1] = ACTIONS(3188),
    [aux_sym_preproc_elif_token1] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3188),
    [anon_sym_LPAREN2] = ACTIONS(3190),
    [anon_sym_BANG] = ACTIONS(3190),
    [anon_sym_TILDE] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_STAR] = ACTIONS(3190),
    [anon_sym_AMP_AMP] = ACTIONS(3190),
    [anon_sym_AMP] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3190),
    [anon_sym___extension__] = ACTIONS(3188),
    [anon_sym_typedef] = ACTIONS(3188),
    [anon_sym_extern] = ACTIONS(3188),
    [anon_sym___attribute__] = ACTIONS(3188),
    [anon_sym_COLON_COLON] = ACTIONS(3190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3190),
    [anon_sym___declspec] = ACTIONS(3188),
    [anon_sym___based] = ACTIONS(3188),
    [anon_sym___cdecl] = ACTIONS(3188),
    [anon_sym___clrcall] = ACTIONS(3188),
    [anon_sym___stdcall] = ACTIONS(3188),
    [anon_sym___fastcall] = ACTIONS(3188),
    [anon_sym___thiscall] = ACTIONS(3188),
    [anon_sym___vectorcall] = ACTIONS(3188),
    [anon_sym_LBRACE] = ACTIONS(3190),
    [anon_sym_signed] = ACTIONS(3188),
    [anon_sym_unsigned] = ACTIONS(3188),
    [anon_sym_long] = ACTIONS(3188),
    [anon_sym_short] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_register] = ACTIONS(3188),
    [anon_sym_inline] = ACTIONS(3188),
    [anon_sym___inline] = ACTIONS(3188),
    [anon_sym___inline__] = ACTIONS(3188),
    [anon_sym___forceinline] = ACTIONS(3188),
    [anon_sym_thread_local] = ACTIONS(3188),
    [anon_sym___thread] = ACTIONS(3188),
    [anon_sym_const] = ACTIONS(3188),
    [anon_sym_constexpr] = ACTIONS(3188),
    [anon_sym_volatile] = ACTIONS(3188),
    [anon_sym_restrict] = ACTIONS(3188),
    [anon_sym___restrict__] = ACTIONS(3188),
    [anon_sym__Atomic] = ACTIONS(3188),
    [anon_sym__Noreturn] = ACTIONS(3188),
    [anon_sym_noreturn] = ACTIONS(3188),
    [anon_sym_mutable] = ACTIONS(3188),
    [anon_sym_constinit] = ACTIONS(3188),
    [anon_sym_consteval] = ACTIONS(3188),
    [anon_sym_PROGMEM] = ACTIONS(3188),
    [aux_sym_primitive_type_token1] = ACTIONS(3188),
    [anon_sym_byte] = ACTIONS(3188),
    [anon_sym_word] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_struct] = ACTIONS(3188),
    [anon_sym_union] = ACTIONS(3188),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_switch] = ACTIONS(3188),
    [anon_sym_case] = ACTIONS(3188),
    [anon_sym_default] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3188),
    [anon_sym_do] = ACTIONS(3188),
    [anon_sym_for] = ACTIONS(3188),
    [anon_sym_return] = ACTIONS(3188),
    [anon_sym_break] = ACTIONS(3188),
    [anon_sym_continue] = ACTIONS(3188),
    [anon_sym_goto] = ACTIONS(3188),
    [anon_sym___try] = ACTIONS(3188),
    [anon_sym___leave] = ACTIONS(3188),
    [anon_sym_not] = ACTIONS(3188),
    [anon_sym_compl] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_sizeof] = ACTIONS(3188),
    [anon_sym___alignof__] = ACTIONS(3188),
    [anon_sym___alignof] = ACTIONS(3188),
    [anon_sym__alignof] = ACTIONS(3188),
    [anon_sym_alignof] = ACTIONS(3188),
    [anon_sym__Alignof] = ACTIONS(3188),
    [anon_sym_offsetof] = ACTIONS(3188),
    [anon_sym__Generic] = ACTIONS(3188),
    [anon_sym_asm] = ACTIONS(3188),
    [anon_sym___asm__] = ACTIONS(3188),
    [aux_sym_number_literal_token1] = ACTIONS(3190),
    [aux_sym_number_literal_token2] = ACTIONS(3188),
    [anon_sym_L_SQUOTE] = ACTIONS(3190),
    [anon_sym_u_SQUOTE] = ACTIONS(3190),
    [anon_sym_U_SQUOTE] = ACTIONS(3190),
    [anon_sym_u8_SQUOTE] = ACTIONS(3190),
    [anon_sym_SQUOTE] = ACTIONS(3190),
    [anon_sym_L_DQUOTE] = ACTIONS(3190),
    [anon_sym_u_DQUOTE] = ACTIONS(3190),
    [anon_sym_U_DQUOTE] = ACTIONS(3190),
    [anon_sym_u8_DQUOTE] = ACTIONS(3190),
    [anon_sym_DQUOTE] = ACTIONS(3190),
    [sym_true] = ACTIONS(3188),
    [sym_false] = ACTIONS(3188),
    [anon_sym_NULL] = ACTIONS(3188),
    [anon_sym_nullptr] = ACTIONS(3188),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3188),
    [anon_sym_decltype] = ACTIONS(3188),
    [anon_sym_virtual] = ACTIONS(3188),
    [anon_sym_alignas] = ACTIONS(3188),
    [anon_sym_explicit] = ACTIONS(3188),
    [anon_sym_typename] = ACTIONS(3188),
    [anon_sym_template] = ACTIONS(3188),
    [anon_sym_operator] = ACTIONS(3188),
    [anon_sym_try] = ACTIONS(3188),
    [anon_sym_delete] = ACTIONS(3188),
    [anon_sym_throw] = ACTIONS(3188),
    [anon_sym_namespace] = ACTIONS(3188),
    [anon_sym_using] = ACTIONS(3188),
    [anon_sym_static_assert] = ACTIONS(3188),
    [anon_sym_concept] = ACTIONS(3188),
    [anon_sym_co_return] = ACTIONS(3188),
    [anon_sym_co_yield] = ACTIONS(3188),
    [anon_sym_R_DQUOTE] = ACTIONS(3190),
    [anon_sym_LR_DQUOTE] = ACTIONS(3190),
    [anon_sym_uR_DQUOTE] = ACTIONS(3190),
    [anon_sym_UR_DQUOTE] = ACTIONS(3190),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3190),
    [anon_sym_co_await] = ACTIONS(3188),
    [anon_sym_new] = ACTIONS(3188),
    [anon_sym_requires] = ACTIONS(3188),
    [sym_this] = ACTIONS(3188),
  },
  [577] = {
    [sym_identifier] = ACTIONS(3475),
    [aux_sym_preproc_include_token1] = ACTIONS(3475),
    [aux_sym_preproc_def_token1] = ACTIONS(3475),
    [aux_sym_preproc_if_token1] = ACTIONS(3475),
    [aux_sym_preproc_if_token2] = ACTIONS(3475),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3475),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3475),
    [aux_sym_preproc_else_token1] = ACTIONS(3475),
    [aux_sym_preproc_elif_token1] = ACTIONS(3475),
    [sym_preproc_directive] = ACTIONS(3475),
    [anon_sym_LPAREN2] = ACTIONS(3477),
    [anon_sym_BANG] = ACTIONS(3477),
    [anon_sym_TILDE] = ACTIONS(3477),
    [anon_sym_DASH] = ACTIONS(3475),
    [anon_sym_PLUS] = ACTIONS(3475),
    [anon_sym_STAR] = ACTIONS(3477),
    [anon_sym_AMP_AMP] = ACTIONS(3477),
    [anon_sym_AMP] = ACTIONS(3475),
    [anon_sym_SEMI] = ACTIONS(3477),
    [anon_sym___extension__] = ACTIONS(3475),
    [anon_sym_typedef] = ACTIONS(3475),
    [anon_sym_extern] = ACTIONS(3475),
    [anon_sym___attribute__] = ACTIONS(3475),
    [anon_sym_COLON_COLON] = ACTIONS(3477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3477),
    [anon_sym___declspec] = ACTIONS(3475),
    [anon_sym___based] = ACTIONS(3475),
    [anon_sym___cdecl] = ACTIONS(3475),
    [anon_sym___clrcall] = ACTIONS(3475),
    [anon_sym___stdcall] = ACTIONS(3475),
    [anon_sym___fastcall] = ACTIONS(3475),
    [anon_sym___thiscall] = ACTIONS(3475),
    [anon_sym___vectorcall] = ACTIONS(3475),
    [anon_sym_LBRACE] = ACTIONS(3477),
    [anon_sym_signed] = ACTIONS(3475),
    [anon_sym_unsigned] = ACTIONS(3475),
    [anon_sym_long] = ACTIONS(3475),
    [anon_sym_short] = ACTIONS(3475),
    [anon_sym_LBRACK] = ACTIONS(3475),
    [anon_sym_static] = ACTIONS(3475),
    [anon_sym_register] = ACTIONS(3475),
    [anon_sym_inline] = ACTIONS(3475),
    [anon_sym___inline] = ACTIONS(3475),
    [anon_sym___inline__] = ACTIONS(3475),
    [anon_sym___forceinline] = ACTIONS(3475),
    [anon_sym_thread_local] = ACTIONS(3475),
    [anon_sym___thread] = ACTIONS(3475),
    [anon_sym_const] = ACTIONS(3475),
    [anon_sym_constexpr] = ACTIONS(3475),
    [anon_sym_volatile] = ACTIONS(3475),
    [anon_sym_restrict] = ACTIONS(3475),
    [anon_sym___restrict__] = ACTIONS(3475),
    [anon_sym__Atomic] = ACTIONS(3475),
    [anon_sym__Noreturn] = ACTIONS(3475),
    [anon_sym_noreturn] = ACTIONS(3475),
    [anon_sym_mutable] = ACTIONS(3475),
    [anon_sym_constinit] = ACTIONS(3475),
    [anon_sym_consteval] = ACTIONS(3475),
    [anon_sym_PROGMEM] = ACTIONS(3475),
    [aux_sym_primitive_type_token1] = ACTIONS(3475),
    [anon_sym_byte] = ACTIONS(3475),
    [anon_sym_word] = ACTIONS(3475),
    [anon_sym_enum] = ACTIONS(3475),
    [anon_sym_class] = ACTIONS(3475),
    [anon_sym_struct] = ACTIONS(3475),
    [anon_sym_union] = ACTIONS(3475),
    [anon_sym_if] = ACTIONS(3475),
    [anon_sym_switch] = ACTIONS(3475),
    [anon_sym_case] = ACTIONS(3475),
    [anon_sym_default] = ACTIONS(3475),
    [anon_sym_while] = ACTIONS(3475),
    [anon_sym_do] = ACTIONS(3475),
    [anon_sym_for] = ACTIONS(3475),
    [anon_sym_return] = ACTIONS(3475),
    [anon_sym_break] = ACTIONS(3475),
    [anon_sym_continue] = ACTIONS(3475),
    [anon_sym_goto] = ACTIONS(3475),
    [anon_sym___try] = ACTIONS(3475),
    [anon_sym___leave] = ACTIONS(3475),
    [anon_sym_not] = ACTIONS(3475),
    [anon_sym_compl] = ACTIONS(3475),
    [anon_sym_DASH_DASH] = ACTIONS(3477),
    [anon_sym_PLUS_PLUS] = ACTIONS(3477),
    [anon_sym_sizeof] = ACTIONS(3475),
    [anon_sym___alignof__] = ACTIONS(3475),
    [anon_sym___alignof] = ACTIONS(3475),
    [anon_sym__alignof] = ACTIONS(3475),
    [anon_sym_alignof] = ACTIONS(3475),
    [anon_sym__Alignof] = ACTIONS(3475),
    [anon_sym_offsetof] = ACTIONS(3475),
    [anon_sym__Generic] = ACTIONS(3475),
    [anon_sym_asm] = ACTIONS(3475),
    [anon_sym___asm__] = ACTIONS(3475),
    [aux_sym_number_literal_token1] = ACTIONS(3477),
    [aux_sym_number_literal_token2] = ACTIONS(3475),
    [anon_sym_L_SQUOTE] = ACTIONS(3477),
    [anon_sym_u_SQUOTE] = ACTIONS(3477),
    [anon_sym_U_SQUOTE] = ACTIONS(3477),
    [anon_sym_u8_SQUOTE] = ACTIONS(3477),
    [anon_sym_SQUOTE] = ACTIONS(3477),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(3475),
    [sym_false] = ACTIONS(3475),
    [anon_sym_NULL] = ACTIONS(3475),
    [anon_sym_nullptr] = ACTIONS(3475),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3475),
    [anon_sym_decltype] = ACTIONS(3475),
    [anon_sym_virtual] = ACTIONS(3475),
    [anon_sym_alignas] = ACTIONS(3475),
    [anon_sym_explicit] = ACTIONS(3475),
    [anon_sym_typename] = ACTIONS(3475),
    [anon_sym_template] = ACTIONS(3475),
    [anon_sym_operator] = ACTIONS(3475),
    [anon_sym_try] = ACTIONS(3475),
    [anon_sym_delete] = ACTIONS(3475),
    [anon_sym_throw] = ACTIONS(3475),
    [anon_sym_namespace] = ACTIONS(3475),
    [anon_sym_using] = ACTIONS(3475),
    [anon_sym_static_assert] = ACTIONS(3475),
    [anon_sym_concept] = ACTIONS(3475),
    [anon_sym_co_return] = ACTIONS(3475),
    [anon_sym_co_yield] = ACTIONS(3475),
    [anon_sym_R_DQUOTE] = ACTIONS(3477),
    [anon_sym_LR_DQUOTE] = ACTIONS(3477),
    [anon_sym_uR_DQUOTE] = ACTIONS(3477),
    [anon_sym_UR_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3477),
    [anon_sym_co_await] = ACTIONS(3475),
    [anon_sym_new] = ACTIONS(3475),
    [anon_sym_requires] = ACTIONS(3475),
    [sym_this] = ACTIONS(3475),
  },
  [578] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_RBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_PROGMEM] = ACTIONS(2917),
    [aux_sym_primitive_type_token1] = ACTIONS(2917),
    [anon_sym_byte] = ACTIONS(2917),
    [anon_sym_word] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [aux_sym_number_literal_token1] = ACTIONS(2919),
    [aux_sym_number_literal_token2] = ACTIONS(2917),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_catch] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [579] = {
    [sym_identifier] = ACTIONS(3357),
    [aux_sym_preproc_include_token1] = ACTIONS(3357),
    [aux_sym_preproc_def_token1] = ACTIONS(3357),
    [aux_sym_preproc_if_token1] = ACTIONS(3357),
    [aux_sym_preproc_if_token2] = ACTIONS(3357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3357),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3357),
    [aux_sym_preproc_else_token1] = ACTIONS(3357),
    [aux_sym_preproc_elif_token1] = ACTIONS(3357),
    [sym_preproc_directive] = ACTIONS(3357),
    [anon_sym_LPAREN2] = ACTIONS(3359),
    [anon_sym_BANG] = ACTIONS(3359),
    [anon_sym_TILDE] = ACTIONS(3359),
    [anon_sym_DASH] = ACTIONS(3357),
    [anon_sym_PLUS] = ACTIONS(3357),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_AMP_AMP] = ACTIONS(3359),
    [anon_sym_AMP] = ACTIONS(3357),
    [anon_sym_SEMI] = ACTIONS(3359),
    [anon_sym___extension__] = ACTIONS(3357),
    [anon_sym_typedef] = ACTIONS(3357),
    [anon_sym_extern] = ACTIONS(3357),
    [anon_sym___attribute__] = ACTIONS(3357),
    [anon_sym_COLON_COLON] = ACTIONS(3359),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3359),
    [anon_sym___declspec] = ACTIONS(3357),
    [anon_sym___based] = ACTIONS(3357),
    [anon_sym___cdecl] = ACTIONS(3357),
    [anon_sym___clrcall] = ACTIONS(3357),
    [anon_sym___stdcall] = ACTIONS(3357),
    [anon_sym___fastcall] = ACTIONS(3357),
    [anon_sym___thiscall] = ACTIONS(3357),
    [anon_sym___vectorcall] = ACTIONS(3357),
    [anon_sym_LBRACE] = ACTIONS(3359),
    [anon_sym_signed] = ACTIONS(3357),
    [anon_sym_unsigned] = ACTIONS(3357),
    [anon_sym_long] = ACTIONS(3357),
    [anon_sym_short] = ACTIONS(3357),
    [anon_sym_LBRACK] = ACTIONS(3357),
    [anon_sym_static] = ACTIONS(3357),
    [anon_sym_register] = ACTIONS(3357),
    [anon_sym_inline] = ACTIONS(3357),
    [anon_sym___inline] = ACTIONS(3357),
    [anon_sym___inline__] = ACTIONS(3357),
    [anon_sym___forceinline] = ACTIONS(3357),
    [anon_sym_thread_local] = ACTIONS(3357),
    [anon_sym___thread] = ACTIONS(3357),
    [anon_sym_const] = ACTIONS(3357),
    [anon_sym_constexpr] = ACTIONS(3357),
    [anon_sym_volatile] = ACTIONS(3357),
    [anon_sym_restrict] = ACTIONS(3357),
    [anon_sym___restrict__] = ACTIONS(3357),
    [anon_sym__Atomic] = ACTIONS(3357),
    [anon_sym__Noreturn] = ACTIONS(3357),
    [anon_sym_noreturn] = ACTIONS(3357),
    [anon_sym_mutable] = ACTIONS(3357),
    [anon_sym_constinit] = ACTIONS(3357),
    [anon_sym_consteval] = ACTIONS(3357),
    [anon_sym_PROGMEM] = ACTIONS(3357),
    [aux_sym_primitive_type_token1] = ACTIONS(3357),
    [anon_sym_byte] = ACTIONS(3357),
    [anon_sym_word] = ACTIONS(3357),
    [anon_sym_enum] = ACTIONS(3357),
    [anon_sym_class] = ACTIONS(3357),
    [anon_sym_struct] = ACTIONS(3357),
    [anon_sym_union] = ACTIONS(3357),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_switch] = ACTIONS(3357),
    [anon_sym_case] = ACTIONS(3357),
    [anon_sym_default] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(3357),
    [anon_sym_do] = ACTIONS(3357),
    [anon_sym_for] = ACTIONS(3357),
    [anon_sym_return] = ACTIONS(3357),
    [anon_sym_break] = ACTIONS(3357),
    [anon_sym_continue] = ACTIONS(3357),
    [anon_sym_goto] = ACTIONS(3357),
    [anon_sym___try] = ACTIONS(3357),
    [anon_sym___leave] = ACTIONS(3357),
    [anon_sym_not] = ACTIONS(3357),
    [anon_sym_compl] = ACTIONS(3357),
    [anon_sym_DASH_DASH] = ACTIONS(3359),
    [anon_sym_PLUS_PLUS] = ACTIONS(3359),
    [anon_sym_sizeof] = ACTIONS(3357),
    [anon_sym___alignof__] = ACTIONS(3357),
    [anon_sym___alignof] = ACTIONS(3357),
    [anon_sym__alignof] = ACTIONS(3357),
    [anon_sym_alignof] = ACTIONS(3357),
    [anon_sym__Alignof] = ACTIONS(3357),
    [anon_sym_offsetof] = ACTIONS(3357),
    [anon_sym__Generic] = ACTIONS(3357),
    [anon_sym_asm] = ACTIONS(3357),
    [anon_sym___asm__] = ACTIONS(3357),
    [aux_sym_number_literal_token1] = ACTIONS(3359),
    [aux_sym_number_literal_token2] = ACTIONS(3357),
    [anon_sym_L_SQUOTE] = ACTIONS(3359),
    [anon_sym_u_SQUOTE] = ACTIONS(3359),
    [anon_sym_U_SQUOTE] = ACTIONS(3359),
    [anon_sym_u8_SQUOTE] = ACTIONS(3359),
    [anon_sym_SQUOTE] = ACTIONS(3359),
    [anon_sym_L_DQUOTE] = ACTIONS(3359),
    [anon_sym_u_DQUOTE] = ACTIONS(3359),
    [anon_sym_U_DQUOTE] = ACTIONS(3359),
    [anon_sym_u8_DQUOTE] = ACTIONS(3359),
    [anon_sym_DQUOTE] = ACTIONS(3359),
    [sym_true] = ACTIONS(3357),
    [sym_false] = ACTIONS(3357),
    [anon_sym_NULL] = ACTIONS(3357),
    [anon_sym_nullptr] = ACTIONS(3357),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3357),
    [anon_sym_decltype] = ACTIONS(3357),
    [anon_sym_virtual] = ACTIONS(3357),
    [anon_sym_alignas] = ACTIONS(3357),
    [anon_sym_explicit] = ACTIONS(3357),
    [anon_sym_typename] = ACTIONS(3357),
    [anon_sym_template] = ACTIONS(3357),
    [anon_sym_operator] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(3357),
    [anon_sym_delete] = ACTIONS(3357),
    [anon_sym_throw] = ACTIONS(3357),
    [anon_sym_namespace] = ACTIONS(3357),
    [anon_sym_using] = ACTIONS(3357),
    [anon_sym_static_assert] = ACTIONS(3357),
    [anon_sym_concept] = ACTIONS(3357),
    [anon_sym_co_return] = ACTIONS(3357),
    [anon_sym_co_yield] = ACTIONS(3357),
    [anon_sym_R_DQUOTE] = ACTIONS(3359),
    [anon_sym_LR_DQUOTE] = ACTIONS(3359),
    [anon_sym_uR_DQUOTE] = ACTIONS(3359),
    [anon_sym_UR_DQUOTE] = ACTIONS(3359),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3359),
    [anon_sym_co_await] = ACTIONS(3357),
    [anon_sym_new] = ACTIONS(3357),
    [anon_sym_requires] = ACTIONS(3357),
    [sym_this] = ACTIONS(3357),
  },
  [580] = {
    [sym_else_clause] = STATE(678),
    [ts_builtin_sym_end] = ACTIONS(2909),
    [sym_identifier] = ACTIONS(2907),
    [aux_sym_preproc_include_token1] = ACTIONS(2907),
    [aux_sym_preproc_def_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token1] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2907),
    [sym_preproc_directive] = ACTIONS(2907),
    [anon_sym_LPAREN2] = ACTIONS(2909),
    [anon_sym_BANG] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_SEMI] = ACTIONS(2909),
    [anon_sym___extension__] = ACTIONS(2907),
    [anon_sym_typedef] = ACTIONS(2907),
    [anon_sym_extern] = ACTIONS(2907),
    [anon_sym___attribute__] = ACTIONS(2907),
    [anon_sym_COLON_COLON] = ACTIONS(2909),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2909),
    [anon_sym___declspec] = ACTIONS(2907),
    [anon_sym___based] = ACTIONS(2907),
    [anon_sym___cdecl] = ACTIONS(2907),
    [anon_sym___clrcall] = ACTIONS(2907),
    [anon_sym___stdcall] = ACTIONS(2907),
    [anon_sym___fastcall] = ACTIONS(2907),
    [anon_sym___thiscall] = ACTIONS(2907),
    [anon_sym___vectorcall] = ACTIONS(2907),
    [anon_sym_LBRACE] = ACTIONS(2909),
    [anon_sym_signed] = ACTIONS(2907),
    [anon_sym_unsigned] = ACTIONS(2907),
    [anon_sym_long] = ACTIONS(2907),
    [anon_sym_short] = ACTIONS(2907),
    [anon_sym_LBRACK] = ACTIONS(2907),
    [anon_sym_static] = ACTIONS(2907),
    [anon_sym_register] = ACTIONS(2907),
    [anon_sym_inline] = ACTIONS(2907),
    [anon_sym___inline] = ACTIONS(2907),
    [anon_sym___inline__] = ACTIONS(2907),
    [anon_sym___forceinline] = ACTIONS(2907),
    [anon_sym_thread_local] = ACTIONS(2907),
    [anon_sym___thread] = ACTIONS(2907),
    [anon_sym_const] = ACTIONS(2907),
    [anon_sym_constexpr] = ACTIONS(2907),
    [anon_sym_volatile] = ACTIONS(2907),
    [anon_sym_restrict] = ACTIONS(2907),
    [anon_sym___restrict__] = ACTIONS(2907),
    [anon_sym__Atomic] = ACTIONS(2907),
    [anon_sym__Noreturn] = ACTIONS(2907),
    [anon_sym_noreturn] = ACTIONS(2907),
    [anon_sym_mutable] = ACTIONS(2907),
    [anon_sym_constinit] = ACTIONS(2907),
    [anon_sym_consteval] = ACTIONS(2907),
    [anon_sym_PROGMEM] = ACTIONS(2907),
    [aux_sym_primitive_type_token1] = ACTIONS(2907),
    [anon_sym_byte] = ACTIONS(2907),
    [anon_sym_word] = ACTIONS(2907),
    [anon_sym_enum] = ACTIONS(2907),
    [anon_sym_class] = ACTIONS(2907),
    [anon_sym_struct] = ACTIONS(2907),
    [anon_sym_union] = ACTIONS(2907),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_else] = ACTIONS(3519),
    [anon_sym_switch] = ACTIONS(2907),
    [anon_sym_case] = ACTIONS(2907),
    [anon_sym_default] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(2907),
    [anon_sym_do] = ACTIONS(2907),
    [anon_sym_for] = ACTIONS(2907),
    [anon_sym_return] = ACTIONS(2907),
    [anon_sym_break] = ACTIONS(2907),
    [anon_sym_continue] = ACTIONS(2907),
    [anon_sym_goto] = ACTIONS(2907),
    [anon_sym___try] = ACTIONS(2907),
    [anon_sym___leave] = ACTIONS(2907),
    [anon_sym_not] = ACTIONS(2907),
    [anon_sym_compl] = ACTIONS(2907),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_sizeof] = ACTIONS(2907),
    [anon_sym___alignof__] = ACTIONS(2907),
    [anon_sym___alignof] = ACTIONS(2907),
    [anon_sym__alignof] = ACTIONS(2907),
    [anon_sym_alignof] = ACTIONS(2907),
    [anon_sym__Alignof] = ACTIONS(2907),
    [anon_sym_offsetof] = ACTIONS(2907),
    [anon_sym__Generic] = ACTIONS(2907),
    [anon_sym_asm] = ACTIONS(2907),
    [anon_sym___asm__] = ACTIONS(2907),
    [aux_sym_number_literal_token1] = ACTIONS(2909),
    [aux_sym_number_literal_token2] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2909),
    [anon_sym_u_SQUOTE] = ACTIONS(2909),
    [anon_sym_U_SQUOTE] = ACTIONS(2909),
    [anon_sym_u8_SQUOTE] = ACTIONS(2909),
    [anon_sym_SQUOTE] = ACTIONS(2909),
    [anon_sym_L_DQUOTE] = ACTIONS(2909),
    [anon_sym_u_DQUOTE] = ACTIONS(2909),
    [anon_sym_U_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8_DQUOTE] = ACTIONS(2909),
    [anon_sym_DQUOTE] = ACTIONS(2909),
    [sym_true] = ACTIONS(2907),
    [sym_false] = ACTIONS(2907),
    [anon_sym_NULL] = ACTIONS(2907),
    [anon_sym_nullptr] = ACTIONS(2907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2907),
    [anon_sym_decltype] = ACTIONS(2907),
    [anon_sym_virtual] = ACTIONS(2907),
    [anon_sym_alignas] = ACTIONS(2907),
    [anon_sym_explicit] = ACTIONS(2907),
    [anon_sym_typename] = ACTIONS(2907),
    [anon_sym_template] = ACTIONS(2907),
    [anon_sym_operator] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2907),
    [anon_sym_delete] = ACTIONS(2907),
    [anon_sym_throw] = ACTIONS(2907),
    [anon_sym_namespace] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2907),
    [anon_sym_static_assert] = ACTIONS(2907),
    [anon_sym_concept] = ACTIONS(2907),
    [anon_sym_co_return] = ACTIONS(2907),
    [anon_sym_co_yield] = ACTIONS(2907),
    [anon_sym_R_DQUOTE] = ACTIONS(2909),
    [anon_sym_LR_DQUOTE] = ACTIONS(2909),
    [anon_sym_uR_DQUOTE] = ACTIONS(2909),
    [anon_sym_UR_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2909),
    [anon_sym_co_await] = ACTIONS(2907),
    [anon_sym_new] = ACTIONS(2907),
    [anon_sym_requires] = ACTIONS(2907),
    [sym_this] = ACTIONS(2907),
  },
  [581] = {
    [sym_identifier] = ACTIONS(3495),
    [aux_sym_preproc_include_token1] = ACTIONS(3495),
    [aux_sym_preproc_def_token1] = ACTIONS(3495),
    [aux_sym_preproc_if_token1] = ACTIONS(3495),
    [aux_sym_preproc_if_token2] = ACTIONS(3495),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3495),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3495),
    [aux_sym_preproc_else_token1] = ACTIONS(3495),
    [aux_sym_preproc_elif_token1] = ACTIONS(3495),
    [sym_preproc_directive] = ACTIONS(3495),
    [anon_sym_LPAREN2] = ACTIONS(3497),
    [anon_sym_BANG] = ACTIONS(3497),
    [anon_sym_TILDE] = ACTIONS(3497),
    [anon_sym_DASH] = ACTIONS(3495),
    [anon_sym_PLUS] = ACTIONS(3495),
    [anon_sym_STAR] = ACTIONS(3497),
    [anon_sym_AMP_AMP] = ACTIONS(3497),
    [anon_sym_AMP] = ACTIONS(3495),
    [anon_sym_SEMI] = ACTIONS(3497),
    [anon_sym___extension__] = ACTIONS(3495),
    [anon_sym_typedef] = ACTIONS(3495),
    [anon_sym_extern] = ACTIONS(3495),
    [anon_sym___attribute__] = ACTIONS(3495),
    [anon_sym_COLON_COLON] = ACTIONS(3497),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3497),
    [anon_sym___declspec] = ACTIONS(3495),
    [anon_sym___based] = ACTIONS(3495),
    [anon_sym___cdecl] = ACTIONS(3495),
    [anon_sym___clrcall] = ACTIONS(3495),
    [anon_sym___stdcall] = ACTIONS(3495),
    [anon_sym___fastcall] = ACTIONS(3495),
    [anon_sym___thiscall] = ACTIONS(3495),
    [anon_sym___vectorcall] = ACTIONS(3495),
    [anon_sym_LBRACE] = ACTIONS(3497),
    [anon_sym_signed] = ACTIONS(3495),
    [anon_sym_unsigned] = ACTIONS(3495),
    [anon_sym_long] = ACTIONS(3495),
    [anon_sym_short] = ACTIONS(3495),
    [anon_sym_LBRACK] = ACTIONS(3495),
    [anon_sym_static] = ACTIONS(3495),
    [anon_sym_register] = ACTIONS(3495),
    [anon_sym_inline] = ACTIONS(3495),
    [anon_sym___inline] = ACTIONS(3495),
    [anon_sym___inline__] = ACTIONS(3495),
    [anon_sym___forceinline] = ACTIONS(3495),
    [anon_sym_thread_local] = ACTIONS(3495),
    [anon_sym___thread] = ACTIONS(3495),
    [anon_sym_const] = ACTIONS(3495),
    [anon_sym_constexpr] = ACTIONS(3495),
    [anon_sym_volatile] = ACTIONS(3495),
    [anon_sym_restrict] = ACTIONS(3495),
    [anon_sym___restrict__] = ACTIONS(3495),
    [anon_sym__Atomic] = ACTIONS(3495),
    [anon_sym__Noreturn] = ACTIONS(3495),
    [anon_sym_noreturn] = ACTIONS(3495),
    [anon_sym_mutable] = ACTIONS(3495),
    [anon_sym_constinit] = ACTIONS(3495),
    [anon_sym_consteval] = ACTIONS(3495),
    [anon_sym_PROGMEM] = ACTIONS(3495),
    [aux_sym_primitive_type_token1] = ACTIONS(3495),
    [anon_sym_byte] = ACTIONS(3495),
    [anon_sym_word] = ACTIONS(3495),
    [anon_sym_enum] = ACTIONS(3495),
    [anon_sym_class] = ACTIONS(3495),
    [anon_sym_struct] = ACTIONS(3495),
    [anon_sym_union] = ACTIONS(3495),
    [anon_sym_if] = ACTIONS(3495),
    [anon_sym_switch] = ACTIONS(3495),
    [anon_sym_case] = ACTIONS(3495),
    [anon_sym_default] = ACTIONS(3495),
    [anon_sym_while] = ACTIONS(3495),
    [anon_sym_do] = ACTIONS(3495),
    [anon_sym_for] = ACTIONS(3495),
    [anon_sym_return] = ACTIONS(3495),
    [anon_sym_break] = ACTIONS(3495),
    [anon_sym_continue] = ACTIONS(3495),
    [anon_sym_goto] = ACTIONS(3495),
    [anon_sym___try] = ACTIONS(3495),
    [anon_sym___leave] = ACTIONS(3495),
    [anon_sym_not] = ACTIONS(3495),
    [anon_sym_compl] = ACTIONS(3495),
    [anon_sym_DASH_DASH] = ACTIONS(3497),
    [anon_sym_PLUS_PLUS] = ACTIONS(3497),
    [anon_sym_sizeof] = ACTIONS(3495),
    [anon_sym___alignof__] = ACTIONS(3495),
    [anon_sym___alignof] = ACTIONS(3495),
    [anon_sym__alignof] = ACTIONS(3495),
    [anon_sym_alignof] = ACTIONS(3495),
    [anon_sym__Alignof] = ACTIONS(3495),
    [anon_sym_offsetof] = ACTIONS(3495),
    [anon_sym__Generic] = ACTIONS(3495),
    [anon_sym_asm] = ACTIONS(3495),
    [anon_sym___asm__] = ACTIONS(3495),
    [aux_sym_number_literal_token1] = ACTIONS(3497),
    [aux_sym_number_literal_token2] = ACTIONS(3495),
    [anon_sym_L_SQUOTE] = ACTIONS(3497),
    [anon_sym_u_SQUOTE] = ACTIONS(3497),
    [anon_sym_U_SQUOTE] = ACTIONS(3497),
    [anon_sym_u8_SQUOTE] = ACTIONS(3497),
    [anon_sym_SQUOTE] = ACTIONS(3497),
    [anon_sym_L_DQUOTE] = ACTIONS(3497),
    [anon_sym_u_DQUOTE] = ACTIONS(3497),
    [anon_sym_U_DQUOTE] = ACTIONS(3497),
    [anon_sym_u8_DQUOTE] = ACTIONS(3497),
    [anon_sym_DQUOTE] = ACTIONS(3497),
    [sym_true] = ACTIONS(3495),
    [sym_false] = ACTIONS(3495),
    [anon_sym_NULL] = ACTIONS(3495),
    [anon_sym_nullptr] = ACTIONS(3495),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3495),
    [anon_sym_decltype] = ACTIONS(3495),
    [anon_sym_virtual] = ACTIONS(3495),
    [anon_sym_alignas] = ACTIONS(3495),
    [anon_sym_explicit] = ACTIONS(3495),
    [anon_sym_typename] = ACTIONS(3495),
    [anon_sym_template] = ACTIONS(3495),
    [anon_sym_operator] = ACTIONS(3495),
    [anon_sym_try] = ACTIONS(3495),
    [anon_sym_delete] = ACTIONS(3495),
    [anon_sym_throw] = ACTIONS(3495),
    [anon_sym_namespace] = ACTIONS(3495),
    [anon_sym_using] = ACTIONS(3495),
    [anon_sym_static_assert] = ACTIONS(3495),
    [anon_sym_concept] = ACTIONS(3495),
    [anon_sym_co_return] = ACTIONS(3495),
    [anon_sym_co_yield] = ACTIONS(3495),
    [anon_sym_R_DQUOTE] = ACTIONS(3497),
    [anon_sym_LR_DQUOTE] = ACTIONS(3497),
    [anon_sym_uR_DQUOTE] = ACTIONS(3497),
    [anon_sym_UR_DQUOTE] = ACTIONS(3497),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3497),
    [anon_sym_co_await] = ACTIONS(3495),
    [anon_sym_new] = ACTIONS(3495),
    [anon_sym_requires] = ACTIONS(3495),
    [sym_this] = ACTIONS(3495),
  },
  [582] = {
    [sym_else_clause] = STATE(650),
    [sym_identifier] = ACTIONS(2907),
    [aux_sym_preproc_include_token1] = ACTIONS(2907),
    [aux_sym_preproc_def_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token2] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2907),
    [sym_preproc_directive] = ACTIONS(2907),
    [anon_sym_LPAREN2] = ACTIONS(2909),
    [anon_sym_BANG] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_SEMI] = ACTIONS(2909),
    [anon_sym___extension__] = ACTIONS(2907),
    [anon_sym_typedef] = ACTIONS(2907),
    [anon_sym_extern] = ACTIONS(2907),
    [anon_sym___attribute__] = ACTIONS(2907),
    [anon_sym_COLON_COLON] = ACTIONS(2909),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2909),
    [anon_sym___declspec] = ACTIONS(2907),
    [anon_sym___based] = ACTIONS(2907),
    [anon_sym___cdecl] = ACTIONS(2907),
    [anon_sym___clrcall] = ACTIONS(2907),
    [anon_sym___stdcall] = ACTIONS(2907),
    [anon_sym___fastcall] = ACTIONS(2907),
    [anon_sym___thiscall] = ACTIONS(2907),
    [anon_sym___vectorcall] = ACTIONS(2907),
    [anon_sym_LBRACE] = ACTIONS(2909),
    [anon_sym_signed] = ACTIONS(2907),
    [anon_sym_unsigned] = ACTIONS(2907),
    [anon_sym_long] = ACTIONS(2907),
    [anon_sym_short] = ACTIONS(2907),
    [anon_sym_LBRACK] = ACTIONS(2907),
    [anon_sym_static] = ACTIONS(2907),
    [anon_sym_register] = ACTIONS(2907),
    [anon_sym_inline] = ACTIONS(2907),
    [anon_sym___inline] = ACTIONS(2907),
    [anon_sym___inline__] = ACTIONS(2907),
    [anon_sym___forceinline] = ACTIONS(2907),
    [anon_sym_thread_local] = ACTIONS(2907),
    [anon_sym___thread] = ACTIONS(2907),
    [anon_sym_const] = ACTIONS(2907),
    [anon_sym_constexpr] = ACTIONS(2907),
    [anon_sym_volatile] = ACTIONS(2907),
    [anon_sym_restrict] = ACTIONS(2907),
    [anon_sym___restrict__] = ACTIONS(2907),
    [anon_sym__Atomic] = ACTIONS(2907),
    [anon_sym__Noreturn] = ACTIONS(2907),
    [anon_sym_noreturn] = ACTIONS(2907),
    [anon_sym_mutable] = ACTIONS(2907),
    [anon_sym_constinit] = ACTIONS(2907),
    [anon_sym_consteval] = ACTIONS(2907),
    [anon_sym_PROGMEM] = ACTIONS(2907),
    [aux_sym_primitive_type_token1] = ACTIONS(2907),
    [anon_sym_byte] = ACTIONS(2907),
    [anon_sym_word] = ACTIONS(2907),
    [anon_sym_enum] = ACTIONS(2907),
    [anon_sym_class] = ACTIONS(2907),
    [anon_sym_struct] = ACTIONS(2907),
    [anon_sym_union] = ACTIONS(2907),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_else] = ACTIONS(3523),
    [anon_sym_switch] = ACTIONS(2907),
    [anon_sym_case] = ACTIONS(2907),
    [anon_sym_default] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(2907),
    [anon_sym_do] = ACTIONS(2907),
    [anon_sym_for] = ACTIONS(2907),
    [anon_sym_return] = ACTIONS(2907),
    [anon_sym_break] = ACTIONS(2907),
    [anon_sym_continue] = ACTIONS(2907),
    [anon_sym_goto] = ACTIONS(2907),
    [anon_sym___try] = ACTIONS(2907),
    [anon_sym___leave] = ACTIONS(2907),
    [anon_sym_not] = ACTIONS(2907),
    [anon_sym_compl] = ACTIONS(2907),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_sizeof] = ACTIONS(2907),
    [anon_sym___alignof__] = ACTIONS(2907),
    [anon_sym___alignof] = ACTIONS(2907),
    [anon_sym__alignof] = ACTIONS(2907),
    [anon_sym_alignof] = ACTIONS(2907),
    [anon_sym__Alignof] = ACTIONS(2907),
    [anon_sym_offsetof] = ACTIONS(2907),
    [anon_sym__Generic] = ACTIONS(2907),
    [anon_sym_asm] = ACTIONS(2907),
    [anon_sym___asm__] = ACTIONS(2907),
    [aux_sym_number_literal_token1] = ACTIONS(2909),
    [aux_sym_number_literal_token2] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2909),
    [anon_sym_u_SQUOTE] = ACTIONS(2909),
    [anon_sym_U_SQUOTE] = ACTIONS(2909),
    [anon_sym_u8_SQUOTE] = ACTIONS(2909),
    [anon_sym_SQUOTE] = ACTIONS(2909),
    [anon_sym_L_DQUOTE] = ACTIONS(2909),
    [anon_sym_u_DQUOTE] = ACTIONS(2909),
    [anon_sym_U_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8_DQUOTE] = ACTIONS(2909),
    [anon_sym_DQUOTE] = ACTIONS(2909),
    [sym_true] = ACTIONS(2907),
    [sym_false] = ACTIONS(2907),
    [anon_sym_NULL] = ACTIONS(2907),
    [anon_sym_nullptr] = ACTIONS(2907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2907),
    [anon_sym_decltype] = ACTIONS(2907),
    [anon_sym_virtual] = ACTIONS(2907),
    [anon_sym_alignas] = ACTIONS(2907),
    [anon_sym_explicit] = ACTIONS(2907),
    [anon_sym_typename] = ACTIONS(2907),
    [anon_sym_template] = ACTIONS(2907),
    [anon_sym_operator] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2907),
    [anon_sym_delete] = ACTIONS(2907),
    [anon_sym_throw] = ACTIONS(2907),
    [anon_sym_namespace] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2907),
    [anon_sym_static_assert] = ACTIONS(2907),
    [anon_sym_concept] = ACTIONS(2907),
    [anon_sym_co_return] = ACTIONS(2907),
    [anon_sym_co_yield] = ACTIONS(2907),
    [anon_sym_R_DQUOTE] = ACTIONS(2909),
    [anon_sym_LR_DQUOTE] = ACTIONS(2909),
    [anon_sym_uR_DQUOTE] = ACTIONS(2909),
    [anon_sym_UR_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2909),
    [anon_sym_co_await] = ACTIONS(2907),
    [anon_sym_new] = ACTIONS(2907),
    [anon_sym_requires] = ACTIONS(2907),
    [sym_this] = ACTIONS(2907),
  },
  [583] = {
    [sym_identifier] = ACTIONS(3216),
    [aux_sym_preproc_include_token1] = ACTIONS(3216),
    [aux_sym_preproc_def_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token2] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3216),
    [aux_sym_preproc_else_token1] = ACTIONS(3216),
    [aux_sym_preproc_elif_token1] = ACTIONS(3216),
    [sym_preproc_directive] = ACTIONS(3216),
    [anon_sym_LPAREN2] = ACTIONS(3218),
    [anon_sym_BANG] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3218),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3218),
    [anon_sym___extension__] = ACTIONS(3216),
    [anon_sym_typedef] = ACTIONS(3216),
    [anon_sym_extern] = ACTIONS(3216),
    [anon_sym___attribute__] = ACTIONS(3216),
    [anon_sym_COLON_COLON] = ACTIONS(3218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3218),
    [anon_sym___declspec] = ACTIONS(3216),
    [anon_sym___based] = ACTIONS(3216),
    [anon_sym___cdecl] = ACTIONS(3216),
    [anon_sym___clrcall] = ACTIONS(3216),
    [anon_sym___stdcall] = ACTIONS(3216),
    [anon_sym___fastcall] = ACTIONS(3216),
    [anon_sym___thiscall] = ACTIONS(3216),
    [anon_sym___vectorcall] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_signed] = ACTIONS(3216),
    [anon_sym_unsigned] = ACTIONS(3216),
    [anon_sym_long] = ACTIONS(3216),
    [anon_sym_short] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_register] = ACTIONS(3216),
    [anon_sym_inline] = ACTIONS(3216),
    [anon_sym___inline] = ACTIONS(3216),
    [anon_sym___inline__] = ACTIONS(3216),
    [anon_sym___forceinline] = ACTIONS(3216),
    [anon_sym_thread_local] = ACTIONS(3216),
    [anon_sym___thread] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_constexpr] = ACTIONS(3216),
    [anon_sym_volatile] = ACTIONS(3216),
    [anon_sym_restrict] = ACTIONS(3216),
    [anon_sym___restrict__] = ACTIONS(3216),
    [anon_sym__Atomic] = ACTIONS(3216),
    [anon_sym__Noreturn] = ACTIONS(3216),
    [anon_sym_noreturn] = ACTIONS(3216),
    [anon_sym_mutable] = ACTIONS(3216),
    [anon_sym_constinit] = ACTIONS(3216),
    [anon_sym_consteval] = ACTIONS(3216),
    [anon_sym_PROGMEM] = ACTIONS(3216),
    [aux_sym_primitive_type_token1] = ACTIONS(3216),
    [anon_sym_byte] = ACTIONS(3216),
    [anon_sym_word] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3216),
    [anon_sym_union] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_case] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_goto] = ACTIONS(3216),
    [anon_sym___try] = ACTIONS(3216),
    [anon_sym___leave] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(3216),
    [anon_sym_compl] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_sizeof] = ACTIONS(3216),
    [anon_sym___alignof__] = ACTIONS(3216),
    [anon_sym___alignof] = ACTIONS(3216),
    [anon_sym__alignof] = ACTIONS(3216),
    [anon_sym_alignof] = ACTIONS(3216),
    [anon_sym__Alignof] = ACTIONS(3216),
    [anon_sym_offsetof] = ACTIONS(3216),
    [anon_sym__Generic] = ACTIONS(3216),
    [anon_sym_asm] = ACTIONS(3216),
    [anon_sym___asm__] = ACTIONS(3216),
    [aux_sym_number_literal_token1] = ACTIONS(3218),
    [aux_sym_number_literal_token2] = ACTIONS(3216),
    [anon_sym_L_SQUOTE] = ACTIONS(3218),
    [anon_sym_u_SQUOTE] = ACTIONS(3218),
    [anon_sym_U_SQUOTE] = ACTIONS(3218),
    [anon_sym_u8_SQUOTE] = ACTIONS(3218),
    [anon_sym_SQUOTE] = ACTIONS(3218),
    [anon_sym_L_DQUOTE] = ACTIONS(3218),
    [anon_sym_u_DQUOTE] = ACTIONS(3218),
    [anon_sym_U_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8_DQUOTE] = ACTIONS(3218),
    [anon_sym_DQUOTE] = ACTIONS(3218),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [anon_sym_NULL] = ACTIONS(3216),
    [anon_sym_nullptr] = ACTIONS(3216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3216),
    [anon_sym_decltype] = ACTIONS(3216),
    [anon_sym_virtual] = ACTIONS(3216),
    [anon_sym_alignas] = ACTIONS(3216),
    [anon_sym_explicit] = ACTIONS(3216),
    [anon_sym_typename] = ACTIONS(3216),
    [anon_sym_template] = ACTIONS(3216),
    [anon_sym_operator] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_static_assert] = ACTIONS(3216),
    [anon_sym_concept] = ACTIONS(3216),
    [anon_sym_co_return] = ACTIONS(3216),
    [anon_sym_co_yield] = ACTIONS(3216),
    [anon_sym_R_DQUOTE] = ACTIONS(3218),
    [anon_sym_LR_DQUOTE] = ACTIONS(3218),
    [anon_sym_uR_DQUOTE] = ACTIONS(3218),
    [anon_sym_UR_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3218),
    [anon_sym_co_await] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_requires] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
  },
  [584] = {
    [sym_identifier] = ACTIONS(3381),
    [aux_sym_preproc_include_token1] = ACTIONS(3381),
    [aux_sym_preproc_def_token1] = ACTIONS(3381),
    [aux_sym_preproc_if_token1] = ACTIONS(3381),
    [aux_sym_preproc_if_token2] = ACTIONS(3381),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3381),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3381),
    [aux_sym_preproc_else_token1] = ACTIONS(3381),
    [aux_sym_preproc_elif_token1] = ACTIONS(3381),
    [sym_preproc_directive] = ACTIONS(3381),
    [anon_sym_LPAREN2] = ACTIONS(3383),
    [anon_sym_BANG] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(3383),
    [anon_sym_DASH] = ACTIONS(3381),
    [anon_sym_PLUS] = ACTIONS(3381),
    [anon_sym_STAR] = ACTIONS(3383),
    [anon_sym_AMP_AMP] = ACTIONS(3383),
    [anon_sym_AMP] = ACTIONS(3381),
    [anon_sym_SEMI] = ACTIONS(3383),
    [anon_sym___extension__] = ACTIONS(3381),
    [anon_sym_typedef] = ACTIONS(3381),
    [anon_sym_extern] = ACTIONS(3381),
    [anon_sym___attribute__] = ACTIONS(3381),
    [anon_sym_COLON_COLON] = ACTIONS(3383),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3383),
    [anon_sym___declspec] = ACTIONS(3381),
    [anon_sym___based] = ACTIONS(3381),
    [anon_sym___cdecl] = ACTIONS(3381),
    [anon_sym___clrcall] = ACTIONS(3381),
    [anon_sym___stdcall] = ACTIONS(3381),
    [anon_sym___fastcall] = ACTIONS(3381),
    [anon_sym___thiscall] = ACTIONS(3381),
    [anon_sym___vectorcall] = ACTIONS(3381),
    [anon_sym_LBRACE] = ACTIONS(3383),
    [anon_sym_signed] = ACTIONS(3381),
    [anon_sym_unsigned] = ACTIONS(3381),
    [anon_sym_long] = ACTIONS(3381),
    [anon_sym_short] = ACTIONS(3381),
    [anon_sym_LBRACK] = ACTIONS(3381),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_register] = ACTIONS(3381),
    [anon_sym_inline] = ACTIONS(3381),
    [anon_sym___inline] = ACTIONS(3381),
    [anon_sym___inline__] = ACTIONS(3381),
    [anon_sym___forceinline] = ACTIONS(3381),
    [anon_sym_thread_local] = ACTIONS(3381),
    [anon_sym___thread] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3381),
    [anon_sym_constexpr] = ACTIONS(3381),
    [anon_sym_volatile] = ACTIONS(3381),
    [anon_sym_restrict] = ACTIONS(3381),
    [anon_sym___restrict__] = ACTIONS(3381),
    [anon_sym__Atomic] = ACTIONS(3381),
    [anon_sym__Noreturn] = ACTIONS(3381),
    [anon_sym_noreturn] = ACTIONS(3381),
    [anon_sym_mutable] = ACTIONS(3381),
    [anon_sym_constinit] = ACTIONS(3381),
    [anon_sym_consteval] = ACTIONS(3381),
    [anon_sym_PROGMEM] = ACTIONS(3381),
    [aux_sym_primitive_type_token1] = ACTIONS(3381),
    [anon_sym_byte] = ACTIONS(3381),
    [anon_sym_word] = ACTIONS(3381),
    [anon_sym_enum] = ACTIONS(3381),
    [anon_sym_class] = ACTIONS(3381),
    [anon_sym_struct] = ACTIONS(3381),
    [anon_sym_union] = ACTIONS(3381),
    [anon_sym_if] = ACTIONS(3381),
    [anon_sym_switch] = ACTIONS(3381),
    [anon_sym_case] = ACTIONS(3381),
    [anon_sym_default] = ACTIONS(3381),
    [anon_sym_while] = ACTIONS(3381),
    [anon_sym_do] = ACTIONS(3381),
    [anon_sym_for] = ACTIONS(3381),
    [anon_sym_return] = ACTIONS(3381),
    [anon_sym_break] = ACTIONS(3381),
    [anon_sym_continue] = ACTIONS(3381),
    [anon_sym_goto] = ACTIONS(3381),
    [anon_sym___try] = ACTIONS(3381),
    [anon_sym___leave] = ACTIONS(3381),
    [anon_sym_not] = ACTIONS(3381),
    [anon_sym_compl] = ACTIONS(3381),
    [anon_sym_DASH_DASH] = ACTIONS(3383),
    [anon_sym_PLUS_PLUS] = ACTIONS(3383),
    [anon_sym_sizeof] = ACTIONS(3381),
    [anon_sym___alignof__] = ACTIONS(3381),
    [anon_sym___alignof] = ACTIONS(3381),
    [anon_sym__alignof] = ACTIONS(3381),
    [anon_sym_alignof] = ACTIONS(3381),
    [anon_sym__Alignof] = ACTIONS(3381),
    [anon_sym_offsetof] = ACTIONS(3381),
    [anon_sym__Generic] = ACTIONS(3381),
    [anon_sym_asm] = ACTIONS(3381),
    [anon_sym___asm__] = ACTIONS(3381),
    [aux_sym_number_literal_token1] = ACTIONS(3383),
    [aux_sym_number_literal_token2] = ACTIONS(3381),
    [anon_sym_L_SQUOTE] = ACTIONS(3383),
    [anon_sym_u_SQUOTE] = ACTIONS(3383),
    [anon_sym_U_SQUOTE] = ACTIONS(3383),
    [anon_sym_u8_SQUOTE] = ACTIONS(3383),
    [anon_sym_SQUOTE] = ACTIONS(3383),
    [anon_sym_L_DQUOTE] = ACTIONS(3383),
    [anon_sym_u_DQUOTE] = ACTIONS(3383),
    [anon_sym_U_DQUOTE] = ACTIONS(3383),
    [anon_sym_u8_DQUOTE] = ACTIONS(3383),
    [anon_sym_DQUOTE] = ACTIONS(3383),
    [sym_true] = ACTIONS(3381),
    [sym_false] = ACTIONS(3381),
    [anon_sym_NULL] = ACTIONS(3381),
    [anon_sym_nullptr] = ACTIONS(3381),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3381),
    [anon_sym_decltype] = ACTIONS(3381),
    [anon_sym_virtual] = ACTIONS(3381),
    [anon_sym_alignas] = ACTIONS(3381),
    [anon_sym_explicit] = ACTIONS(3381),
    [anon_sym_typename] = ACTIONS(3381),
    [anon_sym_template] = ACTIONS(3381),
    [anon_sym_operator] = ACTIONS(3381),
    [anon_sym_try] = ACTIONS(3381),
    [anon_sym_delete] = ACTIONS(3381),
    [anon_sym_throw] = ACTIONS(3381),
    [anon_sym_namespace] = ACTIONS(3381),
    [anon_sym_using] = ACTIONS(3381),
    [anon_sym_static_assert] = ACTIONS(3381),
    [anon_sym_concept] = ACTIONS(3381),
    [anon_sym_co_return] = ACTIONS(3381),
    [anon_sym_co_yield] = ACTIONS(3381),
    [anon_sym_R_DQUOTE] = ACTIONS(3383),
    [anon_sym_LR_DQUOTE] = ACTIONS(3383),
    [anon_sym_uR_DQUOTE] = ACTIONS(3383),
    [anon_sym_UR_DQUOTE] = ACTIONS(3383),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3383),
    [anon_sym_co_await] = ACTIONS(3381),
    [anon_sym_new] = ACTIONS(3381),
    [anon_sym_requires] = ACTIONS(3381),
    [sym_this] = ACTIONS(3381),
  },
  [585] = {
    [sym_identifier] = ACTIONS(3176),
    [aux_sym_preproc_include_token1] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token2] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [aux_sym_preproc_else_token1] = ACTIONS(3176),
    [aux_sym_preproc_elif_token1] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3178),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3178),
    [anon_sym___extension__] = ACTIONS(3176),
    [anon_sym_typedef] = ACTIONS(3176),
    [anon_sym_extern] = ACTIONS(3176),
    [anon_sym___attribute__] = ACTIONS(3176),
    [anon_sym_COLON_COLON] = ACTIONS(3178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3178),
    [anon_sym___declspec] = ACTIONS(3176),
    [anon_sym___based] = ACTIONS(3176),
    [anon_sym___cdecl] = ACTIONS(3176),
    [anon_sym___clrcall] = ACTIONS(3176),
    [anon_sym___stdcall] = ACTIONS(3176),
    [anon_sym___fastcall] = ACTIONS(3176),
    [anon_sym___thiscall] = ACTIONS(3176),
    [anon_sym___vectorcall] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3178),
    [anon_sym_signed] = ACTIONS(3176),
    [anon_sym_unsigned] = ACTIONS(3176),
    [anon_sym_long] = ACTIONS(3176),
    [anon_sym_short] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_register] = ACTIONS(3176),
    [anon_sym_inline] = ACTIONS(3176),
    [anon_sym___inline] = ACTIONS(3176),
    [anon_sym___inline__] = ACTIONS(3176),
    [anon_sym___forceinline] = ACTIONS(3176),
    [anon_sym_thread_local] = ACTIONS(3176),
    [anon_sym___thread] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_constexpr] = ACTIONS(3176),
    [anon_sym_volatile] = ACTIONS(3176),
    [anon_sym_restrict] = ACTIONS(3176),
    [anon_sym___restrict__] = ACTIONS(3176),
    [anon_sym__Atomic] = ACTIONS(3176),
    [anon_sym__Noreturn] = ACTIONS(3176),
    [anon_sym_noreturn] = ACTIONS(3176),
    [anon_sym_mutable] = ACTIONS(3176),
    [anon_sym_constinit] = ACTIONS(3176),
    [anon_sym_consteval] = ACTIONS(3176),
    [anon_sym_PROGMEM] = ACTIONS(3176),
    [aux_sym_primitive_type_token1] = ACTIONS(3176),
    [anon_sym_byte] = ACTIONS(3176),
    [anon_sym_word] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_struct] = ACTIONS(3176),
    [anon_sym_union] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_default] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_goto] = ACTIONS(3176),
    [anon_sym___try] = ACTIONS(3176),
    [anon_sym___leave] = ACTIONS(3176),
    [anon_sym_not] = ACTIONS(3176),
    [anon_sym_compl] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(3176),
    [anon_sym___alignof__] = ACTIONS(3176),
    [anon_sym___alignof] = ACTIONS(3176),
    [anon_sym__alignof] = ACTIONS(3176),
    [anon_sym_alignof] = ACTIONS(3176),
    [anon_sym__Alignof] = ACTIONS(3176),
    [anon_sym_offsetof] = ACTIONS(3176),
    [anon_sym__Generic] = ACTIONS(3176),
    [anon_sym_asm] = ACTIONS(3176),
    [anon_sym___asm__] = ACTIONS(3176),
    [aux_sym_number_literal_token1] = ACTIONS(3178),
    [aux_sym_number_literal_token2] = ACTIONS(3176),
    [anon_sym_L_SQUOTE] = ACTIONS(3178),
    [anon_sym_u_SQUOTE] = ACTIONS(3178),
    [anon_sym_U_SQUOTE] = ACTIONS(3178),
    [anon_sym_u8_SQUOTE] = ACTIONS(3178),
    [anon_sym_SQUOTE] = ACTIONS(3178),
    [anon_sym_L_DQUOTE] = ACTIONS(3178),
    [anon_sym_u_DQUOTE] = ACTIONS(3178),
    [anon_sym_U_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8_DQUOTE] = ACTIONS(3178),
    [anon_sym_DQUOTE] = ACTIONS(3178),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [anon_sym_NULL] = ACTIONS(3176),
    [anon_sym_nullptr] = ACTIONS(3176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3176),
    [anon_sym_decltype] = ACTIONS(3176),
    [anon_sym_virtual] = ACTIONS(3176),
    [anon_sym_alignas] = ACTIONS(3176),
    [anon_sym_explicit] = ACTIONS(3176),
    [anon_sym_typename] = ACTIONS(3176),
    [anon_sym_template] = ACTIONS(3176),
    [anon_sym_operator] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_static_assert] = ACTIONS(3176),
    [anon_sym_concept] = ACTIONS(3176),
    [anon_sym_co_return] = ACTIONS(3176),
    [anon_sym_co_yield] = ACTIONS(3176),
    [anon_sym_R_DQUOTE] = ACTIONS(3178),
    [anon_sym_LR_DQUOTE] = ACTIONS(3178),
    [anon_sym_uR_DQUOTE] = ACTIONS(3178),
    [anon_sym_UR_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3178),
    [anon_sym_co_await] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_requires] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
  },
  [586] = {
    [sym_identifier] = ACTIONS(3204),
    [aux_sym_preproc_include_token1] = ACTIONS(3204),
    [aux_sym_preproc_def_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token2] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3204),
    [aux_sym_preproc_else_token1] = ACTIONS(3204),
    [aux_sym_preproc_elif_token1] = ACTIONS(3204),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_AMP_AMP] = ACTIONS(3206),
    [anon_sym_AMP] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym___extension__] = ACTIONS(3204),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_extern] = ACTIONS(3204),
    [anon_sym___attribute__] = ACTIONS(3204),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3206),
    [anon_sym___declspec] = ACTIONS(3204),
    [anon_sym___based] = ACTIONS(3204),
    [anon_sym___cdecl] = ACTIONS(3204),
    [anon_sym___clrcall] = ACTIONS(3204),
    [anon_sym___stdcall] = ACTIONS(3204),
    [anon_sym___fastcall] = ACTIONS(3204),
    [anon_sym___thiscall] = ACTIONS(3204),
    [anon_sym___vectorcall] = ACTIONS(3204),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_signed] = ACTIONS(3204),
    [anon_sym_unsigned] = ACTIONS(3204),
    [anon_sym_long] = ACTIONS(3204),
    [anon_sym_short] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_static] = ACTIONS(3204),
    [anon_sym_register] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(3204),
    [anon_sym___inline] = ACTIONS(3204),
    [anon_sym___inline__] = ACTIONS(3204),
    [anon_sym___forceinline] = ACTIONS(3204),
    [anon_sym_thread_local] = ACTIONS(3204),
    [anon_sym___thread] = ACTIONS(3204),
    [anon_sym_const] = ACTIONS(3204),
    [anon_sym_constexpr] = ACTIONS(3204),
    [anon_sym_volatile] = ACTIONS(3204),
    [anon_sym_restrict] = ACTIONS(3204),
    [anon_sym___restrict__] = ACTIONS(3204),
    [anon_sym__Atomic] = ACTIONS(3204),
    [anon_sym__Noreturn] = ACTIONS(3204),
    [anon_sym_noreturn] = ACTIONS(3204),
    [anon_sym_mutable] = ACTIONS(3204),
    [anon_sym_constinit] = ACTIONS(3204),
    [anon_sym_consteval] = ACTIONS(3204),
    [anon_sym_PROGMEM] = ACTIONS(3204),
    [aux_sym_primitive_type_token1] = ACTIONS(3204),
    [anon_sym_byte] = ACTIONS(3204),
    [anon_sym_word] = ACTIONS(3204),
    [anon_sym_enum] = ACTIONS(3204),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_struct] = ACTIONS(3204),
    [anon_sym_union] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3204),
    [anon_sym_switch] = ACTIONS(3204),
    [anon_sym_case] = ACTIONS(3204),
    [anon_sym_default] = ACTIONS(3204),
    [anon_sym_while] = ACTIONS(3204),
    [anon_sym_do] = ACTIONS(3204),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_return] = ACTIONS(3204),
    [anon_sym_break] = ACTIONS(3204),
    [anon_sym_continue] = ACTIONS(3204),
    [anon_sym_goto] = ACTIONS(3204),
    [anon_sym___try] = ACTIONS(3204),
    [anon_sym___leave] = ACTIONS(3204),
    [anon_sym_not] = ACTIONS(3204),
    [anon_sym_compl] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_sizeof] = ACTIONS(3204),
    [anon_sym___alignof__] = ACTIONS(3204),
    [anon_sym___alignof] = ACTIONS(3204),
    [anon_sym__alignof] = ACTIONS(3204),
    [anon_sym_alignof] = ACTIONS(3204),
    [anon_sym__Alignof] = ACTIONS(3204),
    [anon_sym_offsetof] = ACTIONS(3204),
    [anon_sym__Generic] = ACTIONS(3204),
    [anon_sym_asm] = ACTIONS(3204),
    [anon_sym___asm__] = ACTIONS(3204),
    [aux_sym_number_literal_token1] = ACTIONS(3206),
    [aux_sym_number_literal_token2] = ACTIONS(3204),
    [anon_sym_L_SQUOTE] = ACTIONS(3206),
    [anon_sym_u_SQUOTE] = ACTIONS(3206),
    [anon_sym_U_SQUOTE] = ACTIONS(3206),
    [anon_sym_u8_SQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [anon_sym_L_DQUOTE] = ACTIONS(3206),
    [anon_sym_u_DQUOTE] = ACTIONS(3206),
    [anon_sym_U_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8_DQUOTE] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [sym_true] = ACTIONS(3204),
    [sym_false] = ACTIONS(3204),
    [anon_sym_NULL] = ACTIONS(3204),
    [anon_sym_nullptr] = ACTIONS(3204),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3204),
    [anon_sym_decltype] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(3204),
    [anon_sym_alignas] = ACTIONS(3204),
    [anon_sym_explicit] = ACTIONS(3204),
    [anon_sym_typename] = ACTIONS(3204),
    [anon_sym_template] = ACTIONS(3204),
    [anon_sym_operator] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3204),
    [anon_sym_delete] = ACTIONS(3204),
    [anon_sym_throw] = ACTIONS(3204),
    [anon_sym_namespace] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3204),
    [anon_sym_static_assert] = ACTIONS(3204),
    [anon_sym_concept] = ACTIONS(3204),
    [anon_sym_co_return] = ACTIONS(3204),
    [anon_sym_co_yield] = ACTIONS(3204),
    [anon_sym_R_DQUOTE] = ACTIONS(3206),
    [anon_sym_LR_DQUOTE] = ACTIONS(3206),
    [anon_sym_uR_DQUOTE] = ACTIONS(3206),
    [anon_sym_UR_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3206),
    [anon_sym_co_await] = ACTIONS(3204),
    [anon_sym_new] = ACTIONS(3204),
    [anon_sym_requires] = ACTIONS(3204),
    [sym_this] = ACTIONS(3204),
  },
  [587] = {
    [sym_else_clause] = STATE(828),
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_RBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_PROGMEM] = ACTIONS(2913),
    [aux_sym_primitive_type_token1] = ACTIONS(2913),
    [anon_sym_byte] = ACTIONS(2913),
    [anon_sym_word] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(3521),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [aux_sym_number_literal_token1] = ACTIONS(2915),
    [aux_sym_number_literal_token2] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [588] = {
    [sym_identifier] = ACTIONS(3515),
    [aux_sym_preproc_include_token1] = ACTIONS(3515),
    [aux_sym_preproc_def_token1] = ACTIONS(3515),
    [aux_sym_preproc_if_token1] = ACTIONS(3515),
    [aux_sym_preproc_if_token2] = ACTIONS(3515),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3515),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3515),
    [aux_sym_preproc_else_token1] = ACTIONS(3515),
    [aux_sym_preproc_elif_token1] = ACTIONS(3515),
    [sym_preproc_directive] = ACTIONS(3515),
    [anon_sym_LPAREN2] = ACTIONS(3517),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(3517),
    [anon_sym_AMP_AMP] = ACTIONS(3517),
    [anon_sym_AMP] = ACTIONS(3515),
    [anon_sym_SEMI] = ACTIONS(3517),
    [anon_sym___extension__] = ACTIONS(3515),
    [anon_sym_typedef] = ACTIONS(3515),
    [anon_sym_extern] = ACTIONS(3515),
    [anon_sym___attribute__] = ACTIONS(3515),
    [anon_sym_COLON_COLON] = ACTIONS(3517),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3517),
    [anon_sym___declspec] = ACTIONS(3515),
    [anon_sym___based] = ACTIONS(3515),
    [anon_sym___cdecl] = ACTIONS(3515),
    [anon_sym___clrcall] = ACTIONS(3515),
    [anon_sym___stdcall] = ACTIONS(3515),
    [anon_sym___fastcall] = ACTIONS(3515),
    [anon_sym___thiscall] = ACTIONS(3515),
    [anon_sym___vectorcall] = ACTIONS(3515),
    [anon_sym_LBRACE] = ACTIONS(3517),
    [anon_sym_signed] = ACTIONS(3515),
    [anon_sym_unsigned] = ACTIONS(3515),
    [anon_sym_long] = ACTIONS(3515),
    [anon_sym_short] = ACTIONS(3515),
    [anon_sym_LBRACK] = ACTIONS(3515),
    [anon_sym_static] = ACTIONS(3515),
    [anon_sym_register] = ACTIONS(3515),
    [anon_sym_inline] = ACTIONS(3515),
    [anon_sym___inline] = ACTIONS(3515),
    [anon_sym___inline__] = ACTIONS(3515),
    [anon_sym___forceinline] = ACTIONS(3515),
    [anon_sym_thread_local] = ACTIONS(3515),
    [anon_sym___thread] = ACTIONS(3515),
    [anon_sym_const] = ACTIONS(3515),
    [anon_sym_constexpr] = ACTIONS(3515),
    [anon_sym_volatile] = ACTIONS(3515),
    [anon_sym_restrict] = ACTIONS(3515),
    [anon_sym___restrict__] = ACTIONS(3515),
    [anon_sym__Atomic] = ACTIONS(3515),
    [anon_sym__Noreturn] = ACTIONS(3515),
    [anon_sym_noreturn] = ACTIONS(3515),
    [anon_sym_mutable] = ACTIONS(3515),
    [anon_sym_constinit] = ACTIONS(3515),
    [anon_sym_consteval] = ACTIONS(3515),
    [anon_sym_PROGMEM] = ACTIONS(3515),
    [aux_sym_primitive_type_token1] = ACTIONS(3515),
    [anon_sym_byte] = ACTIONS(3515),
    [anon_sym_word] = ACTIONS(3515),
    [anon_sym_enum] = ACTIONS(3515),
    [anon_sym_class] = ACTIONS(3515),
    [anon_sym_struct] = ACTIONS(3515),
    [anon_sym_union] = ACTIONS(3515),
    [anon_sym_if] = ACTIONS(3515),
    [anon_sym_switch] = ACTIONS(3515),
    [anon_sym_case] = ACTIONS(3515),
    [anon_sym_default] = ACTIONS(3515),
    [anon_sym_while] = ACTIONS(3515),
    [anon_sym_do] = ACTIONS(3515),
    [anon_sym_for] = ACTIONS(3515),
    [anon_sym_return] = ACTIONS(3515),
    [anon_sym_break] = ACTIONS(3515),
    [anon_sym_continue] = ACTIONS(3515),
    [anon_sym_goto] = ACTIONS(3515),
    [anon_sym___try] = ACTIONS(3515),
    [anon_sym___leave] = ACTIONS(3515),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(3517),
    [anon_sym_PLUS_PLUS] = ACTIONS(3517),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(3515),
    [anon_sym___alignof] = ACTIONS(3515),
    [anon_sym__alignof] = ACTIONS(3515),
    [anon_sym_alignof] = ACTIONS(3515),
    [anon_sym__Alignof] = ACTIONS(3515),
    [anon_sym_offsetof] = ACTIONS(3515),
    [anon_sym__Generic] = ACTIONS(3515),
    [anon_sym_asm] = ACTIONS(3515),
    [anon_sym___asm__] = ACTIONS(3515),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3515),
    [anon_sym_L_SQUOTE] = ACTIONS(3517),
    [anon_sym_u_SQUOTE] = ACTIONS(3517),
    [anon_sym_U_SQUOTE] = ACTIONS(3517),
    [anon_sym_u8_SQUOTE] = ACTIONS(3517),
    [anon_sym_SQUOTE] = ACTIONS(3517),
    [anon_sym_L_DQUOTE] = ACTIONS(3517),
    [anon_sym_u_DQUOTE] = ACTIONS(3517),
    [anon_sym_U_DQUOTE] = ACTIONS(3517),
    [anon_sym_u8_DQUOTE] = ACTIONS(3517),
    [anon_sym_DQUOTE] = ACTIONS(3517),
    [sym_true] = ACTIONS(3515),
    [sym_false] = ACTIONS(3515),
    [anon_sym_NULL] = ACTIONS(3515),
    [anon_sym_nullptr] = ACTIONS(3515),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3515),
    [anon_sym_decltype] = ACTIONS(3515),
    [anon_sym_virtual] = ACTIONS(3515),
    [anon_sym_alignas] = ACTIONS(3515),
    [anon_sym_explicit] = ACTIONS(3515),
    [anon_sym_typename] = ACTIONS(3515),
    [anon_sym_template] = ACTIONS(3515),
    [anon_sym_operator] = ACTIONS(3515),
    [anon_sym_try] = ACTIONS(3515),
    [anon_sym_delete] = ACTIONS(3515),
    [anon_sym_throw] = ACTIONS(3515),
    [anon_sym_namespace] = ACTIONS(3515),
    [anon_sym_using] = ACTIONS(3515),
    [anon_sym_static_assert] = ACTIONS(3515),
    [anon_sym_concept] = ACTIONS(3515),
    [anon_sym_co_return] = ACTIONS(3515),
    [anon_sym_co_yield] = ACTIONS(3515),
    [anon_sym_R_DQUOTE] = ACTIONS(3517),
    [anon_sym_LR_DQUOTE] = ACTIONS(3517),
    [anon_sym_uR_DQUOTE] = ACTIONS(3517),
    [anon_sym_UR_DQUOTE] = ACTIONS(3517),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3517),
    [anon_sym_co_await] = ACTIONS(3515),
    [anon_sym_new] = ACTIONS(3515),
    [anon_sym_requires] = ACTIONS(3515),
    [sym_this] = ACTIONS(3515),
  },
  [589] = {
    [sym_identifier] = ACTIONS(3278),
    [aux_sym_preproc_include_token1] = ACTIONS(3278),
    [aux_sym_preproc_def_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token2] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3278),
    [aux_sym_preproc_else_token1] = ACTIONS(3278),
    [aux_sym_preproc_elif_token1] = ACTIONS(3278),
    [sym_preproc_directive] = ACTIONS(3278),
    [anon_sym_LPAREN2] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym___extension__] = ACTIONS(3278),
    [anon_sym_typedef] = ACTIONS(3278),
    [anon_sym_extern] = ACTIONS(3278),
    [anon_sym___attribute__] = ACTIONS(3278),
    [anon_sym_COLON_COLON] = ACTIONS(3280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3280),
    [anon_sym___declspec] = ACTIONS(3278),
    [anon_sym___based] = ACTIONS(3278),
    [anon_sym___cdecl] = ACTIONS(3278),
    [anon_sym___clrcall] = ACTIONS(3278),
    [anon_sym___stdcall] = ACTIONS(3278),
    [anon_sym___fastcall] = ACTIONS(3278),
    [anon_sym___thiscall] = ACTIONS(3278),
    [anon_sym___vectorcall] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_signed] = ACTIONS(3278),
    [anon_sym_unsigned] = ACTIONS(3278),
    [anon_sym_long] = ACTIONS(3278),
    [anon_sym_short] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_register] = ACTIONS(3278),
    [anon_sym_inline] = ACTIONS(3278),
    [anon_sym___inline] = ACTIONS(3278),
    [anon_sym___inline__] = ACTIONS(3278),
    [anon_sym___forceinline] = ACTIONS(3278),
    [anon_sym_thread_local] = ACTIONS(3278),
    [anon_sym___thread] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_constexpr] = ACTIONS(3278),
    [anon_sym_volatile] = ACTIONS(3278),
    [anon_sym_restrict] = ACTIONS(3278),
    [anon_sym___restrict__] = ACTIONS(3278),
    [anon_sym__Atomic] = ACTIONS(3278),
    [anon_sym__Noreturn] = ACTIONS(3278),
    [anon_sym_noreturn] = ACTIONS(3278),
    [anon_sym_mutable] = ACTIONS(3278),
    [anon_sym_constinit] = ACTIONS(3278),
    [anon_sym_consteval] = ACTIONS(3278),
    [anon_sym_PROGMEM] = ACTIONS(3278),
    [aux_sym_primitive_type_token1] = ACTIONS(3278),
    [anon_sym_byte] = ACTIONS(3278),
    [anon_sym_word] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_struct] = ACTIONS(3278),
    [anon_sym_union] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_default] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_goto] = ACTIONS(3278),
    [anon_sym___try] = ACTIONS(3278),
    [anon_sym___leave] = ACTIONS(3278),
    [anon_sym_not] = ACTIONS(3278),
    [anon_sym_compl] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_sizeof] = ACTIONS(3278),
    [anon_sym___alignof__] = ACTIONS(3278),
    [anon_sym___alignof] = ACTIONS(3278),
    [anon_sym__alignof] = ACTIONS(3278),
    [anon_sym_alignof] = ACTIONS(3278),
    [anon_sym__Alignof] = ACTIONS(3278),
    [anon_sym_offsetof] = ACTIONS(3278),
    [anon_sym__Generic] = ACTIONS(3278),
    [anon_sym_asm] = ACTIONS(3278),
    [anon_sym___asm__] = ACTIONS(3278),
    [aux_sym_number_literal_token1] = ACTIONS(3280),
    [aux_sym_number_literal_token2] = ACTIONS(3278),
    [anon_sym_L_SQUOTE] = ACTIONS(3280),
    [anon_sym_u_SQUOTE] = ACTIONS(3280),
    [anon_sym_U_SQUOTE] = ACTIONS(3280),
    [anon_sym_u8_SQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [anon_sym_L_DQUOTE] = ACTIONS(3280),
    [anon_sym_u_DQUOTE] = ACTIONS(3280),
    [anon_sym_U_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8_DQUOTE] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [anon_sym_NULL] = ACTIONS(3278),
    [anon_sym_nullptr] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3278),
    [anon_sym_decltype] = ACTIONS(3278),
    [anon_sym_virtual] = ACTIONS(3278),
    [anon_sym_alignas] = ACTIONS(3278),
    [anon_sym_explicit] = ACTIONS(3278),
    [anon_sym_typename] = ACTIONS(3278),
    [anon_sym_template] = ACTIONS(3278),
    [anon_sym_operator] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_static_assert] = ACTIONS(3278),
    [anon_sym_concept] = ACTIONS(3278),
    [anon_sym_co_return] = ACTIONS(3278),
    [anon_sym_co_yield] = ACTIONS(3278),
    [anon_sym_R_DQUOTE] = ACTIONS(3280),
    [anon_sym_LR_DQUOTE] = ACTIONS(3280),
    [anon_sym_uR_DQUOTE] = ACTIONS(3280),
    [anon_sym_UR_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3280),
    [anon_sym_co_await] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_requires] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
  },
  [590] = {
    [sym_identifier] = ACTIONS(3427),
    [aux_sym_preproc_include_token1] = ACTIONS(3427),
    [aux_sym_preproc_def_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token2] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3427),
    [aux_sym_preproc_else_token1] = ACTIONS(3427),
    [aux_sym_preproc_elif_token1] = ACTIONS(3427),
    [sym_preproc_directive] = ACTIONS(3427),
    [anon_sym_LPAREN2] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3427),
    [anon_sym_PLUS] = ACTIONS(3427),
    [anon_sym_STAR] = ACTIONS(3429),
    [anon_sym_AMP_AMP] = ACTIONS(3429),
    [anon_sym_AMP] = ACTIONS(3427),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym___extension__] = ACTIONS(3427),
    [anon_sym_typedef] = ACTIONS(3427),
    [anon_sym_extern] = ACTIONS(3427),
    [anon_sym___attribute__] = ACTIONS(3427),
    [anon_sym_COLON_COLON] = ACTIONS(3429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3429),
    [anon_sym___declspec] = ACTIONS(3427),
    [anon_sym___based] = ACTIONS(3427),
    [anon_sym___cdecl] = ACTIONS(3427),
    [anon_sym___clrcall] = ACTIONS(3427),
    [anon_sym___stdcall] = ACTIONS(3427),
    [anon_sym___fastcall] = ACTIONS(3427),
    [anon_sym___thiscall] = ACTIONS(3427),
    [anon_sym___vectorcall] = ACTIONS(3427),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_signed] = ACTIONS(3427),
    [anon_sym_unsigned] = ACTIONS(3427),
    [anon_sym_long] = ACTIONS(3427),
    [anon_sym_short] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_register] = ACTIONS(3427),
    [anon_sym_inline] = ACTIONS(3427),
    [anon_sym___inline] = ACTIONS(3427),
    [anon_sym___inline__] = ACTIONS(3427),
    [anon_sym___forceinline] = ACTIONS(3427),
    [anon_sym_thread_local] = ACTIONS(3427),
    [anon_sym___thread] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_constexpr] = ACTIONS(3427),
    [anon_sym_volatile] = ACTIONS(3427),
    [anon_sym_restrict] = ACTIONS(3427),
    [anon_sym___restrict__] = ACTIONS(3427),
    [anon_sym__Atomic] = ACTIONS(3427),
    [anon_sym__Noreturn] = ACTIONS(3427),
    [anon_sym_noreturn] = ACTIONS(3427),
    [anon_sym_mutable] = ACTIONS(3427),
    [anon_sym_constinit] = ACTIONS(3427),
    [anon_sym_consteval] = ACTIONS(3427),
    [anon_sym_PROGMEM] = ACTIONS(3427),
    [aux_sym_primitive_type_token1] = ACTIONS(3427),
    [anon_sym_byte] = ACTIONS(3427),
    [anon_sym_word] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3427),
    [anon_sym_union] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(3427),
    [anon_sym_switch] = ACTIONS(3427),
    [anon_sym_case] = ACTIONS(3427),
    [anon_sym_default] = ACTIONS(3427),
    [anon_sym_while] = ACTIONS(3427),
    [anon_sym_do] = ACTIONS(3427),
    [anon_sym_for] = ACTIONS(3427),
    [anon_sym_return] = ACTIONS(3427),
    [anon_sym_break] = ACTIONS(3427),
    [anon_sym_continue] = ACTIONS(3427),
    [anon_sym_goto] = ACTIONS(3427),
    [anon_sym___try] = ACTIONS(3427),
    [anon_sym___leave] = ACTIONS(3427),
    [anon_sym_not] = ACTIONS(3427),
    [anon_sym_compl] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_sizeof] = ACTIONS(3427),
    [anon_sym___alignof__] = ACTIONS(3427),
    [anon_sym___alignof] = ACTIONS(3427),
    [anon_sym__alignof] = ACTIONS(3427),
    [anon_sym_alignof] = ACTIONS(3427),
    [anon_sym__Alignof] = ACTIONS(3427),
    [anon_sym_offsetof] = ACTIONS(3427),
    [anon_sym__Generic] = ACTIONS(3427),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [aux_sym_number_literal_token1] = ACTIONS(3429),
    [aux_sym_number_literal_token2] = ACTIONS(3427),
    [anon_sym_L_SQUOTE] = ACTIONS(3429),
    [anon_sym_u_SQUOTE] = ACTIONS(3429),
    [anon_sym_U_SQUOTE] = ACTIONS(3429),
    [anon_sym_u8_SQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [anon_sym_L_DQUOTE] = ACTIONS(3429),
    [anon_sym_u_DQUOTE] = ACTIONS(3429),
    [anon_sym_U_DQUOTE] = ACTIONS(3429),
    [anon_sym_u8_DQUOTE] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [sym_true] = ACTIONS(3427),
    [sym_false] = ACTIONS(3427),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3427),
    [anon_sym_decltype] = ACTIONS(3427),
    [anon_sym_virtual] = ACTIONS(3427),
    [anon_sym_alignas] = ACTIONS(3427),
    [anon_sym_explicit] = ACTIONS(3427),
    [anon_sym_typename] = ACTIONS(3427),
    [anon_sym_template] = ACTIONS(3427),
    [anon_sym_operator] = ACTIONS(3427),
    [anon_sym_try] = ACTIONS(3427),
    [anon_sym_delete] = ACTIONS(3427),
    [anon_sym_throw] = ACTIONS(3427),
    [anon_sym_namespace] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_static_assert] = ACTIONS(3427),
    [anon_sym_concept] = ACTIONS(3427),
    [anon_sym_co_return] = ACTIONS(3427),
    [anon_sym_co_yield] = ACTIONS(3427),
    [anon_sym_R_DQUOTE] = ACTIONS(3429),
    [anon_sym_LR_DQUOTE] = ACTIONS(3429),
    [anon_sym_uR_DQUOTE] = ACTIONS(3429),
    [anon_sym_UR_DQUOTE] = ACTIONS(3429),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3429),
    [anon_sym_co_await] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3427),
    [anon_sym_requires] = ACTIONS(3427),
    [sym_this] = ACTIONS(3427),
  },
  [591] = {
    [sym_identifier] = ACTIONS(3455),
    [aux_sym_preproc_include_token1] = ACTIONS(3455),
    [aux_sym_preproc_def_token1] = ACTIONS(3455),
    [aux_sym_preproc_if_token1] = ACTIONS(3455),
    [aux_sym_preproc_if_token2] = ACTIONS(3455),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3455),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3455),
    [aux_sym_preproc_else_token1] = ACTIONS(3455),
    [aux_sym_preproc_elif_token1] = ACTIONS(3455),
    [sym_preproc_directive] = ACTIONS(3455),
    [anon_sym_LPAREN2] = ACTIONS(3457),
    [anon_sym_BANG] = ACTIONS(3457),
    [anon_sym_TILDE] = ACTIONS(3457),
    [anon_sym_DASH] = ACTIONS(3455),
    [anon_sym_PLUS] = ACTIONS(3455),
    [anon_sym_STAR] = ACTIONS(3457),
    [anon_sym_AMP_AMP] = ACTIONS(3457),
    [anon_sym_AMP] = ACTIONS(3455),
    [anon_sym_SEMI] = ACTIONS(3457),
    [anon_sym___extension__] = ACTIONS(3455),
    [anon_sym_typedef] = ACTIONS(3455),
    [anon_sym_extern] = ACTIONS(3455),
    [anon_sym___attribute__] = ACTIONS(3455),
    [anon_sym_COLON_COLON] = ACTIONS(3457),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3457),
    [anon_sym___declspec] = ACTIONS(3455),
    [anon_sym___based] = ACTIONS(3455),
    [anon_sym___cdecl] = ACTIONS(3455),
    [anon_sym___clrcall] = ACTIONS(3455),
    [anon_sym___stdcall] = ACTIONS(3455),
    [anon_sym___fastcall] = ACTIONS(3455),
    [anon_sym___thiscall] = ACTIONS(3455),
    [anon_sym___vectorcall] = ACTIONS(3455),
    [anon_sym_LBRACE] = ACTIONS(3457),
    [anon_sym_signed] = ACTIONS(3455),
    [anon_sym_unsigned] = ACTIONS(3455),
    [anon_sym_long] = ACTIONS(3455),
    [anon_sym_short] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(3455),
    [anon_sym_static] = ACTIONS(3455),
    [anon_sym_register] = ACTIONS(3455),
    [anon_sym_inline] = ACTIONS(3455),
    [anon_sym___inline] = ACTIONS(3455),
    [anon_sym___inline__] = ACTIONS(3455),
    [anon_sym___forceinline] = ACTIONS(3455),
    [anon_sym_thread_local] = ACTIONS(3455),
    [anon_sym___thread] = ACTIONS(3455),
    [anon_sym_const] = ACTIONS(3455),
    [anon_sym_constexpr] = ACTIONS(3455),
    [anon_sym_volatile] = ACTIONS(3455),
    [anon_sym_restrict] = ACTIONS(3455),
    [anon_sym___restrict__] = ACTIONS(3455),
    [anon_sym__Atomic] = ACTIONS(3455),
    [anon_sym__Noreturn] = ACTIONS(3455),
    [anon_sym_noreturn] = ACTIONS(3455),
    [anon_sym_mutable] = ACTIONS(3455),
    [anon_sym_constinit] = ACTIONS(3455),
    [anon_sym_consteval] = ACTIONS(3455),
    [anon_sym_PROGMEM] = ACTIONS(3455),
    [aux_sym_primitive_type_token1] = ACTIONS(3455),
    [anon_sym_byte] = ACTIONS(3455),
    [anon_sym_word] = ACTIONS(3455),
    [anon_sym_enum] = ACTIONS(3455),
    [anon_sym_class] = ACTIONS(3455),
    [anon_sym_struct] = ACTIONS(3455),
    [anon_sym_union] = ACTIONS(3455),
    [anon_sym_if] = ACTIONS(3455),
    [anon_sym_switch] = ACTIONS(3455),
    [anon_sym_case] = ACTIONS(3455),
    [anon_sym_default] = ACTIONS(3455),
    [anon_sym_while] = ACTIONS(3455),
    [anon_sym_do] = ACTIONS(3455),
    [anon_sym_for] = ACTIONS(3455),
    [anon_sym_return] = ACTIONS(3455),
    [anon_sym_break] = ACTIONS(3455),
    [anon_sym_continue] = ACTIONS(3455),
    [anon_sym_goto] = ACTIONS(3455),
    [anon_sym___try] = ACTIONS(3455),
    [anon_sym___leave] = ACTIONS(3455),
    [anon_sym_not] = ACTIONS(3455),
    [anon_sym_compl] = ACTIONS(3455),
    [anon_sym_DASH_DASH] = ACTIONS(3457),
    [anon_sym_PLUS_PLUS] = ACTIONS(3457),
    [anon_sym_sizeof] = ACTIONS(3455),
    [anon_sym___alignof__] = ACTIONS(3455),
    [anon_sym___alignof] = ACTIONS(3455),
    [anon_sym__alignof] = ACTIONS(3455),
    [anon_sym_alignof] = ACTIONS(3455),
    [anon_sym__Alignof] = ACTIONS(3455),
    [anon_sym_offsetof] = ACTIONS(3455),
    [anon_sym__Generic] = ACTIONS(3455),
    [anon_sym_asm] = ACTIONS(3455),
    [anon_sym___asm__] = ACTIONS(3455),
    [aux_sym_number_literal_token1] = ACTIONS(3457),
    [aux_sym_number_literal_token2] = ACTIONS(3455),
    [anon_sym_L_SQUOTE] = ACTIONS(3457),
    [anon_sym_u_SQUOTE] = ACTIONS(3457),
    [anon_sym_U_SQUOTE] = ACTIONS(3457),
    [anon_sym_u8_SQUOTE] = ACTIONS(3457),
    [anon_sym_SQUOTE] = ACTIONS(3457),
    [anon_sym_L_DQUOTE] = ACTIONS(3457),
    [anon_sym_u_DQUOTE] = ACTIONS(3457),
    [anon_sym_U_DQUOTE] = ACTIONS(3457),
    [anon_sym_u8_DQUOTE] = ACTIONS(3457),
    [anon_sym_DQUOTE] = ACTIONS(3457),
    [sym_true] = ACTIONS(3455),
    [sym_false] = ACTIONS(3455),
    [anon_sym_NULL] = ACTIONS(3455),
    [anon_sym_nullptr] = ACTIONS(3455),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3455),
    [anon_sym_virtual] = ACTIONS(3455),
    [anon_sym_alignas] = ACTIONS(3455),
    [anon_sym_explicit] = ACTIONS(3455),
    [anon_sym_typename] = ACTIONS(3455),
    [anon_sym_template] = ACTIONS(3455),
    [anon_sym_operator] = ACTIONS(3455),
    [anon_sym_try] = ACTIONS(3455),
    [anon_sym_delete] = ACTIONS(3455),
    [anon_sym_throw] = ACTIONS(3455),
    [anon_sym_namespace] = ACTIONS(3455),
    [anon_sym_using] = ACTIONS(3455),
    [anon_sym_static_assert] = ACTIONS(3455),
    [anon_sym_concept] = ACTIONS(3455),
    [anon_sym_co_return] = ACTIONS(3455),
    [anon_sym_co_yield] = ACTIONS(3455),
    [anon_sym_R_DQUOTE] = ACTIONS(3457),
    [anon_sym_LR_DQUOTE] = ACTIONS(3457),
    [anon_sym_uR_DQUOTE] = ACTIONS(3457),
    [anon_sym_UR_DQUOTE] = ACTIONS(3457),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3457),
    [anon_sym_co_await] = ACTIONS(3455),
    [anon_sym_new] = ACTIONS(3455),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3455),
  },
  [592] = {
    [sym_identifier] = ACTIONS(3427),
    [aux_sym_preproc_include_token1] = ACTIONS(3427),
    [aux_sym_preproc_def_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token2] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3427),
    [aux_sym_preproc_else_token1] = ACTIONS(3427),
    [aux_sym_preproc_elif_token1] = ACTIONS(3427),
    [sym_preproc_directive] = ACTIONS(3427),
    [anon_sym_LPAREN2] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3427),
    [anon_sym_PLUS] = ACTIONS(3427),
    [anon_sym_STAR] = ACTIONS(3429),
    [anon_sym_AMP_AMP] = ACTIONS(3429),
    [anon_sym_AMP] = ACTIONS(3427),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym___extension__] = ACTIONS(3427),
    [anon_sym_typedef] = ACTIONS(3427),
    [anon_sym_extern] = ACTIONS(3427),
    [anon_sym___attribute__] = ACTIONS(3427),
    [anon_sym_COLON_COLON] = ACTIONS(3429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3429),
    [anon_sym___declspec] = ACTIONS(3427),
    [anon_sym___based] = ACTIONS(3427),
    [anon_sym___cdecl] = ACTIONS(3427),
    [anon_sym___clrcall] = ACTIONS(3427),
    [anon_sym___stdcall] = ACTIONS(3427),
    [anon_sym___fastcall] = ACTIONS(3427),
    [anon_sym___thiscall] = ACTIONS(3427),
    [anon_sym___vectorcall] = ACTIONS(3427),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_signed] = ACTIONS(3427),
    [anon_sym_unsigned] = ACTIONS(3427),
    [anon_sym_long] = ACTIONS(3427),
    [anon_sym_short] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_register] = ACTIONS(3427),
    [anon_sym_inline] = ACTIONS(3427),
    [anon_sym___inline] = ACTIONS(3427),
    [anon_sym___inline__] = ACTIONS(3427),
    [anon_sym___forceinline] = ACTIONS(3427),
    [anon_sym_thread_local] = ACTIONS(3427),
    [anon_sym___thread] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_constexpr] = ACTIONS(3427),
    [anon_sym_volatile] = ACTIONS(3427),
    [anon_sym_restrict] = ACTIONS(3427),
    [anon_sym___restrict__] = ACTIONS(3427),
    [anon_sym__Atomic] = ACTIONS(3427),
    [anon_sym__Noreturn] = ACTIONS(3427),
    [anon_sym_noreturn] = ACTIONS(3427),
    [anon_sym_mutable] = ACTIONS(3427),
    [anon_sym_constinit] = ACTIONS(3427),
    [anon_sym_consteval] = ACTIONS(3427),
    [anon_sym_PROGMEM] = ACTIONS(3427),
    [aux_sym_primitive_type_token1] = ACTIONS(3427),
    [anon_sym_byte] = ACTIONS(3427),
    [anon_sym_word] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3427),
    [anon_sym_union] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(3427),
    [anon_sym_switch] = ACTIONS(3427),
    [anon_sym_case] = ACTIONS(3427),
    [anon_sym_default] = ACTIONS(3427),
    [anon_sym_while] = ACTIONS(3427),
    [anon_sym_do] = ACTIONS(3427),
    [anon_sym_for] = ACTIONS(3427),
    [anon_sym_return] = ACTIONS(3427),
    [anon_sym_break] = ACTIONS(3427),
    [anon_sym_continue] = ACTIONS(3427),
    [anon_sym_goto] = ACTIONS(3427),
    [anon_sym___try] = ACTIONS(3427),
    [anon_sym___leave] = ACTIONS(3427),
    [anon_sym_not] = ACTIONS(3427),
    [anon_sym_compl] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_sizeof] = ACTIONS(3427),
    [anon_sym___alignof__] = ACTIONS(3427),
    [anon_sym___alignof] = ACTIONS(3427),
    [anon_sym__alignof] = ACTIONS(3427),
    [anon_sym_alignof] = ACTIONS(3427),
    [anon_sym__Alignof] = ACTIONS(3427),
    [anon_sym_offsetof] = ACTIONS(3427),
    [anon_sym__Generic] = ACTIONS(3427),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [aux_sym_number_literal_token1] = ACTIONS(3429),
    [aux_sym_number_literal_token2] = ACTIONS(3427),
    [anon_sym_L_SQUOTE] = ACTIONS(3429),
    [anon_sym_u_SQUOTE] = ACTIONS(3429),
    [anon_sym_U_SQUOTE] = ACTIONS(3429),
    [anon_sym_u8_SQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [anon_sym_L_DQUOTE] = ACTIONS(3429),
    [anon_sym_u_DQUOTE] = ACTIONS(3429),
    [anon_sym_U_DQUOTE] = ACTIONS(3429),
    [anon_sym_u8_DQUOTE] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [sym_true] = ACTIONS(3427),
    [sym_false] = ACTIONS(3427),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3427),
    [anon_sym_decltype] = ACTIONS(3427),
    [anon_sym_virtual] = ACTIONS(3427),
    [anon_sym_alignas] = ACTIONS(3427),
    [anon_sym_explicit] = ACTIONS(3427),
    [anon_sym_typename] = ACTIONS(3427),
    [anon_sym_template] = ACTIONS(3427),
    [anon_sym_operator] = ACTIONS(3427),
    [anon_sym_try] = ACTIONS(3427),
    [anon_sym_delete] = ACTIONS(3427),
    [anon_sym_throw] = ACTIONS(3427),
    [anon_sym_namespace] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_static_assert] = ACTIONS(3427),
    [anon_sym_concept] = ACTIONS(3427),
    [anon_sym_co_return] = ACTIONS(3427),
    [anon_sym_co_yield] = ACTIONS(3427),
    [anon_sym_R_DQUOTE] = ACTIONS(3429),
    [anon_sym_LR_DQUOTE] = ACTIONS(3429),
    [anon_sym_uR_DQUOTE] = ACTIONS(3429),
    [anon_sym_UR_DQUOTE] = ACTIONS(3429),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3429),
    [anon_sym_co_await] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3427),
    [anon_sym_requires] = ACTIONS(3427),
    [sym_this] = ACTIONS(3427),
  },
  [593] = {
    [sym_identifier] = ACTIONS(3483),
    [aux_sym_preproc_include_token1] = ACTIONS(3483),
    [aux_sym_preproc_def_token1] = ACTIONS(3483),
    [aux_sym_preproc_if_token1] = ACTIONS(3483),
    [aux_sym_preproc_if_token2] = ACTIONS(3483),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3483),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3483),
    [aux_sym_preproc_else_token1] = ACTIONS(3483),
    [aux_sym_preproc_elif_token1] = ACTIONS(3483),
    [sym_preproc_directive] = ACTIONS(3483),
    [anon_sym_LPAREN2] = ACTIONS(3485),
    [anon_sym_BANG] = ACTIONS(3485),
    [anon_sym_TILDE] = ACTIONS(3485),
    [anon_sym_DASH] = ACTIONS(3483),
    [anon_sym_PLUS] = ACTIONS(3483),
    [anon_sym_STAR] = ACTIONS(3485),
    [anon_sym_AMP_AMP] = ACTIONS(3485),
    [anon_sym_AMP] = ACTIONS(3483),
    [anon_sym_SEMI] = ACTIONS(3485),
    [anon_sym___extension__] = ACTIONS(3483),
    [anon_sym_typedef] = ACTIONS(3483),
    [anon_sym_extern] = ACTIONS(3483),
    [anon_sym___attribute__] = ACTIONS(3483),
    [anon_sym_COLON_COLON] = ACTIONS(3485),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3485),
    [anon_sym___declspec] = ACTIONS(3483),
    [anon_sym___based] = ACTIONS(3483),
    [anon_sym___cdecl] = ACTIONS(3483),
    [anon_sym___clrcall] = ACTIONS(3483),
    [anon_sym___stdcall] = ACTIONS(3483),
    [anon_sym___fastcall] = ACTIONS(3483),
    [anon_sym___thiscall] = ACTIONS(3483),
    [anon_sym___vectorcall] = ACTIONS(3483),
    [anon_sym_LBRACE] = ACTIONS(3485),
    [anon_sym_signed] = ACTIONS(3483),
    [anon_sym_unsigned] = ACTIONS(3483),
    [anon_sym_long] = ACTIONS(3483),
    [anon_sym_short] = ACTIONS(3483),
    [anon_sym_LBRACK] = ACTIONS(3483),
    [anon_sym_static] = ACTIONS(3483),
    [anon_sym_register] = ACTIONS(3483),
    [anon_sym_inline] = ACTIONS(3483),
    [anon_sym___inline] = ACTIONS(3483),
    [anon_sym___inline__] = ACTIONS(3483),
    [anon_sym___forceinline] = ACTIONS(3483),
    [anon_sym_thread_local] = ACTIONS(3483),
    [anon_sym___thread] = ACTIONS(3483),
    [anon_sym_const] = ACTIONS(3483),
    [anon_sym_constexpr] = ACTIONS(3483),
    [anon_sym_volatile] = ACTIONS(3483),
    [anon_sym_restrict] = ACTIONS(3483),
    [anon_sym___restrict__] = ACTIONS(3483),
    [anon_sym__Atomic] = ACTIONS(3483),
    [anon_sym__Noreturn] = ACTIONS(3483),
    [anon_sym_noreturn] = ACTIONS(3483),
    [anon_sym_mutable] = ACTIONS(3483),
    [anon_sym_constinit] = ACTIONS(3483),
    [anon_sym_consteval] = ACTIONS(3483),
    [anon_sym_PROGMEM] = ACTIONS(3483),
    [aux_sym_primitive_type_token1] = ACTIONS(3483),
    [anon_sym_byte] = ACTIONS(3483),
    [anon_sym_word] = ACTIONS(3483),
    [anon_sym_enum] = ACTIONS(3483),
    [anon_sym_class] = ACTIONS(3483),
    [anon_sym_struct] = ACTIONS(3483),
    [anon_sym_union] = ACTIONS(3483),
    [anon_sym_if] = ACTIONS(3483),
    [anon_sym_switch] = ACTIONS(3483),
    [anon_sym_case] = ACTIONS(3483),
    [anon_sym_default] = ACTIONS(3483),
    [anon_sym_while] = ACTIONS(3483),
    [anon_sym_do] = ACTIONS(3483),
    [anon_sym_for] = ACTIONS(3483),
    [anon_sym_return] = ACTIONS(3483),
    [anon_sym_break] = ACTIONS(3483),
    [anon_sym_continue] = ACTIONS(3483),
    [anon_sym_goto] = ACTIONS(3483),
    [anon_sym___try] = ACTIONS(3483),
    [anon_sym___leave] = ACTIONS(3483),
    [anon_sym_not] = ACTIONS(3483),
    [anon_sym_compl] = ACTIONS(3483),
    [anon_sym_DASH_DASH] = ACTIONS(3485),
    [anon_sym_PLUS_PLUS] = ACTIONS(3485),
    [anon_sym_sizeof] = ACTIONS(3483),
    [anon_sym___alignof__] = ACTIONS(3483),
    [anon_sym___alignof] = ACTIONS(3483),
    [anon_sym__alignof] = ACTIONS(3483),
    [anon_sym_alignof] = ACTIONS(3483),
    [anon_sym__Alignof] = ACTIONS(3483),
    [anon_sym_offsetof] = ACTIONS(3483),
    [anon_sym__Generic] = ACTIONS(3483),
    [anon_sym_asm] = ACTIONS(3483),
    [anon_sym___asm__] = ACTIONS(3483),
    [aux_sym_number_literal_token1] = ACTIONS(3485),
    [aux_sym_number_literal_token2] = ACTIONS(3483),
    [anon_sym_L_SQUOTE] = ACTIONS(3485),
    [anon_sym_u_SQUOTE] = ACTIONS(3485),
    [anon_sym_U_SQUOTE] = ACTIONS(3485),
    [anon_sym_u8_SQUOTE] = ACTIONS(3485),
    [anon_sym_SQUOTE] = ACTIONS(3485),
    [anon_sym_L_DQUOTE] = ACTIONS(3485),
    [anon_sym_u_DQUOTE] = ACTIONS(3485),
    [anon_sym_U_DQUOTE] = ACTIONS(3485),
    [anon_sym_u8_DQUOTE] = ACTIONS(3485),
    [anon_sym_DQUOTE] = ACTIONS(3485),
    [sym_true] = ACTIONS(3483),
    [sym_false] = ACTIONS(3483),
    [anon_sym_NULL] = ACTIONS(3483),
    [anon_sym_nullptr] = ACTIONS(3483),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3483),
    [anon_sym_decltype] = ACTIONS(3483),
    [anon_sym_virtual] = ACTIONS(3483),
    [anon_sym_alignas] = ACTIONS(3483),
    [anon_sym_explicit] = ACTIONS(3483),
    [anon_sym_typename] = ACTIONS(3483),
    [anon_sym_template] = ACTIONS(3483),
    [anon_sym_operator] = ACTIONS(3483),
    [anon_sym_try] = ACTIONS(3483),
    [anon_sym_delete] = ACTIONS(3483),
    [anon_sym_throw] = ACTIONS(3483),
    [anon_sym_namespace] = ACTIONS(3483),
    [anon_sym_using] = ACTIONS(3483),
    [anon_sym_static_assert] = ACTIONS(3483),
    [anon_sym_concept] = ACTIONS(3483),
    [anon_sym_co_return] = ACTIONS(3483),
    [anon_sym_co_yield] = ACTIONS(3483),
    [anon_sym_R_DQUOTE] = ACTIONS(3485),
    [anon_sym_LR_DQUOTE] = ACTIONS(3485),
    [anon_sym_uR_DQUOTE] = ACTIONS(3485),
    [anon_sym_UR_DQUOTE] = ACTIONS(3485),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3485),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3483),
    [anon_sym_requires] = ACTIONS(3483),
    [sym_this] = ACTIONS(3483),
  },
  [594] = {
    [sym_identifier] = ACTIONS(3435),
    [aux_sym_preproc_include_token1] = ACTIONS(3435),
    [aux_sym_preproc_def_token1] = ACTIONS(3435),
    [aux_sym_preproc_if_token1] = ACTIONS(3435),
    [aux_sym_preproc_if_token2] = ACTIONS(3435),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3435),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3435),
    [aux_sym_preproc_else_token1] = ACTIONS(3435),
    [aux_sym_preproc_elif_token1] = ACTIONS(3435),
    [sym_preproc_directive] = ACTIONS(3435),
    [anon_sym_LPAREN2] = ACTIONS(3437),
    [anon_sym_BANG] = ACTIONS(3437),
    [anon_sym_TILDE] = ACTIONS(3437),
    [anon_sym_DASH] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3435),
    [anon_sym_STAR] = ACTIONS(3437),
    [anon_sym_AMP_AMP] = ACTIONS(3437),
    [anon_sym_AMP] = ACTIONS(3435),
    [anon_sym_SEMI] = ACTIONS(3437),
    [anon_sym___extension__] = ACTIONS(3435),
    [anon_sym_typedef] = ACTIONS(3435),
    [anon_sym_extern] = ACTIONS(3435),
    [anon_sym___attribute__] = ACTIONS(3435),
    [anon_sym_COLON_COLON] = ACTIONS(3437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3437),
    [anon_sym___declspec] = ACTIONS(3435),
    [anon_sym___based] = ACTIONS(3435),
    [anon_sym___cdecl] = ACTIONS(3435),
    [anon_sym___clrcall] = ACTIONS(3435),
    [anon_sym___stdcall] = ACTIONS(3435),
    [anon_sym___fastcall] = ACTIONS(3435),
    [anon_sym___thiscall] = ACTIONS(3435),
    [anon_sym___vectorcall] = ACTIONS(3435),
    [anon_sym_LBRACE] = ACTIONS(3437),
    [anon_sym_signed] = ACTIONS(3435),
    [anon_sym_unsigned] = ACTIONS(3435),
    [anon_sym_long] = ACTIONS(3435),
    [anon_sym_short] = ACTIONS(3435),
    [anon_sym_LBRACK] = ACTIONS(3435),
    [anon_sym_static] = ACTIONS(3435),
    [anon_sym_register] = ACTIONS(3435),
    [anon_sym_inline] = ACTIONS(3435),
    [anon_sym___inline] = ACTIONS(3435),
    [anon_sym___inline__] = ACTIONS(3435),
    [anon_sym___forceinline] = ACTIONS(3435),
    [anon_sym_thread_local] = ACTIONS(3435),
    [anon_sym___thread] = ACTIONS(3435),
    [anon_sym_const] = ACTIONS(3435),
    [anon_sym_constexpr] = ACTIONS(3435),
    [anon_sym_volatile] = ACTIONS(3435),
    [anon_sym_restrict] = ACTIONS(3435),
    [anon_sym___restrict__] = ACTIONS(3435),
    [anon_sym__Atomic] = ACTIONS(3435),
    [anon_sym__Noreturn] = ACTIONS(3435),
    [anon_sym_noreturn] = ACTIONS(3435),
    [anon_sym_mutable] = ACTIONS(3435),
    [anon_sym_constinit] = ACTIONS(3435),
    [anon_sym_consteval] = ACTIONS(3435),
    [anon_sym_PROGMEM] = ACTIONS(3435),
    [aux_sym_primitive_type_token1] = ACTIONS(3435),
    [anon_sym_byte] = ACTIONS(3435),
    [anon_sym_word] = ACTIONS(3435),
    [anon_sym_enum] = ACTIONS(3435),
    [anon_sym_class] = ACTIONS(3435),
    [anon_sym_struct] = ACTIONS(3435),
    [anon_sym_union] = ACTIONS(3435),
    [anon_sym_if] = ACTIONS(3435),
    [anon_sym_switch] = ACTIONS(3435),
    [anon_sym_case] = ACTIONS(3435),
    [anon_sym_default] = ACTIONS(3435),
    [anon_sym_while] = ACTIONS(3435),
    [anon_sym_do] = ACTIONS(3435),
    [anon_sym_for] = ACTIONS(3435),
    [anon_sym_return] = ACTIONS(3435),
    [anon_sym_break] = ACTIONS(3435),
    [anon_sym_continue] = ACTIONS(3435),
    [anon_sym_goto] = ACTIONS(3435),
    [anon_sym___try] = ACTIONS(3435),
    [anon_sym___leave] = ACTIONS(3435),
    [anon_sym_not] = ACTIONS(3435),
    [anon_sym_compl] = ACTIONS(3435),
    [anon_sym_DASH_DASH] = ACTIONS(3437),
    [anon_sym_PLUS_PLUS] = ACTIONS(3437),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3435),
    [anon_sym___alignof] = ACTIONS(3435),
    [anon_sym__alignof] = ACTIONS(3435),
    [anon_sym_alignof] = ACTIONS(3435),
    [anon_sym__Alignof] = ACTIONS(3435),
    [anon_sym_offsetof] = ACTIONS(3435),
    [anon_sym__Generic] = ACTIONS(3435),
    [anon_sym_asm] = ACTIONS(3435),
    [anon_sym___asm__] = ACTIONS(3435),
    [aux_sym_number_literal_token1] = ACTIONS(3437),
    [aux_sym_number_literal_token2] = ACTIONS(3435),
    [anon_sym_L_SQUOTE] = ACTIONS(3437),
    [anon_sym_u_SQUOTE] = ACTIONS(3437),
    [anon_sym_U_SQUOTE] = ACTIONS(3437),
    [anon_sym_u8_SQUOTE] = ACTIONS(3437),
    [anon_sym_SQUOTE] = ACTIONS(3437),
    [anon_sym_L_DQUOTE] = ACTIONS(3437),
    [anon_sym_u_DQUOTE] = ACTIONS(3437),
    [anon_sym_U_DQUOTE] = ACTIONS(3437),
    [anon_sym_u8_DQUOTE] = ACTIONS(3437),
    [anon_sym_DQUOTE] = ACTIONS(3437),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3435),
    [anon_sym_nullptr] = ACTIONS(3435),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3435),
    [anon_sym_decltype] = ACTIONS(3435),
    [anon_sym_virtual] = ACTIONS(3435),
    [anon_sym_alignas] = ACTIONS(3435),
    [anon_sym_explicit] = ACTIONS(3435),
    [anon_sym_typename] = ACTIONS(3435),
    [anon_sym_template] = ACTIONS(3435),
    [anon_sym_operator] = ACTIONS(3435),
    [anon_sym_try] = ACTIONS(3435),
    [anon_sym_delete] = ACTIONS(3435),
    [anon_sym_throw] = ACTIONS(3435),
    [anon_sym_namespace] = ACTIONS(3435),
    [anon_sym_using] = ACTIONS(3435),
    [anon_sym_static_assert] = ACTIONS(3435),
    [anon_sym_concept] = ACTIONS(3435),
    [anon_sym_co_return] = ACTIONS(3435),
    [anon_sym_co_yield] = ACTIONS(3435),
    [anon_sym_R_DQUOTE] = ACTIONS(3437),
    [anon_sym_LR_DQUOTE] = ACTIONS(3437),
    [anon_sym_uR_DQUOTE] = ACTIONS(3437),
    [anon_sym_UR_DQUOTE] = ACTIONS(3437),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3437),
    [anon_sym_co_await] = ACTIONS(3435),
    [anon_sym_new] = ACTIONS(3435),
    [anon_sym_requires] = ACTIONS(3435),
    [sym_this] = ACTIONS(3435),
  },
  [595] = {
    [sym_identifier] = ACTIONS(3369),
    [aux_sym_preproc_include_token1] = ACTIONS(3369),
    [aux_sym_preproc_def_token1] = ACTIONS(3369),
    [aux_sym_preproc_if_token1] = ACTIONS(3369),
    [aux_sym_preproc_if_token2] = ACTIONS(3369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3369),
    [aux_sym_preproc_else_token1] = ACTIONS(3369),
    [aux_sym_preproc_elif_token1] = ACTIONS(3369),
    [sym_preproc_directive] = ACTIONS(3369),
    [anon_sym_LPAREN2] = ACTIONS(3371),
    [anon_sym_BANG] = ACTIONS(3371),
    [anon_sym_TILDE] = ACTIONS(3371),
    [anon_sym_DASH] = ACTIONS(3369),
    [anon_sym_PLUS] = ACTIONS(3369),
    [anon_sym_STAR] = ACTIONS(3371),
    [anon_sym_AMP_AMP] = ACTIONS(3371),
    [anon_sym_AMP] = ACTIONS(3369),
    [anon_sym_SEMI] = ACTIONS(3371),
    [anon_sym___extension__] = ACTIONS(3369),
    [anon_sym_typedef] = ACTIONS(3369),
    [anon_sym_extern] = ACTIONS(3369),
    [anon_sym___attribute__] = ACTIONS(3369),
    [anon_sym_COLON_COLON] = ACTIONS(3371),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3371),
    [anon_sym___declspec] = ACTIONS(3369),
    [anon_sym___based] = ACTIONS(3369),
    [anon_sym___cdecl] = ACTIONS(3369),
    [anon_sym___clrcall] = ACTIONS(3369),
    [anon_sym___stdcall] = ACTIONS(3369),
    [anon_sym___fastcall] = ACTIONS(3369),
    [anon_sym___thiscall] = ACTIONS(3369),
    [anon_sym___vectorcall] = ACTIONS(3369),
    [anon_sym_LBRACE] = ACTIONS(3371),
    [anon_sym_signed] = ACTIONS(3369),
    [anon_sym_unsigned] = ACTIONS(3369),
    [anon_sym_long] = ACTIONS(3369),
    [anon_sym_short] = ACTIONS(3369),
    [anon_sym_LBRACK] = ACTIONS(3369),
    [anon_sym_static] = ACTIONS(3369),
    [anon_sym_register] = ACTIONS(3369),
    [anon_sym_inline] = ACTIONS(3369),
    [anon_sym___inline] = ACTIONS(3369),
    [anon_sym___inline__] = ACTIONS(3369),
    [anon_sym___forceinline] = ACTIONS(3369),
    [anon_sym_thread_local] = ACTIONS(3369),
    [anon_sym___thread] = ACTIONS(3369),
    [anon_sym_const] = ACTIONS(3369),
    [anon_sym_constexpr] = ACTIONS(3369),
    [anon_sym_volatile] = ACTIONS(3369),
    [anon_sym_restrict] = ACTIONS(3369),
    [anon_sym___restrict__] = ACTIONS(3369),
    [anon_sym__Atomic] = ACTIONS(3369),
    [anon_sym__Noreturn] = ACTIONS(3369),
    [anon_sym_noreturn] = ACTIONS(3369),
    [anon_sym_mutable] = ACTIONS(3369),
    [anon_sym_constinit] = ACTIONS(3369),
    [anon_sym_consteval] = ACTIONS(3369),
    [anon_sym_PROGMEM] = ACTIONS(3369),
    [aux_sym_primitive_type_token1] = ACTIONS(3369),
    [anon_sym_byte] = ACTIONS(3369),
    [anon_sym_word] = ACTIONS(3369),
    [anon_sym_enum] = ACTIONS(3369),
    [anon_sym_class] = ACTIONS(3369),
    [anon_sym_struct] = ACTIONS(3369),
    [anon_sym_union] = ACTIONS(3369),
    [anon_sym_if] = ACTIONS(3369),
    [anon_sym_switch] = ACTIONS(3369),
    [anon_sym_case] = ACTIONS(3369),
    [anon_sym_default] = ACTIONS(3369),
    [anon_sym_while] = ACTIONS(3369),
    [anon_sym_do] = ACTIONS(3369),
    [anon_sym_for] = ACTIONS(3369),
    [anon_sym_return] = ACTIONS(3369),
    [anon_sym_break] = ACTIONS(3369),
    [anon_sym_continue] = ACTIONS(3369),
    [anon_sym_goto] = ACTIONS(3369),
    [anon_sym___try] = ACTIONS(3369),
    [anon_sym___leave] = ACTIONS(3369),
    [anon_sym_not] = ACTIONS(3369),
    [anon_sym_compl] = ACTIONS(3369),
    [anon_sym_DASH_DASH] = ACTIONS(3371),
    [anon_sym_PLUS_PLUS] = ACTIONS(3371),
    [anon_sym_sizeof] = ACTIONS(3369),
    [anon_sym___alignof__] = ACTIONS(3369),
    [anon_sym___alignof] = ACTIONS(3369),
    [anon_sym__alignof] = ACTIONS(3369),
    [anon_sym_alignof] = ACTIONS(3369),
    [anon_sym__Alignof] = ACTIONS(3369),
    [anon_sym_offsetof] = ACTIONS(3369),
    [anon_sym__Generic] = ACTIONS(3369),
    [anon_sym_asm] = ACTIONS(3369),
    [anon_sym___asm__] = ACTIONS(3369),
    [aux_sym_number_literal_token1] = ACTIONS(3371),
    [aux_sym_number_literal_token2] = ACTIONS(3369),
    [anon_sym_L_SQUOTE] = ACTIONS(3371),
    [anon_sym_u_SQUOTE] = ACTIONS(3371),
    [anon_sym_U_SQUOTE] = ACTIONS(3371),
    [anon_sym_u8_SQUOTE] = ACTIONS(3371),
    [anon_sym_SQUOTE] = ACTIONS(3371),
    [anon_sym_L_DQUOTE] = ACTIONS(3371),
    [anon_sym_u_DQUOTE] = ACTIONS(3371),
    [anon_sym_U_DQUOTE] = ACTIONS(3371),
    [anon_sym_u8_DQUOTE] = ACTIONS(3371),
    [anon_sym_DQUOTE] = ACTIONS(3371),
    [sym_true] = ACTIONS(3369),
    [sym_false] = ACTIONS(3369),
    [anon_sym_NULL] = ACTIONS(3369),
    [anon_sym_nullptr] = ACTIONS(3369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3369),
    [anon_sym_decltype] = ACTIONS(3369),
    [anon_sym_virtual] = ACTIONS(3369),
    [anon_sym_alignas] = ACTIONS(3369),
    [anon_sym_explicit] = ACTIONS(3369),
    [anon_sym_typename] = ACTIONS(3369),
    [anon_sym_template] = ACTIONS(3369),
    [anon_sym_operator] = ACTIONS(3369),
    [anon_sym_try] = ACTIONS(3369),
    [anon_sym_delete] = ACTIONS(3369),
    [anon_sym_throw] = ACTIONS(3369),
    [anon_sym_namespace] = ACTIONS(3369),
    [anon_sym_using] = ACTIONS(3369),
    [anon_sym_static_assert] = ACTIONS(3369),
    [anon_sym_concept] = ACTIONS(3369),
    [anon_sym_co_return] = ACTIONS(3369),
    [anon_sym_co_yield] = ACTIONS(3369),
    [anon_sym_R_DQUOTE] = ACTIONS(3371),
    [anon_sym_LR_DQUOTE] = ACTIONS(3371),
    [anon_sym_uR_DQUOTE] = ACTIONS(3371),
    [anon_sym_UR_DQUOTE] = ACTIONS(3371),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3371),
    [anon_sym_co_await] = ACTIONS(3369),
    [anon_sym_new] = ACTIONS(3369),
    [anon_sym_requires] = ACTIONS(3369),
    [sym_this] = ACTIONS(3369),
  },
  [596] = {
    [sym_identifier] = ACTIONS(3479),
    [aux_sym_preproc_include_token1] = ACTIONS(3479),
    [aux_sym_preproc_def_token1] = ACTIONS(3479),
    [aux_sym_preproc_if_token1] = ACTIONS(3479),
    [aux_sym_preproc_if_token2] = ACTIONS(3479),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3479),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3479),
    [aux_sym_preproc_else_token1] = ACTIONS(3479),
    [aux_sym_preproc_elif_token1] = ACTIONS(3479),
    [sym_preproc_directive] = ACTIONS(3479),
    [anon_sym_LPAREN2] = ACTIONS(3481),
    [anon_sym_BANG] = ACTIONS(3481),
    [anon_sym_TILDE] = ACTIONS(3481),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3481),
    [anon_sym_AMP_AMP] = ACTIONS(3481),
    [anon_sym_AMP] = ACTIONS(3479),
    [anon_sym_SEMI] = ACTIONS(3481),
    [anon_sym___extension__] = ACTIONS(3479),
    [anon_sym_typedef] = ACTIONS(3479),
    [anon_sym_extern] = ACTIONS(3479),
    [anon_sym___attribute__] = ACTIONS(3479),
    [anon_sym_COLON_COLON] = ACTIONS(3481),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3481),
    [anon_sym___declspec] = ACTIONS(3479),
    [anon_sym___based] = ACTIONS(3479),
    [anon_sym___cdecl] = ACTIONS(3479),
    [anon_sym___clrcall] = ACTIONS(3479),
    [anon_sym___stdcall] = ACTIONS(3479),
    [anon_sym___fastcall] = ACTIONS(3479),
    [anon_sym___thiscall] = ACTIONS(3479),
    [anon_sym___vectorcall] = ACTIONS(3479),
    [anon_sym_LBRACE] = ACTIONS(3481),
    [anon_sym_signed] = ACTIONS(3479),
    [anon_sym_unsigned] = ACTIONS(3479),
    [anon_sym_long] = ACTIONS(3479),
    [anon_sym_short] = ACTIONS(3479),
    [anon_sym_LBRACK] = ACTIONS(3479),
    [anon_sym_static] = ACTIONS(3479),
    [anon_sym_register] = ACTIONS(3479),
    [anon_sym_inline] = ACTIONS(3479),
    [anon_sym___inline] = ACTIONS(3479),
    [anon_sym___inline__] = ACTIONS(3479),
    [anon_sym___forceinline] = ACTIONS(3479),
    [anon_sym_thread_local] = ACTIONS(3479),
    [anon_sym___thread] = ACTIONS(3479),
    [anon_sym_const] = ACTIONS(3479),
    [anon_sym_constexpr] = ACTIONS(3479),
    [anon_sym_volatile] = ACTIONS(3479),
    [anon_sym_restrict] = ACTIONS(3479),
    [anon_sym___restrict__] = ACTIONS(3479),
    [anon_sym__Atomic] = ACTIONS(3479),
    [anon_sym__Noreturn] = ACTIONS(3479),
    [anon_sym_noreturn] = ACTIONS(3479),
    [anon_sym_mutable] = ACTIONS(3479),
    [anon_sym_constinit] = ACTIONS(3479),
    [anon_sym_consteval] = ACTIONS(3479),
    [anon_sym_PROGMEM] = ACTIONS(3479),
    [aux_sym_primitive_type_token1] = ACTIONS(3479),
    [anon_sym_byte] = ACTIONS(3479),
    [anon_sym_word] = ACTIONS(3479),
    [anon_sym_enum] = ACTIONS(3479),
    [anon_sym_class] = ACTIONS(3479),
    [anon_sym_struct] = ACTIONS(3479),
    [anon_sym_union] = ACTIONS(3479),
    [anon_sym_if] = ACTIONS(3479),
    [anon_sym_switch] = ACTIONS(3479),
    [anon_sym_case] = ACTIONS(3479),
    [anon_sym_default] = ACTIONS(3479),
    [anon_sym_while] = ACTIONS(3479),
    [anon_sym_do] = ACTIONS(3479),
    [anon_sym_for] = ACTIONS(3479),
    [anon_sym_return] = ACTIONS(3479),
    [anon_sym_break] = ACTIONS(3479),
    [anon_sym_continue] = ACTIONS(3479),
    [anon_sym_goto] = ACTIONS(3479),
    [anon_sym___try] = ACTIONS(3479),
    [anon_sym___leave] = ACTIONS(3479),
    [anon_sym_not] = ACTIONS(3479),
    [anon_sym_compl] = ACTIONS(3479),
    [anon_sym_DASH_DASH] = ACTIONS(3481),
    [anon_sym_PLUS_PLUS] = ACTIONS(3481),
    [anon_sym_sizeof] = ACTIONS(3479),
    [anon_sym___alignof__] = ACTIONS(3479),
    [anon_sym___alignof] = ACTIONS(3479),
    [anon_sym__alignof] = ACTIONS(3479),
    [anon_sym_alignof] = ACTIONS(3479),
    [anon_sym__Alignof] = ACTIONS(3479),
    [anon_sym_offsetof] = ACTIONS(3479),
    [anon_sym__Generic] = ACTIONS(3479),
    [anon_sym_asm] = ACTIONS(3479),
    [anon_sym___asm__] = ACTIONS(3479),
    [aux_sym_number_literal_token1] = ACTIONS(3481),
    [aux_sym_number_literal_token2] = ACTIONS(3479),
    [anon_sym_L_SQUOTE] = ACTIONS(3481),
    [anon_sym_u_SQUOTE] = ACTIONS(3481),
    [anon_sym_U_SQUOTE] = ACTIONS(3481),
    [anon_sym_u8_SQUOTE] = ACTIONS(3481),
    [anon_sym_SQUOTE] = ACTIONS(3481),
    [anon_sym_L_DQUOTE] = ACTIONS(3481),
    [anon_sym_u_DQUOTE] = ACTIONS(3481),
    [anon_sym_U_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8_DQUOTE] = ACTIONS(3481),
    [anon_sym_DQUOTE] = ACTIONS(3481),
    [sym_true] = ACTIONS(3479),
    [sym_false] = ACTIONS(3479),
    [anon_sym_NULL] = ACTIONS(3479),
    [anon_sym_nullptr] = ACTIONS(3479),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3479),
    [anon_sym_decltype] = ACTIONS(3479),
    [anon_sym_virtual] = ACTIONS(3479),
    [anon_sym_alignas] = ACTIONS(3479),
    [anon_sym_explicit] = ACTIONS(3479),
    [anon_sym_typename] = ACTIONS(3479),
    [anon_sym_template] = ACTIONS(3479),
    [anon_sym_operator] = ACTIONS(3479),
    [anon_sym_try] = ACTIONS(3479),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_throw] = ACTIONS(3479),
    [anon_sym_namespace] = ACTIONS(3479),
    [anon_sym_using] = ACTIONS(3479),
    [anon_sym_static_assert] = ACTIONS(3479),
    [anon_sym_concept] = ACTIONS(3479),
    [anon_sym_co_return] = ACTIONS(3479),
    [anon_sym_co_yield] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3479),
    [anon_sym_new] = ACTIONS(3479),
    [anon_sym_requires] = ACTIONS(3479),
    [sym_this] = ACTIONS(3479),
  },
  [597] = {
    [sym_identifier] = ACTIONS(3465),
    [aux_sym_preproc_include_token1] = ACTIONS(3465),
    [aux_sym_preproc_def_token1] = ACTIONS(3465),
    [aux_sym_preproc_if_token1] = ACTIONS(3465),
    [aux_sym_preproc_if_token2] = ACTIONS(3465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3465),
    [aux_sym_preproc_else_token1] = ACTIONS(3465),
    [aux_sym_preproc_elif_token1] = ACTIONS(3465),
    [sym_preproc_directive] = ACTIONS(3465),
    [anon_sym_LPAREN2] = ACTIONS(3467),
    [anon_sym_BANG] = ACTIONS(3467),
    [anon_sym_TILDE] = ACTIONS(3467),
    [anon_sym_DASH] = ACTIONS(3465),
    [anon_sym_PLUS] = ACTIONS(3465),
    [anon_sym_STAR] = ACTIONS(3467),
    [anon_sym_AMP_AMP] = ACTIONS(3467),
    [anon_sym_AMP] = ACTIONS(3465),
    [anon_sym_SEMI] = ACTIONS(3467),
    [anon_sym___extension__] = ACTIONS(3465),
    [anon_sym_typedef] = ACTIONS(3465),
    [anon_sym_extern] = ACTIONS(3465),
    [anon_sym___attribute__] = ACTIONS(3465),
    [anon_sym_COLON_COLON] = ACTIONS(3467),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3467),
    [anon_sym___declspec] = ACTIONS(3465),
    [anon_sym___based] = ACTIONS(3465),
    [anon_sym___cdecl] = ACTIONS(3465),
    [anon_sym___clrcall] = ACTIONS(3465),
    [anon_sym___stdcall] = ACTIONS(3465),
    [anon_sym___fastcall] = ACTIONS(3465),
    [anon_sym___thiscall] = ACTIONS(3465),
    [anon_sym___vectorcall] = ACTIONS(3465),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_signed] = ACTIONS(3465),
    [anon_sym_unsigned] = ACTIONS(3465),
    [anon_sym_long] = ACTIONS(3465),
    [anon_sym_short] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(3465),
    [anon_sym_static] = ACTIONS(3465),
    [anon_sym_register] = ACTIONS(3465),
    [anon_sym_inline] = ACTIONS(3465),
    [anon_sym___inline] = ACTIONS(3465),
    [anon_sym___inline__] = ACTIONS(3465),
    [anon_sym___forceinline] = ACTIONS(3465),
    [anon_sym_thread_local] = ACTIONS(3465),
    [anon_sym___thread] = ACTIONS(3465),
    [anon_sym_const] = ACTIONS(3465),
    [anon_sym_constexpr] = ACTIONS(3465),
    [anon_sym_volatile] = ACTIONS(3465),
    [anon_sym_restrict] = ACTIONS(3465),
    [anon_sym___restrict__] = ACTIONS(3465),
    [anon_sym__Atomic] = ACTIONS(3465),
    [anon_sym__Noreturn] = ACTIONS(3465),
    [anon_sym_noreturn] = ACTIONS(3465),
    [anon_sym_mutable] = ACTIONS(3465),
    [anon_sym_constinit] = ACTIONS(3465),
    [anon_sym_consteval] = ACTIONS(3465),
    [anon_sym_PROGMEM] = ACTIONS(3465),
    [aux_sym_primitive_type_token1] = ACTIONS(3465),
    [anon_sym_byte] = ACTIONS(3465),
    [anon_sym_word] = ACTIONS(3465),
    [anon_sym_enum] = ACTIONS(3465),
    [anon_sym_class] = ACTIONS(3465),
    [anon_sym_struct] = ACTIONS(3465),
    [anon_sym_union] = ACTIONS(3465),
    [anon_sym_if] = ACTIONS(3465),
    [anon_sym_switch] = ACTIONS(3465),
    [anon_sym_case] = ACTIONS(3465),
    [anon_sym_default] = ACTIONS(3465),
    [anon_sym_while] = ACTIONS(3465),
    [anon_sym_do] = ACTIONS(3465),
    [anon_sym_for] = ACTIONS(3465),
    [anon_sym_return] = ACTIONS(3465),
    [anon_sym_break] = ACTIONS(3465),
    [anon_sym_continue] = ACTIONS(3465),
    [anon_sym_goto] = ACTIONS(3465),
    [anon_sym___try] = ACTIONS(3465),
    [anon_sym___leave] = ACTIONS(3465),
    [anon_sym_not] = ACTIONS(3465),
    [anon_sym_compl] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3467),
    [anon_sym_PLUS_PLUS] = ACTIONS(3467),
    [anon_sym_sizeof] = ACTIONS(3465),
    [anon_sym___alignof__] = ACTIONS(3465),
    [anon_sym___alignof] = ACTIONS(3465),
    [anon_sym__alignof] = ACTIONS(3465),
    [anon_sym_alignof] = ACTIONS(3465),
    [anon_sym__Alignof] = ACTIONS(3465),
    [anon_sym_offsetof] = ACTIONS(3465),
    [anon_sym__Generic] = ACTIONS(3465),
    [anon_sym_asm] = ACTIONS(3465),
    [anon_sym___asm__] = ACTIONS(3465),
    [aux_sym_number_literal_token1] = ACTIONS(3467),
    [aux_sym_number_literal_token2] = ACTIONS(3465),
    [anon_sym_L_SQUOTE] = ACTIONS(3467),
    [anon_sym_u_SQUOTE] = ACTIONS(3467),
    [anon_sym_U_SQUOTE] = ACTIONS(3467),
    [anon_sym_u8_SQUOTE] = ACTIONS(3467),
    [anon_sym_SQUOTE] = ACTIONS(3467),
    [anon_sym_L_DQUOTE] = ACTIONS(3467),
    [anon_sym_u_DQUOTE] = ACTIONS(3467),
    [anon_sym_U_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8_DQUOTE] = ACTIONS(3467),
    [anon_sym_DQUOTE] = ACTIONS(3467),
    [sym_true] = ACTIONS(3465),
    [sym_false] = ACTIONS(3465),
    [anon_sym_NULL] = ACTIONS(3465),
    [anon_sym_nullptr] = ACTIONS(3465),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3465),
    [anon_sym_decltype] = ACTIONS(3465),
    [anon_sym_virtual] = ACTIONS(3465),
    [anon_sym_alignas] = ACTIONS(3465),
    [anon_sym_explicit] = ACTIONS(3465),
    [anon_sym_typename] = ACTIONS(3465),
    [anon_sym_template] = ACTIONS(3465),
    [anon_sym_operator] = ACTIONS(3465),
    [anon_sym_try] = ACTIONS(3465),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_throw] = ACTIONS(3465),
    [anon_sym_namespace] = ACTIONS(3465),
    [anon_sym_using] = ACTIONS(3465),
    [anon_sym_static_assert] = ACTIONS(3465),
    [anon_sym_concept] = ACTIONS(3465),
    [anon_sym_co_return] = ACTIONS(3465),
    [anon_sym_co_yield] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3465),
    [anon_sym_new] = ACTIONS(3465),
    [anon_sym_requires] = ACTIONS(3465),
    [sym_this] = ACTIONS(3465),
  },
  [598] = {
    [sym_identifier] = ACTIONS(3511),
    [aux_sym_preproc_include_token1] = ACTIONS(3511),
    [aux_sym_preproc_def_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token2] = ACTIONS(3511),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3511),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3511),
    [aux_sym_preproc_else_token1] = ACTIONS(3511),
    [aux_sym_preproc_elif_token1] = ACTIONS(3511),
    [sym_preproc_directive] = ACTIONS(3511),
    [anon_sym_LPAREN2] = ACTIONS(3513),
    [anon_sym_BANG] = ACTIONS(3513),
    [anon_sym_TILDE] = ACTIONS(3513),
    [anon_sym_DASH] = ACTIONS(3511),
    [anon_sym_PLUS] = ACTIONS(3511),
    [anon_sym_STAR] = ACTIONS(3513),
    [anon_sym_AMP_AMP] = ACTIONS(3513),
    [anon_sym_AMP] = ACTIONS(3511),
    [anon_sym_SEMI] = ACTIONS(3513),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_typedef] = ACTIONS(3511),
    [anon_sym_extern] = ACTIONS(3511),
    [anon_sym___attribute__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3513),
    [anon_sym___declspec] = ACTIONS(3511),
    [anon_sym___based] = ACTIONS(3511),
    [anon_sym___cdecl] = ACTIONS(3511),
    [anon_sym___clrcall] = ACTIONS(3511),
    [anon_sym___stdcall] = ACTIONS(3511),
    [anon_sym___fastcall] = ACTIONS(3511),
    [anon_sym___thiscall] = ACTIONS(3511),
    [anon_sym___vectorcall] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3513),
    [anon_sym_signed] = ACTIONS(3511),
    [anon_sym_unsigned] = ACTIONS(3511),
    [anon_sym_long] = ACTIONS(3511),
    [anon_sym_short] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(3511),
    [anon_sym_static] = ACTIONS(3511),
    [anon_sym_register] = ACTIONS(3511),
    [anon_sym_inline] = ACTIONS(3511),
    [anon_sym___inline] = ACTIONS(3511),
    [anon_sym___inline__] = ACTIONS(3511),
    [anon_sym___forceinline] = ACTIONS(3511),
    [anon_sym_thread_local] = ACTIONS(3511),
    [anon_sym___thread] = ACTIONS(3511),
    [anon_sym_const] = ACTIONS(3511),
    [anon_sym_constexpr] = ACTIONS(3511),
    [anon_sym_volatile] = ACTIONS(3511),
    [anon_sym_restrict] = ACTIONS(3511),
    [anon_sym___restrict__] = ACTIONS(3511),
    [anon_sym__Atomic] = ACTIONS(3511),
    [anon_sym__Noreturn] = ACTIONS(3511),
    [anon_sym_noreturn] = ACTIONS(3511),
    [anon_sym_mutable] = ACTIONS(3511),
    [anon_sym_constinit] = ACTIONS(3511),
    [anon_sym_consteval] = ACTIONS(3511),
    [anon_sym_PROGMEM] = ACTIONS(3511),
    [aux_sym_primitive_type_token1] = ACTIONS(3511),
    [anon_sym_byte] = ACTIONS(3511),
    [anon_sym_word] = ACTIONS(3511),
    [anon_sym_enum] = ACTIONS(3511),
    [anon_sym_class] = ACTIONS(3511),
    [anon_sym_struct] = ACTIONS(3511),
    [anon_sym_union] = ACTIONS(3511),
    [anon_sym_if] = ACTIONS(3511),
    [anon_sym_switch] = ACTIONS(3511),
    [anon_sym_case] = ACTIONS(3511),
    [anon_sym_default] = ACTIONS(3511),
    [anon_sym_while] = ACTIONS(3511),
    [anon_sym_do] = ACTIONS(3511),
    [anon_sym_for] = ACTIONS(3511),
    [anon_sym_return] = ACTIONS(3511),
    [anon_sym_break] = ACTIONS(3511),
    [anon_sym_continue] = ACTIONS(3511),
    [anon_sym_goto] = ACTIONS(3511),
    [anon_sym___try] = ACTIONS(3511),
    [anon_sym___leave] = ACTIONS(3511),
    [anon_sym_not] = ACTIONS(3511),
    [anon_sym_compl] = ACTIONS(3511),
    [anon_sym_DASH_DASH] = ACTIONS(3513),
    [anon_sym_PLUS_PLUS] = ACTIONS(3513),
    [anon_sym_sizeof] = ACTIONS(3511),
    [anon_sym___alignof__] = ACTIONS(3511),
    [anon_sym___alignof] = ACTIONS(3511),
    [anon_sym__alignof] = ACTIONS(3511),
    [anon_sym_alignof] = ACTIONS(3511),
    [anon_sym__Alignof] = ACTIONS(3511),
    [anon_sym_offsetof] = ACTIONS(3511),
    [anon_sym__Generic] = ACTIONS(3511),
    [anon_sym_asm] = ACTIONS(3511),
    [anon_sym___asm__] = ACTIONS(3511),
    [aux_sym_number_literal_token1] = ACTIONS(3513),
    [aux_sym_number_literal_token2] = ACTIONS(3511),
    [anon_sym_L_SQUOTE] = ACTIONS(3513),
    [anon_sym_u_SQUOTE] = ACTIONS(3513),
    [anon_sym_U_SQUOTE] = ACTIONS(3513),
    [anon_sym_u8_SQUOTE] = ACTIONS(3513),
    [anon_sym_SQUOTE] = ACTIONS(3513),
    [anon_sym_L_DQUOTE] = ACTIONS(3513),
    [anon_sym_u_DQUOTE] = ACTIONS(3513),
    [anon_sym_U_DQUOTE] = ACTIONS(3513),
    [anon_sym_u8_DQUOTE] = ACTIONS(3513),
    [anon_sym_DQUOTE] = ACTIONS(3513),
    [sym_true] = ACTIONS(3511),
    [sym_false] = ACTIONS(3511),
    [anon_sym_NULL] = ACTIONS(3511),
    [anon_sym_nullptr] = ACTIONS(3511),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3511),
    [anon_sym_decltype] = ACTIONS(3511),
    [anon_sym_virtual] = ACTIONS(3511),
    [anon_sym_alignas] = ACTIONS(3511),
    [anon_sym_explicit] = ACTIONS(3511),
    [anon_sym_typename] = ACTIONS(3511),
    [anon_sym_template] = ACTIONS(3511),
    [anon_sym_operator] = ACTIONS(3511),
    [anon_sym_try] = ACTIONS(3511),
    [anon_sym_delete] = ACTIONS(3511),
    [anon_sym_throw] = ACTIONS(3511),
    [anon_sym_namespace] = ACTIONS(3511),
    [anon_sym_using] = ACTIONS(3511),
    [anon_sym_static_assert] = ACTIONS(3511),
    [anon_sym_concept] = ACTIONS(3511),
    [anon_sym_co_return] = ACTIONS(3511),
    [anon_sym_co_yield] = ACTIONS(3511),
    [anon_sym_R_DQUOTE] = ACTIONS(3513),
    [anon_sym_LR_DQUOTE] = ACTIONS(3513),
    [anon_sym_uR_DQUOTE] = ACTIONS(3513),
    [anon_sym_UR_DQUOTE] = ACTIONS(3513),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3513),
    [anon_sym_co_await] = ACTIONS(3511),
    [anon_sym_new] = ACTIONS(3511),
    [anon_sym_requires] = ACTIONS(3511),
    [sym_this] = ACTIONS(3511),
  },
  [599] = {
    [sym_identifier] = ACTIONS(3200),
    [aux_sym_preproc_include_token1] = ACTIONS(3200),
    [aux_sym_preproc_def_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token2] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3200),
    [aux_sym_preproc_else_token1] = ACTIONS(3200),
    [aux_sym_preproc_elif_token1] = ACTIONS(3200),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(3202),
    [anon_sym_BANG] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3202),
    [anon_sym___extension__] = ACTIONS(3200),
    [anon_sym_typedef] = ACTIONS(3200),
    [anon_sym_extern] = ACTIONS(3200),
    [anon_sym___attribute__] = ACTIONS(3200),
    [anon_sym_COLON_COLON] = ACTIONS(3202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3202),
    [anon_sym___declspec] = ACTIONS(3200),
    [anon_sym___based] = ACTIONS(3200),
    [anon_sym___cdecl] = ACTIONS(3200),
    [anon_sym___clrcall] = ACTIONS(3200),
    [anon_sym___stdcall] = ACTIONS(3200),
    [anon_sym___fastcall] = ACTIONS(3200),
    [anon_sym___thiscall] = ACTIONS(3200),
    [anon_sym___vectorcall] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3202),
    [anon_sym_signed] = ACTIONS(3200),
    [anon_sym_unsigned] = ACTIONS(3200),
    [anon_sym_long] = ACTIONS(3200),
    [anon_sym_short] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_register] = ACTIONS(3200),
    [anon_sym_inline] = ACTIONS(3200),
    [anon_sym___inline] = ACTIONS(3200),
    [anon_sym___inline__] = ACTIONS(3200),
    [anon_sym___forceinline] = ACTIONS(3200),
    [anon_sym_thread_local] = ACTIONS(3200),
    [anon_sym___thread] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_constexpr] = ACTIONS(3200),
    [anon_sym_volatile] = ACTIONS(3200),
    [anon_sym_restrict] = ACTIONS(3200),
    [anon_sym___restrict__] = ACTIONS(3200),
    [anon_sym__Atomic] = ACTIONS(3200),
    [anon_sym__Noreturn] = ACTIONS(3200),
    [anon_sym_noreturn] = ACTIONS(3200),
    [anon_sym_mutable] = ACTIONS(3200),
    [anon_sym_constinit] = ACTIONS(3200),
    [anon_sym_consteval] = ACTIONS(3200),
    [anon_sym_PROGMEM] = ACTIONS(3200),
    [aux_sym_primitive_type_token1] = ACTIONS(3200),
    [anon_sym_byte] = ACTIONS(3200),
    [anon_sym_word] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_struct] = ACTIONS(3200),
    [anon_sym_union] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_case] = ACTIONS(3200),
    [anon_sym_default] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_goto] = ACTIONS(3200),
    [anon_sym___try] = ACTIONS(3200),
    [anon_sym___leave] = ACTIONS(3200),
    [anon_sym_not] = ACTIONS(3200),
    [anon_sym_compl] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_sizeof] = ACTIONS(3200),
    [anon_sym___alignof__] = ACTIONS(3200),
    [anon_sym___alignof] = ACTIONS(3200),
    [anon_sym__alignof] = ACTIONS(3200),
    [anon_sym_alignof] = ACTIONS(3200),
    [anon_sym__Alignof] = ACTIONS(3200),
    [anon_sym_offsetof] = ACTIONS(3200),
    [anon_sym__Generic] = ACTIONS(3200),
    [anon_sym_asm] = ACTIONS(3200),
    [anon_sym___asm__] = ACTIONS(3200),
    [aux_sym_number_literal_token1] = ACTIONS(3202),
    [aux_sym_number_literal_token2] = ACTIONS(3200),
    [anon_sym_L_SQUOTE] = ACTIONS(3202),
    [anon_sym_u_SQUOTE] = ACTIONS(3202),
    [anon_sym_U_SQUOTE] = ACTIONS(3202),
    [anon_sym_u8_SQUOTE] = ACTIONS(3202),
    [anon_sym_SQUOTE] = ACTIONS(3202),
    [anon_sym_L_DQUOTE] = ACTIONS(3202),
    [anon_sym_u_DQUOTE] = ACTIONS(3202),
    [anon_sym_U_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8_DQUOTE] = ACTIONS(3202),
    [anon_sym_DQUOTE] = ACTIONS(3202),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [anon_sym_NULL] = ACTIONS(3200),
    [anon_sym_nullptr] = ACTIONS(3200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3200),
    [anon_sym_decltype] = ACTIONS(3200),
    [anon_sym_virtual] = ACTIONS(3200),
    [anon_sym_alignas] = ACTIONS(3200),
    [anon_sym_explicit] = ACTIONS(3200),
    [anon_sym_typename] = ACTIONS(3200),
    [anon_sym_template] = ACTIONS(3200),
    [anon_sym_operator] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_static_assert] = ACTIONS(3200),
    [anon_sym_concept] = ACTIONS(3200),
    [anon_sym_co_return] = ACTIONS(3200),
    [anon_sym_co_yield] = ACTIONS(3200),
    [anon_sym_R_DQUOTE] = ACTIONS(3202),
    [anon_sym_LR_DQUOTE] = ACTIONS(3202),
    [anon_sym_uR_DQUOTE] = ACTIONS(3202),
    [anon_sym_UR_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3202),
    [anon_sym_co_await] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_requires] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
  },
  [600] = {
    [sym_identifier] = ACTIONS(3184),
    [aux_sym_preproc_include_token1] = ACTIONS(3184),
    [aux_sym_preproc_def_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token2] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3184),
    [aux_sym_preproc_else_token1] = ACTIONS(3184),
    [aux_sym_preproc_elif_token1] = ACTIONS(3184),
    [sym_preproc_directive] = ACTIONS(3184),
    [anon_sym_LPAREN2] = ACTIONS(3186),
    [anon_sym_BANG] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_AMP_AMP] = ACTIONS(3186),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym___extension__] = ACTIONS(3184),
    [anon_sym_typedef] = ACTIONS(3184),
    [anon_sym_extern] = ACTIONS(3184),
    [anon_sym___attribute__] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3186),
    [anon_sym___declspec] = ACTIONS(3184),
    [anon_sym___based] = ACTIONS(3184),
    [anon_sym___cdecl] = ACTIONS(3184),
    [anon_sym___clrcall] = ACTIONS(3184),
    [anon_sym___stdcall] = ACTIONS(3184),
    [anon_sym___fastcall] = ACTIONS(3184),
    [anon_sym___thiscall] = ACTIONS(3184),
    [anon_sym___vectorcall] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_signed] = ACTIONS(3184),
    [anon_sym_unsigned] = ACTIONS(3184),
    [anon_sym_long] = ACTIONS(3184),
    [anon_sym_short] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_register] = ACTIONS(3184),
    [anon_sym_inline] = ACTIONS(3184),
    [anon_sym___inline] = ACTIONS(3184),
    [anon_sym___inline__] = ACTIONS(3184),
    [anon_sym___forceinline] = ACTIONS(3184),
    [anon_sym_thread_local] = ACTIONS(3184),
    [anon_sym___thread] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_constexpr] = ACTIONS(3184),
    [anon_sym_volatile] = ACTIONS(3184),
    [anon_sym_restrict] = ACTIONS(3184),
    [anon_sym___restrict__] = ACTIONS(3184),
    [anon_sym__Atomic] = ACTIONS(3184),
    [anon_sym__Noreturn] = ACTIONS(3184),
    [anon_sym_noreturn] = ACTIONS(3184),
    [anon_sym_mutable] = ACTIONS(3184),
    [anon_sym_constinit] = ACTIONS(3184),
    [anon_sym_consteval] = ACTIONS(3184),
    [anon_sym_PROGMEM] = ACTIONS(3184),
    [aux_sym_primitive_type_token1] = ACTIONS(3184),
    [anon_sym_byte] = ACTIONS(3184),
    [anon_sym_word] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_struct] = ACTIONS(3184),
    [anon_sym_union] = ACTIONS(3184),
    [anon_sym_if] = ACTIONS(3184),
    [anon_sym_switch] = ACTIONS(3184),
    [anon_sym_case] = ACTIONS(3184),
    [anon_sym_default] = ACTIONS(3184),
    [anon_sym_while] = ACTIONS(3184),
    [anon_sym_do] = ACTIONS(3184),
    [anon_sym_for] = ACTIONS(3184),
    [anon_sym_return] = ACTIONS(3184),
    [anon_sym_break] = ACTIONS(3184),
    [anon_sym_continue] = ACTIONS(3184),
    [anon_sym_goto] = ACTIONS(3184),
    [anon_sym___try] = ACTIONS(3184),
    [anon_sym___leave] = ACTIONS(3184),
    [anon_sym_not] = ACTIONS(3184),
    [anon_sym_compl] = ACTIONS(3184),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_sizeof] = ACTIONS(3184),
    [anon_sym___alignof__] = ACTIONS(3184),
    [anon_sym___alignof] = ACTIONS(3184),
    [anon_sym__alignof] = ACTIONS(3184),
    [anon_sym_alignof] = ACTIONS(3184),
    [anon_sym__Alignof] = ACTIONS(3184),
    [anon_sym_offsetof] = ACTIONS(3184),
    [anon_sym__Generic] = ACTIONS(3184),
    [anon_sym_asm] = ACTIONS(3184),
    [anon_sym___asm__] = ACTIONS(3184),
    [aux_sym_number_literal_token1] = ACTIONS(3186),
    [aux_sym_number_literal_token2] = ACTIONS(3184),
    [anon_sym_L_SQUOTE] = ACTIONS(3186),
    [anon_sym_u_SQUOTE] = ACTIONS(3186),
    [anon_sym_U_SQUOTE] = ACTIONS(3186),
    [anon_sym_u8_SQUOTE] = ACTIONS(3186),
    [anon_sym_SQUOTE] = ACTIONS(3186),
    [anon_sym_L_DQUOTE] = ACTIONS(3186),
    [anon_sym_u_DQUOTE] = ACTIONS(3186),
    [anon_sym_U_DQUOTE] = ACTIONS(3186),
    [anon_sym_u8_DQUOTE] = ACTIONS(3186),
    [anon_sym_DQUOTE] = ACTIONS(3186),
    [sym_true] = ACTIONS(3184),
    [sym_false] = ACTIONS(3184),
    [anon_sym_NULL] = ACTIONS(3184),
    [anon_sym_nullptr] = ACTIONS(3184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3184),
    [anon_sym_decltype] = ACTIONS(3184),
    [anon_sym_virtual] = ACTIONS(3184),
    [anon_sym_alignas] = ACTIONS(3184),
    [anon_sym_explicit] = ACTIONS(3184),
    [anon_sym_typename] = ACTIONS(3184),
    [anon_sym_template] = ACTIONS(3184),
    [anon_sym_operator] = ACTIONS(3184),
    [anon_sym_try] = ACTIONS(3184),
    [anon_sym_delete] = ACTIONS(3184),
    [anon_sym_throw] = ACTIONS(3184),
    [anon_sym_namespace] = ACTIONS(3184),
    [anon_sym_using] = ACTIONS(3184),
    [anon_sym_static_assert] = ACTIONS(3184),
    [anon_sym_concept] = ACTIONS(3184),
    [anon_sym_co_return] = ACTIONS(3184),
    [anon_sym_co_yield] = ACTIONS(3184),
    [anon_sym_R_DQUOTE] = ACTIONS(3186),
    [anon_sym_LR_DQUOTE] = ACTIONS(3186),
    [anon_sym_uR_DQUOTE] = ACTIONS(3186),
    [anon_sym_UR_DQUOTE] = ACTIONS(3186),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3186),
    [anon_sym_co_await] = ACTIONS(3184),
    [anon_sym_new] = ACTIONS(3184),
    [anon_sym_requires] = ACTIONS(3184),
    [sym_this] = ACTIONS(3184),
  },
  [601] = {
    [sym_identifier] = ACTIONS(3401),
    [aux_sym_preproc_include_token1] = ACTIONS(3401),
    [aux_sym_preproc_def_token1] = ACTIONS(3401),
    [aux_sym_preproc_if_token1] = ACTIONS(3401),
    [aux_sym_preproc_if_token2] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3401),
    [aux_sym_preproc_else_token1] = ACTIONS(3401),
    [aux_sym_preproc_elif_token1] = ACTIONS(3401),
    [sym_preproc_directive] = ACTIONS(3401),
    [anon_sym_LPAREN2] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3401),
    [anon_sym_PLUS] = ACTIONS(3401),
    [anon_sym_STAR] = ACTIONS(3403),
    [anon_sym_AMP_AMP] = ACTIONS(3403),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym___extension__] = ACTIONS(3401),
    [anon_sym_typedef] = ACTIONS(3401),
    [anon_sym_extern] = ACTIONS(3401),
    [anon_sym___attribute__] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3403),
    [anon_sym___declspec] = ACTIONS(3401),
    [anon_sym___based] = ACTIONS(3401),
    [anon_sym___cdecl] = ACTIONS(3401),
    [anon_sym___clrcall] = ACTIONS(3401),
    [anon_sym___stdcall] = ACTIONS(3401),
    [anon_sym___fastcall] = ACTIONS(3401),
    [anon_sym___thiscall] = ACTIONS(3401),
    [anon_sym___vectorcall] = ACTIONS(3401),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3401),
    [anon_sym_unsigned] = ACTIONS(3401),
    [anon_sym_long] = ACTIONS(3401),
    [anon_sym_short] = ACTIONS(3401),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_static] = ACTIONS(3401),
    [anon_sym_register] = ACTIONS(3401),
    [anon_sym_inline] = ACTIONS(3401),
    [anon_sym___inline] = ACTIONS(3401),
    [anon_sym___inline__] = ACTIONS(3401),
    [anon_sym___forceinline] = ACTIONS(3401),
    [anon_sym_thread_local] = ACTIONS(3401),
    [anon_sym___thread] = ACTIONS(3401),
    [anon_sym_const] = ACTIONS(3401),
    [anon_sym_constexpr] = ACTIONS(3401),
    [anon_sym_volatile] = ACTIONS(3401),
    [anon_sym_restrict] = ACTIONS(3401),
    [anon_sym___restrict__] = ACTIONS(3401),
    [anon_sym__Atomic] = ACTIONS(3401),
    [anon_sym__Noreturn] = ACTIONS(3401),
    [anon_sym_noreturn] = ACTIONS(3401),
    [anon_sym_mutable] = ACTIONS(3401),
    [anon_sym_constinit] = ACTIONS(3401),
    [anon_sym_consteval] = ACTIONS(3401),
    [anon_sym_PROGMEM] = ACTIONS(3401),
    [aux_sym_primitive_type_token1] = ACTIONS(3401),
    [anon_sym_byte] = ACTIONS(3401),
    [anon_sym_word] = ACTIONS(3401),
    [anon_sym_enum] = ACTIONS(3401),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3401),
    [anon_sym_union] = ACTIONS(3401),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_switch] = ACTIONS(3401),
    [anon_sym_case] = ACTIONS(3401),
    [anon_sym_default] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(3401),
    [anon_sym_do] = ACTIONS(3401),
    [anon_sym_for] = ACTIONS(3401),
    [anon_sym_return] = ACTIONS(3401),
    [anon_sym_break] = ACTIONS(3401),
    [anon_sym_continue] = ACTIONS(3401),
    [anon_sym_goto] = ACTIONS(3401),
    [anon_sym___try] = ACTIONS(3401),
    [anon_sym___leave] = ACTIONS(3401),
    [anon_sym_not] = ACTIONS(3401),
    [anon_sym_compl] = ACTIONS(3401),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_sizeof] = ACTIONS(3401),
    [anon_sym___alignof__] = ACTIONS(3401),
    [anon_sym___alignof] = ACTIONS(3401),
    [anon_sym__alignof] = ACTIONS(3401),
    [anon_sym_alignof] = ACTIONS(3401),
    [anon_sym__Alignof] = ACTIONS(3401),
    [anon_sym_offsetof] = ACTIONS(3401),
    [anon_sym__Generic] = ACTIONS(3401),
    [anon_sym_asm] = ACTIONS(3401),
    [anon_sym___asm__] = ACTIONS(3401),
    [aux_sym_number_literal_token1] = ACTIONS(3403),
    [aux_sym_number_literal_token2] = ACTIONS(3401),
    [anon_sym_L_SQUOTE] = ACTIONS(3403),
    [anon_sym_u_SQUOTE] = ACTIONS(3403),
    [anon_sym_U_SQUOTE] = ACTIONS(3403),
    [anon_sym_u8_SQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [anon_sym_L_DQUOTE] = ACTIONS(3403),
    [anon_sym_u_DQUOTE] = ACTIONS(3403),
    [anon_sym_U_DQUOTE] = ACTIONS(3403),
    [anon_sym_u8_DQUOTE] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [sym_true] = ACTIONS(3401),
    [sym_false] = ACTIONS(3401),
    [anon_sym_NULL] = ACTIONS(3401),
    [anon_sym_nullptr] = ACTIONS(3401),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3401),
    [anon_sym_decltype] = ACTIONS(3401),
    [anon_sym_virtual] = ACTIONS(3401),
    [anon_sym_alignas] = ACTIONS(3401),
    [anon_sym_explicit] = ACTIONS(3401),
    [anon_sym_typename] = ACTIONS(3401),
    [anon_sym_template] = ACTIONS(3401),
    [anon_sym_operator] = ACTIONS(3401),
    [anon_sym_try] = ACTIONS(3401),
    [anon_sym_delete] = ACTIONS(3401),
    [anon_sym_throw] = ACTIONS(3401),
    [anon_sym_namespace] = ACTIONS(3401),
    [anon_sym_using] = ACTIONS(3401),
    [anon_sym_static_assert] = ACTIONS(3401),
    [anon_sym_concept] = ACTIONS(3401),
    [anon_sym_co_return] = ACTIONS(3401),
    [anon_sym_co_yield] = ACTIONS(3401),
    [anon_sym_R_DQUOTE] = ACTIONS(3403),
    [anon_sym_LR_DQUOTE] = ACTIONS(3403),
    [anon_sym_uR_DQUOTE] = ACTIONS(3403),
    [anon_sym_UR_DQUOTE] = ACTIONS(3403),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3403),
    [anon_sym_co_await] = ACTIONS(3401),
    [anon_sym_new] = ACTIONS(3401),
    [anon_sym_requires] = ACTIONS(3401),
    [sym_this] = ACTIONS(3401),
  },
  [602] = {
    [sym_identifier] = ACTIONS(3192),
    [aux_sym_preproc_include_token1] = ACTIONS(3192),
    [aux_sym_preproc_def_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token2] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3192),
    [aux_sym_preproc_else_token1] = ACTIONS(3192),
    [aux_sym_preproc_elif_token1] = ACTIONS(3192),
    [sym_preproc_directive] = ACTIONS(3192),
    [anon_sym_LPAREN2] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym___extension__] = ACTIONS(3192),
    [anon_sym_typedef] = ACTIONS(3192),
    [anon_sym_extern] = ACTIONS(3192),
    [anon_sym___attribute__] = ACTIONS(3192),
    [anon_sym_COLON_COLON] = ACTIONS(3194),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3194),
    [anon_sym___declspec] = ACTIONS(3192),
    [anon_sym___based] = ACTIONS(3192),
    [anon_sym___cdecl] = ACTIONS(3192),
    [anon_sym___clrcall] = ACTIONS(3192),
    [anon_sym___stdcall] = ACTIONS(3192),
    [anon_sym___fastcall] = ACTIONS(3192),
    [anon_sym___thiscall] = ACTIONS(3192),
    [anon_sym___vectorcall] = ACTIONS(3192),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_signed] = ACTIONS(3192),
    [anon_sym_unsigned] = ACTIONS(3192),
    [anon_sym_long] = ACTIONS(3192),
    [anon_sym_short] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_register] = ACTIONS(3192),
    [anon_sym_inline] = ACTIONS(3192),
    [anon_sym___inline] = ACTIONS(3192),
    [anon_sym___inline__] = ACTIONS(3192),
    [anon_sym___forceinline] = ACTIONS(3192),
    [anon_sym_thread_local] = ACTIONS(3192),
    [anon_sym___thread] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_constexpr] = ACTIONS(3192),
    [anon_sym_volatile] = ACTIONS(3192),
    [anon_sym_restrict] = ACTIONS(3192),
    [anon_sym___restrict__] = ACTIONS(3192),
    [anon_sym__Atomic] = ACTIONS(3192),
    [anon_sym__Noreturn] = ACTIONS(3192),
    [anon_sym_noreturn] = ACTIONS(3192),
    [anon_sym_mutable] = ACTIONS(3192),
    [anon_sym_constinit] = ACTIONS(3192),
    [anon_sym_consteval] = ACTIONS(3192),
    [anon_sym_PROGMEM] = ACTIONS(3192),
    [aux_sym_primitive_type_token1] = ACTIONS(3192),
    [anon_sym_byte] = ACTIONS(3192),
    [anon_sym_word] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_struct] = ACTIONS(3192),
    [anon_sym_union] = ACTIONS(3192),
    [anon_sym_if] = ACTIONS(3192),
    [anon_sym_switch] = ACTIONS(3192),
    [anon_sym_case] = ACTIONS(3192),
    [anon_sym_default] = ACTIONS(3192),
    [anon_sym_while] = ACTIONS(3192),
    [anon_sym_do] = ACTIONS(3192),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_break] = ACTIONS(3192),
    [anon_sym_continue] = ACTIONS(3192),
    [anon_sym_goto] = ACTIONS(3192),
    [anon_sym___try] = ACTIONS(3192),
    [anon_sym___leave] = ACTIONS(3192),
    [anon_sym_not] = ACTIONS(3192),
    [anon_sym_compl] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_sizeof] = ACTIONS(3192),
    [anon_sym___alignof__] = ACTIONS(3192),
    [anon_sym___alignof] = ACTIONS(3192),
    [anon_sym__alignof] = ACTIONS(3192),
    [anon_sym_alignof] = ACTIONS(3192),
    [anon_sym__Alignof] = ACTIONS(3192),
    [anon_sym_offsetof] = ACTIONS(3192),
    [anon_sym__Generic] = ACTIONS(3192),
    [anon_sym_asm] = ACTIONS(3192),
    [anon_sym___asm__] = ACTIONS(3192),
    [aux_sym_number_literal_token1] = ACTIONS(3194),
    [aux_sym_number_literal_token2] = ACTIONS(3192),
    [anon_sym_L_SQUOTE] = ACTIONS(3194),
    [anon_sym_u_SQUOTE] = ACTIONS(3194),
    [anon_sym_U_SQUOTE] = ACTIONS(3194),
    [anon_sym_u8_SQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [anon_sym_L_DQUOTE] = ACTIONS(3194),
    [anon_sym_u_DQUOTE] = ACTIONS(3194),
    [anon_sym_U_DQUOTE] = ACTIONS(3194),
    [anon_sym_u8_DQUOTE] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [sym_true] = ACTIONS(3192),
    [sym_false] = ACTIONS(3192),
    [anon_sym_NULL] = ACTIONS(3192),
    [anon_sym_nullptr] = ACTIONS(3192),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3192),
    [anon_sym_decltype] = ACTIONS(3192),
    [anon_sym_virtual] = ACTIONS(3192),
    [anon_sym_alignas] = ACTIONS(3192),
    [anon_sym_explicit] = ACTIONS(3192),
    [anon_sym_typename] = ACTIONS(3192),
    [anon_sym_template] = ACTIONS(3192),
    [anon_sym_operator] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3192),
    [anon_sym_delete] = ACTIONS(3192),
    [anon_sym_throw] = ACTIONS(3192),
    [anon_sym_namespace] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_static_assert] = ACTIONS(3192),
    [anon_sym_concept] = ACTIONS(3192),
    [anon_sym_co_return] = ACTIONS(3192),
    [anon_sym_co_yield] = ACTIONS(3192),
    [anon_sym_R_DQUOTE] = ACTIONS(3194),
    [anon_sym_LR_DQUOTE] = ACTIONS(3194),
    [anon_sym_uR_DQUOTE] = ACTIONS(3194),
    [anon_sym_UR_DQUOTE] = ACTIONS(3194),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3194),
    [anon_sym_co_await] = ACTIONS(3192),
    [anon_sym_new] = ACTIONS(3192),
    [anon_sym_requires] = ACTIONS(3192),
    [sym_this] = ACTIONS(3192),
  },
  [603] = {
    [sym_identifier] = ACTIONS(3385),
    [aux_sym_preproc_include_token1] = ACTIONS(3385),
    [aux_sym_preproc_def_token1] = ACTIONS(3385),
    [aux_sym_preproc_if_token1] = ACTIONS(3385),
    [aux_sym_preproc_if_token2] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3385),
    [aux_sym_preproc_else_token1] = ACTIONS(3385),
    [aux_sym_preproc_elif_token1] = ACTIONS(3385),
    [sym_preproc_directive] = ACTIONS(3385),
    [anon_sym_LPAREN2] = ACTIONS(3387),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3385),
    [anon_sym_PLUS] = ACTIONS(3385),
    [anon_sym_STAR] = ACTIONS(3387),
    [anon_sym_AMP_AMP] = ACTIONS(3387),
    [anon_sym_AMP] = ACTIONS(3385),
    [anon_sym_SEMI] = ACTIONS(3387),
    [anon_sym___extension__] = ACTIONS(3385),
    [anon_sym_typedef] = ACTIONS(3385),
    [anon_sym_extern] = ACTIONS(3385),
    [anon_sym___attribute__] = ACTIONS(3385),
    [anon_sym_COLON_COLON] = ACTIONS(3387),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3387),
    [anon_sym___declspec] = ACTIONS(3385),
    [anon_sym___based] = ACTIONS(3385),
    [anon_sym___cdecl] = ACTIONS(3385),
    [anon_sym___clrcall] = ACTIONS(3385),
    [anon_sym___stdcall] = ACTIONS(3385),
    [anon_sym___fastcall] = ACTIONS(3385),
    [anon_sym___thiscall] = ACTIONS(3385),
    [anon_sym___vectorcall] = ACTIONS(3385),
    [anon_sym_LBRACE] = ACTIONS(3387),
    [anon_sym_signed] = ACTIONS(3385),
    [anon_sym_unsigned] = ACTIONS(3385),
    [anon_sym_long] = ACTIONS(3385),
    [anon_sym_short] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3385),
    [anon_sym_static] = ACTIONS(3385),
    [anon_sym_register] = ACTIONS(3385),
    [anon_sym_inline] = ACTIONS(3385),
    [anon_sym___inline] = ACTIONS(3385),
    [anon_sym___inline__] = ACTIONS(3385),
    [anon_sym___forceinline] = ACTIONS(3385),
    [anon_sym_thread_local] = ACTIONS(3385),
    [anon_sym___thread] = ACTIONS(3385),
    [anon_sym_const] = ACTIONS(3385),
    [anon_sym_constexpr] = ACTIONS(3385),
    [anon_sym_volatile] = ACTIONS(3385),
    [anon_sym_restrict] = ACTIONS(3385),
    [anon_sym___restrict__] = ACTIONS(3385),
    [anon_sym__Atomic] = ACTIONS(3385),
    [anon_sym__Noreturn] = ACTIONS(3385),
    [anon_sym_noreturn] = ACTIONS(3385),
    [anon_sym_mutable] = ACTIONS(3385),
    [anon_sym_constinit] = ACTIONS(3385),
    [anon_sym_consteval] = ACTIONS(3385),
    [anon_sym_PROGMEM] = ACTIONS(3385),
    [aux_sym_primitive_type_token1] = ACTIONS(3385),
    [anon_sym_byte] = ACTIONS(3385),
    [anon_sym_word] = ACTIONS(3385),
    [anon_sym_enum] = ACTIONS(3385),
    [anon_sym_class] = ACTIONS(3385),
    [anon_sym_struct] = ACTIONS(3385),
    [anon_sym_union] = ACTIONS(3385),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_switch] = ACTIONS(3385),
    [anon_sym_case] = ACTIONS(3385),
    [anon_sym_default] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(3385),
    [anon_sym_do] = ACTIONS(3385),
    [anon_sym_for] = ACTIONS(3385),
    [anon_sym_return] = ACTIONS(3385),
    [anon_sym_break] = ACTIONS(3385),
    [anon_sym_continue] = ACTIONS(3385),
    [anon_sym_goto] = ACTIONS(3385),
    [anon_sym___try] = ACTIONS(3385),
    [anon_sym___leave] = ACTIONS(3385),
    [anon_sym_not] = ACTIONS(3385),
    [anon_sym_compl] = ACTIONS(3385),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_sizeof] = ACTIONS(3385),
    [anon_sym___alignof__] = ACTIONS(3385),
    [anon_sym___alignof] = ACTIONS(3385),
    [anon_sym__alignof] = ACTIONS(3385),
    [anon_sym_alignof] = ACTIONS(3385),
    [anon_sym__Alignof] = ACTIONS(3385),
    [anon_sym_offsetof] = ACTIONS(3385),
    [anon_sym__Generic] = ACTIONS(3385),
    [anon_sym_asm] = ACTIONS(3385),
    [anon_sym___asm__] = ACTIONS(3385),
    [aux_sym_number_literal_token1] = ACTIONS(3387),
    [aux_sym_number_literal_token2] = ACTIONS(3385),
    [anon_sym_L_SQUOTE] = ACTIONS(3387),
    [anon_sym_u_SQUOTE] = ACTIONS(3387),
    [anon_sym_U_SQUOTE] = ACTIONS(3387),
    [anon_sym_u8_SQUOTE] = ACTIONS(3387),
    [anon_sym_SQUOTE] = ACTIONS(3387),
    [anon_sym_L_DQUOTE] = ACTIONS(3387),
    [anon_sym_u_DQUOTE] = ACTIONS(3387),
    [anon_sym_U_DQUOTE] = ACTIONS(3387),
    [anon_sym_u8_DQUOTE] = ACTIONS(3387),
    [anon_sym_DQUOTE] = ACTIONS(3387),
    [sym_true] = ACTIONS(3385),
    [sym_false] = ACTIONS(3385),
    [anon_sym_NULL] = ACTIONS(3385),
    [anon_sym_nullptr] = ACTIONS(3385),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3385),
    [anon_sym_decltype] = ACTIONS(3385),
    [anon_sym_virtual] = ACTIONS(3385),
    [anon_sym_alignas] = ACTIONS(3385),
    [anon_sym_explicit] = ACTIONS(3385),
    [anon_sym_typename] = ACTIONS(3385),
    [anon_sym_template] = ACTIONS(3385),
    [anon_sym_operator] = ACTIONS(3385),
    [anon_sym_try] = ACTIONS(3385),
    [anon_sym_delete] = ACTIONS(3385),
    [anon_sym_throw] = ACTIONS(3385),
    [anon_sym_namespace] = ACTIONS(3385),
    [anon_sym_using] = ACTIONS(3385),
    [anon_sym_static_assert] = ACTIONS(3385),
    [anon_sym_concept] = ACTIONS(3385),
    [anon_sym_co_return] = ACTIONS(3385),
    [anon_sym_co_yield] = ACTIONS(3385),
    [anon_sym_R_DQUOTE] = ACTIONS(3387),
    [anon_sym_LR_DQUOTE] = ACTIONS(3387),
    [anon_sym_uR_DQUOTE] = ACTIONS(3387),
    [anon_sym_UR_DQUOTE] = ACTIONS(3387),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3387),
    [anon_sym_co_await] = ACTIONS(3385),
    [anon_sym_new] = ACTIONS(3385),
    [anon_sym_requires] = ACTIONS(3385),
    [sym_this] = ACTIONS(3385),
  },
  [604] = {
    [sym_identifier] = ACTIONS(3308),
    [aux_sym_preproc_include_token1] = ACTIONS(3308),
    [aux_sym_preproc_def_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token2] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3308),
    [aux_sym_preproc_else_token1] = ACTIONS(3308),
    [aux_sym_preproc_elif_token1] = ACTIONS(3308),
    [sym_preproc_directive] = ACTIONS(3308),
    [anon_sym_LPAREN2] = ACTIONS(3310),
    [anon_sym_BANG] = ACTIONS(3310),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_STAR] = ACTIONS(3310),
    [anon_sym_AMP_AMP] = ACTIONS(3310),
    [anon_sym_AMP] = ACTIONS(3308),
    [anon_sym_SEMI] = ACTIONS(3310),
    [anon_sym___extension__] = ACTIONS(3308),
    [anon_sym_typedef] = ACTIONS(3308),
    [anon_sym_extern] = ACTIONS(3308),
    [anon_sym___attribute__] = ACTIONS(3308),
    [anon_sym_COLON_COLON] = ACTIONS(3310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3310),
    [anon_sym___declspec] = ACTIONS(3308),
    [anon_sym___based] = ACTIONS(3308),
    [anon_sym___cdecl] = ACTIONS(3308),
    [anon_sym___clrcall] = ACTIONS(3308),
    [anon_sym___stdcall] = ACTIONS(3308),
    [anon_sym___fastcall] = ACTIONS(3308),
    [anon_sym___thiscall] = ACTIONS(3308),
    [anon_sym___vectorcall] = ACTIONS(3308),
    [anon_sym_LBRACE] = ACTIONS(3310),
    [anon_sym_signed] = ACTIONS(3308),
    [anon_sym_unsigned] = ACTIONS(3308),
    [anon_sym_long] = ACTIONS(3308),
    [anon_sym_short] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_register] = ACTIONS(3308),
    [anon_sym_inline] = ACTIONS(3308),
    [anon_sym___inline] = ACTIONS(3308),
    [anon_sym___inline__] = ACTIONS(3308),
    [anon_sym___forceinline] = ACTIONS(3308),
    [anon_sym_thread_local] = ACTIONS(3308),
    [anon_sym___thread] = ACTIONS(3308),
    [anon_sym_const] = ACTIONS(3308),
    [anon_sym_constexpr] = ACTIONS(3308),
    [anon_sym_volatile] = ACTIONS(3308),
    [anon_sym_restrict] = ACTIONS(3308),
    [anon_sym___restrict__] = ACTIONS(3308),
    [anon_sym__Atomic] = ACTIONS(3308),
    [anon_sym__Noreturn] = ACTIONS(3308),
    [anon_sym_noreturn] = ACTIONS(3308),
    [anon_sym_mutable] = ACTIONS(3308),
    [anon_sym_constinit] = ACTIONS(3308),
    [anon_sym_consteval] = ACTIONS(3308),
    [anon_sym_PROGMEM] = ACTIONS(3308),
    [aux_sym_primitive_type_token1] = ACTIONS(3308),
    [anon_sym_byte] = ACTIONS(3308),
    [anon_sym_word] = ACTIONS(3308),
    [anon_sym_enum] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_struct] = ACTIONS(3308),
    [anon_sym_union] = ACTIONS(3308),
    [anon_sym_if] = ACTIONS(3308),
    [anon_sym_switch] = ACTIONS(3308),
    [anon_sym_case] = ACTIONS(3308),
    [anon_sym_default] = ACTIONS(3308),
    [anon_sym_while] = ACTIONS(3308),
    [anon_sym_do] = ACTIONS(3308),
    [anon_sym_for] = ACTIONS(3308),
    [anon_sym_return] = ACTIONS(3308),
    [anon_sym_break] = ACTIONS(3308),
    [anon_sym_continue] = ACTIONS(3308),
    [anon_sym_goto] = ACTIONS(3308),
    [anon_sym___try] = ACTIONS(3308),
    [anon_sym___leave] = ACTIONS(3308),
    [anon_sym_not] = ACTIONS(3308),
    [anon_sym_compl] = ACTIONS(3308),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_sizeof] = ACTIONS(3308),
    [anon_sym___alignof__] = ACTIONS(3308),
    [anon_sym___alignof] = ACTIONS(3308),
    [anon_sym__alignof] = ACTIONS(3308),
    [anon_sym_alignof] = ACTIONS(3308),
    [anon_sym__Alignof] = ACTIONS(3308),
    [anon_sym_offsetof] = ACTIONS(3308),
    [anon_sym__Generic] = ACTIONS(3308),
    [anon_sym_asm] = ACTIONS(3308),
    [anon_sym___asm__] = ACTIONS(3308),
    [aux_sym_number_literal_token1] = ACTIONS(3310),
    [aux_sym_number_literal_token2] = ACTIONS(3308),
    [anon_sym_L_SQUOTE] = ACTIONS(3310),
    [anon_sym_u_SQUOTE] = ACTIONS(3310),
    [anon_sym_U_SQUOTE] = ACTIONS(3310),
    [anon_sym_u8_SQUOTE] = ACTIONS(3310),
    [anon_sym_SQUOTE] = ACTIONS(3310),
    [anon_sym_L_DQUOTE] = ACTIONS(3310),
    [anon_sym_u_DQUOTE] = ACTIONS(3310),
    [anon_sym_U_DQUOTE] = ACTIONS(3310),
    [anon_sym_u8_DQUOTE] = ACTIONS(3310),
    [anon_sym_DQUOTE] = ACTIONS(3310),
    [sym_true] = ACTIONS(3308),
    [sym_false] = ACTIONS(3308),
    [anon_sym_NULL] = ACTIONS(3308),
    [anon_sym_nullptr] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3308),
    [anon_sym_decltype] = ACTIONS(3308),
    [anon_sym_virtual] = ACTIONS(3308),
    [anon_sym_alignas] = ACTIONS(3308),
    [anon_sym_explicit] = ACTIONS(3308),
    [anon_sym_typename] = ACTIONS(3308),
    [anon_sym_template] = ACTIONS(3308),
    [anon_sym_operator] = ACTIONS(3308),
    [anon_sym_try] = ACTIONS(3308),
    [anon_sym_delete] = ACTIONS(3308),
    [anon_sym_throw] = ACTIONS(3308),
    [anon_sym_namespace] = ACTIONS(3308),
    [anon_sym_using] = ACTIONS(3308),
    [anon_sym_static_assert] = ACTIONS(3308),
    [anon_sym_concept] = ACTIONS(3308),
    [anon_sym_co_return] = ACTIONS(3308),
    [anon_sym_co_yield] = ACTIONS(3308),
    [anon_sym_R_DQUOTE] = ACTIONS(3310),
    [anon_sym_LR_DQUOTE] = ACTIONS(3310),
    [anon_sym_uR_DQUOTE] = ACTIONS(3310),
    [anon_sym_UR_DQUOTE] = ACTIONS(3310),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3310),
    [anon_sym_co_await] = ACTIONS(3308),
    [anon_sym_new] = ACTIONS(3308),
    [anon_sym_requires] = ACTIONS(3308),
    [sym_this] = ACTIONS(3308),
  },
  [605] = {
    [sym_identifier] = ACTIONS(3451),
    [aux_sym_preproc_include_token1] = ACTIONS(3451),
    [aux_sym_preproc_def_token1] = ACTIONS(3451),
    [aux_sym_preproc_if_token1] = ACTIONS(3451),
    [aux_sym_preproc_if_token2] = ACTIONS(3451),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3451),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3451),
    [aux_sym_preproc_else_token1] = ACTIONS(3451),
    [aux_sym_preproc_elif_token1] = ACTIONS(3451),
    [sym_preproc_directive] = ACTIONS(3451),
    [anon_sym_LPAREN2] = ACTIONS(3453),
    [anon_sym_BANG] = ACTIONS(3453),
    [anon_sym_TILDE] = ACTIONS(3453),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3453),
    [anon_sym_AMP_AMP] = ACTIONS(3453),
    [anon_sym_AMP] = ACTIONS(3451),
    [anon_sym_SEMI] = ACTIONS(3453),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_typedef] = ACTIONS(3451),
    [anon_sym_extern] = ACTIONS(3451),
    [anon_sym___attribute__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3453),
    [anon_sym___declspec] = ACTIONS(3451),
    [anon_sym___based] = ACTIONS(3451),
    [anon_sym___cdecl] = ACTIONS(3451),
    [anon_sym___clrcall] = ACTIONS(3451),
    [anon_sym___stdcall] = ACTIONS(3451),
    [anon_sym___fastcall] = ACTIONS(3451),
    [anon_sym___thiscall] = ACTIONS(3451),
    [anon_sym___vectorcall] = ACTIONS(3451),
    [anon_sym_LBRACE] = ACTIONS(3453),
    [anon_sym_signed] = ACTIONS(3451),
    [anon_sym_unsigned] = ACTIONS(3451),
    [anon_sym_long] = ACTIONS(3451),
    [anon_sym_short] = ACTIONS(3451),
    [anon_sym_LBRACK] = ACTIONS(3451),
    [anon_sym_static] = ACTIONS(3451),
    [anon_sym_register] = ACTIONS(3451),
    [anon_sym_inline] = ACTIONS(3451),
    [anon_sym___inline] = ACTIONS(3451),
    [anon_sym___inline__] = ACTIONS(3451),
    [anon_sym___forceinline] = ACTIONS(3451),
    [anon_sym_thread_local] = ACTIONS(3451),
    [anon_sym___thread] = ACTIONS(3451),
    [anon_sym_const] = ACTIONS(3451),
    [anon_sym_constexpr] = ACTIONS(3451),
    [anon_sym_volatile] = ACTIONS(3451),
    [anon_sym_restrict] = ACTIONS(3451),
    [anon_sym___restrict__] = ACTIONS(3451),
    [anon_sym__Atomic] = ACTIONS(3451),
    [anon_sym__Noreturn] = ACTIONS(3451),
    [anon_sym_noreturn] = ACTIONS(3451),
    [anon_sym_mutable] = ACTIONS(3451),
    [anon_sym_constinit] = ACTIONS(3451),
    [anon_sym_consteval] = ACTIONS(3451),
    [anon_sym_PROGMEM] = ACTIONS(3451),
    [aux_sym_primitive_type_token1] = ACTIONS(3451),
    [anon_sym_byte] = ACTIONS(3451),
    [anon_sym_word] = ACTIONS(3451),
    [anon_sym_enum] = ACTIONS(3451),
    [anon_sym_class] = ACTIONS(3451),
    [anon_sym_struct] = ACTIONS(3451),
    [anon_sym_union] = ACTIONS(3451),
    [anon_sym_if] = ACTIONS(3451),
    [anon_sym_switch] = ACTIONS(3451),
    [anon_sym_case] = ACTIONS(3451),
    [anon_sym_default] = ACTIONS(3451),
    [anon_sym_while] = ACTIONS(3451),
    [anon_sym_do] = ACTIONS(3451),
    [anon_sym_for] = ACTIONS(3451),
    [anon_sym_return] = ACTIONS(3451),
    [anon_sym_break] = ACTIONS(3451),
    [anon_sym_continue] = ACTIONS(3451),
    [anon_sym_goto] = ACTIONS(3451),
    [anon_sym___try] = ACTIONS(3451),
    [anon_sym___leave] = ACTIONS(3451),
    [anon_sym_not] = ACTIONS(3451),
    [anon_sym_compl] = ACTIONS(3451),
    [anon_sym_DASH_DASH] = ACTIONS(3453),
    [anon_sym_PLUS_PLUS] = ACTIONS(3453),
    [anon_sym_sizeof] = ACTIONS(3451),
    [anon_sym___alignof__] = ACTIONS(3451),
    [anon_sym___alignof] = ACTIONS(3451),
    [anon_sym__alignof] = ACTIONS(3451),
    [anon_sym_alignof] = ACTIONS(3451),
    [anon_sym__Alignof] = ACTIONS(3451),
    [anon_sym_offsetof] = ACTIONS(3451),
    [anon_sym__Generic] = ACTIONS(3451),
    [anon_sym_asm] = ACTIONS(3451),
    [anon_sym___asm__] = ACTIONS(3451),
    [aux_sym_number_literal_token1] = ACTIONS(3453),
    [aux_sym_number_literal_token2] = ACTIONS(3451),
    [anon_sym_L_SQUOTE] = ACTIONS(3453),
    [anon_sym_u_SQUOTE] = ACTIONS(3453),
    [anon_sym_U_SQUOTE] = ACTIONS(3453),
    [anon_sym_u8_SQUOTE] = ACTIONS(3453),
    [anon_sym_SQUOTE] = ACTIONS(3453),
    [anon_sym_L_DQUOTE] = ACTIONS(3453),
    [anon_sym_u_DQUOTE] = ACTIONS(3453),
    [anon_sym_U_DQUOTE] = ACTIONS(3453),
    [anon_sym_u8_DQUOTE] = ACTIONS(3453),
    [anon_sym_DQUOTE] = ACTIONS(3453),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3451),
    [anon_sym_nullptr] = ACTIONS(3451),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3451),
    [anon_sym_decltype] = ACTIONS(3451),
    [anon_sym_virtual] = ACTIONS(3451),
    [anon_sym_alignas] = ACTIONS(3451),
    [anon_sym_explicit] = ACTIONS(3451),
    [anon_sym_typename] = ACTIONS(3451),
    [anon_sym_template] = ACTIONS(3451),
    [anon_sym_operator] = ACTIONS(3451),
    [anon_sym_try] = ACTIONS(3451),
    [anon_sym_delete] = ACTIONS(3451),
    [anon_sym_throw] = ACTIONS(3451),
    [anon_sym_namespace] = ACTIONS(3451),
    [anon_sym_using] = ACTIONS(3451),
    [anon_sym_static_assert] = ACTIONS(3451),
    [anon_sym_concept] = ACTIONS(3451),
    [anon_sym_co_return] = ACTIONS(3451),
    [anon_sym_co_yield] = ACTIONS(3451),
    [anon_sym_R_DQUOTE] = ACTIONS(3453),
    [anon_sym_LR_DQUOTE] = ACTIONS(3453),
    [anon_sym_uR_DQUOTE] = ACTIONS(3453),
    [anon_sym_UR_DQUOTE] = ACTIONS(3453),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3453),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3451),
    [anon_sym_requires] = ACTIONS(3451),
    [sym_this] = ACTIONS(3451),
  },
  [606] = {
    [sym_identifier] = ACTIONS(3322),
    [aux_sym_preproc_include_token1] = ACTIONS(3322),
    [aux_sym_preproc_def_token1] = ACTIONS(3322),
    [aux_sym_preproc_if_token1] = ACTIONS(3322),
    [aux_sym_preproc_if_token2] = ACTIONS(3322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3322),
    [aux_sym_preproc_else_token1] = ACTIONS(3322),
    [aux_sym_preproc_elif_token1] = ACTIONS(3322),
    [sym_preproc_directive] = ACTIONS(3322),
    [anon_sym_LPAREN2] = ACTIONS(3324),
    [anon_sym_BANG] = ACTIONS(3324),
    [anon_sym_TILDE] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3322),
    [anon_sym_PLUS] = ACTIONS(3322),
    [anon_sym_STAR] = ACTIONS(3324),
    [anon_sym_AMP_AMP] = ACTIONS(3324),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym_SEMI] = ACTIONS(3324),
    [anon_sym___extension__] = ACTIONS(3322),
    [anon_sym_typedef] = ACTIONS(3322),
    [anon_sym_extern] = ACTIONS(3322),
    [anon_sym___attribute__] = ACTIONS(3322),
    [anon_sym_COLON_COLON] = ACTIONS(3324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3324),
    [anon_sym___declspec] = ACTIONS(3322),
    [anon_sym___based] = ACTIONS(3322),
    [anon_sym___cdecl] = ACTIONS(3322),
    [anon_sym___clrcall] = ACTIONS(3322),
    [anon_sym___stdcall] = ACTIONS(3322),
    [anon_sym___fastcall] = ACTIONS(3322),
    [anon_sym___thiscall] = ACTIONS(3322),
    [anon_sym___vectorcall] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3324),
    [anon_sym_signed] = ACTIONS(3322),
    [anon_sym_unsigned] = ACTIONS(3322),
    [anon_sym_long] = ACTIONS(3322),
    [anon_sym_short] = ACTIONS(3322),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_static] = ACTIONS(3322),
    [anon_sym_register] = ACTIONS(3322),
    [anon_sym_inline] = ACTIONS(3322),
    [anon_sym___inline] = ACTIONS(3322),
    [anon_sym___inline__] = ACTIONS(3322),
    [anon_sym___forceinline] = ACTIONS(3322),
    [anon_sym_thread_local] = ACTIONS(3322),
    [anon_sym___thread] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_constexpr] = ACTIONS(3322),
    [anon_sym_volatile] = ACTIONS(3322),
    [anon_sym_restrict] = ACTIONS(3322),
    [anon_sym___restrict__] = ACTIONS(3322),
    [anon_sym__Atomic] = ACTIONS(3322),
    [anon_sym__Noreturn] = ACTIONS(3322),
    [anon_sym_noreturn] = ACTIONS(3322),
    [anon_sym_mutable] = ACTIONS(3322),
    [anon_sym_constinit] = ACTIONS(3322),
    [anon_sym_consteval] = ACTIONS(3322),
    [anon_sym_PROGMEM] = ACTIONS(3322),
    [aux_sym_primitive_type_token1] = ACTIONS(3322),
    [anon_sym_byte] = ACTIONS(3322),
    [anon_sym_word] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3322),
    [anon_sym_struct] = ACTIONS(3322),
    [anon_sym_union] = ACTIONS(3322),
    [anon_sym_if] = ACTIONS(3322),
    [anon_sym_switch] = ACTIONS(3322),
    [anon_sym_case] = ACTIONS(3322),
    [anon_sym_default] = ACTIONS(3322),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_do] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3322),
    [anon_sym_return] = ACTIONS(3322),
    [anon_sym_break] = ACTIONS(3322),
    [anon_sym_continue] = ACTIONS(3322),
    [anon_sym_goto] = ACTIONS(3322),
    [anon_sym___try] = ACTIONS(3322),
    [anon_sym___leave] = ACTIONS(3322),
    [anon_sym_not] = ACTIONS(3322),
    [anon_sym_compl] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3324),
    [anon_sym_PLUS_PLUS] = ACTIONS(3324),
    [anon_sym_sizeof] = ACTIONS(3322),
    [anon_sym___alignof__] = ACTIONS(3322),
    [anon_sym___alignof] = ACTIONS(3322),
    [anon_sym__alignof] = ACTIONS(3322),
    [anon_sym_alignof] = ACTIONS(3322),
    [anon_sym__Alignof] = ACTIONS(3322),
    [anon_sym_offsetof] = ACTIONS(3322),
    [anon_sym__Generic] = ACTIONS(3322),
    [anon_sym_asm] = ACTIONS(3322),
    [anon_sym___asm__] = ACTIONS(3322),
    [aux_sym_number_literal_token1] = ACTIONS(3324),
    [aux_sym_number_literal_token2] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3324),
    [anon_sym_u_DQUOTE] = ACTIONS(3324),
    [anon_sym_U_DQUOTE] = ACTIONS(3324),
    [anon_sym_u8_DQUOTE] = ACTIONS(3324),
    [anon_sym_DQUOTE] = ACTIONS(3324),
    [sym_true] = ACTIONS(3322),
    [sym_false] = ACTIONS(3322),
    [anon_sym_NULL] = ACTIONS(3322),
    [anon_sym_nullptr] = ACTIONS(3322),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3322),
    [anon_sym_decltype] = ACTIONS(3322),
    [anon_sym_virtual] = ACTIONS(3322),
    [anon_sym_alignas] = ACTIONS(3322),
    [anon_sym_explicit] = ACTIONS(3322),
    [anon_sym_typename] = ACTIONS(3322),
    [anon_sym_template] = ACTIONS(3322),
    [anon_sym_operator] = ACTIONS(3322),
    [anon_sym_try] = ACTIONS(3322),
    [anon_sym_delete] = ACTIONS(3322),
    [anon_sym_throw] = ACTIONS(3322),
    [anon_sym_namespace] = ACTIONS(3322),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_static_assert] = ACTIONS(3322),
    [anon_sym_concept] = ACTIONS(3322),
    [anon_sym_co_return] = ACTIONS(3322),
    [anon_sym_co_yield] = ACTIONS(3322),
    [anon_sym_R_DQUOTE] = ACTIONS(3324),
    [anon_sym_LR_DQUOTE] = ACTIONS(3324),
    [anon_sym_uR_DQUOTE] = ACTIONS(3324),
    [anon_sym_UR_DQUOTE] = ACTIONS(3324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3324),
    [anon_sym_co_await] = ACTIONS(3322),
    [anon_sym_new] = ACTIONS(3322),
    [anon_sym_requires] = ACTIONS(3322),
    [sym_this] = ACTIONS(3322),
  },
  [607] = {
    [sym_identifier] = ACTIONS(3220),
    [aux_sym_preproc_include_token1] = ACTIONS(3220),
    [aux_sym_preproc_def_token1] = ACTIONS(3220),
    [aux_sym_preproc_if_token1] = ACTIONS(3220),
    [aux_sym_preproc_if_token2] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3220),
    [aux_sym_preproc_else_token1] = ACTIONS(3220),
    [aux_sym_preproc_elif_token1] = ACTIONS(3220),
    [sym_preproc_directive] = ACTIONS(3220),
    [anon_sym_LPAREN2] = ACTIONS(3222),
    [anon_sym_BANG] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3222),
    [anon_sym_AMP_AMP] = ACTIONS(3222),
    [anon_sym_AMP] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym___extension__] = ACTIONS(3220),
    [anon_sym_typedef] = ACTIONS(3220),
    [anon_sym_extern] = ACTIONS(3220),
    [anon_sym___attribute__] = ACTIONS(3220),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3222),
    [anon_sym___declspec] = ACTIONS(3220),
    [anon_sym___based] = ACTIONS(3220),
    [anon_sym___cdecl] = ACTIONS(3220),
    [anon_sym___clrcall] = ACTIONS(3220),
    [anon_sym___stdcall] = ACTIONS(3220),
    [anon_sym___fastcall] = ACTIONS(3220),
    [anon_sym___thiscall] = ACTIONS(3220),
    [anon_sym___vectorcall] = ACTIONS(3220),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_signed] = ACTIONS(3220),
    [anon_sym_unsigned] = ACTIONS(3220),
    [anon_sym_long] = ACTIONS(3220),
    [anon_sym_short] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_static] = ACTIONS(3220),
    [anon_sym_register] = ACTIONS(3220),
    [anon_sym_inline] = ACTIONS(3220),
    [anon_sym___inline] = ACTIONS(3220),
    [anon_sym___inline__] = ACTIONS(3220),
    [anon_sym___forceinline] = ACTIONS(3220),
    [anon_sym_thread_local] = ACTIONS(3220),
    [anon_sym___thread] = ACTIONS(3220),
    [anon_sym_const] = ACTIONS(3220),
    [anon_sym_constexpr] = ACTIONS(3220),
    [anon_sym_volatile] = ACTIONS(3220),
    [anon_sym_restrict] = ACTIONS(3220),
    [anon_sym___restrict__] = ACTIONS(3220),
    [anon_sym__Atomic] = ACTIONS(3220),
    [anon_sym__Noreturn] = ACTIONS(3220),
    [anon_sym_noreturn] = ACTIONS(3220),
    [anon_sym_mutable] = ACTIONS(3220),
    [anon_sym_constinit] = ACTIONS(3220),
    [anon_sym_consteval] = ACTIONS(3220),
    [anon_sym_PROGMEM] = ACTIONS(3220),
    [aux_sym_primitive_type_token1] = ACTIONS(3220),
    [anon_sym_byte] = ACTIONS(3220),
    [anon_sym_word] = ACTIONS(3220),
    [anon_sym_enum] = ACTIONS(3220),
    [anon_sym_class] = ACTIONS(3220),
    [anon_sym_struct] = ACTIONS(3220),
    [anon_sym_union] = ACTIONS(3220),
    [anon_sym_if] = ACTIONS(3220),
    [anon_sym_switch] = ACTIONS(3220),
    [anon_sym_case] = ACTIONS(3220),
    [anon_sym_default] = ACTIONS(3220),
    [anon_sym_while] = ACTIONS(3220),
    [anon_sym_do] = ACTIONS(3220),
    [anon_sym_for] = ACTIONS(3220),
    [anon_sym_return] = ACTIONS(3220),
    [anon_sym_break] = ACTIONS(3220),
    [anon_sym_continue] = ACTIONS(3220),
    [anon_sym_goto] = ACTIONS(3220),
    [anon_sym___try] = ACTIONS(3220),
    [anon_sym___leave] = ACTIONS(3220),
    [anon_sym_not] = ACTIONS(3220),
    [anon_sym_compl] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_sizeof] = ACTIONS(3220),
    [anon_sym___alignof__] = ACTIONS(3220),
    [anon_sym___alignof] = ACTIONS(3220),
    [anon_sym__alignof] = ACTIONS(3220),
    [anon_sym_alignof] = ACTIONS(3220),
    [anon_sym__Alignof] = ACTIONS(3220),
    [anon_sym_offsetof] = ACTIONS(3220),
    [anon_sym__Generic] = ACTIONS(3220),
    [anon_sym_asm] = ACTIONS(3220),
    [anon_sym___asm__] = ACTIONS(3220),
    [aux_sym_number_literal_token1] = ACTIONS(3222),
    [aux_sym_number_literal_token2] = ACTIONS(3220),
    [anon_sym_L_SQUOTE] = ACTIONS(3222),
    [anon_sym_u_SQUOTE] = ACTIONS(3222),
    [anon_sym_U_SQUOTE] = ACTIONS(3222),
    [anon_sym_u8_SQUOTE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_L_DQUOTE] = ACTIONS(3222),
    [anon_sym_u_DQUOTE] = ACTIONS(3222),
    [anon_sym_U_DQUOTE] = ACTIONS(3222),
    [anon_sym_u8_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [sym_true] = ACTIONS(3220),
    [sym_false] = ACTIONS(3220),
    [anon_sym_NULL] = ACTIONS(3220),
    [anon_sym_nullptr] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3220),
    [anon_sym_decltype] = ACTIONS(3220),
    [anon_sym_virtual] = ACTIONS(3220),
    [anon_sym_alignas] = ACTIONS(3220),
    [anon_sym_explicit] = ACTIONS(3220),
    [anon_sym_typename] = ACTIONS(3220),
    [anon_sym_template] = ACTIONS(3220),
    [anon_sym_operator] = ACTIONS(3220),
    [anon_sym_try] = ACTIONS(3220),
    [anon_sym_delete] = ACTIONS(3220),
    [anon_sym_throw] = ACTIONS(3220),
    [anon_sym_namespace] = ACTIONS(3220),
    [anon_sym_using] = ACTIONS(3220),
    [anon_sym_static_assert] = ACTIONS(3220),
    [anon_sym_concept] = ACTIONS(3220),
    [anon_sym_co_return] = ACTIONS(3220),
    [anon_sym_co_yield] = ACTIONS(3220),
    [anon_sym_R_DQUOTE] = ACTIONS(3222),
    [anon_sym_LR_DQUOTE] = ACTIONS(3222),
    [anon_sym_uR_DQUOTE] = ACTIONS(3222),
    [anon_sym_UR_DQUOTE] = ACTIONS(3222),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3222),
    [anon_sym_co_await] = ACTIONS(3220),
    [anon_sym_new] = ACTIONS(3220),
    [anon_sym_requires] = ACTIONS(3220),
    [sym_this] = ACTIONS(3220),
  },
  [608] = {
    [sym_identifier] = ACTIONS(3439),
    [aux_sym_preproc_include_token1] = ACTIONS(3439),
    [aux_sym_preproc_def_token1] = ACTIONS(3439),
    [aux_sym_preproc_if_token1] = ACTIONS(3439),
    [aux_sym_preproc_if_token2] = ACTIONS(3439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3439),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3439),
    [aux_sym_preproc_else_token1] = ACTIONS(3439),
    [aux_sym_preproc_elif_token1] = ACTIONS(3439),
    [sym_preproc_directive] = ACTIONS(3439),
    [anon_sym_LPAREN2] = ACTIONS(3441),
    [anon_sym_BANG] = ACTIONS(3441),
    [anon_sym_TILDE] = ACTIONS(3441),
    [anon_sym_DASH] = ACTIONS(3439),
    [anon_sym_PLUS] = ACTIONS(3439),
    [anon_sym_STAR] = ACTIONS(3441),
    [anon_sym_AMP_AMP] = ACTIONS(3441),
    [anon_sym_AMP] = ACTIONS(3439),
    [anon_sym_SEMI] = ACTIONS(3441),
    [anon_sym___extension__] = ACTIONS(3439),
    [anon_sym_typedef] = ACTIONS(3439),
    [anon_sym_extern] = ACTIONS(3439),
    [anon_sym___attribute__] = ACTIONS(3439),
    [anon_sym_COLON_COLON] = ACTIONS(3441),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3441),
    [anon_sym___declspec] = ACTIONS(3439),
    [anon_sym___based] = ACTIONS(3439),
    [anon_sym___cdecl] = ACTIONS(3439),
    [anon_sym___clrcall] = ACTIONS(3439),
    [anon_sym___stdcall] = ACTIONS(3439),
    [anon_sym___fastcall] = ACTIONS(3439),
    [anon_sym___thiscall] = ACTIONS(3439),
    [anon_sym___vectorcall] = ACTIONS(3439),
    [anon_sym_LBRACE] = ACTIONS(3441),
    [anon_sym_signed] = ACTIONS(3439),
    [anon_sym_unsigned] = ACTIONS(3439),
    [anon_sym_long] = ACTIONS(3439),
    [anon_sym_short] = ACTIONS(3439),
    [anon_sym_LBRACK] = ACTIONS(3439),
    [anon_sym_static] = ACTIONS(3439),
    [anon_sym_register] = ACTIONS(3439),
    [anon_sym_inline] = ACTIONS(3439),
    [anon_sym___inline] = ACTIONS(3439),
    [anon_sym___inline__] = ACTIONS(3439),
    [anon_sym___forceinline] = ACTIONS(3439),
    [anon_sym_thread_local] = ACTIONS(3439),
    [anon_sym___thread] = ACTIONS(3439),
    [anon_sym_const] = ACTIONS(3439),
    [anon_sym_constexpr] = ACTIONS(3439),
    [anon_sym_volatile] = ACTIONS(3439),
    [anon_sym_restrict] = ACTIONS(3439),
    [anon_sym___restrict__] = ACTIONS(3439),
    [anon_sym__Atomic] = ACTIONS(3439),
    [anon_sym__Noreturn] = ACTIONS(3439),
    [anon_sym_noreturn] = ACTIONS(3439),
    [anon_sym_mutable] = ACTIONS(3439),
    [anon_sym_constinit] = ACTIONS(3439),
    [anon_sym_consteval] = ACTIONS(3439),
    [anon_sym_PROGMEM] = ACTIONS(3439),
    [aux_sym_primitive_type_token1] = ACTIONS(3439),
    [anon_sym_byte] = ACTIONS(3439),
    [anon_sym_word] = ACTIONS(3439),
    [anon_sym_enum] = ACTIONS(3439),
    [anon_sym_class] = ACTIONS(3439),
    [anon_sym_struct] = ACTIONS(3439),
    [anon_sym_union] = ACTIONS(3439),
    [anon_sym_if] = ACTIONS(3439),
    [anon_sym_switch] = ACTIONS(3439),
    [anon_sym_case] = ACTIONS(3439),
    [anon_sym_default] = ACTIONS(3439),
    [anon_sym_while] = ACTIONS(3439),
    [anon_sym_do] = ACTIONS(3439),
    [anon_sym_for] = ACTIONS(3439),
    [anon_sym_return] = ACTIONS(3439),
    [anon_sym_break] = ACTIONS(3439),
    [anon_sym_continue] = ACTIONS(3439),
    [anon_sym_goto] = ACTIONS(3439),
    [anon_sym___try] = ACTIONS(3439),
    [anon_sym___leave] = ACTIONS(3439),
    [anon_sym_not] = ACTIONS(3439),
    [anon_sym_compl] = ACTIONS(3439),
    [anon_sym_DASH_DASH] = ACTIONS(3441),
    [anon_sym_PLUS_PLUS] = ACTIONS(3441),
    [anon_sym_sizeof] = ACTIONS(3439),
    [anon_sym___alignof__] = ACTIONS(3439),
    [anon_sym___alignof] = ACTIONS(3439),
    [anon_sym__alignof] = ACTIONS(3439),
    [anon_sym_alignof] = ACTIONS(3439),
    [anon_sym__Alignof] = ACTIONS(3439),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3439),
    [anon_sym_asm] = ACTIONS(3439),
    [anon_sym___asm__] = ACTIONS(3439),
    [aux_sym_number_literal_token1] = ACTIONS(3441),
    [aux_sym_number_literal_token2] = ACTIONS(3439),
    [anon_sym_L_SQUOTE] = ACTIONS(3441),
    [anon_sym_u_SQUOTE] = ACTIONS(3441),
    [anon_sym_U_SQUOTE] = ACTIONS(3441),
    [anon_sym_u8_SQUOTE] = ACTIONS(3441),
    [anon_sym_SQUOTE] = ACTIONS(3441),
    [anon_sym_L_DQUOTE] = ACTIONS(3441),
    [anon_sym_u_DQUOTE] = ACTIONS(3441),
    [anon_sym_U_DQUOTE] = ACTIONS(3441),
    [anon_sym_u8_DQUOTE] = ACTIONS(3441),
    [anon_sym_DQUOTE] = ACTIONS(3441),
    [sym_true] = ACTIONS(3439),
    [sym_false] = ACTIONS(3439),
    [anon_sym_NULL] = ACTIONS(3439),
    [anon_sym_nullptr] = ACTIONS(3439),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3439),
    [anon_sym_virtual] = ACTIONS(3439),
    [anon_sym_alignas] = ACTIONS(3439),
    [anon_sym_explicit] = ACTIONS(3439),
    [anon_sym_typename] = ACTIONS(3439),
    [anon_sym_template] = ACTIONS(3439),
    [anon_sym_operator] = ACTIONS(3439),
    [anon_sym_try] = ACTIONS(3439),
    [anon_sym_delete] = ACTIONS(3439),
    [anon_sym_throw] = ACTIONS(3439),
    [anon_sym_namespace] = ACTIONS(3439),
    [anon_sym_using] = ACTIONS(3439),
    [anon_sym_static_assert] = ACTIONS(3439),
    [anon_sym_concept] = ACTIONS(3439),
    [anon_sym_co_return] = ACTIONS(3439),
    [anon_sym_co_yield] = ACTIONS(3439),
    [anon_sym_R_DQUOTE] = ACTIONS(3441),
    [anon_sym_LR_DQUOTE] = ACTIONS(3441),
    [anon_sym_uR_DQUOTE] = ACTIONS(3441),
    [anon_sym_UR_DQUOTE] = ACTIONS(3441),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3441),
    [anon_sym_co_await] = ACTIONS(3439),
    [anon_sym_new] = ACTIONS(3439),
    [anon_sym_requires] = ACTIONS(3439),
    [sym_this] = ACTIONS(3439),
  },
  [609] = {
    [sym_identifier] = ACTIONS(2265),
    [aux_sym_preproc_include_token1] = ACTIONS(2265),
    [aux_sym_preproc_def_token1] = ACTIONS(2265),
    [aux_sym_preproc_if_token1] = ACTIONS(2265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2265),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2265),
    [sym_preproc_directive] = ACTIONS(2265),
    [anon_sym_LPAREN2] = ACTIONS(2263),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2265),
    [anon_sym_PLUS] = ACTIONS(2265),
    [anon_sym_STAR] = ACTIONS(2263),
    [anon_sym_AMP_AMP] = ACTIONS(2263),
    [anon_sym_AMP] = ACTIONS(2265),
    [anon_sym_SEMI] = ACTIONS(2263),
    [anon_sym___extension__] = ACTIONS(2265),
    [anon_sym_typedef] = ACTIONS(2265),
    [anon_sym_extern] = ACTIONS(2265),
    [anon_sym___attribute__] = ACTIONS(2265),
    [anon_sym_COLON_COLON] = ACTIONS(2263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2263),
    [anon_sym___declspec] = ACTIONS(2265),
    [anon_sym___based] = ACTIONS(2265),
    [anon_sym___cdecl] = ACTIONS(2265),
    [anon_sym___clrcall] = ACTIONS(2265),
    [anon_sym___stdcall] = ACTIONS(2265),
    [anon_sym___fastcall] = ACTIONS(2265),
    [anon_sym___thiscall] = ACTIONS(2265),
    [anon_sym___vectorcall] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(2263),
    [anon_sym_RBRACE] = ACTIONS(2263),
    [anon_sym_signed] = ACTIONS(2265),
    [anon_sym_unsigned] = ACTIONS(2265),
    [anon_sym_long] = ACTIONS(2265),
    [anon_sym_short] = ACTIONS(2265),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_static] = ACTIONS(2265),
    [anon_sym_register] = ACTIONS(2265),
    [anon_sym_inline] = ACTIONS(2265),
    [anon_sym___inline] = ACTIONS(2265),
    [anon_sym___inline__] = ACTIONS(2265),
    [anon_sym___forceinline] = ACTIONS(2265),
    [anon_sym_thread_local] = ACTIONS(2265),
    [anon_sym___thread] = ACTIONS(2265),
    [anon_sym_const] = ACTIONS(2265),
    [anon_sym_constexpr] = ACTIONS(2265),
    [anon_sym_volatile] = ACTIONS(2265),
    [anon_sym_restrict] = ACTIONS(2265),
    [anon_sym___restrict__] = ACTIONS(2265),
    [anon_sym__Atomic] = ACTIONS(2265),
    [anon_sym__Noreturn] = ACTIONS(2265),
    [anon_sym_noreturn] = ACTIONS(2265),
    [anon_sym_mutable] = ACTIONS(2265),
    [anon_sym_constinit] = ACTIONS(2265),
    [anon_sym_consteval] = ACTIONS(2265),
    [anon_sym_PROGMEM] = ACTIONS(2265),
    [aux_sym_primitive_type_token1] = ACTIONS(2265),
    [anon_sym_byte] = ACTIONS(2265),
    [anon_sym_word] = ACTIONS(2265),
    [anon_sym_enum] = ACTIONS(2265),
    [anon_sym_class] = ACTIONS(2265),
    [anon_sym_struct] = ACTIONS(2265),
    [anon_sym_union] = ACTIONS(2265),
    [anon_sym_if] = ACTIONS(2265),
    [anon_sym_else] = ACTIONS(2265),
    [anon_sym_switch] = ACTIONS(2265),
    [anon_sym_case] = ACTIONS(2265),
    [anon_sym_default] = ACTIONS(2265),
    [anon_sym_while] = ACTIONS(2265),
    [anon_sym_do] = ACTIONS(2265),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_return] = ACTIONS(2265),
    [anon_sym_break] = ACTIONS(2265),
    [anon_sym_continue] = ACTIONS(2265),
    [anon_sym_goto] = ACTIONS(2265),
    [anon_sym___try] = ACTIONS(2265),
    [anon_sym___leave] = ACTIONS(2265),
    [anon_sym_not] = ACTIONS(2265),
    [anon_sym_compl] = ACTIONS(2265),
    [anon_sym_DASH_DASH] = ACTIONS(2263),
    [anon_sym_PLUS_PLUS] = ACTIONS(2263),
    [anon_sym_sizeof] = ACTIONS(2265),
    [anon_sym___alignof__] = ACTIONS(2265),
    [anon_sym___alignof] = ACTIONS(2265),
    [anon_sym__alignof] = ACTIONS(2265),
    [anon_sym_alignof] = ACTIONS(2265),
    [anon_sym__Alignof] = ACTIONS(2265),
    [anon_sym_offsetof] = ACTIONS(2265),
    [anon_sym__Generic] = ACTIONS(2265),
    [anon_sym_asm] = ACTIONS(2265),
    [anon_sym___asm__] = ACTIONS(2265),
    [aux_sym_number_literal_token1] = ACTIONS(2263),
    [aux_sym_number_literal_token2] = ACTIONS(2265),
    [anon_sym_L_SQUOTE] = ACTIONS(2263),
    [anon_sym_u_SQUOTE] = ACTIONS(2263),
    [anon_sym_U_SQUOTE] = ACTIONS(2263),
    [anon_sym_u8_SQUOTE] = ACTIONS(2263),
    [anon_sym_SQUOTE] = ACTIONS(2263),
    [anon_sym_L_DQUOTE] = ACTIONS(2263),
    [anon_sym_u_DQUOTE] = ACTIONS(2263),
    [anon_sym_U_DQUOTE] = ACTIONS(2263),
    [anon_sym_u8_DQUOTE] = ACTIONS(2263),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_true] = ACTIONS(2265),
    [sym_false] = ACTIONS(2265),
    [anon_sym_NULL] = ACTIONS(2265),
    [anon_sym_nullptr] = ACTIONS(2265),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2265),
    [anon_sym_decltype] = ACTIONS(2265),
    [anon_sym_virtual] = ACTIONS(2265),
    [anon_sym_alignas] = ACTIONS(2265),
    [anon_sym_explicit] = ACTIONS(2265),
    [anon_sym_typename] = ACTIONS(2265),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_operator] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_delete] = ACTIONS(2265),
    [anon_sym_throw] = ACTIONS(2265),
    [anon_sym_namespace] = ACTIONS(2265),
    [anon_sym_using] = ACTIONS(2265),
    [anon_sym_static_assert] = ACTIONS(2265),
    [anon_sym_concept] = ACTIONS(2265),
    [anon_sym_co_return] = ACTIONS(2265),
    [anon_sym_co_yield] = ACTIONS(2265),
    [anon_sym_catch] = ACTIONS(2265),
    [anon_sym_R_DQUOTE] = ACTIONS(2263),
    [anon_sym_LR_DQUOTE] = ACTIONS(2263),
    [anon_sym_uR_DQUOTE] = ACTIONS(2263),
    [anon_sym_UR_DQUOTE] = ACTIONS(2263),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2263),
    [anon_sym_co_await] = ACTIONS(2265),
    [anon_sym_new] = ACTIONS(2265),
    [anon_sym_requires] = ACTIONS(2265),
    [sym_this] = ACTIONS(2265),
  },
  [610] = {
    [sym_identifier] = ACTIONS(3180),
    [aux_sym_preproc_include_token1] = ACTIONS(3180),
    [aux_sym_preproc_def_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token2] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3180),
    [aux_sym_preproc_else_token1] = ACTIONS(3180),
    [aux_sym_preproc_elif_token1] = ACTIONS(3180),
    [sym_preproc_directive] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_STAR] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym___extension__] = ACTIONS(3180),
    [anon_sym_typedef] = ACTIONS(3180),
    [anon_sym_extern] = ACTIONS(3180),
    [anon_sym___attribute__] = ACTIONS(3180),
    [anon_sym_COLON_COLON] = ACTIONS(3182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3182),
    [anon_sym___declspec] = ACTIONS(3180),
    [anon_sym___based] = ACTIONS(3180),
    [anon_sym___cdecl] = ACTIONS(3180),
    [anon_sym___clrcall] = ACTIONS(3180),
    [anon_sym___stdcall] = ACTIONS(3180),
    [anon_sym___fastcall] = ACTIONS(3180),
    [anon_sym___thiscall] = ACTIONS(3180),
    [anon_sym___vectorcall] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_signed] = ACTIONS(3180),
    [anon_sym_unsigned] = ACTIONS(3180),
    [anon_sym_long] = ACTIONS(3180),
    [anon_sym_short] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_register] = ACTIONS(3180),
    [anon_sym_inline] = ACTIONS(3180),
    [anon_sym___inline] = ACTIONS(3180),
    [anon_sym___inline__] = ACTIONS(3180),
    [anon_sym___forceinline] = ACTIONS(3180),
    [anon_sym_thread_local] = ACTIONS(3180),
    [anon_sym___thread] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_constexpr] = ACTIONS(3180),
    [anon_sym_volatile] = ACTIONS(3180),
    [anon_sym_restrict] = ACTIONS(3180),
    [anon_sym___restrict__] = ACTIONS(3180),
    [anon_sym__Atomic] = ACTIONS(3180),
    [anon_sym__Noreturn] = ACTIONS(3180),
    [anon_sym_noreturn] = ACTIONS(3180),
    [anon_sym_mutable] = ACTIONS(3180),
    [anon_sym_constinit] = ACTIONS(3180),
    [anon_sym_consteval] = ACTIONS(3180),
    [anon_sym_PROGMEM] = ACTIONS(3180),
    [aux_sym_primitive_type_token1] = ACTIONS(3180),
    [anon_sym_byte] = ACTIONS(3180),
    [anon_sym_word] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_struct] = ACTIONS(3180),
    [anon_sym_union] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_case] = ACTIONS(3180),
    [anon_sym_default] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_goto] = ACTIONS(3180),
    [anon_sym___try] = ACTIONS(3180),
    [anon_sym___leave] = ACTIONS(3180),
    [anon_sym_not] = ACTIONS(3180),
    [anon_sym_compl] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_sizeof] = ACTIONS(3180),
    [anon_sym___alignof__] = ACTIONS(3180),
    [anon_sym___alignof] = ACTIONS(3180),
    [anon_sym__alignof] = ACTIONS(3180),
    [anon_sym_alignof] = ACTIONS(3180),
    [anon_sym__Alignof] = ACTIONS(3180),
    [anon_sym_offsetof] = ACTIONS(3180),
    [anon_sym__Generic] = ACTIONS(3180),
    [anon_sym_asm] = ACTIONS(3180),
    [anon_sym___asm__] = ACTIONS(3180),
    [aux_sym_number_literal_token1] = ACTIONS(3182),
    [aux_sym_number_literal_token2] = ACTIONS(3180),
    [anon_sym_L_SQUOTE] = ACTIONS(3182),
    [anon_sym_u_SQUOTE] = ACTIONS(3182),
    [anon_sym_U_SQUOTE] = ACTIONS(3182),
    [anon_sym_u8_SQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [anon_sym_L_DQUOTE] = ACTIONS(3182),
    [anon_sym_u_DQUOTE] = ACTIONS(3182),
    [anon_sym_U_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8_DQUOTE] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [anon_sym_NULL] = ACTIONS(3180),
    [anon_sym_nullptr] = ACTIONS(3180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3180),
    [anon_sym_decltype] = ACTIONS(3180),
    [anon_sym_virtual] = ACTIONS(3180),
    [anon_sym_alignas] = ACTIONS(3180),
    [anon_sym_explicit] = ACTIONS(3180),
    [anon_sym_typename] = ACTIONS(3180),
    [anon_sym_template] = ACTIONS(3180),
    [anon_sym_operator] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_static_assert] = ACTIONS(3180),
    [anon_sym_concept] = ACTIONS(3180),
    [anon_sym_co_return] = ACTIONS(3180),
    [anon_sym_co_yield] = ACTIONS(3180),
    [anon_sym_R_DQUOTE] = ACTIONS(3182),
    [anon_sym_LR_DQUOTE] = ACTIONS(3182),
    [anon_sym_uR_DQUOTE] = ACTIONS(3182),
    [anon_sym_UR_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3182),
    [anon_sym_co_await] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_requires] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
  },
  [611] = {
    [sym_identifier] = ACTIONS(2261),
    [aux_sym_preproc_include_token1] = ACTIONS(2261),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [aux_sym_preproc_if_token1] = ACTIONS(2261),
    [aux_sym_preproc_if_token2] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2261),
    [anon_sym_LPAREN2] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2261),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym___extension__] = ACTIONS(2261),
    [anon_sym_typedef] = ACTIONS(2261),
    [anon_sym_extern] = ACTIONS(2261),
    [anon_sym___attribute__] = ACTIONS(2261),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2259),
    [anon_sym___declspec] = ACTIONS(2261),
    [anon_sym___based] = ACTIONS(2261),
    [anon_sym___cdecl] = ACTIONS(2261),
    [anon_sym___clrcall] = ACTIONS(2261),
    [anon_sym___stdcall] = ACTIONS(2261),
    [anon_sym___fastcall] = ACTIONS(2261),
    [anon_sym___thiscall] = ACTIONS(2261),
    [anon_sym___vectorcall] = ACTIONS(2261),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_signed] = ACTIONS(2261),
    [anon_sym_unsigned] = ACTIONS(2261),
    [anon_sym_long] = ACTIONS(2261),
    [anon_sym_short] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_register] = ACTIONS(2261),
    [anon_sym_inline] = ACTIONS(2261),
    [anon_sym___inline] = ACTIONS(2261),
    [anon_sym___inline__] = ACTIONS(2261),
    [anon_sym___forceinline] = ACTIONS(2261),
    [anon_sym_thread_local] = ACTIONS(2261),
    [anon_sym___thread] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_constexpr] = ACTIONS(2261),
    [anon_sym_volatile] = ACTIONS(2261),
    [anon_sym_restrict] = ACTIONS(2261),
    [anon_sym___restrict__] = ACTIONS(2261),
    [anon_sym__Atomic] = ACTIONS(2261),
    [anon_sym__Noreturn] = ACTIONS(2261),
    [anon_sym_noreturn] = ACTIONS(2261),
    [anon_sym_mutable] = ACTIONS(2261),
    [anon_sym_constinit] = ACTIONS(2261),
    [anon_sym_consteval] = ACTIONS(2261),
    [anon_sym_PROGMEM] = ACTIONS(2261),
    [aux_sym_primitive_type_token1] = ACTIONS(2261),
    [anon_sym_byte] = ACTIONS(2261),
    [anon_sym_word] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_struct] = ACTIONS(2261),
    [anon_sym_union] = ACTIONS(2261),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_else] = ACTIONS(2261),
    [anon_sym_switch] = ACTIONS(2261),
    [anon_sym_case] = ACTIONS(2261),
    [anon_sym_default] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2261),
    [anon_sym_do] = ACTIONS(2261),
    [anon_sym_for] = ACTIONS(2261),
    [anon_sym_return] = ACTIONS(2261),
    [anon_sym_break] = ACTIONS(2261),
    [anon_sym_continue] = ACTIONS(2261),
    [anon_sym_goto] = ACTIONS(2261),
    [anon_sym___try] = ACTIONS(2261),
    [anon_sym___leave] = ACTIONS(2261),
    [anon_sym_not] = ACTIONS(2261),
    [anon_sym_compl] = ACTIONS(2261),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_sizeof] = ACTIONS(2261),
    [anon_sym___alignof__] = ACTIONS(2261),
    [anon_sym___alignof] = ACTIONS(2261),
    [anon_sym__alignof] = ACTIONS(2261),
    [anon_sym_alignof] = ACTIONS(2261),
    [anon_sym__Alignof] = ACTIONS(2261),
    [anon_sym_offsetof] = ACTIONS(2261),
    [anon_sym__Generic] = ACTIONS(2261),
    [anon_sym_asm] = ACTIONS(2261),
    [anon_sym___asm__] = ACTIONS(2261),
    [aux_sym_number_literal_token1] = ACTIONS(2259),
    [aux_sym_number_literal_token2] = ACTIONS(2261),
    [anon_sym_L_SQUOTE] = ACTIONS(2259),
    [anon_sym_u_SQUOTE] = ACTIONS(2259),
    [anon_sym_U_SQUOTE] = ACTIONS(2259),
    [anon_sym_u8_SQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [anon_sym_L_DQUOTE] = ACTIONS(2259),
    [anon_sym_u_DQUOTE] = ACTIONS(2259),
    [anon_sym_U_DQUOTE] = ACTIONS(2259),
    [anon_sym_u8_DQUOTE] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [sym_true] = ACTIONS(2261),
    [sym_false] = ACTIONS(2261),
    [anon_sym_NULL] = ACTIONS(2261),
    [anon_sym_nullptr] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2261),
    [anon_sym_decltype] = ACTIONS(2261),
    [anon_sym_virtual] = ACTIONS(2261),
    [anon_sym_alignas] = ACTIONS(2261),
    [anon_sym_explicit] = ACTIONS(2261),
    [anon_sym_typename] = ACTIONS(2261),
    [anon_sym_template] = ACTIONS(2261),
    [anon_sym_operator] = ACTIONS(2261),
    [anon_sym_try] = ACTIONS(2261),
    [anon_sym_delete] = ACTIONS(2261),
    [anon_sym_throw] = ACTIONS(2261),
    [anon_sym_namespace] = ACTIONS(2261),
    [anon_sym_using] = ACTIONS(2261),
    [anon_sym_static_assert] = ACTIONS(2261),
    [anon_sym_concept] = ACTIONS(2261),
    [anon_sym_co_return] = ACTIONS(2261),
    [anon_sym_co_yield] = ACTIONS(2261),
    [anon_sym_catch] = ACTIONS(2261),
    [anon_sym_R_DQUOTE] = ACTIONS(2259),
    [anon_sym_LR_DQUOTE] = ACTIONS(2259),
    [anon_sym_uR_DQUOTE] = ACTIONS(2259),
    [anon_sym_UR_DQUOTE] = ACTIONS(2259),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2259),
    [anon_sym_co_await] = ACTIONS(2261),
    [anon_sym_new] = ACTIONS(2261),
    [anon_sym_requires] = ACTIONS(2261),
    [sym_this] = ACTIONS(2261),
  },
  [612] = {
    [ts_builtin_sym_end] = ACTIONS(3146),
    [sym_identifier] = ACTIONS(3144),
    [aux_sym_preproc_include_token1] = ACTIONS(3144),
    [aux_sym_preproc_def_token1] = ACTIONS(3144),
    [aux_sym_preproc_if_token1] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3144),
    [sym_preproc_directive] = ACTIONS(3144),
    [anon_sym_LPAREN2] = ACTIONS(3146),
    [anon_sym_BANG] = ACTIONS(3146),
    [anon_sym_TILDE] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3146),
    [anon_sym_AMP] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3146),
    [anon_sym___extension__] = ACTIONS(3144),
    [anon_sym_typedef] = ACTIONS(3144),
    [anon_sym_extern] = ACTIONS(3144),
    [anon_sym___attribute__] = ACTIONS(3144),
    [anon_sym_COLON_COLON] = ACTIONS(3146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3146),
    [anon_sym___declspec] = ACTIONS(3144),
    [anon_sym___based] = ACTIONS(3144),
    [anon_sym___cdecl] = ACTIONS(3144),
    [anon_sym___clrcall] = ACTIONS(3144),
    [anon_sym___stdcall] = ACTIONS(3144),
    [anon_sym___fastcall] = ACTIONS(3144),
    [anon_sym___thiscall] = ACTIONS(3144),
    [anon_sym___vectorcall] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_signed] = ACTIONS(3144),
    [anon_sym_unsigned] = ACTIONS(3144),
    [anon_sym_long] = ACTIONS(3144),
    [anon_sym_short] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_register] = ACTIONS(3144),
    [anon_sym_inline] = ACTIONS(3144),
    [anon_sym___inline] = ACTIONS(3144),
    [anon_sym___inline__] = ACTIONS(3144),
    [anon_sym___forceinline] = ACTIONS(3144),
    [anon_sym_thread_local] = ACTIONS(3144),
    [anon_sym___thread] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_constexpr] = ACTIONS(3144),
    [anon_sym_volatile] = ACTIONS(3144),
    [anon_sym_restrict] = ACTIONS(3144),
    [anon_sym___restrict__] = ACTIONS(3144),
    [anon_sym__Atomic] = ACTIONS(3144),
    [anon_sym__Noreturn] = ACTIONS(3144),
    [anon_sym_noreturn] = ACTIONS(3144),
    [anon_sym_mutable] = ACTIONS(3144),
    [anon_sym_constinit] = ACTIONS(3144),
    [anon_sym_consteval] = ACTIONS(3144),
    [anon_sym_PROGMEM] = ACTIONS(3144),
    [aux_sym_primitive_type_token1] = ACTIONS(3144),
    [anon_sym_byte] = ACTIONS(3144),
    [anon_sym_word] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_struct] = ACTIONS(3144),
    [anon_sym_union] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_else] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_case] = ACTIONS(3144),
    [anon_sym_default] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_goto] = ACTIONS(3144),
    [anon_sym___try] = ACTIONS(3144),
    [anon_sym___leave] = ACTIONS(3144),
    [anon_sym_not] = ACTIONS(3144),
    [anon_sym_compl] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_sizeof] = ACTIONS(3144),
    [anon_sym___alignof__] = ACTIONS(3144),
    [anon_sym___alignof] = ACTIONS(3144),
    [anon_sym__alignof] = ACTIONS(3144),
    [anon_sym_alignof] = ACTIONS(3144),
    [anon_sym__Alignof] = ACTIONS(3144),
    [anon_sym_offsetof] = ACTIONS(3144),
    [anon_sym__Generic] = ACTIONS(3144),
    [anon_sym_asm] = ACTIONS(3144),
    [anon_sym___asm__] = ACTIONS(3144),
    [aux_sym_number_literal_token1] = ACTIONS(3146),
    [aux_sym_number_literal_token2] = ACTIONS(3144),
    [anon_sym_L_SQUOTE] = ACTIONS(3146),
    [anon_sym_u_SQUOTE] = ACTIONS(3146),
    [anon_sym_U_SQUOTE] = ACTIONS(3146),
    [anon_sym_u8_SQUOTE] = ACTIONS(3146),
    [anon_sym_SQUOTE] = ACTIONS(3146),
    [anon_sym_L_DQUOTE] = ACTIONS(3146),
    [anon_sym_u_DQUOTE] = ACTIONS(3146),
    [anon_sym_U_DQUOTE] = ACTIONS(3146),
    [anon_sym_u8_DQUOTE] = ACTIONS(3146),
    [anon_sym_DQUOTE] = ACTIONS(3146),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [anon_sym_NULL] = ACTIONS(3144),
    [anon_sym_nullptr] = ACTIONS(3144),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3144),
    [anon_sym_decltype] = ACTIONS(3144),
    [anon_sym_virtual] = ACTIONS(3144),
    [anon_sym_alignas] = ACTIONS(3144),
    [anon_sym_explicit] = ACTIONS(3144),
    [anon_sym_typename] = ACTIONS(3144),
    [anon_sym_template] = ACTIONS(3144),
    [anon_sym_operator] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_namespace] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_static_assert] = ACTIONS(3144),
    [anon_sym_concept] = ACTIONS(3144),
    [anon_sym_co_return] = ACTIONS(3144),
    [anon_sym_co_yield] = ACTIONS(3144),
    [anon_sym_R_DQUOTE] = ACTIONS(3146),
    [anon_sym_LR_DQUOTE] = ACTIONS(3146),
    [anon_sym_uR_DQUOTE] = ACTIONS(3146),
    [anon_sym_UR_DQUOTE] = ACTIONS(3146),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3146),
    [anon_sym_co_await] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_requires] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
  },
  [613] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [614] = {
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_include_token1] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token2] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_BANG] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym___cdecl] = ACTIONS(3052),
    [anon_sym___clrcall] = ACTIONS(3052),
    [anon_sym___stdcall] = ACTIONS(3052),
    [anon_sym___fastcall] = ACTIONS(3052),
    [anon_sym___thiscall] = ACTIONS(3052),
    [anon_sym___vectorcall] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_PROGMEM] = ACTIONS(3052),
    [aux_sym_primitive_type_token1] = ACTIONS(3052),
    [anon_sym_byte] = ACTIONS(3052),
    [anon_sym_word] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [anon_sym_if] = ACTIONS(3052),
    [anon_sym_else] = ACTIONS(3052),
    [anon_sym_switch] = ACTIONS(3052),
    [anon_sym_case] = ACTIONS(3052),
    [anon_sym_default] = ACTIONS(3052),
    [anon_sym_while] = ACTIONS(3052),
    [anon_sym_do] = ACTIONS(3052),
    [anon_sym_for] = ACTIONS(3052),
    [anon_sym_return] = ACTIONS(3052),
    [anon_sym_break] = ACTIONS(3052),
    [anon_sym_continue] = ACTIONS(3052),
    [anon_sym_goto] = ACTIONS(3052),
    [anon_sym___try] = ACTIONS(3052),
    [anon_sym___leave] = ACTIONS(3052),
    [anon_sym_not] = ACTIONS(3052),
    [anon_sym_compl] = ACTIONS(3052),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_sizeof] = ACTIONS(3052),
    [anon_sym___alignof__] = ACTIONS(3052),
    [anon_sym___alignof] = ACTIONS(3052),
    [anon_sym__alignof] = ACTIONS(3052),
    [anon_sym_alignof] = ACTIONS(3052),
    [anon_sym__Alignof] = ACTIONS(3052),
    [anon_sym_offsetof] = ACTIONS(3052),
    [anon_sym__Generic] = ACTIONS(3052),
    [anon_sym_asm] = ACTIONS(3052),
    [anon_sym___asm__] = ACTIONS(3052),
    [aux_sym_number_literal_token1] = ACTIONS(3054),
    [aux_sym_number_literal_token2] = ACTIONS(3052),
    [anon_sym_L_SQUOTE] = ACTIONS(3054),
    [anon_sym_u_SQUOTE] = ACTIONS(3054),
    [anon_sym_U_SQUOTE] = ACTIONS(3054),
    [anon_sym_u8_SQUOTE] = ACTIONS(3054),
    [anon_sym_SQUOTE] = ACTIONS(3054),
    [anon_sym_L_DQUOTE] = ACTIONS(3054),
    [anon_sym_u_DQUOTE] = ACTIONS(3054),
    [anon_sym_U_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8_DQUOTE] = ACTIONS(3054),
    [anon_sym_DQUOTE] = ACTIONS(3054),
    [sym_true] = ACTIONS(3052),
    [sym_false] = ACTIONS(3052),
    [anon_sym_NULL] = ACTIONS(3052),
    [anon_sym_nullptr] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_try] = ACTIONS(3052),
    [anon_sym_delete] = ACTIONS(3052),
    [anon_sym_throw] = ACTIONS(3052),
    [anon_sym_namespace] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
    [anon_sym_concept] = ACTIONS(3052),
    [anon_sym_co_return] = ACTIONS(3052),
    [anon_sym_co_yield] = ACTIONS(3052),
    [anon_sym_R_DQUOTE] = ACTIONS(3054),
    [anon_sym_LR_DQUOTE] = ACTIONS(3054),
    [anon_sym_uR_DQUOTE] = ACTIONS(3054),
    [anon_sym_UR_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3054),
    [anon_sym_co_await] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(3052),
    [anon_sym_requires] = ACTIONS(3052),
    [sym_this] = ACTIONS(3052),
  },
  [615] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_include_token1] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token2] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym___cdecl] = ACTIONS(3064),
    [anon_sym___clrcall] = ACTIONS(3064),
    [anon_sym___stdcall] = ACTIONS(3064),
    [anon_sym___fastcall] = ACTIONS(3064),
    [anon_sym___thiscall] = ACTIONS(3064),
    [anon_sym___vectorcall] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_goto] = ACTIONS(3064),
    [anon_sym___try] = ACTIONS(3064),
    [anon_sym___leave] = ACTIONS(3064),
    [anon_sym_not] = ACTIONS(3064),
    [anon_sym_compl] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_sizeof] = ACTIONS(3064),
    [anon_sym___alignof__] = ACTIONS(3064),
    [anon_sym___alignof] = ACTIONS(3064),
    [anon_sym__alignof] = ACTIONS(3064),
    [anon_sym_alignof] = ACTIONS(3064),
    [anon_sym__Alignof] = ACTIONS(3064),
    [anon_sym_offsetof] = ACTIONS(3064),
    [anon_sym__Generic] = ACTIONS(3064),
    [anon_sym_asm] = ACTIONS(3064),
    [anon_sym___asm__] = ACTIONS(3064),
    [aux_sym_number_literal_token1] = ACTIONS(3066),
    [aux_sym_number_literal_token2] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3066),
    [anon_sym_u_DQUOTE] = ACTIONS(3066),
    [anon_sym_U_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8_DQUOTE] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [anon_sym_NULL] = ACTIONS(3064),
    [anon_sym_nullptr] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
    [anon_sym_concept] = ACTIONS(3064),
    [anon_sym_co_return] = ACTIONS(3064),
    [anon_sym_co_yield] = ACTIONS(3064),
    [anon_sym_R_DQUOTE] = ACTIONS(3066),
    [anon_sym_LR_DQUOTE] = ACTIONS(3066),
    [anon_sym_uR_DQUOTE] = ACTIONS(3066),
    [anon_sym_UR_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3066),
    [anon_sym_co_await] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_requires] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
  },
  [616] = {
    [sym_identifier] = ACTIONS(3048),
    [aux_sym_preproc_include_token1] = ACTIONS(3048),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token2] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3048),
    [sym_preproc_directive] = ACTIONS(3048),
    [anon_sym_LPAREN2] = ACTIONS(3050),
    [anon_sym_BANG] = ACTIONS(3050),
    [anon_sym_TILDE] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3048),
    [anon_sym_STAR] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3050),
    [anon_sym_AMP] = ACTIONS(3048),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym___extension__] = ACTIONS(3048),
    [anon_sym_typedef] = ACTIONS(3048),
    [anon_sym_extern] = ACTIONS(3048),
    [anon_sym___attribute__] = ACTIONS(3048),
    [anon_sym_COLON_COLON] = ACTIONS(3050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3050),
    [anon_sym___declspec] = ACTIONS(3048),
    [anon_sym___based] = ACTIONS(3048),
    [anon_sym___cdecl] = ACTIONS(3048),
    [anon_sym___clrcall] = ACTIONS(3048),
    [anon_sym___stdcall] = ACTIONS(3048),
    [anon_sym___fastcall] = ACTIONS(3048),
    [anon_sym___thiscall] = ACTIONS(3048),
    [anon_sym___vectorcall] = ACTIONS(3048),
    [anon_sym_LBRACE] = ACTIONS(3050),
    [anon_sym_signed] = ACTIONS(3048),
    [anon_sym_unsigned] = ACTIONS(3048),
    [anon_sym_long] = ACTIONS(3048),
    [anon_sym_short] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(3048),
    [anon_sym_static] = ACTIONS(3048),
    [anon_sym_register] = ACTIONS(3048),
    [anon_sym_inline] = ACTIONS(3048),
    [anon_sym___inline] = ACTIONS(3048),
    [anon_sym___inline__] = ACTIONS(3048),
    [anon_sym___forceinline] = ACTIONS(3048),
    [anon_sym_thread_local] = ACTIONS(3048),
    [anon_sym___thread] = ACTIONS(3048),
    [anon_sym_const] = ACTIONS(3048),
    [anon_sym_constexpr] = ACTIONS(3048),
    [anon_sym_volatile] = ACTIONS(3048),
    [anon_sym_restrict] = ACTIONS(3048),
    [anon_sym___restrict__] = ACTIONS(3048),
    [anon_sym__Atomic] = ACTIONS(3048),
    [anon_sym__Noreturn] = ACTIONS(3048),
    [anon_sym_noreturn] = ACTIONS(3048),
    [anon_sym_mutable] = ACTIONS(3048),
    [anon_sym_constinit] = ACTIONS(3048),
    [anon_sym_consteval] = ACTIONS(3048),
    [anon_sym_PROGMEM] = ACTIONS(3048),
    [aux_sym_primitive_type_token1] = ACTIONS(3048),
    [anon_sym_byte] = ACTIONS(3048),
    [anon_sym_word] = ACTIONS(3048),
    [anon_sym_enum] = ACTIONS(3048),
    [anon_sym_class] = ACTIONS(3048),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3048),
    [anon_sym_if] = ACTIONS(3048),
    [anon_sym_else] = ACTIONS(3048),
    [anon_sym_switch] = ACTIONS(3048),
    [anon_sym_case] = ACTIONS(3048),
    [anon_sym_default] = ACTIONS(3048),
    [anon_sym_while] = ACTIONS(3048),
    [anon_sym_do] = ACTIONS(3048),
    [anon_sym_for] = ACTIONS(3048),
    [anon_sym_return] = ACTIONS(3048),
    [anon_sym_break] = ACTIONS(3048),
    [anon_sym_continue] = ACTIONS(3048),
    [anon_sym_goto] = ACTIONS(3048),
    [anon_sym___try] = ACTIONS(3048),
    [anon_sym___leave] = ACTIONS(3048),
    [anon_sym_not] = ACTIONS(3048),
    [anon_sym_compl] = ACTIONS(3048),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_sizeof] = ACTIONS(3048),
    [anon_sym___alignof__] = ACTIONS(3048),
    [anon_sym___alignof] = ACTIONS(3048),
    [anon_sym__alignof] = ACTIONS(3048),
    [anon_sym_alignof] = ACTIONS(3048),
    [anon_sym__Alignof] = ACTIONS(3048),
    [anon_sym_offsetof] = ACTIONS(3048),
    [anon_sym__Generic] = ACTIONS(3048),
    [anon_sym_asm] = ACTIONS(3048),
    [anon_sym___asm__] = ACTIONS(3048),
    [aux_sym_number_literal_token1] = ACTIONS(3050),
    [aux_sym_number_literal_token2] = ACTIONS(3048),
    [anon_sym_L_SQUOTE] = ACTIONS(3050),
    [anon_sym_u_SQUOTE] = ACTIONS(3050),
    [anon_sym_U_SQUOTE] = ACTIONS(3050),
    [anon_sym_u8_SQUOTE] = ACTIONS(3050),
    [anon_sym_SQUOTE] = ACTIONS(3050),
    [anon_sym_L_DQUOTE] = ACTIONS(3050),
    [anon_sym_u_DQUOTE] = ACTIONS(3050),
    [anon_sym_U_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8_DQUOTE] = ACTIONS(3050),
    [anon_sym_DQUOTE] = ACTIONS(3050),
    [sym_true] = ACTIONS(3048),
    [sym_false] = ACTIONS(3048),
    [anon_sym_NULL] = ACTIONS(3048),
    [anon_sym_nullptr] = ACTIONS(3048),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3048),
    [anon_sym_decltype] = ACTIONS(3048),
    [anon_sym_virtual] = ACTIONS(3048),
    [anon_sym_alignas] = ACTIONS(3048),
    [anon_sym_explicit] = ACTIONS(3048),
    [anon_sym_typename] = ACTIONS(3048),
    [anon_sym_template] = ACTIONS(3048),
    [anon_sym_operator] = ACTIONS(3048),
    [anon_sym_try] = ACTIONS(3048),
    [anon_sym_delete] = ACTIONS(3048),
    [anon_sym_throw] = ACTIONS(3048),
    [anon_sym_namespace] = ACTIONS(3048),
    [anon_sym_using] = ACTIONS(3048),
    [anon_sym_static_assert] = ACTIONS(3048),
    [anon_sym_concept] = ACTIONS(3048),
    [anon_sym_co_return] = ACTIONS(3048),
    [anon_sym_co_yield] = ACTIONS(3048),
    [anon_sym_R_DQUOTE] = ACTIONS(3050),
    [anon_sym_LR_DQUOTE] = ACTIONS(3050),
    [anon_sym_uR_DQUOTE] = ACTIONS(3050),
    [anon_sym_UR_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3050),
    [anon_sym_co_await] = ACTIONS(3048),
    [anon_sym_new] = ACTIONS(3048),
    [anon_sym_requires] = ACTIONS(3048),
    [sym_this] = ACTIONS(3048),
  },
  [617] = {
    [ts_builtin_sym_end] = ACTIONS(3126),
    [sym_identifier] = ACTIONS(3124),
    [aux_sym_preproc_include_token1] = ACTIONS(3124),
    [aux_sym_preproc_def_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3126),
    [anon_sym_BANG] = ACTIONS(3126),
    [anon_sym_TILDE] = ACTIONS(3126),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_STAR] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym___extension__] = ACTIONS(3124),
    [anon_sym_typedef] = ACTIONS(3124),
    [anon_sym_extern] = ACTIONS(3124),
    [anon_sym___attribute__] = ACTIONS(3124),
    [anon_sym_COLON_COLON] = ACTIONS(3126),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3126),
    [anon_sym___declspec] = ACTIONS(3124),
    [anon_sym___based] = ACTIONS(3124),
    [anon_sym___cdecl] = ACTIONS(3124),
    [anon_sym___clrcall] = ACTIONS(3124),
    [anon_sym___stdcall] = ACTIONS(3124),
    [anon_sym___fastcall] = ACTIONS(3124),
    [anon_sym___thiscall] = ACTIONS(3124),
    [anon_sym___vectorcall] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3126),
    [anon_sym_signed] = ACTIONS(3124),
    [anon_sym_unsigned] = ACTIONS(3124),
    [anon_sym_long] = ACTIONS(3124),
    [anon_sym_short] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_register] = ACTIONS(3124),
    [anon_sym_inline] = ACTIONS(3124),
    [anon_sym___inline] = ACTIONS(3124),
    [anon_sym___inline__] = ACTIONS(3124),
    [anon_sym___forceinline] = ACTIONS(3124),
    [anon_sym_thread_local] = ACTIONS(3124),
    [anon_sym___thread] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_constexpr] = ACTIONS(3124),
    [anon_sym_volatile] = ACTIONS(3124),
    [anon_sym_restrict] = ACTIONS(3124),
    [anon_sym___restrict__] = ACTIONS(3124),
    [anon_sym__Atomic] = ACTIONS(3124),
    [anon_sym__Noreturn] = ACTIONS(3124),
    [anon_sym_noreturn] = ACTIONS(3124),
    [anon_sym_mutable] = ACTIONS(3124),
    [anon_sym_constinit] = ACTIONS(3124),
    [anon_sym_consteval] = ACTIONS(3124),
    [anon_sym_PROGMEM] = ACTIONS(3124),
    [aux_sym_primitive_type_token1] = ACTIONS(3124),
    [anon_sym_byte] = ACTIONS(3124),
    [anon_sym_word] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_struct] = ACTIONS(3124),
    [anon_sym_union] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_else] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_default] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_goto] = ACTIONS(3124),
    [anon_sym___try] = ACTIONS(3124),
    [anon_sym___leave] = ACTIONS(3124),
    [anon_sym_not] = ACTIONS(3124),
    [anon_sym_compl] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_sizeof] = ACTIONS(3124),
    [anon_sym___alignof__] = ACTIONS(3124),
    [anon_sym___alignof] = ACTIONS(3124),
    [anon_sym__alignof] = ACTIONS(3124),
    [anon_sym_alignof] = ACTIONS(3124),
    [anon_sym__Alignof] = ACTIONS(3124),
    [anon_sym_offsetof] = ACTIONS(3124),
    [anon_sym__Generic] = ACTIONS(3124),
    [anon_sym_asm] = ACTIONS(3124),
    [anon_sym___asm__] = ACTIONS(3124),
    [aux_sym_number_literal_token1] = ACTIONS(3126),
    [aux_sym_number_literal_token2] = ACTIONS(3124),
    [anon_sym_L_SQUOTE] = ACTIONS(3126),
    [anon_sym_u_SQUOTE] = ACTIONS(3126),
    [anon_sym_U_SQUOTE] = ACTIONS(3126),
    [anon_sym_u8_SQUOTE] = ACTIONS(3126),
    [anon_sym_SQUOTE] = ACTIONS(3126),
    [anon_sym_L_DQUOTE] = ACTIONS(3126),
    [anon_sym_u_DQUOTE] = ACTIONS(3126),
    [anon_sym_U_DQUOTE] = ACTIONS(3126),
    [anon_sym_u8_DQUOTE] = ACTIONS(3126),
    [anon_sym_DQUOTE] = ACTIONS(3126),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [anon_sym_NULL] = ACTIONS(3124),
    [anon_sym_nullptr] = ACTIONS(3124),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3124),
    [anon_sym_decltype] = ACTIONS(3124),
    [anon_sym_virtual] = ACTIONS(3124),
    [anon_sym_alignas] = ACTIONS(3124),
    [anon_sym_explicit] = ACTIONS(3124),
    [anon_sym_typename] = ACTIONS(3124),
    [anon_sym_template] = ACTIONS(3124),
    [anon_sym_operator] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_static_assert] = ACTIONS(3124),
    [anon_sym_concept] = ACTIONS(3124),
    [anon_sym_co_return] = ACTIONS(3124),
    [anon_sym_co_yield] = ACTIONS(3124),
    [anon_sym_R_DQUOTE] = ACTIONS(3126),
    [anon_sym_LR_DQUOTE] = ACTIONS(3126),
    [anon_sym_uR_DQUOTE] = ACTIONS(3126),
    [anon_sym_UR_DQUOTE] = ACTIONS(3126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3126),
    [anon_sym_co_await] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_requires] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
  },
  [618] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_include_token1] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token2] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym___cdecl] = ACTIONS(3064),
    [anon_sym___clrcall] = ACTIONS(3064),
    [anon_sym___stdcall] = ACTIONS(3064),
    [anon_sym___fastcall] = ACTIONS(3064),
    [anon_sym___thiscall] = ACTIONS(3064),
    [anon_sym___vectorcall] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_goto] = ACTIONS(3064),
    [anon_sym___try] = ACTIONS(3064),
    [anon_sym___leave] = ACTIONS(3064),
    [anon_sym_not] = ACTIONS(3064),
    [anon_sym_compl] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_sizeof] = ACTIONS(3064),
    [anon_sym___alignof__] = ACTIONS(3064),
    [anon_sym___alignof] = ACTIONS(3064),
    [anon_sym__alignof] = ACTIONS(3064),
    [anon_sym_alignof] = ACTIONS(3064),
    [anon_sym__Alignof] = ACTIONS(3064),
    [anon_sym_offsetof] = ACTIONS(3064),
    [anon_sym__Generic] = ACTIONS(3064),
    [anon_sym_asm] = ACTIONS(3064),
    [anon_sym___asm__] = ACTIONS(3064),
    [aux_sym_number_literal_token1] = ACTIONS(3066),
    [aux_sym_number_literal_token2] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3066),
    [anon_sym_u_DQUOTE] = ACTIONS(3066),
    [anon_sym_U_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8_DQUOTE] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [anon_sym_NULL] = ACTIONS(3064),
    [anon_sym_nullptr] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
    [anon_sym_concept] = ACTIONS(3064),
    [anon_sym_co_return] = ACTIONS(3064),
    [anon_sym_co_yield] = ACTIONS(3064),
    [anon_sym_R_DQUOTE] = ACTIONS(3066),
    [anon_sym_LR_DQUOTE] = ACTIONS(3066),
    [anon_sym_uR_DQUOTE] = ACTIONS(3066),
    [anon_sym_UR_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3066),
    [anon_sym_co_await] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_requires] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
  },
  [619] = {
    [sym_identifier] = ACTIONS(3028),
    [aux_sym_preproc_include_token1] = ACTIONS(3028),
    [aux_sym_preproc_def_token1] = ACTIONS(3028),
    [aux_sym_preproc_if_token1] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3028),
    [sym_preproc_directive] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3030),
    [anon_sym_TILDE] = ACTIONS(3030),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_STAR] = ACTIONS(3030),
    [anon_sym_AMP_AMP] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_SEMI] = ACTIONS(3030),
    [anon_sym___extension__] = ACTIONS(3028),
    [anon_sym_typedef] = ACTIONS(3028),
    [anon_sym_extern] = ACTIONS(3028),
    [anon_sym___attribute__] = ACTIONS(3028),
    [anon_sym_COLON_COLON] = ACTIONS(3030),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3030),
    [anon_sym___declspec] = ACTIONS(3028),
    [anon_sym___based] = ACTIONS(3028),
    [anon_sym___cdecl] = ACTIONS(3028),
    [anon_sym___clrcall] = ACTIONS(3028),
    [anon_sym___stdcall] = ACTIONS(3028),
    [anon_sym___fastcall] = ACTIONS(3028),
    [anon_sym___thiscall] = ACTIONS(3028),
    [anon_sym___vectorcall] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_RBRACE] = ACTIONS(3030),
    [anon_sym_signed] = ACTIONS(3028),
    [anon_sym_unsigned] = ACTIONS(3028),
    [anon_sym_long] = ACTIONS(3028),
    [anon_sym_short] = ACTIONS(3028),
    [anon_sym_LBRACK] = ACTIONS(3028),
    [anon_sym_static] = ACTIONS(3028),
    [anon_sym_register] = ACTIONS(3028),
    [anon_sym_inline] = ACTIONS(3028),
    [anon_sym___inline] = ACTIONS(3028),
    [anon_sym___inline__] = ACTIONS(3028),
    [anon_sym___forceinline] = ACTIONS(3028),
    [anon_sym_thread_local] = ACTIONS(3028),
    [anon_sym___thread] = ACTIONS(3028),
    [anon_sym_const] = ACTIONS(3028),
    [anon_sym_constexpr] = ACTIONS(3028),
    [anon_sym_volatile] = ACTIONS(3028),
    [anon_sym_restrict] = ACTIONS(3028),
    [anon_sym___restrict__] = ACTIONS(3028),
    [anon_sym__Atomic] = ACTIONS(3028),
    [anon_sym__Noreturn] = ACTIONS(3028),
    [anon_sym_noreturn] = ACTIONS(3028),
    [anon_sym_mutable] = ACTIONS(3028),
    [anon_sym_constinit] = ACTIONS(3028),
    [anon_sym_consteval] = ACTIONS(3028),
    [anon_sym_PROGMEM] = ACTIONS(3028),
    [aux_sym_primitive_type_token1] = ACTIONS(3028),
    [anon_sym_byte] = ACTIONS(3028),
    [anon_sym_word] = ACTIONS(3028),
    [anon_sym_enum] = ACTIONS(3028),
    [anon_sym_class] = ACTIONS(3028),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(3028),
    [anon_sym_if] = ACTIONS(3028),
    [anon_sym_else] = ACTIONS(3028),
    [anon_sym_switch] = ACTIONS(3028),
    [anon_sym_case] = ACTIONS(3028),
    [anon_sym_default] = ACTIONS(3028),
    [anon_sym_while] = ACTIONS(3028),
    [anon_sym_do] = ACTIONS(3028),
    [anon_sym_for] = ACTIONS(3028),
    [anon_sym_return] = ACTIONS(3028),
    [anon_sym_break] = ACTIONS(3028),
    [anon_sym_continue] = ACTIONS(3028),
    [anon_sym_goto] = ACTIONS(3028),
    [anon_sym___try] = ACTIONS(3028),
    [anon_sym___leave] = ACTIONS(3028),
    [anon_sym_not] = ACTIONS(3028),
    [anon_sym_compl] = ACTIONS(3028),
    [anon_sym_DASH_DASH] = ACTIONS(3030),
    [anon_sym_PLUS_PLUS] = ACTIONS(3030),
    [anon_sym_sizeof] = ACTIONS(3028),
    [anon_sym___alignof__] = ACTIONS(3028),
    [anon_sym___alignof] = ACTIONS(3028),
    [anon_sym__alignof] = ACTIONS(3028),
    [anon_sym_alignof] = ACTIONS(3028),
    [anon_sym__Alignof] = ACTIONS(3028),
    [anon_sym_offsetof] = ACTIONS(3028),
    [anon_sym__Generic] = ACTIONS(3028),
    [anon_sym_asm] = ACTIONS(3028),
    [anon_sym___asm__] = ACTIONS(3028),
    [aux_sym_number_literal_token1] = ACTIONS(3030),
    [aux_sym_number_literal_token2] = ACTIONS(3028),
    [anon_sym_L_SQUOTE] = ACTIONS(3030),
    [anon_sym_u_SQUOTE] = ACTIONS(3030),
    [anon_sym_U_SQUOTE] = ACTIONS(3030),
    [anon_sym_u8_SQUOTE] = ACTIONS(3030),
    [anon_sym_SQUOTE] = ACTIONS(3030),
    [anon_sym_L_DQUOTE] = ACTIONS(3030),
    [anon_sym_u_DQUOTE] = ACTIONS(3030),
    [anon_sym_U_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8_DQUOTE] = ACTIONS(3030),
    [anon_sym_DQUOTE] = ACTIONS(3030),
    [sym_true] = ACTIONS(3028),
    [sym_false] = ACTIONS(3028),
    [anon_sym_NULL] = ACTIONS(3028),
    [anon_sym_nullptr] = ACTIONS(3028),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3028),
    [anon_sym_decltype] = ACTIONS(3028),
    [anon_sym_virtual] = ACTIONS(3028),
    [anon_sym_alignas] = ACTIONS(3028),
    [anon_sym_explicit] = ACTIONS(3028),
    [anon_sym_typename] = ACTIONS(3028),
    [anon_sym_template] = ACTIONS(3028),
    [anon_sym_operator] = ACTIONS(3028),
    [anon_sym_try] = ACTIONS(3028),
    [anon_sym_delete] = ACTIONS(3028),
    [anon_sym_throw] = ACTIONS(3028),
    [anon_sym_namespace] = ACTIONS(3028),
    [anon_sym_using] = ACTIONS(3028),
    [anon_sym_static_assert] = ACTIONS(3028),
    [anon_sym_concept] = ACTIONS(3028),
    [anon_sym_co_return] = ACTIONS(3028),
    [anon_sym_co_yield] = ACTIONS(3028),
    [anon_sym_R_DQUOTE] = ACTIONS(3030),
    [anon_sym_LR_DQUOTE] = ACTIONS(3030),
    [anon_sym_uR_DQUOTE] = ACTIONS(3030),
    [anon_sym_UR_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3030),
    [anon_sym_co_await] = ACTIONS(3028),
    [anon_sym_new] = ACTIONS(3028),
    [anon_sym_requires] = ACTIONS(3028),
    [sym_this] = ACTIONS(3028),
  },
  [620] = {
    [sym_preproc_def] = STATE(985),
    [sym_preproc_function_def] = STATE(985),
    [sym_preproc_call] = STATE(985),
    [sym_preproc_if_in_field_declaration_list] = STATE(985),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(985),
    [sym_preproc_else_in_field_declaration_list] = STATE(9362),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9362),
    [sym_type_definition] = STATE(985),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6373),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6903),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(985),
    [sym_field_declaration] = STATE(985),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2199),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(985),
    [sym_operator_cast] = STATE(7394),
    [sym_inline_method_definition] = STATE(985),
    [sym__constructor_specifiers] = STATE(2199),
    [sym_operator_cast_definition] = STATE(985),
    [sym_operator_cast_declaration] = STATE(985),
    [sym_constructor_or_destructor_definition] = STATE(985),
    [sym_constructor_or_destructor_declaration] = STATE(985),
    [sym_friend_declaration] = STATE(985),
    [sym_access_specifier] = STATE(8646),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(985),
    [sym_alias_declaration] = STATE(985),
    [sym_static_assert_declaration] = STATE(985),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7394),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(985),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2199),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3525),
    [aux_sym_preproc_if_token1] = ACTIONS(3527),
    [aux_sym_preproc_if_token2] = ACTIONS(3529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3531),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3531),
    [aux_sym_preproc_else_token1] = ACTIONS(3234),
    [aux_sym_preproc_elif_token1] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3533),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3535),
    [anon_sym_typedef] = ACTIONS(3537),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3539),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3541),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3543),
    [anon_sym_static_assert] = ACTIONS(3545),
  },
  [621] = {
    [sym_identifier] = ACTIONS(3032),
    [aux_sym_preproc_include_token1] = ACTIONS(3032),
    [aux_sym_preproc_def_token1] = ACTIONS(3032),
    [aux_sym_preproc_if_token1] = ACTIONS(3032),
    [aux_sym_preproc_if_token2] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3032),
    [sym_preproc_directive] = ACTIONS(3032),
    [anon_sym_LPAREN2] = ACTIONS(3034),
    [anon_sym_BANG] = ACTIONS(3034),
    [anon_sym_TILDE] = ACTIONS(3034),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_AMP] = ACTIONS(3032),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym___extension__] = ACTIONS(3032),
    [anon_sym_typedef] = ACTIONS(3032),
    [anon_sym_extern] = ACTIONS(3032),
    [anon_sym___attribute__] = ACTIONS(3032),
    [anon_sym_COLON_COLON] = ACTIONS(3034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3034),
    [anon_sym___declspec] = ACTIONS(3032),
    [anon_sym___based] = ACTIONS(3032),
    [anon_sym___cdecl] = ACTIONS(3032),
    [anon_sym___clrcall] = ACTIONS(3032),
    [anon_sym___stdcall] = ACTIONS(3032),
    [anon_sym___fastcall] = ACTIONS(3032),
    [anon_sym___thiscall] = ACTIONS(3032),
    [anon_sym___vectorcall] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(3034),
    [anon_sym_signed] = ACTIONS(3032),
    [anon_sym_unsigned] = ACTIONS(3032),
    [anon_sym_long] = ACTIONS(3032),
    [anon_sym_short] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3032),
    [anon_sym_static] = ACTIONS(3032),
    [anon_sym_register] = ACTIONS(3032),
    [anon_sym_inline] = ACTIONS(3032),
    [anon_sym___inline] = ACTIONS(3032),
    [anon_sym___inline__] = ACTIONS(3032),
    [anon_sym___forceinline] = ACTIONS(3032),
    [anon_sym_thread_local] = ACTIONS(3032),
    [anon_sym___thread] = ACTIONS(3032),
    [anon_sym_const] = ACTIONS(3032),
    [anon_sym_constexpr] = ACTIONS(3032),
    [anon_sym_volatile] = ACTIONS(3032),
    [anon_sym_restrict] = ACTIONS(3032),
    [anon_sym___restrict__] = ACTIONS(3032),
    [anon_sym__Atomic] = ACTIONS(3032),
    [anon_sym__Noreturn] = ACTIONS(3032),
    [anon_sym_noreturn] = ACTIONS(3032),
    [anon_sym_mutable] = ACTIONS(3032),
    [anon_sym_constinit] = ACTIONS(3032),
    [anon_sym_consteval] = ACTIONS(3032),
    [anon_sym_PROGMEM] = ACTIONS(3032),
    [aux_sym_primitive_type_token1] = ACTIONS(3032),
    [anon_sym_byte] = ACTIONS(3032),
    [anon_sym_word] = ACTIONS(3032),
    [anon_sym_enum] = ACTIONS(3032),
    [anon_sym_class] = ACTIONS(3032),
    [anon_sym_struct] = ACTIONS(3032),
    [anon_sym_union] = ACTIONS(3032),
    [anon_sym_if] = ACTIONS(3032),
    [anon_sym_else] = ACTIONS(3032),
    [anon_sym_switch] = ACTIONS(3032),
    [anon_sym_case] = ACTIONS(3032),
    [anon_sym_default] = ACTIONS(3032),
    [anon_sym_while] = ACTIONS(3032),
    [anon_sym_do] = ACTIONS(3032),
    [anon_sym_for] = ACTIONS(3032),
    [anon_sym_return] = ACTIONS(3032),
    [anon_sym_break] = ACTIONS(3032),
    [anon_sym_continue] = ACTIONS(3032),
    [anon_sym_goto] = ACTIONS(3032),
    [anon_sym___try] = ACTIONS(3032),
    [anon_sym___leave] = ACTIONS(3032),
    [anon_sym_not] = ACTIONS(3032),
    [anon_sym_compl] = ACTIONS(3032),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_sizeof] = ACTIONS(3032),
    [anon_sym___alignof__] = ACTIONS(3032),
    [anon_sym___alignof] = ACTIONS(3032),
    [anon_sym__alignof] = ACTIONS(3032),
    [anon_sym_alignof] = ACTIONS(3032),
    [anon_sym__Alignof] = ACTIONS(3032),
    [anon_sym_offsetof] = ACTIONS(3032),
    [anon_sym__Generic] = ACTIONS(3032),
    [anon_sym_asm] = ACTIONS(3032),
    [anon_sym___asm__] = ACTIONS(3032),
    [aux_sym_number_literal_token1] = ACTIONS(3034),
    [aux_sym_number_literal_token2] = ACTIONS(3032),
    [anon_sym_L_SQUOTE] = ACTIONS(3034),
    [anon_sym_u_SQUOTE] = ACTIONS(3034),
    [anon_sym_U_SQUOTE] = ACTIONS(3034),
    [anon_sym_u8_SQUOTE] = ACTIONS(3034),
    [anon_sym_SQUOTE] = ACTIONS(3034),
    [anon_sym_L_DQUOTE] = ACTIONS(3034),
    [anon_sym_u_DQUOTE] = ACTIONS(3034),
    [anon_sym_U_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8_DQUOTE] = ACTIONS(3034),
    [anon_sym_DQUOTE] = ACTIONS(3034),
    [sym_true] = ACTIONS(3032),
    [sym_false] = ACTIONS(3032),
    [anon_sym_NULL] = ACTIONS(3032),
    [anon_sym_nullptr] = ACTIONS(3032),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3032),
    [anon_sym_decltype] = ACTIONS(3032),
    [anon_sym_virtual] = ACTIONS(3032),
    [anon_sym_alignas] = ACTIONS(3032),
    [anon_sym_explicit] = ACTIONS(3032),
    [anon_sym_typename] = ACTIONS(3032),
    [anon_sym_template] = ACTIONS(3032),
    [anon_sym_operator] = ACTIONS(3032),
    [anon_sym_try] = ACTIONS(3032),
    [anon_sym_delete] = ACTIONS(3032),
    [anon_sym_throw] = ACTIONS(3032),
    [anon_sym_namespace] = ACTIONS(3032),
    [anon_sym_using] = ACTIONS(3032),
    [anon_sym_static_assert] = ACTIONS(3032),
    [anon_sym_concept] = ACTIONS(3032),
    [anon_sym_co_return] = ACTIONS(3032),
    [anon_sym_co_yield] = ACTIONS(3032),
    [anon_sym_R_DQUOTE] = ACTIONS(3034),
    [anon_sym_LR_DQUOTE] = ACTIONS(3034),
    [anon_sym_uR_DQUOTE] = ACTIONS(3034),
    [anon_sym_UR_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3034),
    [anon_sym_co_await] = ACTIONS(3032),
    [anon_sym_new] = ACTIONS(3032),
    [anon_sym_requires] = ACTIONS(3032),
    [sym_this] = ACTIONS(3032),
  },
  [622] = {
    [sym_preproc_def] = STATE(628),
    [sym_preproc_function_def] = STATE(628),
    [sym_preproc_call] = STATE(628),
    [sym_preproc_if_in_field_declaration_list] = STATE(628),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(628),
    [sym_preproc_else_in_field_declaration_list] = STATE(9441),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9441),
    [sym_type_definition] = STATE(628),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6373),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6903),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(628),
    [sym_field_declaration] = STATE(628),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2199),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(628),
    [sym_operator_cast] = STATE(7394),
    [sym_inline_method_definition] = STATE(628),
    [sym__constructor_specifiers] = STATE(2199),
    [sym_operator_cast_definition] = STATE(628),
    [sym_operator_cast_declaration] = STATE(628),
    [sym_constructor_or_destructor_definition] = STATE(628),
    [sym_constructor_or_destructor_declaration] = STATE(628),
    [sym_friend_declaration] = STATE(628),
    [sym_access_specifier] = STATE(8646),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(628),
    [sym_alias_declaration] = STATE(628),
    [sym_static_assert_declaration] = STATE(628),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7394),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(628),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2199),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3525),
    [aux_sym_preproc_if_token1] = ACTIONS(3527),
    [aux_sym_preproc_if_token2] = ACTIONS(3547),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3531),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3531),
    [aux_sym_preproc_else_token1] = ACTIONS(3234),
    [aux_sym_preproc_elif_token1] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3533),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3535),
    [anon_sym_typedef] = ACTIONS(3537),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3539),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3541),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3543),
    [anon_sym_static_assert] = ACTIONS(3545),
  },
  [623] = {
    [sym_preproc_def] = STATE(985),
    [sym_preproc_function_def] = STATE(985),
    [sym_preproc_call] = STATE(985),
    [sym_preproc_if_in_field_declaration_list] = STATE(985),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(985),
    [sym_preproc_else_in_field_declaration_list] = STATE(9443),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9443),
    [sym_type_definition] = STATE(985),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6373),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6903),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(985),
    [sym_field_declaration] = STATE(985),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2199),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(985),
    [sym_operator_cast] = STATE(7394),
    [sym_inline_method_definition] = STATE(985),
    [sym__constructor_specifiers] = STATE(2199),
    [sym_operator_cast_definition] = STATE(985),
    [sym_operator_cast_declaration] = STATE(985),
    [sym_constructor_or_destructor_definition] = STATE(985),
    [sym_constructor_or_destructor_declaration] = STATE(985),
    [sym_friend_declaration] = STATE(985),
    [sym_access_specifier] = STATE(8646),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(985),
    [sym_alias_declaration] = STATE(985),
    [sym_static_assert_declaration] = STATE(985),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7394),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(985),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2199),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3525),
    [aux_sym_preproc_if_token1] = ACTIONS(3527),
    [aux_sym_preproc_if_token2] = ACTIONS(3549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3531),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3531),
    [aux_sym_preproc_else_token1] = ACTIONS(3234),
    [aux_sym_preproc_elif_token1] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3533),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3535),
    [anon_sym_typedef] = ACTIONS(3537),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3539),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3541),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3543),
    [anon_sym_static_assert] = ACTIONS(3545),
  },
  [624] = {
    [sym_identifier] = ACTIONS(3056),
    [aux_sym_preproc_include_token1] = ACTIONS(3056),
    [aux_sym_preproc_def_token1] = ACTIONS(3056),
    [aux_sym_preproc_if_token1] = ACTIONS(3056),
    [aux_sym_preproc_if_token2] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3056),
    [sym_preproc_directive] = ACTIONS(3056),
    [anon_sym_LPAREN2] = ACTIONS(3058),
    [anon_sym_BANG] = ACTIONS(3058),
    [anon_sym_TILDE] = ACTIONS(3058),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym___extension__] = ACTIONS(3056),
    [anon_sym_typedef] = ACTIONS(3056),
    [anon_sym_extern] = ACTIONS(3056),
    [anon_sym___attribute__] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3058),
    [anon_sym___declspec] = ACTIONS(3056),
    [anon_sym___based] = ACTIONS(3056),
    [anon_sym___cdecl] = ACTIONS(3056),
    [anon_sym___clrcall] = ACTIONS(3056),
    [anon_sym___stdcall] = ACTIONS(3056),
    [anon_sym___fastcall] = ACTIONS(3056),
    [anon_sym___thiscall] = ACTIONS(3056),
    [anon_sym___vectorcall] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_signed] = ACTIONS(3056),
    [anon_sym_unsigned] = ACTIONS(3056),
    [anon_sym_long] = ACTIONS(3056),
    [anon_sym_short] = ACTIONS(3056),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [anon_sym_static] = ACTIONS(3056),
    [anon_sym_register] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym___inline] = ACTIONS(3056),
    [anon_sym___inline__] = ACTIONS(3056),
    [anon_sym___forceinline] = ACTIONS(3056),
    [anon_sym_thread_local] = ACTIONS(3056),
    [anon_sym___thread] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_constexpr] = ACTIONS(3056),
    [anon_sym_volatile] = ACTIONS(3056),
    [anon_sym_restrict] = ACTIONS(3056),
    [anon_sym___restrict__] = ACTIONS(3056),
    [anon_sym__Atomic] = ACTIONS(3056),
    [anon_sym__Noreturn] = ACTIONS(3056),
    [anon_sym_noreturn] = ACTIONS(3056),
    [anon_sym_mutable] = ACTIONS(3056),
    [anon_sym_constinit] = ACTIONS(3056),
    [anon_sym_consteval] = ACTIONS(3056),
    [anon_sym_PROGMEM] = ACTIONS(3056),
    [aux_sym_primitive_type_token1] = ACTIONS(3056),
    [anon_sym_byte] = ACTIONS(3056),
    [anon_sym_word] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_class] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3056),
    [anon_sym_union] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(3056),
    [anon_sym_else] = ACTIONS(3056),
    [anon_sym_switch] = ACTIONS(3056),
    [anon_sym_case] = ACTIONS(3056),
    [anon_sym_default] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_do] = ACTIONS(3056),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_return] = ACTIONS(3056),
    [anon_sym_break] = ACTIONS(3056),
    [anon_sym_continue] = ACTIONS(3056),
    [anon_sym_goto] = ACTIONS(3056),
    [anon_sym___try] = ACTIONS(3056),
    [anon_sym___leave] = ACTIONS(3056),
    [anon_sym_not] = ACTIONS(3056),
    [anon_sym_compl] = ACTIONS(3056),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_sizeof] = ACTIONS(3056),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3056),
    [anon_sym__Generic] = ACTIONS(3056),
    [anon_sym_asm] = ACTIONS(3056),
    [anon_sym___asm__] = ACTIONS(3056),
    [aux_sym_number_literal_token1] = ACTIONS(3058),
    [aux_sym_number_literal_token2] = ACTIONS(3056),
    [anon_sym_L_SQUOTE] = ACTIONS(3058),
    [anon_sym_u_SQUOTE] = ACTIONS(3058),
    [anon_sym_U_SQUOTE] = ACTIONS(3058),
    [anon_sym_u8_SQUOTE] = ACTIONS(3058),
    [anon_sym_SQUOTE] = ACTIONS(3058),
    [anon_sym_L_DQUOTE] = ACTIONS(3058),
    [anon_sym_u_DQUOTE] = ACTIONS(3058),
    [anon_sym_U_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8_DQUOTE] = ACTIONS(3058),
    [anon_sym_DQUOTE] = ACTIONS(3058),
    [sym_true] = ACTIONS(3056),
    [sym_false] = ACTIONS(3056),
    [anon_sym_NULL] = ACTIONS(3056),
    [anon_sym_nullptr] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3056),
    [anon_sym_decltype] = ACTIONS(3056),
    [anon_sym_virtual] = ACTIONS(3056),
    [anon_sym_alignas] = ACTIONS(3056),
    [anon_sym_explicit] = ACTIONS(3056),
    [anon_sym_typename] = ACTIONS(3056),
    [anon_sym_template] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_try] = ACTIONS(3056),
    [anon_sym_delete] = ACTIONS(3056),
    [anon_sym_throw] = ACTIONS(3056),
    [anon_sym_namespace] = ACTIONS(3056),
    [anon_sym_using] = ACTIONS(3056),
    [anon_sym_static_assert] = ACTIONS(3056),
    [anon_sym_concept] = ACTIONS(3056),
    [anon_sym_co_return] = ACTIONS(3056),
    [anon_sym_co_yield] = ACTIONS(3056),
    [anon_sym_R_DQUOTE] = ACTIONS(3058),
    [anon_sym_LR_DQUOTE] = ACTIONS(3058),
    [anon_sym_uR_DQUOTE] = ACTIONS(3058),
    [anon_sym_UR_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3058),
    [anon_sym_co_await] = ACTIONS(3056),
    [anon_sym_new] = ACTIONS(3056),
    [anon_sym_requires] = ACTIONS(3056),
    [sym_this] = ACTIONS(3056),
  },
  [625] = {
    [sym_preproc_def] = STATE(623),
    [sym_preproc_function_def] = STATE(623),
    [sym_preproc_call] = STATE(623),
    [sym_preproc_if_in_field_declaration_list] = STATE(623),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(623),
    [sym_preproc_else_in_field_declaration_list] = STATE(9367),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9367),
    [sym_type_definition] = STATE(623),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6373),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6903),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(623),
    [sym_field_declaration] = STATE(623),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2199),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(623),
    [sym_operator_cast] = STATE(7394),
    [sym_inline_method_definition] = STATE(623),
    [sym__constructor_specifiers] = STATE(2199),
    [sym_operator_cast_definition] = STATE(623),
    [sym_operator_cast_declaration] = STATE(623),
    [sym_constructor_or_destructor_definition] = STATE(623),
    [sym_constructor_or_destructor_declaration] = STATE(623),
    [sym_friend_declaration] = STATE(623),
    [sym_access_specifier] = STATE(8646),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(623),
    [sym_alias_declaration] = STATE(623),
    [sym_static_assert_declaration] = STATE(623),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7394),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(623),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2199),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3525),
    [aux_sym_preproc_if_token1] = ACTIONS(3527),
    [aux_sym_preproc_if_token2] = ACTIONS(3551),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3531),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3531),
    [aux_sym_preproc_else_token1] = ACTIONS(3234),
    [aux_sym_preproc_elif_token1] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3533),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3535),
    [anon_sym_typedef] = ACTIONS(3537),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3539),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3541),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3543),
    [anon_sym_static_assert] = ACTIONS(3545),
  },
  [626] = {
    [sym_identifier] = ACTIONS(3060),
    [aux_sym_preproc_include_token1] = ACTIONS(3060),
    [aux_sym_preproc_def_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token2] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3060),
    [sym_preproc_directive] = ACTIONS(3060),
    [anon_sym_LPAREN2] = ACTIONS(3062),
    [anon_sym_BANG] = ACTIONS(3062),
    [anon_sym_TILDE] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym___extension__] = ACTIONS(3060),
    [anon_sym_typedef] = ACTIONS(3060),
    [anon_sym_extern] = ACTIONS(3060),
    [anon_sym___attribute__] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3062),
    [anon_sym___declspec] = ACTIONS(3060),
    [anon_sym___based] = ACTIONS(3060),
    [anon_sym___cdecl] = ACTIONS(3060),
    [anon_sym___clrcall] = ACTIONS(3060),
    [anon_sym___stdcall] = ACTIONS(3060),
    [anon_sym___fastcall] = ACTIONS(3060),
    [anon_sym___thiscall] = ACTIONS(3060),
    [anon_sym___vectorcall] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_signed] = ACTIONS(3060),
    [anon_sym_unsigned] = ACTIONS(3060),
    [anon_sym_long] = ACTIONS(3060),
    [anon_sym_short] = ACTIONS(3060),
    [anon_sym_LBRACK] = ACTIONS(3060),
    [anon_sym_static] = ACTIONS(3060),
    [anon_sym_register] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym___inline] = ACTIONS(3060),
    [anon_sym___inline__] = ACTIONS(3060),
    [anon_sym___forceinline] = ACTIONS(3060),
    [anon_sym_thread_local] = ACTIONS(3060),
    [anon_sym___thread] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_constexpr] = ACTIONS(3060),
    [anon_sym_volatile] = ACTIONS(3060),
    [anon_sym_restrict] = ACTIONS(3060),
    [anon_sym___restrict__] = ACTIONS(3060),
    [anon_sym__Atomic] = ACTIONS(3060),
    [anon_sym__Noreturn] = ACTIONS(3060),
    [anon_sym_noreturn] = ACTIONS(3060),
    [anon_sym_mutable] = ACTIONS(3060),
    [anon_sym_constinit] = ACTIONS(3060),
    [anon_sym_consteval] = ACTIONS(3060),
    [anon_sym_PROGMEM] = ACTIONS(3060),
    [aux_sym_primitive_type_token1] = ACTIONS(3060),
    [anon_sym_byte] = ACTIONS(3060),
    [anon_sym_word] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_class] = ACTIONS(3060),
    [anon_sym_struct] = ACTIONS(3060),
    [anon_sym_union] = ACTIONS(3060),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_else] = ACTIONS(3060),
    [anon_sym_switch] = ACTIONS(3060),
    [anon_sym_case] = ACTIONS(3060),
    [anon_sym_default] = ACTIONS(3060),
    [anon_sym_while] = ACTIONS(3060),
    [anon_sym_do] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(3060),
    [anon_sym_return] = ACTIONS(3060),
    [anon_sym_break] = ACTIONS(3060),
    [anon_sym_continue] = ACTIONS(3060),
    [anon_sym_goto] = ACTIONS(3060),
    [anon_sym___try] = ACTIONS(3060),
    [anon_sym___leave] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(3060),
    [anon_sym_compl] = ACTIONS(3060),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_sizeof] = ACTIONS(3060),
    [anon_sym___alignof__] = ACTIONS(3060),
    [anon_sym___alignof] = ACTIONS(3060),
    [anon_sym__alignof] = ACTIONS(3060),
    [anon_sym_alignof] = ACTIONS(3060),
    [anon_sym__Alignof] = ACTIONS(3060),
    [anon_sym_offsetof] = ACTIONS(3060),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3060),
    [anon_sym___asm__] = ACTIONS(3060),
    [aux_sym_number_literal_token1] = ACTIONS(3062),
    [aux_sym_number_literal_token2] = ACTIONS(3060),
    [anon_sym_L_SQUOTE] = ACTIONS(3062),
    [anon_sym_u_SQUOTE] = ACTIONS(3062),
    [anon_sym_U_SQUOTE] = ACTIONS(3062),
    [anon_sym_u8_SQUOTE] = ACTIONS(3062),
    [anon_sym_SQUOTE] = ACTIONS(3062),
    [anon_sym_L_DQUOTE] = ACTIONS(3062),
    [anon_sym_u_DQUOTE] = ACTIONS(3062),
    [anon_sym_U_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8_DQUOTE] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3062),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [anon_sym_NULL] = ACTIONS(3060),
    [anon_sym_nullptr] = ACTIONS(3060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3060),
    [anon_sym_decltype] = ACTIONS(3060),
    [anon_sym_virtual] = ACTIONS(3060),
    [anon_sym_alignas] = ACTIONS(3060),
    [anon_sym_explicit] = ACTIONS(3060),
    [anon_sym_typename] = ACTIONS(3060),
    [anon_sym_template] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_try] = ACTIONS(3060),
    [anon_sym_delete] = ACTIONS(3060),
    [anon_sym_throw] = ACTIONS(3060),
    [anon_sym_namespace] = ACTIONS(3060),
    [anon_sym_using] = ACTIONS(3060),
    [anon_sym_static_assert] = ACTIONS(3060),
    [anon_sym_concept] = ACTIONS(3060),
    [anon_sym_co_return] = ACTIONS(3060),
    [anon_sym_co_yield] = ACTIONS(3060),
    [anon_sym_R_DQUOTE] = ACTIONS(3062),
    [anon_sym_LR_DQUOTE] = ACTIONS(3062),
    [anon_sym_uR_DQUOTE] = ACTIONS(3062),
    [anon_sym_UR_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3062),
    [anon_sym_co_await] = ACTIONS(3060),
    [anon_sym_new] = ACTIONS(3060),
    [anon_sym_requires] = ACTIONS(3060),
    [sym_this] = ACTIONS(3060),
  },
  [627] = {
    [sym_identifier] = ACTIONS(3068),
    [aux_sym_preproc_include_token1] = ACTIONS(3068),
    [aux_sym_preproc_def_token1] = ACTIONS(3068),
    [aux_sym_preproc_if_token1] = ACTIONS(3068),
    [aux_sym_preproc_if_token2] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3068),
    [sym_preproc_directive] = ACTIONS(3068),
    [anon_sym_LPAREN2] = ACTIONS(3070),
    [anon_sym_BANG] = ACTIONS(3070),
    [anon_sym_TILDE] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_AMP_AMP] = ACTIONS(3070),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_SEMI] = ACTIONS(3070),
    [anon_sym___extension__] = ACTIONS(3068),
    [anon_sym_typedef] = ACTIONS(3068),
    [anon_sym_extern] = ACTIONS(3068),
    [anon_sym___attribute__] = ACTIONS(3068),
    [anon_sym_COLON_COLON] = ACTIONS(3070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3070),
    [anon_sym___declspec] = ACTIONS(3068),
    [anon_sym___based] = ACTIONS(3068),
    [anon_sym___cdecl] = ACTIONS(3068),
    [anon_sym___clrcall] = ACTIONS(3068),
    [anon_sym___stdcall] = ACTIONS(3068),
    [anon_sym___fastcall] = ACTIONS(3068),
    [anon_sym___thiscall] = ACTIONS(3068),
    [anon_sym___vectorcall] = ACTIONS(3068),
    [anon_sym_LBRACE] = ACTIONS(3070),
    [anon_sym_signed] = ACTIONS(3068),
    [anon_sym_unsigned] = ACTIONS(3068),
    [anon_sym_long] = ACTIONS(3068),
    [anon_sym_short] = ACTIONS(3068),
    [anon_sym_LBRACK] = ACTIONS(3068),
    [anon_sym_static] = ACTIONS(3068),
    [anon_sym_register] = ACTIONS(3068),
    [anon_sym_inline] = ACTIONS(3068),
    [anon_sym___inline] = ACTIONS(3068),
    [anon_sym___inline__] = ACTIONS(3068),
    [anon_sym___forceinline] = ACTIONS(3068),
    [anon_sym_thread_local] = ACTIONS(3068),
    [anon_sym___thread] = ACTIONS(3068),
    [anon_sym_const] = ACTIONS(3068),
    [anon_sym_constexpr] = ACTIONS(3068),
    [anon_sym_volatile] = ACTIONS(3068),
    [anon_sym_restrict] = ACTIONS(3068),
    [anon_sym___restrict__] = ACTIONS(3068),
    [anon_sym__Atomic] = ACTIONS(3068),
    [anon_sym__Noreturn] = ACTIONS(3068),
    [anon_sym_noreturn] = ACTIONS(3068),
    [anon_sym_mutable] = ACTIONS(3068),
    [anon_sym_constinit] = ACTIONS(3068),
    [anon_sym_consteval] = ACTIONS(3068),
    [anon_sym_PROGMEM] = ACTIONS(3068),
    [aux_sym_primitive_type_token1] = ACTIONS(3068),
    [anon_sym_byte] = ACTIONS(3068),
    [anon_sym_word] = ACTIONS(3068),
    [anon_sym_enum] = ACTIONS(3068),
    [anon_sym_class] = ACTIONS(3068),
    [anon_sym_struct] = ACTIONS(3068),
    [anon_sym_union] = ACTIONS(3068),
    [anon_sym_if] = ACTIONS(3068),
    [anon_sym_else] = ACTIONS(3068),
    [anon_sym_switch] = ACTIONS(3068),
    [anon_sym_case] = ACTIONS(3068),
    [anon_sym_default] = ACTIONS(3068),
    [anon_sym_while] = ACTIONS(3068),
    [anon_sym_do] = ACTIONS(3068),
    [anon_sym_for] = ACTIONS(3068),
    [anon_sym_return] = ACTIONS(3068),
    [anon_sym_break] = ACTIONS(3068),
    [anon_sym_continue] = ACTIONS(3068),
    [anon_sym_goto] = ACTIONS(3068),
    [anon_sym___try] = ACTIONS(3068),
    [anon_sym___leave] = ACTIONS(3068),
    [anon_sym_not] = ACTIONS(3068),
    [anon_sym_compl] = ACTIONS(3068),
    [anon_sym_DASH_DASH] = ACTIONS(3070),
    [anon_sym_PLUS_PLUS] = ACTIONS(3070),
    [anon_sym_sizeof] = ACTIONS(3068),
    [anon_sym___alignof__] = ACTIONS(3068),
    [anon_sym___alignof] = ACTIONS(3068),
    [anon_sym__alignof] = ACTIONS(3068),
    [anon_sym_alignof] = ACTIONS(3068),
    [anon_sym__Alignof] = ACTIONS(3068),
    [anon_sym_offsetof] = ACTIONS(3068),
    [anon_sym__Generic] = ACTIONS(3068),
    [anon_sym_asm] = ACTIONS(3068),
    [anon_sym___asm__] = ACTIONS(3068),
    [aux_sym_number_literal_token1] = ACTIONS(3070),
    [aux_sym_number_literal_token2] = ACTIONS(3068),
    [anon_sym_L_SQUOTE] = ACTIONS(3070),
    [anon_sym_u_SQUOTE] = ACTIONS(3070),
    [anon_sym_U_SQUOTE] = ACTIONS(3070),
    [anon_sym_u8_SQUOTE] = ACTIONS(3070),
    [anon_sym_SQUOTE] = ACTIONS(3070),
    [anon_sym_L_DQUOTE] = ACTIONS(3070),
    [anon_sym_u_DQUOTE] = ACTIONS(3070),
    [anon_sym_U_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8_DQUOTE] = ACTIONS(3070),
    [anon_sym_DQUOTE] = ACTIONS(3070),
    [sym_true] = ACTIONS(3068),
    [sym_false] = ACTIONS(3068),
    [anon_sym_NULL] = ACTIONS(3068),
    [anon_sym_nullptr] = ACTIONS(3068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3068),
    [anon_sym_decltype] = ACTIONS(3068),
    [anon_sym_virtual] = ACTIONS(3068),
    [anon_sym_alignas] = ACTIONS(3068),
    [anon_sym_explicit] = ACTIONS(3068),
    [anon_sym_typename] = ACTIONS(3068),
    [anon_sym_template] = ACTIONS(3068),
    [anon_sym_operator] = ACTIONS(3068),
    [anon_sym_try] = ACTIONS(3068),
    [anon_sym_delete] = ACTIONS(3068),
    [anon_sym_throw] = ACTIONS(3068),
    [anon_sym_namespace] = ACTIONS(3068),
    [anon_sym_using] = ACTIONS(3068),
    [anon_sym_static_assert] = ACTIONS(3068),
    [anon_sym_concept] = ACTIONS(3068),
    [anon_sym_co_return] = ACTIONS(3068),
    [anon_sym_co_yield] = ACTIONS(3068),
    [anon_sym_R_DQUOTE] = ACTIONS(3070),
    [anon_sym_LR_DQUOTE] = ACTIONS(3070),
    [anon_sym_uR_DQUOTE] = ACTIONS(3070),
    [anon_sym_UR_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3070),
    [anon_sym_co_await] = ACTIONS(3068),
    [anon_sym_new] = ACTIONS(3068),
    [anon_sym_requires] = ACTIONS(3068),
    [sym_this] = ACTIONS(3068),
  },
  [628] = {
    [sym_preproc_def] = STATE(985),
    [sym_preproc_function_def] = STATE(985),
    [sym_preproc_call] = STATE(985),
    [sym_preproc_if_in_field_declaration_list] = STATE(985),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(985),
    [sym_preproc_else_in_field_declaration_list] = STATE(9487),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9487),
    [sym_type_definition] = STATE(985),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6373),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6903),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(985),
    [sym_field_declaration] = STATE(985),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2199),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(985),
    [sym_operator_cast] = STATE(7394),
    [sym_inline_method_definition] = STATE(985),
    [sym__constructor_specifiers] = STATE(2199),
    [sym_operator_cast_definition] = STATE(985),
    [sym_operator_cast_declaration] = STATE(985),
    [sym_constructor_or_destructor_definition] = STATE(985),
    [sym_constructor_or_destructor_declaration] = STATE(985),
    [sym_friend_declaration] = STATE(985),
    [sym_access_specifier] = STATE(8646),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(985),
    [sym_alias_declaration] = STATE(985),
    [sym_static_assert_declaration] = STATE(985),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7394),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(985),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2199),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3525),
    [aux_sym_preproc_if_token1] = ACTIONS(3527),
    [aux_sym_preproc_if_token2] = ACTIONS(3553),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3531),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3531),
    [aux_sym_preproc_else_token1] = ACTIONS(3234),
    [aux_sym_preproc_elif_token1] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3533),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3535),
    [anon_sym_typedef] = ACTIONS(3537),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3539),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3541),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3543),
    [anon_sym_static_assert] = ACTIONS(3545),
  },
  [629] = {
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_include_token1] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token2] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_BANG] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym___cdecl] = ACTIONS(3040),
    [anon_sym___clrcall] = ACTIONS(3040),
    [anon_sym___stdcall] = ACTIONS(3040),
    [anon_sym___fastcall] = ACTIONS(3040),
    [anon_sym___thiscall] = ACTIONS(3040),
    [anon_sym___vectorcall] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_PROGMEM] = ACTIONS(3040),
    [aux_sym_primitive_type_token1] = ACTIONS(3040),
    [anon_sym_byte] = ACTIONS(3040),
    [anon_sym_word] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_else] = ACTIONS(3040),
    [anon_sym_switch] = ACTIONS(3040),
    [anon_sym_case] = ACTIONS(3040),
    [anon_sym_default] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_do] = ACTIONS(3040),
    [anon_sym_for] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_break] = ACTIONS(3040),
    [anon_sym_continue] = ACTIONS(3040),
    [anon_sym_goto] = ACTIONS(3040),
    [anon_sym___try] = ACTIONS(3040),
    [anon_sym___leave] = ACTIONS(3040),
    [anon_sym_not] = ACTIONS(3040),
    [anon_sym_compl] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_sizeof] = ACTIONS(3040),
    [anon_sym___alignof__] = ACTIONS(3040),
    [anon_sym___alignof] = ACTIONS(3040),
    [anon_sym__alignof] = ACTIONS(3040),
    [anon_sym_alignof] = ACTIONS(3040),
    [anon_sym__Alignof] = ACTIONS(3040),
    [anon_sym_offsetof] = ACTIONS(3040),
    [anon_sym__Generic] = ACTIONS(3040),
    [anon_sym_asm] = ACTIONS(3040),
    [anon_sym___asm__] = ACTIONS(3040),
    [aux_sym_number_literal_token1] = ACTIONS(3042),
    [aux_sym_number_literal_token2] = ACTIONS(3040),
    [anon_sym_L_SQUOTE] = ACTIONS(3042),
    [anon_sym_u_SQUOTE] = ACTIONS(3042),
    [anon_sym_U_SQUOTE] = ACTIONS(3042),
    [anon_sym_u8_SQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_L_DQUOTE] = ACTIONS(3042),
    [anon_sym_u_DQUOTE] = ACTIONS(3042),
    [anon_sym_U_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8_DQUOTE] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3042),
    [sym_true] = ACTIONS(3040),
    [sym_false] = ACTIONS(3040),
    [anon_sym_NULL] = ACTIONS(3040),
    [anon_sym_nullptr] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_delete] = ACTIONS(3040),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_namespace] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
    [anon_sym_concept] = ACTIONS(3040),
    [anon_sym_co_return] = ACTIONS(3040),
    [anon_sym_co_yield] = ACTIONS(3040),
    [anon_sym_R_DQUOTE] = ACTIONS(3042),
    [anon_sym_LR_DQUOTE] = ACTIONS(3042),
    [anon_sym_uR_DQUOTE] = ACTIONS(3042),
    [anon_sym_UR_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3042),
    [anon_sym_co_await] = ACTIONS(3040),
    [anon_sym_new] = ACTIONS(3040),
    [anon_sym_requires] = ACTIONS(3040),
    [sym_this] = ACTIONS(3040),
  },
  [630] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_include_token1] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token2] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym___cdecl] = ACTIONS(3162),
    [anon_sym___clrcall] = ACTIONS(3162),
    [anon_sym___stdcall] = ACTIONS(3162),
    [anon_sym___fastcall] = ACTIONS(3162),
    [anon_sym___thiscall] = ACTIONS(3162),
    [anon_sym___vectorcall] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_PROGMEM] = ACTIONS(3162),
    [aux_sym_primitive_type_token1] = ACTIONS(3162),
    [anon_sym_byte] = ACTIONS(3162),
    [anon_sym_word] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_else] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_goto] = ACTIONS(3162),
    [anon_sym___try] = ACTIONS(3162),
    [anon_sym___leave] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3162),
    [anon_sym_compl] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_sizeof] = ACTIONS(3162),
    [anon_sym___alignof__] = ACTIONS(3162),
    [anon_sym___alignof] = ACTIONS(3162),
    [anon_sym__alignof] = ACTIONS(3162),
    [anon_sym_alignof] = ACTIONS(3162),
    [anon_sym__Alignof] = ACTIONS(3162),
    [anon_sym_offsetof] = ACTIONS(3162),
    [anon_sym__Generic] = ACTIONS(3162),
    [anon_sym_asm] = ACTIONS(3162),
    [anon_sym___asm__] = ACTIONS(3162),
    [aux_sym_number_literal_token1] = ACTIONS(3164),
    [aux_sym_number_literal_token2] = ACTIONS(3162),
    [anon_sym_L_SQUOTE] = ACTIONS(3164),
    [anon_sym_u_SQUOTE] = ACTIONS(3164),
    [anon_sym_U_SQUOTE] = ACTIONS(3164),
    [anon_sym_u8_SQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_L_DQUOTE] = ACTIONS(3164),
    [anon_sym_u_DQUOTE] = ACTIONS(3164),
    [anon_sym_U_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8_DQUOTE] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [anon_sym_NULL] = ACTIONS(3162),
    [anon_sym_nullptr] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
    [anon_sym_concept] = ACTIONS(3162),
    [anon_sym_co_return] = ACTIONS(3162),
    [anon_sym_co_yield] = ACTIONS(3162),
    [anon_sym_R_DQUOTE] = ACTIONS(3164),
    [anon_sym_LR_DQUOTE] = ACTIONS(3164),
    [anon_sym_uR_DQUOTE] = ACTIONS(3164),
    [anon_sym_UR_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3164),
    [anon_sym_co_await] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_requires] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
  },
  [631] = {
    [sym_identifier] = ACTIONS(3104),
    [aux_sym_preproc_include_token1] = ACTIONS(3104),
    [aux_sym_preproc_def_token1] = ACTIONS(3104),
    [aux_sym_preproc_if_token1] = ACTIONS(3104),
    [aux_sym_preproc_if_token2] = ACTIONS(3104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3104),
    [sym_preproc_directive] = ACTIONS(3104),
    [anon_sym_LPAREN2] = ACTIONS(3106),
    [anon_sym_BANG] = ACTIONS(3106),
    [anon_sym_TILDE] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3104),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_AMP_AMP] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym___extension__] = ACTIONS(3104),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(3104),
    [anon_sym___attribute__] = ACTIONS(3104),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3106),
    [anon_sym___declspec] = ACTIONS(3104),
    [anon_sym___based] = ACTIONS(3104),
    [anon_sym___cdecl] = ACTIONS(3104),
    [anon_sym___clrcall] = ACTIONS(3104),
    [anon_sym___stdcall] = ACTIONS(3104),
    [anon_sym___fastcall] = ACTIONS(3104),
    [anon_sym___thiscall] = ACTIONS(3104),
    [anon_sym___vectorcall] = ACTIONS(3104),
    [anon_sym_LBRACE] = ACTIONS(3106),
    [anon_sym_signed] = ACTIONS(3104),
    [anon_sym_unsigned] = ACTIONS(3104),
    [anon_sym_long] = ACTIONS(3104),
    [anon_sym_short] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_static] = ACTIONS(3104),
    [anon_sym_register] = ACTIONS(3104),
    [anon_sym_inline] = ACTIONS(3104),
    [anon_sym___inline] = ACTIONS(3104),
    [anon_sym___inline__] = ACTIONS(3104),
    [anon_sym___forceinline] = ACTIONS(3104),
    [anon_sym_thread_local] = ACTIONS(3104),
    [anon_sym___thread] = ACTIONS(3104),
    [anon_sym_const] = ACTIONS(3104),
    [anon_sym_constexpr] = ACTIONS(3104),
    [anon_sym_volatile] = ACTIONS(3104),
    [anon_sym_restrict] = ACTIONS(3104),
    [anon_sym___restrict__] = ACTIONS(3104),
    [anon_sym__Atomic] = ACTIONS(3104),
    [anon_sym__Noreturn] = ACTIONS(3104),
    [anon_sym_noreturn] = ACTIONS(3104),
    [anon_sym_mutable] = ACTIONS(3104),
    [anon_sym_constinit] = ACTIONS(3104),
    [anon_sym_consteval] = ACTIONS(3104),
    [anon_sym_PROGMEM] = ACTIONS(3104),
    [aux_sym_primitive_type_token1] = ACTIONS(3104),
    [anon_sym_byte] = ACTIONS(3104),
    [anon_sym_word] = ACTIONS(3104),
    [anon_sym_enum] = ACTIONS(3104),
    [anon_sym_class] = ACTIONS(3104),
    [anon_sym_struct] = ACTIONS(3104),
    [anon_sym_union] = ACTIONS(3104),
    [anon_sym_if] = ACTIONS(3104),
    [anon_sym_else] = ACTIONS(3104),
    [anon_sym_switch] = ACTIONS(3104),
    [anon_sym_case] = ACTIONS(3104),
    [anon_sym_default] = ACTIONS(3104),
    [anon_sym_while] = ACTIONS(3104),
    [anon_sym_do] = ACTIONS(3104),
    [anon_sym_for] = ACTIONS(3104),
    [anon_sym_return] = ACTIONS(3104),
    [anon_sym_break] = ACTIONS(3104),
    [anon_sym_continue] = ACTIONS(3104),
    [anon_sym_goto] = ACTIONS(3104),
    [anon_sym___try] = ACTIONS(3104),
    [anon_sym___leave] = ACTIONS(3104),
    [anon_sym_not] = ACTIONS(3104),
    [anon_sym_compl] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_sizeof] = ACTIONS(3104),
    [anon_sym___alignof__] = ACTIONS(3104),
    [anon_sym___alignof] = ACTIONS(3104),
    [anon_sym__alignof] = ACTIONS(3104),
    [anon_sym_alignof] = ACTIONS(3104),
    [anon_sym__Alignof] = ACTIONS(3104),
    [anon_sym_offsetof] = ACTIONS(3104),
    [anon_sym__Generic] = ACTIONS(3104),
    [anon_sym_asm] = ACTIONS(3104),
    [anon_sym___asm__] = ACTIONS(3104),
    [aux_sym_number_literal_token1] = ACTIONS(3106),
    [aux_sym_number_literal_token2] = ACTIONS(3104),
    [anon_sym_L_SQUOTE] = ACTIONS(3106),
    [anon_sym_u_SQUOTE] = ACTIONS(3106),
    [anon_sym_U_SQUOTE] = ACTIONS(3106),
    [anon_sym_u8_SQUOTE] = ACTIONS(3106),
    [anon_sym_SQUOTE] = ACTIONS(3106),
    [anon_sym_L_DQUOTE] = ACTIONS(3106),
    [anon_sym_u_DQUOTE] = ACTIONS(3106),
    [anon_sym_U_DQUOTE] = ACTIONS(3106),
    [anon_sym_u8_DQUOTE] = ACTIONS(3106),
    [anon_sym_DQUOTE] = ACTIONS(3106),
    [sym_true] = ACTIONS(3104),
    [sym_false] = ACTIONS(3104),
    [anon_sym_NULL] = ACTIONS(3104),
    [anon_sym_nullptr] = ACTIONS(3104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3104),
    [anon_sym_decltype] = ACTIONS(3104),
    [anon_sym_virtual] = ACTIONS(3104),
    [anon_sym_alignas] = ACTIONS(3104),
    [anon_sym_explicit] = ACTIONS(3104),
    [anon_sym_typename] = ACTIONS(3104),
    [anon_sym_template] = ACTIONS(3104),
    [anon_sym_operator] = ACTIONS(3104),
    [anon_sym_try] = ACTIONS(3104),
    [anon_sym_delete] = ACTIONS(3104),
    [anon_sym_throw] = ACTIONS(3104),
    [anon_sym_namespace] = ACTIONS(3104),
    [anon_sym_using] = ACTIONS(3104),
    [anon_sym_static_assert] = ACTIONS(3104),
    [anon_sym_concept] = ACTIONS(3104),
    [anon_sym_co_return] = ACTIONS(3104),
    [anon_sym_co_yield] = ACTIONS(3104),
    [anon_sym_R_DQUOTE] = ACTIONS(3106),
    [anon_sym_LR_DQUOTE] = ACTIONS(3106),
    [anon_sym_uR_DQUOTE] = ACTIONS(3106),
    [anon_sym_UR_DQUOTE] = ACTIONS(3106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3106),
    [anon_sym_co_await] = ACTIONS(3104),
    [anon_sym_new] = ACTIONS(3104),
    [anon_sym_requires] = ACTIONS(3104),
    [sym_this] = ACTIONS(3104),
  },
  [632] = {
    [sym_identifier] = ACTIONS(3168),
    [aux_sym_preproc_include_token1] = ACTIONS(3168),
    [aux_sym_preproc_def_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3168),
    [sym_preproc_directive] = ACTIONS(3168),
    [anon_sym_LPAREN2] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym___extension__] = ACTIONS(3168),
    [anon_sym_typedef] = ACTIONS(3168),
    [anon_sym_extern] = ACTIONS(3168),
    [anon_sym___attribute__] = ACTIONS(3168),
    [anon_sym_COLON_COLON] = ACTIONS(3170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3170),
    [anon_sym___declspec] = ACTIONS(3168),
    [anon_sym___based] = ACTIONS(3168),
    [anon_sym___cdecl] = ACTIONS(3168),
    [anon_sym___clrcall] = ACTIONS(3168),
    [anon_sym___stdcall] = ACTIONS(3168),
    [anon_sym___fastcall] = ACTIONS(3168),
    [anon_sym___thiscall] = ACTIONS(3168),
    [anon_sym___vectorcall] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_signed] = ACTIONS(3168),
    [anon_sym_unsigned] = ACTIONS(3168),
    [anon_sym_long] = ACTIONS(3168),
    [anon_sym_short] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_register] = ACTIONS(3168),
    [anon_sym_inline] = ACTIONS(3168),
    [anon_sym___inline] = ACTIONS(3168),
    [anon_sym___inline__] = ACTIONS(3168),
    [anon_sym___forceinline] = ACTIONS(3168),
    [anon_sym_thread_local] = ACTIONS(3168),
    [anon_sym___thread] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_constexpr] = ACTIONS(3168),
    [anon_sym_volatile] = ACTIONS(3168),
    [anon_sym_restrict] = ACTIONS(3168),
    [anon_sym___restrict__] = ACTIONS(3168),
    [anon_sym__Atomic] = ACTIONS(3168),
    [anon_sym__Noreturn] = ACTIONS(3168),
    [anon_sym_noreturn] = ACTIONS(3168),
    [anon_sym_mutable] = ACTIONS(3168),
    [anon_sym_constinit] = ACTIONS(3168),
    [anon_sym_consteval] = ACTIONS(3168),
    [anon_sym_PROGMEM] = ACTIONS(3168),
    [aux_sym_primitive_type_token1] = ACTIONS(3168),
    [anon_sym_byte] = ACTIONS(3168),
    [anon_sym_word] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_struct] = ACTIONS(3168),
    [anon_sym_union] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_else] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_case] = ACTIONS(3168),
    [anon_sym_default] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_goto] = ACTIONS(3168),
    [anon_sym___try] = ACTIONS(3168),
    [anon_sym___leave] = ACTIONS(3168),
    [anon_sym_not] = ACTIONS(3168),
    [anon_sym_compl] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_sizeof] = ACTIONS(3168),
    [anon_sym___alignof__] = ACTIONS(3168),
    [anon_sym___alignof] = ACTIONS(3168),
    [anon_sym__alignof] = ACTIONS(3168),
    [anon_sym_alignof] = ACTIONS(3168),
    [anon_sym__Alignof] = ACTIONS(3168),
    [anon_sym_offsetof] = ACTIONS(3168),
    [anon_sym__Generic] = ACTIONS(3168),
    [anon_sym_asm] = ACTIONS(3168),
    [anon_sym___asm__] = ACTIONS(3168),
    [aux_sym_number_literal_token1] = ACTIONS(3170),
    [aux_sym_number_literal_token2] = ACTIONS(3168),
    [anon_sym_L_SQUOTE] = ACTIONS(3170),
    [anon_sym_u_SQUOTE] = ACTIONS(3170),
    [anon_sym_U_SQUOTE] = ACTIONS(3170),
    [anon_sym_u8_SQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [anon_sym_L_DQUOTE] = ACTIONS(3170),
    [anon_sym_u_DQUOTE] = ACTIONS(3170),
    [anon_sym_U_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8_DQUOTE] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [anon_sym_NULL] = ACTIONS(3168),
    [anon_sym_nullptr] = ACTIONS(3168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3168),
    [anon_sym_decltype] = ACTIONS(3168),
    [anon_sym_virtual] = ACTIONS(3168),
    [anon_sym_alignas] = ACTIONS(3168),
    [anon_sym_explicit] = ACTIONS(3168),
    [anon_sym_typename] = ACTIONS(3168),
    [anon_sym_template] = ACTIONS(3168),
    [anon_sym_operator] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_static_assert] = ACTIONS(3168),
    [anon_sym_concept] = ACTIONS(3168),
    [anon_sym_co_return] = ACTIONS(3168),
    [anon_sym_co_yield] = ACTIONS(3168),
    [anon_sym_R_DQUOTE] = ACTIONS(3170),
    [anon_sym_LR_DQUOTE] = ACTIONS(3170),
    [anon_sym_uR_DQUOTE] = ACTIONS(3170),
    [anon_sym_UR_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3170),
    [anon_sym_co_await] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_requires] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
  },
  [633] = {
    [ts_builtin_sym_end] = ACTIONS(3122),
    [sym_identifier] = ACTIONS(3120),
    [aux_sym_preproc_include_token1] = ACTIONS(3120),
    [aux_sym_preproc_def_token1] = ACTIONS(3120),
    [aux_sym_preproc_if_token1] = ACTIONS(3120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3120),
    [sym_preproc_directive] = ACTIONS(3120),
    [anon_sym_LPAREN2] = ACTIONS(3122),
    [anon_sym_BANG] = ACTIONS(3122),
    [anon_sym_TILDE] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym_SEMI] = ACTIONS(3122),
    [anon_sym___extension__] = ACTIONS(3120),
    [anon_sym_typedef] = ACTIONS(3120),
    [anon_sym_extern] = ACTIONS(3120),
    [anon_sym___attribute__] = ACTIONS(3120),
    [anon_sym_COLON_COLON] = ACTIONS(3122),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3122),
    [anon_sym___declspec] = ACTIONS(3120),
    [anon_sym___based] = ACTIONS(3120),
    [anon_sym___cdecl] = ACTIONS(3120),
    [anon_sym___clrcall] = ACTIONS(3120),
    [anon_sym___stdcall] = ACTIONS(3120),
    [anon_sym___fastcall] = ACTIONS(3120),
    [anon_sym___thiscall] = ACTIONS(3120),
    [anon_sym___vectorcall] = ACTIONS(3120),
    [anon_sym_LBRACE] = ACTIONS(3122),
    [anon_sym_signed] = ACTIONS(3120),
    [anon_sym_unsigned] = ACTIONS(3120),
    [anon_sym_long] = ACTIONS(3120),
    [anon_sym_short] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_static] = ACTIONS(3120),
    [anon_sym_register] = ACTIONS(3120),
    [anon_sym_inline] = ACTIONS(3120),
    [anon_sym___inline] = ACTIONS(3120),
    [anon_sym___inline__] = ACTIONS(3120),
    [anon_sym___forceinline] = ACTIONS(3120),
    [anon_sym_thread_local] = ACTIONS(3120),
    [anon_sym___thread] = ACTIONS(3120),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_constexpr] = ACTIONS(3120),
    [anon_sym_volatile] = ACTIONS(3120),
    [anon_sym_restrict] = ACTIONS(3120),
    [anon_sym___restrict__] = ACTIONS(3120),
    [anon_sym__Atomic] = ACTIONS(3120),
    [anon_sym__Noreturn] = ACTIONS(3120),
    [anon_sym_noreturn] = ACTIONS(3120),
    [anon_sym_mutable] = ACTIONS(3120),
    [anon_sym_constinit] = ACTIONS(3120),
    [anon_sym_consteval] = ACTIONS(3120),
    [anon_sym_PROGMEM] = ACTIONS(3120),
    [aux_sym_primitive_type_token1] = ACTIONS(3120),
    [anon_sym_byte] = ACTIONS(3120),
    [anon_sym_word] = ACTIONS(3120),
    [anon_sym_enum] = ACTIONS(3120),
    [anon_sym_class] = ACTIONS(3120),
    [anon_sym_struct] = ACTIONS(3120),
    [anon_sym_union] = ACTIONS(3120),
    [anon_sym_if] = ACTIONS(3120),
    [anon_sym_else] = ACTIONS(3120),
    [anon_sym_switch] = ACTIONS(3120),
    [anon_sym_case] = ACTIONS(3120),
    [anon_sym_default] = ACTIONS(3120),
    [anon_sym_while] = ACTIONS(3120),
    [anon_sym_do] = ACTIONS(3120),
    [anon_sym_for] = ACTIONS(3120),
    [anon_sym_return] = ACTIONS(3120),
    [anon_sym_break] = ACTIONS(3120),
    [anon_sym_continue] = ACTIONS(3120),
    [anon_sym_goto] = ACTIONS(3120),
    [anon_sym___try] = ACTIONS(3120),
    [anon_sym___leave] = ACTIONS(3120),
    [anon_sym_not] = ACTIONS(3120),
    [anon_sym_compl] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_sizeof] = ACTIONS(3120),
    [anon_sym___alignof__] = ACTIONS(3120),
    [anon_sym___alignof] = ACTIONS(3120),
    [anon_sym__alignof] = ACTIONS(3120),
    [anon_sym_alignof] = ACTIONS(3120),
    [anon_sym__Alignof] = ACTIONS(3120),
    [anon_sym_offsetof] = ACTIONS(3120),
    [anon_sym__Generic] = ACTIONS(3120),
    [anon_sym_asm] = ACTIONS(3120),
    [anon_sym___asm__] = ACTIONS(3120),
    [aux_sym_number_literal_token1] = ACTIONS(3122),
    [aux_sym_number_literal_token2] = ACTIONS(3120),
    [anon_sym_L_SQUOTE] = ACTIONS(3122),
    [anon_sym_u_SQUOTE] = ACTIONS(3122),
    [anon_sym_U_SQUOTE] = ACTIONS(3122),
    [anon_sym_u8_SQUOTE] = ACTIONS(3122),
    [anon_sym_SQUOTE] = ACTIONS(3122),
    [anon_sym_L_DQUOTE] = ACTIONS(3122),
    [anon_sym_u_DQUOTE] = ACTIONS(3122),
    [anon_sym_U_DQUOTE] = ACTIONS(3122),
    [anon_sym_u8_DQUOTE] = ACTIONS(3122),
    [anon_sym_DQUOTE] = ACTIONS(3122),
    [sym_true] = ACTIONS(3120),
    [sym_false] = ACTIONS(3120),
    [anon_sym_NULL] = ACTIONS(3120),
    [anon_sym_nullptr] = ACTIONS(3120),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3120),
    [anon_sym_decltype] = ACTIONS(3120),
    [anon_sym_virtual] = ACTIONS(3120),
    [anon_sym_alignas] = ACTIONS(3120),
    [anon_sym_explicit] = ACTIONS(3120),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3120),
    [anon_sym_operator] = ACTIONS(3120),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_delete] = ACTIONS(3120),
    [anon_sym_throw] = ACTIONS(3120),
    [anon_sym_namespace] = ACTIONS(3120),
    [anon_sym_using] = ACTIONS(3120),
    [anon_sym_static_assert] = ACTIONS(3120),
    [anon_sym_concept] = ACTIONS(3120),
    [anon_sym_co_return] = ACTIONS(3120),
    [anon_sym_co_yield] = ACTIONS(3120),
    [anon_sym_R_DQUOTE] = ACTIONS(3122),
    [anon_sym_LR_DQUOTE] = ACTIONS(3122),
    [anon_sym_uR_DQUOTE] = ACTIONS(3122),
    [anon_sym_UR_DQUOTE] = ACTIONS(3122),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3122),
    [anon_sym_co_await] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(3120),
    [anon_sym_requires] = ACTIONS(3120),
    [sym_this] = ACTIONS(3120),
  },
  [634] = {
    [ts_builtin_sym_end] = ACTIONS(2872),
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2872),
    [anon_sym_BANG] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2872),
    [anon_sym_AMP_AMP] = ACTIONS(2872),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2872),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2872),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2872),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [anon_sym_PROGMEM] = ACTIONS(2867),
    [aux_sym_primitive_type_token1] = ACTIONS(2867),
    [anon_sym_byte] = ACTIONS(2867),
    [anon_sym_word] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2872),
    [anon_sym_PLUS_PLUS] = ACTIONS(2872),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [aux_sym_number_literal_token1] = ACTIONS(2872),
    [aux_sym_number_literal_token2] = ACTIONS(2867),
    [anon_sym_L_SQUOTE] = ACTIONS(2872),
    [anon_sym_u_SQUOTE] = ACTIONS(2872),
    [anon_sym_U_SQUOTE] = ACTIONS(2872),
    [anon_sym_u8_SQUOTE] = ACTIONS(2872),
    [anon_sym_SQUOTE] = ACTIONS(2872),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2872),
    [anon_sym_LR_DQUOTE] = ACTIONS(2872),
    [anon_sym_uR_DQUOTE] = ACTIONS(2872),
    [anon_sym_UR_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2872),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [635] = {
    [ts_builtin_sym_end] = ACTIONS(3030),
    [sym_identifier] = ACTIONS(3028),
    [aux_sym_preproc_include_token1] = ACTIONS(3028),
    [aux_sym_preproc_def_token1] = ACTIONS(3028),
    [aux_sym_preproc_if_token1] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3028),
    [sym_preproc_directive] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3030),
    [anon_sym_TILDE] = ACTIONS(3030),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_STAR] = ACTIONS(3030),
    [anon_sym_AMP_AMP] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_SEMI] = ACTIONS(3030),
    [anon_sym___extension__] = ACTIONS(3028),
    [anon_sym_typedef] = ACTIONS(3028),
    [anon_sym_extern] = ACTIONS(3028),
    [anon_sym___attribute__] = ACTIONS(3028),
    [anon_sym_COLON_COLON] = ACTIONS(3030),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3030),
    [anon_sym___declspec] = ACTIONS(3028),
    [anon_sym___based] = ACTIONS(3028),
    [anon_sym___cdecl] = ACTIONS(3028),
    [anon_sym___clrcall] = ACTIONS(3028),
    [anon_sym___stdcall] = ACTIONS(3028),
    [anon_sym___fastcall] = ACTIONS(3028),
    [anon_sym___thiscall] = ACTIONS(3028),
    [anon_sym___vectorcall] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_signed] = ACTIONS(3028),
    [anon_sym_unsigned] = ACTIONS(3028),
    [anon_sym_long] = ACTIONS(3028),
    [anon_sym_short] = ACTIONS(3028),
    [anon_sym_LBRACK] = ACTIONS(3028),
    [anon_sym_static] = ACTIONS(3028),
    [anon_sym_register] = ACTIONS(3028),
    [anon_sym_inline] = ACTIONS(3028),
    [anon_sym___inline] = ACTIONS(3028),
    [anon_sym___inline__] = ACTIONS(3028),
    [anon_sym___forceinline] = ACTIONS(3028),
    [anon_sym_thread_local] = ACTIONS(3028),
    [anon_sym___thread] = ACTIONS(3028),
    [anon_sym_const] = ACTIONS(3028),
    [anon_sym_constexpr] = ACTIONS(3028),
    [anon_sym_volatile] = ACTIONS(3028),
    [anon_sym_restrict] = ACTIONS(3028),
    [anon_sym___restrict__] = ACTIONS(3028),
    [anon_sym__Atomic] = ACTIONS(3028),
    [anon_sym__Noreturn] = ACTIONS(3028),
    [anon_sym_noreturn] = ACTIONS(3028),
    [anon_sym_mutable] = ACTIONS(3028),
    [anon_sym_constinit] = ACTIONS(3028),
    [anon_sym_consteval] = ACTIONS(3028),
    [anon_sym_PROGMEM] = ACTIONS(3028),
    [aux_sym_primitive_type_token1] = ACTIONS(3028),
    [anon_sym_byte] = ACTIONS(3028),
    [anon_sym_word] = ACTIONS(3028),
    [anon_sym_enum] = ACTIONS(3028),
    [anon_sym_class] = ACTIONS(3028),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(3028),
    [anon_sym_if] = ACTIONS(3028),
    [anon_sym_else] = ACTIONS(3028),
    [anon_sym_switch] = ACTIONS(3028),
    [anon_sym_case] = ACTIONS(3028),
    [anon_sym_default] = ACTIONS(3028),
    [anon_sym_while] = ACTIONS(3028),
    [anon_sym_do] = ACTIONS(3028),
    [anon_sym_for] = ACTIONS(3028),
    [anon_sym_return] = ACTIONS(3028),
    [anon_sym_break] = ACTIONS(3028),
    [anon_sym_continue] = ACTIONS(3028),
    [anon_sym_goto] = ACTIONS(3028),
    [anon_sym___try] = ACTIONS(3028),
    [anon_sym___leave] = ACTIONS(3028),
    [anon_sym_not] = ACTIONS(3028),
    [anon_sym_compl] = ACTIONS(3028),
    [anon_sym_DASH_DASH] = ACTIONS(3030),
    [anon_sym_PLUS_PLUS] = ACTIONS(3030),
    [anon_sym_sizeof] = ACTIONS(3028),
    [anon_sym___alignof__] = ACTIONS(3028),
    [anon_sym___alignof] = ACTIONS(3028),
    [anon_sym__alignof] = ACTIONS(3028),
    [anon_sym_alignof] = ACTIONS(3028),
    [anon_sym__Alignof] = ACTIONS(3028),
    [anon_sym_offsetof] = ACTIONS(3028),
    [anon_sym__Generic] = ACTIONS(3028),
    [anon_sym_asm] = ACTIONS(3028),
    [anon_sym___asm__] = ACTIONS(3028),
    [aux_sym_number_literal_token1] = ACTIONS(3030),
    [aux_sym_number_literal_token2] = ACTIONS(3028),
    [anon_sym_L_SQUOTE] = ACTIONS(3030),
    [anon_sym_u_SQUOTE] = ACTIONS(3030),
    [anon_sym_U_SQUOTE] = ACTIONS(3030),
    [anon_sym_u8_SQUOTE] = ACTIONS(3030),
    [anon_sym_SQUOTE] = ACTIONS(3030),
    [anon_sym_L_DQUOTE] = ACTIONS(3030),
    [anon_sym_u_DQUOTE] = ACTIONS(3030),
    [anon_sym_U_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8_DQUOTE] = ACTIONS(3030),
    [anon_sym_DQUOTE] = ACTIONS(3030),
    [sym_true] = ACTIONS(3028),
    [sym_false] = ACTIONS(3028),
    [anon_sym_NULL] = ACTIONS(3028),
    [anon_sym_nullptr] = ACTIONS(3028),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3028),
    [anon_sym_decltype] = ACTIONS(3028),
    [anon_sym_virtual] = ACTIONS(3028),
    [anon_sym_alignas] = ACTIONS(3028),
    [anon_sym_explicit] = ACTIONS(3028),
    [anon_sym_typename] = ACTIONS(3028),
    [anon_sym_template] = ACTIONS(3028),
    [anon_sym_operator] = ACTIONS(3028),
    [anon_sym_try] = ACTIONS(3028),
    [anon_sym_delete] = ACTIONS(3028),
    [anon_sym_throw] = ACTIONS(3028),
    [anon_sym_namespace] = ACTIONS(3028),
    [anon_sym_using] = ACTIONS(3028),
    [anon_sym_static_assert] = ACTIONS(3028),
    [anon_sym_concept] = ACTIONS(3028),
    [anon_sym_co_return] = ACTIONS(3028),
    [anon_sym_co_yield] = ACTIONS(3028),
    [anon_sym_R_DQUOTE] = ACTIONS(3030),
    [anon_sym_LR_DQUOTE] = ACTIONS(3030),
    [anon_sym_uR_DQUOTE] = ACTIONS(3030),
    [anon_sym_UR_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3030),
    [anon_sym_co_await] = ACTIONS(3028),
    [anon_sym_new] = ACTIONS(3028),
    [anon_sym_requires] = ACTIONS(3028),
    [sym_this] = ACTIONS(3028),
  },
  [636] = {
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_include_token1] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_BANG] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym___cdecl] = ACTIONS(3040),
    [anon_sym___clrcall] = ACTIONS(3040),
    [anon_sym___stdcall] = ACTIONS(3040),
    [anon_sym___fastcall] = ACTIONS(3040),
    [anon_sym___thiscall] = ACTIONS(3040),
    [anon_sym___vectorcall] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_RBRACE] = ACTIONS(3042),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_PROGMEM] = ACTIONS(3040),
    [aux_sym_primitive_type_token1] = ACTIONS(3040),
    [anon_sym_byte] = ACTIONS(3040),
    [anon_sym_word] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_else] = ACTIONS(3040),
    [anon_sym_switch] = ACTIONS(3040),
    [anon_sym_case] = ACTIONS(3040),
    [anon_sym_default] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_do] = ACTIONS(3040),
    [anon_sym_for] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_break] = ACTIONS(3040),
    [anon_sym_continue] = ACTIONS(3040),
    [anon_sym_goto] = ACTIONS(3040),
    [anon_sym___try] = ACTIONS(3040),
    [anon_sym___leave] = ACTIONS(3040),
    [anon_sym_not] = ACTIONS(3040),
    [anon_sym_compl] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_sizeof] = ACTIONS(3040),
    [anon_sym___alignof__] = ACTIONS(3040),
    [anon_sym___alignof] = ACTIONS(3040),
    [anon_sym__alignof] = ACTIONS(3040),
    [anon_sym_alignof] = ACTIONS(3040),
    [anon_sym__Alignof] = ACTIONS(3040),
    [anon_sym_offsetof] = ACTIONS(3040),
    [anon_sym__Generic] = ACTIONS(3040),
    [anon_sym_asm] = ACTIONS(3040),
    [anon_sym___asm__] = ACTIONS(3040),
    [aux_sym_number_literal_token1] = ACTIONS(3042),
    [aux_sym_number_literal_token2] = ACTIONS(3040),
    [anon_sym_L_SQUOTE] = ACTIONS(3042),
    [anon_sym_u_SQUOTE] = ACTIONS(3042),
    [anon_sym_U_SQUOTE] = ACTIONS(3042),
    [anon_sym_u8_SQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_L_DQUOTE] = ACTIONS(3042),
    [anon_sym_u_DQUOTE] = ACTIONS(3042),
    [anon_sym_U_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8_DQUOTE] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3042),
    [sym_true] = ACTIONS(3040),
    [sym_false] = ACTIONS(3040),
    [anon_sym_NULL] = ACTIONS(3040),
    [anon_sym_nullptr] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_delete] = ACTIONS(3040),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_namespace] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
    [anon_sym_concept] = ACTIONS(3040),
    [anon_sym_co_return] = ACTIONS(3040),
    [anon_sym_co_yield] = ACTIONS(3040),
    [anon_sym_R_DQUOTE] = ACTIONS(3042),
    [anon_sym_LR_DQUOTE] = ACTIONS(3042),
    [anon_sym_uR_DQUOTE] = ACTIONS(3042),
    [anon_sym_UR_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3042),
    [anon_sym_co_await] = ACTIONS(3040),
    [anon_sym_new] = ACTIONS(3040),
    [anon_sym_requires] = ACTIONS(3040),
    [sym_this] = ACTIONS(3040),
  },
  [637] = {
    [ts_builtin_sym_end] = ACTIONS(3170),
    [sym_identifier] = ACTIONS(3168),
    [aux_sym_preproc_include_token1] = ACTIONS(3168),
    [aux_sym_preproc_def_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3168),
    [sym_preproc_directive] = ACTIONS(3168),
    [anon_sym_LPAREN2] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym___extension__] = ACTIONS(3168),
    [anon_sym_typedef] = ACTIONS(3168),
    [anon_sym_extern] = ACTIONS(3168),
    [anon_sym___attribute__] = ACTIONS(3168),
    [anon_sym_COLON_COLON] = ACTIONS(3170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3170),
    [anon_sym___declspec] = ACTIONS(3168),
    [anon_sym___based] = ACTIONS(3168),
    [anon_sym___cdecl] = ACTIONS(3168),
    [anon_sym___clrcall] = ACTIONS(3168),
    [anon_sym___stdcall] = ACTIONS(3168),
    [anon_sym___fastcall] = ACTIONS(3168),
    [anon_sym___thiscall] = ACTIONS(3168),
    [anon_sym___vectorcall] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_signed] = ACTIONS(3168),
    [anon_sym_unsigned] = ACTIONS(3168),
    [anon_sym_long] = ACTIONS(3168),
    [anon_sym_short] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_register] = ACTIONS(3168),
    [anon_sym_inline] = ACTIONS(3168),
    [anon_sym___inline] = ACTIONS(3168),
    [anon_sym___inline__] = ACTIONS(3168),
    [anon_sym___forceinline] = ACTIONS(3168),
    [anon_sym_thread_local] = ACTIONS(3168),
    [anon_sym___thread] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_constexpr] = ACTIONS(3168),
    [anon_sym_volatile] = ACTIONS(3168),
    [anon_sym_restrict] = ACTIONS(3168),
    [anon_sym___restrict__] = ACTIONS(3168),
    [anon_sym__Atomic] = ACTIONS(3168),
    [anon_sym__Noreturn] = ACTIONS(3168),
    [anon_sym_noreturn] = ACTIONS(3168),
    [anon_sym_mutable] = ACTIONS(3168),
    [anon_sym_constinit] = ACTIONS(3168),
    [anon_sym_consteval] = ACTIONS(3168),
    [anon_sym_PROGMEM] = ACTIONS(3168),
    [aux_sym_primitive_type_token1] = ACTIONS(3168),
    [anon_sym_byte] = ACTIONS(3168),
    [anon_sym_word] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_struct] = ACTIONS(3168),
    [anon_sym_union] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_else] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_case] = ACTIONS(3168),
    [anon_sym_default] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_goto] = ACTIONS(3168),
    [anon_sym___try] = ACTIONS(3168),
    [anon_sym___leave] = ACTIONS(3168),
    [anon_sym_not] = ACTIONS(3168),
    [anon_sym_compl] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_sizeof] = ACTIONS(3168),
    [anon_sym___alignof__] = ACTIONS(3168),
    [anon_sym___alignof] = ACTIONS(3168),
    [anon_sym__alignof] = ACTIONS(3168),
    [anon_sym_alignof] = ACTIONS(3168),
    [anon_sym__Alignof] = ACTIONS(3168),
    [anon_sym_offsetof] = ACTIONS(3168),
    [anon_sym__Generic] = ACTIONS(3168),
    [anon_sym_asm] = ACTIONS(3168),
    [anon_sym___asm__] = ACTIONS(3168),
    [aux_sym_number_literal_token1] = ACTIONS(3170),
    [aux_sym_number_literal_token2] = ACTIONS(3168),
    [anon_sym_L_SQUOTE] = ACTIONS(3170),
    [anon_sym_u_SQUOTE] = ACTIONS(3170),
    [anon_sym_U_SQUOTE] = ACTIONS(3170),
    [anon_sym_u8_SQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [anon_sym_L_DQUOTE] = ACTIONS(3170),
    [anon_sym_u_DQUOTE] = ACTIONS(3170),
    [anon_sym_U_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8_DQUOTE] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [anon_sym_NULL] = ACTIONS(3168),
    [anon_sym_nullptr] = ACTIONS(3168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3168),
    [anon_sym_decltype] = ACTIONS(3168),
    [anon_sym_virtual] = ACTIONS(3168),
    [anon_sym_alignas] = ACTIONS(3168),
    [anon_sym_explicit] = ACTIONS(3168),
    [anon_sym_typename] = ACTIONS(3168),
    [anon_sym_template] = ACTIONS(3168),
    [anon_sym_operator] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_static_assert] = ACTIONS(3168),
    [anon_sym_concept] = ACTIONS(3168),
    [anon_sym_co_return] = ACTIONS(3168),
    [anon_sym_co_yield] = ACTIONS(3168),
    [anon_sym_R_DQUOTE] = ACTIONS(3170),
    [anon_sym_LR_DQUOTE] = ACTIONS(3170),
    [anon_sym_uR_DQUOTE] = ACTIONS(3170),
    [anon_sym_UR_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3170),
    [anon_sym_co_await] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_requires] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
  },
  [638] = {
    [ts_builtin_sym_end] = ACTIONS(3164),
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_include_token1] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym___cdecl] = ACTIONS(3162),
    [anon_sym___clrcall] = ACTIONS(3162),
    [anon_sym___stdcall] = ACTIONS(3162),
    [anon_sym___fastcall] = ACTIONS(3162),
    [anon_sym___thiscall] = ACTIONS(3162),
    [anon_sym___vectorcall] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_PROGMEM] = ACTIONS(3162),
    [aux_sym_primitive_type_token1] = ACTIONS(3162),
    [anon_sym_byte] = ACTIONS(3162),
    [anon_sym_word] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_else] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_goto] = ACTIONS(3162),
    [anon_sym___try] = ACTIONS(3162),
    [anon_sym___leave] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3162),
    [anon_sym_compl] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_sizeof] = ACTIONS(3162),
    [anon_sym___alignof__] = ACTIONS(3162),
    [anon_sym___alignof] = ACTIONS(3162),
    [anon_sym__alignof] = ACTIONS(3162),
    [anon_sym_alignof] = ACTIONS(3162),
    [anon_sym__Alignof] = ACTIONS(3162),
    [anon_sym_offsetof] = ACTIONS(3162),
    [anon_sym__Generic] = ACTIONS(3162),
    [anon_sym_asm] = ACTIONS(3162),
    [anon_sym___asm__] = ACTIONS(3162),
    [aux_sym_number_literal_token1] = ACTIONS(3164),
    [aux_sym_number_literal_token2] = ACTIONS(3162),
    [anon_sym_L_SQUOTE] = ACTIONS(3164),
    [anon_sym_u_SQUOTE] = ACTIONS(3164),
    [anon_sym_U_SQUOTE] = ACTIONS(3164),
    [anon_sym_u8_SQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_L_DQUOTE] = ACTIONS(3164),
    [anon_sym_u_DQUOTE] = ACTIONS(3164),
    [anon_sym_U_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8_DQUOTE] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [anon_sym_NULL] = ACTIONS(3162),
    [anon_sym_nullptr] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
    [anon_sym_concept] = ACTIONS(3162),
    [anon_sym_co_return] = ACTIONS(3162),
    [anon_sym_co_yield] = ACTIONS(3162),
    [anon_sym_R_DQUOTE] = ACTIONS(3164),
    [anon_sym_LR_DQUOTE] = ACTIONS(3164),
    [anon_sym_uR_DQUOTE] = ACTIONS(3164),
    [anon_sym_UR_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3164),
    [anon_sym_co_await] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_requires] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
  },
  [639] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4431),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3354),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3354),
    [sym_call_expression] = STATE(3354),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3354),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3354),
    [sym_initializer_list] = STATE(4523),
    [sym_number_literal] = STATE(4808),
    [sym_char_literal] = STATE(4808),
    [sym_concatenated_string] = STATE(4862),
    [sym_string_literal] = STATE(3451),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3452),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3354),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3354),
    [sym_identifier] = ACTIONS(2147),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2149),
    [anon_sym_COMMA] = ACTIONS(2149),
    [aux_sym_preproc_if_token2] = ACTIONS(2149),
    [aux_sym_preproc_else_token1] = ACTIONS(2149),
    [aux_sym_preproc_elif_token1] = ACTIONS(2147),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2149),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2149),
    [anon_sym_LPAREN2] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(3555),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2149),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2149),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_PIPE] = ACTIONS(2147),
    [anon_sym_CARET] = ACTIONS(2149),
    [anon_sym_AMP] = ACTIONS(2147),
    [anon_sym_EQ_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ] = ACTIONS(2149),
    [anon_sym_GT] = ACTIONS(2147),
    [anon_sym_GT_EQ] = ACTIONS(2149),
    [anon_sym_LT_EQ] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_LT_LT] = ACTIONS(2149),
    [anon_sym_GT_GT] = ACTIONS(2149),
    [anon_sym_COLON_COLON] = ACTIONS(3559),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(2149),
    [anon_sym_not] = ACTIONS(3555),
    [anon_sym_compl] = ACTIONS(3555),
    [anon_sym_LT_EQ_GT] = ACTIONS(2149),
    [anon_sym_or] = ACTIONS(2147),
    [anon_sym_and] = ACTIONS(2147),
    [anon_sym_bitor] = ACTIONS(2147),
    [anon_sym_xor] = ACTIONS(2147),
    [anon_sym_bitand] = ACTIONS(2147),
    [anon_sym_not_eq] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(2147),
    [anon_sym_DOT_STAR] = ACTIONS(2149),
    [anon_sym_DASH_GT] = ACTIONS(2149),
    [aux_sym_number_literal_token1] = ACTIONS(3565),
    [aux_sym_number_literal_token2] = ACTIONS(3567),
    [anon_sym_L_SQUOTE] = ACTIONS(3569),
    [anon_sym_u_SQUOTE] = ACTIONS(3569),
    [anon_sym_U_SQUOTE] = ACTIONS(3569),
    [anon_sym_u8_SQUOTE] = ACTIONS(3569),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3573),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
    [anon_sym_co_await] = ACTIONS(3577),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_requires] = ACTIONS(3581),
    [sym_this] = ACTIONS(219),
  },
  [640] = {
    [ts_builtin_sym_end] = ACTIONS(3050),
    [sym_identifier] = ACTIONS(3048),
    [aux_sym_preproc_include_token1] = ACTIONS(3048),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3048),
    [sym_preproc_directive] = ACTIONS(3048),
    [anon_sym_LPAREN2] = ACTIONS(3050),
    [anon_sym_BANG] = ACTIONS(3050),
    [anon_sym_TILDE] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3048),
    [anon_sym_STAR] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3050),
    [anon_sym_AMP] = ACTIONS(3048),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym___extension__] = ACTIONS(3048),
    [anon_sym_typedef] = ACTIONS(3048),
    [anon_sym_extern] = ACTIONS(3048),
    [anon_sym___attribute__] = ACTIONS(3048),
    [anon_sym_COLON_COLON] = ACTIONS(3050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3050),
    [anon_sym___declspec] = ACTIONS(3048),
    [anon_sym___based] = ACTIONS(3048),
    [anon_sym___cdecl] = ACTIONS(3048),
    [anon_sym___clrcall] = ACTIONS(3048),
    [anon_sym___stdcall] = ACTIONS(3048),
    [anon_sym___fastcall] = ACTIONS(3048),
    [anon_sym___thiscall] = ACTIONS(3048),
    [anon_sym___vectorcall] = ACTIONS(3048),
    [anon_sym_LBRACE] = ACTIONS(3050),
    [anon_sym_signed] = ACTIONS(3048),
    [anon_sym_unsigned] = ACTIONS(3048),
    [anon_sym_long] = ACTIONS(3048),
    [anon_sym_short] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(3048),
    [anon_sym_static] = ACTIONS(3048),
    [anon_sym_register] = ACTIONS(3048),
    [anon_sym_inline] = ACTIONS(3048),
    [anon_sym___inline] = ACTIONS(3048),
    [anon_sym___inline__] = ACTIONS(3048),
    [anon_sym___forceinline] = ACTIONS(3048),
    [anon_sym_thread_local] = ACTIONS(3048),
    [anon_sym___thread] = ACTIONS(3048),
    [anon_sym_const] = ACTIONS(3048),
    [anon_sym_constexpr] = ACTIONS(3048),
    [anon_sym_volatile] = ACTIONS(3048),
    [anon_sym_restrict] = ACTIONS(3048),
    [anon_sym___restrict__] = ACTIONS(3048),
    [anon_sym__Atomic] = ACTIONS(3048),
    [anon_sym__Noreturn] = ACTIONS(3048),
    [anon_sym_noreturn] = ACTIONS(3048),
    [anon_sym_mutable] = ACTIONS(3048),
    [anon_sym_constinit] = ACTIONS(3048),
    [anon_sym_consteval] = ACTIONS(3048),
    [anon_sym_PROGMEM] = ACTIONS(3048),
    [aux_sym_primitive_type_token1] = ACTIONS(3048),
    [anon_sym_byte] = ACTIONS(3048),
    [anon_sym_word] = ACTIONS(3048),
    [anon_sym_enum] = ACTIONS(3048),
    [anon_sym_class] = ACTIONS(3048),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3048),
    [anon_sym_if] = ACTIONS(3048),
    [anon_sym_else] = ACTIONS(3048),
    [anon_sym_switch] = ACTIONS(3048),
    [anon_sym_case] = ACTIONS(3048),
    [anon_sym_default] = ACTIONS(3048),
    [anon_sym_while] = ACTIONS(3048),
    [anon_sym_do] = ACTIONS(3048),
    [anon_sym_for] = ACTIONS(3048),
    [anon_sym_return] = ACTIONS(3048),
    [anon_sym_break] = ACTIONS(3048),
    [anon_sym_continue] = ACTIONS(3048),
    [anon_sym_goto] = ACTIONS(3048),
    [anon_sym___try] = ACTIONS(3048),
    [anon_sym___leave] = ACTIONS(3048),
    [anon_sym_not] = ACTIONS(3048),
    [anon_sym_compl] = ACTIONS(3048),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_sizeof] = ACTIONS(3048),
    [anon_sym___alignof__] = ACTIONS(3048),
    [anon_sym___alignof] = ACTIONS(3048),
    [anon_sym__alignof] = ACTIONS(3048),
    [anon_sym_alignof] = ACTIONS(3048),
    [anon_sym__Alignof] = ACTIONS(3048),
    [anon_sym_offsetof] = ACTIONS(3048),
    [anon_sym__Generic] = ACTIONS(3048),
    [anon_sym_asm] = ACTIONS(3048),
    [anon_sym___asm__] = ACTIONS(3048),
    [aux_sym_number_literal_token1] = ACTIONS(3050),
    [aux_sym_number_literal_token2] = ACTIONS(3048),
    [anon_sym_L_SQUOTE] = ACTIONS(3050),
    [anon_sym_u_SQUOTE] = ACTIONS(3050),
    [anon_sym_U_SQUOTE] = ACTIONS(3050),
    [anon_sym_u8_SQUOTE] = ACTIONS(3050),
    [anon_sym_SQUOTE] = ACTIONS(3050),
    [anon_sym_L_DQUOTE] = ACTIONS(3050),
    [anon_sym_u_DQUOTE] = ACTIONS(3050),
    [anon_sym_U_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8_DQUOTE] = ACTIONS(3050),
    [anon_sym_DQUOTE] = ACTIONS(3050),
    [sym_true] = ACTIONS(3048),
    [sym_false] = ACTIONS(3048),
    [anon_sym_NULL] = ACTIONS(3048),
    [anon_sym_nullptr] = ACTIONS(3048),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3048),
    [anon_sym_decltype] = ACTIONS(3048),
    [anon_sym_virtual] = ACTIONS(3048),
    [anon_sym_alignas] = ACTIONS(3048),
    [anon_sym_explicit] = ACTIONS(3048),
    [anon_sym_typename] = ACTIONS(3048),
    [anon_sym_template] = ACTIONS(3048),
    [anon_sym_operator] = ACTIONS(3048),
    [anon_sym_try] = ACTIONS(3048),
    [anon_sym_delete] = ACTIONS(3048),
    [anon_sym_throw] = ACTIONS(3048),
    [anon_sym_namespace] = ACTIONS(3048),
    [anon_sym_using] = ACTIONS(3048),
    [anon_sym_static_assert] = ACTIONS(3048),
    [anon_sym_concept] = ACTIONS(3048),
    [anon_sym_co_return] = ACTIONS(3048),
    [anon_sym_co_yield] = ACTIONS(3048),
    [anon_sym_R_DQUOTE] = ACTIONS(3050),
    [anon_sym_LR_DQUOTE] = ACTIONS(3050),
    [anon_sym_uR_DQUOTE] = ACTIONS(3050),
    [anon_sym_UR_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3050),
    [anon_sym_co_await] = ACTIONS(3048),
    [anon_sym_new] = ACTIONS(3048),
    [anon_sym_requires] = ACTIONS(3048),
    [sym_this] = ACTIONS(3048),
  },
  [641] = {
    [sym_identifier] = ACTIONS(2948),
    [aux_sym_preproc_include_token1] = ACTIONS(2948),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token2] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2948),
    [sym_preproc_directive] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(2950),
    [anon_sym_BANG] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_DASH] = ACTIONS(2948),
    [anon_sym_PLUS] = ACTIONS(2948),
    [anon_sym_STAR] = ACTIONS(2950),
    [anon_sym_AMP_AMP] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym___extension__] = ACTIONS(2948),
    [anon_sym_typedef] = ACTIONS(2948),
    [anon_sym_extern] = ACTIONS(2948),
    [anon_sym___attribute__] = ACTIONS(2948),
    [anon_sym_COLON_COLON] = ACTIONS(2950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2950),
    [anon_sym___declspec] = ACTIONS(2948),
    [anon_sym___based] = ACTIONS(2948),
    [anon_sym___cdecl] = ACTIONS(2948),
    [anon_sym___clrcall] = ACTIONS(2948),
    [anon_sym___stdcall] = ACTIONS(2948),
    [anon_sym___fastcall] = ACTIONS(2948),
    [anon_sym___thiscall] = ACTIONS(2948),
    [anon_sym___vectorcall] = ACTIONS(2948),
    [anon_sym_LBRACE] = ACTIONS(2950),
    [anon_sym_signed] = ACTIONS(2948),
    [anon_sym_unsigned] = ACTIONS(2948),
    [anon_sym_long] = ACTIONS(2948),
    [anon_sym_short] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_register] = ACTIONS(2948),
    [anon_sym_inline] = ACTIONS(2948),
    [anon_sym___inline] = ACTIONS(2948),
    [anon_sym___inline__] = ACTIONS(2948),
    [anon_sym___forceinline] = ACTIONS(2948),
    [anon_sym_thread_local] = ACTIONS(2948),
    [anon_sym___thread] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_constexpr] = ACTIONS(2948),
    [anon_sym_volatile] = ACTIONS(2948),
    [anon_sym_restrict] = ACTIONS(2948),
    [anon_sym___restrict__] = ACTIONS(2948),
    [anon_sym__Atomic] = ACTIONS(2948),
    [anon_sym__Noreturn] = ACTIONS(2948),
    [anon_sym_noreturn] = ACTIONS(2948),
    [anon_sym_mutable] = ACTIONS(2948),
    [anon_sym_constinit] = ACTIONS(2948),
    [anon_sym_consteval] = ACTIONS(2948),
    [anon_sym_PROGMEM] = ACTIONS(2948),
    [aux_sym_primitive_type_token1] = ACTIONS(2948),
    [anon_sym_byte] = ACTIONS(2948),
    [anon_sym_word] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_struct] = ACTIONS(2948),
    [anon_sym_union] = ACTIONS(2948),
    [anon_sym_if] = ACTIONS(2948),
    [anon_sym_else] = ACTIONS(2948),
    [anon_sym_switch] = ACTIONS(2948),
    [anon_sym_case] = ACTIONS(2948),
    [anon_sym_default] = ACTIONS(2948),
    [anon_sym_while] = ACTIONS(2948),
    [anon_sym_do] = ACTIONS(2948),
    [anon_sym_for] = ACTIONS(2948),
    [anon_sym_return] = ACTIONS(2948),
    [anon_sym_break] = ACTIONS(2948),
    [anon_sym_continue] = ACTIONS(2948),
    [anon_sym_goto] = ACTIONS(2948),
    [anon_sym___try] = ACTIONS(2948),
    [anon_sym___leave] = ACTIONS(2948),
    [anon_sym_not] = ACTIONS(2948),
    [anon_sym_compl] = ACTIONS(2948),
    [anon_sym_DASH_DASH] = ACTIONS(2950),
    [anon_sym_PLUS_PLUS] = ACTIONS(2950),
    [anon_sym_sizeof] = ACTIONS(2948),
    [anon_sym___alignof__] = ACTIONS(2948),
    [anon_sym___alignof] = ACTIONS(2948),
    [anon_sym__alignof] = ACTIONS(2948),
    [anon_sym_alignof] = ACTIONS(2948),
    [anon_sym__Alignof] = ACTIONS(2948),
    [anon_sym_offsetof] = ACTIONS(2948),
    [anon_sym__Generic] = ACTIONS(2948),
    [anon_sym_asm] = ACTIONS(2948),
    [anon_sym___asm__] = ACTIONS(2948),
    [aux_sym_number_literal_token1] = ACTIONS(2950),
    [aux_sym_number_literal_token2] = ACTIONS(2948),
    [anon_sym_L_SQUOTE] = ACTIONS(2950),
    [anon_sym_u_SQUOTE] = ACTIONS(2950),
    [anon_sym_U_SQUOTE] = ACTIONS(2950),
    [anon_sym_u8_SQUOTE] = ACTIONS(2950),
    [anon_sym_SQUOTE] = ACTIONS(2950),
    [anon_sym_L_DQUOTE] = ACTIONS(2950),
    [anon_sym_u_DQUOTE] = ACTIONS(2950),
    [anon_sym_U_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8_DQUOTE] = ACTIONS(2950),
    [anon_sym_DQUOTE] = ACTIONS(2950),
    [sym_true] = ACTIONS(2948),
    [sym_false] = ACTIONS(2948),
    [anon_sym_NULL] = ACTIONS(2948),
    [anon_sym_nullptr] = ACTIONS(2948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2948),
    [anon_sym_decltype] = ACTIONS(2948),
    [anon_sym_virtual] = ACTIONS(2948),
    [anon_sym_alignas] = ACTIONS(2948),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2948),
    [anon_sym_template] = ACTIONS(2948),
    [anon_sym_operator] = ACTIONS(2948),
    [anon_sym_try] = ACTIONS(2948),
    [anon_sym_delete] = ACTIONS(2948),
    [anon_sym_throw] = ACTIONS(2948),
    [anon_sym_namespace] = ACTIONS(2948),
    [anon_sym_using] = ACTIONS(2948),
    [anon_sym_static_assert] = ACTIONS(2948),
    [anon_sym_concept] = ACTIONS(2948),
    [anon_sym_co_return] = ACTIONS(2948),
    [anon_sym_co_yield] = ACTIONS(2948),
    [anon_sym_R_DQUOTE] = ACTIONS(2950),
    [anon_sym_LR_DQUOTE] = ACTIONS(2950),
    [anon_sym_uR_DQUOTE] = ACTIONS(2950),
    [anon_sym_UR_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2950),
    [anon_sym_co_await] = ACTIONS(2948),
    [anon_sym_new] = ACTIONS(2948),
    [anon_sym_requires] = ACTIONS(2948),
    [sym_this] = ACTIONS(2948),
  },
  [642] = {
    [ts_builtin_sym_end] = ACTIONS(3058),
    [sym_identifier] = ACTIONS(3056),
    [aux_sym_preproc_include_token1] = ACTIONS(3056),
    [aux_sym_preproc_def_token1] = ACTIONS(3056),
    [aux_sym_preproc_if_token1] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3056),
    [sym_preproc_directive] = ACTIONS(3056),
    [anon_sym_LPAREN2] = ACTIONS(3058),
    [anon_sym_BANG] = ACTIONS(3058),
    [anon_sym_TILDE] = ACTIONS(3058),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym___extension__] = ACTIONS(3056),
    [anon_sym_typedef] = ACTIONS(3056),
    [anon_sym_extern] = ACTIONS(3056),
    [anon_sym___attribute__] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3058),
    [anon_sym___declspec] = ACTIONS(3056),
    [anon_sym___based] = ACTIONS(3056),
    [anon_sym___cdecl] = ACTIONS(3056),
    [anon_sym___clrcall] = ACTIONS(3056),
    [anon_sym___stdcall] = ACTIONS(3056),
    [anon_sym___fastcall] = ACTIONS(3056),
    [anon_sym___thiscall] = ACTIONS(3056),
    [anon_sym___vectorcall] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_signed] = ACTIONS(3056),
    [anon_sym_unsigned] = ACTIONS(3056),
    [anon_sym_long] = ACTIONS(3056),
    [anon_sym_short] = ACTIONS(3056),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [anon_sym_static] = ACTIONS(3056),
    [anon_sym_register] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym___inline] = ACTIONS(3056),
    [anon_sym___inline__] = ACTIONS(3056),
    [anon_sym___forceinline] = ACTIONS(3056),
    [anon_sym_thread_local] = ACTIONS(3056),
    [anon_sym___thread] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_constexpr] = ACTIONS(3056),
    [anon_sym_volatile] = ACTIONS(3056),
    [anon_sym_restrict] = ACTIONS(3056),
    [anon_sym___restrict__] = ACTIONS(3056),
    [anon_sym__Atomic] = ACTIONS(3056),
    [anon_sym__Noreturn] = ACTIONS(3056),
    [anon_sym_noreturn] = ACTIONS(3056),
    [anon_sym_mutable] = ACTIONS(3056),
    [anon_sym_constinit] = ACTIONS(3056),
    [anon_sym_consteval] = ACTIONS(3056),
    [anon_sym_PROGMEM] = ACTIONS(3056),
    [aux_sym_primitive_type_token1] = ACTIONS(3056),
    [anon_sym_byte] = ACTIONS(3056),
    [anon_sym_word] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_class] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3056),
    [anon_sym_union] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(3056),
    [anon_sym_else] = ACTIONS(3056),
    [anon_sym_switch] = ACTIONS(3056),
    [anon_sym_case] = ACTIONS(3056),
    [anon_sym_default] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_do] = ACTIONS(3056),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_return] = ACTIONS(3056),
    [anon_sym_break] = ACTIONS(3056),
    [anon_sym_continue] = ACTIONS(3056),
    [anon_sym_goto] = ACTIONS(3056),
    [anon_sym___try] = ACTIONS(3056),
    [anon_sym___leave] = ACTIONS(3056),
    [anon_sym_not] = ACTIONS(3056),
    [anon_sym_compl] = ACTIONS(3056),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_sizeof] = ACTIONS(3056),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3056),
    [anon_sym__Generic] = ACTIONS(3056),
    [anon_sym_asm] = ACTIONS(3056),
    [anon_sym___asm__] = ACTIONS(3056),
    [aux_sym_number_literal_token1] = ACTIONS(3058),
    [aux_sym_number_literal_token2] = ACTIONS(3056),
    [anon_sym_L_SQUOTE] = ACTIONS(3058),
    [anon_sym_u_SQUOTE] = ACTIONS(3058),
    [anon_sym_U_SQUOTE] = ACTIONS(3058),
    [anon_sym_u8_SQUOTE] = ACTIONS(3058),
    [anon_sym_SQUOTE] = ACTIONS(3058),
    [anon_sym_L_DQUOTE] = ACTIONS(3058),
    [anon_sym_u_DQUOTE] = ACTIONS(3058),
    [anon_sym_U_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8_DQUOTE] = ACTIONS(3058),
    [anon_sym_DQUOTE] = ACTIONS(3058),
    [sym_true] = ACTIONS(3056),
    [sym_false] = ACTIONS(3056),
    [anon_sym_NULL] = ACTIONS(3056),
    [anon_sym_nullptr] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3056),
    [anon_sym_decltype] = ACTIONS(3056),
    [anon_sym_virtual] = ACTIONS(3056),
    [anon_sym_alignas] = ACTIONS(3056),
    [anon_sym_explicit] = ACTIONS(3056),
    [anon_sym_typename] = ACTIONS(3056),
    [anon_sym_template] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_try] = ACTIONS(3056),
    [anon_sym_delete] = ACTIONS(3056),
    [anon_sym_throw] = ACTIONS(3056),
    [anon_sym_namespace] = ACTIONS(3056),
    [anon_sym_using] = ACTIONS(3056),
    [anon_sym_static_assert] = ACTIONS(3056),
    [anon_sym_concept] = ACTIONS(3056),
    [anon_sym_co_return] = ACTIONS(3056),
    [anon_sym_co_yield] = ACTIONS(3056),
    [anon_sym_R_DQUOTE] = ACTIONS(3058),
    [anon_sym_LR_DQUOTE] = ACTIONS(3058),
    [anon_sym_uR_DQUOTE] = ACTIONS(3058),
    [anon_sym_UR_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3058),
    [anon_sym_co_await] = ACTIONS(3056),
    [anon_sym_new] = ACTIONS(3056),
    [anon_sym_requires] = ACTIONS(3056),
    [sym_this] = ACTIONS(3056),
  },
  [643] = {
    [ts_builtin_sym_end] = ACTIONS(3062),
    [sym_identifier] = ACTIONS(3060),
    [aux_sym_preproc_include_token1] = ACTIONS(3060),
    [aux_sym_preproc_def_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3060),
    [sym_preproc_directive] = ACTIONS(3060),
    [anon_sym_LPAREN2] = ACTIONS(3062),
    [anon_sym_BANG] = ACTIONS(3062),
    [anon_sym_TILDE] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym___extension__] = ACTIONS(3060),
    [anon_sym_typedef] = ACTIONS(3060),
    [anon_sym_extern] = ACTIONS(3060),
    [anon_sym___attribute__] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3062),
    [anon_sym___declspec] = ACTIONS(3060),
    [anon_sym___based] = ACTIONS(3060),
    [anon_sym___cdecl] = ACTIONS(3060),
    [anon_sym___clrcall] = ACTIONS(3060),
    [anon_sym___stdcall] = ACTIONS(3060),
    [anon_sym___fastcall] = ACTIONS(3060),
    [anon_sym___thiscall] = ACTIONS(3060),
    [anon_sym___vectorcall] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_signed] = ACTIONS(3060),
    [anon_sym_unsigned] = ACTIONS(3060),
    [anon_sym_long] = ACTIONS(3060),
    [anon_sym_short] = ACTIONS(3060),
    [anon_sym_LBRACK] = ACTIONS(3060),
    [anon_sym_static] = ACTIONS(3060),
    [anon_sym_register] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym___inline] = ACTIONS(3060),
    [anon_sym___inline__] = ACTIONS(3060),
    [anon_sym___forceinline] = ACTIONS(3060),
    [anon_sym_thread_local] = ACTIONS(3060),
    [anon_sym___thread] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_constexpr] = ACTIONS(3060),
    [anon_sym_volatile] = ACTIONS(3060),
    [anon_sym_restrict] = ACTIONS(3060),
    [anon_sym___restrict__] = ACTIONS(3060),
    [anon_sym__Atomic] = ACTIONS(3060),
    [anon_sym__Noreturn] = ACTIONS(3060),
    [anon_sym_noreturn] = ACTIONS(3060),
    [anon_sym_mutable] = ACTIONS(3060),
    [anon_sym_constinit] = ACTIONS(3060),
    [anon_sym_consteval] = ACTIONS(3060),
    [anon_sym_PROGMEM] = ACTIONS(3060),
    [aux_sym_primitive_type_token1] = ACTIONS(3060),
    [anon_sym_byte] = ACTIONS(3060),
    [anon_sym_word] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_class] = ACTIONS(3060),
    [anon_sym_struct] = ACTIONS(3060),
    [anon_sym_union] = ACTIONS(3060),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_else] = ACTIONS(3060),
    [anon_sym_switch] = ACTIONS(3060),
    [anon_sym_case] = ACTIONS(3060),
    [anon_sym_default] = ACTIONS(3060),
    [anon_sym_while] = ACTIONS(3060),
    [anon_sym_do] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(3060),
    [anon_sym_return] = ACTIONS(3060),
    [anon_sym_break] = ACTIONS(3060),
    [anon_sym_continue] = ACTIONS(3060),
    [anon_sym_goto] = ACTIONS(3060),
    [anon_sym___try] = ACTIONS(3060),
    [anon_sym___leave] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(3060),
    [anon_sym_compl] = ACTIONS(3060),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_sizeof] = ACTIONS(3060),
    [anon_sym___alignof__] = ACTIONS(3060),
    [anon_sym___alignof] = ACTIONS(3060),
    [anon_sym__alignof] = ACTIONS(3060),
    [anon_sym_alignof] = ACTIONS(3060),
    [anon_sym__Alignof] = ACTIONS(3060),
    [anon_sym_offsetof] = ACTIONS(3060),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3060),
    [anon_sym___asm__] = ACTIONS(3060),
    [aux_sym_number_literal_token1] = ACTIONS(3062),
    [aux_sym_number_literal_token2] = ACTIONS(3060),
    [anon_sym_L_SQUOTE] = ACTIONS(3062),
    [anon_sym_u_SQUOTE] = ACTIONS(3062),
    [anon_sym_U_SQUOTE] = ACTIONS(3062),
    [anon_sym_u8_SQUOTE] = ACTIONS(3062),
    [anon_sym_SQUOTE] = ACTIONS(3062),
    [anon_sym_L_DQUOTE] = ACTIONS(3062),
    [anon_sym_u_DQUOTE] = ACTIONS(3062),
    [anon_sym_U_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8_DQUOTE] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3062),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [anon_sym_NULL] = ACTIONS(3060),
    [anon_sym_nullptr] = ACTIONS(3060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3060),
    [anon_sym_decltype] = ACTIONS(3060),
    [anon_sym_virtual] = ACTIONS(3060),
    [anon_sym_alignas] = ACTIONS(3060),
    [anon_sym_explicit] = ACTIONS(3060),
    [anon_sym_typename] = ACTIONS(3060),
    [anon_sym_template] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_try] = ACTIONS(3060),
    [anon_sym_delete] = ACTIONS(3060),
    [anon_sym_throw] = ACTIONS(3060),
    [anon_sym_namespace] = ACTIONS(3060),
    [anon_sym_using] = ACTIONS(3060),
    [anon_sym_static_assert] = ACTIONS(3060),
    [anon_sym_concept] = ACTIONS(3060),
    [anon_sym_co_return] = ACTIONS(3060),
    [anon_sym_co_yield] = ACTIONS(3060),
    [anon_sym_R_DQUOTE] = ACTIONS(3062),
    [anon_sym_LR_DQUOTE] = ACTIONS(3062),
    [anon_sym_uR_DQUOTE] = ACTIONS(3062),
    [anon_sym_UR_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3062),
    [anon_sym_co_await] = ACTIONS(3060),
    [anon_sym_new] = ACTIONS(3060),
    [anon_sym_requires] = ACTIONS(3060),
    [sym_this] = ACTIONS(3060),
  },
  [644] = {
    [sym_identifier] = ACTIONS(3072),
    [aux_sym_preproc_include_token1] = ACTIONS(3072),
    [aux_sym_preproc_def_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3072),
    [sym_preproc_directive] = ACTIONS(3072),
    [anon_sym_LPAREN2] = ACTIONS(3074),
    [anon_sym_BANG] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3074),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym___extension__] = ACTIONS(3072),
    [anon_sym_typedef] = ACTIONS(3072),
    [anon_sym_extern] = ACTIONS(3072),
    [anon_sym___attribute__] = ACTIONS(3072),
    [anon_sym_COLON_COLON] = ACTIONS(3074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3074),
    [anon_sym___declspec] = ACTIONS(3072),
    [anon_sym___based] = ACTIONS(3072),
    [anon_sym___cdecl] = ACTIONS(3072),
    [anon_sym___clrcall] = ACTIONS(3072),
    [anon_sym___stdcall] = ACTIONS(3072),
    [anon_sym___fastcall] = ACTIONS(3072),
    [anon_sym___thiscall] = ACTIONS(3072),
    [anon_sym___vectorcall] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3074),
    [anon_sym_RBRACE] = ACTIONS(3074),
    [anon_sym_signed] = ACTIONS(3072),
    [anon_sym_unsigned] = ACTIONS(3072),
    [anon_sym_long] = ACTIONS(3072),
    [anon_sym_short] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_register] = ACTIONS(3072),
    [anon_sym_inline] = ACTIONS(3072),
    [anon_sym___inline] = ACTIONS(3072),
    [anon_sym___inline__] = ACTIONS(3072),
    [anon_sym___forceinline] = ACTIONS(3072),
    [anon_sym_thread_local] = ACTIONS(3072),
    [anon_sym___thread] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_constexpr] = ACTIONS(3072),
    [anon_sym_volatile] = ACTIONS(3072),
    [anon_sym_restrict] = ACTIONS(3072),
    [anon_sym___restrict__] = ACTIONS(3072),
    [anon_sym__Atomic] = ACTIONS(3072),
    [anon_sym__Noreturn] = ACTIONS(3072),
    [anon_sym_noreturn] = ACTIONS(3072),
    [anon_sym_mutable] = ACTIONS(3072),
    [anon_sym_constinit] = ACTIONS(3072),
    [anon_sym_consteval] = ACTIONS(3072),
    [anon_sym_PROGMEM] = ACTIONS(3072),
    [aux_sym_primitive_type_token1] = ACTIONS(3072),
    [anon_sym_byte] = ACTIONS(3072),
    [anon_sym_word] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_struct] = ACTIONS(3072),
    [anon_sym_union] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_else] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_default] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_goto] = ACTIONS(3072),
    [anon_sym___try] = ACTIONS(3072),
    [anon_sym___leave] = ACTIONS(3072),
    [anon_sym_not] = ACTIONS(3072),
    [anon_sym_compl] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_sizeof] = ACTIONS(3072),
    [anon_sym___alignof__] = ACTIONS(3072),
    [anon_sym___alignof] = ACTIONS(3072),
    [anon_sym__alignof] = ACTIONS(3072),
    [anon_sym_alignof] = ACTIONS(3072),
    [anon_sym__Alignof] = ACTIONS(3072),
    [anon_sym_offsetof] = ACTIONS(3072),
    [anon_sym__Generic] = ACTIONS(3072),
    [anon_sym_asm] = ACTIONS(3072),
    [anon_sym___asm__] = ACTIONS(3072),
    [aux_sym_number_literal_token1] = ACTIONS(3074),
    [aux_sym_number_literal_token2] = ACTIONS(3072),
    [anon_sym_L_SQUOTE] = ACTIONS(3074),
    [anon_sym_u_SQUOTE] = ACTIONS(3074),
    [anon_sym_U_SQUOTE] = ACTIONS(3074),
    [anon_sym_u8_SQUOTE] = ACTIONS(3074),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [anon_sym_L_DQUOTE] = ACTIONS(3074),
    [anon_sym_u_DQUOTE] = ACTIONS(3074),
    [anon_sym_U_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8_DQUOTE] = ACTIONS(3074),
    [anon_sym_DQUOTE] = ACTIONS(3074),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3072),
    [anon_sym_decltype] = ACTIONS(3072),
    [anon_sym_virtual] = ACTIONS(3072),
    [anon_sym_alignas] = ACTIONS(3072),
    [anon_sym_explicit] = ACTIONS(3072),
    [anon_sym_typename] = ACTIONS(3072),
    [anon_sym_template] = ACTIONS(3072),
    [anon_sym_operator] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_static_assert] = ACTIONS(3072),
    [anon_sym_concept] = ACTIONS(3072),
    [anon_sym_co_return] = ACTIONS(3072),
    [anon_sym_co_yield] = ACTIONS(3072),
    [anon_sym_R_DQUOTE] = ACTIONS(3074),
    [anon_sym_LR_DQUOTE] = ACTIONS(3074),
    [anon_sym_uR_DQUOTE] = ACTIONS(3074),
    [anon_sym_UR_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3074),
    [anon_sym_co_await] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_requires] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
  },
  [645] = {
    [sym_identifier] = ACTIONS(3048),
    [aux_sym_preproc_include_token1] = ACTIONS(3048),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3048),
    [sym_preproc_directive] = ACTIONS(3048),
    [anon_sym_LPAREN2] = ACTIONS(3050),
    [anon_sym_BANG] = ACTIONS(3050),
    [anon_sym_TILDE] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3048),
    [anon_sym_STAR] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3050),
    [anon_sym_AMP] = ACTIONS(3048),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym___extension__] = ACTIONS(3048),
    [anon_sym_typedef] = ACTIONS(3048),
    [anon_sym_extern] = ACTIONS(3048),
    [anon_sym___attribute__] = ACTIONS(3048),
    [anon_sym_COLON_COLON] = ACTIONS(3050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3050),
    [anon_sym___declspec] = ACTIONS(3048),
    [anon_sym___based] = ACTIONS(3048),
    [anon_sym___cdecl] = ACTIONS(3048),
    [anon_sym___clrcall] = ACTIONS(3048),
    [anon_sym___stdcall] = ACTIONS(3048),
    [anon_sym___fastcall] = ACTIONS(3048),
    [anon_sym___thiscall] = ACTIONS(3048),
    [anon_sym___vectorcall] = ACTIONS(3048),
    [anon_sym_LBRACE] = ACTIONS(3050),
    [anon_sym_RBRACE] = ACTIONS(3050),
    [anon_sym_signed] = ACTIONS(3048),
    [anon_sym_unsigned] = ACTIONS(3048),
    [anon_sym_long] = ACTIONS(3048),
    [anon_sym_short] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(3048),
    [anon_sym_static] = ACTIONS(3048),
    [anon_sym_register] = ACTIONS(3048),
    [anon_sym_inline] = ACTIONS(3048),
    [anon_sym___inline] = ACTIONS(3048),
    [anon_sym___inline__] = ACTIONS(3048),
    [anon_sym___forceinline] = ACTIONS(3048),
    [anon_sym_thread_local] = ACTIONS(3048),
    [anon_sym___thread] = ACTIONS(3048),
    [anon_sym_const] = ACTIONS(3048),
    [anon_sym_constexpr] = ACTIONS(3048),
    [anon_sym_volatile] = ACTIONS(3048),
    [anon_sym_restrict] = ACTIONS(3048),
    [anon_sym___restrict__] = ACTIONS(3048),
    [anon_sym__Atomic] = ACTIONS(3048),
    [anon_sym__Noreturn] = ACTIONS(3048),
    [anon_sym_noreturn] = ACTIONS(3048),
    [anon_sym_mutable] = ACTIONS(3048),
    [anon_sym_constinit] = ACTIONS(3048),
    [anon_sym_consteval] = ACTIONS(3048),
    [anon_sym_PROGMEM] = ACTIONS(3048),
    [aux_sym_primitive_type_token1] = ACTIONS(3048),
    [anon_sym_byte] = ACTIONS(3048),
    [anon_sym_word] = ACTIONS(3048),
    [anon_sym_enum] = ACTIONS(3048),
    [anon_sym_class] = ACTIONS(3048),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3048),
    [anon_sym_if] = ACTIONS(3048),
    [anon_sym_else] = ACTIONS(3048),
    [anon_sym_switch] = ACTIONS(3048),
    [anon_sym_case] = ACTIONS(3048),
    [anon_sym_default] = ACTIONS(3048),
    [anon_sym_while] = ACTIONS(3048),
    [anon_sym_do] = ACTIONS(3048),
    [anon_sym_for] = ACTIONS(3048),
    [anon_sym_return] = ACTIONS(3048),
    [anon_sym_break] = ACTIONS(3048),
    [anon_sym_continue] = ACTIONS(3048),
    [anon_sym_goto] = ACTIONS(3048),
    [anon_sym___try] = ACTIONS(3048),
    [anon_sym___leave] = ACTIONS(3048),
    [anon_sym_not] = ACTIONS(3048),
    [anon_sym_compl] = ACTIONS(3048),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_sizeof] = ACTIONS(3048),
    [anon_sym___alignof__] = ACTIONS(3048),
    [anon_sym___alignof] = ACTIONS(3048),
    [anon_sym__alignof] = ACTIONS(3048),
    [anon_sym_alignof] = ACTIONS(3048),
    [anon_sym__Alignof] = ACTIONS(3048),
    [anon_sym_offsetof] = ACTIONS(3048),
    [anon_sym__Generic] = ACTIONS(3048),
    [anon_sym_asm] = ACTIONS(3048),
    [anon_sym___asm__] = ACTIONS(3048),
    [aux_sym_number_literal_token1] = ACTIONS(3050),
    [aux_sym_number_literal_token2] = ACTIONS(3048),
    [anon_sym_L_SQUOTE] = ACTIONS(3050),
    [anon_sym_u_SQUOTE] = ACTIONS(3050),
    [anon_sym_U_SQUOTE] = ACTIONS(3050),
    [anon_sym_u8_SQUOTE] = ACTIONS(3050),
    [anon_sym_SQUOTE] = ACTIONS(3050),
    [anon_sym_L_DQUOTE] = ACTIONS(3050),
    [anon_sym_u_DQUOTE] = ACTIONS(3050),
    [anon_sym_U_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8_DQUOTE] = ACTIONS(3050),
    [anon_sym_DQUOTE] = ACTIONS(3050),
    [sym_true] = ACTIONS(3048),
    [sym_false] = ACTIONS(3048),
    [anon_sym_NULL] = ACTIONS(3048),
    [anon_sym_nullptr] = ACTIONS(3048),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3048),
    [anon_sym_decltype] = ACTIONS(3048),
    [anon_sym_virtual] = ACTIONS(3048),
    [anon_sym_alignas] = ACTIONS(3048),
    [anon_sym_explicit] = ACTIONS(3048),
    [anon_sym_typename] = ACTIONS(3048),
    [anon_sym_template] = ACTIONS(3048),
    [anon_sym_operator] = ACTIONS(3048),
    [anon_sym_try] = ACTIONS(3048),
    [anon_sym_delete] = ACTIONS(3048),
    [anon_sym_throw] = ACTIONS(3048),
    [anon_sym_namespace] = ACTIONS(3048),
    [anon_sym_using] = ACTIONS(3048),
    [anon_sym_static_assert] = ACTIONS(3048),
    [anon_sym_concept] = ACTIONS(3048),
    [anon_sym_co_return] = ACTIONS(3048),
    [anon_sym_co_yield] = ACTIONS(3048),
    [anon_sym_R_DQUOTE] = ACTIONS(3050),
    [anon_sym_LR_DQUOTE] = ACTIONS(3050),
    [anon_sym_uR_DQUOTE] = ACTIONS(3050),
    [anon_sym_UR_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3050),
    [anon_sym_co_await] = ACTIONS(3048),
    [anon_sym_new] = ACTIONS(3048),
    [anon_sym_requires] = ACTIONS(3048),
    [sym_this] = ACTIONS(3048),
  },
  [646] = {
    [sym_identifier] = ACTIONS(3056),
    [aux_sym_preproc_include_token1] = ACTIONS(3056),
    [aux_sym_preproc_def_token1] = ACTIONS(3056),
    [aux_sym_preproc_if_token1] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3056),
    [sym_preproc_directive] = ACTIONS(3056),
    [anon_sym_LPAREN2] = ACTIONS(3058),
    [anon_sym_BANG] = ACTIONS(3058),
    [anon_sym_TILDE] = ACTIONS(3058),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym___extension__] = ACTIONS(3056),
    [anon_sym_typedef] = ACTIONS(3056),
    [anon_sym_extern] = ACTIONS(3056),
    [anon_sym___attribute__] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3058),
    [anon_sym___declspec] = ACTIONS(3056),
    [anon_sym___based] = ACTIONS(3056),
    [anon_sym___cdecl] = ACTIONS(3056),
    [anon_sym___clrcall] = ACTIONS(3056),
    [anon_sym___stdcall] = ACTIONS(3056),
    [anon_sym___fastcall] = ACTIONS(3056),
    [anon_sym___thiscall] = ACTIONS(3056),
    [anon_sym___vectorcall] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_RBRACE] = ACTIONS(3058),
    [anon_sym_signed] = ACTIONS(3056),
    [anon_sym_unsigned] = ACTIONS(3056),
    [anon_sym_long] = ACTIONS(3056),
    [anon_sym_short] = ACTIONS(3056),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [anon_sym_static] = ACTIONS(3056),
    [anon_sym_register] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym___inline] = ACTIONS(3056),
    [anon_sym___inline__] = ACTIONS(3056),
    [anon_sym___forceinline] = ACTIONS(3056),
    [anon_sym_thread_local] = ACTIONS(3056),
    [anon_sym___thread] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_constexpr] = ACTIONS(3056),
    [anon_sym_volatile] = ACTIONS(3056),
    [anon_sym_restrict] = ACTIONS(3056),
    [anon_sym___restrict__] = ACTIONS(3056),
    [anon_sym__Atomic] = ACTIONS(3056),
    [anon_sym__Noreturn] = ACTIONS(3056),
    [anon_sym_noreturn] = ACTIONS(3056),
    [anon_sym_mutable] = ACTIONS(3056),
    [anon_sym_constinit] = ACTIONS(3056),
    [anon_sym_consteval] = ACTIONS(3056),
    [anon_sym_PROGMEM] = ACTIONS(3056),
    [aux_sym_primitive_type_token1] = ACTIONS(3056),
    [anon_sym_byte] = ACTIONS(3056),
    [anon_sym_word] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_class] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3056),
    [anon_sym_union] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(3056),
    [anon_sym_else] = ACTIONS(3056),
    [anon_sym_switch] = ACTIONS(3056),
    [anon_sym_case] = ACTIONS(3056),
    [anon_sym_default] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_do] = ACTIONS(3056),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_return] = ACTIONS(3056),
    [anon_sym_break] = ACTIONS(3056),
    [anon_sym_continue] = ACTIONS(3056),
    [anon_sym_goto] = ACTIONS(3056),
    [anon_sym___try] = ACTIONS(3056),
    [anon_sym___leave] = ACTIONS(3056),
    [anon_sym_not] = ACTIONS(3056),
    [anon_sym_compl] = ACTIONS(3056),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_sizeof] = ACTIONS(3056),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3056),
    [anon_sym__Generic] = ACTIONS(3056),
    [anon_sym_asm] = ACTIONS(3056),
    [anon_sym___asm__] = ACTIONS(3056),
    [aux_sym_number_literal_token1] = ACTIONS(3058),
    [aux_sym_number_literal_token2] = ACTIONS(3056),
    [anon_sym_L_SQUOTE] = ACTIONS(3058),
    [anon_sym_u_SQUOTE] = ACTIONS(3058),
    [anon_sym_U_SQUOTE] = ACTIONS(3058),
    [anon_sym_u8_SQUOTE] = ACTIONS(3058),
    [anon_sym_SQUOTE] = ACTIONS(3058),
    [anon_sym_L_DQUOTE] = ACTIONS(3058),
    [anon_sym_u_DQUOTE] = ACTIONS(3058),
    [anon_sym_U_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8_DQUOTE] = ACTIONS(3058),
    [anon_sym_DQUOTE] = ACTIONS(3058),
    [sym_true] = ACTIONS(3056),
    [sym_false] = ACTIONS(3056),
    [anon_sym_NULL] = ACTIONS(3056),
    [anon_sym_nullptr] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3056),
    [anon_sym_decltype] = ACTIONS(3056),
    [anon_sym_virtual] = ACTIONS(3056),
    [anon_sym_alignas] = ACTIONS(3056),
    [anon_sym_explicit] = ACTIONS(3056),
    [anon_sym_typename] = ACTIONS(3056),
    [anon_sym_template] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_try] = ACTIONS(3056),
    [anon_sym_delete] = ACTIONS(3056),
    [anon_sym_throw] = ACTIONS(3056),
    [anon_sym_namespace] = ACTIONS(3056),
    [anon_sym_using] = ACTIONS(3056),
    [anon_sym_static_assert] = ACTIONS(3056),
    [anon_sym_concept] = ACTIONS(3056),
    [anon_sym_co_return] = ACTIONS(3056),
    [anon_sym_co_yield] = ACTIONS(3056),
    [anon_sym_R_DQUOTE] = ACTIONS(3058),
    [anon_sym_LR_DQUOTE] = ACTIONS(3058),
    [anon_sym_uR_DQUOTE] = ACTIONS(3058),
    [anon_sym_UR_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3058),
    [anon_sym_co_await] = ACTIONS(3056),
    [anon_sym_new] = ACTIONS(3056),
    [anon_sym_requires] = ACTIONS(3056),
    [sym_this] = ACTIONS(3056),
  },
  [647] = {
    [sym_identifier] = ACTIONS(3060),
    [aux_sym_preproc_include_token1] = ACTIONS(3060),
    [aux_sym_preproc_def_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3060),
    [sym_preproc_directive] = ACTIONS(3060),
    [anon_sym_LPAREN2] = ACTIONS(3062),
    [anon_sym_BANG] = ACTIONS(3062),
    [anon_sym_TILDE] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym___extension__] = ACTIONS(3060),
    [anon_sym_typedef] = ACTIONS(3060),
    [anon_sym_extern] = ACTIONS(3060),
    [anon_sym___attribute__] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3062),
    [anon_sym___declspec] = ACTIONS(3060),
    [anon_sym___based] = ACTIONS(3060),
    [anon_sym___cdecl] = ACTIONS(3060),
    [anon_sym___clrcall] = ACTIONS(3060),
    [anon_sym___stdcall] = ACTIONS(3060),
    [anon_sym___fastcall] = ACTIONS(3060),
    [anon_sym___thiscall] = ACTIONS(3060),
    [anon_sym___vectorcall] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_RBRACE] = ACTIONS(3062),
    [anon_sym_signed] = ACTIONS(3060),
    [anon_sym_unsigned] = ACTIONS(3060),
    [anon_sym_long] = ACTIONS(3060),
    [anon_sym_short] = ACTIONS(3060),
    [anon_sym_LBRACK] = ACTIONS(3060),
    [anon_sym_static] = ACTIONS(3060),
    [anon_sym_register] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym___inline] = ACTIONS(3060),
    [anon_sym___inline__] = ACTIONS(3060),
    [anon_sym___forceinline] = ACTIONS(3060),
    [anon_sym_thread_local] = ACTIONS(3060),
    [anon_sym___thread] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_constexpr] = ACTIONS(3060),
    [anon_sym_volatile] = ACTIONS(3060),
    [anon_sym_restrict] = ACTIONS(3060),
    [anon_sym___restrict__] = ACTIONS(3060),
    [anon_sym__Atomic] = ACTIONS(3060),
    [anon_sym__Noreturn] = ACTIONS(3060),
    [anon_sym_noreturn] = ACTIONS(3060),
    [anon_sym_mutable] = ACTIONS(3060),
    [anon_sym_constinit] = ACTIONS(3060),
    [anon_sym_consteval] = ACTIONS(3060),
    [anon_sym_PROGMEM] = ACTIONS(3060),
    [aux_sym_primitive_type_token1] = ACTIONS(3060),
    [anon_sym_byte] = ACTIONS(3060),
    [anon_sym_word] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_class] = ACTIONS(3060),
    [anon_sym_struct] = ACTIONS(3060),
    [anon_sym_union] = ACTIONS(3060),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_else] = ACTIONS(3060),
    [anon_sym_switch] = ACTIONS(3060),
    [anon_sym_case] = ACTIONS(3060),
    [anon_sym_default] = ACTIONS(3060),
    [anon_sym_while] = ACTIONS(3060),
    [anon_sym_do] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(3060),
    [anon_sym_return] = ACTIONS(3060),
    [anon_sym_break] = ACTIONS(3060),
    [anon_sym_continue] = ACTIONS(3060),
    [anon_sym_goto] = ACTIONS(3060),
    [anon_sym___try] = ACTIONS(3060),
    [anon_sym___leave] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(3060),
    [anon_sym_compl] = ACTIONS(3060),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_sizeof] = ACTIONS(3060),
    [anon_sym___alignof__] = ACTIONS(3060),
    [anon_sym___alignof] = ACTIONS(3060),
    [anon_sym__alignof] = ACTIONS(3060),
    [anon_sym_alignof] = ACTIONS(3060),
    [anon_sym__Alignof] = ACTIONS(3060),
    [anon_sym_offsetof] = ACTIONS(3060),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3060),
    [anon_sym___asm__] = ACTIONS(3060),
    [aux_sym_number_literal_token1] = ACTIONS(3062),
    [aux_sym_number_literal_token2] = ACTIONS(3060),
    [anon_sym_L_SQUOTE] = ACTIONS(3062),
    [anon_sym_u_SQUOTE] = ACTIONS(3062),
    [anon_sym_U_SQUOTE] = ACTIONS(3062),
    [anon_sym_u8_SQUOTE] = ACTIONS(3062),
    [anon_sym_SQUOTE] = ACTIONS(3062),
    [anon_sym_L_DQUOTE] = ACTIONS(3062),
    [anon_sym_u_DQUOTE] = ACTIONS(3062),
    [anon_sym_U_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8_DQUOTE] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3062),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [anon_sym_NULL] = ACTIONS(3060),
    [anon_sym_nullptr] = ACTIONS(3060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3060),
    [anon_sym_decltype] = ACTIONS(3060),
    [anon_sym_virtual] = ACTIONS(3060),
    [anon_sym_alignas] = ACTIONS(3060),
    [anon_sym_explicit] = ACTIONS(3060),
    [anon_sym_typename] = ACTIONS(3060),
    [anon_sym_template] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_try] = ACTIONS(3060),
    [anon_sym_delete] = ACTIONS(3060),
    [anon_sym_throw] = ACTIONS(3060),
    [anon_sym_namespace] = ACTIONS(3060),
    [anon_sym_using] = ACTIONS(3060),
    [anon_sym_static_assert] = ACTIONS(3060),
    [anon_sym_concept] = ACTIONS(3060),
    [anon_sym_co_return] = ACTIONS(3060),
    [anon_sym_co_yield] = ACTIONS(3060),
    [anon_sym_R_DQUOTE] = ACTIONS(3062),
    [anon_sym_LR_DQUOTE] = ACTIONS(3062),
    [anon_sym_uR_DQUOTE] = ACTIONS(3062),
    [anon_sym_UR_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3062),
    [anon_sym_co_await] = ACTIONS(3060),
    [anon_sym_new] = ACTIONS(3060),
    [anon_sym_requires] = ACTIONS(3060),
    [sym_this] = ACTIONS(3060),
  },
  [648] = {
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_include_token1] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token2] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2944),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym___cdecl] = ACTIONS(2944),
    [anon_sym___clrcall] = ACTIONS(2944),
    [anon_sym___stdcall] = ACTIONS(2944),
    [anon_sym___fastcall] = ACTIONS(2944),
    [anon_sym___thiscall] = ACTIONS(2944),
    [anon_sym___vectorcall] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(2946),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_PROGMEM] = ACTIONS(2944),
    [aux_sym_primitive_type_token1] = ACTIONS(2944),
    [anon_sym_byte] = ACTIONS(2944),
    [anon_sym_word] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [anon_sym_if] = ACTIONS(2944),
    [anon_sym_else] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2944),
    [anon_sym_case] = ACTIONS(2944),
    [anon_sym_default] = ACTIONS(2944),
    [anon_sym_while] = ACTIONS(2944),
    [anon_sym_do] = ACTIONS(2944),
    [anon_sym_for] = ACTIONS(2944),
    [anon_sym_return] = ACTIONS(2944),
    [anon_sym_break] = ACTIONS(2944),
    [anon_sym_continue] = ACTIONS(2944),
    [anon_sym_goto] = ACTIONS(2944),
    [anon_sym___try] = ACTIONS(2944),
    [anon_sym___leave] = ACTIONS(2944),
    [anon_sym_not] = ACTIONS(2944),
    [anon_sym_compl] = ACTIONS(2944),
    [anon_sym_DASH_DASH] = ACTIONS(2946),
    [anon_sym_PLUS_PLUS] = ACTIONS(2946),
    [anon_sym_sizeof] = ACTIONS(2944),
    [anon_sym___alignof__] = ACTIONS(2944),
    [anon_sym___alignof] = ACTIONS(2944),
    [anon_sym__alignof] = ACTIONS(2944),
    [anon_sym_alignof] = ACTIONS(2944),
    [anon_sym__Alignof] = ACTIONS(2944),
    [anon_sym_offsetof] = ACTIONS(2944),
    [anon_sym__Generic] = ACTIONS(2944),
    [anon_sym_asm] = ACTIONS(2944),
    [anon_sym___asm__] = ACTIONS(2944),
    [aux_sym_number_literal_token1] = ACTIONS(2946),
    [aux_sym_number_literal_token2] = ACTIONS(2944),
    [anon_sym_L_SQUOTE] = ACTIONS(2946),
    [anon_sym_u_SQUOTE] = ACTIONS(2946),
    [anon_sym_U_SQUOTE] = ACTIONS(2946),
    [anon_sym_u8_SQUOTE] = ACTIONS(2946),
    [anon_sym_SQUOTE] = ACTIONS(2946),
    [anon_sym_L_DQUOTE] = ACTIONS(2946),
    [anon_sym_u_DQUOTE] = ACTIONS(2946),
    [anon_sym_U_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8_DQUOTE] = ACTIONS(2946),
    [anon_sym_DQUOTE] = ACTIONS(2946),
    [sym_true] = ACTIONS(2944),
    [sym_false] = ACTIONS(2944),
    [anon_sym_NULL] = ACTIONS(2944),
    [anon_sym_nullptr] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_delete] = ACTIONS(2944),
    [anon_sym_throw] = ACTIONS(2944),
    [anon_sym_namespace] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
    [anon_sym_concept] = ACTIONS(2944),
    [anon_sym_co_return] = ACTIONS(2944),
    [anon_sym_co_yield] = ACTIONS(2944),
    [anon_sym_R_DQUOTE] = ACTIONS(2946),
    [anon_sym_LR_DQUOTE] = ACTIONS(2946),
    [anon_sym_uR_DQUOTE] = ACTIONS(2946),
    [anon_sym_UR_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2946),
    [anon_sym_co_await] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(2944),
    [anon_sym_requires] = ACTIONS(2944),
    [sym_this] = ACTIONS(2944),
  },
  [649] = {
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_include_token1] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2944),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym___cdecl] = ACTIONS(2944),
    [anon_sym___clrcall] = ACTIONS(2944),
    [anon_sym___stdcall] = ACTIONS(2944),
    [anon_sym___fastcall] = ACTIONS(2944),
    [anon_sym___thiscall] = ACTIONS(2944),
    [anon_sym___vectorcall] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(2946),
    [anon_sym_RBRACE] = ACTIONS(2946),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_PROGMEM] = ACTIONS(2944),
    [aux_sym_primitive_type_token1] = ACTIONS(2944),
    [anon_sym_byte] = ACTIONS(2944),
    [anon_sym_word] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [anon_sym_if] = ACTIONS(2944),
    [anon_sym_else] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2944),
    [anon_sym_case] = ACTIONS(2944),
    [anon_sym_default] = ACTIONS(2944),
    [anon_sym_while] = ACTIONS(2944),
    [anon_sym_do] = ACTIONS(2944),
    [anon_sym_for] = ACTIONS(2944),
    [anon_sym_return] = ACTIONS(2944),
    [anon_sym_break] = ACTIONS(2944),
    [anon_sym_continue] = ACTIONS(2944),
    [anon_sym_goto] = ACTIONS(2944),
    [anon_sym___try] = ACTIONS(2944),
    [anon_sym___leave] = ACTIONS(2944),
    [anon_sym_not] = ACTIONS(2944),
    [anon_sym_compl] = ACTIONS(2944),
    [anon_sym_DASH_DASH] = ACTIONS(2946),
    [anon_sym_PLUS_PLUS] = ACTIONS(2946),
    [anon_sym_sizeof] = ACTIONS(2944),
    [anon_sym___alignof__] = ACTIONS(2944),
    [anon_sym___alignof] = ACTIONS(2944),
    [anon_sym__alignof] = ACTIONS(2944),
    [anon_sym_alignof] = ACTIONS(2944),
    [anon_sym__Alignof] = ACTIONS(2944),
    [anon_sym_offsetof] = ACTIONS(2944),
    [anon_sym__Generic] = ACTIONS(2944),
    [anon_sym_asm] = ACTIONS(2944),
    [anon_sym___asm__] = ACTIONS(2944),
    [aux_sym_number_literal_token1] = ACTIONS(2946),
    [aux_sym_number_literal_token2] = ACTIONS(2944),
    [anon_sym_L_SQUOTE] = ACTIONS(2946),
    [anon_sym_u_SQUOTE] = ACTIONS(2946),
    [anon_sym_U_SQUOTE] = ACTIONS(2946),
    [anon_sym_u8_SQUOTE] = ACTIONS(2946),
    [anon_sym_SQUOTE] = ACTIONS(2946),
    [anon_sym_L_DQUOTE] = ACTIONS(2946),
    [anon_sym_u_DQUOTE] = ACTIONS(2946),
    [anon_sym_U_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8_DQUOTE] = ACTIONS(2946),
    [anon_sym_DQUOTE] = ACTIONS(2946),
    [sym_true] = ACTIONS(2944),
    [sym_false] = ACTIONS(2944),
    [anon_sym_NULL] = ACTIONS(2944),
    [anon_sym_nullptr] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_delete] = ACTIONS(2944),
    [anon_sym_throw] = ACTIONS(2944),
    [anon_sym_namespace] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
    [anon_sym_concept] = ACTIONS(2944),
    [anon_sym_co_return] = ACTIONS(2944),
    [anon_sym_co_yield] = ACTIONS(2944),
    [anon_sym_R_DQUOTE] = ACTIONS(2946),
    [anon_sym_LR_DQUOTE] = ACTIONS(2946),
    [anon_sym_uR_DQUOTE] = ACTIONS(2946),
    [anon_sym_UR_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2946),
    [anon_sym_co_await] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(2944),
    [anon_sym_requires] = ACTIONS(2944),
    [sym_this] = ACTIONS(2944),
  },
  [650] = {
    [sym_identifier] = ACTIONS(3116),
    [aux_sym_preproc_include_token1] = ACTIONS(3116),
    [aux_sym_preproc_def_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token2] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3116),
    [sym_preproc_directive] = ACTIONS(3116),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [anon_sym_BANG] = ACTIONS(3118),
    [anon_sym_TILDE] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3118),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3118),
    [anon_sym___extension__] = ACTIONS(3116),
    [anon_sym_typedef] = ACTIONS(3116),
    [anon_sym_extern] = ACTIONS(3116),
    [anon_sym___attribute__] = ACTIONS(3116),
    [anon_sym_COLON_COLON] = ACTIONS(3118),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3118),
    [anon_sym___declspec] = ACTIONS(3116),
    [anon_sym___based] = ACTIONS(3116),
    [anon_sym___cdecl] = ACTIONS(3116),
    [anon_sym___clrcall] = ACTIONS(3116),
    [anon_sym___stdcall] = ACTIONS(3116),
    [anon_sym___fastcall] = ACTIONS(3116),
    [anon_sym___thiscall] = ACTIONS(3116),
    [anon_sym___vectorcall] = ACTIONS(3116),
    [anon_sym_LBRACE] = ACTIONS(3118),
    [anon_sym_signed] = ACTIONS(3116),
    [anon_sym_unsigned] = ACTIONS(3116),
    [anon_sym_long] = ACTIONS(3116),
    [anon_sym_short] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_static] = ACTIONS(3116),
    [anon_sym_register] = ACTIONS(3116),
    [anon_sym_inline] = ACTIONS(3116),
    [anon_sym___inline] = ACTIONS(3116),
    [anon_sym___inline__] = ACTIONS(3116),
    [anon_sym___forceinline] = ACTIONS(3116),
    [anon_sym_thread_local] = ACTIONS(3116),
    [anon_sym___thread] = ACTIONS(3116),
    [anon_sym_const] = ACTIONS(3116),
    [anon_sym_constexpr] = ACTIONS(3116),
    [anon_sym_volatile] = ACTIONS(3116),
    [anon_sym_restrict] = ACTIONS(3116),
    [anon_sym___restrict__] = ACTIONS(3116),
    [anon_sym__Atomic] = ACTIONS(3116),
    [anon_sym__Noreturn] = ACTIONS(3116),
    [anon_sym_noreturn] = ACTIONS(3116),
    [anon_sym_mutable] = ACTIONS(3116),
    [anon_sym_constinit] = ACTIONS(3116),
    [anon_sym_consteval] = ACTIONS(3116),
    [anon_sym_PROGMEM] = ACTIONS(3116),
    [aux_sym_primitive_type_token1] = ACTIONS(3116),
    [anon_sym_byte] = ACTIONS(3116),
    [anon_sym_word] = ACTIONS(3116),
    [anon_sym_enum] = ACTIONS(3116),
    [anon_sym_class] = ACTIONS(3116),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3116),
    [anon_sym_if] = ACTIONS(3116),
    [anon_sym_else] = ACTIONS(3116),
    [anon_sym_switch] = ACTIONS(3116),
    [anon_sym_case] = ACTIONS(3116),
    [anon_sym_default] = ACTIONS(3116),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_do] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3116),
    [anon_sym_return] = ACTIONS(3116),
    [anon_sym_break] = ACTIONS(3116),
    [anon_sym_continue] = ACTIONS(3116),
    [anon_sym_goto] = ACTIONS(3116),
    [anon_sym___try] = ACTIONS(3116),
    [anon_sym___leave] = ACTIONS(3116),
    [anon_sym_not] = ACTIONS(3116),
    [anon_sym_compl] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_sizeof] = ACTIONS(3116),
    [anon_sym___alignof__] = ACTIONS(3116),
    [anon_sym___alignof] = ACTIONS(3116),
    [anon_sym__alignof] = ACTIONS(3116),
    [anon_sym_alignof] = ACTIONS(3116),
    [anon_sym__Alignof] = ACTIONS(3116),
    [anon_sym_offsetof] = ACTIONS(3116),
    [anon_sym__Generic] = ACTIONS(3116),
    [anon_sym_asm] = ACTIONS(3116),
    [anon_sym___asm__] = ACTIONS(3116),
    [aux_sym_number_literal_token1] = ACTIONS(3118),
    [aux_sym_number_literal_token2] = ACTIONS(3116),
    [anon_sym_L_SQUOTE] = ACTIONS(3118),
    [anon_sym_u_SQUOTE] = ACTIONS(3118),
    [anon_sym_U_SQUOTE] = ACTIONS(3118),
    [anon_sym_u8_SQUOTE] = ACTIONS(3118),
    [anon_sym_SQUOTE] = ACTIONS(3118),
    [anon_sym_L_DQUOTE] = ACTIONS(3118),
    [anon_sym_u_DQUOTE] = ACTIONS(3118),
    [anon_sym_U_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8_DQUOTE] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(3118),
    [sym_true] = ACTIONS(3116),
    [sym_false] = ACTIONS(3116),
    [anon_sym_NULL] = ACTIONS(3116),
    [anon_sym_nullptr] = ACTIONS(3116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3116),
    [anon_sym_decltype] = ACTIONS(3116),
    [anon_sym_virtual] = ACTIONS(3116),
    [anon_sym_alignas] = ACTIONS(3116),
    [anon_sym_explicit] = ACTIONS(3116),
    [anon_sym_typename] = ACTIONS(3116),
    [anon_sym_template] = ACTIONS(3116),
    [anon_sym_operator] = ACTIONS(3116),
    [anon_sym_try] = ACTIONS(3116),
    [anon_sym_delete] = ACTIONS(3116),
    [anon_sym_throw] = ACTIONS(3116),
    [anon_sym_namespace] = ACTIONS(3116),
    [anon_sym_using] = ACTIONS(3116),
    [anon_sym_static_assert] = ACTIONS(3116),
    [anon_sym_concept] = ACTIONS(3116),
    [anon_sym_co_return] = ACTIONS(3116),
    [anon_sym_co_yield] = ACTIONS(3116),
    [anon_sym_R_DQUOTE] = ACTIONS(3118),
    [anon_sym_LR_DQUOTE] = ACTIONS(3118),
    [anon_sym_uR_DQUOTE] = ACTIONS(3118),
    [anon_sym_UR_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3118),
    [anon_sym_co_await] = ACTIONS(3116),
    [anon_sym_new] = ACTIONS(3116),
    [anon_sym_requires] = ACTIONS(3116),
    [sym_this] = ACTIONS(3116),
  },
  [651] = {
    [ts_builtin_sym_end] = ACTIONS(3086),
    [sym_identifier] = ACTIONS(3084),
    [aux_sym_preproc_include_token1] = ACTIONS(3084),
    [aux_sym_preproc_def_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [sym_preproc_directive] = ACTIONS(3084),
    [anon_sym_LPAREN2] = ACTIONS(3086),
    [anon_sym_BANG] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym___extension__] = ACTIONS(3084),
    [anon_sym_typedef] = ACTIONS(3084),
    [anon_sym_extern] = ACTIONS(3084),
    [anon_sym___attribute__] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3086),
    [anon_sym___declspec] = ACTIONS(3084),
    [anon_sym___based] = ACTIONS(3084),
    [anon_sym___cdecl] = ACTIONS(3084),
    [anon_sym___clrcall] = ACTIONS(3084),
    [anon_sym___stdcall] = ACTIONS(3084),
    [anon_sym___fastcall] = ACTIONS(3084),
    [anon_sym___thiscall] = ACTIONS(3084),
    [anon_sym___vectorcall] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_signed] = ACTIONS(3084),
    [anon_sym_unsigned] = ACTIONS(3084),
    [anon_sym_long] = ACTIONS(3084),
    [anon_sym_short] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_register] = ACTIONS(3084),
    [anon_sym_inline] = ACTIONS(3084),
    [anon_sym___inline] = ACTIONS(3084),
    [anon_sym___inline__] = ACTIONS(3084),
    [anon_sym___forceinline] = ACTIONS(3084),
    [anon_sym_thread_local] = ACTIONS(3084),
    [anon_sym___thread] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_constexpr] = ACTIONS(3084),
    [anon_sym_volatile] = ACTIONS(3084),
    [anon_sym_restrict] = ACTIONS(3084),
    [anon_sym___restrict__] = ACTIONS(3084),
    [anon_sym__Atomic] = ACTIONS(3084),
    [anon_sym__Noreturn] = ACTIONS(3084),
    [anon_sym_noreturn] = ACTIONS(3084),
    [anon_sym_mutable] = ACTIONS(3084),
    [anon_sym_constinit] = ACTIONS(3084),
    [anon_sym_consteval] = ACTIONS(3084),
    [anon_sym_PROGMEM] = ACTIONS(3084),
    [aux_sym_primitive_type_token1] = ACTIONS(3084),
    [anon_sym_byte] = ACTIONS(3084),
    [anon_sym_word] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_struct] = ACTIONS(3084),
    [anon_sym_union] = ACTIONS(3084),
    [anon_sym_if] = ACTIONS(3084),
    [anon_sym_else] = ACTIONS(3084),
    [anon_sym_switch] = ACTIONS(3084),
    [anon_sym_case] = ACTIONS(3084),
    [anon_sym_default] = ACTIONS(3084),
    [anon_sym_while] = ACTIONS(3084),
    [anon_sym_do] = ACTIONS(3084),
    [anon_sym_for] = ACTIONS(3084),
    [anon_sym_return] = ACTIONS(3084),
    [anon_sym_break] = ACTIONS(3084),
    [anon_sym_continue] = ACTIONS(3084),
    [anon_sym_goto] = ACTIONS(3084),
    [anon_sym___try] = ACTIONS(3084),
    [anon_sym___leave] = ACTIONS(3084),
    [anon_sym_not] = ACTIONS(3084),
    [anon_sym_compl] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_sizeof] = ACTIONS(3084),
    [anon_sym___alignof__] = ACTIONS(3084),
    [anon_sym___alignof] = ACTIONS(3084),
    [anon_sym__alignof] = ACTIONS(3084),
    [anon_sym_alignof] = ACTIONS(3084),
    [anon_sym__Alignof] = ACTIONS(3084),
    [anon_sym_offsetof] = ACTIONS(3084),
    [anon_sym__Generic] = ACTIONS(3084),
    [anon_sym_asm] = ACTIONS(3084),
    [anon_sym___asm__] = ACTIONS(3084),
    [aux_sym_number_literal_token1] = ACTIONS(3086),
    [aux_sym_number_literal_token2] = ACTIONS(3084),
    [anon_sym_L_SQUOTE] = ACTIONS(3086),
    [anon_sym_u_SQUOTE] = ACTIONS(3086),
    [anon_sym_U_SQUOTE] = ACTIONS(3086),
    [anon_sym_u8_SQUOTE] = ACTIONS(3086),
    [anon_sym_SQUOTE] = ACTIONS(3086),
    [anon_sym_L_DQUOTE] = ACTIONS(3086),
    [anon_sym_u_DQUOTE] = ACTIONS(3086),
    [anon_sym_U_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8_DQUOTE] = ACTIONS(3086),
    [anon_sym_DQUOTE] = ACTIONS(3086),
    [sym_true] = ACTIONS(3084),
    [sym_false] = ACTIONS(3084),
    [anon_sym_NULL] = ACTIONS(3084),
    [anon_sym_nullptr] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3084),
    [anon_sym_decltype] = ACTIONS(3084),
    [anon_sym_virtual] = ACTIONS(3084),
    [anon_sym_alignas] = ACTIONS(3084),
    [anon_sym_explicit] = ACTIONS(3084),
    [anon_sym_typename] = ACTIONS(3084),
    [anon_sym_template] = ACTIONS(3084),
    [anon_sym_operator] = ACTIONS(3084),
    [anon_sym_try] = ACTIONS(3084),
    [anon_sym_delete] = ACTIONS(3084),
    [anon_sym_throw] = ACTIONS(3084),
    [anon_sym_namespace] = ACTIONS(3084),
    [anon_sym_using] = ACTIONS(3084),
    [anon_sym_static_assert] = ACTIONS(3084),
    [anon_sym_concept] = ACTIONS(3084),
    [anon_sym_co_return] = ACTIONS(3084),
    [anon_sym_co_yield] = ACTIONS(3084),
    [anon_sym_R_DQUOTE] = ACTIONS(3086),
    [anon_sym_LR_DQUOTE] = ACTIONS(3086),
    [anon_sym_uR_DQUOTE] = ACTIONS(3086),
    [anon_sym_UR_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3086),
    [anon_sym_co_await] = ACTIONS(3084),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_requires] = ACTIONS(3084),
    [sym_this] = ACTIONS(3084),
  },
  [652] = {
    [ts_builtin_sym_end] = ACTIONS(3082),
    [sym_identifier] = ACTIONS(3080),
    [aux_sym_preproc_include_token1] = ACTIONS(3080),
    [aux_sym_preproc_def_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3080),
    [sym_preproc_directive] = ACTIONS(3080),
    [anon_sym_LPAREN2] = ACTIONS(3082),
    [anon_sym_BANG] = ACTIONS(3082),
    [anon_sym_TILDE] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym___extension__] = ACTIONS(3080),
    [anon_sym_typedef] = ACTIONS(3080),
    [anon_sym_extern] = ACTIONS(3080),
    [anon_sym___attribute__] = ACTIONS(3080),
    [anon_sym_COLON_COLON] = ACTIONS(3082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3082),
    [anon_sym___declspec] = ACTIONS(3080),
    [anon_sym___based] = ACTIONS(3080),
    [anon_sym___cdecl] = ACTIONS(3080),
    [anon_sym___clrcall] = ACTIONS(3080),
    [anon_sym___stdcall] = ACTIONS(3080),
    [anon_sym___fastcall] = ACTIONS(3080),
    [anon_sym___thiscall] = ACTIONS(3080),
    [anon_sym___vectorcall] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3082),
    [anon_sym_signed] = ACTIONS(3080),
    [anon_sym_unsigned] = ACTIONS(3080),
    [anon_sym_long] = ACTIONS(3080),
    [anon_sym_short] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_register] = ACTIONS(3080),
    [anon_sym_inline] = ACTIONS(3080),
    [anon_sym___inline] = ACTIONS(3080),
    [anon_sym___inline__] = ACTIONS(3080),
    [anon_sym___forceinline] = ACTIONS(3080),
    [anon_sym_thread_local] = ACTIONS(3080),
    [anon_sym___thread] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_constexpr] = ACTIONS(3080),
    [anon_sym_volatile] = ACTIONS(3080),
    [anon_sym_restrict] = ACTIONS(3080),
    [anon_sym___restrict__] = ACTIONS(3080),
    [anon_sym__Atomic] = ACTIONS(3080),
    [anon_sym__Noreturn] = ACTIONS(3080),
    [anon_sym_noreturn] = ACTIONS(3080),
    [anon_sym_mutable] = ACTIONS(3080),
    [anon_sym_constinit] = ACTIONS(3080),
    [anon_sym_consteval] = ACTIONS(3080),
    [anon_sym_PROGMEM] = ACTIONS(3080),
    [aux_sym_primitive_type_token1] = ACTIONS(3080),
    [anon_sym_byte] = ACTIONS(3080),
    [anon_sym_word] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_struct] = ACTIONS(3080),
    [anon_sym_union] = ACTIONS(3080),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_else] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_case] = ACTIONS(3080),
    [anon_sym_default] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_goto] = ACTIONS(3080),
    [anon_sym___try] = ACTIONS(3080),
    [anon_sym___leave] = ACTIONS(3080),
    [anon_sym_not] = ACTIONS(3080),
    [anon_sym_compl] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3082),
    [anon_sym_sizeof] = ACTIONS(3080),
    [anon_sym___alignof__] = ACTIONS(3080),
    [anon_sym___alignof] = ACTIONS(3080),
    [anon_sym__alignof] = ACTIONS(3080),
    [anon_sym_alignof] = ACTIONS(3080),
    [anon_sym__Alignof] = ACTIONS(3080),
    [anon_sym_offsetof] = ACTIONS(3080),
    [anon_sym__Generic] = ACTIONS(3080),
    [anon_sym_asm] = ACTIONS(3080),
    [anon_sym___asm__] = ACTIONS(3080),
    [aux_sym_number_literal_token1] = ACTIONS(3082),
    [aux_sym_number_literal_token2] = ACTIONS(3080),
    [anon_sym_L_SQUOTE] = ACTIONS(3082),
    [anon_sym_u_SQUOTE] = ACTIONS(3082),
    [anon_sym_U_SQUOTE] = ACTIONS(3082),
    [anon_sym_u8_SQUOTE] = ACTIONS(3082),
    [anon_sym_SQUOTE] = ACTIONS(3082),
    [anon_sym_L_DQUOTE] = ACTIONS(3082),
    [anon_sym_u_DQUOTE] = ACTIONS(3082),
    [anon_sym_U_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8_DQUOTE] = ACTIONS(3082),
    [anon_sym_DQUOTE] = ACTIONS(3082),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [anon_sym_NULL] = ACTIONS(3080),
    [anon_sym_nullptr] = ACTIONS(3080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3080),
    [anon_sym_decltype] = ACTIONS(3080),
    [anon_sym_virtual] = ACTIONS(3080),
    [anon_sym_alignas] = ACTIONS(3080),
    [anon_sym_explicit] = ACTIONS(3080),
    [anon_sym_typename] = ACTIONS(3080),
    [anon_sym_template] = ACTIONS(3080),
    [anon_sym_operator] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_static_assert] = ACTIONS(3080),
    [anon_sym_concept] = ACTIONS(3080),
    [anon_sym_co_return] = ACTIONS(3080),
    [anon_sym_co_yield] = ACTIONS(3080),
    [anon_sym_R_DQUOTE] = ACTIONS(3082),
    [anon_sym_LR_DQUOTE] = ACTIONS(3082),
    [anon_sym_uR_DQUOTE] = ACTIONS(3082),
    [anon_sym_UR_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3082),
    [anon_sym_co_await] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_requires] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
  },
  [653] = {
    [sym_identifier] = ACTIONS(3036),
    [aux_sym_preproc_include_token1] = ACTIONS(3036),
    [aux_sym_preproc_def_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token2] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3036),
    [sym_preproc_directive] = ACTIONS(3036),
    [anon_sym_LPAREN2] = ACTIONS(3038),
    [anon_sym_BANG] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym___extension__] = ACTIONS(3036),
    [anon_sym_typedef] = ACTIONS(3036),
    [anon_sym_extern] = ACTIONS(3036),
    [anon_sym___attribute__] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3038),
    [anon_sym___declspec] = ACTIONS(3036),
    [anon_sym___based] = ACTIONS(3036),
    [anon_sym___cdecl] = ACTIONS(3036),
    [anon_sym___clrcall] = ACTIONS(3036),
    [anon_sym___stdcall] = ACTIONS(3036),
    [anon_sym___fastcall] = ACTIONS(3036),
    [anon_sym___thiscall] = ACTIONS(3036),
    [anon_sym___vectorcall] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3036),
    [anon_sym_unsigned] = ACTIONS(3036),
    [anon_sym_long] = ACTIONS(3036),
    [anon_sym_short] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3036),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_register] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym___inline] = ACTIONS(3036),
    [anon_sym___inline__] = ACTIONS(3036),
    [anon_sym___forceinline] = ACTIONS(3036),
    [anon_sym_thread_local] = ACTIONS(3036),
    [anon_sym___thread] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(3036),
    [anon_sym_restrict] = ACTIONS(3036),
    [anon_sym___restrict__] = ACTIONS(3036),
    [anon_sym__Atomic] = ACTIONS(3036),
    [anon_sym__Noreturn] = ACTIONS(3036),
    [anon_sym_noreturn] = ACTIONS(3036),
    [anon_sym_mutable] = ACTIONS(3036),
    [anon_sym_constinit] = ACTIONS(3036),
    [anon_sym_consteval] = ACTIONS(3036),
    [anon_sym_PROGMEM] = ACTIONS(3036),
    [aux_sym_primitive_type_token1] = ACTIONS(3036),
    [anon_sym_byte] = ACTIONS(3036),
    [anon_sym_word] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_struct] = ACTIONS(3036),
    [anon_sym_union] = ACTIONS(3036),
    [anon_sym_if] = ACTIONS(3036),
    [anon_sym_else] = ACTIONS(3036),
    [anon_sym_switch] = ACTIONS(3036),
    [anon_sym_case] = ACTIONS(3036),
    [anon_sym_default] = ACTIONS(3036),
    [anon_sym_while] = ACTIONS(3036),
    [anon_sym_do] = ACTIONS(3036),
    [anon_sym_for] = ACTIONS(3036),
    [anon_sym_return] = ACTIONS(3036),
    [anon_sym_break] = ACTIONS(3036),
    [anon_sym_continue] = ACTIONS(3036),
    [anon_sym_goto] = ACTIONS(3036),
    [anon_sym___try] = ACTIONS(3036),
    [anon_sym___leave] = ACTIONS(3036),
    [anon_sym_not] = ACTIONS(3036),
    [anon_sym_compl] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_sizeof] = ACTIONS(3036),
    [anon_sym___alignof__] = ACTIONS(3036),
    [anon_sym___alignof] = ACTIONS(3036),
    [anon_sym__alignof] = ACTIONS(3036),
    [anon_sym_alignof] = ACTIONS(3036),
    [anon_sym__Alignof] = ACTIONS(3036),
    [anon_sym_offsetof] = ACTIONS(3036),
    [anon_sym__Generic] = ACTIONS(3036),
    [anon_sym_asm] = ACTIONS(3036),
    [anon_sym___asm__] = ACTIONS(3036),
    [aux_sym_number_literal_token1] = ACTIONS(3038),
    [aux_sym_number_literal_token2] = ACTIONS(3036),
    [anon_sym_L_SQUOTE] = ACTIONS(3038),
    [anon_sym_u_SQUOTE] = ACTIONS(3038),
    [anon_sym_U_SQUOTE] = ACTIONS(3038),
    [anon_sym_u8_SQUOTE] = ACTIONS(3038),
    [anon_sym_SQUOTE] = ACTIONS(3038),
    [anon_sym_L_DQUOTE] = ACTIONS(3038),
    [anon_sym_u_DQUOTE] = ACTIONS(3038),
    [anon_sym_U_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8_DQUOTE] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3038),
    [sym_true] = ACTIONS(3036),
    [sym_false] = ACTIONS(3036),
    [anon_sym_NULL] = ACTIONS(3036),
    [anon_sym_nullptr] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3036),
    [anon_sym_decltype] = ACTIONS(3036),
    [anon_sym_virtual] = ACTIONS(3036),
    [anon_sym_alignas] = ACTIONS(3036),
    [anon_sym_explicit] = ACTIONS(3036),
    [anon_sym_typename] = ACTIONS(3036),
    [anon_sym_template] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_try] = ACTIONS(3036),
    [anon_sym_delete] = ACTIONS(3036),
    [anon_sym_throw] = ACTIONS(3036),
    [anon_sym_namespace] = ACTIONS(3036),
    [anon_sym_using] = ACTIONS(3036),
    [anon_sym_static_assert] = ACTIONS(3036),
    [anon_sym_concept] = ACTIONS(3036),
    [anon_sym_co_return] = ACTIONS(3036),
    [anon_sym_co_yield] = ACTIONS(3036),
    [anon_sym_R_DQUOTE] = ACTIONS(3038),
    [anon_sym_LR_DQUOTE] = ACTIONS(3038),
    [anon_sym_uR_DQUOTE] = ACTIONS(3038),
    [anon_sym_UR_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3038),
    [anon_sym_co_await] = ACTIONS(3036),
    [anon_sym_new] = ACTIONS(3036),
    [anon_sym_requires] = ACTIONS(3036),
    [sym_this] = ACTIONS(3036),
  },
  [654] = {
    [ts_builtin_sym_end] = ACTIONS(3132),
    [sym_identifier] = ACTIONS(3130),
    [aux_sym_preproc_include_token1] = ACTIONS(3130),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3130),
    [sym_preproc_directive] = ACTIONS(3130),
    [anon_sym_LPAREN2] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym___extension__] = ACTIONS(3130),
    [anon_sym_typedef] = ACTIONS(3130),
    [anon_sym_extern] = ACTIONS(3130),
    [anon_sym___attribute__] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3132),
    [anon_sym___declspec] = ACTIONS(3130),
    [anon_sym___based] = ACTIONS(3130),
    [anon_sym___cdecl] = ACTIONS(3130),
    [anon_sym___clrcall] = ACTIONS(3130),
    [anon_sym___stdcall] = ACTIONS(3130),
    [anon_sym___fastcall] = ACTIONS(3130),
    [anon_sym___thiscall] = ACTIONS(3130),
    [anon_sym___vectorcall] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_signed] = ACTIONS(3130),
    [anon_sym_unsigned] = ACTIONS(3130),
    [anon_sym_long] = ACTIONS(3130),
    [anon_sym_short] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_register] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym___inline] = ACTIONS(3130),
    [anon_sym___inline__] = ACTIONS(3130),
    [anon_sym___forceinline] = ACTIONS(3130),
    [anon_sym_thread_local] = ACTIONS(3130),
    [anon_sym___thread] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_constexpr] = ACTIONS(3130),
    [anon_sym_volatile] = ACTIONS(3130),
    [anon_sym_restrict] = ACTIONS(3130),
    [anon_sym___restrict__] = ACTIONS(3130),
    [anon_sym__Atomic] = ACTIONS(3130),
    [anon_sym__Noreturn] = ACTIONS(3130),
    [anon_sym_noreturn] = ACTIONS(3130),
    [anon_sym_mutable] = ACTIONS(3130),
    [anon_sym_constinit] = ACTIONS(3130),
    [anon_sym_consteval] = ACTIONS(3130),
    [anon_sym_PROGMEM] = ACTIONS(3130),
    [aux_sym_primitive_type_token1] = ACTIONS(3130),
    [anon_sym_byte] = ACTIONS(3130),
    [anon_sym_word] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_struct] = ACTIONS(3130),
    [anon_sym_union] = ACTIONS(3130),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_else] = ACTIONS(3130),
    [anon_sym_switch] = ACTIONS(3130),
    [anon_sym_case] = ACTIONS(3130),
    [anon_sym_default] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_do] = ACTIONS(3130),
    [anon_sym_for] = ACTIONS(3130),
    [anon_sym_return] = ACTIONS(3130),
    [anon_sym_break] = ACTIONS(3130),
    [anon_sym_continue] = ACTIONS(3130),
    [anon_sym_goto] = ACTIONS(3130),
    [anon_sym___try] = ACTIONS(3130),
    [anon_sym___leave] = ACTIONS(3130),
    [anon_sym_not] = ACTIONS(3130),
    [anon_sym_compl] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_sizeof] = ACTIONS(3130),
    [anon_sym___alignof__] = ACTIONS(3130),
    [anon_sym___alignof] = ACTIONS(3130),
    [anon_sym__alignof] = ACTIONS(3130),
    [anon_sym_alignof] = ACTIONS(3130),
    [anon_sym__Alignof] = ACTIONS(3130),
    [anon_sym_offsetof] = ACTIONS(3130),
    [anon_sym__Generic] = ACTIONS(3130),
    [anon_sym_asm] = ACTIONS(3130),
    [anon_sym___asm__] = ACTIONS(3130),
    [aux_sym_number_literal_token1] = ACTIONS(3132),
    [aux_sym_number_literal_token2] = ACTIONS(3130),
    [anon_sym_L_SQUOTE] = ACTIONS(3132),
    [anon_sym_u_SQUOTE] = ACTIONS(3132),
    [anon_sym_U_SQUOTE] = ACTIONS(3132),
    [anon_sym_u8_SQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [anon_sym_L_DQUOTE] = ACTIONS(3132),
    [anon_sym_u_DQUOTE] = ACTIONS(3132),
    [anon_sym_U_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8_DQUOTE] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [sym_true] = ACTIONS(3130),
    [sym_false] = ACTIONS(3130),
    [anon_sym_NULL] = ACTIONS(3130),
    [anon_sym_nullptr] = ACTIONS(3130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3130),
    [anon_sym_decltype] = ACTIONS(3130),
    [anon_sym_virtual] = ACTIONS(3130),
    [anon_sym_alignas] = ACTIONS(3130),
    [anon_sym_explicit] = ACTIONS(3130),
    [anon_sym_typename] = ACTIONS(3130),
    [anon_sym_template] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_try] = ACTIONS(3130),
    [anon_sym_delete] = ACTIONS(3130),
    [anon_sym_throw] = ACTIONS(3130),
    [anon_sym_namespace] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_static_assert] = ACTIONS(3130),
    [anon_sym_concept] = ACTIONS(3130),
    [anon_sym_co_return] = ACTIONS(3130),
    [anon_sym_co_yield] = ACTIONS(3130),
    [anon_sym_R_DQUOTE] = ACTIONS(3132),
    [anon_sym_LR_DQUOTE] = ACTIONS(3132),
    [anon_sym_uR_DQUOTE] = ACTIONS(3132),
    [anon_sym_UR_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3132),
    [anon_sym_co_await] = ACTIONS(3130),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_requires] = ACTIONS(3130),
    [sym_this] = ACTIONS(3130),
  },
  [655] = {
    [sym_identifier] = ACTIONS(3068),
    [aux_sym_preproc_include_token1] = ACTIONS(3068),
    [aux_sym_preproc_def_token1] = ACTIONS(3068),
    [aux_sym_preproc_if_token1] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3068),
    [sym_preproc_directive] = ACTIONS(3068),
    [anon_sym_LPAREN2] = ACTIONS(3070),
    [anon_sym_BANG] = ACTIONS(3070),
    [anon_sym_TILDE] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_AMP_AMP] = ACTIONS(3070),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_SEMI] = ACTIONS(3070),
    [anon_sym___extension__] = ACTIONS(3068),
    [anon_sym_typedef] = ACTIONS(3068),
    [anon_sym_extern] = ACTIONS(3068),
    [anon_sym___attribute__] = ACTIONS(3068),
    [anon_sym_COLON_COLON] = ACTIONS(3070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3070),
    [anon_sym___declspec] = ACTIONS(3068),
    [anon_sym___based] = ACTIONS(3068),
    [anon_sym___cdecl] = ACTIONS(3068),
    [anon_sym___clrcall] = ACTIONS(3068),
    [anon_sym___stdcall] = ACTIONS(3068),
    [anon_sym___fastcall] = ACTIONS(3068),
    [anon_sym___thiscall] = ACTIONS(3068),
    [anon_sym___vectorcall] = ACTIONS(3068),
    [anon_sym_LBRACE] = ACTIONS(3070),
    [anon_sym_RBRACE] = ACTIONS(3070),
    [anon_sym_signed] = ACTIONS(3068),
    [anon_sym_unsigned] = ACTIONS(3068),
    [anon_sym_long] = ACTIONS(3068),
    [anon_sym_short] = ACTIONS(3068),
    [anon_sym_LBRACK] = ACTIONS(3068),
    [anon_sym_static] = ACTIONS(3068),
    [anon_sym_register] = ACTIONS(3068),
    [anon_sym_inline] = ACTIONS(3068),
    [anon_sym___inline] = ACTIONS(3068),
    [anon_sym___inline__] = ACTIONS(3068),
    [anon_sym___forceinline] = ACTIONS(3068),
    [anon_sym_thread_local] = ACTIONS(3068),
    [anon_sym___thread] = ACTIONS(3068),
    [anon_sym_const] = ACTIONS(3068),
    [anon_sym_constexpr] = ACTIONS(3068),
    [anon_sym_volatile] = ACTIONS(3068),
    [anon_sym_restrict] = ACTIONS(3068),
    [anon_sym___restrict__] = ACTIONS(3068),
    [anon_sym__Atomic] = ACTIONS(3068),
    [anon_sym__Noreturn] = ACTIONS(3068),
    [anon_sym_noreturn] = ACTIONS(3068),
    [anon_sym_mutable] = ACTIONS(3068),
    [anon_sym_constinit] = ACTIONS(3068),
    [anon_sym_consteval] = ACTIONS(3068),
    [anon_sym_PROGMEM] = ACTIONS(3068),
    [aux_sym_primitive_type_token1] = ACTIONS(3068),
    [anon_sym_byte] = ACTIONS(3068),
    [anon_sym_word] = ACTIONS(3068),
    [anon_sym_enum] = ACTIONS(3068),
    [anon_sym_class] = ACTIONS(3068),
    [anon_sym_struct] = ACTIONS(3068),
    [anon_sym_union] = ACTIONS(3068),
    [anon_sym_if] = ACTIONS(3068),
    [anon_sym_else] = ACTIONS(3068),
    [anon_sym_switch] = ACTIONS(3068),
    [anon_sym_case] = ACTIONS(3068),
    [anon_sym_default] = ACTIONS(3068),
    [anon_sym_while] = ACTIONS(3068),
    [anon_sym_do] = ACTIONS(3068),
    [anon_sym_for] = ACTIONS(3068),
    [anon_sym_return] = ACTIONS(3068),
    [anon_sym_break] = ACTIONS(3068),
    [anon_sym_continue] = ACTIONS(3068),
    [anon_sym_goto] = ACTIONS(3068),
    [anon_sym___try] = ACTIONS(3068),
    [anon_sym___leave] = ACTIONS(3068),
    [anon_sym_not] = ACTIONS(3068),
    [anon_sym_compl] = ACTIONS(3068),
    [anon_sym_DASH_DASH] = ACTIONS(3070),
    [anon_sym_PLUS_PLUS] = ACTIONS(3070),
    [anon_sym_sizeof] = ACTIONS(3068),
    [anon_sym___alignof__] = ACTIONS(3068),
    [anon_sym___alignof] = ACTIONS(3068),
    [anon_sym__alignof] = ACTIONS(3068),
    [anon_sym_alignof] = ACTIONS(3068),
    [anon_sym__Alignof] = ACTIONS(3068),
    [anon_sym_offsetof] = ACTIONS(3068),
    [anon_sym__Generic] = ACTIONS(3068),
    [anon_sym_asm] = ACTIONS(3068),
    [anon_sym___asm__] = ACTIONS(3068),
    [aux_sym_number_literal_token1] = ACTIONS(3070),
    [aux_sym_number_literal_token2] = ACTIONS(3068),
    [anon_sym_L_SQUOTE] = ACTIONS(3070),
    [anon_sym_u_SQUOTE] = ACTIONS(3070),
    [anon_sym_U_SQUOTE] = ACTIONS(3070),
    [anon_sym_u8_SQUOTE] = ACTIONS(3070),
    [anon_sym_SQUOTE] = ACTIONS(3070),
    [anon_sym_L_DQUOTE] = ACTIONS(3070),
    [anon_sym_u_DQUOTE] = ACTIONS(3070),
    [anon_sym_U_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8_DQUOTE] = ACTIONS(3070),
    [anon_sym_DQUOTE] = ACTIONS(3070),
    [sym_true] = ACTIONS(3068),
    [sym_false] = ACTIONS(3068),
    [anon_sym_NULL] = ACTIONS(3068),
    [anon_sym_nullptr] = ACTIONS(3068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3068),
    [anon_sym_decltype] = ACTIONS(3068),
    [anon_sym_virtual] = ACTIONS(3068),
    [anon_sym_alignas] = ACTIONS(3068),
    [anon_sym_explicit] = ACTIONS(3068),
    [anon_sym_typename] = ACTIONS(3068),
    [anon_sym_template] = ACTIONS(3068),
    [anon_sym_operator] = ACTIONS(3068),
    [anon_sym_try] = ACTIONS(3068),
    [anon_sym_delete] = ACTIONS(3068),
    [anon_sym_throw] = ACTIONS(3068),
    [anon_sym_namespace] = ACTIONS(3068),
    [anon_sym_using] = ACTIONS(3068),
    [anon_sym_static_assert] = ACTIONS(3068),
    [anon_sym_concept] = ACTIONS(3068),
    [anon_sym_co_return] = ACTIONS(3068),
    [anon_sym_co_yield] = ACTIONS(3068),
    [anon_sym_R_DQUOTE] = ACTIONS(3070),
    [anon_sym_LR_DQUOTE] = ACTIONS(3070),
    [anon_sym_uR_DQUOTE] = ACTIONS(3070),
    [anon_sym_UR_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3070),
    [anon_sym_co_await] = ACTIONS(3068),
    [anon_sym_new] = ACTIONS(3068),
    [anon_sym_requires] = ACTIONS(3068),
    [sym_this] = ACTIONS(3068),
  },
  [656] = {
    [ts_builtin_sym_end] = ACTIONS(3138),
    [sym_identifier] = ACTIONS(3136),
    [aux_sym_preproc_include_token1] = ACTIONS(3136),
    [aux_sym_preproc_def_token1] = ACTIONS(3136),
    [aux_sym_preproc_if_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [sym_preproc_directive] = ACTIONS(3136),
    [anon_sym_LPAREN2] = ACTIONS(3138),
    [anon_sym_BANG] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3138),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym___extension__] = ACTIONS(3136),
    [anon_sym_typedef] = ACTIONS(3136),
    [anon_sym_extern] = ACTIONS(3136),
    [anon_sym___attribute__] = ACTIONS(3136),
    [anon_sym_COLON_COLON] = ACTIONS(3138),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3138),
    [anon_sym___declspec] = ACTIONS(3136),
    [anon_sym___based] = ACTIONS(3136),
    [anon_sym___cdecl] = ACTIONS(3136),
    [anon_sym___clrcall] = ACTIONS(3136),
    [anon_sym___stdcall] = ACTIONS(3136),
    [anon_sym___fastcall] = ACTIONS(3136),
    [anon_sym___thiscall] = ACTIONS(3136),
    [anon_sym___vectorcall] = ACTIONS(3136),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_signed] = ACTIONS(3136),
    [anon_sym_unsigned] = ACTIONS(3136),
    [anon_sym_long] = ACTIONS(3136),
    [anon_sym_short] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_static] = ACTIONS(3136),
    [anon_sym_register] = ACTIONS(3136),
    [anon_sym_inline] = ACTIONS(3136),
    [anon_sym___inline] = ACTIONS(3136),
    [anon_sym___inline__] = ACTIONS(3136),
    [anon_sym___forceinline] = ACTIONS(3136),
    [anon_sym_thread_local] = ACTIONS(3136),
    [anon_sym___thread] = ACTIONS(3136),
    [anon_sym_const] = ACTIONS(3136),
    [anon_sym_constexpr] = ACTIONS(3136),
    [anon_sym_volatile] = ACTIONS(3136),
    [anon_sym_restrict] = ACTIONS(3136),
    [anon_sym___restrict__] = ACTIONS(3136),
    [anon_sym__Atomic] = ACTIONS(3136),
    [anon_sym__Noreturn] = ACTIONS(3136),
    [anon_sym_noreturn] = ACTIONS(3136),
    [anon_sym_mutable] = ACTIONS(3136),
    [anon_sym_constinit] = ACTIONS(3136),
    [anon_sym_consteval] = ACTIONS(3136),
    [anon_sym_PROGMEM] = ACTIONS(3136),
    [aux_sym_primitive_type_token1] = ACTIONS(3136),
    [anon_sym_byte] = ACTIONS(3136),
    [anon_sym_word] = ACTIONS(3136),
    [anon_sym_enum] = ACTIONS(3136),
    [anon_sym_class] = ACTIONS(3136),
    [anon_sym_struct] = ACTIONS(3136),
    [anon_sym_union] = ACTIONS(3136),
    [anon_sym_if] = ACTIONS(3136),
    [anon_sym_else] = ACTIONS(3136),
    [anon_sym_switch] = ACTIONS(3136),
    [anon_sym_case] = ACTIONS(3136),
    [anon_sym_default] = ACTIONS(3136),
    [anon_sym_while] = ACTIONS(3136),
    [anon_sym_do] = ACTIONS(3136),
    [anon_sym_for] = ACTIONS(3136),
    [anon_sym_return] = ACTIONS(3136),
    [anon_sym_break] = ACTIONS(3136),
    [anon_sym_continue] = ACTIONS(3136),
    [anon_sym_goto] = ACTIONS(3136),
    [anon_sym___try] = ACTIONS(3136),
    [anon_sym___leave] = ACTIONS(3136),
    [anon_sym_not] = ACTIONS(3136),
    [anon_sym_compl] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_sizeof] = ACTIONS(3136),
    [anon_sym___alignof__] = ACTIONS(3136),
    [anon_sym___alignof] = ACTIONS(3136),
    [anon_sym__alignof] = ACTIONS(3136),
    [anon_sym_alignof] = ACTIONS(3136),
    [anon_sym__Alignof] = ACTIONS(3136),
    [anon_sym_offsetof] = ACTIONS(3136),
    [anon_sym__Generic] = ACTIONS(3136),
    [anon_sym_asm] = ACTIONS(3136),
    [anon_sym___asm__] = ACTIONS(3136),
    [aux_sym_number_literal_token1] = ACTIONS(3138),
    [aux_sym_number_literal_token2] = ACTIONS(3136),
    [anon_sym_L_SQUOTE] = ACTIONS(3138),
    [anon_sym_u_SQUOTE] = ACTIONS(3138),
    [anon_sym_U_SQUOTE] = ACTIONS(3138),
    [anon_sym_u8_SQUOTE] = ACTIONS(3138),
    [anon_sym_SQUOTE] = ACTIONS(3138),
    [anon_sym_L_DQUOTE] = ACTIONS(3138),
    [anon_sym_u_DQUOTE] = ACTIONS(3138),
    [anon_sym_U_DQUOTE] = ACTIONS(3138),
    [anon_sym_u8_DQUOTE] = ACTIONS(3138),
    [anon_sym_DQUOTE] = ACTIONS(3138),
    [sym_true] = ACTIONS(3136),
    [sym_false] = ACTIONS(3136),
    [anon_sym_NULL] = ACTIONS(3136),
    [anon_sym_nullptr] = ACTIONS(3136),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3136),
    [anon_sym_decltype] = ACTIONS(3136),
    [anon_sym_virtual] = ACTIONS(3136),
    [anon_sym_alignas] = ACTIONS(3136),
    [anon_sym_explicit] = ACTIONS(3136),
    [anon_sym_typename] = ACTIONS(3136),
    [anon_sym_template] = ACTIONS(3136),
    [anon_sym_operator] = ACTIONS(3136),
    [anon_sym_try] = ACTIONS(3136),
    [anon_sym_delete] = ACTIONS(3136),
    [anon_sym_throw] = ACTIONS(3136),
    [anon_sym_namespace] = ACTIONS(3136),
    [anon_sym_using] = ACTIONS(3136),
    [anon_sym_static_assert] = ACTIONS(3136),
    [anon_sym_concept] = ACTIONS(3136),
    [anon_sym_co_return] = ACTIONS(3136),
    [anon_sym_co_yield] = ACTIONS(3136),
    [anon_sym_R_DQUOTE] = ACTIONS(3138),
    [anon_sym_LR_DQUOTE] = ACTIONS(3138),
    [anon_sym_uR_DQUOTE] = ACTIONS(3138),
    [anon_sym_UR_DQUOTE] = ACTIONS(3138),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3138),
    [anon_sym_co_await] = ACTIONS(3136),
    [anon_sym_new] = ACTIONS(3136),
    [anon_sym_requires] = ACTIONS(3136),
    [sym_this] = ACTIONS(3136),
  },
  [657] = {
    [sym_identifier] = ACTIONS(3104),
    [aux_sym_preproc_include_token1] = ACTIONS(3104),
    [aux_sym_preproc_def_token1] = ACTIONS(3104),
    [aux_sym_preproc_if_token1] = ACTIONS(3104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3104),
    [sym_preproc_directive] = ACTIONS(3104),
    [anon_sym_LPAREN2] = ACTIONS(3106),
    [anon_sym_BANG] = ACTIONS(3106),
    [anon_sym_TILDE] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3104),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_AMP_AMP] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym___extension__] = ACTIONS(3104),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(3104),
    [anon_sym___attribute__] = ACTIONS(3104),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3106),
    [anon_sym___declspec] = ACTIONS(3104),
    [anon_sym___based] = ACTIONS(3104),
    [anon_sym___cdecl] = ACTIONS(3104),
    [anon_sym___clrcall] = ACTIONS(3104),
    [anon_sym___stdcall] = ACTIONS(3104),
    [anon_sym___fastcall] = ACTIONS(3104),
    [anon_sym___thiscall] = ACTIONS(3104),
    [anon_sym___vectorcall] = ACTIONS(3104),
    [anon_sym_LBRACE] = ACTIONS(3106),
    [anon_sym_RBRACE] = ACTIONS(3106),
    [anon_sym_signed] = ACTIONS(3104),
    [anon_sym_unsigned] = ACTIONS(3104),
    [anon_sym_long] = ACTIONS(3104),
    [anon_sym_short] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_static] = ACTIONS(3104),
    [anon_sym_register] = ACTIONS(3104),
    [anon_sym_inline] = ACTIONS(3104),
    [anon_sym___inline] = ACTIONS(3104),
    [anon_sym___inline__] = ACTIONS(3104),
    [anon_sym___forceinline] = ACTIONS(3104),
    [anon_sym_thread_local] = ACTIONS(3104),
    [anon_sym___thread] = ACTIONS(3104),
    [anon_sym_const] = ACTIONS(3104),
    [anon_sym_constexpr] = ACTIONS(3104),
    [anon_sym_volatile] = ACTIONS(3104),
    [anon_sym_restrict] = ACTIONS(3104),
    [anon_sym___restrict__] = ACTIONS(3104),
    [anon_sym__Atomic] = ACTIONS(3104),
    [anon_sym__Noreturn] = ACTIONS(3104),
    [anon_sym_noreturn] = ACTIONS(3104),
    [anon_sym_mutable] = ACTIONS(3104),
    [anon_sym_constinit] = ACTIONS(3104),
    [anon_sym_consteval] = ACTIONS(3104),
    [anon_sym_PROGMEM] = ACTIONS(3104),
    [aux_sym_primitive_type_token1] = ACTIONS(3104),
    [anon_sym_byte] = ACTIONS(3104),
    [anon_sym_word] = ACTIONS(3104),
    [anon_sym_enum] = ACTIONS(3104),
    [anon_sym_class] = ACTIONS(3104),
    [anon_sym_struct] = ACTIONS(3104),
    [anon_sym_union] = ACTIONS(3104),
    [anon_sym_if] = ACTIONS(3104),
    [anon_sym_else] = ACTIONS(3104),
    [anon_sym_switch] = ACTIONS(3104),
    [anon_sym_case] = ACTIONS(3104),
    [anon_sym_default] = ACTIONS(3104),
    [anon_sym_while] = ACTIONS(3104),
    [anon_sym_do] = ACTIONS(3104),
    [anon_sym_for] = ACTIONS(3104),
    [anon_sym_return] = ACTIONS(3104),
    [anon_sym_break] = ACTIONS(3104),
    [anon_sym_continue] = ACTIONS(3104),
    [anon_sym_goto] = ACTIONS(3104),
    [anon_sym___try] = ACTIONS(3104),
    [anon_sym___leave] = ACTIONS(3104),
    [anon_sym_not] = ACTIONS(3104),
    [anon_sym_compl] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_sizeof] = ACTIONS(3104),
    [anon_sym___alignof__] = ACTIONS(3104),
    [anon_sym___alignof] = ACTIONS(3104),
    [anon_sym__alignof] = ACTIONS(3104),
    [anon_sym_alignof] = ACTIONS(3104),
    [anon_sym__Alignof] = ACTIONS(3104),
    [anon_sym_offsetof] = ACTIONS(3104),
    [anon_sym__Generic] = ACTIONS(3104),
    [anon_sym_asm] = ACTIONS(3104),
    [anon_sym___asm__] = ACTIONS(3104),
    [aux_sym_number_literal_token1] = ACTIONS(3106),
    [aux_sym_number_literal_token2] = ACTIONS(3104),
    [anon_sym_L_SQUOTE] = ACTIONS(3106),
    [anon_sym_u_SQUOTE] = ACTIONS(3106),
    [anon_sym_U_SQUOTE] = ACTIONS(3106),
    [anon_sym_u8_SQUOTE] = ACTIONS(3106),
    [anon_sym_SQUOTE] = ACTIONS(3106),
    [anon_sym_L_DQUOTE] = ACTIONS(3106),
    [anon_sym_u_DQUOTE] = ACTIONS(3106),
    [anon_sym_U_DQUOTE] = ACTIONS(3106),
    [anon_sym_u8_DQUOTE] = ACTIONS(3106),
    [anon_sym_DQUOTE] = ACTIONS(3106),
    [sym_true] = ACTIONS(3104),
    [sym_false] = ACTIONS(3104),
    [anon_sym_NULL] = ACTIONS(3104),
    [anon_sym_nullptr] = ACTIONS(3104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3104),
    [anon_sym_decltype] = ACTIONS(3104),
    [anon_sym_virtual] = ACTIONS(3104),
    [anon_sym_alignas] = ACTIONS(3104),
    [anon_sym_explicit] = ACTIONS(3104),
    [anon_sym_typename] = ACTIONS(3104),
    [anon_sym_template] = ACTIONS(3104),
    [anon_sym_operator] = ACTIONS(3104),
    [anon_sym_try] = ACTIONS(3104),
    [anon_sym_delete] = ACTIONS(3104),
    [anon_sym_throw] = ACTIONS(3104),
    [anon_sym_namespace] = ACTIONS(3104),
    [anon_sym_using] = ACTIONS(3104),
    [anon_sym_static_assert] = ACTIONS(3104),
    [anon_sym_concept] = ACTIONS(3104),
    [anon_sym_co_return] = ACTIONS(3104),
    [anon_sym_co_yield] = ACTIONS(3104),
    [anon_sym_R_DQUOTE] = ACTIONS(3106),
    [anon_sym_LR_DQUOTE] = ACTIONS(3106),
    [anon_sym_uR_DQUOTE] = ACTIONS(3106),
    [anon_sym_UR_DQUOTE] = ACTIONS(3106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3106),
    [anon_sym_co_await] = ACTIONS(3104),
    [anon_sym_new] = ACTIONS(3104),
    [anon_sym_requires] = ACTIONS(3104),
    [sym_this] = ACTIONS(3104),
  },
  [658] = {
    [sym_identifier] = ACTIONS(3072),
    [aux_sym_preproc_include_token1] = ACTIONS(3072),
    [aux_sym_preproc_def_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token2] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3072),
    [sym_preproc_directive] = ACTIONS(3072),
    [anon_sym_LPAREN2] = ACTIONS(3074),
    [anon_sym_BANG] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3074),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym___extension__] = ACTIONS(3072),
    [anon_sym_typedef] = ACTIONS(3072),
    [anon_sym_extern] = ACTIONS(3072),
    [anon_sym___attribute__] = ACTIONS(3072),
    [anon_sym_COLON_COLON] = ACTIONS(3074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3074),
    [anon_sym___declspec] = ACTIONS(3072),
    [anon_sym___based] = ACTIONS(3072),
    [anon_sym___cdecl] = ACTIONS(3072),
    [anon_sym___clrcall] = ACTIONS(3072),
    [anon_sym___stdcall] = ACTIONS(3072),
    [anon_sym___fastcall] = ACTIONS(3072),
    [anon_sym___thiscall] = ACTIONS(3072),
    [anon_sym___vectorcall] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3074),
    [anon_sym_signed] = ACTIONS(3072),
    [anon_sym_unsigned] = ACTIONS(3072),
    [anon_sym_long] = ACTIONS(3072),
    [anon_sym_short] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_register] = ACTIONS(3072),
    [anon_sym_inline] = ACTIONS(3072),
    [anon_sym___inline] = ACTIONS(3072),
    [anon_sym___inline__] = ACTIONS(3072),
    [anon_sym___forceinline] = ACTIONS(3072),
    [anon_sym_thread_local] = ACTIONS(3072),
    [anon_sym___thread] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_constexpr] = ACTIONS(3072),
    [anon_sym_volatile] = ACTIONS(3072),
    [anon_sym_restrict] = ACTIONS(3072),
    [anon_sym___restrict__] = ACTIONS(3072),
    [anon_sym__Atomic] = ACTIONS(3072),
    [anon_sym__Noreturn] = ACTIONS(3072),
    [anon_sym_noreturn] = ACTIONS(3072),
    [anon_sym_mutable] = ACTIONS(3072),
    [anon_sym_constinit] = ACTIONS(3072),
    [anon_sym_consteval] = ACTIONS(3072),
    [anon_sym_PROGMEM] = ACTIONS(3072),
    [aux_sym_primitive_type_token1] = ACTIONS(3072),
    [anon_sym_byte] = ACTIONS(3072),
    [anon_sym_word] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_struct] = ACTIONS(3072),
    [anon_sym_union] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_else] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_default] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_goto] = ACTIONS(3072),
    [anon_sym___try] = ACTIONS(3072),
    [anon_sym___leave] = ACTIONS(3072),
    [anon_sym_not] = ACTIONS(3072),
    [anon_sym_compl] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_sizeof] = ACTIONS(3072),
    [anon_sym___alignof__] = ACTIONS(3072),
    [anon_sym___alignof] = ACTIONS(3072),
    [anon_sym__alignof] = ACTIONS(3072),
    [anon_sym_alignof] = ACTIONS(3072),
    [anon_sym__Alignof] = ACTIONS(3072),
    [anon_sym_offsetof] = ACTIONS(3072),
    [anon_sym__Generic] = ACTIONS(3072),
    [anon_sym_asm] = ACTIONS(3072),
    [anon_sym___asm__] = ACTIONS(3072),
    [aux_sym_number_literal_token1] = ACTIONS(3074),
    [aux_sym_number_literal_token2] = ACTIONS(3072),
    [anon_sym_L_SQUOTE] = ACTIONS(3074),
    [anon_sym_u_SQUOTE] = ACTIONS(3074),
    [anon_sym_U_SQUOTE] = ACTIONS(3074),
    [anon_sym_u8_SQUOTE] = ACTIONS(3074),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [anon_sym_L_DQUOTE] = ACTIONS(3074),
    [anon_sym_u_DQUOTE] = ACTIONS(3074),
    [anon_sym_U_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8_DQUOTE] = ACTIONS(3074),
    [anon_sym_DQUOTE] = ACTIONS(3074),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3072),
    [anon_sym_decltype] = ACTIONS(3072),
    [anon_sym_virtual] = ACTIONS(3072),
    [anon_sym_alignas] = ACTIONS(3072),
    [anon_sym_explicit] = ACTIONS(3072),
    [anon_sym_typename] = ACTIONS(3072),
    [anon_sym_template] = ACTIONS(3072),
    [anon_sym_operator] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_static_assert] = ACTIONS(3072),
    [anon_sym_concept] = ACTIONS(3072),
    [anon_sym_co_return] = ACTIONS(3072),
    [anon_sym_co_yield] = ACTIONS(3072),
    [anon_sym_R_DQUOTE] = ACTIONS(3074),
    [anon_sym_LR_DQUOTE] = ACTIONS(3074),
    [anon_sym_uR_DQUOTE] = ACTIONS(3074),
    [anon_sym_UR_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3074),
    [anon_sym_co_await] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_requires] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
  },
  [659] = {
    [sym_identifier] = ACTIONS(3112),
    [aux_sym_preproc_include_token1] = ACTIONS(3112),
    [aux_sym_preproc_def_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token2] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3112),
    [sym_preproc_directive] = ACTIONS(3112),
    [anon_sym_LPAREN2] = ACTIONS(3114),
    [anon_sym_BANG] = ACTIONS(3114),
    [anon_sym_TILDE] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym___extension__] = ACTIONS(3112),
    [anon_sym_typedef] = ACTIONS(3112),
    [anon_sym_extern] = ACTIONS(3112),
    [anon_sym___attribute__] = ACTIONS(3112),
    [anon_sym_COLON_COLON] = ACTIONS(3114),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3114),
    [anon_sym___declspec] = ACTIONS(3112),
    [anon_sym___based] = ACTIONS(3112),
    [anon_sym___cdecl] = ACTIONS(3112),
    [anon_sym___clrcall] = ACTIONS(3112),
    [anon_sym___stdcall] = ACTIONS(3112),
    [anon_sym___fastcall] = ACTIONS(3112),
    [anon_sym___thiscall] = ACTIONS(3112),
    [anon_sym___vectorcall] = ACTIONS(3112),
    [anon_sym_LBRACE] = ACTIONS(3114),
    [anon_sym_signed] = ACTIONS(3112),
    [anon_sym_unsigned] = ACTIONS(3112),
    [anon_sym_long] = ACTIONS(3112),
    [anon_sym_short] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_register] = ACTIONS(3112),
    [anon_sym_inline] = ACTIONS(3112),
    [anon_sym___inline] = ACTIONS(3112),
    [anon_sym___inline__] = ACTIONS(3112),
    [anon_sym___forceinline] = ACTIONS(3112),
    [anon_sym_thread_local] = ACTIONS(3112),
    [anon_sym___thread] = ACTIONS(3112),
    [anon_sym_const] = ACTIONS(3112),
    [anon_sym_constexpr] = ACTIONS(3112),
    [anon_sym_volatile] = ACTIONS(3112),
    [anon_sym_restrict] = ACTIONS(3112),
    [anon_sym___restrict__] = ACTIONS(3112),
    [anon_sym__Atomic] = ACTIONS(3112),
    [anon_sym__Noreturn] = ACTIONS(3112),
    [anon_sym_noreturn] = ACTIONS(3112),
    [anon_sym_mutable] = ACTIONS(3112),
    [anon_sym_constinit] = ACTIONS(3112),
    [anon_sym_consteval] = ACTIONS(3112),
    [anon_sym_PROGMEM] = ACTIONS(3112),
    [aux_sym_primitive_type_token1] = ACTIONS(3112),
    [anon_sym_byte] = ACTIONS(3112),
    [anon_sym_word] = ACTIONS(3112),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3112),
    [anon_sym_struct] = ACTIONS(3112),
    [anon_sym_union] = ACTIONS(3112),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_else] = ACTIONS(3112),
    [anon_sym_switch] = ACTIONS(3112),
    [anon_sym_case] = ACTIONS(3112),
    [anon_sym_default] = ACTIONS(3112),
    [anon_sym_while] = ACTIONS(3112),
    [anon_sym_do] = ACTIONS(3112),
    [anon_sym_for] = ACTIONS(3112),
    [anon_sym_return] = ACTIONS(3112),
    [anon_sym_break] = ACTIONS(3112),
    [anon_sym_continue] = ACTIONS(3112),
    [anon_sym_goto] = ACTIONS(3112),
    [anon_sym___try] = ACTIONS(3112),
    [anon_sym___leave] = ACTIONS(3112),
    [anon_sym_not] = ACTIONS(3112),
    [anon_sym_compl] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_sizeof] = ACTIONS(3112),
    [anon_sym___alignof__] = ACTIONS(3112),
    [anon_sym___alignof] = ACTIONS(3112),
    [anon_sym__alignof] = ACTIONS(3112),
    [anon_sym_alignof] = ACTIONS(3112),
    [anon_sym__Alignof] = ACTIONS(3112),
    [anon_sym_offsetof] = ACTIONS(3112),
    [anon_sym__Generic] = ACTIONS(3112),
    [anon_sym_asm] = ACTIONS(3112),
    [anon_sym___asm__] = ACTIONS(3112),
    [aux_sym_number_literal_token1] = ACTIONS(3114),
    [aux_sym_number_literal_token2] = ACTIONS(3112),
    [anon_sym_L_SQUOTE] = ACTIONS(3114),
    [anon_sym_u_SQUOTE] = ACTIONS(3114),
    [anon_sym_U_SQUOTE] = ACTIONS(3114),
    [anon_sym_u8_SQUOTE] = ACTIONS(3114),
    [anon_sym_SQUOTE] = ACTIONS(3114),
    [anon_sym_L_DQUOTE] = ACTIONS(3114),
    [anon_sym_u_DQUOTE] = ACTIONS(3114),
    [anon_sym_U_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8_DQUOTE] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(3114),
    [sym_true] = ACTIONS(3112),
    [sym_false] = ACTIONS(3112),
    [anon_sym_NULL] = ACTIONS(3112),
    [anon_sym_nullptr] = ACTIONS(3112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3112),
    [anon_sym_decltype] = ACTIONS(3112),
    [anon_sym_virtual] = ACTIONS(3112),
    [anon_sym_alignas] = ACTIONS(3112),
    [anon_sym_explicit] = ACTIONS(3112),
    [anon_sym_typename] = ACTIONS(3112),
    [anon_sym_template] = ACTIONS(3112),
    [anon_sym_operator] = ACTIONS(3112),
    [anon_sym_try] = ACTIONS(3112),
    [anon_sym_delete] = ACTIONS(3112),
    [anon_sym_throw] = ACTIONS(3112),
    [anon_sym_namespace] = ACTIONS(3112),
    [anon_sym_using] = ACTIONS(3112),
    [anon_sym_static_assert] = ACTIONS(3112),
    [anon_sym_concept] = ACTIONS(3112),
    [anon_sym_co_return] = ACTIONS(3112),
    [anon_sym_co_yield] = ACTIONS(3112),
    [anon_sym_R_DQUOTE] = ACTIONS(3114),
    [anon_sym_LR_DQUOTE] = ACTIONS(3114),
    [anon_sym_uR_DQUOTE] = ACTIONS(3114),
    [anon_sym_UR_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3114),
    [anon_sym_co_await] = ACTIONS(3112),
    [anon_sym_new] = ACTIONS(3112),
    [anon_sym_requires] = ACTIONS(3112),
    [sym_this] = ACTIONS(3112),
  },
  [660] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [661] = {
    [sym_identifier] = ACTIONS(3108),
    [aux_sym_preproc_include_token1] = ACTIONS(3108),
    [aux_sym_preproc_def_token1] = ACTIONS(3108),
    [aux_sym_preproc_if_token1] = ACTIONS(3108),
    [aux_sym_preproc_if_token2] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3108),
    [sym_preproc_directive] = ACTIONS(3108),
    [anon_sym_LPAREN2] = ACTIONS(3110),
    [anon_sym_BANG] = ACTIONS(3110),
    [anon_sym_TILDE] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3110),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym___extension__] = ACTIONS(3108),
    [anon_sym_typedef] = ACTIONS(3108),
    [anon_sym_extern] = ACTIONS(3108),
    [anon_sym___attribute__] = ACTIONS(3108),
    [anon_sym_COLON_COLON] = ACTIONS(3110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3110),
    [anon_sym___declspec] = ACTIONS(3108),
    [anon_sym___based] = ACTIONS(3108),
    [anon_sym___cdecl] = ACTIONS(3108),
    [anon_sym___clrcall] = ACTIONS(3108),
    [anon_sym___stdcall] = ACTIONS(3108),
    [anon_sym___fastcall] = ACTIONS(3108),
    [anon_sym___thiscall] = ACTIONS(3108),
    [anon_sym___vectorcall] = ACTIONS(3108),
    [anon_sym_LBRACE] = ACTIONS(3110),
    [anon_sym_signed] = ACTIONS(3108),
    [anon_sym_unsigned] = ACTIONS(3108),
    [anon_sym_long] = ACTIONS(3108),
    [anon_sym_short] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(3108),
    [anon_sym_register] = ACTIONS(3108),
    [anon_sym_inline] = ACTIONS(3108),
    [anon_sym___inline] = ACTIONS(3108),
    [anon_sym___inline__] = ACTIONS(3108),
    [anon_sym___forceinline] = ACTIONS(3108),
    [anon_sym_thread_local] = ACTIONS(3108),
    [anon_sym___thread] = ACTIONS(3108),
    [anon_sym_const] = ACTIONS(3108),
    [anon_sym_constexpr] = ACTIONS(3108),
    [anon_sym_volatile] = ACTIONS(3108),
    [anon_sym_restrict] = ACTIONS(3108),
    [anon_sym___restrict__] = ACTIONS(3108),
    [anon_sym__Atomic] = ACTIONS(3108),
    [anon_sym__Noreturn] = ACTIONS(3108),
    [anon_sym_noreturn] = ACTIONS(3108),
    [anon_sym_mutable] = ACTIONS(3108),
    [anon_sym_constinit] = ACTIONS(3108),
    [anon_sym_consteval] = ACTIONS(3108),
    [anon_sym_PROGMEM] = ACTIONS(3108),
    [aux_sym_primitive_type_token1] = ACTIONS(3108),
    [anon_sym_byte] = ACTIONS(3108),
    [anon_sym_word] = ACTIONS(3108),
    [anon_sym_enum] = ACTIONS(3108),
    [anon_sym_class] = ACTIONS(3108),
    [anon_sym_struct] = ACTIONS(3108),
    [anon_sym_union] = ACTIONS(3108),
    [anon_sym_if] = ACTIONS(3108),
    [anon_sym_else] = ACTIONS(3108),
    [anon_sym_switch] = ACTIONS(3108),
    [anon_sym_case] = ACTIONS(3108),
    [anon_sym_default] = ACTIONS(3108),
    [anon_sym_while] = ACTIONS(3108),
    [anon_sym_do] = ACTIONS(3108),
    [anon_sym_for] = ACTIONS(3108),
    [anon_sym_return] = ACTIONS(3108),
    [anon_sym_break] = ACTIONS(3108),
    [anon_sym_continue] = ACTIONS(3108),
    [anon_sym_goto] = ACTIONS(3108),
    [anon_sym___try] = ACTIONS(3108),
    [anon_sym___leave] = ACTIONS(3108),
    [anon_sym_not] = ACTIONS(3108),
    [anon_sym_compl] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_sizeof] = ACTIONS(3108),
    [anon_sym___alignof__] = ACTIONS(3108),
    [anon_sym___alignof] = ACTIONS(3108),
    [anon_sym__alignof] = ACTIONS(3108),
    [anon_sym_alignof] = ACTIONS(3108),
    [anon_sym__Alignof] = ACTIONS(3108),
    [anon_sym_offsetof] = ACTIONS(3108),
    [anon_sym__Generic] = ACTIONS(3108),
    [anon_sym_asm] = ACTIONS(3108),
    [anon_sym___asm__] = ACTIONS(3108),
    [aux_sym_number_literal_token1] = ACTIONS(3110),
    [aux_sym_number_literal_token2] = ACTIONS(3108),
    [anon_sym_L_SQUOTE] = ACTIONS(3110),
    [anon_sym_u_SQUOTE] = ACTIONS(3110),
    [anon_sym_U_SQUOTE] = ACTIONS(3110),
    [anon_sym_u8_SQUOTE] = ACTIONS(3110),
    [anon_sym_SQUOTE] = ACTIONS(3110),
    [anon_sym_L_DQUOTE] = ACTIONS(3110),
    [anon_sym_u_DQUOTE] = ACTIONS(3110),
    [anon_sym_U_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8_DQUOTE] = ACTIONS(3110),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [sym_true] = ACTIONS(3108),
    [sym_false] = ACTIONS(3108),
    [anon_sym_NULL] = ACTIONS(3108),
    [anon_sym_nullptr] = ACTIONS(3108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3108),
    [anon_sym_decltype] = ACTIONS(3108),
    [anon_sym_virtual] = ACTIONS(3108),
    [anon_sym_alignas] = ACTIONS(3108),
    [anon_sym_explicit] = ACTIONS(3108),
    [anon_sym_typename] = ACTIONS(3108),
    [anon_sym_template] = ACTIONS(3108),
    [anon_sym_operator] = ACTIONS(3108),
    [anon_sym_try] = ACTIONS(3108),
    [anon_sym_delete] = ACTIONS(3108),
    [anon_sym_throw] = ACTIONS(3108),
    [anon_sym_namespace] = ACTIONS(3108),
    [anon_sym_using] = ACTIONS(3108),
    [anon_sym_static_assert] = ACTIONS(3108),
    [anon_sym_concept] = ACTIONS(3108),
    [anon_sym_co_return] = ACTIONS(3108),
    [anon_sym_co_yield] = ACTIONS(3108),
    [anon_sym_R_DQUOTE] = ACTIONS(3110),
    [anon_sym_LR_DQUOTE] = ACTIONS(3110),
    [anon_sym_uR_DQUOTE] = ACTIONS(3110),
    [anon_sym_UR_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3110),
    [anon_sym_co_await] = ACTIONS(3108),
    [anon_sym_new] = ACTIONS(3108),
    [anon_sym_requires] = ACTIONS(3108),
    [sym_this] = ACTIONS(3108),
  },
  [662] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [663] = {
    [ts_builtin_sym_end] = ACTIONS(3034),
    [sym_identifier] = ACTIONS(3032),
    [aux_sym_preproc_include_token1] = ACTIONS(3032),
    [aux_sym_preproc_def_token1] = ACTIONS(3032),
    [aux_sym_preproc_if_token1] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3032),
    [sym_preproc_directive] = ACTIONS(3032),
    [anon_sym_LPAREN2] = ACTIONS(3034),
    [anon_sym_BANG] = ACTIONS(3034),
    [anon_sym_TILDE] = ACTIONS(3034),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_AMP] = ACTIONS(3032),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym___extension__] = ACTIONS(3032),
    [anon_sym_typedef] = ACTIONS(3032),
    [anon_sym_extern] = ACTIONS(3032),
    [anon_sym___attribute__] = ACTIONS(3032),
    [anon_sym_COLON_COLON] = ACTIONS(3034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3034),
    [anon_sym___declspec] = ACTIONS(3032),
    [anon_sym___based] = ACTIONS(3032),
    [anon_sym___cdecl] = ACTIONS(3032),
    [anon_sym___clrcall] = ACTIONS(3032),
    [anon_sym___stdcall] = ACTIONS(3032),
    [anon_sym___fastcall] = ACTIONS(3032),
    [anon_sym___thiscall] = ACTIONS(3032),
    [anon_sym___vectorcall] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(3034),
    [anon_sym_signed] = ACTIONS(3032),
    [anon_sym_unsigned] = ACTIONS(3032),
    [anon_sym_long] = ACTIONS(3032),
    [anon_sym_short] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3032),
    [anon_sym_static] = ACTIONS(3032),
    [anon_sym_register] = ACTIONS(3032),
    [anon_sym_inline] = ACTIONS(3032),
    [anon_sym___inline] = ACTIONS(3032),
    [anon_sym___inline__] = ACTIONS(3032),
    [anon_sym___forceinline] = ACTIONS(3032),
    [anon_sym_thread_local] = ACTIONS(3032),
    [anon_sym___thread] = ACTIONS(3032),
    [anon_sym_const] = ACTIONS(3032),
    [anon_sym_constexpr] = ACTIONS(3032),
    [anon_sym_volatile] = ACTIONS(3032),
    [anon_sym_restrict] = ACTIONS(3032),
    [anon_sym___restrict__] = ACTIONS(3032),
    [anon_sym__Atomic] = ACTIONS(3032),
    [anon_sym__Noreturn] = ACTIONS(3032),
    [anon_sym_noreturn] = ACTIONS(3032),
    [anon_sym_mutable] = ACTIONS(3032),
    [anon_sym_constinit] = ACTIONS(3032),
    [anon_sym_consteval] = ACTIONS(3032),
    [anon_sym_PROGMEM] = ACTIONS(3032),
    [aux_sym_primitive_type_token1] = ACTIONS(3032),
    [anon_sym_byte] = ACTIONS(3032),
    [anon_sym_word] = ACTIONS(3032),
    [anon_sym_enum] = ACTIONS(3032),
    [anon_sym_class] = ACTIONS(3032),
    [anon_sym_struct] = ACTIONS(3032),
    [anon_sym_union] = ACTIONS(3032),
    [anon_sym_if] = ACTIONS(3032),
    [anon_sym_else] = ACTIONS(3032),
    [anon_sym_switch] = ACTIONS(3032),
    [anon_sym_case] = ACTIONS(3032),
    [anon_sym_default] = ACTIONS(3032),
    [anon_sym_while] = ACTIONS(3032),
    [anon_sym_do] = ACTIONS(3032),
    [anon_sym_for] = ACTIONS(3032),
    [anon_sym_return] = ACTIONS(3032),
    [anon_sym_break] = ACTIONS(3032),
    [anon_sym_continue] = ACTIONS(3032),
    [anon_sym_goto] = ACTIONS(3032),
    [anon_sym___try] = ACTIONS(3032),
    [anon_sym___leave] = ACTIONS(3032),
    [anon_sym_not] = ACTIONS(3032),
    [anon_sym_compl] = ACTIONS(3032),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_sizeof] = ACTIONS(3032),
    [anon_sym___alignof__] = ACTIONS(3032),
    [anon_sym___alignof] = ACTIONS(3032),
    [anon_sym__alignof] = ACTIONS(3032),
    [anon_sym_alignof] = ACTIONS(3032),
    [anon_sym__Alignof] = ACTIONS(3032),
    [anon_sym_offsetof] = ACTIONS(3032),
    [anon_sym__Generic] = ACTIONS(3032),
    [anon_sym_asm] = ACTIONS(3032),
    [anon_sym___asm__] = ACTIONS(3032),
    [aux_sym_number_literal_token1] = ACTIONS(3034),
    [aux_sym_number_literal_token2] = ACTIONS(3032),
    [anon_sym_L_SQUOTE] = ACTIONS(3034),
    [anon_sym_u_SQUOTE] = ACTIONS(3034),
    [anon_sym_U_SQUOTE] = ACTIONS(3034),
    [anon_sym_u8_SQUOTE] = ACTIONS(3034),
    [anon_sym_SQUOTE] = ACTIONS(3034),
    [anon_sym_L_DQUOTE] = ACTIONS(3034),
    [anon_sym_u_DQUOTE] = ACTIONS(3034),
    [anon_sym_U_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8_DQUOTE] = ACTIONS(3034),
    [anon_sym_DQUOTE] = ACTIONS(3034),
    [sym_true] = ACTIONS(3032),
    [sym_false] = ACTIONS(3032),
    [anon_sym_NULL] = ACTIONS(3032),
    [anon_sym_nullptr] = ACTIONS(3032),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3032),
    [anon_sym_decltype] = ACTIONS(3032),
    [anon_sym_virtual] = ACTIONS(3032),
    [anon_sym_alignas] = ACTIONS(3032),
    [anon_sym_explicit] = ACTIONS(3032),
    [anon_sym_typename] = ACTIONS(3032),
    [anon_sym_template] = ACTIONS(3032),
    [anon_sym_operator] = ACTIONS(3032),
    [anon_sym_try] = ACTIONS(3032),
    [anon_sym_delete] = ACTIONS(3032),
    [anon_sym_throw] = ACTIONS(3032),
    [anon_sym_namespace] = ACTIONS(3032),
    [anon_sym_using] = ACTIONS(3032),
    [anon_sym_static_assert] = ACTIONS(3032),
    [anon_sym_concept] = ACTIONS(3032),
    [anon_sym_co_return] = ACTIONS(3032),
    [anon_sym_co_yield] = ACTIONS(3032),
    [anon_sym_R_DQUOTE] = ACTIONS(3034),
    [anon_sym_LR_DQUOTE] = ACTIONS(3034),
    [anon_sym_uR_DQUOTE] = ACTIONS(3034),
    [anon_sym_UR_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3034),
    [anon_sym_co_await] = ACTIONS(3032),
    [anon_sym_new] = ACTIONS(3032),
    [anon_sym_requires] = ACTIONS(3032),
    [sym_this] = ACTIONS(3032),
  },
  [664] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [665] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [666] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [667] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [668] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [669] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [670] = {
    [sym_identifier] = ACTIONS(3172),
    [aux_sym_preproc_include_token1] = ACTIONS(3172),
    [aux_sym_preproc_def_token1] = ACTIONS(3172),
    [aux_sym_preproc_if_token1] = ACTIONS(3172),
    [aux_sym_preproc_if_token2] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3172),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_AMP_AMP] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym___extension__] = ACTIONS(3172),
    [anon_sym_typedef] = ACTIONS(3172),
    [anon_sym_extern] = ACTIONS(3172),
    [anon_sym___attribute__] = ACTIONS(3172),
    [anon_sym_COLON_COLON] = ACTIONS(3174),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3174),
    [anon_sym___declspec] = ACTIONS(3172),
    [anon_sym___based] = ACTIONS(3172),
    [anon_sym___cdecl] = ACTIONS(3172),
    [anon_sym___clrcall] = ACTIONS(3172),
    [anon_sym___stdcall] = ACTIONS(3172),
    [anon_sym___fastcall] = ACTIONS(3172),
    [anon_sym___thiscall] = ACTIONS(3172),
    [anon_sym___vectorcall] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_signed] = ACTIONS(3172),
    [anon_sym_unsigned] = ACTIONS(3172),
    [anon_sym_long] = ACTIONS(3172),
    [anon_sym_short] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_register] = ACTIONS(3172),
    [anon_sym_inline] = ACTIONS(3172),
    [anon_sym___inline] = ACTIONS(3172),
    [anon_sym___inline__] = ACTIONS(3172),
    [anon_sym___forceinline] = ACTIONS(3172),
    [anon_sym_thread_local] = ACTIONS(3172),
    [anon_sym___thread] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_constexpr] = ACTIONS(3172),
    [anon_sym_volatile] = ACTIONS(3172),
    [anon_sym_restrict] = ACTIONS(3172),
    [anon_sym___restrict__] = ACTIONS(3172),
    [anon_sym__Atomic] = ACTIONS(3172),
    [anon_sym__Noreturn] = ACTIONS(3172),
    [anon_sym_noreturn] = ACTIONS(3172),
    [anon_sym_mutable] = ACTIONS(3172),
    [anon_sym_constinit] = ACTIONS(3172),
    [anon_sym_consteval] = ACTIONS(3172),
    [anon_sym_PROGMEM] = ACTIONS(3172),
    [aux_sym_primitive_type_token1] = ACTIONS(3172),
    [anon_sym_byte] = ACTIONS(3172),
    [anon_sym_word] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_struct] = ACTIONS(3172),
    [anon_sym_union] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_goto] = ACTIONS(3172),
    [anon_sym___try] = ACTIONS(3172),
    [anon_sym___leave] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3172),
    [anon_sym_compl] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(3172),
    [anon_sym___alignof__] = ACTIONS(3172),
    [anon_sym___alignof] = ACTIONS(3172),
    [anon_sym__alignof] = ACTIONS(3172),
    [anon_sym_alignof] = ACTIONS(3172),
    [anon_sym__Alignof] = ACTIONS(3172),
    [anon_sym_offsetof] = ACTIONS(3172),
    [anon_sym__Generic] = ACTIONS(3172),
    [anon_sym_asm] = ACTIONS(3172),
    [anon_sym___asm__] = ACTIONS(3172),
    [aux_sym_number_literal_token1] = ACTIONS(3174),
    [aux_sym_number_literal_token2] = ACTIONS(3172),
    [anon_sym_L_SQUOTE] = ACTIONS(3174),
    [anon_sym_u_SQUOTE] = ACTIONS(3174),
    [anon_sym_U_SQUOTE] = ACTIONS(3174),
    [anon_sym_u8_SQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [anon_sym_L_DQUOTE] = ACTIONS(3174),
    [anon_sym_u_DQUOTE] = ACTIONS(3174),
    [anon_sym_U_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8_DQUOTE] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [anon_sym_NULL] = ACTIONS(3172),
    [anon_sym_nullptr] = ACTIONS(3172),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3172),
    [anon_sym_decltype] = ACTIONS(3172),
    [anon_sym_virtual] = ACTIONS(3172),
    [anon_sym_alignas] = ACTIONS(3172),
    [anon_sym_explicit] = ACTIONS(3172),
    [anon_sym_typename] = ACTIONS(3172),
    [anon_sym_template] = ACTIONS(3172),
    [anon_sym_operator] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_static_assert] = ACTIONS(3172),
    [anon_sym_concept] = ACTIONS(3172),
    [anon_sym_co_return] = ACTIONS(3172),
    [anon_sym_co_yield] = ACTIONS(3172),
    [anon_sym_R_DQUOTE] = ACTIONS(3174),
    [anon_sym_LR_DQUOTE] = ACTIONS(3174),
    [anon_sym_uR_DQUOTE] = ACTIONS(3174),
    [anon_sym_UR_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3174),
    [anon_sym_co_await] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_requires] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
  },
  [671] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [672] = {
    [sym_preproc_def] = STATE(620),
    [sym_preproc_function_def] = STATE(620),
    [sym_preproc_call] = STATE(620),
    [sym_preproc_if_in_field_declaration_list] = STATE(620),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(620),
    [sym_preproc_else_in_field_declaration_list] = STATE(9258),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9258),
    [sym_type_definition] = STATE(620),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6373),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6903),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(620),
    [sym_field_declaration] = STATE(620),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2199),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(620),
    [sym_operator_cast] = STATE(7394),
    [sym_inline_method_definition] = STATE(620),
    [sym__constructor_specifiers] = STATE(2199),
    [sym_operator_cast_definition] = STATE(620),
    [sym_operator_cast_declaration] = STATE(620),
    [sym_constructor_or_destructor_definition] = STATE(620),
    [sym_constructor_or_destructor_declaration] = STATE(620),
    [sym_friend_declaration] = STATE(620),
    [sym_access_specifier] = STATE(8646),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(620),
    [sym_alias_declaration] = STATE(620),
    [sym_static_assert_declaration] = STATE(620),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7394),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(620),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2199),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3525),
    [aux_sym_preproc_if_token1] = ACTIONS(3527),
    [aux_sym_preproc_if_token2] = ACTIONS(3583),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3531),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3531),
    [aux_sym_preproc_else_token1] = ACTIONS(3234),
    [aux_sym_preproc_elif_token1] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3533),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3535),
    [anon_sym_typedef] = ACTIONS(3537),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3539),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3541),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3543),
    [anon_sym_static_assert] = ACTIONS(3545),
  },
  [673] = {
    [ts_builtin_sym_end] = ACTIONS(3078),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_include_token1] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym___cdecl] = ACTIONS(3076),
    [anon_sym___clrcall] = ACTIONS(3076),
    [anon_sym___stdcall] = ACTIONS(3076),
    [anon_sym___fastcall] = ACTIONS(3076),
    [anon_sym___thiscall] = ACTIONS(3076),
    [anon_sym___vectorcall] = ACTIONS(3076),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3076),
    [anon_sym_else] = ACTIONS(3076),
    [anon_sym_switch] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_default] = ACTIONS(3076),
    [anon_sym_while] = ACTIONS(3076),
    [anon_sym_do] = ACTIONS(3076),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_return] = ACTIONS(3076),
    [anon_sym_break] = ACTIONS(3076),
    [anon_sym_continue] = ACTIONS(3076),
    [anon_sym_goto] = ACTIONS(3076),
    [anon_sym___try] = ACTIONS(3076),
    [anon_sym___leave] = ACTIONS(3076),
    [anon_sym_not] = ACTIONS(3076),
    [anon_sym_compl] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_sizeof] = ACTIONS(3076),
    [anon_sym___alignof__] = ACTIONS(3076),
    [anon_sym___alignof] = ACTIONS(3076),
    [anon_sym__alignof] = ACTIONS(3076),
    [anon_sym_alignof] = ACTIONS(3076),
    [anon_sym__Alignof] = ACTIONS(3076),
    [anon_sym_offsetof] = ACTIONS(3076),
    [anon_sym__Generic] = ACTIONS(3076),
    [anon_sym_asm] = ACTIONS(3076),
    [anon_sym___asm__] = ACTIONS(3076),
    [aux_sym_number_literal_token1] = ACTIONS(3078),
    [aux_sym_number_literal_token2] = ACTIONS(3076),
    [anon_sym_L_SQUOTE] = ACTIONS(3078),
    [anon_sym_u_SQUOTE] = ACTIONS(3078),
    [anon_sym_U_SQUOTE] = ACTIONS(3078),
    [anon_sym_u8_SQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_L_DQUOTE] = ACTIONS(3078),
    [anon_sym_u_DQUOTE] = ACTIONS(3078),
    [anon_sym_U_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [sym_true] = ACTIONS(3076),
    [sym_false] = ACTIONS(3076),
    [anon_sym_NULL] = ACTIONS(3076),
    [anon_sym_nullptr] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_try] = ACTIONS(3076),
    [anon_sym_delete] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3076),
    [anon_sym_namespace] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
    [anon_sym_concept] = ACTIONS(3076),
    [anon_sym_co_return] = ACTIONS(3076),
    [anon_sym_co_yield] = ACTIONS(3076),
    [anon_sym_R_DQUOTE] = ACTIONS(3078),
    [anon_sym_LR_DQUOTE] = ACTIONS(3078),
    [anon_sym_uR_DQUOTE] = ACTIONS(3078),
    [anon_sym_UR_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3078),
    [anon_sym_co_await] = ACTIONS(3076),
    [anon_sym_new] = ACTIONS(3076),
    [anon_sym_requires] = ACTIONS(3076),
    [sym_this] = ACTIONS(3076),
  },
  [674] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [675] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [676] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [677] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [678] = {
    [ts_builtin_sym_end] = ACTIONS(3118),
    [sym_identifier] = ACTIONS(3116),
    [aux_sym_preproc_include_token1] = ACTIONS(3116),
    [aux_sym_preproc_def_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token1] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3116),
    [sym_preproc_directive] = ACTIONS(3116),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [anon_sym_BANG] = ACTIONS(3118),
    [anon_sym_TILDE] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3118),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3118),
    [anon_sym___extension__] = ACTIONS(3116),
    [anon_sym_typedef] = ACTIONS(3116),
    [anon_sym_extern] = ACTIONS(3116),
    [anon_sym___attribute__] = ACTIONS(3116),
    [anon_sym_COLON_COLON] = ACTIONS(3118),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3118),
    [anon_sym___declspec] = ACTIONS(3116),
    [anon_sym___based] = ACTIONS(3116),
    [anon_sym___cdecl] = ACTIONS(3116),
    [anon_sym___clrcall] = ACTIONS(3116),
    [anon_sym___stdcall] = ACTIONS(3116),
    [anon_sym___fastcall] = ACTIONS(3116),
    [anon_sym___thiscall] = ACTIONS(3116),
    [anon_sym___vectorcall] = ACTIONS(3116),
    [anon_sym_LBRACE] = ACTIONS(3118),
    [anon_sym_signed] = ACTIONS(3116),
    [anon_sym_unsigned] = ACTIONS(3116),
    [anon_sym_long] = ACTIONS(3116),
    [anon_sym_short] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_static] = ACTIONS(3116),
    [anon_sym_register] = ACTIONS(3116),
    [anon_sym_inline] = ACTIONS(3116),
    [anon_sym___inline] = ACTIONS(3116),
    [anon_sym___inline__] = ACTIONS(3116),
    [anon_sym___forceinline] = ACTIONS(3116),
    [anon_sym_thread_local] = ACTIONS(3116),
    [anon_sym___thread] = ACTIONS(3116),
    [anon_sym_const] = ACTIONS(3116),
    [anon_sym_constexpr] = ACTIONS(3116),
    [anon_sym_volatile] = ACTIONS(3116),
    [anon_sym_restrict] = ACTIONS(3116),
    [anon_sym___restrict__] = ACTIONS(3116),
    [anon_sym__Atomic] = ACTIONS(3116),
    [anon_sym__Noreturn] = ACTIONS(3116),
    [anon_sym_noreturn] = ACTIONS(3116),
    [anon_sym_mutable] = ACTIONS(3116),
    [anon_sym_constinit] = ACTIONS(3116),
    [anon_sym_consteval] = ACTIONS(3116),
    [anon_sym_PROGMEM] = ACTIONS(3116),
    [aux_sym_primitive_type_token1] = ACTIONS(3116),
    [anon_sym_byte] = ACTIONS(3116),
    [anon_sym_word] = ACTIONS(3116),
    [anon_sym_enum] = ACTIONS(3116),
    [anon_sym_class] = ACTIONS(3116),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3116),
    [anon_sym_if] = ACTIONS(3116),
    [anon_sym_else] = ACTIONS(3116),
    [anon_sym_switch] = ACTIONS(3116),
    [anon_sym_case] = ACTIONS(3116),
    [anon_sym_default] = ACTIONS(3116),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_do] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3116),
    [anon_sym_return] = ACTIONS(3116),
    [anon_sym_break] = ACTIONS(3116),
    [anon_sym_continue] = ACTIONS(3116),
    [anon_sym_goto] = ACTIONS(3116),
    [anon_sym___try] = ACTIONS(3116),
    [anon_sym___leave] = ACTIONS(3116),
    [anon_sym_not] = ACTIONS(3116),
    [anon_sym_compl] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_sizeof] = ACTIONS(3116),
    [anon_sym___alignof__] = ACTIONS(3116),
    [anon_sym___alignof] = ACTIONS(3116),
    [anon_sym__alignof] = ACTIONS(3116),
    [anon_sym_alignof] = ACTIONS(3116),
    [anon_sym__Alignof] = ACTIONS(3116),
    [anon_sym_offsetof] = ACTIONS(3116),
    [anon_sym__Generic] = ACTIONS(3116),
    [anon_sym_asm] = ACTIONS(3116),
    [anon_sym___asm__] = ACTIONS(3116),
    [aux_sym_number_literal_token1] = ACTIONS(3118),
    [aux_sym_number_literal_token2] = ACTIONS(3116),
    [anon_sym_L_SQUOTE] = ACTIONS(3118),
    [anon_sym_u_SQUOTE] = ACTIONS(3118),
    [anon_sym_U_SQUOTE] = ACTIONS(3118),
    [anon_sym_u8_SQUOTE] = ACTIONS(3118),
    [anon_sym_SQUOTE] = ACTIONS(3118),
    [anon_sym_L_DQUOTE] = ACTIONS(3118),
    [anon_sym_u_DQUOTE] = ACTIONS(3118),
    [anon_sym_U_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8_DQUOTE] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(3118),
    [sym_true] = ACTIONS(3116),
    [sym_false] = ACTIONS(3116),
    [anon_sym_NULL] = ACTIONS(3116),
    [anon_sym_nullptr] = ACTIONS(3116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3116),
    [anon_sym_decltype] = ACTIONS(3116),
    [anon_sym_virtual] = ACTIONS(3116),
    [anon_sym_alignas] = ACTIONS(3116),
    [anon_sym_explicit] = ACTIONS(3116),
    [anon_sym_typename] = ACTIONS(3116),
    [anon_sym_template] = ACTIONS(3116),
    [anon_sym_operator] = ACTIONS(3116),
    [anon_sym_try] = ACTIONS(3116),
    [anon_sym_delete] = ACTIONS(3116),
    [anon_sym_throw] = ACTIONS(3116),
    [anon_sym_namespace] = ACTIONS(3116),
    [anon_sym_using] = ACTIONS(3116),
    [anon_sym_static_assert] = ACTIONS(3116),
    [anon_sym_concept] = ACTIONS(3116),
    [anon_sym_co_return] = ACTIONS(3116),
    [anon_sym_co_yield] = ACTIONS(3116),
    [anon_sym_R_DQUOTE] = ACTIONS(3118),
    [anon_sym_LR_DQUOTE] = ACTIONS(3118),
    [anon_sym_uR_DQUOTE] = ACTIONS(3118),
    [anon_sym_UR_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3118),
    [anon_sym_co_await] = ACTIONS(3116),
    [anon_sym_new] = ACTIONS(3116),
    [anon_sym_requires] = ACTIONS(3116),
    [sym_this] = ACTIONS(3116),
  },
  [679] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [680] = {
    [ts_builtin_sym_end] = ACTIONS(3078),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_include_token1] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym___cdecl] = ACTIONS(3076),
    [anon_sym___clrcall] = ACTIONS(3076),
    [anon_sym___stdcall] = ACTIONS(3076),
    [anon_sym___fastcall] = ACTIONS(3076),
    [anon_sym___thiscall] = ACTIONS(3076),
    [anon_sym___vectorcall] = ACTIONS(3076),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3076),
    [anon_sym_else] = ACTIONS(3076),
    [anon_sym_switch] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_default] = ACTIONS(3076),
    [anon_sym_while] = ACTIONS(3076),
    [anon_sym_do] = ACTIONS(3076),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_return] = ACTIONS(3076),
    [anon_sym_break] = ACTIONS(3076),
    [anon_sym_continue] = ACTIONS(3076),
    [anon_sym_goto] = ACTIONS(3076),
    [anon_sym___try] = ACTIONS(3076),
    [anon_sym___leave] = ACTIONS(3076),
    [anon_sym_not] = ACTIONS(3076),
    [anon_sym_compl] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_sizeof] = ACTIONS(3076),
    [anon_sym___alignof__] = ACTIONS(3076),
    [anon_sym___alignof] = ACTIONS(3076),
    [anon_sym__alignof] = ACTIONS(3076),
    [anon_sym_alignof] = ACTIONS(3076),
    [anon_sym__Alignof] = ACTIONS(3076),
    [anon_sym_offsetof] = ACTIONS(3076),
    [anon_sym__Generic] = ACTIONS(3076),
    [anon_sym_asm] = ACTIONS(3076),
    [anon_sym___asm__] = ACTIONS(3076),
    [aux_sym_number_literal_token1] = ACTIONS(3078),
    [aux_sym_number_literal_token2] = ACTIONS(3076),
    [anon_sym_L_SQUOTE] = ACTIONS(3078),
    [anon_sym_u_SQUOTE] = ACTIONS(3078),
    [anon_sym_U_SQUOTE] = ACTIONS(3078),
    [anon_sym_u8_SQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_L_DQUOTE] = ACTIONS(3078),
    [anon_sym_u_DQUOTE] = ACTIONS(3078),
    [anon_sym_U_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [sym_true] = ACTIONS(3076),
    [sym_false] = ACTIONS(3076),
    [anon_sym_NULL] = ACTIONS(3076),
    [anon_sym_nullptr] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_try] = ACTIONS(3076),
    [anon_sym_delete] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3076),
    [anon_sym_namespace] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
    [anon_sym_concept] = ACTIONS(3076),
    [anon_sym_co_return] = ACTIONS(3076),
    [anon_sym_co_yield] = ACTIONS(3076),
    [anon_sym_R_DQUOTE] = ACTIONS(3078),
    [anon_sym_LR_DQUOTE] = ACTIONS(3078),
    [anon_sym_uR_DQUOTE] = ACTIONS(3078),
    [anon_sym_UR_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3078),
    [anon_sym_co_await] = ACTIONS(3076),
    [anon_sym_new] = ACTIONS(3076),
    [anon_sym_requires] = ACTIONS(3076),
    [sym_this] = ACTIONS(3076),
  },
  [681] = {
    [ts_builtin_sym_end] = ACTIONS(3154),
    [sym_identifier] = ACTIONS(3152),
    [aux_sym_preproc_include_token1] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token1] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3152),
    [sym_preproc_directive] = ACTIONS(3152),
    [anon_sym_LPAREN2] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym___extension__] = ACTIONS(3152),
    [anon_sym_typedef] = ACTIONS(3152),
    [anon_sym_extern] = ACTIONS(3152),
    [anon_sym___attribute__] = ACTIONS(3152),
    [anon_sym_COLON_COLON] = ACTIONS(3154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3154),
    [anon_sym___declspec] = ACTIONS(3152),
    [anon_sym___based] = ACTIONS(3152),
    [anon_sym___cdecl] = ACTIONS(3152),
    [anon_sym___clrcall] = ACTIONS(3152),
    [anon_sym___stdcall] = ACTIONS(3152),
    [anon_sym___fastcall] = ACTIONS(3152),
    [anon_sym___thiscall] = ACTIONS(3152),
    [anon_sym___vectorcall] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_signed] = ACTIONS(3152),
    [anon_sym_unsigned] = ACTIONS(3152),
    [anon_sym_long] = ACTIONS(3152),
    [anon_sym_short] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_register] = ACTIONS(3152),
    [anon_sym_inline] = ACTIONS(3152),
    [anon_sym___inline] = ACTIONS(3152),
    [anon_sym___inline__] = ACTIONS(3152),
    [anon_sym___forceinline] = ACTIONS(3152),
    [anon_sym_thread_local] = ACTIONS(3152),
    [anon_sym___thread] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_constexpr] = ACTIONS(3152),
    [anon_sym_volatile] = ACTIONS(3152),
    [anon_sym_restrict] = ACTIONS(3152),
    [anon_sym___restrict__] = ACTIONS(3152),
    [anon_sym__Atomic] = ACTIONS(3152),
    [anon_sym__Noreturn] = ACTIONS(3152),
    [anon_sym_noreturn] = ACTIONS(3152),
    [anon_sym_mutable] = ACTIONS(3152),
    [anon_sym_constinit] = ACTIONS(3152),
    [anon_sym_consteval] = ACTIONS(3152),
    [anon_sym_PROGMEM] = ACTIONS(3152),
    [aux_sym_primitive_type_token1] = ACTIONS(3152),
    [anon_sym_byte] = ACTIONS(3152),
    [anon_sym_word] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_struct] = ACTIONS(3152),
    [anon_sym_union] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_else] = ACTIONS(3152),
    [anon_sym_switch] = ACTIONS(3152),
    [anon_sym_case] = ACTIONS(3152),
    [anon_sym_default] = ACTIONS(3152),
    [anon_sym_while] = ACTIONS(3152),
    [anon_sym_do] = ACTIONS(3152),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_return] = ACTIONS(3152),
    [anon_sym_break] = ACTIONS(3152),
    [anon_sym_continue] = ACTIONS(3152),
    [anon_sym_goto] = ACTIONS(3152),
    [anon_sym___try] = ACTIONS(3152),
    [anon_sym___leave] = ACTIONS(3152),
    [anon_sym_not] = ACTIONS(3152),
    [anon_sym_compl] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_sizeof] = ACTIONS(3152),
    [anon_sym___alignof__] = ACTIONS(3152),
    [anon_sym___alignof] = ACTIONS(3152),
    [anon_sym__alignof] = ACTIONS(3152),
    [anon_sym_alignof] = ACTIONS(3152),
    [anon_sym__Alignof] = ACTIONS(3152),
    [anon_sym_offsetof] = ACTIONS(3152),
    [anon_sym__Generic] = ACTIONS(3152),
    [anon_sym_asm] = ACTIONS(3152),
    [anon_sym___asm__] = ACTIONS(3152),
    [aux_sym_number_literal_token1] = ACTIONS(3154),
    [aux_sym_number_literal_token2] = ACTIONS(3152),
    [anon_sym_L_SQUOTE] = ACTIONS(3154),
    [anon_sym_u_SQUOTE] = ACTIONS(3154),
    [anon_sym_U_SQUOTE] = ACTIONS(3154),
    [anon_sym_u8_SQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_L_DQUOTE] = ACTIONS(3154),
    [anon_sym_u_DQUOTE] = ACTIONS(3154),
    [anon_sym_U_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8_DQUOTE] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [sym_true] = ACTIONS(3152),
    [sym_false] = ACTIONS(3152),
    [anon_sym_NULL] = ACTIONS(3152),
    [anon_sym_nullptr] = ACTIONS(3152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3152),
    [anon_sym_decltype] = ACTIONS(3152),
    [anon_sym_virtual] = ACTIONS(3152),
    [anon_sym_alignas] = ACTIONS(3152),
    [anon_sym_explicit] = ACTIONS(3152),
    [anon_sym_typename] = ACTIONS(3152),
    [anon_sym_template] = ACTIONS(3152),
    [anon_sym_operator] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3152),
    [anon_sym_delete] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3152),
    [anon_sym_namespace] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_static_assert] = ACTIONS(3152),
    [anon_sym_concept] = ACTIONS(3152),
    [anon_sym_co_return] = ACTIONS(3152),
    [anon_sym_co_yield] = ACTIONS(3152),
    [anon_sym_R_DQUOTE] = ACTIONS(3154),
    [anon_sym_LR_DQUOTE] = ACTIONS(3154),
    [anon_sym_uR_DQUOTE] = ACTIONS(3154),
    [anon_sym_UR_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3154),
    [anon_sym_co_await] = ACTIONS(3152),
    [anon_sym_new] = ACTIONS(3152),
    [anon_sym_requires] = ACTIONS(3152),
    [sym_this] = ACTIONS(3152),
  },
  [682] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [683] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [684] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [685] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [686] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [687] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [688] = {
    [ts_builtin_sym_end] = ACTIONS(3114),
    [sym_identifier] = ACTIONS(3112),
    [aux_sym_preproc_include_token1] = ACTIONS(3112),
    [aux_sym_preproc_def_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token1] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3112),
    [sym_preproc_directive] = ACTIONS(3112),
    [anon_sym_LPAREN2] = ACTIONS(3114),
    [anon_sym_BANG] = ACTIONS(3114),
    [anon_sym_TILDE] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym___extension__] = ACTIONS(3112),
    [anon_sym_typedef] = ACTIONS(3112),
    [anon_sym_extern] = ACTIONS(3112),
    [anon_sym___attribute__] = ACTIONS(3112),
    [anon_sym_COLON_COLON] = ACTIONS(3114),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3114),
    [anon_sym___declspec] = ACTIONS(3112),
    [anon_sym___based] = ACTIONS(3112),
    [anon_sym___cdecl] = ACTIONS(3112),
    [anon_sym___clrcall] = ACTIONS(3112),
    [anon_sym___stdcall] = ACTIONS(3112),
    [anon_sym___fastcall] = ACTIONS(3112),
    [anon_sym___thiscall] = ACTIONS(3112),
    [anon_sym___vectorcall] = ACTIONS(3112),
    [anon_sym_LBRACE] = ACTIONS(3114),
    [anon_sym_signed] = ACTIONS(3112),
    [anon_sym_unsigned] = ACTIONS(3112),
    [anon_sym_long] = ACTIONS(3112),
    [anon_sym_short] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_register] = ACTIONS(3112),
    [anon_sym_inline] = ACTIONS(3112),
    [anon_sym___inline] = ACTIONS(3112),
    [anon_sym___inline__] = ACTIONS(3112),
    [anon_sym___forceinline] = ACTIONS(3112),
    [anon_sym_thread_local] = ACTIONS(3112),
    [anon_sym___thread] = ACTIONS(3112),
    [anon_sym_const] = ACTIONS(3112),
    [anon_sym_constexpr] = ACTIONS(3112),
    [anon_sym_volatile] = ACTIONS(3112),
    [anon_sym_restrict] = ACTIONS(3112),
    [anon_sym___restrict__] = ACTIONS(3112),
    [anon_sym__Atomic] = ACTIONS(3112),
    [anon_sym__Noreturn] = ACTIONS(3112),
    [anon_sym_noreturn] = ACTIONS(3112),
    [anon_sym_mutable] = ACTIONS(3112),
    [anon_sym_constinit] = ACTIONS(3112),
    [anon_sym_consteval] = ACTIONS(3112),
    [anon_sym_PROGMEM] = ACTIONS(3112),
    [aux_sym_primitive_type_token1] = ACTIONS(3112),
    [anon_sym_byte] = ACTIONS(3112),
    [anon_sym_word] = ACTIONS(3112),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3112),
    [anon_sym_struct] = ACTIONS(3112),
    [anon_sym_union] = ACTIONS(3112),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_else] = ACTIONS(3112),
    [anon_sym_switch] = ACTIONS(3112),
    [anon_sym_case] = ACTIONS(3112),
    [anon_sym_default] = ACTIONS(3112),
    [anon_sym_while] = ACTIONS(3112),
    [anon_sym_do] = ACTIONS(3112),
    [anon_sym_for] = ACTIONS(3112),
    [anon_sym_return] = ACTIONS(3112),
    [anon_sym_break] = ACTIONS(3112),
    [anon_sym_continue] = ACTIONS(3112),
    [anon_sym_goto] = ACTIONS(3112),
    [anon_sym___try] = ACTIONS(3112),
    [anon_sym___leave] = ACTIONS(3112),
    [anon_sym_not] = ACTIONS(3112),
    [anon_sym_compl] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_sizeof] = ACTIONS(3112),
    [anon_sym___alignof__] = ACTIONS(3112),
    [anon_sym___alignof] = ACTIONS(3112),
    [anon_sym__alignof] = ACTIONS(3112),
    [anon_sym_alignof] = ACTIONS(3112),
    [anon_sym__Alignof] = ACTIONS(3112),
    [anon_sym_offsetof] = ACTIONS(3112),
    [anon_sym__Generic] = ACTIONS(3112),
    [anon_sym_asm] = ACTIONS(3112),
    [anon_sym___asm__] = ACTIONS(3112),
    [aux_sym_number_literal_token1] = ACTIONS(3114),
    [aux_sym_number_literal_token2] = ACTIONS(3112),
    [anon_sym_L_SQUOTE] = ACTIONS(3114),
    [anon_sym_u_SQUOTE] = ACTIONS(3114),
    [anon_sym_U_SQUOTE] = ACTIONS(3114),
    [anon_sym_u8_SQUOTE] = ACTIONS(3114),
    [anon_sym_SQUOTE] = ACTIONS(3114),
    [anon_sym_L_DQUOTE] = ACTIONS(3114),
    [anon_sym_u_DQUOTE] = ACTIONS(3114),
    [anon_sym_U_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8_DQUOTE] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(3114),
    [sym_true] = ACTIONS(3112),
    [sym_false] = ACTIONS(3112),
    [anon_sym_NULL] = ACTIONS(3112),
    [anon_sym_nullptr] = ACTIONS(3112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3112),
    [anon_sym_decltype] = ACTIONS(3112),
    [anon_sym_virtual] = ACTIONS(3112),
    [anon_sym_alignas] = ACTIONS(3112),
    [anon_sym_explicit] = ACTIONS(3112),
    [anon_sym_typename] = ACTIONS(3112),
    [anon_sym_template] = ACTIONS(3112),
    [anon_sym_operator] = ACTIONS(3112),
    [anon_sym_try] = ACTIONS(3112),
    [anon_sym_delete] = ACTIONS(3112),
    [anon_sym_throw] = ACTIONS(3112),
    [anon_sym_namespace] = ACTIONS(3112),
    [anon_sym_using] = ACTIONS(3112),
    [anon_sym_static_assert] = ACTIONS(3112),
    [anon_sym_concept] = ACTIONS(3112),
    [anon_sym_co_return] = ACTIONS(3112),
    [anon_sym_co_yield] = ACTIONS(3112),
    [anon_sym_R_DQUOTE] = ACTIONS(3114),
    [anon_sym_LR_DQUOTE] = ACTIONS(3114),
    [anon_sym_uR_DQUOTE] = ACTIONS(3114),
    [anon_sym_UR_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3114),
    [anon_sym_co_await] = ACTIONS(3112),
    [anon_sym_new] = ACTIONS(3112),
    [anon_sym_requires] = ACTIONS(3112),
    [sym_this] = ACTIONS(3112),
  },
  [689] = {
    [ts_builtin_sym_end] = ACTIONS(3110),
    [sym_identifier] = ACTIONS(3108),
    [aux_sym_preproc_include_token1] = ACTIONS(3108),
    [aux_sym_preproc_def_token1] = ACTIONS(3108),
    [aux_sym_preproc_if_token1] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3108),
    [sym_preproc_directive] = ACTIONS(3108),
    [anon_sym_LPAREN2] = ACTIONS(3110),
    [anon_sym_BANG] = ACTIONS(3110),
    [anon_sym_TILDE] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3110),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym___extension__] = ACTIONS(3108),
    [anon_sym_typedef] = ACTIONS(3108),
    [anon_sym_extern] = ACTIONS(3108),
    [anon_sym___attribute__] = ACTIONS(3108),
    [anon_sym_COLON_COLON] = ACTIONS(3110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3110),
    [anon_sym___declspec] = ACTIONS(3108),
    [anon_sym___based] = ACTIONS(3108),
    [anon_sym___cdecl] = ACTIONS(3108),
    [anon_sym___clrcall] = ACTIONS(3108),
    [anon_sym___stdcall] = ACTIONS(3108),
    [anon_sym___fastcall] = ACTIONS(3108),
    [anon_sym___thiscall] = ACTIONS(3108),
    [anon_sym___vectorcall] = ACTIONS(3108),
    [anon_sym_LBRACE] = ACTIONS(3110),
    [anon_sym_signed] = ACTIONS(3108),
    [anon_sym_unsigned] = ACTIONS(3108),
    [anon_sym_long] = ACTIONS(3108),
    [anon_sym_short] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(3108),
    [anon_sym_register] = ACTIONS(3108),
    [anon_sym_inline] = ACTIONS(3108),
    [anon_sym___inline] = ACTIONS(3108),
    [anon_sym___inline__] = ACTIONS(3108),
    [anon_sym___forceinline] = ACTIONS(3108),
    [anon_sym_thread_local] = ACTIONS(3108),
    [anon_sym___thread] = ACTIONS(3108),
    [anon_sym_const] = ACTIONS(3108),
    [anon_sym_constexpr] = ACTIONS(3108),
    [anon_sym_volatile] = ACTIONS(3108),
    [anon_sym_restrict] = ACTIONS(3108),
    [anon_sym___restrict__] = ACTIONS(3108),
    [anon_sym__Atomic] = ACTIONS(3108),
    [anon_sym__Noreturn] = ACTIONS(3108),
    [anon_sym_noreturn] = ACTIONS(3108),
    [anon_sym_mutable] = ACTIONS(3108),
    [anon_sym_constinit] = ACTIONS(3108),
    [anon_sym_consteval] = ACTIONS(3108),
    [anon_sym_PROGMEM] = ACTIONS(3108),
    [aux_sym_primitive_type_token1] = ACTIONS(3108),
    [anon_sym_byte] = ACTIONS(3108),
    [anon_sym_word] = ACTIONS(3108),
    [anon_sym_enum] = ACTIONS(3108),
    [anon_sym_class] = ACTIONS(3108),
    [anon_sym_struct] = ACTIONS(3108),
    [anon_sym_union] = ACTIONS(3108),
    [anon_sym_if] = ACTIONS(3108),
    [anon_sym_else] = ACTIONS(3108),
    [anon_sym_switch] = ACTIONS(3108),
    [anon_sym_case] = ACTIONS(3108),
    [anon_sym_default] = ACTIONS(3108),
    [anon_sym_while] = ACTIONS(3108),
    [anon_sym_do] = ACTIONS(3108),
    [anon_sym_for] = ACTIONS(3108),
    [anon_sym_return] = ACTIONS(3108),
    [anon_sym_break] = ACTIONS(3108),
    [anon_sym_continue] = ACTIONS(3108),
    [anon_sym_goto] = ACTIONS(3108),
    [anon_sym___try] = ACTIONS(3108),
    [anon_sym___leave] = ACTIONS(3108),
    [anon_sym_not] = ACTIONS(3108),
    [anon_sym_compl] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_sizeof] = ACTIONS(3108),
    [anon_sym___alignof__] = ACTIONS(3108),
    [anon_sym___alignof] = ACTIONS(3108),
    [anon_sym__alignof] = ACTIONS(3108),
    [anon_sym_alignof] = ACTIONS(3108),
    [anon_sym__Alignof] = ACTIONS(3108),
    [anon_sym_offsetof] = ACTIONS(3108),
    [anon_sym__Generic] = ACTIONS(3108),
    [anon_sym_asm] = ACTIONS(3108),
    [anon_sym___asm__] = ACTIONS(3108),
    [aux_sym_number_literal_token1] = ACTIONS(3110),
    [aux_sym_number_literal_token2] = ACTIONS(3108),
    [anon_sym_L_SQUOTE] = ACTIONS(3110),
    [anon_sym_u_SQUOTE] = ACTIONS(3110),
    [anon_sym_U_SQUOTE] = ACTIONS(3110),
    [anon_sym_u8_SQUOTE] = ACTIONS(3110),
    [anon_sym_SQUOTE] = ACTIONS(3110),
    [anon_sym_L_DQUOTE] = ACTIONS(3110),
    [anon_sym_u_DQUOTE] = ACTIONS(3110),
    [anon_sym_U_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8_DQUOTE] = ACTIONS(3110),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [sym_true] = ACTIONS(3108),
    [sym_false] = ACTIONS(3108),
    [anon_sym_NULL] = ACTIONS(3108),
    [anon_sym_nullptr] = ACTIONS(3108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3108),
    [anon_sym_decltype] = ACTIONS(3108),
    [anon_sym_virtual] = ACTIONS(3108),
    [anon_sym_alignas] = ACTIONS(3108),
    [anon_sym_explicit] = ACTIONS(3108),
    [anon_sym_typename] = ACTIONS(3108),
    [anon_sym_template] = ACTIONS(3108),
    [anon_sym_operator] = ACTIONS(3108),
    [anon_sym_try] = ACTIONS(3108),
    [anon_sym_delete] = ACTIONS(3108),
    [anon_sym_throw] = ACTIONS(3108),
    [anon_sym_namespace] = ACTIONS(3108),
    [anon_sym_using] = ACTIONS(3108),
    [anon_sym_static_assert] = ACTIONS(3108),
    [anon_sym_concept] = ACTIONS(3108),
    [anon_sym_co_return] = ACTIONS(3108),
    [anon_sym_co_yield] = ACTIONS(3108),
    [anon_sym_R_DQUOTE] = ACTIONS(3110),
    [anon_sym_LR_DQUOTE] = ACTIONS(3110),
    [anon_sym_uR_DQUOTE] = ACTIONS(3110),
    [anon_sym_UR_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3110),
    [anon_sym_co_await] = ACTIONS(3108),
    [anon_sym_new] = ACTIONS(3108),
    [anon_sym_requires] = ACTIONS(3108),
    [sym_this] = ACTIONS(3108),
  },
  [690] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [691] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [692] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [693] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [694] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [695] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [696] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [697] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [698] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [699] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [700] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [701] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [702] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [703] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [704] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [705] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [706] = {
    [ts_builtin_sym_end] = ACTIONS(3042),
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_include_token1] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_BANG] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym___cdecl] = ACTIONS(3040),
    [anon_sym___clrcall] = ACTIONS(3040),
    [anon_sym___stdcall] = ACTIONS(3040),
    [anon_sym___fastcall] = ACTIONS(3040),
    [anon_sym___thiscall] = ACTIONS(3040),
    [anon_sym___vectorcall] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_PROGMEM] = ACTIONS(3040),
    [aux_sym_primitive_type_token1] = ACTIONS(3040),
    [anon_sym_byte] = ACTIONS(3040),
    [anon_sym_word] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_else] = ACTIONS(3040),
    [anon_sym_switch] = ACTIONS(3040),
    [anon_sym_case] = ACTIONS(3040),
    [anon_sym_default] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_do] = ACTIONS(3040),
    [anon_sym_for] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_break] = ACTIONS(3040),
    [anon_sym_continue] = ACTIONS(3040),
    [anon_sym_goto] = ACTIONS(3040),
    [anon_sym___try] = ACTIONS(3040),
    [anon_sym___leave] = ACTIONS(3040),
    [anon_sym_not] = ACTIONS(3040),
    [anon_sym_compl] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_sizeof] = ACTIONS(3040),
    [anon_sym___alignof__] = ACTIONS(3040),
    [anon_sym___alignof] = ACTIONS(3040),
    [anon_sym__alignof] = ACTIONS(3040),
    [anon_sym_alignof] = ACTIONS(3040),
    [anon_sym__Alignof] = ACTIONS(3040),
    [anon_sym_offsetof] = ACTIONS(3040),
    [anon_sym__Generic] = ACTIONS(3040),
    [anon_sym_asm] = ACTIONS(3040),
    [anon_sym___asm__] = ACTIONS(3040),
    [aux_sym_number_literal_token1] = ACTIONS(3042),
    [aux_sym_number_literal_token2] = ACTIONS(3040),
    [anon_sym_L_SQUOTE] = ACTIONS(3042),
    [anon_sym_u_SQUOTE] = ACTIONS(3042),
    [anon_sym_U_SQUOTE] = ACTIONS(3042),
    [anon_sym_u8_SQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_L_DQUOTE] = ACTIONS(3042),
    [anon_sym_u_DQUOTE] = ACTIONS(3042),
    [anon_sym_U_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8_DQUOTE] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3042),
    [sym_true] = ACTIONS(3040),
    [sym_false] = ACTIONS(3040),
    [anon_sym_NULL] = ACTIONS(3040),
    [anon_sym_nullptr] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_delete] = ACTIONS(3040),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_namespace] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
    [anon_sym_concept] = ACTIONS(3040),
    [anon_sym_co_return] = ACTIONS(3040),
    [anon_sym_co_yield] = ACTIONS(3040),
    [anon_sym_R_DQUOTE] = ACTIONS(3042),
    [anon_sym_LR_DQUOTE] = ACTIONS(3042),
    [anon_sym_uR_DQUOTE] = ACTIONS(3042),
    [anon_sym_UR_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3042),
    [anon_sym_co_await] = ACTIONS(3040),
    [anon_sym_new] = ACTIONS(3040),
    [anon_sym_requires] = ACTIONS(3040),
    [sym_this] = ACTIONS(3040),
  },
  [707] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [708] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_include_token1] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token2] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym___cdecl] = ACTIONS(3076),
    [anon_sym___clrcall] = ACTIONS(3076),
    [anon_sym___stdcall] = ACTIONS(3076),
    [anon_sym___fastcall] = ACTIONS(3076),
    [anon_sym___thiscall] = ACTIONS(3076),
    [anon_sym___vectorcall] = ACTIONS(3076),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3076),
    [anon_sym_else] = ACTIONS(3076),
    [anon_sym_switch] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_default] = ACTIONS(3076),
    [anon_sym_while] = ACTIONS(3076),
    [anon_sym_do] = ACTIONS(3076),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_return] = ACTIONS(3076),
    [anon_sym_break] = ACTIONS(3076),
    [anon_sym_continue] = ACTIONS(3076),
    [anon_sym_goto] = ACTIONS(3076),
    [anon_sym___try] = ACTIONS(3076),
    [anon_sym___leave] = ACTIONS(3076),
    [anon_sym_not] = ACTIONS(3076),
    [anon_sym_compl] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_sizeof] = ACTIONS(3076),
    [anon_sym___alignof__] = ACTIONS(3076),
    [anon_sym___alignof] = ACTIONS(3076),
    [anon_sym__alignof] = ACTIONS(3076),
    [anon_sym_alignof] = ACTIONS(3076),
    [anon_sym__Alignof] = ACTIONS(3076),
    [anon_sym_offsetof] = ACTIONS(3076),
    [anon_sym__Generic] = ACTIONS(3076),
    [anon_sym_asm] = ACTIONS(3076),
    [anon_sym___asm__] = ACTIONS(3076),
    [aux_sym_number_literal_token1] = ACTIONS(3078),
    [aux_sym_number_literal_token2] = ACTIONS(3076),
    [anon_sym_L_SQUOTE] = ACTIONS(3078),
    [anon_sym_u_SQUOTE] = ACTIONS(3078),
    [anon_sym_U_SQUOTE] = ACTIONS(3078),
    [anon_sym_u8_SQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_L_DQUOTE] = ACTIONS(3078),
    [anon_sym_u_DQUOTE] = ACTIONS(3078),
    [anon_sym_U_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [sym_true] = ACTIONS(3076),
    [sym_false] = ACTIONS(3076),
    [anon_sym_NULL] = ACTIONS(3076),
    [anon_sym_nullptr] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_try] = ACTIONS(3076),
    [anon_sym_delete] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3076),
    [anon_sym_namespace] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
    [anon_sym_concept] = ACTIONS(3076),
    [anon_sym_co_return] = ACTIONS(3076),
    [anon_sym_co_yield] = ACTIONS(3076),
    [anon_sym_R_DQUOTE] = ACTIONS(3078),
    [anon_sym_LR_DQUOTE] = ACTIONS(3078),
    [anon_sym_uR_DQUOTE] = ACTIONS(3078),
    [anon_sym_UR_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3078),
    [anon_sym_co_await] = ACTIONS(3076),
    [anon_sym_new] = ACTIONS(3076),
    [anon_sym_requires] = ACTIONS(3076),
    [sym_this] = ACTIONS(3076),
  },
  [709] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [710] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [711] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [712] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [713] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [714] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [715] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [716] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_include_token1] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token2] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym___cdecl] = ACTIONS(3076),
    [anon_sym___clrcall] = ACTIONS(3076),
    [anon_sym___stdcall] = ACTIONS(3076),
    [anon_sym___fastcall] = ACTIONS(3076),
    [anon_sym___thiscall] = ACTIONS(3076),
    [anon_sym___vectorcall] = ACTIONS(3076),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3076),
    [anon_sym_else] = ACTIONS(3076),
    [anon_sym_switch] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_default] = ACTIONS(3076),
    [anon_sym_while] = ACTIONS(3076),
    [anon_sym_do] = ACTIONS(3076),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_return] = ACTIONS(3076),
    [anon_sym_break] = ACTIONS(3076),
    [anon_sym_continue] = ACTIONS(3076),
    [anon_sym_goto] = ACTIONS(3076),
    [anon_sym___try] = ACTIONS(3076),
    [anon_sym___leave] = ACTIONS(3076),
    [anon_sym_not] = ACTIONS(3076),
    [anon_sym_compl] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_sizeof] = ACTIONS(3076),
    [anon_sym___alignof__] = ACTIONS(3076),
    [anon_sym___alignof] = ACTIONS(3076),
    [anon_sym__alignof] = ACTIONS(3076),
    [anon_sym_alignof] = ACTIONS(3076),
    [anon_sym__Alignof] = ACTIONS(3076),
    [anon_sym_offsetof] = ACTIONS(3076),
    [anon_sym__Generic] = ACTIONS(3076),
    [anon_sym_asm] = ACTIONS(3076),
    [anon_sym___asm__] = ACTIONS(3076),
    [aux_sym_number_literal_token1] = ACTIONS(3078),
    [aux_sym_number_literal_token2] = ACTIONS(3076),
    [anon_sym_L_SQUOTE] = ACTIONS(3078),
    [anon_sym_u_SQUOTE] = ACTIONS(3078),
    [anon_sym_U_SQUOTE] = ACTIONS(3078),
    [anon_sym_u8_SQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_L_DQUOTE] = ACTIONS(3078),
    [anon_sym_u_DQUOTE] = ACTIONS(3078),
    [anon_sym_U_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [sym_true] = ACTIONS(3076),
    [sym_false] = ACTIONS(3076),
    [anon_sym_NULL] = ACTIONS(3076),
    [anon_sym_nullptr] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_try] = ACTIONS(3076),
    [anon_sym_delete] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3076),
    [anon_sym_namespace] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
    [anon_sym_concept] = ACTIONS(3076),
    [anon_sym_co_return] = ACTIONS(3076),
    [anon_sym_co_yield] = ACTIONS(3076),
    [anon_sym_R_DQUOTE] = ACTIONS(3078),
    [anon_sym_LR_DQUOTE] = ACTIONS(3078),
    [anon_sym_uR_DQUOTE] = ACTIONS(3078),
    [anon_sym_UR_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3078),
    [anon_sym_co_await] = ACTIONS(3076),
    [anon_sym_new] = ACTIONS(3076),
    [anon_sym_requires] = ACTIONS(3076),
    [sym_this] = ACTIONS(3076),
  },
  [717] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [718] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [719] = {
    [sym_identifier] = ACTIONS(2948),
    [aux_sym_preproc_include_token1] = ACTIONS(2948),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2948),
    [sym_preproc_directive] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(2950),
    [anon_sym_BANG] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_DASH] = ACTIONS(2948),
    [anon_sym_PLUS] = ACTIONS(2948),
    [anon_sym_STAR] = ACTIONS(2950),
    [anon_sym_AMP_AMP] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym___extension__] = ACTIONS(2948),
    [anon_sym_typedef] = ACTIONS(2948),
    [anon_sym_extern] = ACTIONS(2948),
    [anon_sym___attribute__] = ACTIONS(2948),
    [anon_sym_COLON_COLON] = ACTIONS(2950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2950),
    [anon_sym___declspec] = ACTIONS(2948),
    [anon_sym___based] = ACTIONS(2948),
    [anon_sym___cdecl] = ACTIONS(2948),
    [anon_sym___clrcall] = ACTIONS(2948),
    [anon_sym___stdcall] = ACTIONS(2948),
    [anon_sym___fastcall] = ACTIONS(2948),
    [anon_sym___thiscall] = ACTIONS(2948),
    [anon_sym___vectorcall] = ACTIONS(2948),
    [anon_sym_LBRACE] = ACTIONS(2950),
    [anon_sym_RBRACE] = ACTIONS(2950),
    [anon_sym_signed] = ACTIONS(2948),
    [anon_sym_unsigned] = ACTIONS(2948),
    [anon_sym_long] = ACTIONS(2948),
    [anon_sym_short] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_register] = ACTIONS(2948),
    [anon_sym_inline] = ACTIONS(2948),
    [anon_sym___inline] = ACTIONS(2948),
    [anon_sym___inline__] = ACTIONS(2948),
    [anon_sym___forceinline] = ACTIONS(2948),
    [anon_sym_thread_local] = ACTIONS(2948),
    [anon_sym___thread] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_constexpr] = ACTIONS(2948),
    [anon_sym_volatile] = ACTIONS(2948),
    [anon_sym_restrict] = ACTIONS(2948),
    [anon_sym___restrict__] = ACTIONS(2948),
    [anon_sym__Atomic] = ACTIONS(2948),
    [anon_sym__Noreturn] = ACTIONS(2948),
    [anon_sym_noreturn] = ACTIONS(2948),
    [anon_sym_mutable] = ACTIONS(2948),
    [anon_sym_constinit] = ACTIONS(2948),
    [anon_sym_consteval] = ACTIONS(2948),
    [anon_sym_PROGMEM] = ACTIONS(2948),
    [aux_sym_primitive_type_token1] = ACTIONS(2948),
    [anon_sym_byte] = ACTIONS(2948),
    [anon_sym_word] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_struct] = ACTIONS(2948),
    [anon_sym_union] = ACTIONS(2948),
    [anon_sym_if] = ACTIONS(2948),
    [anon_sym_else] = ACTIONS(2948),
    [anon_sym_switch] = ACTIONS(2948),
    [anon_sym_case] = ACTIONS(2948),
    [anon_sym_default] = ACTIONS(2948),
    [anon_sym_while] = ACTIONS(2948),
    [anon_sym_do] = ACTIONS(2948),
    [anon_sym_for] = ACTIONS(2948),
    [anon_sym_return] = ACTIONS(2948),
    [anon_sym_break] = ACTIONS(2948),
    [anon_sym_continue] = ACTIONS(2948),
    [anon_sym_goto] = ACTIONS(2948),
    [anon_sym___try] = ACTIONS(2948),
    [anon_sym___leave] = ACTIONS(2948),
    [anon_sym_not] = ACTIONS(2948),
    [anon_sym_compl] = ACTIONS(2948),
    [anon_sym_DASH_DASH] = ACTIONS(2950),
    [anon_sym_PLUS_PLUS] = ACTIONS(2950),
    [anon_sym_sizeof] = ACTIONS(2948),
    [anon_sym___alignof__] = ACTIONS(2948),
    [anon_sym___alignof] = ACTIONS(2948),
    [anon_sym__alignof] = ACTIONS(2948),
    [anon_sym_alignof] = ACTIONS(2948),
    [anon_sym__Alignof] = ACTIONS(2948),
    [anon_sym_offsetof] = ACTIONS(2948),
    [anon_sym__Generic] = ACTIONS(2948),
    [anon_sym_asm] = ACTIONS(2948),
    [anon_sym___asm__] = ACTIONS(2948),
    [aux_sym_number_literal_token1] = ACTIONS(2950),
    [aux_sym_number_literal_token2] = ACTIONS(2948),
    [anon_sym_L_SQUOTE] = ACTIONS(2950),
    [anon_sym_u_SQUOTE] = ACTIONS(2950),
    [anon_sym_U_SQUOTE] = ACTIONS(2950),
    [anon_sym_u8_SQUOTE] = ACTIONS(2950),
    [anon_sym_SQUOTE] = ACTIONS(2950),
    [anon_sym_L_DQUOTE] = ACTIONS(2950),
    [anon_sym_u_DQUOTE] = ACTIONS(2950),
    [anon_sym_U_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8_DQUOTE] = ACTIONS(2950),
    [anon_sym_DQUOTE] = ACTIONS(2950),
    [sym_true] = ACTIONS(2948),
    [sym_false] = ACTIONS(2948),
    [anon_sym_NULL] = ACTIONS(2948),
    [anon_sym_nullptr] = ACTIONS(2948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2948),
    [anon_sym_decltype] = ACTIONS(2948),
    [anon_sym_virtual] = ACTIONS(2948),
    [anon_sym_alignas] = ACTIONS(2948),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2948),
    [anon_sym_template] = ACTIONS(2948),
    [anon_sym_operator] = ACTIONS(2948),
    [anon_sym_try] = ACTIONS(2948),
    [anon_sym_delete] = ACTIONS(2948),
    [anon_sym_throw] = ACTIONS(2948),
    [anon_sym_namespace] = ACTIONS(2948),
    [anon_sym_using] = ACTIONS(2948),
    [anon_sym_static_assert] = ACTIONS(2948),
    [anon_sym_concept] = ACTIONS(2948),
    [anon_sym_co_return] = ACTIONS(2948),
    [anon_sym_co_yield] = ACTIONS(2948),
    [anon_sym_R_DQUOTE] = ACTIONS(2950),
    [anon_sym_LR_DQUOTE] = ACTIONS(2950),
    [anon_sym_uR_DQUOTE] = ACTIONS(2950),
    [anon_sym_UR_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2950),
    [anon_sym_co_await] = ACTIONS(2948),
    [anon_sym_new] = ACTIONS(2948),
    [anon_sym_requires] = ACTIONS(2948),
    [sym_this] = ACTIONS(2948),
  },
  [720] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [721] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [722] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [723] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [724] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [725] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [726] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [727] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [728] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [729] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [730] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [731] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [732] = {
    [sym_identifier] = ACTIONS(3152),
    [aux_sym_preproc_include_token1] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token2] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3152),
    [sym_preproc_directive] = ACTIONS(3152),
    [anon_sym_LPAREN2] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym___extension__] = ACTIONS(3152),
    [anon_sym_typedef] = ACTIONS(3152),
    [anon_sym_extern] = ACTIONS(3152),
    [anon_sym___attribute__] = ACTIONS(3152),
    [anon_sym_COLON_COLON] = ACTIONS(3154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3154),
    [anon_sym___declspec] = ACTIONS(3152),
    [anon_sym___based] = ACTIONS(3152),
    [anon_sym___cdecl] = ACTIONS(3152),
    [anon_sym___clrcall] = ACTIONS(3152),
    [anon_sym___stdcall] = ACTIONS(3152),
    [anon_sym___fastcall] = ACTIONS(3152),
    [anon_sym___thiscall] = ACTIONS(3152),
    [anon_sym___vectorcall] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_signed] = ACTIONS(3152),
    [anon_sym_unsigned] = ACTIONS(3152),
    [anon_sym_long] = ACTIONS(3152),
    [anon_sym_short] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_register] = ACTIONS(3152),
    [anon_sym_inline] = ACTIONS(3152),
    [anon_sym___inline] = ACTIONS(3152),
    [anon_sym___inline__] = ACTIONS(3152),
    [anon_sym___forceinline] = ACTIONS(3152),
    [anon_sym_thread_local] = ACTIONS(3152),
    [anon_sym___thread] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_constexpr] = ACTIONS(3152),
    [anon_sym_volatile] = ACTIONS(3152),
    [anon_sym_restrict] = ACTIONS(3152),
    [anon_sym___restrict__] = ACTIONS(3152),
    [anon_sym__Atomic] = ACTIONS(3152),
    [anon_sym__Noreturn] = ACTIONS(3152),
    [anon_sym_noreturn] = ACTIONS(3152),
    [anon_sym_mutable] = ACTIONS(3152),
    [anon_sym_constinit] = ACTIONS(3152),
    [anon_sym_consteval] = ACTIONS(3152),
    [anon_sym_PROGMEM] = ACTIONS(3152),
    [aux_sym_primitive_type_token1] = ACTIONS(3152),
    [anon_sym_byte] = ACTIONS(3152),
    [anon_sym_word] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_struct] = ACTIONS(3152),
    [anon_sym_union] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_else] = ACTIONS(3152),
    [anon_sym_switch] = ACTIONS(3152),
    [anon_sym_case] = ACTIONS(3152),
    [anon_sym_default] = ACTIONS(3152),
    [anon_sym_while] = ACTIONS(3152),
    [anon_sym_do] = ACTIONS(3152),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_return] = ACTIONS(3152),
    [anon_sym_break] = ACTIONS(3152),
    [anon_sym_continue] = ACTIONS(3152),
    [anon_sym_goto] = ACTIONS(3152),
    [anon_sym___try] = ACTIONS(3152),
    [anon_sym___leave] = ACTIONS(3152),
    [anon_sym_not] = ACTIONS(3152),
    [anon_sym_compl] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_sizeof] = ACTIONS(3152),
    [anon_sym___alignof__] = ACTIONS(3152),
    [anon_sym___alignof] = ACTIONS(3152),
    [anon_sym__alignof] = ACTIONS(3152),
    [anon_sym_alignof] = ACTIONS(3152),
    [anon_sym__Alignof] = ACTIONS(3152),
    [anon_sym_offsetof] = ACTIONS(3152),
    [anon_sym__Generic] = ACTIONS(3152),
    [anon_sym_asm] = ACTIONS(3152),
    [anon_sym___asm__] = ACTIONS(3152),
    [aux_sym_number_literal_token1] = ACTIONS(3154),
    [aux_sym_number_literal_token2] = ACTIONS(3152),
    [anon_sym_L_SQUOTE] = ACTIONS(3154),
    [anon_sym_u_SQUOTE] = ACTIONS(3154),
    [anon_sym_U_SQUOTE] = ACTIONS(3154),
    [anon_sym_u8_SQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_L_DQUOTE] = ACTIONS(3154),
    [anon_sym_u_DQUOTE] = ACTIONS(3154),
    [anon_sym_U_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8_DQUOTE] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [sym_true] = ACTIONS(3152),
    [sym_false] = ACTIONS(3152),
    [anon_sym_NULL] = ACTIONS(3152),
    [anon_sym_nullptr] = ACTIONS(3152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3152),
    [anon_sym_decltype] = ACTIONS(3152),
    [anon_sym_virtual] = ACTIONS(3152),
    [anon_sym_alignas] = ACTIONS(3152),
    [anon_sym_explicit] = ACTIONS(3152),
    [anon_sym_typename] = ACTIONS(3152),
    [anon_sym_template] = ACTIONS(3152),
    [anon_sym_operator] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3152),
    [anon_sym_delete] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3152),
    [anon_sym_namespace] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_static_assert] = ACTIONS(3152),
    [anon_sym_concept] = ACTIONS(3152),
    [anon_sym_co_return] = ACTIONS(3152),
    [anon_sym_co_yield] = ACTIONS(3152),
    [anon_sym_R_DQUOTE] = ACTIONS(3154),
    [anon_sym_LR_DQUOTE] = ACTIONS(3154),
    [anon_sym_uR_DQUOTE] = ACTIONS(3154),
    [anon_sym_UR_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3154),
    [anon_sym_co_await] = ACTIONS(3152),
    [anon_sym_new] = ACTIONS(3152),
    [anon_sym_requires] = ACTIONS(3152),
    [sym_this] = ACTIONS(3152),
  },
  [733] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [734] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [735] = {
    [ts_builtin_sym_end] = ACTIONS(3092),
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [736] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [737] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [738] = {
    [sym_identifier] = ACTIONS(3108),
    [aux_sym_preproc_include_token1] = ACTIONS(3108),
    [aux_sym_preproc_def_token1] = ACTIONS(3108),
    [aux_sym_preproc_if_token1] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3108),
    [sym_preproc_directive] = ACTIONS(3108),
    [anon_sym_LPAREN2] = ACTIONS(3110),
    [anon_sym_BANG] = ACTIONS(3110),
    [anon_sym_TILDE] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3110),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym___extension__] = ACTIONS(3108),
    [anon_sym_typedef] = ACTIONS(3108),
    [anon_sym_extern] = ACTIONS(3108),
    [anon_sym___attribute__] = ACTIONS(3108),
    [anon_sym_COLON_COLON] = ACTIONS(3110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3110),
    [anon_sym___declspec] = ACTIONS(3108),
    [anon_sym___based] = ACTIONS(3108),
    [anon_sym___cdecl] = ACTIONS(3108),
    [anon_sym___clrcall] = ACTIONS(3108),
    [anon_sym___stdcall] = ACTIONS(3108),
    [anon_sym___fastcall] = ACTIONS(3108),
    [anon_sym___thiscall] = ACTIONS(3108),
    [anon_sym___vectorcall] = ACTIONS(3108),
    [anon_sym_LBRACE] = ACTIONS(3110),
    [anon_sym_RBRACE] = ACTIONS(3110),
    [anon_sym_signed] = ACTIONS(3108),
    [anon_sym_unsigned] = ACTIONS(3108),
    [anon_sym_long] = ACTIONS(3108),
    [anon_sym_short] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(3108),
    [anon_sym_register] = ACTIONS(3108),
    [anon_sym_inline] = ACTIONS(3108),
    [anon_sym___inline] = ACTIONS(3108),
    [anon_sym___inline__] = ACTIONS(3108),
    [anon_sym___forceinline] = ACTIONS(3108),
    [anon_sym_thread_local] = ACTIONS(3108),
    [anon_sym___thread] = ACTIONS(3108),
    [anon_sym_const] = ACTIONS(3108),
    [anon_sym_constexpr] = ACTIONS(3108),
    [anon_sym_volatile] = ACTIONS(3108),
    [anon_sym_restrict] = ACTIONS(3108),
    [anon_sym___restrict__] = ACTIONS(3108),
    [anon_sym__Atomic] = ACTIONS(3108),
    [anon_sym__Noreturn] = ACTIONS(3108),
    [anon_sym_noreturn] = ACTIONS(3108),
    [anon_sym_mutable] = ACTIONS(3108),
    [anon_sym_constinit] = ACTIONS(3108),
    [anon_sym_consteval] = ACTIONS(3108),
    [anon_sym_PROGMEM] = ACTIONS(3108),
    [aux_sym_primitive_type_token1] = ACTIONS(3108),
    [anon_sym_byte] = ACTIONS(3108),
    [anon_sym_word] = ACTIONS(3108),
    [anon_sym_enum] = ACTIONS(3108),
    [anon_sym_class] = ACTIONS(3108),
    [anon_sym_struct] = ACTIONS(3108),
    [anon_sym_union] = ACTIONS(3108),
    [anon_sym_if] = ACTIONS(3108),
    [anon_sym_else] = ACTIONS(3108),
    [anon_sym_switch] = ACTIONS(3108),
    [anon_sym_case] = ACTIONS(3108),
    [anon_sym_default] = ACTIONS(3108),
    [anon_sym_while] = ACTIONS(3108),
    [anon_sym_do] = ACTIONS(3108),
    [anon_sym_for] = ACTIONS(3108),
    [anon_sym_return] = ACTIONS(3108),
    [anon_sym_break] = ACTIONS(3108),
    [anon_sym_continue] = ACTIONS(3108),
    [anon_sym_goto] = ACTIONS(3108),
    [anon_sym___try] = ACTIONS(3108),
    [anon_sym___leave] = ACTIONS(3108),
    [anon_sym_not] = ACTIONS(3108),
    [anon_sym_compl] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_sizeof] = ACTIONS(3108),
    [anon_sym___alignof__] = ACTIONS(3108),
    [anon_sym___alignof] = ACTIONS(3108),
    [anon_sym__alignof] = ACTIONS(3108),
    [anon_sym_alignof] = ACTIONS(3108),
    [anon_sym__Alignof] = ACTIONS(3108),
    [anon_sym_offsetof] = ACTIONS(3108),
    [anon_sym__Generic] = ACTIONS(3108),
    [anon_sym_asm] = ACTIONS(3108),
    [anon_sym___asm__] = ACTIONS(3108),
    [aux_sym_number_literal_token1] = ACTIONS(3110),
    [aux_sym_number_literal_token2] = ACTIONS(3108),
    [anon_sym_L_SQUOTE] = ACTIONS(3110),
    [anon_sym_u_SQUOTE] = ACTIONS(3110),
    [anon_sym_U_SQUOTE] = ACTIONS(3110),
    [anon_sym_u8_SQUOTE] = ACTIONS(3110),
    [anon_sym_SQUOTE] = ACTIONS(3110),
    [anon_sym_L_DQUOTE] = ACTIONS(3110),
    [anon_sym_u_DQUOTE] = ACTIONS(3110),
    [anon_sym_U_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8_DQUOTE] = ACTIONS(3110),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [sym_true] = ACTIONS(3108),
    [sym_false] = ACTIONS(3108),
    [anon_sym_NULL] = ACTIONS(3108),
    [anon_sym_nullptr] = ACTIONS(3108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3108),
    [anon_sym_decltype] = ACTIONS(3108),
    [anon_sym_virtual] = ACTIONS(3108),
    [anon_sym_alignas] = ACTIONS(3108),
    [anon_sym_explicit] = ACTIONS(3108),
    [anon_sym_typename] = ACTIONS(3108),
    [anon_sym_template] = ACTIONS(3108),
    [anon_sym_operator] = ACTIONS(3108),
    [anon_sym_try] = ACTIONS(3108),
    [anon_sym_delete] = ACTIONS(3108),
    [anon_sym_throw] = ACTIONS(3108),
    [anon_sym_namespace] = ACTIONS(3108),
    [anon_sym_using] = ACTIONS(3108),
    [anon_sym_static_assert] = ACTIONS(3108),
    [anon_sym_concept] = ACTIONS(3108),
    [anon_sym_co_return] = ACTIONS(3108),
    [anon_sym_co_yield] = ACTIONS(3108),
    [anon_sym_R_DQUOTE] = ACTIONS(3110),
    [anon_sym_LR_DQUOTE] = ACTIONS(3110),
    [anon_sym_uR_DQUOTE] = ACTIONS(3110),
    [anon_sym_UR_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3110),
    [anon_sym_co_await] = ACTIONS(3108),
    [anon_sym_new] = ACTIONS(3108),
    [anon_sym_requires] = ACTIONS(3108),
    [sym_this] = ACTIONS(3108),
  },
  [739] = {
    [sym_identifier] = ACTIONS(3112),
    [aux_sym_preproc_include_token1] = ACTIONS(3112),
    [aux_sym_preproc_def_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token1] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3112),
    [sym_preproc_directive] = ACTIONS(3112),
    [anon_sym_LPAREN2] = ACTIONS(3114),
    [anon_sym_BANG] = ACTIONS(3114),
    [anon_sym_TILDE] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym___extension__] = ACTIONS(3112),
    [anon_sym_typedef] = ACTIONS(3112),
    [anon_sym_extern] = ACTIONS(3112),
    [anon_sym___attribute__] = ACTIONS(3112),
    [anon_sym_COLON_COLON] = ACTIONS(3114),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3114),
    [anon_sym___declspec] = ACTIONS(3112),
    [anon_sym___based] = ACTIONS(3112),
    [anon_sym___cdecl] = ACTIONS(3112),
    [anon_sym___clrcall] = ACTIONS(3112),
    [anon_sym___stdcall] = ACTIONS(3112),
    [anon_sym___fastcall] = ACTIONS(3112),
    [anon_sym___thiscall] = ACTIONS(3112),
    [anon_sym___vectorcall] = ACTIONS(3112),
    [anon_sym_LBRACE] = ACTIONS(3114),
    [anon_sym_RBRACE] = ACTIONS(3114),
    [anon_sym_signed] = ACTIONS(3112),
    [anon_sym_unsigned] = ACTIONS(3112),
    [anon_sym_long] = ACTIONS(3112),
    [anon_sym_short] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_register] = ACTIONS(3112),
    [anon_sym_inline] = ACTIONS(3112),
    [anon_sym___inline] = ACTIONS(3112),
    [anon_sym___inline__] = ACTIONS(3112),
    [anon_sym___forceinline] = ACTIONS(3112),
    [anon_sym_thread_local] = ACTIONS(3112),
    [anon_sym___thread] = ACTIONS(3112),
    [anon_sym_const] = ACTIONS(3112),
    [anon_sym_constexpr] = ACTIONS(3112),
    [anon_sym_volatile] = ACTIONS(3112),
    [anon_sym_restrict] = ACTIONS(3112),
    [anon_sym___restrict__] = ACTIONS(3112),
    [anon_sym__Atomic] = ACTIONS(3112),
    [anon_sym__Noreturn] = ACTIONS(3112),
    [anon_sym_noreturn] = ACTIONS(3112),
    [anon_sym_mutable] = ACTIONS(3112),
    [anon_sym_constinit] = ACTIONS(3112),
    [anon_sym_consteval] = ACTIONS(3112),
    [anon_sym_PROGMEM] = ACTIONS(3112),
    [aux_sym_primitive_type_token1] = ACTIONS(3112),
    [anon_sym_byte] = ACTIONS(3112),
    [anon_sym_word] = ACTIONS(3112),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3112),
    [anon_sym_struct] = ACTIONS(3112),
    [anon_sym_union] = ACTIONS(3112),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_else] = ACTIONS(3112),
    [anon_sym_switch] = ACTIONS(3112),
    [anon_sym_case] = ACTIONS(3112),
    [anon_sym_default] = ACTIONS(3112),
    [anon_sym_while] = ACTIONS(3112),
    [anon_sym_do] = ACTIONS(3112),
    [anon_sym_for] = ACTIONS(3112),
    [anon_sym_return] = ACTIONS(3112),
    [anon_sym_break] = ACTIONS(3112),
    [anon_sym_continue] = ACTIONS(3112),
    [anon_sym_goto] = ACTIONS(3112),
    [anon_sym___try] = ACTIONS(3112),
    [anon_sym___leave] = ACTIONS(3112),
    [anon_sym_not] = ACTIONS(3112),
    [anon_sym_compl] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_sizeof] = ACTIONS(3112),
    [anon_sym___alignof__] = ACTIONS(3112),
    [anon_sym___alignof] = ACTIONS(3112),
    [anon_sym__alignof] = ACTIONS(3112),
    [anon_sym_alignof] = ACTIONS(3112),
    [anon_sym__Alignof] = ACTIONS(3112),
    [anon_sym_offsetof] = ACTIONS(3112),
    [anon_sym__Generic] = ACTIONS(3112),
    [anon_sym_asm] = ACTIONS(3112),
    [anon_sym___asm__] = ACTIONS(3112),
    [aux_sym_number_literal_token1] = ACTIONS(3114),
    [aux_sym_number_literal_token2] = ACTIONS(3112),
    [anon_sym_L_SQUOTE] = ACTIONS(3114),
    [anon_sym_u_SQUOTE] = ACTIONS(3114),
    [anon_sym_U_SQUOTE] = ACTIONS(3114),
    [anon_sym_u8_SQUOTE] = ACTIONS(3114),
    [anon_sym_SQUOTE] = ACTIONS(3114),
    [anon_sym_L_DQUOTE] = ACTIONS(3114),
    [anon_sym_u_DQUOTE] = ACTIONS(3114),
    [anon_sym_U_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8_DQUOTE] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(3114),
    [sym_true] = ACTIONS(3112),
    [sym_false] = ACTIONS(3112),
    [anon_sym_NULL] = ACTIONS(3112),
    [anon_sym_nullptr] = ACTIONS(3112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3112),
    [anon_sym_decltype] = ACTIONS(3112),
    [anon_sym_virtual] = ACTIONS(3112),
    [anon_sym_alignas] = ACTIONS(3112),
    [anon_sym_explicit] = ACTIONS(3112),
    [anon_sym_typename] = ACTIONS(3112),
    [anon_sym_template] = ACTIONS(3112),
    [anon_sym_operator] = ACTIONS(3112),
    [anon_sym_try] = ACTIONS(3112),
    [anon_sym_delete] = ACTIONS(3112),
    [anon_sym_throw] = ACTIONS(3112),
    [anon_sym_namespace] = ACTIONS(3112),
    [anon_sym_using] = ACTIONS(3112),
    [anon_sym_static_assert] = ACTIONS(3112),
    [anon_sym_concept] = ACTIONS(3112),
    [anon_sym_co_return] = ACTIONS(3112),
    [anon_sym_co_yield] = ACTIONS(3112),
    [anon_sym_R_DQUOTE] = ACTIONS(3114),
    [anon_sym_LR_DQUOTE] = ACTIONS(3114),
    [anon_sym_uR_DQUOTE] = ACTIONS(3114),
    [anon_sym_UR_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3114),
    [anon_sym_co_await] = ACTIONS(3112),
    [anon_sym_new] = ACTIONS(3112),
    [anon_sym_requires] = ACTIONS(3112),
    [sym_this] = ACTIONS(3112),
  },
  [740] = {
    [sym_identifier] = ACTIONS(3144),
    [aux_sym_preproc_include_token1] = ACTIONS(3144),
    [aux_sym_preproc_def_token1] = ACTIONS(3144),
    [aux_sym_preproc_if_token1] = ACTIONS(3144),
    [aux_sym_preproc_if_token2] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3144),
    [sym_preproc_directive] = ACTIONS(3144),
    [anon_sym_LPAREN2] = ACTIONS(3146),
    [anon_sym_BANG] = ACTIONS(3146),
    [anon_sym_TILDE] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3146),
    [anon_sym_AMP] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3146),
    [anon_sym___extension__] = ACTIONS(3144),
    [anon_sym_typedef] = ACTIONS(3144),
    [anon_sym_extern] = ACTIONS(3144),
    [anon_sym___attribute__] = ACTIONS(3144),
    [anon_sym_COLON_COLON] = ACTIONS(3146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3146),
    [anon_sym___declspec] = ACTIONS(3144),
    [anon_sym___based] = ACTIONS(3144),
    [anon_sym___cdecl] = ACTIONS(3144),
    [anon_sym___clrcall] = ACTIONS(3144),
    [anon_sym___stdcall] = ACTIONS(3144),
    [anon_sym___fastcall] = ACTIONS(3144),
    [anon_sym___thiscall] = ACTIONS(3144),
    [anon_sym___vectorcall] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_signed] = ACTIONS(3144),
    [anon_sym_unsigned] = ACTIONS(3144),
    [anon_sym_long] = ACTIONS(3144),
    [anon_sym_short] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_register] = ACTIONS(3144),
    [anon_sym_inline] = ACTIONS(3144),
    [anon_sym___inline] = ACTIONS(3144),
    [anon_sym___inline__] = ACTIONS(3144),
    [anon_sym___forceinline] = ACTIONS(3144),
    [anon_sym_thread_local] = ACTIONS(3144),
    [anon_sym___thread] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_constexpr] = ACTIONS(3144),
    [anon_sym_volatile] = ACTIONS(3144),
    [anon_sym_restrict] = ACTIONS(3144),
    [anon_sym___restrict__] = ACTIONS(3144),
    [anon_sym__Atomic] = ACTIONS(3144),
    [anon_sym__Noreturn] = ACTIONS(3144),
    [anon_sym_noreturn] = ACTIONS(3144),
    [anon_sym_mutable] = ACTIONS(3144),
    [anon_sym_constinit] = ACTIONS(3144),
    [anon_sym_consteval] = ACTIONS(3144),
    [anon_sym_PROGMEM] = ACTIONS(3144),
    [aux_sym_primitive_type_token1] = ACTIONS(3144),
    [anon_sym_byte] = ACTIONS(3144),
    [anon_sym_word] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_struct] = ACTIONS(3144),
    [anon_sym_union] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_else] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_case] = ACTIONS(3144),
    [anon_sym_default] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_goto] = ACTIONS(3144),
    [anon_sym___try] = ACTIONS(3144),
    [anon_sym___leave] = ACTIONS(3144),
    [anon_sym_not] = ACTIONS(3144),
    [anon_sym_compl] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_sizeof] = ACTIONS(3144),
    [anon_sym___alignof__] = ACTIONS(3144),
    [anon_sym___alignof] = ACTIONS(3144),
    [anon_sym__alignof] = ACTIONS(3144),
    [anon_sym_alignof] = ACTIONS(3144),
    [anon_sym__Alignof] = ACTIONS(3144),
    [anon_sym_offsetof] = ACTIONS(3144),
    [anon_sym__Generic] = ACTIONS(3144),
    [anon_sym_asm] = ACTIONS(3144),
    [anon_sym___asm__] = ACTIONS(3144),
    [aux_sym_number_literal_token1] = ACTIONS(3146),
    [aux_sym_number_literal_token2] = ACTIONS(3144),
    [anon_sym_L_SQUOTE] = ACTIONS(3146),
    [anon_sym_u_SQUOTE] = ACTIONS(3146),
    [anon_sym_U_SQUOTE] = ACTIONS(3146),
    [anon_sym_u8_SQUOTE] = ACTIONS(3146),
    [anon_sym_SQUOTE] = ACTIONS(3146),
    [anon_sym_L_DQUOTE] = ACTIONS(3146),
    [anon_sym_u_DQUOTE] = ACTIONS(3146),
    [anon_sym_U_DQUOTE] = ACTIONS(3146),
    [anon_sym_u8_DQUOTE] = ACTIONS(3146),
    [anon_sym_DQUOTE] = ACTIONS(3146),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [anon_sym_NULL] = ACTIONS(3144),
    [anon_sym_nullptr] = ACTIONS(3144),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3144),
    [anon_sym_decltype] = ACTIONS(3144),
    [anon_sym_virtual] = ACTIONS(3144),
    [anon_sym_alignas] = ACTIONS(3144),
    [anon_sym_explicit] = ACTIONS(3144),
    [anon_sym_typename] = ACTIONS(3144),
    [anon_sym_template] = ACTIONS(3144),
    [anon_sym_operator] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_namespace] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_static_assert] = ACTIONS(3144),
    [anon_sym_concept] = ACTIONS(3144),
    [anon_sym_co_return] = ACTIONS(3144),
    [anon_sym_co_yield] = ACTIONS(3144),
    [anon_sym_R_DQUOTE] = ACTIONS(3146),
    [anon_sym_LR_DQUOTE] = ACTIONS(3146),
    [anon_sym_uR_DQUOTE] = ACTIONS(3146),
    [anon_sym_UR_DQUOTE] = ACTIONS(3146),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3146),
    [anon_sym_co_await] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_requires] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
  },
  [741] = {
    [sym_identifier] = ACTIONS(3116),
    [aux_sym_preproc_include_token1] = ACTIONS(3116),
    [aux_sym_preproc_def_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token1] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3116),
    [sym_preproc_directive] = ACTIONS(3116),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [anon_sym_BANG] = ACTIONS(3118),
    [anon_sym_TILDE] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3118),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3118),
    [anon_sym___extension__] = ACTIONS(3116),
    [anon_sym_typedef] = ACTIONS(3116),
    [anon_sym_extern] = ACTIONS(3116),
    [anon_sym___attribute__] = ACTIONS(3116),
    [anon_sym_COLON_COLON] = ACTIONS(3118),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3118),
    [anon_sym___declspec] = ACTIONS(3116),
    [anon_sym___based] = ACTIONS(3116),
    [anon_sym___cdecl] = ACTIONS(3116),
    [anon_sym___clrcall] = ACTIONS(3116),
    [anon_sym___stdcall] = ACTIONS(3116),
    [anon_sym___fastcall] = ACTIONS(3116),
    [anon_sym___thiscall] = ACTIONS(3116),
    [anon_sym___vectorcall] = ACTIONS(3116),
    [anon_sym_LBRACE] = ACTIONS(3118),
    [anon_sym_RBRACE] = ACTIONS(3118),
    [anon_sym_signed] = ACTIONS(3116),
    [anon_sym_unsigned] = ACTIONS(3116),
    [anon_sym_long] = ACTIONS(3116),
    [anon_sym_short] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_static] = ACTIONS(3116),
    [anon_sym_register] = ACTIONS(3116),
    [anon_sym_inline] = ACTIONS(3116),
    [anon_sym___inline] = ACTIONS(3116),
    [anon_sym___inline__] = ACTIONS(3116),
    [anon_sym___forceinline] = ACTIONS(3116),
    [anon_sym_thread_local] = ACTIONS(3116),
    [anon_sym___thread] = ACTIONS(3116),
    [anon_sym_const] = ACTIONS(3116),
    [anon_sym_constexpr] = ACTIONS(3116),
    [anon_sym_volatile] = ACTIONS(3116),
    [anon_sym_restrict] = ACTIONS(3116),
    [anon_sym___restrict__] = ACTIONS(3116),
    [anon_sym__Atomic] = ACTIONS(3116),
    [anon_sym__Noreturn] = ACTIONS(3116),
    [anon_sym_noreturn] = ACTIONS(3116),
    [anon_sym_mutable] = ACTIONS(3116),
    [anon_sym_constinit] = ACTIONS(3116),
    [anon_sym_consteval] = ACTIONS(3116),
    [anon_sym_PROGMEM] = ACTIONS(3116),
    [aux_sym_primitive_type_token1] = ACTIONS(3116),
    [anon_sym_byte] = ACTIONS(3116),
    [anon_sym_word] = ACTIONS(3116),
    [anon_sym_enum] = ACTIONS(3116),
    [anon_sym_class] = ACTIONS(3116),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3116),
    [anon_sym_if] = ACTIONS(3116),
    [anon_sym_else] = ACTIONS(3116),
    [anon_sym_switch] = ACTIONS(3116),
    [anon_sym_case] = ACTIONS(3116),
    [anon_sym_default] = ACTIONS(3116),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_do] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3116),
    [anon_sym_return] = ACTIONS(3116),
    [anon_sym_break] = ACTIONS(3116),
    [anon_sym_continue] = ACTIONS(3116),
    [anon_sym_goto] = ACTIONS(3116),
    [anon_sym___try] = ACTIONS(3116),
    [anon_sym___leave] = ACTIONS(3116),
    [anon_sym_not] = ACTIONS(3116),
    [anon_sym_compl] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_sizeof] = ACTIONS(3116),
    [anon_sym___alignof__] = ACTIONS(3116),
    [anon_sym___alignof] = ACTIONS(3116),
    [anon_sym__alignof] = ACTIONS(3116),
    [anon_sym_alignof] = ACTIONS(3116),
    [anon_sym__Alignof] = ACTIONS(3116),
    [anon_sym_offsetof] = ACTIONS(3116),
    [anon_sym__Generic] = ACTIONS(3116),
    [anon_sym_asm] = ACTIONS(3116),
    [anon_sym___asm__] = ACTIONS(3116),
    [aux_sym_number_literal_token1] = ACTIONS(3118),
    [aux_sym_number_literal_token2] = ACTIONS(3116),
    [anon_sym_L_SQUOTE] = ACTIONS(3118),
    [anon_sym_u_SQUOTE] = ACTIONS(3118),
    [anon_sym_U_SQUOTE] = ACTIONS(3118),
    [anon_sym_u8_SQUOTE] = ACTIONS(3118),
    [anon_sym_SQUOTE] = ACTIONS(3118),
    [anon_sym_L_DQUOTE] = ACTIONS(3118),
    [anon_sym_u_DQUOTE] = ACTIONS(3118),
    [anon_sym_U_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8_DQUOTE] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(3118),
    [sym_true] = ACTIONS(3116),
    [sym_false] = ACTIONS(3116),
    [anon_sym_NULL] = ACTIONS(3116),
    [anon_sym_nullptr] = ACTIONS(3116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3116),
    [anon_sym_decltype] = ACTIONS(3116),
    [anon_sym_virtual] = ACTIONS(3116),
    [anon_sym_alignas] = ACTIONS(3116),
    [anon_sym_explicit] = ACTIONS(3116),
    [anon_sym_typename] = ACTIONS(3116),
    [anon_sym_template] = ACTIONS(3116),
    [anon_sym_operator] = ACTIONS(3116),
    [anon_sym_try] = ACTIONS(3116),
    [anon_sym_delete] = ACTIONS(3116),
    [anon_sym_throw] = ACTIONS(3116),
    [anon_sym_namespace] = ACTIONS(3116),
    [anon_sym_using] = ACTIONS(3116),
    [anon_sym_static_assert] = ACTIONS(3116),
    [anon_sym_concept] = ACTIONS(3116),
    [anon_sym_co_return] = ACTIONS(3116),
    [anon_sym_co_yield] = ACTIONS(3116),
    [anon_sym_R_DQUOTE] = ACTIONS(3118),
    [anon_sym_LR_DQUOTE] = ACTIONS(3118),
    [anon_sym_uR_DQUOTE] = ACTIONS(3118),
    [anon_sym_UR_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3118),
    [anon_sym_co_await] = ACTIONS(3116),
    [anon_sym_new] = ACTIONS(3116),
    [anon_sym_requires] = ACTIONS(3116),
    [sym_this] = ACTIONS(3116),
  },
  [742] = {
    [sym_identifier] = ACTIONS(2888),
    [aux_sym_preproc_include_token1] = ACTIONS(2888),
    [aux_sym_preproc_def_token1] = ACTIONS(2888),
    [aux_sym_preproc_if_token1] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2888),
    [sym_preproc_directive] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(2893),
    [anon_sym_TILDE] = ACTIONS(2893),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_STAR] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2893),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_typedef] = ACTIONS(2888),
    [anon_sym_extern] = ACTIONS(2888),
    [anon_sym___attribute__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(2893),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2893),
    [anon_sym___declspec] = ACTIONS(2888),
    [anon_sym___based] = ACTIONS(2888),
    [anon_sym___cdecl] = ACTIONS(2888),
    [anon_sym___clrcall] = ACTIONS(2888),
    [anon_sym___stdcall] = ACTIONS(2888),
    [anon_sym___fastcall] = ACTIONS(2888),
    [anon_sym___thiscall] = ACTIONS(2888),
    [anon_sym___vectorcall] = ACTIONS(2888),
    [anon_sym_LBRACE] = ACTIONS(2893),
    [anon_sym_RBRACE] = ACTIONS(2893),
    [anon_sym_signed] = ACTIONS(2888),
    [anon_sym_unsigned] = ACTIONS(2888),
    [anon_sym_long] = ACTIONS(2888),
    [anon_sym_short] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_register] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2888),
    [anon_sym___inline] = ACTIONS(2888),
    [anon_sym___inline__] = ACTIONS(2888),
    [anon_sym___forceinline] = ACTIONS(2888),
    [anon_sym_thread_local] = ACTIONS(2888),
    [anon_sym___thread] = ACTIONS(2888),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_PROGMEM] = ACTIONS(2888),
    [aux_sym_primitive_type_token1] = ACTIONS(2888),
    [anon_sym_byte] = ACTIONS(2888),
    [anon_sym_word] = ACTIONS(2888),
    [anon_sym_enum] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_struct] = ACTIONS(2888),
    [anon_sym_union] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_else] = ACTIONS(2888),
    [anon_sym_switch] = ACTIONS(2888),
    [anon_sym_case] = ACTIONS(2888),
    [anon_sym_default] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_break] = ACTIONS(2888),
    [anon_sym_continue] = ACTIONS(2888),
    [anon_sym_goto] = ACTIONS(2888),
    [anon_sym___try] = ACTIONS(2888),
    [anon_sym___leave] = ACTIONS(2888),
    [anon_sym_not] = ACTIONS(2888),
    [anon_sym_compl] = ACTIONS(2888),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_sizeof] = ACTIONS(2888),
    [anon_sym___alignof__] = ACTIONS(2888),
    [anon_sym___alignof] = ACTIONS(2888),
    [anon_sym__alignof] = ACTIONS(2888),
    [anon_sym_alignof] = ACTIONS(2888),
    [anon_sym__Alignof] = ACTIONS(2888),
    [anon_sym_offsetof] = ACTIONS(2888),
    [anon_sym__Generic] = ACTIONS(2888),
    [anon_sym_asm] = ACTIONS(2888),
    [anon_sym___asm__] = ACTIONS(2888),
    [aux_sym_number_literal_token1] = ACTIONS(2893),
    [aux_sym_number_literal_token2] = ACTIONS(2888),
    [anon_sym_L_SQUOTE] = ACTIONS(2893),
    [anon_sym_u_SQUOTE] = ACTIONS(2893),
    [anon_sym_U_SQUOTE] = ACTIONS(2893),
    [anon_sym_u8_SQUOTE] = ACTIONS(2893),
    [anon_sym_SQUOTE] = ACTIONS(2893),
    [anon_sym_L_DQUOTE] = ACTIONS(2893),
    [anon_sym_u_DQUOTE] = ACTIONS(2893),
    [anon_sym_U_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8_DQUOTE] = ACTIONS(2893),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_true] = ACTIONS(2888),
    [sym_false] = ACTIONS(2888),
    [anon_sym_NULL] = ACTIONS(2888),
    [anon_sym_nullptr] = ACTIONS(2888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2888),
    [anon_sym_decltype] = ACTIONS(2888),
    [anon_sym_virtual] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2888),
    [anon_sym_explicit] = ACTIONS(2888),
    [anon_sym_typename] = ACTIONS(2888),
    [anon_sym_template] = ACTIONS(2888),
    [anon_sym_operator] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_delete] = ACTIONS(2888),
    [anon_sym_throw] = ACTIONS(2888),
    [anon_sym_namespace] = ACTIONS(2888),
    [anon_sym_using] = ACTIONS(2888),
    [anon_sym_static_assert] = ACTIONS(2888),
    [anon_sym_concept] = ACTIONS(2888),
    [anon_sym_co_return] = ACTIONS(2888),
    [anon_sym_co_yield] = ACTIONS(2888),
    [anon_sym_R_DQUOTE] = ACTIONS(2893),
    [anon_sym_LR_DQUOTE] = ACTIONS(2893),
    [anon_sym_uR_DQUOTE] = ACTIONS(2893),
    [anon_sym_UR_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2893),
    [anon_sym_co_await] = ACTIONS(2888),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_requires] = ACTIONS(2888),
    [sym_this] = ACTIONS(2888),
  },
  [743] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [744] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [745] = {
    [ts_builtin_sym_end] = ACTIONS(3066),
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_include_token1] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym___cdecl] = ACTIONS(3064),
    [anon_sym___clrcall] = ACTIONS(3064),
    [anon_sym___stdcall] = ACTIONS(3064),
    [anon_sym___fastcall] = ACTIONS(3064),
    [anon_sym___thiscall] = ACTIONS(3064),
    [anon_sym___vectorcall] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_goto] = ACTIONS(3064),
    [anon_sym___try] = ACTIONS(3064),
    [anon_sym___leave] = ACTIONS(3064),
    [anon_sym_not] = ACTIONS(3064),
    [anon_sym_compl] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_sizeof] = ACTIONS(3064),
    [anon_sym___alignof__] = ACTIONS(3064),
    [anon_sym___alignof] = ACTIONS(3064),
    [anon_sym__alignof] = ACTIONS(3064),
    [anon_sym_alignof] = ACTIONS(3064),
    [anon_sym__Alignof] = ACTIONS(3064),
    [anon_sym_offsetof] = ACTIONS(3064),
    [anon_sym__Generic] = ACTIONS(3064),
    [anon_sym_asm] = ACTIONS(3064),
    [anon_sym___asm__] = ACTIONS(3064),
    [aux_sym_number_literal_token1] = ACTIONS(3066),
    [aux_sym_number_literal_token2] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3066),
    [anon_sym_u_DQUOTE] = ACTIONS(3066),
    [anon_sym_U_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8_DQUOTE] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [anon_sym_NULL] = ACTIONS(3064),
    [anon_sym_nullptr] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
    [anon_sym_concept] = ACTIONS(3064),
    [anon_sym_co_return] = ACTIONS(3064),
    [anon_sym_co_yield] = ACTIONS(3064),
    [anon_sym_R_DQUOTE] = ACTIONS(3066),
    [anon_sym_LR_DQUOTE] = ACTIONS(3066),
    [anon_sym_uR_DQUOTE] = ACTIONS(3066),
    [anon_sym_UR_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3066),
    [anon_sym_co_await] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_requires] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
  },
  [746] = {
    [sym_identifier] = ACTIONS(3172),
    [aux_sym_preproc_include_token1] = ACTIONS(3172),
    [aux_sym_preproc_def_token1] = ACTIONS(3172),
    [aux_sym_preproc_if_token1] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3172),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_AMP_AMP] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym___extension__] = ACTIONS(3172),
    [anon_sym_typedef] = ACTIONS(3172),
    [anon_sym_extern] = ACTIONS(3172),
    [anon_sym___attribute__] = ACTIONS(3172),
    [anon_sym_COLON_COLON] = ACTIONS(3174),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3174),
    [anon_sym___declspec] = ACTIONS(3172),
    [anon_sym___based] = ACTIONS(3172),
    [anon_sym___cdecl] = ACTIONS(3172),
    [anon_sym___clrcall] = ACTIONS(3172),
    [anon_sym___stdcall] = ACTIONS(3172),
    [anon_sym___fastcall] = ACTIONS(3172),
    [anon_sym___thiscall] = ACTIONS(3172),
    [anon_sym___vectorcall] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3174),
    [anon_sym_signed] = ACTIONS(3172),
    [anon_sym_unsigned] = ACTIONS(3172),
    [anon_sym_long] = ACTIONS(3172),
    [anon_sym_short] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_register] = ACTIONS(3172),
    [anon_sym_inline] = ACTIONS(3172),
    [anon_sym___inline] = ACTIONS(3172),
    [anon_sym___inline__] = ACTIONS(3172),
    [anon_sym___forceinline] = ACTIONS(3172),
    [anon_sym_thread_local] = ACTIONS(3172),
    [anon_sym___thread] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_constexpr] = ACTIONS(3172),
    [anon_sym_volatile] = ACTIONS(3172),
    [anon_sym_restrict] = ACTIONS(3172),
    [anon_sym___restrict__] = ACTIONS(3172),
    [anon_sym__Atomic] = ACTIONS(3172),
    [anon_sym__Noreturn] = ACTIONS(3172),
    [anon_sym_noreturn] = ACTIONS(3172),
    [anon_sym_mutable] = ACTIONS(3172),
    [anon_sym_constinit] = ACTIONS(3172),
    [anon_sym_consteval] = ACTIONS(3172),
    [anon_sym_PROGMEM] = ACTIONS(3172),
    [aux_sym_primitive_type_token1] = ACTIONS(3172),
    [anon_sym_byte] = ACTIONS(3172),
    [anon_sym_word] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_struct] = ACTIONS(3172),
    [anon_sym_union] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_goto] = ACTIONS(3172),
    [anon_sym___try] = ACTIONS(3172),
    [anon_sym___leave] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3172),
    [anon_sym_compl] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(3172),
    [anon_sym___alignof__] = ACTIONS(3172),
    [anon_sym___alignof] = ACTIONS(3172),
    [anon_sym__alignof] = ACTIONS(3172),
    [anon_sym_alignof] = ACTIONS(3172),
    [anon_sym__Alignof] = ACTIONS(3172),
    [anon_sym_offsetof] = ACTIONS(3172),
    [anon_sym__Generic] = ACTIONS(3172),
    [anon_sym_asm] = ACTIONS(3172),
    [anon_sym___asm__] = ACTIONS(3172),
    [aux_sym_number_literal_token1] = ACTIONS(3174),
    [aux_sym_number_literal_token2] = ACTIONS(3172),
    [anon_sym_L_SQUOTE] = ACTIONS(3174),
    [anon_sym_u_SQUOTE] = ACTIONS(3174),
    [anon_sym_U_SQUOTE] = ACTIONS(3174),
    [anon_sym_u8_SQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [anon_sym_L_DQUOTE] = ACTIONS(3174),
    [anon_sym_u_DQUOTE] = ACTIONS(3174),
    [anon_sym_U_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8_DQUOTE] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [anon_sym_NULL] = ACTIONS(3172),
    [anon_sym_nullptr] = ACTIONS(3172),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3172),
    [anon_sym_decltype] = ACTIONS(3172),
    [anon_sym_virtual] = ACTIONS(3172),
    [anon_sym_alignas] = ACTIONS(3172),
    [anon_sym_explicit] = ACTIONS(3172),
    [anon_sym_typename] = ACTIONS(3172),
    [anon_sym_template] = ACTIONS(3172),
    [anon_sym_operator] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_static_assert] = ACTIONS(3172),
    [anon_sym_concept] = ACTIONS(3172),
    [anon_sym_co_return] = ACTIONS(3172),
    [anon_sym_co_yield] = ACTIONS(3172),
    [anon_sym_R_DQUOTE] = ACTIONS(3174),
    [anon_sym_LR_DQUOTE] = ACTIONS(3174),
    [anon_sym_uR_DQUOTE] = ACTIONS(3174),
    [anon_sym_UR_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3174),
    [anon_sym_co_await] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_requires] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
  },
  [747] = {
    [sym_identifier] = ACTIONS(3136),
    [aux_sym_preproc_include_token1] = ACTIONS(3136),
    [aux_sym_preproc_def_token1] = ACTIONS(3136),
    [aux_sym_preproc_if_token1] = ACTIONS(3136),
    [aux_sym_preproc_if_token2] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [sym_preproc_directive] = ACTIONS(3136),
    [anon_sym_LPAREN2] = ACTIONS(3138),
    [anon_sym_BANG] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3138),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym___extension__] = ACTIONS(3136),
    [anon_sym_typedef] = ACTIONS(3136),
    [anon_sym_extern] = ACTIONS(3136),
    [anon_sym___attribute__] = ACTIONS(3136),
    [anon_sym_COLON_COLON] = ACTIONS(3138),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3138),
    [anon_sym___declspec] = ACTIONS(3136),
    [anon_sym___based] = ACTIONS(3136),
    [anon_sym___cdecl] = ACTIONS(3136),
    [anon_sym___clrcall] = ACTIONS(3136),
    [anon_sym___stdcall] = ACTIONS(3136),
    [anon_sym___fastcall] = ACTIONS(3136),
    [anon_sym___thiscall] = ACTIONS(3136),
    [anon_sym___vectorcall] = ACTIONS(3136),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_signed] = ACTIONS(3136),
    [anon_sym_unsigned] = ACTIONS(3136),
    [anon_sym_long] = ACTIONS(3136),
    [anon_sym_short] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_static] = ACTIONS(3136),
    [anon_sym_register] = ACTIONS(3136),
    [anon_sym_inline] = ACTIONS(3136),
    [anon_sym___inline] = ACTIONS(3136),
    [anon_sym___inline__] = ACTIONS(3136),
    [anon_sym___forceinline] = ACTIONS(3136),
    [anon_sym_thread_local] = ACTIONS(3136),
    [anon_sym___thread] = ACTIONS(3136),
    [anon_sym_const] = ACTIONS(3136),
    [anon_sym_constexpr] = ACTIONS(3136),
    [anon_sym_volatile] = ACTIONS(3136),
    [anon_sym_restrict] = ACTIONS(3136),
    [anon_sym___restrict__] = ACTIONS(3136),
    [anon_sym__Atomic] = ACTIONS(3136),
    [anon_sym__Noreturn] = ACTIONS(3136),
    [anon_sym_noreturn] = ACTIONS(3136),
    [anon_sym_mutable] = ACTIONS(3136),
    [anon_sym_constinit] = ACTIONS(3136),
    [anon_sym_consteval] = ACTIONS(3136),
    [anon_sym_PROGMEM] = ACTIONS(3136),
    [aux_sym_primitive_type_token1] = ACTIONS(3136),
    [anon_sym_byte] = ACTIONS(3136),
    [anon_sym_word] = ACTIONS(3136),
    [anon_sym_enum] = ACTIONS(3136),
    [anon_sym_class] = ACTIONS(3136),
    [anon_sym_struct] = ACTIONS(3136),
    [anon_sym_union] = ACTIONS(3136),
    [anon_sym_if] = ACTIONS(3136),
    [anon_sym_else] = ACTIONS(3136),
    [anon_sym_switch] = ACTIONS(3136),
    [anon_sym_case] = ACTIONS(3136),
    [anon_sym_default] = ACTIONS(3136),
    [anon_sym_while] = ACTIONS(3136),
    [anon_sym_do] = ACTIONS(3136),
    [anon_sym_for] = ACTIONS(3136),
    [anon_sym_return] = ACTIONS(3136),
    [anon_sym_break] = ACTIONS(3136),
    [anon_sym_continue] = ACTIONS(3136),
    [anon_sym_goto] = ACTIONS(3136),
    [anon_sym___try] = ACTIONS(3136),
    [anon_sym___leave] = ACTIONS(3136),
    [anon_sym_not] = ACTIONS(3136),
    [anon_sym_compl] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_sizeof] = ACTIONS(3136),
    [anon_sym___alignof__] = ACTIONS(3136),
    [anon_sym___alignof] = ACTIONS(3136),
    [anon_sym__alignof] = ACTIONS(3136),
    [anon_sym_alignof] = ACTIONS(3136),
    [anon_sym__Alignof] = ACTIONS(3136),
    [anon_sym_offsetof] = ACTIONS(3136),
    [anon_sym__Generic] = ACTIONS(3136),
    [anon_sym_asm] = ACTIONS(3136),
    [anon_sym___asm__] = ACTIONS(3136),
    [aux_sym_number_literal_token1] = ACTIONS(3138),
    [aux_sym_number_literal_token2] = ACTIONS(3136),
    [anon_sym_L_SQUOTE] = ACTIONS(3138),
    [anon_sym_u_SQUOTE] = ACTIONS(3138),
    [anon_sym_U_SQUOTE] = ACTIONS(3138),
    [anon_sym_u8_SQUOTE] = ACTIONS(3138),
    [anon_sym_SQUOTE] = ACTIONS(3138),
    [anon_sym_L_DQUOTE] = ACTIONS(3138),
    [anon_sym_u_DQUOTE] = ACTIONS(3138),
    [anon_sym_U_DQUOTE] = ACTIONS(3138),
    [anon_sym_u8_DQUOTE] = ACTIONS(3138),
    [anon_sym_DQUOTE] = ACTIONS(3138),
    [sym_true] = ACTIONS(3136),
    [sym_false] = ACTIONS(3136),
    [anon_sym_NULL] = ACTIONS(3136),
    [anon_sym_nullptr] = ACTIONS(3136),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3136),
    [anon_sym_decltype] = ACTIONS(3136),
    [anon_sym_virtual] = ACTIONS(3136),
    [anon_sym_alignas] = ACTIONS(3136),
    [anon_sym_explicit] = ACTIONS(3136),
    [anon_sym_typename] = ACTIONS(3136),
    [anon_sym_template] = ACTIONS(3136),
    [anon_sym_operator] = ACTIONS(3136),
    [anon_sym_try] = ACTIONS(3136),
    [anon_sym_delete] = ACTIONS(3136),
    [anon_sym_throw] = ACTIONS(3136),
    [anon_sym_namespace] = ACTIONS(3136),
    [anon_sym_using] = ACTIONS(3136),
    [anon_sym_static_assert] = ACTIONS(3136),
    [anon_sym_concept] = ACTIONS(3136),
    [anon_sym_co_return] = ACTIONS(3136),
    [anon_sym_co_yield] = ACTIONS(3136),
    [anon_sym_R_DQUOTE] = ACTIONS(3138),
    [anon_sym_LR_DQUOTE] = ACTIONS(3138),
    [anon_sym_uR_DQUOTE] = ACTIONS(3138),
    [anon_sym_UR_DQUOTE] = ACTIONS(3138),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3138),
    [anon_sym_co_await] = ACTIONS(3136),
    [anon_sym_new] = ACTIONS(3136),
    [anon_sym_requires] = ACTIONS(3136),
    [sym_this] = ACTIONS(3136),
  },
  [748] = {
    [ts_builtin_sym_end] = ACTIONS(3066),
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_include_token1] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym___cdecl] = ACTIONS(3064),
    [anon_sym___clrcall] = ACTIONS(3064),
    [anon_sym___stdcall] = ACTIONS(3064),
    [anon_sym___fastcall] = ACTIONS(3064),
    [anon_sym___thiscall] = ACTIONS(3064),
    [anon_sym___vectorcall] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_goto] = ACTIONS(3064),
    [anon_sym___try] = ACTIONS(3064),
    [anon_sym___leave] = ACTIONS(3064),
    [anon_sym_not] = ACTIONS(3064),
    [anon_sym_compl] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_sizeof] = ACTIONS(3064),
    [anon_sym___alignof__] = ACTIONS(3064),
    [anon_sym___alignof] = ACTIONS(3064),
    [anon_sym__alignof] = ACTIONS(3064),
    [anon_sym_alignof] = ACTIONS(3064),
    [anon_sym__Alignof] = ACTIONS(3064),
    [anon_sym_offsetof] = ACTIONS(3064),
    [anon_sym__Generic] = ACTIONS(3064),
    [anon_sym_asm] = ACTIONS(3064),
    [anon_sym___asm__] = ACTIONS(3064),
    [aux_sym_number_literal_token1] = ACTIONS(3066),
    [aux_sym_number_literal_token2] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3066),
    [anon_sym_u_DQUOTE] = ACTIONS(3066),
    [anon_sym_U_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8_DQUOTE] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [anon_sym_NULL] = ACTIONS(3064),
    [anon_sym_nullptr] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
    [anon_sym_concept] = ACTIONS(3064),
    [anon_sym_co_return] = ACTIONS(3064),
    [anon_sym_co_yield] = ACTIONS(3064),
    [anon_sym_R_DQUOTE] = ACTIONS(3066),
    [anon_sym_LR_DQUOTE] = ACTIONS(3066),
    [anon_sym_uR_DQUOTE] = ACTIONS(3066),
    [anon_sym_UR_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3066),
    [anon_sym_co_await] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_requires] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
  },
  [749] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [750] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [751] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [752] = {
    [ts_builtin_sym_end] = ACTIONS(3054),
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_include_token1] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_BANG] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym___cdecl] = ACTIONS(3052),
    [anon_sym___clrcall] = ACTIONS(3052),
    [anon_sym___stdcall] = ACTIONS(3052),
    [anon_sym___fastcall] = ACTIONS(3052),
    [anon_sym___thiscall] = ACTIONS(3052),
    [anon_sym___vectorcall] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_PROGMEM] = ACTIONS(3052),
    [aux_sym_primitive_type_token1] = ACTIONS(3052),
    [anon_sym_byte] = ACTIONS(3052),
    [anon_sym_word] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [anon_sym_if] = ACTIONS(3052),
    [anon_sym_else] = ACTIONS(3052),
    [anon_sym_switch] = ACTIONS(3052),
    [anon_sym_case] = ACTIONS(3052),
    [anon_sym_default] = ACTIONS(3052),
    [anon_sym_while] = ACTIONS(3052),
    [anon_sym_do] = ACTIONS(3052),
    [anon_sym_for] = ACTIONS(3052),
    [anon_sym_return] = ACTIONS(3052),
    [anon_sym_break] = ACTIONS(3052),
    [anon_sym_continue] = ACTIONS(3052),
    [anon_sym_goto] = ACTIONS(3052),
    [anon_sym___try] = ACTIONS(3052),
    [anon_sym___leave] = ACTIONS(3052),
    [anon_sym_not] = ACTIONS(3052),
    [anon_sym_compl] = ACTIONS(3052),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_sizeof] = ACTIONS(3052),
    [anon_sym___alignof__] = ACTIONS(3052),
    [anon_sym___alignof] = ACTIONS(3052),
    [anon_sym__alignof] = ACTIONS(3052),
    [anon_sym_alignof] = ACTIONS(3052),
    [anon_sym__Alignof] = ACTIONS(3052),
    [anon_sym_offsetof] = ACTIONS(3052),
    [anon_sym__Generic] = ACTIONS(3052),
    [anon_sym_asm] = ACTIONS(3052),
    [anon_sym___asm__] = ACTIONS(3052),
    [aux_sym_number_literal_token1] = ACTIONS(3054),
    [aux_sym_number_literal_token2] = ACTIONS(3052),
    [anon_sym_L_SQUOTE] = ACTIONS(3054),
    [anon_sym_u_SQUOTE] = ACTIONS(3054),
    [anon_sym_U_SQUOTE] = ACTIONS(3054),
    [anon_sym_u8_SQUOTE] = ACTIONS(3054),
    [anon_sym_SQUOTE] = ACTIONS(3054),
    [anon_sym_L_DQUOTE] = ACTIONS(3054),
    [anon_sym_u_DQUOTE] = ACTIONS(3054),
    [anon_sym_U_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8_DQUOTE] = ACTIONS(3054),
    [anon_sym_DQUOTE] = ACTIONS(3054),
    [sym_true] = ACTIONS(3052),
    [sym_false] = ACTIONS(3052),
    [anon_sym_NULL] = ACTIONS(3052),
    [anon_sym_nullptr] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_try] = ACTIONS(3052),
    [anon_sym_delete] = ACTIONS(3052),
    [anon_sym_throw] = ACTIONS(3052),
    [anon_sym_namespace] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
    [anon_sym_concept] = ACTIONS(3052),
    [anon_sym_co_return] = ACTIONS(3052),
    [anon_sym_co_yield] = ACTIONS(3052),
    [anon_sym_R_DQUOTE] = ACTIONS(3054),
    [anon_sym_LR_DQUOTE] = ACTIONS(3054),
    [anon_sym_uR_DQUOTE] = ACTIONS(3054),
    [anon_sym_UR_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3054),
    [anon_sym_co_await] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(3052),
    [anon_sym_requires] = ACTIONS(3052),
    [sym_this] = ACTIONS(3052),
  },
  [753] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [754] = {
    [ts_builtin_sym_end] = ACTIONS(2946),
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_include_token1] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2944),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym___cdecl] = ACTIONS(2944),
    [anon_sym___clrcall] = ACTIONS(2944),
    [anon_sym___stdcall] = ACTIONS(2944),
    [anon_sym___fastcall] = ACTIONS(2944),
    [anon_sym___thiscall] = ACTIONS(2944),
    [anon_sym___vectorcall] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(2946),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_PROGMEM] = ACTIONS(2944),
    [aux_sym_primitive_type_token1] = ACTIONS(2944),
    [anon_sym_byte] = ACTIONS(2944),
    [anon_sym_word] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [anon_sym_if] = ACTIONS(2944),
    [anon_sym_else] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2944),
    [anon_sym_case] = ACTIONS(2944),
    [anon_sym_default] = ACTIONS(2944),
    [anon_sym_while] = ACTIONS(2944),
    [anon_sym_do] = ACTIONS(2944),
    [anon_sym_for] = ACTIONS(2944),
    [anon_sym_return] = ACTIONS(2944),
    [anon_sym_break] = ACTIONS(2944),
    [anon_sym_continue] = ACTIONS(2944),
    [anon_sym_goto] = ACTIONS(2944),
    [anon_sym___try] = ACTIONS(2944),
    [anon_sym___leave] = ACTIONS(2944),
    [anon_sym_not] = ACTIONS(2944),
    [anon_sym_compl] = ACTIONS(2944),
    [anon_sym_DASH_DASH] = ACTIONS(2946),
    [anon_sym_PLUS_PLUS] = ACTIONS(2946),
    [anon_sym_sizeof] = ACTIONS(2944),
    [anon_sym___alignof__] = ACTIONS(2944),
    [anon_sym___alignof] = ACTIONS(2944),
    [anon_sym__alignof] = ACTIONS(2944),
    [anon_sym_alignof] = ACTIONS(2944),
    [anon_sym__Alignof] = ACTIONS(2944),
    [anon_sym_offsetof] = ACTIONS(2944),
    [anon_sym__Generic] = ACTIONS(2944),
    [anon_sym_asm] = ACTIONS(2944),
    [anon_sym___asm__] = ACTIONS(2944),
    [aux_sym_number_literal_token1] = ACTIONS(2946),
    [aux_sym_number_literal_token2] = ACTIONS(2944),
    [anon_sym_L_SQUOTE] = ACTIONS(2946),
    [anon_sym_u_SQUOTE] = ACTIONS(2946),
    [anon_sym_U_SQUOTE] = ACTIONS(2946),
    [anon_sym_u8_SQUOTE] = ACTIONS(2946),
    [anon_sym_SQUOTE] = ACTIONS(2946),
    [anon_sym_L_DQUOTE] = ACTIONS(2946),
    [anon_sym_u_DQUOTE] = ACTIONS(2946),
    [anon_sym_U_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8_DQUOTE] = ACTIONS(2946),
    [anon_sym_DQUOTE] = ACTIONS(2946),
    [sym_true] = ACTIONS(2944),
    [sym_false] = ACTIONS(2944),
    [anon_sym_NULL] = ACTIONS(2944),
    [anon_sym_nullptr] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_delete] = ACTIONS(2944),
    [anon_sym_throw] = ACTIONS(2944),
    [anon_sym_namespace] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
    [anon_sym_concept] = ACTIONS(2944),
    [anon_sym_co_return] = ACTIONS(2944),
    [anon_sym_co_yield] = ACTIONS(2944),
    [anon_sym_R_DQUOTE] = ACTIONS(2946),
    [anon_sym_LR_DQUOTE] = ACTIONS(2946),
    [anon_sym_uR_DQUOTE] = ACTIONS(2946),
    [anon_sym_UR_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2946),
    [anon_sym_co_await] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(2944),
    [anon_sym_requires] = ACTIONS(2944),
    [sym_this] = ACTIONS(2944),
  },
  [755] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [756] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [757] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_include_token1] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym___cdecl] = ACTIONS(3162),
    [anon_sym___clrcall] = ACTIONS(3162),
    [anon_sym___stdcall] = ACTIONS(3162),
    [anon_sym___fastcall] = ACTIONS(3162),
    [anon_sym___thiscall] = ACTIONS(3162),
    [anon_sym___vectorcall] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_PROGMEM] = ACTIONS(3162),
    [aux_sym_primitive_type_token1] = ACTIONS(3162),
    [anon_sym_byte] = ACTIONS(3162),
    [anon_sym_word] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_else] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_goto] = ACTIONS(3162),
    [anon_sym___try] = ACTIONS(3162),
    [anon_sym___leave] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3162),
    [anon_sym_compl] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_sizeof] = ACTIONS(3162),
    [anon_sym___alignof__] = ACTIONS(3162),
    [anon_sym___alignof] = ACTIONS(3162),
    [anon_sym__alignof] = ACTIONS(3162),
    [anon_sym_alignof] = ACTIONS(3162),
    [anon_sym__Alignof] = ACTIONS(3162),
    [anon_sym_offsetof] = ACTIONS(3162),
    [anon_sym__Generic] = ACTIONS(3162),
    [anon_sym_asm] = ACTIONS(3162),
    [anon_sym___asm__] = ACTIONS(3162),
    [aux_sym_number_literal_token1] = ACTIONS(3164),
    [aux_sym_number_literal_token2] = ACTIONS(3162),
    [anon_sym_L_SQUOTE] = ACTIONS(3164),
    [anon_sym_u_SQUOTE] = ACTIONS(3164),
    [anon_sym_U_SQUOTE] = ACTIONS(3164),
    [anon_sym_u8_SQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_L_DQUOTE] = ACTIONS(3164),
    [anon_sym_u_DQUOTE] = ACTIONS(3164),
    [anon_sym_U_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8_DQUOTE] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [anon_sym_NULL] = ACTIONS(3162),
    [anon_sym_nullptr] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
    [anon_sym_concept] = ACTIONS(3162),
    [anon_sym_co_return] = ACTIONS(3162),
    [anon_sym_co_yield] = ACTIONS(3162),
    [anon_sym_R_DQUOTE] = ACTIONS(3164),
    [anon_sym_LR_DQUOTE] = ACTIONS(3164),
    [anon_sym_uR_DQUOTE] = ACTIONS(3164),
    [anon_sym_UR_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3164),
    [anon_sym_co_await] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_requires] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
  },
  [758] = {
    [sym_identifier] = ACTIONS(3168),
    [aux_sym_preproc_include_token1] = ACTIONS(3168),
    [aux_sym_preproc_def_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3168),
    [sym_preproc_directive] = ACTIONS(3168),
    [anon_sym_LPAREN2] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym___extension__] = ACTIONS(3168),
    [anon_sym_typedef] = ACTIONS(3168),
    [anon_sym_extern] = ACTIONS(3168),
    [anon_sym___attribute__] = ACTIONS(3168),
    [anon_sym_COLON_COLON] = ACTIONS(3170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3170),
    [anon_sym___declspec] = ACTIONS(3168),
    [anon_sym___based] = ACTIONS(3168),
    [anon_sym___cdecl] = ACTIONS(3168),
    [anon_sym___clrcall] = ACTIONS(3168),
    [anon_sym___stdcall] = ACTIONS(3168),
    [anon_sym___fastcall] = ACTIONS(3168),
    [anon_sym___thiscall] = ACTIONS(3168),
    [anon_sym___vectorcall] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_RBRACE] = ACTIONS(3170),
    [anon_sym_signed] = ACTIONS(3168),
    [anon_sym_unsigned] = ACTIONS(3168),
    [anon_sym_long] = ACTIONS(3168),
    [anon_sym_short] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_register] = ACTIONS(3168),
    [anon_sym_inline] = ACTIONS(3168),
    [anon_sym___inline] = ACTIONS(3168),
    [anon_sym___inline__] = ACTIONS(3168),
    [anon_sym___forceinline] = ACTIONS(3168),
    [anon_sym_thread_local] = ACTIONS(3168),
    [anon_sym___thread] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_constexpr] = ACTIONS(3168),
    [anon_sym_volatile] = ACTIONS(3168),
    [anon_sym_restrict] = ACTIONS(3168),
    [anon_sym___restrict__] = ACTIONS(3168),
    [anon_sym__Atomic] = ACTIONS(3168),
    [anon_sym__Noreturn] = ACTIONS(3168),
    [anon_sym_noreturn] = ACTIONS(3168),
    [anon_sym_mutable] = ACTIONS(3168),
    [anon_sym_constinit] = ACTIONS(3168),
    [anon_sym_consteval] = ACTIONS(3168),
    [anon_sym_PROGMEM] = ACTIONS(3168),
    [aux_sym_primitive_type_token1] = ACTIONS(3168),
    [anon_sym_byte] = ACTIONS(3168),
    [anon_sym_word] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_struct] = ACTIONS(3168),
    [anon_sym_union] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_else] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_case] = ACTIONS(3168),
    [anon_sym_default] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_goto] = ACTIONS(3168),
    [anon_sym___try] = ACTIONS(3168),
    [anon_sym___leave] = ACTIONS(3168),
    [anon_sym_not] = ACTIONS(3168),
    [anon_sym_compl] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_sizeof] = ACTIONS(3168),
    [anon_sym___alignof__] = ACTIONS(3168),
    [anon_sym___alignof] = ACTIONS(3168),
    [anon_sym__alignof] = ACTIONS(3168),
    [anon_sym_alignof] = ACTIONS(3168),
    [anon_sym__Alignof] = ACTIONS(3168),
    [anon_sym_offsetof] = ACTIONS(3168),
    [anon_sym__Generic] = ACTIONS(3168),
    [anon_sym_asm] = ACTIONS(3168),
    [anon_sym___asm__] = ACTIONS(3168),
    [aux_sym_number_literal_token1] = ACTIONS(3170),
    [aux_sym_number_literal_token2] = ACTIONS(3168),
    [anon_sym_L_SQUOTE] = ACTIONS(3170),
    [anon_sym_u_SQUOTE] = ACTIONS(3170),
    [anon_sym_U_SQUOTE] = ACTIONS(3170),
    [anon_sym_u8_SQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [anon_sym_L_DQUOTE] = ACTIONS(3170),
    [anon_sym_u_DQUOTE] = ACTIONS(3170),
    [anon_sym_U_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8_DQUOTE] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [anon_sym_NULL] = ACTIONS(3168),
    [anon_sym_nullptr] = ACTIONS(3168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3168),
    [anon_sym_decltype] = ACTIONS(3168),
    [anon_sym_virtual] = ACTIONS(3168),
    [anon_sym_alignas] = ACTIONS(3168),
    [anon_sym_explicit] = ACTIONS(3168),
    [anon_sym_typename] = ACTIONS(3168),
    [anon_sym_template] = ACTIONS(3168),
    [anon_sym_operator] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_static_assert] = ACTIONS(3168),
    [anon_sym_concept] = ACTIONS(3168),
    [anon_sym_co_return] = ACTIONS(3168),
    [anon_sym_co_yield] = ACTIONS(3168),
    [anon_sym_R_DQUOTE] = ACTIONS(3170),
    [anon_sym_LR_DQUOTE] = ACTIONS(3170),
    [anon_sym_uR_DQUOTE] = ACTIONS(3170),
    [anon_sym_UR_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3170),
    [anon_sym_co_await] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_requires] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
  },
  [759] = {
    [ts_builtin_sym_end] = ACTIONS(3074),
    [sym_identifier] = ACTIONS(3072),
    [aux_sym_preproc_include_token1] = ACTIONS(3072),
    [aux_sym_preproc_def_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3072),
    [sym_preproc_directive] = ACTIONS(3072),
    [anon_sym_LPAREN2] = ACTIONS(3074),
    [anon_sym_BANG] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3074),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym___extension__] = ACTIONS(3072),
    [anon_sym_typedef] = ACTIONS(3072),
    [anon_sym_extern] = ACTIONS(3072),
    [anon_sym___attribute__] = ACTIONS(3072),
    [anon_sym_COLON_COLON] = ACTIONS(3074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3074),
    [anon_sym___declspec] = ACTIONS(3072),
    [anon_sym___based] = ACTIONS(3072),
    [anon_sym___cdecl] = ACTIONS(3072),
    [anon_sym___clrcall] = ACTIONS(3072),
    [anon_sym___stdcall] = ACTIONS(3072),
    [anon_sym___fastcall] = ACTIONS(3072),
    [anon_sym___thiscall] = ACTIONS(3072),
    [anon_sym___vectorcall] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3074),
    [anon_sym_signed] = ACTIONS(3072),
    [anon_sym_unsigned] = ACTIONS(3072),
    [anon_sym_long] = ACTIONS(3072),
    [anon_sym_short] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_register] = ACTIONS(3072),
    [anon_sym_inline] = ACTIONS(3072),
    [anon_sym___inline] = ACTIONS(3072),
    [anon_sym___inline__] = ACTIONS(3072),
    [anon_sym___forceinline] = ACTIONS(3072),
    [anon_sym_thread_local] = ACTIONS(3072),
    [anon_sym___thread] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_constexpr] = ACTIONS(3072),
    [anon_sym_volatile] = ACTIONS(3072),
    [anon_sym_restrict] = ACTIONS(3072),
    [anon_sym___restrict__] = ACTIONS(3072),
    [anon_sym__Atomic] = ACTIONS(3072),
    [anon_sym__Noreturn] = ACTIONS(3072),
    [anon_sym_noreturn] = ACTIONS(3072),
    [anon_sym_mutable] = ACTIONS(3072),
    [anon_sym_constinit] = ACTIONS(3072),
    [anon_sym_consteval] = ACTIONS(3072),
    [anon_sym_PROGMEM] = ACTIONS(3072),
    [aux_sym_primitive_type_token1] = ACTIONS(3072),
    [anon_sym_byte] = ACTIONS(3072),
    [anon_sym_word] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_struct] = ACTIONS(3072),
    [anon_sym_union] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_else] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_default] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_goto] = ACTIONS(3072),
    [anon_sym___try] = ACTIONS(3072),
    [anon_sym___leave] = ACTIONS(3072),
    [anon_sym_not] = ACTIONS(3072),
    [anon_sym_compl] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_sizeof] = ACTIONS(3072),
    [anon_sym___alignof__] = ACTIONS(3072),
    [anon_sym___alignof] = ACTIONS(3072),
    [anon_sym__alignof] = ACTIONS(3072),
    [anon_sym_alignof] = ACTIONS(3072),
    [anon_sym__Alignof] = ACTIONS(3072),
    [anon_sym_offsetof] = ACTIONS(3072),
    [anon_sym__Generic] = ACTIONS(3072),
    [anon_sym_asm] = ACTIONS(3072),
    [anon_sym___asm__] = ACTIONS(3072),
    [aux_sym_number_literal_token1] = ACTIONS(3074),
    [aux_sym_number_literal_token2] = ACTIONS(3072),
    [anon_sym_L_SQUOTE] = ACTIONS(3074),
    [anon_sym_u_SQUOTE] = ACTIONS(3074),
    [anon_sym_U_SQUOTE] = ACTIONS(3074),
    [anon_sym_u8_SQUOTE] = ACTIONS(3074),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [anon_sym_L_DQUOTE] = ACTIONS(3074),
    [anon_sym_u_DQUOTE] = ACTIONS(3074),
    [anon_sym_U_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8_DQUOTE] = ACTIONS(3074),
    [anon_sym_DQUOTE] = ACTIONS(3074),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3072),
    [anon_sym_decltype] = ACTIONS(3072),
    [anon_sym_virtual] = ACTIONS(3072),
    [anon_sym_alignas] = ACTIONS(3072),
    [anon_sym_explicit] = ACTIONS(3072),
    [anon_sym_typename] = ACTIONS(3072),
    [anon_sym_template] = ACTIONS(3072),
    [anon_sym_operator] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_static_assert] = ACTIONS(3072),
    [anon_sym_concept] = ACTIONS(3072),
    [anon_sym_co_return] = ACTIONS(3072),
    [anon_sym_co_yield] = ACTIONS(3072),
    [anon_sym_R_DQUOTE] = ACTIONS(3074),
    [anon_sym_LR_DQUOTE] = ACTIONS(3074),
    [anon_sym_uR_DQUOTE] = ACTIONS(3074),
    [anon_sym_UR_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3074),
    [anon_sym_co_await] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_requires] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
  },
  [760] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [761] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [762] = {
    [sym_identifier] = ACTIONS(3130),
    [aux_sym_preproc_include_token1] = ACTIONS(3130),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token2] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3130),
    [sym_preproc_directive] = ACTIONS(3130),
    [anon_sym_LPAREN2] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym___extension__] = ACTIONS(3130),
    [anon_sym_typedef] = ACTIONS(3130),
    [anon_sym_extern] = ACTIONS(3130),
    [anon_sym___attribute__] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3132),
    [anon_sym___declspec] = ACTIONS(3130),
    [anon_sym___based] = ACTIONS(3130),
    [anon_sym___cdecl] = ACTIONS(3130),
    [anon_sym___clrcall] = ACTIONS(3130),
    [anon_sym___stdcall] = ACTIONS(3130),
    [anon_sym___fastcall] = ACTIONS(3130),
    [anon_sym___thiscall] = ACTIONS(3130),
    [anon_sym___vectorcall] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_signed] = ACTIONS(3130),
    [anon_sym_unsigned] = ACTIONS(3130),
    [anon_sym_long] = ACTIONS(3130),
    [anon_sym_short] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_register] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym___inline] = ACTIONS(3130),
    [anon_sym___inline__] = ACTIONS(3130),
    [anon_sym___forceinline] = ACTIONS(3130),
    [anon_sym_thread_local] = ACTIONS(3130),
    [anon_sym___thread] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_constexpr] = ACTIONS(3130),
    [anon_sym_volatile] = ACTIONS(3130),
    [anon_sym_restrict] = ACTIONS(3130),
    [anon_sym___restrict__] = ACTIONS(3130),
    [anon_sym__Atomic] = ACTIONS(3130),
    [anon_sym__Noreturn] = ACTIONS(3130),
    [anon_sym_noreturn] = ACTIONS(3130),
    [anon_sym_mutable] = ACTIONS(3130),
    [anon_sym_constinit] = ACTIONS(3130),
    [anon_sym_consteval] = ACTIONS(3130),
    [anon_sym_PROGMEM] = ACTIONS(3130),
    [aux_sym_primitive_type_token1] = ACTIONS(3130),
    [anon_sym_byte] = ACTIONS(3130),
    [anon_sym_word] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_struct] = ACTIONS(3130),
    [anon_sym_union] = ACTIONS(3130),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_else] = ACTIONS(3130),
    [anon_sym_switch] = ACTIONS(3130),
    [anon_sym_case] = ACTIONS(3130),
    [anon_sym_default] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_do] = ACTIONS(3130),
    [anon_sym_for] = ACTIONS(3130),
    [anon_sym_return] = ACTIONS(3130),
    [anon_sym_break] = ACTIONS(3130),
    [anon_sym_continue] = ACTIONS(3130),
    [anon_sym_goto] = ACTIONS(3130),
    [anon_sym___try] = ACTIONS(3130),
    [anon_sym___leave] = ACTIONS(3130),
    [anon_sym_not] = ACTIONS(3130),
    [anon_sym_compl] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_sizeof] = ACTIONS(3130),
    [anon_sym___alignof__] = ACTIONS(3130),
    [anon_sym___alignof] = ACTIONS(3130),
    [anon_sym__alignof] = ACTIONS(3130),
    [anon_sym_alignof] = ACTIONS(3130),
    [anon_sym__Alignof] = ACTIONS(3130),
    [anon_sym_offsetof] = ACTIONS(3130),
    [anon_sym__Generic] = ACTIONS(3130),
    [anon_sym_asm] = ACTIONS(3130),
    [anon_sym___asm__] = ACTIONS(3130),
    [aux_sym_number_literal_token1] = ACTIONS(3132),
    [aux_sym_number_literal_token2] = ACTIONS(3130),
    [anon_sym_L_SQUOTE] = ACTIONS(3132),
    [anon_sym_u_SQUOTE] = ACTIONS(3132),
    [anon_sym_U_SQUOTE] = ACTIONS(3132),
    [anon_sym_u8_SQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [anon_sym_L_DQUOTE] = ACTIONS(3132),
    [anon_sym_u_DQUOTE] = ACTIONS(3132),
    [anon_sym_U_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8_DQUOTE] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [sym_true] = ACTIONS(3130),
    [sym_false] = ACTIONS(3130),
    [anon_sym_NULL] = ACTIONS(3130),
    [anon_sym_nullptr] = ACTIONS(3130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3130),
    [anon_sym_decltype] = ACTIONS(3130),
    [anon_sym_virtual] = ACTIONS(3130),
    [anon_sym_alignas] = ACTIONS(3130),
    [anon_sym_explicit] = ACTIONS(3130),
    [anon_sym_typename] = ACTIONS(3130),
    [anon_sym_template] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_try] = ACTIONS(3130),
    [anon_sym_delete] = ACTIONS(3130),
    [anon_sym_throw] = ACTIONS(3130),
    [anon_sym_namespace] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_static_assert] = ACTIONS(3130),
    [anon_sym_concept] = ACTIONS(3130),
    [anon_sym_co_return] = ACTIONS(3130),
    [anon_sym_co_yield] = ACTIONS(3130),
    [anon_sym_R_DQUOTE] = ACTIONS(3132),
    [anon_sym_LR_DQUOTE] = ACTIONS(3132),
    [anon_sym_uR_DQUOTE] = ACTIONS(3132),
    [anon_sym_UR_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3132),
    [anon_sym_co_await] = ACTIONS(3130),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_requires] = ACTIONS(3130),
    [sym_this] = ACTIONS(3130),
  },
  [763] = {
    [sym_identifier] = ACTIONS(3124),
    [aux_sym_preproc_include_token1] = ACTIONS(3124),
    [aux_sym_preproc_def_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token2] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3126),
    [anon_sym_BANG] = ACTIONS(3126),
    [anon_sym_TILDE] = ACTIONS(3126),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_STAR] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym___extension__] = ACTIONS(3124),
    [anon_sym_typedef] = ACTIONS(3124),
    [anon_sym_extern] = ACTIONS(3124),
    [anon_sym___attribute__] = ACTIONS(3124),
    [anon_sym_COLON_COLON] = ACTIONS(3126),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3126),
    [anon_sym___declspec] = ACTIONS(3124),
    [anon_sym___based] = ACTIONS(3124),
    [anon_sym___cdecl] = ACTIONS(3124),
    [anon_sym___clrcall] = ACTIONS(3124),
    [anon_sym___stdcall] = ACTIONS(3124),
    [anon_sym___fastcall] = ACTIONS(3124),
    [anon_sym___thiscall] = ACTIONS(3124),
    [anon_sym___vectorcall] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3126),
    [anon_sym_signed] = ACTIONS(3124),
    [anon_sym_unsigned] = ACTIONS(3124),
    [anon_sym_long] = ACTIONS(3124),
    [anon_sym_short] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_register] = ACTIONS(3124),
    [anon_sym_inline] = ACTIONS(3124),
    [anon_sym___inline] = ACTIONS(3124),
    [anon_sym___inline__] = ACTIONS(3124),
    [anon_sym___forceinline] = ACTIONS(3124),
    [anon_sym_thread_local] = ACTIONS(3124),
    [anon_sym___thread] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_constexpr] = ACTIONS(3124),
    [anon_sym_volatile] = ACTIONS(3124),
    [anon_sym_restrict] = ACTIONS(3124),
    [anon_sym___restrict__] = ACTIONS(3124),
    [anon_sym__Atomic] = ACTIONS(3124),
    [anon_sym__Noreturn] = ACTIONS(3124),
    [anon_sym_noreturn] = ACTIONS(3124),
    [anon_sym_mutable] = ACTIONS(3124),
    [anon_sym_constinit] = ACTIONS(3124),
    [anon_sym_consteval] = ACTIONS(3124),
    [anon_sym_PROGMEM] = ACTIONS(3124),
    [aux_sym_primitive_type_token1] = ACTIONS(3124),
    [anon_sym_byte] = ACTIONS(3124),
    [anon_sym_word] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_struct] = ACTIONS(3124),
    [anon_sym_union] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_else] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_default] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_goto] = ACTIONS(3124),
    [anon_sym___try] = ACTIONS(3124),
    [anon_sym___leave] = ACTIONS(3124),
    [anon_sym_not] = ACTIONS(3124),
    [anon_sym_compl] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_sizeof] = ACTIONS(3124),
    [anon_sym___alignof__] = ACTIONS(3124),
    [anon_sym___alignof] = ACTIONS(3124),
    [anon_sym__alignof] = ACTIONS(3124),
    [anon_sym_alignof] = ACTIONS(3124),
    [anon_sym__Alignof] = ACTIONS(3124),
    [anon_sym_offsetof] = ACTIONS(3124),
    [anon_sym__Generic] = ACTIONS(3124),
    [anon_sym_asm] = ACTIONS(3124),
    [anon_sym___asm__] = ACTIONS(3124),
    [aux_sym_number_literal_token1] = ACTIONS(3126),
    [aux_sym_number_literal_token2] = ACTIONS(3124),
    [anon_sym_L_SQUOTE] = ACTIONS(3126),
    [anon_sym_u_SQUOTE] = ACTIONS(3126),
    [anon_sym_U_SQUOTE] = ACTIONS(3126),
    [anon_sym_u8_SQUOTE] = ACTIONS(3126),
    [anon_sym_SQUOTE] = ACTIONS(3126),
    [anon_sym_L_DQUOTE] = ACTIONS(3126),
    [anon_sym_u_DQUOTE] = ACTIONS(3126),
    [anon_sym_U_DQUOTE] = ACTIONS(3126),
    [anon_sym_u8_DQUOTE] = ACTIONS(3126),
    [anon_sym_DQUOTE] = ACTIONS(3126),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [anon_sym_NULL] = ACTIONS(3124),
    [anon_sym_nullptr] = ACTIONS(3124),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3124),
    [anon_sym_decltype] = ACTIONS(3124),
    [anon_sym_virtual] = ACTIONS(3124),
    [anon_sym_alignas] = ACTIONS(3124),
    [anon_sym_explicit] = ACTIONS(3124),
    [anon_sym_typename] = ACTIONS(3124),
    [anon_sym_template] = ACTIONS(3124),
    [anon_sym_operator] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_static_assert] = ACTIONS(3124),
    [anon_sym_concept] = ACTIONS(3124),
    [anon_sym_co_return] = ACTIONS(3124),
    [anon_sym_co_yield] = ACTIONS(3124),
    [anon_sym_R_DQUOTE] = ACTIONS(3126),
    [anon_sym_LR_DQUOTE] = ACTIONS(3126),
    [anon_sym_uR_DQUOTE] = ACTIONS(3126),
    [anon_sym_UR_DQUOTE] = ACTIONS(3126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3126),
    [anon_sym_co_await] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_requires] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
  },
  [764] = {
    [ts_builtin_sym_end] = ACTIONS(3174),
    [sym_identifier] = ACTIONS(3172),
    [aux_sym_preproc_include_token1] = ACTIONS(3172),
    [aux_sym_preproc_def_token1] = ACTIONS(3172),
    [aux_sym_preproc_if_token1] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3172),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_AMP_AMP] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym___extension__] = ACTIONS(3172),
    [anon_sym_typedef] = ACTIONS(3172),
    [anon_sym_extern] = ACTIONS(3172),
    [anon_sym___attribute__] = ACTIONS(3172),
    [anon_sym_COLON_COLON] = ACTIONS(3174),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3174),
    [anon_sym___declspec] = ACTIONS(3172),
    [anon_sym___based] = ACTIONS(3172),
    [anon_sym___cdecl] = ACTIONS(3172),
    [anon_sym___clrcall] = ACTIONS(3172),
    [anon_sym___stdcall] = ACTIONS(3172),
    [anon_sym___fastcall] = ACTIONS(3172),
    [anon_sym___thiscall] = ACTIONS(3172),
    [anon_sym___vectorcall] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_signed] = ACTIONS(3172),
    [anon_sym_unsigned] = ACTIONS(3172),
    [anon_sym_long] = ACTIONS(3172),
    [anon_sym_short] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_register] = ACTIONS(3172),
    [anon_sym_inline] = ACTIONS(3172),
    [anon_sym___inline] = ACTIONS(3172),
    [anon_sym___inline__] = ACTIONS(3172),
    [anon_sym___forceinline] = ACTIONS(3172),
    [anon_sym_thread_local] = ACTIONS(3172),
    [anon_sym___thread] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_constexpr] = ACTIONS(3172),
    [anon_sym_volatile] = ACTIONS(3172),
    [anon_sym_restrict] = ACTIONS(3172),
    [anon_sym___restrict__] = ACTIONS(3172),
    [anon_sym__Atomic] = ACTIONS(3172),
    [anon_sym__Noreturn] = ACTIONS(3172),
    [anon_sym_noreturn] = ACTIONS(3172),
    [anon_sym_mutable] = ACTIONS(3172),
    [anon_sym_constinit] = ACTIONS(3172),
    [anon_sym_consteval] = ACTIONS(3172),
    [anon_sym_PROGMEM] = ACTIONS(3172),
    [aux_sym_primitive_type_token1] = ACTIONS(3172),
    [anon_sym_byte] = ACTIONS(3172),
    [anon_sym_word] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_struct] = ACTIONS(3172),
    [anon_sym_union] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_goto] = ACTIONS(3172),
    [anon_sym___try] = ACTIONS(3172),
    [anon_sym___leave] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3172),
    [anon_sym_compl] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(3172),
    [anon_sym___alignof__] = ACTIONS(3172),
    [anon_sym___alignof] = ACTIONS(3172),
    [anon_sym__alignof] = ACTIONS(3172),
    [anon_sym_alignof] = ACTIONS(3172),
    [anon_sym__Alignof] = ACTIONS(3172),
    [anon_sym_offsetof] = ACTIONS(3172),
    [anon_sym__Generic] = ACTIONS(3172),
    [anon_sym_asm] = ACTIONS(3172),
    [anon_sym___asm__] = ACTIONS(3172),
    [aux_sym_number_literal_token1] = ACTIONS(3174),
    [aux_sym_number_literal_token2] = ACTIONS(3172),
    [anon_sym_L_SQUOTE] = ACTIONS(3174),
    [anon_sym_u_SQUOTE] = ACTIONS(3174),
    [anon_sym_U_SQUOTE] = ACTIONS(3174),
    [anon_sym_u8_SQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [anon_sym_L_DQUOTE] = ACTIONS(3174),
    [anon_sym_u_DQUOTE] = ACTIONS(3174),
    [anon_sym_U_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8_DQUOTE] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [anon_sym_NULL] = ACTIONS(3172),
    [anon_sym_nullptr] = ACTIONS(3172),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3172),
    [anon_sym_decltype] = ACTIONS(3172),
    [anon_sym_virtual] = ACTIONS(3172),
    [anon_sym_alignas] = ACTIONS(3172),
    [anon_sym_explicit] = ACTIONS(3172),
    [anon_sym_typename] = ACTIONS(3172),
    [anon_sym_template] = ACTIONS(3172),
    [anon_sym_operator] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_static_assert] = ACTIONS(3172),
    [anon_sym_concept] = ACTIONS(3172),
    [anon_sym_co_return] = ACTIONS(3172),
    [anon_sym_co_yield] = ACTIONS(3172),
    [anon_sym_R_DQUOTE] = ACTIONS(3174),
    [anon_sym_LR_DQUOTE] = ACTIONS(3174),
    [anon_sym_uR_DQUOTE] = ACTIONS(3174),
    [anon_sym_UR_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3174),
    [anon_sym_co_await] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_requires] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
  },
  [765] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [766] = {
    [ts_builtin_sym_end] = ACTIONS(2893),
    [sym_identifier] = ACTIONS(2888),
    [aux_sym_preproc_include_token1] = ACTIONS(2888),
    [aux_sym_preproc_def_token1] = ACTIONS(2888),
    [aux_sym_preproc_if_token1] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2888),
    [sym_preproc_directive] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(2893),
    [anon_sym_TILDE] = ACTIONS(2893),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_STAR] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2893),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_typedef] = ACTIONS(2888),
    [anon_sym_extern] = ACTIONS(2888),
    [anon_sym___attribute__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(2893),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2893),
    [anon_sym___declspec] = ACTIONS(2888),
    [anon_sym___based] = ACTIONS(2888),
    [anon_sym___cdecl] = ACTIONS(2888),
    [anon_sym___clrcall] = ACTIONS(2888),
    [anon_sym___stdcall] = ACTIONS(2888),
    [anon_sym___fastcall] = ACTIONS(2888),
    [anon_sym___thiscall] = ACTIONS(2888),
    [anon_sym___vectorcall] = ACTIONS(2888),
    [anon_sym_LBRACE] = ACTIONS(2893),
    [anon_sym_signed] = ACTIONS(2888),
    [anon_sym_unsigned] = ACTIONS(2888),
    [anon_sym_long] = ACTIONS(2888),
    [anon_sym_short] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_register] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2888),
    [anon_sym___inline] = ACTIONS(2888),
    [anon_sym___inline__] = ACTIONS(2888),
    [anon_sym___forceinline] = ACTIONS(2888),
    [anon_sym_thread_local] = ACTIONS(2888),
    [anon_sym___thread] = ACTIONS(2888),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_PROGMEM] = ACTIONS(2888),
    [aux_sym_primitive_type_token1] = ACTIONS(2888),
    [anon_sym_byte] = ACTIONS(2888),
    [anon_sym_word] = ACTIONS(2888),
    [anon_sym_enum] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_struct] = ACTIONS(2888),
    [anon_sym_union] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_else] = ACTIONS(2888),
    [anon_sym_switch] = ACTIONS(2888),
    [anon_sym_case] = ACTIONS(2888),
    [anon_sym_default] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_break] = ACTIONS(2888),
    [anon_sym_continue] = ACTIONS(2888),
    [anon_sym_goto] = ACTIONS(2888),
    [anon_sym___try] = ACTIONS(2888),
    [anon_sym___leave] = ACTIONS(2888),
    [anon_sym_not] = ACTIONS(2888),
    [anon_sym_compl] = ACTIONS(2888),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_sizeof] = ACTIONS(2888),
    [anon_sym___alignof__] = ACTIONS(2888),
    [anon_sym___alignof] = ACTIONS(2888),
    [anon_sym__alignof] = ACTIONS(2888),
    [anon_sym_alignof] = ACTIONS(2888),
    [anon_sym__Alignof] = ACTIONS(2888),
    [anon_sym_offsetof] = ACTIONS(2888),
    [anon_sym__Generic] = ACTIONS(2888),
    [anon_sym_asm] = ACTIONS(2888),
    [anon_sym___asm__] = ACTIONS(2888),
    [aux_sym_number_literal_token1] = ACTIONS(2893),
    [aux_sym_number_literal_token2] = ACTIONS(2888),
    [anon_sym_L_SQUOTE] = ACTIONS(2893),
    [anon_sym_u_SQUOTE] = ACTIONS(2893),
    [anon_sym_U_SQUOTE] = ACTIONS(2893),
    [anon_sym_u8_SQUOTE] = ACTIONS(2893),
    [anon_sym_SQUOTE] = ACTIONS(2893),
    [anon_sym_L_DQUOTE] = ACTIONS(2893),
    [anon_sym_u_DQUOTE] = ACTIONS(2893),
    [anon_sym_U_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8_DQUOTE] = ACTIONS(2893),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_true] = ACTIONS(2888),
    [sym_false] = ACTIONS(2888),
    [anon_sym_NULL] = ACTIONS(2888),
    [anon_sym_nullptr] = ACTIONS(2888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2888),
    [anon_sym_decltype] = ACTIONS(2888),
    [anon_sym_virtual] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2888),
    [anon_sym_explicit] = ACTIONS(2888),
    [anon_sym_typename] = ACTIONS(2888),
    [anon_sym_template] = ACTIONS(2888),
    [anon_sym_operator] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_delete] = ACTIONS(2888),
    [anon_sym_throw] = ACTIONS(2888),
    [anon_sym_namespace] = ACTIONS(2888),
    [anon_sym_using] = ACTIONS(2888),
    [anon_sym_static_assert] = ACTIONS(2888),
    [anon_sym_concept] = ACTIONS(2888),
    [anon_sym_co_return] = ACTIONS(2888),
    [anon_sym_co_yield] = ACTIONS(2888),
    [anon_sym_R_DQUOTE] = ACTIONS(2893),
    [anon_sym_LR_DQUOTE] = ACTIONS(2893),
    [anon_sym_uR_DQUOTE] = ACTIONS(2893),
    [anon_sym_UR_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2893),
    [anon_sym_co_await] = ACTIONS(2888),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_requires] = ACTIONS(2888),
    [sym_this] = ACTIONS(2888),
  },
  [767] = {
    [ts_builtin_sym_end] = ACTIONS(3070),
    [sym_identifier] = ACTIONS(3068),
    [aux_sym_preproc_include_token1] = ACTIONS(3068),
    [aux_sym_preproc_def_token1] = ACTIONS(3068),
    [aux_sym_preproc_if_token1] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3068),
    [sym_preproc_directive] = ACTIONS(3068),
    [anon_sym_LPAREN2] = ACTIONS(3070),
    [anon_sym_BANG] = ACTIONS(3070),
    [anon_sym_TILDE] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_AMP_AMP] = ACTIONS(3070),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_SEMI] = ACTIONS(3070),
    [anon_sym___extension__] = ACTIONS(3068),
    [anon_sym_typedef] = ACTIONS(3068),
    [anon_sym_extern] = ACTIONS(3068),
    [anon_sym___attribute__] = ACTIONS(3068),
    [anon_sym_COLON_COLON] = ACTIONS(3070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3070),
    [anon_sym___declspec] = ACTIONS(3068),
    [anon_sym___based] = ACTIONS(3068),
    [anon_sym___cdecl] = ACTIONS(3068),
    [anon_sym___clrcall] = ACTIONS(3068),
    [anon_sym___stdcall] = ACTIONS(3068),
    [anon_sym___fastcall] = ACTIONS(3068),
    [anon_sym___thiscall] = ACTIONS(3068),
    [anon_sym___vectorcall] = ACTIONS(3068),
    [anon_sym_LBRACE] = ACTIONS(3070),
    [anon_sym_signed] = ACTIONS(3068),
    [anon_sym_unsigned] = ACTIONS(3068),
    [anon_sym_long] = ACTIONS(3068),
    [anon_sym_short] = ACTIONS(3068),
    [anon_sym_LBRACK] = ACTIONS(3068),
    [anon_sym_static] = ACTIONS(3068),
    [anon_sym_register] = ACTIONS(3068),
    [anon_sym_inline] = ACTIONS(3068),
    [anon_sym___inline] = ACTIONS(3068),
    [anon_sym___inline__] = ACTIONS(3068),
    [anon_sym___forceinline] = ACTIONS(3068),
    [anon_sym_thread_local] = ACTIONS(3068),
    [anon_sym___thread] = ACTIONS(3068),
    [anon_sym_const] = ACTIONS(3068),
    [anon_sym_constexpr] = ACTIONS(3068),
    [anon_sym_volatile] = ACTIONS(3068),
    [anon_sym_restrict] = ACTIONS(3068),
    [anon_sym___restrict__] = ACTIONS(3068),
    [anon_sym__Atomic] = ACTIONS(3068),
    [anon_sym__Noreturn] = ACTIONS(3068),
    [anon_sym_noreturn] = ACTIONS(3068),
    [anon_sym_mutable] = ACTIONS(3068),
    [anon_sym_constinit] = ACTIONS(3068),
    [anon_sym_consteval] = ACTIONS(3068),
    [anon_sym_PROGMEM] = ACTIONS(3068),
    [aux_sym_primitive_type_token1] = ACTIONS(3068),
    [anon_sym_byte] = ACTIONS(3068),
    [anon_sym_word] = ACTIONS(3068),
    [anon_sym_enum] = ACTIONS(3068),
    [anon_sym_class] = ACTIONS(3068),
    [anon_sym_struct] = ACTIONS(3068),
    [anon_sym_union] = ACTIONS(3068),
    [anon_sym_if] = ACTIONS(3068),
    [anon_sym_else] = ACTIONS(3068),
    [anon_sym_switch] = ACTIONS(3068),
    [anon_sym_case] = ACTIONS(3068),
    [anon_sym_default] = ACTIONS(3068),
    [anon_sym_while] = ACTIONS(3068),
    [anon_sym_do] = ACTIONS(3068),
    [anon_sym_for] = ACTIONS(3068),
    [anon_sym_return] = ACTIONS(3068),
    [anon_sym_break] = ACTIONS(3068),
    [anon_sym_continue] = ACTIONS(3068),
    [anon_sym_goto] = ACTIONS(3068),
    [anon_sym___try] = ACTIONS(3068),
    [anon_sym___leave] = ACTIONS(3068),
    [anon_sym_not] = ACTIONS(3068),
    [anon_sym_compl] = ACTIONS(3068),
    [anon_sym_DASH_DASH] = ACTIONS(3070),
    [anon_sym_PLUS_PLUS] = ACTIONS(3070),
    [anon_sym_sizeof] = ACTIONS(3068),
    [anon_sym___alignof__] = ACTIONS(3068),
    [anon_sym___alignof] = ACTIONS(3068),
    [anon_sym__alignof] = ACTIONS(3068),
    [anon_sym_alignof] = ACTIONS(3068),
    [anon_sym__Alignof] = ACTIONS(3068),
    [anon_sym_offsetof] = ACTIONS(3068),
    [anon_sym__Generic] = ACTIONS(3068),
    [anon_sym_asm] = ACTIONS(3068),
    [anon_sym___asm__] = ACTIONS(3068),
    [aux_sym_number_literal_token1] = ACTIONS(3070),
    [aux_sym_number_literal_token2] = ACTIONS(3068),
    [anon_sym_L_SQUOTE] = ACTIONS(3070),
    [anon_sym_u_SQUOTE] = ACTIONS(3070),
    [anon_sym_U_SQUOTE] = ACTIONS(3070),
    [anon_sym_u8_SQUOTE] = ACTIONS(3070),
    [anon_sym_SQUOTE] = ACTIONS(3070),
    [anon_sym_L_DQUOTE] = ACTIONS(3070),
    [anon_sym_u_DQUOTE] = ACTIONS(3070),
    [anon_sym_U_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8_DQUOTE] = ACTIONS(3070),
    [anon_sym_DQUOTE] = ACTIONS(3070),
    [sym_true] = ACTIONS(3068),
    [sym_false] = ACTIONS(3068),
    [anon_sym_NULL] = ACTIONS(3068),
    [anon_sym_nullptr] = ACTIONS(3068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3068),
    [anon_sym_decltype] = ACTIONS(3068),
    [anon_sym_virtual] = ACTIONS(3068),
    [anon_sym_alignas] = ACTIONS(3068),
    [anon_sym_explicit] = ACTIONS(3068),
    [anon_sym_typename] = ACTIONS(3068),
    [anon_sym_template] = ACTIONS(3068),
    [anon_sym_operator] = ACTIONS(3068),
    [anon_sym_try] = ACTIONS(3068),
    [anon_sym_delete] = ACTIONS(3068),
    [anon_sym_throw] = ACTIONS(3068),
    [anon_sym_namespace] = ACTIONS(3068),
    [anon_sym_using] = ACTIONS(3068),
    [anon_sym_static_assert] = ACTIONS(3068),
    [anon_sym_concept] = ACTIONS(3068),
    [anon_sym_co_return] = ACTIONS(3068),
    [anon_sym_co_yield] = ACTIONS(3068),
    [anon_sym_R_DQUOTE] = ACTIONS(3070),
    [anon_sym_LR_DQUOTE] = ACTIONS(3070),
    [anon_sym_uR_DQUOTE] = ACTIONS(3070),
    [anon_sym_UR_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3070),
    [anon_sym_co_await] = ACTIONS(3068),
    [anon_sym_new] = ACTIONS(3068),
    [anon_sym_requires] = ACTIONS(3068),
    [sym_this] = ACTIONS(3068),
  },
  [768] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [769] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2872),
    [anon_sym_BANG] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2872),
    [anon_sym_AMP_AMP] = ACTIONS(2872),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2872),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2872),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2872),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [anon_sym_PROGMEM] = ACTIONS(2867),
    [aux_sym_primitive_type_token1] = ACTIONS(2867),
    [anon_sym_byte] = ACTIONS(2867),
    [anon_sym_word] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2872),
    [anon_sym_PLUS_PLUS] = ACTIONS(2872),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [aux_sym_number_literal_token1] = ACTIONS(2872),
    [aux_sym_number_literal_token2] = ACTIONS(2867),
    [anon_sym_L_SQUOTE] = ACTIONS(2872),
    [anon_sym_u_SQUOTE] = ACTIONS(2872),
    [anon_sym_U_SQUOTE] = ACTIONS(2872),
    [anon_sym_u8_SQUOTE] = ACTIONS(2872),
    [anon_sym_SQUOTE] = ACTIONS(2872),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2872),
    [anon_sym_LR_DQUOTE] = ACTIONS(2872),
    [anon_sym_uR_DQUOTE] = ACTIONS(2872),
    [anon_sym_UR_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2872),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [770] = {
    [sym_identifier] = ACTIONS(3120),
    [aux_sym_preproc_include_token1] = ACTIONS(3120),
    [aux_sym_preproc_def_token1] = ACTIONS(3120),
    [aux_sym_preproc_if_token1] = ACTIONS(3120),
    [aux_sym_preproc_if_token2] = ACTIONS(3120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3120),
    [sym_preproc_directive] = ACTIONS(3120),
    [anon_sym_LPAREN2] = ACTIONS(3122),
    [anon_sym_BANG] = ACTIONS(3122),
    [anon_sym_TILDE] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym_SEMI] = ACTIONS(3122),
    [anon_sym___extension__] = ACTIONS(3120),
    [anon_sym_typedef] = ACTIONS(3120),
    [anon_sym_extern] = ACTIONS(3120),
    [anon_sym___attribute__] = ACTIONS(3120),
    [anon_sym_COLON_COLON] = ACTIONS(3122),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3122),
    [anon_sym___declspec] = ACTIONS(3120),
    [anon_sym___based] = ACTIONS(3120),
    [anon_sym___cdecl] = ACTIONS(3120),
    [anon_sym___clrcall] = ACTIONS(3120),
    [anon_sym___stdcall] = ACTIONS(3120),
    [anon_sym___fastcall] = ACTIONS(3120),
    [anon_sym___thiscall] = ACTIONS(3120),
    [anon_sym___vectorcall] = ACTIONS(3120),
    [anon_sym_LBRACE] = ACTIONS(3122),
    [anon_sym_signed] = ACTIONS(3120),
    [anon_sym_unsigned] = ACTIONS(3120),
    [anon_sym_long] = ACTIONS(3120),
    [anon_sym_short] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_static] = ACTIONS(3120),
    [anon_sym_register] = ACTIONS(3120),
    [anon_sym_inline] = ACTIONS(3120),
    [anon_sym___inline] = ACTIONS(3120),
    [anon_sym___inline__] = ACTIONS(3120),
    [anon_sym___forceinline] = ACTIONS(3120),
    [anon_sym_thread_local] = ACTIONS(3120),
    [anon_sym___thread] = ACTIONS(3120),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_constexpr] = ACTIONS(3120),
    [anon_sym_volatile] = ACTIONS(3120),
    [anon_sym_restrict] = ACTIONS(3120),
    [anon_sym___restrict__] = ACTIONS(3120),
    [anon_sym__Atomic] = ACTIONS(3120),
    [anon_sym__Noreturn] = ACTIONS(3120),
    [anon_sym_noreturn] = ACTIONS(3120),
    [anon_sym_mutable] = ACTIONS(3120),
    [anon_sym_constinit] = ACTIONS(3120),
    [anon_sym_consteval] = ACTIONS(3120),
    [anon_sym_PROGMEM] = ACTIONS(3120),
    [aux_sym_primitive_type_token1] = ACTIONS(3120),
    [anon_sym_byte] = ACTIONS(3120),
    [anon_sym_word] = ACTIONS(3120),
    [anon_sym_enum] = ACTIONS(3120),
    [anon_sym_class] = ACTIONS(3120),
    [anon_sym_struct] = ACTIONS(3120),
    [anon_sym_union] = ACTIONS(3120),
    [anon_sym_if] = ACTIONS(3120),
    [anon_sym_else] = ACTIONS(3120),
    [anon_sym_switch] = ACTIONS(3120),
    [anon_sym_case] = ACTIONS(3120),
    [anon_sym_default] = ACTIONS(3120),
    [anon_sym_while] = ACTIONS(3120),
    [anon_sym_do] = ACTIONS(3120),
    [anon_sym_for] = ACTIONS(3120),
    [anon_sym_return] = ACTIONS(3120),
    [anon_sym_break] = ACTIONS(3120),
    [anon_sym_continue] = ACTIONS(3120),
    [anon_sym_goto] = ACTIONS(3120),
    [anon_sym___try] = ACTIONS(3120),
    [anon_sym___leave] = ACTIONS(3120),
    [anon_sym_not] = ACTIONS(3120),
    [anon_sym_compl] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_sizeof] = ACTIONS(3120),
    [anon_sym___alignof__] = ACTIONS(3120),
    [anon_sym___alignof] = ACTIONS(3120),
    [anon_sym__alignof] = ACTIONS(3120),
    [anon_sym_alignof] = ACTIONS(3120),
    [anon_sym__Alignof] = ACTIONS(3120),
    [anon_sym_offsetof] = ACTIONS(3120),
    [anon_sym__Generic] = ACTIONS(3120),
    [anon_sym_asm] = ACTIONS(3120),
    [anon_sym___asm__] = ACTIONS(3120),
    [aux_sym_number_literal_token1] = ACTIONS(3122),
    [aux_sym_number_literal_token2] = ACTIONS(3120),
    [anon_sym_L_SQUOTE] = ACTIONS(3122),
    [anon_sym_u_SQUOTE] = ACTIONS(3122),
    [anon_sym_U_SQUOTE] = ACTIONS(3122),
    [anon_sym_u8_SQUOTE] = ACTIONS(3122),
    [anon_sym_SQUOTE] = ACTIONS(3122),
    [anon_sym_L_DQUOTE] = ACTIONS(3122),
    [anon_sym_u_DQUOTE] = ACTIONS(3122),
    [anon_sym_U_DQUOTE] = ACTIONS(3122),
    [anon_sym_u8_DQUOTE] = ACTIONS(3122),
    [anon_sym_DQUOTE] = ACTIONS(3122),
    [sym_true] = ACTIONS(3120),
    [sym_false] = ACTIONS(3120),
    [anon_sym_NULL] = ACTIONS(3120),
    [anon_sym_nullptr] = ACTIONS(3120),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3120),
    [anon_sym_decltype] = ACTIONS(3120),
    [anon_sym_virtual] = ACTIONS(3120),
    [anon_sym_alignas] = ACTIONS(3120),
    [anon_sym_explicit] = ACTIONS(3120),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3120),
    [anon_sym_operator] = ACTIONS(3120),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_delete] = ACTIONS(3120),
    [anon_sym_throw] = ACTIONS(3120),
    [anon_sym_namespace] = ACTIONS(3120),
    [anon_sym_using] = ACTIONS(3120),
    [anon_sym_static_assert] = ACTIONS(3120),
    [anon_sym_concept] = ACTIONS(3120),
    [anon_sym_co_return] = ACTIONS(3120),
    [anon_sym_co_yield] = ACTIONS(3120),
    [anon_sym_R_DQUOTE] = ACTIONS(3122),
    [anon_sym_LR_DQUOTE] = ACTIONS(3122),
    [anon_sym_uR_DQUOTE] = ACTIONS(3122),
    [anon_sym_UR_DQUOTE] = ACTIONS(3122),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3122),
    [anon_sym_co_await] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(3120),
    [anon_sym_requires] = ACTIONS(3120),
    [sym_this] = ACTIONS(3120),
  },
  [771] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [772] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [773] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [774] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [775] = {
    [ts_builtin_sym_end] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(3104),
    [aux_sym_preproc_include_token1] = ACTIONS(3104),
    [aux_sym_preproc_def_token1] = ACTIONS(3104),
    [aux_sym_preproc_if_token1] = ACTIONS(3104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3104),
    [sym_preproc_directive] = ACTIONS(3104),
    [anon_sym_LPAREN2] = ACTIONS(3106),
    [anon_sym_BANG] = ACTIONS(3106),
    [anon_sym_TILDE] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3104),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_AMP_AMP] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym___extension__] = ACTIONS(3104),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(3104),
    [anon_sym___attribute__] = ACTIONS(3104),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3106),
    [anon_sym___declspec] = ACTIONS(3104),
    [anon_sym___based] = ACTIONS(3104),
    [anon_sym___cdecl] = ACTIONS(3104),
    [anon_sym___clrcall] = ACTIONS(3104),
    [anon_sym___stdcall] = ACTIONS(3104),
    [anon_sym___fastcall] = ACTIONS(3104),
    [anon_sym___thiscall] = ACTIONS(3104),
    [anon_sym___vectorcall] = ACTIONS(3104),
    [anon_sym_LBRACE] = ACTIONS(3106),
    [anon_sym_signed] = ACTIONS(3104),
    [anon_sym_unsigned] = ACTIONS(3104),
    [anon_sym_long] = ACTIONS(3104),
    [anon_sym_short] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_static] = ACTIONS(3104),
    [anon_sym_register] = ACTIONS(3104),
    [anon_sym_inline] = ACTIONS(3104),
    [anon_sym___inline] = ACTIONS(3104),
    [anon_sym___inline__] = ACTIONS(3104),
    [anon_sym___forceinline] = ACTIONS(3104),
    [anon_sym_thread_local] = ACTIONS(3104),
    [anon_sym___thread] = ACTIONS(3104),
    [anon_sym_const] = ACTIONS(3104),
    [anon_sym_constexpr] = ACTIONS(3104),
    [anon_sym_volatile] = ACTIONS(3104),
    [anon_sym_restrict] = ACTIONS(3104),
    [anon_sym___restrict__] = ACTIONS(3104),
    [anon_sym__Atomic] = ACTIONS(3104),
    [anon_sym__Noreturn] = ACTIONS(3104),
    [anon_sym_noreturn] = ACTIONS(3104),
    [anon_sym_mutable] = ACTIONS(3104),
    [anon_sym_constinit] = ACTIONS(3104),
    [anon_sym_consteval] = ACTIONS(3104),
    [anon_sym_PROGMEM] = ACTIONS(3104),
    [aux_sym_primitive_type_token1] = ACTIONS(3104),
    [anon_sym_byte] = ACTIONS(3104),
    [anon_sym_word] = ACTIONS(3104),
    [anon_sym_enum] = ACTIONS(3104),
    [anon_sym_class] = ACTIONS(3104),
    [anon_sym_struct] = ACTIONS(3104),
    [anon_sym_union] = ACTIONS(3104),
    [anon_sym_if] = ACTIONS(3104),
    [anon_sym_else] = ACTIONS(3104),
    [anon_sym_switch] = ACTIONS(3104),
    [anon_sym_case] = ACTIONS(3104),
    [anon_sym_default] = ACTIONS(3104),
    [anon_sym_while] = ACTIONS(3104),
    [anon_sym_do] = ACTIONS(3104),
    [anon_sym_for] = ACTIONS(3104),
    [anon_sym_return] = ACTIONS(3104),
    [anon_sym_break] = ACTIONS(3104),
    [anon_sym_continue] = ACTIONS(3104),
    [anon_sym_goto] = ACTIONS(3104),
    [anon_sym___try] = ACTIONS(3104),
    [anon_sym___leave] = ACTIONS(3104),
    [anon_sym_not] = ACTIONS(3104),
    [anon_sym_compl] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_sizeof] = ACTIONS(3104),
    [anon_sym___alignof__] = ACTIONS(3104),
    [anon_sym___alignof] = ACTIONS(3104),
    [anon_sym__alignof] = ACTIONS(3104),
    [anon_sym_alignof] = ACTIONS(3104),
    [anon_sym__Alignof] = ACTIONS(3104),
    [anon_sym_offsetof] = ACTIONS(3104),
    [anon_sym__Generic] = ACTIONS(3104),
    [anon_sym_asm] = ACTIONS(3104),
    [anon_sym___asm__] = ACTIONS(3104),
    [aux_sym_number_literal_token1] = ACTIONS(3106),
    [aux_sym_number_literal_token2] = ACTIONS(3104),
    [anon_sym_L_SQUOTE] = ACTIONS(3106),
    [anon_sym_u_SQUOTE] = ACTIONS(3106),
    [anon_sym_U_SQUOTE] = ACTIONS(3106),
    [anon_sym_u8_SQUOTE] = ACTIONS(3106),
    [anon_sym_SQUOTE] = ACTIONS(3106),
    [anon_sym_L_DQUOTE] = ACTIONS(3106),
    [anon_sym_u_DQUOTE] = ACTIONS(3106),
    [anon_sym_U_DQUOTE] = ACTIONS(3106),
    [anon_sym_u8_DQUOTE] = ACTIONS(3106),
    [anon_sym_DQUOTE] = ACTIONS(3106),
    [sym_true] = ACTIONS(3104),
    [sym_false] = ACTIONS(3104),
    [anon_sym_NULL] = ACTIONS(3104),
    [anon_sym_nullptr] = ACTIONS(3104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3104),
    [anon_sym_decltype] = ACTIONS(3104),
    [anon_sym_virtual] = ACTIONS(3104),
    [anon_sym_alignas] = ACTIONS(3104),
    [anon_sym_explicit] = ACTIONS(3104),
    [anon_sym_typename] = ACTIONS(3104),
    [anon_sym_template] = ACTIONS(3104),
    [anon_sym_operator] = ACTIONS(3104),
    [anon_sym_try] = ACTIONS(3104),
    [anon_sym_delete] = ACTIONS(3104),
    [anon_sym_throw] = ACTIONS(3104),
    [anon_sym_namespace] = ACTIONS(3104),
    [anon_sym_using] = ACTIONS(3104),
    [anon_sym_static_assert] = ACTIONS(3104),
    [anon_sym_concept] = ACTIONS(3104),
    [anon_sym_co_return] = ACTIONS(3104),
    [anon_sym_co_yield] = ACTIONS(3104),
    [anon_sym_R_DQUOTE] = ACTIONS(3106),
    [anon_sym_LR_DQUOTE] = ACTIONS(3106),
    [anon_sym_uR_DQUOTE] = ACTIONS(3106),
    [anon_sym_UR_DQUOTE] = ACTIONS(3106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3106),
    [anon_sym_co_await] = ACTIONS(3104),
    [anon_sym_new] = ACTIONS(3104),
    [anon_sym_requires] = ACTIONS(3104),
    [sym_this] = ACTIONS(3104),
  },
  [776] = {
    [sym_identifier] = ACTIONS(2952),
    [aux_sym_preproc_include_token1] = ACTIONS(2952),
    [aux_sym_preproc_def_token1] = ACTIONS(2952),
    [aux_sym_preproc_if_token1] = ACTIONS(2952),
    [aux_sym_preproc_if_token2] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2952),
    [anon_sym_LPAREN2] = ACTIONS(2954),
    [anon_sym_BANG] = ACTIONS(2954),
    [anon_sym_TILDE] = ACTIONS(2954),
    [anon_sym_DASH] = ACTIONS(2952),
    [anon_sym_PLUS] = ACTIONS(2952),
    [anon_sym_STAR] = ACTIONS(2954),
    [anon_sym_AMP_AMP] = ACTIONS(2954),
    [anon_sym_AMP] = ACTIONS(2952),
    [anon_sym_SEMI] = ACTIONS(2954),
    [anon_sym___extension__] = ACTIONS(2952),
    [anon_sym_typedef] = ACTIONS(2952),
    [anon_sym_extern] = ACTIONS(2952),
    [anon_sym___attribute__] = ACTIONS(2952),
    [anon_sym_COLON_COLON] = ACTIONS(2954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2954),
    [anon_sym___declspec] = ACTIONS(2952),
    [anon_sym___based] = ACTIONS(2952),
    [anon_sym___cdecl] = ACTIONS(2952),
    [anon_sym___clrcall] = ACTIONS(2952),
    [anon_sym___stdcall] = ACTIONS(2952),
    [anon_sym___fastcall] = ACTIONS(2952),
    [anon_sym___thiscall] = ACTIONS(2952),
    [anon_sym___vectorcall] = ACTIONS(2952),
    [anon_sym_LBRACE] = ACTIONS(2954),
    [anon_sym_signed] = ACTIONS(2952),
    [anon_sym_unsigned] = ACTIONS(2952),
    [anon_sym_long] = ACTIONS(2952),
    [anon_sym_short] = ACTIONS(2952),
    [anon_sym_LBRACK] = ACTIONS(2952),
    [anon_sym_static] = ACTIONS(2952),
    [anon_sym_register] = ACTIONS(2952),
    [anon_sym_inline] = ACTIONS(2952),
    [anon_sym___inline] = ACTIONS(2952),
    [anon_sym___inline__] = ACTIONS(2952),
    [anon_sym___forceinline] = ACTIONS(2952),
    [anon_sym_thread_local] = ACTIONS(2952),
    [anon_sym___thread] = ACTIONS(2952),
    [anon_sym_const] = ACTIONS(2952),
    [anon_sym_constexpr] = ACTIONS(2952),
    [anon_sym_volatile] = ACTIONS(2952),
    [anon_sym_restrict] = ACTIONS(2952),
    [anon_sym___restrict__] = ACTIONS(2952),
    [anon_sym__Atomic] = ACTIONS(2952),
    [anon_sym__Noreturn] = ACTIONS(2952),
    [anon_sym_noreturn] = ACTIONS(2952),
    [anon_sym_mutable] = ACTIONS(2952),
    [anon_sym_constinit] = ACTIONS(2952),
    [anon_sym_consteval] = ACTIONS(2952),
    [anon_sym_PROGMEM] = ACTIONS(2952),
    [aux_sym_primitive_type_token1] = ACTIONS(2952),
    [anon_sym_byte] = ACTIONS(2952),
    [anon_sym_word] = ACTIONS(2952),
    [anon_sym_enum] = ACTIONS(2952),
    [anon_sym_class] = ACTIONS(2952),
    [anon_sym_struct] = ACTIONS(2952),
    [anon_sym_union] = ACTIONS(2952),
    [anon_sym_if] = ACTIONS(2952),
    [anon_sym_else] = ACTIONS(2952),
    [anon_sym_switch] = ACTIONS(2952),
    [anon_sym_case] = ACTIONS(2952),
    [anon_sym_default] = ACTIONS(2952),
    [anon_sym_while] = ACTIONS(2952),
    [anon_sym_do] = ACTIONS(2952),
    [anon_sym_for] = ACTIONS(2952),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_break] = ACTIONS(2952),
    [anon_sym_continue] = ACTIONS(2952),
    [anon_sym_goto] = ACTIONS(2952),
    [anon_sym___try] = ACTIONS(2952),
    [anon_sym___leave] = ACTIONS(2952),
    [anon_sym_not] = ACTIONS(2952),
    [anon_sym_compl] = ACTIONS(2952),
    [anon_sym_DASH_DASH] = ACTIONS(2954),
    [anon_sym_PLUS_PLUS] = ACTIONS(2954),
    [anon_sym_sizeof] = ACTIONS(2952),
    [anon_sym___alignof__] = ACTIONS(2952),
    [anon_sym___alignof] = ACTIONS(2952),
    [anon_sym__alignof] = ACTIONS(2952),
    [anon_sym_alignof] = ACTIONS(2952),
    [anon_sym__Alignof] = ACTIONS(2952),
    [anon_sym_offsetof] = ACTIONS(2952),
    [anon_sym__Generic] = ACTIONS(2952),
    [anon_sym_asm] = ACTIONS(2952),
    [anon_sym___asm__] = ACTIONS(2952),
    [aux_sym_number_literal_token1] = ACTIONS(2954),
    [aux_sym_number_literal_token2] = ACTIONS(2952),
    [anon_sym_L_SQUOTE] = ACTIONS(2954),
    [anon_sym_u_SQUOTE] = ACTIONS(2954),
    [anon_sym_U_SQUOTE] = ACTIONS(2954),
    [anon_sym_u8_SQUOTE] = ACTIONS(2954),
    [anon_sym_SQUOTE] = ACTIONS(2954),
    [anon_sym_L_DQUOTE] = ACTIONS(2954),
    [anon_sym_u_DQUOTE] = ACTIONS(2954),
    [anon_sym_U_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8_DQUOTE] = ACTIONS(2954),
    [anon_sym_DQUOTE] = ACTIONS(2954),
    [sym_true] = ACTIONS(2952),
    [sym_false] = ACTIONS(2952),
    [anon_sym_NULL] = ACTIONS(2952),
    [anon_sym_nullptr] = ACTIONS(2952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2952),
    [anon_sym_decltype] = ACTIONS(2952),
    [anon_sym_virtual] = ACTIONS(2952),
    [anon_sym_alignas] = ACTIONS(2952),
    [anon_sym_explicit] = ACTIONS(2952),
    [anon_sym_typename] = ACTIONS(2952),
    [anon_sym_template] = ACTIONS(2952),
    [anon_sym_operator] = ACTIONS(2952),
    [anon_sym_try] = ACTIONS(2952),
    [anon_sym_delete] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2952),
    [anon_sym_namespace] = ACTIONS(2952),
    [anon_sym_using] = ACTIONS(2952),
    [anon_sym_static_assert] = ACTIONS(2952),
    [anon_sym_concept] = ACTIONS(2952),
    [anon_sym_co_return] = ACTIONS(2952),
    [anon_sym_co_yield] = ACTIONS(2952),
    [anon_sym_R_DQUOTE] = ACTIONS(2954),
    [anon_sym_LR_DQUOTE] = ACTIONS(2954),
    [anon_sym_uR_DQUOTE] = ACTIONS(2954),
    [anon_sym_UR_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2954),
    [anon_sym_co_await] = ACTIONS(2952),
    [anon_sym_new] = ACTIONS(2952),
    [anon_sym_requires] = ACTIONS(2952),
    [sym_this] = ACTIONS(2952),
  },
  [777] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [778] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [779] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [780] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [781] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_include_token1] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym___cdecl] = ACTIONS(3064),
    [anon_sym___clrcall] = ACTIONS(3064),
    [anon_sym___stdcall] = ACTIONS(3064),
    [anon_sym___fastcall] = ACTIONS(3064),
    [anon_sym___thiscall] = ACTIONS(3064),
    [anon_sym___vectorcall] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_goto] = ACTIONS(3064),
    [anon_sym___try] = ACTIONS(3064),
    [anon_sym___leave] = ACTIONS(3064),
    [anon_sym_not] = ACTIONS(3064),
    [anon_sym_compl] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_sizeof] = ACTIONS(3064),
    [anon_sym___alignof__] = ACTIONS(3064),
    [anon_sym___alignof] = ACTIONS(3064),
    [anon_sym__alignof] = ACTIONS(3064),
    [anon_sym_alignof] = ACTIONS(3064),
    [anon_sym__Alignof] = ACTIONS(3064),
    [anon_sym_offsetof] = ACTIONS(3064),
    [anon_sym__Generic] = ACTIONS(3064),
    [anon_sym_asm] = ACTIONS(3064),
    [anon_sym___asm__] = ACTIONS(3064),
    [aux_sym_number_literal_token1] = ACTIONS(3066),
    [aux_sym_number_literal_token2] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3066),
    [anon_sym_u_DQUOTE] = ACTIONS(3066),
    [anon_sym_U_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8_DQUOTE] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [anon_sym_NULL] = ACTIONS(3064),
    [anon_sym_nullptr] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
    [anon_sym_concept] = ACTIONS(3064),
    [anon_sym_co_return] = ACTIONS(3064),
    [anon_sym_co_yield] = ACTIONS(3064),
    [anon_sym_R_DQUOTE] = ACTIONS(3066),
    [anon_sym_LR_DQUOTE] = ACTIONS(3066),
    [anon_sym_uR_DQUOTE] = ACTIONS(3066),
    [anon_sym_UR_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3066),
    [anon_sym_co_await] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_requires] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
  },
  [782] = {
    [sym_preproc_def] = STATE(985),
    [sym_preproc_function_def] = STATE(985),
    [sym_preproc_call] = STATE(985),
    [sym_preproc_if_in_field_declaration_list] = STATE(985),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(985),
    [sym_preproc_else_in_field_declaration_list] = STATE(8932),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8932),
    [sym_type_definition] = STATE(985),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6373),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6903),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(985),
    [sym_field_declaration] = STATE(985),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2199),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(985),
    [sym_operator_cast] = STATE(7394),
    [sym_inline_method_definition] = STATE(985),
    [sym__constructor_specifiers] = STATE(2199),
    [sym_operator_cast_definition] = STATE(985),
    [sym_operator_cast_declaration] = STATE(985),
    [sym_constructor_or_destructor_definition] = STATE(985),
    [sym_constructor_or_destructor_declaration] = STATE(985),
    [sym_friend_declaration] = STATE(985),
    [sym_access_specifier] = STATE(8646),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(985),
    [sym_alias_declaration] = STATE(985),
    [sym_static_assert_declaration] = STATE(985),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7394),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(985),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2199),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3525),
    [aux_sym_preproc_if_token1] = ACTIONS(3527),
    [aux_sym_preproc_if_token2] = ACTIONS(3585),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3531),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3531),
    [aux_sym_preproc_else_token1] = ACTIONS(3234),
    [aux_sym_preproc_elif_token1] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3533),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3535),
    [anon_sym_typedef] = ACTIONS(3537),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3539),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3541),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3543),
    [anon_sym_static_assert] = ACTIONS(3545),
  },
  [783] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_include_token1] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym___cdecl] = ACTIONS(3064),
    [anon_sym___clrcall] = ACTIONS(3064),
    [anon_sym___stdcall] = ACTIONS(3064),
    [anon_sym___fastcall] = ACTIONS(3064),
    [anon_sym___thiscall] = ACTIONS(3064),
    [anon_sym___vectorcall] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_goto] = ACTIONS(3064),
    [anon_sym___try] = ACTIONS(3064),
    [anon_sym___leave] = ACTIONS(3064),
    [anon_sym_not] = ACTIONS(3064),
    [anon_sym_compl] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_sizeof] = ACTIONS(3064),
    [anon_sym___alignof__] = ACTIONS(3064),
    [anon_sym___alignof] = ACTIONS(3064),
    [anon_sym__alignof] = ACTIONS(3064),
    [anon_sym_alignof] = ACTIONS(3064),
    [anon_sym__Alignof] = ACTIONS(3064),
    [anon_sym_offsetof] = ACTIONS(3064),
    [anon_sym__Generic] = ACTIONS(3064),
    [anon_sym_asm] = ACTIONS(3064),
    [anon_sym___asm__] = ACTIONS(3064),
    [aux_sym_number_literal_token1] = ACTIONS(3066),
    [aux_sym_number_literal_token2] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3066),
    [anon_sym_u_DQUOTE] = ACTIONS(3066),
    [anon_sym_U_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8_DQUOTE] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [anon_sym_NULL] = ACTIONS(3064),
    [anon_sym_nullptr] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
    [anon_sym_concept] = ACTIONS(3064),
    [anon_sym_co_return] = ACTIONS(3064),
    [anon_sym_co_yield] = ACTIONS(3064),
    [anon_sym_R_DQUOTE] = ACTIONS(3066),
    [anon_sym_LR_DQUOTE] = ACTIONS(3066),
    [anon_sym_uR_DQUOTE] = ACTIONS(3066),
    [anon_sym_UR_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3066),
    [anon_sym_co_await] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_requires] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
  },
  [784] = {
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_include_token1] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_BANG] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym___cdecl] = ACTIONS(3052),
    [anon_sym___clrcall] = ACTIONS(3052),
    [anon_sym___stdcall] = ACTIONS(3052),
    [anon_sym___fastcall] = ACTIONS(3052),
    [anon_sym___thiscall] = ACTIONS(3052),
    [anon_sym___vectorcall] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_RBRACE] = ACTIONS(3054),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_PROGMEM] = ACTIONS(3052),
    [aux_sym_primitive_type_token1] = ACTIONS(3052),
    [anon_sym_byte] = ACTIONS(3052),
    [anon_sym_word] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [anon_sym_if] = ACTIONS(3052),
    [anon_sym_else] = ACTIONS(3052),
    [anon_sym_switch] = ACTIONS(3052),
    [anon_sym_case] = ACTIONS(3052),
    [anon_sym_default] = ACTIONS(3052),
    [anon_sym_while] = ACTIONS(3052),
    [anon_sym_do] = ACTIONS(3052),
    [anon_sym_for] = ACTIONS(3052),
    [anon_sym_return] = ACTIONS(3052),
    [anon_sym_break] = ACTIONS(3052),
    [anon_sym_continue] = ACTIONS(3052),
    [anon_sym_goto] = ACTIONS(3052),
    [anon_sym___try] = ACTIONS(3052),
    [anon_sym___leave] = ACTIONS(3052),
    [anon_sym_not] = ACTIONS(3052),
    [anon_sym_compl] = ACTIONS(3052),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_sizeof] = ACTIONS(3052),
    [anon_sym___alignof__] = ACTIONS(3052),
    [anon_sym___alignof] = ACTIONS(3052),
    [anon_sym__alignof] = ACTIONS(3052),
    [anon_sym_alignof] = ACTIONS(3052),
    [anon_sym__Alignof] = ACTIONS(3052),
    [anon_sym_offsetof] = ACTIONS(3052),
    [anon_sym__Generic] = ACTIONS(3052),
    [anon_sym_asm] = ACTIONS(3052),
    [anon_sym___asm__] = ACTIONS(3052),
    [aux_sym_number_literal_token1] = ACTIONS(3054),
    [aux_sym_number_literal_token2] = ACTIONS(3052),
    [anon_sym_L_SQUOTE] = ACTIONS(3054),
    [anon_sym_u_SQUOTE] = ACTIONS(3054),
    [anon_sym_U_SQUOTE] = ACTIONS(3054),
    [anon_sym_u8_SQUOTE] = ACTIONS(3054),
    [anon_sym_SQUOTE] = ACTIONS(3054),
    [anon_sym_L_DQUOTE] = ACTIONS(3054),
    [anon_sym_u_DQUOTE] = ACTIONS(3054),
    [anon_sym_U_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8_DQUOTE] = ACTIONS(3054),
    [anon_sym_DQUOTE] = ACTIONS(3054),
    [sym_true] = ACTIONS(3052),
    [sym_false] = ACTIONS(3052),
    [anon_sym_NULL] = ACTIONS(3052),
    [anon_sym_nullptr] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_try] = ACTIONS(3052),
    [anon_sym_delete] = ACTIONS(3052),
    [anon_sym_throw] = ACTIONS(3052),
    [anon_sym_namespace] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
    [anon_sym_concept] = ACTIONS(3052),
    [anon_sym_co_return] = ACTIONS(3052),
    [anon_sym_co_yield] = ACTIONS(3052),
    [anon_sym_R_DQUOTE] = ACTIONS(3054),
    [anon_sym_LR_DQUOTE] = ACTIONS(3054),
    [anon_sym_uR_DQUOTE] = ACTIONS(3054),
    [anon_sym_UR_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3054),
    [anon_sym_co_await] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(3052),
    [anon_sym_requires] = ACTIONS(3052),
    [sym_this] = ACTIONS(3052),
  },
  [785] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [786] = {
    [sym_preproc_def] = STATE(782),
    [sym_preproc_function_def] = STATE(782),
    [sym_preproc_call] = STATE(782),
    [sym_preproc_if_in_field_declaration_list] = STATE(782),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(782),
    [sym_preproc_else_in_field_declaration_list] = STATE(8921),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8921),
    [sym_type_definition] = STATE(782),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6373),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6903),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(782),
    [sym_field_declaration] = STATE(782),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2199),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(782),
    [sym_operator_cast] = STATE(7394),
    [sym_inline_method_definition] = STATE(782),
    [sym__constructor_specifiers] = STATE(2199),
    [sym_operator_cast_definition] = STATE(782),
    [sym_operator_cast_declaration] = STATE(782),
    [sym_constructor_or_destructor_definition] = STATE(782),
    [sym_constructor_or_destructor_declaration] = STATE(782),
    [sym_friend_declaration] = STATE(782),
    [sym_access_specifier] = STATE(8646),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(782),
    [sym_alias_declaration] = STATE(782),
    [sym_static_assert_declaration] = STATE(782),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7394),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(782),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2199),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3525),
    [aux_sym_preproc_if_token1] = ACTIONS(3527),
    [aux_sym_preproc_if_token2] = ACTIONS(3587),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3531),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3531),
    [aux_sym_preproc_else_token1] = ACTIONS(3234),
    [aux_sym_preproc_elif_token1] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3533),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3535),
    [anon_sym_typedef] = ACTIONS(3537),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3539),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3541),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3543),
    [anon_sym_static_assert] = ACTIONS(3545),
  },
  [787] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [788] = {
    [ts_builtin_sym_end] = ACTIONS(3092),
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [789] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [790] = {
    [sym_identifier] = ACTIONS(2261),
    [aux_sym_preproc_include_token1] = ACTIONS(2261),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [anon_sym_COMMA] = ACTIONS(3026),
    [aux_sym_preproc_if_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2261),
    [anon_sym_LPAREN2] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2261),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym___extension__] = ACTIONS(2261),
    [anon_sym_typedef] = ACTIONS(2261),
    [anon_sym_extern] = ACTIONS(2261),
    [anon_sym___attribute__] = ACTIONS(2261),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2259),
    [anon_sym___declspec] = ACTIONS(2261),
    [anon_sym___based] = ACTIONS(2261),
    [anon_sym___cdecl] = ACTIONS(2261),
    [anon_sym___clrcall] = ACTIONS(2261),
    [anon_sym___stdcall] = ACTIONS(2261),
    [anon_sym___fastcall] = ACTIONS(2261),
    [anon_sym___thiscall] = ACTIONS(2261),
    [anon_sym___vectorcall] = ACTIONS(2261),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_RBRACE] = ACTIONS(2259),
    [anon_sym_signed] = ACTIONS(2261),
    [anon_sym_unsigned] = ACTIONS(2261),
    [anon_sym_long] = ACTIONS(2261),
    [anon_sym_short] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_register] = ACTIONS(2261),
    [anon_sym_inline] = ACTIONS(2261),
    [anon_sym___inline] = ACTIONS(2261),
    [anon_sym___inline__] = ACTIONS(2261),
    [anon_sym___forceinline] = ACTIONS(2261),
    [anon_sym_thread_local] = ACTIONS(2261),
    [anon_sym___thread] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_constexpr] = ACTIONS(2261),
    [anon_sym_volatile] = ACTIONS(2261),
    [anon_sym_restrict] = ACTIONS(2261),
    [anon_sym___restrict__] = ACTIONS(2261),
    [anon_sym__Atomic] = ACTIONS(2261),
    [anon_sym__Noreturn] = ACTIONS(2261),
    [anon_sym_noreturn] = ACTIONS(2261),
    [anon_sym_mutable] = ACTIONS(2261),
    [anon_sym_constinit] = ACTIONS(2261),
    [anon_sym_consteval] = ACTIONS(2261),
    [anon_sym_PROGMEM] = ACTIONS(2261),
    [aux_sym_primitive_type_token1] = ACTIONS(2261),
    [anon_sym_byte] = ACTIONS(2261),
    [anon_sym_word] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_struct] = ACTIONS(2261),
    [anon_sym_union] = ACTIONS(2261),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_switch] = ACTIONS(2261),
    [anon_sym_case] = ACTIONS(2261),
    [anon_sym_default] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2261),
    [anon_sym_do] = ACTIONS(2261),
    [anon_sym_for] = ACTIONS(2261),
    [anon_sym_return] = ACTIONS(2261),
    [anon_sym_break] = ACTIONS(2261),
    [anon_sym_continue] = ACTIONS(2261),
    [anon_sym_goto] = ACTIONS(2261),
    [anon_sym___try] = ACTIONS(2261),
    [anon_sym___leave] = ACTIONS(2261),
    [anon_sym_not] = ACTIONS(2261),
    [anon_sym_compl] = ACTIONS(2261),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_sizeof] = ACTIONS(2261),
    [anon_sym___alignof__] = ACTIONS(2261),
    [anon_sym___alignof] = ACTIONS(2261),
    [anon_sym__alignof] = ACTIONS(2261),
    [anon_sym_alignof] = ACTIONS(2261),
    [anon_sym__Alignof] = ACTIONS(2261),
    [anon_sym_offsetof] = ACTIONS(2261),
    [anon_sym__Generic] = ACTIONS(2261),
    [anon_sym_asm] = ACTIONS(2261),
    [anon_sym___asm__] = ACTIONS(2261),
    [aux_sym_number_literal_token1] = ACTIONS(2259),
    [aux_sym_number_literal_token2] = ACTIONS(2261),
    [anon_sym_L_SQUOTE] = ACTIONS(2259),
    [anon_sym_u_SQUOTE] = ACTIONS(2259),
    [anon_sym_U_SQUOTE] = ACTIONS(2259),
    [anon_sym_u8_SQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [anon_sym_L_DQUOTE] = ACTIONS(2259),
    [anon_sym_u_DQUOTE] = ACTIONS(2259),
    [anon_sym_U_DQUOTE] = ACTIONS(2259),
    [anon_sym_u8_DQUOTE] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [sym_true] = ACTIONS(2261),
    [sym_false] = ACTIONS(2261),
    [anon_sym_NULL] = ACTIONS(2261),
    [anon_sym_nullptr] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2261),
    [anon_sym_decltype] = ACTIONS(2261),
    [anon_sym_virtual] = ACTIONS(2261),
    [anon_sym_alignas] = ACTIONS(2261),
    [anon_sym_explicit] = ACTIONS(2261),
    [anon_sym_typename] = ACTIONS(2261),
    [anon_sym_template] = ACTIONS(2261),
    [anon_sym_operator] = ACTIONS(2261),
    [anon_sym_try] = ACTIONS(2261),
    [anon_sym_delete] = ACTIONS(2261),
    [anon_sym_throw] = ACTIONS(2261),
    [anon_sym_namespace] = ACTIONS(2261),
    [anon_sym_using] = ACTIONS(2261),
    [anon_sym_static_assert] = ACTIONS(2261),
    [anon_sym_concept] = ACTIONS(2261),
    [anon_sym_co_return] = ACTIONS(2261),
    [anon_sym_co_yield] = ACTIONS(2261),
    [anon_sym_R_DQUOTE] = ACTIONS(2259),
    [anon_sym_LR_DQUOTE] = ACTIONS(2259),
    [anon_sym_uR_DQUOTE] = ACTIONS(2259),
    [anon_sym_UR_DQUOTE] = ACTIONS(2259),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2259),
    [anon_sym_co_await] = ACTIONS(2261),
    [anon_sym_new] = ACTIONS(2261),
    [anon_sym_requires] = ACTIONS(2261),
    [sym_this] = ACTIONS(2261),
  },
  [791] = {
    [ts_builtin_sym_end] = ACTIONS(3092),
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [792] = {
    [ts_builtin_sym_end] = ACTIONS(3092),
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [793] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [794] = {
    [ts_builtin_sym_end] = ACTIONS(3092),
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [795] = {
    [ts_builtin_sym_end] = ACTIONS(3092),
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [796] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2872),
    [anon_sym_BANG] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2872),
    [anon_sym_AMP_AMP] = ACTIONS(2872),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2872),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2872),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2872),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_RBRACE] = ACTIONS(2872),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [anon_sym_PROGMEM] = ACTIONS(2867),
    [aux_sym_primitive_type_token1] = ACTIONS(2867),
    [anon_sym_byte] = ACTIONS(2867),
    [anon_sym_word] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2872),
    [anon_sym_PLUS_PLUS] = ACTIONS(2872),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [aux_sym_number_literal_token1] = ACTIONS(2872),
    [aux_sym_number_literal_token2] = ACTIONS(2867),
    [anon_sym_L_SQUOTE] = ACTIONS(2872),
    [anon_sym_u_SQUOTE] = ACTIONS(2872),
    [anon_sym_U_SQUOTE] = ACTIONS(2872),
    [anon_sym_u8_SQUOTE] = ACTIONS(2872),
    [anon_sym_SQUOTE] = ACTIONS(2872),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2872),
    [anon_sym_LR_DQUOTE] = ACTIONS(2872),
    [anon_sym_uR_DQUOTE] = ACTIONS(2872),
    [anon_sym_UR_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2872),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [797] = {
    [sym_identifier] = ACTIONS(3152),
    [aux_sym_preproc_include_token1] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token1] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3152),
    [sym_preproc_directive] = ACTIONS(3152),
    [anon_sym_LPAREN2] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym___extension__] = ACTIONS(3152),
    [anon_sym_typedef] = ACTIONS(3152),
    [anon_sym_extern] = ACTIONS(3152),
    [anon_sym___attribute__] = ACTIONS(3152),
    [anon_sym_COLON_COLON] = ACTIONS(3154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3154),
    [anon_sym___declspec] = ACTIONS(3152),
    [anon_sym___based] = ACTIONS(3152),
    [anon_sym___cdecl] = ACTIONS(3152),
    [anon_sym___clrcall] = ACTIONS(3152),
    [anon_sym___stdcall] = ACTIONS(3152),
    [anon_sym___fastcall] = ACTIONS(3152),
    [anon_sym___thiscall] = ACTIONS(3152),
    [anon_sym___vectorcall] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_signed] = ACTIONS(3152),
    [anon_sym_unsigned] = ACTIONS(3152),
    [anon_sym_long] = ACTIONS(3152),
    [anon_sym_short] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_register] = ACTIONS(3152),
    [anon_sym_inline] = ACTIONS(3152),
    [anon_sym___inline] = ACTIONS(3152),
    [anon_sym___inline__] = ACTIONS(3152),
    [anon_sym___forceinline] = ACTIONS(3152),
    [anon_sym_thread_local] = ACTIONS(3152),
    [anon_sym___thread] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_constexpr] = ACTIONS(3152),
    [anon_sym_volatile] = ACTIONS(3152),
    [anon_sym_restrict] = ACTIONS(3152),
    [anon_sym___restrict__] = ACTIONS(3152),
    [anon_sym__Atomic] = ACTIONS(3152),
    [anon_sym__Noreturn] = ACTIONS(3152),
    [anon_sym_noreturn] = ACTIONS(3152),
    [anon_sym_mutable] = ACTIONS(3152),
    [anon_sym_constinit] = ACTIONS(3152),
    [anon_sym_consteval] = ACTIONS(3152),
    [anon_sym_PROGMEM] = ACTIONS(3152),
    [aux_sym_primitive_type_token1] = ACTIONS(3152),
    [anon_sym_byte] = ACTIONS(3152),
    [anon_sym_word] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_struct] = ACTIONS(3152),
    [anon_sym_union] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_else] = ACTIONS(3152),
    [anon_sym_switch] = ACTIONS(3152),
    [anon_sym_case] = ACTIONS(3152),
    [anon_sym_default] = ACTIONS(3152),
    [anon_sym_while] = ACTIONS(3152),
    [anon_sym_do] = ACTIONS(3152),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_return] = ACTIONS(3152),
    [anon_sym_break] = ACTIONS(3152),
    [anon_sym_continue] = ACTIONS(3152),
    [anon_sym_goto] = ACTIONS(3152),
    [anon_sym___try] = ACTIONS(3152),
    [anon_sym___leave] = ACTIONS(3152),
    [anon_sym_not] = ACTIONS(3152),
    [anon_sym_compl] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_sizeof] = ACTIONS(3152),
    [anon_sym___alignof__] = ACTIONS(3152),
    [anon_sym___alignof] = ACTIONS(3152),
    [anon_sym__alignof] = ACTIONS(3152),
    [anon_sym_alignof] = ACTIONS(3152),
    [anon_sym__Alignof] = ACTIONS(3152),
    [anon_sym_offsetof] = ACTIONS(3152),
    [anon_sym__Generic] = ACTIONS(3152),
    [anon_sym_asm] = ACTIONS(3152),
    [anon_sym___asm__] = ACTIONS(3152),
    [aux_sym_number_literal_token1] = ACTIONS(3154),
    [aux_sym_number_literal_token2] = ACTIONS(3152),
    [anon_sym_L_SQUOTE] = ACTIONS(3154),
    [anon_sym_u_SQUOTE] = ACTIONS(3154),
    [anon_sym_U_SQUOTE] = ACTIONS(3154),
    [anon_sym_u8_SQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_L_DQUOTE] = ACTIONS(3154),
    [anon_sym_u_DQUOTE] = ACTIONS(3154),
    [anon_sym_U_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8_DQUOTE] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [sym_true] = ACTIONS(3152),
    [sym_false] = ACTIONS(3152),
    [anon_sym_NULL] = ACTIONS(3152),
    [anon_sym_nullptr] = ACTIONS(3152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3152),
    [anon_sym_decltype] = ACTIONS(3152),
    [anon_sym_virtual] = ACTIONS(3152),
    [anon_sym_alignas] = ACTIONS(3152),
    [anon_sym_explicit] = ACTIONS(3152),
    [anon_sym_typename] = ACTIONS(3152),
    [anon_sym_template] = ACTIONS(3152),
    [anon_sym_operator] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3152),
    [anon_sym_delete] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3152),
    [anon_sym_namespace] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_static_assert] = ACTIONS(3152),
    [anon_sym_concept] = ACTIONS(3152),
    [anon_sym_co_return] = ACTIONS(3152),
    [anon_sym_co_yield] = ACTIONS(3152),
    [anon_sym_R_DQUOTE] = ACTIONS(3154),
    [anon_sym_LR_DQUOTE] = ACTIONS(3154),
    [anon_sym_uR_DQUOTE] = ACTIONS(3154),
    [anon_sym_UR_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3154),
    [anon_sym_co_await] = ACTIONS(3152),
    [anon_sym_new] = ACTIONS(3152),
    [anon_sym_requires] = ACTIONS(3152),
    [sym_this] = ACTIONS(3152),
  },
  [798] = {
    [ts_builtin_sym_end] = ACTIONS(3092),
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [799] = {
    [sym_preproc_def] = STATE(819),
    [sym_preproc_function_def] = STATE(819),
    [sym_preproc_call] = STATE(819),
    [sym_preproc_if_in_field_declaration_list] = STATE(819),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(819),
    [sym_preproc_else_in_field_declaration_list] = STATE(8842),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8842),
    [sym_type_definition] = STATE(819),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6373),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6903),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(819),
    [sym_field_declaration] = STATE(819),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2199),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(819),
    [sym_operator_cast] = STATE(7394),
    [sym_inline_method_definition] = STATE(819),
    [sym__constructor_specifiers] = STATE(2199),
    [sym_operator_cast_definition] = STATE(819),
    [sym_operator_cast_declaration] = STATE(819),
    [sym_constructor_or_destructor_definition] = STATE(819),
    [sym_constructor_or_destructor_declaration] = STATE(819),
    [sym_friend_declaration] = STATE(819),
    [sym_access_specifier] = STATE(8646),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(819),
    [sym_alias_declaration] = STATE(819),
    [sym_static_assert_declaration] = STATE(819),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7394),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(819),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2199),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3525),
    [aux_sym_preproc_if_token1] = ACTIONS(3527),
    [aux_sym_preproc_if_token2] = ACTIONS(3589),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3531),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3531),
    [aux_sym_preproc_else_token1] = ACTIONS(3234),
    [aux_sym_preproc_elif_token1] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3533),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3535),
    [anon_sym_typedef] = ACTIONS(3537),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3539),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3541),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3543),
    [anon_sym_static_assert] = ACTIONS(3545),
  },
  [800] = {
    [ts_builtin_sym_end] = ACTIONS(3092),
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [801] = {
    [sym_identifier] = ACTIONS(3028),
    [aux_sym_preproc_include_token1] = ACTIONS(3028),
    [aux_sym_preproc_def_token1] = ACTIONS(3028),
    [aux_sym_preproc_if_token1] = ACTIONS(3028),
    [aux_sym_preproc_if_token2] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3028),
    [sym_preproc_directive] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3030),
    [anon_sym_TILDE] = ACTIONS(3030),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_STAR] = ACTIONS(3030),
    [anon_sym_AMP_AMP] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_SEMI] = ACTIONS(3030),
    [anon_sym___extension__] = ACTIONS(3028),
    [anon_sym_typedef] = ACTIONS(3028),
    [anon_sym_extern] = ACTIONS(3028),
    [anon_sym___attribute__] = ACTIONS(3028),
    [anon_sym_COLON_COLON] = ACTIONS(3030),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3030),
    [anon_sym___declspec] = ACTIONS(3028),
    [anon_sym___based] = ACTIONS(3028),
    [anon_sym___cdecl] = ACTIONS(3028),
    [anon_sym___clrcall] = ACTIONS(3028),
    [anon_sym___stdcall] = ACTIONS(3028),
    [anon_sym___fastcall] = ACTIONS(3028),
    [anon_sym___thiscall] = ACTIONS(3028),
    [anon_sym___vectorcall] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_signed] = ACTIONS(3028),
    [anon_sym_unsigned] = ACTIONS(3028),
    [anon_sym_long] = ACTIONS(3028),
    [anon_sym_short] = ACTIONS(3028),
    [anon_sym_LBRACK] = ACTIONS(3028),
    [anon_sym_static] = ACTIONS(3028),
    [anon_sym_register] = ACTIONS(3028),
    [anon_sym_inline] = ACTIONS(3028),
    [anon_sym___inline] = ACTIONS(3028),
    [anon_sym___inline__] = ACTIONS(3028),
    [anon_sym___forceinline] = ACTIONS(3028),
    [anon_sym_thread_local] = ACTIONS(3028),
    [anon_sym___thread] = ACTIONS(3028),
    [anon_sym_const] = ACTIONS(3028),
    [anon_sym_constexpr] = ACTIONS(3028),
    [anon_sym_volatile] = ACTIONS(3028),
    [anon_sym_restrict] = ACTIONS(3028),
    [anon_sym___restrict__] = ACTIONS(3028),
    [anon_sym__Atomic] = ACTIONS(3028),
    [anon_sym__Noreturn] = ACTIONS(3028),
    [anon_sym_noreturn] = ACTIONS(3028),
    [anon_sym_mutable] = ACTIONS(3028),
    [anon_sym_constinit] = ACTIONS(3028),
    [anon_sym_consteval] = ACTIONS(3028),
    [anon_sym_PROGMEM] = ACTIONS(3028),
    [aux_sym_primitive_type_token1] = ACTIONS(3028),
    [anon_sym_byte] = ACTIONS(3028),
    [anon_sym_word] = ACTIONS(3028),
    [anon_sym_enum] = ACTIONS(3028),
    [anon_sym_class] = ACTIONS(3028),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(3028),
    [anon_sym_if] = ACTIONS(3028),
    [anon_sym_else] = ACTIONS(3028),
    [anon_sym_switch] = ACTIONS(3028),
    [anon_sym_case] = ACTIONS(3028),
    [anon_sym_default] = ACTIONS(3028),
    [anon_sym_while] = ACTIONS(3028),
    [anon_sym_do] = ACTIONS(3028),
    [anon_sym_for] = ACTIONS(3028),
    [anon_sym_return] = ACTIONS(3028),
    [anon_sym_break] = ACTIONS(3028),
    [anon_sym_continue] = ACTIONS(3028),
    [anon_sym_goto] = ACTIONS(3028),
    [anon_sym___try] = ACTIONS(3028),
    [anon_sym___leave] = ACTIONS(3028),
    [anon_sym_not] = ACTIONS(3028),
    [anon_sym_compl] = ACTIONS(3028),
    [anon_sym_DASH_DASH] = ACTIONS(3030),
    [anon_sym_PLUS_PLUS] = ACTIONS(3030),
    [anon_sym_sizeof] = ACTIONS(3028),
    [anon_sym___alignof__] = ACTIONS(3028),
    [anon_sym___alignof] = ACTIONS(3028),
    [anon_sym__alignof] = ACTIONS(3028),
    [anon_sym_alignof] = ACTIONS(3028),
    [anon_sym__Alignof] = ACTIONS(3028),
    [anon_sym_offsetof] = ACTIONS(3028),
    [anon_sym__Generic] = ACTIONS(3028),
    [anon_sym_asm] = ACTIONS(3028),
    [anon_sym___asm__] = ACTIONS(3028),
    [aux_sym_number_literal_token1] = ACTIONS(3030),
    [aux_sym_number_literal_token2] = ACTIONS(3028),
    [anon_sym_L_SQUOTE] = ACTIONS(3030),
    [anon_sym_u_SQUOTE] = ACTIONS(3030),
    [anon_sym_U_SQUOTE] = ACTIONS(3030),
    [anon_sym_u8_SQUOTE] = ACTIONS(3030),
    [anon_sym_SQUOTE] = ACTIONS(3030),
    [anon_sym_L_DQUOTE] = ACTIONS(3030),
    [anon_sym_u_DQUOTE] = ACTIONS(3030),
    [anon_sym_U_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8_DQUOTE] = ACTIONS(3030),
    [anon_sym_DQUOTE] = ACTIONS(3030),
    [sym_true] = ACTIONS(3028),
    [sym_false] = ACTIONS(3028),
    [anon_sym_NULL] = ACTIONS(3028),
    [anon_sym_nullptr] = ACTIONS(3028),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3028),
    [anon_sym_decltype] = ACTIONS(3028),
    [anon_sym_virtual] = ACTIONS(3028),
    [anon_sym_alignas] = ACTIONS(3028),
    [anon_sym_explicit] = ACTIONS(3028),
    [anon_sym_typename] = ACTIONS(3028),
    [anon_sym_template] = ACTIONS(3028),
    [anon_sym_operator] = ACTIONS(3028),
    [anon_sym_try] = ACTIONS(3028),
    [anon_sym_delete] = ACTIONS(3028),
    [anon_sym_throw] = ACTIONS(3028),
    [anon_sym_namespace] = ACTIONS(3028),
    [anon_sym_using] = ACTIONS(3028),
    [anon_sym_static_assert] = ACTIONS(3028),
    [anon_sym_concept] = ACTIONS(3028),
    [anon_sym_co_return] = ACTIONS(3028),
    [anon_sym_co_yield] = ACTIONS(3028),
    [anon_sym_R_DQUOTE] = ACTIONS(3030),
    [anon_sym_LR_DQUOTE] = ACTIONS(3030),
    [anon_sym_uR_DQUOTE] = ACTIONS(3030),
    [anon_sym_UR_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3030),
    [anon_sym_co_await] = ACTIONS(3028),
    [anon_sym_new] = ACTIONS(3028),
    [anon_sym_requires] = ACTIONS(3028),
    [sym_this] = ACTIONS(3028),
  },
  [802] = {
    [ts_builtin_sym_end] = ACTIONS(3092),
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [803] = {
    [sym_preproc_def] = STATE(808),
    [sym_preproc_function_def] = STATE(808),
    [sym_preproc_call] = STATE(808),
    [sym_preproc_if_in_field_declaration_list] = STATE(808),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(808),
    [sym_preproc_else_in_field_declaration_list] = STATE(8627),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8627),
    [sym_type_definition] = STATE(808),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6373),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6903),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(808),
    [sym_field_declaration] = STATE(808),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2199),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(808),
    [sym_operator_cast] = STATE(7394),
    [sym_inline_method_definition] = STATE(808),
    [sym__constructor_specifiers] = STATE(2199),
    [sym_operator_cast_definition] = STATE(808),
    [sym_operator_cast_declaration] = STATE(808),
    [sym_constructor_or_destructor_definition] = STATE(808),
    [sym_constructor_or_destructor_declaration] = STATE(808),
    [sym_friend_declaration] = STATE(808),
    [sym_access_specifier] = STATE(8646),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(808),
    [sym_alias_declaration] = STATE(808),
    [sym_static_assert_declaration] = STATE(808),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7394),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(808),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2199),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3525),
    [aux_sym_preproc_if_token1] = ACTIONS(3527),
    [aux_sym_preproc_if_token2] = ACTIONS(3591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3531),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3531),
    [aux_sym_preproc_else_token1] = ACTIONS(3234),
    [aux_sym_preproc_elif_token1] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3533),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3535),
    [anon_sym_typedef] = ACTIONS(3537),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3539),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3541),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3543),
    [anon_sym_static_assert] = ACTIONS(3545),
  },
  [804] = {
    [ts_builtin_sym_end] = ACTIONS(3092),
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [805] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [806] = {
    [sym_identifier] = ACTIONS(3144),
    [aux_sym_preproc_include_token1] = ACTIONS(3144),
    [aux_sym_preproc_def_token1] = ACTIONS(3144),
    [aux_sym_preproc_if_token1] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3144),
    [sym_preproc_directive] = ACTIONS(3144),
    [anon_sym_LPAREN2] = ACTIONS(3146),
    [anon_sym_BANG] = ACTIONS(3146),
    [anon_sym_TILDE] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3146),
    [anon_sym_AMP] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3146),
    [anon_sym___extension__] = ACTIONS(3144),
    [anon_sym_typedef] = ACTIONS(3144),
    [anon_sym_extern] = ACTIONS(3144),
    [anon_sym___attribute__] = ACTIONS(3144),
    [anon_sym_COLON_COLON] = ACTIONS(3146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3146),
    [anon_sym___declspec] = ACTIONS(3144),
    [anon_sym___based] = ACTIONS(3144),
    [anon_sym___cdecl] = ACTIONS(3144),
    [anon_sym___clrcall] = ACTIONS(3144),
    [anon_sym___stdcall] = ACTIONS(3144),
    [anon_sym___fastcall] = ACTIONS(3144),
    [anon_sym___thiscall] = ACTIONS(3144),
    [anon_sym___vectorcall] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_RBRACE] = ACTIONS(3146),
    [anon_sym_signed] = ACTIONS(3144),
    [anon_sym_unsigned] = ACTIONS(3144),
    [anon_sym_long] = ACTIONS(3144),
    [anon_sym_short] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_register] = ACTIONS(3144),
    [anon_sym_inline] = ACTIONS(3144),
    [anon_sym___inline] = ACTIONS(3144),
    [anon_sym___inline__] = ACTIONS(3144),
    [anon_sym___forceinline] = ACTIONS(3144),
    [anon_sym_thread_local] = ACTIONS(3144),
    [anon_sym___thread] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_constexpr] = ACTIONS(3144),
    [anon_sym_volatile] = ACTIONS(3144),
    [anon_sym_restrict] = ACTIONS(3144),
    [anon_sym___restrict__] = ACTIONS(3144),
    [anon_sym__Atomic] = ACTIONS(3144),
    [anon_sym__Noreturn] = ACTIONS(3144),
    [anon_sym_noreturn] = ACTIONS(3144),
    [anon_sym_mutable] = ACTIONS(3144),
    [anon_sym_constinit] = ACTIONS(3144),
    [anon_sym_consteval] = ACTIONS(3144),
    [anon_sym_PROGMEM] = ACTIONS(3144),
    [aux_sym_primitive_type_token1] = ACTIONS(3144),
    [anon_sym_byte] = ACTIONS(3144),
    [anon_sym_word] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_struct] = ACTIONS(3144),
    [anon_sym_union] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_else] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_case] = ACTIONS(3144),
    [anon_sym_default] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_goto] = ACTIONS(3144),
    [anon_sym___try] = ACTIONS(3144),
    [anon_sym___leave] = ACTIONS(3144),
    [anon_sym_not] = ACTIONS(3144),
    [anon_sym_compl] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_sizeof] = ACTIONS(3144),
    [anon_sym___alignof__] = ACTIONS(3144),
    [anon_sym___alignof] = ACTIONS(3144),
    [anon_sym__alignof] = ACTIONS(3144),
    [anon_sym_alignof] = ACTIONS(3144),
    [anon_sym__Alignof] = ACTIONS(3144),
    [anon_sym_offsetof] = ACTIONS(3144),
    [anon_sym__Generic] = ACTIONS(3144),
    [anon_sym_asm] = ACTIONS(3144),
    [anon_sym___asm__] = ACTIONS(3144),
    [aux_sym_number_literal_token1] = ACTIONS(3146),
    [aux_sym_number_literal_token2] = ACTIONS(3144),
    [anon_sym_L_SQUOTE] = ACTIONS(3146),
    [anon_sym_u_SQUOTE] = ACTIONS(3146),
    [anon_sym_U_SQUOTE] = ACTIONS(3146),
    [anon_sym_u8_SQUOTE] = ACTIONS(3146),
    [anon_sym_SQUOTE] = ACTIONS(3146),
    [anon_sym_L_DQUOTE] = ACTIONS(3146),
    [anon_sym_u_DQUOTE] = ACTIONS(3146),
    [anon_sym_U_DQUOTE] = ACTIONS(3146),
    [anon_sym_u8_DQUOTE] = ACTIONS(3146),
    [anon_sym_DQUOTE] = ACTIONS(3146),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [anon_sym_NULL] = ACTIONS(3144),
    [anon_sym_nullptr] = ACTIONS(3144),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3144),
    [anon_sym_decltype] = ACTIONS(3144),
    [anon_sym_virtual] = ACTIONS(3144),
    [anon_sym_alignas] = ACTIONS(3144),
    [anon_sym_explicit] = ACTIONS(3144),
    [anon_sym_typename] = ACTIONS(3144),
    [anon_sym_template] = ACTIONS(3144),
    [anon_sym_operator] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_namespace] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_static_assert] = ACTIONS(3144),
    [anon_sym_concept] = ACTIONS(3144),
    [anon_sym_co_return] = ACTIONS(3144),
    [anon_sym_co_yield] = ACTIONS(3144),
    [anon_sym_R_DQUOTE] = ACTIONS(3146),
    [anon_sym_LR_DQUOTE] = ACTIONS(3146),
    [anon_sym_uR_DQUOTE] = ACTIONS(3146),
    [anon_sym_UR_DQUOTE] = ACTIONS(3146),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3146),
    [anon_sym_co_await] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_requires] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
  },
  [807] = {
    [sym_identifier] = ACTIONS(3136),
    [aux_sym_preproc_include_token1] = ACTIONS(3136),
    [aux_sym_preproc_def_token1] = ACTIONS(3136),
    [aux_sym_preproc_if_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [sym_preproc_directive] = ACTIONS(3136),
    [anon_sym_LPAREN2] = ACTIONS(3138),
    [anon_sym_BANG] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3138),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym___extension__] = ACTIONS(3136),
    [anon_sym_typedef] = ACTIONS(3136),
    [anon_sym_extern] = ACTIONS(3136),
    [anon_sym___attribute__] = ACTIONS(3136),
    [anon_sym_COLON_COLON] = ACTIONS(3138),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3138),
    [anon_sym___declspec] = ACTIONS(3136),
    [anon_sym___based] = ACTIONS(3136),
    [anon_sym___cdecl] = ACTIONS(3136),
    [anon_sym___clrcall] = ACTIONS(3136),
    [anon_sym___stdcall] = ACTIONS(3136),
    [anon_sym___fastcall] = ACTIONS(3136),
    [anon_sym___thiscall] = ACTIONS(3136),
    [anon_sym___vectorcall] = ACTIONS(3136),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_signed] = ACTIONS(3136),
    [anon_sym_unsigned] = ACTIONS(3136),
    [anon_sym_long] = ACTIONS(3136),
    [anon_sym_short] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_static] = ACTIONS(3136),
    [anon_sym_register] = ACTIONS(3136),
    [anon_sym_inline] = ACTIONS(3136),
    [anon_sym___inline] = ACTIONS(3136),
    [anon_sym___inline__] = ACTIONS(3136),
    [anon_sym___forceinline] = ACTIONS(3136),
    [anon_sym_thread_local] = ACTIONS(3136),
    [anon_sym___thread] = ACTIONS(3136),
    [anon_sym_const] = ACTIONS(3136),
    [anon_sym_constexpr] = ACTIONS(3136),
    [anon_sym_volatile] = ACTIONS(3136),
    [anon_sym_restrict] = ACTIONS(3136),
    [anon_sym___restrict__] = ACTIONS(3136),
    [anon_sym__Atomic] = ACTIONS(3136),
    [anon_sym__Noreturn] = ACTIONS(3136),
    [anon_sym_noreturn] = ACTIONS(3136),
    [anon_sym_mutable] = ACTIONS(3136),
    [anon_sym_constinit] = ACTIONS(3136),
    [anon_sym_consteval] = ACTIONS(3136),
    [anon_sym_PROGMEM] = ACTIONS(3136),
    [aux_sym_primitive_type_token1] = ACTIONS(3136),
    [anon_sym_byte] = ACTIONS(3136),
    [anon_sym_word] = ACTIONS(3136),
    [anon_sym_enum] = ACTIONS(3136),
    [anon_sym_class] = ACTIONS(3136),
    [anon_sym_struct] = ACTIONS(3136),
    [anon_sym_union] = ACTIONS(3136),
    [anon_sym_if] = ACTIONS(3136),
    [anon_sym_else] = ACTIONS(3136),
    [anon_sym_switch] = ACTIONS(3136),
    [anon_sym_case] = ACTIONS(3136),
    [anon_sym_default] = ACTIONS(3136),
    [anon_sym_while] = ACTIONS(3136),
    [anon_sym_do] = ACTIONS(3136),
    [anon_sym_for] = ACTIONS(3136),
    [anon_sym_return] = ACTIONS(3136),
    [anon_sym_break] = ACTIONS(3136),
    [anon_sym_continue] = ACTIONS(3136),
    [anon_sym_goto] = ACTIONS(3136),
    [anon_sym___try] = ACTIONS(3136),
    [anon_sym___leave] = ACTIONS(3136),
    [anon_sym_not] = ACTIONS(3136),
    [anon_sym_compl] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_sizeof] = ACTIONS(3136),
    [anon_sym___alignof__] = ACTIONS(3136),
    [anon_sym___alignof] = ACTIONS(3136),
    [anon_sym__alignof] = ACTIONS(3136),
    [anon_sym_alignof] = ACTIONS(3136),
    [anon_sym__Alignof] = ACTIONS(3136),
    [anon_sym_offsetof] = ACTIONS(3136),
    [anon_sym__Generic] = ACTIONS(3136),
    [anon_sym_asm] = ACTIONS(3136),
    [anon_sym___asm__] = ACTIONS(3136),
    [aux_sym_number_literal_token1] = ACTIONS(3138),
    [aux_sym_number_literal_token2] = ACTIONS(3136),
    [anon_sym_L_SQUOTE] = ACTIONS(3138),
    [anon_sym_u_SQUOTE] = ACTIONS(3138),
    [anon_sym_U_SQUOTE] = ACTIONS(3138),
    [anon_sym_u8_SQUOTE] = ACTIONS(3138),
    [anon_sym_SQUOTE] = ACTIONS(3138),
    [anon_sym_L_DQUOTE] = ACTIONS(3138),
    [anon_sym_u_DQUOTE] = ACTIONS(3138),
    [anon_sym_U_DQUOTE] = ACTIONS(3138),
    [anon_sym_u8_DQUOTE] = ACTIONS(3138),
    [anon_sym_DQUOTE] = ACTIONS(3138),
    [sym_true] = ACTIONS(3136),
    [sym_false] = ACTIONS(3136),
    [anon_sym_NULL] = ACTIONS(3136),
    [anon_sym_nullptr] = ACTIONS(3136),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3136),
    [anon_sym_decltype] = ACTIONS(3136),
    [anon_sym_virtual] = ACTIONS(3136),
    [anon_sym_alignas] = ACTIONS(3136),
    [anon_sym_explicit] = ACTIONS(3136),
    [anon_sym_typename] = ACTIONS(3136),
    [anon_sym_template] = ACTIONS(3136),
    [anon_sym_operator] = ACTIONS(3136),
    [anon_sym_try] = ACTIONS(3136),
    [anon_sym_delete] = ACTIONS(3136),
    [anon_sym_throw] = ACTIONS(3136),
    [anon_sym_namespace] = ACTIONS(3136),
    [anon_sym_using] = ACTIONS(3136),
    [anon_sym_static_assert] = ACTIONS(3136),
    [anon_sym_concept] = ACTIONS(3136),
    [anon_sym_co_return] = ACTIONS(3136),
    [anon_sym_co_yield] = ACTIONS(3136),
    [anon_sym_R_DQUOTE] = ACTIONS(3138),
    [anon_sym_LR_DQUOTE] = ACTIONS(3138),
    [anon_sym_uR_DQUOTE] = ACTIONS(3138),
    [anon_sym_UR_DQUOTE] = ACTIONS(3138),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3138),
    [anon_sym_co_await] = ACTIONS(3136),
    [anon_sym_new] = ACTIONS(3136),
    [anon_sym_requires] = ACTIONS(3136),
    [sym_this] = ACTIONS(3136),
  },
  [808] = {
    [sym_preproc_def] = STATE(985),
    [sym_preproc_function_def] = STATE(985),
    [sym_preproc_call] = STATE(985),
    [sym_preproc_if_in_field_declaration_list] = STATE(985),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(985),
    [sym_preproc_else_in_field_declaration_list] = STATE(8699),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8699),
    [sym_type_definition] = STATE(985),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6373),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6903),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(985),
    [sym_field_declaration] = STATE(985),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2199),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(985),
    [sym_operator_cast] = STATE(7394),
    [sym_inline_method_definition] = STATE(985),
    [sym__constructor_specifiers] = STATE(2199),
    [sym_operator_cast_definition] = STATE(985),
    [sym_operator_cast_declaration] = STATE(985),
    [sym_constructor_or_destructor_definition] = STATE(985),
    [sym_constructor_or_destructor_declaration] = STATE(985),
    [sym_friend_declaration] = STATE(985),
    [sym_access_specifier] = STATE(8646),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(985),
    [sym_alias_declaration] = STATE(985),
    [sym_static_assert_declaration] = STATE(985),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7394),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(985),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2199),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3525),
    [aux_sym_preproc_if_token1] = ACTIONS(3527),
    [aux_sym_preproc_if_token2] = ACTIONS(3593),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3531),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3531),
    [aux_sym_preproc_else_token1] = ACTIONS(3234),
    [aux_sym_preproc_elif_token1] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3533),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3535),
    [anon_sym_typedef] = ACTIONS(3537),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3539),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3541),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3543),
    [anon_sym_static_assert] = ACTIONS(3545),
  },
  [809] = {
    [sym_identifier] = ACTIONS(3130),
    [aux_sym_preproc_include_token1] = ACTIONS(3130),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3130),
    [sym_preproc_directive] = ACTIONS(3130),
    [anon_sym_LPAREN2] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym___extension__] = ACTIONS(3130),
    [anon_sym_typedef] = ACTIONS(3130),
    [anon_sym_extern] = ACTIONS(3130),
    [anon_sym___attribute__] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3132),
    [anon_sym___declspec] = ACTIONS(3130),
    [anon_sym___based] = ACTIONS(3130),
    [anon_sym___cdecl] = ACTIONS(3130),
    [anon_sym___clrcall] = ACTIONS(3130),
    [anon_sym___stdcall] = ACTIONS(3130),
    [anon_sym___fastcall] = ACTIONS(3130),
    [anon_sym___thiscall] = ACTIONS(3130),
    [anon_sym___vectorcall] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_RBRACE] = ACTIONS(3132),
    [anon_sym_signed] = ACTIONS(3130),
    [anon_sym_unsigned] = ACTIONS(3130),
    [anon_sym_long] = ACTIONS(3130),
    [anon_sym_short] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_register] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym___inline] = ACTIONS(3130),
    [anon_sym___inline__] = ACTIONS(3130),
    [anon_sym___forceinline] = ACTIONS(3130),
    [anon_sym_thread_local] = ACTIONS(3130),
    [anon_sym___thread] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_constexpr] = ACTIONS(3130),
    [anon_sym_volatile] = ACTIONS(3130),
    [anon_sym_restrict] = ACTIONS(3130),
    [anon_sym___restrict__] = ACTIONS(3130),
    [anon_sym__Atomic] = ACTIONS(3130),
    [anon_sym__Noreturn] = ACTIONS(3130),
    [anon_sym_noreturn] = ACTIONS(3130),
    [anon_sym_mutable] = ACTIONS(3130),
    [anon_sym_constinit] = ACTIONS(3130),
    [anon_sym_consteval] = ACTIONS(3130),
    [anon_sym_PROGMEM] = ACTIONS(3130),
    [aux_sym_primitive_type_token1] = ACTIONS(3130),
    [anon_sym_byte] = ACTIONS(3130),
    [anon_sym_word] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_struct] = ACTIONS(3130),
    [anon_sym_union] = ACTIONS(3130),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_else] = ACTIONS(3130),
    [anon_sym_switch] = ACTIONS(3130),
    [anon_sym_case] = ACTIONS(3130),
    [anon_sym_default] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_do] = ACTIONS(3130),
    [anon_sym_for] = ACTIONS(3130),
    [anon_sym_return] = ACTIONS(3130),
    [anon_sym_break] = ACTIONS(3130),
    [anon_sym_continue] = ACTIONS(3130),
    [anon_sym_goto] = ACTIONS(3130),
    [anon_sym___try] = ACTIONS(3130),
    [anon_sym___leave] = ACTIONS(3130),
    [anon_sym_not] = ACTIONS(3130),
    [anon_sym_compl] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_sizeof] = ACTIONS(3130),
    [anon_sym___alignof__] = ACTIONS(3130),
    [anon_sym___alignof] = ACTIONS(3130),
    [anon_sym__alignof] = ACTIONS(3130),
    [anon_sym_alignof] = ACTIONS(3130),
    [anon_sym__Alignof] = ACTIONS(3130),
    [anon_sym_offsetof] = ACTIONS(3130),
    [anon_sym__Generic] = ACTIONS(3130),
    [anon_sym_asm] = ACTIONS(3130),
    [anon_sym___asm__] = ACTIONS(3130),
    [aux_sym_number_literal_token1] = ACTIONS(3132),
    [aux_sym_number_literal_token2] = ACTIONS(3130),
    [anon_sym_L_SQUOTE] = ACTIONS(3132),
    [anon_sym_u_SQUOTE] = ACTIONS(3132),
    [anon_sym_U_SQUOTE] = ACTIONS(3132),
    [anon_sym_u8_SQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [anon_sym_L_DQUOTE] = ACTIONS(3132),
    [anon_sym_u_DQUOTE] = ACTIONS(3132),
    [anon_sym_U_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8_DQUOTE] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [sym_true] = ACTIONS(3130),
    [sym_false] = ACTIONS(3130),
    [anon_sym_NULL] = ACTIONS(3130),
    [anon_sym_nullptr] = ACTIONS(3130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3130),
    [anon_sym_decltype] = ACTIONS(3130),
    [anon_sym_virtual] = ACTIONS(3130),
    [anon_sym_alignas] = ACTIONS(3130),
    [anon_sym_explicit] = ACTIONS(3130),
    [anon_sym_typename] = ACTIONS(3130),
    [anon_sym_template] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_try] = ACTIONS(3130),
    [anon_sym_delete] = ACTIONS(3130),
    [anon_sym_throw] = ACTIONS(3130),
    [anon_sym_namespace] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_static_assert] = ACTIONS(3130),
    [anon_sym_concept] = ACTIONS(3130),
    [anon_sym_co_return] = ACTIONS(3130),
    [anon_sym_co_yield] = ACTIONS(3130),
    [anon_sym_R_DQUOTE] = ACTIONS(3132),
    [anon_sym_LR_DQUOTE] = ACTIONS(3132),
    [anon_sym_uR_DQUOTE] = ACTIONS(3132),
    [anon_sym_UR_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3132),
    [anon_sym_co_await] = ACTIONS(3130),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_requires] = ACTIONS(3130),
    [sym_this] = ACTIONS(3130),
  },
  [810] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [811] = {
    [sym_identifier] = ACTIONS(2888),
    [aux_sym_preproc_include_token1] = ACTIONS(2888),
    [aux_sym_preproc_def_token1] = ACTIONS(2888),
    [aux_sym_preproc_if_token1] = ACTIONS(2888),
    [aux_sym_preproc_if_token2] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2888),
    [sym_preproc_directive] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(2893),
    [anon_sym_TILDE] = ACTIONS(2893),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_STAR] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2893),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_typedef] = ACTIONS(2888),
    [anon_sym_extern] = ACTIONS(2888),
    [anon_sym___attribute__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(2893),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2893),
    [anon_sym___declspec] = ACTIONS(2888),
    [anon_sym___based] = ACTIONS(2888),
    [anon_sym___cdecl] = ACTIONS(2888),
    [anon_sym___clrcall] = ACTIONS(2888),
    [anon_sym___stdcall] = ACTIONS(2888),
    [anon_sym___fastcall] = ACTIONS(2888),
    [anon_sym___thiscall] = ACTIONS(2888),
    [anon_sym___vectorcall] = ACTIONS(2888),
    [anon_sym_LBRACE] = ACTIONS(2893),
    [anon_sym_signed] = ACTIONS(2888),
    [anon_sym_unsigned] = ACTIONS(2888),
    [anon_sym_long] = ACTIONS(2888),
    [anon_sym_short] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_register] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2888),
    [anon_sym___inline] = ACTIONS(2888),
    [anon_sym___inline__] = ACTIONS(2888),
    [anon_sym___forceinline] = ACTIONS(2888),
    [anon_sym_thread_local] = ACTIONS(2888),
    [anon_sym___thread] = ACTIONS(2888),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_PROGMEM] = ACTIONS(2888),
    [aux_sym_primitive_type_token1] = ACTIONS(2888),
    [anon_sym_byte] = ACTIONS(2888),
    [anon_sym_word] = ACTIONS(2888),
    [anon_sym_enum] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_struct] = ACTIONS(2888),
    [anon_sym_union] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_else] = ACTIONS(2888),
    [anon_sym_switch] = ACTIONS(2888),
    [anon_sym_case] = ACTIONS(2888),
    [anon_sym_default] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_break] = ACTIONS(2888),
    [anon_sym_continue] = ACTIONS(2888),
    [anon_sym_goto] = ACTIONS(2888),
    [anon_sym___try] = ACTIONS(2888),
    [anon_sym___leave] = ACTIONS(2888),
    [anon_sym_not] = ACTIONS(2888),
    [anon_sym_compl] = ACTIONS(2888),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_sizeof] = ACTIONS(2888),
    [anon_sym___alignof__] = ACTIONS(2888),
    [anon_sym___alignof] = ACTIONS(2888),
    [anon_sym__alignof] = ACTIONS(2888),
    [anon_sym_alignof] = ACTIONS(2888),
    [anon_sym__Alignof] = ACTIONS(2888),
    [anon_sym_offsetof] = ACTIONS(2888),
    [anon_sym__Generic] = ACTIONS(2888),
    [anon_sym_asm] = ACTIONS(2888),
    [anon_sym___asm__] = ACTIONS(2888),
    [aux_sym_number_literal_token1] = ACTIONS(2893),
    [aux_sym_number_literal_token2] = ACTIONS(2888),
    [anon_sym_L_SQUOTE] = ACTIONS(2893),
    [anon_sym_u_SQUOTE] = ACTIONS(2893),
    [anon_sym_U_SQUOTE] = ACTIONS(2893),
    [anon_sym_u8_SQUOTE] = ACTIONS(2893),
    [anon_sym_SQUOTE] = ACTIONS(2893),
    [anon_sym_L_DQUOTE] = ACTIONS(2893),
    [anon_sym_u_DQUOTE] = ACTIONS(2893),
    [anon_sym_U_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8_DQUOTE] = ACTIONS(2893),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_true] = ACTIONS(2888),
    [sym_false] = ACTIONS(2888),
    [anon_sym_NULL] = ACTIONS(2888),
    [anon_sym_nullptr] = ACTIONS(2888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2888),
    [anon_sym_decltype] = ACTIONS(2888),
    [anon_sym_virtual] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2888),
    [anon_sym_explicit] = ACTIONS(2888),
    [anon_sym_typename] = ACTIONS(2888),
    [anon_sym_template] = ACTIONS(2888),
    [anon_sym_operator] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_delete] = ACTIONS(2888),
    [anon_sym_throw] = ACTIONS(2888),
    [anon_sym_namespace] = ACTIONS(2888),
    [anon_sym_using] = ACTIONS(2888),
    [anon_sym_static_assert] = ACTIONS(2888),
    [anon_sym_concept] = ACTIONS(2888),
    [anon_sym_co_return] = ACTIONS(2888),
    [anon_sym_co_yield] = ACTIONS(2888),
    [anon_sym_R_DQUOTE] = ACTIONS(2893),
    [anon_sym_LR_DQUOTE] = ACTIONS(2893),
    [anon_sym_uR_DQUOTE] = ACTIONS(2893),
    [anon_sym_UR_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2893),
    [anon_sym_co_await] = ACTIONS(2888),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_requires] = ACTIONS(2888),
    [sym_this] = ACTIONS(2888),
  },
  [812] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [813] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [814] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [815] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [816] = {
    [sym_identifier] = ACTIONS(3124),
    [aux_sym_preproc_include_token1] = ACTIONS(3124),
    [aux_sym_preproc_def_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3126),
    [anon_sym_BANG] = ACTIONS(3126),
    [anon_sym_TILDE] = ACTIONS(3126),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_STAR] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym___extension__] = ACTIONS(3124),
    [anon_sym_typedef] = ACTIONS(3124),
    [anon_sym_extern] = ACTIONS(3124),
    [anon_sym___attribute__] = ACTIONS(3124),
    [anon_sym_COLON_COLON] = ACTIONS(3126),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3126),
    [anon_sym___declspec] = ACTIONS(3124),
    [anon_sym___based] = ACTIONS(3124),
    [anon_sym___cdecl] = ACTIONS(3124),
    [anon_sym___clrcall] = ACTIONS(3124),
    [anon_sym___stdcall] = ACTIONS(3124),
    [anon_sym___fastcall] = ACTIONS(3124),
    [anon_sym___thiscall] = ACTIONS(3124),
    [anon_sym___vectorcall] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3126),
    [anon_sym_RBRACE] = ACTIONS(3126),
    [anon_sym_signed] = ACTIONS(3124),
    [anon_sym_unsigned] = ACTIONS(3124),
    [anon_sym_long] = ACTIONS(3124),
    [anon_sym_short] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_register] = ACTIONS(3124),
    [anon_sym_inline] = ACTIONS(3124),
    [anon_sym___inline] = ACTIONS(3124),
    [anon_sym___inline__] = ACTIONS(3124),
    [anon_sym___forceinline] = ACTIONS(3124),
    [anon_sym_thread_local] = ACTIONS(3124),
    [anon_sym___thread] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_constexpr] = ACTIONS(3124),
    [anon_sym_volatile] = ACTIONS(3124),
    [anon_sym_restrict] = ACTIONS(3124),
    [anon_sym___restrict__] = ACTIONS(3124),
    [anon_sym__Atomic] = ACTIONS(3124),
    [anon_sym__Noreturn] = ACTIONS(3124),
    [anon_sym_noreturn] = ACTIONS(3124),
    [anon_sym_mutable] = ACTIONS(3124),
    [anon_sym_constinit] = ACTIONS(3124),
    [anon_sym_consteval] = ACTIONS(3124),
    [anon_sym_PROGMEM] = ACTIONS(3124),
    [aux_sym_primitive_type_token1] = ACTIONS(3124),
    [anon_sym_byte] = ACTIONS(3124),
    [anon_sym_word] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_struct] = ACTIONS(3124),
    [anon_sym_union] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_else] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_default] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_goto] = ACTIONS(3124),
    [anon_sym___try] = ACTIONS(3124),
    [anon_sym___leave] = ACTIONS(3124),
    [anon_sym_not] = ACTIONS(3124),
    [anon_sym_compl] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_sizeof] = ACTIONS(3124),
    [anon_sym___alignof__] = ACTIONS(3124),
    [anon_sym___alignof] = ACTIONS(3124),
    [anon_sym__alignof] = ACTIONS(3124),
    [anon_sym_alignof] = ACTIONS(3124),
    [anon_sym__Alignof] = ACTIONS(3124),
    [anon_sym_offsetof] = ACTIONS(3124),
    [anon_sym__Generic] = ACTIONS(3124),
    [anon_sym_asm] = ACTIONS(3124),
    [anon_sym___asm__] = ACTIONS(3124),
    [aux_sym_number_literal_token1] = ACTIONS(3126),
    [aux_sym_number_literal_token2] = ACTIONS(3124),
    [anon_sym_L_SQUOTE] = ACTIONS(3126),
    [anon_sym_u_SQUOTE] = ACTIONS(3126),
    [anon_sym_U_SQUOTE] = ACTIONS(3126),
    [anon_sym_u8_SQUOTE] = ACTIONS(3126),
    [anon_sym_SQUOTE] = ACTIONS(3126),
    [anon_sym_L_DQUOTE] = ACTIONS(3126),
    [anon_sym_u_DQUOTE] = ACTIONS(3126),
    [anon_sym_U_DQUOTE] = ACTIONS(3126),
    [anon_sym_u8_DQUOTE] = ACTIONS(3126),
    [anon_sym_DQUOTE] = ACTIONS(3126),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [anon_sym_NULL] = ACTIONS(3124),
    [anon_sym_nullptr] = ACTIONS(3124),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3124),
    [anon_sym_decltype] = ACTIONS(3124),
    [anon_sym_virtual] = ACTIONS(3124),
    [anon_sym_alignas] = ACTIONS(3124),
    [anon_sym_explicit] = ACTIONS(3124),
    [anon_sym_typename] = ACTIONS(3124),
    [anon_sym_template] = ACTIONS(3124),
    [anon_sym_operator] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_static_assert] = ACTIONS(3124),
    [anon_sym_concept] = ACTIONS(3124),
    [anon_sym_co_return] = ACTIONS(3124),
    [anon_sym_co_yield] = ACTIONS(3124),
    [anon_sym_R_DQUOTE] = ACTIONS(3126),
    [anon_sym_LR_DQUOTE] = ACTIONS(3126),
    [anon_sym_uR_DQUOTE] = ACTIONS(3126),
    [anon_sym_UR_DQUOTE] = ACTIONS(3126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3126),
    [anon_sym_co_await] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_requires] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
  },
  [817] = {
    [ts_builtin_sym_end] = ACTIONS(3092),
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [818] = {
    [ts_builtin_sym_end] = ACTIONS(3092),
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [819] = {
    [sym_preproc_def] = STATE(985),
    [sym_preproc_function_def] = STATE(985),
    [sym_preproc_call] = STATE(985),
    [sym_preproc_if_in_field_declaration_list] = STATE(985),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(985),
    [sym_preproc_else_in_field_declaration_list] = STATE(8821),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8821),
    [sym_type_definition] = STATE(985),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6373),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6903),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(985),
    [sym_field_declaration] = STATE(985),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2199),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(985),
    [sym_operator_cast] = STATE(7394),
    [sym_inline_method_definition] = STATE(985),
    [sym__constructor_specifiers] = STATE(2199),
    [sym_operator_cast_definition] = STATE(985),
    [sym_operator_cast_declaration] = STATE(985),
    [sym_constructor_or_destructor_definition] = STATE(985),
    [sym_constructor_or_destructor_declaration] = STATE(985),
    [sym_friend_declaration] = STATE(985),
    [sym_access_specifier] = STATE(8646),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(985),
    [sym_alias_declaration] = STATE(985),
    [sym_static_assert_declaration] = STATE(985),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7394),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(985),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2199),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3525),
    [aux_sym_preproc_if_token1] = ACTIONS(3527),
    [aux_sym_preproc_if_token2] = ACTIONS(3595),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3531),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3531),
    [aux_sym_preproc_else_token1] = ACTIONS(3234),
    [aux_sym_preproc_elif_token1] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3533),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3535),
    [anon_sym_typedef] = ACTIONS(3537),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3539),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3541),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3543),
    [anon_sym_static_assert] = ACTIONS(3545),
  },
  [820] = {
    [ts_builtin_sym_end] = ACTIONS(3092),
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [821] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [822] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [823] = {
    [ts_builtin_sym_end] = ACTIONS(2950),
    [sym_identifier] = ACTIONS(2948),
    [aux_sym_preproc_include_token1] = ACTIONS(2948),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2948),
    [sym_preproc_directive] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(2950),
    [anon_sym_BANG] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_DASH] = ACTIONS(2948),
    [anon_sym_PLUS] = ACTIONS(2948),
    [anon_sym_STAR] = ACTIONS(2950),
    [anon_sym_AMP_AMP] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym___extension__] = ACTIONS(2948),
    [anon_sym_typedef] = ACTIONS(2948),
    [anon_sym_extern] = ACTIONS(2948),
    [anon_sym___attribute__] = ACTIONS(2948),
    [anon_sym_COLON_COLON] = ACTIONS(2950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2950),
    [anon_sym___declspec] = ACTIONS(2948),
    [anon_sym___based] = ACTIONS(2948),
    [anon_sym___cdecl] = ACTIONS(2948),
    [anon_sym___clrcall] = ACTIONS(2948),
    [anon_sym___stdcall] = ACTIONS(2948),
    [anon_sym___fastcall] = ACTIONS(2948),
    [anon_sym___thiscall] = ACTIONS(2948),
    [anon_sym___vectorcall] = ACTIONS(2948),
    [anon_sym_LBRACE] = ACTIONS(2950),
    [anon_sym_signed] = ACTIONS(2948),
    [anon_sym_unsigned] = ACTIONS(2948),
    [anon_sym_long] = ACTIONS(2948),
    [anon_sym_short] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_register] = ACTIONS(2948),
    [anon_sym_inline] = ACTIONS(2948),
    [anon_sym___inline] = ACTIONS(2948),
    [anon_sym___inline__] = ACTIONS(2948),
    [anon_sym___forceinline] = ACTIONS(2948),
    [anon_sym_thread_local] = ACTIONS(2948),
    [anon_sym___thread] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_constexpr] = ACTIONS(2948),
    [anon_sym_volatile] = ACTIONS(2948),
    [anon_sym_restrict] = ACTIONS(2948),
    [anon_sym___restrict__] = ACTIONS(2948),
    [anon_sym__Atomic] = ACTIONS(2948),
    [anon_sym__Noreturn] = ACTIONS(2948),
    [anon_sym_noreturn] = ACTIONS(2948),
    [anon_sym_mutable] = ACTIONS(2948),
    [anon_sym_constinit] = ACTIONS(2948),
    [anon_sym_consteval] = ACTIONS(2948),
    [anon_sym_PROGMEM] = ACTIONS(2948),
    [aux_sym_primitive_type_token1] = ACTIONS(2948),
    [anon_sym_byte] = ACTIONS(2948),
    [anon_sym_word] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_struct] = ACTIONS(2948),
    [anon_sym_union] = ACTIONS(2948),
    [anon_sym_if] = ACTIONS(2948),
    [anon_sym_else] = ACTIONS(2948),
    [anon_sym_switch] = ACTIONS(2948),
    [anon_sym_case] = ACTIONS(2948),
    [anon_sym_default] = ACTIONS(2948),
    [anon_sym_while] = ACTIONS(2948),
    [anon_sym_do] = ACTIONS(2948),
    [anon_sym_for] = ACTIONS(2948),
    [anon_sym_return] = ACTIONS(2948),
    [anon_sym_break] = ACTIONS(2948),
    [anon_sym_continue] = ACTIONS(2948),
    [anon_sym_goto] = ACTIONS(2948),
    [anon_sym___try] = ACTIONS(2948),
    [anon_sym___leave] = ACTIONS(2948),
    [anon_sym_not] = ACTIONS(2948),
    [anon_sym_compl] = ACTIONS(2948),
    [anon_sym_DASH_DASH] = ACTIONS(2950),
    [anon_sym_PLUS_PLUS] = ACTIONS(2950),
    [anon_sym_sizeof] = ACTIONS(2948),
    [anon_sym___alignof__] = ACTIONS(2948),
    [anon_sym___alignof] = ACTIONS(2948),
    [anon_sym__alignof] = ACTIONS(2948),
    [anon_sym_alignof] = ACTIONS(2948),
    [anon_sym__Alignof] = ACTIONS(2948),
    [anon_sym_offsetof] = ACTIONS(2948),
    [anon_sym__Generic] = ACTIONS(2948),
    [anon_sym_asm] = ACTIONS(2948),
    [anon_sym___asm__] = ACTIONS(2948),
    [aux_sym_number_literal_token1] = ACTIONS(2950),
    [aux_sym_number_literal_token2] = ACTIONS(2948),
    [anon_sym_L_SQUOTE] = ACTIONS(2950),
    [anon_sym_u_SQUOTE] = ACTIONS(2950),
    [anon_sym_U_SQUOTE] = ACTIONS(2950),
    [anon_sym_u8_SQUOTE] = ACTIONS(2950),
    [anon_sym_SQUOTE] = ACTIONS(2950),
    [anon_sym_L_DQUOTE] = ACTIONS(2950),
    [anon_sym_u_DQUOTE] = ACTIONS(2950),
    [anon_sym_U_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8_DQUOTE] = ACTIONS(2950),
    [anon_sym_DQUOTE] = ACTIONS(2950),
    [sym_true] = ACTIONS(2948),
    [sym_false] = ACTIONS(2948),
    [anon_sym_NULL] = ACTIONS(2948),
    [anon_sym_nullptr] = ACTIONS(2948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2948),
    [anon_sym_decltype] = ACTIONS(2948),
    [anon_sym_virtual] = ACTIONS(2948),
    [anon_sym_alignas] = ACTIONS(2948),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2948),
    [anon_sym_template] = ACTIONS(2948),
    [anon_sym_operator] = ACTIONS(2948),
    [anon_sym_try] = ACTIONS(2948),
    [anon_sym_delete] = ACTIONS(2948),
    [anon_sym_throw] = ACTIONS(2948),
    [anon_sym_namespace] = ACTIONS(2948),
    [anon_sym_using] = ACTIONS(2948),
    [anon_sym_static_assert] = ACTIONS(2948),
    [anon_sym_concept] = ACTIONS(2948),
    [anon_sym_co_return] = ACTIONS(2948),
    [anon_sym_co_yield] = ACTIONS(2948),
    [anon_sym_R_DQUOTE] = ACTIONS(2950),
    [anon_sym_LR_DQUOTE] = ACTIONS(2950),
    [anon_sym_uR_DQUOTE] = ACTIONS(2950),
    [anon_sym_UR_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2950),
    [anon_sym_co_await] = ACTIONS(2948),
    [anon_sym_new] = ACTIONS(2948),
    [anon_sym_requires] = ACTIONS(2948),
    [sym_this] = ACTIONS(2948),
  },
  [824] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [825] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [826] = {
    [ts_builtin_sym_end] = ACTIONS(3092),
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [827] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [828] = {
    [sym_identifier] = ACTIONS(3032),
    [aux_sym_preproc_include_token1] = ACTIONS(3032),
    [aux_sym_preproc_def_token1] = ACTIONS(3032),
    [aux_sym_preproc_if_token1] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3032),
    [sym_preproc_directive] = ACTIONS(3032),
    [anon_sym_LPAREN2] = ACTIONS(3034),
    [anon_sym_BANG] = ACTIONS(3034),
    [anon_sym_TILDE] = ACTIONS(3034),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_AMP] = ACTIONS(3032),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym___extension__] = ACTIONS(3032),
    [anon_sym_typedef] = ACTIONS(3032),
    [anon_sym_extern] = ACTIONS(3032),
    [anon_sym___attribute__] = ACTIONS(3032),
    [anon_sym_COLON_COLON] = ACTIONS(3034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3034),
    [anon_sym___declspec] = ACTIONS(3032),
    [anon_sym___based] = ACTIONS(3032),
    [anon_sym___cdecl] = ACTIONS(3032),
    [anon_sym___clrcall] = ACTIONS(3032),
    [anon_sym___stdcall] = ACTIONS(3032),
    [anon_sym___fastcall] = ACTIONS(3032),
    [anon_sym___thiscall] = ACTIONS(3032),
    [anon_sym___vectorcall] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(3034),
    [anon_sym_RBRACE] = ACTIONS(3034),
    [anon_sym_signed] = ACTIONS(3032),
    [anon_sym_unsigned] = ACTIONS(3032),
    [anon_sym_long] = ACTIONS(3032),
    [anon_sym_short] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3032),
    [anon_sym_static] = ACTIONS(3032),
    [anon_sym_register] = ACTIONS(3032),
    [anon_sym_inline] = ACTIONS(3032),
    [anon_sym___inline] = ACTIONS(3032),
    [anon_sym___inline__] = ACTIONS(3032),
    [anon_sym___forceinline] = ACTIONS(3032),
    [anon_sym_thread_local] = ACTIONS(3032),
    [anon_sym___thread] = ACTIONS(3032),
    [anon_sym_const] = ACTIONS(3032),
    [anon_sym_constexpr] = ACTIONS(3032),
    [anon_sym_volatile] = ACTIONS(3032),
    [anon_sym_restrict] = ACTIONS(3032),
    [anon_sym___restrict__] = ACTIONS(3032),
    [anon_sym__Atomic] = ACTIONS(3032),
    [anon_sym__Noreturn] = ACTIONS(3032),
    [anon_sym_noreturn] = ACTIONS(3032),
    [anon_sym_mutable] = ACTIONS(3032),
    [anon_sym_constinit] = ACTIONS(3032),
    [anon_sym_consteval] = ACTIONS(3032),
    [anon_sym_PROGMEM] = ACTIONS(3032),
    [aux_sym_primitive_type_token1] = ACTIONS(3032),
    [anon_sym_byte] = ACTIONS(3032),
    [anon_sym_word] = ACTIONS(3032),
    [anon_sym_enum] = ACTIONS(3032),
    [anon_sym_class] = ACTIONS(3032),
    [anon_sym_struct] = ACTIONS(3032),
    [anon_sym_union] = ACTIONS(3032),
    [anon_sym_if] = ACTIONS(3032),
    [anon_sym_else] = ACTIONS(3032),
    [anon_sym_switch] = ACTIONS(3032),
    [anon_sym_case] = ACTIONS(3032),
    [anon_sym_default] = ACTIONS(3032),
    [anon_sym_while] = ACTIONS(3032),
    [anon_sym_do] = ACTIONS(3032),
    [anon_sym_for] = ACTIONS(3032),
    [anon_sym_return] = ACTIONS(3032),
    [anon_sym_break] = ACTIONS(3032),
    [anon_sym_continue] = ACTIONS(3032),
    [anon_sym_goto] = ACTIONS(3032),
    [anon_sym___try] = ACTIONS(3032),
    [anon_sym___leave] = ACTIONS(3032),
    [anon_sym_not] = ACTIONS(3032),
    [anon_sym_compl] = ACTIONS(3032),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_sizeof] = ACTIONS(3032),
    [anon_sym___alignof__] = ACTIONS(3032),
    [anon_sym___alignof] = ACTIONS(3032),
    [anon_sym__alignof] = ACTIONS(3032),
    [anon_sym_alignof] = ACTIONS(3032),
    [anon_sym__Alignof] = ACTIONS(3032),
    [anon_sym_offsetof] = ACTIONS(3032),
    [anon_sym__Generic] = ACTIONS(3032),
    [anon_sym_asm] = ACTIONS(3032),
    [anon_sym___asm__] = ACTIONS(3032),
    [aux_sym_number_literal_token1] = ACTIONS(3034),
    [aux_sym_number_literal_token2] = ACTIONS(3032),
    [anon_sym_L_SQUOTE] = ACTIONS(3034),
    [anon_sym_u_SQUOTE] = ACTIONS(3034),
    [anon_sym_U_SQUOTE] = ACTIONS(3034),
    [anon_sym_u8_SQUOTE] = ACTIONS(3034),
    [anon_sym_SQUOTE] = ACTIONS(3034),
    [anon_sym_L_DQUOTE] = ACTIONS(3034),
    [anon_sym_u_DQUOTE] = ACTIONS(3034),
    [anon_sym_U_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8_DQUOTE] = ACTIONS(3034),
    [anon_sym_DQUOTE] = ACTIONS(3034),
    [sym_true] = ACTIONS(3032),
    [sym_false] = ACTIONS(3032),
    [anon_sym_NULL] = ACTIONS(3032),
    [anon_sym_nullptr] = ACTIONS(3032),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3032),
    [anon_sym_decltype] = ACTIONS(3032),
    [anon_sym_virtual] = ACTIONS(3032),
    [anon_sym_alignas] = ACTIONS(3032),
    [anon_sym_explicit] = ACTIONS(3032),
    [anon_sym_typename] = ACTIONS(3032),
    [anon_sym_template] = ACTIONS(3032),
    [anon_sym_operator] = ACTIONS(3032),
    [anon_sym_try] = ACTIONS(3032),
    [anon_sym_delete] = ACTIONS(3032),
    [anon_sym_throw] = ACTIONS(3032),
    [anon_sym_namespace] = ACTIONS(3032),
    [anon_sym_using] = ACTIONS(3032),
    [anon_sym_static_assert] = ACTIONS(3032),
    [anon_sym_concept] = ACTIONS(3032),
    [anon_sym_co_return] = ACTIONS(3032),
    [anon_sym_co_yield] = ACTIONS(3032),
    [anon_sym_R_DQUOTE] = ACTIONS(3034),
    [anon_sym_LR_DQUOTE] = ACTIONS(3034),
    [anon_sym_uR_DQUOTE] = ACTIONS(3034),
    [anon_sym_UR_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3034),
    [anon_sym_co_await] = ACTIONS(3032),
    [anon_sym_new] = ACTIONS(3032),
    [anon_sym_requires] = ACTIONS(3032),
    [sym_this] = ACTIONS(3032),
  },
  [829] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [830] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [831] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [832] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [833] = {
    [ts_builtin_sym_end] = ACTIONS(3092),
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [834] = {
    [sym_preproc_def] = STATE(834),
    [sym_preproc_function_def] = STATE(834),
    [sym_preproc_call] = STATE(834),
    [sym_preproc_if_in_field_declaration_list] = STATE(834),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(834),
    [sym_type_definition] = STATE(834),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6331),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6985),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(834),
    [sym_field_declaration] = STATE(834),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2150),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(834),
    [sym_operator_cast] = STATE(7390),
    [sym_inline_method_definition] = STATE(834),
    [sym__constructor_specifiers] = STATE(2150),
    [sym_operator_cast_definition] = STATE(834),
    [sym_operator_cast_declaration] = STATE(834),
    [sym_constructor_or_destructor_definition] = STATE(834),
    [sym_constructor_or_destructor_declaration] = STATE(834),
    [sym_friend_declaration] = STATE(834),
    [sym_access_specifier] = STATE(9040),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(834),
    [sym_alias_declaration] = STATE(834),
    [sym_static_assert_declaration] = STATE(834),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7390),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(834),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2150),
    [sym_identifier] = ACTIONS(3597),
    [aux_sym_preproc_def_token1] = ACTIONS(3600),
    [aux_sym_preproc_if_token1] = ACTIONS(3603),
    [aux_sym_preproc_if_token2] = ACTIONS(3606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3608),
    [aux_sym_preproc_else_token1] = ACTIONS(3606),
    [aux_sym_preproc_elif_token1] = ACTIONS(3606),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3606),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3606),
    [sym_preproc_directive] = ACTIONS(3611),
    [anon_sym_LPAREN2] = ACTIONS(3614),
    [anon_sym_TILDE] = ACTIONS(3617),
    [anon_sym_STAR] = ACTIONS(3620),
    [anon_sym_AMP_AMP] = ACTIONS(3623),
    [anon_sym_AMP] = ACTIONS(3626),
    [anon_sym___extension__] = ACTIONS(3629),
    [anon_sym_typedef] = ACTIONS(3632),
    [anon_sym_extern] = ACTIONS(3635),
    [anon_sym___attribute__] = ACTIONS(3638),
    [anon_sym_COLON_COLON] = ACTIONS(3641),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3644),
    [anon_sym___declspec] = ACTIONS(3647),
    [anon_sym___based] = ACTIONS(3650),
    [anon_sym_signed] = ACTIONS(3653),
    [anon_sym_unsigned] = ACTIONS(3653),
    [anon_sym_long] = ACTIONS(3653),
    [anon_sym_short] = ACTIONS(3653),
    [anon_sym_LBRACK] = ACTIONS(3656),
    [anon_sym_static] = ACTIONS(3635),
    [anon_sym_register] = ACTIONS(3635),
    [anon_sym_inline] = ACTIONS(3635),
    [anon_sym___inline] = ACTIONS(3635),
    [anon_sym___inline__] = ACTIONS(3635),
    [anon_sym___forceinline] = ACTIONS(3635),
    [anon_sym_thread_local] = ACTIONS(3635),
    [anon_sym___thread] = ACTIONS(3635),
    [anon_sym_const] = ACTIONS(3659),
    [anon_sym_constexpr] = ACTIONS(3659),
    [anon_sym_volatile] = ACTIONS(3659),
    [anon_sym_restrict] = ACTIONS(3659),
    [anon_sym___restrict__] = ACTIONS(3659),
    [anon_sym__Atomic] = ACTIONS(3659),
    [anon_sym__Noreturn] = ACTIONS(3659),
    [anon_sym_noreturn] = ACTIONS(3659),
    [anon_sym_mutable] = ACTIONS(3659),
    [anon_sym_constinit] = ACTIONS(3659),
    [anon_sym_consteval] = ACTIONS(3659),
    [anon_sym_PROGMEM] = ACTIONS(3659),
    [aux_sym_primitive_type_token1] = ACTIONS(3662),
    [anon_sym_byte] = ACTIONS(3662),
    [anon_sym_word] = ACTIONS(3662),
    [anon_sym_enum] = ACTIONS(3665),
    [anon_sym_class] = ACTIONS(3668),
    [anon_sym_struct] = ACTIONS(3671),
    [anon_sym_union] = ACTIONS(3674),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3677),
    [anon_sym_decltype] = ACTIONS(3680),
    [anon_sym_virtual] = ACTIONS(3683),
    [anon_sym_alignas] = ACTIONS(3686),
    [anon_sym_explicit] = ACTIONS(3689),
    [anon_sym_typename] = ACTIONS(3692),
    [anon_sym_template] = ACTIONS(3695),
    [anon_sym_operator] = ACTIONS(3698),
    [anon_sym_friend] = ACTIONS(3701),
    [anon_sym_public] = ACTIONS(3704),
    [anon_sym_private] = ACTIONS(3704),
    [anon_sym_protected] = ACTIONS(3704),
    [anon_sym_using] = ACTIONS(3707),
    [anon_sym_static_assert] = ACTIONS(3710),
  },
  [835] = {
    [sym_identifier] = ACTIONS(3084),
    [aux_sym_preproc_include_token1] = ACTIONS(3084),
    [aux_sym_preproc_def_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token2] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [sym_preproc_directive] = ACTIONS(3084),
    [anon_sym_LPAREN2] = ACTIONS(3086),
    [anon_sym_BANG] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym___extension__] = ACTIONS(3084),
    [anon_sym_typedef] = ACTIONS(3084),
    [anon_sym_extern] = ACTIONS(3084),
    [anon_sym___attribute__] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3086),
    [anon_sym___declspec] = ACTIONS(3084),
    [anon_sym___based] = ACTIONS(3084),
    [anon_sym___cdecl] = ACTIONS(3084),
    [anon_sym___clrcall] = ACTIONS(3084),
    [anon_sym___stdcall] = ACTIONS(3084),
    [anon_sym___fastcall] = ACTIONS(3084),
    [anon_sym___thiscall] = ACTIONS(3084),
    [anon_sym___vectorcall] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_signed] = ACTIONS(3084),
    [anon_sym_unsigned] = ACTIONS(3084),
    [anon_sym_long] = ACTIONS(3084),
    [anon_sym_short] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_register] = ACTIONS(3084),
    [anon_sym_inline] = ACTIONS(3084),
    [anon_sym___inline] = ACTIONS(3084),
    [anon_sym___inline__] = ACTIONS(3084),
    [anon_sym___forceinline] = ACTIONS(3084),
    [anon_sym_thread_local] = ACTIONS(3084),
    [anon_sym___thread] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_constexpr] = ACTIONS(3084),
    [anon_sym_volatile] = ACTIONS(3084),
    [anon_sym_restrict] = ACTIONS(3084),
    [anon_sym___restrict__] = ACTIONS(3084),
    [anon_sym__Atomic] = ACTIONS(3084),
    [anon_sym__Noreturn] = ACTIONS(3084),
    [anon_sym_noreturn] = ACTIONS(3084),
    [anon_sym_mutable] = ACTIONS(3084),
    [anon_sym_constinit] = ACTIONS(3084),
    [anon_sym_consteval] = ACTIONS(3084),
    [anon_sym_PROGMEM] = ACTIONS(3084),
    [aux_sym_primitive_type_token1] = ACTIONS(3084),
    [anon_sym_byte] = ACTIONS(3084),
    [anon_sym_word] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_struct] = ACTIONS(3084),
    [anon_sym_union] = ACTIONS(3084),
    [anon_sym_if] = ACTIONS(3084),
    [anon_sym_else] = ACTIONS(3084),
    [anon_sym_switch] = ACTIONS(3084),
    [anon_sym_case] = ACTIONS(3084),
    [anon_sym_default] = ACTIONS(3084),
    [anon_sym_while] = ACTIONS(3084),
    [anon_sym_do] = ACTIONS(3084),
    [anon_sym_for] = ACTIONS(3084),
    [anon_sym_return] = ACTIONS(3084),
    [anon_sym_break] = ACTIONS(3084),
    [anon_sym_continue] = ACTIONS(3084),
    [anon_sym_goto] = ACTIONS(3084),
    [anon_sym___try] = ACTIONS(3084),
    [anon_sym___leave] = ACTIONS(3084),
    [anon_sym_not] = ACTIONS(3084),
    [anon_sym_compl] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_sizeof] = ACTIONS(3084),
    [anon_sym___alignof__] = ACTIONS(3084),
    [anon_sym___alignof] = ACTIONS(3084),
    [anon_sym__alignof] = ACTIONS(3084),
    [anon_sym_alignof] = ACTIONS(3084),
    [anon_sym__Alignof] = ACTIONS(3084),
    [anon_sym_offsetof] = ACTIONS(3084),
    [anon_sym__Generic] = ACTIONS(3084),
    [anon_sym_asm] = ACTIONS(3084),
    [anon_sym___asm__] = ACTIONS(3084),
    [aux_sym_number_literal_token1] = ACTIONS(3086),
    [aux_sym_number_literal_token2] = ACTIONS(3084),
    [anon_sym_L_SQUOTE] = ACTIONS(3086),
    [anon_sym_u_SQUOTE] = ACTIONS(3086),
    [anon_sym_U_SQUOTE] = ACTIONS(3086),
    [anon_sym_u8_SQUOTE] = ACTIONS(3086),
    [anon_sym_SQUOTE] = ACTIONS(3086),
    [anon_sym_L_DQUOTE] = ACTIONS(3086),
    [anon_sym_u_DQUOTE] = ACTIONS(3086),
    [anon_sym_U_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8_DQUOTE] = ACTIONS(3086),
    [anon_sym_DQUOTE] = ACTIONS(3086),
    [sym_true] = ACTIONS(3084),
    [sym_false] = ACTIONS(3084),
    [anon_sym_NULL] = ACTIONS(3084),
    [anon_sym_nullptr] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3084),
    [anon_sym_decltype] = ACTIONS(3084),
    [anon_sym_virtual] = ACTIONS(3084),
    [anon_sym_alignas] = ACTIONS(3084),
    [anon_sym_explicit] = ACTIONS(3084),
    [anon_sym_typename] = ACTIONS(3084),
    [anon_sym_template] = ACTIONS(3084),
    [anon_sym_operator] = ACTIONS(3084),
    [anon_sym_try] = ACTIONS(3084),
    [anon_sym_delete] = ACTIONS(3084),
    [anon_sym_throw] = ACTIONS(3084),
    [anon_sym_namespace] = ACTIONS(3084),
    [anon_sym_using] = ACTIONS(3084),
    [anon_sym_static_assert] = ACTIONS(3084),
    [anon_sym_concept] = ACTIONS(3084),
    [anon_sym_co_return] = ACTIONS(3084),
    [anon_sym_co_yield] = ACTIONS(3084),
    [anon_sym_R_DQUOTE] = ACTIONS(3086),
    [anon_sym_LR_DQUOTE] = ACTIONS(3086),
    [anon_sym_uR_DQUOTE] = ACTIONS(3086),
    [anon_sym_UR_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3086),
    [anon_sym_co_await] = ACTIONS(3084),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_requires] = ACTIONS(3084),
    [sym_this] = ACTIONS(3084),
  },
  [836] = {
    [sym_identifier] = ACTIONS(3080),
    [aux_sym_preproc_include_token1] = ACTIONS(3080),
    [aux_sym_preproc_def_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3080),
    [sym_preproc_directive] = ACTIONS(3080),
    [anon_sym_LPAREN2] = ACTIONS(3082),
    [anon_sym_BANG] = ACTIONS(3082),
    [anon_sym_TILDE] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym___extension__] = ACTIONS(3080),
    [anon_sym_typedef] = ACTIONS(3080),
    [anon_sym_extern] = ACTIONS(3080),
    [anon_sym___attribute__] = ACTIONS(3080),
    [anon_sym_COLON_COLON] = ACTIONS(3082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3082),
    [anon_sym___declspec] = ACTIONS(3080),
    [anon_sym___based] = ACTIONS(3080),
    [anon_sym___cdecl] = ACTIONS(3080),
    [anon_sym___clrcall] = ACTIONS(3080),
    [anon_sym___stdcall] = ACTIONS(3080),
    [anon_sym___fastcall] = ACTIONS(3080),
    [anon_sym___thiscall] = ACTIONS(3080),
    [anon_sym___vectorcall] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3082),
    [anon_sym_signed] = ACTIONS(3080),
    [anon_sym_unsigned] = ACTIONS(3080),
    [anon_sym_long] = ACTIONS(3080),
    [anon_sym_short] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_register] = ACTIONS(3080),
    [anon_sym_inline] = ACTIONS(3080),
    [anon_sym___inline] = ACTIONS(3080),
    [anon_sym___inline__] = ACTIONS(3080),
    [anon_sym___forceinline] = ACTIONS(3080),
    [anon_sym_thread_local] = ACTIONS(3080),
    [anon_sym___thread] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_constexpr] = ACTIONS(3080),
    [anon_sym_volatile] = ACTIONS(3080),
    [anon_sym_restrict] = ACTIONS(3080),
    [anon_sym___restrict__] = ACTIONS(3080),
    [anon_sym__Atomic] = ACTIONS(3080),
    [anon_sym__Noreturn] = ACTIONS(3080),
    [anon_sym_noreturn] = ACTIONS(3080),
    [anon_sym_mutable] = ACTIONS(3080),
    [anon_sym_constinit] = ACTIONS(3080),
    [anon_sym_consteval] = ACTIONS(3080),
    [anon_sym_PROGMEM] = ACTIONS(3080),
    [aux_sym_primitive_type_token1] = ACTIONS(3080),
    [anon_sym_byte] = ACTIONS(3080),
    [anon_sym_word] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_struct] = ACTIONS(3080),
    [anon_sym_union] = ACTIONS(3080),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_else] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_case] = ACTIONS(3080),
    [anon_sym_default] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_goto] = ACTIONS(3080),
    [anon_sym___try] = ACTIONS(3080),
    [anon_sym___leave] = ACTIONS(3080),
    [anon_sym_not] = ACTIONS(3080),
    [anon_sym_compl] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3082),
    [anon_sym_sizeof] = ACTIONS(3080),
    [anon_sym___alignof__] = ACTIONS(3080),
    [anon_sym___alignof] = ACTIONS(3080),
    [anon_sym__alignof] = ACTIONS(3080),
    [anon_sym_alignof] = ACTIONS(3080),
    [anon_sym__Alignof] = ACTIONS(3080),
    [anon_sym_offsetof] = ACTIONS(3080),
    [anon_sym__Generic] = ACTIONS(3080),
    [anon_sym_asm] = ACTIONS(3080),
    [anon_sym___asm__] = ACTIONS(3080),
    [aux_sym_number_literal_token1] = ACTIONS(3082),
    [aux_sym_number_literal_token2] = ACTIONS(3080),
    [anon_sym_L_SQUOTE] = ACTIONS(3082),
    [anon_sym_u_SQUOTE] = ACTIONS(3082),
    [anon_sym_U_SQUOTE] = ACTIONS(3082),
    [anon_sym_u8_SQUOTE] = ACTIONS(3082),
    [anon_sym_SQUOTE] = ACTIONS(3082),
    [anon_sym_L_DQUOTE] = ACTIONS(3082),
    [anon_sym_u_DQUOTE] = ACTIONS(3082),
    [anon_sym_U_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8_DQUOTE] = ACTIONS(3082),
    [anon_sym_DQUOTE] = ACTIONS(3082),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [anon_sym_NULL] = ACTIONS(3080),
    [anon_sym_nullptr] = ACTIONS(3080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3080),
    [anon_sym_decltype] = ACTIONS(3080),
    [anon_sym_virtual] = ACTIONS(3080),
    [anon_sym_alignas] = ACTIONS(3080),
    [anon_sym_explicit] = ACTIONS(3080),
    [anon_sym_typename] = ACTIONS(3080),
    [anon_sym_template] = ACTIONS(3080),
    [anon_sym_operator] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_static_assert] = ACTIONS(3080),
    [anon_sym_concept] = ACTIONS(3080),
    [anon_sym_co_return] = ACTIONS(3080),
    [anon_sym_co_yield] = ACTIONS(3080),
    [anon_sym_R_DQUOTE] = ACTIONS(3082),
    [anon_sym_LR_DQUOTE] = ACTIONS(3082),
    [anon_sym_uR_DQUOTE] = ACTIONS(3082),
    [anon_sym_UR_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3082),
    [anon_sym_co_await] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_requires] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
  },
  [837] = {
    [ts_builtin_sym_end] = ACTIONS(3092),
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [838] = {
    [ts_builtin_sym_end] = ACTIONS(3092),
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [839] = {
    [sym_identifier] = ACTIONS(3120),
    [aux_sym_preproc_include_token1] = ACTIONS(3120),
    [aux_sym_preproc_def_token1] = ACTIONS(3120),
    [aux_sym_preproc_if_token1] = ACTIONS(3120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3120),
    [sym_preproc_directive] = ACTIONS(3120),
    [anon_sym_LPAREN2] = ACTIONS(3122),
    [anon_sym_BANG] = ACTIONS(3122),
    [anon_sym_TILDE] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym_SEMI] = ACTIONS(3122),
    [anon_sym___extension__] = ACTIONS(3120),
    [anon_sym_typedef] = ACTIONS(3120),
    [anon_sym_extern] = ACTIONS(3120),
    [anon_sym___attribute__] = ACTIONS(3120),
    [anon_sym_COLON_COLON] = ACTIONS(3122),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3122),
    [anon_sym___declspec] = ACTIONS(3120),
    [anon_sym___based] = ACTIONS(3120),
    [anon_sym___cdecl] = ACTIONS(3120),
    [anon_sym___clrcall] = ACTIONS(3120),
    [anon_sym___stdcall] = ACTIONS(3120),
    [anon_sym___fastcall] = ACTIONS(3120),
    [anon_sym___thiscall] = ACTIONS(3120),
    [anon_sym___vectorcall] = ACTIONS(3120),
    [anon_sym_LBRACE] = ACTIONS(3122),
    [anon_sym_RBRACE] = ACTIONS(3122),
    [anon_sym_signed] = ACTIONS(3120),
    [anon_sym_unsigned] = ACTIONS(3120),
    [anon_sym_long] = ACTIONS(3120),
    [anon_sym_short] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_static] = ACTIONS(3120),
    [anon_sym_register] = ACTIONS(3120),
    [anon_sym_inline] = ACTIONS(3120),
    [anon_sym___inline] = ACTIONS(3120),
    [anon_sym___inline__] = ACTIONS(3120),
    [anon_sym___forceinline] = ACTIONS(3120),
    [anon_sym_thread_local] = ACTIONS(3120),
    [anon_sym___thread] = ACTIONS(3120),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_constexpr] = ACTIONS(3120),
    [anon_sym_volatile] = ACTIONS(3120),
    [anon_sym_restrict] = ACTIONS(3120),
    [anon_sym___restrict__] = ACTIONS(3120),
    [anon_sym__Atomic] = ACTIONS(3120),
    [anon_sym__Noreturn] = ACTIONS(3120),
    [anon_sym_noreturn] = ACTIONS(3120),
    [anon_sym_mutable] = ACTIONS(3120),
    [anon_sym_constinit] = ACTIONS(3120),
    [anon_sym_consteval] = ACTIONS(3120),
    [anon_sym_PROGMEM] = ACTIONS(3120),
    [aux_sym_primitive_type_token1] = ACTIONS(3120),
    [anon_sym_byte] = ACTIONS(3120),
    [anon_sym_word] = ACTIONS(3120),
    [anon_sym_enum] = ACTIONS(3120),
    [anon_sym_class] = ACTIONS(3120),
    [anon_sym_struct] = ACTIONS(3120),
    [anon_sym_union] = ACTIONS(3120),
    [anon_sym_if] = ACTIONS(3120),
    [anon_sym_else] = ACTIONS(3120),
    [anon_sym_switch] = ACTIONS(3120),
    [anon_sym_case] = ACTIONS(3120),
    [anon_sym_default] = ACTIONS(3120),
    [anon_sym_while] = ACTIONS(3120),
    [anon_sym_do] = ACTIONS(3120),
    [anon_sym_for] = ACTIONS(3120),
    [anon_sym_return] = ACTIONS(3120),
    [anon_sym_break] = ACTIONS(3120),
    [anon_sym_continue] = ACTIONS(3120),
    [anon_sym_goto] = ACTIONS(3120),
    [anon_sym___try] = ACTIONS(3120),
    [anon_sym___leave] = ACTIONS(3120),
    [anon_sym_not] = ACTIONS(3120),
    [anon_sym_compl] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_sizeof] = ACTIONS(3120),
    [anon_sym___alignof__] = ACTIONS(3120),
    [anon_sym___alignof] = ACTIONS(3120),
    [anon_sym__alignof] = ACTIONS(3120),
    [anon_sym_alignof] = ACTIONS(3120),
    [anon_sym__Alignof] = ACTIONS(3120),
    [anon_sym_offsetof] = ACTIONS(3120),
    [anon_sym__Generic] = ACTIONS(3120),
    [anon_sym_asm] = ACTIONS(3120),
    [anon_sym___asm__] = ACTIONS(3120),
    [aux_sym_number_literal_token1] = ACTIONS(3122),
    [aux_sym_number_literal_token2] = ACTIONS(3120),
    [anon_sym_L_SQUOTE] = ACTIONS(3122),
    [anon_sym_u_SQUOTE] = ACTIONS(3122),
    [anon_sym_U_SQUOTE] = ACTIONS(3122),
    [anon_sym_u8_SQUOTE] = ACTIONS(3122),
    [anon_sym_SQUOTE] = ACTIONS(3122),
    [anon_sym_L_DQUOTE] = ACTIONS(3122),
    [anon_sym_u_DQUOTE] = ACTIONS(3122),
    [anon_sym_U_DQUOTE] = ACTIONS(3122),
    [anon_sym_u8_DQUOTE] = ACTIONS(3122),
    [anon_sym_DQUOTE] = ACTIONS(3122),
    [sym_true] = ACTIONS(3120),
    [sym_false] = ACTIONS(3120),
    [anon_sym_NULL] = ACTIONS(3120),
    [anon_sym_nullptr] = ACTIONS(3120),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3120),
    [anon_sym_decltype] = ACTIONS(3120),
    [anon_sym_virtual] = ACTIONS(3120),
    [anon_sym_alignas] = ACTIONS(3120),
    [anon_sym_explicit] = ACTIONS(3120),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3120),
    [anon_sym_operator] = ACTIONS(3120),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_delete] = ACTIONS(3120),
    [anon_sym_throw] = ACTIONS(3120),
    [anon_sym_namespace] = ACTIONS(3120),
    [anon_sym_using] = ACTIONS(3120),
    [anon_sym_static_assert] = ACTIONS(3120),
    [anon_sym_concept] = ACTIONS(3120),
    [anon_sym_co_return] = ACTIONS(3120),
    [anon_sym_co_yield] = ACTIONS(3120),
    [anon_sym_R_DQUOTE] = ACTIONS(3122),
    [anon_sym_LR_DQUOTE] = ACTIONS(3122),
    [anon_sym_uR_DQUOTE] = ACTIONS(3122),
    [anon_sym_UR_DQUOTE] = ACTIONS(3122),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3122),
    [anon_sym_co_await] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(3120),
    [anon_sym_requires] = ACTIONS(3120),
    [sym_this] = ACTIONS(3120),
  },
  [840] = {
    [ts_builtin_sym_end] = ACTIONS(2954),
    [sym_identifier] = ACTIONS(2952),
    [aux_sym_preproc_include_token1] = ACTIONS(2952),
    [aux_sym_preproc_def_token1] = ACTIONS(2952),
    [aux_sym_preproc_if_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2952),
    [anon_sym_LPAREN2] = ACTIONS(2954),
    [anon_sym_BANG] = ACTIONS(2954),
    [anon_sym_TILDE] = ACTIONS(2954),
    [anon_sym_DASH] = ACTIONS(2952),
    [anon_sym_PLUS] = ACTIONS(2952),
    [anon_sym_STAR] = ACTIONS(2954),
    [anon_sym_AMP_AMP] = ACTIONS(2954),
    [anon_sym_AMP] = ACTIONS(2952),
    [anon_sym_SEMI] = ACTIONS(2954),
    [anon_sym___extension__] = ACTIONS(2952),
    [anon_sym_typedef] = ACTIONS(2952),
    [anon_sym_extern] = ACTIONS(2952),
    [anon_sym___attribute__] = ACTIONS(2952),
    [anon_sym_COLON_COLON] = ACTIONS(2954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2954),
    [anon_sym___declspec] = ACTIONS(2952),
    [anon_sym___based] = ACTIONS(2952),
    [anon_sym___cdecl] = ACTIONS(2952),
    [anon_sym___clrcall] = ACTIONS(2952),
    [anon_sym___stdcall] = ACTIONS(2952),
    [anon_sym___fastcall] = ACTIONS(2952),
    [anon_sym___thiscall] = ACTIONS(2952),
    [anon_sym___vectorcall] = ACTIONS(2952),
    [anon_sym_LBRACE] = ACTIONS(2954),
    [anon_sym_signed] = ACTIONS(2952),
    [anon_sym_unsigned] = ACTIONS(2952),
    [anon_sym_long] = ACTIONS(2952),
    [anon_sym_short] = ACTIONS(2952),
    [anon_sym_LBRACK] = ACTIONS(2952),
    [anon_sym_static] = ACTIONS(2952),
    [anon_sym_register] = ACTIONS(2952),
    [anon_sym_inline] = ACTIONS(2952),
    [anon_sym___inline] = ACTIONS(2952),
    [anon_sym___inline__] = ACTIONS(2952),
    [anon_sym___forceinline] = ACTIONS(2952),
    [anon_sym_thread_local] = ACTIONS(2952),
    [anon_sym___thread] = ACTIONS(2952),
    [anon_sym_const] = ACTIONS(2952),
    [anon_sym_constexpr] = ACTIONS(2952),
    [anon_sym_volatile] = ACTIONS(2952),
    [anon_sym_restrict] = ACTIONS(2952),
    [anon_sym___restrict__] = ACTIONS(2952),
    [anon_sym__Atomic] = ACTIONS(2952),
    [anon_sym__Noreturn] = ACTIONS(2952),
    [anon_sym_noreturn] = ACTIONS(2952),
    [anon_sym_mutable] = ACTIONS(2952),
    [anon_sym_constinit] = ACTIONS(2952),
    [anon_sym_consteval] = ACTIONS(2952),
    [anon_sym_PROGMEM] = ACTIONS(2952),
    [aux_sym_primitive_type_token1] = ACTIONS(2952),
    [anon_sym_byte] = ACTIONS(2952),
    [anon_sym_word] = ACTIONS(2952),
    [anon_sym_enum] = ACTIONS(2952),
    [anon_sym_class] = ACTIONS(2952),
    [anon_sym_struct] = ACTIONS(2952),
    [anon_sym_union] = ACTIONS(2952),
    [anon_sym_if] = ACTIONS(2952),
    [anon_sym_else] = ACTIONS(2952),
    [anon_sym_switch] = ACTIONS(2952),
    [anon_sym_case] = ACTIONS(2952),
    [anon_sym_default] = ACTIONS(2952),
    [anon_sym_while] = ACTIONS(2952),
    [anon_sym_do] = ACTIONS(2952),
    [anon_sym_for] = ACTIONS(2952),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_break] = ACTIONS(2952),
    [anon_sym_continue] = ACTIONS(2952),
    [anon_sym_goto] = ACTIONS(2952),
    [anon_sym___try] = ACTIONS(2952),
    [anon_sym___leave] = ACTIONS(2952),
    [anon_sym_not] = ACTIONS(2952),
    [anon_sym_compl] = ACTIONS(2952),
    [anon_sym_DASH_DASH] = ACTIONS(2954),
    [anon_sym_PLUS_PLUS] = ACTIONS(2954),
    [anon_sym_sizeof] = ACTIONS(2952),
    [anon_sym___alignof__] = ACTIONS(2952),
    [anon_sym___alignof] = ACTIONS(2952),
    [anon_sym__alignof] = ACTIONS(2952),
    [anon_sym_alignof] = ACTIONS(2952),
    [anon_sym__Alignof] = ACTIONS(2952),
    [anon_sym_offsetof] = ACTIONS(2952),
    [anon_sym__Generic] = ACTIONS(2952),
    [anon_sym_asm] = ACTIONS(2952),
    [anon_sym___asm__] = ACTIONS(2952),
    [aux_sym_number_literal_token1] = ACTIONS(2954),
    [aux_sym_number_literal_token2] = ACTIONS(2952),
    [anon_sym_L_SQUOTE] = ACTIONS(2954),
    [anon_sym_u_SQUOTE] = ACTIONS(2954),
    [anon_sym_U_SQUOTE] = ACTIONS(2954),
    [anon_sym_u8_SQUOTE] = ACTIONS(2954),
    [anon_sym_SQUOTE] = ACTIONS(2954),
    [anon_sym_L_DQUOTE] = ACTIONS(2954),
    [anon_sym_u_DQUOTE] = ACTIONS(2954),
    [anon_sym_U_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8_DQUOTE] = ACTIONS(2954),
    [anon_sym_DQUOTE] = ACTIONS(2954),
    [sym_true] = ACTIONS(2952),
    [sym_false] = ACTIONS(2952),
    [anon_sym_NULL] = ACTIONS(2952),
    [anon_sym_nullptr] = ACTIONS(2952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2952),
    [anon_sym_decltype] = ACTIONS(2952),
    [anon_sym_virtual] = ACTIONS(2952),
    [anon_sym_alignas] = ACTIONS(2952),
    [anon_sym_explicit] = ACTIONS(2952),
    [anon_sym_typename] = ACTIONS(2952),
    [anon_sym_template] = ACTIONS(2952),
    [anon_sym_operator] = ACTIONS(2952),
    [anon_sym_try] = ACTIONS(2952),
    [anon_sym_delete] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2952),
    [anon_sym_namespace] = ACTIONS(2952),
    [anon_sym_using] = ACTIONS(2952),
    [anon_sym_static_assert] = ACTIONS(2952),
    [anon_sym_concept] = ACTIONS(2952),
    [anon_sym_co_return] = ACTIONS(2952),
    [anon_sym_co_yield] = ACTIONS(2952),
    [anon_sym_R_DQUOTE] = ACTIONS(2954),
    [anon_sym_LR_DQUOTE] = ACTIONS(2954),
    [anon_sym_uR_DQUOTE] = ACTIONS(2954),
    [anon_sym_UR_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2954),
    [anon_sym_co_await] = ACTIONS(2952),
    [anon_sym_new] = ACTIONS(2952),
    [anon_sym_requires] = ACTIONS(2952),
    [sym_this] = ACTIONS(2952),
  },
  [841] = {
    [sym_identifier] = ACTIONS(2261),
    [aux_sym_preproc_include_token1] = ACTIONS(2261),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [anon_sym_COMMA] = ACTIONS(3026),
    [aux_sym_preproc_if_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2261),
    [anon_sym_LPAREN2] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2261),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym___extension__] = ACTIONS(2261),
    [anon_sym_typedef] = ACTIONS(2261),
    [anon_sym_extern] = ACTIONS(2261),
    [anon_sym___attribute__] = ACTIONS(2261),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2259),
    [anon_sym___declspec] = ACTIONS(2261),
    [anon_sym___based] = ACTIONS(2261),
    [anon_sym___cdecl] = ACTIONS(2261),
    [anon_sym___clrcall] = ACTIONS(2261),
    [anon_sym___stdcall] = ACTIONS(2261),
    [anon_sym___fastcall] = ACTIONS(2261),
    [anon_sym___thiscall] = ACTIONS(2261),
    [anon_sym___vectorcall] = ACTIONS(2261),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_RBRACE] = ACTIONS(3026),
    [anon_sym_signed] = ACTIONS(2261),
    [anon_sym_unsigned] = ACTIONS(2261),
    [anon_sym_long] = ACTIONS(2261),
    [anon_sym_short] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_register] = ACTIONS(2261),
    [anon_sym_inline] = ACTIONS(2261),
    [anon_sym___inline] = ACTIONS(2261),
    [anon_sym___inline__] = ACTIONS(2261),
    [anon_sym___forceinline] = ACTIONS(2261),
    [anon_sym_thread_local] = ACTIONS(2261),
    [anon_sym___thread] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_constexpr] = ACTIONS(2261),
    [anon_sym_volatile] = ACTIONS(2261),
    [anon_sym_restrict] = ACTIONS(2261),
    [anon_sym___restrict__] = ACTIONS(2261),
    [anon_sym__Atomic] = ACTIONS(2261),
    [anon_sym__Noreturn] = ACTIONS(2261),
    [anon_sym_noreturn] = ACTIONS(2261),
    [anon_sym_mutable] = ACTIONS(2261),
    [anon_sym_constinit] = ACTIONS(2261),
    [anon_sym_consteval] = ACTIONS(2261),
    [anon_sym_PROGMEM] = ACTIONS(2261),
    [aux_sym_primitive_type_token1] = ACTIONS(2261),
    [anon_sym_byte] = ACTIONS(2261),
    [anon_sym_word] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_struct] = ACTIONS(2261),
    [anon_sym_union] = ACTIONS(2261),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_switch] = ACTIONS(2261),
    [anon_sym_case] = ACTIONS(2261),
    [anon_sym_default] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2261),
    [anon_sym_do] = ACTIONS(2261),
    [anon_sym_for] = ACTIONS(2261),
    [anon_sym_return] = ACTIONS(2261),
    [anon_sym_break] = ACTIONS(2261),
    [anon_sym_continue] = ACTIONS(2261),
    [anon_sym_goto] = ACTIONS(2261),
    [anon_sym___try] = ACTIONS(2261),
    [anon_sym___leave] = ACTIONS(2261),
    [anon_sym_not] = ACTIONS(2261),
    [anon_sym_compl] = ACTIONS(2261),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_sizeof] = ACTIONS(2261),
    [anon_sym___alignof__] = ACTIONS(2261),
    [anon_sym___alignof] = ACTIONS(2261),
    [anon_sym__alignof] = ACTIONS(2261),
    [anon_sym_alignof] = ACTIONS(2261),
    [anon_sym__Alignof] = ACTIONS(2261),
    [anon_sym_offsetof] = ACTIONS(2261),
    [anon_sym__Generic] = ACTIONS(2261),
    [anon_sym_asm] = ACTIONS(2261),
    [anon_sym___asm__] = ACTIONS(2261),
    [aux_sym_number_literal_token1] = ACTIONS(2259),
    [aux_sym_number_literal_token2] = ACTIONS(2261),
    [anon_sym_L_SQUOTE] = ACTIONS(2259),
    [anon_sym_u_SQUOTE] = ACTIONS(2259),
    [anon_sym_U_SQUOTE] = ACTIONS(2259),
    [anon_sym_u8_SQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [anon_sym_L_DQUOTE] = ACTIONS(2259),
    [anon_sym_u_DQUOTE] = ACTIONS(2259),
    [anon_sym_U_DQUOTE] = ACTIONS(2259),
    [anon_sym_u8_DQUOTE] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [sym_true] = ACTIONS(2261),
    [sym_false] = ACTIONS(2261),
    [anon_sym_NULL] = ACTIONS(2261),
    [anon_sym_nullptr] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2261),
    [anon_sym_decltype] = ACTIONS(2261),
    [anon_sym_virtual] = ACTIONS(2261),
    [anon_sym_alignas] = ACTIONS(2261),
    [anon_sym_explicit] = ACTIONS(2261),
    [anon_sym_typename] = ACTIONS(2261),
    [anon_sym_template] = ACTIONS(2261),
    [anon_sym_operator] = ACTIONS(2261),
    [anon_sym_try] = ACTIONS(2261),
    [anon_sym_delete] = ACTIONS(2261),
    [anon_sym_throw] = ACTIONS(2261),
    [anon_sym_namespace] = ACTIONS(2261),
    [anon_sym_using] = ACTIONS(2261),
    [anon_sym_static_assert] = ACTIONS(2261),
    [anon_sym_concept] = ACTIONS(2261),
    [anon_sym_co_return] = ACTIONS(2261),
    [anon_sym_co_yield] = ACTIONS(2261),
    [anon_sym_R_DQUOTE] = ACTIONS(2259),
    [anon_sym_LR_DQUOTE] = ACTIONS(2259),
    [anon_sym_uR_DQUOTE] = ACTIONS(2259),
    [anon_sym_UR_DQUOTE] = ACTIONS(2259),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2259),
    [anon_sym_co_await] = ACTIONS(2261),
    [anon_sym_new] = ACTIONS(2261),
    [anon_sym_requires] = ACTIONS(2261),
    [sym_this] = ACTIONS(2261),
  },
  [842] = {
    [sym_identifier] = ACTIONS(3084),
    [aux_sym_preproc_include_token1] = ACTIONS(3084),
    [aux_sym_preproc_def_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [sym_preproc_directive] = ACTIONS(3084),
    [anon_sym_LPAREN2] = ACTIONS(3086),
    [anon_sym_BANG] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym___extension__] = ACTIONS(3084),
    [anon_sym_typedef] = ACTIONS(3084),
    [anon_sym_extern] = ACTIONS(3084),
    [anon_sym___attribute__] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3086),
    [anon_sym___declspec] = ACTIONS(3084),
    [anon_sym___based] = ACTIONS(3084),
    [anon_sym___cdecl] = ACTIONS(3084),
    [anon_sym___clrcall] = ACTIONS(3084),
    [anon_sym___stdcall] = ACTIONS(3084),
    [anon_sym___fastcall] = ACTIONS(3084),
    [anon_sym___thiscall] = ACTIONS(3084),
    [anon_sym___vectorcall] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_RBRACE] = ACTIONS(3086),
    [anon_sym_signed] = ACTIONS(3084),
    [anon_sym_unsigned] = ACTIONS(3084),
    [anon_sym_long] = ACTIONS(3084),
    [anon_sym_short] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_register] = ACTIONS(3084),
    [anon_sym_inline] = ACTIONS(3084),
    [anon_sym___inline] = ACTIONS(3084),
    [anon_sym___inline__] = ACTIONS(3084),
    [anon_sym___forceinline] = ACTIONS(3084),
    [anon_sym_thread_local] = ACTIONS(3084),
    [anon_sym___thread] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_constexpr] = ACTIONS(3084),
    [anon_sym_volatile] = ACTIONS(3084),
    [anon_sym_restrict] = ACTIONS(3084),
    [anon_sym___restrict__] = ACTIONS(3084),
    [anon_sym__Atomic] = ACTIONS(3084),
    [anon_sym__Noreturn] = ACTIONS(3084),
    [anon_sym_noreturn] = ACTIONS(3084),
    [anon_sym_mutable] = ACTIONS(3084),
    [anon_sym_constinit] = ACTIONS(3084),
    [anon_sym_consteval] = ACTIONS(3084),
    [anon_sym_PROGMEM] = ACTIONS(3084),
    [aux_sym_primitive_type_token1] = ACTIONS(3084),
    [anon_sym_byte] = ACTIONS(3084),
    [anon_sym_word] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_struct] = ACTIONS(3084),
    [anon_sym_union] = ACTIONS(3084),
    [anon_sym_if] = ACTIONS(3084),
    [anon_sym_else] = ACTIONS(3084),
    [anon_sym_switch] = ACTIONS(3084),
    [anon_sym_case] = ACTIONS(3084),
    [anon_sym_default] = ACTIONS(3084),
    [anon_sym_while] = ACTIONS(3084),
    [anon_sym_do] = ACTIONS(3084),
    [anon_sym_for] = ACTIONS(3084),
    [anon_sym_return] = ACTIONS(3084),
    [anon_sym_break] = ACTIONS(3084),
    [anon_sym_continue] = ACTIONS(3084),
    [anon_sym_goto] = ACTIONS(3084),
    [anon_sym___try] = ACTIONS(3084),
    [anon_sym___leave] = ACTIONS(3084),
    [anon_sym_not] = ACTIONS(3084),
    [anon_sym_compl] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_sizeof] = ACTIONS(3084),
    [anon_sym___alignof__] = ACTIONS(3084),
    [anon_sym___alignof] = ACTIONS(3084),
    [anon_sym__alignof] = ACTIONS(3084),
    [anon_sym_alignof] = ACTIONS(3084),
    [anon_sym__Alignof] = ACTIONS(3084),
    [anon_sym_offsetof] = ACTIONS(3084),
    [anon_sym__Generic] = ACTIONS(3084),
    [anon_sym_asm] = ACTIONS(3084),
    [anon_sym___asm__] = ACTIONS(3084),
    [aux_sym_number_literal_token1] = ACTIONS(3086),
    [aux_sym_number_literal_token2] = ACTIONS(3084),
    [anon_sym_L_SQUOTE] = ACTIONS(3086),
    [anon_sym_u_SQUOTE] = ACTIONS(3086),
    [anon_sym_U_SQUOTE] = ACTIONS(3086),
    [anon_sym_u8_SQUOTE] = ACTIONS(3086),
    [anon_sym_SQUOTE] = ACTIONS(3086),
    [anon_sym_L_DQUOTE] = ACTIONS(3086),
    [anon_sym_u_DQUOTE] = ACTIONS(3086),
    [anon_sym_U_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8_DQUOTE] = ACTIONS(3086),
    [anon_sym_DQUOTE] = ACTIONS(3086),
    [sym_true] = ACTIONS(3084),
    [sym_false] = ACTIONS(3084),
    [anon_sym_NULL] = ACTIONS(3084),
    [anon_sym_nullptr] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3084),
    [anon_sym_decltype] = ACTIONS(3084),
    [anon_sym_virtual] = ACTIONS(3084),
    [anon_sym_alignas] = ACTIONS(3084),
    [anon_sym_explicit] = ACTIONS(3084),
    [anon_sym_typename] = ACTIONS(3084),
    [anon_sym_template] = ACTIONS(3084),
    [anon_sym_operator] = ACTIONS(3084),
    [anon_sym_try] = ACTIONS(3084),
    [anon_sym_delete] = ACTIONS(3084),
    [anon_sym_throw] = ACTIONS(3084),
    [anon_sym_namespace] = ACTIONS(3084),
    [anon_sym_using] = ACTIONS(3084),
    [anon_sym_static_assert] = ACTIONS(3084),
    [anon_sym_concept] = ACTIONS(3084),
    [anon_sym_co_return] = ACTIONS(3084),
    [anon_sym_co_yield] = ACTIONS(3084),
    [anon_sym_R_DQUOTE] = ACTIONS(3086),
    [anon_sym_LR_DQUOTE] = ACTIONS(3086),
    [anon_sym_uR_DQUOTE] = ACTIONS(3086),
    [anon_sym_UR_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3086),
    [anon_sym_co_await] = ACTIONS(3084),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_requires] = ACTIONS(3084),
    [sym_this] = ACTIONS(3084),
  },
  [843] = {
    [sym_identifier] = ACTIONS(3036),
    [aux_sym_preproc_include_token1] = ACTIONS(3036),
    [aux_sym_preproc_def_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3036),
    [sym_preproc_directive] = ACTIONS(3036),
    [anon_sym_LPAREN2] = ACTIONS(3038),
    [anon_sym_BANG] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym___extension__] = ACTIONS(3036),
    [anon_sym_typedef] = ACTIONS(3036),
    [anon_sym_extern] = ACTIONS(3036),
    [anon_sym___attribute__] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3038),
    [anon_sym___declspec] = ACTIONS(3036),
    [anon_sym___based] = ACTIONS(3036),
    [anon_sym___cdecl] = ACTIONS(3036),
    [anon_sym___clrcall] = ACTIONS(3036),
    [anon_sym___stdcall] = ACTIONS(3036),
    [anon_sym___fastcall] = ACTIONS(3036),
    [anon_sym___thiscall] = ACTIONS(3036),
    [anon_sym___vectorcall] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_RBRACE] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3036),
    [anon_sym_unsigned] = ACTIONS(3036),
    [anon_sym_long] = ACTIONS(3036),
    [anon_sym_short] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3036),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_register] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym___inline] = ACTIONS(3036),
    [anon_sym___inline__] = ACTIONS(3036),
    [anon_sym___forceinline] = ACTIONS(3036),
    [anon_sym_thread_local] = ACTIONS(3036),
    [anon_sym___thread] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(3036),
    [anon_sym_restrict] = ACTIONS(3036),
    [anon_sym___restrict__] = ACTIONS(3036),
    [anon_sym__Atomic] = ACTIONS(3036),
    [anon_sym__Noreturn] = ACTIONS(3036),
    [anon_sym_noreturn] = ACTIONS(3036),
    [anon_sym_mutable] = ACTIONS(3036),
    [anon_sym_constinit] = ACTIONS(3036),
    [anon_sym_consteval] = ACTIONS(3036),
    [anon_sym_PROGMEM] = ACTIONS(3036),
    [aux_sym_primitive_type_token1] = ACTIONS(3036),
    [anon_sym_byte] = ACTIONS(3036),
    [anon_sym_word] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_struct] = ACTIONS(3036),
    [anon_sym_union] = ACTIONS(3036),
    [anon_sym_if] = ACTIONS(3036),
    [anon_sym_else] = ACTIONS(3036),
    [anon_sym_switch] = ACTIONS(3036),
    [anon_sym_case] = ACTIONS(3036),
    [anon_sym_default] = ACTIONS(3036),
    [anon_sym_while] = ACTIONS(3036),
    [anon_sym_do] = ACTIONS(3036),
    [anon_sym_for] = ACTIONS(3036),
    [anon_sym_return] = ACTIONS(3036),
    [anon_sym_break] = ACTIONS(3036),
    [anon_sym_continue] = ACTIONS(3036),
    [anon_sym_goto] = ACTIONS(3036),
    [anon_sym___try] = ACTIONS(3036),
    [anon_sym___leave] = ACTIONS(3036),
    [anon_sym_not] = ACTIONS(3036),
    [anon_sym_compl] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_sizeof] = ACTIONS(3036),
    [anon_sym___alignof__] = ACTIONS(3036),
    [anon_sym___alignof] = ACTIONS(3036),
    [anon_sym__alignof] = ACTIONS(3036),
    [anon_sym_alignof] = ACTIONS(3036),
    [anon_sym__Alignof] = ACTIONS(3036),
    [anon_sym_offsetof] = ACTIONS(3036),
    [anon_sym__Generic] = ACTIONS(3036),
    [anon_sym_asm] = ACTIONS(3036),
    [anon_sym___asm__] = ACTIONS(3036),
    [aux_sym_number_literal_token1] = ACTIONS(3038),
    [aux_sym_number_literal_token2] = ACTIONS(3036),
    [anon_sym_L_SQUOTE] = ACTIONS(3038),
    [anon_sym_u_SQUOTE] = ACTIONS(3038),
    [anon_sym_U_SQUOTE] = ACTIONS(3038),
    [anon_sym_u8_SQUOTE] = ACTIONS(3038),
    [anon_sym_SQUOTE] = ACTIONS(3038),
    [anon_sym_L_DQUOTE] = ACTIONS(3038),
    [anon_sym_u_DQUOTE] = ACTIONS(3038),
    [anon_sym_U_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8_DQUOTE] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3038),
    [sym_true] = ACTIONS(3036),
    [sym_false] = ACTIONS(3036),
    [anon_sym_NULL] = ACTIONS(3036),
    [anon_sym_nullptr] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3036),
    [anon_sym_decltype] = ACTIONS(3036),
    [anon_sym_virtual] = ACTIONS(3036),
    [anon_sym_alignas] = ACTIONS(3036),
    [anon_sym_explicit] = ACTIONS(3036),
    [anon_sym_typename] = ACTIONS(3036),
    [anon_sym_template] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_try] = ACTIONS(3036),
    [anon_sym_delete] = ACTIONS(3036),
    [anon_sym_throw] = ACTIONS(3036),
    [anon_sym_namespace] = ACTIONS(3036),
    [anon_sym_using] = ACTIONS(3036),
    [anon_sym_static_assert] = ACTIONS(3036),
    [anon_sym_concept] = ACTIONS(3036),
    [anon_sym_co_return] = ACTIONS(3036),
    [anon_sym_co_yield] = ACTIONS(3036),
    [anon_sym_R_DQUOTE] = ACTIONS(3038),
    [anon_sym_LR_DQUOTE] = ACTIONS(3038),
    [anon_sym_uR_DQUOTE] = ACTIONS(3038),
    [anon_sym_UR_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3038),
    [anon_sym_co_await] = ACTIONS(3036),
    [anon_sym_new] = ACTIONS(3036),
    [anon_sym_requires] = ACTIONS(3036),
    [sym_this] = ACTIONS(3036),
  },
  [844] = {
    [sym_identifier] = ACTIONS(2952),
    [aux_sym_preproc_include_token1] = ACTIONS(2952),
    [aux_sym_preproc_def_token1] = ACTIONS(2952),
    [aux_sym_preproc_if_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2952),
    [anon_sym_LPAREN2] = ACTIONS(2954),
    [anon_sym_BANG] = ACTIONS(2954),
    [anon_sym_TILDE] = ACTIONS(2954),
    [anon_sym_DASH] = ACTIONS(2952),
    [anon_sym_PLUS] = ACTIONS(2952),
    [anon_sym_STAR] = ACTIONS(2954),
    [anon_sym_AMP_AMP] = ACTIONS(2954),
    [anon_sym_AMP] = ACTIONS(2952),
    [anon_sym_SEMI] = ACTIONS(2954),
    [anon_sym___extension__] = ACTIONS(2952),
    [anon_sym_typedef] = ACTIONS(2952),
    [anon_sym_extern] = ACTIONS(2952),
    [anon_sym___attribute__] = ACTIONS(2952),
    [anon_sym_COLON_COLON] = ACTIONS(2954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2954),
    [anon_sym___declspec] = ACTIONS(2952),
    [anon_sym___based] = ACTIONS(2952),
    [anon_sym___cdecl] = ACTIONS(2952),
    [anon_sym___clrcall] = ACTIONS(2952),
    [anon_sym___stdcall] = ACTIONS(2952),
    [anon_sym___fastcall] = ACTIONS(2952),
    [anon_sym___thiscall] = ACTIONS(2952),
    [anon_sym___vectorcall] = ACTIONS(2952),
    [anon_sym_LBRACE] = ACTIONS(2954),
    [anon_sym_RBRACE] = ACTIONS(2954),
    [anon_sym_signed] = ACTIONS(2952),
    [anon_sym_unsigned] = ACTIONS(2952),
    [anon_sym_long] = ACTIONS(2952),
    [anon_sym_short] = ACTIONS(2952),
    [anon_sym_LBRACK] = ACTIONS(2952),
    [anon_sym_static] = ACTIONS(2952),
    [anon_sym_register] = ACTIONS(2952),
    [anon_sym_inline] = ACTIONS(2952),
    [anon_sym___inline] = ACTIONS(2952),
    [anon_sym___inline__] = ACTIONS(2952),
    [anon_sym___forceinline] = ACTIONS(2952),
    [anon_sym_thread_local] = ACTIONS(2952),
    [anon_sym___thread] = ACTIONS(2952),
    [anon_sym_const] = ACTIONS(2952),
    [anon_sym_constexpr] = ACTIONS(2952),
    [anon_sym_volatile] = ACTIONS(2952),
    [anon_sym_restrict] = ACTIONS(2952),
    [anon_sym___restrict__] = ACTIONS(2952),
    [anon_sym__Atomic] = ACTIONS(2952),
    [anon_sym__Noreturn] = ACTIONS(2952),
    [anon_sym_noreturn] = ACTIONS(2952),
    [anon_sym_mutable] = ACTIONS(2952),
    [anon_sym_constinit] = ACTIONS(2952),
    [anon_sym_consteval] = ACTIONS(2952),
    [anon_sym_PROGMEM] = ACTIONS(2952),
    [aux_sym_primitive_type_token1] = ACTIONS(2952),
    [anon_sym_byte] = ACTIONS(2952),
    [anon_sym_word] = ACTIONS(2952),
    [anon_sym_enum] = ACTIONS(2952),
    [anon_sym_class] = ACTIONS(2952),
    [anon_sym_struct] = ACTIONS(2952),
    [anon_sym_union] = ACTIONS(2952),
    [anon_sym_if] = ACTIONS(2952),
    [anon_sym_else] = ACTIONS(2952),
    [anon_sym_switch] = ACTIONS(2952),
    [anon_sym_case] = ACTIONS(2952),
    [anon_sym_default] = ACTIONS(2952),
    [anon_sym_while] = ACTIONS(2952),
    [anon_sym_do] = ACTIONS(2952),
    [anon_sym_for] = ACTIONS(2952),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_break] = ACTIONS(2952),
    [anon_sym_continue] = ACTIONS(2952),
    [anon_sym_goto] = ACTIONS(2952),
    [anon_sym___try] = ACTIONS(2952),
    [anon_sym___leave] = ACTIONS(2952),
    [anon_sym_not] = ACTIONS(2952),
    [anon_sym_compl] = ACTIONS(2952),
    [anon_sym_DASH_DASH] = ACTIONS(2954),
    [anon_sym_PLUS_PLUS] = ACTIONS(2954),
    [anon_sym_sizeof] = ACTIONS(2952),
    [anon_sym___alignof__] = ACTIONS(2952),
    [anon_sym___alignof] = ACTIONS(2952),
    [anon_sym__alignof] = ACTIONS(2952),
    [anon_sym_alignof] = ACTIONS(2952),
    [anon_sym__Alignof] = ACTIONS(2952),
    [anon_sym_offsetof] = ACTIONS(2952),
    [anon_sym__Generic] = ACTIONS(2952),
    [anon_sym_asm] = ACTIONS(2952),
    [anon_sym___asm__] = ACTIONS(2952),
    [aux_sym_number_literal_token1] = ACTIONS(2954),
    [aux_sym_number_literal_token2] = ACTIONS(2952),
    [anon_sym_L_SQUOTE] = ACTIONS(2954),
    [anon_sym_u_SQUOTE] = ACTIONS(2954),
    [anon_sym_U_SQUOTE] = ACTIONS(2954),
    [anon_sym_u8_SQUOTE] = ACTIONS(2954),
    [anon_sym_SQUOTE] = ACTIONS(2954),
    [anon_sym_L_DQUOTE] = ACTIONS(2954),
    [anon_sym_u_DQUOTE] = ACTIONS(2954),
    [anon_sym_U_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8_DQUOTE] = ACTIONS(2954),
    [anon_sym_DQUOTE] = ACTIONS(2954),
    [sym_true] = ACTIONS(2952),
    [sym_false] = ACTIONS(2952),
    [anon_sym_NULL] = ACTIONS(2952),
    [anon_sym_nullptr] = ACTIONS(2952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2952),
    [anon_sym_decltype] = ACTIONS(2952),
    [anon_sym_virtual] = ACTIONS(2952),
    [anon_sym_alignas] = ACTIONS(2952),
    [anon_sym_explicit] = ACTIONS(2952),
    [anon_sym_typename] = ACTIONS(2952),
    [anon_sym_template] = ACTIONS(2952),
    [anon_sym_operator] = ACTIONS(2952),
    [anon_sym_try] = ACTIONS(2952),
    [anon_sym_delete] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2952),
    [anon_sym_namespace] = ACTIONS(2952),
    [anon_sym_using] = ACTIONS(2952),
    [anon_sym_static_assert] = ACTIONS(2952),
    [anon_sym_concept] = ACTIONS(2952),
    [anon_sym_co_return] = ACTIONS(2952),
    [anon_sym_co_yield] = ACTIONS(2952),
    [anon_sym_R_DQUOTE] = ACTIONS(2954),
    [anon_sym_LR_DQUOTE] = ACTIONS(2954),
    [anon_sym_uR_DQUOTE] = ACTIONS(2954),
    [anon_sym_UR_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2954),
    [anon_sym_co_await] = ACTIONS(2952),
    [anon_sym_new] = ACTIONS(2952),
    [anon_sym_requires] = ACTIONS(2952),
    [sym_this] = ACTIONS(2952),
  },
  [845] = {
    [sym_identifier] = ACTIONS(3080),
    [aux_sym_preproc_include_token1] = ACTIONS(3080),
    [aux_sym_preproc_def_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3080),
    [sym_preproc_directive] = ACTIONS(3080),
    [anon_sym_LPAREN2] = ACTIONS(3082),
    [anon_sym_BANG] = ACTIONS(3082),
    [anon_sym_TILDE] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym___extension__] = ACTIONS(3080),
    [anon_sym_typedef] = ACTIONS(3080),
    [anon_sym_extern] = ACTIONS(3080),
    [anon_sym___attribute__] = ACTIONS(3080),
    [anon_sym_COLON_COLON] = ACTIONS(3082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3082),
    [anon_sym___declspec] = ACTIONS(3080),
    [anon_sym___based] = ACTIONS(3080),
    [anon_sym___cdecl] = ACTIONS(3080),
    [anon_sym___clrcall] = ACTIONS(3080),
    [anon_sym___stdcall] = ACTIONS(3080),
    [anon_sym___fastcall] = ACTIONS(3080),
    [anon_sym___thiscall] = ACTIONS(3080),
    [anon_sym___vectorcall] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3082),
    [anon_sym_RBRACE] = ACTIONS(3082),
    [anon_sym_signed] = ACTIONS(3080),
    [anon_sym_unsigned] = ACTIONS(3080),
    [anon_sym_long] = ACTIONS(3080),
    [anon_sym_short] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_register] = ACTIONS(3080),
    [anon_sym_inline] = ACTIONS(3080),
    [anon_sym___inline] = ACTIONS(3080),
    [anon_sym___inline__] = ACTIONS(3080),
    [anon_sym___forceinline] = ACTIONS(3080),
    [anon_sym_thread_local] = ACTIONS(3080),
    [anon_sym___thread] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_constexpr] = ACTIONS(3080),
    [anon_sym_volatile] = ACTIONS(3080),
    [anon_sym_restrict] = ACTIONS(3080),
    [anon_sym___restrict__] = ACTIONS(3080),
    [anon_sym__Atomic] = ACTIONS(3080),
    [anon_sym__Noreturn] = ACTIONS(3080),
    [anon_sym_noreturn] = ACTIONS(3080),
    [anon_sym_mutable] = ACTIONS(3080),
    [anon_sym_constinit] = ACTIONS(3080),
    [anon_sym_consteval] = ACTIONS(3080),
    [anon_sym_PROGMEM] = ACTIONS(3080),
    [aux_sym_primitive_type_token1] = ACTIONS(3080),
    [anon_sym_byte] = ACTIONS(3080),
    [anon_sym_word] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_struct] = ACTIONS(3080),
    [anon_sym_union] = ACTIONS(3080),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_else] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_case] = ACTIONS(3080),
    [anon_sym_default] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_goto] = ACTIONS(3080),
    [anon_sym___try] = ACTIONS(3080),
    [anon_sym___leave] = ACTIONS(3080),
    [anon_sym_not] = ACTIONS(3080),
    [anon_sym_compl] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3082),
    [anon_sym_sizeof] = ACTIONS(3080),
    [anon_sym___alignof__] = ACTIONS(3080),
    [anon_sym___alignof] = ACTIONS(3080),
    [anon_sym__alignof] = ACTIONS(3080),
    [anon_sym_alignof] = ACTIONS(3080),
    [anon_sym__Alignof] = ACTIONS(3080),
    [anon_sym_offsetof] = ACTIONS(3080),
    [anon_sym__Generic] = ACTIONS(3080),
    [anon_sym_asm] = ACTIONS(3080),
    [anon_sym___asm__] = ACTIONS(3080),
    [aux_sym_number_literal_token1] = ACTIONS(3082),
    [aux_sym_number_literal_token2] = ACTIONS(3080),
    [anon_sym_L_SQUOTE] = ACTIONS(3082),
    [anon_sym_u_SQUOTE] = ACTIONS(3082),
    [anon_sym_U_SQUOTE] = ACTIONS(3082),
    [anon_sym_u8_SQUOTE] = ACTIONS(3082),
    [anon_sym_SQUOTE] = ACTIONS(3082),
    [anon_sym_L_DQUOTE] = ACTIONS(3082),
    [anon_sym_u_DQUOTE] = ACTIONS(3082),
    [anon_sym_U_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8_DQUOTE] = ACTIONS(3082),
    [anon_sym_DQUOTE] = ACTIONS(3082),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [anon_sym_NULL] = ACTIONS(3080),
    [anon_sym_nullptr] = ACTIONS(3080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3080),
    [anon_sym_decltype] = ACTIONS(3080),
    [anon_sym_virtual] = ACTIONS(3080),
    [anon_sym_alignas] = ACTIONS(3080),
    [anon_sym_explicit] = ACTIONS(3080),
    [anon_sym_typename] = ACTIONS(3080),
    [anon_sym_template] = ACTIONS(3080),
    [anon_sym_operator] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_static_assert] = ACTIONS(3080),
    [anon_sym_concept] = ACTIONS(3080),
    [anon_sym_co_return] = ACTIONS(3080),
    [anon_sym_co_yield] = ACTIONS(3080),
    [anon_sym_R_DQUOTE] = ACTIONS(3082),
    [anon_sym_LR_DQUOTE] = ACTIONS(3082),
    [anon_sym_uR_DQUOTE] = ACTIONS(3082),
    [anon_sym_UR_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3082),
    [anon_sym_co_await] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_requires] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
  },
  [846] = {
    [ts_builtin_sym_end] = ACTIONS(3092),
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [847] = {
    [ts_builtin_sym_end] = ACTIONS(3038),
    [sym_identifier] = ACTIONS(3036),
    [aux_sym_preproc_include_token1] = ACTIONS(3036),
    [aux_sym_preproc_def_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3036),
    [sym_preproc_directive] = ACTIONS(3036),
    [anon_sym_LPAREN2] = ACTIONS(3038),
    [anon_sym_BANG] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym___extension__] = ACTIONS(3036),
    [anon_sym_typedef] = ACTIONS(3036),
    [anon_sym_extern] = ACTIONS(3036),
    [anon_sym___attribute__] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3038),
    [anon_sym___declspec] = ACTIONS(3036),
    [anon_sym___based] = ACTIONS(3036),
    [anon_sym___cdecl] = ACTIONS(3036),
    [anon_sym___clrcall] = ACTIONS(3036),
    [anon_sym___stdcall] = ACTIONS(3036),
    [anon_sym___fastcall] = ACTIONS(3036),
    [anon_sym___thiscall] = ACTIONS(3036),
    [anon_sym___vectorcall] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3036),
    [anon_sym_unsigned] = ACTIONS(3036),
    [anon_sym_long] = ACTIONS(3036),
    [anon_sym_short] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3036),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_register] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym___inline] = ACTIONS(3036),
    [anon_sym___inline__] = ACTIONS(3036),
    [anon_sym___forceinline] = ACTIONS(3036),
    [anon_sym_thread_local] = ACTIONS(3036),
    [anon_sym___thread] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(3036),
    [anon_sym_restrict] = ACTIONS(3036),
    [anon_sym___restrict__] = ACTIONS(3036),
    [anon_sym__Atomic] = ACTIONS(3036),
    [anon_sym__Noreturn] = ACTIONS(3036),
    [anon_sym_noreturn] = ACTIONS(3036),
    [anon_sym_mutable] = ACTIONS(3036),
    [anon_sym_constinit] = ACTIONS(3036),
    [anon_sym_consteval] = ACTIONS(3036),
    [anon_sym_PROGMEM] = ACTIONS(3036),
    [aux_sym_primitive_type_token1] = ACTIONS(3036),
    [anon_sym_byte] = ACTIONS(3036),
    [anon_sym_word] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_struct] = ACTIONS(3036),
    [anon_sym_union] = ACTIONS(3036),
    [anon_sym_if] = ACTIONS(3036),
    [anon_sym_else] = ACTIONS(3036),
    [anon_sym_switch] = ACTIONS(3036),
    [anon_sym_case] = ACTIONS(3036),
    [anon_sym_default] = ACTIONS(3036),
    [anon_sym_while] = ACTIONS(3036),
    [anon_sym_do] = ACTIONS(3036),
    [anon_sym_for] = ACTIONS(3036),
    [anon_sym_return] = ACTIONS(3036),
    [anon_sym_break] = ACTIONS(3036),
    [anon_sym_continue] = ACTIONS(3036),
    [anon_sym_goto] = ACTIONS(3036),
    [anon_sym___try] = ACTIONS(3036),
    [anon_sym___leave] = ACTIONS(3036),
    [anon_sym_not] = ACTIONS(3036),
    [anon_sym_compl] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_sizeof] = ACTIONS(3036),
    [anon_sym___alignof__] = ACTIONS(3036),
    [anon_sym___alignof] = ACTIONS(3036),
    [anon_sym__alignof] = ACTIONS(3036),
    [anon_sym_alignof] = ACTIONS(3036),
    [anon_sym__Alignof] = ACTIONS(3036),
    [anon_sym_offsetof] = ACTIONS(3036),
    [anon_sym__Generic] = ACTIONS(3036),
    [anon_sym_asm] = ACTIONS(3036),
    [anon_sym___asm__] = ACTIONS(3036),
    [aux_sym_number_literal_token1] = ACTIONS(3038),
    [aux_sym_number_literal_token2] = ACTIONS(3036),
    [anon_sym_L_SQUOTE] = ACTIONS(3038),
    [anon_sym_u_SQUOTE] = ACTIONS(3038),
    [anon_sym_U_SQUOTE] = ACTIONS(3038),
    [anon_sym_u8_SQUOTE] = ACTIONS(3038),
    [anon_sym_SQUOTE] = ACTIONS(3038),
    [anon_sym_L_DQUOTE] = ACTIONS(3038),
    [anon_sym_u_DQUOTE] = ACTIONS(3038),
    [anon_sym_U_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8_DQUOTE] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3038),
    [sym_true] = ACTIONS(3036),
    [sym_false] = ACTIONS(3036),
    [anon_sym_NULL] = ACTIONS(3036),
    [anon_sym_nullptr] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3036),
    [anon_sym_decltype] = ACTIONS(3036),
    [anon_sym_virtual] = ACTIONS(3036),
    [anon_sym_alignas] = ACTIONS(3036),
    [anon_sym_explicit] = ACTIONS(3036),
    [anon_sym_typename] = ACTIONS(3036),
    [anon_sym_template] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_try] = ACTIONS(3036),
    [anon_sym_delete] = ACTIONS(3036),
    [anon_sym_throw] = ACTIONS(3036),
    [anon_sym_namespace] = ACTIONS(3036),
    [anon_sym_using] = ACTIONS(3036),
    [anon_sym_static_assert] = ACTIONS(3036),
    [anon_sym_concept] = ACTIONS(3036),
    [anon_sym_co_return] = ACTIONS(3036),
    [anon_sym_co_yield] = ACTIONS(3036),
    [anon_sym_R_DQUOTE] = ACTIONS(3038),
    [anon_sym_LR_DQUOTE] = ACTIONS(3038),
    [anon_sym_uR_DQUOTE] = ACTIONS(3038),
    [anon_sym_UR_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3038),
    [anon_sym_co_await] = ACTIONS(3036),
    [anon_sym_new] = ACTIONS(3036),
    [anon_sym_requires] = ACTIONS(3036),
    [sym_this] = ACTIONS(3036),
  },
  [848] = {
    [ts_builtin_sym_end] = ACTIONS(3092),
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [849] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_include_token1] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym___cdecl] = ACTIONS(3076),
    [anon_sym___clrcall] = ACTIONS(3076),
    [anon_sym___stdcall] = ACTIONS(3076),
    [anon_sym___fastcall] = ACTIONS(3076),
    [anon_sym___thiscall] = ACTIONS(3076),
    [anon_sym___vectorcall] = ACTIONS(3076),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_RBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3076),
    [anon_sym_else] = ACTIONS(3076),
    [anon_sym_switch] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_default] = ACTIONS(3076),
    [anon_sym_while] = ACTIONS(3076),
    [anon_sym_do] = ACTIONS(3076),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_return] = ACTIONS(3076),
    [anon_sym_break] = ACTIONS(3076),
    [anon_sym_continue] = ACTIONS(3076),
    [anon_sym_goto] = ACTIONS(3076),
    [anon_sym___try] = ACTIONS(3076),
    [anon_sym___leave] = ACTIONS(3076),
    [anon_sym_not] = ACTIONS(3076),
    [anon_sym_compl] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_sizeof] = ACTIONS(3076),
    [anon_sym___alignof__] = ACTIONS(3076),
    [anon_sym___alignof] = ACTIONS(3076),
    [anon_sym__alignof] = ACTIONS(3076),
    [anon_sym_alignof] = ACTIONS(3076),
    [anon_sym__Alignof] = ACTIONS(3076),
    [anon_sym_offsetof] = ACTIONS(3076),
    [anon_sym__Generic] = ACTIONS(3076),
    [anon_sym_asm] = ACTIONS(3076),
    [anon_sym___asm__] = ACTIONS(3076),
    [aux_sym_number_literal_token1] = ACTIONS(3078),
    [aux_sym_number_literal_token2] = ACTIONS(3076),
    [anon_sym_L_SQUOTE] = ACTIONS(3078),
    [anon_sym_u_SQUOTE] = ACTIONS(3078),
    [anon_sym_U_SQUOTE] = ACTIONS(3078),
    [anon_sym_u8_SQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_L_DQUOTE] = ACTIONS(3078),
    [anon_sym_u_DQUOTE] = ACTIONS(3078),
    [anon_sym_U_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [sym_true] = ACTIONS(3076),
    [sym_false] = ACTIONS(3076),
    [anon_sym_NULL] = ACTIONS(3076),
    [anon_sym_nullptr] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_try] = ACTIONS(3076),
    [anon_sym_delete] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3076),
    [anon_sym_namespace] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
    [anon_sym_concept] = ACTIONS(3076),
    [anon_sym_co_return] = ACTIONS(3076),
    [anon_sym_co_yield] = ACTIONS(3076),
    [anon_sym_R_DQUOTE] = ACTIONS(3078),
    [anon_sym_LR_DQUOTE] = ACTIONS(3078),
    [anon_sym_uR_DQUOTE] = ACTIONS(3078),
    [anon_sym_UR_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3078),
    [anon_sym_co_await] = ACTIONS(3076),
    [anon_sym_new] = ACTIONS(3076),
    [anon_sym_requires] = ACTIONS(3076),
    [sym_this] = ACTIONS(3076),
  },
  [850] = {
    [ts_builtin_sym_end] = ACTIONS(3092),
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [851] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_include_token1] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym___cdecl] = ACTIONS(3076),
    [anon_sym___clrcall] = ACTIONS(3076),
    [anon_sym___stdcall] = ACTIONS(3076),
    [anon_sym___fastcall] = ACTIONS(3076),
    [anon_sym___thiscall] = ACTIONS(3076),
    [anon_sym___vectorcall] = ACTIONS(3076),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_RBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3076),
    [anon_sym_else] = ACTIONS(3076),
    [anon_sym_switch] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_default] = ACTIONS(3076),
    [anon_sym_while] = ACTIONS(3076),
    [anon_sym_do] = ACTIONS(3076),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_return] = ACTIONS(3076),
    [anon_sym_break] = ACTIONS(3076),
    [anon_sym_continue] = ACTIONS(3076),
    [anon_sym_goto] = ACTIONS(3076),
    [anon_sym___try] = ACTIONS(3076),
    [anon_sym___leave] = ACTIONS(3076),
    [anon_sym_not] = ACTIONS(3076),
    [anon_sym_compl] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_sizeof] = ACTIONS(3076),
    [anon_sym___alignof__] = ACTIONS(3076),
    [anon_sym___alignof] = ACTIONS(3076),
    [anon_sym__alignof] = ACTIONS(3076),
    [anon_sym_alignof] = ACTIONS(3076),
    [anon_sym__Alignof] = ACTIONS(3076),
    [anon_sym_offsetof] = ACTIONS(3076),
    [anon_sym__Generic] = ACTIONS(3076),
    [anon_sym_asm] = ACTIONS(3076),
    [anon_sym___asm__] = ACTIONS(3076),
    [aux_sym_number_literal_token1] = ACTIONS(3078),
    [aux_sym_number_literal_token2] = ACTIONS(3076),
    [anon_sym_L_SQUOTE] = ACTIONS(3078),
    [anon_sym_u_SQUOTE] = ACTIONS(3078),
    [anon_sym_U_SQUOTE] = ACTIONS(3078),
    [anon_sym_u8_SQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_L_DQUOTE] = ACTIONS(3078),
    [anon_sym_u_DQUOTE] = ACTIONS(3078),
    [anon_sym_U_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [sym_true] = ACTIONS(3076),
    [sym_false] = ACTIONS(3076),
    [anon_sym_NULL] = ACTIONS(3076),
    [anon_sym_nullptr] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_try] = ACTIONS(3076),
    [anon_sym_delete] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3076),
    [anon_sym_namespace] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
    [anon_sym_concept] = ACTIONS(3076),
    [anon_sym_co_return] = ACTIONS(3076),
    [anon_sym_co_yield] = ACTIONS(3076),
    [anon_sym_R_DQUOTE] = ACTIONS(3078),
    [anon_sym_LR_DQUOTE] = ACTIONS(3078),
    [anon_sym_uR_DQUOTE] = ACTIONS(3078),
    [anon_sym_UR_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3078),
    [anon_sym_co_await] = ACTIONS(3076),
    [anon_sym_new] = ACTIONS(3076),
    [anon_sym_requires] = ACTIONS(3076),
    [sym_this] = ACTIONS(3076),
  },
  [852] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [853] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [854] = {
    [ts_builtin_sym_end] = ACTIONS(3092),
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [855] = {
    [sym_identifier] = ACTIONS(3090),
    [aux_sym_preproc_include_token1] = ACTIONS(3090),
    [aux_sym_preproc_def_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token1] = ACTIONS(3090),
    [aux_sym_preproc_if_token2] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym___based] = ACTIONS(3090),
    [anon_sym___cdecl] = ACTIONS(3090),
    [anon_sym___clrcall] = ACTIONS(3090),
    [anon_sym___stdcall] = ACTIONS(3090),
    [anon_sym___fastcall] = ACTIONS(3090),
    [anon_sym___thiscall] = ACTIONS(3090),
    [anon_sym___vectorcall] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_case] = ACTIONS(3090),
    [anon_sym_default] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_explicit] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_namespace] = ACTIONS(3090),
    [anon_sym_using] = ACTIONS(3090),
    [anon_sym_static_assert] = ACTIONS(3090),
    [anon_sym_concept] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [856] = {
    [sym_identifier] = ACTIONS(2261),
    [aux_sym_preproc_include_token1] = ACTIONS(2261),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [anon_sym_COMMA] = ACTIONS(3026),
    [aux_sym_preproc_if_token1] = ACTIONS(2261),
    [aux_sym_preproc_if_token2] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2261),
    [anon_sym_LPAREN2] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2261),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym___extension__] = ACTIONS(2261),
    [anon_sym_typedef] = ACTIONS(2261),
    [anon_sym_extern] = ACTIONS(2261),
    [anon_sym___attribute__] = ACTIONS(2261),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2259),
    [anon_sym___declspec] = ACTIONS(2261),
    [anon_sym___based] = ACTIONS(2261),
    [anon_sym___cdecl] = ACTIONS(2261),
    [anon_sym___clrcall] = ACTIONS(2261),
    [anon_sym___stdcall] = ACTIONS(2261),
    [anon_sym___fastcall] = ACTIONS(2261),
    [anon_sym___thiscall] = ACTIONS(2261),
    [anon_sym___vectorcall] = ACTIONS(2261),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_signed] = ACTIONS(2261),
    [anon_sym_unsigned] = ACTIONS(2261),
    [anon_sym_long] = ACTIONS(2261),
    [anon_sym_short] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_register] = ACTIONS(2261),
    [anon_sym_inline] = ACTIONS(2261),
    [anon_sym___inline] = ACTIONS(2261),
    [anon_sym___inline__] = ACTIONS(2261),
    [anon_sym___forceinline] = ACTIONS(2261),
    [anon_sym_thread_local] = ACTIONS(2261),
    [anon_sym___thread] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_constexpr] = ACTIONS(2261),
    [anon_sym_volatile] = ACTIONS(2261),
    [anon_sym_restrict] = ACTIONS(2261),
    [anon_sym___restrict__] = ACTIONS(2261),
    [anon_sym__Atomic] = ACTIONS(2261),
    [anon_sym__Noreturn] = ACTIONS(2261),
    [anon_sym_noreturn] = ACTIONS(2261),
    [anon_sym_mutable] = ACTIONS(2261),
    [anon_sym_constinit] = ACTIONS(2261),
    [anon_sym_consteval] = ACTIONS(2261),
    [anon_sym_PROGMEM] = ACTIONS(2261),
    [aux_sym_primitive_type_token1] = ACTIONS(2261),
    [anon_sym_byte] = ACTIONS(2261),
    [anon_sym_word] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_struct] = ACTIONS(2261),
    [anon_sym_union] = ACTIONS(2261),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_switch] = ACTIONS(2261),
    [anon_sym_case] = ACTIONS(2261),
    [anon_sym_default] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2261),
    [anon_sym_do] = ACTIONS(2261),
    [anon_sym_for] = ACTIONS(2261),
    [anon_sym_return] = ACTIONS(2261),
    [anon_sym_break] = ACTIONS(2261),
    [anon_sym_continue] = ACTIONS(2261),
    [anon_sym_goto] = ACTIONS(2261),
    [anon_sym___try] = ACTIONS(2261),
    [anon_sym___leave] = ACTIONS(2261),
    [anon_sym_not] = ACTIONS(2261),
    [anon_sym_compl] = ACTIONS(2261),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_sizeof] = ACTIONS(2261),
    [anon_sym___alignof__] = ACTIONS(2261),
    [anon_sym___alignof] = ACTIONS(2261),
    [anon_sym__alignof] = ACTIONS(2261),
    [anon_sym_alignof] = ACTIONS(2261),
    [anon_sym__Alignof] = ACTIONS(2261),
    [anon_sym_offsetof] = ACTIONS(2261),
    [anon_sym__Generic] = ACTIONS(2261),
    [anon_sym_asm] = ACTIONS(2261),
    [anon_sym___asm__] = ACTIONS(2261),
    [aux_sym_number_literal_token1] = ACTIONS(2259),
    [aux_sym_number_literal_token2] = ACTIONS(2261),
    [anon_sym_L_SQUOTE] = ACTIONS(2259),
    [anon_sym_u_SQUOTE] = ACTIONS(2259),
    [anon_sym_U_SQUOTE] = ACTIONS(2259),
    [anon_sym_u8_SQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [anon_sym_L_DQUOTE] = ACTIONS(2259),
    [anon_sym_u_DQUOTE] = ACTIONS(2259),
    [anon_sym_U_DQUOTE] = ACTIONS(2259),
    [anon_sym_u8_DQUOTE] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [sym_true] = ACTIONS(2261),
    [sym_false] = ACTIONS(2261),
    [anon_sym_NULL] = ACTIONS(2261),
    [anon_sym_nullptr] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2261),
    [anon_sym_decltype] = ACTIONS(2261),
    [anon_sym_virtual] = ACTIONS(2261),
    [anon_sym_alignas] = ACTIONS(2261),
    [anon_sym_explicit] = ACTIONS(2261),
    [anon_sym_typename] = ACTIONS(2261),
    [anon_sym_template] = ACTIONS(2261),
    [anon_sym_operator] = ACTIONS(2261),
    [anon_sym_try] = ACTIONS(2261),
    [anon_sym_delete] = ACTIONS(2261),
    [anon_sym_throw] = ACTIONS(2261),
    [anon_sym_namespace] = ACTIONS(2261),
    [anon_sym_using] = ACTIONS(2261),
    [anon_sym_static_assert] = ACTIONS(2261),
    [anon_sym_concept] = ACTIONS(2261),
    [anon_sym_co_return] = ACTIONS(2261),
    [anon_sym_co_yield] = ACTIONS(2261),
    [anon_sym_R_DQUOTE] = ACTIONS(2259),
    [anon_sym_LR_DQUOTE] = ACTIONS(2259),
    [anon_sym_uR_DQUOTE] = ACTIONS(2259),
    [anon_sym_UR_DQUOTE] = ACTIONS(2259),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2259),
    [anon_sym_co_await] = ACTIONS(2261),
    [anon_sym_new] = ACTIONS(2261),
    [anon_sym_requires] = ACTIONS(2261),
    [sym_this] = ACTIONS(2261),
  },
  [857] = {
    [sym_identifier] = ACTIONS(3447),
    [aux_sym_preproc_include_token1] = ACTIONS(3447),
    [aux_sym_preproc_def_token1] = ACTIONS(3447),
    [aux_sym_preproc_if_token1] = ACTIONS(3447),
    [aux_sym_preproc_if_token2] = ACTIONS(3447),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3447),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3447),
    [sym_preproc_directive] = ACTIONS(3447),
    [anon_sym_LPAREN2] = ACTIONS(3449),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(3449),
    [anon_sym_AMP_AMP] = ACTIONS(3449),
    [anon_sym_AMP] = ACTIONS(3447),
    [anon_sym_SEMI] = ACTIONS(3449),
    [anon_sym___extension__] = ACTIONS(3447),
    [anon_sym_typedef] = ACTIONS(3447),
    [anon_sym_extern] = ACTIONS(3447),
    [anon_sym___attribute__] = ACTIONS(3447),
    [anon_sym_COLON_COLON] = ACTIONS(3449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3449),
    [anon_sym___declspec] = ACTIONS(3447),
    [anon_sym___based] = ACTIONS(3447),
    [anon_sym___cdecl] = ACTIONS(3447),
    [anon_sym___clrcall] = ACTIONS(3447),
    [anon_sym___stdcall] = ACTIONS(3447),
    [anon_sym___fastcall] = ACTIONS(3447),
    [anon_sym___thiscall] = ACTIONS(3447),
    [anon_sym___vectorcall] = ACTIONS(3447),
    [anon_sym_LBRACE] = ACTIONS(3449),
    [anon_sym_signed] = ACTIONS(3447),
    [anon_sym_unsigned] = ACTIONS(3447),
    [anon_sym_long] = ACTIONS(3447),
    [anon_sym_short] = ACTIONS(3447),
    [anon_sym_LBRACK] = ACTIONS(3447),
    [anon_sym_static] = ACTIONS(3447),
    [anon_sym_register] = ACTIONS(3447),
    [anon_sym_inline] = ACTIONS(3447),
    [anon_sym___inline] = ACTIONS(3447),
    [anon_sym___inline__] = ACTIONS(3447),
    [anon_sym___forceinline] = ACTIONS(3447),
    [anon_sym_thread_local] = ACTIONS(3447),
    [anon_sym___thread] = ACTIONS(3447),
    [anon_sym_const] = ACTIONS(3447),
    [anon_sym_constexpr] = ACTIONS(3447),
    [anon_sym_volatile] = ACTIONS(3447),
    [anon_sym_restrict] = ACTIONS(3447),
    [anon_sym___restrict__] = ACTIONS(3447),
    [anon_sym__Atomic] = ACTIONS(3447),
    [anon_sym__Noreturn] = ACTIONS(3447),
    [anon_sym_noreturn] = ACTIONS(3447),
    [anon_sym_mutable] = ACTIONS(3447),
    [anon_sym_constinit] = ACTIONS(3447),
    [anon_sym_consteval] = ACTIONS(3447),
    [anon_sym_PROGMEM] = ACTIONS(3447),
    [aux_sym_primitive_type_token1] = ACTIONS(3447),
    [anon_sym_byte] = ACTIONS(3447),
    [anon_sym_word] = ACTIONS(3447),
    [anon_sym_enum] = ACTIONS(3447),
    [anon_sym_class] = ACTIONS(3447),
    [anon_sym_struct] = ACTIONS(3447),
    [anon_sym_union] = ACTIONS(3447),
    [anon_sym_if] = ACTIONS(3447),
    [anon_sym_switch] = ACTIONS(3447),
    [anon_sym_case] = ACTIONS(3447),
    [anon_sym_default] = ACTIONS(3447),
    [anon_sym_while] = ACTIONS(3447),
    [anon_sym_do] = ACTIONS(3447),
    [anon_sym_for] = ACTIONS(3447),
    [anon_sym_return] = ACTIONS(3447),
    [anon_sym_break] = ACTIONS(3447),
    [anon_sym_continue] = ACTIONS(3447),
    [anon_sym_goto] = ACTIONS(3447),
    [anon_sym___try] = ACTIONS(3447),
    [anon_sym___leave] = ACTIONS(3447),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(3449),
    [anon_sym_PLUS_PLUS] = ACTIONS(3449),
    [anon_sym_sizeof] = ACTIONS(3447),
    [anon_sym___alignof__] = ACTIONS(3447),
    [anon_sym___alignof] = ACTIONS(3447),
    [anon_sym__alignof] = ACTIONS(3447),
    [anon_sym_alignof] = ACTIONS(3447),
    [anon_sym__Alignof] = ACTIONS(3447),
    [anon_sym_offsetof] = ACTIONS(3447),
    [anon_sym__Generic] = ACTIONS(3447),
    [anon_sym_asm] = ACTIONS(3447),
    [anon_sym___asm__] = ACTIONS(3447),
    [aux_sym_number_literal_token1] = ACTIONS(3449),
    [aux_sym_number_literal_token2] = ACTIONS(3447),
    [anon_sym_L_SQUOTE] = ACTIONS(3449),
    [anon_sym_u_SQUOTE] = ACTIONS(3449),
    [anon_sym_U_SQUOTE] = ACTIONS(3449),
    [anon_sym_u8_SQUOTE] = ACTIONS(3449),
    [anon_sym_SQUOTE] = ACTIONS(3449),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3447),
    [sym_false] = ACTIONS(3447),
    [anon_sym_NULL] = ACTIONS(3447),
    [anon_sym_nullptr] = ACTIONS(3447),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3447),
    [anon_sym_decltype] = ACTIONS(3447),
    [anon_sym_virtual] = ACTIONS(3447),
    [anon_sym_alignas] = ACTIONS(3447),
    [anon_sym_explicit] = ACTIONS(3447),
    [anon_sym_typename] = ACTIONS(3447),
    [anon_sym_template] = ACTIONS(3447),
    [anon_sym_operator] = ACTIONS(3447),
    [anon_sym_try] = ACTIONS(3447),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_throw] = ACTIONS(3447),
    [anon_sym_namespace] = ACTIONS(3447),
    [anon_sym_using] = ACTIONS(3447),
    [anon_sym_static_assert] = ACTIONS(3447),
    [anon_sym_concept] = ACTIONS(3447),
    [anon_sym_co_return] = ACTIONS(3447),
    [anon_sym_co_yield] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3447),
    [anon_sym_new] = ACTIONS(3447),
    [anon_sym_requires] = ACTIONS(3447),
    [sym_this] = ACTIONS(3447),
  },
  [858] = {
    [sym_identifier] = ACTIONS(3439),
    [aux_sym_preproc_include_token1] = ACTIONS(3439),
    [aux_sym_preproc_def_token1] = ACTIONS(3439),
    [aux_sym_preproc_if_token1] = ACTIONS(3439),
    [aux_sym_preproc_if_token2] = ACTIONS(3439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3439),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3439),
    [sym_preproc_directive] = ACTIONS(3439),
    [anon_sym_LPAREN2] = ACTIONS(3441),
    [anon_sym_BANG] = ACTIONS(3441),
    [anon_sym_TILDE] = ACTIONS(3441),
    [anon_sym_DASH] = ACTIONS(3439),
    [anon_sym_PLUS] = ACTIONS(3439),
    [anon_sym_STAR] = ACTIONS(3441),
    [anon_sym_AMP_AMP] = ACTIONS(3441),
    [anon_sym_AMP] = ACTIONS(3439),
    [anon_sym_SEMI] = ACTIONS(3441),
    [anon_sym___extension__] = ACTIONS(3439),
    [anon_sym_typedef] = ACTIONS(3439),
    [anon_sym_extern] = ACTIONS(3439),
    [anon_sym___attribute__] = ACTIONS(3439),
    [anon_sym_COLON_COLON] = ACTIONS(3441),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3441),
    [anon_sym___declspec] = ACTIONS(3439),
    [anon_sym___based] = ACTIONS(3439),
    [anon_sym___cdecl] = ACTIONS(3439),
    [anon_sym___clrcall] = ACTIONS(3439),
    [anon_sym___stdcall] = ACTIONS(3439),
    [anon_sym___fastcall] = ACTIONS(3439),
    [anon_sym___thiscall] = ACTIONS(3439),
    [anon_sym___vectorcall] = ACTIONS(3439),
    [anon_sym_LBRACE] = ACTIONS(3441),
    [anon_sym_signed] = ACTIONS(3439),
    [anon_sym_unsigned] = ACTIONS(3439),
    [anon_sym_long] = ACTIONS(3439),
    [anon_sym_short] = ACTIONS(3439),
    [anon_sym_LBRACK] = ACTIONS(3439),
    [anon_sym_static] = ACTIONS(3439),
    [anon_sym_register] = ACTIONS(3439),
    [anon_sym_inline] = ACTIONS(3439),
    [anon_sym___inline] = ACTIONS(3439),
    [anon_sym___inline__] = ACTIONS(3439),
    [anon_sym___forceinline] = ACTIONS(3439),
    [anon_sym_thread_local] = ACTIONS(3439),
    [anon_sym___thread] = ACTIONS(3439),
    [anon_sym_const] = ACTIONS(3439),
    [anon_sym_constexpr] = ACTIONS(3439),
    [anon_sym_volatile] = ACTIONS(3439),
    [anon_sym_restrict] = ACTIONS(3439),
    [anon_sym___restrict__] = ACTIONS(3439),
    [anon_sym__Atomic] = ACTIONS(3439),
    [anon_sym__Noreturn] = ACTIONS(3439),
    [anon_sym_noreturn] = ACTIONS(3439),
    [anon_sym_mutable] = ACTIONS(3439),
    [anon_sym_constinit] = ACTIONS(3439),
    [anon_sym_consteval] = ACTIONS(3439),
    [anon_sym_PROGMEM] = ACTIONS(3439),
    [aux_sym_primitive_type_token1] = ACTIONS(3439),
    [anon_sym_byte] = ACTIONS(3439),
    [anon_sym_word] = ACTIONS(3439),
    [anon_sym_enum] = ACTIONS(3439),
    [anon_sym_class] = ACTIONS(3439),
    [anon_sym_struct] = ACTIONS(3439),
    [anon_sym_union] = ACTIONS(3439),
    [anon_sym_if] = ACTIONS(3439),
    [anon_sym_switch] = ACTIONS(3439),
    [anon_sym_case] = ACTIONS(3439),
    [anon_sym_default] = ACTIONS(3439),
    [anon_sym_while] = ACTIONS(3439),
    [anon_sym_do] = ACTIONS(3439),
    [anon_sym_for] = ACTIONS(3439),
    [anon_sym_return] = ACTIONS(3439),
    [anon_sym_break] = ACTIONS(3439),
    [anon_sym_continue] = ACTIONS(3439),
    [anon_sym_goto] = ACTIONS(3439),
    [anon_sym___try] = ACTIONS(3439),
    [anon_sym___leave] = ACTIONS(3439),
    [anon_sym_not] = ACTIONS(3439),
    [anon_sym_compl] = ACTIONS(3439),
    [anon_sym_DASH_DASH] = ACTIONS(3441),
    [anon_sym_PLUS_PLUS] = ACTIONS(3441),
    [anon_sym_sizeof] = ACTIONS(3439),
    [anon_sym___alignof__] = ACTIONS(3439),
    [anon_sym___alignof] = ACTIONS(3439),
    [anon_sym__alignof] = ACTIONS(3439),
    [anon_sym_alignof] = ACTIONS(3439),
    [anon_sym__Alignof] = ACTIONS(3439),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3439),
    [anon_sym_asm] = ACTIONS(3439),
    [anon_sym___asm__] = ACTIONS(3439),
    [aux_sym_number_literal_token1] = ACTIONS(3441),
    [aux_sym_number_literal_token2] = ACTIONS(3439),
    [anon_sym_L_SQUOTE] = ACTIONS(3441),
    [anon_sym_u_SQUOTE] = ACTIONS(3441),
    [anon_sym_U_SQUOTE] = ACTIONS(3441),
    [anon_sym_u8_SQUOTE] = ACTIONS(3441),
    [anon_sym_SQUOTE] = ACTIONS(3441),
    [anon_sym_L_DQUOTE] = ACTIONS(3441),
    [anon_sym_u_DQUOTE] = ACTIONS(3441),
    [anon_sym_U_DQUOTE] = ACTIONS(3441),
    [anon_sym_u8_DQUOTE] = ACTIONS(3441),
    [anon_sym_DQUOTE] = ACTIONS(3441),
    [sym_true] = ACTIONS(3439),
    [sym_false] = ACTIONS(3439),
    [anon_sym_NULL] = ACTIONS(3439),
    [anon_sym_nullptr] = ACTIONS(3439),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3439),
    [anon_sym_virtual] = ACTIONS(3439),
    [anon_sym_alignas] = ACTIONS(3439),
    [anon_sym_explicit] = ACTIONS(3439),
    [anon_sym_typename] = ACTIONS(3439),
    [anon_sym_template] = ACTIONS(3439),
    [anon_sym_operator] = ACTIONS(3439),
    [anon_sym_try] = ACTIONS(3439),
    [anon_sym_delete] = ACTIONS(3439),
    [anon_sym_throw] = ACTIONS(3439),
    [anon_sym_namespace] = ACTIONS(3439),
    [anon_sym_using] = ACTIONS(3439),
    [anon_sym_static_assert] = ACTIONS(3439),
    [anon_sym_concept] = ACTIONS(3439),
    [anon_sym_co_return] = ACTIONS(3439),
    [anon_sym_co_yield] = ACTIONS(3439),
    [anon_sym_R_DQUOTE] = ACTIONS(3441),
    [anon_sym_LR_DQUOTE] = ACTIONS(3441),
    [anon_sym_uR_DQUOTE] = ACTIONS(3441),
    [anon_sym_UR_DQUOTE] = ACTIONS(3441),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3441),
    [anon_sym_co_await] = ACTIONS(3439),
    [anon_sym_new] = ACTIONS(3439),
    [anon_sym_requires] = ACTIONS(3439),
    [sym_this] = ACTIONS(3439),
  },
  [859] = {
    [sym_identifier] = ACTIONS(3278),
    [aux_sym_preproc_include_token1] = ACTIONS(3278),
    [aux_sym_preproc_def_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token2] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3278),
    [sym_preproc_directive] = ACTIONS(3278),
    [anon_sym_LPAREN2] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym___extension__] = ACTIONS(3278),
    [anon_sym_typedef] = ACTIONS(3278),
    [anon_sym_extern] = ACTIONS(3278),
    [anon_sym___attribute__] = ACTIONS(3278),
    [anon_sym_COLON_COLON] = ACTIONS(3280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3280),
    [anon_sym___declspec] = ACTIONS(3278),
    [anon_sym___based] = ACTIONS(3278),
    [anon_sym___cdecl] = ACTIONS(3278),
    [anon_sym___clrcall] = ACTIONS(3278),
    [anon_sym___stdcall] = ACTIONS(3278),
    [anon_sym___fastcall] = ACTIONS(3278),
    [anon_sym___thiscall] = ACTIONS(3278),
    [anon_sym___vectorcall] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_signed] = ACTIONS(3278),
    [anon_sym_unsigned] = ACTIONS(3278),
    [anon_sym_long] = ACTIONS(3278),
    [anon_sym_short] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_register] = ACTIONS(3278),
    [anon_sym_inline] = ACTIONS(3278),
    [anon_sym___inline] = ACTIONS(3278),
    [anon_sym___inline__] = ACTIONS(3278),
    [anon_sym___forceinline] = ACTIONS(3278),
    [anon_sym_thread_local] = ACTIONS(3278),
    [anon_sym___thread] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_constexpr] = ACTIONS(3278),
    [anon_sym_volatile] = ACTIONS(3278),
    [anon_sym_restrict] = ACTIONS(3278),
    [anon_sym___restrict__] = ACTIONS(3278),
    [anon_sym__Atomic] = ACTIONS(3278),
    [anon_sym__Noreturn] = ACTIONS(3278),
    [anon_sym_noreturn] = ACTIONS(3278),
    [anon_sym_mutable] = ACTIONS(3278),
    [anon_sym_constinit] = ACTIONS(3278),
    [anon_sym_consteval] = ACTIONS(3278),
    [anon_sym_PROGMEM] = ACTIONS(3278),
    [aux_sym_primitive_type_token1] = ACTIONS(3278),
    [anon_sym_byte] = ACTIONS(3278),
    [anon_sym_word] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_struct] = ACTIONS(3278),
    [anon_sym_union] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_default] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_goto] = ACTIONS(3278),
    [anon_sym___try] = ACTIONS(3278),
    [anon_sym___leave] = ACTIONS(3278),
    [anon_sym_not] = ACTIONS(3278),
    [anon_sym_compl] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_sizeof] = ACTIONS(3278),
    [anon_sym___alignof__] = ACTIONS(3278),
    [anon_sym___alignof] = ACTIONS(3278),
    [anon_sym__alignof] = ACTIONS(3278),
    [anon_sym_alignof] = ACTIONS(3278),
    [anon_sym__Alignof] = ACTIONS(3278),
    [anon_sym_offsetof] = ACTIONS(3278),
    [anon_sym__Generic] = ACTIONS(3278),
    [anon_sym_asm] = ACTIONS(3278),
    [anon_sym___asm__] = ACTIONS(3278),
    [aux_sym_number_literal_token1] = ACTIONS(3280),
    [aux_sym_number_literal_token2] = ACTIONS(3278),
    [anon_sym_L_SQUOTE] = ACTIONS(3280),
    [anon_sym_u_SQUOTE] = ACTIONS(3280),
    [anon_sym_U_SQUOTE] = ACTIONS(3280),
    [anon_sym_u8_SQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [anon_sym_L_DQUOTE] = ACTIONS(3280),
    [anon_sym_u_DQUOTE] = ACTIONS(3280),
    [anon_sym_U_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8_DQUOTE] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [anon_sym_NULL] = ACTIONS(3278),
    [anon_sym_nullptr] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3278),
    [anon_sym_decltype] = ACTIONS(3278),
    [anon_sym_virtual] = ACTIONS(3278),
    [anon_sym_alignas] = ACTIONS(3278),
    [anon_sym_explicit] = ACTIONS(3278),
    [anon_sym_typename] = ACTIONS(3278),
    [anon_sym_template] = ACTIONS(3278),
    [anon_sym_operator] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_static_assert] = ACTIONS(3278),
    [anon_sym_concept] = ACTIONS(3278),
    [anon_sym_co_return] = ACTIONS(3278),
    [anon_sym_co_yield] = ACTIONS(3278),
    [anon_sym_R_DQUOTE] = ACTIONS(3280),
    [anon_sym_LR_DQUOTE] = ACTIONS(3280),
    [anon_sym_uR_DQUOTE] = ACTIONS(3280),
    [anon_sym_UR_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3280),
    [anon_sym_co_await] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_requires] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
  },
  [860] = {
    [sym_identifier] = ACTIONS(3435),
    [aux_sym_preproc_include_token1] = ACTIONS(3435),
    [aux_sym_preproc_def_token1] = ACTIONS(3435),
    [aux_sym_preproc_if_token1] = ACTIONS(3435),
    [aux_sym_preproc_if_token2] = ACTIONS(3435),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3435),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3435),
    [sym_preproc_directive] = ACTIONS(3435),
    [anon_sym_LPAREN2] = ACTIONS(3437),
    [anon_sym_BANG] = ACTIONS(3437),
    [anon_sym_TILDE] = ACTIONS(3437),
    [anon_sym_DASH] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3435),
    [anon_sym_STAR] = ACTIONS(3437),
    [anon_sym_AMP_AMP] = ACTIONS(3437),
    [anon_sym_AMP] = ACTIONS(3435),
    [anon_sym_SEMI] = ACTIONS(3437),
    [anon_sym___extension__] = ACTIONS(3435),
    [anon_sym_typedef] = ACTIONS(3435),
    [anon_sym_extern] = ACTIONS(3435),
    [anon_sym___attribute__] = ACTIONS(3435),
    [anon_sym_COLON_COLON] = ACTIONS(3437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3437),
    [anon_sym___declspec] = ACTIONS(3435),
    [anon_sym___based] = ACTIONS(3435),
    [anon_sym___cdecl] = ACTIONS(3435),
    [anon_sym___clrcall] = ACTIONS(3435),
    [anon_sym___stdcall] = ACTIONS(3435),
    [anon_sym___fastcall] = ACTIONS(3435),
    [anon_sym___thiscall] = ACTIONS(3435),
    [anon_sym___vectorcall] = ACTIONS(3435),
    [anon_sym_LBRACE] = ACTIONS(3437),
    [anon_sym_signed] = ACTIONS(3435),
    [anon_sym_unsigned] = ACTIONS(3435),
    [anon_sym_long] = ACTIONS(3435),
    [anon_sym_short] = ACTIONS(3435),
    [anon_sym_LBRACK] = ACTIONS(3435),
    [anon_sym_static] = ACTIONS(3435),
    [anon_sym_register] = ACTIONS(3435),
    [anon_sym_inline] = ACTIONS(3435),
    [anon_sym___inline] = ACTIONS(3435),
    [anon_sym___inline__] = ACTIONS(3435),
    [anon_sym___forceinline] = ACTIONS(3435),
    [anon_sym_thread_local] = ACTIONS(3435),
    [anon_sym___thread] = ACTIONS(3435),
    [anon_sym_const] = ACTIONS(3435),
    [anon_sym_constexpr] = ACTIONS(3435),
    [anon_sym_volatile] = ACTIONS(3435),
    [anon_sym_restrict] = ACTIONS(3435),
    [anon_sym___restrict__] = ACTIONS(3435),
    [anon_sym__Atomic] = ACTIONS(3435),
    [anon_sym__Noreturn] = ACTIONS(3435),
    [anon_sym_noreturn] = ACTIONS(3435),
    [anon_sym_mutable] = ACTIONS(3435),
    [anon_sym_constinit] = ACTIONS(3435),
    [anon_sym_consteval] = ACTIONS(3435),
    [anon_sym_PROGMEM] = ACTIONS(3435),
    [aux_sym_primitive_type_token1] = ACTIONS(3435),
    [anon_sym_byte] = ACTIONS(3435),
    [anon_sym_word] = ACTIONS(3435),
    [anon_sym_enum] = ACTIONS(3435),
    [anon_sym_class] = ACTIONS(3435),
    [anon_sym_struct] = ACTIONS(3435),
    [anon_sym_union] = ACTIONS(3435),
    [anon_sym_if] = ACTIONS(3435),
    [anon_sym_switch] = ACTIONS(3435),
    [anon_sym_case] = ACTIONS(3435),
    [anon_sym_default] = ACTIONS(3435),
    [anon_sym_while] = ACTIONS(3435),
    [anon_sym_do] = ACTIONS(3435),
    [anon_sym_for] = ACTIONS(3435),
    [anon_sym_return] = ACTIONS(3435),
    [anon_sym_break] = ACTIONS(3435),
    [anon_sym_continue] = ACTIONS(3435),
    [anon_sym_goto] = ACTIONS(3435),
    [anon_sym___try] = ACTIONS(3435),
    [anon_sym___leave] = ACTIONS(3435),
    [anon_sym_not] = ACTIONS(3435),
    [anon_sym_compl] = ACTIONS(3435),
    [anon_sym_DASH_DASH] = ACTIONS(3437),
    [anon_sym_PLUS_PLUS] = ACTIONS(3437),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3435),
    [anon_sym___alignof] = ACTIONS(3435),
    [anon_sym__alignof] = ACTIONS(3435),
    [anon_sym_alignof] = ACTIONS(3435),
    [anon_sym__Alignof] = ACTIONS(3435),
    [anon_sym_offsetof] = ACTIONS(3435),
    [anon_sym__Generic] = ACTIONS(3435),
    [anon_sym_asm] = ACTIONS(3435),
    [anon_sym___asm__] = ACTIONS(3435),
    [aux_sym_number_literal_token1] = ACTIONS(3437),
    [aux_sym_number_literal_token2] = ACTIONS(3435),
    [anon_sym_L_SQUOTE] = ACTIONS(3437),
    [anon_sym_u_SQUOTE] = ACTIONS(3437),
    [anon_sym_U_SQUOTE] = ACTIONS(3437),
    [anon_sym_u8_SQUOTE] = ACTIONS(3437),
    [anon_sym_SQUOTE] = ACTIONS(3437),
    [anon_sym_L_DQUOTE] = ACTIONS(3437),
    [anon_sym_u_DQUOTE] = ACTIONS(3437),
    [anon_sym_U_DQUOTE] = ACTIONS(3437),
    [anon_sym_u8_DQUOTE] = ACTIONS(3437),
    [anon_sym_DQUOTE] = ACTIONS(3437),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3435),
    [anon_sym_nullptr] = ACTIONS(3435),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3435),
    [anon_sym_decltype] = ACTIONS(3435),
    [anon_sym_virtual] = ACTIONS(3435),
    [anon_sym_alignas] = ACTIONS(3435),
    [anon_sym_explicit] = ACTIONS(3435),
    [anon_sym_typename] = ACTIONS(3435),
    [anon_sym_template] = ACTIONS(3435),
    [anon_sym_operator] = ACTIONS(3435),
    [anon_sym_try] = ACTIONS(3435),
    [anon_sym_delete] = ACTIONS(3435),
    [anon_sym_throw] = ACTIONS(3435),
    [anon_sym_namespace] = ACTIONS(3435),
    [anon_sym_using] = ACTIONS(3435),
    [anon_sym_static_assert] = ACTIONS(3435),
    [anon_sym_concept] = ACTIONS(3435),
    [anon_sym_co_return] = ACTIONS(3435),
    [anon_sym_co_yield] = ACTIONS(3435),
    [anon_sym_R_DQUOTE] = ACTIONS(3437),
    [anon_sym_LR_DQUOTE] = ACTIONS(3437),
    [anon_sym_uR_DQUOTE] = ACTIONS(3437),
    [anon_sym_UR_DQUOTE] = ACTIONS(3437),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3437),
    [anon_sym_co_await] = ACTIONS(3435),
    [anon_sym_new] = ACTIONS(3435),
    [anon_sym_requires] = ACTIONS(3435),
    [sym_this] = ACTIONS(3435),
  },
  [861] = {
    [sym_identifier] = ACTIONS(3405),
    [aux_sym_preproc_include_token1] = ACTIONS(3405),
    [aux_sym_preproc_def_token1] = ACTIONS(3405),
    [aux_sym_preproc_if_token1] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3405),
    [sym_preproc_directive] = ACTIONS(3405),
    [anon_sym_LPAREN2] = ACTIONS(3407),
    [anon_sym_BANG] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3407),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_STAR] = ACTIONS(3407),
    [anon_sym_AMP_AMP] = ACTIONS(3407),
    [anon_sym_AMP] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3407),
    [anon_sym___extension__] = ACTIONS(3405),
    [anon_sym_typedef] = ACTIONS(3405),
    [anon_sym_extern] = ACTIONS(3405),
    [anon_sym___attribute__] = ACTIONS(3405),
    [anon_sym_COLON_COLON] = ACTIONS(3407),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3407),
    [anon_sym___declspec] = ACTIONS(3405),
    [anon_sym___based] = ACTIONS(3405),
    [anon_sym___cdecl] = ACTIONS(3405),
    [anon_sym___clrcall] = ACTIONS(3405),
    [anon_sym___stdcall] = ACTIONS(3405),
    [anon_sym___fastcall] = ACTIONS(3405),
    [anon_sym___thiscall] = ACTIONS(3405),
    [anon_sym___vectorcall] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3407),
    [anon_sym_RBRACE] = ACTIONS(3407),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_register] = ACTIONS(3405),
    [anon_sym_inline] = ACTIONS(3405),
    [anon_sym___inline] = ACTIONS(3405),
    [anon_sym___inline__] = ACTIONS(3405),
    [anon_sym___forceinline] = ACTIONS(3405),
    [anon_sym_thread_local] = ACTIONS(3405),
    [anon_sym___thread] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_constexpr] = ACTIONS(3405),
    [anon_sym_volatile] = ACTIONS(3405),
    [anon_sym_restrict] = ACTIONS(3405),
    [anon_sym___restrict__] = ACTIONS(3405),
    [anon_sym__Atomic] = ACTIONS(3405),
    [anon_sym__Noreturn] = ACTIONS(3405),
    [anon_sym_noreturn] = ACTIONS(3405),
    [anon_sym_mutable] = ACTIONS(3405),
    [anon_sym_constinit] = ACTIONS(3405),
    [anon_sym_consteval] = ACTIONS(3405),
    [anon_sym_PROGMEM] = ACTIONS(3405),
    [aux_sym_primitive_type_token1] = ACTIONS(3405),
    [anon_sym_byte] = ACTIONS(3405),
    [anon_sym_word] = ACTIONS(3405),
    [anon_sym_enum] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_struct] = ACTIONS(3405),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(3405),
    [anon_sym_switch] = ACTIONS(3405),
    [anon_sym_case] = ACTIONS(3405),
    [anon_sym_default] = ACTIONS(3405),
    [anon_sym_while] = ACTIONS(3405),
    [anon_sym_do] = ACTIONS(3405),
    [anon_sym_for] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3405),
    [anon_sym_break] = ACTIONS(3405),
    [anon_sym_continue] = ACTIONS(3405),
    [anon_sym_goto] = ACTIONS(3405),
    [anon_sym___try] = ACTIONS(3405),
    [anon_sym___leave] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3405),
    [anon_sym_compl] = ACTIONS(3405),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3405),
    [anon_sym___alignof__] = ACTIONS(3405),
    [anon_sym___alignof] = ACTIONS(3405),
    [anon_sym__alignof] = ACTIONS(3405),
    [anon_sym_alignof] = ACTIONS(3405),
    [anon_sym__Alignof] = ACTIONS(3405),
    [anon_sym_offsetof] = ACTIONS(3405),
    [anon_sym__Generic] = ACTIONS(3405),
    [anon_sym_asm] = ACTIONS(3405),
    [anon_sym___asm__] = ACTIONS(3405),
    [aux_sym_number_literal_token1] = ACTIONS(3407),
    [aux_sym_number_literal_token2] = ACTIONS(3405),
    [anon_sym_L_SQUOTE] = ACTIONS(3407),
    [anon_sym_u_SQUOTE] = ACTIONS(3407),
    [anon_sym_U_SQUOTE] = ACTIONS(3407),
    [anon_sym_u8_SQUOTE] = ACTIONS(3407),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_L_DQUOTE] = ACTIONS(3407),
    [anon_sym_u_DQUOTE] = ACTIONS(3407),
    [anon_sym_U_DQUOTE] = ACTIONS(3407),
    [anon_sym_u8_DQUOTE] = ACTIONS(3407),
    [anon_sym_DQUOTE] = ACTIONS(3407),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [anon_sym_NULL] = ACTIONS(3405),
    [anon_sym_nullptr] = ACTIONS(3405),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3405),
    [anon_sym_decltype] = ACTIONS(3405),
    [anon_sym_virtual] = ACTIONS(3405),
    [anon_sym_alignas] = ACTIONS(3405),
    [anon_sym_explicit] = ACTIONS(3405),
    [anon_sym_typename] = ACTIONS(3405),
    [anon_sym_template] = ACTIONS(3405),
    [anon_sym_operator] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_delete] = ACTIONS(3405),
    [anon_sym_throw] = ACTIONS(3405),
    [anon_sym_namespace] = ACTIONS(3405),
    [anon_sym_using] = ACTIONS(3405),
    [anon_sym_static_assert] = ACTIONS(3405),
    [anon_sym_concept] = ACTIONS(3405),
    [anon_sym_co_return] = ACTIONS(3405),
    [anon_sym_co_yield] = ACTIONS(3405),
    [anon_sym_R_DQUOTE] = ACTIONS(3407),
    [anon_sym_LR_DQUOTE] = ACTIONS(3407),
    [anon_sym_uR_DQUOTE] = ACTIONS(3407),
    [anon_sym_UR_DQUOTE] = ACTIONS(3407),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3407),
    [anon_sym_co_await] = ACTIONS(3405),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_requires] = ACTIONS(3405),
    [sym_this] = ACTIONS(3405),
  },
  [862] = {
    [sym_identifier] = ACTIONS(3184),
    [aux_sym_preproc_include_token1] = ACTIONS(3184),
    [aux_sym_preproc_def_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token2] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3184),
    [sym_preproc_directive] = ACTIONS(3184),
    [anon_sym_LPAREN2] = ACTIONS(3186),
    [anon_sym_BANG] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_AMP_AMP] = ACTIONS(3186),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym___extension__] = ACTIONS(3184),
    [anon_sym_typedef] = ACTIONS(3184),
    [anon_sym_extern] = ACTIONS(3184),
    [anon_sym___attribute__] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3186),
    [anon_sym___declspec] = ACTIONS(3184),
    [anon_sym___based] = ACTIONS(3184),
    [anon_sym___cdecl] = ACTIONS(3184),
    [anon_sym___clrcall] = ACTIONS(3184),
    [anon_sym___stdcall] = ACTIONS(3184),
    [anon_sym___fastcall] = ACTIONS(3184),
    [anon_sym___thiscall] = ACTIONS(3184),
    [anon_sym___vectorcall] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_signed] = ACTIONS(3184),
    [anon_sym_unsigned] = ACTIONS(3184),
    [anon_sym_long] = ACTIONS(3184),
    [anon_sym_short] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_register] = ACTIONS(3184),
    [anon_sym_inline] = ACTIONS(3184),
    [anon_sym___inline] = ACTIONS(3184),
    [anon_sym___inline__] = ACTIONS(3184),
    [anon_sym___forceinline] = ACTIONS(3184),
    [anon_sym_thread_local] = ACTIONS(3184),
    [anon_sym___thread] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_constexpr] = ACTIONS(3184),
    [anon_sym_volatile] = ACTIONS(3184),
    [anon_sym_restrict] = ACTIONS(3184),
    [anon_sym___restrict__] = ACTIONS(3184),
    [anon_sym__Atomic] = ACTIONS(3184),
    [anon_sym__Noreturn] = ACTIONS(3184),
    [anon_sym_noreturn] = ACTIONS(3184),
    [anon_sym_mutable] = ACTIONS(3184),
    [anon_sym_constinit] = ACTIONS(3184),
    [anon_sym_consteval] = ACTIONS(3184),
    [anon_sym_PROGMEM] = ACTIONS(3184),
    [aux_sym_primitive_type_token1] = ACTIONS(3184),
    [anon_sym_byte] = ACTIONS(3184),
    [anon_sym_word] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_struct] = ACTIONS(3184),
    [anon_sym_union] = ACTIONS(3184),
    [anon_sym_if] = ACTIONS(3184),
    [anon_sym_switch] = ACTIONS(3184),
    [anon_sym_case] = ACTIONS(3184),
    [anon_sym_default] = ACTIONS(3184),
    [anon_sym_while] = ACTIONS(3184),
    [anon_sym_do] = ACTIONS(3184),
    [anon_sym_for] = ACTIONS(3184),
    [anon_sym_return] = ACTIONS(3184),
    [anon_sym_break] = ACTIONS(3184),
    [anon_sym_continue] = ACTIONS(3184),
    [anon_sym_goto] = ACTIONS(3184),
    [anon_sym___try] = ACTIONS(3184),
    [anon_sym___leave] = ACTIONS(3184),
    [anon_sym_not] = ACTIONS(3184),
    [anon_sym_compl] = ACTIONS(3184),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_sizeof] = ACTIONS(3184),
    [anon_sym___alignof__] = ACTIONS(3184),
    [anon_sym___alignof] = ACTIONS(3184),
    [anon_sym__alignof] = ACTIONS(3184),
    [anon_sym_alignof] = ACTIONS(3184),
    [anon_sym__Alignof] = ACTIONS(3184),
    [anon_sym_offsetof] = ACTIONS(3184),
    [anon_sym__Generic] = ACTIONS(3184),
    [anon_sym_asm] = ACTIONS(3184),
    [anon_sym___asm__] = ACTIONS(3184),
    [aux_sym_number_literal_token1] = ACTIONS(3186),
    [aux_sym_number_literal_token2] = ACTIONS(3184),
    [anon_sym_L_SQUOTE] = ACTIONS(3186),
    [anon_sym_u_SQUOTE] = ACTIONS(3186),
    [anon_sym_U_SQUOTE] = ACTIONS(3186),
    [anon_sym_u8_SQUOTE] = ACTIONS(3186),
    [anon_sym_SQUOTE] = ACTIONS(3186),
    [anon_sym_L_DQUOTE] = ACTIONS(3186),
    [anon_sym_u_DQUOTE] = ACTIONS(3186),
    [anon_sym_U_DQUOTE] = ACTIONS(3186),
    [anon_sym_u8_DQUOTE] = ACTIONS(3186),
    [anon_sym_DQUOTE] = ACTIONS(3186),
    [sym_true] = ACTIONS(3184),
    [sym_false] = ACTIONS(3184),
    [anon_sym_NULL] = ACTIONS(3184),
    [anon_sym_nullptr] = ACTIONS(3184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3184),
    [anon_sym_decltype] = ACTIONS(3184),
    [anon_sym_virtual] = ACTIONS(3184),
    [anon_sym_alignas] = ACTIONS(3184),
    [anon_sym_explicit] = ACTIONS(3184),
    [anon_sym_typename] = ACTIONS(3184),
    [anon_sym_template] = ACTIONS(3184),
    [anon_sym_operator] = ACTIONS(3184),
    [anon_sym_try] = ACTIONS(3184),
    [anon_sym_delete] = ACTIONS(3184),
    [anon_sym_throw] = ACTIONS(3184),
    [anon_sym_namespace] = ACTIONS(3184),
    [anon_sym_using] = ACTIONS(3184),
    [anon_sym_static_assert] = ACTIONS(3184),
    [anon_sym_concept] = ACTIONS(3184),
    [anon_sym_co_return] = ACTIONS(3184),
    [anon_sym_co_yield] = ACTIONS(3184),
    [anon_sym_R_DQUOTE] = ACTIONS(3186),
    [anon_sym_LR_DQUOTE] = ACTIONS(3186),
    [anon_sym_uR_DQUOTE] = ACTIONS(3186),
    [anon_sym_UR_DQUOTE] = ACTIONS(3186),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3186),
    [anon_sym_co_await] = ACTIONS(3184),
    [anon_sym_new] = ACTIONS(3184),
    [anon_sym_requires] = ACTIONS(3184),
    [sym_this] = ACTIONS(3184),
  },
  [863] = {
    [sym_identifier] = ACTIONS(3421),
    [aux_sym_preproc_include_token1] = ACTIONS(3421),
    [aux_sym_preproc_def_token1] = ACTIONS(3421),
    [aux_sym_preproc_if_token1] = ACTIONS(3421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3421),
    [sym_preproc_directive] = ACTIONS(3421),
    [anon_sym_LPAREN2] = ACTIONS(3423),
    [anon_sym_BANG] = ACTIONS(3423),
    [anon_sym_TILDE] = ACTIONS(3423),
    [anon_sym_DASH] = ACTIONS(3421),
    [anon_sym_PLUS] = ACTIONS(3421),
    [anon_sym_STAR] = ACTIONS(3423),
    [anon_sym_AMP_AMP] = ACTIONS(3423),
    [anon_sym_AMP] = ACTIONS(3421),
    [anon_sym_SEMI] = ACTIONS(3423),
    [anon_sym___extension__] = ACTIONS(3421),
    [anon_sym_typedef] = ACTIONS(3421),
    [anon_sym_extern] = ACTIONS(3421),
    [anon_sym___attribute__] = ACTIONS(3421),
    [anon_sym_COLON_COLON] = ACTIONS(3423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3423),
    [anon_sym___declspec] = ACTIONS(3421),
    [anon_sym___based] = ACTIONS(3421),
    [anon_sym___cdecl] = ACTIONS(3421),
    [anon_sym___clrcall] = ACTIONS(3421),
    [anon_sym___stdcall] = ACTIONS(3421),
    [anon_sym___fastcall] = ACTIONS(3421),
    [anon_sym___thiscall] = ACTIONS(3421),
    [anon_sym___vectorcall] = ACTIONS(3421),
    [anon_sym_LBRACE] = ACTIONS(3423),
    [anon_sym_RBRACE] = ACTIONS(3423),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(3421),
    [anon_sym_static] = ACTIONS(3421),
    [anon_sym_register] = ACTIONS(3421),
    [anon_sym_inline] = ACTIONS(3421),
    [anon_sym___inline] = ACTIONS(3421),
    [anon_sym___inline__] = ACTIONS(3421),
    [anon_sym___forceinline] = ACTIONS(3421),
    [anon_sym_thread_local] = ACTIONS(3421),
    [anon_sym___thread] = ACTIONS(3421),
    [anon_sym_const] = ACTIONS(3421),
    [anon_sym_constexpr] = ACTIONS(3421),
    [anon_sym_volatile] = ACTIONS(3421),
    [anon_sym_restrict] = ACTIONS(3421),
    [anon_sym___restrict__] = ACTIONS(3421),
    [anon_sym__Atomic] = ACTIONS(3421),
    [anon_sym__Noreturn] = ACTIONS(3421),
    [anon_sym_noreturn] = ACTIONS(3421),
    [anon_sym_mutable] = ACTIONS(3421),
    [anon_sym_constinit] = ACTIONS(3421),
    [anon_sym_consteval] = ACTIONS(3421),
    [anon_sym_PROGMEM] = ACTIONS(3421),
    [aux_sym_primitive_type_token1] = ACTIONS(3421),
    [anon_sym_byte] = ACTIONS(3421),
    [anon_sym_word] = ACTIONS(3421),
    [anon_sym_enum] = ACTIONS(3421),
    [anon_sym_class] = ACTIONS(3421),
    [anon_sym_struct] = ACTIONS(3421),
    [anon_sym_union] = ACTIONS(3421),
    [anon_sym_if] = ACTIONS(3421),
    [anon_sym_switch] = ACTIONS(3421),
    [anon_sym_case] = ACTIONS(3421),
    [anon_sym_default] = ACTIONS(3421),
    [anon_sym_while] = ACTIONS(3421),
    [anon_sym_do] = ACTIONS(3421),
    [anon_sym_for] = ACTIONS(3421),
    [anon_sym_return] = ACTIONS(3421),
    [anon_sym_break] = ACTIONS(3421),
    [anon_sym_continue] = ACTIONS(3421),
    [anon_sym_goto] = ACTIONS(3421),
    [anon_sym___try] = ACTIONS(3421),
    [anon_sym___leave] = ACTIONS(3421),
    [anon_sym_not] = ACTIONS(3421),
    [anon_sym_compl] = ACTIONS(3421),
    [anon_sym_DASH_DASH] = ACTIONS(3423),
    [anon_sym_PLUS_PLUS] = ACTIONS(3423),
    [anon_sym_sizeof] = ACTIONS(3421),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3421),
    [anon_sym__Generic] = ACTIONS(3421),
    [anon_sym_asm] = ACTIONS(3421),
    [anon_sym___asm__] = ACTIONS(3421),
    [aux_sym_number_literal_token1] = ACTIONS(3423),
    [aux_sym_number_literal_token2] = ACTIONS(3421),
    [anon_sym_L_SQUOTE] = ACTIONS(3423),
    [anon_sym_u_SQUOTE] = ACTIONS(3423),
    [anon_sym_U_SQUOTE] = ACTIONS(3423),
    [anon_sym_u8_SQUOTE] = ACTIONS(3423),
    [anon_sym_SQUOTE] = ACTIONS(3423),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3421),
    [sym_false] = ACTIONS(3421),
    [anon_sym_NULL] = ACTIONS(3421),
    [anon_sym_nullptr] = ACTIONS(3421),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3421),
    [anon_sym_decltype] = ACTIONS(3421),
    [anon_sym_virtual] = ACTIONS(3421),
    [anon_sym_alignas] = ACTIONS(3421),
    [anon_sym_explicit] = ACTIONS(3421),
    [anon_sym_typename] = ACTIONS(3421),
    [anon_sym_template] = ACTIONS(3421),
    [anon_sym_operator] = ACTIONS(3421),
    [anon_sym_try] = ACTIONS(3421),
    [anon_sym_delete] = ACTIONS(3421),
    [anon_sym_throw] = ACTIONS(3421),
    [anon_sym_namespace] = ACTIONS(3421),
    [anon_sym_using] = ACTIONS(3421),
    [anon_sym_static_assert] = ACTIONS(3421),
    [anon_sym_concept] = ACTIONS(3421),
    [anon_sym_co_return] = ACTIONS(3421),
    [anon_sym_co_yield] = ACTIONS(3421),
    [anon_sym_R_DQUOTE] = ACTIONS(3423),
    [anon_sym_LR_DQUOTE] = ACTIONS(3423),
    [anon_sym_uR_DQUOTE] = ACTIONS(3423),
    [anon_sym_UR_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3423),
    [anon_sym_co_await] = ACTIONS(3421),
    [anon_sym_new] = ACTIONS(3421),
    [anon_sym_requires] = ACTIONS(3421),
    [sym_this] = ACTIONS(3421),
  },
  [864] = {
    [sym_identifier] = ACTIONS(3192),
    [aux_sym_preproc_include_token1] = ACTIONS(3192),
    [aux_sym_preproc_def_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token2] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3192),
    [sym_preproc_directive] = ACTIONS(3192),
    [anon_sym_LPAREN2] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym___extension__] = ACTIONS(3192),
    [anon_sym_typedef] = ACTIONS(3192),
    [anon_sym_extern] = ACTIONS(3192),
    [anon_sym___attribute__] = ACTIONS(3192),
    [anon_sym_COLON_COLON] = ACTIONS(3194),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3194),
    [anon_sym___declspec] = ACTIONS(3192),
    [anon_sym___based] = ACTIONS(3192),
    [anon_sym___cdecl] = ACTIONS(3192),
    [anon_sym___clrcall] = ACTIONS(3192),
    [anon_sym___stdcall] = ACTIONS(3192),
    [anon_sym___fastcall] = ACTIONS(3192),
    [anon_sym___thiscall] = ACTIONS(3192),
    [anon_sym___vectorcall] = ACTIONS(3192),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_signed] = ACTIONS(3192),
    [anon_sym_unsigned] = ACTIONS(3192),
    [anon_sym_long] = ACTIONS(3192),
    [anon_sym_short] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_register] = ACTIONS(3192),
    [anon_sym_inline] = ACTIONS(3192),
    [anon_sym___inline] = ACTIONS(3192),
    [anon_sym___inline__] = ACTIONS(3192),
    [anon_sym___forceinline] = ACTIONS(3192),
    [anon_sym_thread_local] = ACTIONS(3192),
    [anon_sym___thread] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_constexpr] = ACTIONS(3192),
    [anon_sym_volatile] = ACTIONS(3192),
    [anon_sym_restrict] = ACTIONS(3192),
    [anon_sym___restrict__] = ACTIONS(3192),
    [anon_sym__Atomic] = ACTIONS(3192),
    [anon_sym__Noreturn] = ACTIONS(3192),
    [anon_sym_noreturn] = ACTIONS(3192),
    [anon_sym_mutable] = ACTIONS(3192),
    [anon_sym_constinit] = ACTIONS(3192),
    [anon_sym_consteval] = ACTIONS(3192),
    [anon_sym_PROGMEM] = ACTIONS(3192),
    [aux_sym_primitive_type_token1] = ACTIONS(3192),
    [anon_sym_byte] = ACTIONS(3192),
    [anon_sym_word] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_struct] = ACTIONS(3192),
    [anon_sym_union] = ACTIONS(3192),
    [anon_sym_if] = ACTIONS(3192),
    [anon_sym_switch] = ACTIONS(3192),
    [anon_sym_case] = ACTIONS(3192),
    [anon_sym_default] = ACTIONS(3192),
    [anon_sym_while] = ACTIONS(3192),
    [anon_sym_do] = ACTIONS(3192),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_break] = ACTIONS(3192),
    [anon_sym_continue] = ACTIONS(3192),
    [anon_sym_goto] = ACTIONS(3192),
    [anon_sym___try] = ACTIONS(3192),
    [anon_sym___leave] = ACTIONS(3192),
    [anon_sym_not] = ACTIONS(3192),
    [anon_sym_compl] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_sizeof] = ACTIONS(3192),
    [anon_sym___alignof__] = ACTIONS(3192),
    [anon_sym___alignof] = ACTIONS(3192),
    [anon_sym__alignof] = ACTIONS(3192),
    [anon_sym_alignof] = ACTIONS(3192),
    [anon_sym__Alignof] = ACTIONS(3192),
    [anon_sym_offsetof] = ACTIONS(3192),
    [anon_sym__Generic] = ACTIONS(3192),
    [anon_sym_asm] = ACTIONS(3192),
    [anon_sym___asm__] = ACTIONS(3192),
    [aux_sym_number_literal_token1] = ACTIONS(3194),
    [aux_sym_number_literal_token2] = ACTIONS(3192),
    [anon_sym_L_SQUOTE] = ACTIONS(3194),
    [anon_sym_u_SQUOTE] = ACTIONS(3194),
    [anon_sym_U_SQUOTE] = ACTIONS(3194),
    [anon_sym_u8_SQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [anon_sym_L_DQUOTE] = ACTIONS(3194),
    [anon_sym_u_DQUOTE] = ACTIONS(3194),
    [anon_sym_U_DQUOTE] = ACTIONS(3194),
    [anon_sym_u8_DQUOTE] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [sym_true] = ACTIONS(3192),
    [sym_false] = ACTIONS(3192),
    [anon_sym_NULL] = ACTIONS(3192),
    [anon_sym_nullptr] = ACTIONS(3192),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3192),
    [anon_sym_decltype] = ACTIONS(3192),
    [anon_sym_virtual] = ACTIONS(3192),
    [anon_sym_alignas] = ACTIONS(3192),
    [anon_sym_explicit] = ACTIONS(3192),
    [anon_sym_typename] = ACTIONS(3192),
    [anon_sym_template] = ACTIONS(3192),
    [anon_sym_operator] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3192),
    [anon_sym_delete] = ACTIONS(3192),
    [anon_sym_throw] = ACTIONS(3192),
    [anon_sym_namespace] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_static_assert] = ACTIONS(3192),
    [anon_sym_concept] = ACTIONS(3192),
    [anon_sym_co_return] = ACTIONS(3192),
    [anon_sym_co_yield] = ACTIONS(3192),
    [anon_sym_R_DQUOTE] = ACTIONS(3194),
    [anon_sym_LR_DQUOTE] = ACTIONS(3194),
    [anon_sym_uR_DQUOTE] = ACTIONS(3194),
    [anon_sym_UR_DQUOTE] = ACTIONS(3194),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3194),
    [anon_sym_co_await] = ACTIONS(3192),
    [anon_sym_new] = ACTIONS(3192),
    [anon_sym_requires] = ACTIONS(3192),
    [sym_this] = ACTIONS(3192),
  },
  [865] = {
    [ts_builtin_sym_end] = ACTIONS(2259),
    [sym_identifier] = ACTIONS(2261),
    [aux_sym_preproc_include_token1] = ACTIONS(2261),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [anon_sym_COMMA] = ACTIONS(3026),
    [anon_sym_RPAREN] = ACTIONS(3026),
    [aux_sym_preproc_if_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2261),
    [anon_sym_LPAREN2] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2261),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym___extension__] = ACTIONS(2261),
    [anon_sym_typedef] = ACTIONS(2261),
    [anon_sym_extern] = ACTIONS(2261),
    [anon_sym___attribute__] = ACTIONS(2261),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2259),
    [anon_sym___declspec] = ACTIONS(2261),
    [anon_sym___based] = ACTIONS(2261),
    [anon_sym___cdecl] = ACTIONS(2261),
    [anon_sym___clrcall] = ACTIONS(2261),
    [anon_sym___stdcall] = ACTIONS(2261),
    [anon_sym___fastcall] = ACTIONS(2261),
    [anon_sym___thiscall] = ACTIONS(2261),
    [anon_sym___vectorcall] = ACTIONS(2261),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_signed] = ACTIONS(2261),
    [anon_sym_unsigned] = ACTIONS(2261),
    [anon_sym_long] = ACTIONS(2261),
    [anon_sym_short] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_register] = ACTIONS(2261),
    [anon_sym_inline] = ACTIONS(2261),
    [anon_sym___inline] = ACTIONS(2261),
    [anon_sym___inline__] = ACTIONS(2261),
    [anon_sym___forceinline] = ACTIONS(2261),
    [anon_sym_thread_local] = ACTIONS(2261),
    [anon_sym___thread] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_constexpr] = ACTIONS(2261),
    [anon_sym_volatile] = ACTIONS(2261),
    [anon_sym_restrict] = ACTIONS(2261),
    [anon_sym___restrict__] = ACTIONS(2261),
    [anon_sym__Atomic] = ACTIONS(2261),
    [anon_sym__Noreturn] = ACTIONS(2261),
    [anon_sym_noreturn] = ACTIONS(2261),
    [anon_sym_mutable] = ACTIONS(2261),
    [anon_sym_constinit] = ACTIONS(2261),
    [anon_sym_consteval] = ACTIONS(2261),
    [anon_sym_PROGMEM] = ACTIONS(2261),
    [aux_sym_primitive_type_token1] = ACTIONS(2261),
    [anon_sym_byte] = ACTIONS(2261),
    [anon_sym_word] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_struct] = ACTIONS(2261),
    [anon_sym_union] = ACTIONS(2261),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_switch] = ACTIONS(2261),
    [anon_sym_case] = ACTIONS(2261),
    [anon_sym_default] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2261),
    [anon_sym_do] = ACTIONS(2261),
    [anon_sym_for] = ACTIONS(2261),
    [anon_sym_return] = ACTIONS(2261),
    [anon_sym_break] = ACTIONS(2261),
    [anon_sym_continue] = ACTIONS(2261),
    [anon_sym_goto] = ACTIONS(2261),
    [anon_sym_not] = ACTIONS(2261),
    [anon_sym_compl] = ACTIONS(2261),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_sizeof] = ACTIONS(2261),
    [anon_sym___alignof__] = ACTIONS(2261),
    [anon_sym___alignof] = ACTIONS(2261),
    [anon_sym__alignof] = ACTIONS(2261),
    [anon_sym_alignof] = ACTIONS(2261),
    [anon_sym__Alignof] = ACTIONS(2261),
    [anon_sym_offsetof] = ACTIONS(2261),
    [anon_sym__Generic] = ACTIONS(2261),
    [anon_sym_asm] = ACTIONS(2261),
    [anon_sym___asm__] = ACTIONS(2261),
    [aux_sym_number_literal_token1] = ACTIONS(2259),
    [aux_sym_number_literal_token2] = ACTIONS(2261),
    [anon_sym_L_SQUOTE] = ACTIONS(2259),
    [anon_sym_u_SQUOTE] = ACTIONS(2259),
    [anon_sym_U_SQUOTE] = ACTIONS(2259),
    [anon_sym_u8_SQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [anon_sym_L_DQUOTE] = ACTIONS(2259),
    [anon_sym_u_DQUOTE] = ACTIONS(2259),
    [anon_sym_U_DQUOTE] = ACTIONS(2259),
    [anon_sym_u8_DQUOTE] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [sym_true] = ACTIONS(2261),
    [sym_false] = ACTIONS(2261),
    [anon_sym_NULL] = ACTIONS(2261),
    [anon_sym_nullptr] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2261),
    [anon_sym_decltype] = ACTIONS(2261),
    [anon_sym_virtual] = ACTIONS(2261),
    [anon_sym_alignas] = ACTIONS(2261),
    [anon_sym_explicit] = ACTIONS(2261),
    [anon_sym_typename] = ACTIONS(2261),
    [anon_sym_template] = ACTIONS(2261),
    [anon_sym_operator] = ACTIONS(2261),
    [anon_sym_try] = ACTIONS(2261),
    [anon_sym_delete] = ACTIONS(2261),
    [anon_sym_throw] = ACTIONS(2261),
    [anon_sym_namespace] = ACTIONS(2261),
    [anon_sym_using] = ACTIONS(2261),
    [anon_sym_static_assert] = ACTIONS(2261),
    [anon_sym_concept] = ACTIONS(2261),
    [anon_sym_co_return] = ACTIONS(2261),
    [anon_sym_co_yield] = ACTIONS(2261),
    [anon_sym_R_DQUOTE] = ACTIONS(2259),
    [anon_sym_LR_DQUOTE] = ACTIONS(2259),
    [anon_sym_uR_DQUOTE] = ACTIONS(2259),
    [anon_sym_UR_DQUOTE] = ACTIONS(2259),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2259),
    [anon_sym_co_await] = ACTIONS(2261),
    [anon_sym_new] = ACTIONS(2261),
    [anon_sym_requires] = ACTIONS(2261),
    [sym_this] = ACTIONS(2261),
  },
  [866] = {
    [sym_identifier] = ACTIONS(3459),
    [aux_sym_preproc_include_token1] = ACTIONS(3459),
    [aux_sym_preproc_def_token1] = ACTIONS(3459),
    [aux_sym_preproc_if_token1] = ACTIONS(3459),
    [aux_sym_preproc_if_token2] = ACTIONS(3459),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3459),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3459),
    [sym_preproc_directive] = ACTIONS(3459),
    [anon_sym_LPAREN2] = ACTIONS(3461),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(3461),
    [anon_sym_AMP_AMP] = ACTIONS(3461),
    [anon_sym_AMP] = ACTIONS(3459),
    [anon_sym_SEMI] = ACTIONS(3461),
    [anon_sym___extension__] = ACTIONS(3459),
    [anon_sym_typedef] = ACTIONS(3459),
    [anon_sym_extern] = ACTIONS(3459),
    [anon_sym___attribute__] = ACTIONS(3459),
    [anon_sym_COLON_COLON] = ACTIONS(3461),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3461),
    [anon_sym___declspec] = ACTIONS(3459),
    [anon_sym___based] = ACTIONS(3459),
    [anon_sym___cdecl] = ACTIONS(3459),
    [anon_sym___clrcall] = ACTIONS(3459),
    [anon_sym___stdcall] = ACTIONS(3459),
    [anon_sym___fastcall] = ACTIONS(3459),
    [anon_sym___thiscall] = ACTIONS(3459),
    [anon_sym___vectorcall] = ACTIONS(3459),
    [anon_sym_LBRACE] = ACTIONS(3461),
    [anon_sym_signed] = ACTIONS(3459),
    [anon_sym_unsigned] = ACTIONS(3459),
    [anon_sym_long] = ACTIONS(3459),
    [anon_sym_short] = ACTIONS(3459),
    [anon_sym_LBRACK] = ACTIONS(3459),
    [anon_sym_static] = ACTIONS(3459),
    [anon_sym_register] = ACTIONS(3459),
    [anon_sym_inline] = ACTIONS(3459),
    [anon_sym___inline] = ACTIONS(3459),
    [anon_sym___inline__] = ACTIONS(3459),
    [anon_sym___forceinline] = ACTIONS(3459),
    [anon_sym_thread_local] = ACTIONS(3459),
    [anon_sym___thread] = ACTIONS(3459),
    [anon_sym_const] = ACTIONS(3459),
    [anon_sym_constexpr] = ACTIONS(3459),
    [anon_sym_volatile] = ACTIONS(3459),
    [anon_sym_restrict] = ACTIONS(3459),
    [anon_sym___restrict__] = ACTIONS(3459),
    [anon_sym__Atomic] = ACTIONS(3459),
    [anon_sym__Noreturn] = ACTIONS(3459),
    [anon_sym_noreturn] = ACTIONS(3459),
    [anon_sym_mutable] = ACTIONS(3459),
    [anon_sym_constinit] = ACTIONS(3459),
    [anon_sym_consteval] = ACTIONS(3459),
    [anon_sym_PROGMEM] = ACTIONS(3459),
    [aux_sym_primitive_type_token1] = ACTIONS(3459),
    [anon_sym_byte] = ACTIONS(3459),
    [anon_sym_word] = ACTIONS(3459),
    [anon_sym_enum] = ACTIONS(3459),
    [anon_sym_class] = ACTIONS(3459),
    [anon_sym_struct] = ACTIONS(3459),
    [anon_sym_union] = ACTIONS(3459),
    [anon_sym_if] = ACTIONS(3459),
    [anon_sym_switch] = ACTIONS(3459),
    [anon_sym_case] = ACTIONS(3459),
    [anon_sym_default] = ACTIONS(3459),
    [anon_sym_while] = ACTIONS(3459),
    [anon_sym_do] = ACTIONS(3459),
    [anon_sym_for] = ACTIONS(3459),
    [anon_sym_return] = ACTIONS(3459),
    [anon_sym_break] = ACTIONS(3459),
    [anon_sym_continue] = ACTIONS(3459),
    [anon_sym_goto] = ACTIONS(3459),
    [anon_sym___try] = ACTIONS(3459),
    [anon_sym___leave] = ACTIONS(3459),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(3461),
    [anon_sym_PLUS_PLUS] = ACTIONS(3461),
    [anon_sym_sizeof] = ACTIONS(3459),
    [anon_sym___alignof__] = ACTIONS(3459),
    [anon_sym___alignof] = ACTIONS(3459),
    [anon_sym__alignof] = ACTIONS(3459),
    [anon_sym_alignof] = ACTIONS(3459),
    [anon_sym__Alignof] = ACTIONS(3459),
    [anon_sym_offsetof] = ACTIONS(3459),
    [anon_sym__Generic] = ACTIONS(3459),
    [anon_sym_asm] = ACTIONS(3459),
    [anon_sym___asm__] = ACTIONS(3459),
    [aux_sym_number_literal_token1] = ACTIONS(3461),
    [aux_sym_number_literal_token2] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3461),
    [anon_sym_u_DQUOTE] = ACTIONS(3461),
    [anon_sym_U_DQUOTE] = ACTIONS(3461),
    [anon_sym_u8_DQUOTE] = ACTIONS(3461),
    [anon_sym_DQUOTE] = ACTIONS(3461),
    [sym_true] = ACTIONS(3459),
    [sym_false] = ACTIONS(3459),
    [anon_sym_NULL] = ACTIONS(3459),
    [anon_sym_nullptr] = ACTIONS(3459),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3459),
    [anon_sym_decltype] = ACTIONS(3459),
    [anon_sym_virtual] = ACTIONS(3459),
    [anon_sym_alignas] = ACTIONS(3459),
    [anon_sym_explicit] = ACTIONS(3459),
    [anon_sym_typename] = ACTIONS(3459),
    [anon_sym_template] = ACTIONS(3459),
    [anon_sym_operator] = ACTIONS(3459),
    [anon_sym_try] = ACTIONS(3459),
    [anon_sym_delete] = ACTIONS(3459),
    [anon_sym_throw] = ACTIONS(3459),
    [anon_sym_namespace] = ACTIONS(3459),
    [anon_sym_using] = ACTIONS(3459),
    [anon_sym_static_assert] = ACTIONS(3459),
    [anon_sym_concept] = ACTIONS(3459),
    [anon_sym_co_return] = ACTIONS(3459),
    [anon_sym_co_yield] = ACTIONS(3459),
    [anon_sym_R_DQUOTE] = ACTIONS(3461),
    [anon_sym_LR_DQUOTE] = ACTIONS(3461),
    [anon_sym_uR_DQUOTE] = ACTIONS(3461),
    [anon_sym_UR_DQUOTE] = ACTIONS(3461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3461),
    [anon_sym_co_await] = ACTIONS(3459),
    [anon_sym_new] = ACTIONS(3459),
    [anon_sym_requires] = ACTIONS(3459),
    [sym_this] = ACTIONS(3459),
  },
  [867] = {
    [sym_identifier] = ACTIONS(3417),
    [aux_sym_preproc_include_token1] = ACTIONS(3417),
    [aux_sym_preproc_def_token1] = ACTIONS(3417),
    [aux_sym_preproc_if_token1] = ACTIONS(3417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3417),
    [sym_preproc_directive] = ACTIONS(3417),
    [anon_sym_LPAREN2] = ACTIONS(3419),
    [anon_sym_BANG] = ACTIONS(3419),
    [anon_sym_TILDE] = ACTIONS(3419),
    [anon_sym_DASH] = ACTIONS(3417),
    [anon_sym_PLUS] = ACTIONS(3417),
    [anon_sym_STAR] = ACTIONS(3419),
    [anon_sym_AMP_AMP] = ACTIONS(3419),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_SEMI] = ACTIONS(3419),
    [anon_sym___extension__] = ACTIONS(3417),
    [anon_sym_typedef] = ACTIONS(3417),
    [anon_sym_extern] = ACTIONS(3417),
    [anon_sym___attribute__] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3419),
    [anon_sym___declspec] = ACTIONS(3417),
    [anon_sym___based] = ACTIONS(3417),
    [anon_sym___cdecl] = ACTIONS(3417),
    [anon_sym___clrcall] = ACTIONS(3417),
    [anon_sym___stdcall] = ACTIONS(3417),
    [anon_sym___fastcall] = ACTIONS(3417),
    [anon_sym___thiscall] = ACTIONS(3417),
    [anon_sym___vectorcall] = ACTIONS(3417),
    [anon_sym_LBRACE] = ACTIONS(3419),
    [anon_sym_RBRACE] = ACTIONS(3419),
    [anon_sym_signed] = ACTIONS(3417),
    [anon_sym_unsigned] = ACTIONS(3417),
    [anon_sym_long] = ACTIONS(3417),
    [anon_sym_short] = ACTIONS(3417),
    [anon_sym_LBRACK] = ACTIONS(3417),
    [anon_sym_static] = ACTIONS(3417),
    [anon_sym_register] = ACTIONS(3417),
    [anon_sym_inline] = ACTIONS(3417),
    [anon_sym___inline] = ACTIONS(3417),
    [anon_sym___inline__] = ACTIONS(3417),
    [anon_sym___forceinline] = ACTIONS(3417),
    [anon_sym_thread_local] = ACTIONS(3417),
    [anon_sym___thread] = ACTIONS(3417),
    [anon_sym_const] = ACTIONS(3417),
    [anon_sym_constexpr] = ACTIONS(3417),
    [anon_sym_volatile] = ACTIONS(3417),
    [anon_sym_restrict] = ACTIONS(3417),
    [anon_sym___restrict__] = ACTIONS(3417),
    [anon_sym__Atomic] = ACTIONS(3417),
    [anon_sym__Noreturn] = ACTIONS(3417),
    [anon_sym_noreturn] = ACTIONS(3417),
    [anon_sym_mutable] = ACTIONS(3417),
    [anon_sym_constinit] = ACTIONS(3417),
    [anon_sym_consteval] = ACTIONS(3417),
    [anon_sym_PROGMEM] = ACTIONS(3417),
    [aux_sym_primitive_type_token1] = ACTIONS(3417),
    [anon_sym_byte] = ACTIONS(3417),
    [anon_sym_word] = ACTIONS(3417),
    [anon_sym_enum] = ACTIONS(3417),
    [anon_sym_class] = ACTIONS(3417),
    [anon_sym_struct] = ACTIONS(3417),
    [anon_sym_union] = ACTIONS(3417),
    [anon_sym_if] = ACTIONS(3417),
    [anon_sym_switch] = ACTIONS(3417),
    [anon_sym_case] = ACTIONS(3417),
    [anon_sym_default] = ACTIONS(3417),
    [anon_sym_while] = ACTIONS(3417),
    [anon_sym_do] = ACTIONS(3417),
    [anon_sym_for] = ACTIONS(3417),
    [anon_sym_return] = ACTIONS(3417),
    [anon_sym_break] = ACTIONS(3417),
    [anon_sym_continue] = ACTIONS(3417),
    [anon_sym_goto] = ACTIONS(3417),
    [anon_sym___try] = ACTIONS(3417),
    [anon_sym___leave] = ACTIONS(3417),
    [anon_sym_not] = ACTIONS(3417),
    [anon_sym_compl] = ACTIONS(3417),
    [anon_sym_DASH_DASH] = ACTIONS(3419),
    [anon_sym_PLUS_PLUS] = ACTIONS(3419),
    [anon_sym_sizeof] = ACTIONS(3417),
    [anon_sym___alignof__] = ACTIONS(3417),
    [anon_sym___alignof] = ACTIONS(3417),
    [anon_sym__alignof] = ACTIONS(3417),
    [anon_sym_alignof] = ACTIONS(3417),
    [anon_sym__Alignof] = ACTIONS(3417),
    [anon_sym_offsetof] = ACTIONS(3417),
    [anon_sym__Generic] = ACTIONS(3417),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [aux_sym_number_literal_token1] = ACTIONS(3419),
    [aux_sym_number_literal_token2] = ACTIONS(3417),
    [anon_sym_L_SQUOTE] = ACTIONS(3419),
    [anon_sym_u_SQUOTE] = ACTIONS(3419),
    [anon_sym_U_SQUOTE] = ACTIONS(3419),
    [anon_sym_u8_SQUOTE] = ACTIONS(3419),
    [anon_sym_SQUOTE] = ACTIONS(3419),
    [anon_sym_L_DQUOTE] = ACTIONS(3419),
    [anon_sym_u_DQUOTE] = ACTIONS(3419),
    [anon_sym_U_DQUOTE] = ACTIONS(3419),
    [anon_sym_u8_DQUOTE] = ACTIONS(3419),
    [anon_sym_DQUOTE] = ACTIONS(3419),
    [sym_true] = ACTIONS(3417),
    [sym_false] = ACTIONS(3417),
    [anon_sym_NULL] = ACTIONS(3417),
    [anon_sym_nullptr] = ACTIONS(3417),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3417),
    [anon_sym_decltype] = ACTIONS(3417),
    [anon_sym_virtual] = ACTIONS(3417),
    [anon_sym_alignas] = ACTIONS(3417),
    [anon_sym_explicit] = ACTIONS(3417),
    [anon_sym_typename] = ACTIONS(3417),
    [anon_sym_template] = ACTIONS(3417),
    [anon_sym_operator] = ACTIONS(3417),
    [anon_sym_try] = ACTIONS(3417),
    [anon_sym_delete] = ACTIONS(3417),
    [anon_sym_throw] = ACTIONS(3417),
    [anon_sym_namespace] = ACTIONS(3417),
    [anon_sym_using] = ACTIONS(3417),
    [anon_sym_static_assert] = ACTIONS(3417),
    [anon_sym_concept] = ACTIONS(3417),
    [anon_sym_co_return] = ACTIONS(3417),
    [anon_sym_co_yield] = ACTIONS(3417),
    [anon_sym_R_DQUOTE] = ACTIONS(3419),
    [anon_sym_LR_DQUOTE] = ACTIONS(3419),
    [anon_sym_uR_DQUOTE] = ACTIONS(3419),
    [anon_sym_UR_DQUOTE] = ACTIONS(3419),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3419),
    [anon_sym_co_await] = ACTIONS(3417),
    [anon_sym_new] = ACTIONS(3417),
    [anon_sym_requires] = ACTIONS(3417),
    [sym_this] = ACTIONS(3417),
  },
  [868] = {
    [sym_identifier] = ACTIONS(3397),
    [aux_sym_preproc_include_token1] = ACTIONS(3397),
    [aux_sym_preproc_def_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3397),
    [sym_preproc_directive] = ACTIONS(3397),
    [anon_sym_LPAREN2] = ACTIONS(3399),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_AMP_AMP] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3399),
    [anon_sym___extension__] = ACTIONS(3397),
    [anon_sym_typedef] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym___attribute__] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(3399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym___declspec] = ACTIONS(3397),
    [anon_sym___based] = ACTIONS(3397),
    [anon_sym___cdecl] = ACTIONS(3397),
    [anon_sym___clrcall] = ACTIONS(3397),
    [anon_sym___stdcall] = ACTIONS(3397),
    [anon_sym___fastcall] = ACTIONS(3397),
    [anon_sym___thiscall] = ACTIONS(3397),
    [anon_sym___vectorcall] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_RBRACE] = ACTIONS(3399),
    [anon_sym_signed] = ACTIONS(3397),
    [anon_sym_unsigned] = ACTIONS(3397),
    [anon_sym_long] = ACTIONS(3397),
    [anon_sym_short] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_register] = ACTIONS(3397),
    [anon_sym_inline] = ACTIONS(3397),
    [anon_sym___inline] = ACTIONS(3397),
    [anon_sym___inline__] = ACTIONS(3397),
    [anon_sym___forceinline] = ACTIONS(3397),
    [anon_sym_thread_local] = ACTIONS(3397),
    [anon_sym___thread] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_constexpr] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_restrict] = ACTIONS(3397),
    [anon_sym___restrict__] = ACTIONS(3397),
    [anon_sym__Atomic] = ACTIONS(3397),
    [anon_sym__Noreturn] = ACTIONS(3397),
    [anon_sym_noreturn] = ACTIONS(3397),
    [anon_sym_mutable] = ACTIONS(3397),
    [anon_sym_constinit] = ACTIONS(3397),
    [anon_sym_consteval] = ACTIONS(3397),
    [anon_sym_PROGMEM] = ACTIONS(3397),
    [aux_sym_primitive_type_token1] = ACTIONS(3397),
    [anon_sym_byte] = ACTIONS(3397),
    [anon_sym_word] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_union] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_goto] = ACTIONS(3397),
    [anon_sym___try] = ACTIONS(3397),
    [anon_sym___leave] = ACTIONS(3397),
    [anon_sym_not] = ACTIONS(3397),
    [anon_sym_compl] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_sizeof] = ACTIONS(3397),
    [anon_sym___alignof__] = ACTIONS(3397),
    [anon_sym___alignof] = ACTIONS(3397),
    [anon_sym__alignof] = ACTIONS(3397),
    [anon_sym_alignof] = ACTIONS(3397),
    [anon_sym__Alignof] = ACTIONS(3397),
    [anon_sym_offsetof] = ACTIONS(3397),
    [anon_sym__Generic] = ACTIONS(3397),
    [anon_sym_asm] = ACTIONS(3397),
    [anon_sym___asm__] = ACTIONS(3397),
    [aux_sym_number_literal_token1] = ACTIONS(3399),
    [aux_sym_number_literal_token2] = ACTIONS(3397),
    [anon_sym_L_SQUOTE] = ACTIONS(3399),
    [anon_sym_u_SQUOTE] = ACTIONS(3399),
    [anon_sym_U_SQUOTE] = ACTIONS(3399),
    [anon_sym_u8_SQUOTE] = ACTIONS(3399),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [anon_sym_L_DQUOTE] = ACTIONS(3399),
    [anon_sym_u_DQUOTE] = ACTIONS(3399),
    [anon_sym_U_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8_DQUOTE] = ACTIONS(3399),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [anon_sym_NULL] = ACTIONS(3397),
    [anon_sym_nullptr] = ACTIONS(3397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3397),
    [anon_sym_decltype] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_alignas] = ACTIONS(3397),
    [anon_sym_explicit] = ACTIONS(3397),
    [anon_sym_typename] = ACTIONS(3397),
    [anon_sym_template] = ACTIONS(3397),
    [anon_sym_operator] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_static_assert] = ACTIONS(3397),
    [anon_sym_concept] = ACTIONS(3397),
    [anon_sym_co_return] = ACTIONS(3397),
    [anon_sym_co_yield] = ACTIONS(3397),
    [anon_sym_R_DQUOTE] = ACTIONS(3399),
    [anon_sym_LR_DQUOTE] = ACTIONS(3399),
    [anon_sym_uR_DQUOTE] = ACTIONS(3399),
    [anon_sym_UR_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3399),
    [anon_sym_co_await] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_requires] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
  },
  [869] = {
    [sym_identifier] = ACTIONS(3397),
    [aux_sym_preproc_include_token1] = ACTIONS(3397),
    [aux_sym_preproc_def_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3397),
    [sym_preproc_directive] = ACTIONS(3397),
    [anon_sym_LPAREN2] = ACTIONS(3399),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_AMP_AMP] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3399),
    [anon_sym___extension__] = ACTIONS(3397),
    [anon_sym_typedef] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym___attribute__] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(3399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym___declspec] = ACTIONS(3397),
    [anon_sym___based] = ACTIONS(3397),
    [anon_sym___cdecl] = ACTIONS(3397),
    [anon_sym___clrcall] = ACTIONS(3397),
    [anon_sym___stdcall] = ACTIONS(3397),
    [anon_sym___fastcall] = ACTIONS(3397),
    [anon_sym___thiscall] = ACTIONS(3397),
    [anon_sym___vectorcall] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_RBRACE] = ACTIONS(3399),
    [anon_sym_signed] = ACTIONS(3397),
    [anon_sym_unsigned] = ACTIONS(3397),
    [anon_sym_long] = ACTIONS(3397),
    [anon_sym_short] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_register] = ACTIONS(3397),
    [anon_sym_inline] = ACTIONS(3397),
    [anon_sym___inline] = ACTIONS(3397),
    [anon_sym___inline__] = ACTIONS(3397),
    [anon_sym___forceinline] = ACTIONS(3397),
    [anon_sym_thread_local] = ACTIONS(3397),
    [anon_sym___thread] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_constexpr] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_restrict] = ACTIONS(3397),
    [anon_sym___restrict__] = ACTIONS(3397),
    [anon_sym__Atomic] = ACTIONS(3397),
    [anon_sym__Noreturn] = ACTIONS(3397),
    [anon_sym_noreturn] = ACTIONS(3397),
    [anon_sym_mutable] = ACTIONS(3397),
    [anon_sym_constinit] = ACTIONS(3397),
    [anon_sym_consteval] = ACTIONS(3397),
    [anon_sym_PROGMEM] = ACTIONS(3397),
    [aux_sym_primitive_type_token1] = ACTIONS(3397),
    [anon_sym_byte] = ACTIONS(3397),
    [anon_sym_word] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_union] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_goto] = ACTIONS(3397),
    [anon_sym___try] = ACTIONS(3397),
    [anon_sym___leave] = ACTIONS(3397),
    [anon_sym_not] = ACTIONS(3397),
    [anon_sym_compl] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_sizeof] = ACTIONS(3397),
    [anon_sym___alignof__] = ACTIONS(3397),
    [anon_sym___alignof] = ACTIONS(3397),
    [anon_sym__alignof] = ACTIONS(3397),
    [anon_sym_alignof] = ACTIONS(3397),
    [anon_sym__Alignof] = ACTIONS(3397),
    [anon_sym_offsetof] = ACTIONS(3397),
    [anon_sym__Generic] = ACTIONS(3397),
    [anon_sym_asm] = ACTIONS(3397),
    [anon_sym___asm__] = ACTIONS(3397),
    [aux_sym_number_literal_token1] = ACTIONS(3399),
    [aux_sym_number_literal_token2] = ACTIONS(3397),
    [anon_sym_L_SQUOTE] = ACTIONS(3399),
    [anon_sym_u_SQUOTE] = ACTIONS(3399),
    [anon_sym_U_SQUOTE] = ACTIONS(3399),
    [anon_sym_u8_SQUOTE] = ACTIONS(3399),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [anon_sym_L_DQUOTE] = ACTIONS(3399),
    [anon_sym_u_DQUOTE] = ACTIONS(3399),
    [anon_sym_U_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8_DQUOTE] = ACTIONS(3399),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [anon_sym_NULL] = ACTIONS(3397),
    [anon_sym_nullptr] = ACTIONS(3397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3397),
    [anon_sym_decltype] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_alignas] = ACTIONS(3397),
    [anon_sym_explicit] = ACTIONS(3397),
    [anon_sym_typename] = ACTIONS(3397),
    [anon_sym_template] = ACTIONS(3397),
    [anon_sym_operator] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_static_assert] = ACTIONS(3397),
    [anon_sym_concept] = ACTIONS(3397),
    [anon_sym_co_return] = ACTIONS(3397),
    [anon_sym_co_yield] = ACTIONS(3397),
    [anon_sym_R_DQUOTE] = ACTIONS(3399),
    [anon_sym_LR_DQUOTE] = ACTIONS(3399),
    [anon_sym_uR_DQUOTE] = ACTIONS(3399),
    [anon_sym_UR_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3399),
    [anon_sym_co_await] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_requires] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
  },
  [870] = {
    [sym_identifier] = ACTIONS(3208),
    [aux_sym_preproc_include_token1] = ACTIONS(3208),
    [aux_sym_preproc_def_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3208),
    [sym_preproc_directive] = ACTIONS(3208),
    [anon_sym_LPAREN2] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3210),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym___extension__] = ACTIONS(3208),
    [anon_sym_typedef] = ACTIONS(3208),
    [anon_sym_extern] = ACTIONS(3208),
    [anon_sym___attribute__] = ACTIONS(3208),
    [anon_sym_COLON_COLON] = ACTIONS(3210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3210),
    [anon_sym___declspec] = ACTIONS(3208),
    [anon_sym___based] = ACTIONS(3208),
    [anon_sym___cdecl] = ACTIONS(3208),
    [anon_sym___clrcall] = ACTIONS(3208),
    [anon_sym___stdcall] = ACTIONS(3208),
    [anon_sym___fastcall] = ACTIONS(3208),
    [anon_sym___thiscall] = ACTIONS(3208),
    [anon_sym___vectorcall] = ACTIONS(3208),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_RBRACE] = ACTIONS(3210),
    [anon_sym_signed] = ACTIONS(3208),
    [anon_sym_unsigned] = ACTIONS(3208),
    [anon_sym_long] = ACTIONS(3208),
    [anon_sym_short] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_register] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(3208),
    [anon_sym___inline] = ACTIONS(3208),
    [anon_sym___inline__] = ACTIONS(3208),
    [anon_sym___forceinline] = ACTIONS(3208),
    [anon_sym_thread_local] = ACTIONS(3208),
    [anon_sym___thread] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_constexpr] = ACTIONS(3208),
    [anon_sym_volatile] = ACTIONS(3208),
    [anon_sym_restrict] = ACTIONS(3208),
    [anon_sym___restrict__] = ACTIONS(3208),
    [anon_sym__Atomic] = ACTIONS(3208),
    [anon_sym__Noreturn] = ACTIONS(3208),
    [anon_sym_noreturn] = ACTIONS(3208),
    [anon_sym_mutable] = ACTIONS(3208),
    [anon_sym_constinit] = ACTIONS(3208),
    [anon_sym_consteval] = ACTIONS(3208),
    [anon_sym_PROGMEM] = ACTIONS(3208),
    [aux_sym_primitive_type_token1] = ACTIONS(3208),
    [anon_sym_byte] = ACTIONS(3208),
    [anon_sym_word] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_struct] = ACTIONS(3208),
    [anon_sym_union] = ACTIONS(3208),
    [anon_sym_if] = ACTIONS(3208),
    [anon_sym_switch] = ACTIONS(3208),
    [anon_sym_case] = ACTIONS(3208),
    [anon_sym_default] = ACTIONS(3208),
    [anon_sym_while] = ACTIONS(3208),
    [anon_sym_do] = ACTIONS(3208),
    [anon_sym_for] = ACTIONS(3208),
    [anon_sym_return] = ACTIONS(3208),
    [anon_sym_break] = ACTIONS(3208),
    [anon_sym_continue] = ACTIONS(3208),
    [anon_sym_goto] = ACTIONS(3208),
    [anon_sym___try] = ACTIONS(3208),
    [anon_sym___leave] = ACTIONS(3208),
    [anon_sym_not] = ACTIONS(3208),
    [anon_sym_compl] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_sizeof] = ACTIONS(3208),
    [anon_sym___alignof__] = ACTIONS(3208),
    [anon_sym___alignof] = ACTIONS(3208),
    [anon_sym__alignof] = ACTIONS(3208),
    [anon_sym_alignof] = ACTIONS(3208),
    [anon_sym__Alignof] = ACTIONS(3208),
    [anon_sym_offsetof] = ACTIONS(3208),
    [anon_sym__Generic] = ACTIONS(3208),
    [anon_sym_asm] = ACTIONS(3208),
    [anon_sym___asm__] = ACTIONS(3208),
    [aux_sym_number_literal_token1] = ACTIONS(3210),
    [aux_sym_number_literal_token2] = ACTIONS(3208),
    [anon_sym_L_SQUOTE] = ACTIONS(3210),
    [anon_sym_u_SQUOTE] = ACTIONS(3210),
    [anon_sym_U_SQUOTE] = ACTIONS(3210),
    [anon_sym_u8_SQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [anon_sym_L_DQUOTE] = ACTIONS(3210),
    [anon_sym_u_DQUOTE] = ACTIONS(3210),
    [anon_sym_U_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8_DQUOTE] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [sym_true] = ACTIONS(3208),
    [sym_false] = ACTIONS(3208),
    [anon_sym_NULL] = ACTIONS(3208),
    [anon_sym_nullptr] = ACTIONS(3208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3208),
    [anon_sym_decltype] = ACTIONS(3208),
    [anon_sym_virtual] = ACTIONS(3208),
    [anon_sym_alignas] = ACTIONS(3208),
    [anon_sym_explicit] = ACTIONS(3208),
    [anon_sym_typename] = ACTIONS(3208),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(3208),
    [anon_sym_try] = ACTIONS(3208),
    [anon_sym_delete] = ACTIONS(3208),
    [anon_sym_throw] = ACTIONS(3208),
    [anon_sym_namespace] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_static_assert] = ACTIONS(3208),
    [anon_sym_concept] = ACTIONS(3208),
    [anon_sym_co_return] = ACTIONS(3208),
    [anon_sym_co_yield] = ACTIONS(3208),
    [anon_sym_R_DQUOTE] = ACTIONS(3210),
    [anon_sym_LR_DQUOTE] = ACTIONS(3210),
    [anon_sym_uR_DQUOTE] = ACTIONS(3210),
    [anon_sym_UR_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3210),
    [anon_sym_co_await] = ACTIONS(3208),
    [anon_sym_new] = ACTIONS(3208),
    [anon_sym_requires] = ACTIONS(3208),
    [sym_this] = ACTIONS(3208),
  },
  [871] = {
    [sym_identifier] = ACTIONS(3200),
    [aux_sym_preproc_include_token1] = ACTIONS(3200),
    [aux_sym_preproc_def_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token2] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3200),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(3202),
    [anon_sym_BANG] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3202),
    [anon_sym___extension__] = ACTIONS(3200),
    [anon_sym_typedef] = ACTIONS(3200),
    [anon_sym_extern] = ACTIONS(3200),
    [anon_sym___attribute__] = ACTIONS(3200),
    [anon_sym_COLON_COLON] = ACTIONS(3202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3202),
    [anon_sym___declspec] = ACTIONS(3200),
    [anon_sym___based] = ACTIONS(3200),
    [anon_sym___cdecl] = ACTIONS(3200),
    [anon_sym___clrcall] = ACTIONS(3200),
    [anon_sym___stdcall] = ACTIONS(3200),
    [anon_sym___fastcall] = ACTIONS(3200),
    [anon_sym___thiscall] = ACTIONS(3200),
    [anon_sym___vectorcall] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3202),
    [anon_sym_signed] = ACTIONS(3200),
    [anon_sym_unsigned] = ACTIONS(3200),
    [anon_sym_long] = ACTIONS(3200),
    [anon_sym_short] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_register] = ACTIONS(3200),
    [anon_sym_inline] = ACTIONS(3200),
    [anon_sym___inline] = ACTIONS(3200),
    [anon_sym___inline__] = ACTIONS(3200),
    [anon_sym___forceinline] = ACTIONS(3200),
    [anon_sym_thread_local] = ACTIONS(3200),
    [anon_sym___thread] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_constexpr] = ACTIONS(3200),
    [anon_sym_volatile] = ACTIONS(3200),
    [anon_sym_restrict] = ACTIONS(3200),
    [anon_sym___restrict__] = ACTIONS(3200),
    [anon_sym__Atomic] = ACTIONS(3200),
    [anon_sym__Noreturn] = ACTIONS(3200),
    [anon_sym_noreturn] = ACTIONS(3200),
    [anon_sym_mutable] = ACTIONS(3200),
    [anon_sym_constinit] = ACTIONS(3200),
    [anon_sym_consteval] = ACTIONS(3200),
    [anon_sym_PROGMEM] = ACTIONS(3200),
    [aux_sym_primitive_type_token1] = ACTIONS(3200),
    [anon_sym_byte] = ACTIONS(3200),
    [anon_sym_word] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_struct] = ACTIONS(3200),
    [anon_sym_union] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_case] = ACTIONS(3200),
    [anon_sym_default] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_goto] = ACTIONS(3200),
    [anon_sym___try] = ACTIONS(3200),
    [anon_sym___leave] = ACTIONS(3200),
    [anon_sym_not] = ACTIONS(3200),
    [anon_sym_compl] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_sizeof] = ACTIONS(3200),
    [anon_sym___alignof__] = ACTIONS(3200),
    [anon_sym___alignof] = ACTIONS(3200),
    [anon_sym__alignof] = ACTIONS(3200),
    [anon_sym_alignof] = ACTIONS(3200),
    [anon_sym__Alignof] = ACTIONS(3200),
    [anon_sym_offsetof] = ACTIONS(3200),
    [anon_sym__Generic] = ACTIONS(3200),
    [anon_sym_asm] = ACTIONS(3200),
    [anon_sym___asm__] = ACTIONS(3200),
    [aux_sym_number_literal_token1] = ACTIONS(3202),
    [aux_sym_number_literal_token2] = ACTIONS(3200),
    [anon_sym_L_SQUOTE] = ACTIONS(3202),
    [anon_sym_u_SQUOTE] = ACTIONS(3202),
    [anon_sym_U_SQUOTE] = ACTIONS(3202),
    [anon_sym_u8_SQUOTE] = ACTIONS(3202),
    [anon_sym_SQUOTE] = ACTIONS(3202),
    [anon_sym_L_DQUOTE] = ACTIONS(3202),
    [anon_sym_u_DQUOTE] = ACTIONS(3202),
    [anon_sym_U_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8_DQUOTE] = ACTIONS(3202),
    [anon_sym_DQUOTE] = ACTIONS(3202),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [anon_sym_NULL] = ACTIONS(3200),
    [anon_sym_nullptr] = ACTIONS(3200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3200),
    [anon_sym_decltype] = ACTIONS(3200),
    [anon_sym_virtual] = ACTIONS(3200),
    [anon_sym_alignas] = ACTIONS(3200),
    [anon_sym_explicit] = ACTIONS(3200),
    [anon_sym_typename] = ACTIONS(3200),
    [anon_sym_template] = ACTIONS(3200),
    [anon_sym_operator] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_static_assert] = ACTIONS(3200),
    [anon_sym_concept] = ACTIONS(3200),
    [anon_sym_co_return] = ACTIONS(3200),
    [anon_sym_co_yield] = ACTIONS(3200),
    [anon_sym_R_DQUOTE] = ACTIONS(3202),
    [anon_sym_LR_DQUOTE] = ACTIONS(3202),
    [anon_sym_uR_DQUOTE] = ACTIONS(3202),
    [anon_sym_UR_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3202),
    [anon_sym_co_await] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_requires] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
  },
  [872] = {
    [sym_identifier] = ACTIONS(3499),
    [aux_sym_preproc_include_token1] = ACTIONS(3499),
    [aux_sym_preproc_def_token1] = ACTIONS(3499),
    [aux_sym_preproc_if_token1] = ACTIONS(3499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3499),
    [sym_preproc_directive] = ACTIONS(3499),
    [anon_sym_LPAREN2] = ACTIONS(3501),
    [anon_sym_BANG] = ACTIONS(3501),
    [anon_sym_TILDE] = ACTIONS(3501),
    [anon_sym_DASH] = ACTIONS(3499),
    [anon_sym_PLUS] = ACTIONS(3499),
    [anon_sym_STAR] = ACTIONS(3501),
    [anon_sym_AMP_AMP] = ACTIONS(3501),
    [anon_sym_AMP] = ACTIONS(3499),
    [anon_sym_SEMI] = ACTIONS(3501),
    [anon_sym___extension__] = ACTIONS(3499),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_extern] = ACTIONS(3499),
    [anon_sym___attribute__] = ACTIONS(3499),
    [anon_sym_COLON_COLON] = ACTIONS(3501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3501),
    [anon_sym___declspec] = ACTIONS(3499),
    [anon_sym___based] = ACTIONS(3499),
    [anon_sym___cdecl] = ACTIONS(3499),
    [anon_sym___clrcall] = ACTIONS(3499),
    [anon_sym___stdcall] = ACTIONS(3499),
    [anon_sym___fastcall] = ACTIONS(3499),
    [anon_sym___thiscall] = ACTIONS(3499),
    [anon_sym___vectorcall] = ACTIONS(3499),
    [anon_sym_LBRACE] = ACTIONS(3501),
    [anon_sym_RBRACE] = ACTIONS(3501),
    [anon_sym_signed] = ACTIONS(3499),
    [anon_sym_unsigned] = ACTIONS(3499),
    [anon_sym_long] = ACTIONS(3499),
    [anon_sym_short] = ACTIONS(3499),
    [anon_sym_LBRACK] = ACTIONS(3499),
    [anon_sym_static] = ACTIONS(3499),
    [anon_sym_register] = ACTIONS(3499),
    [anon_sym_inline] = ACTIONS(3499),
    [anon_sym___inline] = ACTIONS(3499),
    [anon_sym___inline__] = ACTIONS(3499),
    [anon_sym___forceinline] = ACTIONS(3499),
    [anon_sym_thread_local] = ACTIONS(3499),
    [anon_sym___thread] = ACTIONS(3499),
    [anon_sym_const] = ACTIONS(3499),
    [anon_sym_constexpr] = ACTIONS(3499),
    [anon_sym_volatile] = ACTIONS(3499),
    [anon_sym_restrict] = ACTIONS(3499),
    [anon_sym___restrict__] = ACTIONS(3499),
    [anon_sym__Atomic] = ACTIONS(3499),
    [anon_sym__Noreturn] = ACTIONS(3499),
    [anon_sym_noreturn] = ACTIONS(3499),
    [anon_sym_mutable] = ACTIONS(3499),
    [anon_sym_constinit] = ACTIONS(3499),
    [anon_sym_consteval] = ACTIONS(3499),
    [anon_sym_PROGMEM] = ACTIONS(3499),
    [aux_sym_primitive_type_token1] = ACTIONS(3499),
    [anon_sym_byte] = ACTIONS(3499),
    [anon_sym_word] = ACTIONS(3499),
    [anon_sym_enum] = ACTIONS(3499),
    [anon_sym_class] = ACTIONS(3499),
    [anon_sym_struct] = ACTIONS(3499),
    [anon_sym_union] = ACTIONS(3499),
    [anon_sym_if] = ACTIONS(3499),
    [anon_sym_switch] = ACTIONS(3499),
    [anon_sym_case] = ACTIONS(3499),
    [anon_sym_default] = ACTIONS(3499),
    [anon_sym_while] = ACTIONS(3499),
    [anon_sym_do] = ACTIONS(3499),
    [anon_sym_for] = ACTIONS(3499),
    [anon_sym_return] = ACTIONS(3499),
    [anon_sym_break] = ACTIONS(3499),
    [anon_sym_continue] = ACTIONS(3499),
    [anon_sym_goto] = ACTIONS(3499),
    [anon_sym___try] = ACTIONS(3499),
    [anon_sym___leave] = ACTIONS(3499),
    [anon_sym_not] = ACTIONS(3499),
    [anon_sym_compl] = ACTIONS(3499),
    [anon_sym_DASH_DASH] = ACTIONS(3501),
    [anon_sym_PLUS_PLUS] = ACTIONS(3501),
    [anon_sym_sizeof] = ACTIONS(3499),
    [anon_sym___alignof__] = ACTIONS(3499),
    [anon_sym___alignof] = ACTIONS(3499),
    [anon_sym__alignof] = ACTIONS(3499),
    [anon_sym_alignof] = ACTIONS(3499),
    [anon_sym__Alignof] = ACTIONS(3499),
    [anon_sym_offsetof] = ACTIONS(3499),
    [anon_sym__Generic] = ACTIONS(3499),
    [anon_sym_asm] = ACTIONS(3499),
    [anon_sym___asm__] = ACTIONS(3499),
    [aux_sym_number_literal_token1] = ACTIONS(3501),
    [aux_sym_number_literal_token2] = ACTIONS(3499),
    [anon_sym_L_SQUOTE] = ACTIONS(3501),
    [anon_sym_u_SQUOTE] = ACTIONS(3501),
    [anon_sym_U_SQUOTE] = ACTIONS(3501),
    [anon_sym_u8_SQUOTE] = ACTIONS(3501),
    [anon_sym_SQUOTE] = ACTIONS(3501),
    [anon_sym_L_DQUOTE] = ACTIONS(3501),
    [anon_sym_u_DQUOTE] = ACTIONS(3501),
    [anon_sym_U_DQUOTE] = ACTIONS(3501),
    [anon_sym_u8_DQUOTE] = ACTIONS(3501),
    [anon_sym_DQUOTE] = ACTIONS(3501),
    [sym_true] = ACTIONS(3499),
    [sym_false] = ACTIONS(3499),
    [anon_sym_NULL] = ACTIONS(3499),
    [anon_sym_nullptr] = ACTIONS(3499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3499),
    [anon_sym_decltype] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(3499),
    [anon_sym_alignas] = ACTIONS(3499),
    [anon_sym_explicit] = ACTIONS(3499),
    [anon_sym_typename] = ACTIONS(3499),
    [anon_sym_template] = ACTIONS(3499),
    [anon_sym_operator] = ACTIONS(3499),
    [anon_sym_try] = ACTIONS(3499),
    [anon_sym_delete] = ACTIONS(3499),
    [anon_sym_throw] = ACTIONS(3499),
    [anon_sym_namespace] = ACTIONS(3499),
    [anon_sym_using] = ACTIONS(3499),
    [anon_sym_static_assert] = ACTIONS(3499),
    [anon_sym_concept] = ACTIONS(3499),
    [anon_sym_co_return] = ACTIONS(3499),
    [anon_sym_co_yield] = ACTIONS(3499),
    [anon_sym_R_DQUOTE] = ACTIONS(3501),
    [anon_sym_LR_DQUOTE] = ACTIONS(3501),
    [anon_sym_uR_DQUOTE] = ACTIONS(3501),
    [anon_sym_UR_DQUOTE] = ACTIONS(3501),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3501),
    [anon_sym_co_await] = ACTIONS(3499),
    [anon_sym_new] = ACTIONS(3499),
    [anon_sym_requires] = ACTIONS(3499),
    [sym_this] = ACTIONS(3499),
  },
  [873] = {
    [sym_identifier] = ACTIONS(3491),
    [aux_sym_preproc_include_token1] = ACTIONS(3491),
    [aux_sym_preproc_def_token1] = ACTIONS(3491),
    [aux_sym_preproc_if_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3491),
    [anon_sym_LPAREN2] = ACTIONS(3493),
    [anon_sym_BANG] = ACTIONS(3493),
    [anon_sym_TILDE] = ACTIONS(3493),
    [anon_sym_DASH] = ACTIONS(3491),
    [anon_sym_PLUS] = ACTIONS(3491),
    [anon_sym_STAR] = ACTIONS(3493),
    [anon_sym_AMP_AMP] = ACTIONS(3493),
    [anon_sym_AMP] = ACTIONS(3491),
    [anon_sym_SEMI] = ACTIONS(3493),
    [anon_sym___extension__] = ACTIONS(3491),
    [anon_sym_typedef] = ACTIONS(3491),
    [anon_sym_extern] = ACTIONS(3491),
    [anon_sym___attribute__] = ACTIONS(3491),
    [anon_sym_COLON_COLON] = ACTIONS(3493),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3493),
    [anon_sym___declspec] = ACTIONS(3491),
    [anon_sym___based] = ACTIONS(3491),
    [anon_sym___cdecl] = ACTIONS(3491),
    [anon_sym___clrcall] = ACTIONS(3491),
    [anon_sym___stdcall] = ACTIONS(3491),
    [anon_sym___fastcall] = ACTIONS(3491),
    [anon_sym___thiscall] = ACTIONS(3491),
    [anon_sym___vectorcall] = ACTIONS(3491),
    [anon_sym_LBRACE] = ACTIONS(3493),
    [anon_sym_RBRACE] = ACTIONS(3493),
    [anon_sym_signed] = ACTIONS(3491),
    [anon_sym_unsigned] = ACTIONS(3491),
    [anon_sym_long] = ACTIONS(3491),
    [anon_sym_short] = ACTIONS(3491),
    [anon_sym_LBRACK] = ACTIONS(3491),
    [anon_sym_static] = ACTIONS(3491),
    [anon_sym_register] = ACTIONS(3491),
    [anon_sym_inline] = ACTIONS(3491),
    [anon_sym___inline] = ACTIONS(3491),
    [anon_sym___inline__] = ACTIONS(3491),
    [anon_sym___forceinline] = ACTIONS(3491),
    [anon_sym_thread_local] = ACTIONS(3491),
    [anon_sym___thread] = ACTIONS(3491),
    [anon_sym_const] = ACTIONS(3491),
    [anon_sym_constexpr] = ACTIONS(3491),
    [anon_sym_volatile] = ACTIONS(3491),
    [anon_sym_restrict] = ACTIONS(3491),
    [anon_sym___restrict__] = ACTIONS(3491),
    [anon_sym__Atomic] = ACTIONS(3491),
    [anon_sym__Noreturn] = ACTIONS(3491),
    [anon_sym_noreturn] = ACTIONS(3491),
    [anon_sym_mutable] = ACTIONS(3491),
    [anon_sym_constinit] = ACTIONS(3491),
    [anon_sym_consteval] = ACTIONS(3491),
    [anon_sym_PROGMEM] = ACTIONS(3491),
    [aux_sym_primitive_type_token1] = ACTIONS(3491),
    [anon_sym_byte] = ACTIONS(3491),
    [anon_sym_word] = ACTIONS(3491),
    [anon_sym_enum] = ACTIONS(3491),
    [anon_sym_class] = ACTIONS(3491),
    [anon_sym_struct] = ACTIONS(3491),
    [anon_sym_union] = ACTIONS(3491),
    [anon_sym_if] = ACTIONS(3491),
    [anon_sym_switch] = ACTIONS(3491),
    [anon_sym_case] = ACTIONS(3491),
    [anon_sym_default] = ACTIONS(3491),
    [anon_sym_while] = ACTIONS(3491),
    [anon_sym_do] = ACTIONS(3491),
    [anon_sym_for] = ACTIONS(3491),
    [anon_sym_return] = ACTIONS(3491),
    [anon_sym_break] = ACTIONS(3491),
    [anon_sym_continue] = ACTIONS(3491),
    [anon_sym_goto] = ACTIONS(3491),
    [anon_sym___try] = ACTIONS(3491),
    [anon_sym___leave] = ACTIONS(3491),
    [anon_sym_not] = ACTIONS(3491),
    [anon_sym_compl] = ACTIONS(3491),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_sizeof] = ACTIONS(3491),
    [anon_sym___alignof__] = ACTIONS(3491),
    [anon_sym___alignof] = ACTIONS(3491),
    [anon_sym__alignof] = ACTIONS(3491),
    [anon_sym_alignof] = ACTIONS(3491),
    [anon_sym__Alignof] = ACTIONS(3491),
    [anon_sym_offsetof] = ACTIONS(3491),
    [anon_sym__Generic] = ACTIONS(3491),
    [anon_sym_asm] = ACTIONS(3491),
    [anon_sym___asm__] = ACTIONS(3491),
    [aux_sym_number_literal_token1] = ACTIONS(3493),
    [aux_sym_number_literal_token2] = ACTIONS(3491),
    [anon_sym_L_SQUOTE] = ACTIONS(3493),
    [anon_sym_u_SQUOTE] = ACTIONS(3493),
    [anon_sym_U_SQUOTE] = ACTIONS(3493),
    [anon_sym_u8_SQUOTE] = ACTIONS(3493),
    [anon_sym_SQUOTE] = ACTIONS(3493),
    [anon_sym_L_DQUOTE] = ACTIONS(3493),
    [anon_sym_u_DQUOTE] = ACTIONS(3493),
    [anon_sym_U_DQUOTE] = ACTIONS(3493),
    [anon_sym_u8_DQUOTE] = ACTIONS(3493),
    [anon_sym_DQUOTE] = ACTIONS(3493),
    [sym_true] = ACTIONS(3491),
    [sym_false] = ACTIONS(3491),
    [anon_sym_NULL] = ACTIONS(3491),
    [anon_sym_nullptr] = ACTIONS(3491),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3491),
    [anon_sym_decltype] = ACTIONS(3491),
    [anon_sym_virtual] = ACTIONS(3491),
    [anon_sym_alignas] = ACTIONS(3491),
    [anon_sym_explicit] = ACTIONS(3491),
    [anon_sym_typename] = ACTIONS(3491),
    [anon_sym_template] = ACTIONS(3491),
    [anon_sym_operator] = ACTIONS(3491),
    [anon_sym_try] = ACTIONS(3491),
    [anon_sym_delete] = ACTIONS(3491),
    [anon_sym_throw] = ACTIONS(3491),
    [anon_sym_namespace] = ACTIONS(3491),
    [anon_sym_using] = ACTIONS(3491),
    [anon_sym_static_assert] = ACTIONS(3491),
    [anon_sym_concept] = ACTIONS(3491),
    [anon_sym_co_return] = ACTIONS(3491),
    [anon_sym_co_yield] = ACTIONS(3491),
    [anon_sym_R_DQUOTE] = ACTIONS(3493),
    [anon_sym_LR_DQUOTE] = ACTIONS(3493),
    [anon_sym_uR_DQUOTE] = ACTIONS(3493),
    [anon_sym_UR_DQUOTE] = ACTIONS(3493),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3493),
    [anon_sym_co_await] = ACTIONS(3491),
    [anon_sym_new] = ACTIONS(3491),
    [anon_sym_requires] = ACTIONS(3491),
    [sym_this] = ACTIONS(3491),
  },
  [874] = {
    [sym_identifier] = ACTIONS(3483),
    [aux_sym_preproc_include_token1] = ACTIONS(3483),
    [aux_sym_preproc_def_token1] = ACTIONS(3483),
    [aux_sym_preproc_if_token1] = ACTIONS(3483),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3483),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3483),
    [sym_preproc_directive] = ACTIONS(3483),
    [anon_sym_LPAREN2] = ACTIONS(3485),
    [anon_sym_BANG] = ACTIONS(3485),
    [anon_sym_TILDE] = ACTIONS(3485),
    [anon_sym_DASH] = ACTIONS(3483),
    [anon_sym_PLUS] = ACTIONS(3483),
    [anon_sym_STAR] = ACTIONS(3485),
    [anon_sym_AMP_AMP] = ACTIONS(3485),
    [anon_sym_AMP] = ACTIONS(3483),
    [anon_sym_SEMI] = ACTIONS(3485),
    [anon_sym___extension__] = ACTIONS(3483),
    [anon_sym_typedef] = ACTIONS(3483),
    [anon_sym_extern] = ACTIONS(3483),
    [anon_sym___attribute__] = ACTIONS(3483),
    [anon_sym_COLON_COLON] = ACTIONS(3485),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3485),
    [anon_sym___declspec] = ACTIONS(3483),
    [anon_sym___based] = ACTIONS(3483),
    [anon_sym___cdecl] = ACTIONS(3483),
    [anon_sym___clrcall] = ACTIONS(3483),
    [anon_sym___stdcall] = ACTIONS(3483),
    [anon_sym___fastcall] = ACTIONS(3483),
    [anon_sym___thiscall] = ACTIONS(3483),
    [anon_sym___vectorcall] = ACTIONS(3483),
    [anon_sym_LBRACE] = ACTIONS(3485),
    [anon_sym_RBRACE] = ACTIONS(3485),
    [anon_sym_signed] = ACTIONS(3483),
    [anon_sym_unsigned] = ACTIONS(3483),
    [anon_sym_long] = ACTIONS(3483),
    [anon_sym_short] = ACTIONS(3483),
    [anon_sym_LBRACK] = ACTIONS(3483),
    [anon_sym_static] = ACTIONS(3483),
    [anon_sym_register] = ACTIONS(3483),
    [anon_sym_inline] = ACTIONS(3483),
    [anon_sym___inline] = ACTIONS(3483),
    [anon_sym___inline__] = ACTIONS(3483),
    [anon_sym___forceinline] = ACTIONS(3483),
    [anon_sym_thread_local] = ACTIONS(3483),
    [anon_sym___thread] = ACTIONS(3483),
    [anon_sym_const] = ACTIONS(3483),
    [anon_sym_constexpr] = ACTIONS(3483),
    [anon_sym_volatile] = ACTIONS(3483),
    [anon_sym_restrict] = ACTIONS(3483),
    [anon_sym___restrict__] = ACTIONS(3483),
    [anon_sym__Atomic] = ACTIONS(3483),
    [anon_sym__Noreturn] = ACTIONS(3483),
    [anon_sym_noreturn] = ACTIONS(3483),
    [anon_sym_mutable] = ACTIONS(3483),
    [anon_sym_constinit] = ACTIONS(3483),
    [anon_sym_consteval] = ACTIONS(3483),
    [anon_sym_PROGMEM] = ACTIONS(3483),
    [aux_sym_primitive_type_token1] = ACTIONS(3483),
    [anon_sym_byte] = ACTIONS(3483),
    [anon_sym_word] = ACTIONS(3483),
    [anon_sym_enum] = ACTIONS(3483),
    [anon_sym_class] = ACTIONS(3483),
    [anon_sym_struct] = ACTIONS(3483),
    [anon_sym_union] = ACTIONS(3483),
    [anon_sym_if] = ACTIONS(3483),
    [anon_sym_switch] = ACTIONS(3483),
    [anon_sym_case] = ACTIONS(3483),
    [anon_sym_default] = ACTIONS(3483),
    [anon_sym_while] = ACTIONS(3483),
    [anon_sym_do] = ACTIONS(3483),
    [anon_sym_for] = ACTIONS(3483),
    [anon_sym_return] = ACTIONS(3483),
    [anon_sym_break] = ACTIONS(3483),
    [anon_sym_continue] = ACTIONS(3483),
    [anon_sym_goto] = ACTIONS(3483),
    [anon_sym___try] = ACTIONS(3483),
    [anon_sym___leave] = ACTIONS(3483),
    [anon_sym_not] = ACTIONS(3483),
    [anon_sym_compl] = ACTIONS(3483),
    [anon_sym_DASH_DASH] = ACTIONS(3485),
    [anon_sym_PLUS_PLUS] = ACTIONS(3485),
    [anon_sym_sizeof] = ACTIONS(3483),
    [anon_sym___alignof__] = ACTIONS(3483),
    [anon_sym___alignof] = ACTIONS(3483),
    [anon_sym__alignof] = ACTIONS(3483),
    [anon_sym_alignof] = ACTIONS(3483),
    [anon_sym__Alignof] = ACTIONS(3483),
    [anon_sym_offsetof] = ACTIONS(3483),
    [anon_sym__Generic] = ACTIONS(3483),
    [anon_sym_asm] = ACTIONS(3483),
    [anon_sym___asm__] = ACTIONS(3483),
    [aux_sym_number_literal_token1] = ACTIONS(3485),
    [aux_sym_number_literal_token2] = ACTIONS(3483),
    [anon_sym_L_SQUOTE] = ACTIONS(3485),
    [anon_sym_u_SQUOTE] = ACTIONS(3485),
    [anon_sym_U_SQUOTE] = ACTIONS(3485),
    [anon_sym_u8_SQUOTE] = ACTIONS(3485),
    [anon_sym_SQUOTE] = ACTIONS(3485),
    [anon_sym_L_DQUOTE] = ACTIONS(3485),
    [anon_sym_u_DQUOTE] = ACTIONS(3485),
    [anon_sym_U_DQUOTE] = ACTIONS(3485),
    [anon_sym_u8_DQUOTE] = ACTIONS(3485),
    [anon_sym_DQUOTE] = ACTIONS(3485),
    [sym_true] = ACTIONS(3483),
    [sym_false] = ACTIONS(3483),
    [anon_sym_NULL] = ACTIONS(3483),
    [anon_sym_nullptr] = ACTIONS(3483),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3483),
    [anon_sym_decltype] = ACTIONS(3483),
    [anon_sym_virtual] = ACTIONS(3483),
    [anon_sym_alignas] = ACTIONS(3483),
    [anon_sym_explicit] = ACTIONS(3483),
    [anon_sym_typename] = ACTIONS(3483),
    [anon_sym_template] = ACTIONS(3483),
    [anon_sym_operator] = ACTIONS(3483),
    [anon_sym_try] = ACTIONS(3483),
    [anon_sym_delete] = ACTIONS(3483),
    [anon_sym_throw] = ACTIONS(3483),
    [anon_sym_namespace] = ACTIONS(3483),
    [anon_sym_using] = ACTIONS(3483),
    [anon_sym_static_assert] = ACTIONS(3483),
    [anon_sym_concept] = ACTIONS(3483),
    [anon_sym_co_return] = ACTIONS(3483),
    [anon_sym_co_yield] = ACTIONS(3483),
    [anon_sym_R_DQUOTE] = ACTIONS(3485),
    [anon_sym_LR_DQUOTE] = ACTIONS(3485),
    [anon_sym_uR_DQUOTE] = ACTIONS(3485),
    [anon_sym_UR_DQUOTE] = ACTIONS(3485),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3485),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3483),
    [anon_sym_requires] = ACTIONS(3483),
    [sym_this] = ACTIONS(3483),
  },
  [875] = {
    [sym_identifier] = ACTIONS(3479),
    [aux_sym_preproc_include_token1] = ACTIONS(3479),
    [aux_sym_preproc_def_token1] = ACTIONS(3479),
    [aux_sym_preproc_if_token1] = ACTIONS(3479),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3479),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3479),
    [sym_preproc_directive] = ACTIONS(3479),
    [anon_sym_LPAREN2] = ACTIONS(3481),
    [anon_sym_BANG] = ACTIONS(3481),
    [anon_sym_TILDE] = ACTIONS(3481),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3481),
    [anon_sym_AMP_AMP] = ACTIONS(3481),
    [anon_sym_AMP] = ACTIONS(3479),
    [anon_sym_SEMI] = ACTIONS(3481),
    [anon_sym___extension__] = ACTIONS(3479),
    [anon_sym_typedef] = ACTIONS(3479),
    [anon_sym_extern] = ACTIONS(3479),
    [anon_sym___attribute__] = ACTIONS(3479),
    [anon_sym_COLON_COLON] = ACTIONS(3481),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3481),
    [anon_sym___declspec] = ACTIONS(3479),
    [anon_sym___based] = ACTIONS(3479),
    [anon_sym___cdecl] = ACTIONS(3479),
    [anon_sym___clrcall] = ACTIONS(3479),
    [anon_sym___stdcall] = ACTIONS(3479),
    [anon_sym___fastcall] = ACTIONS(3479),
    [anon_sym___thiscall] = ACTIONS(3479),
    [anon_sym___vectorcall] = ACTIONS(3479),
    [anon_sym_LBRACE] = ACTIONS(3481),
    [anon_sym_RBRACE] = ACTIONS(3481),
    [anon_sym_signed] = ACTIONS(3479),
    [anon_sym_unsigned] = ACTIONS(3479),
    [anon_sym_long] = ACTIONS(3479),
    [anon_sym_short] = ACTIONS(3479),
    [anon_sym_LBRACK] = ACTIONS(3479),
    [anon_sym_static] = ACTIONS(3479),
    [anon_sym_register] = ACTIONS(3479),
    [anon_sym_inline] = ACTIONS(3479),
    [anon_sym___inline] = ACTIONS(3479),
    [anon_sym___inline__] = ACTIONS(3479),
    [anon_sym___forceinline] = ACTIONS(3479),
    [anon_sym_thread_local] = ACTIONS(3479),
    [anon_sym___thread] = ACTIONS(3479),
    [anon_sym_const] = ACTIONS(3479),
    [anon_sym_constexpr] = ACTIONS(3479),
    [anon_sym_volatile] = ACTIONS(3479),
    [anon_sym_restrict] = ACTIONS(3479),
    [anon_sym___restrict__] = ACTIONS(3479),
    [anon_sym__Atomic] = ACTIONS(3479),
    [anon_sym__Noreturn] = ACTIONS(3479),
    [anon_sym_noreturn] = ACTIONS(3479),
    [anon_sym_mutable] = ACTIONS(3479),
    [anon_sym_constinit] = ACTIONS(3479),
    [anon_sym_consteval] = ACTIONS(3479),
    [anon_sym_PROGMEM] = ACTIONS(3479),
    [aux_sym_primitive_type_token1] = ACTIONS(3479),
    [anon_sym_byte] = ACTIONS(3479),
    [anon_sym_word] = ACTIONS(3479),
    [anon_sym_enum] = ACTIONS(3479),
    [anon_sym_class] = ACTIONS(3479),
    [anon_sym_struct] = ACTIONS(3479),
    [anon_sym_union] = ACTIONS(3479),
    [anon_sym_if] = ACTIONS(3479),
    [anon_sym_switch] = ACTIONS(3479),
    [anon_sym_case] = ACTIONS(3479),
    [anon_sym_default] = ACTIONS(3479),
    [anon_sym_while] = ACTIONS(3479),
    [anon_sym_do] = ACTIONS(3479),
    [anon_sym_for] = ACTIONS(3479),
    [anon_sym_return] = ACTIONS(3479),
    [anon_sym_break] = ACTIONS(3479),
    [anon_sym_continue] = ACTIONS(3479),
    [anon_sym_goto] = ACTIONS(3479),
    [anon_sym___try] = ACTIONS(3479),
    [anon_sym___leave] = ACTIONS(3479),
    [anon_sym_not] = ACTIONS(3479),
    [anon_sym_compl] = ACTIONS(3479),
    [anon_sym_DASH_DASH] = ACTIONS(3481),
    [anon_sym_PLUS_PLUS] = ACTIONS(3481),
    [anon_sym_sizeof] = ACTIONS(3479),
    [anon_sym___alignof__] = ACTIONS(3479),
    [anon_sym___alignof] = ACTIONS(3479),
    [anon_sym__alignof] = ACTIONS(3479),
    [anon_sym_alignof] = ACTIONS(3479),
    [anon_sym__Alignof] = ACTIONS(3479),
    [anon_sym_offsetof] = ACTIONS(3479),
    [anon_sym__Generic] = ACTIONS(3479),
    [anon_sym_asm] = ACTIONS(3479),
    [anon_sym___asm__] = ACTIONS(3479),
    [aux_sym_number_literal_token1] = ACTIONS(3481),
    [aux_sym_number_literal_token2] = ACTIONS(3479),
    [anon_sym_L_SQUOTE] = ACTIONS(3481),
    [anon_sym_u_SQUOTE] = ACTIONS(3481),
    [anon_sym_U_SQUOTE] = ACTIONS(3481),
    [anon_sym_u8_SQUOTE] = ACTIONS(3481),
    [anon_sym_SQUOTE] = ACTIONS(3481),
    [anon_sym_L_DQUOTE] = ACTIONS(3481),
    [anon_sym_u_DQUOTE] = ACTIONS(3481),
    [anon_sym_U_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8_DQUOTE] = ACTIONS(3481),
    [anon_sym_DQUOTE] = ACTIONS(3481),
    [sym_true] = ACTIONS(3479),
    [sym_false] = ACTIONS(3479),
    [anon_sym_NULL] = ACTIONS(3479),
    [anon_sym_nullptr] = ACTIONS(3479),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3479),
    [anon_sym_decltype] = ACTIONS(3479),
    [anon_sym_virtual] = ACTIONS(3479),
    [anon_sym_alignas] = ACTIONS(3479),
    [anon_sym_explicit] = ACTIONS(3479),
    [anon_sym_typename] = ACTIONS(3479),
    [anon_sym_template] = ACTIONS(3479),
    [anon_sym_operator] = ACTIONS(3479),
    [anon_sym_try] = ACTIONS(3479),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_throw] = ACTIONS(3479),
    [anon_sym_namespace] = ACTIONS(3479),
    [anon_sym_using] = ACTIONS(3479),
    [anon_sym_static_assert] = ACTIONS(3479),
    [anon_sym_concept] = ACTIONS(3479),
    [anon_sym_co_return] = ACTIONS(3479),
    [anon_sym_co_yield] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3479),
    [anon_sym_new] = ACTIONS(3479),
    [anon_sym_requires] = ACTIONS(3479),
    [sym_this] = ACTIONS(3479),
  },
  [876] = {
    [sym_identifier] = ACTIONS(3465),
    [aux_sym_preproc_include_token1] = ACTIONS(3465),
    [aux_sym_preproc_def_token1] = ACTIONS(3465),
    [aux_sym_preproc_if_token1] = ACTIONS(3465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3465),
    [sym_preproc_directive] = ACTIONS(3465),
    [anon_sym_LPAREN2] = ACTIONS(3467),
    [anon_sym_BANG] = ACTIONS(3467),
    [anon_sym_TILDE] = ACTIONS(3467),
    [anon_sym_DASH] = ACTIONS(3465),
    [anon_sym_PLUS] = ACTIONS(3465),
    [anon_sym_STAR] = ACTIONS(3467),
    [anon_sym_AMP_AMP] = ACTIONS(3467),
    [anon_sym_AMP] = ACTIONS(3465),
    [anon_sym_SEMI] = ACTIONS(3467),
    [anon_sym___extension__] = ACTIONS(3465),
    [anon_sym_typedef] = ACTIONS(3465),
    [anon_sym_extern] = ACTIONS(3465),
    [anon_sym___attribute__] = ACTIONS(3465),
    [anon_sym_COLON_COLON] = ACTIONS(3467),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3467),
    [anon_sym___declspec] = ACTIONS(3465),
    [anon_sym___based] = ACTIONS(3465),
    [anon_sym___cdecl] = ACTIONS(3465),
    [anon_sym___clrcall] = ACTIONS(3465),
    [anon_sym___stdcall] = ACTIONS(3465),
    [anon_sym___fastcall] = ACTIONS(3465),
    [anon_sym___thiscall] = ACTIONS(3465),
    [anon_sym___vectorcall] = ACTIONS(3465),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(3467),
    [anon_sym_signed] = ACTIONS(3465),
    [anon_sym_unsigned] = ACTIONS(3465),
    [anon_sym_long] = ACTIONS(3465),
    [anon_sym_short] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(3465),
    [anon_sym_static] = ACTIONS(3465),
    [anon_sym_register] = ACTIONS(3465),
    [anon_sym_inline] = ACTIONS(3465),
    [anon_sym___inline] = ACTIONS(3465),
    [anon_sym___inline__] = ACTIONS(3465),
    [anon_sym___forceinline] = ACTIONS(3465),
    [anon_sym_thread_local] = ACTIONS(3465),
    [anon_sym___thread] = ACTIONS(3465),
    [anon_sym_const] = ACTIONS(3465),
    [anon_sym_constexpr] = ACTIONS(3465),
    [anon_sym_volatile] = ACTIONS(3465),
    [anon_sym_restrict] = ACTIONS(3465),
    [anon_sym___restrict__] = ACTIONS(3465),
    [anon_sym__Atomic] = ACTIONS(3465),
    [anon_sym__Noreturn] = ACTIONS(3465),
    [anon_sym_noreturn] = ACTIONS(3465),
    [anon_sym_mutable] = ACTIONS(3465),
    [anon_sym_constinit] = ACTIONS(3465),
    [anon_sym_consteval] = ACTIONS(3465),
    [anon_sym_PROGMEM] = ACTIONS(3465),
    [aux_sym_primitive_type_token1] = ACTIONS(3465),
    [anon_sym_byte] = ACTIONS(3465),
    [anon_sym_word] = ACTIONS(3465),
    [anon_sym_enum] = ACTIONS(3465),
    [anon_sym_class] = ACTIONS(3465),
    [anon_sym_struct] = ACTIONS(3465),
    [anon_sym_union] = ACTIONS(3465),
    [anon_sym_if] = ACTIONS(3465),
    [anon_sym_switch] = ACTIONS(3465),
    [anon_sym_case] = ACTIONS(3465),
    [anon_sym_default] = ACTIONS(3465),
    [anon_sym_while] = ACTIONS(3465),
    [anon_sym_do] = ACTIONS(3465),
    [anon_sym_for] = ACTIONS(3465),
    [anon_sym_return] = ACTIONS(3465),
    [anon_sym_break] = ACTIONS(3465),
    [anon_sym_continue] = ACTIONS(3465),
    [anon_sym_goto] = ACTIONS(3465),
    [anon_sym___try] = ACTIONS(3465),
    [anon_sym___leave] = ACTIONS(3465),
    [anon_sym_not] = ACTIONS(3465),
    [anon_sym_compl] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3467),
    [anon_sym_PLUS_PLUS] = ACTIONS(3467),
    [anon_sym_sizeof] = ACTIONS(3465),
    [anon_sym___alignof__] = ACTIONS(3465),
    [anon_sym___alignof] = ACTIONS(3465),
    [anon_sym__alignof] = ACTIONS(3465),
    [anon_sym_alignof] = ACTIONS(3465),
    [anon_sym__Alignof] = ACTIONS(3465),
    [anon_sym_offsetof] = ACTIONS(3465),
    [anon_sym__Generic] = ACTIONS(3465),
    [anon_sym_asm] = ACTIONS(3465),
    [anon_sym___asm__] = ACTIONS(3465),
    [aux_sym_number_literal_token1] = ACTIONS(3467),
    [aux_sym_number_literal_token2] = ACTIONS(3465),
    [anon_sym_L_SQUOTE] = ACTIONS(3467),
    [anon_sym_u_SQUOTE] = ACTIONS(3467),
    [anon_sym_U_SQUOTE] = ACTIONS(3467),
    [anon_sym_u8_SQUOTE] = ACTIONS(3467),
    [anon_sym_SQUOTE] = ACTIONS(3467),
    [anon_sym_L_DQUOTE] = ACTIONS(3467),
    [anon_sym_u_DQUOTE] = ACTIONS(3467),
    [anon_sym_U_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8_DQUOTE] = ACTIONS(3467),
    [anon_sym_DQUOTE] = ACTIONS(3467),
    [sym_true] = ACTIONS(3465),
    [sym_false] = ACTIONS(3465),
    [anon_sym_NULL] = ACTIONS(3465),
    [anon_sym_nullptr] = ACTIONS(3465),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3465),
    [anon_sym_decltype] = ACTIONS(3465),
    [anon_sym_virtual] = ACTIONS(3465),
    [anon_sym_alignas] = ACTIONS(3465),
    [anon_sym_explicit] = ACTIONS(3465),
    [anon_sym_typename] = ACTIONS(3465),
    [anon_sym_template] = ACTIONS(3465),
    [anon_sym_operator] = ACTIONS(3465),
    [anon_sym_try] = ACTIONS(3465),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_throw] = ACTIONS(3465),
    [anon_sym_namespace] = ACTIONS(3465),
    [anon_sym_using] = ACTIONS(3465),
    [anon_sym_static_assert] = ACTIONS(3465),
    [anon_sym_concept] = ACTIONS(3465),
    [anon_sym_co_return] = ACTIONS(3465),
    [anon_sym_co_yield] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3465),
    [anon_sym_new] = ACTIONS(3465),
    [anon_sym_requires] = ACTIONS(3465),
    [sym_this] = ACTIONS(3465),
  },
  [877] = {
    [sym_identifier] = ACTIONS(3361),
    [aux_sym_preproc_include_token1] = ACTIONS(3361),
    [aux_sym_preproc_def_token1] = ACTIONS(3361),
    [aux_sym_preproc_if_token1] = ACTIONS(3361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3361),
    [sym_preproc_directive] = ACTIONS(3361),
    [anon_sym_LPAREN2] = ACTIONS(3363),
    [anon_sym_BANG] = ACTIONS(3363),
    [anon_sym_TILDE] = ACTIONS(3363),
    [anon_sym_DASH] = ACTIONS(3361),
    [anon_sym_PLUS] = ACTIONS(3361),
    [anon_sym_STAR] = ACTIONS(3363),
    [anon_sym_AMP_AMP] = ACTIONS(3363),
    [anon_sym_AMP] = ACTIONS(3361),
    [anon_sym_SEMI] = ACTIONS(3363),
    [anon_sym___extension__] = ACTIONS(3361),
    [anon_sym_typedef] = ACTIONS(3361),
    [anon_sym_extern] = ACTIONS(3361),
    [anon_sym___attribute__] = ACTIONS(3361),
    [anon_sym_COLON_COLON] = ACTIONS(3363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3363),
    [anon_sym___declspec] = ACTIONS(3361),
    [anon_sym___based] = ACTIONS(3361),
    [anon_sym___cdecl] = ACTIONS(3361),
    [anon_sym___clrcall] = ACTIONS(3361),
    [anon_sym___stdcall] = ACTIONS(3361),
    [anon_sym___fastcall] = ACTIONS(3361),
    [anon_sym___thiscall] = ACTIONS(3361),
    [anon_sym___vectorcall] = ACTIONS(3361),
    [anon_sym_LBRACE] = ACTIONS(3363),
    [anon_sym_RBRACE] = ACTIONS(3363),
    [anon_sym_signed] = ACTIONS(3361),
    [anon_sym_unsigned] = ACTIONS(3361),
    [anon_sym_long] = ACTIONS(3361),
    [anon_sym_short] = ACTIONS(3361),
    [anon_sym_LBRACK] = ACTIONS(3361),
    [anon_sym_static] = ACTIONS(3361),
    [anon_sym_register] = ACTIONS(3361),
    [anon_sym_inline] = ACTIONS(3361),
    [anon_sym___inline] = ACTIONS(3361),
    [anon_sym___inline__] = ACTIONS(3361),
    [anon_sym___forceinline] = ACTIONS(3361),
    [anon_sym_thread_local] = ACTIONS(3361),
    [anon_sym___thread] = ACTIONS(3361),
    [anon_sym_const] = ACTIONS(3361),
    [anon_sym_constexpr] = ACTIONS(3361),
    [anon_sym_volatile] = ACTIONS(3361),
    [anon_sym_restrict] = ACTIONS(3361),
    [anon_sym___restrict__] = ACTIONS(3361),
    [anon_sym__Atomic] = ACTIONS(3361),
    [anon_sym__Noreturn] = ACTIONS(3361),
    [anon_sym_noreturn] = ACTIONS(3361),
    [anon_sym_mutable] = ACTIONS(3361),
    [anon_sym_constinit] = ACTIONS(3361),
    [anon_sym_consteval] = ACTIONS(3361),
    [anon_sym_PROGMEM] = ACTIONS(3361),
    [aux_sym_primitive_type_token1] = ACTIONS(3361),
    [anon_sym_byte] = ACTIONS(3361),
    [anon_sym_word] = ACTIONS(3361),
    [anon_sym_enum] = ACTIONS(3361),
    [anon_sym_class] = ACTIONS(3361),
    [anon_sym_struct] = ACTIONS(3361),
    [anon_sym_union] = ACTIONS(3361),
    [anon_sym_if] = ACTIONS(3361),
    [anon_sym_switch] = ACTIONS(3361),
    [anon_sym_case] = ACTIONS(3361),
    [anon_sym_default] = ACTIONS(3361),
    [anon_sym_while] = ACTIONS(3361),
    [anon_sym_do] = ACTIONS(3361),
    [anon_sym_for] = ACTIONS(3361),
    [anon_sym_return] = ACTIONS(3361),
    [anon_sym_break] = ACTIONS(3361),
    [anon_sym_continue] = ACTIONS(3361),
    [anon_sym_goto] = ACTIONS(3361),
    [anon_sym___try] = ACTIONS(3361),
    [anon_sym___leave] = ACTIONS(3361),
    [anon_sym_not] = ACTIONS(3361),
    [anon_sym_compl] = ACTIONS(3361),
    [anon_sym_DASH_DASH] = ACTIONS(3363),
    [anon_sym_PLUS_PLUS] = ACTIONS(3363),
    [anon_sym_sizeof] = ACTIONS(3361),
    [anon_sym___alignof__] = ACTIONS(3361),
    [anon_sym___alignof] = ACTIONS(3361),
    [anon_sym__alignof] = ACTIONS(3361),
    [anon_sym_alignof] = ACTIONS(3361),
    [anon_sym__Alignof] = ACTIONS(3361),
    [anon_sym_offsetof] = ACTIONS(3361),
    [anon_sym__Generic] = ACTIONS(3361),
    [anon_sym_asm] = ACTIONS(3361),
    [anon_sym___asm__] = ACTIONS(3361),
    [aux_sym_number_literal_token1] = ACTIONS(3363),
    [aux_sym_number_literal_token2] = ACTIONS(3361),
    [anon_sym_L_SQUOTE] = ACTIONS(3363),
    [anon_sym_u_SQUOTE] = ACTIONS(3363),
    [anon_sym_U_SQUOTE] = ACTIONS(3363),
    [anon_sym_u8_SQUOTE] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(3363),
    [anon_sym_L_DQUOTE] = ACTIONS(3363),
    [anon_sym_u_DQUOTE] = ACTIONS(3363),
    [anon_sym_U_DQUOTE] = ACTIONS(3363),
    [anon_sym_u8_DQUOTE] = ACTIONS(3363),
    [anon_sym_DQUOTE] = ACTIONS(3363),
    [sym_true] = ACTIONS(3361),
    [sym_false] = ACTIONS(3361),
    [anon_sym_NULL] = ACTIONS(3361),
    [anon_sym_nullptr] = ACTIONS(3361),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3361),
    [anon_sym_decltype] = ACTIONS(3361),
    [anon_sym_virtual] = ACTIONS(3361),
    [anon_sym_alignas] = ACTIONS(3361),
    [anon_sym_explicit] = ACTIONS(3361),
    [anon_sym_typename] = ACTIONS(3361),
    [anon_sym_template] = ACTIONS(3361),
    [anon_sym_operator] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3361),
    [anon_sym_delete] = ACTIONS(3361),
    [anon_sym_throw] = ACTIONS(3361),
    [anon_sym_namespace] = ACTIONS(3361),
    [anon_sym_using] = ACTIONS(3361),
    [anon_sym_static_assert] = ACTIONS(3361),
    [anon_sym_concept] = ACTIONS(3361),
    [anon_sym_co_return] = ACTIONS(3361),
    [anon_sym_co_yield] = ACTIONS(3361),
    [anon_sym_R_DQUOTE] = ACTIONS(3363),
    [anon_sym_LR_DQUOTE] = ACTIONS(3363),
    [anon_sym_uR_DQUOTE] = ACTIONS(3363),
    [anon_sym_UR_DQUOTE] = ACTIONS(3363),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3363),
    [anon_sym_co_await] = ACTIONS(3361),
    [anon_sym_new] = ACTIONS(3361),
    [anon_sym_requires] = ACTIONS(3361),
    [sym_this] = ACTIONS(3361),
  },
  [878] = {
    [sym_identifier] = ACTIONS(3347),
    [aux_sym_preproc_include_token1] = ACTIONS(3347),
    [aux_sym_preproc_def_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token1] = ACTIONS(3347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3347),
    [sym_preproc_directive] = ACTIONS(3347),
    [anon_sym_LPAREN2] = ACTIONS(3349),
    [anon_sym_BANG] = ACTIONS(3349),
    [anon_sym_TILDE] = ACTIONS(3349),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_AMP_AMP] = ACTIONS(3349),
    [anon_sym_AMP] = ACTIONS(3347),
    [anon_sym_SEMI] = ACTIONS(3349),
    [anon_sym___extension__] = ACTIONS(3347),
    [anon_sym_typedef] = ACTIONS(3347),
    [anon_sym_extern] = ACTIONS(3347),
    [anon_sym___attribute__] = ACTIONS(3347),
    [anon_sym_COLON_COLON] = ACTIONS(3349),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3349),
    [anon_sym___declspec] = ACTIONS(3347),
    [anon_sym___based] = ACTIONS(3347),
    [anon_sym___cdecl] = ACTIONS(3347),
    [anon_sym___clrcall] = ACTIONS(3347),
    [anon_sym___stdcall] = ACTIONS(3347),
    [anon_sym___fastcall] = ACTIONS(3347),
    [anon_sym___thiscall] = ACTIONS(3347),
    [anon_sym___vectorcall] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3349),
    [anon_sym_RBRACE] = ACTIONS(3349),
    [anon_sym_signed] = ACTIONS(3347),
    [anon_sym_unsigned] = ACTIONS(3347),
    [anon_sym_long] = ACTIONS(3347),
    [anon_sym_short] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_register] = ACTIONS(3347),
    [anon_sym_inline] = ACTIONS(3347),
    [anon_sym___inline] = ACTIONS(3347),
    [anon_sym___inline__] = ACTIONS(3347),
    [anon_sym___forceinline] = ACTIONS(3347),
    [anon_sym_thread_local] = ACTIONS(3347),
    [anon_sym___thread] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_constexpr] = ACTIONS(3347),
    [anon_sym_volatile] = ACTIONS(3347),
    [anon_sym_restrict] = ACTIONS(3347),
    [anon_sym___restrict__] = ACTIONS(3347),
    [anon_sym__Atomic] = ACTIONS(3347),
    [anon_sym__Noreturn] = ACTIONS(3347),
    [anon_sym_noreturn] = ACTIONS(3347),
    [anon_sym_mutable] = ACTIONS(3347),
    [anon_sym_constinit] = ACTIONS(3347),
    [anon_sym_consteval] = ACTIONS(3347),
    [anon_sym_PROGMEM] = ACTIONS(3347),
    [aux_sym_primitive_type_token1] = ACTIONS(3347),
    [anon_sym_byte] = ACTIONS(3347),
    [anon_sym_word] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_struct] = ACTIONS(3347),
    [anon_sym_union] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(3347),
    [anon_sym_switch] = ACTIONS(3347),
    [anon_sym_case] = ACTIONS(3347),
    [anon_sym_default] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(3347),
    [anon_sym_do] = ACTIONS(3347),
    [anon_sym_for] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3347),
    [anon_sym_break] = ACTIONS(3347),
    [anon_sym_continue] = ACTIONS(3347),
    [anon_sym_goto] = ACTIONS(3347),
    [anon_sym___try] = ACTIONS(3347),
    [anon_sym___leave] = ACTIONS(3347),
    [anon_sym_not] = ACTIONS(3347),
    [anon_sym_compl] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3349),
    [anon_sym_PLUS_PLUS] = ACTIONS(3349),
    [anon_sym_sizeof] = ACTIONS(3347),
    [anon_sym___alignof__] = ACTIONS(3347),
    [anon_sym___alignof] = ACTIONS(3347),
    [anon_sym__alignof] = ACTIONS(3347),
    [anon_sym_alignof] = ACTIONS(3347),
    [anon_sym__Alignof] = ACTIONS(3347),
    [anon_sym_offsetof] = ACTIONS(3347),
    [anon_sym__Generic] = ACTIONS(3347),
    [anon_sym_asm] = ACTIONS(3347),
    [anon_sym___asm__] = ACTIONS(3347),
    [aux_sym_number_literal_token1] = ACTIONS(3349),
    [aux_sym_number_literal_token2] = ACTIONS(3347),
    [anon_sym_L_SQUOTE] = ACTIONS(3349),
    [anon_sym_u_SQUOTE] = ACTIONS(3349),
    [anon_sym_U_SQUOTE] = ACTIONS(3349),
    [anon_sym_u8_SQUOTE] = ACTIONS(3349),
    [anon_sym_SQUOTE] = ACTIONS(3349),
    [anon_sym_L_DQUOTE] = ACTIONS(3349),
    [anon_sym_u_DQUOTE] = ACTIONS(3349),
    [anon_sym_U_DQUOTE] = ACTIONS(3349),
    [anon_sym_u8_DQUOTE] = ACTIONS(3349),
    [anon_sym_DQUOTE] = ACTIONS(3349),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [anon_sym_NULL] = ACTIONS(3347),
    [anon_sym_nullptr] = ACTIONS(3347),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3347),
    [anon_sym_decltype] = ACTIONS(3347),
    [anon_sym_virtual] = ACTIONS(3347),
    [anon_sym_alignas] = ACTIONS(3347),
    [anon_sym_explicit] = ACTIONS(3347),
    [anon_sym_typename] = ACTIONS(3347),
    [anon_sym_template] = ACTIONS(3347),
    [anon_sym_operator] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3347),
    [anon_sym_delete] = ACTIONS(3347),
    [anon_sym_throw] = ACTIONS(3347),
    [anon_sym_namespace] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_static_assert] = ACTIONS(3347),
    [anon_sym_concept] = ACTIONS(3347),
    [anon_sym_co_return] = ACTIONS(3347),
    [anon_sym_co_yield] = ACTIONS(3347),
    [anon_sym_R_DQUOTE] = ACTIONS(3349),
    [anon_sym_LR_DQUOTE] = ACTIONS(3349),
    [anon_sym_uR_DQUOTE] = ACTIONS(3349),
    [anon_sym_UR_DQUOTE] = ACTIONS(3349),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3349),
    [anon_sym_co_await] = ACTIONS(3347),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_requires] = ACTIONS(3347),
    [sym_this] = ACTIONS(3347),
  },
  [879] = {
    [sym_identifier] = ACTIONS(3339),
    [aux_sym_preproc_include_token1] = ACTIONS(3339),
    [aux_sym_preproc_def_token1] = ACTIONS(3339),
    [aux_sym_preproc_if_token1] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3339),
    [sym_preproc_directive] = ACTIONS(3339),
    [anon_sym_LPAREN2] = ACTIONS(3341),
    [anon_sym_BANG] = ACTIONS(3341),
    [anon_sym_TILDE] = ACTIONS(3341),
    [anon_sym_DASH] = ACTIONS(3339),
    [anon_sym_PLUS] = ACTIONS(3339),
    [anon_sym_STAR] = ACTIONS(3341),
    [anon_sym_AMP_AMP] = ACTIONS(3341),
    [anon_sym_AMP] = ACTIONS(3339),
    [anon_sym_SEMI] = ACTIONS(3341),
    [anon_sym___extension__] = ACTIONS(3339),
    [anon_sym_typedef] = ACTIONS(3339),
    [anon_sym_extern] = ACTIONS(3339),
    [anon_sym___attribute__] = ACTIONS(3339),
    [anon_sym_COLON_COLON] = ACTIONS(3341),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3341),
    [anon_sym___declspec] = ACTIONS(3339),
    [anon_sym___based] = ACTIONS(3339),
    [anon_sym___cdecl] = ACTIONS(3339),
    [anon_sym___clrcall] = ACTIONS(3339),
    [anon_sym___stdcall] = ACTIONS(3339),
    [anon_sym___fastcall] = ACTIONS(3339),
    [anon_sym___thiscall] = ACTIONS(3339),
    [anon_sym___vectorcall] = ACTIONS(3339),
    [anon_sym_LBRACE] = ACTIONS(3341),
    [anon_sym_RBRACE] = ACTIONS(3341),
    [anon_sym_signed] = ACTIONS(3339),
    [anon_sym_unsigned] = ACTIONS(3339),
    [anon_sym_long] = ACTIONS(3339),
    [anon_sym_short] = ACTIONS(3339),
    [anon_sym_LBRACK] = ACTIONS(3339),
    [anon_sym_static] = ACTIONS(3339),
    [anon_sym_register] = ACTIONS(3339),
    [anon_sym_inline] = ACTIONS(3339),
    [anon_sym___inline] = ACTIONS(3339),
    [anon_sym___inline__] = ACTIONS(3339),
    [anon_sym___forceinline] = ACTIONS(3339),
    [anon_sym_thread_local] = ACTIONS(3339),
    [anon_sym___thread] = ACTIONS(3339),
    [anon_sym_const] = ACTIONS(3339),
    [anon_sym_constexpr] = ACTIONS(3339),
    [anon_sym_volatile] = ACTIONS(3339),
    [anon_sym_restrict] = ACTIONS(3339),
    [anon_sym___restrict__] = ACTIONS(3339),
    [anon_sym__Atomic] = ACTIONS(3339),
    [anon_sym__Noreturn] = ACTIONS(3339),
    [anon_sym_noreturn] = ACTIONS(3339),
    [anon_sym_mutable] = ACTIONS(3339),
    [anon_sym_constinit] = ACTIONS(3339),
    [anon_sym_consteval] = ACTIONS(3339),
    [anon_sym_PROGMEM] = ACTIONS(3339),
    [aux_sym_primitive_type_token1] = ACTIONS(3339),
    [anon_sym_byte] = ACTIONS(3339),
    [anon_sym_word] = ACTIONS(3339),
    [anon_sym_enum] = ACTIONS(3339),
    [anon_sym_class] = ACTIONS(3339),
    [anon_sym_struct] = ACTIONS(3339),
    [anon_sym_union] = ACTIONS(3339),
    [anon_sym_if] = ACTIONS(3339),
    [anon_sym_switch] = ACTIONS(3339),
    [anon_sym_case] = ACTIONS(3339),
    [anon_sym_default] = ACTIONS(3339),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(3339),
    [anon_sym_for] = ACTIONS(3339),
    [anon_sym_return] = ACTIONS(3339),
    [anon_sym_break] = ACTIONS(3339),
    [anon_sym_continue] = ACTIONS(3339),
    [anon_sym_goto] = ACTIONS(3339),
    [anon_sym___try] = ACTIONS(3339),
    [anon_sym___leave] = ACTIONS(3339),
    [anon_sym_not] = ACTIONS(3339),
    [anon_sym_compl] = ACTIONS(3339),
    [anon_sym_DASH_DASH] = ACTIONS(3341),
    [anon_sym_PLUS_PLUS] = ACTIONS(3341),
    [anon_sym_sizeof] = ACTIONS(3339),
    [anon_sym___alignof__] = ACTIONS(3339),
    [anon_sym___alignof] = ACTIONS(3339),
    [anon_sym__alignof] = ACTIONS(3339),
    [anon_sym_alignof] = ACTIONS(3339),
    [anon_sym__Alignof] = ACTIONS(3339),
    [anon_sym_offsetof] = ACTIONS(3339),
    [anon_sym__Generic] = ACTIONS(3339),
    [anon_sym_asm] = ACTIONS(3339),
    [anon_sym___asm__] = ACTIONS(3339),
    [aux_sym_number_literal_token1] = ACTIONS(3341),
    [aux_sym_number_literal_token2] = ACTIONS(3339),
    [anon_sym_L_SQUOTE] = ACTIONS(3341),
    [anon_sym_u_SQUOTE] = ACTIONS(3341),
    [anon_sym_U_SQUOTE] = ACTIONS(3341),
    [anon_sym_u8_SQUOTE] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_L_DQUOTE] = ACTIONS(3341),
    [anon_sym_u_DQUOTE] = ACTIONS(3341),
    [anon_sym_U_DQUOTE] = ACTIONS(3341),
    [anon_sym_u8_DQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3341),
    [sym_true] = ACTIONS(3339),
    [sym_false] = ACTIONS(3339),
    [anon_sym_NULL] = ACTIONS(3339),
    [anon_sym_nullptr] = ACTIONS(3339),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3339),
    [anon_sym_decltype] = ACTIONS(3339),
    [anon_sym_virtual] = ACTIONS(3339),
    [anon_sym_alignas] = ACTIONS(3339),
    [anon_sym_explicit] = ACTIONS(3339),
    [anon_sym_typename] = ACTIONS(3339),
    [anon_sym_template] = ACTIONS(3339),
    [anon_sym_operator] = ACTIONS(3339),
    [anon_sym_try] = ACTIONS(3339),
    [anon_sym_delete] = ACTIONS(3339),
    [anon_sym_throw] = ACTIONS(3339),
    [anon_sym_namespace] = ACTIONS(3339),
    [anon_sym_using] = ACTIONS(3339),
    [anon_sym_static_assert] = ACTIONS(3339),
    [anon_sym_concept] = ACTIONS(3339),
    [anon_sym_co_return] = ACTIONS(3339),
    [anon_sym_co_yield] = ACTIONS(3339),
    [anon_sym_R_DQUOTE] = ACTIONS(3341),
    [anon_sym_LR_DQUOTE] = ACTIONS(3341),
    [anon_sym_uR_DQUOTE] = ACTIONS(3341),
    [anon_sym_UR_DQUOTE] = ACTIONS(3341),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3341),
    [anon_sym_co_await] = ACTIONS(3339),
    [anon_sym_new] = ACTIONS(3339),
    [anon_sym_requires] = ACTIONS(3339),
    [sym_this] = ACTIONS(3339),
  },
  [880] = {
    [sym_identifier] = ACTIONS(3330),
    [aux_sym_preproc_include_token1] = ACTIONS(3330),
    [aux_sym_preproc_def_token1] = ACTIONS(3330),
    [aux_sym_preproc_if_token1] = ACTIONS(3330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3330),
    [sym_preproc_directive] = ACTIONS(3330),
    [anon_sym_LPAREN2] = ACTIONS(3332),
    [anon_sym_BANG] = ACTIONS(3332),
    [anon_sym_TILDE] = ACTIONS(3332),
    [anon_sym_DASH] = ACTIONS(3330),
    [anon_sym_PLUS] = ACTIONS(3330),
    [anon_sym_STAR] = ACTIONS(3332),
    [anon_sym_AMP_AMP] = ACTIONS(3332),
    [anon_sym_AMP] = ACTIONS(3330),
    [anon_sym_SEMI] = ACTIONS(3332),
    [anon_sym___extension__] = ACTIONS(3330),
    [anon_sym_typedef] = ACTIONS(3330),
    [anon_sym_extern] = ACTIONS(3330),
    [anon_sym___attribute__] = ACTIONS(3330),
    [anon_sym_COLON_COLON] = ACTIONS(3332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3332),
    [anon_sym___declspec] = ACTIONS(3330),
    [anon_sym___based] = ACTIONS(3330),
    [anon_sym___cdecl] = ACTIONS(3330),
    [anon_sym___clrcall] = ACTIONS(3330),
    [anon_sym___stdcall] = ACTIONS(3330),
    [anon_sym___fastcall] = ACTIONS(3330),
    [anon_sym___thiscall] = ACTIONS(3330),
    [anon_sym___vectorcall] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3332),
    [anon_sym_RBRACE] = ACTIONS(3332),
    [anon_sym_signed] = ACTIONS(3330),
    [anon_sym_unsigned] = ACTIONS(3330),
    [anon_sym_long] = ACTIONS(3330),
    [anon_sym_short] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(3330),
    [anon_sym_static] = ACTIONS(3330),
    [anon_sym_register] = ACTIONS(3330),
    [anon_sym_inline] = ACTIONS(3330),
    [anon_sym___inline] = ACTIONS(3330),
    [anon_sym___inline__] = ACTIONS(3330),
    [anon_sym___forceinline] = ACTIONS(3330),
    [anon_sym_thread_local] = ACTIONS(3330),
    [anon_sym___thread] = ACTIONS(3330),
    [anon_sym_const] = ACTIONS(3330),
    [anon_sym_constexpr] = ACTIONS(3330),
    [anon_sym_volatile] = ACTIONS(3330),
    [anon_sym_restrict] = ACTIONS(3330),
    [anon_sym___restrict__] = ACTIONS(3330),
    [anon_sym__Atomic] = ACTIONS(3330),
    [anon_sym__Noreturn] = ACTIONS(3330),
    [anon_sym_noreturn] = ACTIONS(3330),
    [anon_sym_mutable] = ACTIONS(3330),
    [anon_sym_constinit] = ACTIONS(3330),
    [anon_sym_consteval] = ACTIONS(3330),
    [anon_sym_PROGMEM] = ACTIONS(3330),
    [aux_sym_primitive_type_token1] = ACTIONS(3330),
    [anon_sym_byte] = ACTIONS(3330),
    [anon_sym_word] = ACTIONS(3330),
    [anon_sym_enum] = ACTIONS(3330),
    [anon_sym_class] = ACTIONS(3330),
    [anon_sym_struct] = ACTIONS(3330),
    [anon_sym_union] = ACTIONS(3330),
    [anon_sym_if] = ACTIONS(3330),
    [anon_sym_switch] = ACTIONS(3330),
    [anon_sym_case] = ACTIONS(3330),
    [anon_sym_default] = ACTIONS(3330),
    [anon_sym_while] = ACTIONS(3330),
    [anon_sym_do] = ACTIONS(3330),
    [anon_sym_for] = ACTIONS(3330),
    [anon_sym_return] = ACTIONS(3330),
    [anon_sym_break] = ACTIONS(3330),
    [anon_sym_continue] = ACTIONS(3330),
    [anon_sym_goto] = ACTIONS(3330),
    [anon_sym___try] = ACTIONS(3330),
    [anon_sym___leave] = ACTIONS(3330),
    [anon_sym_not] = ACTIONS(3330),
    [anon_sym_compl] = ACTIONS(3330),
    [anon_sym_DASH_DASH] = ACTIONS(3332),
    [anon_sym_PLUS_PLUS] = ACTIONS(3332),
    [anon_sym_sizeof] = ACTIONS(3330),
    [anon_sym___alignof__] = ACTIONS(3330),
    [anon_sym___alignof] = ACTIONS(3330),
    [anon_sym__alignof] = ACTIONS(3330),
    [anon_sym_alignof] = ACTIONS(3330),
    [anon_sym__Alignof] = ACTIONS(3330),
    [anon_sym_offsetof] = ACTIONS(3330),
    [anon_sym__Generic] = ACTIONS(3330),
    [anon_sym_asm] = ACTIONS(3330),
    [anon_sym___asm__] = ACTIONS(3330),
    [aux_sym_number_literal_token1] = ACTIONS(3332),
    [aux_sym_number_literal_token2] = ACTIONS(3330),
    [anon_sym_L_SQUOTE] = ACTIONS(3332),
    [anon_sym_u_SQUOTE] = ACTIONS(3332),
    [anon_sym_U_SQUOTE] = ACTIONS(3332),
    [anon_sym_u8_SQUOTE] = ACTIONS(3332),
    [anon_sym_SQUOTE] = ACTIONS(3332),
    [anon_sym_L_DQUOTE] = ACTIONS(3332),
    [anon_sym_u_DQUOTE] = ACTIONS(3332),
    [anon_sym_U_DQUOTE] = ACTIONS(3332),
    [anon_sym_u8_DQUOTE] = ACTIONS(3332),
    [anon_sym_DQUOTE] = ACTIONS(3332),
    [sym_true] = ACTIONS(3330),
    [sym_false] = ACTIONS(3330),
    [anon_sym_NULL] = ACTIONS(3330),
    [anon_sym_nullptr] = ACTIONS(3330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3330),
    [anon_sym_decltype] = ACTIONS(3330),
    [anon_sym_virtual] = ACTIONS(3330),
    [anon_sym_alignas] = ACTIONS(3330),
    [anon_sym_explicit] = ACTIONS(3330),
    [anon_sym_typename] = ACTIONS(3330),
    [anon_sym_template] = ACTIONS(3330),
    [anon_sym_operator] = ACTIONS(3330),
    [anon_sym_try] = ACTIONS(3330),
    [anon_sym_delete] = ACTIONS(3330),
    [anon_sym_throw] = ACTIONS(3330),
    [anon_sym_namespace] = ACTIONS(3330),
    [anon_sym_using] = ACTIONS(3330),
    [anon_sym_static_assert] = ACTIONS(3330),
    [anon_sym_concept] = ACTIONS(3330),
    [anon_sym_co_return] = ACTIONS(3330),
    [anon_sym_co_yield] = ACTIONS(3330),
    [anon_sym_R_DQUOTE] = ACTIONS(3332),
    [anon_sym_LR_DQUOTE] = ACTIONS(3332),
    [anon_sym_uR_DQUOTE] = ACTIONS(3332),
    [anon_sym_UR_DQUOTE] = ACTIONS(3332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3332),
    [anon_sym_co_await] = ACTIONS(3330),
    [anon_sym_new] = ACTIONS(3330),
    [anon_sym_requires] = ACTIONS(3330),
    [sym_this] = ACTIONS(3330),
  },
  [881] = {
    [sym_identifier] = ACTIONS(3397),
    [aux_sym_preproc_include_token1] = ACTIONS(3397),
    [aux_sym_preproc_def_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token2] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3397),
    [sym_preproc_directive] = ACTIONS(3397),
    [anon_sym_LPAREN2] = ACTIONS(3399),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_AMP_AMP] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3399),
    [anon_sym___extension__] = ACTIONS(3397),
    [anon_sym_typedef] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym___attribute__] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(3399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym___declspec] = ACTIONS(3397),
    [anon_sym___based] = ACTIONS(3397),
    [anon_sym___cdecl] = ACTIONS(3397),
    [anon_sym___clrcall] = ACTIONS(3397),
    [anon_sym___stdcall] = ACTIONS(3397),
    [anon_sym___fastcall] = ACTIONS(3397),
    [anon_sym___thiscall] = ACTIONS(3397),
    [anon_sym___vectorcall] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_signed] = ACTIONS(3397),
    [anon_sym_unsigned] = ACTIONS(3397),
    [anon_sym_long] = ACTIONS(3397),
    [anon_sym_short] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_register] = ACTIONS(3397),
    [anon_sym_inline] = ACTIONS(3397),
    [anon_sym___inline] = ACTIONS(3397),
    [anon_sym___inline__] = ACTIONS(3397),
    [anon_sym___forceinline] = ACTIONS(3397),
    [anon_sym_thread_local] = ACTIONS(3397),
    [anon_sym___thread] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_constexpr] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_restrict] = ACTIONS(3397),
    [anon_sym___restrict__] = ACTIONS(3397),
    [anon_sym__Atomic] = ACTIONS(3397),
    [anon_sym__Noreturn] = ACTIONS(3397),
    [anon_sym_noreturn] = ACTIONS(3397),
    [anon_sym_mutable] = ACTIONS(3397),
    [anon_sym_constinit] = ACTIONS(3397),
    [anon_sym_consteval] = ACTIONS(3397),
    [anon_sym_PROGMEM] = ACTIONS(3397),
    [aux_sym_primitive_type_token1] = ACTIONS(3397),
    [anon_sym_byte] = ACTIONS(3397),
    [anon_sym_word] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_union] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_goto] = ACTIONS(3397),
    [anon_sym___try] = ACTIONS(3397),
    [anon_sym___leave] = ACTIONS(3397),
    [anon_sym_not] = ACTIONS(3397),
    [anon_sym_compl] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_sizeof] = ACTIONS(3397),
    [anon_sym___alignof__] = ACTIONS(3397),
    [anon_sym___alignof] = ACTIONS(3397),
    [anon_sym__alignof] = ACTIONS(3397),
    [anon_sym_alignof] = ACTIONS(3397),
    [anon_sym__Alignof] = ACTIONS(3397),
    [anon_sym_offsetof] = ACTIONS(3397),
    [anon_sym__Generic] = ACTIONS(3397),
    [anon_sym_asm] = ACTIONS(3397),
    [anon_sym___asm__] = ACTIONS(3397),
    [aux_sym_number_literal_token1] = ACTIONS(3399),
    [aux_sym_number_literal_token2] = ACTIONS(3397),
    [anon_sym_L_SQUOTE] = ACTIONS(3399),
    [anon_sym_u_SQUOTE] = ACTIONS(3399),
    [anon_sym_U_SQUOTE] = ACTIONS(3399),
    [anon_sym_u8_SQUOTE] = ACTIONS(3399),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [anon_sym_L_DQUOTE] = ACTIONS(3399),
    [anon_sym_u_DQUOTE] = ACTIONS(3399),
    [anon_sym_U_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8_DQUOTE] = ACTIONS(3399),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [anon_sym_NULL] = ACTIONS(3397),
    [anon_sym_nullptr] = ACTIONS(3397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3397),
    [anon_sym_decltype] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_alignas] = ACTIONS(3397),
    [anon_sym_explicit] = ACTIONS(3397),
    [anon_sym_typename] = ACTIONS(3397),
    [anon_sym_template] = ACTIONS(3397),
    [anon_sym_operator] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_static_assert] = ACTIONS(3397),
    [anon_sym_concept] = ACTIONS(3397),
    [anon_sym_co_return] = ACTIONS(3397),
    [anon_sym_co_yield] = ACTIONS(3397),
    [anon_sym_R_DQUOTE] = ACTIONS(3399),
    [anon_sym_LR_DQUOTE] = ACTIONS(3399),
    [anon_sym_uR_DQUOTE] = ACTIONS(3399),
    [anon_sym_UR_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3399),
    [anon_sym_co_await] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_requires] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
  },
  [882] = {
    [sym_identifier] = ACTIONS(3200),
    [aux_sym_preproc_include_token1] = ACTIONS(3200),
    [aux_sym_preproc_def_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3200),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(3202),
    [anon_sym_BANG] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3202),
    [anon_sym___extension__] = ACTIONS(3200),
    [anon_sym_typedef] = ACTIONS(3200),
    [anon_sym_extern] = ACTIONS(3200),
    [anon_sym___attribute__] = ACTIONS(3200),
    [anon_sym_COLON_COLON] = ACTIONS(3202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3202),
    [anon_sym___declspec] = ACTIONS(3200),
    [anon_sym___based] = ACTIONS(3200),
    [anon_sym___cdecl] = ACTIONS(3200),
    [anon_sym___clrcall] = ACTIONS(3200),
    [anon_sym___stdcall] = ACTIONS(3200),
    [anon_sym___fastcall] = ACTIONS(3200),
    [anon_sym___thiscall] = ACTIONS(3200),
    [anon_sym___vectorcall] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3202),
    [anon_sym_RBRACE] = ACTIONS(3202),
    [anon_sym_signed] = ACTIONS(3200),
    [anon_sym_unsigned] = ACTIONS(3200),
    [anon_sym_long] = ACTIONS(3200),
    [anon_sym_short] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_register] = ACTIONS(3200),
    [anon_sym_inline] = ACTIONS(3200),
    [anon_sym___inline] = ACTIONS(3200),
    [anon_sym___inline__] = ACTIONS(3200),
    [anon_sym___forceinline] = ACTIONS(3200),
    [anon_sym_thread_local] = ACTIONS(3200),
    [anon_sym___thread] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_constexpr] = ACTIONS(3200),
    [anon_sym_volatile] = ACTIONS(3200),
    [anon_sym_restrict] = ACTIONS(3200),
    [anon_sym___restrict__] = ACTIONS(3200),
    [anon_sym__Atomic] = ACTIONS(3200),
    [anon_sym__Noreturn] = ACTIONS(3200),
    [anon_sym_noreturn] = ACTIONS(3200),
    [anon_sym_mutable] = ACTIONS(3200),
    [anon_sym_constinit] = ACTIONS(3200),
    [anon_sym_consteval] = ACTIONS(3200),
    [anon_sym_PROGMEM] = ACTIONS(3200),
    [aux_sym_primitive_type_token1] = ACTIONS(3200),
    [anon_sym_byte] = ACTIONS(3200),
    [anon_sym_word] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_struct] = ACTIONS(3200),
    [anon_sym_union] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_case] = ACTIONS(3200),
    [anon_sym_default] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_goto] = ACTIONS(3200),
    [anon_sym___try] = ACTIONS(3200),
    [anon_sym___leave] = ACTIONS(3200),
    [anon_sym_not] = ACTIONS(3200),
    [anon_sym_compl] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_sizeof] = ACTIONS(3200),
    [anon_sym___alignof__] = ACTIONS(3200),
    [anon_sym___alignof] = ACTIONS(3200),
    [anon_sym__alignof] = ACTIONS(3200),
    [anon_sym_alignof] = ACTIONS(3200),
    [anon_sym__Alignof] = ACTIONS(3200),
    [anon_sym_offsetof] = ACTIONS(3200),
    [anon_sym__Generic] = ACTIONS(3200),
    [anon_sym_asm] = ACTIONS(3200),
    [anon_sym___asm__] = ACTIONS(3200),
    [aux_sym_number_literal_token1] = ACTIONS(3202),
    [aux_sym_number_literal_token2] = ACTIONS(3200),
    [anon_sym_L_SQUOTE] = ACTIONS(3202),
    [anon_sym_u_SQUOTE] = ACTIONS(3202),
    [anon_sym_U_SQUOTE] = ACTIONS(3202),
    [anon_sym_u8_SQUOTE] = ACTIONS(3202),
    [anon_sym_SQUOTE] = ACTIONS(3202),
    [anon_sym_L_DQUOTE] = ACTIONS(3202),
    [anon_sym_u_DQUOTE] = ACTIONS(3202),
    [anon_sym_U_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8_DQUOTE] = ACTIONS(3202),
    [anon_sym_DQUOTE] = ACTIONS(3202),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [anon_sym_NULL] = ACTIONS(3200),
    [anon_sym_nullptr] = ACTIONS(3200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3200),
    [anon_sym_decltype] = ACTIONS(3200),
    [anon_sym_virtual] = ACTIONS(3200),
    [anon_sym_alignas] = ACTIONS(3200),
    [anon_sym_explicit] = ACTIONS(3200),
    [anon_sym_typename] = ACTIONS(3200),
    [anon_sym_template] = ACTIONS(3200),
    [anon_sym_operator] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_static_assert] = ACTIONS(3200),
    [anon_sym_concept] = ACTIONS(3200),
    [anon_sym_co_return] = ACTIONS(3200),
    [anon_sym_co_yield] = ACTIONS(3200),
    [anon_sym_R_DQUOTE] = ACTIONS(3202),
    [anon_sym_LR_DQUOTE] = ACTIONS(3202),
    [anon_sym_uR_DQUOTE] = ACTIONS(3202),
    [anon_sym_UR_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3202),
    [anon_sym_co_await] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_requires] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
  },
  [883] = {
    [sym_identifier] = ACTIONS(3507),
    [aux_sym_preproc_include_token1] = ACTIONS(3507),
    [aux_sym_preproc_def_token1] = ACTIONS(3507),
    [aux_sym_preproc_if_token1] = ACTIONS(3507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3507),
    [sym_preproc_directive] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(3509),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(3509),
    [anon_sym_AMP_AMP] = ACTIONS(3509),
    [anon_sym_AMP] = ACTIONS(3507),
    [anon_sym_SEMI] = ACTIONS(3509),
    [anon_sym___extension__] = ACTIONS(3507),
    [anon_sym_typedef] = ACTIONS(3507),
    [anon_sym_extern] = ACTIONS(3507),
    [anon_sym___attribute__] = ACTIONS(3507),
    [anon_sym_COLON_COLON] = ACTIONS(3509),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3509),
    [anon_sym___declspec] = ACTIONS(3507),
    [anon_sym___based] = ACTIONS(3507),
    [anon_sym___cdecl] = ACTIONS(3507),
    [anon_sym___clrcall] = ACTIONS(3507),
    [anon_sym___stdcall] = ACTIONS(3507),
    [anon_sym___fastcall] = ACTIONS(3507),
    [anon_sym___thiscall] = ACTIONS(3507),
    [anon_sym___vectorcall] = ACTIONS(3507),
    [anon_sym_LBRACE] = ACTIONS(3509),
    [anon_sym_RBRACE] = ACTIONS(3509),
    [anon_sym_signed] = ACTIONS(3507),
    [anon_sym_unsigned] = ACTIONS(3507),
    [anon_sym_long] = ACTIONS(3507),
    [anon_sym_short] = ACTIONS(3507),
    [anon_sym_LBRACK] = ACTIONS(3507),
    [anon_sym_static] = ACTIONS(3507),
    [anon_sym_register] = ACTIONS(3507),
    [anon_sym_inline] = ACTIONS(3507),
    [anon_sym___inline] = ACTIONS(3507),
    [anon_sym___inline__] = ACTIONS(3507),
    [anon_sym___forceinline] = ACTIONS(3507),
    [anon_sym_thread_local] = ACTIONS(3507),
    [anon_sym___thread] = ACTIONS(3507),
    [anon_sym_const] = ACTIONS(3507),
    [anon_sym_constexpr] = ACTIONS(3507),
    [anon_sym_volatile] = ACTIONS(3507),
    [anon_sym_restrict] = ACTIONS(3507),
    [anon_sym___restrict__] = ACTIONS(3507),
    [anon_sym__Atomic] = ACTIONS(3507),
    [anon_sym__Noreturn] = ACTIONS(3507),
    [anon_sym_noreturn] = ACTIONS(3507),
    [anon_sym_mutable] = ACTIONS(3507),
    [anon_sym_constinit] = ACTIONS(3507),
    [anon_sym_consteval] = ACTIONS(3507),
    [anon_sym_PROGMEM] = ACTIONS(3507),
    [aux_sym_primitive_type_token1] = ACTIONS(3507),
    [anon_sym_byte] = ACTIONS(3507),
    [anon_sym_word] = ACTIONS(3507),
    [anon_sym_enum] = ACTIONS(3507),
    [anon_sym_class] = ACTIONS(3507),
    [anon_sym_struct] = ACTIONS(3507),
    [anon_sym_union] = ACTIONS(3507),
    [anon_sym_if] = ACTIONS(3507),
    [anon_sym_switch] = ACTIONS(3507),
    [anon_sym_case] = ACTIONS(3507),
    [anon_sym_default] = ACTIONS(3507),
    [anon_sym_while] = ACTIONS(3507),
    [anon_sym_do] = ACTIONS(3507),
    [anon_sym_for] = ACTIONS(3507),
    [anon_sym_return] = ACTIONS(3507),
    [anon_sym_break] = ACTIONS(3507),
    [anon_sym_continue] = ACTIONS(3507),
    [anon_sym_goto] = ACTIONS(3507),
    [anon_sym___try] = ACTIONS(3507),
    [anon_sym___leave] = ACTIONS(3507),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(3509),
    [anon_sym_PLUS_PLUS] = ACTIONS(3509),
    [anon_sym_sizeof] = ACTIONS(3507),
    [anon_sym___alignof__] = ACTIONS(3507),
    [anon_sym___alignof] = ACTIONS(3507),
    [anon_sym__alignof] = ACTIONS(3507),
    [anon_sym_alignof] = ACTIONS(3507),
    [anon_sym__Alignof] = ACTIONS(3507),
    [anon_sym_offsetof] = ACTIONS(3507),
    [anon_sym__Generic] = ACTIONS(3507),
    [anon_sym_asm] = ACTIONS(3507),
    [anon_sym___asm__] = ACTIONS(3507),
    [aux_sym_number_literal_token1] = ACTIONS(3509),
    [aux_sym_number_literal_token2] = ACTIONS(3507),
    [anon_sym_L_SQUOTE] = ACTIONS(3509),
    [anon_sym_u_SQUOTE] = ACTIONS(3509),
    [anon_sym_U_SQUOTE] = ACTIONS(3509),
    [anon_sym_u8_SQUOTE] = ACTIONS(3509),
    [anon_sym_SQUOTE] = ACTIONS(3509),
    [anon_sym_L_DQUOTE] = ACTIONS(3509),
    [anon_sym_u_DQUOTE] = ACTIONS(3509),
    [anon_sym_U_DQUOTE] = ACTIONS(3509),
    [anon_sym_u8_DQUOTE] = ACTIONS(3509),
    [anon_sym_DQUOTE] = ACTIONS(3509),
    [sym_true] = ACTIONS(3507),
    [sym_false] = ACTIONS(3507),
    [anon_sym_NULL] = ACTIONS(3507),
    [anon_sym_nullptr] = ACTIONS(3507),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3507),
    [anon_sym_decltype] = ACTIONS(3507),
    [anon_sym_virtual] = ACTIONS(3507),
    [anon_sym_alignas] = ACTIONS(3507),
    [anon_sym_explicit] = ACTIONS(3507),
    [anon_sym_typename] = ACTIONS(3507),
    [anon_sym_template] = ACTIONS(3507),
    [anon_sym_operator] = ACTIONS(3507),
    [anon_sym_try] = ACTIONS(3507),
    [anon_sym_delete] = ACTIONS(3507),
    [anon_sym_throw] = ACTIONS(3507),
    [anon_sym_namespace] = ACTIONS(3507),
    [anon_sym_using] = ACTIONS(3507),
    [anon_sym_static_assert] = ACTIONS(3507),
    [anon_sym_concept] = ACTIONS(3507),
    [anon_sym_co_return] = ACTIONS(3507),
    [anon_sym_co_yield] = ACTIONS(3507),
    [anon_sym_R_DQUOTE] = ACTIONS(3509),
    [anon_sym_LR_DQUOTE] = ACTIONS(3509),
    [anon_sym_uR_DQUOTE] = ACTIONS(3509),
    [anon_sym_UR_DQUOTE] = ACTIONS(3509),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3509),
    [anon_sym_co_await] = ACTIONS(3507),
    [anon_sym_new] = ACTIONS(3507),
    [anon_sym_requires] = ACTIONS(3507),
    [sym_this] = ACTIONS(3507),
  },
  [884] = {
    [sym_identifier] = ACTIONS(3503),
    [aux_sym_preproc_include_token1] = ACTIONS(3503),
    [aux_sym_preproc_def_token1] = ACTIONS(3503),
    [aux_sym_preproc_if_token1] = ACTIONS(3503),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3503),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3503),
    [sym_preproc_directive] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(3505),
    [anon_sym_BANG] = ACTIONS(3505),
    [anon_sym_TILDE] = ACTIONS(3505),
    [anon_sym_DASH] = ACTIONS(3503),
    [anon_sym_PLUS] = ACTIONS(3503),
    [anon_sym_STAR] = ACTIONS(3505),
    [anon_sym_AMP_AMP] = ACTIONS(3505),
    [anon_sym_AMP] = ACTIONS(3503),
    [anon_sym_SEMI] = ACTIONS(3505),
    [anon_sym___extension__] = ACTIONS(3503),
    [anon_sym_typedef] = ACTIONS(3503),
    [anon_sym_extern] = ACTIONS(3503),
    [anon_sym___attribute__] = ACTIONS(3503),
    [anon_sym_COLON_COLON] = ACTIONS(3505),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3505),
    [anon_sym___declspec] = ACTIONS(3503),
    [anon_sym___based] = ACTIONS(3503),
    [anon_sym___cdecl] = ACTIONS(3503),
    [anon_sym___clrcall] = ACTIONS(3503),
    [anon_sym___stdcall] = ACTIONS(3503),
    [anon_sym___fastcall] = ACTIONS(3503),
    [anon_sym___thiscall] = ACTIONS(3503),
    [anon_sym___vectorcall] = ACTIONS(3503),
    [anon_sym_LBRACE] = ACTIONS(3505),
    [anon_sym_RBRACE] = ACTIONS(3505),
    [anon_sym_signed] = ACTIONS(3503),
    [anon_sym_unsigned] = ACTIONS(3503),
    [anon_sym_long] = ACTIONS(3503),
    [anon_sym_short] = ACTIONS(3503),
    [anon_sym_LBRACK] = ACTIONS(3503),
    [anon_sym_static] = ACTIONS(3503),
    [anon_sym_register] = ACTIONS(3503),
    [anon_sym_inline] = ACTIONS(3503),
    [anon_sym___inline] = ACTIONS(3503),
    [anon_sym___inline__] = ACTIONS(3503),
    [anon_sym___forceinline] = ACTIONS(3503),
    [anon_sym_thread_local] = ACTIONS(3503),
    [anon_sym___thread] = ACTIONS(3503),
    [anon_sym_const] = ACTIONS(3503),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(3503),
    [anon_sym_restrict] = ACTIONS(3503),
    [anon_sym___restrict__] = ACTIONS(3503),
    [anon_sym__Atomic] = ACTIONS(3503),
    [anon_sym__Noreturn] = ACTIONS(3503),
    [anon_sym_noreturn] = ACTIONS(3503),
    [anon_sym_mutable] = ACTIONS(3503),
    [anon_sym_constinit] = ACTIONS(3503),
    [anon_sym_consteval] = ACTIONS(3503),
    [anon_sym_PROGMEM] = ACTIONS(3503),
    [aux_sym_primitive_type_token1] = ACTIONS(3503),
    [anon_sym_byte] = ACTIONS(3503),
    [anon_sym_word] = ACTIONS(3503),
    [anon_sym_enum] = ACTIONS(3503),
    [anon_sym_class] = ACTIONS(3503),
    [anon_sym_struct] = ACTIONS(3503),
    [anon_sym_union] = ACTIONS(3503),
    [anon_sym_if] = ACTIONS(3503),
    [anon_sym_switch] = ACTIONS(3503),
    [anon_sym_case] = ACTIONS(3503),
    [anon_sym_default] = ACTIONS(3503),
    [anon_sym_while] = ACTIONS(3503),
    [anon_sym_do] = ACTIONS(3503),
    [anon_sym_for] = ACTIONS(3503),
    [anon_sym_return] = ACTIONS(3503),
    [anon_sym_break] = ACTIONS(3503),
    [anon_sym_continue] = ACTIONS(3503),
    [anon_sym_goto] = ACTIONS(3503),
    [anon_sym___try] = ACTIONS(3503),
    [anon_sym___leave] = ACTIONS(3503),
    [anon_sym_not] = ACTIONS(3503),
    [anon_sym_compl] = ACTIONS(3503),
    [anon_sym_DASH_DASH] = ACTIONS(3505),
    [anon_sym_PLUS_PLUS] = ACTIONS(3505),
    [anon_sym_sizeof] = ACTIONS(3503),
    [anon_sym___alignof__] = ACTIONS(3503),
    [anon_sym___alignof] = ACTIONS(3503),
    [anon_sym__alignof] = ACTIONS(3503),
    [anon_sym_alignof] = ACTIONS(3503),
    [anon_sym__Alignof] = ACTIONS(3503),
    [anon_sym_offsetof] = ACTIONS(3503),
    [anon_sym__Generic] = ACTIONS(3503),
    [anon_sym_asm] = ACTIONS(3503),
    [anon_sym___asm__] = ACTIONS(3503),
    [aux_sym_number_literal_token1] = ACTIONS(3505),
    [aux_sym_number_literal_token2] = ACTIONS(3503),
    [anon_sym_L_SQUOTE] = ACTIONS(3505),
    [anon_sym_u_SQUOTE] = ACTIONS(3505),
    [anon_sym_U_SQUOTE] = ACTIONS(3505),
    [anon_sym_u8_SQUOTE] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(3505),
    [anon_sym_L_DQUOTE] = ACTIONS(3505),
    [anon_sym_u_DQUOTE] = ACTIONS(3505),
    [anon_sym_U_DQUOTE] = ACTIONS(3505),
    [anon_sym_u8_DQUOTE] = ACTIONS(3505),
    [anon_sym_DQUOTE] = ACTIONS(3505),
    [sym_true] = ACTIONS(3503),
    [sym_false] = ACTIONS(3503),
    [anon_sym_NULL] = ACTIONS(3503),
    [anon_sym_nullptr] = ACTIONS(3503),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3503),
    [anon_sym_decltype] = ACTIONS(3503),
    [anon_sym_virtual] = ACTIONS(3503),
    [anon_sym_alignas] = ACTIONS(3503),
    [anon_sym_explicit] = ACTIONS(3503),
    [anon_sym_typename] = ACTIONS(3503),
    [anon_sym_template] = ACTIONS(3503),
    [anon_sym_operator] = ACTIONS(3503),
    [anon_sym_try] = ACTIONS(3503),
    [anon_sym_delete] = ACTIONS(3503),
    [anon_sym_throw] = ACTIONS(3503),
    [anon_sym_namespace] = ACTIONS(3503),
    [anon_sym_using] = ACTIONS(3503),
    [anon_sym_static_assert] = ACTIONS(3503),
    [anon_sym_concept] = ACTIONS(3503),
    [anon_sym_co_return] = ACTIONS(3503),
    [anon_sym_co_yield] = ACTIONS(3503),
    [anon_sym_R_DQUOTE] = ACTIONS(3505),
    [anon_sym_LR_DQUOTE] = ACTIONS(3505),
    [anon_sym_uR_DQUOTE] = ACTIONS(3505),
    [anon_sym_UR_DQUOTE] = ACTIONS(3505),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3505),
    [anon_sym_co_await] = ACTIONS(3503),
    [anon_sym_new] = ACTIONS(3503),
    [anon_sym_requires] = ACTIONS(3503),
    [sym_this] = ACTIONS(3503),
  },
  [885] = {
    [sym_identifier] = ACTIONS(3316),
    [aux_sym_preproc_include_token1] = ACTIONS(3316),
    [aux_sym_preproc_def_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token1] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3316),
    [sym_preproc_directive] = ACTIONS(3316),
    [anon_sym_LPAREN2] = ACTIONS(3318),
    [anon_sym_BANG] = ACTIONS(3318),
    [anon_sym_TILDE] = ACTIONS(3318),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_STAR] = ACTIONS(3318),
    [anon_sym_AMP_AMP] = ACTIONS(3318),
    [anon_sym_AMP] = ACTIONS(3316),
    [anon_sym_SEMI] = ACTIONS(3318),
    [anon_sym___extension__] = ACTIONS(3316),
    [anon_sym_typedef] = ACTIONS(3316),
    [anon_sym_extern] = ACTIONS(3316),
    [anon_sym___attribute__] = ACTIONS(3316),
    [anon_sym_COLON_COLON] = ACTIONS(3318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3318),
    [anon_sym___declspec] = ACTIONS(3316),
    [anon_sym___based] = ACTIONS(3316),
    [anon_sym___cdecl] = ACTIONS(3316),
    [anon_sym___clrcall] = ACTIONS(3316),
    [anon_sym___stdcall] = ACTIONS(3316),
    [anon_sym___fastcall] = ACTIONS(3316),
    [anon_sym___thiscall] = ACTIONS(3316),
    [anon_sym___vectorcall] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(3318),
    [anon_sym_signed] = ACTIONS(3316),
    [anon_sym_unsigned] = ACTIONS(3316),
    [anon_sym_long] = ACTIONS(3316),
    [anon_sym_short] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_register] = ACTIONS(3316),
    [anon_sym_inline] = ACTIONS(3316),
    [anon_sym___inline] = ACTIONS(3316),
    [anon_sym___inline__] = ACTIONS(3316),
    [anon_sym___forceinline] = ACTIONS(3316),
    [anon_sym_thread_local] = ACTIONS(3316),
    [anon_sym___thread] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_constexpr] = ACTIONS(3316),
    [anon_sym_volatile] = ACTIONS(3316),
    [anon_sym_restrict] = ACTIONS(3316),
    [anon_sym___restrict__] = ACTIONS(3316),
    [anon_sym__Atomic] = ACTIONS(3316),
    [anon_sym__Noreturn] = ACTIONS(3316),
    [anon_sym_noreturn] = ACTIONS(3316),
    [anon_sym_mutable] = ACTIONS(3316),
    [anon_sym_constinit] = ACTIONS(3316),
    [anon_sym_consteval] = ACTIONS(3316),
    [anon_sym_PROGMEM] = ACTIONS(3316),
    [aux_sym_primitive_type_token1] = ACTIONS(3316),
    [anon_sym_byte] = ACTIONS(3316),
    [anon_sym_word] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_struct] = ACTIONS(3316),
    [anon_sym_union] = ACTIONS(3316),
    [anon_sym_if] = ACTIONS(3316),
    [anon_sym_switch] = ACTIONS(3316),
    [anon_sym_case] = ACTIONS(3316),
    [anon_sym_default] = ACTIONS(3316),
    [anon_sym_while] = ACTIONS(3316),
    [anon_sym_do] = ACTIONS(3316),
    [anon_sym_for] = ACTIONS(3316),
    [anon_sym_return] = ACTIONS(3316),
    [anon_sym_break] = ACTIONS(3316),
    [anon_sym_continue] = ACTIONS(3316),
    [anon_sym_goto] = ACTIONS(3316),
    [anon_sym___try] = ACTIONS(3316),
    [anon_sym___leave] = ACTIONS(3316),
    [anon_sym_not] = ACTIONS(3316),
    [anon_sym_compl] = ACTIONS(3316),
    [anon_sym_DASH_DASH] = ACTIONS(3318),
    [anon_sym_PLUS_PLUS] = ACTIONS(3318),
    [anon_sym_sizeof] = ACTIONS(3316),
    [anon_sym___alignof__] = ACTIONS(3316),
    [anon_sym___alignof] = ACTIONS(3316),
    [anon_sym__alignof] = ACTIONS(3316),
    [anon_sym_alignof] = ACTIONS(3316),
    [anon_sym__Alignof] = ACTIONS(3316),
    [anon_sym_offsetof] = ACTIONS(3316),
    [anon_sym__Generic] = ACTIONS(3316),
    [anon_sym_asm] = ACTIONS(3316),
    [anon_sym___asm__] = ACTIONS(3316),
    [aux_sym_number_literal_token1] = ACTIONS(3318),
    [aux_sym_number_literal_token2] = ACTIONS(3316),
    [anon_sym_L_SQUOTE] = ACTIONS(3318),
    [anon_sym_u_SQUOTE] = ACTIONS(3318),
    [anon_sym_U_SQUOTE] = ACTIONS(3318),
    [anon_sym_u8_SQUOTE] = ACTIONS(3318),
    [anon_sym_SQUOTE] = ACTIONS(3318),
    [anon_sym_L_DQUOTE] = ACTIONS(3318),
    [anon_sym_u_DQUOTE] = ACTIONS(3318),
    [anon_sym_U_DQUOTE] = ACTIONS(3318),
    [anon_sym_u8_DQUOTE] = ACTIONS(3318),
    [anon_sym_DQUOTE] = ACTIONS(3318),
    [sym_true] = ACTIONS(3316),
    [sym_false] = ACTIONS(3316),
    [anon_sym_NULL] = ACTIONS(3316),
    [anon_sym_nullptr] = ACTIONS(3316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3316),
    [anon_sym_decltype] = ACTIONS(3316),
    [anon_sym_virtual] = ACTIONS(3316),
    [anon_sym_alignas] = ACTIONS(3316),
    [anon_sym_explicit] = ACTIONS(3316),
    [anon_sym_typename] = ACTIONS(3316),
    [anon_sym_template] = ACTIONS(3316),
    [anon_sym_operator] = ACTIONS(3316),
    [anon_sym_try] = ACTIONS(3316),
    [anon_sym_delete] = ACTIONS(3316),
    [anon_sym_throw] = ACTIONS(3316),
    [anon_sym_namespace] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_static_assert] = ACTIONS(3316),
    [anon_sym_concept] = ACTIONS(3316),
    [anon_sym_co_return] = ACTIONS(3316),
    [anon_sym_co_yield] = ACTIONS(3316),
    [anon_sym_R_DQUOTE] = ACTIONS(3318),
    [anon_sym_LR_DQUOTE] = ACTIONS(3318),
    [anon_sym_uR_DQUOTE] = ACTIONS(3318),
    [anon_sym_UR_DQUOTE] = ACTIONS(3318),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3318),
    [anon_sym_co_await] = ACTIONS(3316),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3316),
    [sym_this] = ACTIONS(3316),
  },
  [886] = {
    [sym_identifier] = ACTIONS(3312),
    [aux_sym_preproc_include_token1] = ACTIONS(3312),
    [aux_sym_preproc_def_token1] = ACTIONS(3312),
    [aux_sym_preproc_if_token1] = ACTIONS(3312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3312),
    [sym_preproc_directive] = ACTIONS(3312),
    [anon_sym_LPAREN2] = ACTIONS(3314),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(3314),
    [anon_sym_AMP_AMP] = ACTIONS(3314),
    [anon_sym_AMP] = ACTIONS(3312),
    [anon_sym_SEMI] = ACTIONS(3314),
    [anon_sym___extension__] = ACTIONS(3312),
    [anon_sym_typedef] = ACTIONS(3312),
    [anon_sym_extern] = ACTIONS(3312),
    [anon_sym___attribute__] = ACTIONS(3312),
    [anon_sym_COLON_COLON] = ACTIONS(3314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3314),
    [anon_sym___declspec] = ACTIONS(3312),
    [anon_sym___based] = ACTIONS(3312),
    [anon_sym___cdecl] = ACTIONS(3312),
    [anon_sym___clrcall] = ACTIONS(3312),
    [anon_sym___stdcall] = ACTIONS(3312),
    [anon_sym___fastcall] = ACTIONS(3312),
    [anon_sym___thiscall] = ACTIONS(3312),
    [anon_sym___vectorcall] = ACTIONS(3312),
    [anon_sym_LBRACE] = ACTIONS(3314),
    [anon_sym_RBRACE] = ACTIONS(3314),
    [anon_sym_signed] = ACTIONS(3312),
    [anon_sym_unsigned] = ACTIONS(3312),
    [anon_sym_long] = ACTIONS(3312),
    [anon_sym_short] = ACTIONS(3312),
    [anon_sym_LBRACK] = ACTIONS(3312),
    [anon_sym_static] = ACTIONS(3312),
    [anon_sym_register] = ACTIONS(3312),
    [anon_sym_inline] = ACTIONS(3312),
    [anon_sym___inline] = ACTIONS(3312),
    [anon_sym___inline__] = ACTIONS(3312),
    [anon_sym___forceinline] = ACTIONS(3312),
    [anon_sym_thread_local] = ACTIONS(3312),
    [anon_sym___thread] = ACTIONS(3312),
    [anon_sym_const] = ACTIONS(3312),
    [anon_sym_constexpr] = ACTIONS(3312),
    [anon_sym_volatile] = ACTIONS(3312),
    [anon_sym_restrict] = ACTIONS(3312),
    [anon_sym___restrict__] = ACTIONS(3312),
    [anon_sym__Atomic] = ACTIONS(3312),
    [anon_sym__Noreturn] = ACTIONS(3312),
    [anon_sym_noreturn] = ACTIONS(3312),
    [anon_sym_mutable] = ACTIONS(3312),
    [anon_sym_constinit] = ACTIONS(3312),
    [anon_sym_consteval] = ACTIONS(3312),
    [anon_sym_PROGMEM] = ACTIONS(3312),
    [aux_sym_primitive_type_token1] = ACTIONS(3312),
    [anon_sym_byte] = ACTIONS(3312),
    [anon_sym_word] = ACTIONS(3312),
    [anon_sym_enum] = ACTIONS(3312),
    [anon_sym_class] = ACTIONS(3312),
    [anon_sym_struct] = ACTIONS(3312),
    [anon_sym_union] = ACTIONS(3312),
    [anon_sym_if] = ACTIONS(3312),
    [anon_sym_switch] = ACTIONS(3312),
    [anon_sym_case] = ACTIONS(3312),
    [anon_sym_default] = ACTIONS(3312),
    [anon_sym_while] = ACTIONS(3312),
    [anon_sym_do] = ACTIONS(3312),
    [anon_sym_for] = ACTIONS(3312),
    [anon_sym_return] = ACTIONS(3312),
    [anon_sym_break] = ACTIONS(3312),
    [anon_sym_continue] = ACTIONS(3312),
    [anon_sym_goto] = ACTIONS(3312),
    [anon_sym___try] = ACTIONS(3312),
    [anon_sym___leave] = ACTIONS(3312),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3314),
    [anon_sym_sizeof] = ACTIONS(3312),
    [anon_sym___alignof__] = ACTIONS(3312),
    [anon_sym___alignof] = ACTIONS(3312),
    [anon_sym__alignof] = ACTIONS(3312),
    [anon_sym_alignof] = ACTIONS(3312),
    [anon_sym__Alignof] = ACTIONS(3312),
    [anon_sym_offsetof] = ACTIONS(3312),
    [anon_sym__Generic] = ACTIONS(3312),
    [anon_sym_asm] = ACTIONS(3312),
    [anon_sym___asm__] = ACTIONS(3312),
    [aux_sym_number_literal_token1] = ACTIONS(3314),
    [aux_sym_number_literal_token2] = ACTIONS(3312),
    [anon_sym_L_SQUOTE] = ACTIONS(3314),
    [anon_sym_u_SQUOTE] = ACTIONS(3314),
    [anon_sym_U_SQUOTE] = ACTIONS(3314),
    [anon_sym_u8_SQUOTE] = ACTIONS(3314),
    [anon_sym_SQUOTE] = ACTIONS(3314),
    [anon_sym_L_DQUOTE] = ACTIONS(3314),
    [anon_sym_u_DQUOTE] = ACTIONS(3314),
    [anon_sym_U_DQUOTE] = ACTIONS(3314),
    [anon_sym_u8_DQUOTE] = ACTIONS(3314),
    [anon_sym_DQUOTE] = ACTIONS(3314),
    [sym_true] = ACTIONS(3312),
    [sym_false] = ACTIONS(3312),
    [anon_sym_NULL] = ACTIONS(3312),
    [anon_sym_nullptr] = ACTIONS(3312),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3312),
    [anon_sym_decltype] = ACTIONS(3312),
    [anon_sym_virtual] = ACTIONS(3312),
    [anon_sym_alignas] = ACTIONS(3312),
    [anon_sym_explicit] = ACTIONS(3312),
    [anon_sym_typename] = ACTIONS(3312),
    [anon_sym_template] = ACTIONS(3312),
    [anon_sym_operator] = ACTIONS(3312),
    [anon_sym_try] = ACTIONS(3312),
    [anon_sym_delete] = ACTIONS(3312),
    [anon_sym_throw] = ACTIONS(3312),
    [anon_sym_namespace] = ACTIONS(3312),
    [anon_sym_using] = ACTIONS(3312),
    [anon_sym_static_assert] = ACTIONS(3312),
    [anon_sym_concept] = ACTIONS(3312),
    [anon_sym_co_return] = ACTIONS(3312),
    [anon_sym_co_yield] = ACTIONS(3312),
    [anon_sym_R_DQUOTE] = ACTIONS(3314),
    [anon_sym_LR_DQUOTE] = ACTIONS(3314),
    [anon_sym_uR_DQUOTE] = ACTIONS(3314),
    [anon_sym_UR_DQUOTE] = ACTIONS(3314),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3314),
    [anon_sym_co_await] = ACTIONS(3312),
    [anon_sym_new] = ACTIONS(3312),
    [anon_sym_requires] = ACTIONS(3312),
    [sym_this] = ACTIONS(3312),
  },
  [887] = {
    [sym_identifier] = ACTIONS(3192),
    [aux_sym_preproc_include_token1] = ACTIONS(3192),
    [aux_sym_preproc_def_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token1] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3192),
    [sym_preproc_directive] = ACTIONS(3192),
    [anon_sym_LPAREN2] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym___extension__] = ACTIONS(3192),
    [anon_sym_typedef] = ACTIONS(3192),
    [anon_sym_extern] = ACTIONS(3192),
    [anon_sym___attribute__] = ACTIONS(3192),
    [anon_sym_COLON_COLON] = ACTIONS(3194),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3194),
    [anon_sym___declspec] = ACTIONS(3192),
    [anon_sym___based] = ACTIONS(3192),
    [anon_sym___cdecl] = ACTIONS(3192),
    [anon_sym___clrcall] = ACTIONS(3192),
    [anon_sym___stdcall] = ACTIONS(3192),
    [anon_sym___fastcall] = ACTIONS(3192),
    [anon_sym___thiscall] = ACTIONS(3192),
    [anon_sym___vectorcall] = ACTIONS(3192),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_RBRACE] = ACTIONS(3194),
    [anon_sym_signed] = ACTIONS(3192),
    [anon_sym_unsigned] = ACTIONS(3192),
    [anon_sym_long] = ACTIONS(3192),
    [anon_sym_short] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_register] = ACTIONS(3192),
    [anon_sym_inline] = ACTIONS(3192),
    [anon_sym___inline] = ACTIONS(3192),
    [anon_sym___inline__] = ACTIONS(3192),
    [anon_sym___forceinline] = ACTIONS(3192),
    [anon_sym_thread_local] = ACTIONS(3192),
    [anon_sym___thread] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_constexpr] = ACTIONS(3192),
    [anon_sym_volatile] = ACTIONS(3192),
    [anon_sym_restrict] = ACTIONS(3192),
    [anon_sym___restrict__] = ACTIONS(3192),
    [anon_sym__Atomic] = ACTIONS(3192),
    [anon_sym__Noreturn] = ACTIONS(3192),
    [anon_sym_noreturn] = ACTIONS(3192),
    [anon_sym_mutable] = ACTIONS(3192),
    [anon_sym_constinit] = ACTIONS(3192),
    [anon_sym_consteval] = ACTIONS(3192),
    [anon_sym_PROGMEM] = ACTIONS(3192),
    [aux_sym_primitive_type_token1] = ACTIONS(3192),
    [anon_sym_byte] = ACTIONS(3192),
    [anon_sym_word] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_struct] = ACTIONS(3192),
    [anon_sym_union] = ACTIONS(3192),
    [anon_sym_if] = ACTIONS(3192),
    [anon_sym_switch] = ACTIONS(3192),
    [anon_sym_case] = ACTIONS(3192),
    [anon_sym_default] = ACTIONS(3192),
    [anon_sym_while] = ACTIONS(3192),
    [anon_sym_do] = ACTIONS(3192),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_break] = ACTIONS(3192),
    [anon_sym_continue] = ACTIONS(3192),
    [anon_sym_goto] = ACTIONS(3192),
    [anon_sym___try] = ACTIONS(3192),
    [anon_sym___leave] = ACTIONS(3192),
    [anon_sym_not] = ACTIONS(3192),
    [anon_sym_compl] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_sizeof] = ACTIONS(3192),
    [anon_sym___alignof__] = ACTIONS(3192),
    [anon_sym___alignof] = ACTIONS(3192),
    [anon_sym__alignof] = ACTIONS(3192),
    [anon_sym_alignof] = ACTIONS(3192),
    [anon_sym__Alignof] = ACTIONS(3192),
    [anon_sym_offsetof] = ACTIONS(3192),
    [anon_sym__Generic] = ACTIONS(3192),
    [anon_sym_asm] = ACTIONS(3192),
    [anon_sym___asm__] = ACTIONS(3192),
    [aux_sym_number_literal_token1] = ACTIONS(3194),
    [aux_sym_number_literal_token2] = ACTIONS(3192),
    [anon_sym_L_SQUOTE] = ACTIONS(3194),
    [anon_sym_u_SQUOTE] = ACTIONS(3194),
    [anon_sym_U_SQUOTE] = ACTIONS(3194),
    [anon_sym_u8_SQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [anon_sym_L_DQUOTE] = ACTIONS(3194),
    [anon_sym_u_DQUOTE] = ACTIONS(3194),
    [anon_sym_U_DQUOTE] = ACTIONS(3194),
    [anon_sym_u8_DQUOTE] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [sym_true] = ACTIONS(3192),
    [sym_false] = ACTIONS(3192),
    [anon_sym_NULL] = ACTIONS(3192),
    [anon_sym_nullptr] = ACTIONS(3192),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3192),
    [anon_sym_decltype] = ACTIONS(3192),
    [anon_sym_virtual] = ACTIONS(3192),
    [anon_sym_alignas] = ACTIONS(3192),
    [anon_sym_explicit] = ACTIONS(3192),
    [anon_sym_typename] = ACTIONS(3192),
    [anon_sym_template] = ACTIONS(3192),
    [anon_sym_operator] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3192),
    [anon_sym_delete] = ACTIONS(3192),
    [anon_sym_throw] = ACTIONS(3192),
    [anon_sym_namespace] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_static_assert] = ACTIONS(3192),
    [anon_sym_concept] = ACTIONS(3192),
    [anon_sym_co_return] = ACTIONS(3192),
    [anon_sym_co_yield] = ACTIONS(3192),
    [anon_sym_R_DQUOTE] = ACTIONS(3194),
    [anon_sym_LR_DQUOTE] = ACTIONS(3194),
    [anon_sym_uR_DQUOTE] = ACTIONS(3194),
    [anon_sym_UR_DQUOTE] = ACTIONS(3194),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3194),
    [anon_sym_co_await] = ACTIONS(3192),
    [anon_sym_new] = ACTIONS(3192),
    [anon_sym_requires] = ACTIONS(3192),
    [sym_this] = ACTIONS(3192),
  },
  [888] = {
    [sym_identifier] = ACTIONS(3413),
    [aux_sym_preproc_include_token1] = ACTIONS(3413),
    [aux_sym_preproc_def_token1] = ACTIONS(3413),
    [aux_sym_preproc_if_token1] = ACTIONS(3413),
    [aux_sym_preproc_if_token2] = ACTIONS(3413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3413),
    [sym_preproc_directive] = ACTIONS(3413),
    [anon_sym_LPAREN2] = ACTIONS(3415),
    [anon_sym_BANG] = ACTIONS(3415),
    [anon_sym_TILDE] = ACTIONS(3415),
    [anon_sym_DASH] = ACTIONS(3413),
    [anon_sym_PLUS] = ACTIONS(3413),
    [anon_sym_STAR] = ACTIONS(3415),
    [anon_sym_AMP_AMP] = ACTIONS(3415),
    [anon_sym_AMP] = ACTIONS(3413),
    [anon_sym_SEMI] = ACTIONS(3415),
    [anon_sym___extension__] = ACTIONS(3413),
    [anon_sym_typedef] = ACTIONS(3413),
    [anon_sym_extern] = ACTIONS(3413),
    [anon_sym___attribute__] = ACTIONS(3413),
    [anon_sym_COLON_COLON] = ACTIONS(3415),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3415),
    [anon_sym___declspec] = ACTIONS(3413),
    [anon_sym___based] = ACTIONS(3413),
    [anon_sym___cdecl] = ACTIONS(3413),
    [anon_sym___clrcall] = ACTIONS(3413),
    [anon_sym___stdcall] = ACTIONS(3413),
    [anon_sym___fastcall] = ACTIONS(3413),
    [anon_sym___thiscall] = ACTIONS(3413),
    [anon_sym___vectorcall] = ACTIONS(3413),
    [anon_sym_LBRACE] = ACTIONS(3415),
    [anon_sym_signed] = ACTIONS(3413),
    [anon_sym_unsigned] = ACTIONS(3413),
    [anon_sym_long] = ACTIONS(3413),
    [anon_sym_short] = ACTIONS(3413),
    [anon_sym_LBRACK] = ACTIONS(3413),
    [anon_sym_static] = ACTIONS(3413),
    [anon_sym_register] = ACTIONS(3413),
    [anon_sym_inline] = ACTIONS(3413),
    [anon_sym___inline] = ACTIONS(3413),
    [anon_sym___inline__] = ACTIONS(3413),
    [anon_sym___forceinline] = ACTIONS(3413),
    [anon_sym_thread_local] = ACTIONS(3413),
    [anon_sym___thread] = ACTIONS(3413),
    [anon_sym_const] = ACTIONS(3413),
    [anon_sym_constexpr] = ACTIONS(3413),
    [anon_sym_volatile] = ACTIONS(3413),
    [anon_sym_restrict] = ACTIONS(3413),
    [anon_sym___restrict__] = ACTIONS(3413),
    [anon_sym__Atomic] = ACTIONS(3413),
    [anon_sym__Noreturn] = ACTIONS(3413),
    [anon_sym_noreturn] = ACTIONS(3413),
    [anon_sym_mutable] = ACTIONS(3413),
    [anon_sym_constinit] = ACTIONS(3413),
    [anon_sym_consteval] = ACTIONS(3413),
    [anon_sym_PROGMEM] = ACTIONS(3413),
    [aux_sym_primitive_type_token1] = ACTIONS(3413),
    [anon_sym_byte] = ACTIONS(3413),
    [anon_sym_word] = ACTIONS(3413),
    [anon_sym_enum] = ACTIONS(3413),
    [anon_sym_class] = ACTIONS(3413),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3413),
    [anon_sym_if] = ACTIONS(3413),
    [anon_sym_switch] = ACTIONS(3413),
    [anon_sym_case] = ACTIONS(3413),
    [anon_sym_default] = ACTIONS(3413),
    [anon_sym_while] = ACTIONS(3413),
    [anon_sym_do] = ACTIONS(3413),
    [anon_sym_for] = ACTIONS(3413),
    [anon_sym_return] = ACTIONS(3413),
    [anon_sym_break] = ACTIONS(3413),
    [anon_sym_continue] = ACTIONS(3413),
    [anon_sym_goto] = ACTIONS(3413),
    [anon_sym___try] = ACTIONS(3413),
    [anon_sym___leave] = ACTIONS(3413),
    [anon_sym_not] = ACTIONS(3413),
    [anon_sym_compl] = ACTIONS(3413),
    [anon_sym_DASH_DASH] = ACTIONS(3415),
    [anon_sym_PLUS_PLUS] = ACTIONS(3415),
    [anon_sym_sizeof] = ACTIONS(3413),
    [anon_sym___alignof__] = ACTIONS(3413),
    [anon_sym___alignof] = ACTIONS(3413),
    [anon_sym__alignof] = ACTIONS(3413),
    [anon_sym_alignof] = ACTIONS(3413),
    [anon_sym__Alignof] = ACTIONS(3413),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3413),
    [anon_sym_asm] = ACTIONS(3413),
    [anon_sym___asm__] = ACTIONS(3413),
    [aux_sym_number_literal_token1] = ACTIONS(3415),
    [aux_sym_number_literal_token2] = ACTIONS(3413),
    [anon_sym_L_SQUOTE] = ACTIONS(3415),
    [anon_sym_u_SQUOTE] = ACTIONS(3415),
    [anon_sym_U_SQUOTE] = ACTIONS(3415),
    [anon_sym_u8_SQUOTE] = ACTIONS(3415),
    [anon_sym_SQUOTE] = ACTIONS(3415),
    [anon_sym_L_DQUOTE] = ACTIONS(3415),
    [anon_sym_u_DQUOTE] = ACTIONS(3415),
    [anon_sym_U_DQUOTE] = ACTIONS(3415),
    [anon_sym_u8_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE] = ACTIONS(3415),
    [sym_true] = ACTIONS(3413),
    [sym_false] = ACTIONS(3413),
    [anon_sym_NULL] = ACTIONS(3413),
    [anon_sym_nullptr] = ACTIONS(3413),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3413),
    [anon_sym_decltype] = ACTIONS(3413),
    [anon_sym_virtual] = ACTIONS(3413),
    [anon_sym_alignas] = ACTIONS(3413),
    [anon_sym_explicit] = ACTIONS(3413),
    [anon_sym_typename] = ACTIONS(3413),
    [anon_sym_template] = ACTIONS(3413),
    [anon_sym_operator] = ACTIONS(3413),
    [anon_sym_try] = ACTIONS(3413),
    [anon_sym_delete] = ACTIONS(3413),
    [anon_sym_throw] = ACTIONS(3413),
    [anon_sym_namespace] = ACTIONS(3413),
    [anon_sym_using] = ACTIONS(3413),
    [anon_sym_static_assert] = ACTIONS(3413),
    [anon_sym_concept] = ACTIONS(3413),
    [anon_sym_co_return] = ACTIONS(3413),
    [anon_sym_co_yield] = ACTIONS(3413),
    [anon_sym_R_DQUOTE] = ACTIONS(3415),
    [anon_sym_LR_DQUOTE] = ACTIONS(3415),
    [anon_sym_uR_DQUOTE] = ACTIONS(3415),
    [anon_sym_UR_DQUOTE] = ACTIONS(3415),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3415),
    [anon_sym_co_await] = ACTIONS(3413),
    [anon_sym_new] = ACTIONS(3413),
    [anon_sym_requires] = ACTIONS(3413),
    [sym_this] = ACTIONS(3413),
  },
  [889] = {
    [sym_identifier] = ACTIONS(3357),
    [aux_sym_preproc_include_token1] = ACTIONS(3357),
    [aux_sym_preproc_def_token1] = ACTIONS(3357),
    [aux_sym_preproc_if_token1] = ACTIONS(3357),
    [aux_sym_preproc_if_token2] = ACTIONS(3357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3357),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3357),
    [sym_preproc_directive] = ACTIONS(3357),
    [anon_sym_LPAREN2] = ACTIONS(3359),
    [anon_sym_BANG] = ACTIONS(3359),
    [anon_sym_TILDE] = ACTIONS(3359),
    [anon_sym_DASH] = ACTIONS(3357),
    [anon_sym_PLUS] = ACTIONS(3357),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_AMP_AMP] = ACTIONS(3359),
    [anon_sym_AMP] = ACTIONS(3357),
    [anon_sym_SEMI] = ACTIONS(3359),
    [anon_sym___extension__] = ACTIONS(3357),
    [anon_sym_typedef] = ACTIONS(3357),
    [anon_sym_extern] = ACTIONS(3357),
    [anon_sym___attribute__] = ACTIONS(3357),
    [anon_sym_COLON_COLON] = ACTIONS(3359),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3359),
    [anon_sym___declspec] = ACTIONS(3357),
    [anon_sym___based] = ACTIONS(3357),
    [anon_sym___cdecl] = ACTIONS(3357),
    [anon_sym___clrcall] = ACTIONS(3357),
    [anon_sym___stdcall] = ACTIONS(3357),
    [anon_sym___fastcall] = ACTIONS(3357),
    [anon_sym___thiscall] = ACTIONS(3357),
    [anon_sym___vectorcall] = ACTIONS(3357),
    [anon_sym_LBRACE] = ACTIONS(3359),
    [anon_sym_signed] = ACTIONS(3357),
    [anon_sym_unsigned] = ACTIONS(3357),
    [anon_sym_long] = ACTIONS(3357),
    [anon_sym_short] = ACTIONS(3357),
    [anon_sym_LBRACK] = ACTIONS(3357),
    [anon_sym_static] = ACTIONS(3357),
    [anon_sym_register] = ACTIONS(3357),
    [anon_sym_inline] = ACTIONS(3357),
    [anon_sym___inline] = ACTIONS(3357),
    [anon_sym___inline__] = ACTIONS(3357),
    [anon_sym___forceinline] = ACTIONS(3357),
    [anon_sym_thread_local] = ACTIONS(3357),
    [anon_sym___thread] = ACTIONS(3357),
    [anon_sym_const] = ACTIONS(3357),
    [anon_sym_constexpr] = ACTIONS(3357),
    [anon_sym_volatile] = ACTIONS(3357),
    [anon_sym_restrict] = ACTIONS(3357),
    [anon_sym___restrict__] = ACTIONS(3357),
    [anon_sym__Atomic] = ACTIONS(3357),
    [anon_sym__Noreturn] = ACTIONS(3357),
    [anon_sym_noreturn] = ACTIONS(3357),
    [anon_sym_mutable] = ACTIONS(3357),
    [anon_sym_constinit] = ACTIONS(3357),
    [anon_sym_consteval] = ACTIONS(3357),
    [anon_sym_PROGMEM] = ACTIONS(3357),
    [aux_sym_primitive_type_token1] = ACTIONS(3357),
    [anon_sym_byte] = ACTIONS(3357),
    [anon_sym_word] = ACTIONS(3357),
    [anon_sym_enum] = ACTIONS(3357),
    [anon_sym_class] = ACTIONS(3357),
    [anon_sym_struct] = ACTIONS(3357),
    [anon_sym_union] = ACTIONS(3357),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_switch] = ACTIONS(3357),
    [anon_sym_case] = ACTIONS(3357),
    [anon_sym_default] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(3357),
    [anon_sym_do] = ACTIONS(3357),
    [anon_sym_for] = ACTIONS(3357),
    [anon_sym_return] = ACTIONS(3357),
    [anon_sym_break] = ACTIONS(3357),
    [anon_sym_continue] = ACTIONS(3357),
    [anon_sym_goto] = ACTIONS(3357),
    [anon_sym___try] = ACTIONS(3357),
    [anon_sym___leave] = ACTIONS(3357),
    [anon_sym_not] = ACTIONS(3357),
    [anon_sym_compl] = ACTIONS(3357),
    [anon_sym_DASH_DASH] = ACTIONS(3359),
    [anon_sym_PLUS_PLUS] = ACTIONS(3359),
    [anon_sym_sizeof] = ACTIONS(3357),
    [anon_sym___alignof__] = ACTIONS(3357),
    [anon_sym___alignof] = ACTIONS(3357),
    [anon_sym__alignof] = ACTIONS(3357),
    [anon_sym_alignof] = ACTIONS(3357),
    [anon_sym__Alignof] = ACTIONS(3357),
    [anon_sym_offsetof] = ACTIONS(3357),
    [anon_sym__Generic] = ACTIONS(3357),
    [anon_sym_asm] = ACTIONS(3357),
    [anon_sym___asm__] = ACTIONS(3357),
    [aux_sym_number_literal_token1] = ACTIONS(3359),
    [aux_sym_number_literal_token2] = ACTIONS(3357),
    [anon_sym_L_SQUOTE] = ACTIONS(3359),
    [anon_sym_u_SQUOTE] = ACTIONS(3359),
    [anon_sym_U_SQUOTE] = ACTIONS(3359),
    [anon_sym_u8_SQUOTE] = ACTIONS(3359),
    [anon_sym_SQUOTE] = ACTIONS(3359),
    [anon_sym_L_DQUOTE] = ACTIONS(3359),
    [anon_sym_u_DQUOTE] = ACTIONS(3359),
    [anon_sym_U_DQUOTE] = ACTIONS(3359),
    [anon_sym_u8_DQUOTE] = ACTIONS(3359),
    [anon_sym_DQUOTE] = ACTIONS(3359),
    [sym_true] = ACTIONS(3357),
    [sym_false] = ACTIONS(3357),
    [anon_sym_NULL] = ACTIONS(3357),
    [anon_sym_nullptr] = ACTIONS(3357),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3357),
    [anon_sym_decltype] = ACTIONS(3357),
    [anon_sym_virtual] = ACTIONS(3357),
    [anon_sym_alignas] = ACTIONS(3357),
    [anon_sym_explicit] = ACTIONS(3357),
    [anon_sym_typename] = ACTIONS(3357),
    [anon_sym_template] = ACTIONS(3357),
    [anon_sym_operator] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(3357),
    [anon_sym_delete] = ACTIONS(3357),
    [anon_sym_throw] = ACTIONS(3357),
    [anon_sym_namespace] = ACTIONS(3357),
    [anon_sym_using] = ACTIONS(3357),
    [anon_sym_static_assert] = ACTIONS(3357),
    [anon_sym_concept] = ACTIONS(3357),
    [anon_sym_co_return] = ACTIONS(3357),
    [anon_sym_co_yield] = ACTIONS(3357),
    [anon_sym_R_DQUOTE] = ACTIONS(3359),
    [anon_sym_LR_DQUOTE] = ACTIONS(3359),
    [anon_sym_uR_DQUOTE] = ACTIONS(3359),
    [anon_sym_UR_DQUOTE] = ACTIONS(3359),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3359),
    [anon_sym_co_await] = ACTIONS(3357),
    [anon_sym_new] = ACTIONS(3357),
    [anon_sym_requires] = ACTIONS(3357),
    [sym_this] = ACTIONS(3357),
  },
  [890] = {
    [sym_identifier] = ACTIONS(3369),
    [aux_sym_preproc_include_token1] = ACTIONS(3369),
    [aux_sym_preproc_def_token1] = ACTIONS(3369),
    [aux_sym_preproc_if_token1] = ACTIONS(3369),
    [aux_sym_preproc_if_token2] = ACTIONS(3369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3369),
    [sym_preproc_directive] = ACTIONS(3369),
    [anon_sym_LPAREN2] = ACTIONS(3371),
    [anon_sym_BANG] = ACTIONS(3371),
    [anon_sym_TILDE] = ACTIONS(3371),
    [anon_sym_DASH] = ACTIONS(3369),
    [anon_sym_PLUS] = ACTIONS(3369),
    [anon_sym_STAR] = ACTIONS(3371),
    [anon_sym_AMP_AMP] = ACTIONS(3371),
    [anon_sym_AMP] = ACTIONS(3369),
    [anon_sym_SEMI] = ACTIONS(3371),
    [anon_sym___extension__] = ACTIONS(3369),
    [anon_sym_typedef] = ACTIONS(3369),
    [anon_sym_extern] = ACTIONS(3369),
    [anon_sym___attribute__] = ACTIONS(3369),
    [anon_sym_COLON_COLON] = ACTIONS(3371),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3371),
    [anon_sym___declspec] = ACTIONS(3369),
    [anon_sym___based] = ACTIONS(3369),
    [anon_sym___cdecl] = ACTIONS(3369),
    [anon_sym___clrcall] = ACTIONS(3369),
    [anon_sym___stdcall] = ACTIONS(3369),
    [anon_sym___fastcall] = ACTIONS(3369),
    [anon_sym___thiscall] = ACTIONS(3369),
    [anon_sym___vectorcall] = ACTIONS(3369),
    [anon_sym_LBRACE] = ACTIONS(3371),
    [anon_sym_signed] = ACTIONS(3369),
    [anon_sym_unsigned] = ACTIONS(3369),
    [anon_sym_long] = ACTIONS(3369),
    [anon_sym_short] = ACTIONS(3369),
    [anon_sym_LBRACK] = ACTIONS(3369),
    [anon_sym_static] = ACTIONS(3369),
    [anon_sym_register] = ACTIONS(3369),
    [anon_sym_inline] = ACTIONS(3369),
    [anon_sym___inline] = ACTIONS(3369),
    [anon_sym___inline__] = ACTIONS(3369),
    [anon_sym___forceinline] = ACTIONS(3369),
    [anon_sym_thread_local] = ACTIONS(3369),
    [anon_sym___thread] = ACTIONS(3369),
    [anon_sym_const] = ACTIONS(3369),
    [anon_sym_constexpr] = ACTIONS(3369),
    [anon_sym_volatile] = ACTIONS(3369),
    [anon_sym_restrict] = ACTIONS(3369),
    [anon_sym___restrict__] = ACTIONS(3369),
    [anon_sym__Atomic] = ACTIONS(3369),
    [anon_sym__Noreturn] = ACTIONS(3369),
    [anon_sym_noreturn] = ACTIONS(3369),
    [anon_sym_mutable] = ACTIONS(3369),
    [anon_sym_constinit] = ACTIONS(3369),
    [anon_sym_consteval] = ACTIONS(3369),
    [anon_sym_PROGMEM] = ACTIONS(3369),
    [aux_sym_primitive_type_token1] = ACTIONS(3369),
    [anon_sym_byte] = ACTIONS(3369),
    [anon_sym_word] = ACTIONS(3369),
    [anon_sym_enum] = ACTIONS(3369),
    [anon_sym_class] = ACTIONS(3369),
    [anon_sym_struct] = ACTIONS(3369),
    [anon_sym_union] = ACTIONS(3369),
    [anon_sym_if] = ACTIONS(3369),
    [anon_sym_switch] = ACTIONS(3369),
    [anon_sym_case] = ACTIONS(3369),
    [anon_sym_default] = ACTIONS(3369),
    [anon_sym_while] = ACTIONS(3369),
    [anon_sym_do] = ACTIONS(3369),
    [anon_sym_for] = ACTIONS(3369),
    [anon_sym_return] = ACTIONS(3369),
    [anon_sym_break] = ACTIONS(3369),
    [anon_sym_continue] = ACTIONS(3369),
    [anon_sym_goto] = ACTIONS(3369),
    [anon_sym___try] = ACTIONS(3369),
    [anon_sym___leave] = ACTIONS(3369),
    [anon_sym_not] = ACTIONS(3369),
    [anon_sym_compl] = ACTIONS(3369),
    [anon_sym_DASH_DASH] = ACTIONS(3371),
    [anon_sym_PLUS_PLUS] = ACTIONS(3371),
    [anon_sym_sizeof] = ACTIONS(3369),
    [anon_sym___alignof__] = ACTIONS(3369),
    [anon_sym___alignof] = ACTIONS(3369),
    [anon_sym__alignof] = ACTIONS(3369),
    [anon_sym_alignof] = ACTIONS(3369),
    [anon_sym__Alignof] = ACTIONS(3369),
    [anon_sym_offsetof] = ACTIONS(3369),
    [anon_sym__Generic] = ACTIONS(3369),
    [anon_sym_asm] = ACTIONS(3369),
    [anon_sym___asm__] = ACTIONS(3369),
    [aux_sym_number_literal_token1] = ACTIONS(3371),
    [aux_sym_number_literal_token2] = ACTIONS(3369),
    [anon_sym_L_SQUOTE] = ACTIONS(3371),
    [anon_sym_u_SQUOTE] = ACTIONS(3371),
    [anon_sym_U_SQUOTE] = ACTIONS(3371),
    [anon_sym_u8_SQUOTE] = ACTIONS(3371),
    [anon_sym_SQUOTE] = ACTIONS(3371),
    [anon_sym_L_DQUOTE] = ACTIONS(3371),
    [anon_sym_u_DQUOTE] = ACTIONS(3371),
    [anon_sym_U_DQUOTE] = ACTIONS(3371),
    [anon_sym_u8_DQUOTE] = ACTIONS(3371),
    [anon_sym_DQUOTE] = ACTIONS(3371),
    [sym_true] = ACTIONS(3369),
    [sym_false] = ACTIONS(3369),
    [anon_sym_NULL] = ACTIONS(3369),
    [anon_sym_nullptr] = ACTIONS(3369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3369),
    [anon_sym_decltype] = ACTIONS(3369),
    [anon_sym_virtual] = ACTIONS(3369),
    [anon_sym_alignas] = ACTIONS(3369),
    [anon_sym_explicit] = ACTIONS(3369),
    [anon_sym_typename] = ACTIONS(3369),
    [anon_sym_template] = ACTIONS(3369),
    [anon_sym_operator] = ACTIONS(3369),
    [anon_sym_try] = ACTIONS(3369),
    [anon_sym_delete] = ACTIONS(3369),
    [anon_sym_throw] = ACTIONS(3369),
    [anon_sym_namespace] = ACTIONS(3369),
    [anon_sym_using] = ACTIONS(3369),
    [anon_sym_static_assert] = ACTIONS(3369),
    [anon_sym_concept] = ACTIONS(3369),
    [anon_sym_co_return] = ACTIONS(3369),
    [anon_sym_co_yield] = ACTIONS(3369),
    [anon_sym_R_DQUOTE] = ACTIONS(3371),
    [anon_sym_LR_DQUOTE] = ACTIONS(3371),
    [anon_sym_uR_DQUOTE] = ACTIONS(3371),
    [anon_sym_UR_DQUOTE] = ACTIONS(3371),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3371),
    [anon_sym_co_await] = ACTIONS(3369),
    [anon_sym_new] = ACTIONS(3369),
    [anon_sym_requires] = ACTIONS(3369),
    [sym_this] = ACTIONS(3369),
  },
  [891] = {
    [sym_identifier] = ACTIONS(3459),
    [aux_sym_preproc_include_token1] = ACTIONS(3459),
    [aux_sym_preproc_def_token1] = ACTIONS(3459),
    [aux_sym_preproc_if_token1] = ACTIONS(3459),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3459),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3459),
    [sym_preproc_directive] = ACTIONS(3459),
    [anon_sym_LPAREN2] = ACTIONS(3461),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(3461),
    [anon_sym_AMP_AMP] = ACTIONS(3461),
    [anon_sym_AMP] = ACTIONS(3459),
    [anon_sym_SEMI] = ACTIONS(3461),
    [anon_sym___extension__] = ACTIONS(3459),
    [anon_sym_typedef] = ACTIONS(3459),
    [anon_sym_extern] = ACTIONS(3459),
    [anon_sym___attribute__] = ACTIONS(3459),
    [anon_sym_COLON_COLON] = ACTIONS(3461),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3461),
    [anon_sym___declspec] = ACTIONS(3459),
    [anon_sym___based] = ACTIONS(3459),
    [anon_sym___cdecl] = ACTIONS(3459),
    [anon_sym___clrcall] = ACTIONS(3459),
    [anon_sym___stdcall] = ACTIONS(3459),
    [anon_sym___fastcall] = ACTIONS(3459),
    [anon_sym___thiscall] = ACTIONS(3459),
    [anon_sym___vectorcall] = ACTIONS(3459),
    [anon_sym_LBRACE] = ACTIONS(3461),
    [anon_sym_RBRACE] = ACTIONS(3461),
    [anon_sym_signed] = ACTIONS(3459),
    [anon_sym_unsigned] = ACTIONS(3459),
    [anon_sym_long] = ACTIONS(3459),
    [anon_sym_short] = ACTIONS(3459),
    [anon_sym_LBRACK] = ACTIONS(3459),
    [anon_sym_static] = ACTIONS(3459),
    [anon_sym_register] = ACTIONS(3459),
    [anon_sym_inline] = ACTIONS(3459),
    [anon_sym___inline] = ACTIONS(3459),
    [anon_sym___inline__] = ACTIONS(3459),
    [anon_sym___forceinline] = ACTIONS(3459),
    [anon_sym_thread_local] = ACTIONS(3459),
    [anon_sym___thread] = ACTIONS(3459),
    [anon_sym_const] = ACTIONS(3459),
    [anon_sym_constexpr] = ACTIONS(3459),
    [anon_sym_volatile] = ACTIONS(3459),
    [anon_sym_restrict] = ACTIONS(3459),
    [anon_sym___restrict__] = ACTIONS(3459),
    [anon_sym__Atomic] = ACTIONS(3459),
    [anon_sym__Noreturn] = ACTIONS(3459),
    [anon_sym_noreturn] = ACTIONS(3459),
    [anon_sym_mutable] = ACTIONS(3459),
    [anon_sym_constinit] = ACTIONS(3459),
    [anon_sym_consteval] = ACTIONS(3459),
    [anon_sym_PROGMEM] = ACTIONS(3459),
    [aux_sym_primitive_type_token1] = ACTIONS(3459),
    [anon_sym_byte] = ACTIONS(3459),
    [anon_sym_word] = ACTIONS(3459),
    [anon_sym_enum] = ACTIONS(3459),
    [anon_sym_class] = ACTIONS(3459),
    [anon_sym_struct] = ACTIONS(3459),
    [anon_sym_union] = ACTIONS(3459),
    [anon_sym_if] = ACTIONS(3459),
    [anon_sym_switch] = ACTIONS(3459),
    [anon_sym_case] = ACTIONS(3459),
    [anon_sym_default] = ACTIONS(3459),
    [anon_sym_while] = ACTIONS(3459),
    [anon_sym_do] = ACTIONS(3459),
    [anon_sym_for] = ACTIONS(3459),
    [anon_sym_return] = ACTIONS(3459),
    [anon_sym_break] = ACTIONS(3459),
    [anon_sym_continue] = ACTIONS(3459),
    [anon_sym_goto] = ACTIONS(3459),
    [anon_sym___try] = ACTIONS(3459),
    [anon_sym___leave] = ACTIONS(3459),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(3461),
    [anon_sym_PLUS_PLUS] = ACTIONS(3461),
    [anon_sym_sizeof] = ACTIONS(3459),
    [anon_sym___alignof__] = ACTIONS(3459),
    [anon_sym___alignof] = ACTIONS(3459),
    [anon_sym__alignof] = ACTIONS(3459),
    [anon_sym_alignof] = ACTIONS(3459),
    [anon_sym__Alignof] = ACTIONS(3459),
    [anon_sym_offsetof] = ACTIONS(3459),
    [anon_sym__Generic] = ACTIONS(3459),
    [anon_sym_asm] = ACTIONS(3459),
    [anon_sym___asm__] = ACTIONS(3459),
    [aux_sym_number_literal_token1] = ACTIONS(3461),
    [aux_sym_number_literal_token2] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3461),
    [anon_sym_u_DQUOTE] = ACTIONS(3461),
    [anon_sym_U_DQUOTE] = ACTIONS(3461),
    [anon_sym_u8_DQUOTE] = ACTIONS(3461),
    [anon_sym_DQUOTE] = ACTIONS(3461),
    [sym_true] = ACTIONS(3459),
    [sym_false] = ACTIONS(3459),
    [anon_sym_NULL] = ACTIONS(3459),
    [anon_sym_nullptr] = ACTIONS(3459),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3459),
    [anon_sym_decltype] = ACTIONS(3459),
    [anon_sym_virtual] = ACTIONS(3459),
    [anon_sym_alignas] = ACTIONS(3459),
    [anon_sym_explicit] = ACTIONS(3459),
    [anon_sym_typename] = ACTIONS(3459),
    [anon_sym_template] = ACTIONS(3459),
    [anon_sym_operator] = ACTIONS(3459),
    [anon_sym_try] = ACTIONS(3459),
    [anon_sym_delete] = ACTIONS(3459),
    [anon_sym_throw] = ACTIONS(3459),
    [anon_sym_namespace] = ACTIONS(3459),
    [anon_sym_using] = ACTIONS(3459),
    [anon_sym_static_assert] = ACTIONS(3459),
    [anon_sym_concept] = ACTIONS(3459),
    [anon_sym_co_return] = ACTIONS(3459),
    [anon_sym_co_yield] = ACTIONS(3459),
    [anon_sym_R_DQUOTE] = ACTIONS(3461),
    [anon_sym_LR_DQUOTE] = ACTIONS(3461),
    [anon_sym_uR_DQUOTE] = ACTIONS(3461),
    [anon_sym_UR_DQUOTE] = ACTIONS(3461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3461),
    [anon_sym_co_await] = ACTIONS(3459),
    [anon_sym_new] = ACTIONS(3459),
    [anon_sym_requires] = ACTIONS(3459),
    [sym_this] = ACTIONS(3459),
  },
  [892] = {
    [sym_identifier] = ACTIONS(3401),
    [aux_sym_preproc_include_token1] = ACTIONS(3401),
    [aux_sym_preproc_def_token1] = ACTIONS(3401),
    [aux_sym_preproc_if_token1] = ACTIONS(3401),
    [aux_sym_preproc_if_token2] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3401),
    [sym_preproc_directive] = ACTIONS(3401),
    [anon_sym_LPAREN2] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3401),
    [anon_sym_PLUS] = ACTIONS(3401),
    [anon_sym_STAR] = ACTIONS(3403),
    [anon_sym_AMP_AMP] = ACTIONS(3403),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym___extension__] = ACTIONS(3401),
    [anon_sym_typedef] = ACTIONS(3401),
    [anon_sym_extern] = ACTIONS(3401),
    [anon_sym___attribute__] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3403),
    [anon_sym___declspec] = ACTIONS(3401),
    [anon_sym___based] = ACTIONS(3401),
    [anon_sym___cdecl] = ACTIONS(3401),
    [anon_sym___clrcall] = ACTIONS(3401),
    [anon_sym___stdcall] = ACTIONS(3401),
    [anon_sym___fastcall] = ACTIONS(3401),
    [anon_sym___thiscall] = ACTIONS(3401),
    [anon_sym___vectorcall] = ACTIONS(3401),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3401),
    [anon_sym_unsigned] = ACTIONS(3401),
    [anon_sym_long] = ACTIONS(3401),
    [anon_sym_short] = ACTIONS(3401),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_static] = ACTIONS(3401),
    [anon_sym_register] = ACTIONS(3401),
    [anon_sym_inline] = ACTIONS(3401),
    [anon_sym___inline] = ACTIONS(3401),
    [anon_sym___inline__] = ACTIONS(3401),
    [anon_sym___forceinline] = ACTIONS(3401),
    [anon_sym_thread_local] = ACTIONS(3401),
    [anon_sym___thread] = ACTIONS(3401),
    [anon_sym_const] = ACTIONS(3401),
    [anon_sym_constexpr] = ACTIONS(3401),
    [anon_sym_volatile] = ACTIONS(3401),
    [anon_sym_restrict] = ACTIONS(3401),
    [anon_sym___restrict__] = ACTIONS(3401),
    [anon_sym__Atomic] = ACTIONS(3401),
    [anon_sym__Noreturn] = ACTIONS(3401),
    [anon_sym_noreturn] = ACTIONS(3401),
    [anon_sym_mutable] = ACTIONS(3401),
    [anon_sym_constinit] = ACTIONS(3401),
    [anon_sym_consteval] = ACTIONS(3401),
    [anon_sym_PROGMEM] = ACTIONS(3401),
    [aux_sym_primitive_type_token1] = ACTIONS(3401),
    [anon_sym_byte] = ACTIONS(3401),
    [anon_sym_word] = ACTIONS(3401),
    [anon_sym_enum] = ACTIONS(3401),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3401),
    [anon_sym_union] = ACTIONS(3401),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_switch] = ACTIONS(3401),
    [anon_sym_case] = ACTIONS(3401),
    [anon_sym_default] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(3401),
    [anon_sym_do] = ACTIONS(3401),
    [anon_sym_for] = ACTIONS(3401),
    [anon_sym_return] = ACTIONS(3401),
    [anon_sym_break] = ACTIONS(3401),
    [anon_sym_continue] = ACTIONS(3401),
    [anon_sym_goto] = ACTIONS(3401),
    [anon_sym___try] = ACTIONS(3401),
    [anon_sym___leave] = ACTIONS(3401),
    [anon_sym_not] = ACTIONS(3401),
    [anon_sym_compl] = ACTIONS(3401),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_sizeof] = ACTIONS(3401),
    [anon_sym___alignof__] = ACTIONS(3401),
    [anon_sym___alignof] = ACTIONS(3401),
    [anon_sym__alignof] = ACTIONS(3401),
    [anon_sym_alignof] = ACTIONS(3401),
    [anon_sym__Alignof] = ACTIONS(3401),
    [anon_sym_offsetof] = ACTIONS(3401),
    [anon_sym__Generic] = ACTIONS(3401),
    [anon_sym_asm] = ACTIONS(3401),
    [anon_sym___asm__] = ACTIONS(3401),
    [aux_sym_number_literal_token1] = ACTIONS(3403),
    [aux_sym_number_literal_token2] = ACTIONS(3401),
    [anon_sym_L_SQUOTE] = ACTIONS(3403),
    [anon_sym_u_SQUOTE] = ACTIONS(3403),
    [anon_sym_U_SQUOTE] = ACTIONS(3403),
    [anon_sym_u8_SQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [anon_sym_L_DQUOTE] = ACTIONS(3403),
    [anon_sym_u_DQUOTE] = ACTIONS(3403),
    [anon_sym_U_DQUOTE] = ACTIONS(3403),
    [anon_sym_u8_DQUOTE] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [sym_true] = ACTIONS(3401),
    [sym_false] = ACTIONS(3401),
    [anon_sym_NULL] = ACTIONS(3401),
    [anon_sym_nullptr] = ACTIONS(3401),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3401),
    [anon_sym_decltype] = ACTIONS(3401),
    [anon_sym_virtual] = ACTIONS(3401),
    [anon_sym_alignas] = ACTIONS(3401),
    [anon_sym_explicit] = ACTIONS(3401),
    [anon_sym_typename] = ACTIONS(3401),
    [anon_sym_template] = ACTIONS(3401),
    [anon_sym_operator] = ACTIONS(3401),
    [anon_sym_try] = ACTIONS(3401),
    [anon_sym_delete] = ACTIONS(3401),
    [anon_sym_throw] = ACTIONS(3401),
    [anon_sym_namespace] = ACTIONS(3401),
    [anon_sym_using] = ACTIONS(3401),
    [anon_sym_static_assert] = ACTIONS(3401),
    [anon_sym_concept] = ACTIONS(3401),
    [anon_sym_co_return] = ACTIONS(3401),
    [anon_sym_co_yield] = ACTIONS(3401),
    [anon_sym_R_DQUOTE] = ACTIONS(3403),
    [anon_sym_LR_DQUOTE] = ACTIONS(3403),
    [anon_sym_uR_DQUOTE] = ACTIONS(3403),
    [anon_sym_UR_DQUOTE] = ACTIONS(3403),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3403),
    [anon_sym_co_await] = ACTIONS(3401),
    [anon_sym_new] = ACTIONS(3401),
    [anon_sym_requires] = ACTIONS(3401),
    [sym_this] = ACTIONS(3401),
  },
  [893] = {
    [sym_identifier] = ACTIONS(3455),
    [aux_sym_preproc_include_token1] = ACTIONS(3455),
    [aux_sym_preproc_def_token1] = ACTIONS(3455),
    [aux_sym_preproc_if_token1] = ACTIONS(3455),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3455),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3455),
    [sym_preproc_directive] = ACTIONS(3455),
    [anon_sym_LPAREN2] = ACTIONS(3457),
    [anon_sym_BANG] = ACTIONS(3457),
    [anon_sym_TILDE] = ACTIONS(3457),
    [anon_sym_DASH] = ACTIONS(3455),
    [anon_sym_PLUS] = ACTIONS(3455),
    [anon_sym_STAR] = ACTIONS(3457),
    [anon_sym_AMP_AMP] = ACTIONS(3457),
    [anon_sym_AMP] = ACTIONS(3455),
    [anon_sym_SEMI] = ACTIONS(3457),
    [anon_sym___extension__] = ACTIONS(3455),
    [anon_sym_typedef] = ACTIONS(3455),
    [anon_sym_extern] = ACTIONS(3455),
    [anon_sym___attribute__] = ACTIONS(3455),
    [anon_sym_COLON_COLON] = ACTIONS(3457),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3457),
    [anon_sym___declspec] = ACTIONS(3455),
    [anon_sym___based] = ACTIONS(3455),
    [anon_sym___cdecl] = ACTIONS(3455),
    [anon_sym___clrcall] = ACTIONS(3455),
    [anon_sym___stdcall] = ACTIONS(3455),
    [anon_sym___fastcall] = ACTIONS(3455),
    [anon_sym___thiscall] = ACTIONS(3455),
    [anon_sym___vectorcall] = ACTIONS(3455),
    [anon_sym_LBRACE] = ACTIONS(3457),
    [anon_sym_RBRACE] = ACTIONS(3457),
    [anon_sym_signed] = ACTIONS(3455),
    [anon_sym_unsigned] = ACTIONS(3455),
    [anon_sym_long] = ACTIONS(3455),
    [anon_sym_short] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(3455),
    [anon_sym_static] = ACTIONS(3455),
    [anon_sym_register] = ACTIONS(3455),
    [anon_sym_inline] = ACTIONS(3455),
    [anon_sym___inline] = ACTIONS(3455),
    [anon_sym___inline__] = ACTIONS(3455),
    [anon_sym___forceinline] = ACTIONS(3455),
    [anon_sym_thread_local] = ACTIONS(3455),
    [anon_sym___thread] = ACTIONS(3455),
    [anon_sym_const] = ACTIONS(3455),
    [anon_sym_constexpr] = ACTIONS(3455),
    [anon_sym_volatile] = ACTIONS(3455),
    [anon_sym_restrict] = ACTIONS(3455),
    [anon_sym___restrict__] = ACTIONS(3455),
    [anon_sym__Atomic] = ACTIONS(3455),
    [anon_sym__Noreturn] = ACTIONS(3455),
    [anon_sym_noreturn] = ACTIONS(3455),
    [anon_sym_mutable] = ACTIONS(3455),
    [anon_sym_constinit] = ACTIONS(3455),
    [anon_sym_consteval] = ACTIONS(3455),
    [anon_sym_PROGMEM] = ACTIONS(3455),
    [aux_sym_primitive_type_token1] = ACTIONS(3455),
    [anon_sym_byte] = ACTIONS(3455),
    [anon_sym_word] = ACTIONS(3455),
    [anon_sym_enum] = ACTIONS(3455),
    [anon_sym_class] = ACTIONS(3455),
    [anon_sym_struct] = ACTIONS(3455),
    [anon_sym_union] = ACTIONS(3455),
    [anon_sym_if] = ACTIONS(3455),
    [anon_sym_switch] = ACTIONS(3455),
    [anon_sym_case] = ACTIONS(3455),
    [anon_sym_default] = ACTIONS(3455),
    [anon_sym_while] = ACTIONS(3455),
    [anon_sym_do] = ACTIONS(3455),
    [anon_sym_for] = ACTIONS(3455),
    [anon_sym_return] = ACTIONS(3455),
    [anon_sym_break] = ACTIONS(3455),
    [anon_sym_continue] = ACTIONS(3455),
    [anon_sym_goto] = ACTIONS(3455),
    [anon_sym___try] = ACTIONS(3455),
    [anon_sym___leave] = ACTIONS(3455),
    [anon_sym_not] = ACTIONS(3455),
    [anon_sym_compl] = ACTIONS(3455),
    [anon_sym_DASH_DASH] = ACTIONS(3457),
    [anon_sym_PLUS_PLUS] = ACTIONS(3457),
    [anon_sym_sizeof] = ACTIONS(3455),
    [anon_sym___alignof__] = ACTIONS(3455),
    [anon_sym___alignof] = ACTIONS(3455),
    [anon_sym__alignof] = ACTIONS(3455),
    [anon_sym_alignof] = ACTIONS(3455),
    [anon_sym__Alignof] = ACTIONS(3455),
    [anon_sym_offsetof] = ACTIONS(3455),
    [anon_sym__Generic] = ACTIONS(3455),
    [anon_sym_asm] = ACTIONS(3455),
    [anon_sym___asm__] = ACTIONS(3455),
    [aux_sym_number_literal_token1] = ACTIONS(3457),
    [aux_sym_number_literal_token2] = ACTIONS(3455),
    [anon_sym_L_SQUOTE] = ACTIONS(3457),
    [anon_sym_u_SQUOTE] = ACTIONS(3457),
    [anon_sym_U_SQUOTE] = ACTIONS(3457),
    [anon_sym_u8_SQUOTE] = ACTIONS(3457),
    [anon_sym_SQUOTE] = ACTIONS(3457),
    [anon_sym_L_DQUOTE] = ACTIONS(3457),
    [anon_sym_u_DQUOTE] = ACTIONS(3457),
    [anon_sym_U_DQUOTE] = ACTIONS(3457),
    [anon_sym_u8_DQUOTE] = ACTIONS(3457),
    [anon_sym_DQUOTE] = ACTIONS(3457),
    [sym_true] = ACTIONS(3455),
    [sym_false] = ACTIONS(3455),
    [anon_sym_NULL] = ACTIONS(3455),
    [anon_sym_nullptr] = ACTIONS(3455),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3455),
    [anon_sym_virtual] = ACTIONS(3455),
    [anon_sym_alignas] = ACTIONS(3455),
    [anon_sym_explicit] = ACTIONS(3455),
    [anon_sym_typename] = ACTIONS(3455),
    [anon_sym_template] = ACTIONS(3455),
    [anon_sym_operator] = ACTIONS(3455),
    [anon_sym_try] = ACTIONS(3455),
    [anon_sym_delete] = ACTIONS(3455),
    [anon_sym_throw] = ACTIONS(3455),
    [anon_sym_namespace] = ACTIONS(3455),
    [anon_sym_using] = ACTIONS(3455),
    [anon_sym_static_assert] = ACTIONS(3455),
    [anon_sym_concept] = ACTIONS(3455),
    [anon_sym_co_return] = ACTIONS(3455),
    [anon_sym_co_yield] = ACTIONS(3455),
    [anon_sym_R_DQUOTE] = ACTIONS(3457),
    [anon_sym_LR_DQUOTE] = ACTIONS(3457),
    [anon_sym_uR_DQUOTE] = ACTIONS(3457),
    [anon_sym_UR_DQUOTE] = ACTIONS(3457),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3457),
    [anon_sym_co_await] = ACTIONS(3455),
    [anon_sym_new] = ACTIONS(3455),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3455),
  },
  [894] = {
    [sym_identifier] = ACTIONS(3451),
    [aux_sym_preproc_include_token1] = ACTIONS(3451),
    [aux_sym_preproc_def_token1] = ACTIONS(3451),
    [aux_sym_preproc_if_token1] = ACTIONS(3451),
    [aux_sym_preproc_if_token2] = ACTIONS(3451),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3451),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3451),
    [sym_preproc_directive] = ACTIONS(3451),
    [anon_sym_LPAREN2] = ACTIONS(3453),
    [anon_sym_BANG] = ACTIONS(3453),
    [anon_sym_TILDE] = ACTIONS(3453),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3453),
    [anon_sym_AMP_AMP] = ACTIONS(3453),
    [anon_sym_AMP] = ACTIONS(3451),
    [anon_sym_SEMI] = ACTIONS(3453),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_typedef] = ACTIONS(3451),
    [anon_sym_extern] = ACTIONS(3451),
    [anon_sym___attribute__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3453),
    [anon_sym___declspec] = ACTIONS(3451),
    [anon_sym___based] = ACTIONS(3451),
    [anon_sym___cdecl] = ACTIONS(3451),
    [anon_sym___clrcall] = ACTIONS(3451),
    [anon_sym___stdcall] = ACTIONS(3451),
    [anon_sym___fastcall] = ACTIONS(3451),
    [anon_sym___thiscall] = ACTIONS(3451),
    [anon_sym___vectorcall] = ACTIONS(3451),
    [anon_sym_LBRACE] = ACTIONS(3453),
    [anon_sym_signed] = ACTIONS(3451),
    [anon_sym_unsigned] = ACTIONS(3451),
    [anon_sym_long] = ACTIONS(3451),
    [anon_sym_short] = ACTIONS(3451),
    [anon_sym_LBRACK] = ACTIONS(3451),
    [anon_sym_static] = ACTIONS(3451),
    [anon_sym_register] = ACTIONS(3451),
    [anon_sym_inline] = ACTIONS(3451),
    [anon_sym___inline] = ACTIONS(3451),
    [anon_sym___inline__] = ACTIONS(3451),
    [anon_sym___forceinline] = ACTIONS(3451),
    [anon_sym_thread_local] = ACTIONS(3451),
    [anon_sym___thread] = ACTIONS(3451),
    [anon_sym_const] = ACTIONS(3451),
    [anon_sym_constexpr] = ACTIONS(3451),
    [anon_sym_volatile] = ACTIONS(3451),
    [anon_sym_restrict] = ACTIONS(3451),
    [anon_sym___restrict__] = ACTIONS(3451),
    [anon_sym__Atomic] = ACTIONS(3451),
    [anon_sym__Noreturn] = ACTIONS(3451),
    [anon_sym_noreturn] = ACTIONS(3451),
    [anon_sym_mutable] = ACTIONS(3451),
    [anon_sym_constinit] = ACTIONS(3451),
    [anon_sym_consteval] = ACTIONS(3451),
    [anon_sym_PROGMEM] = ACTIONS(3451),
    [aux_sym_primitive_type_token1] = ACTIONS(3451),
    [anon_sym_byte] = ACTIONS(3451),
    [anon_sym_word] = ACTIONS(3451),
    [anon_sym_enum] = ACTIONS(3451),
    [anon_sym_class] = ACTIONS(3451),
    [anon_sym_struct] = ACTIONS(3451),
    [anon_sym_union] = ACTIONS(3451),
    [anon_sym_if] = ACTIONS(3451),
    [anon_sym_switch] = ACTIONS(3451),
    [anon_sym_case] = ACTIONS(3451),
    [anon_sym_default] = ACTIONS(3451),
    [anon_sym_while] = ACTIONS(3451),
    [anon_sym_do] = ACTIONS(3451),
    [anon_sym_for] = ACTIONS(3451),
    [anon_sym_return] = ACTIONS(3451),
    [anon_sym_break] = ACTIONS(3451),
    [anon_sym_continue] = ACTIONS(3451),
    [anon_sym_goto] = ACTIONS(3451),
    [anon_sym___try] = ACTIONS(3451),
    [anon_sym___leave] = ACTIONS(3451),
    [anon_sym_not] = ACTIONS(3451),
    [anon_sym_compl] = ACTIONS(3451),
    [anon_sym_DASH_DASH] = ACTIONS(3453),
    [anon_sym_PLUS_PLUS] = ACTIONS(3453),
    [anon_sym_sizeof] = ACTIONS(3451),
    [anon_sym___alignof__] = ACTIONS(3451),
    [anon_sym___alignof] = ACTIONS(3451),
    [anon_sym__alignof] = ACTIONS(3451),
    [anon_sym_alignof] = ACTIONS(3451),
    [anon_sym__Alignof] = ACTIONS(3451),
    [anon_sym_offsetof] = ACTIONS(3451),
    [anon_sym__Generic] = ACTIONS(3451),
    [anon_sym_asm] = ACTIONS(3451),
    [anon_sym___asm__] = ACTIONS(3451),
    [aux_sym_number_literal_token1] = ACTIONS(3453),
    [aux_sym_number_literal_token2] = ACTIONS(3451),
    [anon_sym_L_SQUOTE] = ACTIONS(3453),
    [anon_sym_u_SQUOTE] = ACTIONS(3453),
    [anon_sym_U_SQUOTE] = ACTIONS(3453),
    [anon_sym_u8_SQUOTE] = ACTIONS(3453),
    [anon_sym_SQUOTE] = ACTIONS(3453),
    [anon_sym_L_DQUOTE] = ACTIONS(3453),
    [anon_sym_u_DQUOTE] = ACTIONS(3453),
    [anon_sym_U_DQUOTE] = ACTIONS(3453),
    [anon_sym_u8_DQUOTE] = ACTIONS(3453),
    [anon_sym_DQUOTE] = ACTIONS(3453),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3451),
    [anon_sym_nullptr] = ACTIONS(3451),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3451),
    [anon_sym_decltype] = ACTIONS(3451),
    [anon_sym_virtual] = ACTIONS(3451),
    [anon_sym_alignas] = ACTIONS(3451),
    [anon_sym_explicit] = ACTIONS(3451),
    [anon_sym_typename] = ACTIONS(3451),
    [anon_sym_template] = ACTIONS(3451),
    [anon_sym_operator] = ACTIONS(3451),
    [anon_sym_try] = ACTIONS(3451),
    [anon_sym_delete] = ACTIONS(3451),
    [anon_sym_throw] = ACTIONS(3451),
    [anon_sym_namespace] = ACTIONS(3451),
    [anon_sym_using] = ACTIONS(3451),
    [anon_sym_static_assert] = ACTIONS(3451),
    [anon_sym_concept] = ACTIONS(3451),
    [anon_sym_co_return] = ACTIONS(3451),
    [anon_sym_co_yield] = ACTIONS(3451),
    [anon_sym_R_DQUOTE] = ACTIONS(3453),
    [anon_sym_LR_DQUOTE] = ACTIONS(3453),
    [anon_sym_uR_DQUOTE] = ACTIONS(3453),
    [anon_sym_UR_DQUOTE] = ACTIONS(3453),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3453),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3451),
    [anon_sym_requires] = ACTIONS(3451),
    [sym_this] = ACTIONS(3451),
  },
  [895] = {
    [sym_identifier] = ACTIONS(3347),
    [aux_sym_preproc_include_token1] = ACTIONS(3347),
    [aux_sym_preproc_def_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token2] = ACTIONS(3347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3347),
    [sym_preproc_directive] = ACTIONS(3347),
    [anon_sym_LPAREN2] = ACTIONS(3349),
    [anon_sym_BANG] = ACTIONS(3349),
    [anon_sym_TILDE] = ACTIONS(3349),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_AMP_AMP] = ACTIONS(3349),
    [anon_sym_AMP] = ACTIONS(3347),
    [anon_sym_SEMI] = ACTIONS(3349),
    [anon_sym___extension__] = ACTIONS(3347),
    [anon_sym_typedef] = ACTIONS(3347),
    [anon_sym_extern] = ACTIONS(3347),
    [anon_sym___attribute__] = ACTIONS(3347),
    [anon_sym_COLON_COLON] = ACTIONS(3349),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3349),
    [anon_sym___declspec] = ACTIONS(3347),
    [anon_sym___based] = ACTIONS(3347),
    [anon_sym___cdecl] = ACTIONS(3347),
    [anon_sym___clrcall] = ACTIONS(3347),
    [anon_sym___stdcall] = ACTIONS(3347),
    [anon_sym___fastcall] = ACTIONS(3347),
    [anon_sym___thiscall] = ACTIONS(3347),
    [anon_sym___vectorcall] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3349),
    [anon_sym_signed] = ACTIONS(3347),
    [anon_sym_unsigned] = ACTIONS(3347),
    [anon_sym_long] = ACTIONS(3347),
    [anon_sym_short] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_register] = ACTIONS(3347),
    [anon_sym_inline] = ACTIONS(3347),
    [anon_sym___inline] = ACTIONS(3347),
    [anon_sym___inline__] = ACTIONS(3347),
    [anon_sym___forceinline] = ACTIONS(3347),
    [anon_sym_thread_local] = ACTIONS(3347),
    [anon_sym___thread] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_constexpr] = ACTIONS(3347),
    [anon_sym_volatile] = ACTIONS(3347),
    [anon_sym_restrict] = ACTIONS(3347),
    [anon_sym___restrict__] = ACTIONS(3347),
    [anon_sym__Atomic] = ACTIONS(3347),
    [anon_sym__Noreturn] = ACTIONS(3347),
    [anon_sym_noreturn] = ACTIONS(3347),
    [anon_sym_mutable] = ACTIONS(3347),
    [anon_sym_constinit] = ACTIONS(3347),
    [anon_sym_consteval] = ACTIONS(3347),
    [anon_sym_PROGMEM] = ACTIONS(3347),
    [aux_sym_primitive_type_token1] = ACTIONS(3347),
    [anon_sym_byte] = ACTIONS(3347),
    [anon_sym_word] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_struct] = ACTIONS(3347),
    [anon_sym_union] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(3347),
    [anon_sym_switch] = ACTIONS(3347),
    [anon_sym_case] = ACTIONS(3347),
    [anon_sym_default] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(3347),
    [anon_sym_do] = ACTIONS(3347),
    [anon_sym_for] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3347),
    [anon_sym_break] = ACTIONS(3347),
    [anon_sym_continue] = ACTIONS(3347),
    [anon_sym_goto] = ACTIONS(3347),
    [anon_sym___try] = ACTIONS(3347),
    [anon_sym___leave] = ACTIONS(3347),
    [anon_sym_not] = ACTIONS(3347),
    [anon_sym_compl] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3349),
    [anon_sym_PLUS_PLUS] = ACTIONS(3349),
    [anon_sym_sizeof] = ACTIONS(3347),
    [anon_sym___alignof__] = ACTIONS(3347),
    [anon_sym___alignof] = ACTIONS(3347),
    [anon_sym__alignof] = ACTIONS(3347),
    [anon_sym_alignof] = ACTIONS(3347),
    [anon_sym__Alignof] = ACTIONS(3347),
    [anon_sym_offsetof] = ACTIONS(3347),
    [anon_sym__Generic] = ACTIONS(3347),
    [anon_sym_asm] = ACTIONS(3347),
    [anon_sym___asm__] = ACTIONS(3347),
    [aux_sym_number_literal_token1] = ACTIONS(3349),
    [aux_sym_number_literal_token2] = ACTIONS(3347),
    [anon_sym_L_SQUOTE] = ACTIONS(3349),
    [anon_sym_u_SQUOTE] = ACTIONS(3349),
    [anon_sym_U_SQUOTE] = ACTIONS(3349),
    [anon_sym_u8_SQUOTE] = ACTIONS(3349),
    [anon_sym_SQUOTE] = ACTIONS(3349),
    [anon_sym_L_DQUOTE] = ACTIONS(3349),
    [anon_sym_u_DQUOTE] = ACTIONS(3349),
    [anon_sym_U_DQUOTE] = ACTIONS(3349),
    [anon_sym_u8_DQUOTE] = ACTIONS(3349),
    [anon_sym_DQUOTE] = ACTIONS(3349),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [anon_sym_NULL] = ACTIONS(3347),
    [anon_sym_nullptr] = ACTIONS(3347),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3347),
    [anon_sym_decltype] = ACTIONS(3347),
    [anon_sym_virtual] = ACTIONS(3347),
    [anon_sym_alignas] = ACTIONS(3347),
    [anon_sym_explicit] = ACTIONS(3347),
    [anon_sym_typename] = ACTIONS(3347),
    [anon_sym_template] = ACTIONS(3347),
    [anon_sym_operator] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3347),
    [anon_sym_delete] = ACTIONS(3347),
    [anon_sym_throw] = ACTIONS(3347),
    [anon_sym_namespace] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_static_assert] = ACTIONS(3347),
    [anon_sym_concept] = ACTIONS(3347),
    [anon_sym_co_return] = ACTIONS(3347),
    [anon_sym_co_yield] = ACTIONS(3347),
    [anon_sym_R_DQUOTE] = ACTIONS(3349),
    [anon_sym_LR_DQUOTE] = ACTIONS(3349),
    [anon_sym_uR_DQUOTE] = ACTIONS(3349),
    [anon_sym_UR_DQUOTE] = ACTIONS(3349),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3349),
    [anon_sym_co_await] = ACTIONS(3347),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_requires] = ACTIONS(3347),
    [sym_this] = ACTIONS(3347),
  },
  [896] = {
    [sym_identifier] = ACTIONS(3397),
    [aux_sym_preproc_include_token1] = ACTIONS(3397),
    [aux_sym_preproc_def_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token2] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3397),
    [sym_preproc_directive] = ACTIONS(3397),
    [anon_sym_LPAREN2] = ACTIONS(3399),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_AMP_AMP] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3399),
    [anon_sym___extension__] = ACTIONS(3397),
    [anon_sym_typedef] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym___attribute__] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(3399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym___declspec] = ACTIONS(3397),
    [anon_sym___based] = ACTIONS(3397),
    [anon_sym___cdecl] = ACTIONS(3397),
    [anon_sym___clrcall] = ACTIONS(3397),
    [anon_sym___stdcall] = ACTIONS(3397),
    [anon_sym___fastcall] = ACTIONS(3397),
    [anon_sym___thiscall] = ACTIONS(3397),
    [anon_sym___vectorcall] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_signed] = ACTIONS(3397),
    [anon_sym_unsigned] = ACTIONS(3397),
    [anon_sym_long] = ACTIONS(3397),
    [anon_sym_short] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_register] = ACTIONS(3397),
    [anon_sym_inline] = ACTIONS(3397),
    [anon_sym___inline] = ACTIONS(3397),
    [anon_sym___inline__] = ACTIONS(3397),
    [anon_sym___forceinline] = ACTIONS(3397),
    [anon_sym_thread_local] = ACTIONS(3397),
    [anon_sym___thread] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_constexpr] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_restrict] = ACTIONS(3397),
    [anon_sym___restrict__] = ACTIONS(3397),
    [anon_sym__Atomic] = ACTIONS(3397),
    [anon_sym__Noreturn] = ACTIONS(3397),
    [anon_sym_noreturn] = ACTIONS(3397),
    [anon_sym_mutable] = ACTIONS(3397),
    [anon_sym_constinit] = ACTIONS(3397),
    [anon_sym_consteval] = ACTIONS(3397),
    [anon_sym_PROGMEM] = ACTIONS(3397),
    [aux_sym_primitive_type_token1] = ACTIONS(3397),
    [anon_sym_byte] = ACTIONS(3397),
    [anon_sym_word] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_union] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_goto] = ACTIONS(3397),
    [anon_sym___try] = ACTIONS(3397),
    [anon_sym___leave] = ACTIONS(3397),
    [anon_sym_not] = ACTIONS(3397),
    [anon_sym_compl] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_sizeof] = ACTIONS(3397),
    [anon_sym___alignof__] = ACTIONS(3397),
    [anon_sym___alignof] = ACTIONS(3397),
    [anon_sym__alignof] = ACTIONS(3397),
    [anon_sym_alignof] = ACTIONS(3397),
    [anon_sym__Alignof] = ACTIONS(3397),
    [anon_sym_offsetof] = ACTIONS(3397),
    [anon_sym__Generic] = ACTIONS(3397),
    [anon_sym_asm] = ACTIONS(3397),
    [anon_sym___asm__] = ACTIONS(3397),
    [aux_sym_number_literal_token1] = ACTIONS(3399),
    [aux_sym_number_literal_token2] = ACTIONS(3397),
    [anon_sym_L_SQUOTE] = ACTIONS(3399),
    [anon_sym_u_SQUOTE] = ACTIONS(3399),
    [anon_sym_U_SQUOTE] = ACTIONS(3399),
    [anon_sym_u8_SQUOTE] = ACTIONS(3399),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [anon_sym_L_DQUOTE] = ACTIONS(3399),
    [anon_sym_u_DQUOTE] = ACTIONS(3399),
    [anon_sym_U_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8_DQUOTE] = ACTIONS(3399),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [anon_sym_NULL] = ACTIONS(3397),
    [anon_sym_nullptr] = ACTIONS(3397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3397),
    [anon_sym_decltype] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_alignas] = ACTIONS(3397),
    [anon_sym_explicit] = ACTIONS(3397),
    [anon_sym_typename] = ACTIONS(3397),
    [anon_sym_template] = ACTIONS(3397),
    [anon_sym_operator] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_static_assert] = ACTIONS(3397),
    [anon_sym_concept] = ACTIONS(3397),
    [anon_sym_co_return] = ACTIONS(3397),
    [anon_sym_co_yield] = ACTIONS(3397),
    [anon_sym_R_DQUOTE] = ACTIONS(3399),
    [anon_sym_LR_DQUOTE] = ACTIONS(3399),
    [anon_sym_uR_DQUOTE] = ACTIONS(3399),
    [anon_sym_UR_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3399),
    [anon_sym_co_await] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_requires] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
  },
  [897] = {
    [sym_identifier] = ACTIONS(3409),
    [aux_sym_preproc_include_token1] = ACTIONS(3409),
    [aux_sym_preproc_def_token1] = ACTIONS(3409),
    [aux_sym_preproc_if_token1] = ACTIONS(3409),
    [aux_sym_preproc_if_token2] = ACTIONS(3409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3409),
    [sym_preproc_directive] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3411),
    [anon_sym_TILDE] = ACTIONS(3411),
    [anon_sym_DASH] = ACTIONS(3409),
    [anon_sym_PLUS] = ACTIONS(3409),
    [anon_sym_STAR] = ACTIONS(3411),
    [anon_sym_AMP_AMP] = ACTIONS(3411),
    [anon_sym_AMP] = ACTIONS(3409),
    [anon_sym_SEMI] = ACTIONS(3411),
    [anon_sym___extension__] = ACTIONS(3409),
    [anon_sym_typedef] = ACTIONS(3409),
    [anon_sym_extern] = ACTIONS(3409),
    [anon_sym___attribute__] = ACTIONS(3409),
    [anon_sym_COLON_COLON] = ACTIONS(3411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3411),
    [anon_sym___declspec] = ACTIONS(3409),
    [anon_sym___based] = ACTIONS(3409),
    [anon_sym___cdecl] = ACTIONS(3409),
    [anon_sym___clrcall] = ACTIONS(3409),
    [anon_sym___stdcall] = ACTIONS(3409),
    [anon_sym___fastcall] = ACTIONS(3409),
    [anon_sym___thiscall] = ACTIONS(3409),
    [anon_sym___vectorcall] = ACTIONS(3409),
    [anon_sym_LBRACE] = ACTIONS(3411),
    [anon_sym_signed] = ACTIONS(3409),
    [anon_sym_unsigned] = ACTIONS(3409),
    [anon_sym_long] = ACTIONS(3409),
    [anon_sym_short] = ACTIONS(3409),
    [anon_sym_LBRACK] = ACTIONS(3409),
    [anon_sym_static] = ACTIONS(3409),
    [anon_sym_register] = ACTIONS(3409),
    [anon_sym_inline] = ACTIONS(3409),
    [anon_sym___inline] = ACTIONS(3409),
    [anon_sym___inline__] = ACTIONS(3409),
    [anon_sym___forceinline] = ACTIONS(3409),
    [anon_sym_thread_local] = ACTIONS(3409),
    [anon_sym___thread] = ACTIONS(3409),
    [anon_sym_const] = ACTIONS(3409),
    [anon_sym_constexpr] = ACTIONS(3409),
    [anon_sym_volatile] = ACTIONS(3409),
    [anon_sym_restrict] = ACTIONS(3409),
    [anon_sym___restrict__] = ACTIONS(3409),
    [anon_sym__Atomic] = ACTIONS(3409),
    [anon_sym__Noreturn] = ACTIONS(3409),
    [anon_sym_noreturn] = ACTIONS(3409),
    [anon_sym_mutable] = ACTIONS(3409),
    [anon_sym_constinit] = ACTIONS(3409),
    [anon_sym_consteval] = ACTIONS(3409),
    [anon_sym_PROGMEM] = ACTIONS(3409),
    [aux_sym_primitive_type_token1] = ACTIONS(3409),
    [anon_sym_byte] = ACTIONS(3409),
    [anon_sym_word] = ACTIONS(3409),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3409),
    [anon_sym_struct] = ACTIONS(3409),
    [anon_sym_union] = ACTIONS(3409),
    [anon_sym_if] = ACTIONS(3409),
    [anon_sym_switch] = ACTIONS(3409),
    [anon_sym_case] = ACTIONS(3409),
    [anon_sym_default] = ACTIONS(3409),
    [anon_sym_while] = ACTIONS(3409),
    [anon_sym_do] = ACTIONS(3409),
    [anon_sym_for] = ACTIONS(3409),
    [anon_sym_return] = ACTIONS(3409),
    [anon_sym_break] = ACTIONS(3409),
    [anon_sym_continue] = ACTIONS(3409),
    [anon_sym_goto] = ACTIONS(3409),
    [anon_sym___try] = ACTIONS(3409),
    [anon_sym___leave] = ACTIONS(3409),
    [anon_sym_not] = ACTIONS(3409),
    [anon_sym_compl] = ACTIONS(3409),
    [anon_sym_DASH_DASH] = ACTIONS(3411),
    [anon_sym_PLUS_PLUS] = ACTIONS(3411),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3409),
    [anon_sym___alignof] = ACTIONS(3409),
    [anon_sym__alignof] = ACTIONS(3409),
    [anon_sym_alignof] = ACTIONS(3409),
    [anon_sym__Alignof] = ACTIONS(3409),
    [anon_sym_offsetof] = ACTIONS(3409),
    [anon_sym__Generic] = ACTIONS(3409),
    [anon_sym_asm] = ACTIONS(3409),
    [anon_sym___asm__] = ACTIONS(3409),
    [aux_sym_number_literal_token1] = ACTIONS(3411),
    [aux_sym_number_literal_token2] = ACTIONS(3409),
    [anon_sym_L_SQUOTE] = ACTIONS(3411),
    [anon_sym_u_SQUOTE] = ACTIONS(3411),
    [anon_sym_U_SQUOTE] = ACTIONS(3411),
    [anon_sym_u8_SQUOTE] = ACTIONS(3411),
    [anon_sym_SQUOTE] = ACTIONS(3411),
    [anon_sym_L_DQUOTE] = ACTIONS(3411),
    [anon_sym_u_DQUOTE] = ACTIONS(3411),
    [anon_sym_U_DQUOTE] = ACTIONS(3411),
    [anon_sym_u8_DQUOTE] = ACTIONS(3411),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [sym_true] = ACTIONS(3409),
    [sym_false] = ACTIONS(3409),
    [anon_sym_NULL] = ACTIONS(3409),
    [anon_sym_nullptr] = ACTIONS(3409),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3409),
    [anon_sym_decltype] = ACTIONS(3409),
    [anon_sym_virtual] = ACTIONS(3409),
    [anon_sym_alignas] = ACTIONS(3409),
    [anon_sym_explicit] = ACTIONS(3409),
    [anon_sym_typename] = ACTIONS(3409),
    [anon_sym_template] = ACTIONS(3409),
    [anon_sym_operator] = ACTIONS(3409),
    [anon_sym_try] = ACTIONS(3409),
    [anon_sym_delete] = ACTIONS(3409),
    [anon_sym_throw] = ACTIONS(3409),
    [anon_sym_namespace] = ACTIONS(3409),
    [anon_sym_using] = ACTIONS(3409),
    [anon_sym_static_assert] = ACTIONS(3409),
    [anon_sym_concept] = ACTIONS(3409),
    [anon_sym_co_return] = ACTIONS(3409),
    [anon_sym_co_yield] = ACTIONS(3409),
    [anon_sym_R_DQUOTE] = ACTIONS(3411),
    [anon_sym_LR_DQUOTE] = ACTIONS(3411),
    [anon_sym_uR_DQUOTE] = ACTIONS(3411),
    [anon_sym_UR_DQUOTE] = ACTIONS(3411),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3411),
    [anon_sym_co_await] = ACTIONS(3409),
    [anon_sym_new] = ACTIONS(3409),
    [anon_sym_requires] = ACTIONS(3409),
    [sym_this] = ACTIONS(3409),
  },
  [898] = {
    [sym_identifier] = ACTIONS(3435),
    [aux_sym_preproc_include_token1] = ACTIONS(3435),
    [aux_sym_preproc_def_token1] = ACTIONS(3435),
    [aux_sym_preproc_if_token1] = ACTIONS(3435),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3435),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3435),
    [sym_preproc_directive] = ACTIONS(3435),
    [anon_sym_LPAREN2] = ACTIONS(3437),
    [anon_sym_BANG] = ACTIONS(3437),
    [anon_sym_TILDE] = ACTIONS(3437),
    [anon_sym_DASH] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3435),
    [anon_sym_STAR] = ACTIONS(3437),
    [anon_sym_AMP_AMP] = ACTIONS(3437),
    [anon_sym_AMP] = ACTIONS(3435),
    [anon_sym_SEMI] = ACTIONS(3437),
    [anon_sym___extension__] = ACTIONS(3435),
    [anon_sym_typedef] = ACTIONS(3435),
    [anon_sym_extern] = ACTIONS(3435),
    [anon_sym___attribute__] = ACTIONS(3435),
    [anon_sym_COLON_COLON] = ACTIONS(3437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3437),
    [anon_sym___declspec] = ACTIONS(3435),
    [anon_sym___based] = ACTIONS(3435),
    [anon_sym___cdecl] = ACTIONS(3435),
    [anon_sym___clrcall] = ACTIONS(3435),
    [anon_sym___stdcall] = ACTIONS(3435),
    [anon_sym___fastcall] = ACTIONS(3435),
    [anon_sym___thiscall] = ACTIONS(3435),
    [anon_sym___vectorcall] = ACTIONS(3435),
    [anon_sym_LBRACE] = ACTIONS(3437),
    [anon_sym_RBRACE] = ACTIONS(3437),
    [anon_sym_signed] = ACTIONS(3435),
    [anon_sym_unsigned] = ACTIONS(3435),
    [anon_sym_long] = ACTIONS(3435),
    [anon_sym_short] = ACTIONS(3435),
    [anon_sym_LBRACK] = ACTIONS(3435),
    [anon_sym_static] = ACTIONS(3435),
    [anon_sym_register] = ACTIONS(3435),
    [anon_sym_inline] = ACTIONS(3435),
    [anon_sym___inline] = ACTIONS(3435),
    [anon_sym___inline__] = ACTIONS(3435),
    [anon_sym___forceinline] = ACTIONS(3435),
    [anon_sym_thread_local] = ACTIONS(3435),
    [anon_sym___thread] = ACTIONS(3435),
    [anon_sym_const] = ACTIONS(3435),
    [anon_sym_constexpr] = ACTIONS(3435),
    [anon_sym_volatile] = ACTIONS(3435),
    [anon_sym_restrict] = ACTIONS(3435),
    [anon_sym___restrict__] = ACTIONS(3435),
    [anon_sym__Atomic] = ACTIONS(3435),
    [anon_sym__Noreturn] = ACTIONS(3435),
    [anon_sym_noreturn] = ACTIONS(3435),
    [anon_sym_mutable] = ACTIONS(3435),
    [anon_sym_constinit] = ACTIONS(3435),
    [anon_sym_consteval] = ACTIONS(3435),
    [anon_sym_PROGMEM] = ACTIONS(3435),
    [aux_sym_primitive_type_token1] = ACTIONS(3435),
    [anon_sym_byte] = ACTIONS(3435),
    [anon_sym_word] = ACTIONS(3435),
    [anon_sym_enum] = ACTIONS(3435),
    [anon_sym_class] = ACTIONS(3435),
    [anon_sym_struct] = ACTIONS(3435),
    [anon_sym_union] = ACTIONS(3435),
    [anon_sym_if] = ACTIONS(3435),
    [anon_sym_switch] = ACTIONS(3435),
    [anon_sym_case] = ACTIONS(3435),
    [anon_sym_default] = ACTIONS(3435),
    [anon_sym_while] = ACTIONS(3435),
    [anon_sym_do] = ACTIONS(3435),
    [anon_sym_for] = ACTIONS(3435),
    [anon_sym_return] = ACTIONS(3435),
    [anon_sym_break] = ACTIONS(3435),
    [anon_sym_continue] = ACTIONS(3435),
    [anon_sym_goto] = ACTIONS(3435),
    [anon_sym___try] = ACTIONS(3435),
    [anon_sym___leave] = ACTIONS(3435),
    [anon_sym_not] = ACTIONS(3435),
    [anon_sym_compl] = ACTIONS(3435),
    [anon_sym_DASH_DASH] = ACTIONS(3437),
    [anon_sym_PLUS_PLUS] = ACTIONS(3437),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3435),
    [anon_sym___alignof] = ACTIONS(3435),
    [anon_sym__alignof] = ACTIONS(3435),
    [anon_sym_alignof] = ACTIONS(3435),
    [anon_sym__Alignof] = ACTIONS(3435),
    [anon_sym_offsetof] = ACTIONS(3435),
    [anon_sym__Generic] = ACTIONS(3435),
    [anon_sym_asm] = ACTIONS(3435),
    [anon_sym___asm__] = ACTIONS(3435),
    [aux_sym_number_literal_token1] = ACTIONS(3437),
    [aux_sym_number_literal_token2] = ACTIONS(3435),
    [anon_sym_L_SQUOTE] = ACTIONS(3437),
    [anon_sym_u_SQUOTE] = ACTIONS(3437),
    [anon_sym_U_SQUOTE] = ACTIONS(3437),
    [anon_sym_u8_SQUOTE] = ACTIONS(3437),
    [anon_sym_SQUOTE] = ACTIONS(3437),
    [anon_sym_L_DQUOTE] = ACTIONS(3437),
    [anon_sym_u_DQUOTE] = ACTIONS(3437),
    [anon_sym_U_DQUOTE] = ACTIONS(3437),
    [anon_sym_u8_DQUOTE] = ACTIONS(3437),
    [anon_sym_DQUOTE] = ACTIONS(3437),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3435),
    [anon_sym_nullptr] = ACTIONS(3435),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3435),
    [anon_sym_decltype] = ACTIONS(3435),
    [anon_sym_virtual] = ACTIONS(3435),
    [anon_sym_alignas] = ACTIONS(3435),
    [anon_sym_explicit] = ACTIONS(3435),
    [anon_sym_typename] = ACTIONS(3435),
    [anon_sym_template] = ACTIONS(3435),
    [anon_sym_operator] = ACTIONS(3435),
    [anon_sym_try] = ACTIONS(3435),
    [anon_sym_delete] = ACTIONS(3435),
    [anon_sym_throw] = ACTIONS(3435),
    [anon_sym_namespace] = ACTIONS(3435),
    [anon_sym_using] = ACTIONS(3435),
    [anon_sym_static_assert] = ACTIONS(3435),
    [anon_sym_concept] = ACTIONS(3435),
    [anon_sym_co_return] = ACTIONS(3435),
    [anon_sym_co_yield] = ACTIONS(3435),
    [anon_sym_R_DQUOTE] = ACTIONS(3437),
    [anon_sym_LR_DQUOTE] = ACTIONS(3437),
    [anon_sym_uR_DQUOTE] = ACTIONS(3437),
    [anon_sym_UR_DQUOTE] = ACTIONS(3437),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3437),
    [anon_sym_co_await] = ACTIONS(3435),
    [anon_sym_new] = ACTIONS(3435),
    [anon_sym_requires] = ACTIONS(3435),
    [sym_this] = ACTIONS(3435),
  },
  [899] = {
    [sym_identifier] = ACTIONS(3389),
    [aux_sym_preproc_include_token1] = ACTIONS(3389),
    [aux_sym_preproc_def_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token2] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3389),
    [sym_preproc_directive] = ACTIONS(3389),
    [anon_sym_LPAREN2] = ACTIONS(3391),
    [anon_sym_BANG] = ACTIONS(3391),
    [anon_sym_TILDE] = ACTIONS(3391),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP_AMP] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3389),
    [anon_sym_SEMI] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(3389),
    [anon_sym_typedef] = ACTIONS(3389),
    [anon_sym_extern] = ACTIONS(3389),
    [anon_sym___attribute__] = ACTIONS(3389),
    [anon_sym_COLON_COLON] = ACTIONS(3391),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3391),
    [anon_sym___declspec] = ACTIONS(3389),
    [anon_sym___based] = ACTIONS(3389),
    [anon_sym___cdecl] = ACTIONS(3389),
    [anon_sym___clrcall] = ACTIONS(3389),
    [anon_sym___stdcall] = ACTIONS(3389),
    [anon_sym___fastcall] = ACTIONS(3389),
    [anon_sym___thiscall] = ACTIONS(3389),
    [anon_sym___vectorcall] = ACTIONS(3389),
    [anon_sym_LBRACE] = ACTIONS(3391),
    [anon_sym_signed] = ACTIONS(3389),
    [anon_sym_unsigned] = ACTIONS(3389),
    [anon_sym_long] = ACTIONS(3389),
    [anon_sym_short] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_register] = ACTIONS(3389),
    [anon_sym_inline] = ACTIONS(3389),
    [anon_sym___inline] = ACTIONS(3389),
    [anon_sym___inline__] = ACTIONS(3389),
    [anon_sym___forceinline] = ACTIONS(3389),
    [anon_sym_thread_local] = ACTIONS(3389),
    [anon_sym___thread] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_constexpr] = ACTIONS(3389),
    [anon_sym_volatile] = ACTIONS(3389),
    [anon_sym_restrict] = ACTIONS(3389),
    [anon_sym___restrict__] = ACTIONS(3389),
    [anon_sym__Atomic] = ACTIONS(3389),
    [anon_sym__Noreturn] = ACTIONS(3389),
    [anon_sym_noreturn] = ACTIONS(3389),
    [anon_sym_mutable] = ACTIONS(3389),
    [anon_sym_constinit] = ACTIONS(3389),
    [anon_sym_consteval] = ACTIONS(3389),
    [anon_sym_PROGMEM] = ACTIONS(3389),
    [aux_sym_primitive_type_token1] = ACTIONS(3389),
    [anon_sym_byte] = ACTIONS(3389),
    [anon_sym_word] = ACTIONS(3389),
    [anon_sym_enum] = ACTIONS(3389),
    [anon_sym_class] = ACTIONS(3389),
    [anon_sym_struct] = ACTIONS(3389),
    [anon_sym_union] = ACTIONS(3389),
    [anon_sym_if] = ACTIONS(3389),
    [anon_sym_switch] = ACTIONS(3389),
    [anon_sym_case] = ACTIONS(3389),
    [anon_sym_default] = ACTIONS(3389),
    [anon_sym_while] = ACTIONS(3389),
    [anon_sym_do] = ACTIONS(3389),
    [anon_sym_for] = ACTIONS(3389),
    [anon_sym_return] = ACTIONS(3389),
    [anon_sym_break] = ACTIONS(3389),
    [anon_sym_continue] = ACTIONS(3389),
    [anon_sym_goto] = ACTIONS(3389),
    [anon_sym___try] = ACTIONS(3389),
    [anon_sym___leave] = ACTIONS(3389),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(3391),
    [anon_sym_sizeof] = ACTIONS(3389),
    [anon_sym___alignof__] = ACTIONS(3389),
    [anon_sym___alignof] = ACTIONS(3389),
    [anon_sym__alignof] = ACTIONS(3389),
    [anon_sym_alignof] = ACTIONS(3389),
    [anon_sym__Alignof] = ACTIONS(3389),
    [anon_sym_offsetof] = ACTIONS(3389),
    [anon_sym__Generic] = ACTIONS(3389),
    [anon_sym_asm] = ACTIONS(3389),
    [anon_sym___asm__] = ACTIONS(3389),
    [aux_sym_number_literal_token1] = ACTIONS(3391),
    [aux_sym_number_literal_token2] = ACTIONS(3389),
    [anon_sym_L_SQUOTE] = ACTIONS(3391),
    [anon_sym_u_SQUOTE] = ACTIONS(3391),
    [anon_sym_U_SQUOTE] = ACTIONS(3391),
    [anon_sym_u8_SQUOTE] = ACTIONS(3391),
    [anon_sym_SQUOTE] = ACTIONS(3391),
    [anon_sym_L_DQUOTE] = ACTIONS(3391),
    [anon_sym_u_DQUOTE] = ACTIONS(3391),
    [anon_sym_U_DQUOTE] = ACTIONS(3391),
    [anon_sym_u8_DQUOTE] = ACTIONS(3391),
    [anon_sym_DQUOTE] = ACTIONS(3391),
    [sym_true] = ACTIONS(3389),
    [sym_false] = ACTIONS(3389),
    [anon_sym_NULL] = ACTIONS(3389),
    [anon_sym_nullptr] = ACTIONS(3389),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3389),
    [anon_sym_decltype] = ACTIONS(3389),
    [anon_sym_virtual] = ACTIONS(3389),
    [anon_sym_alignas] = ACTIONS(3389),
    [anon_sym_explicit] = ACTIONS(3389),
    [anon_sym_typename] = ACTIONS(3389),
    [anon_sym_template] = ACTIONS(3389),
    [anon_sym_operator] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3389),
    [anon_sym_delete] = ACTIONS(3389),
    [anon_sym_throw] = ACTIONS(3389),
    [anon_sym_namespace] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_static_assert] = ACTIONS(3389),
    [anon_sym_concept] = ACTIONS(3389),
    [anon_sym_co_return] = ACTIONS(3389),
    [anon_sym_co_yield] = ACTIONS(3389),
    [anon_sym_R_DQUOTE] = ACTIONS(3391),
    [anon_sym_LR_DQUOTE] = ACTIONS(3391),
    [anon_sym_uR_DQUOTE] = ACTIONS(3391),
    [anon_sym_UR_DQUOTE] = ACTIONS(3391),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3391),
    [anon_sym_co_await] = ACTIONS(3389),
    [anon_sym_new] = ACTIONS(3389),
    [anon_sym_requires] = ACTIONS(3389),
    [sym_this] = ACTIONS(3389),
  },
  [900] = {
    [sym_identifier] = ACTIONS(3483),
    [aux_sym_preproc_include_token1] = ACTIONS(3483),
    [aux_sym_preproc_def_token1] = ACTIONS(3483),
    [aux_sym_preproc_if_token1] = ACTIONS(3483),
    [aux_sym_preproc_if_token2] = ACTIONS(3483),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3483),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3483),
    [sym_preproc_directive] = ACTIONS(3483),
    [anon_sym_LPAREN2] = ACTIONS(3485),
    [anon_sym_BANG] = ACTIONS(3485),
    [anon_sym_TILDE] = ACTIONS(3485),
    [anon_sym_DASH] = ACTIONS(3483),
    [anon_sym_PLUS] = ACTIONS(3483),
    [anon_sym_STAR] = ACTIONS(3485),
    [anon_sym_AMP_AMP] = ACTIONS(3485),
    [anon_sym_AMP] = ACTIONS(3483),
    [anon_sym_SEMI] = ACTIONS(3485),
    [anon_sym___extension__] = ACTIONS(3483),
    [anon_sym_typedef] = ACTIONS(3483),
    [anon_sym_extern] = ACTIONS(3483),
    [anon_sym___attribute__] = ACTIONS(3483),
    [anon_sym_COLON_COLON] = ACTIONS(3485),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3485),
    [anon_sym___declspec] = ACTIONS(3483),
    [anon_sym___based] = ACTIONS(3483),
    [anon_sym___cdecl] = ACTIONS(3483),
    [anon_sym___clrcall] = ACTIONS(3483),
    [anon_sym___stdcall] = ACTIONS(3483),
    [anon_sym___fastcall] = ACTIONS(3483),
    [anon_sym___thiscall] = ACTIONS(3483),
    [anon_sym___vectorcall] = ACTIONS(3483),
    [anon_sym_LBRACE] = ACTIONS(3485),
    [anon_sym_signed] = ACTIONS(3483),
    [anon_sym_unsigned] = ACTIONS(3483),
    [anon_sym_long] = ACTIONS(3483),
    [anon_sym_short] = ACTIONS(3483),
    [anon_sym_LBRACK] = ACTIONS(3483),
    [anon_sym_static] = ACTIONS(3483),
    [anon_sym_register] = ACTIONS(3483),
    [anon_sym_inline] = ACTIONS(3483),
    [anon_sym___inline] = ACTIONS(3483),
    [anon_sym___inline__] = ACTIONS(3483),
    [anon_sym___forceinline] = ACTIONS(3483),
    [anon_sym_thread_local] = ACTIONS(3483),
    [anon_sym___thread] = ACTIONS(3483),
    [anon_sym_const] = ACTIONS(3483),
    [anon_sym_constexpr] = ACTIONS(3483),
    [anon_sym_volatile] = ACTIONS(3483),
    [anon_sym_restrict] = ACTIONS(3483),
    [anon_sym___restrict__] = ACTIONS(3483),
    [anon_sym__Atomic] = ACTIONS(3483),
    [anon_sym__Noreturn] = ACTIONS(3483),
    [anon_sym_noreturn] = ACTIONS(3483),
    [anon_sym_mutable] = ACTIONS(3483),
    [anon_sym_constinit] = ACTIONS(3483),
    [anon_sym_consteval] = ACTIONS(3483),
    [anon_sym_PROGMEM] = ACTIONS(3483),
    [aux_sym_primitive_type_token1] = ACTIONS(3483),
    [anon_sym_byte] = ACTIONS(3483),
    [anon_sym_word] = ACTIONS(3483),
    [anon_sym_enum] = ACTIONS(3483),
    [anon_sym_class] = ACTIONS(3483),
    [anon_sym_struct] = ACTIONS(3483),
    [anon_sym_union] = ACTIONS(3483),
    [anon_sym_if] = ACTIONS(3483),
    [anon_sym_switch] = ACTIONS(3483),
    [anon_sym_case] = ACTIONS(3483),
    [anon_sym_default] = ACTIONS(3483),
    [anon_sym_while] = ACTIONS(3483),
    [anon_sym_do] = ACTIONS(3483),
    [anon_sym_for] = ACTIONS(3483),
    [anon_sym_return] = ACTIONS(3483),
    [anon_sym_break] = ACTIONS(3483),
    [anon_sym_continue] = ACTIONS(3483),
    [anon_sym_goto] = ACTIONS(3483),
    [anon_sym___try] = ACTIONS(3483),
    [anon_sym___leave] = ACTIONS(3483),
    [anon_sym_not] = ACTIONS(3483),
    [anon_sym_compl] = ACTIONS(3483),
    [anon_sym_DASH_DASH] = ACTIONS(3485),
    [anon_sym_PLUS_PLUS] = ACTIONS(3485),
    [anon_sym_sizeof] = ACTIONS(3483),
    [anon_sym___alignof__] = ACTIONS(3483),
    [anon_sym___alignof] = ACTIONS(3483),
    [anon_sym__alignof] = ACTIONS(3483),
    [anon_sym_alignof] = ACTIONS(3483),
    [anon_sym__Alignof] = ACTIONS(3483),
    [anon_sym_offsetof] = ACTIONS(3483),
    [anon_sym__Generic] = ACTIONS(3483),
    [anon_sym_asm] = ACTIONS(3483),
    [anon_sym___asm__] = ACTIONS(3483),
    [aux_sym_number_literal_token1] = ACTIONS(3485),
    [aux_sym_number_literal_token2] = ACTIONS(3483),
    [anon_sym_L_SQUOTE] = ACTIONS(3485),
    [anon_sym_u_SQUOTE] = ACTIONS(3485),
    [anon_sym_U_SQUOTE] = ACTIONS(3485),
    [anon_sym_u8_SQUOTE] = ACTIONS(3485),
    [anon_sym_SQUOTE] = ACTIONS(3485),
    [anon_sym_L_DQUOTE] = ACTIONS(3485),
    [anon_sym_u_DQUOTE] = ACTIONS(3485),
    [anon_sym_U_DQUOTE] = ACTIONS(3485),
    [anon_sym_u8_DQUOTE] = ACTIONS(3485),
    [anon_sym_DQUOTE] = ACTIONS(3485),
    [sym_true] = ACTIONS(3483),
    [sym_false] = ACTIONS(3483),
    [anon_sym_NULL] = ACTIONS(3483),
    [anon_sym_nullptr] = ACTIONS(3483),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3483),
    [anon_sym_decltype] = ACTIONS(3483),
    [anon_sym_virtual] = ACTIONS(3483),
    [anon_sym_alignas] = ACTIONS(3483),
    [anon_sym_explicit] = ACTIONS(3483),
    [anon_sym_typename] = ACTIONS(3483),
    [anon_sym_template] = ACTIONS(3483),
    [anon_sym_operator] = ACTIONS(3483),
    [anon_sym_try] = ACTIONS(3483),
    [anon_sym_delete] = ACTIONS(3483),
    [anon_sym_throw] = ACTIONS(3483),
    [anon_sym_namespace] = ACTIONS(3483),
    [anon_sym_using] = ACTIONS(3483),
    [anon_sym_static_assert] = ACTIONS(3483),
    [anon_sym_concept] = ACTIONS(3483),
    [anon_sym_co_return] = ACTIONS(3483),
    [anon_sym_co_yield] = ACTIONS(3483),
    [anon_sym_R_DQUOTE] = ACTIONS(3485),
    [anon_sym_LR_DQUOTE] = ACTIONS(3485),
    [anon_sym_uR_DQUOTE] = ACTIONS(3485),
    [anon_sym_UR_DQUOTE] = ACTIONS(3485),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3485),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3483),
    [anon_sym_requires] = ACTIONS(3483),
    [sym_this] = ACTIONS(3483),
  },
  [901] = {
    [sym_identifier] = ACTIONS(3479),
    [aux_sym_preproc_include_token1] = ACTIONS(3479),
    [aux_sym_preproc_def_token1] = ACTIONS(3479),
    [aux_sym_preproc_if_token1] = ACTIONS(3479),
    [aux_sym_preproc_if_token2] = ACTIONS(3479),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3479),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3479),
    [sym_preproc_directive] = ACTIONS(3479),
    [anon_sym_LPAREN2] = ACTIONS(3481),
    [anon_sym_BANG] = ACTIONS(3481),
    [anon_sym_TILDE] = ACTIONS(3481),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3481),
    [anon_sym_AMP_AMP] = ACTIONS(3481),
    [anon_sym_AMP] = ACTIONS(3479),
    [anon_sym_SEMI] = ACTIONS(3481),
    [anon_sym___extension__] = ACTIONS(3479),
    [anon_sym_typedef] = ACTIONS(3479),
    [anon_sym_extern] = ACTIONS(3479),
    [anon_sym___attribute__] = ACTIONS(3479),
    [anon_sym_COLON_COLON] = ACTIONS(3481),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3481),
    [anon_sym___declspec] = ACTIONS(3479),
    [anon_sym___based] = ACTIONS(3479),
    [anon_sym___cdecl] = ACTIONS(3479),
    [anon_sym___clrcall] = ACTIONS(3479),
    [anon_sym___stdcall] = ACTIONS(3479),
    [anon_sym___fastcall] = ACTIONS(3479),
    [anon_sym___thiscall] = ACTIONS(3479),
    [anon_sym___vectorcall] = ACTIONS(3479),
    [anon_sym_LBRACE] = ACTIONS(3481),
    [anon_sym_signed] = ACTIONS(3479),
    [anon_sym_unsigned] = ACTIONS(3479),
    [anon_sym_long] = ACTIONS(3479),
    [anon_sym_short] = ACTIONS(3479),
    [anon_sym_LBRACK] = ACTIONS(3479),
    [anon_sym_static] = ACTIONS(3479),
    [anon_sym_register] = ACTIONS(3479),
    [anon_sym_inline] = ACTIONS(3479),
    [anon_sym___inline] = ACTIONS(3479),
    [anon_sym___inline__] = ACTIONS(3479),
    [anon_sym___forceinline] = ACTIONS(3479),
    [anon_sym_thread_local] = ACTIONS(3479),
    [anon_sym___thread] = ACTIONS(3479),
    [anon_sym_const] = ACTIONS(3479),
    [anon_sym_constexpr] = ACTIONS(3479),
    [anon_sym_volatile] = ACTIONS(3479),
    [anon_sym_restrict] = ACTIONS(3479),
    [anon_sym___restrict__] = ACTIONS(3479),
    [anon_sym__Atomic] = ACTIONS(3479),
    [anon_sym__Noreturn] = ACTIONS(3479),
    [anon_sym_noreturn] = ACTIONS(3479),
    [anon_sym_mutable] = ACTIONS(3479),
    [anon_sym_constinit] = ACTIONS(3479),
    [anon_sym_consteval] = ACTIONS(3479),
    [anon_sym_PROGMEM] = ACTIONS(3479),
    [aux_sym_primitive_type_token1] = ACTIONS(3479),
    [anon_sym_byte] = ACTIONS(3479),
    [anon_sym_word] = ACTIONS(3479),
    [anon_sym_enum] = ACTIONS(3479),
    [anon_sym_class] = ACTIONS(3479),
    [anon_sym_struct] = ACTIONS(3479),
    [anon_sym_union] = ACTIONS(3479),
    [anon_sym_if] = ACTIONS(3479),
    [anon_sym_switch] = ACTIONS(3479),
    [anon_sym_case] = ACTIONS(3479),
    [anon_sym_default] = ACTIONS(3479),
    [anon_sym_while] = ACTIONS(3479),
    [anon_sym_do] = ACTIONS(3479),
    [anon_sym_for] = ACTIONS(3479),
    [anon_sym_return] = ACTIONS(3479),
    [anon_sym_break] = ACTIONS(3479),
    [anon_sym_continue] = ACTIONS(3479),
    [anon_sym_goto] = ACTIONS(3479),
    [anon_sym___try] = ACTIONS(3479),
    [anon_sym___leave] = ACTIONS(3479),
    [anon_sym_not] = ACTIONS(3479),
    [anon_sym_compl] = ACTIONS(3479),
    [anon_sym_DASH_DASH] = ACTIONS(3481),
    [anon_sym_PLUS_PLUS] = ACTIONS(3481),
    [anon_sym_sizeof] = ACTIONS(3479),
    [anon_sym___alignof__] = ACTIONS(3479),
    [anon_sym___alignof] = ACTIONS(3479),
    [anon_sym__alignof] = ACTIONS(3479),
    [anon_sym_alignof] = ACTIONS(3479),
    [anon_sym__Alignof] = ACTIONS(3479),
    [anon_sym_offsetof] = ACTIONS(3479),
    [anon_sym__Generic] = ACTIONS(3479),
    [anon_sym_asm] = ACTIONS(3479),
    [anon_sym___asm__] = ACTIONS(3479),
    [aux_sym_number_literal_token1] = ACTIONS(3481),
    [aux_sym_number_literal_token2] = ACTIONS(3479),
    [anon_sym_L_SQUOTE] = ACTIONS(3481),
    [anon_sym_u_SQUOTE] = ACTIONS(3481),
    [anon_sym_U_SQUOTE] = ACTIONS(3481),
    [anon_sym_u8_SQUOTE] = ACTIONS(3481),
    [anon_sym_SQUOTE] = ACTIONS(3481),
    [anon_sym_L_DQUOTE] = ACTIONS(3481),
    [anon_sym_u_DQUOTE] = ACTIONS(3481),
    [anon_sym_U_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8_DQUOTE] = ACTIONS(3481),
    [anon_sym_DQUOTE] = ACTIONS(3481),
    [sym_true] = ACTIONS(3479),
    [sym_false] = ACTIONS(3479),
    [anon_sym_NULL] = ACTIONS(3479),
    [anon_sym_nullptr] = ACTIONS(3479),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3479),
    [anon_sym_decltype] = ACTIONS(3479),
    [anon_sym_virtual] = ACTIONS(3479),
    [anon_sym_alignas] = ACTIONS(3479),
    [anon_sym_explicit] = ACTIONS(3479),
    [anon_sym_typename] = ACTIONS(3479),
    [anon_sym_template] = ACTIONS(3479),
    [anon_sym_operator] = ACTIONS(3479),
    [anon_sym_try] = ACTIONS(3479),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_throw] = ACTIONS(3479),
    [anon_sym_namespace] = ACTIONS(3479),
    [anon_sym_using] = ACTIONS(3479),
    [anon_sym_static_assert] = ACTIONS(3479),
    [anon_sym_concept] = ACTIONS(3479),
    [anon_sym_co_return] = ACTIONS(3479),
    [anon_sym_co_yield] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3479),
    [anon_sym_new] = ACTIONS(3479),
    [anon_sym_requires] = ACTIONS(3479),
    [sym_this] = ACTIONS(3479),
  },
  [902] = {
    [sym_identifier] = ACTIONS(3278),
    [aux_sym_preproc_include_token1] = ACTIONS(3278),
    [aux_sym_preproc_def_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3278),
    [sym_preproc_directive] = ACTIONS(3278),
    [anon_sym_LPAREN2] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym___extension__] = ACTIONS(3278),
    [anon_sym_typedef] = ACTIONS(3278),
    [anon_sym_extern] = ACTIONS(3278),
    [anon_sym___attribute__] = ACTIONS(3278),
    [anon_sym_COLON_COLON] = ACTIONS(3280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3280),
    [anon_sym___declspec] = ACTIONS(3278),
    [anon_sym___based] = ACTIONS(3278),
    [anon_sym___cdecl] = ACTIONS(3278),
    [anon_sym___clrcall] = ACTIONS(3278),
    [anon_sym___stdcall] = ACTIONS(3278),
    [anon_sym___fastcall] = ACTIONS(3278),
    [anon_sym___thiscall] = ACTIONS(3278),
    [anon_sym___vectorcall] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_RBRACE] = ACTIONS(3280),
    [anon_sym_signed] = ACTIONS(3278),
    [anon_sym_unsigned] = ACTIONS(3278),
    [anon_sym_long] = ACTIONS(3278),
    [anon_sym_short] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_register] = ACTIONS(3278),
    [anon_sym_inline] = ACTIONS(3278),
    [anon_sym___inline] = ACTIONS(3278),
    [anon_sym___inline__] = ACTIONS(3278),
    [anon_sym___forceinline] = ACTIONS(3278),
    [anon_sym_thread_local] = ACTIONS(3278),
    [anon_sym___thread] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_constexpr] = ACTIONS(3278),
    [anon_sym_volatile] = ACTIONS(3278),
    [anon_sym_restrict] = ACTIONS(3278),
    [anon_sym___restrict__] = ACTIONS(3278),
    [anon_sym__Atomic] = ACTIONS(3278),
    [anon_sym__Noreturn] = ACTIONS(3278),
    [anon_sym_noreturn] = ACTIONS(3278),
    [anon_sym_mutable] = ACTIONS(3278),
    [anon_sym_constinit] = ACTIONS(3278),
    [anon_sym_consteval] = ACTIONS(3278),
    [anon_sym_PROGMEM] = ACTIONS(3278),
    [aux_sym_primitive_type_token1] = ACTIONS(3278),
    [anon_sym_byte] = ACTIONS(3278),
    [anon_sym_word] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_struct] = ACTIONS(3278),
    [anon_sym_union] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_default] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_goto] = ACTIONS(3278),
    [anon_sym___try] = ACTIONS(3278),
    [anon_sym___leave] = ACTIONS(3278),
    [anon_sym_not] = ACTIONS(3278),
    [anon_sym_compl] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_sizeof] = ACTIONS(3278),
    [anon_sym___alignof__] = ACTIONS(3278),
    [anon_sym___alignof] = ACTIONS(3278),
    [anon_sym__alignof] = ACTIONS(3278),
    [anon_sym_alignof] = ACTIONS(3278),
    [anon_sym__Alignof] = ACTIONS(3278),
    [anon_sym_offsetof] = ACTIONS(3278),
    [anon_sym__Generic] = ACTIONS(3278),
    [anon_sym_asm] = ACTIONS(3278),
    [anon_sym___asm__] = ACTIONS(3278),
    [aux_sym_number_literal_token1] = ACTIONS(3280),
    [aux_sym_number_literal_token2] = ACTIONS(3278),
    [anon_sym_L_SQUOTE] = ACTIONS(3280),
    [anon_sym_u_SQUOTE] = ACTIONS(3280),
    [anon_sym_U_SQUOTE] = ACTIONS(3280),
    [anon_sym_u8_SQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [anon_sym_L_DQUOTE] = ACTIONS(3280),
    [anon_sym_u_DQUOTE] = ACTIONS(3280),
    [anon_sym_U_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8_DQUOTE] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [anon_sym_NULL] = ACTIONS(3278),
    [anon_sym_nullptr] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3278),
    [anon_sym_decltype] = ACTIONS(3278),
    [anon_sym_virtual] = ACTIONS(3278),
    [anon_sym_alignas] = ACTIONS(3278),
    [anon_sym_explicit] = ACTIONS(3278),
    [anon_sym_typename] = ACTIONS(3278),
    [anon_sym_template] = ACTIONS(3278),
    [anon_sym_operator] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_static_assert] = ACTIONS(3278),
    [anon_sym_concept] = ACTIONS(3278),
    [anon_sym_co_return] = ACTIONS(3278),
    [anon_sym_co_yield] = ACTIONS(3278),
    [anon_sym_R_DQUOTE] = ACTIONS(3280),
    [anon_sym_LR_DQUOTE] = ACTIONS(3280),
    [anon_sym_uR_DQUOTE] = ACTIONS(3280),
    [anon_sym_UR_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3280),
    [anon_sym_co_await] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_requires] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
  },
  [903] = {
    [sym_identifier] = ACTIONS(3475),
    [aux_sym_preproc_include_token1] = ACTIONS(3475),
    [aux_sym_preproc_def_token1] = ACTIONS(3475),
    [aux_sym_preproc_if_token1] = ACTIONS(3475),
    [aux_sym_preproc_if_token2] = ACTIONS(3475),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3475),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3475),
    [sym_preproc_directive] = ACTIONS(3475),
    [anon_sym_LPAREN2] = ACTIONS(3477),
    [anon_sym_BANG] = ACTIONS(3477),
    [anon_sym_TILDE] = ACTIONS(3477),
    [anon_sym_DASH] = ACTIONS(3475),
    [anon_sym_PLUS] = ACTIONS(3475),
    [anon_sym_STAR] = ACTIONS(3477),
    [anon_sym_AMP_AMP] = ACTIONS(3477),
    [anon_sym_AMP] = ACTIONS(3475),
    [anon_sym_SEMI] = ACTIONS(3477),
    [anon_sym___extension__] = ACTIONS(3475),
    [anon_sym_typedef] = ACTIONS(3475),
    [anon_sym_extern] = ACTIONS(3475),
    [anon_sym___attribute__] = ACTIONS(3475),
    [anon_sym_COLON_COLON] = ACTIONS(3477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3477),
    [anon_sym___declspec] = ACTIONS(3475),
    [anon_sym___based] = ACTIONS(3475),
    [anon_sym___cdecl] = ACTIONS(3475),
    [anon_sym___clrcall] = ACTIONS(3475),
    [anon_sym___stdcall] = ACTIONS(3475),
    [anon_sym___fastcall] = ACTIONS(3475),
    [anon_sym___thiscall] = ACTIONS(3475),
    [anon_sym___vectorcall] = ACTIONS(3475),
    [anon_sym_LBRACE] = ACTIONS(3477),
    [anon_sym_signed] = ACTIONS(3475),
    [anon_sym_unsigned] = ACTIONS(3475),
    [anon_sym_long] = ACTIONS(3475),
    [anon_sym_short] = ACTIONS(3475),
    [anon_sym_LBRACK] = ACTIONS(3475),
    [anon_sym_static] = ACTIONS(3475),
    [anon_sym_register] = ACTIONS(3475),
    [anon_sym_inline] = ACTIONS(3475),
    [anon_sym___inline] = ACTIONS(3475),
    [anon_sym___inline__] = ACTIONS(3475),
    [anon_sym___forceinline] = ACTIONS(3475),
    [anon_sym_thread_local] = ACTIONS(3475),
    [anon_sym___thread] = ACTIONS(3475),
    [anon_sym_const] = ACTIONS(3475),
    [anon_sym_constexpr] = ACTIONS(3475),
    [anon_sym_volatile] = ACTIONS(3475),
    [anon_sym_restrict] = ACTIONS(3475),
    [anon_sym___restrict__] = ACTIONS(3475),
    [anon_sym__Atomic] = ACTIONS(3475),
    [anon_sym__Noreturn] = ACTIONS(3475),
    [anon_sym_noreturn] = ACTIONS(3475),
    [anon_sym_mutable] = ACTIONS(3475),
    [anon_sym_constinit] = ACTIONS(3475),
    [anon_sym_consteval] = ACTIONS(3475),
    [anon_sym_PROGMEM] = ACTIONS(3475),
    [aux_sym_primitive_type_token1] = ACTIONS(3475),
    [anon_sym_byte] = ACTIONS(3475),
    [anon_sym_word] = ACTIONS(3475),
    [anon_sym_enum] = ACTIONS(3475),
    [anon_sym_class] = ACTIONS(3475),
    [anon_sym_struct] = ACTIONS(3475),
    [anon_sym_union] = ACTIONS(3475),
    [anon_sym_if] = ACTIONS(3475),
    [anon_sym_switch] = ACTIONS(3475),
    [anon_sym_case] = ACTIONS(3475),
    [anon_sym_default] = ACTIONS(3475),
    [anon_sym_while] = ACTIONS(3475),
    [anon_sym_do] = ACTIONS(3475),
    [anon_sym_for] = ACTIONS(3475),
    [anon_sym_return] = ACTIONS(3475),
    [anon_sym_break] = ACTIONS(3475),
    [anon_sym_continue] = ACTIONS(3475),
    [anon_sym_goto] = ACTIONS(3475),
    [anon_sym___try] = ACTIONS(3475),
    [anon_sym___leave] = ACTIONS(3475),
    [anon_sym_not] = ACTIONS(3475),
    [anon_sym_compl] = ACTIONS(3475),
    [anon_sym_DASH_DASH] = ACTIONS(3477),
    [anon_sym_PLUS_PLUS] = ACTIONS(3477),
    [anon_sym_sizeof] = ACTIONS(3475),
    [anon_sym___alignof__] = ACTIONS(3475),
    [anon_sym___alignof] = ACTIONS(3475),
    [anon_sym__alignof] = ACTIONS(3475),
    [anon_sym_alignof] = ACTIONS(3475),
    [anon_sym__Alignof] = ACTIONS(3475),
    [anon_sym_offsetof] = ACTIONS(3475),
    [anon_sym__Generic] = ACTIONS(3475),
    [anon_sym_asm] = ACTIONS(3475),
    [anon_sym___asm__] = ACTIONS(3475),
    [aux_sym_number_literal_token1] = ACTIONS(3477),
    [aux_sym_number_literal_token2] = ACTIONS(3475),
    [anon_sym_L_SQUOTE] = ACTIONS(3477),
    [anon_sym_u_SQUOTE] = ACTIONS(3477),
    [anon_sym_U_SQUOTE] = ACTIONS(3477),
    [anon_sym_u8_SQUOTE] = ACTIONS(3477),
    [anon_sym_SQUOTE] = ACTIONS(3477),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(3475),
    [sym_false] = ACTIONS(3475),
    [anon_sym_NULL] = ACTIONS(3475),
    [anon_sym_nullptr] = ACTIONS(3475),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3475),
    [anon_sym_decltype] = ACTIONS(3475),
    [anon_sym_virtual] = ACTIONS(3475),
    [anon_sym_alignas] = ACTIONS(3475),
    [anon_sym_explicit] = ACTIONS(3475),
    [anon_sym_typename] = ACTIONS(3475),
    [anon_sym_template] = ACTIONS(3475),
    [anon_sym_operator] = ACTIONS(3475),
    [anon_sym_try] = ACTIONS(3475),
    [anon_sym_delete] = ACTIONS(3475),
    [anon_sym_throw] = ACTIONS(3475),
    [anon_sym_namespace] = ACTIONS(3475),
    [anon_sym_using] = ACTIONS(3475),
    [anon_sym_static_assert] = ACTIONS(3475),
    [anon_sym_concept] = ACTIONS(3475),
    [anon_sym_co_return] = ACTIONS(3475),
    [anon_sym_co_yield] = ACTIONS(3475),
    [anon_sym_R_DQUOTE] = ACTIONS(3477),
    [anon_sym_LR_DQUOTE] = ACTIONS(3477),
    [anon_sym_uR_DQUOTE] = ACTIONS(3477),
    [anon_sym_UR_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3477),
    [anon_sym_co_await] = ACTIONS(3475),
    [anon_sym_new] = ACTIONS(3475),
    [anon_sym_requires] = ACTIONS(3475),
    [sym_this] = ACTIONS(3475),
  },
  [904] = {
    [sym_identifier] = ACTIONS(3443),
    [aux_sym_preproc_include_token1] = ACTIONS(3443),
    [aux_sym_preproc_def_token1] = ACTIONS(3443),
    [aux_sym_preproc_if_token1] = ACTIONS(3443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3443),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3443),
    [sym_preproc_directive] = ACTIONS(3443),
    [anon_sym_LPAREN2] = ACTIONS(3445),
    [anon_sym_BANG] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3445),
    [anon_sym_DASH] = ACTIONS(3443),
    [anon_sym_PLUS] = ACTIONS(3443),
    [anon_sym_STAR] = ACTIONS(3445),
    [anon_sym_AMP_AMP] = ACTIONS(3445),
    [anon_sym_AMP] = ACTIONS(3443),
    [anon_sym_SEMI] = ACTIONS(3445),
    [anon_sym___extension__] = ACTIONS(3443),
    [anon_sym_typedef] = ACTIONS(3443),
    [anon_sym_extern] = ACTIONS(3443),
    [anon_sym___attribute__] = ACTIONS(3443),
    [anon_sym_COLON_COLON] = ACTIONS(3445),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3445),
    [anon_sym___declspec] = ACTIONS(3443),
    [anon_sym___based] = ACTIONS(3443),
    [anon_sym___cdecl] = ACTIONS(3443),
    [anon_sym___clrcall] = ACTIONS(3443),
    [anon_sym___stdcall] = ACTIONS(3443),
    [anon_sym___fastcall] = ACTIONS(3443),
    [anon_sym___thiscall] = ACTIONS(3443),
    [anon_sym___vectorcall] = ACTIONS(3443),
    [anon_sym_LBRACE] = ACTIONS(3445),
    [anon_sym_RBRACE] = ACTIONS(3445),
    [anon_sym_signed] = ACTIONS(3443),
    [anon_sym_unsigned] = ACTIONS(3443),
    [anon_sym_long] = ACTIONS(3443),
    [anon_sym_short] = ACTIONS(3443),
    [anon_sym_LBRACK] = ACTIONS(3443),
    [anon_sym_static] = ACTIONS(3443),
    [anon_sym_register] = ACTIONS(3443),
    [anon_sym_inline] = ACTIONS(3443),
    [anon_sym___inline] = ACTIONS(3443),
    [anon_sym___inline__] = ACTIONS(3443),
    [anon_sym___forceinline] = ACTIONS(3443),
    [anon_sym_thread_local] = ACTIONS(3443),
    [anon_sym___thread] = ACTIONS(3443),
    [anon_sym_const] = ACTIONS(3443),
    [anon_sym_constexpr] = ACTIONS(3443),
    [anon_sym_volatile] = ACTIONS(3443),
    [anon_sym_restrict] = ACTIONS(3443),
    [anon_sym___restrict__] = ACTIONS(3443),
    [anon_sym__Atomic] = ACTIONS(3443),
    [anon_sym__Noreturn] = ACTIONS(3443),
    [anon_sym_noreturn] = ACTIONS(3443),
    [anon_sym_mutable] = ACTIONS(3443),
    [anon_sym_constinit] = ACTIONS(3443),
    [anon_sym_consteval] = ACTIONS(3443),
    [anon_sym_PROGMEM] = ACTIONS(3443),
    [aux_sym_primitive_type_token1] = ACTIONS(3443),
    [anon_sym_byte] = ACTIONS(3443),
    [anon_sym_word] = ACTIONS(3443),
    [anon_sym_enum] = ACTIONS(3443),
    [anon_sym_class] = ACTIONS(3443),
    [anon_sym_struct] = ACTIONS(3443),
    [anon_sym_union] = ACTIONS(3443),
    [anon_sym_if] = ACTIONS(3443),
    [anon_sym_switch] = ACTIONS(3443),
    [anon_sym_case] = ACTIONS(3443),
    [anon_sym_default] = ACTIONS(3443),
    [anon_sym_while] = ACTIONS(3443),
    [anon_sym_do] = ACTIONS(3443),
    [anon_sym_for] = ACTIONS(3443),
    [anon_sym_return] = ACTIONS(3443),
    [anon_sym_break] = ACTIONS(3443),
    [anon_sym_continue] = ACTIONS(3443),
    [anon_sym_goto] = ACTIONS(3443),
    [anon_sym___try] = ACTIONS(3443),
    [anon_sym___leave] = ACTIONS(3443),
    [anon_sym_not] = ACTIONS(3443),
    [anon_sym_compl] = ACTIONS(3443),
    [anon_sym_DASH_DASH] = ACTIONS(3445),
    [anon_sym_PLUS_PLUS] = ACTIONS(3445),
    [anon_sym_sizeof] = ACTIONS(3443),
    [anon_sym___alignof__] = ACTIONS(3443),
    [anon_sym___alignof] = ACTIONS(3443),
    [anon_sym__alignof] = ACTIONS(3443),
    [anon_sym_alignof] = ACTIONS(3443),
    [anon_sym__Alignof] = ACTIONS(3443),
    [anon_sym_offsetof] = ACTIONS(3443),
    [anon_sym__Generic] = ACTIONS(3443),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [aux_sym_number_literal_token1] = ACTIONS(3445),
    [aux_sym_number_literal_token2] = ACTIONS(3443),
    [anon_sym_L_SQUOTE] = ACTIONS(3445),
    [anon_sym_u_SQUOTE] = ACTIONS(3445),
    [anon_sym_U_SQUOTE] = ACTIONS(3445),
    [anon_sym_u8_SQUOTE] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(3445),
    [anon_sym_L_DQUOTE] = ACTIONS(3445),
    [anon_sym_u_DQUOTE] = ACTIONS(3445),
    [anon_sym_U_DQUOTE] = ACTIONS(3445),
    [anon_sym_u8_DQUOTE] = ACTIONS(3445),
    [anon_sym_DQUOTE] = ACTIONS(3445),
    [sym_true] = ACTIONS(3443),
    [sym_false] = ACTIONS(3443),
    [anon_sym_NULL] = ACTIONS(3443),
    [anon_sym_nullptr] = ACTIONS(3443),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3443),
    [anon_sym_decltype] = ACTIONS(3443),
    [anon_sym_virtual] = ACTIONS(3443),
    [anon_sym_alignas] = ACTIONS(3443),
    [anon_sym_explicit] = ACTIONS(3443),
    [anon_sym_typename] = ACTIONS(3443),
    [anon_sym_template] = ACTIONS(3443),
    [anon_sym_operator] = ACTIONS(3443),
    [anon_sym_try] = ACTIONS(3443),
    [anon_sym_delete] = ACTIONS(3443),
    [anon_sym_throw] = ACTIONS(3443),
    [anon_sym_namespace] = ACTIONS(3443),
    [anon_sym_using] = ACTIONS(3443),
    [anon_sym_static_assert] = ACTIONS(3443),
    [anon_sym_concept] = ACTIONS(3443),
    [anon_sym_co_return] = ACTIONS(3443),
    [anon_sym_co_yield] = ACTIONS(3443),
    [anon_sym_R_DQUOTE] = ACTIONS(3445),
    [anon_sym_LR_DQUOTE] = ACTIONS(3445),
    [anon_sym_uR_DQUOTE] = ACTIONS(3445),
    [anon_sym_UR_DQUOTE] = ACTIONS(3445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3445),
    [anon_sym_co_await] = ACTIONS(3443),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3443),
    [sym_this] = ACTIONS(3443),
  },
  [905] = {
    [sym_identifier] = ACTIONS(3439),
    [aux_sym_preproc_include_token1] = ACTIONS(3439),
    [aux_sym_preproc_def_token1] = ACTIONS(3439),
    [aux_sym_preproc_if_token1] = ACTIONS(3439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3439),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3439),
    [sym_preproc_directive] = ACTIONS(3439),
    [anon_sym_LPAREN2] = ACTIONS(3441),
    [anon_sym_BANG] = ACTIONS(3441),
    [anon_sym_TILDE] = ACTIONS(3441),
    [anon_sym_DASH] = ACTIONS(3439),
    [anon_sym_PLUS] = ACTIONS(3439),
    [anon_sym_STAR] = ACTIONS(3441),
    [anon_sym_AMP_AMP] = ACTIONS(3441),
    [anon_sym_AMP] = ACTIONS(3439),
    [anon_sym_SEMI] = ACTIONS(3441),
    [anon_sym___extension__] = ACTIONS(3439),
    [anon_sym_typedef] = ACTIONS(3439),
    [anon_sym_extern] = ACTIONS(3439),
    [anon_sym___attribute__] = ACTIONS(3439),
    [anon_sym_COLON_COLON] = ACTIONS(3441),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3441),
    [anon_sym___declspec] = ACTIONS(3439),
    [anon_sym___based] = ACTIONS(3439),
    [anon_sym___cdecl] = ACTIONS(3439),
    [anon_sym___clrcall] = ACTIONS(3439),
    [anon_sym___stdcall] = ACTIONS(3439),
    [anon_sym___fastcall] = ACTIONS(3439),
    [anon_sym___thiscall] = ACTIONS(3439),
    [anon_sym___vectorcall] = ACTIONS(3439),
    [anon_sym_LBRACE] = ACTIONS(3441),
    [anon_sym_RBRACE] = ACTIONS(3441),
    [anon_sym_signed] = ACTIONS(3439),
    [anon_sym_unsigned] = ACTIONS(3439),
    [anon_sym_long] = ACTIONS(3439),
    [anon_sym_short] = ACTIONS(3439),
    [anon_sym_LBRACK] = ACTIONS(3439),
    [anon_sym_static] = ACTIONS(3439),
    [anon_sym_register] = ACTIONS(3439),
    [anon_sym_inline] = ACTIONS(3439),
    [anon_sym___inline] = ACTIONS(3439),
    [anon_sym___inline__] = ACTIONS(3439),
    [anon_sym___forceinline] = ACTIONS(3439),
    [anon_sym_thread_local] = ACTIONS(3439),
    [anon_sym___thread] = ACTIONS(3439),
    [anon_sym_const] = ACTIONS(3439),
    [anon_sym_constexpr] = ACTIONS(3439),
    [anon_sym_volatile] = ACTIONS(3439),
    [anon_sym_restrict] = ACTIONS(3439),
    [anon_sym___restrict__] = ACTIONS(3439),
    [anon_sym__Atomic] = ACTIONS(3439),
    [anon_sym__Noreturn] = ACTIONS(3439),
    [anon_sym_noreturn] = ACTIONS(3439),
    [anon_sym_mutable] = ACTIONS(3439),
    [anon_sym_constinit] = ACTIONS(3439),
    [anon_sym_consteval] = ACTIONS(3439),
    [anon_sym_PROGMEM] = ACTIONS(3439),
    [aux_sym_primitive_type_token1] = ACTIONS(3439),
    [anon_sym_byte] = ACTIONS(3439),
    [anon_sym_word] = ACTIONS(3439),
    [anon_sym_enum] = ACTIONS(3439),
    [anon_sym_class] = ACTIONS(3439),
    [anon_sym_struct] = ACTIONS(3439),
    [anon_sym_union] = ACTIONS(3439),
    [anon_sym_if] = ACTIONS(3439),
    [anon_sym_switch] = ACTIONS(3439),
    [anon_sym_case] = ACTIONS(3439),
    [anon_sym_default] = ACTIONS(3439),
    [anon_sym_while] = ACTIONS(3439),
    [anon_sym_do] = ACTIONS(3439),
    [anon_sym_for] = ACTIONS(3439),
    [anon_sym_return] = ACTIONS(3439),
    [anon_sym_break] = ACTIONS(3439),
    [anon_sym_continue] = ACTIONS(3439),
    [anon_sym_goto] = ACTIONS(3439),
    [anon_sym___try] = ACTIONS(3439),
    [anon_sym___leave] = ACTIONS(3439),
    [anon_sym_not] = ACTIONS(3439),
    [anon_sym_compl] = ACTIONS(3439),
    [anon_sym_DASH_DASH] = ACTIONS(3441),
    [anon_sym_PLUS_PLUS] = ACTIONS(3441),
    [anon_sym_sizeof] = ACTIONS(3439),
    [anon_sym___alignof__] = ACTIONS(3439),
    [anon_sym___alignof] = ACTIONS(3439),
    [anon_sym__alignof] = ACTIONS(3439),
    [anon_sym_alignof] = ACTIONS(3439),
    [anon_sym__Alignof] = ACTIONS(3439),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3439),
    [anon_sym_asm] = ACTIONS(3439),
    [anon_sym___asm__] = ACTIONS(3439),
    [aux_sym_number_literal_token1] = ACTIONS(3441),
    [aux_sym_number_literal_token2] = ACTIONS(3439),
    [anon_sym_L_SQUOTE] = ACTIONS(3441),
    [anon_sym_u_SQUOTE] = ACTIONS(3441),
    [anon_sym_U_SQUOTE] = ACTIONS(3441),
    [anon_sym_u8_SQUOTE] = ACTIONS(3441),
    [anon_sym_SQUOTE] = ACTIONS(3441),
    [anon_sym_L_DQUOTE] = ACTIONS(3441),
    [anon_sym_u_DQUOTE] = ACTIONS(3441),
    [anon_sym_U_DQUOTE] = ACTIONS(3441),
    [anon_sym_u8_DQUOTE] = ACTIONS(3441),
    [anon_sym_DQUOTE] = ACTIONS(3441),
    [sym_true] = ACTIONS(3439),
    [sym_false] = ACTIONS(3439),
    [anon_sym_NULL] = ACTIONS(3439),
    [anon_sym_nullptr] = ACTIONS(3439),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3439),
    [anon_sym_virtual] = ACTIONS(3439),
    [anon_sym_alignas] = ACTIONS(3439),
    [anon_sym_explicit] = ACTIONS(3439),
    [anon_sym_typename] = ACTIONS(3439),
    [anon_sym_template] = ACTIONS(3439),
    [anon_sym_operator] = ACTIONS(3439),
    [anon_sym_try] = ACTIONS(3439),
    [anon_sym_delete] = ACTIONS(3439),
    [anon_sym_throw] = ACTIONS(3439),
    [anon_sym_namespace] = ACTIONS(3439),
    [anon_sym_using] = ACTIONS(3439),
    [anon_sym_static_assert] = ACTIONS(3439),
    [anon_sym_concept] = ACTIONS(3439),
    [anon_sym_co_return] = ACTIONS(3439),
    [anon_sym_co_yield] = ACTIONS(3439),
    [anon_sym_R_DQUOTE] = ACTIONS(3441),
    [anon_sym_LR_DQUOTE] = ACTIONS(3441),
    [anon_sym_uR_DQUOTE] = ACTIONS(3441),
    [anon_sym_UR_DQUOTE] = ACTIONS(3441),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3441),
    [anon_sym_co_await] = ACTIONS(3439),
    [anon_sym_new] = ACTIONS(3439),
    [anon_sym_requires] = ACTIONS(3439),
    [sym_this] = ACTIONS(3439),
  },
  [906] = {
    [sym_identifier] = ACTIONS(3385),
    [aux_sym_preproc_include_token1] = ACTIONS(3385),
    [aux_sym_preproc_def_token1] = ACTIONS(3385),
    [aux_sym_preproc_if_token1] = ACTIONS(3385),
    [aux_sym_preproc_if_token2] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3385),
    [sym_preproc_directive] = ACTIONS(3385),
    [anon_sym_LPAREN2] = ACTIONS(3387),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3385),
    [anon_sym_PLUS] = ACTIONS(3385),
    [anon_sym_STAR] = ACTIONS(3387),
    [anon_sym_AMP_AMP] = ACTIONS(3387),
    [anon_sym_AMP] = ACTIONS(3385),
    [anon_sym_SEMI] = ACTIONS(3387),
    [anon_sym___extension__] = ACTIONS(3385),
    [anon_sym_typedef] = ACTIONS(3385),
    [anon_sym_extern] = ACTIONS(3385),
    [anon_sym___attribute__] = ACTIONS(3385),
    [anon_sym_COLON_COLON] = ACTIONS(3387),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3387),
    [anon_sym___declspec] = ACTIONS(3385),
    [anon_sym___based] = ACTIONS(3385),
    [anon_sym___cdecl] = ACTIONS(3385),
    [anon_sym___clrcall] = ACTIONS(3385),
    [anon_sym___stdcall] = ACTIONS(3385),
    [anon_sym___fastcall] = ACTIONS(3385),
    [anon_sym___thiscall] = ACTIONS(3385),
    [anon_sym___vectorcall] = ACTIONS(3385),
    [anon_sym_LBRACE] = ACTIONS(3387),
    [anon_sym_signed] = ACTIONS(3385),
    [anon_sym_unsigned] = ACTIONS(3385),
    [anon_sym_long] = ACTIONS(3385),
    [anon_sym_short] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3385),
    [anon_sym_static] = ACTIONS(3385),
    [anon_sym_register] = ACTIONS(3385),
    [anon_sym_inline] = ACTIONS(3385),
    [anon_sym___inline] = ACTIONS(3385),
    [anon_sym___inline__] = ACTIONS(3385),
    [anon_sym___forceinline] = ACTIONS(3385),
    [anon_sym_thread_local] = ACTIONS(3385),
    [anon_sym___thread] = ACTIONS(3385),
    [anon_sym_const] = ACTIONS(3385),
    [anon_sym_constexpr] = ACTIONS(3385),
    [anon_sym_volatile] = ACTIONS(3385),
    [anon_sym_restrict] = ACTIONS(3385),
    [anon_sym___restrict__] = ACTIONS(3385),
    [anon_sym__Atomic] = ACTIONS(3385),
    [anon_sym__Noreturn] = ACTIONS(3385),
    [anon_sym_noreturn] = ACTIONS(3385),
    [anon_sym_mutable] = ACTIONS(3385),
    [anon_sym_constinit] = ACTIONS(3385),
    [anon_sym_consteval] = ACTIONS(3385),
    [anon_sym_PROGMEM] = ACTIONS(3385),
    [aux_sym_primitive_type_token1] = ACTIONS(3385),
    [anon_sym_byte] = ACTIONS(3385),
    [anon_sym_word] = ACTIONS(3385),
    [anon_sym_enum] = ACTIONS(3385),
    [anon_sym_class] = ACTIONS(3385),
    [anon_sym_struct] = ACTIONS(3385),
    [anon_sym_union] = ACTIONS(3385),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_switch] = ACTIONS(3385),
    [anon_sym_case] = ACTIONS(3385),
    [anon_sym_default] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(3385),
    [anon_sym_do] = ACTIONS(3385),
    [anon_sym_for] = ACTIONS(3385),
    [anon_sym_return] = ACTIONS(3385),
    [anon_sym_break] = ACTIONS(3385),
    [anon_sym_continue] = ACTIONS(3385),
    [anon_sym_goto] = ACTIONS(3385),
    [anon_sym___try] = ACTIONS(3385),
    [anon_sym___leave] = ACTIONS(3385),
    [anon_sym_not] = ACTIONS(3385),
    [anon_sym_compl] = ACTIONS(3385),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_sizeof] = ACTIONS(3385),
    [anon_sym___alignof__] = ACTIONS(3385),
    [anon_sym___alignof] = ACTIONS(3385),
    [anon_sym__alignof] = ACTIONS(3385),
    [anon_sym_alignof] = ACTIONS(3385),
    [anon_sym__Alignof] = ACTIONS(3385),
    [anon_sym_offsetof] = ACTIONS(3385),
    [anon_sym__Generic] = ACTIONS(3385),
    [anon_sym_asm] = ACTIONS(3385),
    [anon_sym___asm__] = ACTIONS(3385),
    [aux_sym_number_literal_token1] = ACTIONS(3387),
    [aux_sym_number_literal_token2] = ACTIONS(3385),
    [anon_sym_L_SQUOTE] = ACTIONS(3387),
    [anon_sym_u_SQUOTE] = ACTIONS(3387),
    [anon_sym_U_SQUOTE] = ACTIONS(3387),
    [anon_sym_u8_SQUOTE] = ACTIONS(3387),
    [anon_sym_SQUOTE] = ACTIONS(3387),
    [anon_sym_L_DQUOTE] = ACTIONS(3387),
    [anon_sym_u_DQUOTE] = ACTIONS(3387),
    [anon_sym_U_DQUOTE] = ACTIONS(3387),
    [anon_sym_u8_DQUOTE] = ACTIONS(3387),
    [anon_sym_DQUOTE] = ACTIONS(3387),
    [sym_true] = ACTIONS(3385),
    [sym_false] = ACTIONS(3385),
    [anon_sym_NULL] = ACTIONS(3385),
    [anon_sym_nullptr] = ACTIONS(3385),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3385),
    [anon_sym_decltype] = ACTIONS(3385),
    [anon_sym_virtual] = ACTIONS(3385),
    [anon_sym_alignas] = ACTIONS(3385),
    [anon_sym_explicit] = ACTIONS(3385),
    [anon_sym_typename] = ACTIONS(3385),
    [anon_sym_template] = ACTIONS(3385),
    [anon_sym_operator] = ACTIONS(3385),
    [anon_sym_try] = ACTIONS(3385),
    [anon_sym_delete] = ACTIONS(3385),
    [anon_sym_throw] = ACTIONS(3385),
    [anon_sym_namespace] = ACTIONS(3385),
    [anon_sym_using] = ACTIONS(3385),
    [anon_sym_static_assert] = ACTIONS(3385),
    [anon_sym_concept] = ACTIONS(3385),
    [anon_sym_co_return] = ACTIONS(3385),
    [anon_sym_co_yield] = ACTIONS(3385),
    [anon_sym_R_DQUOTE] = ACTIONS(3387),
    [anon_sym_LR_DQUOTE] = ACTIONS(3387),
    [anon_sym_uR_DQUOTE] = ACTIONS(3387),
    [anon_sym_UR_DQUOTE] = ACTIONS(3387),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3387),
    [anon_sym_co_await] = ACTIONS(3385),
    [anon_sym_new] = ACTIONS(3385),
    [anon_sym_requires] = ACTIONS(3385),
    [sym_this] = ACTIONS(3385),
  },
  [907] = {
    [sym_identifier] = ACTIONS(3465),
    [aux_sym_preproc_include_token1] = ACTIONS(3465),
    [aux_sym_preproc_def_token1] = ACTIONS(3465),
    [aux_sym_preproc_if_token1] = ACTIONS(3465),
    [aux_sym_preproc_if_token2] = ACTIONS(3465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3465),
    [sym_preproc_directive] = ACTIONS(3465),
    [anon_sym_LPAREN2] = ACTIONS(3467),
    [anon_sym_BANG] = ACTIONS(3467),
    [anon_sym_TILDE] = ACTIONS(3467),
    [anon_sym_DASH] = ACTIONS(3465),
    [anon_sym_PLUS] = ACTIONS(3465),
    [anon_sym_STAR] = ACTIONS(3467),
    [anon_sym_AMP_AMP] = ACTIONS(3467),
    [anon_sym_AMP] = ACTIONS(3465),
    [anon_sym_SEMI] = ACTIONS(3467),
    [anon_sym___extension__] = ACTIONS(3465),
    [anon_sym_typedef] = ACTIONS(3465),
    [anon_sym_extern] = ACTIONS(3465),
    [anon_sym___attribute__] = ACTIONS(3465),
    [anon_sym_COLON_COLON] = ACTIONS(3467),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3467),
    [anon_sym___declspec] = ACTIONS(3465),
    [anon_sym___based] = ACTIONS(3465),
    [anon_sym___cdecl] = ACTIONS(3465),
    [anon_sym___clrcall] = ACTIONS(3465),
    [anon_sym___stdcall] = ACTIONS(3465),
    [anon_sym___fastcall] = ACTIONS(3465),
    [anon_sym___thiscall] = ACTIONS(3465),
    [anon_sym___vectorcall] = ACTIONS(3465),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_signed] = ACTIONS(3465),
    [anon_sym_unsigned] = ACTIONS(3465),
    [anon_sym_long] = ACTIONS(3465),
    [anon_sym_short] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(3465),
    [anon_sym_static] = ACTIONS(3465),
    [anon_sym_register] = ACTIONS(3465),
    [anon_sym_inline] = ACTIONS(3465),
    [anon_sym___inline] = ACTIONS(3465),
    [anon_sym___inline__] = ACTIONS(3465),
    [anon_sym___forceinline] = ACTIONS(3465),
    [anon_sym_thread_local] = ACTIONS(3465),
    [anon_sym___thread] = ACTIONS(3465),
    [anon_sym_const] = ACTIONS(3465),
    [anon_sym_constexpr] = ACTIONS(3465),
    [anon_sym_volatile] = ACTIONS(3465),
    [anon_sym_restrict] = ACTIONS(3465),
    [anon_sym___restrict__] = ACTIONS(3465),
    [anon_sym__Atomic] = ACTIONS(3465),
    [anon_sym__Noreturn] = ACTIONS(3465),
    [anon_sym_noreturn] = ACTIONS(3465),
    [anon_sym_mutable] = ACTIONS(3465),
    [anon_sym_constinit] = ACTIONS(3465),
    [anon_sym_consteval] = ACTIONS(3465),
    [anon_sym_PROGMEM] = ACTIONS(3465),
    [aux_sym_primitive_type_token1] = ACTIONS(3465),
    [anon_sym_byte] = ACTIONS(3465),
    [anon_sym_word] = ACTIONS(3465),
    [anon_sym_enum] = ACTIONS(3465),
    [anon_sym_class] = ACTIONS(3465),
    [anon_sym_struct] = ACTIONS(3465),
    [anon_sym_union] = ACTIONS(3465),
    [anon_sym_if] = ACTIONS(3465),
    [anon_sym_switch] = ACTIONS(3465),
    [anon_sym_case] = ACTIONS(3465),
    [anon_sym_default] = ACTIONS(3465),
    [anon_sym_while] = ACTIONS(3465),
    [anon_sym_do] = ACTIONS(3465),
    [anon_sym_for] = ACTIONS(3465),
    [anon_sym_return] = ACTIONS(3465),
    [anon_sym_break] = ACTIONS(3465),
    [anon_sym_continue] = ACTIONS(3465),
    [anon_sym_goto] = ACTIONS(3465),
    [anon_sym___try] = ACTIONS(3465),
    [anon_sym___leave] = ACTIONS(3465),
    [anon_sym_not] = ACTIONS(3465),
    [anon_sym_compl] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3467),
    [anon_sym_PLUS_PLUS] = ACTIONS(3467),
    [anon_sym_sizeof] = ACTIONS(3465),
    [anon_sym___alignof__] = ACTIONS(3465),
    [anon_sym___alignof] = ACTIONS(3465),
    [anon_sym__alignof] = ACTIONS(3465),
    [anon_sym_alignof] = ACTIONS(3465),
    [anon_sym__Alignof] = ACTIONS(3465),
    [anon_sym_offsetof] = ACTIONS(3465),
    [anon_sym__Generic] = ACTIONS(3465),
    [anon_sym_asm] = ACTIONS(3465),
    [anon_sym___asm__] = ACTIONS(3465),
    [aux_sym_number_literal_token1] = ACTIONS(3467),
    [aux_sym_number_literal_token2] = ACTIONS(3465),
    [anon_sym_L_SQUOTE] = ACTIONS(3467),
    [anon_sym_u_SQUOTE] = ACTIONS(3467),
    [anon_sym_U_SQUOTE] = ACTIONS(3467),
    [anon_sym_u8_SQUOTE] = ACTIONS(3467),
    [anon_sym_SQUOTE] = ACTIONS(3467),
    [anon_sym_L_DQUOTE] = ACTIONS(3467),
    [anon_sym_u_DQUOTE] = ACTIONS(3467),
    [anon_sym_U_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8_DQUOTE] = ACTIONS(3467),
    [anon_sym_DQUOTE] = ACTIONS(3467),
    [sym_true] = ACTIONS(3465),
    [sym_false] = ACTIONS(3465),
    [anon_sym_NULL] = ACTIONS(3465),
    [anon_sym_nullptr] = ACTIONS(3465),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3465),
    [anon_sym_decltype] = ACTIONS(3465),
    [anon_sym_virtual] = ACTIONS(3465),
    [anon_sym_alignas] = ACTIONS(3465),
    [anon_sym_explicit] = ACTIONS(3465),
    [anon_sym_typename] = ACTIONS(3465),
    [anon_sym_template] = ACTIONS(3465),
    [anon_sym_operator] = ACTIONS(3465),
    [anon_sym_try] = ACTIONS(3465),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_throw] = ACTIONS(3465),
    [anon_sym_namespace] = ACTIONS(3465),
    [anon_sym_using] = ACTIONS(3465),
    [anon_sym_static_assert] = ACTIONS(3465),
    [anon_sym_concept] = ACTIONS(3465),
    [anon_sym_co_return] = ACTIONS(3465),
    [anon_sym_co_yield] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3465),
    [anon_sym_new] = ACTIONS(3465),
    [anon_sym_requires] = ACTIONS(3465),
    [sym_this] = ACTIONS(3465),
  },
  [908] = {
    [sym_identifier] = ACTIONS(3427),
    [aux_sym_preproc_include_token1] = ACTIONS(3427),
    [aux_sym_preproc_def_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token1] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3427),
    [sym_preproc_directive] = ACTIONS(3427),
    [anon_sym_LPAREN2] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3427),
    [anon_sym_PLUS] = ACTIONS(3427),
    [anon_sym_STAR] = ACTIONS(3429),
    [anon_sym_AMP_AMP] = ACTIONS(3429),
    [anon_sym_AMP] = ACTIONS(3427),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym___extension__] = ACTIONS(3427),
    [anon_sym_typedef] = ACTIONS(3427),
    [anon_sym_extern] = ACTIONS(3427),
    [anon_sym___attribute__] = ACTIONS(3427),
    [anon_sym_COLON_COLON] = ACTIONS(3429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3429),
    [anon_sym___declspec] = ACTIONS(3427),
    [anon_sym___based] = ACTIONS(3427),
    [anon_sym___cdecl] = ACTIONS(3427),
    [anon_sym___clrcall] = ACTIONS(3427),
    [anon_sym___stdcall] = ACTIONS(3427),
    [anon_sym___fastcall] = ACTIONS(3427),
    [anon_sym___thiscall] = ACTIONS(3427),
    [anon_sym___vectorcall] = ACTIONS(3427),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_signed] = ACTIONS(3427),
    [anon_sym_unsigned] = ACTIONS(3427),
    [anon_sym_long] = ACTIONS(3427),
    [anon_sym_short] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_register] = ACTIONS(3427),
    [anon_sym_inline] = ACTIONS(3427),
    [anon_sym___inline] = ACTIONS(3427),
    [anon_sym___inline__] = ACTIONS(3427),
    [anon_sym___forceinline] = ACTIONS(3427),
    [anon_sym_thread_local] = ACTIONS(3427),
    [anon_sym___thread] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_constexpr] = ACTIONS(3427),
    [anon_sym_volatile] = ACTIONS(3427),
    [anon_sym_restrict] = ACTIONS(3427),
    [anon_sym___restrict__] = ACTIONS(3427),
    [anon_sym__Atomic] = ACTIONS(3427),
    [anon_sym__Noreturn] = ACTIONS(3427),
    [anon_sym_noreturn] = ACTIONS(3427),
    [anon_sym_mutable] = ACTIONS(3427),
    [anon_sym_constinit] = ACTIONS(3427),
    [anon_sym_consteval] = ACTIONS(3427),
    [anon_sym_PROGMEM] = ACTIONS(3427),
    [aux_sym_primitive_type_token1] = ACTIONS(3427),
    [anon_sym_byte] = ACTIONS(3427),
    [anon_sym_word] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3427),
    [anon_sym_union] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(3427),
    [anon_sym_switch] = ACTIONS(3427),
    [anon_sym_case] = ACTIONS(3427),
    [anon_sym_default] = ACTIONS(3427),
    [anon_sym_while] = ACTIONS(3427),
    [anon_sym_do] = ACTIONS(3427),
    [anon_sym_for] = ACTIONS(3427),
    [anon_sym_return] = ACTIONS(3427),
    [anon_sym_break] = ACTIONS(3427),
    [anon_sym_continue] = ACTIONS(3427),
    [anon_sym_goto] = ACTIONS(3427),
    [anon_sym___try] = ACTIONS(3427),
    [anon_sym___leave] = ACTIONS(3427),
    [anon_sym_not] = ACTIONS(3427),
    [anon_sym_compl] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_sizeof] = ACTIONS(3427),
    [anon_sym___alignof__] = ACTIONS(3427),
    [anon_sym___alignof] = ACTIONS(3427),
    [anon_sym__alignof] = ACTIONS(3427),
    [anon_sym_alignof] = ACTIONS(3427),
    [anon_sym__Alignof] = ACTIONS(3427),
    [anon_sym_offsetof] = ACTIONS(3427),
    [anon_sym__Generic] = ACTIONS(3427),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [aux_sym_number_literal_token1] = ACTIONS(3429),
    [aux_sym_number_literal_token2] = ACTIONS(3427),
    [anon_sym_L_SQUOTE] = ACTIONS(3429),
    [anon_sym_u_SQUOTE] = ACTIONS(3429),
    [anon_sym_U_SQUOTE] = ACTIONS(3429),
    [anon_sym_u8_SQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [anon_sym_L_DQUOTE] = ACTIONS(3429),
    [anon_sym_u_DQUOTE] = ACTIONS(3429),
    [anon_sym_U_DQUOTE] = ACTIONS(3429),
    [anon_sym_u8_DQUOTE] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [sym_true] = ACTIONS(3427),
    [sym_false] = ACTIONS(3427),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3427),
    [anon_sym_decltype] = ACTIONS(3427),
    [anon_sym_virtual] = ACTIONS(3427),
    [anon_sym_alignas] = ACTIONS(3427),
    [anon_sym_explicit] = ACTIONS(3427),
    [anon_sym_typename] = ACTIONS(3427),
    [anon_sym_template] = ACTIONS(3427),
    [anon_sym_operator] = ACTIONS(3427),
    [anon_sym_try] = ACTIONS(3427),
    [anon_sym_delete] = ACTIONS(3427),
    [anon_sym_throw] = ACTIONS(3427),
    [anon_sym_namespace] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_static_assert] = ACTIONS(3427),
    [anon_sym_concept] = ACTIONS(3427),
    [anon_sym_co_return] = ACTIONS(3427),
    [anon_sym_co_yield] = ACTIONS(3427),
    [anon_sym_R_DQUOTE] = ACTIONS(3429),
    [anon_sym_LR_DQUOTE] = ACTIONS(3429),
    [anon_sym_uR_DQUOTE] = ACTIONS(3429),
    [anon_sym_UR_DQUOTE] = ACTIONS(3429),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3429),
    [anon_sym_co_await] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3427),
    [anon_sym_requires] = ACTIONS(3427),
    [sym_this] = ACTIONS(3427),
  },
  [909] = {
    [sym_identifier] = ACTIONS(3427),
    [aux_sym_preproc_include_token1] = ACTIONS(3427),
    [aux_sym_preproc_def_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token1] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3427),
    [sym_preproc_directive] = ACTIONS(3427),
    [anon_sym_LPAREN2] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3427),
    [anon_sym_PLUS] = ACTIONS(3427),
    [anon_sym_STAR] = ACTIONS(3429),
    [anon_sym_AMP_AMP] = ACTIONS(3429),
    [anon_sym_AMP] = ACTIONS(3427),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym___extension__] = ACTIONS(3427),
    [anon_sym_typedef] = ACTIONS(3427),
    [anon_sym_extern] = ACTIONS(3427),
    [anon_sym___attribute__] = ACTIONS(3427),
    [anon_sym_COLON_COLON] = ACTIONS(3429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3429),
    [anon_sym___declspec] = ACTIONS(3427),
    [anon_sym___based] = ACTIONS(3427),
    [anon_sym___cdecl] = ACTIONS(3427),
    [anon_sym___clrcall] = ACTIONS(3427),
    [anon_sym___stdcall] = ACTIONS(3427),
    [anon_sym___fastcall] = ACTIONS(3427),
    [anon_sym___thiscall] = ACTIONS(3427),
    [anon_sym___vectorcall] = ACTIONS(3427),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_signed] = ACTIONS(3427),
    [anon_sym_unsigned] = ACTIONS(3427),
    [anon_sym_long] = ACTIONS(3427),
    [anon_sym_short] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_register] = ACTIONS(3427),
    [anon_sym_inline] = ACTIONS(3427),
    [anon_sym___inline] = ACTIONS(3427),
    [anon_sym___inline__] = ACTIONS(3427),
    [anon_sym___forceinline] = ACTIONS(3427),
    [anon_sym_thread_local] = ACTIONS(3427),
    [anon_sym___thread] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_constexpr] = ACTIONS(3427),
    [anon_sym_volatile] = ACTIONS(3427),
    [anon_sym_restrict] = ACTIONS(3427),
    [anon_sym___restrict__] = ACTIONS(3427),
    [anon_sym__Atomic] = ACTIONS(3427),
    [anon_sym__Noreturn] = ACTIONS(3427),
    [anon_sym_noreturn] = ACTIONS(3427),
    [anon_sym_mutable] = ACTIONS(3427),
    [anon_sym_constinit] = ACTIONS(3427),
    [anon_sym_consteval] = ACTIONS(3427),
    [anon_sym_PROGMEM] = ACTIONS(3427),
    [aux_sym_primitive_type_token1] = ACTIONS(3427),
    [anon_sym_byte] = ACTIONS(3427),
    [anon_sym_word] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3427),
    [anon_sym_union] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(3427),
    [anon_sym_switch] = ACTIONS(3427),
    [anon_sym_case] = ACTIONS(3427),
    [anon_sym_default] = ACTIONS(3427),
    [anon_sym_while] = ACTIONS(3427),
    [anon_sym_do] = ACTIONS(3427),
    [anon_sym_for] = ACTIONS(3427),
    [anon_sym_return] = ACTIONS(3427),
    [anon_sym_break] = ACTIONS(3427),
    [anon_sym_continue] = ACTIONS(3427),
    [anon_sym_goto] = ACTIONS(3427),
    [anon_sym___try] = ACTIONS(3427),
    [anon_sym___leave] = ACTIONS(3427),
    [anon_sym_not] = ACTIONS(3427),
    [anon_sym_compl] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_sizeof] = ACTIONS(3427),
    [anon_sym___alignof__] = ACTIONS(3427),
    [anon_sym___alignof] = ACTIONS(3427),
    [anon_sym__alignof] = ACTIONS(3427),
    [anon_sym_alignof] = ACTIONS(3427),
    [anon_sym__Alignof] = ACTIONS(3427),
    [anon_sym_offsetof] = ACTIONS(3427),
    [anon_sym__Generic] = ACTIONS(3427),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [aux_sym_number_literal_token1] = ACTIONS(3429),
    [aux_sym_number_literal_token2] = ACTIONS(3427),
    [anon_sym_L_SQUOTE] = ACTIONS(3429),
    [anon_sym_u_SQUOTE] = ACTIONS(3429),
    [anon_sym_U_SQUOTE] = ACTIONS(3429),
    [anon_sym_u8_SQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [anon_sym_L_DQUOTE] = ACTIONS(3429),
    [anon_sym_u_DQUOTE] = ACTIONS(3429),
    [anon_sym_U_DQUOTE] = ACTIONS(3429),
    [anon_sym_u8_DQUOTE] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [sym_true] = ACTIONS(3427),
    [sym_false] = ACTIONS(3427),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3427),
    [anon_sym_decltype] = ACTIONS(3427),
    [anon_sym_virtual] = ACTIONS(3427),
    [anon_sym_alignas] = ACTIONS(3427),
    [anon_sym_explicit] = ACTIONS(3427),
    [anon_sym_typename] = ACTIONS(3427),
    [anon_sym_template] = ACTIONS(3427),
    [anon_sym_operator] = ACTIONS(3427),
    [anon_sym_try] = ACTIONS(3427),
    [anon_sym_delete] = ACTIONS(3427),
    [anon_sym_throw] = ACTIONS(3427),
    [anon_sym_namespace] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_static_assert] = ACTIONS(3427),
    [anon_sym_concept] = ACTIONS(3427),
    [anon_sym_co_return] = ACTIONS(3427),
    [anon_sym_co_yield] = ACTIONS(3427),
    [anon_sym_R_DQUOTE] = ACTIONS(3429),
    [anon_sym_LR_DQUOTE] = ACTIONS(3429),
    [anon_sym_uR_DQUOTE] = ACTIONS(3429),
    [anon_sym_UR_DQUOTE] = ACTIONS(3429),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3429),
    [anon_sym_co_await] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3427),
    [anon_sym_requires] = ACTIONS(3427),
    [sym_this] = ACTIONS(3427),
  },
  [910] = {
    [sym_identifier] = ACTIONS(3413),
    [aux_sym_preproc_include_token1] = ACTIONS(3413),
    [aux_sym_preproc_def_token1] = ACTIONS(3413),
    [aux_sym_preproc_if_token1] = ACTIONS(3413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3413),
    [sym_preproc_directive] = ACTIONS(3413),
    [anon_sym_LPAREN2] = ACTIONS(3415),
    [anon_sym_BANG] = ACTIONS(3415),
    [anon_sym_TILDE] = ACTIONS(3415),
    [anon_sym_DASH] = ACTIONS(3413),
    [anon_sym_PLUS] = ACTIONS(3413),
    [anon_sym_STAR] = ACTIONS(3415),
    [anon_sym_AMP_AMP] = ACTIONS(3415),
    [anon_sym_AMP] = ACTIONS(3413),
    [anon_sym_SEMI] = ACTIONS(3415),
    [anon_sym___extension__] = ACTIONS(3413),
    [anon_sym_typedef] = ACTIONS(3413),
    [anon_sym_extern] = ACTIONS(3413),
    [anon_sym___attribute__] = ACTIONS(3413),
    [anon_sym_COLON_COLON] = ACTIONS(3415),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3415),
    [anon_sym___declspec] = ACTIONS(3413),
    [anon_sym___based] = ACTIONS(3413),
    [anon_sym___cdecl] = ACTIONS(3413),
    [anon_sym___clrcall] = ACTIONS(3413),
    [anon_sym___stdcall] = ACTIONS(3413),
    [anon_sym___fastcall] = ACTIONS(3413),
    [anon_sym___thiscall] = ACTIONS(3413),
    [anon_sym___vectorcall] = ACTIONS(3413),
    [anon_sym_LBRACE] = ACTIONS(3415),
    [anon_sym_RBRACE] = ACTIONS(3415),
    [anon_sym_signed] = ACTIONS(3413),
    [anon_sym_unsigned] = ACTIONS(3413),
    [anon_sym_long] = ACTIONS(3413),
    [anon_sym_short] = ACTIONS(3413),
    [anon_sym_LBRACK] = ACTIONS(3413),
    [anon_sym_static] = ACTIONS(3413),
    [anon_sym_register] = ACTIONS(3413),
    [anon_sym_inline] = ACTIONS(3413),
    [anon_sym___inline] = ACTIONS(3413),
    [anon_sym___inline__] = ACTIONS(3413),
    [anon_sym___forceinline] = ACTIONS(3413),
    [anon_sym_thread_local] = ACTIONS(3413),
    [anon_sym___thread] = ACTIONS(3413),
    [anon_sym_const] = ACTIONS(3413),
    [anon_sym_constexpr] = ACTIONS(3413),
    [anon_sym_volatile] = ACTIONS(3413),
    [anon_sym_restrict] = ACTIONS(3413),
    [anon_sym___restrict__] = ACTIONS(3413),
    [anon_sym__Atomic] = ACTIONS(3413),
    [anon_sym__Noreturn] = ACTIONS(3413),
    [anon_sym_noreturn] = ACTIONS(3413),
    [anon_sym_mutable] = ACTIONS(3413),
    [anon_sym_constinit] = ACTIONS(3413),
    [anon_sym_consteval] = ACTIONS(3413),
    [anon_sym_PROGMEM] = ACTIONS(3413),
    [aux_sym_primitive_type_token1] = ACTIONS(3413),
    [anon_sym_byte] = ACTIONS(3413),
    [anon_sym_word] = ACTIONS(3413),
    [anon_sym_enum] = ACTIONS(3413),
    [anon_sym_class] = ACTIONS(3413),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3413),
    [anon_sym_if] = ACTIONS(3413),
    [anon_sym_switch] = ACTIONS(3413),
    [anon_sym_case] = ACTIONS(3413),
    [anon_sym_default] = ACTIONS(3413),
    [anon_sym_while] = ACTIONS(3413),
    [anon_sym_do] = ACTIONS(3413),
    [anon_sym_for] = ACTIONS(3413),
    [anon_sym_return] = ACTIONS(3413),
    [anon_sym_break] = ACTIONS(3413),
    [anon_sym_continue] = ACTIONS(3413),
    [anon_sym_goto] = ACTIONS(3413),
    [anon_sym___try] = ACTIONS(3413),
    [anon_sym___leave] = ACTIONS(3413),
    [anon_sym_not] = ACTIONS(3413),
    [anon_sym_compl] = ACTIONS(3413),
    [anon_sym_DASH_DASH] = ACTIONS(3415),
    [anon_sym_PLUS_PLUS] = ACTIONS(3415),
    [anon_sym_sizeof] = ACTIONS(3413),
    [anon_sym___alignof__] = ACTIONS(3413),
    [anon_sym___alignof] = ACTIONS(3413),
    [anon_sym__alignof] = ACTIONS(3413),
    [anon_sym_alignof] = ACTIONS(3413),
    [anon_sym__Alignof] = ACTIONS(3413),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3413),
    [anon_sym_asm] = ACTIONS(3413),
    [anon_sym___asm__] = ACTIONS(3413),
    [aux_sym_number_literal_token1] = ACTIONS(3415),
    [aux_sym_number_literal_token2] = ACTIONS(3413),
    [anon_sym_L_SQUOTE] = ACTIONS(3415),
    [anon_sym_u_SQUOTE] = ACTIONS(3415),
    [anon_sym_U_SQUOTE] = ACTIONS(3415),
    [anon_sym_u8_SQUOTE] = ACTIONS(3415),
    [anon_sym_SQUOTE] = ACTIONS(3415),
    [anon_sym_L_DQUOTE] = ACTIONS(3415),
    [anon_sym_u_DQUOTE] = ACTIONS(3415),
    [anon_sym_U_DQUOTE] = ACTIONS(3415),
    [anon_sym_u8_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE] = ACTIONS(3415),
    [sym_true] = ACTIONS(3413),
    [sym_false] = ACTIONS(3413),
    [anon_sym_NULL] = ACTIONS(3413),
    [anon_sym_nullptr] = ACTIONS(3413),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3413),
    [anon_sym_decltype] = ACTIONS(3413),
    [anon_sym_virtual] = ACTIONS(3413),
    [anon_sym_alignas] = ACTIONS(3413),
    [anon_sym_explicit] = ACTIONS(3413),
    [anon_sym_typename] = ACTIONS(3413),
    [anon_sym_template] = ACTIONS(3413),
    [anon_sym_operator] = ACTIONS(3413),
    [anon_sym_try] = ACTIONS(3413),
    [anon_sym_delete] = ACTIONS(3413),
    [anon_sym_throw] = ACTIONS(3413),
    [anon_sym_namespace] = ACTIONS(3413),
    [anon_sym_using] = ACTIONS(3413),
    [anon_sym_static_assert] = ACTIONS(3413),
    [anon_sym_concept] = ACTIONS(3413),
    [anon_sym_co_return] = ACTIONS(3413),
    [anon_sym_co_yield] = ACTIONS(3413),
    [anon_sym_R_DQUOTE] = ACTIONS(3415),
    [anon_sym_LR_DQUOTE] = ACTIONS(3415),
    [anon_sym_uR_DQUOTE] = ACTIONS(3415),
    [anon_sym_UR_DQUOTE] = ACTIONS(3415),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3415),
    [anon_sym_co_await] = ACTIONS(3413),
    [anon_sym_new] = ACTIONS(3413),
    [anon_sym_requires] = ACTIONS(3413),
    [sym_this] = ACTIONS(3413),
  },
  [911] = {
    [sym_identifier] = ACTIONS(3308),
    [aux_sym_preproc_include_token1] = ACTIONS(3308),
    [aux_sym_preproc_def_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token2] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3308),
    [sym_preproc_directive] = ACTIONS(3308),
    [anon_sym_LPAREN2] = ACTIONS(3310),
    [anon_sym_BANG] = ACTIONS(3310),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_STAR] = ACTIONS(3310),
    [anon_sym_AMP_AMP] = ACTIONS(3310),
    [anon_sym_AMP] = ACTIONS(3308),
    [anon_sym_SEMI] = ACTIONS(3310),
    [anon_sym___extension__] = ACTIONS(3308),
    [anon_sym_typedef] = ACTIONS(3308),
    [anon_sym_extern] = ACTIONS(3308),
    [anon_sym___attribute__] = ACTIONS(3308),
    [anon_sym_COLON_COLON] = ACTIONS(3310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3310),
    [anon_sym___declspec] = ACTIONS(3308),
    [anon_sym___based] = ACTIONS(3308),
    [anon_sym___cdecl] = ACTIONS(3308),
    [anon_sym___clrcall] = ACTIONS(3308),
    [anon_sym___stdcall] = ACTIONS(3308),
    [anon_sym___fastcall] = ACTIONS(3308),
    [anon_sym___thiscall] = ACTIONS(3308),
    [anon_sym___vectorcall] = ACTIONS(3308),
    [anon_sym_LBRACE] = ACTIONS(3310),
    [anon_sym_signed] = ACTIONS(3308),
    [anon_sym_unsigned] = ACTIONS(3308),
    [anon_sym_long] = ACTIONS(3308),
    [anon_sym_short] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_register] = ACTIONS(3308),
    [anon_sym_inline] = ACTIONS(3308),
    [anon_sym___inline] = ACTIONS(3308),
    [anon_sym___inline__] = ACTIONS(3308),
    [anon_sym___forceinline] = ACTIONS(3308),
    [anon_sym_thread_local] = ACTIONS(3308),
    [anon_sym___thread] = ACTIONS(3308),
    [anon_sym_const] = ACTIONS(3308),
    [anon_sym_constexpr] = ACTIONS(3308),
    [anon_sym_volatile] = ACTIONS(3308),
    [anon_sym_restrict] = ACTIONS(3308),
    [anon_sym___restrict__] = ACTIONS(3308),
    [anon_sym__Atomic] = ACTIONS(3308),
    [anon_sym__Noreturn] = ACTIONS(3308),
    [anon_sym_noreturn] = ACTIONS(3308),
    [anon_sym_mutable] = ACTIONS(3308),
    [anon_sym_constinit] = ACTIONS(3308),
    [anon_sym_consteval] = ACTIONS(3308),
    [anon_sym_PROGMEM] = ACTIONS(3308),
    [aux_sym_primitive_type_token1] = ACTIONS(3308),
    [anon_sym_byte] = ACTIONS(3308),
    [anon_sym_word] = ACTIONS(3308),
    [anon_sym_enum] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_struct] = ACTIONS(3308),
    [anon_sym_union] = ACTIONS(3308),
    [anon_sym_if] = ACTIONS(3308),
    [anon_sym_switch] = ACTIONS(3308),
    [anon_sym_case] = ACTIONS(3308),
    [anon_sym_default] = ACTIONS(3308),
    [anon_sym_while] = ACTIONS(3308),
    [anon_sym_do] = ACTIONS(3308),
    [anon_sym_for] = ACTIONS(3308),
    [anon_sym_return] = ACTIONS(3308),
    [anon_sym_break] = ACTIONS(3308),
    [anon_sym_continue] = ACTIONS(3308),
    [anon_sym_goto] = ACTIONS(3308),
    [anon_sym___try] = ACTIONS(3308),
    [anon_sym___leave] = ACTIONS(3308),
    [anon_sym_not] = ACTIONS(3308),
    [anon_sym_compl] = ACTIONS(3308),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_sizeof] = ACTIONS(3308),
    [anon_sym___alignof__] = ACTIONS(3308),
    [anon_sym___alignof] = ACTIONS(3308),
    [anon_sym__alignof] = ACTIONS(3308),
    [anon_sym_alignof] = ACTIONS(3308),
    [anon_sym__Alignof] = ACTIONS(3308),
    [anon_sym_offsetof] = ACTIONS(3308),
    [anon_sym__Generic] = ACTIONS(3308),
    [anon_sym_asm] = ACTIONS(3308),
    [anon_sym___asm__] = ACTIONS(3308),
    [aux_sym_number_literal_token1] = ACTIONS(3310),
    [aux_sym_number_literal_token2] = ACTIONS(3308),
    [anon_sym_L_SQUOTE] = ACTIONS(3310),
    [anon_sym_u_SQUOTE] = ACTIONS(3310),
    [anon_sym_U_SQUOTE] = ACTIONS(3310),
    [anon_sym_u8_SQUOTE] = ACTIONS(3310),
    [anon_sym_SQUOTE] = ACTIONS(3310),
    [anon_sym_L_DQUOTE] = ACTIONS(3310),
    [anon_sym_u_DQUOTE] = ACTIONS(3310),
    [anon_sym_U_DQUOTE] = ACTIONS(3310),
    [anon_sym_u8_DQUOTE] = ACTIONS(3310),
    [anon_sym_DQUOTE] = ACTIONS(3310),
    [sym_true] = ACTIONS(3308),
    [sym_false] = ACTIONS(3308),
    [anon_sym_NULL] = ACTIONS(3308),
    [anon_sym_nullptr] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3308),
    [anon_sym_decltype] = ACTIONS(3308),
    [anon_sym_virtual] = ACTIONS(3308),
    [anon_sym_alignas] = ACTIONS(3308),
    [anon_sym_explicit] = ACTIONS(3308),
    [anon_sym_typename] = ACTIONS(3308),
    [anon_sym_template] = ACTIONS(3308),
    [anon_sym_operator] = ACTIONS(3308),
    [anon_sym_try] = ACTIONS(3308),
    [anon_sym_delete] = ACTIONS(3308),
    [anon_sym_throw] = ACTIONS(3308),
    [anon_sym_namespace] = ACTIONS(3308),
    [anon_sym_using] = ACTIONS(3308),
    [anon_sym_static_assert] = ACTIONS(3308),
    [anon_sym_concept] = ACTIONS(3308),
    [anon_sym_co_return] = ACTIONS(3308),
    [anon_sym_co_yield] = ACTIONS(3308),
    [anon_sym_R_DQUOTE] = ACTIONS(3310),
    [anon_sym_LR_DQUOTE] = ACTIONS(3310),
    [anon_sym_uR_DQUOTE] = ACTIONS(3310),
    [anon_sym_UR_DQUOTE] = ACTIONS(3310),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3310),
    [anon_sym_co_await] = ACTIONS(3308),
    [anon_sym_new] = ACTIONS(3308),
    [anon_sym_requires] = ACTIONS(3308),
    [sym_this] = ACTIONS(3308),
  },
  [912] = {
    [sym_identifier] = ACTIONS(3495),
    [aux_sym_preproc_include_token1] = ACTIONS(3495),
    [aux_sym_preproc_def_token1] = ACTIONS(3495),
    [aux_sym_preproc_if_token1] = ACTIONS(3495),
    [aux_sym_preproc_if_token2] = ACTIONS(3495),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3495),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3495),
    [sym_preproc_directive] = ACTIONS(3495),
    [anon_sym_LPAREN2] = ACTIONS(3497),
    [anon_sym_BANG] = ACTIONS(3497),
    [anon_sym_TILDE] = ACTIONS(3497),
    [anon_sym_DASH] = ACTIONS(3495),
    [anon_sym_PLUS] = ACTIONS(3495),
    [anon_sym_STAR] = ACTIONS(3497),
    [anon_sym_AMP_AMP] = ACTIONS(3497),
    [anon_sym_AMP] = ACTIONS(3495),
    [anon_sym_SEMI] = ACTIONS(3497),
    [anon_sym___extension__] = ACTIONS(3495),
    [anon_sym_typedef] = ACTIONS(3495),
    [anon_sym_extern] = ACTIONS(3495),
    [anon_sym___attribute__] = ACTIONS(3495),
    [anon_sym_COLON_COLON] = ACTIONS(3497),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3497),
    [anon_sym___declspec] = ACTIONS(3495),
    [anon_sym___based] = ACTIONS(3495),
    [anon_sym___cdecl] = ACTIONS(3495),
    [anon_sym___clrcall] = ACTIONS(3495),
    [anon_sym___stdcall] = ACTIONS(3495),
    [anon_sym___fastcall] = ACTIONS(3495),
    [anon_sym___thiscall] = ACTIONS(3495),
    [anon_sym___vectorcall] = ACTIONS(3495),
    [anon_sym_LBRACE] = ACTIONS(3497),
    [anon_sym_signed] = ACTIONS(3495),
    [anon_sym_unsigned] = ACTIONS(3495),
    [anon_sym_long] = ACTIONS(3495),
    [anon_sym_short] = ACTIONS(3495),
    [anon_sym_LBRACK] = ACTIONS(3495),
    [anon_sym_static] = ACTIONS(3495),
    [anon_sym_register] = ACTIONS(3495),
    [anon_sym_inline] = ACTIONS(3495),
    [anon_sym___inline] = ACTIONS(3495),
    [anon_sym___inline__] = ACTIONS(3495),
    [anon_sym___forceinline] = ACTIONS(3495),
    [anon_sym_thread_local] = ACTIONS(3495),
    [anon_sym___thread] = ACTIONS(3495),
    [anon_sym_const] = ACTIONS(3495),
    [anon_sym_constexpr] = ACTIONS(3495),
    [anon_sym_volatile] = ACTIONS(3495),
    [anon_sym_restrict] = ACTIONS(3495),
    [anon_sym___restrict__] = ACTIONS(3495),
    [anon_sym__Atomic] = ACTIONS(3495),
    [anon_sym__Noreturn] = ACTIONS(3495),
    [anon_sym_noreturn] = ACTIONS(3495),
    [anon_sym_mutable] = ACTIONS(3495),
    [anon_sym_constinit] = ACTIONS(3495),
    [anon_sym_consteval] = ACTIONS(3495),
    [anon_sym_PROGMEM] = ACTIONS(3495),
    [aux_sym_primitive_type_token1] = ACTIONS(3495),
    [anon_sym_byte] = ACTIONS(3495),
    [anon_sym_word] = ACTIONS(3495),
    [anon_sym_enum] = ACTIONS(3495),
    [anon_sym_class] = ACTIONS(3495),
    [anon_sym_struct] = ACTIONS(3495),
    [anon_sym_union] = ACTIONS(3495),
    [anon_sym_if] = ACTIONS(3495),
    [anon_sym_switch] = ACTIONS(3495),
    [anon_sym_case] = ACTIONS(3495),
    [anon_sym_default] = ACTIONS(3495),
    [anon_sym_while] = ACTIONS(3495),
    [anon_sym_do] = ACTIONS(3495),
    [anon_sym_for] = ACTIONS(3495),
    [anon_sym_return] = ACTIONS(3495),
    [anon_sym_break] = ACTIONS(3495),
    [anon_sym_continue] = ACTIONS(3495),
    [anon_sym_goto] = ACTIONS(3495),
    [anon_sym___try] = ACTIONS(3495),
    [anon_sym___leave] = ACTIONS(3495),
    [anon_sym_not] = ACTIONS(3495),
    [anon_sym_compl] = ACTIONS(3495),
    [anon_sym_DASH_DASH] = ACTIONS(3497),
    [anon_sym_PLUS_PLUS] = ACTIONS(3497),
    [anon_sym_sizeof] = ACTIONS(3495),
    [anon_sym___alignof__] = ACTIONS(3495),
    [anon_sym___alignof] = ACTIONS(3495),
    [anon_sym__alignof] = ACTIONS(3495),
    [anon_sym_alignof] = ACTIONS(3495),
    [anon_sym__Alignof] = ACTIONS(3495),
    [anon_sym_offsetof] = ACTIONS(3495),
    [anon_sym__Generic] = ACTIONS(3495),
    [anon_sym_asm] = ACTIONS(3495),
    [anon_sym___asm__] = ACTIONS(3495),
    [aux_sym_number_literal_token1] = ACTIONS(3497),
    [aux_sym_number_literal_token2] = ACTIONS(3495),
    [anon_sym_L_SQUOTE] = ACTIONS(3497),
    [anon_sym_u_SQUOTE] = ACTIONS(3497),
    [anon_sym_U_SQUOTE] = ACTIONS(3497),
    [anon_sym_u8_SQUOTE] = ACTIONS(3497),
    [anon_sym_SQUOTE] = ACTIONS(3497),
    [anon_sym_L_DQUOTE] = ACTIONS(3497),
    [anon_sym_u_DQUOTE] = ACTIONS(3497),
    [anon_sym_U_DQUOTE] = ACTIONS(3497),
    [anon_sym_u8_DQUOTE] = ACTIONS(3497),
    [anon_sym_DQUOTE] = ACTIONS(3497),
    [sym_true] = ACTIONS(3495),
    [sym_false] = ACTIONS(3495),
    [anon_sym_NULL] = ACTIONS(3495),
    [anon_sym_nullptr] = ACTIONS(3495),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3495),
    [anon_sym_decltype] = ACTIONS(3495),
    [anon_sym_virtual] = ACTIONS(3495),
    [anon_sym_alignas] = ACTIONS(3495),
    [anon_sym_explicit] = ACTIONS(3495),
    [anon_sym_typename] = ACTIONS(3495),
    [anon_sym_template] = ACTIONS(3495),
    [anon_sym_operator] = ACTIONS(3495),
    [anon_sym_try] = ACTIONS(3495),
    [anon_sym_delete] = ACTIONS(3495),
    [anon_sym_throw] = ACTIONS(3495),
    [anon_sym_namespace] = ACTIONS(3495),
    [anon_sym_using] = ACTIONS(3495),
    [anon_sym_static_assert] = ACTIONS(3495),
    [anon_sym_concept] = ACTIONS(3495),
    [anon_sym_co_return] = ACTIONS(3495),
    [anon_sym_co_yield] = ACTIONS(3495),
    [anon_sym_R_DQUOTE] = ACTIONS(3497),
    [anon_sym_LR_DQUOTE] = ACTIONS(3497),
    [anon_sym_uR_DQUOTE] = ACTIONS(3497),
    [anon_sym_UR_DQUOTE] = ACTIONS(3497),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3497),
    [anon_sym_co_await] = ACTIONS(3495),
    [anon_sym_new] = ACTIONS(3495),
    [anon_sym_requires] = ACTIONS(3495),
    [sym_this] = ACTIONS(3495),
  },
  [913] = {
    [sym_identifier] = ACTIONS(3409),
    [aux_sym_preproc_include_token1] = ACTIONS(3409),
    [aux_sym_preproc_def_token1] = ACTIONS(3409),
    [aux_sym_preproc_if_token1] = ACTIONS(3409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3409),
    [sym_preproc_directive] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3411),
    [anon_sym_TILDE] = ACTIONS(3411),
    [anon_sym_DASH] = ACTIONS(3409),
    [anon_sym_PLUS] = ACTIONS(3409),
    [anon_sym_STAR] = ACTIONS(3411),
    [anon_sym_AMP_AMP] = ACTIONS(3411),
    [anon_sym_AMP] = ACTIONS(3409),
    [anon_sym_SEMI] = ACTIONS(3411),
    [anon_sym___extension__] = ACTIONS(3409),
    [anon_sym_typedef] = ACTIONS(3409),
    [anon_sym_extern] = ACTIONS(3409),
    [anon_sym___attribute__] = ACTIONS(3409),
    [anon_sym_COLON_COLON] = ACTIONS(3411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3411),
    [anon_sym___declspec] = ACTIONS(3409),
    [anon_sym___based] = ACTIONS(3409),
    [anon_sym___cdecl] = ACTIONS(3409),
    [anon_sym___clrcall] = ACTIONS(3409),
    [anon_sym___stdcall] = ACTIONS(3409),
    [anon_sym___fastcall] = ACTIONS(3409),
    [anon_sym___thiscall] = ACTIONS(3409),
    [anon_sym___vectorcall] = ACTIONS(3409),
    [anon_sym_LBRACE] = ACTIONS(3411),
    [anon_sym_RBRACE] = ACTIONS(3411),
    [anon_sym_signed] = ACTIONS(3409),
    [anon_sym_unsigned] = ACTIONS(3409),
    [anon_sym_long] = ACTIONS(3409),
    [anon_sym_short] = ACTIONS(3409),
    [anon_sym_LBRACK] = ACTIONS(3409),
    [anon_sym_static] = ACTIONS(3409),
    [anon_sym_register] = ACTIONS(3409),
    [anon_sym_inline] = ACTIONS(3409),
    [anon_sym___inline] = ACTIONS(3409),
    [anon_sym___inline__] = ACTIONS(3409),
    [anon_sym___forceinline] = ACTIONS(3409),
    [anon_sym_thread_local] = ACTIONS(3409),
    [anon_sym___thread] = ACTIONS(3409),
    [anon_sym_const] = ACTIONS(3409),
    [anon_sym_constexpr] = ACTIONS(3409),
    [anon_sym_volatile] = ACTIONS(3409),
    [anon_sym_restrict] = ACTIONS(3409),
    [anon_sym___restrict__] = ACTIONS(3409),
    [anon_sym__Atomic] = ACTIONS(3409),
    [anon_sym__Noreturn] = ACTIONS(3409),
    [anon_sym_noreturn] = ACTIONS(3409),
    [anon_sym_mutable] = ACTIONS(3409),
    [anon_sym_constinit] = ACTIONS(3409),
    [anon_sym_consteval] = ACTIONS(3409),
    [anon_sym_PROGMEM] = ACTIONS(3409),
    [aux_sym_primitive_type_token1] = ACTIONS(3409),
    [anon_sym_byte] = ACTIONS(3409),
    [anon_sym_word] = ACTIONS(3409),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3409),
    [anon_sym_struct] = ACTIONS(3409),
    [anon_sym_union] = ACTIONS(3409),
    [anon_sym_if] = ACTIONS(3409),
    [anon_sym_switch] = ACTIONS(3409),
    [anon_sym_case] = ACTIONS(3409),
    [anon_sym_default] = ACTIONS(3409),
    [anon_sym_while] = ACTIONS(3409),
    [anon_sym_do] = ACTIONS(3409),
    [anon_sym_for] = ACTIONS(3409),
    [anon_sym_return] = ACTIONS(3409),
    [anon_sym_break] = ACTIONS(3409),
    [anon_sym_continue] = ACTIONS(3409),
    [anon_sym_goto] = ACTIONS(3409),
    [anon_sym___try] = ACTIONS(3409),
    [anon_sym___leave] = ACTIONS(3409),
    [anon_sym_not] = ACTIONS(3409),
    [anon_sym_compl] = ACTIONS(3409),
    [anon_sym_DASH_DASH] = ACTIONS(3411),
    [anon_sym_PLUS_PLUS] = ACTIONS(3411),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3409),
    [anon_sym___alignof] = ACTIONS(3409),
    [anon_sym__alignof] = ACTIONS(3409),
    [anon_sym_alignof] = ACTIONS(3409),
    [anon_sym__Alignof] = ACTIONS(3409),
    [anon_sym_offsetof] = ACTIONS(3409),
    [anon_sym__Generic] = ACTIONS(3409),
    [anon_sym_asm] = ACTIONS(3409),
    [anon_sym___asm__] = ACTIONS(3409),
    [aux_sym_number_literal_token1] = ACTIONS(3411),
    [aux_sym_number_literal_token2] = ACTIONS(3409),
    [anon_sym_L_SQUOTE] = ACTIONS(3411),
    [anon_sym_u_SQUOTE] = ACTIONS(3411),
    [anon_sym_U_SQUOTE] = ACTIONS(3411),
    [anon_sym_u8_SQUOTE] = ACTIONS(3411),
    [anon_sym_SQUOTE] = ACTIONS(3411),
    [anon_sym_L_DQUOTE] = ACTIONS(3411),
    [anon_sym_u_DQUOTE] = ACTIONS(3411),
    [anon_sym_U_DQUOTE] = ACTIONS(3411),
    [anon_sym_u8_DQUOTE] = ACTIONS(3411),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [sym_true] = ACTIONS(3409),
    [sym_false] = ACTIONS(3409),
    [anon_sym_NULL] = ACTIONS(3409),
    [anon_sym_nullptr] = ACTIONS(3409),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3409),
    [anon_sym_decltype] = ACTIONS(3409),
    [anon_sym_virtual] = ACTIONS(3409),
    [anon_sym_alignas] = ACTIONS(3409),
    [anon_sym_explicit] = ACTIONS(3409),
    [anon_sym_typename] = ACTIONS(3409),
    [anon_sym_template] = ACTIONS(3409),
    [anon_sym_operator] = ACTIONS(3409),
    [anon_sym_try] = ACTIONS(3409),
    [anon_sym_delete] = ACTIONS(3409),
    [anon_sym_throw] = ACTIONS(3409),
    [anon_sym_namespace] = ACTIONS(3409),
    [anon_sym_using] = ACTIONS(3409),
    [anon_sym_static_assert] = ACTIONS(3409),
    [anon_sym_concept] = ACTIONS(3409),
    [anon_sym_co_return] = ACTIONS(3409),
    [anon_sym_co_yield] = ACTIONS(3409),
    [anon_sym_R_DQUOTE] = ACTIONS(3411),
    [anon_sym_LR_DQUOTE] = ACTIONS(3411),
    [anon_sym_uR_DQUOTE] = ACTIONS(3411),
    [anon_sym_UR_DQUOTE] = ACTIONS(3411),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3411),
    [anon_sym_co_await] = ACTIONS(3409),
    [anon_sym_new] = ACTIONS(3409),
    [anon_sym_requires] = ACTIONS(3409),
    [sym_this] = ACTIONS(3409),
  },
  [914] = {
    [sym_identifier] = ACTIONS(3339),
    [aux_sym_preproc_include_token1] = ACTIONS(3339),
    [aux_sym_preproc_def_token1] = ACTIONS(3339),
    [aux_sym_preproc_if_token1] = ACTIONS(3339),
    [aux_sym_preproc_if_token2] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3339),
    [sym_preproc_directive] = ACTIONS(3339),
    [anon_sym_LPAREN2] = ACTIONS(3341),
    [anon_sym_BANG] = ACTIONS(3341),
    [anon_sym_TILDE] = ACTIONS(3341),
    [anon_sym_DASH] = ACTIONS(3339),
    [anon_sym_PLUS] = ACTIONS(3339),
    [anon_sym_STAR] = ACTIONS(3341),
    [anon_sym_AMP_AMP] = ACTIONS(3341),
    [anon_sym_AMP] = ACTIONS(3339),
    [anon_sym_SEMI] = ACTIONS(3341),
    [anon_sym___extension__] = ACTIONS(3339),
    [anon_sym_typedef] = ACTIONS(3339),
    [anon_sym_extern] = ACTIONS(3339),
    [anon_sym___attribute__] = ACTIONS(3339),
    [anon_sym_COLON_COLON] = ACTIONS(3341),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3341),
    [anon_sym___declspec] = ACTIONS(3339),
    [anon_sym___based] = ACTIONS(3339),
    [anon_sym___cdecl] = ACTIONS(3339),
    [anon_sym___clrcall] = ACTIONS(3339),
    [anon_sym___stdcall] = ACTIONS(3339),
    [anon_sym___fastcall] = ACTIONS(3339),
    [anon_sym___thiscall] = ACTIONS(3339),
    [anon_sym___vectorcall] = ACTIONS(3339),
    [anon_sym_LBRACE] = ACTIONS(3341),
    [anon_sym_signed] = ACTIONS(3339),
    [anon_sym_unsigned] = ACTIONS(3339),
    [anon_sym_long] = ACTIONS(3339),
    [anon_sym_short] = ACTIONS(3339),
    [anon_sym_LBRACK] = ACTIONS(3339),
    [anon_sym_static] = ACTIONS(3339),
    [anon_sym_register] = ACTIONS(3339),
    [anon_sym_inline] = ACTIONS(3339),
    [anon_sym___inline] = ACTIONS(3339),
    [anon_sym___inline__] = ACTIONS(3339),
    [anon_sym___forceinline] = ACTIONS(3339),
    [anon_sym_thread_local] = ACTIONS(3339),
    [anon_sym___thread] = ACTIONS(3339),
    [anon_sym_const] = ACTIONS(3339),
    [anon_sym_constexpr] = ACTIONS(3339),
    [anon_sym_volatile] = ACTIONS(3339),
    [anon_sym_restrict] = ACTIONS(3339),
    [anon_sym___restrict__] = ACTIONS(3339),
    [anon_sym__Atomic] = ACTIONS(3339),
    [anon_sym__Noreturn] = ACTIONS(3339),
    [anon_sym_noreturn] = ACTIONS(3339),
    [anon_sym_mutable] = ACTIONS(3339),
    [anon_sym_constinit] = ACTIONS(3339),
    [anon_sym_consteval] = ACTIONS(3339),
    [anon_sym_PROGMEM] = ACTIONS(3339),
    [aux_sym_primitive_type_token1] = ACTIONS(3339),
    [anon_sym_byte] = ACTIONS(3339),
    [anon_sym_word] = ACTIONS(3339),
    [anon_sym_enum] = ACTIONS(3339),
    [anon_sym_class] = ACTIONS(3339),
    [anon_sym_struct] = ACTIONS(3339),
    [anon_sym_union] = ACTIONS(3339),
    [anon_sym_if] = ACTIONS(3339),
    [anon_sym_switch] = ACTIONS(3339),
    [anon_sym_case] = ACTIONS(3339),
    [anon_sym_default] = ACTIONS(3339),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(3339),
    [anon_sym_for] = ACTIONS(3339),
    [anon_sym_return] = ACTIONS(3339),
    [anon_sym_break] = ACTIONS(3339),
    [anon_sym_continue] = ACTIONS(3339),
    [anon_sym_goto] = ACTIONS(3339),
    [anon_sym___try] = ACTIONS(3339),
    [anon_sym___leave] = ACTIONS(3339),
    [anon_sym_not] = ACTIONS(3339),
    [anon_sym_compl] = ACTIONS(3339),
    [anon_sym_DASH_DASH] = ACTIONS(3341),
    [anon_sym_PLUS_PLUS] = ACTIONS(3341),
    [anon_sym_sizeof] = ACTIONS(3339),
    [anon_sym___alignof__] = ACTIONS(3339),
    [anon_sym___alignof] = ACTIONS(3339),
    [anon_sym__alignof] = ACTIONS(3339),
    [anon_sym_alignof] = ACTIONS(3339),
    [anon_sym__Alignof] = ACTIONS(3339),
    [anon_sym_offsetof] = ACTIONS(3339),
    [anon_sym__Generic] = ACTIONS(3339),
    [anon_sym_asm] = ACTIONS(3339),
    [anon_sym___asm__] = ACTIONS(3339),
    [aux_sym_number_literal_token1] = ACTIONS(3341),
    [aux_sym_number_literal_token2] = ACTIONS(3339),
    [anon_sym_L_SQUOTE] = ACTIONS(3341),
    [anon_sym_u_SQUOTE] = ACTIONS(3341),
    [anon_sym_U_SQUOTE] = ACTIONS(3341),
    [anon_sym_u8_SQUOTE] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_L_DQUOTE] = ACTIONS(3341),
    [anon_sym_u_DQUOTE] = ACTIONS(3341),
    [anon_sym_U_DQUOTE] = ACTIONS(3341),
    [anon_sym_u8_DQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3341),
    [sym_true] = ACTIONS(3339),
    [sym_false] = ACTIONS(3339),
    [anon_sym_NULL] = ACTIONS(3339),
    [anon_sym_nullptr] = ACTIONS(3339),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3339),
    [anon_sym_decltype] = ACTIONS(3339),
    [anon_sym_virtual] = ACTIONS(3339),
    [anon_sym_alignas] = ACTIONS(3339),
    [anon_sym_explicit] = ACTIONS(3339),
    [anon_sym_typename] = ACTIONS(3339),
    [anon_sym_template] = ACTIONS(3339),
    [anon_sym_operator] = ACTIONS(3339),
    [anon_sym_try] = ACTIONS(3339),
    [anon_sym_delete] = ACTIONS(3339),
    [anon_sym_throw] = ACTIONS(3339),
    [anon_sym_namespace] = ACTIONS(3339),
    [anon_sym_using] = ACTIONS(3339),
    [anon_sym_static_assert] = ACTIONS(3339),
    [anon_sym_concept] = ACTIONS(3339),
    [anon_sym_co_return] = ACTIONS(3339),
    [anon_sym_co_yield] = ACTIONS(3339),
    [anon_sym_R_DQUOTE] = ACTIONS(3341),
    [anon_sym_LR_DQUOTE] = ACTIONS(3341),
    [anon_sym_uR_DQUOTE] = ACTIONS(3341),
    [anon_sym_UR_DQUOTE] = ACTIONS(3341),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3341),
    [anon_sym_co_await] = ACTIONS(3339),
    [anon_sym_new] = ACTIONS(3339),
    [anon_sym_requires] = ACTIONS(3339),
    [sym_this] = ACTIONS(3339),
  },
  [915] = {
    [sym_identifier] = ACTIONS(3212),
    [aux_sym_preproc_include_token1] = ACTIONS(3212),
    [aux_sym_preproc_def_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token1] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3212),
    [sym_preproc_directive] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym___extension__] = ACTIONS(3212),
    [anon_sym_typedef] = ACTIONS(3212),
    [anon_sym_extern] = ACTIONS(3212),
    [anon_sym___attribute__] = ACTIONS(3212),
    [anon_sym_COLON_COLON] = ACTIONS(3214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3214),
    [anon_sym___declspec] = ACTIONS(3212),
    [anon_sym___based] = ACTIONS(3212),
    [anon_sym___cdecl] = ACTIONS(3212),
    [anon_sym___clrcall] = ACTIONS(3212),
    [anon_sym___stdcall] = ACTIONS(3212),
    [anon_sym___fastcall] = ACTIONS(3212),
    [anon_sym___thiscall] = ACTIONS(3212),
    [anon_sym___vectorcall] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_RBRACE] = ACTIONS(3214),
    [anon_sym_signed] = ACTIONS(3212),
    [anon_sym_unsigned] = ACTIONS(3212),
    [anon_sym_long] = ACTIONS(3212),
    [anon_sym_short] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_register] = ACTIONS(3212),
    [anon_sym_inline] = ACTIONS(3212),
    [anon_sym___inline] = ACTIONS(3212),
    [anon_sym___inline__] = ACTIONS(3212),
    [anon_sym___forceinline] = ACTIONS(3212),
    [anon_sym_thread_local] = ACTIONS(3212),
    [anon_sym___thread] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_constexpr] = ACTIONS(3212),
    [anon_sym_volatile] = ACTIONS(3212),
    [anon_sym_restrict] = ACTIONS(3212),
    [anon_sym___restrict__] = ACTIONS(3212),
    [anon_sym__Atomic] = ACTIONS(3212),
    [anon_sym__Noreturn] = ACTIONS(3212),
    [anon_sym_noreturn] = ACTIONS(3212),
    [anon_sym_mutable] = ACTIONS(3212),
    [anon_sym_constinit] = ACTIONS(3212),
    [anon_sym_consteval] = ACTIONS(3212),
    [anon_sym_PROGMEM] = ACTIONS(3212),
    [aux_sym_primitive_type_token1] = ACTIONS(3212),
    [anon_sym_byte] = ACTIONS(3212),
    [anon_sym_word] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_struct] = ACTIONS(3212),
    [anon_sym_union] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_case] = ACTIONS(3212),
    [anon_sym_default] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_goto] = ACTIONS(3212),
    [anon_sym___try] = ACTIONS(3212),
    [anon_sym___leave] = ACTIONS(3212),
    [anon_sym_not] = ACTIONS(3212),
    [anon_sym_compl] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_sizeof] = ACTIONS(3212),
    [anon_sym___alignof__] = ACTIONS(3212),
    [anon_sym___alignof] = ACTIONS(3212),
    [anon_sym__alignof] = ACTIONS(3212),
    [anon_sym_alignof] = ACTIONS(3212),
    [anon_sym__Alignof] = ACTIONS(3212),
    [anon_sym_offsetof] = ACTIONS(3212),
    [anon_sym__Generic] = ACTIONS(3212),
    [anon_sym_asm] = ACTIONS(3212),
    [anon_sym___asm__] = ACTIONS(3212),
    [aux_sym_number_literal_token1] = ACTIONS(3214),
    [aux_sym_number_literal_token2] = ACTIONS(3212),
    [anon_sym_L_SQUOTE] = ACTIONS(3214),
    [anon_sym_u_SQUOTE] = ACTIONS(3214),
    [anon_sym_U_SQUOTE] = ACTIONS(3214),
    [anon_sym_u8_SQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [anon_sym_L_DQUOTE] = ACTIONS(3214),
    [anon_sym_u_DQUOTE] = ACTIONS(3214),
    [anon_sym_U_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8_DQUOTE] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [anon_sym_NULL] = ACTIONS(3212),
    [anon_sym_nullptr] = ACTIONS(3212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3212),
    [anon_sym_decltype] = ACTIONS(3212),
    [anon_sym_virtual] = ACTIONS(3212),
    [anon_sym_alignas] = ACTIONS(3212),
    [anon_sym_explicit] = ACTIONS(3212),
    [anon_sym_typename] = ACTIONS(3212),
    [anon_sym_template] = ACTIONS(3212),
    [anon_sym_operator] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3212),
    [anon_sym_concept] = ACTIONS(3212),
    [anon_sym_co_return] = ACTIONS(3212),
    [anon_sym_co_yield] = ACTIONS(3212),
    [anon_sym_R_DQUOTE] = ACTIONS(3214),
    [anon_sym_LR_DQUOTE] = ACTIONS(3214),
    [anon_sym_uR_DQUOTE] = ACTIONS(3214),
    [anon_sym_UR_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3214),
    [anon_sym_co_await] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_requires] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
  },
  [916] = {
    [sym_identifier] = ACTIONS(3330),
    [aux_sym_preproc_include_token1] = ACTIONS(3330),
    [aux_sym_preproc_def_token1] = ACTIONS(3330),
    [aux_sym_preproc_if_token1] = ACTIONS(3330),
    [aux_sym_preproc_if_token2] = ACTIONS(3330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3330),
    [sym_preproc_directive] = ACTIONS(3330),
    [anon_sym_LPAREN2] = ACTIONS(3332),
    [anon_sym_BANG] = ACTIONS(3332),
    [anon_sym_TILDE] = ACTIONS(3332),
    [anon_sym_DASH] = ACTIONS(3330),
    [anon_sym_PLUS] = ACTIONS(3330),
    [anon_sym_STAR] = ACTIONS(3332),
    [anon_sym_AMP_AMP] = ACTIONS(3332),
    [anon_sym_AMP] = ACTIONS(3330),
    [anon_sym_SEMI] = ACTIONS(3332),
    [anon_sym___extension__] = ACTIONS(3330),
    [anon_sym_typedef] = ACTIONS(3330),
    [anon_sym_extern] = ACTIONS(3330),
    [anon_sym___attribute__] = ACTIONS(3330),
    [anon_sym_COLON_COLON] = ACTIONS(3332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3332),
    [anon_sym___declspec] = ACTIONS(3330),
    [anon_sym___based] = ACTIONS(3330),
    [anon_sym___cdecl] = ACTIONS(3330),
    [anon_sym___clrcall] = ACTIONS(3330),
    [anon_sym___stdcall] = ACTIONS(3330),
    [anon_sym___fastcall] = ACTIONS(3330),
    [anon_sym___thiscall] = ACTIONS(3330),
    [anon_sym___vectorcall] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3332),
    [anon_sym_signed] = ACTIONS(3330),
    [anon_sym_unsigned] = ACTIONS(3330),
    [anon_sym_long] = ACTIONS(3330),
    [anon_sym_short] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(3330),
    [anon_sym_static] = ACTIONS(3330),
    [anon_sym_register] = ACTIONS(3330),
    [anon_sym_inline] = ACTIONS(3330),
    [anon_sym___inline] = ACTIONS(3330),
    [anon_sym___inline__] = ACTIONS(3330),
    [anon_sym___forceinline] = ACTIONS(3330),
    [anon_sym_thread_local] = ACTIONS(3330),
    [anon_sym___thread] = ACTIONS(3330),
    [anon_sym_const] = ACTIONS(3330),
    [anon_sym_constexpr] = ACTIONS(3330),
    [anon_sym_volatile] = ACTIONS(3330),
    [anon_sym_restrict] = ACTIONS(3330),
    [anon_sym___restrict__] = ACTIONS(3330),
    [anon_sym__Atomic] = ACTIONS(3330),
    [anon_sym__Noreturn] = ACTIONS(3330),
    [anon_sym_noreturn] = ACTIONS(3330),
    [anon_sym_mutable] = ACTIONS(3330),
    [anon_sym_constinit] = ACTIONS(3330),
    [anon_sym_consteval] = ACTIONS(3330),
    [anon_sym_PROGMEM] = ACTIONS(3330),
    [aux_sym_primitive_type_token1] = ACTIONS(3330),
    [anon_sym_byte] = ACTIONS(3330),
    [anon_sym_word] = ACTIONS(3330),
    [anon_sym_enum] = ACTIONS(3330),
    [anon_sym_class] = ACTIONS(3330),
    [anon_sym_struct] = ACTIONS(3330),
    [anon_sym_union] = ACTIONS(3330),
    [anon_sym_if] = ACTIONS(3330),
    [anon_sym_switch] = ACTIONS(3330),
    [anon_sym_case] = ACTIONS(3330),
    [anon_sym_default] = ACTIONS(3330),
    [anon_sym_while] = ACTIONS(3330),
    [anon_sym_do] = ACTIONS(3330),
    [anon_sym_for] = ACTIONS(3330),
    [anon_sym_return] = ACTIONS(3330),
    [anon_sym_break] = ACTIONS(3330),
    [anon_sym_continue] = ACTIONS(3330),
    [anon_sym_goto] = ACTIONS(3330),
    [anon_sym___try] = ACTIONS(3330),
    [anon_sym___leave] = ACTIONS(3330),
    [anon_sym_not] = ACTIONS(3330),
    [anon_sym_compl] = ACTIONS(3330),
    [anon_sym_DASH_DASH] = ACTIONS(3332),
    [anon_sym_PLUS_PLUS] = ACTIONS(3332),
    [anon_sym_sizeof] = ACTIONS(3330),
    [anon_sym___alignof__] = ACTIONS(3330),
    [anon_sym___alignof] = ACTIONS(3330),
    [anon_sym__alignof] = ACTIONS(3330),
    [anon_sym_alignof] = ACTIONS(3330),
    [anon_sym__Alignof] = ACTIONS(3330),
    [anon_sym_offsetof] = ACTIONS(3330),
    [anon_sym__Generic] = ACTIONS(3330),
    [anon_sym_asm] = ACTIONS(3330),
    [anon_sym___asm__] = ACTIONS(3330),
    [aux_sym_number_literal_token1] = ACTIONS(3332),
    [aux_sym_number_literal_token2] = ACTIONS(3330),
    [anon_sym_L_SQUOTE] = ACTIONS(3332),
    [anon_sym_u_SQUOTE] = ACTIONS(3332),
    [anon_sym_U_SQUOTE] = ACTIONS(3332),
    [anon_sym_u8_SQUOTE] = ACTIONS(3332),
    [anon_sym_SQUOTE] = ACTIONS(3332),
    [anon_sym_L_DQUOTE] = ACTIONS(3332),
    [anon_sym_u_DQUOTE] = ACTIONS(3332),
    [anon_sym_U_DQUOTE] = ACTIONS(3332),
    [anon_sym_u8_DQUOTE] = ACTIONS(3332),
    [anon_sym_DQUOTE] = ACTIONS(3332),
    [sym_true] = ACTIONS(3330),
    [sym_false] = ACTIONS(3330),
    [anon_sym_NULL] = ACTIONS(3330),
    [anon_sym_nullptr] = ACTIONS(3330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3330),
    [anon_sym_decltype] = ACTIONS(3330),
    [anon_sym_virtual] = ACTIONS(3330),
    [anon_sym_alignas] = ACTIONS(3330),
    [anon_sym_explicit] = ACTIONS(3330),
    [anon_sym_typename] = ACTIONS(3330),
    [anon_sym_template] = ACTIONS(3330),
    [anon_sym_operator] = ACTIONS(3330),
    [anon_sym_try] = ACTIONS(3330),
    [anon_sym_delete] = ACTIONS(3330),
    [anon_sym_throw] = ACTIONS(3330),
    [anon_sym_namespace] = ACTIONS(3330),
    [anon_sym_using] = ACTIONS(3330),
    [anon_sym_static_assert] = ACTIONS(3330),
    [anon_sym_concept] = ACTIONS(3330),
    [anon_sym_co_return] = ACTIONS(3330),
    [anon_sym_co_yield] = ACTIONS(3330),
    [anon_sym_R_DQUOTE] = ACTIONS(3332),
    [anon_sym_LR_DQUOTE] = ACTIONS(3332),
    [anon_sym_uR_DQUOTE] = ACTIONS(3332),
    [anon_sym_UR_DQUOTE] = ACTIONS(3332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3332),
    [anon_sym_co_await] = ACTIONS(3330),
    [anon_sym_new] = ACTIONS(3330),
    [anon_sym_requires] = ACTIONS(3330),
    [sym_this] = ACTIONS(3330),
  },
  [917] = {
    [sym_identifier] = ACTIONS(3389),
    [aux_sym_preproc_include_token1] = ACTIONS(3389),
    [aux_sym_preproc_def_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token1] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3389),
    [sym_preproc_directive] = ACTIONS(3389),
    [anon_sym_LPAREN2] = ACTIONS(3391),
    [anon_sym_BANG] = ACTIONS(3391),
    [anon_sym_TILDE] = ACTIONS(3391),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP_AMP] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3389),
    [anon_sym_SEMI] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(3389),
    [anon_sym_typedef] = ACTIONS(3389),
    [anon_sym_extern] = ACTIONS(3389),
    [anon_sym___attribute__] = ACTIONS(3389),
    [anon_sym_COLON_COLON] = ACTIONS(3391),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3391),
    [anon_sym___declspec] = ACTIONS(3389),
    [anon_sym___based] = ACTIONS(3389),
    [anon_sym___cdecl] = ACTIONS(3389),
    [anon_sym___clrcall] = ACTIONS(3389),
    [anon_sym___stdcall] = ACTIONS(3389),
    [anon_sym___fastcall] = ACTIONS(3389),
    [anon_sym___thiscall] = ACTIONS(3389),
    [anon_sym___vectorcall] = ACTIONS(3389),
    [anon_sym_LBRACE] = ACTIONS(3391),
    [anon_sym_RBRACE] = ACTIONS(3391),
    [anon_sym_signed] = ACTIONS(3389),
    [anon_sym_unsigned] = ACTIONS(3389),
    [anon_sym_long] = ACTIONS(3389),
    [anon_sym_short] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_register] = ACTIONS(3389),
    [anon_sym_inline] = ACTIONS(3389),
    [anon_sym___inline] = ACTIONS(3389),
    [anon_sym___inline__] = ACTIONS(3389),
    [anon_sym___forceinline] = ACTIONS(3389),
    [anon_sym_thread_local] = ACTIONS(3389),
    [anon_sym___thread] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_constexpr] = ACTIONS(3389),
    [anon_sym_volatile] = ACTIONS(3389),
    [anon_sym_restrict] = ACTIONS(3389),
    [anon_sym___restrict__] = ACTIONS(3389),
    [anon_sym__Atomic] = ACTIONS(3389),
    [anon_sym__Noreturn] = ACTIONS(3389),
    [anon_sym_noreturn] = ACTIONS(3389),
    [anon_sym_mutable] = ACTIONS(3389),
    [anon_sym_constinit] = ACTIONS(3389),
    [anon_sym_consteval] = ACTIONS(3389),
    [anon_sym_PROGMEM] = ACTIONS(3389),
    [aux_sym_primitive_type_token1] = ACTIONS(3389),
    [anon_sym_byte] = ACTIONS(3389),
    [anon_sym_word] = ACTIONS(3389),
    [anon_sym_enum] = ACTIONS(3389),
    [anon_sym_class] = ACTIONS(3389),
    [anon_sym_struct] = ACTIONS(3389),
    [anon_sym_union] = ACTIONS(3389),
    [anon_sym_if] = ACTIONS(3389),
    [anon_sym_switch] = ACTIONS(3389),
    [anon_sym_case] = ACTIONS(3389),
    [anon_sym_default] = ACTIONS(3389),
    [anon_sym_while] = ACTIONS(3389),
    [anon_sym_do] = ACTIONS(3389),
    [anon_sym_for] = ACTIONS(3389),
    [anon_sym_return] = ACTIONS(3389),
    [anon_sym_break] = ACTIONS(3389),
    [anon_sym_continue] = ACTIONS(3389),
    [anon_sym_goto] = ACTIONS(3389),
    [anon_sym___try] = ACTIONS(3389),
    [anon_sym___leave] = ACTIONS(3389),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(3391),
    [anon_sym_sizeof] = ACTIONS(3389),
    [anon_sym___alignof__] = ACTIONS(3389),
    [anon_sym___alignof] = ACTIONS(3389),
    [anon_sym__alignof] = ACTIONS(3389),
    [anon_sym_alignof] = ACTIONS(3389),
    [anon_sym__Alignof] = ACTIONS(3389),
    [anon_sym_offsetof] = ACTIONS(3389),
    [anon_sym__Generic] = ACTIONS(3389),
    [anon_sym_asm] = ACTIONS(3389),
    [anon_sym___asm__] = ACTIONS(3389),
    [aux_sym_number_literal_token1] = ACTIONS(3391),
    [aux_sym_number_literal_token2] = ACTIONS(3389),
    [anon_sym_L_SQUOTE] = ACTIONS(3391),
    [anon_sym_u_SQUOTE] = ACTIONS(3391),
    [anon_sym_U_SQUOTE] = ACTIONS(3391),
    [anon_sym_u8_SQUOTE] = ACTIONS(3391),
    [anon_sym_SQUOTE] = ACTIONS(3391),
    [anon_sym_L_DQUOTE] = ACTIONS(3391),
    [anon_sym_u_DQUOTE] = ACTIONS(3391),
    [anon_sym_U_DQUOTE] = ACTIONS(3391),
    [anon_sym_u8_DQUOTE] = ACTIONS(3391),
    [anon_sym_DQUOTE] = ACTIONS(3391),
    [sym_true] = ACTIONS(3389),
    [sym_false] = ACTIONS(3389),
    [anon_sym_NULL] = ACTIONS(3389),
    [anon_sym_nullptr] = ACTIONS(3389),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3389),
    [anon_sym_decltype] = ACTIONS(3389),
    [anon_sym_virtual] = ACTIONS(3389),
    [anon_sym_alignas] = ACTIONS(3389),
    [anon_sym_explicit] = ACTIONS(3389),
    [anon_sym_typename] = ACTIONS(3389),
    [anon_sym_template] = ACTIONS(3389),
    [anon_sym_operator] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3389),
    [anon_sym_delete] = ACTIONS(3389),
    [anon_sym_throw] = ACTIONS(3389),
    [anon_sym_namespace] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_static_assert] = ACTIONS(3389),
    [anon_sym_concept] = ACTIONS(3389),
    [anon_sym_co_return] = ACTIONS(3389),
    [anon_sym_co_yield] = ACTIONS(3389),
    [anon_sym_R_DQUOTE] = ACTIONS(3391),
    [anon_sym_LR_DQUOTE] = ACTIONS(3391),
    [anon_sym_uR_DQUOTE] = ACTIONS(3391),
    [anon_sym_UR_DQUOTE] = ACTIONS(3391),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3391),
    [anon_sym_co_await] = ACTIONS(3389),
    [anon_sym_new] = ACTIONS(3389),
    [anon_sym_requires] = ACTIONS(3389),
    [sym_this] = ACTIONS(3389),
  },
  [918] = {
    [sym_identifier] = ACTIONS(3507),
    [aux_sym_preproc_include_token1] = ACTIONS(3507),
    [aux_sym_preproc_def_token1] = ACTIONS(3507),
    [aux_sym_preproc_if_token1] = ACTIONS(3507),
    [aux_sym_preproc_if_token2] = ACTIONS(3507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3507),
    [sym_preproc_directive] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(3509),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(3509),
    [anon_sym_AMP_AMP] = ACTIONS(3509),
    [anon_sym_AMP] = ACTIONS(3507),
    [anon_sym_SEMI] = ACTIONS(3509),
    [anon_sym___extension__] = ACTIONS(3507),
    [anon_sym_typedef] = ACTIONS(3507),
    [anon_sym_extern] = ACTIONS(3507),
    [anon_sym___attribute__] = ACTIONS(3507),
    [anon_sym_COLON_COLON] = ACTIONS(3509),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3509),
    [anon_sym___declspec] = ACTIONS(3507),
    [anon_sym___based] = ACTIONS(3507),
    [anon_sym___cdecl] = ACTIONS(3507),
    [anon_sym___clrcall] = ACTIONS(3507),
    [anon_sym___stdcall] = ACTIONS(3507),
    [anon_sym___fastcall] = ACTIONS(3507),
    [anon_sym___thiscall] = ACTIONS(3507),
    [anon_sym___vectorcall] = ACTIONS(3507),
    [anon_sym_LBRACE] = ACTIONS(3509),
    [anon_sym_signed] = ACTIONS(3507),
    [anon_sym_unsigned] = ACTIONS(3507),
    [anon_sym_long] = ACTIONS(3507),
    [anon_sym_short] = ACTIONS(3507),
    [anon_sym_LBRACK] = ACTIONS(3507),
    [anon_sym_static] = ACTIONS(3507),
    [anon_sym_register] = ACTIONS(3507),
    [anon_sym_inline] = ACTIONS(3507),
    [anon_sym___inline] = ACTIONS(3507),
    [anon_sym___inline__] = ACTIONS(3507),
    [anon_sym___forceinline] = ACTIONS(3507),
    [anon_sym_thread_local] = ACTIONS(3507),
    [anon_sym___thread] = ACTIONS(3507),
    [anon_sym_const] = ACTIONS(3507),
    [anon_sym_constexpr] = ACTIONS(3507),
    [anon_sym_volatile] = ACTIONS(3507),
    [anon_sym_restrict] = ACTIONS(3507),
    [anon_sym___restrict__] = ACTIONS(3507),
    [anon_sym__Atomic] = ACTIONS(3507),
    [anon_sym__Noreturn] = ACTIONS(3507),
    [anon_sym_noreturn] = ACTIONS(3507),
    [anon_sym_mutable] = ACTIONS(3507),
    [anon_sym_constinit] = ACTIONS(3507),
    [anon_sym_consteval] = ACTIONS(3507),
    [anon_sym_PROGMEM] = ACTIONS(3507),
    [aux_sym_primitive_type_token1] = ACTIONS(3507),
    [anon_sym_byte] = ACTIONS(3507),
    [anon_sym_word] = ACTIONS(3507),
    [anon_sym_enum] = ACTIONS(3507),
    [anon_sym_class] = ACTIONS(3507),
    [anon_sym_struct] = ACTIONS(3507),
    [anon_sym_union] = ACTIONS(3507),
    [anon_sym_if] = ACTIONS(3507),
    [anon_sym_switch] = ACTIONS(3507),
    [anon_sym_case] = ACTIONS(3507),
    [anon_sym_default] = ACTIONS(3507),
    [anon_sym_while] = ACTIONS(3507),
    [anon_sym_do] = ACTIONS(3507),
    [anon_sym_for] = ACTIONS(3507),
    [anon_sym_return] = ACTIONS(3507),
    [anon_sym_break] = ACTIONS(3507),
    [anon_sym_continue] = ACTIONS(3507),
    [anon_sym_goto] = ACTIONS(3507),
    [anon_sym___try] = ACTIONS(3507),
    [anon_sym___leave] = ACTIONS(3507),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(3509),
    [anon_sym_PLUS_PLUS] = ACTIONS(3509),
    [anon_sym_sizeof] = ACTIONS(3507),
    [anon_sym___alignof__] = ACTIONS(3507),
    [anon_sym___alignof] = ACTIONS(3507),
    [anon_sym__alignof] = ACTIONS(3507),
    [anon_sym_alignof] = ACTIONS(3507),
    [anon_sym__Alignof] = ACTIONS(3507),
    [anon_sym_offsetof] = ACTIONS(3507),
    [anon_sym__Generic] = ACTIONS(3507),
    [anon_sym_asm] = ACTIONS(3507),
    [anon_sym___asm__] = ACTIONS(3507),
    [aux_sym_number_literal_token1] = ACTIONS(3509),
    [aux_sym_number_literal_token2] = ACTIONS(3507),
    [anon_sym_L_SQUOTE] = ACTIONS(3509),
    [anon_sym_u_SQUOTE] = ACTIONS(3509),
    [anon_sym_U_SQUOTE] = ACTIONS(3509),
    [anon_sym_u8_SQUOTE] = ACTIONS(3509),
    [anon_sym_SQUOTE] = ACTIONS(3509),
    [anon_sym_L_DQUOTE] = ACTIONS(3509),
    [anon_sym_u_DQUOTE] = ACTIONS(3509),
    [anon_sym_U_DQUOTE] = ACTIONS(3509),
    [anon_sym_u8_DQUOTE] = ACTIONS(3509),
    [anon_sym_DQUOTE] = ACTIONS(3509),
    [sym_true] = ACTIONS(3507),
    [sym_false] = ACTIONS(3507),
    [anon_sym_NULL] = ACTIONS(3507),
    [anon_sym_nullptr] = ACTIONS(3507),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3507),
    [anon_sym_decltype] = ACTIONS(3507),
    [anon_sym_virtual] = ACTIONS(3507),
    [anon_sym_alignas] = ACTIONS(3507),
    [anon_sym_explicit] = ACTIONS(3507),
    [anon_sym_typename] = ACTIONS(3507),
    [anon_sym_template] = ACTIONS(3507),
    [anon_sym_operator] = ACTIONS(3507),
    [anon_sym_try] = ACTIONS(3507),
    [anon_sym_delete] = ACTIONS(3507),
    [anon_sym_throw] = ACTIONS(3507),
    [anon_sym_namespace] = ACTIONS(3507),
    [anon_sym_using] = ACTIONS(3507),
    [anon_sym_static_assert] = ACTIONS(3507),
    [anon_sym_concept] = ACTIONS(3507),
    [anon_sym_co_return] = ACTIONS(3507),
    [anon_sym_co_yield] = ACTIONS(3507),
    [anon_sym_R_DQUOTE] = ACTIONS(3509),
    [anon_sym_LR_DQUOTE] = ACTIONS(3509),
    [anon_sym_uR_DQUOTE] = ACTIONS(3509),
    [anon_sym_UR_DQUOTE] = ACTIONS(3509),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3509),
    [anon_sym_co_await] = ACTIONS(3507),
    [anon_sym_new] = ACTIONS(3507),
    [anon_sym_requires] = ACTIONS(3507),
    [sym_this] = ACTIONS(3507),
  },
  [919] = {
    [sym_identifier] = ACTIONS(3312),
    [aux_sym_preproc_include_token1] = ACTIONS(3312),
    [aux_sym_preproc_def_token1] = ACTIONS(3312),
    [aux_sym_preproc_if_token1] = ACTIONS(3312),
    [aux_sym_preproc_if_token2] = ACTIONS(3312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3312),
    [sym_preproc_directive] = ACTIONS(3312),
    [anon_sym_LPAREN2] = ACTIONS(3314),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(3314),
    [anon_sym_AMP_AMP] = ACTIONS(3314),
    [anon_sym_AMP] = ACTIONS(3312),
    [anon_sym_SEMI] = ACTIONS(3314),
    [anon_sym___extension__] = ACTIONS(3312),
    [anon_sym_typedef] = ACTIONS(3312),
    [anon_sym_extern] = ACTIONS(3312),
    [anon_sym___attribute__] = ACTIONS(3312),
    [anon_sym_COLON_COLON] = ACTIONS(3314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3314),
    [anon_sym___declspec] = ACTIONS(3312),
    [anon_sym___based] = ACTIONS(3312),
    [anon_sym___cdecl] = ACTIONS(3312),
    [anon_sym___clrcall] = ACTIONS(3312),
    [anon_sym___stdcall] = ACTIONS(3312),
    [anon_sym___fastcall] = ACTIONS(3312),
    [anon_sym___thiscall] = ACTIONS(3312),
    [anon_sym___vectorcall] = ACTIONS(3312),
    [anon_sym_LBRACE] = ACTIONS(3314),
    [anon_sym_signed] = ACTIONS(3312),
    [anon_sym_unsigned] = ACTIONS(3312),
    [anon_sym_long] = ACTIONS(3312),
    [anon_sym_short] = ACTIONS(3312),
    [anon_sym_LBRACK] = ACTIONS(3312),
    [anon_sym_static] = ACTIONS(3312),
    [anon_sym_register] = ACTIONS(3312),
    [anon_sym_inline] = ACTIONS(3312),
    [anon_sym___inline] = ACTIONS(3312),
    [anon_sym___inline__] = ACTIONS(3312),
    [anon_sym___forceinline] = ACTIONS(3312),
    [anon_sym_thread_local] = ACTIONS(3312),
    [anon_sym___thread] = ACTIONS(3312),
    [anon_sym_const] = ACTIONS(3312),
    [anon_sym_constexpr] = ACTIONS(3312),
    [anon_sym_volatile] = ACTIONS(3312),
    [anon_sym_restrict] = ACTIONS(3312),
    [anon_sym___restrict__] = ACTIONS(3312),
    [anon_sym__Atomic] = ACTIONS(3312),
    [anon_sym__Noreturn] = ACTIONS(3312),
    [anon_sym_noreturn] = ACTIONS(3312),
    [anon_sym_mutable] = ACTIONS(3312),
    [anon_sym_constinit] = ACTIONS(3312),
    [anon_sym_consteval] = ACTIONS(3312),
    [anon_sym_PROGMEM] = ACTIONS(3312),
    [aux_sym_primitive_type_token1] = ACTIONS(3312),
    [anon_sym_byte] = ACTIONS(3312),
    [anon_sym_word] = ACTIONS(3312),
    [anon_sym_enum] = ACTIONS(3312),
    [anon_sym_class] = ACTIONS(3312),
    [anon_sym_struct] = ACTIONS(3312),
    [anon_sym_union] = ACTIONS(3312),
    [anon_sym_if] = ACTIONS(3312),
    [anon_sym_switch] = ACTIONS(3312),
    [anon_sym_case] = ACTIONS(3312),
    [anon_sym_default] = ACTIONS(3312),
    [anon_sym_while] = ACTIONS(3312),
    [anon_sym_do] = ACTIONS(3312),
    [anon_sym_for] = ACTIONS(3312),
    [anon_sym_return] = ACTIONS(3312),
    [anon_sym_break] = ACTIONS(3312),
    [anon_sym_continue] = ACTIONS(3312),
    [anon_sym_goto] = ACTIONS(3312),
    [anon_sym___try] = ACTIONS(3312),
    [anon_sym___leave] = ACTIONS(3312),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3314),
    [anon_sym_sizeof] = ACTIONS(3312),
    [anon_sym___alignof__] = ACTIONS(3312),
    [anon_sym___alignof] = ACTIONS(3312),
    [anon_sym__alignof] = ACTIONS(3312),
    [anon_sym_alignof] = ACTIONS(3312),
    [anon_sym__Alignof] = ACTIONS(3312),
    [anon_sym_offsetof] = ACTIONS(3312),
    [anon_sym__Generic] = ACTIONS(3312),
    [anon_sym_asm] = ACTIONS(3312),
    [anon_sym___asm__] = ACTIONS(3312),
    [aux_sym_number_literal_token1] = ACTIONS(3314),
    [aux_sym_number_literal_token2] = ACTIONS(3312),
    [anon_sym_L_SQUOTE] = ACTIONS(3314),
    [anon_sym_u_SQUOTE] = ACTIONS(3314),
    [anon_sym_U_SQUOTE] = ACTIONS(3314),
    [anon_sym_u8_SQUOTE] = ACTIONS(3314),
    [anon_sym_SQUOTE] = ACTIONS(3314),
    [anon_sym_L_DQUOTE] = ACTIONS(3314),
    [anon_sym_u_DQUOTE] = ACTIONS(3314),
    [anon_sym_U_DQUOTE] = ACTIONS(3314),
    [anon_sym_u8_DQUOTE] = ACTIONS(3314),
    [anon_sym_DQUOTE] = ACTIONS(3314),
    [sym_true] = ACTIONS(3312),
    [sym_false] = ACTIONS(3312),
    [anon_sym_NULL] = ACTIONS(3312),
    [anon_sym_nullptr] = ACTIONS(3312),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3312),
    [anon_sym_decltype] = ACTIONS(3312),
    [anon_sym_virtual] = ACTIONS(3312),
    [anon_sym_alignas] = ACTIONS(3312),
    [anon_sym_explicit] = ACTIONS(3312),
    [anon_sym_typename] = ACTIONS(3312),
    [anon_sym_template] = ACTIONS(3312),
    [anon_sym_operator] = ACTIONS(3312),
    [anon_sym_try] = ACTIONS(3312),
    [anon_sym_delete] = ACTIONS(3312),
    [anon_sym_throw] = ACTIONS(3312),
    [anon_sym_namespace] = ACTIONS(3312),
    [anon_sym_using] = ACTIONS(3312),
    [anon_sym_static_assert] = ACTIONS(3312),
    [anon_sym_concept] = ACTIONS(3312),
    [anon_sym_co_return] = ACTIONS(3312),
    [anon_sym_co_yield] = ACTIONS(3312),
    [anon_sym_R_DQUOTE] = ACTIONS(3314),
    [anon_sym_LR_DQUOTE] = ACTIONS(3314),
    [anon_sym_uR_DQUOTE] = ACTIONS(3314),
    [anon_sym_UR_DQUOTE] = ACTIONS(3314),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3314),
    [anon_sym_co_await] = ACTIONS(3312),
    [anon_sym_new] = ACTIONS(3312),
    [anon_sym_requires] = ACTIONS(3312),
    [sym_this] = ACTIONS(3312),
  },
  [920] = {
    [sym_identifier] = ACTIONS(3373),
    [aux_sym_preproc_include_token1] = ACTIONS(3373),
    [aux_sym_preproc_def_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token1] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3373),
    [sym_preproc_directive] = ACTIONS(3373),
    [anon_sym_LPAREN2] = ACTIONS(3375),
    [anon_sym_BANG] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_DASH] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(3373),
    [anon_sym_STAR] = ACTIONS(3375),
    [anon_sym_AMP_AMP] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(3375),
    [anon_sym___extension__] = ACTIONS(3373),
    [anon_sym_typedef] = ACTIONS(3373),
    [anon_sym_extern] = ACTIONS(3373),
    [anon_sym___attribute__] = ACTIONS(3373),
    [anon_sym_COLON_COLON] = ACTIONS(3375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3375),
    [anon_sym___declspec] = ACTIONS(3373),
    [anon_sym___based] = ACTIONS(3373),
    [anon_sym___cdecl] = ACTIONS(3373),
    [anon_sym___clrcall] = ACTIONS(3373),
    [anon_sym___stdcall] = ACTIONS(3373),
    [anon_sym___fastcall] = ACTIONS(3373),
    [anon_sym___thiscall] = ACTIONS(3373),
    [anon_sym___vectorcall] = ACTIONS(3373),
    [anon_sym_LBRACE] = ACTIONS(3375),
    [anon_sym_RBRACE] = ACTIONS(3375),
    [anon_sym_signed] = ACTIONS(3373),
    [anon_sym_unsigned] = ACTIONS(3373),
    [anon_sym_long] = ACTIONS(3373),
    [anon_sym_short] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_register] = ACTIONS(3373),
    [anon_sym_inline] = ACTIONS(3373),
    [anon_sym___inline] = ACTIONS(3373),
    [anon_sym___inline__] = ACTIONS(3373),
    [anon_sym___forceinline] = ACTIONS(3373),
    [anon_sym_thread_local] = ACTIONS(3373),
    [anon_sym___thread] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_constexpr] = ACTIONS(3373),
    [anon_sym_volatile] = ACTIONS(3373),
    [anon_sym_restrict] = ACTIONS(3373),
    [anon_sym___restrict__] = ACTIONS(3373),
    [anon_sym__Atomic] = ACTIONS(3373),
    [anon_sym__Noreturn] = ACTIONS(3373),
    [anon_sym_noreturn] = ACTIONS(3373),
    [anon_sym_mutable] = ACTIONS(3373),
    [anon_sym_constinit] = ACTIONS(3373),
    [anon_sym_consteval] = ACTIONS(3373),
    [anon_sym_PROGMEM] = ACTIONS(3373),
    [aux_sym_primitive_type_token1] = ACTIONS(3373),
    [anon_sym_byte] = ACTIONS(3373),
    [anon_sym_word] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_struct] = ACTIONS(3373),
    [anon_sym_union] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_switch] = ACTIONS(3373),
    [anon_sym_case] = ACTIONS(3373),
    [anon_sym_default] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(3373),
    [anon_sym_do] = ACTIONS(3373),
    [anon_sym_for] = ACTIONS(3373),
    [anon_sym_return] = ACTIONS(3373),
    [anon_sym_break] = ACTIONS(3373),
    [anon_sym_continue] = ACTIONS(3373),
    [anon_sym_goto] = ACTIONS(3373),
    [anon_sym___try] = ACTIONS(3373),
    [anon_sym___leave] = ACTIONS(3373),
    [anon_sym_not] = ACTIONS(3373),
    [anon_sym_compl] = ACTIONS(3373),
    [anon_sym_DASH_DASH] = ACTIONS(3375),
    [anon_sym_PLUS_PLUS] = ACTIONS(3375),
    [anon_sym_sizeof] = ACTIONS(3373),
    [anon_sym___alignof__] = ACTIONS(3373),
    [anon_sym___alignof] = ACTIONS(3373),
    [anon_sym__alignof] = ACTIONS(3373),
    [anon_sym_alignof] = ACTIONS(3373),
    [anon_sym__Alignof] = ACTIONS(3373),
    [anon_sym_offsetof] = ACTIONS(3373),
    [anon_sym__Generic] = ACTIONS(3373),
    [anon_sym_asm] = ACTIONS(3373),
    [anon_sym___asm__] = ACTIONS(3373),
    [aux_sym_number_literal_token1] = ACTIONS(3375),
    [aux_sym_number_literal_token2] = ACTIONS(3373),
    [anon_sym_L_SQUOTE] = ACTIONS(3375),
    [anon_sym_u_SQUOTE] = ACTIONS(3375),
    [anon_sym_U_SQUOTE] = ACTIONS(3375),
    [anon_sym_u8_SQUOTE] = ACTIONS(3375),
    [anon_sym_SQUOTE] = ACTIONS(3375),
    [anon_sym_L_DQUOTE] = ACTIONS(3375),
    [anon_sym_u_DQUOTE] = ACTIONS(3375),
    [anon_sym_U_DQUOTE] = ACTIONS(3375),
    [anon_sym_u8_DQUOTE] = ACTIONS(3375),
    [anon_sym_DQUOTE] = ACTIONS(3375),
    [sym_true] = ACTIONS(3373),
    [sym_false] = ACTIONS(3373),
    [anon_sym_NULL] = ACTIONS(3373),
    [anon_sym_nullptr] = ACTIONS(3373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3373),
    [anon_sym_decltype] = ACTIONS(3373),
    [anon_sym_virtual] = ACTIONS(3373),
    [anon_sym_alignas] = ACTIONS(3373),
    [anon_sym_explicit] = ACTIONS(3373),
    [anon_sym_typename] = ACTIONS(3373),
    [anon_sym_template] = ACTIONS(3373),
    [anon_sym_operator] = ACTIONS(3373),
    [anon_sym_try] = ACTIONS(3373),
    [anon_sym_delete] = ACTIONS(3373),
    [anon_sym_throw] = ACTIONS(3373),
    [anon_sym_namespace] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_static_assert] = ACTIONS(3373),
    [anon_sym_concept] = ACTIONS(3373),
    [anon_sym_co_return] = ACTIONS(3373),
    [anon_sym_co_yield] = ACTIONS(3373),
    [anon_sym_R_DQUOTE] = ACTIONS(3375),
    [anon_sym_LR_DQUOTE] = ACTIONS(3375),
    [anon_sym_uR_DQUOTE] = ACTIONS(3375),
    [anon_sym_UR_DQUOTE] = ACTIONS(3375),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3375),
    [anon_sym_co_await] = ACTIONS(3373),
    [anon_sym_new] = ACTIONS(3373),
    [anon_sym_requires] = ACTIONS(3373),
    [sym_this] = ACTIONS(3373),
  },
  [921] = {
    [sym_identifier] = ACTIONS(3365),
    [aux_sym_preproc_include_token1] = ACTIONS(3365),
    [aux_sym_preproc_def_token1] = ACTIONS(3365),
    [aux_sym_preproc_if_token1] = ACTIONS(3365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3365),
    [sym_preproc_directive] = ACTIONS(3365),
    [anon_sym_LPAREN2] = ACTIONS(3367),
    [anon_sym_BANG] = ACTIONS(3367),
    [anon_sym_TILDE] = ACTIONS(3367),
    [anon_sym_DASH] = ACTIONS(3365),
    [anon_sym_PLUS] = ACTIONS(3365),
    [anon_sym_STAR] = ACTIONS(3367),
    [anon_sym_AMP_AMP] = ACTIONS(3367),
    [anon_sym_AMP] = ACTIONS(3365),
    [anon_sym_SEMI] = ACTIONS(3367),
    [anon_sym___extension__] = ACTIONS(3365),
    [anon_sym_typedef] = ACTIONS(3365),
    [anon_sym_extern] = ACTIONS(3365),
    [anon_sym___attribute__] = ACTIONS(3365),
    [anon_sym_COLON_COLON] = ACTIONS(3367),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3367),
    [anon_sym___declspec] = ACTIONS(3365),
    [anon_sym___based] = ACTIONS(3365),
    [anon_sym___cdecl] = ACTIONS(3365),
    [anon_sym___clrcall] = ACTIONS(3365),
    [anon_sym___stdcall] = ACTIONS(3365),
    [anon_sym___fastcall] = ACTIONS(3365),
    [anon_sym___thiscall] = ACTIONS(3365),
    [anon_sym___vectorcall] = ACTIONS(3365),
    [anon_sym_LBRACE] = ACTIONS(3367),
    [anon_sym_RBRACE] = ACTIONS(3367),
    [anon_sym_signed] = ACTIONS(3365),
    [anon_sym_unsigned] = ACTIONS(3365),
    [anon_sym_long] = ACTIONS(3365),
    [anon_sym_short] = ACTIONS(3365),
    [anon_sym_LBRACK] = ACTIONS(3365),
    [anon_sym_static] = ACTIONS(3365),
    [anon_sym_register] = ACTIONS(3365),
    [anon_sym_inline] = ACTIONS(3365),
    [anon_sym___inline] = ACTIONS(3365),
    [anon_sym___inline__] = ACTIONS(3365),
    [anon_sym___forceinline] = ACTIONS(3365),
    [anon_sym_thread_local] = ACTIONS(3365),
    [anon_sym___thread] = ACTIONS(3365),
    [anon_sym_const] = ACTIONS(3365),
    [anon_sym_constexpr] = ACTIONS(3365),
    [anon_sym_volatile] = ACTIONS(3365),
    [anon_sym_restrict] = ACTIONS(3365),
    [anon_sym___restrict__] = ACTIONS(3365),
    [anon_sym__Atomic] = ACTIONS(3365),
    [anon_sym__Noreturn] = ACTIONS(3365),
    [anon_sym_noreturn] = ACTIONS(3365),
    [anon_sym_mutable] = ACTIONS(3365),
    [anon_sym_constinit] = ACTIONS(3365),
    [anon_sym_consteval] = ACTIONS(3365),
    [anon_sym_PROGMEM] = ACTIONS(3365),
    [aux_sym_primitive_type_token1] = ACTIONS(3365),
    [anon_sym_byte] = ACTIONS(3365),
    [anon_sym_word] = ACTIONS(3365),
    [anon_sym_enum] = ACTIONS(3365),
    [anon_sym_class] = ACTIONS(3365),
    [anon_sym_struct] = ACTIONS(3365),
    [anon_sym_union] = ACTIONS(3365),
    [anon_sym_if] = ACTIONS(3365),
    [anon_sym_switch] = ACTIONS(3365),
    [anon_sym_case] = ACTIONS(3365),
    [anon_sym_default] = ACTIONS(3365),
    [anon_sym_while] = ACTIONS(3365),
    [anon_sym_do] = ACTIONS(3365),
    [anon_sym_for] = ACTIONS(3365),
    [anon_sym_return] = ACTIONS(3365),
    [anon_sym_break] = ACTIONS(3365),
    [anon_sym_continue] = ACTIONS(3365),
    [anon_sym_goto] = ACTIONS(3365),
    [anon_sym___try] = ACTIONS(3365),
    [anon_sym___leave] = ACTIONS(3365),
    [anon_sym_not] = ACTIONS(3365),
    [anon_sym_compl] = ACTIONS(3365),
    [anon_sym_DASH_DASH] = ACTIONS(3367),
    [anon_sym_PLUS_PLUS] = ACTIONS(3367),
    [anon_sym_sizeof] = ACTIONS(3365),
    [anon_sym___alignof__] = ACTIONS(3365),
    [anon_sym___alignof] = ACTIONS(3365),
    [anon_sym__alignof] = ACTIONS(3365),
    [anon_sym_alignof] = ACTIONS(3365),
    [anon_sym__Alignof] = ACTIONS(3365),
    [anon_sym_offsetof] = ACTIONS(3365),
    [anon_sym__Generic] = ACTIONS(3365),
    [anon_sym_asm] = ACTIONS(3365),
    [anon_sym___asm__] = ACTIONS(3365),
    [aux_sym_number_literal_token1] = ACTIONS(3367),
    [aux_sym_number_literal_token2] = ACTIONS(3365),
    [anon_sym_L_SQUOTE] = ACTIONS(3367),
    [anon_sym_u_SQUOTE] = ACTIONS(3367),
    [anon_sym_U_SQUOTE] = ACTIONS(3367),
    [anon_sym_u8_SQUOTE] = ACTIONS(3367),
    [anon_sym_SQUOTE] = ACTIONS(3367),
    [anon_sym_L_DQUOTE] = ACTIONS(3367),
    [anon_sym_u_DQUOTE] = ACTIONS(3367),
    [anon_sym_U_DQUOTE] = ACTIONS(3367),
    [anon_sym_u8_DQUOTE] = ACTIONS(3367),
    [anon_sym_DQUOTE] = ACTIONS(3367),
    [sym_true] = ACTIONS(3365),
    [sym_false] = ACTIONS(3365),
    [anon_sym_NULL] = ACTIONS(3365),
    [anon_sym_nullptr] = ACTIONS(3365),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3365),
    [anon_sym_decltype] = ACTIONS(3365),
    [anon_sym_virtual] = ACTIONS(3365),
    [anon_sym_alignas] = ACTIONS(3365),
    [anon_sym_explicit] = ACTIONS(3365),
    [anon_sym_typename] = ACTIONS(3365),
    [anon_sym_template] = ACTIONS(3365),
    [anon_sym_operator] = ACTIONS(3365),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_delete] = ACTIONS(3365),
    [anon_sym_throw] = ACTIONS(3365),
    [anon_sym_namespace] = ACTIONS(3365),
    [anon_sym_using] = ACTIONS(3365),
    [anon_sym_static_assert] = ACTIONS(3365),
    [anon_sym_concept] = ACTIONS(3365),
    [anon_sym_co_return] = ACTIONS(3365),
    [anon_sym_co_yield] = ACTIONS(3365),
    [anon_sym_R_DQUOTE] = ACTIONS(3367),
    [anon_sym_LR_DQUOTE] = ACTIONS(3367),
    [anon_sym_uR_DQUOTE] = ACTIONS(3367),
    [anon_sym_UR_DQUOTE] = ACTIONS(3367),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3367),
    [anon_sym_co_await] = ACTIONS(3365),
    [anon_sym_new] = ACTIONS(3365),
    [anon_sym_requires] = ACTIONS(3365),
    [sym_this] = ACTIONS(3365),
  },
  [922] = {
    [sym_identifier] = ACTIONS(3351),
    [aux_sym_preproc_include_token1] = ACTIONS(3351),
    [aux_sym_preproc_def_token1] = ACTIONS(3351),
    [aux_sym_preproc_if_token1] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3351),
    [sym_preproc_directive] = ACTIONS(3351),
    [anon_sym_LPAREN2] = ACTIONS(3353),
    [anon_sym_BANG] = ACTIONS(3353),
    [anon_sym_TILDE] = ACTIONS(3353),
    [anon_sym_DASH] = ACTIONS(3351),
    [anon_sym_PLUS] = ACTIONS(3351),
    [anon_sym_STAR] = ACTIONS(3353),
    [anon_sym_AMP_AMP] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(3351),
    [anon_sym_SEMI] = ACTIONS(3353),
    [anon_sym___extension__] = ACTIONS(3351),
    [anon_sym_typedef] = ACTIONS(3351),
    [anon_sym_extern] = ACTIONS(3351),
    [anon_sym___attribute__] = ACTIONS(3351),
    [anon_sym_COLON_COLON] = ACTIONS(3353),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3353),
    [anon_sym___declspec] = ACTIONS(3351),
    [anon_sym___based] = ACTIONS(3351),
    [anon_sym___cdecl] = ACTIONS(3351),
    [anon_sym___clrcall] = ACTIONS(3351),
    [anon_sym___stdcall] = ACTIONS(3351),
    [anon_sym___fastcall] = ACTIONS(3351),
    [anon_sym___thiscall] = ACTIONS(3351),
    [anon_sym___vectorcall] = ACTIONS(3351),
    [anon_sym_LBRACE] = ACTIONS(3353),
    [anon_sym_RBRACE] = ACTIONS(3353),
    [anon_sym_signed] = ACTIONS(3351),
    [anon_sym_unsigned] = ACTIONS(3351),
    [anon_sym_long] = ACTIONS(3351),
    [anon_sym_short] = ACTIONS(3351),
    [anon_sym_LBRACK] = ACTIONS(3351),
    [anon_sym_static] = ACTIONS(3351),
    [anon_sym_register] = ACTIONS(3351),
    [anon_sym_inline] = ACTIONS(3351),
    [anon_sym___inline] = ACTIONS(3351),
    [anon_sym___inline__] = ACTIONS(3351),
    [anon_sym___forceinline] = ACTIONS(3351),
    [anon_sym_thread_local] = ACTIONS(3351),
    [anon_sym___thread] = ACTIONS(3351),
    [anon_sym_const] = ACTIONS(3351),
    [anon_sym_constexpr] = ACTIONS(3351),
    [anon_sym_volatile] = ACTIONS(3351),
    [anon_sym_restrict] = ACTIONS(3351),
    [anon_sym___restrict__] = ACTIONS(3351),
    [anon_sym__Atomic] = ACTIONS(3351),
    [anon_sym__Noreturn] = ACTIONS(3351),
    [anon_sym_noreturn] = ACTIONS(3351),
    [anon_sym_mutable] = ACTIONS(3351),
    [anon_sym_constinit] = ACTIONS(3351),
    [anon_sym_consteval] = ACTIONS(3351),
    [anon_sym_PROGMEM] = ACTIONS(3351),
    [aux_sym_primitive_type_token1] = ACTIONS(3351),
    [anon_sym_byte] = ACTIONS(3351),
    [anon_sym_word] = ACTIONS(3351),
    [anon_sym_enum] = ACTIONS(3351),
    [anon_sym_class] = ACTIONS(3351),
    [anon_sym_struct] = ACTIONS(3351),
    [anon_sym_union] = ACTIONS(3351),
    [anon_sym_if] = ACTIONS(3351),
    [anon_sym_switch] = ACTIONS(3351),
    [anon_sym_case] = ACTIONS(3351),
    [anon_sym_default] = ACTIONS(3351),
    [anon_sym_while] = ACTIONS(3351),
    [anon_sym_do] = ACTIONS(3351),
    [anon_sym_for] = ACTIONS(3351),
    [anon_sym_return] = ACTIONS(3351),
    [anon_sym_break] = ACTIONS(3351),
    [anon_sym_continue] = ACTIONS(3351),
    [anon_sym_goto] = ACTIONS(3351),
    [anon_sym___try] = ACTIONS(3351),
    [anon_sym___leave] = ACTIONS(3351),
    [anon_sym_not] = ACTIONS(3351),
    [anon_sym_compl] = ACTIONS(3351),
    [anon_sym_DASH_DASH] = ACTIONS(3353),
    [anon_sym_PLUS_PLUS] = ACTIONS(3353),
    [anon_sym_sizeof] = ACTIONS(3351),
    [anon_sym___alignof__] = ACTIONS(3351),
    [anon_sym___alignof] = ACTIONS(3351),
    [anon_sym__alignof] = ACTIONS(3351),
    [anon_sym_alignof] = ACTIONS(3351),
    [anon_sym__Alignof] = ACTIONS(3351),
    [anon_sym_offsetof] = ACTIONS(3351),
    [anon_sym__Generic] = ACTIONS(3351),
    [anon_sym_asm] = ACTIONS(3351),
    [anon_sym___asm__] = ACTIONS(3351),
    [aux_sym_number_literal_token1] = ACTIONS(3353),
    [aux_sym_number_literal_token2] = ACTIONS(3351),
    [anon_sym_L_SQUOTE] = ACTIONS(3353),
    [anon_sym_u_SQUOTE] = ACTIONS(3353),
    [anon_sym_U_SQUOTE] = ACTIONS(3353),
    [anon_sym_u8_SQUOTE] = ACTIONS(3353),
    [anon_sym_SQUOTE] = ACTIONS(3353),
    [anon_sym_L_DQUOTE] = ACTIONS(3353),
    [anon_sym_u_DQUOTE] = ACTIONS(3353),
    [anon_sym_U_DQUOTE] = ACTIONS(3353),
    [anon_sym_u8_DQUOTE] = ACTIONS(3353),
    [anon_sym_DQUOTE] = ACTIONS(3353),
    [sym_true] = ACTIONS(3351),
    [sym_false] = ACTIONS(3351),
    [anon_sym_NULL] = ACTIONS(3351),
    [anon_sym_nullptr] = ACTIONS(3351),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3351),
    [anon_sym_decltype] = ACTIONS(3351),
    [anon_sym_virtual] = ACTIONS(3351),
    [anon_sym_alignas] = ACTIONS(3351),
    [anon_sym_explicit] = ACTIONS(3351),
    [anon_sym_typename] = ACTIONS(3351),
    [anon_sym_template] = ACTIONS(3351),
    [anon_sym_operator] = ACTIONS(3351),
    [anon_sym_try] = ACTIONS(3351),
    [anon_sym_delete] = ACTIONS(3351),
    [anon_sym_throw] = ACTIONS(3351),
    [anon_sym_namespace] = ACTIONS(3351),
    [anon_sym_using] = ACTIONS(3351),
    [anon_sym_static_assert] = ACTIONS(3351),
    [anon_sym_concept] = ACTIONS(3351),
    [anon_sym_co_return] = ACTIONS(3351),
    [anon_sym_co_yield] = ACTIONS(3351),
    [anon_sym_R_DQUOTE] = ACTIONS(3353),
    [anon_sym_LR_DQUOTE] = ACTIONS(3353),
    [anon_sym_uR_DQUOTE] = ACTIONS(3353),
    [anon_sym_UR_DQUOTE] = ACTIONS(3353),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3353),
    [anon_sym_co_await] = ACTIONS(3351),
    [anon_sym_new] = ACTIONS(3351),
    [anon_sym_requires] = ACTIONS(3351),
    [sym_this] = ACTIONS(3351),
  },
  [923] = {
    [sym_identifier] = ACTIONS(3188),
    [aux_sym_preproc_include_token1] = ACTIONS(3188),
    [aux_sym_preproc_def_token1] = ACTIONS(3188),
    [aux_sym_preproc_if_token1] = ACTIONS(3188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3188),
    [anon_sym_LPAREN2] = ACTIONS(3190),
    [anon_sym_BANG] = ACTIONS(3190),
    [anon_sym_TILDE] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_STAR] = ACTIONS(3190),
    [anon_sym_AMP_AMP] = ACTIONS(3190),
    [anon_sym_AMP] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3190),
    [anon_sym___extension__] = ACTIONS(3188),
    [anon_sym_typedef] = ACTIONS(3188),
    [anon_sym_extern] = ACTIONS(3188),
    [anon_sym___attribute__] = ACTIONS(3188),
    [anon_sym_COLON_COLON] = ACTIONS(3190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3190),
    [anon_sym___declspec] = ACTIONS(3188),
    [anon_sym___based] = ACTIONS(3188),
    [anon_sym___cdecl] = ACTIONS(3188),
    [anon_sym___clrcall] = ACTIONS(3188),
    [anon_sym___stdcall] = ACTIONS(3188),
    [anon_sym___fastcall] = ACTIONS(3188),
    [anon_sym___thiscall] = ACTIONS(3188),
    [anon_sym___vectorcall] = ACTIONS(3188),
    [anon_sym_LBRACE] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(3190),
    [anon_sym_signed] = ACTIONS(3188),
    [anon_sym_unsigned] = ACTIONS(3188),
    [anon_sym_long] = ACTIONS(3188),
    [anon_sym_short] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_register] = ACTIONS(3188),
    [anon_sym_inline] = ACTIONS(3188),
    [anon_sym___inline] = ACTIONS(3188),
    [anon_sym___inline__] = ACTIONS(3188),
    [anon_sym___forceinline] = ACTIONS(3188),
    [anon_sym_thread_local] = ACTIONS(3188),
    [anon_sym___thread] = ACTIONS(3188),
    [anon_sym_const] = ACTIONS(3188),
    [anon_sym_constexpr] = ACTIONS(3188),
    [anon_sym_volatile] = ACTIONS(3188),
    [anon_sym_restrict] = ACTIONS(3188),
    [anon_sym___restrict__] = ACTIONS(3188),
    [anon_sym__Atomic] = ACTIONS(3188),
    [anon_sym__Noreturn] = ACTIONS(3188),
    [anon_sym_noreturn] = ACTIONS(3188),
    [anon_sym_mutable] = ACTIONS(3188),
    [anon_sym_constinit] = ACTIONS(3188),
    [anon_sym_consteval] = ACTIONS(3188),
    [anon_sym_PROGMEM] = ACTIONS(3188),
    [aux_sym_primitive_type_token1] = ACTIONS(3188),
    [anon_sym_byte] = ACTIONS(3188),
    [anon_sym_word] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_struct] = ACTIONS(3188),
    [anon_sym_union] = ACTIONS(3188),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_switch] = ACTIONS(3188),
    [anon_sym_case] = ACTIONS(3188),
    [anon_sym_default] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3188),
    [anon_sym_do] = ACTIONS(3188),
    [anon_sym_for] = ACTIONS(3188),
    [anon_sym_return] = ACTIONS(3188),
    [anon_sym_break] = ACTIONS(3188),
    [anon_sym_continue] = ACTIONS(3188),
    [anon_sym_goto] = ACTIONS(3188),
    [anon_sym___try] = ACTIONS(3188),
    [anon_sym___leave] = ACTIONS(3188),
    [anon_sym_not] = ACTIONS(3188),
    [anon_sym_compl] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_sizeof] = ACTIONS(3188),
    [anon_sym___alignof__] = ACTIONS(3188),
    [anon_sym___alignof] = ACTIONS(3188),
    [anon_sym__alignof] = ACTIONS(3188),
    [anon_sym_alignof] = ACTIONS(3188),
    [anon_sym__Alignof] = ACTIONS(3188),
    [anon_sym_offsetof] = ACTIONS(3188),
    [anon_sym__Generic] = ACTIONS(3188),
    [anon_sym_asm] = ACTIONS(3188),
    [anon_sym___asm__] = ACTIONS(3188),
    [aux_sym_number_literal_token1] = ACTIONS(3190),
    [aux_sym_number_literal_token2] = ACTIONS(3188),
    [anon_sym_L_SQUOTE] = ACTIONS(3190),
    [anon_sym_u_SQUOTE] = ACTIONS(3190),
    [anon_sym_U_SQUOTE] = ACTIONS(3190),
    [anon_sym_u8_SQUOTE] = ACTIONS(3190),
    [anon_sym_SQUOTE] = ACTIONS(3190),
    [anon_sym_L_DQUOTE] = ACTIONS(3190),
    [anon_sym_u_DQUOTE] = ACTIONS(3190),
    [anon_sym_U_DQUOTE] = ACTIONS(3190),
    [anon_sym_u8_DQUOTE] = ACTIONS(3190),
    [anon_sym_DQUOTE] = ACTIONS(3190),
    [sym_true] = ACTIONS(3188),
    [sym_false] = ACTIONS(3188),
    [anon_sym_NULL] = ACTIONS(3188),
    [anon_sym_nullptr] = ACTIONS(3188),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3188),
    [anon_sym_decltype] = ACTIONS(3188),
    [anon_sym_virtual] = ACTIONS(3188),
    [anon_sym_alignas] = ACTIONS(3188),
    [anon_sym_explicit] = ACTIONS(3188),
    [anon_sym_typename] = ACTIONS(3188),
    [anon_sym_template] = ACTIONS(3188),
    [anon_sym_operator] = ACTIONS(3188),
    [anon_sym_try] = ACTIONS(3188),
    [anon_sym_delete] = ACTIONS(3188),
    [anon_sym_throw] = ACTIONS(3188),
    [anon_sym_namespace] = ACTIONS(3188),
    [anon_sym_using] = ACTIONS(3188),
    [anon_sym_static_assert] = ACTIONS(3188),
    [anon_sym_concept] = ACTIONS(3188),
    [anon_sym_co_return] = ACTIONS(3188),
    [anon_sym_co_yield] = ACTIONS(3188),
    [anon_sym_R_DQUOTE] = ACTIONS(3190),
    [anon_sym_LR_DQUOTE] = ACTIONS(3190),
    [anon_sym_uR_DQUOTE] = ACTIONS(3190),
    [anon_sym_UR_DQUOTE] = ACTIONS(3190),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3190),
    [anon_sym_co_await] = ACTIONS(3188),
    [anon_sym_new] = ACTIONS(3188),
    [anon_sym_requires] = ACTIONS(3188),
    [sym_this] = ACTIONS(3188),
  },
  [924] = {
    [sym_identifier] = ACTIONS(3447),
    [aux_sym_preproc_include_token1] = ACTIONS(3447),
    [aux_sym_preproc_def_token1] = ACTIONS(3447),
    [aux_sym_preproc_if_token1] = ACTIONS(3447),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3447),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3447),
    [sym_preproc_directive] = ACTIONS(3447),
    [anon_sym_LPAREN2] = ACTIONS(3449),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(3449),
    [anon_sym_AMP_AMP] = ACTIONS(3449),
    [anon_sym_AMP] = ACTIONS(3447),
    [anon_sym_SEMI] = ACTIONS(3449),
    [anon_sym___extension__] = ACTIONS(3447),
    [anon_sym_typedef] = ACTIONS(3447),
    [anon_sym_extern] = ACTIONS(3447),
    [anon_sym___attribute__] = ACTIONS(3447),
    [anon_sym_COLON_COLON] = ACTIONS(3449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3449),
    [anon_sym___declspec] = ACTIONS(3447),
    [anon_sym___based] = ACTIONS(3447),
    [anon_sym___cdecl] = ACTIONS(3447),
    [anon_sym___clrcall] = ACTIONS(3447),
    [anon_sym___stdcall] = ACTIONS(3447),
    [anon_sym___fastcall] = ACTIONS(3447),
    [anon_sym___thiscall] = ACTIONS(3447),
    [anon_sym___vectorcall] = ACTIONS(3447),
    [anon_sym_LBRACE] = ACTIONS(3449),
    [anon_sym_RBRACE] = ACTIONS(3449),
    [anon_sym_signed] = ACTIONS(3447),
    [anon_sym_unsigned] = ACTIONS(3447),
    [anon_sym_long] = ACTIONS(3447),
    [anon_sym_short] = ACTIONS(3447),
    [anon_sym_LBRACK] = ACTIONS(3447),
    [anon_sym_static] = ACTIONS(3447),
    [anon_sym_register] = ACTIONS(3447),
    [anon_sym_inline] = ACTIONS(3447),
    [anon_sym___inline] = ACTIONS(3447),
    [anon_sym___inline__] = ACTIONS(3447),
    [anon_sym___forceinline] = ACTIONS(3447),
    [anon_sym_thread_local] = ACTIONS(3447),
    [anon_sym___thread] = ACTIONS(3447),
    [anon_sym_const] = ACTIONS(3447),
    [anon_sym_constexpr] = ACTIONS(3447),
    [anon_sym_volatile] = ACTIONS(3447),
    [anon_sym_restrict] = ACTIONS(3447),
    [anon_sym___restrict__] = ACTIONS(3447),
    [anon_sym__Atomic] = ACTIONS(3447),
    [anon_sym__Noreturn] = ACTIONS(3447),
    [anon_sym_noreturn] = ACTIONS(3447),
    [anon_sym_mutable] = ACTIONS(3447),
    [anon_sym_constinit] = ACTIONS(3447),
    [anon_sym_consteval] = ACTIONS(3447),
    [anon_sym_PROGMEM] = ACTIONS(3447),
    [aux_sym_primitive_type_token1] = ACTIONS(3447),
    [anon_sym_byte] = ACTIONS(3447),
    [anon_sym_word] = ACTIONS(3447),
    [anon_sym_enum] = ACTIONS(3447),
    [anon_sym_class] = ACTIONS(3447),
    [anon_sym_struct] = ACTIONS(3447),
    [anon_sym_union] = ACTIONS(3447),
    [anon_sym_if] = ACTIONS(3447),
    [anon_sym_switch] = ACTIONS(3447),
    [anon_sym_case] = ACTIONS(3447),
    [anon_sym_default] = ACTIONS(3447),
    [anon_sym_while] = ACTIONS(3447),
    [anon_sym_do] = ACTIONS(3447),
    [anon_sym_for] = ACTIONS(3447),
    [anon_sym_return] = ACTIONS(3447),
    [anon_sym_break] = ACTIONS(3447),
    [anon_sym_continue] = ACTIONS(3447),
    [anon_sym_goto] = ACTIONS(3447),
    [anon_sym___try] = ACTIONS(3447),
    [anon_sym___leave] = ACTIONS(3447),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(3449),
    [anon_sym_PLUS_PLUS] = ACTIONS(3449),
    [anon_sym_sizeof] = ACTIONS(3447),
    [anon_sym___alignof__] = ACTIONS(3447),
    [anon_sym___alignof] = ACTIONS(3447),
    [anon_sym__alignof] = ACTIONS(3447),
    [anon_sym_alignof] = ACTIONS(3447),
    [anon_sym__Alignof] = ACTIONS(3447),
    [anon_sym_offsetof] = ACTIONS(3447),
    [anon_sym__Generic] = ACTIONS(3447),
    [anon_sym_asm] = ACTIONS(3447),
    [anon_sym___asm__] = ACTIONS(3447),
    [aux_sym_number_literal_token1] = ACTIONS(3449),
    [aux_sym_number_literal_token2] = ACTIONS(3447),
    [anon_sym_L_SQUOTE] = ACTIONS(3449),
    [anon_sym_u_SQUOTE] = ACTIONS(3449),
    [anon_sym_U_SQUOTE] = ACTIONS(3449),
    [anon_sym_u8_SQUOTE] = ACTIONS(3449),
    [anon_sym_SQUOTE] = ACTIONS(3449),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3447),
    [sym_false] = ACTIONS(3447),
    [anon_sym_NULL] = ACTIONS(3447),
    [anon_sym_nullptr] = ACTIONS(3447),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3447),
    [anon_sym_decltype] = ACTIONS(3447),
    [anon_sym_virtual] = ACTIONS(3447),
    [anon_sym_alignas] = ACTIONS(3447),
    [anon_sym_explicit] = ACTIONS(3447),
    [anon_sym_typename] = ACTIONS(3447),
    [anon_sym_template] = ACTIONS(3447),
    [anon_sym_operator] = ACTIONS(3447),
    [anon_sym_try] = ACTIONS(3447),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_throw] = ACTIONS(3447),
    [anon_sym_namespace] = ACTIONS(3447),
    [anon_sym_using] = ACTIONS(3447),
    [anon_sym_static_assert] = ACTIONS(3447),
    [anon_sym_concept] = ACTIONS(3447),
    [anon_sym_co_return] = ACTIONS(3447),
    [anon_sym_co_yield] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3447),
    [anon_sym_new] = ACTIONS(3447),
    [anon_sym_requires] = ACTIONS(3447),
    [sym_this] = ACTIONS(3447),
  },
  [925] = {
    [sym_identifier] = ACTIONS(3343),
    [aux_sym_preproc_include_token1] = ACTIONS(3343),
    [aux_sym_preproc_def_token1] = ACTIONS(3343),
    [aux_sym_preproc_if_token1] = ACTIONS(3343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3343),
    [sym_preproc_directive] = ACTIONS(3343),
    [anon_sym_LPAREN2] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(3345),
    [anon_sym_AMP_AMP] = ACTIONS(3345),
    [anon_sym_AMP] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3345),
    [anon_sym___extension__] = ACTIONS(3343),
    [anon_sym_typedef] = ACTIONS(3343),
    [anon_sym_extern] = ACTIONS(3343),
    [anon_sym___attribute__] = ACTIONS(3343),
    [anon_sym_COLON_COLON] = ACTIONS(3345),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3345),
    [anon_sym___declspec] = ACTIONS(3343),
    [anon_sym___based] = ACTIONS(3343),
    [anon_sym___cdecl] = ACTIONS(3343),
    [anon_sym___clrcall] = ACTIONS(3343),
    [anon_sym___stdcall] = ACTIONS(3343),
    [anon_sym___fastcall] = ACTIONS(3343),
    [anon_sym___thiscall] = ACTIONS(3343),
    [anon_sym___vectorcall] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3345),
    [anon_sym_RBRACE] = ACTIONS(3345),
    [anon_sym_signed] = ACTIONS(3343),
    [anon_sym_unsigned] = ACTIONS(3343),
    [anon_sym_long] = ACTIONS(3343),
    [anon_sym_short] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_register] = ACTIONS(3343),
    [anon_sym_inline] = ACTIONS(3343),
    [anon_sym___inline] = ACTIONS(3343),
    [anon_sym___inline__] = ACTIONS(3343),
    [anon_sym___forceinline] = ACTIONS(3343),
    [anon_sym_thread_local] = ACTIONS(3343),
    [anon_sym___thread] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_constexpr] = ACTIONS(3343),
    [anon_sym_volatile] = ACTIONS(3343),
    [anon_sym_restrict] = ACTIONS(3343),
    [anon_sym___restrict__] = ACTIONS(3343),
    [anon_sym__Atomic] = ACTIONS(3343),
    [anon_sym__Noreturn] = ACTIONS(3343),
    [anon_sym_noreturn] = ACTIONS(3343),
    [anon_sym_mutable] = ACTIONS(3343),
    [anon_sym_constinit] = ACTIONS(3343),
    [anon_sym_consteval] = ACTIONS(3343),
    [anon_sym_PROGMEM] = ACTIONS(3343),
    [aux_sym_primitive_type_token1] = ACTIONS(3343),
    [anon_sym_byte] = ACTIONS(3343),
    [anon_sym_word] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_struct] = ACTIONS(3343),
    [anon_sym_union] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_goto] = ACTIONS(3343),
    [anon_sym___try] = ACTIONS(3343),
    [anon_sym___leave] = ACTIONS(3343),
    [anon_sym_not] = ACTIONS(3343),
    [anon_sym_compl] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_sizeof] = ACTIONS(3343),
    [anon_sym___alignof__] = ACTIONS(3343),
    [anon_sym___alignof] = ACTIONS(3343),
    [anon_sym__alignof] = ACTIONS(3343),
    [anon_sym_alignof] = ACTIONS(3343),
    [anon_sym__Alignof] = ACTIONS(3343),
    [anon_sym_offsetof] = ACTIONS(3343),
    [anon_sym__Generic] = ACTIONS(3343),
    [anon_sym_asm] = ACTIONS(3343),
    [anon_sym___asm__] = ACTIONS(3343),
    [aux_sym_number_literal_token1] = ACTIONS(3345),
    [aux_sym_number_literal_token2] = ACTIONS(3343),
    [anon_sym_L_SQUOTE] = ACTIONS(3345),
    [anon_sym_u_SQUOTE] = ACTIONS(3345),
    [anon_sym_U_SQUOTE] = ACTIONS(3345),
    [anon_sym_u8_SQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [anon_sym_L_DQUOTE] = ACTIONS(3345),
    [anon_sym_u_DQUOTE] = ACTIONS(3345),
    [anon_sym_U_DQUOTE] = ACTIONS(3345),
    [anon_sym_u8_DQUOTE] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [anon_sym_NULL] = ACTIONS(3343),
    [anon_sym_nullptr] = ACTIONS(3343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3343),
    [anon_sym_decltype] = ACTIONS(3343),
    [anon_sym_virtual] = ACTIONS(3343),
    [anon_sym_alignas] = ACTIONS(3343),
    [anon_sym_explicit] = ACTIONS(3343),
    [anon_sym_typename] = ACTIONS(3343),
    [anon_sym_template] = ACTIONS(3343),
    [anon_sym_operator] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_static_assert] = ACTIONS(3343),
    [anon_sym_concept] = ACTIONS(3343),
    [anon_sym_co_return] = ACTIONS(3343),
    [anon_sym_co_yield] = ACTIONS(3343),
    [anon_sym_R_DQUOTE] = ACTIONS(3345),
    [anon_sym_LR_DQUOTE] = ACTIONS(3345),
    [anon_sym_uR_DQUOTE] = ACTIONS(3345),
    [anon_sym_UR_DQUOTE] = ACTIONS(3345),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3345),
    [anon_sym_co_await] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_requires] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
  },
  [926] = {
    [sym_identifier] = ACTIONS(3220),
    [aux_sym_preproc_include_token1] = ACTIONS(3220),
    [aux_sym_preproc_def_token1] = ACTIONS(3220),
    [aux_sym_preproc_if_token1] = ACTIONS(3220),
    [aux_sym_preproc_if_token2] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3220),
    [sym_preproc_directive] = ACTIONS(3220),
    [anon_sym_LPAREN2] = ACTIONS(3222),
    [anon_sym_BANG] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3222),
    [anon_sym_AMP_AMP] = ACTIONS(3222),
    [anon_sym_AMP] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym___extension__] = ACTIONS(3220),
    [anon_sym_typedef] = ACTIONS(3220),
    [anon_sym_extern] = ACTIONS(3220),
    [anon_sym___attribute__] = ACTIONS(3220),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3222),
    [anon_sym___declspec] = ACTIONS(3220),
    [anon_sym___based] = ACTIONS(3220),
    [anon_sym___cdecl] = ACTIONS(3220),
    [anon_sym___clrcall] = ACTIONS(3220),
    [anon_sym___stdcall] = ACTIONS(3220),
    [anon_sym___fastcall] = ACTIONS(3220),
    [anon_sym___thiscall] = ACTIONS(3220),
    [anon_sym___vectorcall] = ACTIONS(3220),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_signed] = ACTIONS(3220),
    [anon_sym_unsigned] = ACTIONS(3220),
    [anon_sym_long] = ACTIONS(3220),
    [anon_sym_short] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_static] = ACTIONS(3220),
    [anon_sym_register] = ACTIONS(3220),
    [anon_sym_inline] = ACTIONS(3220),
    [anon_sym___inline] = ACTIONS(3220),
    [anon_sym___inline__] = ACTIONS(3220),
    [anon_sym___forceinline] = ACTIONS(3220),
    [anon_sym_thread_local] = ACTIONS(3220),
    [anon_sym___thread] = ACTIONS(3220),
    [anon_sym_const] = ACTIONS(3220),
    [anon_sym_constexpr] = ACTIONS(3220),
    [anon_sym_volatile] = ACTIONS(3220),
    [anon_sym_restrict] = ACTIONS(3220),
    [anon_sym___restrict__] = ACTIONS(3220),
    [anon_sym__Atomic] = ACTIONS(3220),
    [anon_sym__Noreturn] = ACTIONS(3220),
    [anon_sym_noreturn] = ACTIONS(3220),
    [anon_sym_mutable] = ACTIONS(3220),
    [anon_sym_constinit] = ACTIONS(3220),
    [anon_sym_consteval] = ACTIONS(3220),
    [anon_sym_PROGMEM] = ACTIONS(3220),
    [aux_sym_primitive_type_token1] = ACTIONS(3220),
    [anon_sym_byte] = ACTIONS(3220),
    [anon_sym_word] = ACTIONS(3220),
    [anon_sym_enum] = ACTIONS(3220),
    [anon_sym_class] = ACTIONS(3220),
    [anon_sym_struct] = ACTIONS(3220),
    [anon_sym_union] = ACTIONS(3220),
    [anon_sym_if] = ACTIONS(3220),
    [anon_sym_switch] = ACTIONS(3220),
    [anon_sym_case] = ACTIONS(3220),
    [anon_sym_default] = ACTIONS(3220),
    [anon_sym_while] = ACTIONS(3220),
    [anon_sym_do] = ACTIONS(3220),
    [anon_sym_for] = ACTIONS(3220),
    [anon_sym_return] = ACTIONS(3220),
    [anon_sym_break] = ACTIONS(3220),
    [anon_sym_continue] = ACTIONS(3220),
    [anon_sym_goto] = ACTIONS(3220),
    [anon_sym___try] = ACTIONS(3220),
    [anon_sym___leave] = ACTIONS(3220),
    [anon_sym_not] = ACTIONS(3220),
    [anon_sym_compl] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_sizeof] = ACTIONS(3220),
    [anon_sym___alignof__] = ACTIONS(3220),
    [anon_sym___alignof] = ACTIONS(3220),
    [anon_sym__alignof] = ACTIONS(3220),
    [anon_sym_alignof] = ACTIONS(3220),
    [anon_sym__Alignof] = ACTIONS(3220),
    [anon_sym_offsetof] = ACTIONS(3220),
    [anon_sym__Generic] = ACTIONS(3220),
    [anon_sym_asm] = ACTIONS(3220),
    [anon_sym___asm__] = ACTIONS(3220),
    [aux_sym_number_literal_token1] = ACTIONS(3222),
    [aux_sym_number_literal_token2] = ACTIONS(3220),
    [anon_sym_L_SQUOTE] = ACTIONS(3222),
    [anon_sym_u_SQUOTE] = ACTIONS(3222),
    [anon_sym_U_SQUOTE] = ACTIONS(3222),
    [anon_sym_u8_SQUOTE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_L_DQUOTE] = ACTIONS(3222),
    [anon_sym_u_DQUOTE] = ACTIONS(3222),
    [anon_sym_U_DQUOTE] = ACTIONS(3222),
    [anon_sym_u8_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [sym_true] = ACTIONS(3220),
    [sym_false] = ACTIONS(3220),
    [anon_sym_NULL] = ACTIONS(3220),
    [anon_sym_nullptr] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3220),
    [anon_sym_decltype] = ACTIONS(3220),
    [anon_sym_virtual] = ACTIONS(3220),
    [anon_sym_alignas] = ACTIONS(3220),
    [anon_sym_explicit] = ACTIONS(3220),
    [anon_sym_typename] = ACTIONS(3220),
    [anon_sym_template] = ACTIONS(3220),
    [anon_sym_operator] = ACTIONS(3220),
    [anon_sym_try] = ACTIONS(3220),
    [anon_sym_delete] = ACTIONS(3220),
    [anon_sym_throw] = ACTIONS(3220),
    [anon_sym_namespace] = ACTIONS(3220),
    [anon_sym_using] = ACTIONS(3220),
    [anon_sym_static_assert] = ACTIONS(3220),
    [anon_sym_concept] = ACTIONS(3220),
    [anon_sym_co_return] = ACTIONS(3220),
    [anon_sym_co_yield] = ACTIONS(3220),
    [anon_sym_R_DQUOTE] = ACTIONS(3222),
    [anon_sym_LR_DQUOTE] = ACTIONS(3222),
    [anon_sym_uR_DQUOTE] = ACTIONS(3222),
    [anon_sym_UR_DQUOTE] = ACTIONS(3222),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3222),
    [anon_sym_co_await] = ACTIONS(3220),
    [anon_sym_new] = ACTIONS(3220),
    [anon_sym_requires] = ACTIONS(3220),
    [sym_this] = ACTIONS(3220),
  },
  [927] = {
    [sym_identifier] = ACTIONS(3495),
    [aux_sym_preproc_include_token1] = ACTIONS(3495),
    [aux_sym_preproc_def_token1] = ACTIONS(3495),
    [aux_sym_preproc_if_token1] = ACTIONS(3495),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3495),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3495),
    [sym_preproc_directive] = ACTIONS(3495),
    [anon_sym_LPAREN2] = ACTIONS(3497),
    [anon_sym_BANG] = ACTIONS(3497),
    [anon_sym_TILDE] = ACTIONS(3497),
    [anon_sym_DASH] = ACTIONS(3495),
    [anon_sym_PLUS] = ACTIONS(3495),
    [anon_sym_STAR] = ACTIONS(3497),
    [anon_sym_AMP_AMP] = ACTIONS(3497),
    [anon_sym_AMP] = ACTIONS(3495),
    [anon_sym_SEMI] = ACTIONS(3497),
    [anon_sym___extension__] = ACTIONS(3495),
    [anon_sym_typedef] = ACTIONS(3495),
    [anon_sym_extern] = ACTIONS(3495),
    [anon_sym___attribute__] = ACTIONS(3495),
    [anon_sym_COLON_COLON] = ACTIONS(3497),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3497),
    [anon_sym___declspec] = ACTIONS(3495),
    [anon_sym___based] = ACTIONS(3495),
    [anon_sym___cdecl] = ACTIONS(3495),
    [anon_sym___clrcall] = ACTIONS(3495),
    [anon_sym___stdcall] = ACTIONS(3495),
    [anon_sym___fastcall] = ACTIONS(3495),
    [anon_sym___thiscall] = ACTIONS(3495),
    [anon_sym___vectorcall] = ACTIONS(3495),
    [anon_sym_LBRACE] = ACTIONS(3497),
    [anon_sym_RBRACE] = ACTIONS(3497),
    [anon_sym_signed] = ACTIONS(3495),
    [anon_sym_unsigned] = ACTIONS(3495),
    [anon_sym_long] = ACTIONS(3495),
    [anon_sym_short] = ACTIONS(3495),
    [anon_sym_LBRACK] = ACTIONS(3495),
    [anon_sym_static] = ACTIONS(3495),
    [anon_sym_register] = ACTIONS(3495),
    [anon_sym_inline] = ACTIONS(3495),
    [anon_sym___inline] = ACTIONS(3495),
    [anon_sym___inline__] = ACTIONS(3495),
    [anon_sym___forceinline] = ACTIONS(3495),
    [anon_sym_thread_local] = ACTIONS(3495),
    [anon_sym___thread] = ACTIONS(3495),
    [anon_sym_const] = ACTIONS(3495),
    [anon_sym_constexpr] = ACTIONS(3495),
    [anon_sym_volatile] = ACTIONS(3495),
    [anon_sym_restrict] = ACTIONS(3495),
    [anon_sym___restrict__] = ACTIONS(3495),
    [anon_sym__Atomic] = ACTIONS(3495),
    [anon_sym__Noreturn] = ACTIONS(3495),
    [anon_sym_noreturn] = ACTIONS(3495),
    [anon_sym_mutable] = ACTIONS(3495),
    [anon_sym_constinit] = ACTIONS(3495),
    [anon_sym_consteval] = ACTIONS(3495),
    [anon_sym_PROGMEM] = ACTIONS(3495),
    [aux_sym_primitive_type_token1] = ACTIONS(3495),
    [anon_sym_byte] = ACTIONS(3495),
    [anon_sym_word] = ACTIONS(3495),
    [anon_sym_enum] = ACTIONS(3495),
    [anon_sym_class] = ACTIONS(3495),
    [anon_sym_struct] = ACTIONS(3495),
    [anon_sym_union] = ACTIONS(3495),
    [anon_sym_if] = ACTIONS(3495),
    [anon_sym_switch] = ACTIONS(3495),
    [anon_sym_case] = ACTIONS(3495),
    [anon_sym_default] = ACTIONS(3495),
    [anon_sym_while] = ACTIONS(3495),
    [anon_sym_do] = ACTIONS(3495),
    [anon_sym_for] = ACTIONS(3495),
    [anon_sym_return] = ACTIONS(3495),
    [anon_sym_break] = ACTIONS(3495),
    [anon_sym_continue] = ACTIONS(3495),
    [anon_sym_goto] = ACTIONS(3495),
    [anon_sym___try] = ACTIONS(3495),
    [anon_sym___leave] = ACTIONS(3495),
    [anon_sym_not] = ACTIONS(3495),
    [anon_sym_compl] = ACTIONS(3495),
    [anon_sym_DASH_DASH] = ACTIONS(3497),
    [anon_sym_PLUS_PLUS] = ACTIONS(3497),
    [anon_sym_sizeof] = ACTIONS(3495),
    [anon_sym___alignof__] = ACTIONS(3495),
    [anon_sym___alignof] = ACTIONS(3495),
    [anon_sym__alignof] = ACTIONS(3495),
    [anon_sym_alignof] = ACTIONS(3495),
    [anon_sym__Alignof] = ACTIONS(3495),
    [anon_sym_offsetof] = ACTIONS(3495),
    [anon_sym__Generic] = ACTIONS(3495),
    [anon_sym_asm] = ACTIONS(3495),
    [anon_sym___asm__] = ACTIONS(3495),
    [aux_sym_number_literal_token1] = ACTIONS(3497),
    [aux_sym_number_literal_token2] = ACTIONS(3495),
    [anon_sym_L_SQUOTE] = ACTIONS(3497),
    [anon_sym_u_SQUOTE] = ACTIONS(3497),
    [anon_sym_U_SQUOTE] = ACTIONS(3497),
    [anon_sym_u8_SQUOTE] = ACTIONS(3497),
    [anon_sym_SQUOTE] = ACTIONS(3497),
    [anon_sym_L_DQUOTE] = ACTIONS(3497),
    [anon_sym_u_DQUOTE] = ACTIONS(3497),
    [anon_sym_U_DQUOTE] = ACTIONS(3497),
    [anon_sym_u8_DQUOTE] = ACTIONS(3497),
    [anon_sym_DQUOTE] = ACTIONS(3497),
    [sym_true] = ACTIONS(3495),
    [sym_false] = ACTIONS(3495),
    [anon_sym_NULL] = ACTIONS(3495),
    [anon_sym_nullptr] = ACTIONS(3495),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3495),
    [anon_sym_decltype] = ACTIONS(3495),
    [anon_sym_virtual] = ACTIONS(3495),
    [anon_sym_alignas] = ACTIONS(3495),
    [anon_sym_explicit] = ACTIONS(3495),
    [anon_sym_typename] = ACTIONS(3495),
    [anon_sym_template] = ACTIONS(3495),
    [anon_sym_operator] = ACTIONS(3495),
    [anon_sym_try] = ACTIONS(3495),
    [anon_sym_delete] = ACTIONS(3495),
    [anon_sym_throw] = ACTIONS(3495),
    [anon_sym_namespace] = ACTIONS(3495),
    [anon_sym_using] = ACTIONS(3495),
    [anon_sym_static_assert] = ACTIONS(3495),
    [anon_sym_concept] = ACTIONS(3495),
    [anon_sym_co_return] = ACTIONS(3495),
    [anon_sym_co_yield] = ACTIONS(3495),
    [anon_sym_R_DQUOTE] = ACTIONS(3497),
    [anon_sym_LR_DQUOTE] = ACTIONS(3497),
    [anon_sym_uR_DQUOTE] = ACTIONS(3497),
    [anon_sym_UR_DQUOTE] = ACTIONS(3497),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3497),
    [anon_sym_co_await] = ACTIONS(3495),
    [anon_sym_new] = ACTIONS(3495),
    [anon_sym_requires] = ACTIONS(3495),
    [sym_this] = ACTIONS(3495),
  },
  [928] = {
    [sym_identifier] = ACTIONS(3184),
    [aux_sym_preproc_include_token1] = ACTIONS(3184),
    [aux_sym_preproc_def_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3184),
    [sym_preproc_directive] = ACTIONS(3184),
    [anon_sym_LPAREN2] = ACTIONS(3186),
    [anon_sym_BANG] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_AMP_AMP] = ACTIONS(3186),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym___extension__] = ACTIONS(3184),
    [anon_sym_typedef] = ACTIONS(3184),
    [anon_sym_extern] = ACTIONS(3184),
    [anon_sym___attribute__] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3186),
    [anon_sym___declspec] = ACTIONS(3184),
    [anon_sym___based] = ACTIONS(3184),
    [anon_sym___cdecl] = ACTIONS(3184),
    [anon_sym___clrcall] = ACTIONS(3184),
    [anon_sym___stdcall] = ACTIONS(3184),
    [anon_sym___fastcall] = ACTIONS(3184),
    [anon_sym___thiscall] = ACTIONS(3184),
    [anon_sym___vectorcall] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_signed] = ACTIONS(3184),
    [anon_sym_unsigned] = ACTIONS(3184),
    [anon_sym_long] = ACTIONS(3184),
    [anon_sym_short] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_register] = ACTIONS(3184),
    [anon_sym_inline] = ACTIONS(3184),
    [anon_sym___inline] = ACTIONS(3184),
    [anon_sym___inline__] = ACTIONS(3184),
    [anon_sym___forceinline] = ACTIONS(3184),
    [anon_sym_thread_local] = ACTIONS(3184),
    [anon_sym___thread] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_constexpr] = ACTIONS(3184),
    [anon_sym_volatile] = ACTIONS(3184),
    [anon_sym_restrict] = ACTIONS(3184),
    [anon_sym___restrict__] = ACTIONS(3184),
    [anon_sym__Atomic] = ACTIONS(3184),
    [anon_sym__Noreturn] = ACTIONS(3184),
    [anon_sym_noreturn] = ACTIONS(3184),
    [anon_sym_mutable] = ACTIONS(3184),
    [anon_sym_constinit] = ACTIONS(3184),
    [anon_sym_consteval] = ACTIONS(3184),
    [anon_sym_PROGMEM] = ACTIONS(3184),
    [aux_sym_primitive_type_token1] = ACTIONS(3184),
    [anon_sym_byte] = ACTIONS(3184),
    [anon_sym_word] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_struct] = ACTIONS(3184),
    [anon_sym_union] = ACTIONS(3184),
    [anon_sym_if] = ACTIONS(3184),
    [anon_sym_switch] = ACTIONS(3184),
    [anon_sym_case] = ACTIONS(3184),
    [anon_sym_default] = ACTIONS(3184),
    [anon_sym_while] = ACTIONS(3184),
    [anon_sym_do] = ACTIONS(3184),
    [anon_sym_for] = ACTIONS(3184),
    [anon_sym_return] = ACTIONS(3184),
    [anon_sym_break] = ACTIONS(3184),
    [anon_sym_continue] = ACTIONS(3184),
    [anon_sym_goto] = ACTIONS(3184),
    [anon_sym___try] = ACTIONS(3184),
    [anon_sym___leave] = ACTIONS(3184),
    [anon_sym_not] = ACTIONS(3184),
    [anon_sym_compl] = ACTIONS(3184),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_sizeof] = ACTIONS(3184),
    [anon_sym___alignof__] = ACTIONS(3184),
    [anon_sym___alignof] = ACTIONS(3184),
    [anon_sym__alignof] = ACTIONS(3184),
    [anon_sym_alignof] = ACTIONS(3184),
    [anon_sym__Alignof] = ACTIONS(3184),
    [anon_sym_offsetof] = ACTIONS(3184),
    [anon_sym__Generic] = ACTIONS(3184),
    [anon_sym_asm] = ACTIONS(3184),
    [anon_sym___asm__] = ACTIONS(3184),
    [aux_sym_number_literal_token1] = ACTIONS(3186),
    [aux_sym_number_literal_token2] = ACTIONS(3184),
    [anon_sym_L_SQUOTE] = ACTIONS(3186),
    [anon_sym_u_SQUOTE] = ACTIONS(3186),
    [anon_sym_U_SQUOTE] = ACTIONS(3186),
    [anon_sym_u8_SQUOTE] = ACTIONS(3186),
    [anon_sym_SQUOTE] = ACTIONS(3186),
    [anon_sym_L_DQUOTE] = ACTIONS(3186),
    [anon_sym_u_DQUOTE] = ACTIONS(3186),
    [anon_sym_U_DQUOTE] = ACTIONS(3186),
    [anon_sym_u8_DQUOTE] = ACTIONS(3186),
    [anon_sym_DQUOTE] = ACTIONS(3186),
    [sym_true] = ACTIONS(3184),
    [sym_false] = ACTIONS(3184),
    [anon_sym_NULL] = ACTIONS(3184),
    [anon_sym_nullptr] = ACTIONS(3184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3184),
    [anon_sym_decltype] = ACTIONS(3184),
    [anon_sym_virtual] = ACTIONS(3184),
    [anon_sym_alignas] = ACTIONS(3184),
    [anon_sym_explicit] = ACTIONS(3184),
    [anon_sym_typename] = ACTIONS(3184),
    [anon_sym_template] = ACTIONS(3184),
    [anon_sym_operator] = ACTIONS(3184),
    [anon_sym_try] = ACTIONS(3184),
    [anon_sym_delete] = ACTIONS(3184),
    [anon_sym_throw] = ACTIONS(3184),
    [anon_sym_namespace] = ACTIONS(3184),
    [anon_sym_using] = ACTIONS(3184),
    [anon_sym_static_assert] = ACTIONS(3184),
    [anon_sym_concept] = ACTIONS(3184),
    [anon_sym_co_return] = ACTIONS(3184),
    [anon_sym_co_yield] = ACTIONS(3184),
    [anon_sym_R_DQUOTE] = ACTIONS(3186),
    [anon_sym_LR_DQUOTE] = ACTIONS(3186),
    [anon_sym_uR_DQUOTE] = ACTIONS(3186),
    [anon_sym_UR_DQUOTE] = ACTIONS(3186),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3186),
    [anon_sym_co_await] = ACTIONS(3184),
    [anon_sym_new] = ACTIONS(3184),
    [anon_sym_requires] = ACTIONS(3184),
    [sym_this] = ACTIONS(3184),
  },
  [929] = {
    [sym_identifier] = ACTIONS(3373),
    [aux_sym_preproc_include_token1] = ACTIONS(3373),
    [aux_sym_preproc_def_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token2] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3373),
    [sym_preproc_directive] = ACTIONS(3373),
    [anon_sym_LPAREN2] = ACTIONS(3375),
    [anon_sym_BANG] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_DASH] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(3373),
    [anon_sym_STAR] = ACTIONS(3375),
    [anon_sym_AMP_AMP] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(3375),
    [anon_sym___extension__] = ACTIONS(3373),
    [anon_sym_typedef] = ACTIONS(3373),
    [anon_sym_extern] = ACTIONS(3373),
    [anon_sym___attribute__] = ACTIONS(3373),
    [anon_sym_COLON_COLON] = ACTIONS(3375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3375),
    [anon_sym___declspec] = ACTIONS(3373),
    [anon_sym___based] = ACTIONS(3373),
    [anon_sym___cdecl] = ACTIONS(3373),
    [anon_sym___clrcall] = ACTIONS(3373),
    [anon_sym___stdcall] = ACTIONS(3373),
    [anon_sym___fastcall] = ACTIONS(3373),
    [anon_sym___thiscall] = ACTIONS(3373),
    [anon_sym___vectorcall] = ACTIONS(3373),
    [anon_sym_LBRACE] = ACTIONS(3375),
    [anon_sym_signed] = ACTIONS(3373),
    [anon_sym_unsigned] = ACTIONS(3373),
    [anon_sym_long] = ACTIONS(3373),
    [anon_sym_short] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_register] = ACTIONS(3373),
    [anon_sym_inline] = ACTIONS(3373),
    [anon_sym___inline] = ACTIONS(3373),
    [anon_sym___inline__] = ACTIONS(3373),
    [anon_sym___forceinline] = ACTIONS(3373),
    [anon_sym_thread_local] = ACTIONS(3373),
    [anon_sym___thread] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_constexpr] = ACTIONS(3373),
    [anon_sym_volatile] = ACTIONS(3373),
    [anon_sym_restrict] = ACTIONS(3373),
    [anon_sym___restrict__] = ACTIONS(3373),
    [anon_sym__Atomic] = ACTIONS(3373),
    [anon_sym__Noreturn] = ACTIONS(3373),
    [anon_sym_noreturn] = ACTIONS(3373),
    [anon_sym_mutable] = ACTIONS(3373),
    [anon_sym_constinit] = ACTIONS(3373),
    [anon_sym_consteval] = ACTIONS(3373),
    [anon_sym_PROGMEM] = ACTIONS(3373),
    [aux_sym_primitive_type_token1] = ACTIONS(3373),
    [anon_sym_byte] = ACTIONS(3373),
    [anon_sym_word] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_struct] = ACTIONS(3373),
    [anon_sym_union] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_switch] = ACTIONS(3373),
    [anon_sym_case] = ACTIONS(3373),
    [anon_sym_default] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(3373),
    [anon_sym_do] = ACTIONS(3373),
    [anon_sym_for] = ACTIONS(3373),
    [anon_sym_return] = ACTIONS(3373),
    [anon_sym_break] = ACTIONS(3373),
    [anon_sym_continue] = ACTIONS(3373),
    [anon_sym_goto] = ACTIONS(3373),
    [anon_sym___try] = ACTIONS(3373),
    [anon_sym___leave] = ACTIONS(3373),
    [anon_sym_not] = ACTIONS(3373),
    [anon_sym_compl] = ACTIONS(3373),
    [anon_sym_DASH_DASH] = ACTIONS(3375),
    [anon_sym_PLUS_PLUS] = ACTIONS(3375),
    [anon_sym_sizeof] = ACTIONS(3373),
    [anon_sym___alignof__] = ACTIONS(3373),
    [anon_sym___alignof] = ACTIONS(3373),
    [anon_sym__alignof] = ACTIONS(3373),
    [anon_sym_alignof] = ACTIONS(3373),
    [anon_sym__Alignof] = ACTIONS(3373),
    [anon_sym_offsetof] = ACTIONS(3373),
    [anon_sym__Generic] = ACTIONS(3373),
    [anon_sym_asm] = ACTIONS(3373),
    [anon_sym___asm__] = ACTIONS(3373),
    [aux_sym_number_literal_token1] = ACTIONS(3375),
    [aux_sym_number_literal_token2] = ACTIONS(3373),
    [anon_sym_L_SQUOTE] = ACTIONS(3375),
    [anon_sym_u_SQUOTE] = ACTIONS(3375),
    [anon_sym_U_SQUOTE] = ACTIONS(3375),
    [anon_sym_u8_SQUOTE] = ACTIONS(3375),
    [anon_sym_SQUOTE] = ACTIONS(3375),
    [anon_sym_L_DQUOTE] = ACTIONS(3375),
    [anon_sym_u_DQUOTE] = ACTIONS(3375),
    [anon_sym_U_DQUOTE] = ACTIONS(3375),
    [anon_sym_u8_DQUOTE] = ACTIONS(3375),
    [anon_sym_DQUOTE] = ACTIONS(3375),
    [sym_true] = ACTIONS(3373),
    [sym_false] = ACTIONS(3373),
    [anon_sym_NULL] = ACTIONS(3373),
    [anon_sym_nullptr] = ACTIONS(3373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3373),
    [anon_sym_decltype] = ACTIONS(3373),
    [anon_sym_virtual] = ACTIONS(3373),
    [anon_sym_alignas] = ACTIONS(3373),
    [anon_sym_explicit] = ACTIONS(3373),
    [anon_sym_typename] = ACTIONS(3373),
    [anon_sym_template] = ACTIONS(3373),
    [anon_sym_operator] = ACTIONS(3373),
    [anon_sym_try] = ACTIONS(3373),
    [anon_sym_delete] = ACTIONS(3373),
    [anon_sym_throw] = ACTIONS(3373),
    [anon_sym_namespace] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_static_assert] = ACTIONS(3373),
    [anon_sym_concept] = ACTIONS(3373),
    [anon_sym_co_return] = ACTIONS(3373),
    [anon_sym_co_yield] = ACTIONS(3373),
    [anon_sym_R_DQUOTE] = ACTIONS(3375),
    [anon_sym_LR_DQUOTE] = ACTIONS(3375),
    [anon_sym_uR_DQUOTE] = ACTIONS(3375),
    [anon_sym_UR_DQUOTE] = ACTIONS(3375),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3375),
    [anon_sym_co_await] = ACTIONS(3373),
    [anon_sym_new] = ACTIONS(3373),
    [anon_sym_requires] = ACTIONS(3373),
    [sym_this] = ACTIONS(3373),
  },
  [930] = {
    [sym_identifier] = ACTIONS(3196),
    [aux_sym_preproc_include_token1] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3196),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3196),
    [sym_preproc_directive] = ACTIONS(3196),
    [anon_sym_LPAREN2] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_STAR] = ACTIONS(3198),
    [anon_sym_AMP_AMP] = ACTIONS(3198),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(3196),
    [anon_sym_typedef] = ACTIONS(3196),
    [anon_sym_extern] = ACTIONS(3196),
    [anon_sym___attribute__] = ACTIONS(3196),
    [anon_sym_COLON_COLON] = ACTIONS(3198),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3198),
    [anon_sym___declspec] = ACTIONS(3196),
    [anon_sym___based] = ACTIONS(3196),
    [anon_sym___cdecl] = ACTIONS(3196),
    [anon_sym___clrcall] = ACTIONS(3196),
    [anon_sym___stdcall] = ACTIONS(3196),
    [anon_sym___fastcall] = ACTIONS(3196),
    [anon_sym___thiscall] = ACTIONS(3196),
    [anon_sym___vectorcall] = ACTIONS(3196),
    [anon_sym_LBRACE] = ACTIONS(3198),
    [anon_sym_RBRACE] = ACTIONS(3198),
    [anon_sym_signed] = ACTIONS(3196),
    [anon_sym_unsigned] = ACTIONS(3196),
    [anon_sym_long] = ACTIONS(3196),
    [anon_sym_short] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_register] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(3196),
    [anon_sym___inline] = ACTIONS(3196),
    [anon_sym___inline__] = ACTIONS(3196),
    [anon_sym___forceinline] = ACTIONS(3196),
    [anon_sym_thread_local] = ACTIONS(3196),
    [anon_sym___thread] = ACTIONS(3196),
    [anon_sym_const] = ACTIONS(3196),
    [anon_sym_constexpr] = ACTIONS(3196),
    [anon_sym_volatile] = ACTIONS(3196),
    [anon_sym_restrict] = ACTIONS(3196),
    [anon_sym___restrict__] = ACTIONS(3196),
    [anon_sym__Atomic] = ACTIONS(3196),
    [anon_sym__Noreturn] = ACTIONS(3196),
    [anon_sym_noreturn] = ACTIONS(3196),
    [anon_sym_mutable] = ACTIONS(3196),
    [anon_sym_constinit] = ACTIONS(3196),
    [anon_sym_consteval] = ACTIONS(3196),
    [anon_sym_PROGMEM] = ACTIONS(3196),
    [aux_sym_primitive_type_token1] = ACTIONS(3196),
    [anon_sym_byte] = ACTIONS(3196),
    [anon_sym_word] = ACTIONS(3196),
    [anon_sym_enum] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_struct] = ACTIONS(3196),
    [anon_sym_union] = ACTIONS(3196),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_switch] = ACTIONS(3196),
    [anon_sym_case] = ACTIONS(3196),
    [anon_sym_default] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3196),
    [anon_sym_do] = ACTIONS(3196),
    [anon_sym_for] = ACTIONS(3196),
    [anon_sym_return] = ACTIONS(3196),
    [anon_sym_break] = ACTIONS(3196),
    [anon_sym_continue] = ACTIONS(3196),
    [anon_sym_goto] = ACTIONS(3196),
    [anon_sym___try] = ACTIONS(3196),
    [anon_sym___leave] = ACTIONS(3196),
    [anon_sym_not] = ACTIONS(3196),
    [anon_sym_compl] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_sizeof] = ACTIONS(3196),
    [anon_sym___alignof__] = ACTIONS(3196),
    [anon_sym___alignof] = ACTIONS(3196),
    [anon_sym__alignof] = ACTIONS(3196),
    [anon_sym_alignof] = ACTIONS(3196),
    [anon_sym__Alignof] = ACTIONS(3196),
    [anon_sym_offsetof] = ACTIONS(3196),
    [anon_sym__Generic] = ACTIONS(3196),
    [anon_sym_asm] = ACTIONS(3196),
    [anon_sym___asm__] = ACTIONS(3196),
    [aux_sym_number_literal_token1] = ACTIONS(3198),
    [aux_sym_number_literal_token2] = ACTIONS(3196),
    [anon_sym_L_SQUOTE] = ACTIONS(3198),
    [anon_sym_u_SQUOTE] = ACTIONS(3198),
    [anon_sym_U_SQUOTE] = ACTIONS(3198),
    [anon_sym_u8_SQUOTE] = ACTIONS(3198),
    [anon_sym_SQUOTE] = ACTIONS(3198),
    [anon_sym_L_DQUOTE] = ACTIONS(3198),
    [anon_sym_u_DQUOTE] = ACTIONS(3198),
    [anon_sym_U_DQUOTE] = ACTIONS(3198),
    [anon_sym_u8_DQUOTE] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [sym_true] = ACTIONS(3196),
    [sym_false] = ACTIONS(3196),
    [anon_sym_NULL] = ACTIONS(3196),
    [anon_sym_nullptr] = ACTIONS(3196),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3196),
    [anon_sym_decltype] = ACTIONS(3196),
    [anon_sym_virtual] = ACTIONS(3196),
    [anon_sym_alignas] = ACTIONS(3196),
    [anon_sym_explicit] = ACTIONS(3196),
    [anon_sym_typename] = ACTIONS(3196),
    [anon_sym_template] = ACTIONS(3196),
    [anon_sym_operator] = ACTIONS(3196),
    [anon_sym_try] = ACTIONS(3196),
    [anon_sym_delete] = ACTIONS(3196),
    [anon_sym_throw] = ACTIONS(3196),
    [anon_sym_namespace] = ACTIONS(3196),
    [anon_sym_using] = ACTIONS(3196),
    [anon_sym_static_assert] = ACTIONS(3196),
    [anon_sym_concept] = ACTIONS(3196),
    [anon_sym_co_return] = ACTIONS(3196),
    [anon_sym_co_yield] = ACTIONS(3196),
    [anon_sym_R_DQUOTE] = ACTIONS(3198),
    [anon_sym_LR_DQUOTE] = ACTIONS(3198),
    [anon_sym_uR_DQUOTE] = ACTIONS(3198),
    [anon_sym_UR_DQUOTE] = ACTIONS(3198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3198),
    [anon_sym_co_await] = ACTIONS(3196),
    [anon_sym_new] = ACTIONS(3196),
    [anon_sym_requires] = ACTIONS(3196),
    [sym_this] = ACTIONS(3196),
  },
  [931] = {
    [sym_identifier] = ACTIONS(3515),
    [aux_sym_preproc_include_token1] = ACTIONS(3515),
    [aux_sym_preproc_def_token1] = ACTIONS(3515),
    [aux_sym_preproc_if_token1] = ACTIONS(3515),
    [aux_sym_preproc_if_token2] = ACTIONS(3515),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3515),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3515),
    [sym_preproc_directive] = ACTIONS(3515),
    [anon_sym_LPAREN2] = ACTIONS(3517),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(3517),
    [anon_sym_AMP_AMP] = ACTIONS(3517),
    [anon_sym_AMP] = ACTIONS(3515),
    [anon_sym_SEMI] = ACTIONS(3517),
    [anon_sym___extension__] = ACTIONS(3515),
    [anon_sym_typedef] = ACTIONS(3515),
    [anon_sym_extern] = ACTIONS(3515),
    [anon_sym___attribute__] = ACTIONS(3515),
    [anon_sym_COLON_COLON] = ACTIONS(3517),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3517),
    [anon_sym___declspec] = ACTIONS(3515),
    [anon_sym___based] = ACTIONS(3515),
    [anon_sym___cdecl] = ACTIONS(3515),
    [anon_sym___clrcall] = ACTIONS(3515),
    [anon_sym___stdcall] = ACTIONS(3515),
    [anon_sym___fastcall] = ACTIONS(3515),
    [anon_sym___thiscall] = ACTIONS(3515),
    [anon_sym___vectorcall] = ACTIONS(3515),
    [anon_sym_LBRACE] = ACTIONS(3517),
    [anon_sym_signed] = ACTIONS(3515),
    [anon_sym_unsigned] = ACTIONS(3515),
    [anon_sym_long] = ACTIONS(3515),
    [anon_sym_short] = ACTIONS(3515),
    [anon_sym_LBRACK] = ACTIONS(3515),
    [anon_sym_static] = ACTIONS(3515),
    [anon_sym_register] = ACTIONS(3515),
    [anon_sym_inline] = ACTIONS(3515),
    [anon_sym___inline] = ACTIONS(3515),
    [anon_sym___inline__] = ACTIONS(3515),
    [anon_sym___forceinline] = ACTIONS(3515),
    [anon_sym_thread_local] = ACTIONS(3515),
    [anon_sym___thread] = ACTIONS(3515),
    [anon_sym_const] = ACTIONS(3515),
    [anon_sym_constexpr] = ACTIONS(3515),
    [anon_sym_volatile] = ACTIONS(3515),
    [anon_sym_restrict] = ACTIONS(3515),
    [anon_sym___restrict__] = ACTIONS(3515),
    [anon_sym__Atomic] = ACTIONS(3515),
    [anon_sym__Noreturn] = ACTIONS(3515),
    [anon_sym_noreturn] = ACTIONS(3515),
    [anon_sym_mutable] = ACTIONS(3515),
    [anon_sym_constinit] = ACTIONS(3515),
    [anon_sym_consteval] = ACTIONS(3515),
    [anon_sym_PROGMEM] = ACTIONS(3515),
    [aux_sym_primitive_type_token1] = ACTIONS(3515),
    [anon_sym_byte] = ACTIONS(3515),
    [anon_sym_word] = ACTIONS(3515),
    [anon_sym_enum] = ACTIONS(3515),
    [anon_sym_class] = ACTIONS(3515),
    [anon_sym_struct] = ACTIONS(3515),
    [anon_sym_union] = ACTIONS(3515),
    [anon_sym_if] = ACTIONS(3515),
    [anon_sym_switch] = ACTIONS(3515),
    [anon_sym_case] = ACTIONS(3515),
    [anon_sym_default] = ACTIONS(3515),
    [anon_sym_while] = ACTIONS(3515),
    [anon_sym_do] = ACTIONS(3515),
    [anon_sym_for] = ACTIONS(3515),
    [anon_sym_return] = ACTIONS(3515),
    [anon_sym_break] = ACTIONS(3515),
    [anon_sym_continue] = ACTIONS(3515),
    [anon_sym_goto] = ACTIONS(3515),
    [anon_sym___try] = ACTIONS(3515),
    [anon_sym___leave] = ACTIONS(3515),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(3517),
    [anon_sym_PLUS_PLUS] = ACTIONS(3517),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(3515),
    [anon_sym___alignof] = ACTIONS(3515),
    [anon_sym__alignof] = ACTIONS(3515),
    [anon_sym_alignof] = ACTIONS(3515),
    [anon_sym__Alignof] = ACTIONS(3515),
    [anon_sym_offsetof] = ACTIONS(3515),
    [anon_sym__Generic] = ACTIONS(3515),
    [anon_sym_asm] = ACTIONS(3515),
    [anon_sym___asm__] = ACTIONS(3515),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3515),
    [anon_sym_L_SQUOTE] = ACTIONS(3517),
    [anon_sym_u_SQUOTE] = ACTIONS(3517),
    [anon_sym_U_SQUOTE] = ACTIONS(3517),
    [anon_sym_u8_SQUOTE] = ACTIONS(3517),
    [anon_sym_SQUOTE] = ACTIONS(3517),
    [anon_sym_L_DQUOTE] = ACTIONS(3517),
    [anon_sym_u_DQUOTE] = ACTIONS(3517),
    [anon_sym_U_DQUOTE] = ACTIONS(3517),
    [anon_sym_u8_DQUOTE] = ACTIONS(3517),
    [anon_sym_DQUOTE] = ACTIONS(3517),
    [sym_true] = ACTIONS(3515),
    [sym_false] = ACTIONS(3515),
    [anon_sym_NULL] = ACTIONS(3515),
    [anon_sym_nullptr] = ACTIONS(3515),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3515),
    [anon_sym_decltype] = ACTIONS(3515),
    [anon_sym_virtual] = ACTIONS(3515),
    [anon_sym_alignas] = ACTIONS(3515),
    [anon_sym_explicit] = ACTIONS(3515),
    [anon_sym_typename] = ACTIONS(3515),
    [anon_sym_template] = ACTIONS(3515),
    [anon_sym_operator] = ACTIONS(3515),
    [anon_sym_try] = ACTIONS(3515),
    [anon_sym_delete] = ACTIONS(3515),
    [anon_sym_throw] = ACTIONS(3515),
    [anon_sym_namespace] = ACTIONS(3515),
    [anon_sym_using] = ACTIONS(3515),
    [anon_sym_static_assert] = ACTIONS(3515),
    [anon_sym_concept] = ACTIONS(3515),
    [anon_sym_co_return] = ACTIONS(3515),
    [anon_sym_co_yield] = ACTIONS(3515),
    [anon_sym_R_DQUOTE] = ACTIONS(3517),
    [anon_sym_LR_DQUOTE] = ACTIONS(3517),
    [anon_sym_uR_DQUOTE] = ACTIONS(3517),
    [anon_sym_UR_DQUOTE] = ACTIONS(3517),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3517),
    [anon_sym_co_await] = ACTIONS(3515),
    [anon_sym_new] = ACTIONS(3515),
    [anon_sym_requires] = ACTIONS(3515),
    [sym_this] = ACTIONS(3515),
  },
  [932] = {
    [sym_catch_clause] = STATE(402),
    [aux_sym_constructor_try_statement_repeat1] = STATE(402),
    [ts_builtin_sym_end] = ACTIONS(2856),
    [sym_identifier] = ACTIONS(2854),
    [aux_sym_preproc_include_token1] = ACTIONS(2854),
    [aux_sym_preproc_def_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2854),
    [sym_preproc_directive] = ACTIONS(2854),
    [anon_sym_LPAREN2] = ACTIONS(2856),
    [anon_sym_BANG] = ACTIONS(2856),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2854),
    [anon_sym_typedef] = ACTIONS(2854),
    [anon_sym_extern] = ACTIONS(2854),
    [anon_sym___attribute__] = ACTIONS(2854),
    [anon_sym_COLON_COLON] = ACTIONS(2856),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2856),
    [anon_sym___declspec] = ACTIONS(2854),
    [anon_sym___based] = ACTIONS(2854),
    [anon_sym___cdecl] = ACTIONS(2854),
    [anon_sym___clrcall] = ACTIONS(2854),
    [anon_sym___stdcall] = ACTIONS(2854),
    [anon_sym___fastcall] = ACTIONS(2854),
    [anon_sym___thiscall] = ACTIONS(2854),
    [anon_sym___vectorcall] = ACTIONS(2854),
    [anon_sym_LBRACE] = ACTIONS(2856),
    [anon_sym_signed] = ACTIONS(2854),
    [anon_sym_unsigned] = ACTIONS(2854),
    [anon_sym_long] = ACTIONS(2854),
    [anon_sym_short] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_register] = ACTIONS(2854),
    [anon_sym_inline] = ACTIONS(2854),
    [anon_sym___inline] = ACTIONS(2854),
    [anon_sym___inline__] = ACTIONS(2854),
    [anon_sym___forceinline] = ACTIONS(2854),
    [anon_sym_thread_local] = ACTIONS(2854),
    [anon_sym___thread] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_constexpr] = ACTIONS(2854),
    [anon_sym_volatile] = ACTIONS(2854),
    [anon_sym_restrict] = ACTIONS(2854),
    [anon_sym___restrict__] = ACTIONS(2854),
    [anon_sym__Atomic] = ACTIONS(2854),
    [anon_sym__Noreturn] = ACTIONS(2854),
    [anon_sym_noreturn] = ACTIONS(2854),
    [anon_sym_mutable] = ACTIONS(2854),
    [anon_sym_constinit] = ACTIONS(2854),
    [anon_sym_consteval] = ACTIONS(2854),
    [anon_sym_PROGMEM] = ACTIONS(2854),
    [aux_sym_primitive_type_token1] = ACTIONS(2854),
    [anon_sym_byte] = ACTIONS(2854),
    [anon_sym_word] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_struct] = ACTIONS(2854),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_switch] = ACTIONS(2854),
    [anon_sym_case] = ACTIONS(2854),
    [anon_sym_default] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2854),
    [anon_sym_do] = ACTIONS(2854),
    [anon_sym_for] = ACTIONS(2854),
    [anon_sym_return] = ACTIONS(2854),
    [anon_sym_break] = ACTIONS(2854),
    [anon_sym_continue] = ACTIONS(2854),
    [anon_sym_goto] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2854),
    [anon_sym_compl] = ACTIONS(2854),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2854),
    [anon_sym___alignof__] = ACTIONS(2854),
    [anon_sym___alignof] = ACTIONS(2854),
    [anon_sym__alignof] = ACTIONS(2854),
    [anon_sym_alignof] = ACTIONS(2854),
    [anon_sym__Alignof] = ACTIONS(2854),
    [anon_sym_offsetof] = ACTIONS(2854),
    [anon_sym__Generic] = ACTIONS(2854),
    [anon_sym_asm] = ACTIONS(2854),
    [anon_sym___asm__] = ACTIONS(2854),
    [aux_sym_number_literal_token1] = ACTIONS(2856),
    [aux_sym_number_literal_token2] = ACTIONS(2854),
    [anon_sym_L_SQUOTE] = ACTIONS(2856),
    [anon_sym_u_SQUOTE] = ACTIONS(2856),
    [anon_sym_U_SQUOTE] = ACTIONS(2856),
    [anon_sym_u8_SQUOTE] = ACTIONS(2856),
    [anon_sym_SQUOTE] = ACTIONS(2856),
    [anon_sym_L_DQUOTE] = ACTIONS(2856),
    [anon_sym_u_DQUOTE] = ACTIONS(2856),
    [anon_sym_U_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8_DQUOTE] = ACTIONS(2856),
    [anon_sym_DQUOTE] = ACTIONS(2856),
    [sym_true] = ACTIONS(2854),
    [sym_false] = ACTIONS(2854),
    [anon_sym_NULL] = ACTIONS(2854),
    [anon_sym_nullptr] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2854),
    [anon_sym_decltype] = ACTIONS(2854),
    [anon_sym_virtual] = ACTIONS(2854),
    [anon_sym_alignas] = ACTIONS(2854),
    [anon_sym_explicit] = ACTIONS(2854),
    [anon_sym_typename] = ACTIONS(2854),
    [anon_sym_template] = ACTIONS(2854),
    [anon_sym_operator] = ACTIONS(2854),
    [anon_sym_try] = ACTIONS(2854),
    [anon_sym_delete] = ACTIONS(2854),
    [anon_sym_throw] = ACTIONS(2854),
    [anon_sym_namespace] = ACTIONS(2854),
    [anon_sym_using] = ACTIONS(2854),
    [anon_sym_static_assert] = ACTIONS(2854),
    [anon_sym_concept] = ACTIONS(2854),
    [anon_sym_co_return] = ACTIONS(2854),
    [anon_sym_co_yield] = ACTIONS(2854),
    [anon_sym_catch] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(2856),
    [anon_sym_LR_DQUOTE] = ACTIONS(2856),
    [anon_sym_uR_DQUOTE] = ACTIONS(2856),
    [anon_sym_UR_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2856),
    [anon_sym_co_await] = ACTIONS(2854),
    [anon_sym_new] = ACTIONS(2854),
    [anon_sym_requires] = ACTIONS(2854),
    [sym_this] = ACTIONS(2854),
  },
  [933] = {
    [sym_identifier] = ACTIONS(3381),
    [aux_sym_preproc_include_token1] = ACTIONS(3381),
    [aux_sym_preproc_def_token1] = ACTIONS(3381),
    [aux_sym_preproc_if_token1] = ACTIONS(3381),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3381),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3381),
    [sym_preproc_directive] = ACTIONS(3381),
    [anon_sym_LPAREN2] = ACTIONS(3383),
    [anon_sym_BANG] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(3383),
    [anon_sym_DASH] = ACTIONS(3381),
    [anon_sym_PLUS] = ACTIONS(3381),
    [anon_sym_STAR] = ACTIONS(3383),
    [anon_sym_AMP_AMP] = ACTIONS(3383),
    [anon_sym_AMP] = ACTIONS(3381),
    [anon_sym_SEMI] = ACTIONS(3383),
    [anon_sym___extension__] = ACTIONS(3381),
    [anon_sym_typedef] = ACTIONS(3381),
    [anon_sym_extern] = ACTIONS(3381),
    [anon_sym___attribute__] = ACTIONS(3381),
    [anon_sym_COLON_COLON] = ACTIONS(3383),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3383),
    [anon_sym___declspec] = ACTIONS(3381),
    [anon_sym___based] = ACTIONS(3381),
    [anon_sym___cdecl] = ACTIONS(3381),
    [anon_sym___clrcall] = ACTIONS(3381),
    [anon_sym___stdcall] = ACTIONS(3381),
    [anon_sym___fastcall] = ACTIONS(3381),
    [anon_sym___thiscall] = ACTIONS(3381),
    [anon_sym___vectorcall] = ACTIONS(3381),
    [anon_sym_LBRACE] = ACTIONS(3383),
    [anon_sym_RBRACE] = ACTIONS(3383),
    [anon_sym_signed] = ACTIONS(3381),
    [anon_sym_unsigned] = ACTIONS(3381),
    [anon_sym_long] = ACTIONS(3381),
    [anon_sym_short] = ACTIONS(3381),
    [anon_sym_LBRACK] = ACTIONS(3381),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_register] = ACTIONS(3381),
    [anon_sym_inline] = ACTIONS(3381),
    [anon_sym___inline] = ACTIONS(3381),
    [anon_sym___inline__] = ACTIONS(3381),
    [anon_sym___forceinline] = ACTIONS(3381),
    [anon_sym_thread_local] = ACTIONS(3381),
    [anon_sym___thread] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3381),
    [anon_sym_constexpr] = ACTIONS(3381),
    [anon_sym_volatile] = ACTIONS(3381),
    [anon_sym_restrict] = ACTIONS(3381),
    [anon_sym___restrict__] = ACTIONS(3381),
    [anon_sym__Atomic] = ACTIONS(3381),
    [anon_sym__Noreturn] = ACTIONS(3381),
    [anon_sym_noreturn] = ACTIONS(3381),
    [anon_sym_mutable] = ACTIONS(3381),
    [anon_sym_constinit] = ACTIONS(3381),
    [anon_sym_consteval] = ACTIONS(3381),
    [anon_sym_PROGMEM] = ACTIONS(3381),
    [aux_sym_primitive_type_token1] = ACTIONS(3381),
    [anon_sym_byte] = ACTIONS(3381),
    [anon_sym_word] = ACTIONS(3381),
    [anon_sym_enum] = ACTIONS(3381),
    [anon_sym_class] = ACTIONS(3381),
    [anon_sym_struct] = ACTIONS(3381),
    [anon_sym_union] = ACTIONS(3381),
    [anon_sym_if] = ACTIONS(3381),
    [anon_sym_switch] = ACTIONS(3381),
    [anon_sym_case] = ACTIONS(3381),
    [anon_sym_default] = ACTIONS(3381),
    [anon_sym_while] = ACTIONS(3381),
    [anon_sym_do] = ACTIONS(3381),
    [anon_sym_for] = ACTIONS(3381),
    [anon_sym_return] = ACTIONS(3381),
    [anon_sym_break] = ACTIONS(3381),
    [anon_sym_continue] = ACTIONS(3381),
    [anon_sym_goto] = ACTIONS(3381),
    [anon_sym___try] = ACTIONS(3381),
    [anon_sym___leave] = ACTIONS(3381),
    [anon_sym_not] = ACTIONS(3381),
    [anon_sym_compl] = ACTIONS(3381),
    [anon_sym_DASH_DASH] = ACTIONS(3383),
    [anon_sym_PLUS_PLUS] = ACTIONS(3383),
    [anon_sym_sizeof] = ACTIONS(3381),
    [anon_sym___alignof__] = ACTIONS(3381),
    [anon_sym___alignof] = ACTIONS(3381),
    [anon_sym__alignof] = ACTIONS(3381),
    [anon_sym_alignof] = ACTIONS(3381),
    [anon_sym__Alignof] = ACTIONS(3381),
    [anon_sym_offsetof] = ACTIONS(3381),
    [anon_sym__Generic] = ACTIONS(3381),
    [anon_sym_asm] = ACTIONS(3381),
    [anon_sym___asm__] = ACTIONS(3381),
    [aux_sym_number_literal_token1] = ACTIONS(3383),
    [aux_sym_number_literal_token2] = ACTIONS(3381),
    [anon_sym_L_SQUOTE] = ACTIONS(3383),
    [anon_sym_u_SQUOTE] = ACTIONS(3383),
    [anon_sym_U_SQUOTE] = ACTIONS(3383),
    [anon_sym_u8_SQUOTE] = ACTIONS(3383),
    [anon_sym_SQUOTE] = ACTIONS(3383),
    [anon_sym_L_DQUOTE] = ACTIONS(3383),
    [anon_sym_u_DQUOTE] = ACTIONS(3383),
    [anon_sym_U_DQUOTE] = ACTIONS(3383),
    [anon_sym_u8_DQUOTE] = ACTIONS(3383),
    [anon_sym_DQUOTE] = ACTIONS(3383),
    [sym_true] = ACTIONS(3381),
    [sym_false] = ACTIONS(3381),
    [anon_sym_NULL] = ACTIONS(3381),
    [anon_sym_nullptr] = ACTIONS(3381),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3381),
    [anon_sym_decltype] = ACTIONS(3381),
    [anon_sym_virtual] = ACTIONS(3381),
    [anon_sym_alignas] = ACTIONS(3381),
    [anon_sym_explicit] = ACTIONS(3381),
    [anon_sym_typename] = ACTIONS(3381),
    [anon_sym_template] = ACTIONS(3381),
    [anon_sym_operator] = ACTIONS(3381),
    [anon_sym_try] = ACTIONS(3381),
    [anon_sym_delete] = ACTIONS(3381),
    [anon_sym_throw] = ACTIONS(3381),
    [anon_sym_namespace] = ACTIONS(3381),
    [anon_sym_using] = ACTIONS(3381),
    [anon_sym_static_assert] = ACTIONS(3381),
    [anon_sym_concept] = ACTIONS(3381),
    [anon_sym_co_return] = ACTIONS(3381),
    [anon_sym_co_yield] = ACTIONS(3381),
    [anon_sym_R_DQUOTE] = ACTIONS(3383),
    [anon_sym_LR_DQUOTE] = ACTIONS(3383),
    [anon_sym_uR_DQUOTE] = ACTIONS(3383),
    [anon_sym_UR_DQUOTE] = ACTIONS(3383),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3383),
    [anon_sym_co_await] = ACTIONS(3381),
    [anon_sym_new] = ACTIONS(3381),
    [anon_sym_requires] = ACTIONS(3381),
    [sym_this] = ACTIONS(3381),
  },
  [934] = {
    [sym_identifier] = ACTIONS(3322),
    [aux_sym_preproc_include_token1] = ACTIONS(3322),
    [aux_sym_preproc_def_token1] = ACTIONS(3322),
    [aux_sym_preproc_if_token1] = ACTIONS(3322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3322),
    [sym_preproc_directive] = ACTIONS(3322),
    [anon_sym_LPAREN2] = ACTIONS(3324),
    [anon_sym_BANG] = ACTIONS(3324),
    [anon_sym_TILDE] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3322),
    [anon_sym_PLUS] = ACTIONS(3322),
    [anon_sym_STAR] = ACTIONS(3324),
    [anon_sym_AMP_AMP] = ACTIONS(3324),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym_SEMI] = ACTIONS(3324),
    [anon_sym___extension__] = ACTIONS(3322),
    [anon_sym_typedef] = ACTIONS(3322),
    [anon_sym_extern] = ACTIONS(3322),
    [anon_sym___attribute__] = ACTIONS(3322),
    [anon_sym_COLON_COLON] = ACTIONS(3324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3324),
    [anon_sym___declspec] = ACTIONS(3322),
    [anon_sym___based] = ACTIONS(3322),
    [anon_sym___cdecl] = ACTIONS(3322),
    [anon_sym___clrcall] = ACTIONS(3322),
    [anon_sym___stdcall] = ACTIONS(3322),
    [anon_sym___fastcall] = ACTIONS(3322),
    [anon_sym___thiscall] = ACTIONS(3322),
    [anon_sym___vectorcall] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3324),
    [anon_sym_RBRACE] = ACTIONS(3324),
    [anon_sym_signed] = ACTIONS(3322),
    [anon_sym_unsigned] = ACTIONS(3322),
    [anon_sym_long] = ACTIONS(3322),
    [anon_sym_short] = ACTIONS(3322),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_static] = ACTIONS(3322),
    [anon_sym_register] = ACTIONS(3322),
    [anon_sym_inline] = ACTIONS(3322),
    [anon_sym___inline] = ACTIONS(3322),
    [anon_sym___inline__] = ACTIONS(3322),
    [anon_sym___forceinline] = ACTIONS(3322),
    [anon_sym_thread_local] = ACTIONS(3322),
    [anon_sym___thread] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_constexpr] = ACTIONS(3322),
    [anon_sym_volatile] = ACTIONS(3322),
    [anon_sym_restrict] = ACTIONS(3322),
    [anon_sym___restrict__] = ACTIONS(3322),
    [anon_sym__Atomic] = ACTIONS(3322),
    [anon_sym__Noreturn] = ACTIONS(3322),
    [anon_sym_noreturn] = ACTIONS(3322),
    [anon_sym_mutable] = ACTIONS(3322),
    [anon_sym_constinit] = ACTIONS(3322),
    [anon_sym_consteval] = ACTIONS(3322),
    [anon_sym_PROGMEM] = ACTIONS(3322),
    [aux_sym_primitive_type_token1] = ACTIONS(3322),
    [anon_sym_byte] = ACTIONS(3322),
    [anon_sym_word] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3322),
    [anon_sym_struct] = ACTIONS(3322),
    [anon_sym_union] = ACTIONS(3322),
    [anon_sym_if] = ACTIONS(3322),
    [anon_sym_switch] = ACTIONS(3322),
    [anon_sym_case] = ACTIONS(3322),
    [anon_sym_default] = ACTIONS(3322),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_do] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3322),
    [anon_sym_return] = ACTIONS(3322),
    [anon_sym_break] = ACTIONS(3322),
    [anon_sym_continue] = ACTIONS(3322),
    [anon_sym_goto] = ACTIONS(3322),
    [anon_sym___try] = ACTIONS(3322),
    [anon_sym___leave] = ACTIONS(3322),
    [anon_sym_not] = ACTIONS(3322),
    [anon_sym_compl] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3324),
    [anon_sym_PLUS_PLUS] = ACTIONS(3324),
    [anon_sym_sizeof] = ACTIONS(3322),
    [anon_sym___alignof__] = ACTIONS(3322),
    [anon_sym___alignof] = ACTIONS(3322),
    [anon_sym__alignof] = ACTIONS(3322),
    [anon_sym_alignof] = ACTIONS(3322),
    [anon_sym__Alignof] = ACTIONS(3322),
    [anon_sym_offsetof] = ACTIONS(3322),
    [anon_sym__Generic] = ACTIONS(3322),
    [anon_sym_asm] = ACTIONS(3322),
    [anon_sym___asm__] = ACTIONS(3322),
    [aux_sym_number_literal_token1] = ACTIONS(3324),
    [aux_sym_number_literal_token2] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3324),
    [anon_sym_u_DQUOTE] = ACTIONS(3324),
    [anon_sym_U_DQUOTE] = ACTIONS(3324),
    [anon_sym_u8_DQUOTE] = ACTIONS(3324),
    [anon_sym_DQUOTE] = ACTIONS(3324),
    [sym_true] = ACTIONS(3322),
    [sym_false] = ACTIONS(3322),
    [anon_sym_NULL] = ACTIONS(3322),
    [anon_sym_nullptr] = ACTIONS(3322),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3322),
    [anon_sym_decltype] = ACTIONS(3322),
    [anon_sym_virtual] = ACTIONS(3322),
    [anon_sym_alignas] = ACTIONS(3322),
    [anon_sym_explicit] = ACTIONS(3322),
    [anon_sym_typename] = ACTIONS(3322),
    [anon_sym_template] = ACTIONS(3322),
    [anon_sym_operator] = ACTIONS(3322),
    [anon_sym_try] = ACTIONS(3322),
    [anon_sym_delete] = ACTIONS(3322),
    [anon_sym_throw] = ACTIONS(3322),
    [anon_sym_namespace] = ACTIONS(3322),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_static_assert] = ACTIONS(3322),
    [anon_sym_concept] = ACTIONS(3322),
    [anon_sym_co_return] = ACTIONS(3322),
    [anon_sym_co_yield] = ACTIONS(3322),
    [anon_sym_R_DQUOTE] = ACTIONS(3324),
    [anon_sym_LR_DQUOTE] = ACTIONS(3324),
    [anon_sym_uR_DQUOTE] = ACTIONS(3324),
    [anon_sym_UR_DQUOTE] = ACTIONS(3324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3324),
    [anon_sym_co_await] = ACTIONS(3322),
    [anon_sym_new] = ACTIONS(3322),
    [anon_sym_requires] = ACTIONS(3322),
    [sym_this] = ACTIONS(3322),
  },
  [935] = {
    [sym_identifier] = ACTIONS(3322),
    [aux_sym_preproc_include_token1] = ACTIONS(3322),
    [aux_sym_preproc_def_token1] = ACTIONS(3322),
    [aux_sym_preproc_if_token1] = ACTIONS(3322),
    [aux_sym_preproc_if_token2] = ACTIONS(3322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3322),
    [sym_preproc_directive] = ACTIONS(3322),
    [anon_sym_LPAREN2] = ACTIONS(3324),
    [anon_sym_BANG] = ACTIONS(3324),
    [anon_sym_TILDE] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3322),
    [anon_sym_PLUS] = ACTIONS(3322),
    [anon_sym_STAR] = ACTIONS(3324),
    [anon_sym_AMP_AMP] = ACTIONS(3324),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym_SEMI] = ACTIONS(3324),
    [anon_sym___extension__] = ACTIONS(3322),
    [anon_sym_typedef] = ACTIONS(3322),
    [anon_sym_extern] = ACTIONS(3322),
    [anon_sym___attribute__] = ACTIONS(3322),
    [anon_sym_COLON_COLON] = ACTIONS(3324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3324),
    [anon_sym___declspec] = ACTIONS(3322),
    [anon_sym___based] = ACTIONS(3322),
    [anon_sym___cdecl] = ACTIONS(3322),
    [anon_sym___clrcall] = ACTIONS(3322),
    [anon_sym___stdcall] = ACTIONS(3322),
    [anon_sym___fastcall] = ACTIONS(3322),
    [anon_sym___thiscall] = ACTIONS(3322),
    [anon_sym___vectorcall] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3324),
    [anon_sym_signed] = ACTIONS(3322),
    [anon_sym_unsigned] = ACTIONS(3322),
    [anon_sym_long] = ACTIONS(3322),
    [anon_sym_short] = ACTIONS(3322),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_static] = ACTIONS(3322),
    [anon_sym_register] = ACTIONS(3322),
    [anon_sym_inline] = ACTIONS(3322),
    [anon_sym___inline] = ACTIONS(3322),
    [anon_sym___inline__] = ACTIONS(3322),
    [anon_sym___forceinline] = ACTIONS(3322),
    [anon_sym_thread_local] = ACTIONS(3322),
    [anon_sym___thread] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_constexpr] = ACTIONS(3322),
    [anon_sym_volatile] = ACTIONS(3322),
    [anon_sym_restrict] = ACTIONS(3322),
    [anon_sym___restrict__] = ACTIONS(3322),
    [anon_sym__Atomic] = ACTIONS(3322),
    [anon_sym__Noreturn] = ACTIONS(3322),
    [anon_sym_noreturn] = ACTIONS(3322),
    [anon_sym_mutable] = ACTIONS(3322),
    [anon_sym_constinit] = ACTIONS(3322),
    [anon_sym_consteval] = ACTIONS(3322),
    [anon_sym_PROGMEM] = ACTIONS(3322),
    [aux_sym_primitive_type_token1] = ACTIONS(3322),
    [anon_sym_byte] = ACTIONS(3322),
    [anon_sym_word] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3322),
    [anon_sym_struct] = ACTIONS(3322),
    [anon_sym_union] = ACTIONS(3322),
    [anon_sym_if] = ACTIONS(3322),
    [anon_sym_switch] = ACTIONS(3322),
    [anon_sym_case] = ACTIONS(3322),
    [anon_sym_default] = ACTIONS(3322),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_do] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3322),
    [anon_sym_return] = ACTIONS(3322),
    [anon_sym_break] = ACTIONS(3322),
    [anon_sym_continue] = ACTIONS(3322),
    [anon_sym_goto] = ACTIONS(3322),
    [anon_sym___try] = ACTIONS(3322),
    [anon_sym___leave] = ACTIONS(3322),
    [anon_sym_not] = ACTIONS(3322),
    [anon_sym_compl] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3324),
    [anon_sym_PLUS_PLUS] = ACTIONS(3324),
    [anon_sym_sizeof] = ACTIONS(3322),
    [anon_sym___alignof__] = ACTIONS(3322),
    [anon_sym___alignof] = ACTIONS(3322),
    [anon_sym__alignof] = ACTIONS(3322),
    [anon_sym_alignof] = ACTIONS(3322),
    [anon_sym__Alignof] = ACTIONS(3322),
    [anon_sym_offsetof] = ACTIONS(3322),
    [anon_sym__Generic] = ACTIONS(3322),
    [anon_sym_asm] = ACTIONS(3322),
    [anon_sym___asm__] = ACTIONS(3322),
    [aux_sym_number_literal_token1] = ACTIONS(3324),
    [aux_sym_number_literal_token2] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3324),
    [anon_sym_u_DQUOTE] = ACTIONS(3324),
    [anon_sym_U_DQUOTE] = ACTIONS(3324),
    [anon_sym_u8_DQUOTE] = ACTIONS(3324),
    [anon_sym_DQUOTE] = ACTIONS(3324),
    [sym_true] = ACTIONS(3322),
    [sym_false] = ACTIONS(3322),
    [anon_sym_NULL] = ACTIONS(3322),
    [anon_sym_nullptr] = ACTIONS(3322),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3322),
    [anon_sym_decltype] = ACTIONS(3322),
    [anon_sym_virtual] = ACTIONS(3322),
    [anon_sym_alignas] = ACTIONS(3322),
    [anon_sym_explicit] = ACTIONS(3322),
    [anon_sym_typename] = ACTIONS(3322),
    [anon_sym_template] = ACTIONS(3322),
    [anon_sym_operator] = ACTIONS(3322),
    [anon_sym_try] = ACTIONS(3322),
    [anon_sym_delete] = ACTIONS(3322),
    [anon_sym_throw] = ACTIONS(3322),
    [anon_sym_namespace] = ACTIONS(3322),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_static_assert] = ACTIONS(3322),
    [anon_sym_concept] = ACTIONS(3322),
    [anon_sym_co_return] = ACTIONS(3322),
    [anon_sym_co_yield] = ACTIONS(3322),
    [anon_sym_R_DQUOTE] = ACTIONS(3324),
    [anon_sym_LR_DQUOTE] = ACTIONS(3324),
    [anon_sym_uR_DQUOTE] = ACTIONS(3324),
    [anon_sym_UR_DQUOTE] = ACTIONS(3324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3324),
    [anon_sym_co_await] = ACTIONS(3322),
    [anon_sym_new] = ACTIONS(3322),
    [anon_sym_requires] = ACTIONS(3322),
    [sym_this] = ACTIONS(3322),
  },
  [936] = {
    [sym_identifier] = ACTIONS(3180),
    [aux_sym_preproc_include_token1] = ACTIONS(3180),
    [aux_sym_preproc_def_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token2] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3180),
    [sym_preproc_directive] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_STAR] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym___extension__] = ACTIONS(3180),
    [anon_sym_typedef] = ACTIONS(3180),
    [anon_sym_extern] = ACTIONS(3180),
    [anon_sym___attribute__] = ACTIONS(3180),
    [anon_sym_COLON_COLON] = ACTIONS(3182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3182),
    [anon_sym___declspec] = ACTIONS(3180),
    [anon_sym___based] = ACTIONS(3180),
    [anon_sym___cdecl] = ACTIONS(3180),
    [anon_sym___clrcall] = ACTIONS(3180),
    [anon_sym___stdcall] = ACTIONS(3180),
    [anon_sym___fastcall] = ACTIONS(3180),
    [anon_sym___thiscall] = ACTIONS(3180),
    [anon_sym___vectorcall] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_signed] = ACTIONS(3180),
    [anon_sym_unsigned] = ACTIONS(3180),
    [anon_sym_long] = ACTIONS(3180),
    [anon_sym_short] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_register] = ACTIONS(3180),
    [anon_sym_inline] = ACTIONS(3180),
    [anon_sym___inline] = ACTIONS(3180),
    [anon_sym___inline__] = ACTIONS(3180),
    [anon_sym___forceinline] = ACTIONS(3180),
    [anon_sym_thread_local] = ACTIONS(3180),
    [anon_sym___thread] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_constexpr] = ACTIONS(3180),
    [anon_sym_volatile] = ACTIONS(3180),
    [anon_sym_restrict] = ACTIONS(3180),
    [anon_sym___restrict__] = ACTIONS(3180),
    [anon_sym__Atomic] = ACTIONS(3180),
    [anon_sym__Noreturn] = ACTIONS(3180),
    [anon_sym_noreturn] = ACTIONS(3180),
    [anon_sym_mutable] = ACTIONS(3180),
    [anon_sym_constinit] = ACTIONS(3180),
    [anon_sym_consteval] = ACTIONS(3180),
    [anon_sym_PROGMEM] = ACTIONS(3180),
    [aux_sym_primitive_type_token1] = ACTIONS(3180),
    [anon_sym_byte] = ACTIONS(3180),
    [anon_sym_word] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_struct] = ACTIONS(3180),
    [anon_sym_union] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_case] = ACTIONS(3180),
    [anon_sym_default] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_goto] = ACTIONS(3180),
    [anon_sym___try] = ACTIONS(3180),
    [anon_sym___leave] = ACTIONS(3180),
    [anon_sym_not] = ACTIONS(3180),
    [anon_sym_compl] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_sizeof] = ACTIONS(3180),
    [anon_sym___alignof__] = ACTIONS(3180),
    [anon_sym___alignof] = ACTIONS(3180),
    [anon_sym__alignof] = ACTIONS(3180),
    [anon_sym_alignof] = ACTIONS(3180),
    [anon_sym__Alignof] = ACTIONS(3180),
    [anon_sym_offsetof] = ACTIONS(3180),
    [anon_sym__Generic] = ACTIONS(3180),
    [anon_sym_asm] = ACTIONS(3180),
    [anon_sym___asm__] = ACTIONS(3180),
    [aux_sym_number_literal_token1] = ACTIONS(3182),
    [aux_sym_number_literal_token2] = ACTIONS(3180),
    [anon_sym_L_SQUOTE] = ACTIONS(3182),
    [anon_sym_u_SQUOTE] = ACTIONS(3182),
    [anon_sym_U_SQUOTE] = ACTIONS(3182),
    [anon_sym_u8_SQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [anon_sym_L_DQUOTE] = ACTIONS(3182),
    [anon_sym_u_DQUOTE] = ACTIONS(3182),
    [anon_sym_U_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8_DQUOTE] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [anon_sym_NULL] = ACTIONS(3180),
    [anon_sym_nullptr] = ACTIONS(3180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3180),
    [anon_sym_decltype] = ACTIONS(3180),
    [anon_sym_virtual] = ACTIONS(3180),
    [anon_sym_alignas] = ACTIONS(3180),
    [anon_sym_explicit] = ACTIONS(3180),
    [anon_sym_typename] = ACTIONS(3180),
    [anon_sym_template] = ACTIONS(3180),
    [anon_sym_operator] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_static_assert] = ACTIONS(3180),
    [anon_sym_concept] = ACTIONS(3180),
    [anon_sym_co_return] = ACTIONS(3180),
    [anon_sym_co_yield] = ACTIONS(3180),
    [anon_sym_R_DQUOTE] = ACTIONS(3182),
    [anon_sym_LR_DQUOTE] = ACTIONS(3182),
    [anon_sym_uR_DQUOTE] = ACTIONS(3182),
    [anon_sym_UR_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3182),
    [anon_sym_co_await] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_requires] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
  },
  [937] = {
    [sym_identifier] = ACTIONS(3503),
    [aux_sym_preproc_include_token1] = ACTIONS(3503),
    [aux_sym_preproc_def_token1] = ACTIONS(3503),
    [aux_sym_preproc_if_token1] = ACTIONS(3503),
    [aux_sym_preproc_if_token2] = ACTIONS(3503),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3503),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3503),
    [sym_preproc_directive] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(3505),
    [anon_sym_BANG] = ACTIONS(3505),
    [anon_sym_TILDE] = ACTIONS(3505),
    [anon_sym_DASH] = ACTIONS(3503),
    [anon_sym_PLUS] = ACTIONS(3503),
    [anon_sym_STAR] = ACTIONS(3505),
    [anon_sym_AMP_AMP] = ACTIONS(3505),
    [anon_sym_AMP] = ACTIONS(3503),
    [anon_sym_SEMI] = ACTIONS(3505),
    [anon_sym___extension__] = ACTIONS(3503),
    [anon_sym_typedef] = ACTIONS(3503),
    [anon_sym_extern] = ACTIONS(3503),
    [anon_sym___attribute__] = ACTIONS(3503),
    [anon_sym_COLON_COLON] = ACTIONS(3505),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3505),
    [anon_sym___declspec] = ACTIONS(3503),
    [anon_sym___based] = ACTIONS(3503),
    [anon_sym___cdecl] = ACTIONS(3503),
    [anon_sym___clrcall] = ACTIONS(3503),
    [anon_sym___stdcall] = ACTIONS(3503),
    [anon_sym___fastcall] = ACTIONS(3503),
    [anon_sym___thiscall] = ACTIONS(3503),
    [anon_sym___vectorcall] = ACTIONS(3503),
    [anon_sym_LBRACE] = ACTIONS(3505),
    [anon_sym_signed] = ACTIONS(3503),
    [anon_sym_unsigned] = ACTIONS(3503),
    [anon_sym_long] = ACTIONS(3503),
    [anon_sym_short] = ACTIONS(3503),
    [anon_sym_LBRACK] = ACTIONS(3503),
    [anon_sym_static] = ACTIONS(3503),
    [anon_sym_register] = ACTIONS(3503),
    [anon_sym_inline] = ACTIONS(3503),
    [anon_sym___inline] = ACTIONS(3503),
    [anon_sym___inline__] = ACTIONS(3503),
    [anon_sym___forceinline] = ACTIONS(3503),
    [anon_sym_thread_local] = ACTIONS(3503),
    [anon_sym___thread] = ACTIONS(3503),
    [anon_sym_const] = ACTIONS(3503),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(3503),
    [anon_sym_restrict] = ACTIONS(3503),
    [anon_sym___restrict__] = ACTIONS(3503),
    [anon_sym__Atomic] = ACTIONS(3503),
    [anon_sym__Noreturn] = ACTIONS(3503),
    [anon_sym_noreturn] = ACTIONS(3503),
    [anon_sym_mutable] = ACTIONS(3503),
    [anon_sym_constinit] = ACTIONS(3503),
    [anon_sym_consteval] = ACTIONS(3503),
    [anon_sym_PROGMEM] = ACTIONS(3503),
    [aux_sym_primitive_type_token1] = ACTIONS(3503),
    [anon_sym_byte] = ACTIONS(3503),
    [anon_sym_word] = ACTIONS(3503),
    [anon_sym_enum] = ACTIONS(3503),
    [anon_sym_class] = ACTIONS(3503),
    [anon_sym_struct] = ACTIONS(3503),
    [anon_sym_union] = ACTIONS(3503),
    [anon_sym_if] = ACTIONS(3503),
    [anon_sym_switch] = ACTIONS(3503),
    [anon_sym_case] = ACTIONS(3503),
    [anon_sym_default] = ACTIONS(3503),
    [anon_sym_while] = ACTIONS(3503),
    [anon_sym_do] = ACTIONS(3503),
    [anon_sym_for] = ACTIONS(3503),
    [anon_sym_return] = ACTIONS(3503),
    [anon_sym_break] = ACTIONS(3503),
    [anon_sym_continue] = ACTIONS(3503),
    [anon_sym_goto] = ACTIONS(3503),
    [anon_sym___try] = ACTIONS(3503),
    [anon_sym___leave] = ACTIONS(3503),
    [anon_sym_not] = ACTIONS(3503),
    [anon_sym_compl] = ACTIONS(3503),
    [anon_sym_DASH_DASH] = ACTIONS(3505),
    [anon_sym_PLUS_PLUS] = ACTIONS(3505),
    [anon_sym_sizeof] = ACTIONS(3503),
    [anon_sym___alignof__] = ACTIONS(3503),
    [anon_sym___alignof] = ACTIONS(3503),
    [anon_sym__alignof] = ACTIONS(3503),
    [anon_sym_alignof] = ACTIONS(3503),
    [anon_sym__Alignof] = ACTIONS(3503),
    [anon_sym_offsetof] = ACTIONS(3503),
    [anon_sym__Generic] = ACTIONS(3503),
    [anon_sym_asm] = ACTIONS(3503),
    [anon_sym___asm__] = ACTIONS(3503),
    [aux_sym_number_literal_token1] = ACTIONS(3505),
    [aux_sym_number_literal_token2] = ACTIONS(3503),
    [anon_sym_L_SQUOTE] = ACTIONS(3505),
    [anon_sym_u_SQUOTE] = ACTIONS(3505),
    [anon_sym_U_SQUOTE] = ACTIONS(3505),
    [anon_sym_u8_SQUOTE] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(3505),
    [anon_sym_L_DQUOTE] = ACTIONS(3505),
    [anon_sym_u_DQUOTE] = ACTIONS(3505),
    [anon_sym_U_DQUOTE] = ACTIONS(3505),
    [anon_sym_u8_DQUOTE] = ACTIONS(3505),
    [anon_sym_DQUOTE] = ACTIONS(3505),
    [sym_true] = ACTIONS(3503),
    [sym_false] = ACTIONS(3503),
    [anon_sym_NULL] = ACTIONS(3503),
    [anon_sym_nullptr] = ACTIONS(3503),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3503),
    [anon_sym_decltype] = ACTIONS(3503),
    [anon_sym_virtual] = ACTIONS(3503),
    [anon_sym_alignas] = ACTIONS(3503),
    [anon_sym_explicit] = ACTIONS(3503),
    [anon_sym_typename] = ACTIONS(3503),
    [anon_sym_template] = ACTIONS(3503),
    [anon_sym_operator] = ACTIONS(3503),
    [anon_sym_try] = ACTIONS(3503),
    [anon_sym_delete] = ACTIONS(3503),
    [anon_sym_throw] = ACTIONS(3503),
    [anon_sym_namespace] = ACTIONS(3503),
    [anon_sym_using] = ACTIONS(3503),
    [anon_sym_static_assert] = ACTIONS(3503),
    [anon_sym_concept] = ACTIONS(3503),
    [anon_sym_co_return] = ACTIONS(3503),
    [anon_sym_co_yield] = ACTIONS(3503),
    [anon_sym_R_DQUOTE] = ACTIONS(3505),
    [anon_sym_LR_DQUOTE] = ACTIONS(3505),
    [anon_sym_uR_DQUOTE] = ACTIONS(3505),
    [anon_sym_UR_DQUOTE] = ACTIONS(3505),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3505),
    [anon_sym_co_await] = ACTIONS(3503),
    [anon_sym_new] = ACTIONS(3503),
    [anon_sym_requires] = ACTIONS(3503),
    [sym_this] = ACTIONS(3503),
  },
  [938] = {
    [sym_identifier] = ACTIONS(3365),
    [aux_sym_preproc_include_token1] = ACTIONS(3365),
    [aux_sym_preproc_def_token1] = ACTIONS(3365),
    [aux_sym_preproc_if_token1] = ACTIONS(3365),
    [aux_sym_preproc_if_token2] = ACTIONS(3365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3365),
    [sym_preproc_directive] = ACTIONS(3365),
    [anon_sym_LPAREN2] = ACTIONS(3367),
    [anon_sym_BANG] = ACTIONS(3367),
    [anon_sym_TILDE] = ACTIONS(3367),
    [anon_sym_DASH] = ACTIONS(3365),
    [anon_sym_PLUS] = ACTIONS(3365),
    [anon_sym_STAR] = ACTIONS(3367),
    [anon_sym_AMP_AMP] = ACTIONS(3367),
    [anon_sym_AMP] = ACTIONS(3365),
    [anon_sym_SEMI] = ACTIONS(3367),
    [anon_sym___extension__] = ACTIONS(3365),
    [anon_sym_typedef] = ACTIONS(3365),
    [anon_sym_extern] = ACTIONS(3365),
    [anon_sym___attribute__] = ACTIONS(3365),
    [anon_sym_COLON_COLON] = ACTIONS(3367),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3367),
    [anon_sym___declspec] = ACTIONS(3365),
    [anon_sym___based] = ACTIONS(3365),
    [anon_sym___cdecl] = ACTIONS(3365),
    [anon_sym___clrcall] = ACTIONS(3365),
    [anon_sym___stdcall] = ACTIONS(3365),
    [anon_sym___fastcall] = ACTIONS(3365),
    [anon_sym___thiscall] = ACTIONS(3365),
    [anon_sym___vectorcall] = ACTIONS(3365),
    [anon_sym_LBRACE] = ACTIONS(3367),
    [anon_sym_signed] = ACTIONS(3365),
    [anon_sym_unsigned] = ACTIONS(3365),
    [anon_sym_long] = ACTIONS(3365),
    [anon_sym_short] = ACTIONS(3365),
    [anon_sym_LBRACK] = ACTIONS(3365),
    [anon_sym_static] = ACTIONS(3365),
    [anon_sym_register] = ACTIONS(3365),
    [anon_sym_inline] = ACTIONS(3365),
    [anon_sym___inline] = ACTIONS(3365),
    [anon_sym___inline__] = ACTIONS(3365),
    [anon_sym___forceinline] = ACTIONS(3365),
    [anon_sym_thread_local] = ACTIONS(3365),
    [anon_sym___thread] = ACTIONS(3365),
    [anon_sym_const] = ACTIONS(3365),
    [anon_sym_constexpr] = ACTIONS(3365),
    [anon_sym_volatile] = ACTIONS(3365),
    [anon_sym_restrict] = ACTIONS(3365),
    [anon_sym___restrict__] = ACTIONS(3365),
    [anon_sym__Atomic] = ACTIONS(3365),
    [anon_sym__Noreturn] = ACTIONS(3365),
    [anon_sym_noreturn] = ACTIONS(3365),
    [anon_sym_mutable] = ACTIONS(3365),
    [anon_sym_constinit] = ACTIONS(3365),
    [anon_sym_consteval] = ACTIONS(3365),
    [anon_sym_PROGMEM] = ACTIONS(3365),
    [aux_sym_primitive_type_token1] = ACTIONS(3365),
    [anon_sym_byte] = ACTIONS(3365),
    [anon_sym_word] = ACTIONS(3365),
    [anon_sym_enum] = ACTIONS(3365),
    [anon_sym_class] = ACTIONS(3365),
    [anon_sym_struct] = ACTIONS(3365),
    [anon_sym_union] = ACTIONS(3365),
    [anon_sym_if] = ACTIONS(3365),
    [anon_sym_switch] = ACTIONS(3365),
    [anon_sym_case] = ACTIONS(3365),
    [anon_sym_default] = ACTIONS(3365),
    [anon_sym_while] = ACTIONS(3365),
    [anon_sym_do] = ACTIONS(3365),
    [anon_sym_for] = ACTIONS(3365),
    [anon_sym_return] = ACTIONS(3365),
    [anon_sym_break] = ACTIONS(3365),
    [anon_sym_continue] = ACTIONS(3365),
    [anon_sym_goto] = ACTIONS(3365),
    [anon_sym___try] = ACTIONS(3365),
    [anon_sym___leave] = ACTIONS(3365),
    [anon_sym_not] = ACTIONS(3365),
    [anon_sym_compl] = ACTIONS(3365),
    [anon_sym_DASH_DASH] = ACTIONS(3367),
    [anon_sym_PLUS_PLUS] = ACTIONS(3367),
    [anon_sym_sizeof] = ACTIONS(3365),
    [anon_sym___alignof__] = ACTIONS(3365),
    [anon_sym___alignof] = ACTIONS(3365),
    [anon_sym__alignof] = ACTIONS(3365),
    [anon_sym_alignof] = ACTIONS(3365),
    [anon_sym__Alignof] = ACTIONS(3365),
    [anon_sym_offsetof] = ACTIONS(3365),
    [anon_sym__Generic] = ACTIONS(3365),
    [anon_sym_asm] = ACTIONS(3365),
    [anon_sym___asm__] = ACTIONS(3365),
    [aux_sym_number_literal_token1] = ACTIONS(3367),
    [aux_sym_number_literal_token2] = ACTIONS(3365),
    [anon_sym_L_SQUOTE] = ACTIONS(3367),
    [anon_sym_u_SQUOTE] = ACTIONS(3367),
    [anon_sym_U_SQUOTE] = ACTIONS(3367),
    [anon_sym_u8_SQUOTE] = ACTIONS(3367),
    [anon_sym_SQUOTE] = ACTIONS(3367),
    [anon_sym_L_DQUOTE] = ACTIONS(3367),
    [anon_sym_u_DQUOTE] = ACTIONS(3367),
    [anon_sym_U_DQUOTE] = ACTIONS(3367),
    [anon_sym_u8_DQUOTE] = ACTIONS(3367),
    [anon_sym_DQUOTE] = ACTIONS(3367),
    [sym_true] = ACTIONS(3365),
    [sym_false] = ACTIONS(3365),
    [anon_sym_NULL] = ACTIONS(3365),
    [anon_sym_nullptr] = ACTIONS(3365),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3365),
    [anon_sym_decltype] = ACTIONS(3365),
    [anon_sym_virtual] = ACTIONS(3365),
    [anon_sym_alignas] = ACTIONS(3365),
    [anon_sym_explicit] = ACTIONS(3365),
    [anon_sym_typename] = ACTIONS(3365),
    [anon_sym_template] = ACTIONS(3365),
    [anon_sym_operator] = ACTIONS(3365),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_delete] = ACTIONS(3365),
    [anon_sym_throw] = ACTIONS(3365),
    [anon_sym_namespace] = ACTIONS(3365),
    [anon_sym_using] = ACTIONS(3365),
    [anon_sym_static_assert] = ACTIONS(3365),
    [anon_sym_concept] = ACTIONS(3365),
    [anon_sym_co_return] = ACTIONS(3365),
    [anon_sym_co_yield] = ACTIONS(3365),
    [anon_sym_R_DQUOTE] = ACTIONS(3367),
    [anon_sym_LR_DQUOTE] = ACTIONS(3367),
    [anon_sym_uR_DQUOTE] = ACTIONS(3367),
    [anon_sym_UR_DQUOTE] = ACTIONS(3367),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3367),
    [anon_sym_co_await] = ACTIONS(3365),
    [anon_sym_new] = ACTIONS(3365),
    [anon_sym_requires] = ACTIONS(3365),
    [sym_this] = ACTIONS(3365),
  },
  [939] = {
    [sym_identifier] = ACTIONS(3204),
    [aux_sym_preproc_include_token1] = ACTIONS(3204),
    [aux_sym_preproc_def_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3204),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_AMP_AMP] = ACTIONS(3206),
    [anon_sym_AMP] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym___extension__] = ACTIONS(3204),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_extern] = ACTIONS(3204),
    [anon_sym___attribute__] = ACTIONS(3204),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3206),
    [anon_sym___declspec] = ACTIONS(3204),
    [anon_sym___based] = ACTIONS(3204),
    [anon_sym___cdecl] = ACTIONS(3204),
    [anon_sym___clrcall] = ACTIONS(3204),
    [anon_sym___stdcall] = ACTIONS(3204),
    [anon_sym___fastcall] = ACTIONS(3204),
    [anon_sym___thiscall] = ACTIONS(3204),
    [anon_sym___vectorcall] = ACTIONS(3204),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_RBRACE] = ACTIONS(3206),
    [anon_sym_signed] = ACTIONS(3204),
    [anon_sym_unsigned] = ACTIONS(3204),
    [anon_sym_long] = ACTIONS(3204),
    [anon_sym_short] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_static] = ACTIONS(3204),
    [anon_sym_register] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(3204),
    [anon_sym___inline] = ACTIONS(3204),
    [anon_sym___inline__] = ACTIONS(3204),
    [anon_sym___forceinline] = ACTIONS(3204),
    [anon_sym_thread_local] = ACTIONS(3204),
    [anon_sym___thread] = ACTIONS(3204),
    [anon_sym_const] = ACTIONS(3204),
    [anon_sym_constexpr] = ACTIONS(3204),
    [anon_sym_volatile] = ACTIONS(3204),
    [anon_sym_restrict] = ACTIONS(3204),
    [anon_sym___restrict__] = ACTIONS(3204),
    [anon_sym__Atomic] = ACTIONS(3204),
    [anon_sym__Noreturn] = ACTIONS(3204),
    [anon_sym_noreturn] = ACTIONS(3204),
    [anon_sym_mutable] = ACTIONS(3204),
    [anon_sym_constinit] = ACTIONS(3204),
    [anon_sym_consteval] = ACTIONS(3204),
    [anon_sym_PROGMEM] = ACTIONS(3204),
    [aux_sym_primitive_type_token1] = ACTIONS(3204),
    [anon_sym_byte] = ACTIONS(3204),
    [anon_sym_word] = ACTIONS(3204),
    [anon_sym_enum] = ACTIONS(3204),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_struct] = ACTIONS(3204),
    [anon_sym_union] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3204),
    [anon_sym_switch] = ACTIONS(3204),
    [anon_sym_case] = ACTIONS(3204),
    [anon_sym_default] = ACTIONS(3204),
    [anon_sym_while] = ACTIONS(3204),
    [anon_sym_do] = ACTIONS(3204),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_return] = ACTIONS(3204),
    [anon_sym_break] = ACTIONS(3204),
    [anon_sym_continue] = ACTIONS(3204),
    [anon_sym_goto] = ACTIONS(3204),
    [anon_sym___try] = ACTIONS(3204),
    [anon_sym___leave] = ACTIONS(3204),
    [anon_sym_not] = ACTIONS(3204),
    [anon_sym_compl] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_sizeof] = ACTIONS(3204),
    [anon_sym___alignof__] = ACTIONS(3204),
    [anon_sym___alignof] = ACTIONS(3204),
    [anon_sym__alignof] = ACTIONS(3204),
    [anon_sym_alignof] = ACTIONS(3204),
    [anon_sym__Alignof] = ACTIONS(3204),
    [anon_sym_offsetof] = ACTIONS(3204),
    [anon_sym__Generic] = ACTIONS(3204),
    [anon_sym_asm] = ACTIONS(3204),
    [anon_sym___asm__] = ACTIONS(3204),
    [aux_sym_number_literal_token1] = ACTIONS(3206),
    [aux_sym_number_literal_token2] = ACTIONS(3204),
    [anon_sym_L_SQUOTE] = ACTIONS(3206),
    [anon_sym_u_SQUOTE] = ACTIONS(3206),
    [anon_sym_U_SQUOTE] = ACTIONS(3206),
    [anon_sym_u8_SQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [anon_sym_L_DQUOTE] = ACTIONS(3206),
    [anon_sym_u_DQUOTE] = ACTIONS(3206),
    [anon_sym_U_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8_DQUOTE] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [sym_true] = ACTIONS(3204),
    [sym_false] = ACTIONS(3204),
    [anon_sym_NULL] = ACTIONS(3204),
    [anon_sym_nullptr] = ACTIONS(3204),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3204),
    [anon_sym_decltype] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(3204),
    [anon_sym_alignas] = ACTIONS(3204),
    [anon_sym_explicit] = ACTIONS(3204),
    [anon_sym_typename] = ACTIONS(3204),
    [anon_sym_template] = ACTIONS(3204),
    [anon_sym_operator] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3204),
    [anon_sym_delete] = ACTIONS(3204),
    [anon_sym_throw] = ACTIONS(3204),
    [anon_sym_namespace] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3204),
    [anon_sym_static_assert] = ACTIONS(3204),
    [anon_sym_concept] = ACTIONS(3204),
    [anon_sym_co_return] = ACTIONS(3204),
    [anon_sym_co_yield] = ACTIONS(3204),
    [anon_sym_R_DQUOTE] = ACTIONS(3206),
    [anon_sym_LR_DQUOTE] = ACTIONS(3206),
    [anon_sym_uR_DQUOTE] = ACTIONS(3206),
    [anon_sym_UR_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3206),
    [anon_sym_co_await] = ACTIONS(3204),
    [anon_sym_new] = ACTIONS(3204),
    [anon_sym_requires] = ACTIONS(3204),
    [sym_this] = ACTIONS(3204),
  },
  [940] = {
    [sym_identifier] = ACTIONS(3216),
    [aux_sym_preproc_include_token1] = ACTIONS(3216),
    [aux_sym_preproc_def_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token2] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3216),
    [sym_preproc_directive] = ACTIONS(3216),
    [anon_sym_LPAREN2] = ACTIONS(3218),
    [anon_sym_BANG] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3218),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3218),
    [anon_sym___extension__] = ACTIONS(3216),
    [anon_sym_typedef] = ACTIONS(3216),
    [anon_sym_extern] = ACTIONS(3216),
    [anon_sym___attribute__] = ACTIONS(3216),
    [anon_sym_COLON_COLON] = ACTIONS(3218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3218),
    [anon_sym___declspec] = ACTIONS(3216),
    [anon_sym___based] = ACTIONS(3216),
    [anon_sym___cdecl] = ACTIONS(3216),
    [anon_sym___clrcall] = ACTIONS(3216),
    [anon_sym___stdcall] = ACTIONS(3216),
    [anon_sym___fastcall] = ACTIONS(3216),
    [anon_sym___thiscall] = ACTIONS(3216),
    [anon_sym___vectorcall] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_signed] = ACTIONS(3216),
    [anon_sym_unsigned] = ACTIONS(3216),
    [anon_sym_long] = ACTIONS(3216),
    [anon_sym_short] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_register] = ACTIONS(3216),
    [anon_sym_inline] = ACTIONS(3216),
    [anon_sym___inline] = ACTIONS(3216),
    [anon_sym___inline__] = ACTIONS(3216),
    [anon_sym___forceinline] = ACTIONS(3216),
    [anon_sym_thread_local] = ACTIONS(3216),
    [anon_sym___thread] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_constexpr] = ACTIONS(3216),
    [anon_sym_volatile] = ACTIONS(3216),
    [anon_sym_restrict] = ACTIONS(3216),
    [anon_sym___restrict__] = ACTIONS(3216),
    [anon_sym__Atomic] = ACTIONS(3216),
    [anon_sym__Noreturn] = ACTIONS(3216),
    [anon_sym_noreturn] = ACTIONS(3216),
    [anon_sym_mutable] = ACTIONS(3216),
    [anon_sym_constinit] = ACTIONS(3216),
    [anon_sym_consteval] = ACTIONS(3216),
    [anon_sym_PROGMEM] = ACTIONS(3216),
    [aux_sym_primitive_type_token1] = ACTIONS(3216),
    [anon_sym_byte] = ACTIONS(3216),
    [anon_sym_word] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3216),
    [anon_sym_union] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_case] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_goto] = ACTIONS(3216),
    [anon_sym___try] = ACTIONS(3216),
    [anon_sym___leave] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(3216),
    [anon_sym_compl] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_sizeof] = ACTIONS(3216),
    [anon_sym___alignof__] = ACTIONS(3216),
    [anon_sym___alignof] = ACTIONS(3216),
    [anon_sym__alignof] = ACTIONS(3216),
    [anon_sym_alignof] = ACTIONS(3216),
    [anon_sym__Alignof] = ACTIONS(3216),
    [anon_sym_offsetof] = ACTIONS(3216),
    [anon_sym__Generic] = ACTIONS(3216),
    [anon_sym_asm] = ACTIONS(3216),
    [anon_sym___asm__] = ACTIONS(3216),
    [aux_sym_number_literal_token1] = ACTIONS(3218),
    [aux_sym_number_literal_token2] = ACTIONS(3216),
    [anon_sym_L_SQUOTE] = ACTIONS(3218),
    [anon_sym_u_SQUOTE] = ACTIONS(3218),
    [anon_sym_U_SQUOTE] = ACTIONS(3218),
    [anon_sym_u8_SQUOTE] = ACTIONS(3218),
    [anon_sym_SQUOTE] = ACTIONS(3218),
    [anon_sym_L_DQUOTE] = ACTIONS(3218),
    [anon_sym_u_DQUOTE] = ACTIONS(3218),
    [anon_sym_U_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8_DQUOTE] = ACTIONS(3218),
    [anon_sym_DQUOTE] = ACTIONS(3218),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [anon_sym_NULL] = ACTIONS(3216),
    [anon_sym_nullptr] = ACTIONS(3216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3216),
    [anon_sym_decltype] = ACTIONS(3216),
    [anon_sym_virtual] = ACTIONS(3216),
    [anon_sym_alignas] = ACTIONS(3216),
    [anon_sym_explicit] = ACTIONS(3216),
    [anon_sym_typename] = ACTIONS(3216),
    [anon_sym_template] = ACTIONS(3216),
    [anon_sym_operator] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_static_assert] = ACTIONS(3216),
    [anon_sym_concept] = ACTIONS(3216),
    [anon_sym_co_return] = ACTIONS(3216),
    [anon_sym_co_yield] = ACTIONS(3216),
    [anon_sym_R_DQUOTE] = ACTIONS(3218),
    [anon_sym_LR_DQUOTE] = ACTIONS(3218),
    [anon_sym_uR_DQUOTE] = ACTIONS(3218),
    [anon_sym_UR_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3218),
    [anon_sym_co_await] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_requires] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
  },
  [941] = {
    [sym_identifier] = ACTIONS(3316),
    [aux_sym_preproc_include_token1] = ACTIONS(3316),
    [aux_sym_preproc_def_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token2] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3316),
    [sym_preproc_directive] = ACTIONS(3316),
    [anon_sym_LPAREN2] = ACTIONS(3318),
    [anon_sym_BANG] = ACTIONS(3318),
    [anon_sym_TILDE] = ACTIONS(3318),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_STAR] = ACTIONS(3318),
    [anon_sym_AMP_AMP] = ACTIONS(3318),
    [anon_sym_AMP] = ACTIONS(3316),
    [anon_sym_SEMI] = ACTIONS(3318),
    [anon_sym___extension__] = ACTIONS(3316),
    [anon_sym_typedef] = ACTIONS(3316),
    [anon_sym_extern] = ACTIONS(3316),
    [anon_sym___attribute__] = ACTIONS(3316),
    [anon_sym_COLON_COLON] = ACTIONS(3318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3318),
    [anon_sym___declspec] = ACTIONS(3316),
    [anon_sym___based] = ACTIONS(3316),
    [anon_sym___cdecl] = ACTIONS(3316),
    [anon_sym___clrcall] = ACTIONS(3316),
    [anon_sym___stdcall] = ACTIONS(3316),
    [anon_sym___fastcall] = ACTIONS(3316),
    [anon_sym___thiscall] = ACTIONS(3316),
    [anon_sym___vectorcall] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_signed] = ACTIONS(3316),
    [anon_sym_unsigned] = ACTIONS(3316),
    [anon_sym_long] = ACTIONS(3316),
    [anon_sym_short] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_register] = ACTIONS(3316),
    [anon_sym_inline] = ACTIONS(3316),
    [anon_sym___inline] = ACTIONS(3316),
    [anon_sym___inline__] = ACTIONS(3316),
    [anon_sym___forceinline] = ACTIONS(3316),
    [anon_sym_thread_local] = ACTIONS(3316),
    [anon_sym___thread] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_constexpr] = ACTIONS(3316),
    [anon_sym_volatile] = ACTIONS(3316),
    [anon_sym_restrict] = ACTIONS(3316),
    [anon_sym___restrict__] = ACTIONS(3316),
    [anon_sym__Atomic] = ACTIONS(3316),
    [anon_sym__Noreturn] = ACTIONS(3316),
    [anon_sym_noreturn] = ACTIONS(3316),
    [anon_sym_mutable] = ACTIONS(3316),
    [anon_sym_constinit] = ACTIONS(3316),
    [anon_sym_consteval] = ACTIONS(3316),
    [anon_sym_PROGMEM] = ACTIONS(3316),
    [aux_sym_primitive_type_token1] = ACTIONS(3316),
    [anon_sym_byte] = ACTIONS(3316),
    [anon_sym_word] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_struct] = ACTIONS(3316),
    [anon_sym_union] = ACTIONS(3316),
    [anon_sym_if] = ACTIONS(3316),
    [anon_sym_switch] = ACTIONS(3316),
    [anon_sym_case] = ACTIONS(3316),
    [anon_sym_default] = ACTIONS(3316),
    [anon_sym_while] = ACTIONS(3316),
    [anon_sym_do] = ACTIONS(3316),
    [anon_sym_for] = ACTIONS(3316),
    [anon_sym_return] = ACTIONS(3316),
    [anon_sym_break] = ACTIONS(3316),
    [anon_sym_continue] = ACTIONS(3316),
    [anon_sym_goto] = ACTIONS(3316),
    [anon_sym___try] = ACTIONS(3316),
    [anon_sym___leave] = ACTIONS(3316),
    [anon_sym_not] = ACTIONS(3316),
    [anon_sym_compl] = ACTIONS(3316),
    [anon_sym_DASH_DASH] = ACTIONS(3318),
    [anon_sym_PLUS_PLUS] = ACTIONS(3318),
    [anon_sym_sizeof] = ACTIONS(3316),
    [anon_sym___alignof__] = ACTIONS(3316),
    [anon_sym___alignof] = ACTIONS(3316),
    [anon_sym__alignof] = ACTIONS(3316),
    [anon_sym_alignof] = ACTIONS(3316),
    [anon_sym__Alignof] = ACTIONS(3316),
    [anon_sym_offsetof] = ACTIONS(3316),
    [anon_sym__Generic] = ACTIONS(3316),
    [anon_sym_asm] = ACTIONS(3316),
    [anon_sym___asm__] = ACTIONS(3316),
    [aux_sym_number_literal_token1] = ACTIONS(3318),
    [aux_sym_number_literal_token2] = ACTIONS(3316),
    [anon_sym_L_SQUOTE] = ACTIONS(3318),
    [anon_sym_u_SQUOTE] = ACTIONS(3318),
    [anon_sym_U_SQUOTE] = ACTIONS(3318),
    [anon_sym_u8_SQUOTE] = ACTIONS(3318),
    [anon_sym_SQUOTE] = ACTIONS(3318),
    [anon_sym_L_DQUOTE] = ACTIONS(3318),
    [anon_sym_u_DQUOTE] = ACTIONS(3318),
    [anon_sym_U_DQUOTE] = ACTIONS(3318),
    [anon_sym_u8_DQUOTE] = ACTIONS(3318),
    [anon_sym_DQUOTE] = ACTIONS(3318),
    [sym_true] = ACTIONS(3316),
    [sym_false] = ACTIONS(3316),
    [anon_sym_NULL] = ACTIONS(3316),
    [anon_sym_nullptr] = ACTIONS(3316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3316),
    [anon_sym_decltype] = ACTIONS(3316),
    [anon_sym_virtual] = ACTIONS(3316),
    [anon_sym_alignas] = ACTIONS(3316),
    [anon_sym_explicit] = ACTIONS(3316),
    [anon_sym_typename] = ACTIONS(3316),
    [anon_sym_template] = ACTIONS(3316),
    [anon_sym_operator] = ACTIONS(3316),
    [anon_sym_try] = ACTIONS(3316),
    [anon_sym_delete] = ACTIONS(3316),
    [anon_sym_throw] = ACTIONS(3316),
    [anon_sym_namespace] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_static_assert] = ACTIONS(3316),
    [anon_sym_concept] = ACTIONS(3316),
    [anon_sym_co_return] = ACTIONS(3316),
    [anon_sym_co_yield] = ACTIONS(3316),
    [anon_sym_R_DQUOTE] = ACTIONS(3318),
    [anon_sym_LR_DQUOTE] = ACTIONS(3318),
    [anon_sym_uR_DQUOTE] = ACTIONS(3318),
    [anon_sym_UR_DQUOTE] = ACTIONS(3318),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3318),
    [anon_sym_co_await] = ACTIONS(3316),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3316),
    [sym_this] = ACTIONS(3316),
  },
  [942] = {
    [sym_identifier] = ACTIONS(3361),
    [aux_sym_preproc_include_token1] = ACTIONS(3361),
    [aux_sym_preproc_def_token1] = ACTIONS(3361),
    [aux_sym_preproc_if_token1] = ACTIONS(3361),
    [aux_sym_preproc_if_token2] = ACTIONS(3361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3361),
    [sym_preproc_directive] = ACTIONS(3361),
    [anon_sym_LPAREN2] = ACTIONS(3363),
    [anon_sym_BANG] = ACTIONS(3363),
    [anon_sym_TILDE] = ACTIONS(3363),
    [anon_sym_DASH] = ACTIONS(3361),
    [anon_sym_PLUS] = ACTIONS(3361),
    [anon_sym_STAR] = ACTIONS(3363),
    [anon_sym_AMP_AMP] = ACTIONS(3363),
    [anon_sym_AMP] = ACTIONS(3361),
    [anon_sym_SEMI] = ACTIONS(3363),
    [anon_sym___extension__] = ACTIONS(3361),
    [anon_sym_typedef] = ACTIONS(3361),
    [anon_sym_extern] = ACTIONS(3361),
    [anon_sym___attribute__] = ACTIONS(3361),
    [anon_sym_COLON_COLON] = ACTIONS(3363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3363),
    [anon_sym___declspec] = ACTIONS(3361),
    [anon_sym___based] = ACTIONS(3361),
    [anon_sym___cdecl] = ACTIONS(3361),
    [anon_sym___clrcall] = ACTIONS(3361),
    [anon_sym___stdcall] = ACTIONS(3361),
    [anon_sym___fastcall] = ACTIONS(3361),
    [anon_sym___thiscall] = ACTIONS(3361),
    [anon_sym___vectorcall] = ACTIONS(3361),
    [anon_sym_LBRACE] = ACTIONS(3363),
    [anon_sym_signed] = ACTIONS(3361),
    [anon_sym_unsigned] = ACTIONS(3361),
    [anon_sym_long] = ACTIONS(3361),
    [anon_sym_short] = ACTIONS(3361),
    [anon_sym_LBRACK] = ACTIONS(3361),
    [anon_sym_static] = ACTIONS(3361),
    [anon_sym_register] = ACTIONS(3361),
    [anon_sym_inline] = ACTIONS(3361),
    [anon_sym___inline] = ACTIONS(3361),
    [anon_sym___inline__] = ACTIONS(3361),
    [anon_sym___forceinline] = ACTIONS(3361),
    [anon_sym_thread_local] = ACTIONS(3361),
    [anon_sym___thread] = ACTIONS(3361),
    [anon_sym_const] = ACTIONS(3361),
    [anon_sym_constexpr] = ACTIONS(3361),
    [anon_sym_volatile] = ACTIONS(3361),
    [anon_sym_restrict] = ACTIONS(3361),
    [anon_sym___restrict__] = ACTIONS(3361),
    [anon_sym__Atomic] = ACTIONS(3361),
    [anon_sym__Noreturn] = ACTIONS(3361),
    [anon_sym_noreturn] = ACTIONS(3361),
    [anon_sym_mutable] = ACTIONS(3361),
    [anon_sym_constinit] = ACTIONS(3361),
    [anon_sym_consteval] = ACTIONS(3361),
    [anon_sym_PROGMEM] = ACTIONS(3361),
    [aux_sym_primitive_type_token1] = ACTIONS(3361),
    [anon_sym_byte] = ACTIONS(3361),
    [anon_sym_word] = ACTIONS(3361),
    [anon_sym_enum] = ACTIONS(3361),
    [anon_sym_class] = ACTIONS(3361),
    [anon_sym_struct] = ACTIONS(3361),
    [anon_sym_union] = ACTIONS(3361),
    [anon_sym_if] = ACTIONS(3361),
    [anon_sym_switch] = ACTIONS(3361),
    [anon_sym_case] = ACTIONS(3361),
    [anon_sym_default] = ACTIONS(3361),
    [anon_sym_while] = ACTIONS(3361),
    [anon_sym_do] = ACTIONS(3361),
    [anon_sym_for] = ACTIONS(3361),
    [anon_sym_return] = ACTIONS(3361),
    [anon_sym_break] = ACTIONS(3361),
    [anon_sym_continue] = ACTIONS(3361),
    [anon_sym_goto] = ACTIONS(3361),
    [anon_sym___try] = ACTIONS(3361),
    [anon_sym___leave] = ACTIONS(3361),
    [anon_sym_not] = ACTIONS(3361),
    [anon_sym_compl] = ACTIONS(3361),
    [anon_sym_DASH_DASH] = ACTIONS(3363),
    [anon_sym_PLUS_PLUS] = ACTIONS(3363),
    [anon_sym_sizeof] = ACTIONS(3361),
    [anon_sym___alignof__] = ACTIONS(3361),
    [anon_sym___alignof] = ACTIONS(3361),
    [anon_sym__alignof] = ACTIONS(3361),
    [anon_sym_alignof] = ACTIONS(3361),
    [anon_sym__Alignof] = ACTIONS(3361),
    [anon_sym_offsetof] = ACTIONS(3361),
    [anon_sym__Generic] = ACTIONS(3361),
    [anon_sym_asm] = ACTIONS(3361),
    [anon_sym___asm__] = ACTIONS(3361),
    [aux_sym_number_literal_token1] = ACTIONS(3363),
    [aux_sym_number_literal_token2] = ACTIONS(3361),
    [anon_sym_L_SQUOTE] = ACTIONS(3363),
    [anon_sym_u_SQUOTE] = ACTIONS(3363),
    [anon_sym_U_SQUOTE] = ACTIONS(3363),
    [anon_sym_u8_SQUOTE] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(3363),
    [anon_sym_L_DQUOTE] = ACTIONS(3363),
    [anon_sym_u_DQUOTE] = ACTIONS(3363),
    [anon_sym_U_DQUOTE] = ACTIONS(3363),
    [anon_sym_u8_DQUOTE] = ACTIONS(3363),
    [anon_sym_DQUOTE] = ACTIONS(3363),
    [sym_true] = ACTIONS(3361),
    [sym_false] = ACTIONS(3361),
    [anon_sym_NULL] = ACTIONS(3361),
    [anon_sym_nullptr] = ACTIONS(3361),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3361),
    [anon_sym_decltype] = ACTIONS(3361),
    [anon_sym_virtual] = ACTIONS(3361),
    [anon_sym_alignas] = ACTIONS(3361),
    [anon_sym_explicit] = ACTIONS(3361),
    [anon_sym_typename] = ACTIONS(3361),
    [anon_sym_template] = ACTIONS(3361),
    [anon_sym_operator] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3361),
    [anon_sym_delete] = ACTIONS(3361),
    [anon_sym_throw] = ACTIONS(3361),
    [anon_sym_namespace] = ACTIONS(3361),
    [anon_sym_using] = ACTIONS(3361),
    [anon_sym_static_assert] = ACTIONS(3361),
    [anon_sym_concept] = ACTIONS(3361),
    [anon_sym_co_return] = ACTIONS(3361),
    [anon_sym_co_yield] = ACTIONS(3361),
    [anon_sym_R_DQUOTE] = ACTIONS(3363),
    [anon_sym_LR_DQUOTE] = ACTIONS(3363),
    [anon_sym_uR_DQUOTE] = ACTIONS(3363),
    [anon_sym_UR_DQUOTE] = ACTIONS(3363),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3363),
    [anon_sym_co_await] = ACTIONS(3361),
    [anon_sym_new] = ACTIONS(3361),
    [anon_sym_requires] = ACTIONS(3361),
    [sym_this] = ACTIONS(3361),
  },
  [943] = {
    [sym_identifier] = ACTIONS(3216),
    [aux_sym_preproc_include_token1] = ACTIONS(3216),
    [aux_sym_preproc_def_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3216),
    [sym_preproc_directive] = ACTIONS(3216),
    [anon_sym_LPAREN2] = ACTIONS(3218),
    [anon_sym_BANG] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3218),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3218),
    [anon_sym___extension__] = ACTIONS(3216),
    [anon_sym_typedef] = ACTIONS(3216),
    [anon_sym_extern] = ACTIONS(3216),
    [anon_sym___attribute__] = ACTIONS(3216),
    [anon_sym_COLON_COLON] = ACTIONS(3218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3218),
    [anon_sym___declspec] = ACTIONS(3216),
    [anon_sym___based] = ACTIONS(3216),
    [anon_sym___cdecl] = ACTIONS(3216),
    [anon_sym___clrcall] = ACTIONS(3216),
    [anon_sym___stdcall] = ACTIONS(3216),
    [anon_sym___fastcall] = ACTIONS(3216),
    [anon_sym___thiscall] = ACTIONS(3216),
    [anon_sym___vectorcall] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_RBRACE] = ACTIONS(3218),
    [anon_sym_signed] = ACTIONS(3216),
    [anon_sym_unsigned] = ACTIONS(3216),
    [anon_sym_long] = ACTIONS(3216),
    [anon_sym_short] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_register] = ACTIONS(3216),
    [anon_sym_inline] = ACTIONS(3216),
    [anon_sym___inline] = ACTIONS(3216),
    [anon_sym___inline__] = ACTIONS(3216),
    [anon_sym___forceinline] = ACTIONS(3216),
    [anon_sym_thread_local] = ACTIONS(3216),
    [anon_sym___thread] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_constexpr] = ACTIONS(3216),
    [anon_sym_volatile] = ACTIONS(3216),
    [anon_sym_restrict] = ACTIONS(3216),
    [anon_sym___restrict__] = ACTIONS(3216),
    [anon_sym__Atomic] = ACTIONS(3216),
    [anon_sym__Noreturn] = ACTIONS(3216),
    [anon_sym_noreturn] = ACTIONS(3216),
    [anon_sym_mutable] = ACTIONS(3216),
    [anon_sym_constinit] = ACTIONS(3216),
    [anon_sym_consteval] = ACTIONS(3216),
    [anon_sym_PROGMEM] = ACTIONS(3216),
    [aux_sym_primitive_type_token1] = ACTIONS(3216),
    [anon_sym_byte] = ACTIONS(3216),
    [anon_sym_word] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3216),
    [anon_sym_union] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_case] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_goto] = ACTIONS(3216),
    [anon_sym___try] = ACTIONS(3216),
    [anon_sym___leave] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(3216),
    [anon_sym_compl] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_sizeof] = ACTIONS(3216),
    [anon_sym___alignof__] = ACTIONS(3216),
    [anon_sym___alignof] = ACTIONS(3216),
    [anon_sym__alignof] = ACTIONS(3216),
    [anon_sym_alignof] = ACTIONS(3216),
    [anon_sym__Alignof] = ACTIONS(3216),
    [anon_sym_offsetof] = ACTIONS(3216),
    [anon_sym__Generic] = ACTIONS(3216),
    [anon_sym_asm] = ACTIONS(3216),
    [anon_sym___asm__] = ACTIONS(3216),
    [aux_sym_number_literal_token1] = ACTIONS(3218),
    [aux_sym_number_literal_token2] = ACTIONS(3216),
    [anon_sym_L_SQUOTE] = ACTIONS(3218),
    [anon_sym_u_SQUOTE] = ACTIONS(3218),
    [anon_sym_U_SQUOTE] = ACTIONS(3218),
    [anon_sym_u8_SQUOTE] = ACTIONS(3218),
    [anon_sym_SQUOTE] = ACTIONS(3218),
    [anon_sym_L_DQUOTE] = ACTIONS(3218),
    [anon_sym_u_DQUOTE] = ACTIONS(3218),
    [anon_sym_U_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8_DQUOTE] = ACTIONS(3218),
    [anon_sym_DQUOTE] = ACTIONS(3218),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [anon_sym_NULL] = ACTIONS(3216),
    [anon_sym_nullptr] = ACTIONS(3216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3216),
    [anon_sym_decltype] = ACTIONS(3216),
    [anon_sym_virtual] = ACTIONS(3216),
    [anon_sym_alignas] = ACTIONS(3216),
    [anon_sym_explicit] = ACTIONS(3216),
    [anon_sym_typename] = ACTIONS(3216),
    [anon_sym_template] = ACTIONS(3216),
    [anon_sym_operator] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_static_assert] = ACTIONS(3216),
    [anon_sym_concept] = ACTIONS(3216),
    [anon_sym_co_return] = ACTIONS(3216),
    [anon_sym_co_yield] = ACTIONS(3216),
    [anon_sym_R_DQUOTE] = ACTIONS(3218),
    [anon_sym_LR_DQUOTE] = ACTIONS(3218),
    [anon_sym_uR_DQUOTE] = ACTIONS(3218),
    [anon_sym_UR_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3218),
    [anon_sym_co_await] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_requires] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
  },
  [944] = {
    [sym_identifier] = ACTIONS(3443),
    [aux_sym_preproc_include_token1] = ACTIONS(3443),
    [aux_sym_preproc_def_token1] = ACTIONS(3443),
    [aux_sym_preproc_if_token1] = ACTIONS(3443),
    [aux_sym_preproc_if_token2] = ACTIONS(3443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3443),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3443),
    [sym_preproc_directive] = ACTIONS(3443),
    [anon_sym_LPAREN2] = ACTIONS(3445),
    [anon_sym_BANG] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3445),
    [anon_sym_DASH] = ACTIONS(3443),
    [anon_sym_PLUS] = ACTIONS(3443),
    [anon_sym_STAR] = ACTIONS(3445),
    [anon_sym_AMP_AMP] = ACTIONS(3445),
    [anon_sym_AMP] = ACTIONS(3443),
    [anon_sym_SEMI] = ACTIONS(3445),
    [anon_sym___extension__] = ACTIONS(3443),
    [anon_sym_typedef] = ACTIONS(3443),
    [anon_sym_extern] = ACTIONS(3443),
    [anon_sym___attribute__] = ACTIONS(3443),
    [anon_sym_COLON_COLON] = ACTIONS(3445),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3445),
    [anon_sym___declspec] = ACTIONS(3443),
    [anon_sym___based] = ACTIONS(3443),
    [anon_sym___cdecl] = ACTIONS(3443),
    [anon_sym___clrcall] = ACTIONS(3443),
    [anon_sym___stdcall] = ACTIONS(3443),
    [anon_sym___fastcall] = ACTIONS(3443),
    [anon_sym___thiscall] = ACTIONS(3443),
    [anon_sym___vectorcall] = ACTIONS(3443),
    [anon_sym_LBRACE] = ACTIONS(3445),
    [anon_sym_signed] = ACTIONS(3443),
    [anon_sym_unsigned] = ACTIONS(3443),
    [anon_sym_long] = ACTIONS(3443),
    [anon_sym_short] = ACTIONS(3443),
    [anon_sym_LBRACK] = ACTIONS(3443),
    [anon_sym_static] = ACTIONS(3443),
    [anon_sym_register] = ACTIONS(3443),
    [anon_sym_inline] = ACTIONS(3443),
    [anon_sym___inline] = ACTIONS(3443),
    [anon_sym___inline__] = ACTIONS(3443),
    [anon_sym___forceinline] = ACTIONS(3443),
    [anon_sym_thread_local] = ACTIONS(3443),
    [anon_sym___thread] = ACTIONS(3443),
    [anon_sym_const] = ACTIONS(3443),
    [anon_sym_constexpr] = ACTIONS(3443),
    [anon_sym_volatile] = ACTIONS(3443),
    [anon_sym_restrict] = ACTIONS(3443),
    [anon_sym___restrict__] = ACTIONS(3443),
    [anon_sym__Atomic] = ACTIONS(3443),
    [anon_sym__Noreturn] = ACTIONS(3443),
    [anon_sym_noreturn] = ACTIONS(3443),
    [anon_sym_mutable] = ACTIONS(3443),
    [anon_sym_constinit] = ACTIONS(3443),
    [anon_sym_consteval] = ACTIONS(3443),
    [anon_sym_PROGMEM] = ACTIONS(3443),
    [aux_sym_primitive_type_token1] = ACTIONS(3443),
    [anon_sym_byte] = ACTIONS(3443),
    [anon_sym_word] = ACTIONS(3443),
    [anon_sym_enum] = ACTIONS(3443),
    [anon_sym_class] = ACTIONS(3443),
    [anon_sym_struct] = ACTIONS(3443),
    [anon_sym_union] = ACTIONS(3443),
    [anon_sym_if] = ACTIONS(3443),
    [anon_sym_switch] = ACTIONS(3443),
    [anon_sym_case] = ACTIONS(3443),
    [anon_sym_default] = ACTIONS(3443),
    [anon_sym_while] = ACTIONS(3443),
    [anon_sym_do] = ACTIONS(3443),
    [anon_sym_for] = ACTIONS(3443),
    [anon_sym_return] = ACTIONS(3443),
    [anon_sym_break] = ACTIONS(3443),
    [anon_sym_continue] = ACTIONS(3443),
    [anon_sym_goto] = ACTIONS(3443),
    [anon_sym___try] = ACTIONS(3443),
    [anon_sym___leave] = ACTIONS(3443),
    [anon_sym_not] = ACTIONS(3443),
    [anon_sym_compl] = ACTIONS(3443),
    [anon_sym_DASH_DASH] = ACTIONS(3445),
    [anon_sym_PLUS_PLUS] = ACTIONS(3445),
    [anon_sym_sizeof] = ACTIONS(3443),
    [anon_sym___alignof__] = ACTIONS(3443),
    [anon_sym___alignof] = ACTIONS(3443),
    [anon_sym__alignof] = ACTIONS(3443),
    [anon_sym_alignof] = ACTIONS(3443),
    [anon_sym__Alignof] = ACTIONS(3443),
    [anon_sym_offsetof] = ACTIONS(3443),
    [anon_sym__Generic] = ACTIONS(3443),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [aux_sym_number_literal_token1] = ACTIONS(3445),
    [aux_sym_number_literal_token2] = ACTIONS(3443),
    [anon_sym_L_SQUOTE] = ACTIONS(3445),
    [anon_sym_u_SQUOTE] = ACTIONS(3445),
    [anon_sym_U_SQUOTE] = ACTIONS(3445),
    [anon_sym_u8_SQUOTE] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(3445),
    [anon_sym_L_DQUOTE] = ACTIONS(3445),
    [anon_sym_u_DQUOTE] = ACTIONS(3445),
    [anon_sym_U_DQUOTE] = ACTIONS(3445),
    [anon_sym_u8_DQUOTE] = ACTIONS(3445),
    [anon_sym_DQUOTE] = ACTIONS(3445),
    [sym_true] = ACTIONS(3443),
    [sym_false] = ACTIONS(3443),
    [anon_sym_NULL] = ACTIONS(3443),
    [anon_sym_nullptr] = ACTIONS(3443),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3443),
    [anon_sym_decltype] = ACTIONS(3443),
    [anon_sym_virtual] = ACTIONS(3443),
    [anon_sym_alignas] = ACTIONS(3443),
    [anon_sym_explicit] = ACTIONS(3443),
    [anon_sym_typename] = ACTIONS(3443),
    [anon_sym_template] = ACTIONS(3443),
    [anon_sym_operator] = ACTIONS(3443),
    [anon_sym_try] = ACTIONS(3443),
    [anon_sym_delete] = ACTIONS(3443),
    [anon_sym_throw] = ACTIONS(3443),
    [anon_sym_namespace] = ACTIONS(3443),
    [anon_sym_using] = ACTIONS(3443),
    [anon_sym_static_assert] = ACTIONS(3443),
    [anon_sym_concept] = ACTIONS(3443),
    [anon_sym_co_return] = ACTIONS(3443),
    [anon_sym_co_yield] = ACTIONS(3443),
    [anon_sym_R_DQUOTE] = ACTIONS(3445),
    [anon_sym_LR_DQUOTE] = ACTIONS(3445),
    [anon_sym_uR_DQUOTE] = ACTIONS(3445),
    [anon_sym_UR_DQUOTE] = ACTIONS(3445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3445),
    [anon_sym_co_await] = ACTIONS(3443),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3443),
    [sym_this] = ACTIONS(3443),
  },
  [945] = {
    [sym_identifier] = ACTIONS(3405),
    [aux_sym_preproc_include_token1] = ACTIONS(3405),
    [aux_sym_preproc_def_token1] = ACTIONS(3405),
    [aux_sym_preproc_if_token1] = ACTIONS(3405),
    [aux_sym_preproc_if_token2] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3405),
    [sym_preproc_directive] = ACTIONS(3405),
    [anon_sym_LPAREN2] = ACTIONS(3407),
    [anon_sym_BANG] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3407),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_STAR] = ACTIONS(3407),
    [anon_sym_AMP_AMP] = ACTIONS(3407),
    [anon_sym_AMP] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3407),
    [anon_sym___extension__] = ACTIONS(3405),
    [anon_sym_typedef] = ACTIONS(3405),
    [anon_sym_extern] = ACTIONS(3405),
    [anon_sym___attribute__] = ACTIONS(3405),
    [anon_sym_COLON_COLON] = ACTIONS(3407),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3407),
    [anon_sym___declspec] = ACTIONS(3405),
    [anon_sym___based] = ACTIONS(3405),
    [anon_sym___cdecl] = ACTIONS(3405),
    [anon_sym___clrcall] = ACTIONS(3405),
    [anon_sym___stdcall] = ACTIONS(3405),
    [anon_sym___fastcall] = ACTIONS(3405),
    [anon_sym___thiscall] = ACTIONS(3405),
    [anon_sym___vectorcall] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3407),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_register] = ACTIONS(3405),
    [anon_sym_inline] = ACTIONS(3405),
    [anon_sym___inline] = ACTIONS(3405),
    [anon_sym___inline__] = ACTIONS(3405),
    [anon_sym___forceinline] = ACTIONS(3405),
    [anon_sym_thread_local] = ACTIONS(3405),
    [anon_sym___thread] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_constexpr] = ACTIONS(3405),
    [anon_sym_volatile] = ACTIONS(3405),
    [anon_sym_restrict] = ACTIONS(3405),
    [anon_sym___restrict__] = ACTIONS(3405),
    [anon_sym__Atomic] = ACTIONS(3405),
    [anon_sym__Noreturn] = ACTIONS(3405),
    [anon_sym_noreturn] = ACTIONS(3405),
    [anon_sym_mutable] = ACTIONS(3405),
    [anon_sym_constinit] = ACTIONS(3405),
    [anon_sym_consteval] = ACTIONS(3405),
    [anon_sym_PROGMEM] = ACTIONS(3405),
    [aux_sym_primitive_type_token1] = ACTIONS(3405),
    [anon_sym_byte] = ACTIONS(3405),
    [anon_sym_word] = ACTIONS(3405),
    [anon_sym_enum] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_struct] = ACTIONS(3405),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(3405),
    [anon_sym_switch] = ACTIONS(3405),
    [anon_sym_case] = ACTIONS(3405),
    [anon_sym_default] = ACTIONS(3405),
    [anon_sym_while] = ACTIONS(3405),
    [anon_sym_do] = ACTIONS(3405),
    [anon_sym_for] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3405),
    [anon_sym_break] = ACTIONS(3405),
    [anon_sym_continue] = ACTIONS(3405),
    [anon_sym_goto] = ACTIONS(3405),
    [anon_sym___try] = ACTIONS(3405),
    [anon_sym___leave] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3405),
    [anon_sym_compl] = ACTIONS(3405),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3405),
    [anon_sym___alignof__] = ACTIONS(3405),
    [anon_sym___alignof] = ACTIONS(3405),
    [anon_sym__alignof] = ACTIONS(3405),
    [anon_sym_alignof] = ACTIONS(3405),
    [anon_sym__Alignof] = ACTIONS(3405),
    [anon_sym_offsetof] = ACTIONS(3405),
    [anon_sym__Generic] = ACTIONS(3405),
    [anon_sym_asm] = ACTIONS(3405),
    [anon_sym___asm__] = ACTIONS(3405),
    [aux_sym_number_literal_token1] = ACTIONS(3407),
    [aux_sym_number_literal_token2] = ACTIONS(3405),
    [anon_sym_L_SQUOTE] = ACTIONS(3407),
    [anon_sym_u_SQUOTE] = ACTIONS(3407),
    [anon_sym_U_SQUOTE] = ACTIONS(3407),
    [anon_sym_u8_SQUOTE] = ACTIONS(3407),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_L_DQUOTE] = ACTIONS(3407),
    [anon_sym_u_DQUOTE] = ACTIONS(3407),
    [anon_sym_U_DQUOTE] = ACTIONS(3407),
    [anon_sym_u8_DQUOTE] = ACTIONS(3407),
    [anon_sym_DQUOTE] = ACTIONS(3407),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [anon_sym_NULL] = ACTIONS(3405),
    [anon_sym_nullptr] = ACTIONS(3405),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3405),
    [anon_sym_decltype] = ACTIONS(3405),
    [anon_sym_virtual] = ACTIONS(3405),
    [anon_sym_alignas] = ACTIONS(3405),
    [anon_sym_explicit] = ACTIONS(3405),
    [anon_sym_typename] = ACTIONS(3405),
    [anon_sym_template] = ACTIONS(3405),
    [anon_sym_operator] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_delete] = ACTIONS(3405),
    [anon_sym_throw] = ACTIONS(3405),
    [anon_sym_namespace] = ACTIONS(3405),
    [anon_sym_using] = ACTIONS(3405),
    [anon_sym_static_assert] = ACTIONS(3405),
    [anon_sym_concept] = ACTIONS(3405),
    [anon_sym_co_return] = ACTIONS(3405),
    [anon_sym_co_yield] = ACTIONS(3405),
    [anon_sym_R_DQUOTE] = ACTIONS(3407),
    [anon_sym_LR_DQUOTE] = ACTIONS(3407),
    [anon_sym_uR_DQUOTE] = ACTIONS(3407),
    [anon_sym_UR_DQUOTE] = ACTIONS(3407),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3407),
    [anon_sym_co_await] = ACTIONS(3405),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_requires] = ACTIONS(3405),
    [sym_this] = ACTIONS(3405),
  },
  [946] = {
    [sym_identifier] = ACTIONS(3421),
    [aux_sym_preproc_include_token1] = ACTIONS(3421),
    [aux_sym_preproc_def_token1] = ACTIONS(3421),
    [aux_sym_preproc_if_token1] = ACTIONS(3421),
    [aux_sym_preproc_if_token2] = ACTIONS(3421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3421),
    [sym_preproc_directive] = ACTIONS(3421),
    [anon_sym_LPAREN2] = ACTIONS(3423),
    [anon_sym_BANG] = ACTIONS(3423),
    [anon_sym_TILDE] = ACTIONS(3423),
    [anon_sym_DASH] = ACTIONS(3421),
    [anon_sym_PLUS] = ACTIONS(3421),
    [anon_sym_STAR] = ACTIONS(3423),
    [anon_sym_AMP_AMP] = ACTIONS(3423),
    [anon_sym_AMP] = ACTIONS(3421),
    [anon_sym_SEMI] = ACTIONS(3423),
    [anon_sym___extension__] = ACTIONS(3421),
    [anon_sym_typedef] = ACTIONS(3421),
    [anon_sym_extern] = ACTIONS(3421),
    [anon_sym___attribute__] = ACTIONS(3421),
    [anon_sym_COLON_COLON] = ACTIONS(3423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3423),
    [anon_sym___declspec] = ACTIONS(3421),
    [anon_sym___based] = ACTIONS(3421),
    [anon_sym___cdecl] = ACTIONS(3421),
    [anon_sym___clrcall] = ACTIONS(3421),
    [anon_sym___stdcall] = ACTIONS(3421),
    [anon_sym___fastcall] = ACTIONS(3421),
    [anon_sym___thiscall] = ACTIONS(3421),
    [anon_sym___vectorcall] = ACTIONS(3421),
    [anon_sym_LBRACE] = ACTIONS(3423),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(3421),
    [anon_sym_static] = ACTIONS(3421),
    [anon_sym_register] = ACTIONS(3421),
    [anon_sym_inline] = ACTIONS(3421),
    [anon_sym___inline] = ACTIONS(3421),
    [anon_sym___inline__] = ACTIONS(3421),
    [anon_sym___forceinline] = ACTIONS(3421),
    [anon_sym_thread_local] = ACTIONS(3421),
    [anon_sym___thread] = ACTIONS(3421),
    [anon_sym_const] = ACTIONS(3421),
    [anon_sym_constexpr] = ACTIONS(3421),
    [anon_sym_volatile] = ACTIONS(3421),
    [anon_sym_restrict] = ACTIONS(3421),
    [anon_sym___restrict__] = ACTIONS(3421),
    [anon_sym__Atomic] = ACTIONS(3421),
    [anon_sym__Noreturn] = ACTIONS(3421),
    [anon_sym_noreturn] = ACTIONS(3421),
    [anon_sym_mutable] = ACTIONS(3421),
    [anon_sym_constinit] = ACTIONS(3421),
    [anon_sym_consteval] = ACTIONS(3421),
    [anon_sym_PROGMEM] = ACTIONS(3421),
    [aux_sym_primitive_type_token1] = ACTIONS(3421),
    [anon_sym_byte] = ACTIONS(3421),
    [anon_sym_word] = ACTIONS(3421),
    [anon_sym_enum] = ACTIONS(3421),
    [anon_sym_class] = ACTIONS(3421),
    [anon_sym_struct] = ACTIONS(3421),
    [anon_sym_union] = ACTIONS(3421),
    [anon_sym_if] = ACTIONS(3421),
    [anon_sym_switch] = ACTIONS(3421),
    [anon_sym_case] = ACTIONS(3421),
    [anon_sym_default] = ACTIONS(3421),
    [anon_sym_while] = ACTIONS(3421),
    [anon_sym_do] = ACTIONS(3421),
    [anon_sym_for] = ACTIONS(3421),
    [anon_sym_return] = ACTIONS(3421),
    [anon_sym_break] = ACTIONS(3421),
    [anon_sym_continue] = ACTIONS(3421),
    [anon_sym_goto] = ACTIONS(3421),
    [anon_sym___try] = ACTIONS(3421),
    [anon_sym___leave] = ACTIONS(3421),
    [anon_sym_not] = ACTIONS(3421),
    [anon_sym_compl] = ACTIONS(3421),
    [anon_sym_DASH_DASH] = ACTIONS(3423),
    [anon_sym_PLUS_PLUS] = ACTIONS(3423),
    [anon_sym_sizeof] = ACTIONS(3421),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3421),
    [anon_sym__Generic] = ACTIONS(3421),
    [anon_sym_asm] = ACTIONS(3421),
    [anon_sym___asm__] = ACTIONS(3421),
    [aux_sym_number_literal_token1] = ACTIONS(3423),
    [aux_sym_number_literal_token2] = ACTIONS(3421),
    [anon_sym_L_SQUOTE] = ACTIONS(3423),
    [anon_sym_u_SQUOTE] = ACTIONS(3423),
    [anon_sym_U_SQUOTE] = ACTIONS(3423),
    [anon_sym_u8_SQUOTE] = ACTIONS(3423),
    [anon_sym_SQUOTE] = ACTIONS(3423),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3421),
    [sym_false] = ACTIONS(3421),
    [anon_sym_NULL] = ACTIONS(3421),
    [anon_sym_nullptr] = ACTIONS(3421),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3421),
    [anon_sym_decltype] = ACTIONS(3421),
    [anon_sym_virtual] = ACTIONS(3421),
    [anon_sym_alignas] = ACTIONS(3421),
    [anon_sym_explicit] = ACTIONS(3421),
    [anon_sym_typename] = ACTIONS(3421),
    [anon_sym_template] = ACTIONS(3421),
    [anon_sym_operator] = ACTIONS(3421),
    [anon_sym_try] = ACTIONS(3421),
    [anon_sym_delete] = ACTIONS(3421),
    [anon_sym_throw] = ACTIONS(3421),
    [anon_sym_namespace] = ACTIONS(3421),
    [anon_sym_using] = ACTIONS(3421),
    [anon_sym_static_assert] = ACTIONS(3421),
    [anon_sym_concept] = ACTIONS(3421),
    [anon_sym_co_return] = ACTIONS(3421),
    [anon_sym_co_yield] = ACTIONS(3421),
    [anon_sym_R_DQUOTE] = ACTIONS(3423),
    [anon_sym_LR_DQUOTE] = ACTIONS(3423),
    [anon_sym_uR_DQUOTE] = ACTIONS(3423),
    [anon_sym_UR_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3423),
    [anon_sym_co_await] = ACTIONS(3421),
    [anon_sym_new] = ACTIONS(3421),
    [anon_sym_requires] = ACTIONS(3421),
    [sym_this] = ACTIONS(3421),
  },
  [947] = {
    [sym_identifier] = ACTIONS(3212),
    [aux_sym_preproc_include_token1] = ACTIONS(3212),
    [aux_sym_preproc_def_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token2] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3212),
    [sym_preproc_directive] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym___extension__] = ACTIONS(3212),
    [anon_sym_typedef] = ACTIONS(3212),
    [anon_sym_extern] = ACTIONS(3212),
    [anon_sym___attribute__] = ACTIONS(3212),
    [anon_sym_COLON_COLON] = ACTIONS(3214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3214),
    [anon_sym___declspec] = ACTIONS(3212),
    [anon_sym___based] = ACTIONS(3212),
    [anon_sym___cdecl] = ACTIONS(3212),
    [anon_sym___clrcall] = ACTIONS(3212),
    [anon_sym___stdcall] = ACTIONS(3212),
    [anon_sym___fastcall] = ACTIONS(3212),
    [anon_sym___thiscall] = ACTIONS(3212),
    [anon_sym___vectorcall] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_signed] = ACTIONS(3212),
    [anon_sym_unsigned] = ACTIONS(3212),
    [anon_sym_long] = ACTIONS(3212),
    [anon_sym_short] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_register] = ACTIONS(3212),
    [anon_sym_inline] = ACTIONS(3212),
    [anon_sym___inline] = ACTIONS(3212),
    [anon_sym___inline__] = ACTIONS(3212),
    [anon_sym___forceinline] = ACTIONS(3212),
    [anon_sym_thread_local] = ACTIONS(3212),
    [anon_sym___thread] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_constexpr] = ACTIONS(3212),
    [anon_sym_volatile] = ACTIONS(3212),
    [anon_sym_restrict] = ACTIONS(3212),
    [anon_sym___restrict__] = ACTIONS(3212),
    [anon_sym__Atomic] = ACTIONS(3212),
    [anon_sym__Noreturn] = ACTIONS(3212),
    [anon_sym_noreturn] = ACTIONS(3212),
    [anon_sym_mutable] = ACTIONS(3212),
    [anon_sym_constinit] = ACTIONS(3212),
    [anon_sym_consteval] = ACTIONS(3212),
    [anon_sym_PROGMEM] = ACTIONS(3212),
    [aux_sym_primitive_type_token1] = ACTIONS(3212),
    [anon_sym_byte] = ACTIONS(3212),
    [anon_sym_word] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_struct] = ACTIONS(3212),
    [anon_sym_union] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_case] = ACTIONS(3212),
    [anon_sym_default] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_goto] = ACTIONS(3212),
    [anon_sym___try] = ACTIONS(3212),
    [anon_sym___leave] = ACTIONS(3212),
    [anon_sym_not] = ACTIONS(3212),
    [anon_sym_compl] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_sizeof] = ACTIONS(3212),
    [anon_sym___alignof__] = ACTIONS(3212),
    [anon_sym___alignof] = ACTIONS(3212),
    [anon_sym__alignof] = ACTIONS(3212),
    [anon_sym_alignof] = ACTIONS(3212),
    [anon_sym__Alignof] = ACTIONS(3212),
    [anon_sym_offsetof] = ACTIONS(3212),
    [anon_sym__Generic] = ACTIONS(3212),
    [anon_sym_asm] = ACTIONS(3212),
    [anon_sym___asm__] = ACTIONS(3212),
    [aux_sym_number_literal_token1] = ACTIONS(3214),
    [aux_sym_number_literal_token2] = ACTIONS(3212),
    [anon_sym_L_SQUOTE] = ACTIONS(3214),
    [anon_sym_u_SQUOTE] = ACTIONS(3214),
    [anon_sym_U_SQUOTE] = ACTIONS(3214),
    [anon_sym_u8_SQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [anon_sym_L_DQUOTE] = ACTIONS(3214),
    [anon_sym_u_DQUOTE] = ACTIONS(3214),
    [anon_sym_U_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8_DQUOTE] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [anon_sym_NULL] = ACTIONS(3212),
    [anon_sym_nullptr] = ACTIONS(3212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3212),
    [anon_sym_decltype] = ACTIONS(3212),
    [anon_sym_virtual] = ACTIONS(3212),
    [anon_sym_alignas] = ACTIONS(3212),
    [anon_sym_explicit] = ACTIONS(3212),
    [anon_sym_typename] = ACTIONS(3212),
    [anon_sym_template] = ACTIONS(3212),
    [anon_sym_operator] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3212),
    [anon_sym_concept] = ACTIONS(3212),
    [anon_sym_co_return] = ACTIONS(3212),
    [anon_sym_co_yield] = ACTIONS(3212),
    [anon_sym_R_DQUOTE] = ACTIONS(3214),
    [anon_sym_LR_DQUOTE] = ACTIONS(3214),
    [anon_sym_uR_DQUOTE] = ACTIONS(3214),
    [anon_sym_UR_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3214),
    [anon_sym_co_await] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_requires] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
  },
  [948] = {
    [sym_identifier] = ACTIONS(3417),
    [aux_sym_preproc_include_token1] = ACTIONS(3417),
    [aux_sym_preproc_def_token1] = ACTIONS(3417),
    [aux_sym_preproc_if_token1] = ACTIONS(3417),
    [aux_sym_preproc_if_token2] = ACTIONS(3417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3417),
    [sym_preproc_directive] = ACTIONS(3417),
    [anon_sym_LPAREN2] = ACTIONS(3419),
    [anon_sym_BANG] = ACTIONS(3419),
    [anon_sym_TILDE] = ACTIONS(3419),
    [anon_sym_DASH] = ACTIONS(3417),
    [anon_sym_PLUS] = ACTIONS(3417),
    [anon_sym_STAR] = ACTIONS(3419),
    [anon_sym_AMP_AMP] = ACTIONS(3419),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_SEMI] = ACTIONS(3419),
    [anon_sym___extension__] = ACTIONS(3417),
    [anon_sym_typedef] = ACTIONS(3417),
    [anon_sym_extern] = ACTIONS(3417),
    [anon_sym___attribute__] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3419),
    [anon_sym___declspec] = ACTIONS(3417),
    [anon_sym___based] = ACTIONS(3417),
    [anon_sym___cdecl] = ACTIONS(3417),
    [anon_sym___clrcall] = ACTIONS(3417),
    [anon_sym___stdcall] = ACTIONS(3417),
    [anon_sym___fastcall] = ACTIONS(3417),
    [anon_sym___thiscall] = ACTIONS(3417),
    [anon_sym___vectorcall] = ACTIONS(3417),
    [anon_sym_LBRACE] = ACTIONS(3419),
    [anon_sym_signed] = ACTIONS(3417),
    [anon_sym_unsigned] = ACTIONS(3417),
    [anon_sym_long] = ACTIONS(3417),
    [anon_sym_short] = ACTIONS(3417),
    [anon_sym_LBRACK] = ACTIONS(3417),
    [anon_sym_static] = ACTIONS(3417),
    [anon_sym_register] = ACTIONS(3417),
    [anon_sym_inline] = ACTIONS(3417),
    [anon_sym___inline] = ACTIONS(3417),
    [anon_sym___inline__] = ACTIONS(3417),
    [anon_sym___forceinline] = ACTIONS(3417),
    [anon_sym_thread_local] = ACTIONS(3417),
    [anon_sym___thread] = ACTIONS(3417),
    [anon_sym_const] = ACTIONS(3417),
    [anon_sym_constexpr] = ACTIONS(3417),
    [anon_sym_volatile] = ACTIONS(3417),
    [anon_sym_restrict] = ACTIONS(3417),
    [anon_sym___restrict__] = ACTIONS(3417),
    [anon_sym__Atomic] = ACTIONS(3417),
    [anon_sym__Noreturn] = ACTIONS(3417),
    [anon_sym_noreturn] = ACTIONS(3417),
    [anon_sym_mutable] = ACTIONS(3417),
    [anon_sym_constinit] = ACTIONS(3417),
    [anon_sym_consteval] = ACTIONS(3417),
    [anon_sym_PROGMEM] = ACTIONS(3417),
    [aux_sym_primitive_type_token1] = ACTIONS(3417),
    [anon_sym_byte] = ACTIONS(3417),
    [anon_sym_word] = ACTIONS(3417),
    [anon_sym_enum] = ACTIONS(3417),
    [anon_sym_class] = ACTIONS(3417),
    [anon_sym_struct] = ACTIONS(3417),
    [anon_sym_union] = ACTIONS(3417),
    [anon_sym_if] = ACTIONS(3417),
    [anon_sym_switch] = ACTIONS(3417),
    [anon_sym_case] = ACTIONS(3417),
    [anon_sym_default] = ACTIONS(3417),
    [anon_sym_while] = ACTIONS(3417),
    [anon_sym_do] = ACTIONS(3417),
    [anon_sym_for] = ACTIONS(3417),
    [anon_sym_return] = ACTIONS(3417),
    [anon_sym_break] = ACTIONS(3417),
    [anon_sym_continue] = ACTIONS(3417),
    [anon_sym_goto] = ACTIONS(3417),
    [anon_sym___try] = ACTIONS(3417),
    [anon_sym___leave] = ACTIONS(3417),
    [anon_sym_not] = ACTIONS(3417),
    [anon_sym_compl] = ACTIONS(3417),
    [anon_sym_DASH_DASH] = ACTIONS(3419),
    [anon_sym_PLUS_PLUS] = ACTIONS(3419),
    [anon_sym_sizeof] = ACTIONS(3417),
    [anon_sym___alignof__] = ACTIONS(3417),
    [anon_sym___alignof] = ACTIONS(3417),
    [anon_sym__alignof] = ACTIONS(3417),
    [anon_sym_alignof] = ACTIONS(3417),
    [anon_sym__Alignof] = ACTIONS(3417),
    [anon_sym_offsetof] = ACTIONS(3417),
    [anon_sym__Generic] = ACTIONS(3417),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [aux_sym_number_literal_token1] = ACTIONS(3419),
    [aux_sym_number_literal_token2] = ACTIONS(3417),
    [anon_sym_L_SQUOTE] = ACTIONS(3419),
    [anon_sym_u_SQUOTE] = ACTIONS(3419),
    [anon_sym_U_SQUOTE] = ACTIONS(3419),
    [anon_sym_u8_SQUOTE] = ACTIONS(3419),
    [anon_sym_SQUOTE] = ACTIONS(3419),
    [anon_sym_L_DQUOTE] = ACTIONS(3419),
    [anon_sym_u_DQUOTE] = ACTIONS(3419),
    [anon_sym_U_DQUOTE] = ACTIONS(3419),
    [anon_sym_u8_DQUOTE] = ACTIONS(3419),
    [anon_sym_DQUOTE] = ACTIONS(3419),
    [sym_true] = ACTIONS(3417),
    [sym_false] = ACTIONS(3417),
    [anon_sym_NULL] = ACTIONS(3417),
    [anon_sym_nullptr] = ACTIONS(3417),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3417),
    [anon_sym_decltype] = ACTIONS(3417),
    [anon_sym_virtual] = ACTIONS(3417),
    [anon_sym_alignas] = ACTIONS(3417),
    [anon_sym_explicit] = ACTIONS(3417),
    [anon_sym_typename] = ACTIONS(3417),
    [anon_sym_template] = ACTIONS(3417),
    [anon_sym_operator] = ACTIONS(3417),
    [anon_sym_try] = ACTIONS(3417),
    [anon_sym_delete] = ACTIONS(3417),
    [anon_sym_throw] = ACTIONS(3417),
    [anon_sym_namespace] = ACTIONS(3417),
    [anon_sym_using] = ACTIONS(3417),
    [anon_sym_static_assert] = ACTIONS(3417),
    [anon_sym_concept] = ACTIONS(3417),
    [anon_sym_co_return] = ACTIONS(3417),
    [anon_sym_co_yield] = ACTIONS(3417),
    [anon_sym_R_DQUOTE] = ACTIONS(3419),
    [anon_sym_LR_DQUOTE] = ACTIONS(3419),
    [anon_sym_uR_DQUOTE] = ACTIONS(3419),
    [anon_sym_UR_DQUOTE] = ACTIONS(3419),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3419),
    [anon_sym_co_await] = ACTIONS(3417),
    [anon_sym_new] = ACTIONS(3417),
    [anon_sym_requires] = ACTIONS(3417),
    [sym_this] = ACTIONS(3417),
  },
  [949] = {
    [sym_identifier] = ACTIONS(3208),
    [aux_sym_preproc_include_token1] = ACTIONS(3208),
    [aux_sym_preproc_def_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token2] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3208),
    [sym_preproc_directive] = ACTIONS(3208),
    [anon_sym_LPAREN2] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3210),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym___extension__] = ACTIONS(3208),
    [anon_sym_typedef] = ACTIONS(3208),
    [anon_sym_extern] = ACTIONS(3208),
    [anon_sym___attribute__] = ACTIONS(3208),
    [anon_sym_COLON_COLON] = ACTIONS(3210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3210),
    [anon_sym___declspec] = ACTIONS(3208),
    [anon_sym___based] = ACTIONS(3208),
    [anon_sym___cdecl] = ACTIONS(3208),
    [anon_sym___clrcall] = ACTIONS(3208),
    [anon_sym___stdcall] = ACTIONS(3208),
    [anon_sym___fastcall] = ACTIONS(3208),
    [anon_sym___thiscall] = ACTIONS(3208),
    [anon_sym___vectorcall] = ACTIONS(3208),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_signed] = ACTIONS(3208),
    [anon_sym_unsigned] = ACTIONS(3208),
    [anon_sym_long] = ACTIONS(3208),
    [anon_sym_short] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_register] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(3208),
    [anon_sym___inline] = ACTIONS(3208),
    [anon_sym___inline__] = ACTIONS(3208),
    [anon_sym___forceinline] = ACTIONS(3208),
    [anon_sym_thread_local] = ACTIONS(3208),
    [anon_sym___thread] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_constexpr] = ACTIONS(3208),
    [anon_sym_volatile] = ACTIONS(3208),
    [anon_sym_restrict] = ACTIONS(3208),
    [anon_sym___restrict__] = ACTIONS(3208),
    [anon_sym__Atomic] = ACTIONS(3208),
    [anon_sym__Noreturn] = ACTIONS(3208),
    [anon_sym_noreturn] = ACTIONS(3208),
    [anon_sym_mutable] = ACTIONS(3208),
    [anon_sym_constinit] = ACTIONS(3208),
    [anon_sym_consteval] = ACTIONS(3208),
    [anon_sym_PROGMEM] = ACTIONS(3208),
    [aux_sym_primitive_type_token1] = ACTIONS(3208),
    [anon_sym_byte] = ACTIONS(3208),
    [anon_sym_word] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_struct] = ACTIONS(3208),
    [anon_sym_union] = ACTIONS(3208),
    [anon_sym_if] = ACTIONS(3208),
    [anon_sym_switch] = ACTIONS(3208),
    [anon_sym_case] = ACTIONS(3208),
    [anon_sym_default] = ACTIONS(3208),
    [anon_sym_while] = ACTIONS(3208),
    [anon_sym_do] = ACTIONS(3208),
    [anon_sym_for] = ACTIONS(3208),
    [anon_sym_return] = ACTIONS(3208),
    [anon_sym_break] = ACTIONS(3208),
    [anon_sym_continue] = ACTIONS(3208),
    [anon_sym_goto] = ACTIONS(3208),
    [anon_sym___try] = ACTIONS(3208),
    [anon_sym___leave] = ACTIONS(3208),
    [anon_sym_not] = ACTIONS(3208),
    [anon_sym_compl] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_sizeof] = ACTIONS(3208),
    [anon_sym___alignof__] = ACTIONS(3208),
    [anon_sym___alignof] = ACTIONS(3208),
    [anon_sym__alignof] = ACTIONS(3208),
    [anon_sym_alignof] = ACTIONS(3208),
    [anon_sym__Alignof] = ACTIONS(3208),
    [anon_sym_offsetof] = ACTIONS(3208),
    [anon_sym__Generic] = ACTIONS(3208),
    [anon_sym_asm] = ACTIONS(3208),
    [anon_sym___asm__] = ACTIONS(3208),
    [aux_sym_number_literal_token1] = ACTIONS(3210),
    [aux_sym_number_literal_token2] = ACTIONS(3208),
    [anon_sym_L_SQUOTE] = ACTIONS(3210),
    [anon_sym_u_SQUOTE] = ACTIONS(3210),
    [anon_sym_U_SQUOTE] = ACTIONS(3210),
    [anon_sym_u8_SQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [anon_sym_L_DQUOTE] = ACTIONS(3210),
    [anon_sym_u_DQUOTE] = ACTIONS(3210),
    [anon_sym_U_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8_DQUOTE] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [sym_true] = ACTIONS(3208),
    [sym_false] = ACTIONS(3208),
    [anon_sym_NULL] = ACTIONS(3208),
    [anon_sym_nullptr] = ACTIONS(3208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3208),
    [anon_sym_decltype] = ACTIONS(3208),
    [anon_sym_virtual] = ACTIONS(3208),
    [anon_sym_alignas] = ACTIONS(3208),
    [anon_sym_explicit] = ACTIONS(3208),
    [anon_sym_typename] = ACTIONS(3208),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(3208),
    [anon_sym_try] = ACTIONS(3208),
    [anon_sym_delete] = ACTIONS(3208),
    [anon_sym_throw] = ACTIONS(3208),
    [anon_sym_namespace] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_static_assert] = ACTIONS(3208),
    [anon_sym_concept] = ACTIONS(3208),
    [anon_sym_co_return] = ACTIONS(3208),
    [anon_sym_co_yield] = ACTIONS(3208),
    [anon_sym_R_DQUOTE] = ACTIONS(3210),
    [anon_sym_LR_DQUOTE] = ACTIONS(3210),
    [anon_sym_uR_DQUOTE] = ACTIONS(3210),
    [anon_sym_UR_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3210),
    [anon_sym_co_await] = ACTIONS(3208),
    [anon_sym_new] = ACTIONS(3208),
    [anon_sym_requires] = ACTIONS(3208),
    [sym_this] = ACTIONS(3208),
  },
  [950] = {
    [sym_identifier] = ACTIONS(3499),
    [aux_sym_preproc_include_token1] = ACTIONS(3499),
    [aux_sym_preproc_def_token1] = ACTIONS(3499),
    [aux_sym_preproc_if_token1] = ACTIONS(3499),
    [aux_sym_preproc_if_token2] = ACTIONS(3499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3499),
    [sym_preproc_directive] = ACTIONS(3499),
    [anon_sym_LPAREN2] = ACTIONS(3501),
    [anon_sym_BANG] = ACTIONS(3501),
    [anon_sym_TILDE] = ACTIONS(3501),
    [anon_sym_DASH] = ACTIONS(3499),
    [anon_sym_PLUS] = ACTIONS(3499),
    [anon_sym_STAR] = ACTIONS(3501),
    [anon_sym_AMP_AMP] = ACTIONS(3501),
    [anon_sym_AMP] = ACTIONS(3499),
    [anon_sym_SEMI] = ACTIONS(3501),
    [anon_sym___extension__] = ACTIONS(3499),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_extern] = ACTIONS(3499),
    [anon_sym___attribute__] = ACTIONS(3499),
    [anon_sym_COLON_COLON] = ACTIONS(3501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3501),
    [anon_sym___declspec] = ACTIONS(3499),
    [anon_sym___based] = ACTIONS(3499),
    [anon_sym___cdecl] = ACTIONS(3499),
    [anon_sym___clrcall] = ACTIONS(3499),
    [anon_sym___stdcall] = ACTIONS(3499),
    [anon_sym___fastcall] = ACTIONS(3499),
    [anon_sym___thiscall] = ACTIONS(3499),
    [anon_sym___vectorcall] = ACTIONS(3499),
    [anon_sym_LBRACE] = ACTIONS(3501),
    [anon_sym_signed] = ACTIONS(3499),
    [anon_sym_unsigned] = ACTIONS(3499),
    [anon_sym_long] = ACTIONS(3499),
    [anon_sym_short] = ACTIONS(3499),
    [anon_sym_LBRACK] = ACTIONS(3499),
    [anon_sym_static] = ACTIONS(3499),
    [anon_sym_register] = ACTIONS(3499),
    [anon_sym_inline] = ACTIONS(3499),
    [anon_sym___inline] = ACTIONS(3499),
    [anon_sym___inline__] = ACTIONS(3499),
    [anon_sym___forceinline] = ACTIONS(3499),
    [anon_sym_thread_local] = ACTIONS(3499),
    [anon_sym___thread] = ACTIONS(3499),
    [anon_sym_const] = ACTIONS(3499),
    [anon_sym_constexpr] = ACTIONS(3499),
    [anon_sym_volatile] = ACTIONS(3499),
    [anon_sym_restrict] = ACTIONS(3499),
    [anon_sym___restrict__] = ACTIONS(3499),
    [anon_sym__Atomic] = ACTIONS(3499),
    [anon_sym__Noreturn] = ACTIONS(3499),
    [anon_sym_noreturn] = ACTIONS(3499),
    [anon_sym_mutable] = ACTIONS(3499),
    [anon_sym_constinit] = ACTIONS(3499),
    [anon_sym_consteval] = ACTIONS(3499),
    [anon_sym_PROGMEM] = ACTIONS(3499),
    [aux_sym_primitive_type_token1] = ACTIONS(3499),
    [anon_sym_byte] = ACTIONS(3499),
    [anon_sym_word] = ACTIONS(3499),
    [anon_sym_enum] = ACTIONS(3499),
    [anon_sym_class] = ACTIONS(3499),
    [anon_sym_struct] = ACTIONS(3499),
    [anon_sym_union] = ACTIONS(3499),
    [anon_sym_if] = ACTIONS(3499),
    [anon_sym_switch] = ACTIONS(3499),
    [anon_sym_case] = ACTIONS(3499),
    [anon_sym_default] = ACTIONS(3499),
    [anon_sym_while] = ACTIONS(3499),
    [anon_sym_do] = ACTIONS(3499),
    [anon_sym_for] = ACTIONS(3499),
    [anon_sym_return] = ACTIONS(3499),
    [anon_sym_break] = ACTIONS(3499),
    [anon_sym_continue] = ACTIONS(3499),
    [anon_sym_goto] = ACTIONS(3499),
    [anon_sym___try] = ACTIONS(3499),
    [anon_sym___leave] = ACTIONS(3499),
    [anon_sym_not] = ACTIONS(3499),
    [anon_sym_compl] = ACTIONS(3499),
    [anon_sym_DASH_DASH] = ACTIONS(3501),
    [anon_sym_PLUS_PLUS] = ACTIONS(3501),
    [anon_sym_sizeof] = ACTIONS(3499),
    [anon_sym___alignof__] = ACTIONS(3499),
    [anon_sym___alignof] = ACTIONS(3499),
    [anon_sym__alignof] = ACTIONS(3499),
    [anon_sym_alignof] = ACTIONS(3499),
    [anon_sym__Alignof] = ACTIONS(3499),
    [anon_sym_offsetof] = ACTIONS(3499),
    [anon_sym__Generic] = ACTIONS(3499),
    [anon_sym_asm] = ACTIONS(3499),
    [anon_sym___asm__] = ACTIONS(3499),
    [aux_sym_number_literal_token1] = ACTIONS(3501),
    [aux_sym_number_literal_token2] = ACTIONS(3499),
    [anon_sym_L_SQUOTE] = ACTIONS(3501),
    [anon_sym_u_SQUOTE] = ACTIONS(3501),
    [anon_sym_U_SQUOTE] = ACTIONS(3501),
    [anon_sym_u8_SQUOTE] = ACTIONS(3501),
    [anon_sym_SQUOTE] = ACTIONS(3501),
    [anon_sym_L_DQUOTE] = ACTIONS(3501),
    [anon_sym_u_DQUOTE] = ACTIONS(3501),
    [anon_sym_U_DQUOTE] = ACTIONS(3501),
    [anon_sym_u8_DQUOTE] = ACTIONS(3501),
    [anon_sym_DQUOTE] = ACTIONS(3501),
    [sym_true] = ACTIONS(3499),
    [sym_false] = ACTIONS(3499),
    [anon_sym_NULL] = ACTIONS(3499),
    [anon_sym_nullptr] = ACTIONS(3499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3499),
    [anon_sym_decltype] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(3499),
    [anon_sym_alignas] = ACTIONS(3499),
    [anon_sym_explicit] = ACTIONS(3499),
    [anon_sym_typename] = ACTIONS(3499),
    [anon_sym_template] = ACTIONS(3499),
    [anon_sym_operator] = ACTIONS(3499),
    [anon_sym_try] = ACTIONS(3499),
    [anon_sym_delete] = ACTIONS(3499),
    [anon_sym_throw] = ACTIONS(3499),
    [anon_sym_namespace] = ACTIONS(3499),
    [anon_sym_using] = ACTIONS(3499),
    [anon_sym_static_assert] = ACTIONS(3499),
    [anon_sym_concept] = ACTIONS(3499),
    [anon_sym_co_return] = ACTIONS(3499),
    [anon_sym_co_yield] = ACTIONS(3499),
    [anon_sym_R_DQUOTE] = ACTIONS(3501),
    [anon_sym_LR_DQUOTE] = ACTIONS(3501),
    [anon_sym_uR_DQUOTE] = ACTIONS(3501),
    [anon_sym_UR_DQUOTE] = ACTIONS(3501),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3501),
    [anon_sym_co_await] = ACTIONS(3499),
    [anon_sym_new] = ACTIONS(3499),
    [anon_sym_requires] = ACTIONS(3499),
    [sym_this] = ACTIONS(3499),
  },
  [951] = {
    [sym_identifier] = ACTIONS(3220),
    [aux_sym_preproc_include_token1] = ACTIONS(3220),
    [aux_sym_preproc_def_token1] = ACTIONS(3220),
    [aux_sym_preproc_if_token1] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3220),
    [sym_preproc_directive] = ACTIONS(3220),
    [anon_sym_LPAREN2] = ACTIONS(3222),
    [anon_sym_BANG] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3222),
    [anon_sym_AMP_AMP] = ACTIONS(3222),
    [anon_sym_AMP] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym___extension__] = ACTIONS(3220),
    [anon_sym_typedef] = ACTIONS(3220),
    [anon_sym_extern] = ACTIONS(3220),
    [anon_sym___attribute__] = ACTIONS(3220),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3222),
    [anon_sym___declspec] = ACTIONS(3220),
    [anon_sym___based] = ACTIONS(3220),
    [anon_sym___cdecl] = ACTIONS(3220),
    [anon_sym___clrcall] = ACTIONS(3220),
    [anon_sym___stdcall] = ACTIONS(3220),
    [anon_sym___fastcall] = ACTIONS(3220),
    [anon_sym___thiscall] = ACTIONS(3220),
    [anon_sym___vectorcall] = ACTIONS(3220),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_signed] = ACTIONS(3220),
    [anon_sym_unsigned] = ACTIONS(3220),
    [anon_sym_long] = ACTIONS(3220),
    [anon_sym_short] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_static] = ACTIONS(3220),
    [anon_sym_register] = ACTIONS(3220),
    [anon_sym_inline] = ACTIONS(3220),
    [anon_sym___inline] = ACTIONS(3220),
    [anon_sym___inline__] = ACTIONS(3220),
    [anon_sym___forceinline] = ACTIONS(3220),
    [anon_sym_thread_local] = ACTIONS(3220),
    [anon_sym___thread] = ACTIONS(3220),
    [anon_sym_const] = ACTIONS(3220),
    [anon_sym_constexpr] = ACTIONS(3220),
    [anon_sym_volatile] = ACTIONS(3220),
    [anon_sym_restrict] = ACTIONS(3220),
    [anon_sym___restrict__] = ACTIONS(3220),
    [anon_sym__Atomic] = ACTIONS(3220),
    [anon_sym__Noreturn] = ACTIONS(3220),
    [anon_sym_noreturn] = ACTIONS(3220),
    [anon_sym_mutable] = ACTIONS(3220),
    [anon_sym_constinit] = ACTIONS(3220),
    [anon_sym_consteval] = ACTIONS(3220),
    [anon_sym_PROGMEM] = ACTIONS(3220),
    [aux_sym_primitive_type_token1] = ACTIONS(3220),
    [anon_sym_byte] = ACTIONS(3220),
    [anon_sym_word] = ACTIONS(3220),
    [anon_sym_enum] = ACTIONS(3220),
    [anon_sym_class] = ACTIONS(3220),
    [anon_sym_struct] = ACTIONS(3220),
    [anon_sym_union] = ACTIONS(3220),
    [anon_sym_if] = ACTIONS(3220),
    [anon_sym_switch] = ACTIONS(3220),
    [anon_sym_case] = ACTIONS(3220),
    [anon_sym_default] = ACTIONS(3220),
    [anon_sym_while] = ACTIONS(3220),
    [anon_sym_do] = ACTIONS(3220),
    [anon_sym_for] = ACTIONS(3220),
    [anon_sym_return] = ACTIONS(3220),
    [anon_sym_break] = ACTIONS(3220),
    [anon_sym_continue] = ACTIONS(3220),
    [anon_sym_goto] = ACTIONS(3220),
    [anon_sym___try] = ACTIONS(3220),
    [anon_sym___leave] = ACTIONS(3220),
    [anon_sym_not] = ACTIONS(3220),
    [anon_sym_compl] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_sizeof] = ACTIONS(3220),
    [anon_sym___alignof__] = ACTIONS(3220),
    [anon_sym___alignof] = ACTIONS(3220),
    [anon_sym__alignof] = ACTIONS(3220),
    [anon_sym_alignof] = ACTIONS(3220),
    [anon_sym__Alignof] = ACTIONS(3220),
    [anon_sym_offsetof] = ACTIONS(3220),
    [anon_sym__Generic] = ACTIONS(3220),
    [anon_sym_asm] = ACTIONS(3220),
    [anon_sym___asm__] = ACTIONS(3220),
    [aux_sym_number_literal_token1] = ACTIONS(3222),
    [aux_sym_number_literal_token2] = ACTIONS(3220),
    [anon_sym_L_SQUOTE] = ACTIONS(3222),
    [anon_sym_u_SQUOTE] = ACTIONS(3222),
    [anon_sym_U_SQUOTE] = ACTIONS(3222),
    [anon_sym_u8_SQUOTE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_L_DQUOTE] = ACTIONS(3222),
    [anon_sym_u_DQUOTE] = ACTIONS(3222),
    [anon_sym_U_DQUOTE] = ACTIONS(3222),
    [anon_sym_u8_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [sym_true] = ACTIONS(3220),
    [sym_false] = ACTIONS(3220),
    [anon_sym_NULL] = ACTIONS(3220),
    [anon_sym_nullptr] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3220),
    [anon_sym_decltype] = ACTIONS(3220),
    [anon_sym_virtual] = ACTIONS(3220),
    [anon_sym_alignas] = ACTIONS(3220),
    [anon_sym_explicit] = ACTIONS(3220),
    [anon_sym_typename] = ACTIONS(3220),
    [anon_sym_template] = ACTIONS(3220),
    [anon_sym_operator] = ACTIONS(3220),
    [anon_sym_try] = ACTIONS(3220),
    [anon_sym_delete] = ACTIONS(3220),
    [anon_sym_throw] = ACTIONS(3220),
    [anon_sym_namespace] = ACTIONS(3220),
    [anon_sym_using] = ACTIONS(3220),
    [anon_sym_static_assert] = ACTIONS(3220),
    [anon_sym_concept] = ACTIONS(3220),
    [anon_sym_co_return] = ACTIONS(3220),
    [anon_sym_co_yield] = ACTIONS(3220),
    [anon_sym_R_DQUOTE] = ACTIONS(3222),
    [anon_sym_LR_DQUOTE] = ACTIONS(3222),
    [anon_sym_uR_DQUOTE] = ACTIONS(3222),
    [anon_sym_UR_DQUOTE] = ACTIONS(3222),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3222),
    [anon_sym_co_await] = ACTIONS(3220),
    [anon_sym_new] = ACTIONS(3220),
    [anon_sym_requires] = ACTIONS(3220),
    [sym_this] = ACTIONS(3220),
  },
  [952] = {
    [sym_identifier] = ACTIONS(3188),
    [aux_sym_preproc_include_token1] = ACTIONS(3188),
    [aux_sym_preproc_def_token1] = ACTIONS(3188),
    [aux_sym_preproc_if_token1] = ACTIONS(3188),
    [aux_sym_preproc_if_token2] = ACTIONS(3188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3188),
    [anon_sym_LPAREN2] = ACTIONS(3190),
    [anon_sym_BANG] = ACTIONS(3190),
    [anon_sym_TILDE] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_STAR] = ACTIONS(3190),
    [anon_sym_AMP_AMP] = ACTIONS(3190),
    [anon_sym_AMP] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3190),
    [anon_sym___extension__] = ACTIONS(3188),
    [anon_sym_typedef] = ACTIONS(3188),
    [anon_sym_extern] = ACTIONS(3188),
    [anon_sym___attribute__] = ACTIONS(3188),
    [anon_sym_COLON_COLON] = ACTIONS(3190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3190),
    [anon_sym___declspec] = ACTIONS(3188),
    [anon_sym___based] = ACTIONS(3188),
    [anon_sym___cdecl] = ACTIONS(3188),
    [anon_sym___clrcall] = ACTIONS(3188),
    [anon_sym___stdcall] = ACTIONS(3188),
    [anon_sym___fastcall] = ACTIONS(3188),
    [anon_sym___thiscall] = ACTIONS(3188),
    [anon_sym___vectorcall] = ACTIONS(3188),
    [anon_sym_LBRACE] = ACTIONS(3190),
    [anon_sym_signed] = ACTIONS(3188),
    [anon_sym_unsigned] = ACTIONS(3188),
    [anon_sym_long] = ACTIONS(3188),
    [anon_sym_short] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_register] = ACTIONS(3188),
    [anon_sym_inline] = ACTIONS(3188),
    [anon_sym___inline] = ACTIONS(3188),
    [anon_sym___inline__] = ACTIONS(3188),
    [anon_sym___forceinline] = ACTIONS(3188),
    [anon_sym_thread_local] = ACTIONS(3188),
    [anon_sym___thread] = ACTIONS(3188),
    [anon_sym_const] = ACTIONS(3188),
    [anon_sym_constexpr] = ACTIONS(3188),
    [anon_sym_volatile] = ACTIONS(3188),
    [anon_sym_restrict] = ACTIONS(3188),
    [anon_sym___restrict__] = ACTIONS(3188),
    [anon_sym__Atomic] = ACTIONS(3188),
    [anon_sym__Noreturn] = ACTIONS(3188),
    [anon_sym_noreturn] = ACTIONS(3188),
    [anon_sym_mutable] = ACTIONS(3188),
    [anon_sym_constinit] = ACTIONS(3188),
    [anon_sym_consteval] = ACTIONS(3188),
    [anon_sym_PROGMEM] = ACTIONS(3188),
    [aux_sym_primitive_type_token1] = ACTIONS(3188),
    [anon_sym_byte] = ACTIONS(3188),
    [anon_sym_word] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_struct] = ACTIONS(3188),
    [anon_sym_union] = ACTIONS(3188),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_switch] = ACTIONS(3188),
    [anon_sym_case] = ACTIONS(3188),
    [anon_sym_default] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3188),
    [anon_sym_do] = ACTIONS(3188),
    [anon_sym_for] = ACTIONS(3188),
    [anon_sym_return] = ACTIONS(3188),
    [anon_sym_break] = ACTIONS(3188),
    [anon_sym_continue] = ACTIONS(3188),
    [anon_sym_goto] = ACTIONS(3188),
    [anon_sym___try] = ACTIONS(3188),
    [anon_sym___leave] = ACTIONS(3188),
    [anon_sym_not] = ACTIONS(3188),
    [anon_sym_compl] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_sizeof] = ACTIONS(3188),
    [anon_sym___alignof__] = ACTIONS(3188),
    [anon_sym___alignof] = ACTIONS(3188),
    [anon_sym__alignof] = ACTIONS(3188),
    [anon_sym_alignof] = ACTIONS(3188),
    [anon_sym__Alignof] = ACTIONS(3188),
    [anon_sym_offsetof] = ACTIONS(3188),
    [anon_sym__Generic] = ACTIONS(3188),
    [anon_sym_asm] = ACTIONS(3188),
    [anon_sym___asm__] = ACTIONS(3188),
    [aux_sym_number_literal_token1] = ACTIONS(3190),
    [aux_sym_number_literal_token2] = ACTIONS(3188),
    [anon_sym_L_SQUOTE] = ACTIONS(3190),
    [anon_sym_u_SQUOTE] = ACTIONS(3190),
    [anon_sym_U_SQUOTE] = ACTIONS(3190),
    [anon_sym_u8_SQUOTE] = ACTIONS(3190),
    [anon_sym_SQUOTE] = ACTIONS(3190),
    [anon_sym_L_DQUOTE] = ACTIONS(3190),
    [anon_sym_u_DQUOTE] = ACTIONS(3190),
    [anon_sym_U_DQUOTE] = ACTIONS(3190),
    [anon_sym_u8_DQUOTE] = ACTIONS(3190),
    [anon_sym_DQUOTE] = ACTIONS(3190),
    [sym_true] = ACTIONS(3188),
    [sym_false] = ACTIONS(3188),
    [anon_sym_NULL] = ACTIONS(3188),
    [anon_sym_nullptr] = ACTIONS(3188),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3188),
    [anon_sym_decltype] = ACTIONS(3188),
    [anon_sym_virtual] = ACTIONS(3188),
    [anon_sym_alignas] = ACTIONS(3188),
    [anon_sym_explicit] = ACTIONS(3188),
    [anon_sym_typename] = ACTIONS(3188),
    [anon_sym_template] = ACTIONS(3188),
    [anon_sym_operator] = ACTIONS(3188),
    [anon_sym_try] = ACTIONS(3188),
    [anon_sym_delete] = ACTIONS(3188),
    [anon_sym_throw] = ACTIONS(3188),
    [anon_sym_namespace] = ACTIONS(3188),
    [anon_sym_using] = ACTIONS(3188),
    [anon_sym_static_assert] = ACTIONS(3188),
    [anon_sym_concept] = ACTIONS(3188),
    [anon_sym_co_return] = ACTIONS(3188),
    [anon_sym_co_yield] = ACTIONS(3188),
    [anon_sym_R_DQUOTE] = ACTIONS(3190),
    [anon_sym_LR_DQUOTE] = ACTIONS(3190),
    [anon_sym_uR_DQUOTE] = ACTIONS(3190),
    [anon_sym_UR_DQUOTE] = ACTIONS(3190),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3190),
    [anon_sym_co_await] = ACTIONS(3188),
    [anon_sym_new] = ACTIONS(3188),
    [anon_sym_requires] = ACTIONS(3188),
    [sym_this] = ACTIONS(3188),
  },
  [953] = {
    [sym_identifier] = ACTIONS(3377),
    [aux_sym_preproc_include_token1] = ACTIONS(3377),
    [aux_sym_preproc_def_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token1] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3377),
    [sym_preproc_directive] = ACTIONS(3377),
    [anon_sym_LPAREN2] = ACTIONS(3379),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_STAR] = ACTIONS(3379),
    [anon_sym_AMP_AMP] = ACTIONS(3379),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym___extension__] = ACTIONS(3377),
    [anon_sym_typedef] = ACTIONS(3377),
    [anon_sym_extern] = ACTIONS(3377),
    [anon_sym___attribute__] = ACTIONS(3377),
    [anon_sym_COLON_COLON] = ACTIONS(3379),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3379),
    [anon_sym___declspec] = ACTIONS(3377),
    [anon_sym___based] = ACTIONS(3377),
    [anon_sym___cdecl] = ACTIONS(3377),
    [anon_sym___clrcall] = ACTIONS(3377),
    [anon_sym___stdcall] = ACTIONS(3377),
    [anon_sym___fastcall] = ACTIONS(3377),
    [anon_sym___thiscall] = ACTIONS(3377),
    [anon_sym___vectorcall] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_RBRACE] = ACTIONS(3379),
    [anon_sym_signed] = ACTIONS(3377),
    [anon_sym_unsigned] = ACTIONS(3377),
    [anon_sym_long] = ACTIONS(3377),
    [anon_sym_short] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_register] = ACTIONS(3377),
    [anon_sym_inline] = ACTIONS(3377),
    [anon_sym___inline] = ACTIONS(3377),
    [anon_sym___inline__] = ACTIONS(3377),
    [anon_sym___forceinline] = ACTIONS(3377),
    [anon_sym_thread_local] = ACTIONS(3377),
    [anon_sym___thread] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_constexpr] = ACTIONS(3377),
    [anon_sym_volatile] = ACTIONS(3377),
    [anon_sym_restrict] = ACTIONS(3377),
    [anon_sym___restrict__] = ACTIONS(3377),
    [anon_sym__Atomic] = ACTIONS(3377),
    [anon_sym__Noreturn] = ACTIONS(3377),
    [anon_sym_noreturn] = ACTIONS(3377),
    [anon_sym_mutable] = ACTIONS(3377),
    [anon_sym_constinit] = ACTIONS(3377),
    [anon_sym_consteval] = ACTIONS(3377),
    [anon_sym_PROGMEM] = ACTIONS(3377),
    [aux_sym_primitive_type_token1] = ACTIONS(3377),
    [anon_sym_byte] = ACTIONS(3377),
    [anon_sym_word] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_struct] = ACTIONS(3377),
    [anon_sym_union] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_case] = ACTIONS(3377),
    [anon_sym_default] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_goto] = ACTIONS(3377),
    [anon_sym___try] = ACTIONS(3377),
    [anon_sym___leave] = ACTIONS(3377),
    [anon_sym_not] = ACTIONS(3377),
    [anon_sym_compl] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_sizeof] = ACTIONS(3377),
    [anon_sym___alignof__] = ACTIONS(3377),
    [anon_sym___alignof] = ACTIONS(3377),
    [anon_sym__alignof] = ACTIONS(3377),
    [anon_sym_alignof] = ACTIONS(3377),
    [anon_sym__Alignof] = ACTIONS(3377),
    [anon_sym_offsetof] = ACTIONS(3377),
    [anon_sym__Generic] = ACTIONS(3377),
    [anon_sym_asm] = ACTIONS(3377),
    [anon_sym___asm__] = ACTIONS(3377),
    [aux_sym_number_literal_token1] = ACTIONS(3379),
    [aux_sym_number_literal_token2] = ACTIONS(3377),
    [anon_sym_L_SQUOTE] = ACTIONS(3379),
    [anon_sym_u_SQUOTE] = ACTIONS(3379),
    [anon_sym_U_SQUOTE] = ACTIONS(3379),
    [anon_sym_u8_SQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [anon_sym_L_DQUOTE] = ACTIONS(3379),
    [anon_sym_u_DQUOTE] = ACTIONS(3379),
    [anon_sym_U_DQUOTE] = ACTIONS(3379),
    [anon_sym_u8_DQUOTE] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [anon_sym_NULL] = ACTIONS(3377),
    [anon_sym_nullptr] = ACTIONS(3377),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3377),
    [anon_sym_decltype] = ACTIONS(3377),
    [anon_sym_virtual] = ACTIONS(3377),
    [anon_sym_alignas] = ACTIONS(3377),
    [anon_sym_explicit] = ACTIONS(3377),
    [anon_sym_typename] = ACTIONS(3377),
    [anon_sym_template] = ACTIONS(3377),
    [anon_sym_operator] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_static_assert] = ACTIONS(3377),
    [anon_sym_concept] = ACTIONS(3377),
    [anon_sym_co_return] = ACTIONS(3377),
    [anon_sym_co_yield] = ACTIONS(3377),
    [anon_sym_R_DQUOTE] = ACTIONS(3379),
    [anon_sym_LR_DQUOTE] = ACTIONS(3379),
    [anon_sym_uR_DQUOTE] = ACTIONS(3379),
    [anon_sym_UR_DQUOTE] = ACTIONS(3379),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3379),
    [anon_sym_co_await] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_requires] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
  },
  [954] = {
    [sym_identifier] = ACTIONS(3308),
    [aux_sym_preproc_include_token1] = ACTIONS(3308),
    [aux_sym_preproc_def_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token1] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3308),
    [sym_preproc_directive] = ACTIONS(3308),
    [anon_sym_LPAREN2] = ACTIONS(3310),
    [anon_sym_BANG] = ACTIONS(3310),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_STAR] = ACTIONS(3310),
    [anon_sym_AMP_AMP] = ACTIONS(3310),
    [anon_sym_AMP] = ACTIONS(3308),
    [anon_sym_SEMI] = ACTIONS(3310),
    [anon_sym___extension__] = ACTIONS(3308),
    [anon_sym_typedef] = ACTIONS(3308),
    [anon_sym_extern] = ACTIONS(3308),
    [anon_sym___attribute__] = ACTIONS(3308),
    [anon_sym_COLON_COLON] = ACTIONS(3310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3310),
    [anon_sym___declspec] = ACTIONS(3308),
    [anon_sym___based] = ACTIONS(3308),
    [anon_sym___cdecl] = ACTIONS(3308),
    [anon_sym___clrcall] = ACTIONS(3308),
    [anon_sym___stdcall] = ACTIONS(3308),
    [anon_sym___fastcall] = ACTIONS(3308),
    [anon_sym___thiscall] = ACTIONS(3308),
    [anon_sym___vectorcall] = ACTIONS(3308),
    [anon_sym_LBRACE] = ACTIONS(3310),
    [anon_sym_RBRACE] = ACTIONS(3310),
    [anon_sym_signed] = ACTIONS(3308),
    [anon_sym_unsigned] = ACTIONS(3308),
    [anon_sym_long] = ACTIONS(3308),
    [anon_sym_short] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_register] = ACTIONS(3308),
    [anon_sym_inline] = ACTIONS(3308),
    [anon_sym___inline] = ACTIONS(3308),
    [anon_sym___inline__] = ACTIONS(3308),
    [anon_sym___forceinline] = ACTIONS(3308),
    [anon_sym_thread_local] = ACTIONS(3308),
    [anon_sym___thread] = ACTIONS(3308),
    [anon_sym_const] = ACTIONS(3308),
    [anon_sym_constexpr] = ACTIONS(3308),
    [anon_sym_volatile] = ACTIONS(3308),
    [anon_sym_restrict] = ACTIONS(3308),
    [anon_sym___restrict__] = ACTIONS(3308),
    [anon_sym__Atomic] = ACTIONS(3308),
    [anon_sym__Noreturn] = ACTIONS(3308),
    [anon_sym_noreturn] = ACTIONS(3308),
    [anon_sym_mutable] = ACTIONS(3308),
    [anon_sym_constinit] = ACTIONS(3308),
    [anon_sym_consteval] = ACTIONS(3308),
    [anon_sym_PROGMEM] = ACTIONS(3308),
    [aux_sym_primitive_type_token1] = ACTIONS(3308),
    [anon_sym_byte] = ACTIONS(3308),
    [anon_sym_word] = ACTIONS(3308),
    [anon_sym_enum] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_struct] = ACTIONS(3308),
    [anon_sym_union] = ACTIONS(3308),
    [anon_sym_if] = ACTIONS(3308),
    [anon_sym_switch] = ACTIONS(3308),
    [anon_sym_case] = ACTIONS(3308),
    [anon_sym_default] = ACTIONS(3308),
    [anon_sym_while] = ACTIONS(3308),
    [anon_sym_do] = ACTIONS(3308),
    [anon_sym_for] = ACTIONS(3308),
    [anon_sym_return] = ACTIONS(3308),
    [anon_sym_break] = ACTIONS(3308),
    [anon_sym_continue] = ACTIONS(3308),
    [anon_sym_goto] = ACTIONS(3308),
    [anon_sym___try] = ACTIONS(3308),
    [anon_sym___leave] = ACTIONS(3308),
    [anon_sym_not] = ACTIONS(3308),
    [anon_sym_compl] = ACTIONS(3308),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_sizeof] = ACTIONS(3308),
    [anon_sym___alignof__] = ACTIONS(3308),
    [anon_sym___alignof] = ACTIONS(3308),
    [anon_sym__alignof] = ACTIONS(3308),
    [anon_sym_alignof] = ACTIONS(3308),
    [anon_sym__Alignof] = ACTIONS(3308),
    [anon_sym_offsetof] = ACTIONS(3308),
    [anon_sym__Generic] = ACTIONS(3308),
    [anon_sym_asm] = ACTIONS(3308),
    [anon_sym___asm__] = ACTIONS(3308),
    [aux_sym_number_literal_token1] = ACTIONS(3310),
    [aux_sym_number_literal_token2] = ACTIONS(3308),
    [anon_sym_L_SQUOTE] = ACTIONS(3310),
    [anon_sym_u_SQUOTE] = ACTIONS(3310),
    [anon_sym_U_SQUOTE] = ACTIONS(3310),
    [anon_sym_u8_SQUOTE] = ACTIONS(3310),
    [anon_sym_SQUOTE] = ACTIONS(3310),
    [anon_sym_L_DQUOTE] = ACTIONS(3310),
    [anon_sym_u_DQUOTE] = ACTIONS(3310),
    [anon_sym_U_DQUOTE] = ACTIONS(3310),
    [anon_sym_u8_DQUOTE] = ACTIONS(3310),
    [anon_sym_DQUOTE] = ACTIONS(3310),
    [sym_true] = ACTIONS(3308),
    [sym_false] = ACTIONS(3308),
    [anon_sym_NULL] = ACTIONS(3308),
    [anon_sym_nullptr] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3308),
    [anon_sym_decltype] = ACTIONS(3308),
    [anon_sym_virtual] = ACTIONS(3308),
    [anon_sym_alignas] = ACTIONS(3308),
    [anon_sym_explicit] = ACTIONS(3308),
    [anon_sym_typename] = ACTIONS(3308),
    [anon_sym_template] = ACTIONS(3308),
    [anon_sym_operator] = ACTIONS(3308),
    [anon_sym_try] = ACTIONS(3308),
    [anon_sym_delete] = ACTIONS(3308),
    [anon_sym_throw] = ACTIONS(3308),
    [anon_sym_namespace] = ACTIONS(3308),
    [anon_sym_using] = ACTIONS(3308),
    [anon_sym_static_assert] = ACTIONS(3308),
    [anon_sym_concept] = ACTIONS(3308),
    [anon_sym_co_return] = ACTIONS(3308),
    [anon_sym_co_yield] = ACTIONS(3308),
    [anon_sym_R_DQUOTE] = ACTIONS(3310),
    [anon_sym_LR_DQUOTE] = ACTIONS(3310),
    [anon_sym_uR_DQUOTE] = ACTIONS(3310),
    [anon_sym_UR_DQUOTE] = ACTIONS(3310),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3310),
    [anon_sym_co_await] = ACTIONS(3308),
    [anon_sym_new] = ACTIONS(3308),
    [anon_sym_requires] = ACTIONS(3308),
    [sym_this] = ACTIONS(3308),
  },
  [955] = {
    [sym_identifier] = ACTIONS(3385),
    [aux_sym_preproc_include_token1] = ACTIONS(3385),
    [aux_sym_preproc_def_token1] = ACTIONS(3385),
    [aux_sym_preproc_if_token1] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3385),
    [sym_preproc_directive] = ACTIONS(3385),
    [anon_sym_LPAREN2] = ACTIONS(3387),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3385),
    [anon_sym_PLUS] = ACTIONS(3385),
    [anon_sym_STAR] = ACTIONS(3387),
    [anon_sym_AMP_AMP] = ACTIONS(3387),
    [anon_sym_AMP] = ACTIONS(3385),
    [anon_sym_SEMI] = ACTIONS(3387),
    [anon_sym___extension__] = ACTIONS(3385),
    [anon_sym_typedef] = ACTIONS(3385),
    [anon_sym_extern] = ACTIONS(3385),
    [anon_sym___attribute__] = ACTIONS(3385),
    [anon_sym_COLON_COLON] = ACTIONS(3387),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3387),
    [anon_sym___declspec] = ACTIONS(3385),
    [anon_sym___based] = ACTIONS(3385),
    [anon_sym___cdecl] = ACTIONS(3385),
    [anon_sym___clrcall] = ACTIONS(3385),
    [anon_sym___stdcall] = ACTIONS(3385),
    [anon_sym___fastcall] = ACTIONS(3385),
    [anon_sym___thiscall] = ACTIONS(3385),
    [anon_sym___vectorcall] = ACTIONS(3385),
    [anon_sym_LBRACE] = ACTIONS(3387),
    [anon_sym_RBRACE] = ACTIONS(3387),
    [anon_sym_signed] = ACTIONS(3385),
    [anon_sym_unsigned] = ACTIONS(3385),
    [anon_sym_long] = ACTIONS(3385),
    [anon_sym_short] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3385),
    [anon_sym_static] = ACTIONS(3385),
    [anon_sym_register] = ACTIONS(3385),
    [anon_sym_inline] = ACTIONS(3385),
    [anon_sym___inline] = ACTIONS(3385),
    [anon_sym___inline__] = ACTIONS(3385),
    [anon_sym___forceinline] = ACTIONS(3385),
    [anon_sym_thread_local] = ACTIONS(3385),
    [anon_sym___thread] = ACTIONS(3385),
    [anon_sym_const] = ACTIONS(3385),
    [anon_sym_constexpr] = ACTIONS(3385),
    [anon_sym_volatile] = ACTIONS(3385),
    [anon_sym_restrict] = ACTIONS(3385),
    [anon_sym___restrict__] = ACTIONS(3385),
    [anon_sym__Atomic] = ACTIONS(3385),
    [anon_sym__Noreturn] = ACTIONS(3385),
    [anon_sym_noreturn] = ACTIONS(3385),
    [anon_sym_mutable] = ACTIONS(3385),
    [anon_sym_constinit] = ACTIONS(3385),
    [anon_sym_consteval] = ACTIONS(3385),
    [anon_sym_PROGMEM] = ACTIONS(3385),
    [aux_sym_primitive_type_token1] = ACTIONS(3385),
    [anon_sym_byte] = ACTIONS(3385),
    [anon_sym_word] = ACTIONS(3385),
    [anon_sym_enum] = ACTIONS(3385),
    [anon_sym_class] = ACTIONS(3385),
    [anon_sym_struct] = ACTIONS(3385),
    [anon_sym_union] = ACTIONS(3385),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_switch] = ACTIONS(3385),
    [anon_sym_case] = ACTIONS(3385),
    [anon_sym_default] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(3385),
    [anon_sym_do] = ACTIONS(3385),
    [anon_sym_for] = ACTIONS(3385),
    [anon_sym_return] = ACTIONS(3385),
    [anon_sym_break] = ACTIONS(3385),
    [anon_sym_continue] = ACTIONS(3385),
    [anon_sym_goto] = ACTIONS(3385),
    [anon_sym___try] = ACTIONS(3385),
    [anon_sym___leave] = ACTIONS(3385),
    [anon_sym_not] = ACTIONS(3385),
    [anon_sym_compl] = ACTIONS(3385),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_sizeof] = ACTIONS(3385),
    [anon_sym___alignof__] = ACTIONS(3385),
    [anon_sym___alignof] = ACTIONS(3385),
    [anon_sym__alignof] = ACTIONS(3385),
    [anon_sym_alignof] = ACTIONS(3385),
    [anon_sym__Alignof] = ACTIONS(3385),
    [anon_sym_offsetof] = ACTIONS(3385),
    [anon_sym__Generic] = ACTIONS(3385),
    [anon_sym_asm] = ACTIONS(3385),
    [anon_sym___asm__] = ACTIONS(3385),
    [aux_sym_number_literal_token1] = ACTIONS(3387),
    [aux_sym_number_literal_token2] = ACTIONS(3385),
    [anon_sym_L_SQUOTE] = ACTIONS(3387),
    [anon_sym_u_SQUOTE] = ACTIONS(3387),
    [anon_sym_U_SQUOTE] = ACTIONS(3387),
    [anon_sym_u8_SQUOTE] = ACTIONS(3387),
    [anon_sym_SQUOTE] = ACTIONS(3387),
    [anon_sym_L_DQUOTE] = ACTIONS(3387),
    [anon_sym_u_DQUOTE] = ACTIONS(3387),
    [anon_sym_U_DQUOTE] = ACTIONS(3387),
    [anon_sym_u8_DQUOTE] = ACTIONS(3387),
    [anon_sym_DQUOTE] = ACTIONS(3387),
    [sym_true] = ACTIONS(3385),
    [sym_false] = ACTIONS(3385),
    [anon_sym_NULL] = ACTIONS(3385),
    [anon_sym_nullptr] = ACTIONS(3385),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3385),
    [anon_sym_decltype] = ACTIONS(3385),
    [anon_sym_virtual] = ACTIONS(3385),
    [anon_sym_alignas] = ACTIONS(3385),
    [anon_sym_explicit] = ACTIONS(3385),
    [anon_sym_typename] = ACTIONS(3385),
    [anon_sym_template] = ACTIONS(3385),
    [anon_sym_operator] = ACTIONS(3385),
    [anon_sym_try] = ACTIONS(3385),
    [anon_sym_delete] = ACTIONS(3385),
    [anon_sym_throw] = ACTIONS(3385),
    [anon_sym_namespace] = ACTIONS(3385),
    [anon_sym_using] = ACTIONS(3385),
    [anon_sym_static_assert] = ACTIONS(3385),
    [anon_sym_concept] = ACTIONS(3385),
    [anon_sym_co_return] = ACTIONS(3385),
    [anon_sym_co_yield] = ACTIONS(3385),
    [anon_sym_R_DQUOTE] = ACTIONS(3387),
    [anon_sym_LR_DQUOTE] = ACTIONS(3387),
    [anon_sym_uR_DQUOTE] = ACTIONS(3387),
    [anon_sym_UR_DQUOTE] = ACTIONS(3387),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3387),
    [anon_sym_co_await] = ACTIONS(3385),
    [anon_sym_new] = ACTIONS(3385),
    [anon_sym_requires] = ACTIONS(3385),
    [sym_this] = ACTIONS(3385),
  },
  [956] = {
    [sym_identifier] = ACTIONS(3491),
    [aux_sym_preproc_include_token1] = ACTIONS(3491),
    [aux_sym_preproc_def_token1] = ACTIONS(3491),
    [aux_sym_preproc_if_token1] = ACTIONS(3491),
    [aux_sym_preproc_if_token2] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3491),
    [anon_sym_LPAREN2] = ACTIONS(3493),
    [anon_sym_BANG] = ACTIONS(3493),
    [anon_sym_TILDE] = ACTIONS(3493),
    [anon_sym_DASH] = ACTIONS(3491),
    [anon_sym_PLUS] = ACTIONS(3491),
    [anon_sym_STAR] = ACTIONS(3493),
    [anon_sym_AMP_AMP] = ACTIONS(3493),
    [anon_sym_AMP] = ACTIONS(3491),
    [anon_sym_SEMI] = ACTIONS(3493),
    [anon_sym___extension__] = ACTIONS(3491),
    [anon_sym_typedef] = ACTIONS(3491),
    [anon_sym_extern] = ACTIONS(3491),
    [anon_sym___attribute__] = ACTIONS(3491),
    [anon_sym_COLON_COLON] = ACTIONS(3493),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3493),
    [anon_sym___declspec] = ACTIONS(3491),
    [anon_sym___based] = ACTIONS(3491),
    [anon_sym___cdecl] = ACTIONS(3491),
    [anon_sym___clrcall] = ACTIONS(3491),
    [anon_sym___stdcall] = ACTIONS(3491),
    [anon_sym___fastcall] = ACTIONS(3491),
    [anon_sym___thiscall] = ACTIONS(3491),
    [anon_sym___vectorcall] = ACTIONS(3491),
    [anon_sym_LBRACE] = ACTIONS(3493),
    [anon_sym_signed] = ACTIONS(3491),
    [anon_sym_unsigned] = ACTIONS(3491),
    [anon_sym_long] = ACTIONS(3491),
    [anon_sym_short] = ACTIONS(3491),
    [anon_sym_LBRACK] = ACTIONS(3491),
    [anon_sym_static] = ACTIONS(3491),
    [anon_sym_register] = ACTIONS(3491),
    [anon_sym_inline] = ACTIONS(3491),
    [anon_sym___inline] = ACTIONS(3491),
    [anon_sym___inline__] = ACTIONS(3491),
    [anon_sym___forceinline] = ACTIONS(3491),
    [anon_sym_thread_local] = ACTIONS(3491),
    [anon_sym___thread] = ACTIONS(3491),
    [anon_sym_const] = ACTIONS(3491),
    [anon_sym_constexpr] = ACTIONS(3491),
    [anon_sym_volatile] = ACTIONS(3491),
    [anon_sym_restrict] = ACTIONS(3491),
    [anon_sym___restrict__] = ACTIONS(3491),
    [anon_sym__Atomic] = ACTIONS(3491),
    [anon_sym__Noreturn] = ACTIONS(3491),
    [anon_sym_noreturn] = ACTIONS(3491),
    [anon_sym_mutable] = ACTIONS(3491),
    [anon_sym_constinit] = ACTIONS(3491),
    [anon_sym_consteval] = ACTIONS(3491),
    [anon_sym_PROGMEM] = ACTIONS(3491),
    [aux_sym_primitive_type_token1] = ACTIONS(3491),
    [anon_sym_byte] = ACTIONS(3491),
    [anon_sym_word] = ACTIONS(3491),
    [anon_sym_enum] = ACTIONS(3491),
    [anon_sym_class] = ACTIONS(3491),
    [anon_sym_struct] = ACTIONS(3491),
    [anon_sym_union] = ACTIONS(3491),
    [anon_sym_if] = ACTIONS(3491),
    [anon_sym_switch] = ACTIONS(3491),
    [anon_sym_case] = ACTIONS(3491),
    [anon_sym_default] = ACTIONS(3491),
    [anon_sym_while] = ACTIONS(3491),
    [anon_sym_do] = ACTIONS(3491),
    [anon_sym_for] = ACTIONS(3491),
    [anon_sym_return] = ACTIONS(3491),
    [anon_sym_break] = ACTIONS(3491),
    [anon_sym_continue] = ACTIONS(3491),
    [anon_sym_goto] = ACTIONS(3491),
    [anon_sym___try] = ACTIONS(3491),
    [anon_sym___leave] = ACTIONS(3491),
    [anon_sym_not] = ACTIONS(3491),
    [anon_sym_compl] = ACTIONS(3491),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_sizeof] = ACTIONS(3491),
    [anon_sym___alignof__] = ACTIONS(3491),
    [anon_sym___alignof] = ACTIONS(3491),
    [anon_sym__alignof] = ACTIONS(3491),
    [anon_sym_alignof] = ACTIONS(3491),
    [anon_sym__Alignof] = ACTIONS(3491),
    [anon_sym_offsetof] = ACTIONS(3491),
    [anon_sym__Generic] = ACTIONS(3491),
    [anon_sym_asm] = ACTIONS(3491),
    [anon_sym___asm__] = ACTIONS(3491),
    [aux_sym_number_literal_token1] = ACTIONS(3493),
    [aux_sym_number_literal_token2] = ACTIONS(3491),
    [anon_sym_L_SQUOTE] = ACTIONS(3493),
    [anon_sym_u_SQUOTE] = ACTIONS(3493),
    [anon_sym_U_SQUOTE] = ACTIONS(3493),
    [anon_sym_u8_SQUOTE] = ACTIONS(3493),
    [anon_sym_SQUOTE] = ACTIONS(3493),
    [anon_sym_L_DQUOTE] = ACTIONS(3493),
    [anon_sym_u_DQUOTE] = ACTIONS(3493),
    [anon_sym_U_DQUOTE] = ACTIONS(3493),
    [anon_sym_u8_DQUOTE] = ACTIONS(3493),
    [anon_sym_DQUOTE] = ACTIONS(3493),
    [sym_true] = ACTIONS(3491),
    [sym_false] = ACTIONS(3491),
    [anon_sym_NULL] = ACTIONS(3491),
    [anon_sym_nullptr] = ACTIONS(3491),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3491),
    [anon_sym_decltype] = ACTIONS(3491),
    [anon_sym_virtual] = ACTIONS(3491),
    [anon_sym_alignas] = ACTIONS(3491),
    [anon_sym_explicit] = ACTIONS(3491),
    [anon_sym_typename] = ACTIONS(3491),
    [anon_sym_template] = ACTIONS(3491),
    [anon_sym_operator] = ACTIONS(3491),
    [anon_sym_try] = ACTIONS(3491),
    [anon_sym_delete] = ACTIONS(3491),
    [anon_sym_throw] = ACTIONS(3491),
    [anon_sym_namespace] = ACTIONS(3491),
    [anon_sym_using] = ACTIONS(3491),
    [anon_sym_static_assert] = ACTIONS(3491),
    [anon_sym_concept] = ACTIONS(3491),
    [anon_sym_co_return] = ACTIONS(3491),
    [anon_sym_co_yield] = ACTIONS(3491),
    [anon_sym_R_DQUOTE] = ACTIONS(3493),
    [anon_sym_LR_DQUOTE] = ACTIONS(3493),
    [anon_sym_uR_DQUOTE] = ACTIONS(3493),
    [anon_sym_UR_DQUOTE] = ACTIONS(3493),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3493),
    [anon_sym_co_await] = ACTIONS(3491),
    [anon_sym_new] = ACTIONS(3491),
    [anon_sym_requires] = ACTIONS(3491),
    [sym_this] = ACTIONS(3491),
  },
  [957] = {
    [sym_identifier] = ACTIONS(3326),
    [aux_sym_preproc_include_token1] = ACTIONS(3326),
    [aux_sym_preproc_def_token1] = ACTIONS(3326),
    [aux_sym_preproc_if_token1] = ACTIONS(3326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3326),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3326),
    [sym_preproc_directive] = ACTIONS(3326),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(3328),
    [anon_sym_AMP_AMP] = ACTIONS(3328),
    [anon_sym_AMP] = ACTIONS(3326),
    [anon_sym_SEMI] = ACTIONS(3328),
    [anon_sym___extension__] = ACTIONS(3326),
    [anon_sym_typedef] = ACTIONS(3326),
    [anon_sym_extern] = ACTIONS(3326),
    [anon_sym___attribute__] = ACTIONS(3326),
    [anon_sym_COLON_COLON] = ACTIONS(3328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3328),
    [anon_sym___declspec] = ACTIONS(3326),
    [anon_sym___based] = ACTIONS(3326),
    [anon_sym___cdecl] = ACTIONS(3326),
    [anon_sym___clrcall] = ACTIONS(3326),
    [anon_sym___stdcall] = ACTIONS(3326),
    [anon_sym___fastcall] = ACTIONS(3326),
    [anon_sym___thiscall] = ACTIONS(3326),
    [anon_sym___vectorcall] = ACTIONS(3326),
    [anon_sym_LBRACE] = ACTIONS(3328),
    [anon_sym_RBRACE] = ACTIONS(3328),
    [anon_sym_signed] = ACTIONS(3326),
    [anon_sym_unsigned] = ACTIONS(3326),
    [anon_sym_long] = ACTIONS(3326),
    [anon_sym_short] = ACTIONS(3326),
    [anon_sym_LBRACK] = ACTIONS(3326),
    [anon_sym_static] = ACTIONS(3326),
    [anon_sym_register] = ACTIONS(3326),
    [anon_sym_inline] = ACTIONS(3326),
    [anon_sym___inline] = ACTIONS(3326),
    [anon_sym___inline__] = ACTIONS(3326),
    [anon_sym___forceinline] = ACTIONS(3326),
    [anon_sym_thread_local] = ACTIONS(3326),
    [anon_sym___thread] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3326),
    [anon_sym_constexpr] = ACTIONS(3326),
    [anon_sym_volatile] = ACTIONS(3326),
    [anon_sym_restrict] = ACTIONS(3326),
    [anon_sym___restrict__] = ACTIONS(3326),
    [anon_sym__Atomic] = ACTIONS(3326),
    [anon_sym__Noreturn] = ACTIONS(3326),
    [anon_sym_noreturn] = ACTIONS(3326),
    [anon_sym_mutable] = ACTIONS(3326),
    [anon_sym_constinit] = ACTIONS(3326),
    [anon_sym_consteval] = ACTIONS(3326),
    [anon_sym_PROGMEM] = ACTIONS(3326),
    [aux_sym_primitive_type_token1] = ACTIONS(3326),
    [anon_sym_byte] = ACTIONS(3326),
    [anon_sym_word] = ACTIONS(3326),
    [anon_sym_enum] = ACTIONS(3326),
    [anon_sym_class] = ACTIONS(3326),
    [anon_sym_struct] = ACTIONS(3326),
    [anon_sym_union] = ACTIONS(3326),
    [anon_sym_if] = ACTIONS(3326),
    [anon_sym_switch] = ACTIONS(3326),
    [anon_sym_case] = ACTIONS(3326),
    [anon_sym_default] = ACTIONS(3326),
    [anon_sym_while] = ACTIONS(3326),
    [anon_sym_do] = ACTIONS(3326),
    [anon_sym_for] = ACTIONS(3326),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_break] = ACTIONS(3326),
    [anon_sym_continue] = ACTIONS(3326),
    [anon_sym_goto] = ACTIONS(3326),
    [anon_sym___try] = ACTIONS(3326),
    [anon_sym___leave] = ACTIONS(3326),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(3328),
    [anon_sym_PLUS_PLUS] = ACTIONS(3328),
    [anon_sym_sizeof] = ACTIONS(3326),
    [anon_sym___alignof__] = ACTIONS(3326),
    [anon_sym___alignof] = ACTIONS(3326),
    [anon_sym__alignof] = ACTIONS(3326),
    [anon_sym_alignof] = ACTIONS(3326),
    [anon_sym__Alignof] = ACTIONS(3326),
    [anon_sym_offsetof] = ACTIONS(3326),
    [anon_sym__Generic] = ACTIONS(3326),
    [anon_sym_asm] = ACTIONS(3326),
    [anon_sym___asm__] = ACTIONS(3326),
    [aux_sym_number_literal_token1] = ACTIONS(3328),
    [aux_sym_number_literal_token2] = ACTIONS(3326),
    [anon_sym_L_SQUOTE] = ACTIONS(3328),
    [anon_sym_u_SQUOTE] = ACTIONS(3328),
    [anon_sym_U_SQUOTE] = ACTIONS(3328),
    [anon_sym_u8_SQUOTE] = ACTIONS(3328),
    [anon_sym_SQUOTE] = ACTIONS(3328),
    [anon_sym_L_DQUOTE] = ACTIONS(3328),
    [anon_sym_u_DQUOTE] = ACTIONS(3328),
    [anon_sym_U_DQUOTE] = ACTIONS(3328),
    [anon_sym_u8_DQUOTE] = ACTIONS(3328),
    [anon_sym_DQUOTE] = ACTIONS(3328),
    [sym_true] = ACTIONS(3326),
    [sym_false] = ACTIONS(3326),
    [anon_sym_NULL] = ACTIONS(3326),
    [anon_sym_nullptr] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3326),
    [anon_sym_decltype] = ACTIONS(3326),
    [anon_sym_virtual] = ACTIONS(3326),
    [anon_sym_alignas] = ACTIONS(3326),
    [anon_sym_explicit] = ACTIONS(3326),
    [anon_sym_typename] = ACTIONS(3326),
    [anon_sym_template] = ACTIONS(3326),
    [anon_sym_operator] = ACTIONS(3326),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_delete] = ACTIONS(3326),
    [anon_sym_throw] = ACTIONS(3326),
    [anon_sym_namespace] = ACTIONS(3326),
    [anon_sym_using] = ACTIONS(3326),
    [anon_sym_static_assert] = ACTIONS(3326),
    [anon_sym_concept] = ACTIONS(3326),
    [anon_sym_co_return] = ACTIONS(3326),
    [anon_sym_co_yield] = ACTIONS(3326),
    [anon_sym_R_DQUOTE] = ACTIONS(3328),
    [anon_sym_LR_DQUOTE] = ACTIONS(3328),
    [anon_sym_uR_DQUOTE] = ACTIONS(3328),
    [anon_sym_UR_DQUOTE] = ACTIONS(3328),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3328),
    [anon_sym_co_await] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(3326),
    [anon_sym_requires] = ACTIONS(3326),
    [sym_this] = ACTIONS(3326),
  },
  [958] = {
    [sym_identifier] = ACTIONS(3393),
    [aux_sym_preproc_include_token1] = ACTIONS(3393),
    [aux_sym_preproc_def_token1] = ACTIONS(3393),
    [aux_sym_preproc_if_token1] = ACTIONS(3393),
    [aux_sym_preproc_if_token2] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3393),
    [sym_preproc_directive] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3395),
    [anon_sym_TILDE] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3393),
    [anon_sym_STAR] = ACTIONS(3395),
    [anon_sym_AMP_AMP] = ACTIONS(3395),
    [anon_sym_AMP] = ACTIONS(3393),
    [anon_sym_SEMI] = ACTIONS(3395),
    [anon_sym___extension__] = ACTIONS(3393),
    [anon_sym_typedef] = ACTIONS(3393),
    [anon_sym_extern] = ACTIONS(3393),
    [anon_sym___attribute__] = ACTIONS(3393),
    [anon_sym_COLON_COLON] = ACTIONS(3395),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3395),
    [anon_sym___declspec] = ACTIONS(3393),
    [anon_sym___based] = ACTIONS(3393),
    [anon_sym___cdecl] = ACTIONS(3393),
    [anon_sym___clrcall] = ACTIONS(3393),
    [anon_sym___stdcall] = ACTIONS(3393),
    [anon_sym___fastcall] = ACTIONS(3393),
    [anon_sym___thiscall] = ACTIONS(3393),
    [anon_sym___vectorcall] = ACTIONS(3393),
    [anon_sym_LBRACE] = ACTIONS(3395),
    [anon_sym_signed] = ACTIONS(3393),
    [anon_sym_unsigned] = ACTIONS(3393),
    [anon_sym_long] = ACTIONS(3393),
    [anon_sym_short] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(3393),
    [anon_sym_static] = ACTIONS(3393),
    [anon_sym_register] = ACTIONS(3393),
    [anon_sym_inline] = ACTIONS(3393),
    [anon_sym___inline] = ACTIONS(3393),
    [anon_sym___inline__] = ACTIONS(3393),
    [anon_sym___forceinline] = ACTIONS(3393),
    [anon_sym_thread_local] = ACTIONS(3393),
    [anon_sym___thread] = ACTIONS(3393),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_constexpr] = ACTIONS(3393),
    [anon_sym_volatile] = ACTIONS(3393),
    [anon_sym_restrict] = ACTIONS(3393),
    [anon_sym___restrict__] = ACTIONS(3393),
    [anon_sym__Atomic] = ACTIONS(3393),
    [anon_sym__Noreturn] = ACTIONS(3393),
    [anon_sym_noreturn] = ACTIONS(3393),
    [anon_sym_mutable] = ACTIONS(3393),
    [anon_sym_constinit] = ACTIONS(3393),
    [anon_sym_consteval] = ACTIONS(3393),
    [anon_sym_PROGMEM] = ACTIONS(3393),
    [aux_sym_primitive_type_token1] = ACTIONS(3393),
    [anon_sym_byte] = ACTIONS(3393),
    [anon_sym_word] = ACTIONS(3393),
    [anon_sym_enum] = ACTIONS(3393),
    [anon_sym_class] = ACTIONS(3393),
    [anon_sym_struct] = ACTIONS(3393),
    [anon_sym_union] = ACTIONS(3393),
    [anon_sym_if] = ACTIONS(3393),
    [anon_sym_switch] = ACTIONS(3393),
    [anon_sym_case] = ACTIONS(3393),
    [anon_sym_default] = ACTIONS(3393),
    [anon_sym_while] = ACTIONS(3393),
    [anon_sym_do] = ACTIONS(3393),
    [anon_sym_for] = ACTIONS(3393),
    [anon_sym_return] = ACTIONS(3393),
    [anon_sym_break] = ACTIONS(3393),
    [anon_sym_continue] = ACTIONS(3393),
    [anon_sym_goto] = ACTIONS(3393),
    [anon_sym___try] = ACTIONS(3393),
    [anon_sym___leave] = ACTIONS(3393),
    [anon_sym_not] = ACTIONS(3393),
    [anon_sym_compl] = ACTIONS(3393),
    [anon_sym_DASH_DASH] = ACTIONS(3395),
    [anon_sym_PLUS_PLUS] = ACTIONS(3395),
    [anon_sym_sizeof] = ACTIONS(3393),
    [anon_sym___alignof__] = ACTIONS(3393),
    [anon_sym___alignof] = ACTIONS(3393),
    [anon_sym__alignof] = ACTIONS(3393),
    [anon_sym_alignof] = ACTIONS(3393),
    [anon_sym__Alignof] = ACTIONS(3393),
    [anon_sym_offsetof] = ACTIONS(3393),
    [anon_sym__Generic] = ACTIONS(3393),
    [anon_sym_asm] = ACTIONS(3393),
    [anon_sym___asm__] = ACTIONS(3393),
    [aux_sym_number_literal_token1] = ACTIONS(3395),
    [aux_sym_number_literal_token2] = ACTIONS(3393),
    [anon_sym_L_SQUOTE] = ACTIONS(3395),
    [anon_sym_u_SQUOTE] = ACTIONS(3395),
    [anon_sym_U_SQUOTE] = ACTIONS(3395),
    [anon_sym_u8_SQUOTE] = ACTIONS(3395),
    [anon_sym_SQUOTE] = ACTIONS(3395),
    [anon_sym_L_DQUOTE] = ACTIONS(3395),
    [anon_sym_u_DQUOTE] = ACTIONS(3395),
    [anon_sym_U_DQUOTE] = ACTIONS(3395),
    [anon_sym_u8_DQUOTE] = ACTIONS(3395),
    [anon_sym_DQUOTE] = ACTIONS(3395),
    [sym_true] = ACTIONS(3393),
    [sym_false] = ACTIONS(3393),
    [anon_sym_NULL] = ACTIONS(3393),
    [anon_sym_nullptr] = ACTIONS(3393),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3393),
    [anon_sym_decltype] = ACTIONS(3393),
    [anon_sym_virtual] = ACTIONS(3393),
    [anon_sym_alignas] = ACTIONS(3393),
    [anon_sym_explicit] = ACTIONS(3393),
    [anon_sym_typename] = ACTIONS(3393),
    [anon_sym_template] = ACTIONS(3393),
    [anon_sym_operator] = ACTIONS(3393),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_delete] = ACTIONS(3393),
    [anon_sym_throw] = ACTIONS(3393),
    [anon_sym_namespace] = ACTIONS(3393),
    [anon_sym_using] = ACTIONS(3393),
    [anon_sym_static_assert] = ACTIONS(3393),
    [anon_sym_concept] = ACTIONS(3393),
    [anon_sym_co_return] = ACTIONS(3393),
    [anon_sym_co_yield] = ACTIONS(3393),
    [anon_sym_R_DQUOTE] = ACTIONS(3395),
    [anon_sym_LR_DQUOTE] = ACTIONS(3395),
    [anon_sym_uR_DQUOTE] = ACTIONS(3395),
    [anon_sym_UR_DQUOTE] = ACTIONS(3395),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3395),
    [anon_sym_co_await] = ACTIONS(3393),
    [anon_sym_new] = ACTIONS(3393),
    [anon_sym_requires] = ACTIONS(3393),
    [sym_this] = ACTIONS(3393),
  },
  [959] = {
    [sym_identifier] = ACTIONS(3357),
    [aux_sym_preproc_include_token1] = ACTIONS(3357),
    [aux_sym_preproc_def_token1] = ACTIONS(3357),
    [aux_sym_preproc_if_token1] = ACTIONS(3357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3357),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3357),
    [sym_preproc_directive] = ACTIONS(3357),
    [anon_sym_LPAREN2] = ACTIONS(3359),
    [anon_sym_BANG] = ACTIONS(3359),
    [anon_sym_TILDE] = ACTIONS(3359),
    [anon_sym_DASH] = ACTIONS(3357),
    [anon_sym_PLUS] = ACTIONS(3357),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_AMP_AMP] = ACTIONS(3359),
    [anon_sym_AMP] = ACTIONS(3357),
    [anon_sym_SEMI] = ACTIONS(3359),
    [anon_sym___extension__] = ACTIONS(3357),
    [anon_sym_typedef] = ACTIONS(3357),
    [anon_sym_extern] = ACTIONS(3357),
    [anon_sym___attribute__] = ACTIONS(3357),
    [anon_sym_COLON_COLON] = ACTIONS(3359),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3359),
    [anon_sym___declspec] = ACTIONS(3357),
    [anon_sym___based] = ACTIONS(3357),
    [anon_sym___cdecl] = ACTIONS(3357),
    [anon_sym___clrcall] = ACTIONS(3357),
    [anon_sym___stdcall] = ACTIONS(3357),
    [anon_sym___fastcall] = ACTIONS(3357),
    [anon_sym___thiscall] = ACTIONS(3357),
    [anon_sym___vectorcall] = ACTIONS(3357),
    [anon_sym_LBRACE] = ACTIONS(3359),
    [anon_sym_RBRACE] = ACTIONS(3359),
    [anon_sym_signed] = ACTIONS(3357),
    [anon_sym_unsigned] = ACTIONS(3357),
    [anon_sym_long] = ACTIONS(3357),
    [anon_sym_short] = ACTIONS(3357),
    [anon_sym_LBRACK] = ACTIONS(3357),
    [anon_sym_static] = ACTIONS(3357),
    [anon_sym_register] = ACTIONS(3357),
    [anon_sym_inline] = ACTIONS(3357),
    [anon_sym___inline] = ACTIONS(3357),
    [anon_sym___inline__] = ACTIONS(3357),
    [anon_sym___forceinline] = ACTIONS(3357),
    [anon_sym_thread_local] = ACTIONS(3357),
    [anon_sym___thread] = ACTIONS(3357),
    [anon_sym_const] = ACTIONS(3357),
    [anon_sym_constexpr] = ACTIONS(3357),
    [anon_sym_volatile] = ACTIONS(3357),
    [anon_sym_restrict] = ACTIONS(3357),
    [anon_sym___restrict__] = ACTIONS(3357),
    [anon_sym__Atomic] = ACTIONS(3357),
    [anon_sym__Noreturn] = ACTIONS(3357),
    [anon_sym_noreturn] = ACTIONS(3357),
    [anon_sym_mutable] = ACTIONS(3357),
    [anon_sym_constinit] = ACTIONS(3357),
    [anon_sym_consteval] = ACTIONS(3357),
    [anon_sym_PROGMEM] = ACTIONS(3357),
    [aux_sym_primitive_type_token1] = ACTIONS(3357),
    [anon_sym_byte] = ACTIONS(3357),
    [anon_sym_word] = ACTIONS(3357),
    [anon_sym_enum] = ACTIONS(3357),
    [anon_sym_class] = ACTIONS(3357),
    [anon_sym_struct] = ACTIONS(3357),
    [anon_sym_union] = ACTIONS(3357),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_switch] = ACTIONS(3357),
    [anon_sym_case] = ACTIONS(3357),
    [anon_sym_default] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(3357),
    [anon_sym_do] = ACTIONS(3357),
    [anon_sym_for] = ACTIONS(3357),
    [anon_sym_return] = ACTIONS(3357),
    [anon_sym_break] = ACTIONS(3357),
    [anon_sym_continue] = ACTIONS(3357),
    [anon_sym_goto] = ACTIONS(3357),
    [anon_sym___try] = ACTIONS(3357),
    [anon_sym___leave] = ACTIONS(3357),
    [anon_sym_not] = ACTIONS(3357),
    [anon_sym_compl] = ACTIONS(3357),
    [anon_sym_DASH_DASH] = ACTIONS(3359),
    [anon_sym_PLUS_PLUS] = ACTIONS(3359),
    [anon_sym_sizeof] = ACTIONS(3357),
    [anon_sym___alignof__] = ACTIONS(3357),
    [anon_sym___alignof] = ACTIONS(3357),
    [anon_sym__alignof] = ACTIONS(3357),
    [anon_sym_alignof] = ACTIONS(3357),
    [anon_sym__Alignof] = ACTIONS(3357),
    [anon_sym_offsetof] = ACTIONS(3357),
    [anon_sym__Generic] = ACTIONS(3357),
    [anon_sym_asm] = ACTIONS(3357),
    [anon_sym___asm__] = ACTIONS(3357),
    [aux_sym_number_literal_token1] = ACTIONS(3359),
    [aux_sym_number_literal_token2] = ACTIONS(3357),
    [anon_sym_L_SQUOTE] = ACTIONS(3359),
    [anon_sym_u_SQUOTE] = ACTIONS(3359),
    [anon_sym_U_SQUOTE] = ACTIONS(3359),
    [anon_sym_u8_SQUOTE] = ACTIONS(3359),
    [anon_sym_SQUOTE] = ACTIONS(3359),
    [anon_sym_L_DQUOTE] = ACTIONS(3359),
    [anon_sym_u_DQUOTE] = ACTIONS(3359),
    [anon_sym_U_DQUOTE] = ACTIONS(3359),
    [anon_sym_u8_DQUOTE] = ACTIONS(3359),
    [anon_sym_DQUOTE] = ACTIONS(3359),
    [sym_true] = ACTIONS(3357),
    [sym_false] = ACTIONS(3357),
    [anon_sym_NULL] = ACTIONS(3357),
    [anon_sym_nullptr] = ACTIONS(3357),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3357),
    [anon_sym_decltype] = ACTIONS(3357),
    [anon_sym_virtual] = ACTIONS(3357),
    [anon_sym_alignas] = ACTIONS(3357),
    [anon_sym_explicit] = ACTIONS(3357),
    [anon_sym_typename] = ACTIONS(3357),
    [anon_sym_template] = ACTIONS(3357),
    [anon_sym_operator] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(3357),
    [anon_sym_delete] = ACTIONS(3357),
    [anon_sym_throw] = ACTIONS(3357),
    [anon_sym_namespace] = ACTIONS(3357),
    [anon_sym_using] = ACTIONS(3357),
    [anon_sym_static_assert] = ACTIONS(3357),
    [anon_sym_concept] = ACTIONS(3357),
    [anon_sym_co_return] = ACTIONS(3357),
    [anon_sym_co_yield] = ACTIONS(3357),
    [anon_sym_R_DQUOTE] = ACTIONS(3359),
    [anon_sym_LR_DQUOTE] = ACTIONS(3359),
    [anon_sym_uR_DQUOTE] = ACTIONS(3359),
    [anon_sym_UR_DQUOTE] = ACTIONS(3359),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3359),
    [anon_sym_co_await] = ACTIONS(3357),
    [anon_sym_new] = ACTIONS(3357),
    [anon_sym_requires] = ACTIONS(3357),
    [sym_this] = ACTIONS(3357),
  },
  [960] = {
    [sym_identifier] = ACTIONS(3369),
    [aux_sym_preproc_include_token1] = ACTIONS(3369),
    [aux_sym_preproc_def_token1] = ACTIONS(3369),
    [aux_sym_preproc_if_token1] = ACTIONS(3369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3369),
    [sym_preproc_directive] = ACTIONS(3369),
    [anon_sym_LPAREN2] = ACTIONS(3371),
    [anon_sym_BANG] = ACTIONS(3371),
    [anon_sym_TILDE] = ACTIONS(3371),
    [anon_sym_DASH] = ACTIONS(3369),
    [anon_sym_PLUS] = ACTIONS(3369),
    [anon_sym_STAR] = ACTIONS(3371),
    [anon_sym_AMP_AMP] = ACTIONS(3371),
    [anon_sym_AMP] = ACTIONS(3369),
    [anon_sym_SEMI] = ACTIONS(3371),
    [anon_sym___extension__] = ACTIONS(3369),
    [anon_sym_typedef] = ACTIONS(3369),
    [anon_sym_extern] = ACTIONS(3369),
    [anon_sym___attribute__] = ACTIONS(3369),
    [anon_sym_COLON_COLON] = ACTIONS(3371),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3371),
    [anon_sym___declspec] = ACTIONS(3369),
    [anon_sym___based] = ACTIONS(3369),
    [anon_sym___cdecl] = ACTIONS(3369),
    [anon_sym___clrcall] = ACTIONS(3369),
    [anon_sym___stdcall] = ACTIONS(3369),
    [anon_sym___fastcall] = ACTIONS(3369),
    [anon_sym___thiscall] = ACTIONS(3369),
    [anon_sym___vectorcall] = ACTIONS(3369),
    [anon_sym_LBRACE] = ACTIONS(3371),
    [anon_sym_RBRACE] = ACTIONS(3371),
    [anon_sym_signed] = ACTIONS(3369),
    [anon_sym_unsigned] = ACTIONS(3369),
    [anon_sym_long] = ACTIONS(3369),
    [anon_sym_short] = ACTIONS(3369),
    [anon_sym_LBRACK] = ACTIONS(3369),
    [anon_sym_static] = ACTIONS(3369),
    [anon_sym_register] = ACTIONS(3369),
    [anon_sym_inline] = ACTIONS(3369),
    [anon_sym___inline] = ACTIONS(3369),
    [anon_sym___inline__] = ACTIONS(3369),
    [anon_sym___forceinline] = ACTIONS(3369),
    [anon_sym_thread_local] = ACTIONS(3369),
    [anon_sym___thread] = ACTIONS(3369),
    [anon_sym_const] = ACTIONS(3369),
    [anon_sym_constexpr] = ACTIONS(3369),
    [anon_sym_volatile] = ACTIONS(3369),
    [anon_sym_restrict] = ACTIONS(3369),
    [anon_sym___restrict__] = ACTIONS(3369),
    [anon_sym__Atomic] = ACTIONS(3369),
    [anon_sym__Noreturn] = ACTIONS(3369),
    [anon_sym_noreturn] = ACTIONS(3369),
    [anon_sym_mutable] = ACTIONS(3369),
    [anon_sym_constinit] = ACTIONS(3369),
    [anon_sym_consteval] = ACTIONS(3369),
    [anon_sym_PROGMEM] = ACTIONS(3369),
    [aux_sym_primitive_type_token1] = ACTIONS(3369),
    [anon_sym_byte] = ACTIONS(3369),
    [anon_sym_word] = ACTIONS(3369),
    [anon_sym_enum] = ACTIONS(3369),
    [anon_sym_class] = ACTIONS(3369),
    [anon_sym_struct] = ACTIONS(3369),
    [anon_sym_union] = ACTIONS(3369),
    [anon_sym_if] = ACTIONS(3369),
    [anon_sym_switch] = ACTIONS(3369),
    [anon_sym_case] = ACTIONS(3369),
    [anon_sym_default] = ACTIONS(3369),
    [anon_sym_while] = ACTIONS(3369),
    [anon_sym_do] = ACTIONS(3369),
    [anon_sym_for] = ACTIONS(3369),
    [anon_sym_return] = ACTIONS(3369),
    [anon_sym_break] = ACTIONS(3369),
    [anon_sym_continue] = ACTIONS(3369),
    [anon_sym_goto] = ACTIONS(3369),
    [anon_sym___try] = ACTIONS(3369),
    [anon_sym___leave] = ACTIONS(3369),
    [anon_sym_not] = ACTIONS(3369),
    [anon_sym_compl] = ACTIONS(3369),
    [anon_sym_DASH_DASH] = ACTIONS(3371),
    [anon_sym_PLUS_PLUS] = ACTIONS(3371),
    [anon_sym_sizeof] = ACTIONS(3369),
    [anon_sym___alignof__] = ACTIONS(3369),
    [anon_sym___alignof] = ACTIONS(3369),
    [anon_sym__alignof] = ACTIONS(3369),
    [anon_sym_alignof] = ACTIONS(3369),
    [anon_sym__Alignof] = ACTIONS(3369),
    [anon_sym_offsetof] = ACTIONS(3369),
    [anon_sym__Generic] = ACTIONS(3369),
    [anon_sym_asm] = ACTIONS(3369),
    [anon_sym___asm__] = ACTIONS(3369),
    [aux_sym_number_literal_token1] = ACTIONS(3371),
    [aux_sym_number_literal_token2] = ACTIONS(3369),
    [anon_sym_L_SQUOTE] = ACTIONS(3371),
    [anon_sym_u_SQUOTE] = ACTIONS(3371),
    [anon_sym_U_SQUOTE] = ACTIONS(3371),
    [anon_sym_u8_SQUOTE] = ACTIONS(3371),
    [anon_sym_SQUOTE] = ACTIONS(3371),
    [anon_sym_L_DQUOTE] = ACTIONS(3371),
    [anon_sym_u_DQUOTE] = ACTIONS(3371),
    [anon_sym_U_DQUOTE] = ACTIONS(3371),
    [anon_sym_u8_DQUOTE] = ACTIONS(3371),
    [anon_sym_DQUOTE] = ACTIONS(3371),
    [sym_true] = ACTIONS(3369),
    [sym_false] = ACTIONS(3369),
    [anon_sym_NULL] = ACTIONS(3369),
    [anon_sym_nullptr] = ACTIONS(3369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3369),
    [anon_sym_decltype] = ACTIONS(3369),
    [anon_sym_virtual] = ACTIONS(3369),
    [anon_sym_alignas] = ACTIONS(3369),
    [anon_sym_explicit] = ACTIONS(3369),
    [anon_sym_typename] = ACTIONS(3369),
    [anon_sym_template] = ACTIONS(3369),
    [anon_sym_operator] = ACTIONS(3369),
    [anon_sym_try] = ACTIONS(3369),
    [anon_sym_delete] = ACTIONS(3369),
    [anon_sym_throw] = ACTIONS(3369),
    [anon_sym_namespace] = ACTIONS(3369),
    [anon_sym_using] = ACTIONS(3369),
    [anon_sym_static_assert] = ACTIONS(3369),
    [anon_sym_concept] = ACTIONS(3369),
    [anon_sym_co_return] = ACTIONS(3369),
    [anon_sym_co_yield] = ACTIONS(3369),
    [anon_sym_R_DQUOTE] = ACTIONS(3371),
    [anon_sym_LR_DQUOTE] = ACTIONS(3371),
    [anon_sym_uR_DQUOTE] = ACTIONS(3371),
    [anon_sym_UR_DQUOTE] = ACTIONS(3371),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3371),
    [anon_sym_co_await] = ACTIONS(3369),
    [anon_sym_new] = ACTIONS(3369),
    [anon_sym_requires] = ACTIONS(3369),
    [sym_this] = ACTIONS(3369),
  },
  [961] = {
    [sym_identifier] = ACTIONS(3176),
    [aux_sym_preproc_include_token1] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3178),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3178),
    [anon_sym___extension__] = ACTIONS(3176),
    [anon_sym_typedef] = ACTIONS(3176),
    [anon_sym_extern] = ACTIONS(3176),
    [anon_sym___attribute__] = ACTIONS(3176),
    [anon_sym_COLON_COLON] = ACTIONS(3178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3178),
    [anon_sym___declspec] = ACTIONS(3176),
    [anon_sym___based] = ACTIONS(3176),
    [anon_sym___cdecl] = ACTIONS(3176),
    [anon_sym___clrcall] = ACTIONS(3176),
    [anon_sym___stdcall] = ACTIONS(3176),
    [anon_sym___fastcall] = ACTIONS(3176),
    [anon_sym___thiscall] = ACTIONS(3176),
    [anon_sym___vectorcall] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3178),
    [anon_sym_RBRACE] = ACTIONS(3178),
    [anon_sym_signed] = ACTIONS(3176),
    [anon_sym_unsigned] = ACTIONS(3176),
    [anon_sym_long] = ACTIONS(3176),
    [anon_sym_short] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_register] = ACTIONS(3176),
    [anon_sym_inline] = ACTIONS(3176),
    [anon_sym___inline] = ACTIONS(3176),
    [anon_sym___inline__] = ACTIONS(3176),
    [anon_sym___forceinline] = ACTIONS(3176),
    [anon_sym_thread_local] = ACTIONS(3176),
    [anon_sym___thread] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_constexpr] = ACTIONS(3176),
    [anon_sym_volatile] = ACTIONS(3176),
    [anon_sym_restrict] = ACTIONS(3176),
    [anon_sym___restrict__] = ACTIONS(3176),
    [anon_sym__Atomic] = ACTIONS(3176),
    [anon_sym__Noreturn] = ACTIONS(3176),
    [anon_sym_noreturn] = ACTIONS(3176),
    [anon_sym_mutable] = ACTIONS(3176),
    [anon_sym_constinit] = ACTIONS(3176),
    [anon_sym_consteval] = ACTIONS(3176),
    [anon_sym_PROGMEM] = ACTIONS(3176),
    [aux_sym_primitive_type_token1] = ACTIONS(3176),
    [anon_sym_byte] = ACTIONS(3176),
    [anon_sym_word] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_struct] = ACTIONS(3176),
    [anon_sym_union] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_default] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_goto] = ACTIONS(3176),
    [anon_sym___try] = ACTIONS(3176),
    [anon_sym___leave] = ACTIONS(3176),
    [anon_sym_not] = ACTIONS(3176),
    [anon_sym_compl] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(3176),
    [anon_sym___alignof__] = ACTIONS(3176),
    [anon_sym___alignof] = ACTIONS(3176),
    [anon_sym__alignof] = ACTIONS(3176),
    [anon_sym_alignof] = ACTIONS(3176),
    [anon_sym__Alignof] = ACTIONS(3176),
    [anon_sym_offsetof] = ACTIONS(3176),
    [anon_sym__Generic] = ACTIONS(3176),
    [anon_sym_asm] = ACTIONS(3176),
    [anon_sym___asm__] = ACTIONS(3176),
    [aux_sym_number_literal_token1] = ACTIONS(3178),
    [aux_sym_number_literal_token2] = ACTIONS(3176),
    [anon_sym_L_SQUOTE] = ACTIONS(3178),
    [anon_sym_u_SQUOTE] = ACTIONS(3178),
    [anon_sym_U_SQUOTE] = ACTIONS(3178),
    [anon_sym_u8_SQUOTE] = ACTIONS(3178),
    [anon_sym_SQUOTE] = ACTIONS(3178),
    [anon_sym_L_DQUOTE] = ACTIONS(3178),
    [anon_sym_u_DQUOTE] = ACTIONS(3178),
    [anon_sym_U_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8_DQUOTE] = ACTIONS(3178),
    [anon_sym_DQUOTE] = ACTIONS(3178),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [anon_sym_NULL] = ACTIONS(3176),
    [anon_sym_nullptr] = ACTIONS(3176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3176),
    [anon_sym_decltype] = ACTIONS(3176),
    [anon_sym_virtual] = ACTIONS(3176),
    [anon_sym_alignas] = ACTIONS(3176),
    [anon_sym_explicit] = ACTIONS(3176),
    [anon_sym_typename] = ACTIONS(3176),
    [anon_sym_template] = ACTIONS(3176),
    [anon_sym_operator] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_static_assert] = ACTIONS(3176),
    [anon_sym_concept] = ACTIONS(3176),
    [anon_sym_co_return] = ACTIONS(3176),
    [anon_sym_co_yield] = ACTIONS(3176),
    [anon_sym_R_DQUOTE] = ACTIONS(3178),
    [anon_sym_LR_DQUOTE] = ACTIONS(3178),
    [anon_sym_uR_DQUOTE] = ACTIONS(3178),
    [anon_sym_UR_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3178),
    [anon_sym_co_await] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_requires] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
  },
  [962] = {
    [sym_identifier] = ACTIONS(3196),
    [aux_sym_preproc_include_token1] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3196),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_if_token2] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3196),
    [sym_preproc_directive] = ACTIONS(3196),
    [anon_sym_LPAREN2] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_STAR] = ACTIONS(3198),
    [anon_sym_AMP_AMP] = ACTIONS(3198),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(3196),
    [anon_sym_typedef] = ACTIONS(3196),
    [anon_sym_extern] = ACTIONS(3196),
    [anon_sym___attribute__] = ACTIONS(3196),
    [anon_sym_COLON_COLON] = ACTIONS(3198),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3198),
    [anon_sym___declspec] = ACTIONS(3196),
    [anon_sym___based] = ACTIONS(3196),
    [anon_sym___cdecl] = ACTIONS(3196),
    [anon_sym___clrcall] = ACTIONS(3196),
    [anon_sym___stdcall] = ACTIONS(3196),
    [anon_sym___fastcall] = ACTIONS(3196),
    [anon_sym___thiscall] = ACTIONS(3196),
    [anon_sym___vectorcall] = ACTIONS(3196),
    [anon_sym_LBRACE] = ACTIONS(3198),
    [anon_sym_signed] = ACTIONS(3196),
    [anon_sym_unsigned] = ACTIONS(3196),
    [anon_sym_long] = ACTIONS(3196),
    [anon_sym_short] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_register] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(3196),
    [anon_sym___inline] = ACTIONS(3196),
    [anon_sym___inline__] = ACTIONS(3196),
    [anon_sym___forceinline] = ACTIONS(3196),
    [anon_sym_thread_local] = ACTIONS(3196),
    [anon_sym___thread] = ACTIONS(3196),
    [anon_sym_const] = ACTIONS(3196),
    [anon_sym_constexpr] = ACTIONS(3196),
    [anon_sym_volatile] = ACTIONS(3196),
    [anon_sym_restrict] = ACTIONS(3196),
    [anon_sym___restrict__] = ACTIONS(3196),
    [anon_sym__Atomic] = ACTIONS(3196),
    [anon_sym__Noreturn] = ACTIONS(3196),
    [anon_sym_noreturn] = ACTIONS(3196),
    [anon_sym_mutable] = ACTIONS(3196),
    [anon_sym_constinit] = ACTIONS(3196),
    [anon_sym_consteval] = ACTIONS(3196),
    [anon_sym_PROGMEM] = ACTIONS(3196),
    [aux_sym_primitive_type_token1] = ACTIONS(3196),
    [anon_sym_byte] = ACTIONS(3196),
    [anon_sym_word] = ACTIONS(3196),
    [anon_sym_enum] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_struct] = ACTIONS(3196),
    [anon_sym_union] = ACTIONS(3196),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_switch] = ACTIONS(3196),
    [anon_sym_case] = ACTIONS(3196),
    [anon_sym_default] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3196),
    [anon_sym_do] = ACTIONS(3196),
    [anon_sym_for] = ACTIONS(3196),
    [anon_sym_return] = ACTIONS(3196),
    [anon_sym_break] = ACTIONS(3196),
    [anon_sym_continue] = ACTIONS(3196),
    [anon_sym_goto] = ACTIONS(3196),
    [anon_sym___try] = ACTIONS(3196),
    [anon_sym___leave] = ACTIONS(3196),
    [anon_sym_not] = ACTIONS(3196),
    [anon_sym_compl] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_sizeof] = ACTIONS(3196),
    [anon_sym___alignof__] = ACTIONS(3196),
    [anon_sym___alignof] = ACTIONS(3196),
    [anon_sym__alignof] = ACTIONS(3196),
    [anon_sym_alignof] = ACTIONS(3196),
    [anon_sym__Alignof] = ACTIONS(3196),
    [anon_sym_offsetof] = ACTIONS(3196),
    [anon_sym__Generic] = ACTIONS(3196),
    [anon_sym_asm] = ACTIONS(3196),
    [anon_sym___asm__] = ACTIONS(3196),
    [aux_sym_number_literal_token1] = ACTIONS(3198),
    [aux_sym_number_literal_token2] = ACTIONS(3196),
    [anon_sym_L_SQUOTE] = ACTIONS(3198),
    [anon_sym_u_SQUOTE] = ACTIONS(3198),
    [anon_sym_U_SQUOTE] = ACTIONS(3198),
    [anon_sym_u8_SQUOTE] = ACTIONS(3198),
    [anon_sym_SQUOTE] = ACTIONS(3198),
    [anon_sym_L_DQUOTE] = ACTIONS(3198),
    [anon_sym_u_DQUOTE] = ACTIONS(3198),
    [anon_sym_U_DQUOTE] = ACTIONS(3198),
    [anon_sym_u8_DQUOTE] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [sym_true] = ACTIONS(3196),
    [sym_false] = ACTIONS(3196),
    [anon_sym_NULL] = ACTIONS(3196),
    [anon_sym_nullptr] = ACTIONS(3196),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3196),
    [anon_sym_decltype] = ACTIONS(3196),
    [anon_sym_virtual] = ACTIONS(3196),
    [anon_sym_alignas] = ACTIONS(3196),
    [anon_sym_explicit] = ACTIONS(3196),
    [anon_sym_typename] = ACTIONS(3196),
    [anon_sym_template] = ACTIONS(3196),
    [anon_sym_operator] = ACTIONS(3196),
    [anon_sym_try] = ACTIONS(3196),
    [anon_sym_delete] = ACTIONS(3196),
    [anon_sym_throw] = ACTIONS(3196),
    [anon_sym_namespace] = ACTIONS(3196),
    [anon_sym_using] = ACTIONS(3196),
    [anon_sym_static_assert] = ACTIONS(3196),
    [anon_sym_concept] = ACTIONS(3196),
    [anon_sym_co_return] = ACTIONS(3196),
    [anon_sym_co_yield] = ACTIONS(3196),
    [anon_sym_R_DQUOTE] = ACTIONS(3198),
    [anon_sym_LR_DQUOTE] = ACTIONS(3198),
    [anon_sym_uR_DQUOTE] = ACTIONS(3198),
    [anon_sym_UR_DQUOTE] = ACTIONS(3198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3198),
    [anon_sym_co_await] = ACTIONS(3196),
    [anon_sym_new] = ACTIONS(3196),
    [anon_sym_requires] = ACTIONS(3196),
    [sym_this] = ACTIONS(3196),
  },
  [963] = {
    [sym_identifier] = ACTIONS(3343),
    [aux_sym_preproc_include_token1] = ACTIONS(3343),
    [aux_sym_preproc_def_token1] = ACTIONS(3343),
    [aux_sym_preproc_if_token1] = ACTIONS(3343),
    [aux_sym_preproc_if_token2] = ACTIONS(3343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3343),
    [sym_preproc_directive] = ACTIONS(3343),
    [anon_sym_LPAREN2] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(3345),
    [anon_sym_AMP_AMP] = ACTIONS(3345),
    [anon_sym_AMP] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3345),
    [anon_sym___extension__] = ACTIONS(3343),
    [anon_sym_typedef] = ACTIONS(3343),
    [anon_sym_extern] = ACTIONS(3343),
    [anon_sym___attribute__] = ACTIONS(3343),
    [anon_sym_COLON_COLON] = ACTIONS(3345),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3345),
    [anon_sym___declspec] = ACTIONS(3343),
    [anon_sym___based] = ACTIONS(3343),
    [anon_sym___cdecl] = ACTIONS(3343),
    [anon_sym___clrcall] = ACTIONS(3343),
    [anon_sym___stdcall] = ACTIONS(3343),
    [anon_sym___fastcall] = ACTIONS(3343),
    [anon_sym___thiscall] = ACTIONS(3343),
    [anon_sym___vectorcall] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3345),
    [anon_sym_signed] = ACTIONS(3343),
    [anon_sym_unsigned] = ACTIONS(3343),
    [anon_sym_long] = ACTIONS(3343),
    [anon_sym_short] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_register] = ACTIONS(3343),
    [anon_sym_inline] = ACTIONS(3343),
    [anon_sym___inline] = ACTIONS(3343),
    [anon_sym___inline__] = ACTIONS(3343),
    [anon_sym___forceinline] = ACTIONS(3343),
    [anon_sym_thread_local] = ACTIONS(3343),
    [anon_sym___thread] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_constexpr] = ACTIONS(3343),
    [anon_sym_volatile] = ACTIONS(3343),
    [anon_sym_restrict] = ACTIONS(3343),
    [anon_sym___restrict__] = ACTIONS(3343),
    [anon_sym__Atomic] = ACTIONS(3343),
    [anon_sym__Noreturn] = ACTIONS(3343),
    [anon_sym_noreturn] = ACTIONS(3343),
    [anon_sym_mutable] = ACTIONS(3343),
    [anon_sym_constinit] = ACTIONS(3343),
    [anon_sym_consteval] = ACTIONS(3343),
    [anon_sym_PROGMEM] = ACTIONS(3343),
    [aux_sym_primitive_type_token1] = ACTIONS(3343),
    [anon_sym_byte] = ACTIONS(3343),
    [anon_sym_word] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_struct] = ACTIONS(3343),
    [anon_sym_union] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_goto] = ACTIONS(3343),
    [anon_sym___try] = ACTIONS(3343),
    [anon_sym___leave] = ACTIONS(3343),
    [anon_sym_not] = ACTIONS(3343),
    [anon_sym_compl] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_sizeof] = ACTIONS(3343),
    [anon_sym___alignof__] = ACTIONS(3343),
    [anon_sym___alignof] = ACTIONS(3343),
    [anon_sym__alignof] = ACTIONS(3343),
    [anon_sym_alignof] = ACTIONS(3343),
    [anon_sym__Alignof] = ACTIONS(3343),
    [anon_sym_offsetof] = ACTIONS(3343),
    [anon_sym__Generic] = ACTIONS(3343),
    [anon_sym_asm] = ACTIONS(3343),
    [anon_sym___asm__] = ACTIONS(3343),
    [aux_sym_number_literal_token1] = ACTIONS(3345),
    [aux_sym_number_literal_token2] = ACTIONS(3343),
    [anon_sym_L_SQUOTE] = ACTIONS(3345),
    [anon_sym_u_SQUOTE] = ACTIONS(3345),
    [anon_sym_U_SQUOTE] = ACTIONS(3345),
    [anon_sym_u8_SQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [anon_sym_L_DQUOTE] = ACTIONS(3345),
    [anon_sym_u_DQUOTE] = ACTIONS(3345),
    [anon_sym_U_DQUOTE] = ACTIONS(3345),
    [anon_sym_u8_DQUOTE] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [anon_sym_NULL] = ACTIONS(3343),
    [anon_sym_nullptr] = ACTIONS(3343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3343),
    [anon_sym_decltype] = ACTIONS(3343),
    [anon_sym_virtual] = ACTIONS(3343),
    [anon_sym_alignas] = ACTIONS(3343),
    [anon_sym_explicit] = ACTIONS(3343),
    [anon_sym_typename] = ACTIONS(3343),
    [anon_sym_template] = ACTIONS(3343),
    [anon_sym_operator] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_static_assert] = ACTIONS(3343),
    [anon_sym_concept] = ACTIONS(3343),
    [anon_sym_co_return] = ACTIONS(3343),
    [anon_sym_co_yield] = ACTIONS(3343),
    [anon_sym_R_DQUOTE] = ACTIONS(3345),
    [anon_sym_LR_DQUOTE] = ACTIONS(3345),
    [anon_sym_uR_DQUOTE] = ACTIONS(3345),
    [anon_sym_UR_DQUOTE] = ACTIONS(3345),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3345),
    [anon_sym_co_await] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_requires] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
  },
  [964] = {
    [sym_identifier] = ACTIONS(3351),
    [aux_sym_preproc_include_token1] = ACTIONS(3351),
    [aux_sym_preproc_def_token1] = ACTIONS(3351),
    [aux_sym_preproc_if_token1] = ACTIONS(3351),
    [aux_sym_preproc_if_token2] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3351),
    [sym_preproc_directive] = ACTIONS(3351),
    [anon_sym_LPAREN2] = ACTIONS(3353),
    [anon_sym_BANG] = ACTIONS(3353),
    [anon_sym_TILDE] = ACTIONS(3353),
    [anon_sym_DASH] = ACTIONS(3351),
    [anon_sym_PLUS] = ACTIONS(3351),
    [anon_sym_STAR] = ACTIONS(3353),
    [anon_sym_AMP_AMP] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(3351),
    [anon_sym_SEMI] = ACTIONS(3353),
    [anon_sym___extension__] = ACTIONS(3351),
    [anon_sym_typedef] = ACTIONS(3351),
    [anon_sym_extern] = ACTIONS(3351),
    [anon_sym___attribute__] = ACTIONS(3351),
    [anon_sym_COLON_COLON] = ACTIONS(3353),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3353),
    [anon_sym___declspec] = ACTIONS(3351),
    [anon_sym___based] = ACTIONS(3351),
    [anon_sym___cdecl] = ACTIONS(3351),
    [anon_sym___clrcall] = ACTIONS(3351),
    [anon_sym___stdcall] = ACTIONS(3351),
    [anon_sym___fastcall] = ACTIONS(3351),
    [anon_sym___thiscall] = ACTIONS(3351),
    [anon_sym___vectorcall] = ACTIONS(3351),
    [anon_sym_LBRACE] = ACTIONS(3353),
    [anon_sym_signed] = ACTIONS(3351),
    [anon_sym_unsigned] = ACTIONS(3351),
    [anon_sym_long] = ACTIONS(3351),
    [anon_sym_short] = ACTIONS(3351),
    [anon_sym_LBRACK] = ACTIONS(3351),
    [anon_sym_static] = ACTIONS(3351),
    [anon_sym_register] = ACTIONS(3351),
    [anon_sym_inline] = ACTIONS(3351),
    [anon_sym___inline] = ACTIONS(3351),
    [anon_sym___inline__] = ACTIONS(3351),
    [anon_sym___forceinline] = ACTIONS(3351),
    [anon_sym_thread_local] = ACTIONS(3351),
    [anon_sym___thread] = ACTIONS(3351),
    [anon_sym_const] = ACTIONS(3351),
    [anon_sym_constexpr] = ACTIONS(3351),
    [anon_sym_volatile] = ACTIONS(3351),
    [anon_sym_restrict] = ACTIONS(3351),
    [anon_sym___restrict__] = ACTIONS(3351),
    [anon_sym__Atomic] = ACTIONS(3351),
    [anon_sym__Noreturn] = ACTIONS(3351),
    [anon_sym_noreturn] = ACTIONS(3351),
    [anon_sym_mutable] = ACTIONS(3351),
    [anon_sym_constinit] = ACTIONS(3351),
    [anon_sym_consteval] = ACTIONS(3351),
    [anon_sym_PROGMEM] = ACTIONS(3351),
    [aux_sym_primitive_type_token1] = ACTIONS(3351),
    [anon_sym_byte] = ACTIONS(3351),
    [anon_sym_word] = ACTIONS(3351),
    [anon_sym_enum] = ACTIONS(3351),
    [anon_sym_class] = ACTIONS(3351),
    [anon_sym_struct] = ACTIONS(3351),
    [anon_sym_union] = ACTIONS(3351),
    [anon_sym_if] = ACTIONS(3351),
    [anon_sym_switch] = ACTIONS(3351),
    [anon_sym_case] = ACTIONS(3351),
    [anon_sym_default] = ACTIONS(3351),
    [anon_sym_while] = ACTIONS(3351),
    [anon_sym_do] = ACTIONS(3351),
    [anon_sym_for] = ACTIONS(3351),
    [anon_sym_return] = ACTIONS(3351),
    [anon_sym_break] = ACTIONS(3351),
    [anon_sym_continue] = ACTIONS(3351),
    [anon_sym_goto] = ACTIONS(3351),
    [anon_sym___try] = ACTIONS(3351),
    [anon_sym___leave] = ACTIONS(3351),
    [anon_sym_not] = ACTIONS(3351),
    [anon_sym_compl] = ACTIONS(3351),
    [anon_sym_DASH_DASH] = ACTIONS(3353),
    [anon_sym_PLUS_PLUS] = ACTIONS(3353),
    [anon_sym_sizeof] = ACTIONS(3351),
    [anon_sym___alignof__] = ACTIONS(3351),
    [anon_sym___alignof] = ACTIONS(3351),
    [anon_sym__alignof] = ACTIONS(3351),
    [anon_sym_alignof] = ACTIONS(3351),
    [anon_sym__Alignof] = ACTIONS(3351),
    [anon_sym_offsetof] = ACTIONS(3351),
    [anon_sym__Generic] = ACTIONS(3351),
    [anon_sym_asm] = ACTIONS(3351),
    [anon_sym___asm__] = ACTIONS(3351),
    [aux_sym_number_literal_token1] = ACTIONS(3353),
    [aux_sym_number_literal_token2] = ACTIONS(3351),
    [anon_sym_L_SQUOTE] = ACTIONS(3353),
    [anon_sym_u_SQUOTE] = ACTIONS(3353),
    [anon_sym_U_SQUOTE] = ACTIONS(3353),
    [anon_sym_u8_SQUOTE] = ACTIONS(3353),
    [anon_sym_SQUOTE] = ACTIONS(3353),
    [anon_sym_L_DQUOTE] = ACTIONS(3353),
    [anon_sym_u_DQUOTE] = ACTIONS(3353),
    [anon_sym_U_DQUOTE] = ACTIONS(3353),
    [anon_sym_u8_DQUOTE] = ACTIONS(3353),
    [anon_sym_DQUOTE] = ACTIONS(3353),
    [sym_true] = ACTIONS(3351),
    [sym_false] = ACTIONS(3351),
    [anon_sym_NULL] = ACTIONS(3351),
    [anon_sym_nullptr] = ACTIONS(3351),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3351),
    [anon_sym_decltype] = ACTIONS(3351),
    [anon_sym_virtual] = ACTIONS(3351),
    [anon_sym_alignas] = ACTIONS(3351),
    [anon_sym_explicit] = ACTIONS(3351),
    [anon_sym_typename] = ACTIONS(3351),
    [anon_sym_template] = ACTIONS(3351),
    [anon_sym_operator] = ACTIONS(3351),
    [anon_sym_try] = ACTIONS(3351),
    [anon_sym_delete] = ACTIONS(3351),
    [anon_sym_throw] = ACTIONS(3351),
    [anon_sym_namespace] = ACTIONS(3351),
    [anon_sym_using] = ACTIONS(3351),
    [anon_sym_static_assert] = ACTIONS(3351),
    [anon_sym_concept] = ACTIONS(3351),
    [anon_sym_co_return] = ACTIONS(3351),
    [anon_sym_co_yield] = ACTIONS(3351),
    [anon_sym_R_DQUOTE] = ACTIONS(3353),
    [anon_sym_LR_DQUOTE] = ACTIONS(3353),
    [anon_sym_uR_DQUOTE] = ACTIONS(3353),
    [anon_sym_UR_DQUOTE] = ACTIONS(3353),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3353),
    [anon_sym_co_await] = ACTIONS(3351),
    [anon_sym_new] = ACTIONS(3351),
    [anon_sym_requires] = ACTIONS(3351),
    [sym_this] = ACTIONS(3351),
  },
  [965] = {
    [sym_identifier] = ACTIONS(3326),
    [aux_sym_preproc_include_token1] = ACTIONS(3326),
    [aux_sym_preproc_def_token1] = ACTIONS(3326),
    [aux_sym_preproc_if_token1] = ACTIONS(3326),
    [aux_sym_preproc_if_token2] = ACTIONS(3326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3326),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3326),
    [sym_preproc_directive] = ACTIONS(3326),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(3328),
    [anon_sym_AMP_AMP] = ACTIONS(3328),
    [anon_sym_AMP] = ACTIONS(3326),
    [anon_sym_SEMI] = ACTIONS(3328),
    [anon_sym___extension__] = ACTIONS(3326),
    [anon_sym_typedef] = ACTIONS(3326),
    [anon_sym_extern] = ACTIONS(3326),
    [anon_sym___attribute__] = ACTIONS(3326),
    [anon_sym_COLON_COLON] = ACTIONS(3328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3328),
    [anon_sym___declspec] = ACTIONS(3326),
    [anon_sym___based] = ACTIONS(3326),
    [anon_sym___cdecl] = ACTIONS(3326),
    [anon_sym___clrcall] = ACTIONS(3326),
    [anon_sym___stdcall] = ACTIONS(3326),
    [anon_sym___fastcall] = ACTIONS(3326),
    [anon_sym___thiscall] = ACTIONS(3326),
    [anon_sym___vectorcall] = ACTIONS(3326),
    [anon_sym_LBRACE] = ACTIONS(3328),
    [anon_sym_signed] = ACTIONS(3326),
    [anon_sym_unsigned] = ACTIONS(3326),
    [anon_sym_long] = ACTIONS(3326),
    [anon_sym_short] = ACTIONS(3326),
    [anon_sym_LBRACK] = ACTIONS(3326),
    [anon_sym_static] = ACTIONS(3326),
    [anon_sym_register] = ACTIONS(3326),
    [anon_sym_inline] = ACTIONS(3326),
    [anon_sym___inline] = ACTIONS(3326),
    [anon_sym___inline__] = ACTIONS(3326),
    [anon_sym___forceinline] = ACTIONS(3326),
    [anon_sym_thread_local] = ACTIONS(3326),
    [anon_sym___thread] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3326),
    [anon_sym_constexpr] = ACTIONS(3326),
    [anon_sym_volatile] = ACTIONS(3326),
    [anon_sym_restrict] = ACTIONS(3326),
    [anon_sym___restrict__] = ACTIONS(3326),
    [anon_sym__Atomic] = ACTIONS(3326),
    [anon_sym__Noreturn] = ACTIONS(3326),
    [anon_sym_noreturn] = ACTIONS(3326),
    [anon_sym_mutable] = ACTIONS(3326),
    [anon_sym_constinit] = ACTIONS(3326),
    [anon_sym_consteval] = ACTIONS(3326),
    [anon_sym_PROGMEM] = ACTIONS(3326),
    [aux_sym_primitive_type_token1] = ACTIONS(3326),
    [anon_sym_byte] = ACTIONS(3326),
    [anon_sym_word] = ACTIONS(3326),
    [anon_sym_enum] = ACTIONS(3326),
    [anon_sym_class] = ACTIONS(3326),
    [anon_sym_struct] = ACTIONS(3326),
    [anon_sym_union] = ACTIONS(3326),
    [anon_sym_if] = ACTIONS(3326),
    [anon_sym_switch] = ACTIONS(3326),
    [anon_sym_case] = ACTIONS(3326),
    [anon_sym_default] = ACTIONS(3326),
    [anon_sym_while] = ACTIONS(3326),
    [anon_sym_do] = ACTIONS(3326),
    [anon_sym_for] = ACTIONS(3326),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_break] = ACTIONS(3326),
    [anon_sym_continue] = ACTIONS(3326),
    [anon_sym_goto] = ACTIONS(3326),
    [anon_sym___try] = ACTIONS(3326),
    [anon_sym___leave] = ACTIONS(3326),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(3328),
    [anon_sym_PLUS_PLUS] = ACTIONS(3328),
    [anon_sym_sizeof] = ACTIONS(3326),
    [anon_sym___alignof__] = ACTIONS(3326),
    [anon_sym___alignof] = ACTIONS(3326),
    [anon_sym__alignof] = ACTIONS(3326),
    [anon_sym_alignof] = ACTIONS(3326),
    [anon_sym__Alignof] = ACTIONS(3326),
    [anon_sym_offsetof] = ACTIONS(3326),
    [anon_sym__Generic] = ACTIONS(3326),
    [anon_sym_asm] = ACTIONS(3326),
    [anon_sym___asm__] = ACTIONS(3326),
    [aux_sym_number_literal_token1] = ACTIONS(3328),
    [aux_sym_number_literal_token2] = ACTIONS(3326),
    [anon_sym_L_SQUOTE] = ACTIONS(3328),
    [anon_sym_u_SQUOTE] = ACTIONS(3328),
    [anon_sym_U_SQUOTE] = ACTIONS(3328),
    [anon_sym_u8_SQUOTE] = ACTIONS(3328),
    [anon_sym_SQUOTE] = ACTIONS(3328),
    [anon_sym_L_DQUOTE] = ACTIONS(3328),
    [anon_sym_u_DQUOTE] = ACTIONS(3328),
    [anon_sym_U_DQUOTE] = ACTIONS(3328),
    [anon_sym_u8_DQUOTE] = ACTIONS(3328),
    [anon_sym_DQUOTE] = ACTIONS(3328),
    [sym_true] = ACTIONS(3326),
    [sym_false] = ACTIONS(3326),
    [anon_sym_NULL] = ACTIONS(3326),
    [anon_sym_nullptr] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3326),
    [anon_sym_decltype] = ACTIONS(3326),
    [anon_sym_virtual] = ACTIONS(3326),
    [anon_sym_alignas] = ACTIONS(3326),
    [anon_sym_explicit] = ACTIONS(3326),
    [anon_sym_typename] = ACTIONS(3326),
    [anon_sym_template] = ACTIONS(3326),
    [anon_sym_operator] = ACTIONS(3326),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_delete] = ACTIONS(3326),
    [anon_sym_throw] = ACTIONS(3326),
    [anon_sym_namespace] = ACTIONS(3326),
    [anon_sym_using] = ACTIONS(3326),
    [anon_sym_static_assert] = ACTIONS(3326),
    [anon_sym_concept] = ACTIONS(3326),
    [anon_sym_co_return] = ACTIONS(3326),
    [anon_sym_co_yield] = ACTIONS(3326),
    [anon_sym_R_DQUOTE] = ACTIONS(3328),
    [anon_sym_LR_DQUOTE] = ACTIONS(3328),
    [anon_sym_uR_DQUOTE] = ACTIONS(3328),
    [anon_sym_UR_DQUOTE] = ACTIONS(3328),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3328),
    [anon_sym_co_await] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(3326),
    [anon_sym_requires] = ACTIONS(3326),
    [sym_this] = ACTIONS(3326),
  },
  [966] = {
    [sym_identifier] = ACTIONS(3393),
    [aux_sym_preproc_include_token1] = ACTIONS(3393),
    [aux_sym_preproc_def_token1] = ACTIONS(3393),
    [aux_sym_preproc_if_token1] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3393),
    [sym_preproc_directive] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3395),
    [anon_sym_TILDE] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3393),
    [anon_sym_STAR] = ACTIONS(3395),
    [anon_sym_AMP_AMP] = ACTIONS(3395),
    [anon_sym_AMP] = ACTIONS(3393),
    [anon_sym_SEMI] = ACTIONS(3395),
    [anon_sym___extension__] = ACTIONS(3393),
    [anon_sym_typedef] = ACTIONS(3393),
    [anon_sym_extern] = ACTIONS(3393),
    [anon_sym___attribute__] = ACTIONS(3393),
    [anon_sym_COLON_COLON] = ACTIONS(3395),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3395),
    [anon_sym___declspec] = ACTIONS(3393),
    [anon_sym___based] = ACTIONS(3393),
    [anon_sym___cdecl] = ACTIONS(3393),
    [anon_sym___clrcall] = ACTIONS(3393),
    [anon_sym___stdcall] = ACTIONS(3393),
    [anon_sym___fastcall] = ACTIONS(3393),
    [anon_sym___thiscall] = ACTIONS(3393),
    [anon_sym___vectorcall] = ACTIONS(3393),
    [anon_sym_LBRACE] = ACTIONS(3395),
    [anon_sym_RBRACE] = ACTIONS(3395),
    [anon_sym_signed] = ACTIONS(3393),
    [anon_sym_unsigned] = ACTIONS(3393),
    [anon_sym_long] = ACTIONS(3393),
    [anon_sym_short] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(3393),
    [anon_sym_static] = ACTIONS(3393),
    [anon_sym_register] = ACTIONS(3393),
    [anon_sym_inline] = ACTIONS(3393),
    [anon_sym___inline] = ACTIONS(3393),
    [anon_sym___inline__] = ACTIONS(3393),
    [anon_sym___forceinline] = ACTIONS(3393),
    [anon_sym_thread_local] = ACTIONS(3393),
    [anon_sym___thread] = ACTIONS(3393),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_constexpr] = ACTIONS(3393),
    [anon_sym_volatile] = ACTIONS(3393),
    [anon_sym_restrict] = ACTIONS(3393),
    [anon_sym___restrict__] = ACTIONS(3393),
    [anon_sym__Atomic] = ACTIONS(3393),
    [anon_sym__Noreturn] = ACTIONS(3393),
    [anon_sym_noreturn] = ACTIONS(3393),
    [anon_sym_mutable] = ACTIONS(3393),
    [anon_sym_constinit] = ACTIONS(3393),
    [anon_sym_consteval] = ACTIONS(3393),
    [anon_sym_PROGMEM] = ACTIONS(3393),
    [aux_sym_primitive_type_token1] = ACTIONS(3393),
    [anon_sym_byte] = ACTIONS(3393),
    [anon_sym_word] = ACTIONS(3393),
    [anon_sym_enum] = ACTIONS(3393),
    [anon_sym_class] = ACTIONS(3393),
    [anon_sym_struct] = ACTIONS(3393),
    [anon_sym_union] = ACTIONS(3393),
    [anon_sym_if] = ACTIONS(3393),
    [anon_sym_switch] = ACTIONS(3393),
    [anon_sym_case] = ACTIONS(3393),
    [anon_sym_default] = ACTIONS(3393),
    [anon_sym_while] = ACTIONS(3393),
    [anon_sym_do] = ACTIONS(3393),
    [anon_sym_for] = ACTIONS(3393),
    [anon_sym_return] = ACTIONS(3393),
    [anon_sym_break] = ACTIONS(3393),
    [anon_sym_continue] = ACTIONS(3393),
    [anon_sym_goto] = ACTIONS(3393),
    [anon_sym___try] = ACTIONS(3393),
    [anon_sym___leave] = ACTIONS(3393),
    [anon_sym_not] = ACTIONS(3393),
    [anon_sym_compl] = ACTIONS(3393),
    [anon_sym_DASH_DASH] = ACTIONS(3395),
    [anon_sym_PLUS_PLUS] = ACTIONS(3395),
    [anon_sym_sizeof] = ACTIONS(3393),
    [anon_sym___alignof__] = ACTIONS(3393),
    [anon_sym___alignof] = ACTIONS(3393),
    [anon_sym__alignof] = ACTIONS(3393),
    [anon_sym_alignof] = ACTIONS(3393),
    [anon_sym__Alignof] = ACTIONS(3393),
    [anon_sym_offsetof] = ACTIONS(3393),
    [anon_sym__Generic] = ACTIONS(3393),
    [anon_sym_asm] = ACTIONS(3393),
    [anon_sym___asm__] = ACTIONS(3393),
    [aux_sym_number_literal_token1] = ACTIONS(3395),
    [aux_sym_number_literal_token2] = ACTIONS(3393),
    [anon_sym_L_SQUOTE] = ACTIONS(3395),
    [anon_sym_u_SQUOTE] = ACTIONS(3395),
    [anon_sym_U_SQUOTE] = ACTIONS(3395),
    [anon_sym_u8_SQUOTE] = ACTIONS(3395),
    [anon_sym_SQUOTE] = ACTIONS(3395),
    [anon_sym_L_DQUOTE] = ACTIONS(3395),
    [anon_sym_u_DQUOTE] = ACTIONS(3395),
    [anon_sym_U_DQUOTE] = ACTIONS(3395),
    [anon_sym_u8_DQUOTE] = ACTIONS(3395),
    [anon_sym_DQUOTE] = ACTIONS(3395),
    [sym_true] = ACTIONS(3393),
    [sym_false] = ACTIONS(3393),
    [anon_sym_NULL] = ACTIONS(3393),
    [anon_sym_nullptr] = ACTIONS(3393),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3393),
    [anon_sym_decltype] = ACTIONS(3393),
    [anon_sym_virtual] = ACTIONS(3393),
    [anon_sym_alignas] = ACTIONS(3393),
    [anon_sym_explicit] = ACTIONS(3393),
    [anon_sym_typename] = ACTIONS(3393),
    [anon_sym_template] = ACTIONS(3393),
    [anon_sym_operator] = ACTIONS(3393),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_delete] = ACTIONS(3393),
    [anon_sym_throw] = ACTIONS(3393),
    [anon_sym_namespace] = ACTIONS(3393),
    [anon_sym_using] = ACTIONS(3393),
    [anon_sym_static_assert] = ACTIONS(3393),
    [anon_sym_concept] = ACTIONS(3393),
    [anon_sym_co_return] = ACTIONS(3393),
    [anon_sym_co_yield] = ACTIONS(3393),
    [anon_sym_R_DQUOTE] = ACTIONS(3395),
    [anon_sym_LR_DQUOTE] = ACTIONS(3395),
    [anon_sym_uR_DQUOTE] = ACTIONS(3395),
    [anon_sym_UR_DQUOTE] = ACTIONS(3395),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3395),
    [anon_sym_co_await] = ACTIONS(3393),
    [anon_sym_new] = ACTIONS(3393),
    [anon_sym_requires] = ACTIONS(3393),
    [sym_this] = ACTIONS(3393),
  },
  [967] = {
    [sym_catch_clause] = STATE(402),
    [aux_sym_constructor_try_statement_repeat1] = STATE(402),
    [ts_builtin_sym_end] = ACTIONS(2860),
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_include_token1] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_BANG] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym___cdecl] = ACTIONS(2858),
    [anon_sym___clrcall] = ACTIONS(2858),
    [anon_sym___stdcall] = ACTIONS(2858),
    [anon_sym___fastcall] = ACTIONS(2858),
    [anon_sym___thiscall] = ACTIONS(2858),
    [anon_sym___vectorcall] = ACTIONS(2858),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [anon_sym_PROGMEM] = ACTIONS(2858),
    [aux_sym_primitive_type_token1] = ACTIONS(2858),
    [anon_sym_byte] = ACTIONS(2858),
    [anon_sym_word] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [anon_sym_if] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2858),
    [anon_sym_case] = ACTIONS(2858),
    [anon_sym_default] = ACTIONS(2858),
    [anon_sym_while] = ACTIONS(2858),
    [anon_sym_do] = ACTIONS(2858),
    [anon_sym_for] = ACTIONS(2858),
    [anon_sym_return] = ACTIONS(2858),
    [anon_sym_break] = ACTIONS(2858),
    [anon_sym_continue] = ACTIONS(2858),
    [anon_sym_goto] = ACTIONS(2858),
    [anon_sym_not] = ACTIONS(2858),
    [anon_sym_compl] = ACTIONS(2858),
    [anon_sym_DASH_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_PLUS] = ACTIONS(2860),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2858),
    [anon_sym___alignof] = ACTIONS(2858),
    [anon_sym__alignof] = ACTIONS(2858),
    [anon_sym_alignof] = ACTIONS(2858),
    [anon_sym__Alignof] = ACTIONS(2858),
    [anon_sym_offsetof] = ACTIONS(2858),
    [anon_sym__Generic] = ACTIONS(2858),
    [anon_sym_asm] = ACTIONS(2858),
    [anon_sym___asm__] = ACTIONS(2858),
    [aux_sym_number_literal_token1] = ACTIONS(2860),
    [aux_sym_number_literal_token2] = ACTIONS(2858),
    [anon_sym_L_SQUOTE] = ACTIONS(2860),
    [anon_sym_u_SQUOTE] = ACTIONS(2860),
    [anon_sym_U_SQUOTE] = ACTIONS(2860),
    [anon_sym_u8_SQUOTE] = ACTIONS(2860),
    [anon_sym_SQUOTE] = ACTIONS(2860),
    [anon_sym_L_DQUOTE] = ACTIONS(2860),
    [anon_sym_u_DQUOTE] = ACTIONS(2860),
    [anon_sym_U_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [sym_true] = ACTIONS(2858),
    [sym_false] = ACTIONS(2858),
    [anon_sym_NULL] = ACTIONS(2858),
    [anon_sym_nullptr] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [anon_sym_virtual] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_try] = ACTIONS(2858),
    [anon_sym_delete] = ACTIONS(2858),
    [anon_sym_throw] = ACTIONS(2858),
    [anon_sym_namespace] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
    [anon_sym_concept] = ACTIONS(2858),
    [anon_sym_co_return] = ACTIONS(2858),
    [anon_sym_co_yield] = ACTIONS(2858),
    [anon_sym_catch] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(2860),
    [anon_sym_LR_DQUOTE] = ACTIONS(2860),
    [anon_sym_uR_DQUOTE] = ACTIONS(2860),
    [anon_sym_UR_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2860),
    [anon_sym_co_await] = ACTIONS(2858),
    [anon_sym_new] = ACTIONS(2858),
    [anon_sym_requires] = ACTIONS(2858),
    [sym_this] = ACTIONS(2858),
  },
  [968] = {
    [sym_identifier] = ACTIONS(3401),
    [aux_sym_preproc_include_token1] = ACTIONS(3401),
    [aux_sym_preproc_def_token1] = ACTIONS(3401),
    [aux_sym_preproc_if_token1] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3401),
    [sym_preproc_directive] = ACTIONS(3401),
    [anon_sym_LPAREN2] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3401),
    [anon_sym_PLUS] = ACTIONS(3401),
    [anon_sym_STAR] = ACTIONS(3403),
    [anon_sym_AMP_AMP] = ACTIONS(3403),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym___extension__] = ACTIONS(3401),
    [anon_sym_typedef] = ACTIONS(3401),
    [anon_sym_extern] = ACTIONS(3401),
    [anon_sym___attribute__] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3403),
    [anon_sym___declspec] = ACTIONS(3401),
    [anon_sym___based] = ACTIONS(3401),
    [anon_sym___cdecl] = ACTIONS(3401),
    [anon_sym___clrcall] = ACTIONS(3401),
    [anon_sym___stdcall] = ACTIONS(3401),
    [anon_sym___fastcall] = ACTIONS(3401),
    [anon_sym___thiscall] = ACTIONS(3401),
    [anon_sym___vectorcall] = ACTIONS(3401),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3401),
    [anon_sym_unsigned] = ACTIONS(3401),
    [anon_sym_long] = ACTIONS(3401),
    [anon_sym_short] = ACTIONS(3401),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_static] = ACTIONS(3401),
    [anon_sym_register] = ACTIONS(3401),
    [anon_sym_inline] = ACTIONS(3401),
    [anon_sym___inline] = ACTIONS(3401),
    [anon_sym___inline__] = ACTIONS(3401),
    [anon_sym___forceinline] = ACTIONS(3401),
    [anon_sym_thread_local] = ACTIONS(3401),
    [anon_sym___thread] = ACTIONS(3401),
    [anon_sym_const] = ACTIONS(3401),
    [anon_sym_constexpr] = ACTIONS(3401),
    [anon_sym_volatile] = ACTIONS(3401),
    [anon_sym_restrict] = ACTIONS(3401),
    [anon_sym___restrict__] = ACTIONS(3401),
    [anon_sym__Atomic] = ACTIONS(3401),
    [anon_sym__Noreturn] = ACTIONS(3401),
    [anon_sym_noreturn] = ACTIONS(3401),
    [anon_sym_mutable] = ACTIONS(3401),
    [anon_sym_constinit] = ACTIONS(3401),
    [anon_sym_consteval] = ACTIONS(3401),
    [anon_sym_PROGMEM] = ACTIONS(3401),
    [aux_sym_primitive_type_token1] = ACTIONS(3401),
    [anon_sym_byte] = ACTIONS(3401),
    [anon_sym_word] = ACTIONS(3401),
    [anon_sym_enum] = ACTIONS(3401),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3401),
    [anon_sym_union] = ACTIONS(3401),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_switch] = ACTIONS(3401),
    [anon_sym_case] = ACTIONS(3401),
    [anon_sym_default] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(3401),
    [anon_sym_do] = ACTIONS(3401),
    [anon_sym_for] = ACTIONS(3401),
    [anon_sym_return] = ACTIONS(3401),
    [anon_sym_break] = ACTIONS(3401),
    [anon_sym_continue] = ACTIONS(3401),
    [anon_sym_goto] = ACTIONS(3401),
    [anon_sym___try] = ACTIONS(3401),
    [anon_sym___leave] = ACTIONS(3401),
    [anon_sym_not] = ACTIONS(3401),
    [anon_sym_compl] = ACTIONS(3401),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_sizeof] = ACTIONS(3401),
    [anon_sym___alignof__] = ACTIONS(3401),
    [anon_sym___alignof] = ACTIONS(3401),
    [anon_sym__alignof] = ACTIONS(3401),
    [anon_sym_alignof] = ACTIONS(3401),
    [anon_sym__Alignof] = ACTIONS(3401),
    [anon_sym_offsetof] = ACTIONS(3401),
    [anon_sym__Generic] = ACTIONS(3401),
    [anon_sym_asm] = ACTIONS(3401),
    [anon_sym___asm__] = ACTIONS(3401),
    [aux_sym_number_literal_token1] = ACTIONS(3403),
    [aux_sym_number_literal_token2] = ACTIONS(3401),
    [anon_sym_L_SQUOTE] = ACTIONS(3403),
    [anon_sym_u_SQUOTE] = ACTIONS(3403),
    [anon_sym_U_SQUOTE] = ACTIONS(3403),
    [anon_sym_u8_SQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [anon_sym_L_DQUOTE] = ACTIONS(3403),
    [anon_sym_u_DQUOTE] = ACTIONS(3403),
    [anon_sym_U_DQUOTE] = ACTIONS(3403),
    [anon_sym_u8_DQUOTE] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [sym_true] = ACTIONS(3401),
    [sym_false] = ACTIONS(3401),
    [anon_sym_NULL] = ACTIONS(3401),
    [anon_sym_nullptr] = ACTIONS(3401),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3401),
    [anon_sym_decltype] = ACTIONS(3401),
    [anon_sym_virtual] = ACTIONS(3401),
    [anon_sym_alignas] = ACTIONS(3401),
    [anon_sym_explicit] = ACTIONS(3401),
    [anon_sym_typename] = ACTIONS(3401),
    [anon_sym_template] = ACTIONS(3401),
    [anon_sym_operator] = ACTIONS(3401),
    [anon_sym_try] = ACTIONS(3401),
    [anon_sym_delete] = ACTIONS(3401),
    [anon_sym_throw] = ACTIONS(3401),
    [anon_sym_namespace] = ACTIONS(3401),
    [anon_sym_using] = ACTIONS(3401),
    [anon_sym_static_assert] = ACTIONS(3401),
    [anon_sym_concept] = ACTIONS(3401),
    [anon_sym_co_return] = ACTIONS(3401),
    [anon_sym_co_yield] = ACTIONS(3401),
    [anon_sym_R_DQUOTE] = ACTIONS(3403),
    [anon_sym_LR_DQUOTE] = ACTIONS(3403),
    [anon_sym_uR_DQUOTE] = ACTIONS(3403),
    [anon_sym_UR_DQUOTE] = ACTIONS(3403),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3403),
    [anon_sym_co_await] = ACTIONS(3401),
    [anon_sym_new] = ACTIONS(3401),
    [anon_sym_requires] = ACTIONS(3401),
    [sym_this] = ACTIONS(3401),
  },
  [969] = {
    [sym_identifier] = ACTIONS(3381),
    [aux_sym_preproc_include_token1] = ACTIONS(3381),
    [aux_sym_preproc_def_token1] = ACTIONS(3381),
    [aux_sym_preproc_if_token1] = ACTIONS(3381),
    [aux_sym_preproc_if_token2] = ACTIONS(3381),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3381),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3381),
    [sym_preproc_directive] = ACTIONS(3381),
    [anon_sym_LPAREN2] = ACTIONS(3383),
    [anon_sym_BANG] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(3383),
    [anon_sym_DASH] = ACTIONS(3381),
    [anon_sym_PLUS] = ACTIONS(3381),
    [anon_sym_STAR] = ACTIONS(3383),
    [anon_sym_AMP_AMP] = ACTIONS(3383),
    [anon_sym_AMP] = ACTIONS(3381),
    [anon_sym_SEMI] = ACTIONS(3383),
    [anon_sym___extension__] = ACTIONS(3381),
    [anon_sym_typedef] = ACTIONS(3381),
    [anon_sym_extern] = ACTIONS(3381),
    [anon_sym___attribute__] = ACTIONS(3381),
    [anon_sym_COLON_COLON] = ACTIONS(3383),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3383),
    [anon_sym___declspec] = ACTIONS(3381),
    [anon_sym___based] = ACTIONS(3381),
    [anon_sym___cdecl] = ACTIONS(3381),
    [anon_sym___clrcall] = ACTIONS(3381),
    [anon_sym___stdcall] = ACTIONS(3381),
    [anon_sym___fastcall] = ACTIONS(3381),
    [anon_sym___thiscall] = ACTIONS(3381),
    [anon_sym___vectorcall] = ACTIONS(3381),
    [anon_sym_LBRACE] = ACTIONS(3383),
    [anon_sym_signed] = ACTIONS(3381),
    [anon_sym_unsigned] = ACTIONS(3381),
    [anon_sym_long] = ACTIONS(3381),
    [anon_sym_short] = ACTIONS(3381),
    [anon_sym_LBRACK] = ACTIONS(3381),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_register] = ACTIONS(3381),
    [anon_sym_inline] = ACTIONS(3381),
    [anon_sym___inline] = ACTIONS(3381),
    [anon_sym___inline__] = ACTIONS(3381),
    [anon_sym___forceinline] = ACTIONS(3381),
    [anon_sym_thread_local] = ACTIONS(3381),
    [anon_sym___thread] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3381),
    [anon_sym_constexpr] = ACTIONS(3381),
    [anon_sym_volatile] = ACTIONS(3381),
    [anon_sym_restrict] = ACTIONS(3381),
    [anon_sym___restrict__] = ACTIONS(3381),
    [anon_sym__Atomic] = ACTIONS(3381),
    [anon_sym__Noreturn] = ACTIONS(3381),
    [anon_sym_noreturn] = ACTIONS(3381),
    [anon_sym_mutable] = ACTIONS(3381),
    [anon_sym_constinit] = ACTIONS(3381),
    [anon_sym_consteval] = ACTIONS(3381),
    [anon_sym_PROGMEM] = ACTIONS(3381),
    [aux_sym_primitive_type_token1] = ACTIONS(3381),
    [anon_sym_byte] = ACTIONS(3381),
    [anon_sym_word] = ACTIONS(3381),
    [anon_sym_enum] = ACTIONS(3381),
    [anon_sym_class] = ACTIONS(3381),
    [anon_sym_struct] = ACTIONS(3381),
    [anon_sym_union] = ACTIONS(3381),
    [anon_sym_if] = ACTIONS(3381),
    [anon_sym_switch] = ACTIONS(3381),
    [anon_sym_case] = ACTIONS(3381),
    [anon_sym_default] = ACTIONS(3381),
    [anon_sym_while] = ACTIONS(3381),
    [anon_sym_do] = ACTIONS(3381),
    [anon_sym_for] = ACTIONS(3381),
    [anon_sym_return] = ACTIONS(3381),
    [anon_sym_break] = ACTIONS(3381),
    [anon_sym_continue] = ACTIONS(3381),
    [anon_sym_goto] = ACTIONS(3381),
    [anon_sym___try] = ACTIONS(3381),
    [anon_sym___leave] = ACTIONS(3381),
    [anon_sym_not] = ACTIONS(3381),
    [anon_sym_compl] = ACTIONS(3381),
    [anon_sym_DASH_DASH] = ACTIONS(3383),
    [anon_sym_PLUS_PLUS] = ACTIONS(3383),
    [anon_sym_sizeof] = ACTIONS(3381),
    [anon_sym___alignof__] = ACTIONS(3381),
    [anon_sym___alignof] = ACTIONS(3381),
    [anon_sym__alignof] = ACTIONS(3381),
    [anon_sym_alignof] = ACTIONS(3381),
    [anon_sym__Alignof] = ACTIONS(3381),
    [anon_sym_offsetof] = ACTIONS(3381),
    [anon_sym__Generic] = ACTIONS(3381),
    [anon_sym_asm] = ACTIONS(3381),
    [anon_sym___asm__] = ACTIONS(3381),
    [aux_sym_number_literal_token1] = ACTIONS(3383),
    [aux_sym_number_literal_token2] = ACTIONS(3381),
    [anon_sym_L_SQUOTE] = ACTIONS(3383),
    [anon_sym_u_SQUOTE] = ACTIONS(3383),
    [anon_sym_U_SQUOTE] = ACTIONS(3383),
    [anon_sym_u8_SQUOTE] = ACTIONS(3383),
    [anon_sym_SQUOTE] = ACTIONS(3383),
    [anon_sym_L_DQUOTE] = ACTIONS(3383),
    [anon_sym_u_DQUOTE] = ACTIONS(3383),
    [anon_sym_U_DQUOTE] = ACTIONS(3383),
    [anon_sym_u8_DQUOTE] = ACTIONS(3383),
    [anon_sym_DQUOTE] = ACTIONS(3383),
    [sym_true] = ACTIONS(3381),
    [sym_false] = ACTIONS(3381),
    [anon_sym_NULL] = ACTIONS(3381),
    [anon_sym_nullptr] = ACTIONS(3381),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3381),
    [anon_sym_decltype] = ACTIONS(3381),
    [anon_sym_virtual] = ACTIONS(3381),
    [anon_sym_alignas] = ACTIONS(3381),
    [anon_sym_explicit] = ACTIONS(3381),
    [anon_sym_typename] = ACTIONS(3381),
    [anon_sym_template] = ACTIONS(3381),
    [anon_sym_operator] = ACTIONS(3381),
    [anon_sym_try] = ACTIONS(3381),
    [anon_sym_delete] = ACTIONS(3381),
    [anon_sym_throw] = ACTIONS(3381),
    [anon_sym_namespace] = ACTIONS(3381),
    [anon_sym_using] = ACTIONS(3381),
    [anon_sym_static_assert] = ACTIONS(3381),
    [anon_sym_concept] = ACTIONS(3381),
    [anon_sym_co_return] = ACTIONS(3381),
    [anon_sym_co_yield] = ACTIONS(3381),
    [anon_sym_R_DQUOTE] = ACTIONS(3383),
    [anon_sym_LR_DQUOTE] = ACTIONS(3383),
    [anon_sym_uR_DQUOTE] = ACTIONS(3383),
    [anon_sym_UR_DQUOTE] = ACTIONS(3383),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3383),
    [anon_sym_co_await] = ACTIONS(3381),
    [anon_sym_new] = ACTIONS(3381),
    [anon_sym_requires] = ACTIONS(3381),
    [sym_this] = ACTIONS(3381),
  },
  [970] = {
    [sym_identifier] = ACTIONS(3204),
    [aux_sym_preproc_include_token1] = ACTIONS(3204),
    [aux_sym_preproc_def_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token2] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3204),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_AMP_AMP] = ACTIONS(3206),
    [anon_sym_AMP] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym___extension__] = ACTIONS(3204),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_extern] = ACTIONS(3204),
    [anon_sym___attribute__] = ACTIONS(3204),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3206),
    [anon_sym___declspec] = ACTIONS(3204),
    [anon_sym___based] = ACTIONS(3204),
    [anon_sym___cdecl] = ACTIONS(3204),
    [anon_sym___clrcall] = ACTIONS(3204),
    [anon_sym___stdcall] = ACTIONS(3204),
    [anon_sym___fastcall] = ACTIONS(3204),
    [anon_sym___thiscall] = ACTIONS(3204),
    [anon_sym___vectorcall] = ACTIONS(3204),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_signed] = ACTIONS(3204),
    [anon_sym_unsigned] = ACTIONS(3204),
    [anon_sym_long] = ACTIONS(3204),
    [anon_sym_short] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_static] = ACTIONS(3204),
    [anon_sym_register] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(3204),
    [anon_sym___inline] = ACTIONS(3204),
    [anon_sym___inline__] = ACTIONS(3204),
    [anon_sym___forceinline] = ACTIONS(3204),
    [anon_sym_thread_local] = ACTIONS(3204),
    [anon_sym___thread] = ACTIONS(3204),
    [anon_sym_const] = ACTIONS(3204),
    [anon_sym_constexpr] = ACTIONS(3204),
    [anon_sym_volatile] = ACTIONS(3204),
    [anon_sym_restrict] = ACTIONS(3204),
    [anon_sym___restrict__] = ACTIONS(3204),
    [anon_sym__Atomic] = ACTIONS(3204),
    [anon_sym__Noreturn] = ACTIONS(3204),
    [anon_sym_noreturn] = ACTIONS(3204),
    [anon_sym_mutable] = ACTIONS(3204),
    [anon_sym_constinit] = ACTIONS(3204),
    [anon_sym_consteval] = ACTIONS(3204),
    [anon_sym_PROGMEM] = ACTIONS(3204),
    [aux_sym_primitive_type_token1] = ACTIONS(3204),
    [anon_sym_byte] = ACTIONS(3204),
    [anon_sym_word] = ACTIONS(3204),
    [anon_sym_enum] = ACTIONS(3204),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_struct] = ACTIONS(3204),
    [anon_sym_union] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3204),
    [anon_sym_switch] = ACTIONS(3204),
    [anon_sym_case] = ACTIONS(3204),
    [anon_sym_default] = ACTIONS(3204),
    [anon_sym_while] = ACTIONS(3204),
    [anon_sym_do] = ACTIONS(3204),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_return] = ACTIONS(3204),
    [anon_sym_break] = ACTIONS(3204),
    [anon_sym_continue] = ACTIONS(3204),
    [anon_sym_goto] = ACTIONS(3204),
    [anon_sym___try] = ACTIONS(3204),
    [anon_sym___leave] = ACTIONS(3204),
    [anon_sym_not] = ACTIONS(3204),
    [anon_sym_compl] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_sizeof] = ACTIONS(3204),
    [anon_sym___alignof__] = ACTIONS(3204),
    [anon_sym___alignof] = ACTIONS(3204),
    [anon_sym__alignof] = ACTIONS(3204),
    [anon_sym_alignof] = ACTIONS(3204),
    [anon_sym__Alignof] = ACTIONS(3204),
    [anon_sym_offsetof] = ACTIONS(3204),
    [anon_sym__Generic] = ACTIONS(3204),
    [anon_sym_asm] = ACTIONS(3204),
    [anon_sym___asm__] = ACTIONS(3204),
    [aux_sym_number_literal_token1] = ACTIONS(3206),
    [aux_sym_number_literal_token2] = ACTIONS(3204),
    [anon_sym_L_SQUOTE] = ACTIONS(3206),
    [anon_sym_u_SQUOTE] = ACTIONS(3206),
    [anon_sym_U_SQUOTE] = ACTIONS(3206),
    [anon_sym_u8_SQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [anon_sym_L_DQUOTE] = ACTIONS(3206),
    [anon_sym_u_DQUOTE] = ACTIONS(3206),
    [anon_sym_U_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8_DQUOTE] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [sym_true] = ACTIONS(3204),
    [sym_false] = ACTIONS(3204),
    [anon_sym_NULL] = ACTIONS(3204),
    [anon_sym_nullptr] = ACTIONS(3204),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3204),
    [anon_sym_decltype] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(3204),
    [anon_sym_alignas] = ACTIONS(3204),
    [anon_sym_explicit] = ACTIONS(3204),
    [anon_sym_typename] = ACTIONS(3204),
    [anon_sym_template] = ACTIONS(3204),
    [anon_sym_operator] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3204),
    [anon_sym_delete] = ACTIONS(3204),
    [anon_sym_throw] = ACTIONS(3204),
    [anon_sym_namespace] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3204),
    [anon_sym_static_assert] = ACTIONS(3204),
    [anon_sym_concept] = ACTIONS(3204),
    [anon_sym_co_return] = ACTIONS(3204),
    [anon_sym_co_yield] = ACTIONS(3204),
    [anon_sym_R_DQUOTE] = ACTIONS(3206),
    [anon_sym_LR_DQUOTE] = ACTIONS(3206),
    [anon_sym_uR_DQUOTE] = ACTIONS(3206),
    [anon_sym_UR_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3206),
    [anon_sym_co_await] = ACTIONS(3204),
    [anon_sym_new] = ACTIONS(3204),
    [anon_sym_requires] = ACTIONS(3204),
    [sym_this] = ACTIONS(3204),
  },
  [971] = {
    [sym_identifier] = ACTIONS(3180),
    [aux_sym_preproc_include_token1] = ACTIONS(3180),
    [aux_sym_preproc_def_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3180),
    [sym_preproc_directive] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_STAR] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym___extension__] = ACTIONS(3180),
    [anon_sym_typedef] = ACTIONS(3180),
    [anon_sym_extern] = ACTIONS(3180),
    [anon_sym___attribute__] = ACTIONS(3180),
    [anon_sym_COLON_COLON] = ACTIONS(3182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3182),
    [anon_sym___declspec] = ACTIONS(3180),
    [anon_sym___based] = ACTIONS(3180),
    [anon_sym___cdecl] = ACTIONS(3180),
    [anon_sym___clrcall] = ACTIONS(3180),
    [anon_sym___stdcall] = ACTIONS(3180),
    [anon_sym___fastcall] = ACTIONS(3180),
    [anon_sym___thiscall] = ACTIONS(3180),
    [anon_sym___vectorcall] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_RBRACE] = ACTIONS(3182),
    [anon_sym_signed] = ACTIONS(3180),
    [anon_sym_unsigned] = ACTIONS(3180),
    [anon_sym_long] = ACTIONS(3180),
    [anon_sym_short] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_register] = ACTIONS(3180),
    [anon_sym_inline] = ACTIONS(3180),
    [anon_sym___inline] = ACTIONS(3180),
    [anon_sym___inline__] = ACTIONS(3180),
    [anon_sym___forceinline] = ACTIONS(3180),
    [anon_sym_thread_local] = ACTIONS(3180),
    [anon_sym___thread] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_constexpr] = ACTIONS(3180),
    [anon_sym_volatile] = ACTIONS(3180),
    [anon_sym_restrict] = ACTIONS(3180),
    [anon_sym___restrict__] = ACTIONS(3180),
    [anon_sym__Atomic] = ACTIONS(3180),
    [anon_sym__Noreturn] = ACTIONS(3180),
    [anon_sym_noreturn] = ACTIONS(3180),
    [anon_sym_mutable] = ACTIONS(3180),
    [anon_sym_constinit] = ACTIONS(3180),
    [anon_sym_consteval] = ACTIONS(3180),
    [anon_sym_PROGMEM] = ACTIONS(3180),
    [aux_sym_primitive_type_token1] = ACTIONS(3180),
    [anon_sym_byte] = ACTIONS(3180),
    [anon_sym_word] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_struct] = ACTIONS(3180),
    [anon_sym_union] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_case] = ACTIONS(3180),
    [anon_sym_default] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_goto] = ACTIONS(3180),
    [anon_sym___try] = ACTIONS(3180),
    [anon_sym___leave] = ACTIONS(3180),
    [anon_sym_not] = ACTIONS(3180),
    [anon_sym_compl] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_sizeof] = ACTIONS(3180),
    [anon_sym___alignof__] = ACTIONS(3180),
    [anon_sym___alignof] = ACTIONS(3180),
    [anon_sym__alignof] = ACTIONS(3180),
    [anon_sym_alignof] = ACTIONS(3180),
    [anon_sym__Alignof] = ACTIONS(3180),
    [anon_sym_offsetof] = ACTIONS(3180),
    [anon_sym__Generic] = ACTIONS(3180),
    [anon_sym_asm] = ACTIONS(3180),
    [anon_sym___asm__] = ACTIONS(3180),
    [aux_sym_number_literal_token1] = ACTIONS(3182),
    [aux_sym_number_literal_token2] = ACTIONS(3180),
    [anon_sym_L_SQUOTE] = ACTIONS(3182),
    [anon_sym_u_SQUOTE] = ACTIONS(3182),
    [anon_sym_U_SQUOTE] = ACTIONS(3182),
    [anon_sym_u8_SQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [anon_sym_L_DQUOTE] = ACTIONS(3182),
    [anon_sym_u_DQUOTE] = ACTIONS(3182),
    [anon_sym_U_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8_DQUOTE] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [anon_sym_NULL] = ACTIONS(3180),
    [anon_sym_nullptr] = ACTIONS(3180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3180),
    [anon_sym_decltype] = ACTIONS(3180),
    [anon_sym_virtual] = ACTIONS(3180),
    [anon_sym_alignas] = ACTIONS(3180),
    [anon_sym_explicit] = ACTIONS(3180),
    [anon_sym_typename] = ACTIONS(3180),
    [anon_sym_template] = ACTIONS(3180),
    [anon_sym_operator] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_static_assert] = ACTIONS(3180),
    [anon_sym_concept] = ACTIONS(3180),
    [anon_sym_co_return] = ACTIONS(3180),
    [anon_sym_co_yield] = ACTIONS(3180),
    [anon_sym_R_DQUOTE] = ACTIONS(3182),
    [anon_sym_LR_DQUOTE] = ACTIONS(3182),
    [anon_sym_uR_DQUOTE] = ACTIONS(3182),
    [anon_sym_UR_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3182),
    [anon_sym_co_await] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_requires] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
  },
  [972] = {
    [sym_identifier] = ACTIONS(3427),
    [aux_sym_preproc_include_token1] = ACTIONS(3427),
    [aux_sym_preproc_def_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token2] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3427),
    [sym_preproc_directive] = ACTIONS(3427),
    [anon_sym_LPAREN2] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3427),
    [anon_sym_PLUS] = ACTIONS(3427),
    [anon_sym_STAR] = ACTIONS(3429),
    [anon_sym_AMP_AMP] = ACTIONS(3429),
    [anon_sym_AMP] = ACTIONS(3427),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym___extension__] = ACTIONS(3427),
    [anon_sym_typedef] = ACTIONS(3427),
    [anon_sym_extern] = ACTIONS(3427),
    [anon_sym___attribute__] = ACTIONS(3427),
    [anon_sym_COLON_COLON] = ACTIONS(3429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3429),
    [anon_sym___declspec] = ACTIONS(3427),
    [anon_sym___based] = ACTIONS(3427),
    [anon_sym___cdecl] = ACTIONS(3427),
    [anon_sym___clrcall] = ACTIONS(3427),
    [anon_sym___stdcall] = ACTIONS(3427),
    [anon_sym___fastcall] = ACTIONS(3427),
    [anon_sym___thiscall] = ACTIONS(3427),
    [anon_sym___vectorcall] = ACTIONS(3427),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_signed] = ACTIONS(3427),
    [anon_sym_unsigned] = ACTIONS(3427),
    [anon_sym_long] = ACTIONS(3427),
    [anon_sym_short] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_register] = ACTIONS(3427),
    [anon_sym_inline] = ACTIONS(3427),
    [anon_sym___inline] = ACTIONS(3427),
    [anon_sym___inline__] = ACTIONS(3427),
    [anon_sym___forceinline] = ACTIONS(3427),
    [anon_sym_thread_local] = ACTIONS(3427),
    [anon_sym___thread] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_constexpr] = ACTIONS(3427),
    [anon_sym_volatile] = ACTIONS(3427),
    [anon_sym_restrict] = ACTIONS(3427),
    [anon_sym___restrict__] = ACTIONS(3427),
    [anon_sym__Atomic] = ACTIONS(3427),
    [anon_sym__Noreturn] = ACTIONS(3427),
    [anon_sym_noreturn] = ACTIONS(3427),
    [anon_sym_mutable] = ACTIONS(3427),
    [anon_sym_constinit] = ACTIONS(3427),
    [anon_sym_consteval] = ACTIONS(3427),
    [anon_sym_PROGMEM] = ACTIONS(3427),
    [aux_sym_primitive_type_token1] = ACTIONS(3427),
    [anon_sym_byte] = ACTIONS(3427),
    [anon_sym_word] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3427),
    [anon_sym_union] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(3427),
    [anon_sym_switch] = ACTIONS(3427),
    [anon_sym_case] = ACTIONS(3427),
    [anon_sym_default] = ACTIONS(3427),
    [anon_sym_while] = ACTIONS(3427),
    [anon_sym_do] = ACTIONS(3427),
    [anon_sym_for] = ACTIONS(3427),
    [anon_sym_return] = ACTIONS(3427),
    [anon_sym_break] = ACTIONS(3427),
    [anon_sym_continue] = ACTIONS(3427),
    [anon_sym_goto] = ACTIONS(3427),
    [anon_sym___try] = ACTIONS(3427),
    [anon_sym___leave] = ACTIONS(3427),
    [anon_sym_not] = ACTIONS(3427),
    [anon_sym_compl] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_sizeof] = ACTIONS(3427),
    [anon_sym___alignof__] = ACTIONS(3427),
    [anon_sym___alignof] = ACTIONS(3427),
    [anon_sym__alignof] = ACTIONS(3427),
    [anon_sym_alignof] = ACTIONS(3427),
    [anon_sym__Alignof] = ACTIONS(3427),
    [anon_sym_offsetof] = ACTIONS(3427),
    [anon_sym__Generic] = ACTIONS(3427),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [aux_sym_number_literal_token1] = ACTIONS(3429),
    [aux_sym_number_literal_token2] = ACTIONS(3427),
    [anon_sym_L_SQUOTE] = ACTIONS(3429),
    [anon_sym_u_SQUOTE] = ACTIONS(3429),
    [anon_sym_U_SQUOTE] = ACTIONS(3429),
    [anon_sym_u8_SQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [anon_sym_L_DQUOTE] = ACTIONS(3429),
    [anon_sym_u_DQUOTE] = ACTIONS(3429),
    [anon_sym_U_DQUOTE] = ACTIONS(3429),
    [anon_sym_u8_DQUOTE] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [sym_true] = ACTIONS(3427),
    [sym_false] = ACTIONS(3427),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3427),
    [anon_sym_decltype] = ACTIONS(3427),
    [anon_sym_virtual] = ACTIONS(3427),
    [anon_sym_alignas] = ACTIONS(3427),
    [anon_sym_explicit] = ACTIONS(3427),
    [anon_sym_typename] = ACTIONS(3427),
    [anon_sym_template] = ACTIONS(3427),
    [anon_sym_operator] = ACTIONS(3427),
    [anon_sym_try] = ACTIONS(3427),
    [anon_sym_delete] = ACTIONS(3427),
    [anon_sym_throw] = ACTIONS(3427),
    [anon_sym_namespace] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_static_assert] = ACTIONS(3427),
    [anon_sym_concept] = ACTIONS(3427),
    [anon_sym_co_return] = ACTIONS(3427),
    [anon_sym_co_yield] = ACTIONS(3427),
    [anon_sym_R_DQUOTE] = ACTIONS(3429),
    [anon_sym_LR_DQUOTE] = ACTIONS(3429),
    [anon_sym_uR_DQUOTE] = ACTIONS(3429),
    [anon_sym_UR_DQUOTE] = ACTIONS(3429),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3429),
    [anon_sym_co_await] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3427),
    [anon_sym_requires] = ACTIONS(3427),
    [sym_this] = ACTIONS(3427),
  },
  [973] = {
    [sym_identifier] = ACTIONS(3451),
    [aux_sym_preproc_include_token1] = ACTIONS(3451),
    [aux_sym_preproc_def_token1] = ACTIONS(3451),
    [aux_sym_preproc_if_token1] = ACTIONS(3451),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3451),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3451),
    [sym_preproc_directive] = ACTIONS(3451),
    [anon_sym_LPAREN2] = ACTIONS(3453),
    [anon_sym_BANG] = ACTIONS(3453),
    [anon_sym_TILDE] = ACTIONS(3453),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3453),
    [anon_sym_AMP_AMP] = ACTIONS(3453),
    [anon_sym_AMP] = ACTIONS(3451),
    [anon_sym_SEMI] = ACTIONS(3453),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_typedef] = ACTIONS(3451),
    [anon_sym_extern] = ACTIONS(3451),
    [anon_sym___attribute__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3453),
    [anon_sym___declspec] = ACTIONS(3451),
    [anon_sym___based] = ACTIONS(3451),
    [anon_sym___cdecl] = ACTIONS(3451),
    [anon_sym___clrcall] = ACTIONS(3451),
    [anon_sym___stdcall] = ACTIONS(3451),
    [anon_sym___fastcall] = ACTIONS(3451),
    [anon_sym___thiscall] = ACTIONS(3451),
    [anon_sym___vectorcall] = ACTIONS(3451),
    [anon_sym_LBRACE] = ACTIONS(3453),
    [anon_sym_RBRACE] = ACTIONS(3453),
    [anon_sym_signed] = ACTIONS(3451),
    [anon_sym_unsigned] = ACTIONS(3451),
    [anon_sym_long] = ACTIONS(3451),
    [anon_sym_short] = ACTIONS(3451),
    [anon_sym_LBRACK] = ACTIONS(3451),
    [anon_sym_static] = ACTIONS(3451),
    [anon_sym_register] = ACTIONS(3451),
    [anon_sym_inline] = ACTIONS(3451),
    [anon_sym___inline] = ACTIONS(3451),
    [anon_sym___inline__] = ACTIONS(3451),
    [anon_sym___forceinline] = ACTIONS(3451),
    [anon_sym_thread_local] = ACTIONS(3451),
    [anon_sym___thread] = ACTIONS(3451),
    [anon_sym_const] = ACTIONS(3451),
    [anon_sym_constexpr] = ACTIONS(3451),
    [anon_sym_volatile] = ACTIONS(3451),
    [anon_sym_restrict] = ACTIONS(3451),
    [anon_sym___restrict__] = ACTIONS(3451),
    [anon_sym__Atomic] = ACTIONS(3451),
    [anon_sym__Noreturn] = ACTIONS(3451),
    [anon_sym_noreturn] = ACTIONS(3451),
    [anon_sym_mutable] = ACTIONS(3451),
    [anon_sym_constinit] = ACTIONS(3451),
    [anon_sym_consteval] = ACTIONS(3451),
    [anon_sym_PROGMEM] = ACTIONS(3451),
    [aux_sym_primitive_type_token1] = ACTIONS(3451),
    [anon_sym_byte] = ACTIONS(3451),
    [anon_sym_word] = ACTIONS(3451),
    [anon_sym_enum] = ACTIONS(3451),
    [anon_sym_class] = ACTIONS(3451),
    [anon_sym_struct] = ACTIONS(3451),
    [anon_sym_union] = ACTIONS(3451),
    [anon_sym_if] = ACTIONS(3451),
    [anon_sym_switch] = ACTIONS(3451),
    [anon_sym_case] = ACTIONS(3451),
    [anon_sym_default] = ACTIONS(3451),
    [anon_sym_while] = ACTIONS(3451),
    [anon_sym_do] = ACTIONS(3451),
    [anon_sym_for] = ACTIONS(3451),
    [anon_sym_return] = ACTIONS(3451),
    [anon_sym_break] = ACTIONS(3451),
    [anon_sym_continue] = ACTIONS(3451),
    [anon_sym_goto] = ACTIONS(3451),
    [anon_sym___try] = ACTIONS(3451),
    [anon_sym___leave] = ACTIONS(3451),
    [anon_sym_not] = ACTIONS(3451),
    [anon_sym_compl] = ACTIONS(3451),
    [anon_sym_DASH_DASH] = ACTIONS(3453),
    [anon_sym_PLUS_PLUS] = ACTIONS(3453),
    [anon_sym_sizeof] = ACTIONS(3451),
    [anon_sym___alignof__] = ACTIONS(3451),
    [anon_sym___alignof] = ACTIONS(3451),
    [anon_sym__alignof] = ACTIONS(3451),
    [anon_sym_alignof] = ACTIONS(3451),
    [anon_sym__Alignof] = ACTIONS(3451),
    [anon_sym_offsetof] = ACTIONS(3451),
    [anon_sym__Generic] = ACTIONS(3451),
    [anon_sym_asm] = ACTIONS(3451),
    [anon_sym___asm__] = ACTIONS(3451),
    [aux_sym_number_literal_token1] = ACTIONS(3453),
    [aux_sym_number_literal_token2] = ACTIONS(3451),
    [anon_sym_L_SQUOTE] = ACTIONS(3453),
    [anon_sym_u_SQUOTE] = ACTIONS(3453),
    [anon_sym_U_SQUOTE] = ACTIONS(3453),
    [anon_sym_u8_SQUOTE] = ACTIONS(3453),
    [anon_sym_SQUOTE] = ACTIONS(3453),
    [anon_sym_L_DQUOTE] = ACTIONS(3453),
    [anon_sym_u_DQUOTE] = ACTIONS(3453),
    [anon_sym_U_DQUOTE] = ACTIONS(3453),
    [anon_sym_u8_DQUOTE] = ACTIONS(3453),
    [anon_sym_DQUOTE] = ACTIONS(3453),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3451),
    [anon_sym_nullptr] = ACTIONS(3451),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3451),
    [anon_sym_decltype] = ACTIONS(3451),
    [anon_sym_virtual] = ACTIONS(3451),
    [anon_sym_alignas] = ACTIONS(3451),
    [anon_sym_explicit] = ACTIONS(3451),
    [anon_sym_typename] = ACTIONS(3451),
    [anon_sym_template] = ACTIONS(3451),
    [anon_sym_operator] = ACTIONS(3451),
    [anon_sym_try] = ACTIONS(3451),
    [anon_sym_delete] = ACTIONS(3451),
    [anon_sym_throw] = ACTIONS(3451),
    [anon_sym_namespace] = ACTIONS(3451),
    [anon_sym_using] = ACTIONS(3451),
    [anon_sym_static_assert] = ACTIONS(3451),
    [anon_sym_concept] = ACTIONS(3451),
    [anon_sym_co_return] = ACTIONS(3451),
    [anon_sym_co_yield] = ACTIONS(3451),
    [anon_sym_R_DQUOTE] = ACTIONS(3453),
    [anon_sym_LR_DQUOTE] = ACTIONS(3453),
    [anon_sym_uR_DQUOTE] = ACTIONS(3453),
    [anon_sym_UR_DQUOTE] = ACTIONS(3453),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3453),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3451),
    [anon_sym_requires] = ACTIONS(3451),
    [sym_this] = ACTIONS(3451),
  },
  [974] = {
    [sym_identifier] = ACTIONS(3475),
    [aux_sym_preproc_include_token1] = ACTIONS(3475),
    [aux_sym_preproc_def_token1] = ACTIONS(3475),
    [aux_sym_preproc_if_token1] = ACTIONS(3475),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3475),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3475),
    [sym_preproc_directive] = ACTIONS(3475),
    [anon_sym_LPAREN2] = ACTIONS(3477),
    [anon_sym_BANG] = ACTIONS(3477),
    [anon_sym_TILDE] = ACTIONS(3477),
    [anon_sym_DASH] = ACTIONS(3475),
    [anon_sym_PLUS] = ACTIONS(3475),
    [anon_sym_STAR] = ACTIONS(3477),
    [anon_sym_AMP_AMP] = ACTIONS(3477),
    [anon_sym_AMP] = ACTIONS(3475),
    [anon_sym_SEMI] = ACTIONS(3477),
    [anon_sym___extension__] = ACTIONS(3475),
    [anon_sym_typedef] = ACTIONS(3475),
    [anon_sym_extern] = ACTIONS(3475),
    [anon_sym___attribute__] = ACTIONS(3475),
    [anon_sym_COLON_COLON] = ACTIONS(3477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3477),
    [anon_sym___declspec] = ACTIONS(3475),
    [anon_sym___based] = ACTIONS(3475),
    [anon_sym___cdecl] = ACTIONS(3475),
    [anon_sym___clrcall] = ACTIONS(3475),
    [anon_sym___stdcall] = ACTIONS(3475),
    [anon_sym___fastcall] = ACTIONS(3475),
    [anon_sym___thiscall] = ACTIONS(3475),
    [anon_sym___vectorcall] = ACTIONS(3475),
    [anon_sym_LBRACE] = ACTIONS(3477),
    [anon_sym_RBRACE] = ACTIONS(3477),
    [anon_sym_signed] = ACTIONS(3475),
    [anon_sym_unsigned] = ACTIONS(3475),
    [anon_sym_long] = ACTIONS(3475),
    [anon_sym_short] = ACTIONS(3475),
    [anon_sym_LBRACK] = ACTIONS(3475),
    [anon_sym_static] = ACTIONS(3475),
    [anon_sym_register] = ACTIONS(3475),
    [anon_sym_inline] = ACTIONS(3475),
    [anon_sym___inline] = ACTIONS(3475),
    [anon_sym___inline__] = ACTIONS(3475),
    [anon_sym___forceinline] = ACTIONS(3475),
    [anon_sym_thread_local] = ACTIONS(3475),
    [anon_sym___thread] = ACTIONS(3475),
    [anon_sym_const] = ACTIONS(3475),
    [anon_sym_constexpr] = ACTIONS(3475),
    [anon_sym_volatile] = ACTIONS(3475),
    [anon_sym_restrict] = ACTIONS(3475),
    [anon_sym___restrict__] = ACTIONS(3475),
    [anon_sym__Atomic] = ACTIONS(3475),
    [anon_sym__Noreturn] = ACTIONS(3475),
    [anon_sym_noreturn] = ACTIONS(3475),
    [anon_sym_mutable] = ACTIONS(3475),
    [anon_sym_constinit] = ACTIONS(3475),
    [anon_sym_consteval] = ACTIONS(3475),
    [anon_sym_PROGMEM] = ACTIONS(3475),
    [aux_sym_primitive_type_token1] = ACTIONS(3475),
    [anon_sym_byte] = ACTIONS(3475),
    [anon_sym_word] = ACTIONS(3475),
    [anon_sym_enum] = ACTIONS(3475),
    [anon_sym_class] = ACTIONS(3475),
    [anon_sym_struct] = ACTIONS(3475),
    [anon_sym_union] = ACTIONS(3475),
    [anon_sym_if] = ACTIONS(3475),
    [anon_sym_switch] = ACTIONS(3475),
    [anon_sym_case] = ACTIONS(3475),
    [anon_sym_default] = ACTIONS(3475),
    [anon_sym_while] = ACTIONS(3475),
    [anon_sym_do] = ACTIONS(3475),
    [anon_sym_for] = ACTIONS(3475),
    [anon_sym_return] = ACTIONS(3475),
    [anon_sym_break] = ACTIONS(3475),
    [anon_sym_continue] = ACTIONS(3475),
    [anon_sym_goto] = ACTIONS(3475),
    [anon_sym___try] = ACTIONS(3475),
    [anon_sym___leave] = ACTIONS(3475),
    [anon_sym_not] = ACTIONS(3475),
    [anon_sym_compl] = ACTIONS(3475),
    [anon_sym_DASH_DASH] = ACTIONS(3477),
    [anon_sym_PLUS_PLUS] = ACTIONS(3477),
    [anon_sym_sizeof] = ACTIONS(3475),
    [anon_sym___alignof__] = ACTIONS(3475),
    [anon_sym___alignof] = ACTIONS(3475),
    [anon_sym__alignof] = ACTIONS(3475),
    [anon_sym_alignof] = ACTIONS(3475),
    [anon_sym__Alignof] = ACTIONS(3475),
    [anon_sym_offsetof] = ACTIONS(3475),
    [anon_sym__Generic] = ACTIONS(3475),
    [anon_sym_asm] = ACTIONS(3475),
    [anon_sym___asm__] = ACTIONS(3475),
    [aux_sym_number_literal_token1] = ACTIONS(3477),
    [aux_sym_number_literal_token2] = ACTIONS(3475),
    [anon_sym_L_SQUOTE] = ACTIONS(3477),
    [anon_sym_u_SQUOTE] = ACTIONS(3477),
    [anon_sym_U_SQUOTE] = ACTIONS(3477),
    [anon_sym_u8_SQUOTE] = ACTIONS(3477),
    [anon_sym_SQUOTE] = ACTIONS(3477),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(3475),
    [sym_false] = ACTIONS(3475),
    [anon_sym_NULL] = ACTIONS(3475),
    [anon_sym_nullptr] = ACTIONS(3475),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3475),
    [anon_sym_decltype] = ACTIONS(3475),
    [anon_sym_virtual] = ACTIONS(3475),
    [anon_sym_alignas] = ACTIONS(3475),
    [anon_sym_explicit] = ACTIONS(3475),
    [anon_sym_typename] = ACTIONS(3475),
    [anon_sym_template] = ACTIONS(3475),
    [anon_sym_operator] = ACTIONS(3475),
    [anon_sym_try] = ACTIONS(3475),
    [anon_sym_delete] = ACTIONS(3475),
    [anon_sym_throw] = ACTIONS(3475),
    [anon_sym_namespace] = ACTIONS(3475),
    [anon_sym_using] = ACTIONS(3475),
    [anon_sym_static_assert] = ACTIONS(3475),
    [anon_sym_concept] = ACTIONS(3475),
    [anon_sym_co_return] = ACTIONS(3475),
    [anon_sym_co_yield] = ACTIONS(3475),
    [anon_sym_R_DQUOTE] = ACTIONS(3477),
    [anon_sym_LR_DQUOTE] = ACTIONS(3477),
    [anon_sym_uR_DQUOTE] = ACTIONS(3477),
    [anon_sym_UR_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3477),
    [anon_sym_co_await] = ACTIONS(3475),
    [anon_sym_new] = ACTIONS(3475),
    [anon_sym_requires] = ACTIONS(3475),
    [sym_this] = ACTIONS(3475),
  },
  [975] = {
    [sym_identifier] = ACTIONS(3377),
    [aux_sym_preproc_include_token1] = ACTIONS(3377),
    [aux_sym_preproc_def_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token2] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3377),
    [sym_preproc_directive] = ACTIONS(3377),
    [anon_sym_LPAREN2] = ACTIONS(3379),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_STAR] = ACTIONS(3379),
    [anon_sym_AMP_AMP] = ACTIONS(3379),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym___extension__] = ACTIONS(3377),
    [anon_sym_typedef] = ACTIONS(3377),
    [anon_sym_extern] = ACTIONS(3377),
    [anon_sym___attribute__] = ACTIONS(3377),
    [anon_sym_COLON_COLON] = ACTIONS(3379),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3379),
    [anon_sym___declspec] = ACTIONS(3377),
    [anon_sym___based] = ACTIONS(3377),
    [anon_sym___cdecl] = ACTIONS(3377),
    [anon_sym___clrcall] = ACTIONS(3377),
    [anon_sym___stdcall] = ACTIONS(3377),
    [anon_sym___fastcall] = ACTIONS(3377),
    [anon_sym___thiscall] = ACTIONS(3377),
    [anon_sym___vectorcall] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_signed] = ACTIONS(3377),
    [anon_sym_unsigned] = ACTIONS(3377),
    [anon_sym_long] = ACTIONS(3377),
    [anon_sym_short] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_register] = ACTIONS(3377),
    [anon_sym_inline] = ACTIONS(3377),
    [anon_sym___inline] = ACTIONS(3377),
    [anon_sym___inline__] = ACTIONS(3377),
    [anon_sym___forceinline] = ACTIONS(3377),
    [anon_sym_thread_local] = ACTIONS(3377),
    [anon_sym___thread] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_constexpr] = ACTIONS(3377),
    [anon_sym_volatile] = ACTIONS(3377),
    [anon_sym_restrict] = ACTIONS(3377),
    [anon_sym___restrict__] = ACTIONS(3377),
    [anon_sym__Atomic] = ACTIONS(3377),
    [anon_sym__Noreturn] = ACTIONS(3377),
    [anon_sym_noreturn] = ACTIONS(3377),
    [anon_sym_mutable] = ACTIONS(3377),
    [anon_sym_constinit] = ACTIONS(3377),
    [anon_sym_consteval] = ACTIONS(3377),
    [anon_sym_PROGMEM] = ACTIONS(3377),
    [aux_sym_primitive_type_token1] = ACTIONS(3377),
    [anon_sym_byte] = ACTIONS(3377),
    [anon_sym_word] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_struct] = ACTIONS(3377),
    [anon_sym_union] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_case] = ACTIONS(3377),
    [anon_sym_default] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_goto] = ACTIONS(3377),
    [anon_sym___try] = ACTIONS(3377),
    [anon_sym___leave] = ACTIONS(3377),
    [anon_sym_not] = ACTIONS(3377),
    [anon_sym_compl] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_sizeof] = ACTIONS(3377),
    [anon_sym___alignof__] = ACTIONS(3377),
    [anon_sym___alignof] = ACTIONS(3377),
    [anon_sym__alignof] = ACTIONS(3377),
    [anon_sym_alignof] = ACTIONS(3377),
    [anon_sym__Alignof] = ACTIONS(3377),
    [anon_sym_offsetof] = ACTIONS(3377),
    [anon_sym__Generic] = ACTIONS(3377),
    [anon_sym_asm] = ACTIONS(3377),
    [anon_sym___asm__] = ACTIONS(3377),
    [aux_sym_number_literal_token1] = ACTIONS(3379),
    [aux_sym_number_literal_token2] = ACTIONS(3377),
    [anon_sym_L_SQUOTE] = ACTIONS(3379),
    [anon_sym_u_SQUOTE] = ACTIONS(3379),
    [anon_sym_U_SQUOTE] = ACTIONS(3379),
    [anon_sym_u8_SQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [anon_sym_L_DQUOTE] = ACTIONS(3379),
    [anon_sym_u_DQUOTE] = ACTIONS(3379),
    [anon_sym_U_DQUOTE] = ACTIONS(3379),
    [anon_sym_u8_DQUOTE] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [anon_sym_NULL] = ACTIONS(3377),
    [anon_sym_nullptr] = ACTIONS(3377),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3377),
    [anon_sym_decltype] = ACTIONS(3377),
    [anon_sym_virtual] = ACTIONS(3377),
    [anon_sym_alignas] = ACTIONS(3377),
    [anon_sym_explicit] = ACTIONS(3377),
    [anon_sym_typename] = ACTIONS(3377),
    [anon_sym_template] = ACTIONS(3377),
    [anon_sym_operator] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_static_assert] = ACTIONS(3377),
    [anon_sym_concept] = ACTIONS(3377),
    [anon_sym_co_return] = ACTIONS(3377),
    [anon_sym_co_yield] = ACTIONS(3377),
    [anon_sym_R_DQUOTE] = ACTIONS(3379),
    [anon_sym_LR_DQUOTE] = ACTIONS(3379),
    [anon_sym_uR_DQUOTE] = ACTIONS(3379),
    [anon_sym_UR_DQUOTE] = ACTIONS(3379),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3379),
    [anon_sym_co_await] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_requires] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
  },
  [976] = {
    [sym_identifier] = ACTIONS(3427),
    [aux_sym_preproc_include_token1] = ACTIONS(3427),
    [aux_sym_preproc_def_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token2] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3427),
    [sym_preproc_directive] = ACTIONS(3427),
    [anon_sym_LPAREN2] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3427),
    [anon_sym_PLUS] = ACTIONS(3427),
    [anon_sym_STAR] = ACTIONS(3429),
    [anon_sym_AMP_AMP] = ACTIONS(3429),
    [anon_sym_AMP] = ACTIONS(3427),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym___extension__] = ACTIONS(3427),
    [anon_sym_typedef] = ACTIONS(3427),
    [anon_sym_extern] = ACTIONS(3427),
    [anon_sym___attribute__] = ACTIONS(3427),
    [anon_sym_COLON_COLON] = ACTIONS(3429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3429),
    [anon_sym___declspec] = ACTIONS(3427),
    [anon_sym___based] = ACTIONS(3427),
    [anon_sym___cdecl] = ACTIONS(3427),
    [anon_sym___clrcall] = ACTIONS(3427),
    [anon_sym___stdcall] = ACTIONS(3427),
    [anon_sym___fastcall] = ACTIONS(3427),
    [anon_sym___thiscall] = ACTIONS(3427),
    [anon_sym___vectorcall] = ACTIONS(3427),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_signed] = ACTIONS(3427),
    [anon_sym_unsigned] = ACTIONS(3427),
    [anon_sym_long] = ACTIONS(3427),
    [anon_sym_short] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_register] = ACTIONS(3427),
    [anon_sym_inline] = ACTIONS(3427),
    [anon_sym___inline] = ACTIONS(3427),
    [anon_sym___inline__] = ACTIONS(3427),
    [anon_sym___forceinline] = ACTIONS(3427),
    [anon_sym_thread_local] = ACTIONS(3427),
    [anon_sym___thread] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_constexpr] = ACTIONS(3427),
    [anon_sym_volatile] = ACTIONS(3427),
    [anon_sym_restrict] = ACTIONS(3427),
    [anon_sym___restrict__] = ACTIONS(3427),
    [anon_sym__Atomic] = ACTIONS(3427),
    [anon_sym__Noreturn] = ACTIONS(3427),
    [anon_sym_noreturn] = ACTIONS(3427),
    [anon_sym_mutable] = ACTIONS(3427),
    [anon_sym_constinit] = ACTIONS(3427),
    [anon_sym_consteval] = ACTIONS(3427),
    [anon_sym_PROGMEM] = ACTIONS(3427),
    [aux_sym_primitive_type_token1] = ACTIONS(3427),
    [anon_sym_byte] = ACTIONS(3427),
    [anon_sym_word] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3427),
    [anon_sym_union] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(3427),
    [anon_sym_switch] = ACTIONS(3427),
    [anon_sym_case] = ACTIONS(3427),
    [anon_sym_default] = ACTIONS(3427),
    [anon_sym_while] = ACTIONS(3427),
    [anon_sym_do] = ACTIONS(3427),
    [anon_sym_for] = ACTIONS(3427),
    [anon_sym_return] = ACTIONS(3427),
    [anon_sym_break] = ACTIONS(3427),
    [anon_sym_continue] = ACTIONS(3427),
    [anon_sym_goto] = ACTIONS(3427),
    [anon_sym___try] = ACTIONS(3427),
    [anon_sym___leave] = ACTIONS(3427),
    [anon_sym_not] = ACTIONS(3427),
    [anon_sym_compl] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_sizeof] = ACTIONS(3427),
    [anon_sym___alignof__] = ACTIONS(3427),
    [anon_sym___alignof] = ACTIONS(3427),
    [anon_sym__alignof] = ACTIONS(3427),
    [anon_sym_alignof] = ACTIONS(3427),
    [anon_sym__Alignof] = ACTIONS(3427),
    [anon_sym_offsetof] = ACTIONS(3427),
    [anon_sym__Generic] = ACTIONS(3427),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [aux_sym_number_literal_token1] = ACTIONS(3429),
    [aux_sym_number_literal_token2] = ACTIONS(3427),
    [anon_sym_L_SQUOTE] = ACTIONS(3429),
    [anon_sym_u_SQUOTE] = ACTIONS(3429),
    [anon_sym_U_SQUOTE] = ACTIONS(3429),
    [anon_sym_u8_SQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [anon_sym_L_DQUOTE] = ACTIONS(3429),
    [anon_sym_u_DQUOTE] = ACTIONS(3429),
    [anon_sym_U_DQUOTE] = ACTIONS(3429),
    [anon_sym_u8_DQUOTE] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [sym_true] = ACTIONS(3427),
    [sym_false] = ACTIONS(3427),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3427),
    [anon_sym_decltype] = ACTIONS(3427),
    [anon_sym_virtual] = ACTIONS(3427),
    [anon_sym_alignas] = ACTIONS(3427),
    [anon_sym_explicit] = ACTIONS(3427),
    [anon_sym_typename] = ACTIONS(3427),
    [anon_sym_template] = ACTIONS(3427),
    [anon_sym_operator] = ACTIONS(3427),
    [anon_sym_try] = ACTIONS(3427),
    [anon_sym_delete] = ACTIONS(3427),
    [anon_sym_throw] = ACTIONS(3427),
    [anon_sym_namespace] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_static_assert] = ACTIONS(3427),
    [anon_sym_concept] = ACTIONS(3427),
    [anon_sym_co_return] = ACTIONS(3427),
    [anon_sym_co_yield] = ACTIONS(3427),
    [anon_sym_R_DQUOTE] = ACTIONS(3429),
    [anon_sym_LR_DQUOTE] = ACTIONS(3429),
    [anon_sym_uR_DQUOTE] = ACTIONS(3429),
    [anon_sym_UR_DQUOTE] = ACTIONS(3429),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3429),
    [anon_sym_co_await] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3427),
    [anon_sym_requires] = ACTIONS(3427),
    [sym_this] = ACTIONS(3427),
  },
  [977] = {
    [sym_identifier] = ACTIONS(3511),
    [aux_sym_preproc_include_token1] = ACTIONS(3511),
    [aux_sym_preproc_def_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token1] = ACTIONS(3511),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3511),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3511),
    [sym_preproc_directive] = ACTIONS(3511),
    [anon_sym_LPAREN2] = ACTIONS(3513),
    [anon_sym_BANG] = ACTIONS(3513),
    [anon_sym_TILDE] = ACTIONS(3513),
    [anon_sym_DASH] = ACTIONS(3511),
    [anon_sym_PLUS] = ACTIONS(3511),
    [anon_sym_STAR] = ACTIONS(3513),
    [anon_sym_AMP_AMP] = ACTIONS(3513),
    [anon_sym_AMP] = ACTIONS(3511),
    [anon_sym_SEMI] = ACTIONS(3513),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_typedef] = ACTIONS(3511),
    [anon_sym_extern] = ACTIONS(3511),
    [anon_sym___attribute__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3513),
    [anon_sym___declspec] = ACTIONS(3511),
    [anon_sym___based] = ACTIONS(3511),
    [anon_sym___cdecl] = ACTIONS(3511),
    [anon_sym___clrcall] = ACTIONS(3511),
    [anon_sym___stdcall] = ACTIONS(3511),
    [anon_sym___fastcall] = ACTIONS(3511),
    [anon_sym___thiscall] = ACTIONS(3511),
    [anon_sym___vectorcall] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3513),
    [anon_sym_RBRACE] = ACTIONS(3513),
    [anon_sym_signed] = ACTIONS(3511),
    [anon_sym_unsigned] = ACTIONS(3511),
    [anon_sym_long] = ACTIONS(3511),
    [anon_sym_short] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(3511),
    [anon_sym_static] = ACTIONS(3511),
    [anon_sym_register] = ACTIONS(3511),
    [anon_sym_inline] = ACTIONS(3511),
    [anon_sym___inline] = ACTIONS(3511),
    [anon_sym___inline__] = ACTIONS(3511),
    [anon_sym___forceinline] = ACTIONS(3511),
    [anon_sym_thread_local] = ACTIONS(3511),
    [anon_sym___thread] = ACTIONS(3511),
    [anon_sym_const] = ACTIONS(3511),
    [anon_sym_constexpr] = ACTIONS(3511),
    [anon_sym_volatile] = ACTIONS(3511),
    [anon_sym_restrict] = ACTIONS(3511),
    [anon_sym___restrict__] = ACTIONS(3511),
    [anon_sym__Atomic] = ACTIONS(3511),
    [anon_sym__Noreturn] = ACTIONS(3511),
    [anon_sym_noreturn] = ACTIONS(3511),
    [anon_sym_mutable] = ACTIONS(3511),
    [anon_sym_constinit] = ACTIONS(3511),
    [anon_sym_consteval] = ACTIONS(3511),
    [anon_sym_PROGMEM] = ACTIONS(3511),
    [aux_sym_primitive_type_token1] = ACTIONS(3511),
    [anon_sym_byte] = ACTIONS(3511),
    [anon_sym_word] = ACTIONS(3511),
    [anon_sym_enum] = ACTIONS(3511),
    [anon_sym_class] = ACTIONS(3511),
    [anon_sym_struct] = ACTIONS(3511),
    [anon_sym_union] = ACTIONS(3511),
    [anon_sym_if] = ACTIONS(3511),
    [anon_sym_switch] = ACTIONS(3511),
    [anon_sym_case] = ACTIONS(3511),
    [anon_sym_default] = ACTIONS(3511),
    [anon_sym_while] = ACTIONS(3511),
    [anon_sym_do] = ACTIONS(3511),
    [anon_sym_for] = ACTIONS(3511),
    [anon_sym_return] = ACTIONS(3511),
    [anon_sym_break] = ACTIONS(3511),
    [anon_sym_continue] = ACTIONS(3511),
    [anon_sym_goto] = ACTIONS(3511),
    [anon_sym___try] = ACTIONS(3511),
    [anon_sym___leave] = ACTIONS(3511),
    [anon_sym_not] = ACTIONS(3511),
    [anon_sym_compl] = ACTIONS(3511),
    [anon_sym_DASH_DASH] = ACTIONS(3513),
    [anon_sym_PLUS_PLUS] = ACTIONS(3513),
    [anon_sym_sizeof] = ACTIONS(3511),
    [anon_sym___alignof__] = ACTIONS(3511),
    [anon_sym___alignof] = ACTIONS(3511),
    [anon_sym__alignof] = ACTIONS(3511),
    [anon_sym_alignof] = ACTIONS(3511),
    [anon_sym__Alignof] = ACTIONS(3511),
    [anon_sym_offsetof] = ACTIONS(3511),
    [anon_sym__Generic] = ACTIONS(3511),
    [anon_sym_asm] = ACTIONS(3511),
    [anon_sym___asm__] = ACTIONS(3511),
    [aux_sym_number_literal_token1] = ACTIONS(3513),
    [aux_sym_number_literal_token2] = ACTIONS(3511),
    [anon_sym_L_SQUOTE] = ACTIONS(3513),
    [anon_sym_u_SQUOTE] = ACTIONS(3513),
    [anon_sym_U_SQUOTE] = ACTIONS(3513),
    [anon_sym_u8_SQUOTE] = ACTIONS(3513),
    [anon_sym_SQUOTE] = ACTIONS(3513),
    [anon_sym_L_DQUOTE] = ACTIONS(3513),
    [anon_sym_u_DQUOTE] = ACTIONS(3513),
    [anon_sym_U_DQUOTE] = ACTIONS(3513),
    [anon_sym_u8_DQUOTE] = ACTIONS(3513),
    [anon_sym_DQUOTE] = ACTIONS(3513),
    [sym_true] = ACTIONS(3511),
    [sym_false] = ACTIONS(3511),
    [anon_sym_NULL] = ACTIONS(3511),
    [anon_sym_nullptr] = ACTIONS(3511),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3511),
    [anon_sym_decltype] = ACTIONS(3511),
    [anon_sym_virtual] = ACTIONS(3511),
    [anon_sym_alignas] = ACTIONS(3511),
    [anon_sym_explicit] = ACTIONS(3511),
    [anon_sym_typename] = ACTIONS(3511),
    [anon_sym_template] = ACTIONS(3511),
    [anon_sym_operator] = ACTIONS(3511),
    [anon_sym_try] = ACTIONS(3511),
    [anon_sym_delete] = ACTIONS(3511),
    [anon_sym_throw] = ACTIONS(3511),
    [anon_sym_namespace] = ACTIONS(3511),
    [anon_sym_using] = ACTIONS(3511),
    [anon_sym_static_assert] = ACTIONS(3511),
    [anon_sym_concept] = ACTIONS(3511),
    [anon_sym_co_return] = ACTIONS(3511),
    [anon_sym_co_yield] = ACTIONS(3511),
    [anon_sym_R_DQUOTE] = ACTIONS(3513),
    [anon_sym_LR_DQUOTE] = ACTIONS(3513),
    [anon_sym_uR_DQUOTE] = ACTIONS(3513),
    [anon_sym_UR_DQUOTE] = ACTIONS(3513),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3513),
    [anon_sym_co_await] = ACTIONS(3511),
    [anon_sym_new] = ACTIONS(3511),
    [anon_sym_requires] = ACTIONS(3511),
    [sym_this] = ACTIONS(3511),
  },
  [978] = {
    [sym_identifier] = ACTIONS(3176),
    [aux_sym_preproc_include_token1] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token2] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3178),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3178),
    [anon_sym___extension__] = ACTIONS(3176),
    [anon_sym_typedef] = ACTIONS(3176),
    [anon_sym_extern] = ACTIONS(3176),
    [anon_sym___attribute__] = ACTIONS(3176),
    [anon_sym_COLON_COLON] = ACTIONS(3178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3178),
    [anon_sym___declspec] = ACTIONS(3176),
    [anon_sym___based] = ACTIONS(3176),
    [anon_sym___cdecl] = ACTIONS(3176),
    [anon_sym___clrcall] = ACTIONS(3176),
    [anon_sym___stdcall] = ACTIONS(3176),
    [anon_sym___fastcall] = ACTIONS(3176),
    [anon_sym___thiscall] = ACTIONS(3176),
    [anon_sym___vectorcall] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3178),
    [anon_sym_signed] = ACTIONS(3176),
    [anon_sym_unsigned] = ACTIONS(3176),
    [anon_sym_long] = ACTIONS(3176),
    [anon_sym_short] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_register] = ACTIONS(3176),
    [anon_sym_inline] = ACTIONS(3176),
    [anon_sym___inline] = ACTIONS(3176),
    [anon_sym___inline__] = ACTIONS(3176),
    [anon_sym___forceinline] = ACTIONS(3176),
    [anon_sym_thread_local] = ACTIONS(3176),
    [anon_sym___thread] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_constexpr] = ACTIONS(3176),
    [anon_sym_volatile] = ACTIONS(3176),
    [anon_sym_restrict] = ACTIONS(3176),
    [anon_sym___restrict__] = ACTIONS(3176),
    [anon_sym__Atomic] = ACTIONS(3176),
    [anon_sym__Noreturn] = ACTIONS(3176),
    [anon_sym_noreturn] = ACTIONS(3176),
    [anon_sym_mutable] = ACTIONS(3176),
    [anon_sym_constinit] = ACTIONS(3176),
    [anon_sym_consteval] = ACTIONS(3176),
    [anon_sym_PROGMEM] = ACTIONS(3176),
    [aux_sym_primitive_type_token1] = ACTIONS(3176),
    [anon_sym_byte] = ACTIONS(3176),
    [anon_sym_word] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_struct] = ACTIONS(3176),
    [anon_sym_union] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_default] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_goto] = ACTIONS(3176),
    [anon_sym___try] = ACTIONS(3176),
    [anon_sym___leave] = ACTIONS(3176),
    [anon_sym_not] = ACTIONS(3176),
    [anon_sym_compl] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(3176),
    [anon_sym___alignof__] = ACTIONS(3176),
    [anon_sym___alignof] = ACTIONS(3176),
    [anon_sym__alignof] = ACTIONS(3176),
    [anon_sym_alignof] = ACTIONS(3176),
    [anon_sym__Alignof] = ACTIONS(3176),
    [anon_sym_offsetof] = ACTIONS(3176),
    [anon_sym__Generic] = ACTIONS(3176),
    [anon_sym_asm] = ACTIONS(3176),
    [anon_sym___asm__] = ACTIONS(3176),
    [aux_sym_number_literal_token1] = ACTIONS(3178),
    [aux_sym_number_literal_token2] = ACTIONS(3176),
    [anon_sym_L_SQUOTE] = ACTIONS(3178),
    [anon_sym_u_SQUOTE] = ACTIONS(3178),
    [anon_sym_U_SQUOTE] = ACTIONS(3178),
    [anon_sym_u8_SQUOTE] = ACTIONS(3178),
    [anon_sym_SQUOTE] = ACTIONS(3178),
    [anon_sym_L_DQUOTE] = ACTIONS(3178),
    [anon_sym_u_DQUOTE] = ACTIONS(3178),
    [anon_sym_U_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8_DQUOTE] = ACTIONS(3178),
    [anon_sym_DQUOTE] = ACTIONS(3178),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [anon_sym_NULL] = ACTIONS(3176),
    [anon_sym_nullptr] = ACTIONS(3176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3176),
    [anon_sym_decltype] = ACTIONS(3176),
    [anon_sym_virtual] = ACTIONS(3176),
    [anon_sym_alignas] = ACTIONS(3176),
    [anon_sym_explicit] = ACTIONS(3176),
    [anon_sym_typename] = ACTIONS(3176),
    [anon_sym_template] = ACTIONS(3176),
    [anon_sym_operator] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_static_assert] = ACTIONS(3176),
    [anon_sym_concept] = ACTIONS(3176),
    [anon_sym_co_return] = ACTIONS(3176),
    [anon_sym_co_yield] = ACTIONS(3176),
    [anon_sym_R_DQUOTE] = ACTIONS(3178),
    [anon_sym_LR_DQUOTE] = ACTIONS(3178),
    [anon_sym_uR_DQUOTE] = ACTIONS(3178),
    [anon_sym_UR_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3178),
    [anon_sym_co_await] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_requires] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
  },
  [979] = {
    [sym_identifier] = ACTIONS(3515),
    [aux_sym_preproc_include_token1] = ACTIONS(3515),
    [aux_sym_preproc_def_token1] = ACTIONS(3515),
    [aux_sym_preproc_if_token1] = ACTIONS(3515),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3515),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3515),
    [sym_preproc_directive] = ACTIONS(3515),
    [anon_sym_LPAREN2] = ACTIONS(3517),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(3517),
    [anon_sym_AMP_AMP] = ACTIONS(3517),
    [anon_sym_AMP] = ACTIONS(3515),
    [anon_sym_SEMI] = ACTIONS(3517),
    [anon_sym___extension__] = ACTIONS(3515),
    [anon_sym_typedef] = ACTIONS(3515),
    [anon_sym_extern] = ACTIONS(3515),
    [anon_sym___attribute__] = ACTIONS(3515),
    [anon_sym_COLON_COLON] = ACTIONS(3517),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3517),
    [anon_sym___declspec] = ACTIONS(3515),
    [anon_sym___based] = ACTIONS(3515),
    [anon_sym___cdecl] = ACTIONS(3515),
    [anon_sym___clrcall] = ACTIONS(3515),
    [anon_sym___stdcall] = ACTIONS(3515),
    [anon_sym___fastcall] = ACTIONS(3515),
    [anon_sym___thiscall] = ACTIONS(3515),
    [anon_sym___vectorcall] = ACTIONS(3515),
    [anon_sym_LBRACE] = ACTIONS(3517),
    [anon_sym_RBRACE] = ACTIONS(3517),
    [anon_sym_signed] = ACTIONS(3515),
    [anon_sym_unsigned] = ACTIONS(3515),
    [anon_sym_long] = ACTIONS(3515),
    [anon_sym_short] = ACTIONS(3515),
    [anon_sym_LBRACK] = ACTIONS(3515),
    [anon_sym_static] = ACTIONS(3515),
    [anon_sym_register] = ACTIONS(3515),
    [anon_sym_inline] = ACTIONS(3515),
    [anon_sym___inline] = ACTIONS(3515),
    [anon_sym___inline__] = ACTIONS(3515),
    [anon_sym___forceinline] = ACTIONS(3515),
    [anon_sym_thread_local] = ACTIONS(3515),
    [anon_sym___thread] = ACTIONS(3515),
    [anon_sym_const] = ACTIONS(3515),
    [anon_sym_constexpr] = ACTIONS(3515),
    [anon_sym_volatile] = ACTIONS(3515),
    [anon_sym_restrict] = ACTIONS(3515),
    [anon_sym___restrict__] = ACTIONS(3515),
    [anon_sym__Atomic] = ACTIONS(3515),
    [anon_sym__Noreturn] = ACTIONS(3515),
    [anon_sym_noreturn] = ACTIONS(3515),
    [anon_sym_mutable] = ACTIONS(3515),
    [anon_sym_constinit] = ACTIONS(3515),
    [anon_sym_consteval] = ACTIONS(3515),
    [anon_sym_PROGMEM] = ACTIONS(3515),
    [aux_sym_primitive_type_token1] = ACTIONS(3515),
    [anon_sym_byte] = ACTIONS(3515),
    [anon_sym_word] = ACTIONS(3515),
    [anon_sym_enum] = ACTIONS(3515),
    [anon_sym_class] = ACTIONS(3515),
    [anon_sym_struct] = ACTIONS(3515),
    [anon_sym_union] = ACTIONS(3515),
    [anon_sym_if] = ACTIONS(3515),
    [anon_sym_switch] = ACTIONS(3515),
    [anon_sym_case] = ACTIONS(3515),
    [anon_sym_default] = ACTIONS(3515),
    [anon_sym_while] = ACTIONS(3515),
    [anon_sym_do] = ACTIONS(3515),
    [anon_sym_for] = ACTIONS(3515),
    [anon_sym_return] = ACTIONS(3515),
    [anon_sym_break] = ACTIONS(3515),
    [anon_sym_continue] = ACTIONS(3515),
    [anon_sym_goto] = ACTIONS(3515),
    [anon_sym___try] = ACTIONS(3515),
    [anon_sym___leave] = ACTIONS(3515),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(3517),
    [anon_sym_PLUS_PLUS] = ACTIONS(3517),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(3515),
    [anon_sym___alignof] = ACTIONS(3515),
    [anon_sym__alignof] = ACTIONS(3515),
    [anon_sym_alignof] = ACTIONS(3515),
    [anon_sym__Alignof] = ACTIONS(3515),
    [anon_sym_offsetof] = ACTIONS(3515),
    [anon_sym__Generic] = ACTIONS(3515),
    [anon_sym_asm] = ACTIONS(3515),
    [anon_sym___asm__] = ACTIONS(3515),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3515),
    [anon_sym_L_SQUOTE] = ACTIONS(3517),
    [anon_sym_u_SQUOTE] = ACTIONS(3517),
    [anon_sym_U_SQUOTE] = ACTIONS(3517),
    [anon_sym_u8_SQUOTE] = ACTIONS(3517),
    [anon_sym_SQUOTE] = ACTIONS(3517),
    [anon_sym_L_DQUOTE] = ACTIONS(3517),
    [anon_sym_u_DQUOTE] = ACTIONS(3517),
    [anon_sym_U_DQUOTE] = ACTIONS(3517),
    [anon_sym_u8_DQUOTE] = ACTIONS(3517),
    [anon_sym_DQUOTE] = ACTIONS(3517),
    [sym_true] = ACTIONS(3515),
    [sym_false] = ACTIONS(3515),
    [anon_sym_NULL] = ACTIONS(3515),
    [anon_sym_nullptr] = ACTIONS(3515),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3515),
    [anon_sym_decltype] = ACTIONS(3515),
    [anon_sym_virtual] = ACTIONS(3515),
    [anon_sym_alignas] = ACTIONS(3515),
    [anon_sym_explicit] = ACTIONS(3515),
    [anon_sym_typename] = ACTIONS(3515),
    [anon_sym_template] = ACTIONS(3515),
    [anon_sym_operator] = ACTIONS(3515),
    [anon_sym_try] = ACTIONS(3515),
    [anon_sym_delete] = ACTIONS(3515),
    [anon_sym_throw] = ACTIONS(3515),
    [anon_sym_namespace] = ACTIONS(3515),
    [anon_sym_using] = ACTIONS(3515),
    [anon_sym_static_assert] = ACTIONS(3515),
    [anon_sym_concept] = ACTIONS(3515),
    [anon_sym_co_return] = ACTIONS(3515),
    [anon_sym_co_yield] = ACTIONS(3515),
    [anon_sym_R_DQUOTE] = ACTIONS(3517),
    [anon_sym_LR_DQUOTE] = ACTIONS(3517),
    [anon_sym_uR_DQUOTE] = ACTIONS(3517),
    [anon_sym_UR_DQUOTE] = ACTIONS(3517),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3517),
    [anon_sym_co_await] = ACTIONS(3515),
    [anon_sym_new] = ACTIONS(3515),
    [anon_sym_requires] = ACTIONS(3515),
    [sym_this] = ACTIONS(3515),
  },
  [980] = {
    [sym_identifier] = ACTIONS(3511),
    [aux_sym_preproc_include_token1] = ACTIONS(3511),
    [aux_sym_preproc_def_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token2] = ACTIONS(3511),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3511),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3511),
    [sym_preproc_directive] = ACTIONS(3511),
    [anon_sym_LPAREN2] = ACTIONS(3513),
    [anon_sym_BANG] = ACTIONS(3513),
    [anon_sym_TILDE] = ACTIONS(3513),
    [anon_sym_DASH] = ACTIONS(3511),
    [anon_sym_PLUS] = ACTIONS(3511),
    [anon_sym_STAR] = ACTIONS(3513),
    [anon_sym_AMP_AMP] = ACTIONS(3513),
    [anon_sym_AMP] = ACTIONS(3511),
    [anon_sym_SEMI] = ACTIONS(3513),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_typedef] = ACTIONS(3511),
    [anon_sym_extern] = ACTIONS(3511),
    [anon_sym___attribute__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3513),
    [anon_sym___declspec] = ACTIONS(3511),
    [anon_sym___based] = ACTIONS(3511),
    [anon_sym___cdecl] = ACTIONS(3511),
    [anon_sym___clrcall] = ACTIONS(3511),
    [anon_sym___stdcall] = ACTIONS(3511),
    [anon_sym___fastcall] = ACTIONS(3511),
    [anon_sym___thiscall] = ACTIONS(3511),
    [anon_sym___vectorcall] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3513),
    [anon_sym_signed] = ACTIONS(3511),
    [anon_sym_unsigned] = ACTIONS(3511),
    [anon_sym_long] = ACTIONS(3511),
    [anon_sym_short] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(3511),
    [anon_sym_static] = ACTIONS(3511),
    [anon_sym_register] = ACTIONS(3511),
    [anon_sym_inline] = ACTIONS(3511),
    [anon_sym___inline] = ACTIONS(3511),
    [anon_sym___inline__] = ACTIONS(3511),
    [anon_sym___forceinline] = ACTIONS(3511),
    [anon_sym_thread_local] = ACTIONS(3511),
    [anon_sym___thread] = ACTIONS(3511),
    [anon_sym_const] = ACTIONS(3511),
    [anon_sym_constexpr] = ACTIONS(3511),
    [anon_sym_volatile] = ACTIONS(3511),
    [anon_sym_restrict] = ACTIONS(3511),
    [anon_sym___restrict__] = ACTIONS(3511),
    [anon_sym__Atomic] = ACTIONS(3511),
    [anon_sym__Noreturn] = ACTIONS(3511),
    [anon_sym_noreturn] = ACTIONS(3511),
    [anon_sym_mutable] = ACTIONS(3511),
    [anon_sym_constinit] = ACTIONS(3511),
    [anon_sym_consteval] = ACTIONS(3511),
    [anon_sym_PROGMEM] = ACTIONS(3511),
    [aux_sym_primitive_type_token1] = ACTIONS(3511),
    [anon_sym_byte] = ACTIONS(3511),
    [anon_sym_word] = ACTIONS(3511),
    [anon_sym_enum] = ACTIONS(3511),
    [anon_sym_class] = ACTIONS(3511),
    [anon_sym_struct] = ACTIONS(3511),
    [anon_sym_union] = ACTIONS(3511),
    [anon_sym_if] = ACTIONS(3511),
    [anon_sym_switch] = ACTIONS(3511),
    [anon_sym_case] = ACTIONS(3511),
    [anon_sym_default] = ACTIONS(3511),
    [anon_sym_while] = ACTIONS(3511),
    [anon_sym_do] = ACTIONS(3511),
    [anon_sym_for] = ACTIONS(3511),
    [anon_sym_return] = ACTIONS(3511),
    [anon_sym_break] = ACTIONS(3511),
    [anon_sym_continue] = ACTIONS(3511),
    [anon_sym_goto] = ACTIONS(3511),
    [anon_sym___try] = ACTIONS(3511),
    [anon_sym___leave] = ACTIONS(3511),
    [anon_sym_not] = ACTIONS(3511),
    [anon_sym_compl] = ACTIONS(3511),
    [anon_sym_DASH_DASH] = ACTIONS(3513),
    [anon_sym_PLUS_PLUS] = ACTIONS(3513),
    [anon_sym_sizeof] = ACTIONS(3511),
    [anon_sym___alignof__] = ACTIONS(3511),
    [anon_sym___alignof] = ACTIONS(3511),
    [anon_sym__alignof] = ACTIONS(3511),
    [anon_sym_alignof] = ACTIONS(3511),
    [anon_sym__Alignof] = ACTIONS(3511),
    [anon_sym_offsetof] = ACTIONS(3511),
    [anon_sym__Generic] = ACTIONS(3511),
    [anon_sym_asm] = ACTIONS(3511),
    [anon_sym___asm__] = ACTIONS(3511),
    [aux_sym_number_literal_token1] = ACTIONS(3513),
    [aux_sym_number_literal_token2] = ACTIONS(3511),
    [anon_sym_L_SQUOTE] = ACTIONS(3513),
    [anon_sym_u_SQUOTE] = ACTIONS(3513),
    [anon_sym_U_SQUOTE] = ACTIONS(3513),
    [anon_sym_u8_SQUOTE] = ACTIONS(3513),
    [anon_sym_SQUOTE] = ACTIONS(3513),
    [anon_sym_L_DQUOTE] = ACTIONS(3513),
    [anon_sym_u_DQUOTE] = ACTIONS(3513),
    [anon_sym_U_DQUOTE] = ACTIONS(3513),
    [anon_sym_u8_DQUOTE] = ACTIONS(3513),
    [anon_sym_DQUOTE] = ACTIONS(3513),
    [sym_true] = ACTIONS(3511),
    [sym_false] = ACTIONS(3511),
    [anon_sym_NULL] = ACTIONS(3511),
    [anon_sym_nullptr] = ACTIONS(3511),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3511),
    [anon_sym_decltype] = ACTIONS(3511),
    [anon_sym_virtual] = ACTIONS(3511),
    [anon_sym_alignas] = ACTIONS(3511),
    [anon_sym_explicit] = ACTIONS(3511),
    [anon_sym_typename] = ACTIONS(3511),
    [anon_sym_template] = ACTIONS(3511),
    [anon_sym_operator] = ACTIONS(3511),
    [anon_sym_try] = ACTIONS(3511),
    [anon_sym_delete] = ACTIONS(3511),
    [anon_sym_throw] = ACTIONS(3511),
    [anon_sym_namespace] = ACTIONS(3511),
    [anon_sym_using] = ACTIONS(3511),
    [anon_sym_static_assert] = ACTIONS(3511),
    [anon_sym_concept] = ACTIONS(3511),
    [anon_sym_co_return] = ACTIONS(3511),
    [anon_sym_co_yield] = ACTIONS(3511),
    [anon_sym_R_DQUOTE] = ACTIONS(3513),
    [anon_sym_LR_DQUOTE] = ACTIONS(3513),
    [anon_sym_uR_DQUOTE] = ACTIONS(3513),
    [anon_sym_UR_DQUOTE] = ACTIONS(3513),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3513),
    [anon_sym_co_await] = ACTIONS(3511),
    [anon_sym_new] = ACTIONS(3511),
    [anon_sym_requires] = ACTIONS(3511),
    [sym_this] = ACTIONS(3511),
  },
  [981] = {
    [sym_identifier] = ACTIONS(3455),
    [aux_sym_preproc_include_token1] = ACTIONS(3455),
    [aux_sym_preproc_def_token1] = ACTIONS(3455),
    [aux_sym_preproc_if_token1] = ACTIONS(3455),
    [aux_sym_preproc_if_token2] = ACTIONS(3455),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3455),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3455),
    [sym_preproc_directive] = ACTIONS(3455),
    [anon_sym_LPAREN2] = ACTIONS(3457),
    [anon_sym_BANG] = ACTIONS(3457),
    [anon_sym_TILDE] = ACTIONS(3457),
    [anon_sym_DASH] = ACTIONS(3455),
    [anon_sym_PLUS] = ACTIONS(3455),
    [anon_sym_STAR] = ACTIONS(3457),
    [anon_sym_AMP_AMP] = ACTIONS(3457),
    [anon_sym_AMP] = ACTIONS(3455),
    [anon_sym_SEMI] = ACTIONS(3457),
    [anon_sym___extension__] = ACTIONS(3455),
    [anon_sym_typedef] = ACTIONS(3455),
    [anon_sym_extern] = ACTIONS(3455),
    [anon_sym___attribute__] = ACTIONS(3455),
    [anon_sym_COLON_COLON] = ACTIONS(3457),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3457),
    [anon_sym___declspec] = ACTIONS(3455),
    [anon_sym___based] = ACTIONS(3455),
    [anon_sym___cdecl] = ACTIONS(3455),
    [anon_sym___clrcall] = ACTIONS(3455),
    [anon_sym___stdcall] = ACTIONS(3455),
    [anon_sym___fastcall] = ACTIONS(3455),
    [anon_sym___thiscall] = ACTIONS(3455),
    [anon_sym___vectorcall] = ACTIONS(3455),
    [anon_sym_LBRACE] = ACTIONS(3457),
    [anon_sym_signed] = ACTIONS(3455),
    [anon_sym_unsigned] = ACTIONS(3455),
    [anon_sym_long] = ACTIONS(3455),
    [anon_sym_short] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(3455),
    [anon_sym_static] = ACTIONS(3455),
    [anon_sym_register] = ACTIONS(3455),
    [anon_sym_inline] = ACTIONS(3455),
    [anon_sym___inline] = ACTIONS(3455),
    [anon_sym___inline__] = ACTIONS(3455),
    [anon_sym___forceinline] = ACTIONS(3455),
    [anon_sym_thread_local] = ACTIONS(3455),
    [anon_sym___thread] = ACTIONS(3455),
    [anon_sym_const] = ACTIONS(3455),
    [anon_sym_constexpr] = ACTIONS(3455),
    [anon_sym_volatile] = ACTIONS(3455),
    [anon_sym_restrict] = ACTIONS(3455),
    [anon_sym___restrict__] = ACTIONS(3455),
    [anon_sym__Atomic] = ACTIONS(3455),
    [anon_sym__Noreturn] = ACTIONS(3455),
    [anon_sym_noreturn] = ACTIONS(3455),
    [anon_sym_mutable] = ACTIONS(3455),
    [anon_sym_constinit] = ACTIONS(3455),
    [anon_sym_consteval] = ACTIONS(3455),
    [anon_sym_PROGMEM] = ACTIONS(3455),
    [aux_sym_primitive_type_token1] = ACTIONS(3455),
    [anon_sym_byte] = ACTIONS(3455),
    [anon_sym_word] = ACTIONS(3455),
    [anon_sym_enum] = ACTIONS(3455),
    [anon_sym_class] = ACTIONS(3455),
    [anon_sym_struct] = ACTIONS(3455),
    [anon_sym_union] = ACTIONS(3455),
    [anon_sym_if] = ACTIONS(3455),
    [anon_sym_switch] = ACTIONS(3455),
    [anon_sym_case] = ACTIONS(3455),
    [anon_sym_default] = ACTIONS(3455),
    [anon_sym_while] = ACTIONS(3455),
    [anon_sym_do] = ACTIONS(3455),
    [anon_sym_for] = ACTIONS(3455),
    [anon_sym_return] = ACTIONS(3455),
    [anon_sym_break] = ACTIONS(3455),
    [anon_sym_continue] = ACTIONS(3455),
    [anon_sym_goto] = ACTIONS(3455),
    [anon_sym___try] = ACTIONS(3455),
    [anon_sym___leave] = ACTIONS(3455),
    [anon_sym_not] = ACTIONS(3455),
    [anon_sym_compl] = ACTIONS(3455),
    [anon_sym_DASH_DASH] = ACTIONS(3457),
    [anon_sym_PLUS_PLUS] = ACTIONS(3457),
    [anon_sym_sizeof] = ACTIONS(3455),
    [anon_sym___alignof__] = ACTIONS(3455),
    [anon_sym___alignof] = ACTIONS(3455),
    [anon_sym__alignof] = ACTIONS(3455),
    [anon_sym_alignof] = ACTIONS(3455),
    [anon_sym__Alignof] = ACTIONS(3455),
    [anon_sym_offsetof] = ACTIONS(3455),
    [anon_sym__Generic] = ACTIONS(3455),
    [anon_sym_asm] = ACTIONS(3455),
    [anon_sym___asm__] = ACTIONS(3455),
    [aux_sym_number_literal_token1] = ACTIONS(3457),
    [aux_sym_number_literal_token2] = ACTIONS(3455),
    [anon_sym_L_SQUOTE] = ACTIONS(3457),
    [anon_sym_u_SQUOTE] = ACTIONS(3457),
    [anon_sym_U_SQUOTE] = ACTIONS(3457),
    [anon_sym_u8_SQUOTE] = ACTIONS(3457),
    [anon_sym_SQUOTE] = ACTIONS(3457),
    [anon_sym_L_DQUOTE] = ACTIONS(3457),
    [anon_sym_u_DQUOTE] = ACTIONS(3457),
    [anon_sym_U_DQUOTE] = ACTIONS(3457),
    [anon_sym_u8_DQUOTE] = ACTIONS(3457),
    [anon_sym_DQUOTE] = ACTIONS(3457),
    [sym_true] = ACTIONS(3455),
    [sym_false] = ACTIONS(3455),
    [anon_sym_NULL] = ACTIONS(3455),
    [anon_sym_nullptr] = ACTIONS(3455),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3455),
    [anon_sym_virtual] = ACTIONS(3455),
    [anon_sym_alignas] = ACTIONS(3455),
    [anon_sym_explicit] = ACTIONS(3455),
    [anon_sym_typename] = ACTIONS(3455),
    [anon_sym_template] = ACTIONS(3455),
    [anon_sym_operator] = ACTIONS(3455),
    [anon_sym_try] = ACTIONS(3455),
    [anon_sym_delete] = ACTIONS(3455),
    [anon_sym_throw] = ACTIONS(3455),
    [anon_sym_namespace] = ACTIONS(3455),
    [anon_sym_using] = ACTIONS(3455),
    [anon_sym_static_assert] = ACTIONS(3455),
    [anon_sym_concept] = ACTIONS(3455),
    [anon_sym_co_return] = ACTIONS(3455),
    [anon_sym_co_yield] = ACTIONS(3455),
    [anon_sym_R_DQUOTE] = ACTIONS(3457),
    [anon_sym_LR_DQUOTE] = ACTIONS(3457),
    [anon_sym_uR_DQUOTE] = ACTIONS(3457),
    [anon_sym_UR_DQUOTE] = ACTIONS(3457),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3457),
    [anon_sym_co_await] = ACTIONS(3455),
    [anon_sym_new] = ACTIONS(3455),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3455),
  },
  [982] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4431),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(4523),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2149),
    [anon_sym_COMMA] = ACTIONS(2149),
    [anon_sym_RPAREN] = ACTIONS(2149),
    [anon_sym_LPAREN2] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2149),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2149),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_PIPE] = ACTIONS(2147),
    [anon_sym_CARET] = ACTIONS(2149),
    [anon_sym_AMP] = ACTIONS(2147),
    [anon_sym_EQ_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ] = ACTIONS(2149),
    [anon_sym_GT] = ACTIONS(2147),
    [anon_sym_GT_EQ] = ACTIONS(2149),
    [anon_sym_LT_EQ] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_LT_LT] = ACTIONS(2149),
    [anon_sym_GT_GT] = ACTIONS(2149),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(2149),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(2149),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_LT_EQ_GT] = ACTIONS(2149),
    [anon_sym_or] = ACTIONS(2147),
    [anon_sym_and] = ACTIONS(2147),
    [anon_sym_bitor] = ACTIONS(2147),
    [anon_sym_xor] = ACTIONS(2147),
    [anon_sym_bitand] = ACTIONS(2147),
    [anon_sym_not_eq] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(2147),
    [anon_sym_DOT_STAR] = ACTIONS(2149),
    [anon_sym_DASH_GT] = ACTIONS(2149),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [983] = {
    [ts_builtin_sym_end] = ACTIONS(3477),
    [sym_identifier] = ACTIONS(3475),
    [aux_sym_preproc_include_token1] = ACTIONS(3475),
    [aux_sym_preproc_def_token1] = ACTIONS(3475),
    [anon_sym_COMMA] = ACTIONS(3477),
    [aux_sym_preproc_if_token1] = ACTIONS(3475),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3475),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3475),
    [sym_preproc_directive] = ACTIONS(3475),
    [anon_sym_LPAREN2] = ACTIONS(3477),
    [anon_sym_BANG] = ACTIONS(3477),
    [anon_sym_TILDE] = ACTIONS(3477),
    [anon_sym_DASH] = ACTIONS(3475),
    [anon_sym_PLUS] = ACTIONS(3475),
    [anon_sym_STAR] = ACTIONS(3477),
    [anon_sym_AMP_AMP] = ACTIONS(3477),
    [anon_sym_AMP] = ACTIONS(3475),
    [anon_sym___extension__] = ACTIONS(3475),
    [anon_sym_typedef] = ACTIONS(3475),
    [anon_sym_extern] = ACTIONS(3475),
    [anon_sym___attribute__] = ACTIONS(3475),
    [anon_sym_COLON_COLON] = ACTIONS(3477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3477),
    [anon_sym___declspec] = ACTIONS(3475),
    [anon_sym___based] = ACTIONS(3475),
    [anon_sym___cdecl] = ACTIONS(3475),
    [anon_sym___clrcall] = ACTIONS(3475),
    [anon_sym___stdcall] = ACTIONS(3475),
    [anon_sym___fastcall] = ACTIONS(3475),
    [anon_sym___thiscall] = ACTIONS(3475),
    [anon_sym___vectorcall] = ACTIONS(3475),
    [anon_sym_LBRACE] = ACTIONS(3477),
    [anon_sym_RBRACE] = ACTIONS(3477),
    [anon_sym_signed] = ACTIONS(3475),
    [anon_sym_unsigned] = ACTIONS(3475),
    [anon_sym_long] = ACTIONS(3475),
    [anon_sym_short] = ACTIONS(3475),
    [anon_sym_LBRACK] = ACTIONS(3475),
    [anon_sym_static] = ACTIONS(3475),
    [anon_sym_register] = ACTIONS(3475),
    [anon_sym_inline] = ACTIONS(3475),
    [anon_sym___inline] = ACTIONS(3475),
    [anon_sym___inline__] = ACTIONS(3475),
    [anon_sym___forceinline] = ACTIONS(3475),
    [anon_sym_thread_local] = ACTIONS(3475),
    [anon_sym___thread] = ACTIONS(3475),
    [anon_sym_const] = ACTIONS(3475),
    [anon_sym_constexpr] = ACTIONS(3475),
    [anon_sym_volatile] = ACTIONS(3475),
    [anon_sym_restrict] = ACTIONS(3475),
    [anon_sym___restrict__] = ACTIONS(3475),
    [anon_sym__Atomic] = ACTIONS(3475),
    [anon_sym__Noreturn] = ACTIONS(3475),
    [anon_sym_noreturn] = ACTIONS(3475),
    [anon_sym_mutable] = ACTIONS(3475),
    [anon_sym_constinit] = ACTIONS(3475),
    [anon_sym_consteval] = ACTIONS(3475),
    [anon_sym_PROGMEM] = ACTIONS(3475),
    [aux_sym_primitive_type_token1] = ACTIONS(3475),
    [anon_sym_byte] = ACTIONS(3475),
    [anon_sym_word] = ACTIONS(3475),
    [anon_sym_enum] = ACTIONS(3475),
    [anon_sym_class] = ACTIONS(3475),
    [anon_sym_struct] = ACTIONS(3475),
    [anon_sym_union] = ACTIONS(3475),
    [anon_sym_if] = ACTIONS(3475),
    [anon_sym_switch] = ACTIONS(3475),
    [anon_sym_case] = ACTIONS(3475),
    [anon_sym_default] = ACTIONS(3475),
    [anon_sym_while] = ACTIONS(3475),
    [anon_sym_do] = ACTIONS(3475),
    [anon_sym_for] = ACTIONS(3475),
    [anon_sym_return] = ACTIONS(3475),
    [anon_sym_break] = ACTIONS(3475),
    [anon_sym_continue] = ACTIONS(3475),
    [anon_sym_goto] = ACTIONS(3475),
    [anon_sym_not] = ACTIONS(3475),
    [anon_sym_compl] = ACTIONS(3475),
    [anon_sym_DASH_DASH] = ACTIONS(3477),
    [anon_sym_PLUS_PLUS] = ACTIONS(3477),
    [anon_sym_sizeof] = ACTIONS(3475),
    [anon_sym___alignof__] = ACTIONS(3475),
    [anon_sym___alignof] = ACTIONS(3475),
    [anon_sym__alignof] = ACTIONS(3475),
    [anon_sym_alignof] = ACTIONS(3475),
    [anon_sym__Alignof] = ACTIONS(3475),
    [anon_sym_offsetof] = ACTIONS(3475),
    [anon_sym__Generic] = ACTIONS(3475),
    [anon_sym_asm] = ACTIONS(3475),
    [anon_sym___asm__] = ACTIONS(3475),
    [aux_sym_number_literal_token1] = ACTIONS(3477),
    [aux_sym_number_literal_token2] = ACTIONS(3475),
    [anon_sym_L_SQUOTE] = ACTIONS(3477),
    [anon_sym_u_SQUOTE] = ACTIONS(3477),
    [anon_sym_U_SQUOTE] = ACTIONS(3477),
    [anon_sym_u8_SQUOTE] = ACTIONS(3477),
    [anon_sym_SQUOTE] = ACTIONS(3477),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(3475),
    [sym_false] = ACTIONS(3475),
    [anon_sym_NULL] = ACTIONS(3475),
    [anon_sym_nullptr] = ACTIONS(3475),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3475),
    [anon_sym_decltype] = ACTIONS(3475),
    [anon_sym_virtual] = ACTIONS(3475),
    [anon_sym_alignas] = ACTIONS(3475),
    [anon_sym_explicit] = ACTIONS(3475),
    [anon_sym_typename] = ACTIONS(3475),
    [anon_sym_template] = ACTIONS(3475),
    [anon_sym_operator] = ACTIONS(3475),
    [anon_sym_try] = ACTIONS(3475),
    [anon_sym_delete] = ACTIONS(3475),
    [anon_sym_throw] = ACTIONS(3475),
    [anon_sym_namespace] = ACTIONS(3475),
    [anon_sym_using] = ACTIONS(3475),
    [anon_sym_static_assert] = ACTIONS(3475),
    [anon_sym_concept] = ACTIONS(3475),
    [anon_sym_co_return] = ACTIONS(3475),
    [anon_sym_co_yield] = ACTIONS(3475),
    [anon_sym_R_DQUOTE] = ACTIONS(3477),
    [anon_sym_LR_DQUOTE] = ACTIONS(3477),
    [anon_sym_uR_DQUOTE] = ACTIONS(3477),
    [anon_sym_UR_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3477),
    [anon_sym_co_await] = ACTIONS(3475),
    [anon_sym_new] = ACTIONS(3475),
    [anon_sym_requires] = ACTIONS(3475),
    [sym_this] = ACTIONS(3475),
  },
  [984] = {
    [sym_primitive_type] = STATE(7581),
    [sym__expression] = STATE(4867),
    [sym__expression_not_binary] = STATE(5075),
    [sym__string] = STATE(5075),
    [sym_conditional_expression] = STATE(5075),
    [sym_assignment_expression] = STATE(5075),
    [sym_pointer_expression] = STATE(3529),
    [sym_unary_expression] = STATE(5075),
    [sym_binary_expression] = STATE(5075),
    [sym_update_expression] = STATE(5075),
    [sym_cast_expression] = STATE(5075),
    [sym_sizeof_expression] = STATE(5075),
    [sym_alignof_expression] = STATE(5075),
    [sym_offsetof_expression] = STATE(5075),
    [sym_generic_expression] = STATE(5075),
    [sym_subscript_expression] = STATE(3529),
    [sym_call_expression] = STATE(3529),
    [sym_gnu_asm_expression] = STATE(5075),
    [sym_field_expression] = STATE(3529),
    [sym_compound_literal_expression] = STATE(5075),
    [sym_parenthesized_expression] = STATE(3529),
    [sym_initializer_list] = STATE(5057),
    [sym_number_literal] = STATE(4933),
    [sym_char_literal] = STATE(4933),
    [sym_concatenated_string] = STATE(4934),
    [sym_string_literal] = STATE(3806),
    [sym_null] = STATE(5075),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8260),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5075),
    [sym_raw_string_literal] = STATE(3801),
    [sym_co_await_expression] = STATE(5075),
    [sym_new_expression] = STATE(5075),
    [sym_delete_expression] = STATE(5075),
    [sym_requires_clause] = STATE(5075),
    [sym_requires_expression] = STATE(5075),
    [sym_lambda_expression] = STATE(5075),
    [sym_lambda_capture_specifier] = STATE(6621),
    [sym_fold_expression] = STATE(5075),
    [sym_parameter_pack_expansion] = STATE(5075),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3529),
    [sym_qualified_type_identifier] = STATE(8260),
    [sym_user_defined_literal] = STATE(3529),
    [sym_identifier] = ACTIONS(2147),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2149),
    [anon_sym_COMMA] = ACTIONS(2149),
    [aux_sym_preproc_if_token2] = ACTIONS(2149),
    [aux_sym_preproc_else_token1] = ACTIONS(2149),
    [aux_sym_preproc_elif_token1] = ACTIONS(2149),
    [anon_sym_LPAREN2] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(3713),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2149),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2149),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_PIPE] = ACTIONS(2147),
    [anon_sym_CARET] = ACTIONS(2149),
    [anon_sym_AMP] = ACTIONS(2147),
    [anon_sym_EQ_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ] = ACTIONS(2149),
    [anon_sym_GT] = ACTIONS(2147),
    [anon_sym_GT_EQ] = ACTIONS(2149),
    [anon_sym_LT_EQ] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_LT_LT] = ACTIONS(2149),
    [anon_sym_GT_GT] = ACTIONS(2149),
    [anon_sym_COLON_COLON] = ACTIONS(3717),
    [anon_sym_LBRACE] = ACTIONS(3719),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(2149),
    [anon_sym_not] = ACTIONS(3713),
    [anon_sym_compl] = ACTIONS(3713),
    [anon_sym_LT_EQ_GT] = ACTIONS(2149),
    [anon_sym_or] = ACTIONS(2147),
    [anon_sym_and] = ACTIONS(2147),
    [anon_sym_bitor] = ACTIONS(2147),
    [anon_sym_xor] = ACTIONS(2147),
    [anon_sym_bitand] = ACTIONS(2147),
    [anon_sym_not_eq] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym___alignof__] = ACTIONS(3723),
    [anon_sym___alignof] = ACTIONS(3723),
    [anon_sym__alignof] = ACTIONS(3723),
    [anon_sym_alignof] = ACTIONS(3723),
    [anon_sym__Alignof] = ACTIONS(3723),
    [anon_sym_offsetof] = ACTIONS(3725),
    [anon_sym__Generic] = ACTIONS(3727),
    [anon_sym_asm] = ACTIONS(3729),
    [anon_sym___asm__] = ACTIONS(3729),
    [anon_sym_DOT] = ACTIONS(2147),
    [anon_sym_DOT_STAR] = ACTIONS(2149),
    [anon_sym_DASH_GT] = ACTIONS(2149),
    [aux_sym_number_literal_token1] = ACTIONS(3731),
    [aux_sym_number_literal_token2] = ACTIONS(3733),
    [anon_sym_L_SQUOTE] = ACTIONS(3735),
    [anon_sym_u_SQUOTE] = ACTIONS(3735),
    [anon_sym_U_SQUOTE] = ACTIONS(3735),
    [anon_sym_u8_SQUOTE] = ACTIONS(3735),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [anon_sym_L_DQUOTE] = ACTIONS(3737),
    [anon_sym_u_DQUOTE] = ACTIONS(3737),
    [anon_sym_U_DQUOTE] = ACTIONS(3737),
    [anon_sym_u8_DQUOTE] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3737),
    [sym_true] = ACTIONS(3739),
    [sym_false] = ACTIONS(3739),
    [anon_sym_NULL] = ACTIONS(3741),
    [anon_sym_nullptr] = ACTIONS(3741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_R_DQUOTE] = ACTIONS(3745),
    [anon_sym_LR_DQUOTE] = ACTIONS(3745),
    [anon_sym_uR_DQUOTE] = ACTIONS(3745),
    [anon_sym_UR_DQUOTE] = ACTIONS(3745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3745),
    [anon_sym_co_await] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_requires] = ACTIONS(3751),
    [sym_this] = ACTIONS(3739),
  },
  [985] = {
    [sym_preproc_def] = STATE(985),
    [sym_preproc_function_def] = STATE(985),
    [sym_preproc_call] = STATE(985),
    [sym_preproc_if_in_field_declaration_list] = STATE(985),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(985),
    [sym_type_definition] = STATE(985),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6373),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6903),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(985),
    [sym_field_declaration] = STATE(985),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2199),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(985),
    [sym_operator_cast] = STATE(7394),
    [sym_inline_method_definition] = STATE(985),
    [sym__constructor_specifiers] = STATE(2199),
    [sym_operator_cast_definition] = STATE(985),
    [sym_operator_cast_declaration] = STATE(985),
    [sym_constructor_or_destructor_definition] = STATE(985),
    [sym_constructor_or_destructor_declaration] = STATE(985),
    [sym_friend_declaration] = STATE(985),
    [sym_access_specifier] = STATE(8646),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(985),
    [sym_alias_declaration] = STATE(985),
    [sym_static_assert_declaration] = STATE(985),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7394),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(985),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2199),
    [sym_identifier] = ACTIONS(3597),
    [aux_sym_preproc_def_token1] = ACTIONS(3753),
    [aux_sym_preproc_if_token1] = ACTIONS(3756),
    [aux_sym_preproc_if_token2] = ACTIONS(3606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3759),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3759),
    [aux_sym_preproc_else_token1] = ACTIONS(3606),
    [aux_sym_preproc_elif_token1] = ACTIONS(3606),
    [sym_preproc_directive] = ACTIONS(3762),
    [anon_sym_LPAREN2] = ACTIONS(3614),
    [anon_sym_TILDE] = ACTIONS(3617),
    [anon_sym_STAR] = ACTIONS(3620),
    [anon_sym_AMP_AMP] = ACTIONS(3623),
    [anon_sym_AMP] = ACTIONS(3626),
    [anon_sym___extension__] = ACTIONS(3765),
    [anon_sym_typedef] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3635),
    [anon_sym___attribute__] = ACTIONS(3638),
    [anon_sym_COLON_COLON] = ACTIONS(3641),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3644),
    [anon_sym___declspec] = ACTIONS(3647),
    [anon_sym___based] = ACTIONS(3650),
    [anon_sym_signed] = ACTIONS(3653),
    [anon_sym_unsigned] = ACTIONS(3653),
    [anon_sym_long] = ACTIONS(3653),
    [anon_sym_short] = ACTIONS(3653),
    [anon_sym_LBRACK] = ACTIONS(3656),
    [anon_sym_static] = ACTIONS(3635),
    [anon_sym_register] = ACTIONS(3635),
    [anon_sym_inline] = ACTIONS(3635),
    [anon_sym___inline] = ACTIONS(3635),
    [anon_sym___inline__] = ACTIONS(3635),
    [anon_sym___forceinline] = ACTIONS(3635),
    [anon_sym_thread_local] = ACTIONS(3635),
    [anon_sym___thread] = ACTIONS(3635),
    [anon_sym_const] = ACTIONS(3659),
    [anon_sym_constexpr] = ACTIONS(3659),
    [anon_sym_volatile] = ACTIONS(3659),
    [anon_sym_restrict] = ACTIONS(3659),
    [anon_sym___restrict__] = ACTIONS(3659),
    [anon_sym__Atomic] = ACTIONS(3659),
    [anon_sym__Noreturn] = ACTIONS(3659),
    [anon_sym_noreturn] = ACTIONS(3659),
    [anon_sym_mutable] = ACTIONS(3659),
    [anon_sym_constinit] = ACTIONS(3659),
    [anon_sym_consteval] = ACTIONS(3659),
    [anon_sym_PROGMEM] = ACTIONS(3659),
    [aux_sym_primitive_type_token1] = ACTIONS(3662),
    [anon_sym_byte] = ACTIONS(3662),
    [anon_sym_word] = ACTIONS(3662),
    [anon_sym_enum] = ACTIONS(3665),
    [anon_sym_class] = ACTIONS(3668),
    [anon_sym_struct] = ACTIONS(3671),
    [anon_sym_union] = ACTIONS(3674),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3677),
    [anon_sym_decltype] = ACTIONS(3680),
    [anon_sym_virtual] = ACTIONS(3683),
    [anon_sym_alignas] = ACTIONS(3686),
    [anon_sym_explicit] = ACTIONS(3689),
    [anon_sym_typename] = ACTIONS(3692),
    [anon_sym_template] = ACTIONS(3771),
    [anon_sym_operator] = ACTIONS(3698),
    [anon_sym_friend] = ACTIONS(3774),
    [anon_sym_public] = ACTIONS(3704),
    [anon_sym_private] = ACTIONS(3704),
    [anon_sym_protected] = ACTIONS(3704),
    [anon_sym_using] = ACTIONS(3777),
    [anon_sym_static_assert] = ACTIONS(3780),
  },
  [986] = {
    [ts_builtin_sym_end] = ACTIONS(3186),
    [sym_identifier] = ACTIONS(3184),
    [aux_sym_preproc_include_token1] = ACTIONS(3184),
    [aux_sym_preproc_def_token1] = ACTIONS(3184),
    [anon_sym_COMMA] = ACTIONS(3186),
    [aux_sym_preproc_if_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3184),
    [sym_preproc_directive] = ACTIONS(3184),
    [anon_sym_LPAREN2] = ACTIONS(3186),
    [anon_sym_BANG] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_AMP_AMP] = ACTIONS(3186),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym___extension__] = ACTIONS(3184),
    [anon_sym_typedef] = ACTIONS(3184),
    [anon_sym_extern] = ACTIONS(3184),
    [anon_sym___attribute__] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3186),
    [anon_sym___declspec] = ACTIONS(3184),
    [anon_sym___based] = ACTIONS(3184),
    [anon_sym___cdecl] = ACTIONS(3184),
    [anon_sym___clrcall] = ACTIONS(3184),
    [anon_sym___stdcall] = ACTIONS(3184),
    [anon_sym___fastcall] = ACTIONS(3184),
    [anon_sym___thiscall] = ACTIONS(3184),
    [anon_sym___vectorcall] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_signed] = ACTIONS(3184),
    [anon_sym_unsigned] = ACTIONS(3184),
    [anon_sym_long] = ACTIONS(3184),
    [anon_sym_short] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_register] = ACTIONS(3184),
    [anon_sym_inline] = ACTIONS(3184),
    [anon_sym___inline] = ACTIONS(3184),
    [anon_sym___inline__] = ACTIONS(3184),
    [anon_sym___forceinline] = ACTIONS(3184),
    [anon_sym_thread_local] = ACTIONS(3184),
    [anon_sym___thread] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_constexpr] = ACTIONS(3184),
    [anon_sym_volatile] = ACTIONS(3184),
    [anon_sym_restrict] = ACTIONS(3184),
    [anon_sym___restrict__] = ACTIONS(3184),
    [anon_sym__Atomic] = ACTIONS(3184),
    [anon_sym__Noreturn] = ACTIONS(3184),
    [anon_sym_noreturn] = ACTIONS(3184),
    [anon_sym_mutable] = ACTIONS(3184),
    [anon_sym_constinit] = ACTIONS(3184),
    [anon_sym_consteval] = ACTIONS(3184),
    [anon_sym_PROGMEM] = ACTIONS(3184),
    [aux_sym_primitive_type_token1] = ACTIONS(3184),
    [anon_sym_byte] = ACTIONS(3184),
    [anon_sym_word] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_struct] = ACTIONS(3184),
    [anon_sym_union] = ACTIONS(3184),
    [anon_sym_if] = ACTIONS(3184),
    [anon_sym_switch] = ACTIONS(3184),
    [anon_sym_case] = ACTIONS(3184),
    [anon_sym_default] = ACTIONS(3184),
    [anon_sym_while] = ACTIONS(3184),
    [anon_sym_do] = ACTIONS(3184),
    [anon_sym_for] = ACTIONS(3184),
    [anon_sym_return] = ACTIONS(3184),
    [anon_sym_break] = ACTIONS(3184),
    [anon_sym_continue] = ACTIONS(3184),
    [anon_sym_goto] = ACTIONS(3184),
    [anon_sym_not] = ACTIONS(3184),
    [anon_sym_compl] = ACTIONS(3184),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_sizeof] = ACTIONS(3184),
    [anon_sym___alignof__] = ACTIONS(3184),
    [anon_sym___alignof] = ACTIONS(3184),
    [anon_sym__alignof] = ACTIONS(3184),
    [anon_sym_alignof] = ACTIONS(3184),
    [anon_sym__Alignof] = ACTIONS(3184),
    [anon_sym_offsetof] = ACTIONS(3184),
    [anon_sym__Generic] = ACTIONS(3184),
    [anon_sym_asm] = ACTIONS(3184),
    [anon_sym___asm__] = ACTIONS(3184),
    [aux_sym_number_literal_token1] = ACTIONS(3186),
    [aux_sym_number_literal_token2] = ACTIONS(3184),
    [anon_sym_L_SQUOTE] = ACTIONS(3186),
    [anon_sym_u_SQUOTE] = ACTIONS(3186),
    [anon_sym_U_SQUOTE] = ACTIONS(3186),
    [anon_sym_u8_SQUOTE] = ACTIONS(3186),
    [anon_sym_SQUOTE] = ACTIONS(3186),
    [anon_sym_L_DQUOTE] = ACTIONS(3186),
    [anon_sym_u_DQUOTE] = ACTIONS(3186),
    [anon_sym_U_DQUOTE] = ACTIONS(3186),
    [anon_sym_u8_DQUOTE] = ACTIONS(3186),
    [anon_sym_DQUOTE] = ACTIONS(3186),
    [sym_true] = ACTIONS(3184),
    [sym_false] = ACTIONS(3184),
    [anon_sym_NULL] = ACTIONS(3184),
    [anon_sym_nullptr] = ACTIONS(3184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3184),
    [anon_sym_decltype] = ACTIONS(3184),
    [anon_sym_virtual] = ACTIONS(3184),
    [anon_sym_alignas] = ACTIONS(3184),
    [anon_sym_explicit] = ACTIONS(3184),
    [anon_sym_typename] = ACTIONS(3184),
    [anon_sym_template] = ACTIONS(3184),
    [anon_sym_operator] = ACTIONS(3184),
    [anon_sym_try] = ACTIONS(3184),
    [anon_sym_delete] = ACTIONS(3184),
    [anon_sym_throw] = ACTIONS(3184),
    [anon_sym_namespace] = ACTIONS(3184),
    [anon_sym_using] = ACTIONS(3184),
    [anon_sym_static_assert] = ACTIONS(3184),
    [anon_sym_concept] = ACTIONS(3184),
    [anon_sym_co_return] = ACTIONS(3184),
    [anon_sym_co_yield] = ACTIONS(3184),
    [anon_sym_R_DQUOTE] = ACTIONS(3186),
    [anon_sym_LR_DQUOTE] = ACTIONS(3186),
    [anon_sym_uR_DQUOTE] = ACTIONS(3186),
    [anon_sym_UR_DQUOTE] = ACTIONS(3186),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3186),
    [anon_sym_co_await] = ACTIONS(3184),
    [anon_sym_new] = ACTIONS(3184),
    [anon_sym_requires] = ACTIONS(3184),
    [sym_this] = ACTIONS(3184),
  },
  [987] = {
    [ts_builtin_sym_end] = ACTIONS(3407),
    [sym_identifier] = ACTIONS(3405),
    [aux_sym_preproc_include_token1] = ACTIONS(3405),
    [aux_sym_preproc_def_token1] = ACTIONS(3405),
    [aux_sym_preproc_if_token1] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3405),
    [sym_preproc_directive] = ACTIONS(3405),
    [anon_sym_LPAREN2] = ACTIONS(3407),
    [anon_sym_BANG] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3407),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_STAR] = ACTIONS(3407),
    [anon_sym_AMP_AMP] = ACTIONS(3407),
    [anon_sym_AMP] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3783),
    [anon_sym___extension__] = ACTIONS(3405),
    [anon_sym_typedef] = ACTIONS(3405),
    [anon_sym_extern] = ACTIONS(3405),
    [anon_sym___attribute__] = ACTIONS(3405),
    [anon_sym_COLON_COLON] = ACTIONS(3407),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3407),
    [anon_sym___declspec] = ACTIONS(3405),
    [anon_sym___based] = ACTIONS(3405),
    [anon_sym___cdecl] = ACTIONS(3405),
    [anon_sym___clrcall] = ACTIONS(3405),
    [anon_sym___stdcall] = ACTIONS(3405),
    [anon_sym___fastcall] = ACTIONS(3405),
    [anon_sym___thiscall] = ACTIONS(3405),
    [anon_sym___vectorcall] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3407),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_register] = ACTIONS(3405),
    [anon_sym_inline] = ACTIONS(3405),
    [anon_sym___inline] = ACTIONS(3405),
    [anon_sym___inline__] = ACTIONS(3405),
    [anon_sym___forceinline] = ACTIONS(3405),
    [anon_sym_thread_local] = ACTIONS(3405),
    [anon_sym___thread] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_constexpr] = ACTIONS(3405),
    [anon_sym_volatile] = ACTIONS(3405),
    [anon_sym_restrict] = ACTIONS(3405),
    [anon_sym___restrict__] = ACTIONS(3405),
    [anon_sym__Atomic] = ACTIONS(3405),
    [anon_sym__Noreturn] = ACTIONS(3405),
    [anon_sym_noreturn] = ACTIONS(3405),
    [anon_sym_mutable] = ACTIONS(3405),
    [anon_sym_constinit] = ACTIONS(3405),
    [anon_sym_consteval] = ACTIONS(3405),
    [anon_sym_PROGMEM] = ACTIONS(3405),
    [aux_sym_primitive_type_token1] = ACTIONS(3405),
    [anon_sym_byte] = ACTIONS(3405),
    [anon_sym_word] = ACTIONS(3405),
    [anon_sym_enum] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_struct] = ACTIONS(3405),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(3405),
    [anon_sym_switch] = ACTIONS(3405),
    [anon_sym_case] = ACTIONS(3405),
    [anon_sym_default] = ACTIONS(3405),
    [anon_sym_while] = ACTIONS(3405),
    [anon_sym_do] = ACTIONS(3405),
    [anon_sym_for] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3405),
    [anon_sym_break] = ACTIONS(3405),
    [anon_sym_continue] = ACTIONS(3405),
    [anon_sym_goto] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3405),
    [anon_sym_compl] = ACTIONS(3405),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3405),
    [anon_sym___alignof__] = ACTIONS(3405),
    [anon_sym___alignof] = ACTIONS(3405),
    [anon_sym__alignof] = ACTIONS(3405),
    [anon_sym_alignof] = ACTIONS(3405),
    [anon_sym__Alignof] = ACTIONS(3405),
    [anon_sym_offsetof] = ACTIONS(3405),
    [anon_sym__Generic] = ACTIONS(3405),
    [anon_sym_asm] = ACTIONS(3405),
    [anon_sym___asm__] = ACTIONS(3405),
    [aux_sym_number_literal_token1] = ACTIONS(3407),
    [aux_sym_number_literal_token2] = ACTIONS(3405),
    [anon_sym_L_SQUOTE] = ACTIONS(3407),
    [anon_sym_u_SQUOTE] = ACTIONS(3407),
    [anon_sym_U_SQUOTE] = ACTIONS(3407),
    [anon_sym_u8_SQUOTE] = ACTIONS(3407),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_L_DQUOTE] = ACTIONS(3407),
    [anon_sym_u_DQUOTE] = ACTIONS(3407),
    [anon_sym_U_DQUOTE] = ACTIONS(3407),
    [anon_sym_u8_DQUOTE] = ACTIONS(3407),
    [anon_sym_DQUOTE] = ACTIONS(3407),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [anon_sym_NULL] = ACTIONS(3405),
    [anon_sym_nullptr] = ACTIONS(3405),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3405),
    [anon_sym_decltype] = ACTIONS(3405),
    [anon_sym_virtual] = ACTIONS(3405),
    [anon_sym_alignas] = ACTIONS(3405),
    [anon_sym_explicit] = ACTIONS(3405),
    [anon_sym_typename] = ACTIONS(3405),
    [anon_sym_template] = ACTIONS(3405),
    [anon_sym_operator] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_delete] = ACTIONS(3405),
    [anon_sym_throw] = ACTIONS(3405),
    [anon_sym_namespace] = ACTIONS(3405),
    [anon_sym_using] = ACTIONS(3405),
    [anon_sym_static_assert] = ACTIONS(3405),
    [anon_sym_concept] = ACTIONS(3405),
    [anon_sym_co_return] = ACTIONS(3405),
    [anon_sym_co_yield] = ACTIONS(3405),
    [anon_sym_R_DQUOTE] = ACTIONS(3407),
    [anon_sym_LR_DQUOTE] = ACTIONS(3407),
    [anon_sym_uR_DQUOTE] = ACTIONS(3407),
    [anon_sym_UR_DQUOTE] = ACTIONS(3407),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3407),
    [anon_sym_co_await] = ACTIONS(3405),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_requires] = ACTIONS(3405),
    [sym_this] = ACTIONS(3405),
  },
  [988] = {
    [ts_builtin_sym_end] = ACTIONS(3375),
    [sym_identifier] = ACTIONS(3373),
    [aux_sym_preproc_include_token1] = ACTIONS(3373),
    [aux_sym_preproc_def_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token1] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3373),
    [sym_preproc_directive] = ACTIONS(3373),
    [anon_sym_LPAREN2] = ACTIONS(3375),
    [anon_sym_BANG] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_DASH] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(3373),
    [anon_sym_STAR] = ACTIONS(3375),
    [anon_sym_AMP_AMP] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(3785),
    [anon_sym___extension__] = ACTIONS(3373),
    [anon_sym_typedef] = ACTIONS(3373),
    [anon_sym_extern] = ACTIONS(3373),
    [anon_sym___attribute__] = ACTIONS(3373),
    [anon_sym_COLON_COLON] = ACTIONS(3375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3375),
    [anon_sym___declspec] = ACTIONS(3373),
    [anon_sym___based] = ACTIONS(3373),
    [anon_sym___cdecl] = ACTIONS(3373),
    [anon_sym___clrcall] = ACTIONS(3373),
    [anon_sym___stdcall] = ACTIONS(3373),
    [anon_sym___fastcall] = ACTIONS(3373),
    [anon_sym___thiscall] = ACTIONS(3373),
    [anon_sym___vectorcall] = ACTIONS(3373),
    [anon_sym_LBRACE] = ACTIONS(3375),
    [anon_sym_signed] = ACTIONS(3373),
    [anon_sym_unsigned] = ACTIONS(3373),
    [anon_sym_long] = ACTIONS(3373),
    [anon_sym_short] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_register] = ACTIONS(3373),
    [anon_sym_inline] = ACTIONS(3373),
    [anon_sym___inline] = ACTIONS(3373),
    [anon_sym___inline__] = ACTIONS(3373),
    [anon_sym___forceinline] = ACTIONS(3373),
    [anon_sym_thread_local] = ACTIONS(3373),
    [anon_sym___thread] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_constexpr] = ACTIONS(3373),
    [anon_sym_volatile] = ACTIONS(3373),
    [anon_sym_restrict] = ACTIONS(3373),
    [anon_sym___restrict__] = ACTIONS(3373),
    [anon_sym__Atomic] = ACTIONS(3373),
    [anon_sym__Noreturn] = ACTIONS(3373),
    [anon_sym_noreturn] = ACTIONS(3373),
    [anon_sym_mutable] = ACTIONS(3373),
    [anon_sym_constinit] = ACTIONS(3373),
    [anon_sym_consteval] = ACTIONS(3373),
    [anon_sym_PROGMEM] = ACTIONS(3373),
    [aux_sym_primitive_type_token1] = ACTIONS(3373),
    [anon_sym_byte] = ACTIONS(3373),
    [anon_sym_word] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_struct] = ACTIONS(3373),
    [anon_sym_union] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_switch] = ACTIONS(3373),
    [anon_sym_case] = ACTIONS(3373),
    [anon_sym_default] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(3373),
    [anon_sym_do] = ACTIONS(3373),
    [anon_sym_for] = ACTIONS(3373),
    [anon_sym_return] = ACTIONS(3373),
    [anon_sym_break] = ACTIONS(3373),
    [anon_sym_continue] = ACTIONS(3373),
    [anon_sym_goto] = ACTIONS(3373),
    [anon_sym_not] = ACTIONS(3373),
    [anon_sym_compl] = ACTIONS(3373),
    [anon_sym_DASH_DASH] = ACTIONS(3375),
    [anon_sym_PLUS_PLUS] = ACTIONS(3375),
    [anon_sym_sizeof] = ACTIONS(3373),
    [anon_sym___alignof__] = ACTIONS(3373),
    [anon_sym___alignof] = ACTIONS(3373),
    [anon_sym__alignof] = ACTIONS(3373),
    [anon_sym_alignof] = ACTIONS(3373),
    [anon_sym__Alignof] = ACTIONS(3373),
    [anon_sym_offsetof] = ACTIONS(3373),
    [anon_sym__Generic] = ACTIONS(3373),
    [anon_sym_asm] = ACTIONS(3373),
    [anon_sym___asm__] = ACTIONS(3373),
    [aux_sym_number_literal_token1] = ACTIONS(3375),
    [aux_sym_number_literal_token2] = ACTIONS(3373),
    [anon_sym_L_SQUOTE] = ACTIONS(3375),
    [anon_sym_u_SQUOTE] = ACTIONS(3375),
    [anon_sym_U_SQUOTE] = ACTIONS(3375),
    [anon_sym_u8_SQUOTE] = ACTIONS(3375),
    [anon_sym_SQUOTE] = ACTIONS(3375),
    [anon_sym_L_DQUOTE] = ACTIONS(3375),
    [anon_sym_u_DQUOTE] = ACTIONS(3375),
    [anon_sym_U_DQUOTE] = ACTIONS(3375),
    [anon_sym_u8_DQUOTE] = ACTIONS(3375),
    [anon_sym_DQUOTE] = ACTIONS(3375),
    [sym_true] = ACTIONS(3373),
    [sym_false] = ACTIONS(3373),
    [anon_sym_NULL] = ACTIONS(3373),
    [anon_sym_nullptr] = ACTIONS(3373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3373),
    [anon_sym_decltype] = ACTIONS(3373),
    [anon_sym_virtual] = ACTIONS(3373),
    [anon_sym_alignas] = ACTIONS(3373),
    [anon_sym_explicit] = ACTIONS(3373),
    [anon_sym_typename] = ACTIONS(3373),
    [anon_sym_template] = ACTIONS(3373),
    [anon_sym_operator] = ACTIONS(3373),
    [anon_sym_try] = ACTIONS(3373),
    [anon_sym_delete] = ACTIONS(3373),
    [anon_sym_throw] = ACTIONS(3373),
    [anon_sym_namespace] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_static_assert] = ACTIONS(3373),
    [anon_sym_concept] = ACTIONS(3373),
    [anon_sym_co_return] = ACTIONS(3373),
    [anon_sym_co_yield] = ACTIONS(3373),
    [anon_sym_R_DQUOTE] = ACTIONS(3375),
    [anon_sym_LR_DQUOTE] = ACTIONS(3375),
    [anon_sym_uR_DQUOTE] = ACTIONS(3375),
    [anon_sym_UR_DQUOTE] = ACTIONS(3375),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3375),
    [anon_sym_co_await] = ACTIONS(3373),
    [anon_sym_new] = ACTIONS(3373),
    [anon_sym_requires] = ACTIONS(3373),
    [sym_this] = ACTIONS(3373),
  },
  [989] = {
    [ts_builtin_sym_end] = ACTIONS(3449),
    [sym_identifier] = ACTIONS(3447),
    [aux_sym_preproc_include_token1] = ACTIONS(3447),
    [aux_sym_preproc_def_token1] = ACTIONS(3447),
    [aux_sym_preproc_if_token1] = ACTIONS(3447),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3447),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3447),
    [sym_preproc_directive] = ACTIONS(3447),
    [anon_sym_LPAREN2] = ACTIONS(3449),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(3449),
    [anon_sym_AMP_AMP] = ACTIONS(3449),
    [anon_sym_AMP] = ACTIONS(3447),
    [anon_sym_SEMI] = ACTIONS(3787),
    [anon_sym___extension__] = ACTIONS(3447),
    [anon_sym_typedef] = ACTIONS(3447),
    [anon_sym_extern] = ACTIONS(3447),
    [anon_sym___attribute__] = ACTIONS(3447),
    [anon_sym_COLON_COLON] = ACTIONS(3449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3449),
    [anon_sym___declspec] = ACTIONS(3447),
    [anon_sym___based] = ACTIONS(3447),
    [anon_sym___cdecl] = ACTIONS(3447),
    [anon_sym___clrcall] = ACTIONS(3447),
    [anon_sym___stdcall] = ACTIONS(3447),
    [anon_sym___fastcall] = ACTIONS(3447),
    [anon_sym___thiscall] = ACTIONS(3447),
    [anon_sym___vectorcall] = ACTIONS(3447),
    [anon_sym_LBRACE] = ACTIONS(3449),
    [anon_sym_signed] = ACTIONS(3447),
    [anon_sym_unsigned] = ACTIONS(3447),
    [anon_sym_long] = ACTIONS(3447),
    [anon_sym_short] = ACTIONS(3447),
    [anon_sym_LBRACK] = ACTIONS(3447),
    [anon_sym_static] = ACTIONS(3447),
    [anon_sym_register] = ACTIONS(3447),
    [anon_sym_inline] = ACTIONS(3447),
    [anon_sym___inline] = ACTIONS(3447),
    [anon_sym___inline__] = ACTIONS(3447),
    [anon_sym___forceinline] = ACTIONS(3447),
    [anon_sym_thread_local] = ACTIONS(3447),
    [anon_sym___thread] = ACTIONS(3447),
    [anon_sym_const] = ACTIONS(3447),
    [anon_sym_constexpr] = ACTIONS(3447),
    [anon_sym_volatile] = ACTIONS(3447),
    [anon_sym_restrict] = ACTIONS(3447),
    [anon_sym___restrict__] = ACTIONS(3447),
    [anon_sym__Atomic] = ACTIONS(3447),
    [anon_sym__Noreturn] = ACTIONS(3447),
    [anon_sym_noreturn] = ACTIONS(3447),
    [anon_sym_mutable] = ACTIONS(3447),
    [anon_sym_constinit] = ACTIONS(3447),
    [anon_sym_consteval] = ACTIONS(3447),
    [anon_sym_PROGMEM] = ACTIONS(3447),
    [aux_sym_primitive_type_token1] = ACTIONS(3447),
    [anon_sym_byte] = ACTIONS(3447),
    [anon_sym_word] = ACTIONS(3447),
    [anon_sym_enum] = ACTIONS(3447),
    [anon_sym_class] = ACTIONS(3447),
    [anon_sym_struct] = ACTIONS(3447),
    [anon_sym_union] = ACTIONS(3447),
    [anon_sym_if] = ACTIONS(3447),
    [anon_sym_switch] = ACTIONS(3447),
    [anon_sym_case] = ACTIONS(3447),
    [anon_sym_default] = ACTIONS(3447),
    [anon_sym_while] = ACTIONS(3447),
    [anon_sym_do] = ACTIONS(3447),
    [anon_sym_for] = ACTIONS(3447),
    [anon_sym_return] = ACTIONS(3447),
    [anon_sym_break] = ACTIONS(3447),
    [anon_sym_continue] = ACTIONS(3447),
    [anon_sym_goto] = ACTIONS(3447),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(3449),
    [anon_sym_PLUS_PLUS] = ACTIONS(3449),
    [anon_sym_sizeof] = ACTIONS(3447),
    [anon_sym___alignof__] = ACTIONS(3447),
    [anon_sym___alignof] = ACTIONS(3447),
    [anon_sym__alignof] = ACTIONS(3447),
    [anon_sym_alignof] = ACTIONS(3447),
    [anon_sym__Alignof] = ACTIONS(3447),
    [anon_sym_offsetof] = ACTIONS(3447),
    [anon_sym__Generic] = ACTIONS(3447),
    [anon_sym_asm] = ACTIONS(3447),
    [anon_sym___asm__] = ACTIONS(3447),
    [aux_sym_number_literal_token1] = ACTIONS(3449),
    [aux_sym_number_literal_token2] = ACTIONS(3447),
    [anon_sym_L_SQUOTE] = ACTIONS(3449),
    [anon_sym_u_SQUOTE] = ACTIONS(3449),
    [anon_sym_U_SQUOTE] = ACTIONS(3449),
    [anon_sym_u8_SQUOTE] = ACTIONS(3449),
    [anon_sym_SQUOTE] = ACTIONS(3449),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3447),
    [sym_false] = ACTIONS(3447),
    [anon_sym_NULL] = ACTIONS(3447),
    [anon_sym_nullptr] = ACTIONS(3447),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3447),
    [anon_sym_decltype] = ACTIONS(3447),
    [anon_sym_virtual] = ACTIONS(3447),
    [anon_sym_alignas] = ACTIONS(3447),
    [anon_sym_explicit] = ACTIONS(3447),
    [anon_sym_typename] = ACTIONS(3447),
    [anon_sym_template] = ACTIONS(3447),
    [anon_sym_operator] = ACTIONS(3447),
    [anon_sym_try] = ACTIONS(3447),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_throw] = ACTIONS(3447),
    [anon_sym_namespace] = ACTIONS(3447),
    [anon_sym_using] = ACTIONS(3447),
    [anon_sym_static_assert] = ACTIONS(3447),
    [anon_sym_concept] = ACTIONS(3447),
    [anon_sym_co_return] = ACTIONS(3447),
    [anon_sym_co_yield] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3447),
    [anon_sym_new] = ACTIONS(3447),
    [anon_sym_requires] = ACTIONS(3447),
    [sym_this] = ACTIONS(3447),
  },
  [990] = {
    [ts_builtin_sym_end] = ACTIONS(3387),
    [sym_identifier] = ACTIONS(3385),
    [aux_sym_preproc_include_token1] = ACTIONS(3385),
    [aux_sym_preproc_def_token1] = ACTIONS(3385),
    [aux_sym_preproc_if_token1] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3385),
    [sym_preproc_directive] = ACTIONS(3385),
    [anon_sym_LPAREN2] = ACTIONS(3387),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3385),
    [anon_sym_PLUS] = ACTIONS(3385),
    [anon_sym_STAR] = ACTIONS(3387),
    [anon_sym_AMP_AMP] = ACTIONS(3387),
    [anon_sym_AMP] = ACTIONS(3385),
    [anon_sym_SEMI] = ACTIONS(3789),
    [anon_sym___extension__] = ACTIONS(3385),
    [anon_sym_typedef] = ACTIONS(3385),
    [anon_sym_extern] = ACTIONS(3385),
    [anon_sym___attribute__] = ACTIONS(3385),
    [anon_sym_COLON_COLON] = ACTIONS(3387),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3387),
    [anon_sym___declspec] = ACTIONS(3385),
    [anon_sym___based] = ACTIONS(3385),
    [anon_sym___cdecl] = ACTIONS(3385),
    [anon_sym___clrcall] = ACTIONS(3385),
    [anon_sym___stdcall] = ACTIONS(3385),
    [anon_sym___fastcall] = ACTIONS(3385),
    [anon_sym___thiscall] = ACTIONS(3385),
    [anon_sym___vectorcall] = ACTIONS(3385),
    [anon_sym_LBRACE] = ACTIONS(3387),
    [anon_sym_signed] = ACTIONS(3385),
    [anon_sym_unsigned] = ACTIONS(3385),
    [anon_sym_long] = ACTIONS(3385),
    [anon_sym_short] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3385),
    [anon_sym_static] = ACTIONS(3385),
    [anon_sym_register] = ACTIONS(3385),
    [anon_sym_inline] = ACTIONS(3385),
    [anon_sym___inline] = ACTIONS(3385),
    [anon_sym___inline__] = ACTIONS(3385),
    [anon_sym___forceinline] = ACTIONS(3385),
    [anon_sym_thread_local] = ACTIONS(3385),
    [anon_sym___thread] = ACTIONS(3385),
    [anon_sym_const] = ACTIONS(3385),
    [anon_sym_constexpr] = ACTIONS(3385),
    [anon_sym_volatile] = ACTIONS(3385),
    [anon_sym_restrict] = ACTIONS(3385),
    [anon_sym___restrict__] = ACTIONS(3385),
    [anon_sym__Atomic] = ACTIONS(3385),
    [anon_sym__Noreturn] = ACTIONS(3385),
    [anon_sym_noreturn] = ACTIONS(3385),
    [anon_sym_mutable] = ACTIONS(3385),
    [anon_sym_constinit] = ACTIONS(3385),
    [anon_sym_consteval] = ACTIONS(3385),
    [anon_sym_PROGMEM] = ACTIONS(3385),
    [aux_sym_primitive_type_token1] = ACTIONS(3385),
    [anon_sym_byte] = ACTIONS(3385),
    [anon_sym_word] = ACTIONS(3385),
    [anon_sym_enum] = ACTIONS(3385),
    [anon_sym_class] = ACTIONS(3385),
    [anon_sym_struct] = ACTIONS(3385),
    [anon_sym_union] = ACTIONS(3385),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_switch] = ACTIONS(3385),
    [anon_sym_case] = ACTIONS(3385),
    [anon_sym_default] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(3385),
    [anon_sym_do] = ACTIONS(3385),
    [anon_sym_for] = ACTIONS(3385),
    [anon_sym_return] = ACTIONS(3385),
    [anon_sym_break] = ACTIONS(3385),
    [anon_sym_continue] = ACTIONS(3385),
    [anon_sym_goto] = ACTIONS(3385),
    [anon_sym_not] = ACTIONS(3385),
    [anon_sym_compl] = ACTIONS(3385),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_sizeof] = ACTIONS(3385),
    [anon_sym___alignof__] = ACTIONS(3385),
    [anon_sym___alignof] = ACTIONS(3385),
    [anon_sym__alignof] = ACTIONS(3385),
    [anon_sym_alignof] = ACTIONS(3385),
    [anon_sym__Alignof] = ACTIONS(3385),
    [anon_sym_offsetof] = ACTIONS(3385),
    [anon_sym__Generic] = ACTIONS(3385),
    [anon_sym_asm] = ACTIONS(3385),
    [anon_sym___asm__] = ACTIONS(3385),
    [aux_sym_number_literal_token1] = ACTIONS(3387),
    [aux_sym_number_literal_token2] = ACTIONS(3385),
    [anon_sym_L_SQUOTE] = ACTIONS(3387),
    [anon_sym_u_SQUOTE] = ACTIONS(3387),
    [anon_sym_U_SQUOTE] = ACTIONS(3387),
    [anon_sym_u8_SQUOTE] = ACTIONS(3387),
    [anon_sym_SQUOTE] = ACTIONS(3387),
    [anon_sym_L_DQUOTE] = ACTIONS(3387),
    [anon_sym_u_DQUOTE] = ACTIONS(3387),
    [anon_sym_U_DQUOTE] = ACTIONS(3387),
    [anon_sym_u8_DQUOTE] = ACTIONS(3387),
    [anon_sym_DQUOTE] = ACTIONS(3387),
    [sym_true] = ACTIONS(3385),
    [sym_false] = ACTIONS(3385),
    [anon_sym_NULL] = ACTIONS(3385),
    [anon_sym_nullptr] = ACTIONS(3385),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3385),
    [anon_sym_decltype] = ACTIONS(3385),
    [anon_sym_virtual] = ACTIONS(3385),
    [anon_sym_alignas] = ACTIONS(3385),
    [anon_sym_explicit] = ACTIONS(3385),
    [anon_sym_typename] = ACTIONS(3385),
    [anon_sym_template] = ACTIONS(3385),
    [anon_sym_operator] = ACTIONS(3385),
    [anon_sym_try] = ACTIONS(3385),
    [anon_sym_delete] = ACTIONS(3385),
    [anon_sym_throw] = ACTIONS(3385),
    [anon_sym_namespace] = ACTIONS(3385),
    [anon_sym_using] = ACTIONS(3385),
    [anon_sym_static_assert] = ACTIONS(3385),
    [anon_sym_concept] = ACTIONS(3385),
    [anon_sym_co_return] = ACTIONS(3385),
    [anon_sym_co_yield] = ACTIONS(3385),
    [anon_sym_R_DQUOTE] = ACTIONS(3387),
    [anon_sym_LR_DQUOTE] = ACTIONS(3387),
    [anon_sym_uR_DQUOTE] = ACTIONS(3387),
    [anon_sym_UR_DQUOTE] = ACTIONS(3387),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3387),
    [anon_sym_co_await] = ACTIONS(3385),
    [anon_sym_new] = ACTIONS(3385),
    [anon_sym_requires] = ACTIONS(3385),
    [sym_this] = ACTIONS(3385),
  },
  [991] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4431),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_initializer_list] = STATE(4523),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2149),
    [anon_sym_COMMA] = ACTIONS(2149),
    [anon_sym_LPAREN2] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(3793),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2149),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2149),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_PIPE] = ACTIONS(2147),
    [anon_sym_CARET] = ACTIONS(2149),
    [anon_sym_AMP] = ACTIONS(2147),
    [anon_sym_EQ_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ] = ACTIONS(2149),
    [anon_sym_GT] = ACTIONS(2147),
    [anon_sym_GT_EQ] = ACTIONS(2149),
    [anon_sym_LT_EQ] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_LT_LT] = ACTIONS(2149),
    [anon_sym_GT_GT] = ACTIONS(2149),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym___attribute__] = ACTIONS(2147),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(2149),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_LT_EQ_GT] = ACTIONS(2149),
    [anon_sym_or] = ACTIONS(2147),
    [anon_sym_and] = ACTIONS(2147),
    [anon_sym_bitor] = ACTIONS(2147),
    [anon_sym_xor] = ACTIONS(2147),
    [anon_sym_bitand] = ACTIONS(2147),
    [anon_sym_not_eq] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(2147),
    [anon_sym_DOT_STAR] = ACTIONS(2149),
    [anon_sym_DASH_GT] = ACTIONS(2149),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [992] = {
    [ts_builtin_sym_end] = ACTIONS(3403),
    [sym_identifier] = ACTIONS(3401),
    [aux_sym_preproc_include_token1] = ACTIONS(3401),
    [aux_sym_preproc_def_token1] = ACTIONS(3401),
    [aux_sym_preproc_if_token1] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3401),
    [sym_preproc_directive] = ACTIONS(3401),
    [anon_sym_LPAREN2] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3401),
    [anon_sym_PLUS] = ACTIONS(3401),
    [anon_sym_STAR] = ACTIONS(3403),
    [anon_sym_AMP_AMP] = ACTIONS(3403),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym___extension__] = ACTIONS(3401),
    [anon_sym_typedef] = ACTIONS(3401),
    [anon_sym_extern] = ACTIONS(3401),
    [anon_sym___attribute__] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3403),
    [anon_sym___declspec] = ACTIONS(3401),
    [anon_sym___based] = ACTIONS(3401),
    [anon_sym___cdecl] = ACTIONS(3401),
    [anon_sym___clrcall] = ACTIONS(3401),
    [anon_sym___stdcall] = ACTIONS(3401),
    [anon_sym___fastcall] = ACTIONS(3401),
    [anon_sym___thiscall] = ACTIONS(3401),
    [anon_sym___vectorcall] = ACTIONS(3401),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3401),
    [anon_sym_unsigned] = ACTIONS(3401),
    [anon_sym_long] = ACTIONS(3401),
    [anon_sym_short] = ACTIONS(3401),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_static] = ACTIONS(3401),
    [anon_sym_register] = ACTIONS(3401),
    [anon_sym_inline] = ACTIONS(3401),
    [anon_sym___inline] = ACTIONS(3401),
    [anon_sym___inline__] = ACTIONS(3401),
    [anon_sym___forceinline] = ACTIONS(3401),
    [anon_sym_thread_local] = ACTIONS(3401),
    [anon_sym___thread] = ACTIONS(3401),
    [anon_sym_const] = ACTIONS(3401),
    [anon_sym_constexpr] = ACTIONS(3401),
    [anon_sym_volatile] = ACTIONS(3401),
    [anon_sym_restrict] = ACTIONS(3401),
    [anon_sym___restrict__] = ACTIONS(3401),
    [anon_sym__Atomic] = ACTIONS(3401),
    [anon_sym__Noreturn] = ACTIONS(3401),
    [anon_sym_noreturn] = ACTIONS(3401),
    [anon_sym_mutable] = ACTIONS(3401),
    [anon_sym_constinit] = ACTIONS(3401),
    [anon_sym_consteval] = ACTIONS(3401),
    [anon_sym_PROGMEM] = ACTIONS(3401),
    [aux_sym_primitive_type_token1] = ACTIONS(3401),
    [anon_sym_byte] = ACTIONS(3401),
    [anon_sym_word] = ACTIONS(3401),
    [anon_sym_enum] = ACTIONS(3401),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3401),
    [anon_sym_union] = ACTIONS(3401),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_switch] = ACTIONS(3401),
    [anon_sym_case] = ACTIONS(3401),
    [anon_sym_default] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(3401),
    [anon_sym_do] = ACTIONS(3401),
    [anon_sym_for] = ACTIONS(3401),
    [anon_sym_return] = ACTIONS(3401),
    [anon_sym_break] = ACTIONS(3401),
    [anon_sym_continue] = ACTIONS(3401),
    [anon_sym_goto] = ACTIONS(3401),
    [anon_sym_not] = ACTIONS(3401),
    [anon_sym_compl] = ACTIONS(3401),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_sizeof] = ACTIONS(3401),
    [anon_sym___alignof__] = ACTIONS(3401),
    [anon_sym___alignof] = ACTIONS(3401),
    [anon_sym__alignof] = ACTIONS(3401),
    [anon_sym_alignof] = ACTIONS(3401),
    [anon_sym__Alignof] = ACTIONS(3401),
    [anon_sym_offsetof] = ACTIONS(3401),
    [anon_sym__Generic] = ACTIONS(3401),
    [anon_sym_asm] = ACTIONS(3401),
    [anon_sym___asm__] = ACTIONS(3401),
    [aux_sym_number_literal_token1] = ACTIONS(3403),
    [aux_sym_number_literal_token2] = ACTIONS(3401),
    [anon_sym_L_SQUOTE] = ACTIONS(3403),
    [anon_sym_u_SQUOTE] = ACTIONS(3403),
    [anon_sym_U_SQUOTE] = ACTIONS(3403),
    [anon_sym_u8_SQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [anon_sym_L_DQUOTE] = ACTIONS(3403),
    [anon_sym_u_DQUOTE] = ACTIONS(3403),
    [anon_sym_U_DQUOTE] = ACTIONS(3403),
    [anon_sym_u8_DQUOTE] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [sym_true] = ACTIONS(3401),
    [sym_false] = ACTIONS(3401),
    [anon_sym_NULL] = ACTIONS(3401),
    [anon_sym_nullptr] = ACTIONS(3401),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3401),
    [anon_sym_decltype] = ACTIONS(3401),
    [anon_sym_virtual] = ACTIONS(3401),
    [anon_sym_alignas] = ACTIONS(3401),
    [anon_sym_explicit] = ACTIONS(3401),
    [anon_sym_typename] = ACTIONS(3401),
    [anon_sym_template] = ACTIONS(3401),
    [anon_sym_operator] = ACTIONS(3401),
    [anon_sym_try] = ACTIONS(3401),
    [anon_sym_delete] = ACTIONS(3401),
    [anon_sym_throw] = ACTIONS(3401),
    [anon_sym_namespace] = ACTIONS(3401),
    [anon_sym_using] = ACTIONS(3401),
    [anon_sym_static_assert] = ACTIONS(3401),
    [anon_sym_concept] = ACTIONS(3401),
    [anon_sym_co_return] = ACTIONS(3401),
    [anon_sym_co_yield] = ACTIONS(3401),
    [anon_sym_R_DQUOTE] = ACTIONS(3403),
    [anon_sym_LR_DQUOTE] = ACTIONS(3403),
    [anon_sym_uR_DQUOTE] = ACTIONS(3403),
    [anon_sym_UR_DQUOTE] = ACTIONS(3403),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3403),
    [anon_sym_co_await] = ACTIONS(3401),
    [anon_sym_new] = ACTIONS(3401),
    [anon_sym_requires] = ACTIONS(3401),
    [sym_this] = ACTIONS(3401),
  },
  [993] = {
    [ts_builtin_sym_end] = ACTIONS(3423),
    [sym_identifier] = ACTIONS(3421),
    [aux_sym_preproc_include_token1] = ACTIONS(3421),
    [aux_sym_preproc_def_token1] = ACTIONS(3421),
    [aux_sym_preproc_if_token1] = ACTIONS(3421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3421),
    [sym_preproc_directive] = ACTIONS(3421),
    [anon_sym_LPAREN2] = ACTIONS(3423),
    [anon_sym_BANG] = ACTIONS(3423),
    [anon_sym_TILDE] = ACTIONS(3423),
    [anon_sym_DASH] = ACTIONS(3421),
    [anon_sym_PLUS] = ACTIONS(3421),
    [anon_sym_STAR] = ACTIONS(3423),
    [anon_sym_AMP_AMP] = ACTIONS(3423),
    [anon_sym_AMP] = ACTIONS(3421),
    [anon_sym___extension__] = ACTIONS(3421),
    [anon_sym_typedef] = ACTIONS(3421),
    [anon_sym_extern] = ACTIONS(3421),
    [anon_sym___attribute__] = ACTIONS(3421),
    [anon_sym_COLON_COLON] = ACTIONS(3423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3423),
    [anon_sym___declspec] = ACTIONS(3421),
    [anon_sym___based] = ACTIONS(3421),
    [anon_sym___cdecl] = ACTIONS(3421),
    [anon_sym___clrcall] = ACTIONS(3421),
    [anon_sym___stdcall] = ACTIONS(3421),
    [anon_sym___fastcall] = ACTIONS(3421),
    [anon_sym___thiscall] = ACTIONS(3421),
    [anon_sym___vectorcall] = ACTIONS(3421),
    [anon_sym_LBRACE] = ACTIONS(3423),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(3421),
    [anon_sym_static] = ACTIONS(3421),
    [anon_sym_register] = ACTIONS(3421),
    [anon_sym_inline] = ACTIONS(3421),
    [anon_sym___inline] = ACTIONS(3421),
    [anon_sym___inline__] = ACTIONS(3421),
    [anon_sym___forceinline] = ACTIONS(3421),
    [anon_sym_thread_local] = ACTIONS(3421),
    [anon_sym___thread] = ACTIONS(3421),
    [anon_sym_const] = ACTIONS(3421),
    [anon_sym_constexpr] = ACTIONS(3421),
    [anon_sym_volatile] = ACTIONS(3421),
    [anon_sym_restrict] = ACTIONS(3421),
    [anon_sym___restrict__] = ACTIONS(3421),
    [anon_sym__Atomic] = ACTIONS(3421),
    [anon_sym__Noreturn] = ACTIONS(3421),
    [anon_sym_noreturn] = ACTIONS(3421),
    [anon_sym_mutable] = ACTIONS(3421),
    [anon_sym_constinit] = ACTIONS(3421),
    [anon_sym_consteval] = ACTIONS(3421),
    [anon_sym_PROGMEM] = ACTIONS(3421),
    [aux_sym_primitive_type_token1] = ACTIONS(3421),
    [anon_sym_byte] = ACTIONS(3421),
    [anon_sym_word] = ACTIONS(3421),
    [anon_sym_enum] = ACTIONS(3421),
    [anon_sym_class] = ACTIONS(3421),
    [anon_sym_struct] = ACTIONS(3421),
    [anon_sym_union] = ACTIONS(3421),
    [anon_sym_if] = ACTIONS(3421),
    [anon_sym_switch] = ACTIONS(3421),
    [anon_sym_case] = ACTIONS(3421),
    [anon_sym_default] = ACTIONS(3421),
    [anon_sym_while] = ACTIONS(3421),
    [anon_sym_do] = ACTIONS(3421),
    [anon_sym_for] = ACTIONS(3421),
    [anon_sym_return] = ACTIONS(3421),
    [anon_sym_break] = ACTIONS(3421),
    [anon_sym_continue] = ACTIONS(3421),
    [anon_sym_goto] = ACTIONS(3421),
    [anon_sym_not] = ACTIONS(3421),
    [anon_sym_compl] = ACTIONS(3421),
    [anon_sym_DASH_DASH] = ACTIONS(3423),
    [anon_sym_PLUS_PLUS] = ACTIONS(3423),
    [anon_sym_sizeof] = ACTIONS(3421),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3421),
    [anon_sym__Generic] = ACTIONS(3421),
    [anon_sym_asm] = ACTIONS(3421),
    [anon_sym___asm__] = ACTIONS(3421),
    [aux_sym_number_literal_token1] = ACTIONS(3423),
    [aux_sym_number_literal_token2] = ACTIONS(3421),
    [anon_sym_L_SQUOTE] = ACTIONS(3423),
    [anon_sym_u_SQUOTE] = ACTIONS(3423),
    [anon_sym_U_SQUOTE] = ACTIONS(3423),
    [anon_sym_u8_SQUOTE] = ACTIONS(3423),
    [anon_sym_SQUOTE] = ACTIONS(3423),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3421),
    [sym_false] = ACTIONS(3421),
    [anon_sym_NULL] = ACTIONS(3421),
    [anon_sym_nullptr] = ACTIONS(3421),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3421),
    [anon_sym_decltype] = ACTIONS(3421),
    [anon_sym_virtual] = ACTIONS(3421),
    [anon_sym_alignas] = ACTIONS(3421),
    [anon_sym_explicit] = ACTIONS(3421),
    [anon_sym_typename] = ACTIONS(3421),
    [anon_sym_template] = ACTIONS(3421),
    [anon_sym_operator] = ACTIONS(3421),
    [anon_sym_try] = ACTIONS(3421),
    [anon_sym_delete] = ACTIONS(3421),
    [anon_sym_throw] = ACTIONS(3421),
    [anon_sym_namespace] = ACTIONS(3421),
    [anon_sym_using] = ACTIONS(3421),
    [anon_sym_static_assert] = ACTIONS(3421),
    [anon_sym_concept] = ACTIONS(3421),
    [anon_sym_co_return] = ACTIONS(3421),
    [anon_sym_co_yield] = ACTIONS(3421),
    [anon_sym_R_DQUOTE] = ACTIONS(3423),
    [anon_sym_LR_DQUOTE] = ACTIONS(3423),
    [anon_sym_uR_DQUOTE] = ACTIONS(3423),
    [anon_sym_UR_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3423),
    [anon_sym_co_await] = ACTIONS(3421),
    [anon_sym_new] = ACTIONS(3421),
    [anon_sym_requires] = ACTIONS(3421),
    [sym_this] = ACTIONS(3421),
  },
  [994] = {
    [sym_preproc_def] = STATE(1017),
    [sym_preproc_function_def] = STATE(1017),
    [sym_preproc_call] = STATE(1017),
    [sym_preproc_if_in_field_declaration_list] = STATE(1017),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1017),
    [sym_type_definition] = STATE(1017),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6396),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1017),
    [sym_field_declaration] = STATE(1017),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1017),
    [sym_operator_cast] = STATE(7382),
    [sym_inline_method_definition] = STATE(1017),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(1017),
    [sym_operator_cast_declaration] = STATE(1017),
    [sym_constructor_or_destructor_definition] = STATE(1017),
    [sym_constructor_or_destructor_declaration] = STATE(1017),
    [sym_friend_declaration] = STATE(1017),
    [sym_access_specifier] = STATE(9207),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1017),
    [sym_alias_declaration] = STATE(1017),
    [sym_static_assert_declaration] = STATE(1017),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1017),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3819),
    [sym_preproc_directive] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_typedef] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3827),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3829),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3831),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_static_assert] = ACTIONS(3835),
  },
  [995] = {
    [ts_builtin_sym_end] = ACTIONS(3314),
    [sym_identifier] = ACTIONS(3312),
    [aux_sym_preproc_include_token1] = ACTIONS(3312),
    [aux_sym_preproc_def_token1] = ACTIONS(3312),
    [aux_sym_preproc_if_token1] = ACTIONS(3312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3312),
    [sym_preproc_directive] = ACTIONS(3312),
    [anon_sym_LPAREN2] = ACTIONS(3314),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(3314),
    [anon_sym_AMP_AMP] = ACTIONS(3314),
    [anon_sym_AMP] = ACTIONS(3312),
    [anon_sym___extension__] = ACTIONS(3312),
    [anon_sym_typedef] = ACTIONS(3312),
    [anon_sym_extern] = ACTIONS(3312),
    [anon_sym___attribute__] = ACTIONS(3312),
    [anon_sym_COLON_COLON] = ACTIONS(3314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3314),
    [anon_sym___declspec] = ACTIONS(3312),
    [anon_sym___based] = ACTIONS(3312),
    [anon_sym___cdecl] = ACTIONS(3312),
    [anon_sym___clrcall] = ACTIONS(3312),
    [anon_sym___stdcall] = ACTIONS(3312),
    [anon_sym___fastcall] = ACTIONS(3312),
    [anon_sym___thiscall] = ACTIONS(3312),
    [anon_sym___vectorcall] = ACTIONS(3312),
    [anon_sym_LBRACE] = ACTIONS(3314),
    [anon_sym_signed] = ACTIONS(3312),
    [anon_sym_unsigned] = ACTIONS(3312),
    [anon_sym_long] = ACTIONS(3312),
    [anon_sym_short] = ACTIONS(3312),
    [anon_sym_LBRACK] = ACTIONS(3312),
    [anon_sym_static] = ACTIONS(3312),
    [anon_sym_register] = ACTIONS(3312),
    [anon_sym_inline] = ACTIONS(3312),
    [anon_sym___inline] = ACTIONS(3312),
    [anon_sym___inline__] = ACTIONS(3312),
    [anon_sym___forceinline] = ACTIONS(3312),
    [anon_sym_thread_local] = ACTIONS(3312),
    [anon_sym___thread] = ACTIONS(3312),
    [anon_sym_const] = ACTIONS(3312),
    [anon_sym_constexpr] = ACTIONS(3312),
    [anon_sym_volatile] = ACTIONS(3312),
    [anon_sym_restrict] = ACTIONS(3312),
    [anon_sym___restrict__] = ACTIONS(3312),
    [anon_sym__Atomic] = ACTIONS(3312),
    [anon_sym__Noreturn] = ACTIONS(3312),
    [anon_sym_noreturn] = ACTIONS(3312),
    [anon_sym_mutable] = ACTIONS(3312),
    [anon_sym_constinit] = ACTIONS(3312),
    [anon_sym_consteval] = ACTIONS(3312),
    [anon_sym_PROGMEM] = ACTIONS(3312),
    [aux_sym_primitive_type_token1] = ACTIONS(3312),
    [anon_sym_byte] = ACTIONS(3312),
    [anon_sym_word] = ACTIONS(3312),
    [anon_sym_enum] = ACTIONS(3312),
    [anon_sym_class] = ACTIONS(3312),
    [anon_sym_struct] = ACTIONS(3312),
    [anon_sym_union] = ACTIONS(3312),
    [anon_sym_if] = ACTIONS(3312),
    [anon_sym_switch] = ACTIONS(3312),
    [anon_sym_case] = ACTIONS(3312),
    [anon_sym_default] = ACTIONS(3312),
    [anon_sym_while] = ACTIONS(3312),
    [anon_sym_do] = ACTIONS(3312),
    [anon_sym_for] = ACTIONS(3312),
    [anon_sym_return] = ACTIONS(3312),
    [anon_sym_break] = ACTIONS(3312),
    [anon_sym_continue] = ACTIONS(3312),
    [anon_sym_goto] = ACTIONS(3312),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3314),
    [anon_sym_sizeof] = ACTIONS(3312),
    [anon_sym___alignof__] = ACTIONS(3312),
    [anon_sym___alignof] = ACTIONS(3312),
    [anon_sym__alignof] = ACTIONS(3312),
    [anon_sym_alignof] = ACTIONS(3312),
    [anon_sym__Alignof] = ACTIONS(3312),
    [anon_sym_offsetof] = ACTIONS(3312),
    [anon_sym__Generic] = ACTIONS(3312),
    [anon_sym_asm] = ACTIONS(3312),
    [anon_sym___asm__] = ACTIONS(3312),
    [aux_sym_number_literal_token1] = ACTIONS(3314),
    [aux_sym_number_literal_token2] = ACTIONS(3312),
    [anon_sym_L_SQUOTE] = ACTIONS(3314),
    [anon_sym_u_SQUOTE] = ACTIONS(3314),
    [anon_sym_U_SQUOTE] = ACTIONS(3314),
    [anon_sym_u8_SQUOTE] = ACTIONS(3314),
    [anon_sym_SQUOTE] = ACTIONS(3314),
    [anon_sym_L_DQUOTE] = ACTIONS(3314),
    [anon_sym_u_DQUOTE] = ACTIONS(3314),
    [anon_sym_U_DQUOTE] = ACTIONS(3314),
    [anon_sym_u8_DQUOTE] = ACTIONS(3314),
    [anon_sym_DQUOTE] = ACTIONS(3314),
    [sym_true] = ACTIONS(3312),
    [sym_false] = ACTIONS(3312),
    [anon_sym_NULL] = ACTIONS(3312),
    [anon_sym_nullptr] = ACTIONS(3312),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3312),
    [anon_sym_decltype] = ACTIONS(3312),
    [anon_sym_virtual] = ACTIONS(3312),
    [anon_sym_alignas] = ACTIONS(3312),
    [anon_sym_explicit] = ACTIONS(3312),
    [anon_sym_typename] = ACTIONS(3312),
    [anon_sym_template] = ACTIONS(3312),
    [anon_sym_operator] = ACTIONS(3312),
    [anon_sym_try] = ACTIONS(3312),
    [anon_sym_delete] = ACTIONS(3312),
    [anon_sym_throw] = ACTIONS(3312),
    [anon_sym_namespace] = ACTIONS(3312),
    [anon_sym_using] = ACTIONS(3312),
    [anon_sym_static_assert] = ACTIONS(3312),
    [anon_sym_concept] = ACTIONS(3312),
    [anon_sym_co_return] = ACTIONS(3312),
    [anon_sym_co_yield] = ACTIONS(3312),
    [anon_sym_R_DQUOTE] = ACTIONS(3314),
    [anon_sym_LR_DQUOTE] = ACTIONS(3314),
    [anon_sym_uR_DQUOTE] = ACTIONS(3314),
    [anon_sym_UR_DQUOTE] = ACTIONS(3314),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3314),
    [anon_sym_co_await] = ACTIONS(3312),
    [anon_sym_new] = ACTIONS(3312),
    [anon_sym_requires] = ACTIONS(3312),
    [sym_this] = ACTIONS(3312),
  },
  [996] = {
    [ts_builtin_sym_end] = ACTIONS(3513),
    [sym_identifier] = ACTIONS(3511),
    [aux_sym_preproc_include_token1] = ACTIONS(3511),
    [aux_sym_preproc_def_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token1] = ACTIONS(3511),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3511),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3511),
    [sym_preproc_directive] = ACTIONS(3511),
    [anon_sym_LPAREN2] = ACTIONS(3513),
    [anon_sym_BANG] = ACTIONS(3513),
    [anon_sym_TILDE] = ACTIONS(3513),
    [anon_sym_DASH] = ACTIONS(3511),
    [anon_sym_PLUS] = ACTIONS(3511),
    [anon_sym_STAR] = ACTIONS(3513),
    [anon_sym_AMP_AMP] = ACTIONS(3513),
    [anon_sym_AMP] = ACTIONS(3511),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_typedef] = ACTIONS(3511),
    [anon_sym_extern] = ACTIONS(3511),
    [anon_sym___attribute__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3513),
    [anon_sym___declspec] = ACTIONS(3511),
    [anon_sym___based] = ACTIONS(3511),
    [anon_sym___cdecl] = ACTIONS(3511),
    [anon_sym___clrcall] = ACTIONS(3511),
    [anon_sym___stdcall] = ACTIONS(3511),
    [anon_sym___fastcall] = ACTIONS(3511),
    [anon_sym___thiscall] = ACTIONS(3511),
    [anon_sym___vectorcall] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3513),
    [anon_sym_signed] = ACTIONS(3511),
    [anon_sym_unsigned] = ACTIONS(3511),
    [anon_sym_long] = ACTIONS(3511),
    [anon_sym_short] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(3511),
    [anon_sym_static] = ACTIONS(3511),
    [anon_sym_register] = ACTIONS(3511),
    [anon_sym_inline] = ACTIONS(3511),
    [anon_sym___inline] = ACTIONS(3511),
    [anon_sym___inline__] = ACTIONS(3511),
    [anon_sym___forceinline] = ACTIONS(3511),
    [anon_sym_thread_local] = ACTIONS(3511),
    [anon_sym___thread] = ACTIONS(3511),
    [anon_sym_const] = ACTIONS(3511),
    [anon_sym_constexpr] = ACTIONS(3511),
    [anon_sym_volatile] = ACTIONS(3511),
    [anon_sym_restrict] = ACTIONS(3511),
    [anon_sym___restrict__] = ACTIONS(3511),
    [anon_sym__Atomic] = ACTIONS(3511),
    [anon_sym__Noreturn] = ACTIONS(3511),
    [anon_sym_noreturn] = ACTIONS(3511),
    [anon_sym_mutable] = ACTIONS(3511),
    [anon_sym_constinit] = ACTIONS(3511),
    [anon_sym_consteval] = ACTIONS(3511),
    [anon_sym_PROGMEM] = ACTIONS(3511),
    [aux_sym_primitive_type_token1] = ACTIONS(3511),
    [anon_sym_byte] = ACTIONS(3511),
    [anon_sym_word] = ACTIONS(3511),
    [anon_sym_enum] = ACTIONS(3511),
    [anon_sym_class] = ACTIONS(3511),
    [anon_sym_struct] = ACTIONS(3511),
    [anon_sym_union] = ACTIONS(3511),
    [anon_sym_if] = ACTIONS(3511),
    [anon_sym_switch] = ACTIONS(3511),
    [anon_sym_case] = ACTIONS(3511),
    [anon_sym_default] = ACTIONS(3511),
    [anon_sym_while] = ACTIONS(3511),
    [anon_sym_do] = ACTIONS(3511),
    [anon_sym_for] = ACTIONS(3511),
    [anon_sym_return] = ACTIONS(3511),
    [anon_sym_break] = ACTIONS(3511),
    [anon_sym_continue] = ACTIONS(3511),
    [anon_sym_goto] = ACTIONS(3511),
    [anon_sym_not] = ACTIONS(3511),
    [anon_sym_compl] = ACTIONS(3511),
    [anon_sym_DASH_DASH] = ACTIONS(3513),
    [anon_sym_PLUS_PLUS] = ACTIONS(3513),
    [anon_sym_sizeof] = ACTIONS(3511),
    [anon_sym___alignof__] = ACTIONS(3511),
    [anon_sym___alignof] = ACTIONS(3511),
    [anon_sym__alignof] = ACTIONS(3511),
    [anon_sym_alignof] = ACTIONS(3511),
    [anon_sym__Alignof] = ACTIONS(3511),
    [anon_sym_offsetof] = ACTIONS(3511),
    [anon_sym__Generic] = ACTIONS(3511),
    [anon_sym_asm] = ACTIONS(3511),
    [anon_sym___asm__] = ACTIONS(3511),
    [aux_sym_number_literal_token1] = ACTIONS(3513),
    [aux_sym_number_literal_token2] = ACTIONS(3511),
    [anon_sym_L_SQUOTE] = ACTIONS(3513),
    [anon_sym_u_SQUOTE] = ACTIONS(3513),
    [anon_sym_U_SQUOTE] = ACTIONS(3513),
    [anon_sym_u8_SQUOTE] = ACTIONS(3513),
    [anon_sym_SQUOTE] = ACTIONS(3513),
    [anon_sym_L_DQUOTE] = ACTIONS(3513),
    [anon_sym_u_DQUOTE] = ACTIONS(3513),
    [anon_sym_U_DQUOTE] = ACTIONS(3513),
    [anon_sym_u8_DQUOTE] = ACTIONS(3513),
    [anon_sym_DQUOTE] = ACTIONS(3513),
    [sym_true] = ACTIONS(3511),
    [sym_false] = ACTIONS(3511),
    [anon_sym_NULL] = ACTIONS(3511),
    [anon_sym_nullptr] = ACTIONS(3511),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3511),
    [anon_sym_decltype] = ACTIONS(3511),
    [anon_sym_virtual] = ACTIONS(3511),
    [anon_sym_alignas] = ACTIONS(3511),
    [anon_sym_explicit] = ACTIONS(3511),
    [anon_sym_typename] = ACTIONS(3511),
    [anon_sym_template] = ACTIONS(3511),
    [anon_sym_operator] = ACTIONS(3511),
    [anon_sym_try] = ACTIONS(3511),
    [anon_sym_delete] = ACTIONS(3511),
    [anon_sym_throw] = ACTIONS(3511),
    [anon_sym_namespace] = ACTIONS(3511),
    [anon_sym_using] = ACTIONS(3511),
    [anon_sym_static_assert] = ACTIONS(3511),
    [anon_sym_concept] = ACTIONS(3511),
    [anon_sym_co_return] = ACTIONS(3511),
    [anon_sym_co_yield] = ACTIONS(3511),
    [anon_sym_R_DQUOTE] = ACTIONS(3513),
    [anon_sym_LR_DQUOTE] = ACTIONS(3513),
    [anon_sym_uR_DQUOTE] = ACTIONS(3513),
    [anon_sym_UR_DQUOTE] = ACTIONS(3513),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3513),
    [anon_sym_co_await] = ACTIONS(3511),
    [anon_sym_new] = ACTIONS(3511),
    [anon_sym_requires] = ACTIONS(3511),
    [sym_this] = ACTIONS(3511),
  },
  [997] = {
    [ts_builtin_sym_end] = ACTIONS(3837),
    [sym_identifier] = ACTIONS(3839),
    [aux_sym_preproc_include_token1] = ACTIONS(3839),
    [aux_sym_preproc_def_token1] = ACTIONS(3839),
    [aux_sym_preproc_if_token1] = ACTIONS(3839),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3839),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3839),
    [sym_preproc_directive] = ACTIONS(3839),
    [anon_sym_LPAREN2] = ACTIONS(3837),
    [anon_sym_BANG] = ACTIONS(3837),
    [anon_sym_TILDE] = ACTIONS(3837),
    [anon_sym_DASH] = ACTIONS(3839),
    [anon_sym_PLUS] = ACTIONS(3839),
    [anon_sym_STAR] = ACTIONS(3837),
    [anon_sym_AMP_AMP] = ACTIONS(3837),
    [anon_sym_AMP] = ACTIONS(3839),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_typedef] = ACTIONS(3839),
    [anon_sym_extern] = ACTIONS(3839),
    [anon_sym___attribute__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(3837),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3837),
    [anon_sym___declspec] = ACTIONS(3839),
    [anon_sym___based] = ACTIONS(3839),
    [anon_sym___cdecl] = ACTIONS(3839),
    [anon_sym___clrcall] = ACTIONS(3839),
    [anon_sym___stdcall] = ACTIONS(3839),
    [anon_sym___fastcall] = ACTIONS(3839),
    [anon_sym___thiscall] = ACTIONS(3839),
    [anon_sym___vectorcall] = ACTIONS(3839),
    [anon_sym_LBRACE] = ACTIONS(3837),
    [anon_sym_signed] = ACTIONS(3839),
    [anon_sym_unsigned] = ACTIONS(3839),
    [anon_sym_long] = ACTIONS(3839),
    [anon_sym_short] = ACTIONS(3839),
    [anon_sym_LBRACK] = ACTIONS(3839),
    [anon_sym_static] = ACTIONS(3839),
    [anon_sym_register] = ACTIONS(3839),
    [anon_sym_inline] = ACTIONS(3839),
    [anon_sym___inline] = ACTIONS(3839),
    [anon_sym___inline__] = ACTIONS(3839),
    [anon_sym___forceinline] = ACTIONS(3839),
    [anon_sym_thread_local] = ACTIONS(3839),
    [anon_sym___thread] = ACTIONS(3839),
    [anon_sym_const] = ACTIONS(3839),
    [anon_sym_constexpr] = ACTIONS(3839),
    [anon_sym_volatile] = ACTIONS(3839),
    [anon_sym_restrict] = ACTIONS(3839),
    [anon_sym___restrict__] = ACTIONS(3839),
    [anon_sym__Atomic] = ACTIONS(3839),
    [anon_sym__Noreturn] = ACTIONS(3839),
    [anon_sym_noreturn] = ACTIONS(3839),
    [anon_sym_mutable] = ACTIONS(3839),
    [anon_sym_constinit] = ACTIONS(3839),
    [anon_sym_consteval] = ACTIONS(3839),
    [anon_sym_PROGMEM] = ACTIONS(3839),
    [aux_sym_primitive_type_token1] = ACTIONS(3839),
    [anon_sym_byte] = ACTIONS(3839),
    [anon_sym_word] = ACTIONS(3839),
    [anon_sym_enum] = ACTIONS(3839),
    [anon_sym_class] = ACTIONS(3839),
    [anon_sym_struct] = ACTIONS(3839),
    [anon_sym_union] = ACTIONS(3839),
    [anon_sym_if] = ACTIONS(3839),
    [anon_sym_switch] = ACTIONS(3839),
    [anon_sym_case] = ACTIONS(3839),
    [anon_sym_default] = ACTIONS(3839),
    [anon_sym_while] = ACTIONS(3839),
    [anon_sym_do] = ACTIONS(3839),
    [anon_sym_for] = ACTIONS(3839),
    [anon_sym_return] = ACTIONS(3839),
    [anon_sym_break] = ACTIONS(3839),
    [anon_sym_continue] = ACTIONS(3839),
    [anon_sym_goto] = ACTIONS(3839),
    [anon_sym_not] = ACTIONS(3839),
    [anon_sym_compl] = ACTIONS(3839),
    [anon_sym_DASH_DASH] = ACTIONS(3837),
    [anon_sym_PLUS_PLUS] = ACTIONS(3837),
    [anon_sym_sizeof] = ACTIONS(3839),
    [anon_sym___alignof__] = ACTIONS(3839),
    [anon_sym___alignof] = ACTIONS(3839),
    [anon_sym__alignof] = ACTIONS(3839),
    [anon_sym_alignof] = ACTIONS(3839),
    [anon_sym__Alignof] = ACTIONS(3839),
    [anon_sym_offsetof] = ACTIONS(3839),
    [anon_sym__Generic] = ACTIONS(3839),
    [anon_sym_asm] = ACTIONS(3839),
    [anon_sym___asm__] = ACTIONS(3839),
    [aux_sym_number_literal_token1] = ACTIONS(3837),
    [aux_sym_number_literal_token2] = ACTIONS(3839),
    [anon_sym_L_SQUOTE] = ACTIONS(3837),
    [anon_sym_u_SQUOTE] = ACTIONS(3837),
    [anon_sym_U_SQUOTE] = ACTIONS(3837),
    [anon_sym_u8_SQUOTE] = ACTIONS(3837),
    [anon_sym_SQUOTE] = ACTIONS(3837),
    [anon_sym_L_DQUOTE] = ACTIONS(3837),
    [anon_sym_u_DQUOTE] = ACTIONS(3837),
    [anon_sym_U_DQUOTE] = ACTIONS(3837),
    [anon_sym_u8_DQUOTE] = ACTIONS(3837),
    [anon_sym_DQUOTE] = ACTIONS(3837),
    [sym_true] = ACTIONS(3839),
    [sym_false] = ACTIONS(3839),
    [anon_sym_NULL] = ACTIONS(3839),
    [anon_sym_nullptr] = ACTIONS(3839),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3839),
    [anon_sym_decltype] = ACTIONS(3839),
    [anon_sym_virtual] = ACTIONS(3839),
    [anon_sym_alignas] = ACTIONS(3839),
    [anon_sym_explicit] = ACTIONS(3839),
    [anon_sym_typename] = ACTIONS(3839),
    [anon_sym_template] = ACTIONS(3839),
    [anon_sym_operator] = ACTIONS(3839),
    [anon_sym_try] = ACTIONS(3839),
    [anon_sym_delete] = ACTIONS(3839),
    [anon_sym_throw] = ACTIONS(3839),
    [anon_sym_namespace] = ACTIONS(3839),
    [anon_sym_using] = ACTIONS(3839),
    [anon_sym_static_assert] = ACTIONS(3839),
    [anon_sym_concept] = ACTIONS(3839),
    [anon_sym_co_return] = ACTIONS(3839),
    [anon_sym_co_yield] = ACTIONS(3839),
    [anon_sym_R_DQUOTE] = ACTIONS(3837),
    [anon_sym_LR_DQUOTE] = ACTIONS(3837),
    [anon_sym_uR_DQUOTE] = ACTIONS(3837),
    [anon_sym_UR_DQUOTE] = ACTIONS(3837),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3837),
    [anon_sym_co_await] = ACTIONS(3839),
    [anon_sym_new] = ACTIONS(3839),
    [anon_sym_requires] = ACTIONS(3839),
    [sym_this] = ACTIONS(3839),
  },
  [998] = {
    [sym_preproc_def] = STATE(1031),
    [sym_preproc_function_def] = STATE(1031),
    [sym_preproc_call] = STATE(1031),
    [sym_preproc_if_in_field_declaration_list] = STATE(1031),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1031),
    [sym_type_definition] = STATE(1031),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6353),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6930),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1031),
    [sym_field_declaration] = STATE(1031),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2185),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1031),
    [sym_operator_cast] = STATE(7392),
    [sym_inline_method_definition] = STATE(1031),
    [sym__constructor_specifiers] = STATE(2185),
    [sym_operator_cast_definition] = STATE(1031),
    [sym_operator_cast_declaration] = STATE(1031),
    [sym_constructor_or_destructor_definition] = STATE(1031),
    [sym_constructor_or_destructor_declaration] = STATE(1031),
    [sym_friend_declaration] = STATE(1031),
    [sym_access_specifier] = STATE(8831),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1031),
    [sym_alias_declaration] = STATE(1031),
    [sym_static_assert_declaration] = STATE(1031),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7392),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1031),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2185),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3841),
    [aux_sym_preproc_if_token1] = ACTIONS(3843),
    [aux_sym_preproc_if_token2] = ACTIONS(3845),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3847),
    [sym_preproc_directive] = ACTIONS(3849),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3851),
    [anon_sym_typedef] = ACTIONS(3853),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3855),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3857),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3859),
    [anon_sym_static_assert] = ACTIONS(3861),
  },
  [999] = {
    [sym_preproc_def] = STATE(1075),
    [sym_preproc_function_def] = STATE(1075),
    [sym_preproc_call] = STATE(1075),
    [sym_preproc_if_in_field_declaration_list] = STATE(1075),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1075),
    [sym_type_definition] = STATE(1075),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6396),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1075),
    [sym_field_declaration] = STATE(1075),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1075),
    [sym_operator_cast] = STATE(7382),
    [sym_inline_method_definition] = STATE(1075),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(1075),
    [sym_operator_cast_declaration] = STATE(1075),
    [sym_constructor_or_destructor_definition] = STATE(1075),
    [sym_constructor_or_destructor_declaration] = STATE(1075),
    [sym_friend_declaration] = STATE(1075),
    [sym_access_specifier] = STATE(9207),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1075),
    [sym_alias_declaration] = STATE(1075),
    [sym_static_assert_declaration] = STATE(1075),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1075),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3819),
    [sym_preproc_directive] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_typedef] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3863),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3829),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3831),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_static_assert] = ACTIONS(3835),
  },
  [1000] = {
    [sym_preproc_def] = STATE(1000),
    [sym_preproc_function_def] = STATE(1000),
    [sym_preproc_call] = STATE(1000),
    [sym_preproc_if_in_field_declaration_list] = STATE(1000),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1000),
    [sym_type_definition] = STATE(1000),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6396),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1000),
    [sym_field_declaration] = STATE(1000),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1000),
    [sym_operator_cast] = STATE(7382),
    [sym_inline_method_definition] = STATE(1000),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(1000),
    [sym_operator_cast_declaration] = STATE(1000),
    [sym_constructor_or_destructor_definition] = STATE(1000),
    [sym_constructor_or_destructor_declaration] = STATE(1000),
    [sym_friend_declaration] = STATE(1000),
    [sym_access_specifier] = STATE(9207),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1000),
    [sym_alias_declaration] = STATE(1000),
    [sym_static_assert_declaration] = STATE(1000),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1000),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(3597),
    [aux_sym_preproc_def_token1] = ACTIONS(3865),
    [aux_sym_preproc_if_token1] = ACTIONS(3868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3871),
    [sym_preproc_directive] = ACTIONS(3874),
    [anon_sym_LPAREN2] = ACTIONS(3614),
    [anon_sym_TILDE] = ACTIONS(3617),
    [anon_sym_STAR] = ACTIONS(3620),
    [anon_sym_AMP_AMP] = ACTIONS(3623),
    [anon_sym_AMP] = ACTIONS(3626),
    [anon_sym___extension__] = ACTIONS(3877),
    [anon_sym_typedef] = ACTIONS(3880),
    [anon_sym_extern] = ACTIONS(3635),
    [anon_sym___attribute__] = ACTIONS(3638),
    [anon_sym_COLON_COLON] = ACTIONS(3641),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3644),
    [anon_sym___declspec] = ACTIONS(3647),
    [anon_sym___based] = ACTIONS(3650),
    [anon_sym_RBRACE] = ACTIONS(3883),
    [anon_sym_signed] = ACTIONS(3653),
    [anon_sym_unsigned] = ACTIONS(3653),
    [anon_sym_long] = ACTIONS(3653),
    [anon_sym_short] = ACTIONS(3653),
    [anon_sym_LBRACK] = ACTIONS(3656),
    [anon_sym_static] = ACTIONS(3635),
    [anon_sym_register] = ACTIONS(3635),
    [anon_sym_inline] = ACTIONS(3635),
    [anon_sym___inline] = ACTIONS(3635),
    [anon_sym___inline__] = ACTIONS(3635),
    [anon_sym___forceinline] = ACTIONS(3635),
    [anon_sym_thread_local] = ACTIONS(3635),
    [anon_sym___thread] = ACTIONS(3635),
    [anon_sym_const] = ACTIONS(3659),
    [anon_sym_constexpr] = ACTIONS(3659),
    [anon_sym_volatile] = ACTIONS(3659),
    [anon_sym_restrict] = ACTIONS(3659),
    [anon_sym___restrict__] = ACTIONS(3659),
    [anon_sym__Atomic] = ACTIONS(3659),
    [anon_sym__Noreturn] = ACTIONS(3659),
    [anon_sym_noreturn] = ACTIONS(3659),
    [anon_sym_mutable] = ACTIONS(3659),
    [anon_sym_constinit] = ACTIONS(3659),
    [anon_sym_consteval] = ACTIONS(3659),
    [anon_sym_PROGMEM] = ACTIONS(3659),
    [aux_sym_primitive_type_token1] = ACTIONS(3662),
    [anon_sym_byte] = ACTIONS(3662),
    [anon_sym_word] = ACTIONS(3662),
    [anon_sym_enum] = ACTIONS(3665),
    [anon_sym_class] = ACTIONS(3668),
    [anon_sym_struct] = ACTIONS(3671),
    [anon_sym_union] = ACTIONS(3674),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3677),
    [anon_sym_decltype] = ACTIONS(3680),
    [anon_sym_virtual] = ACTIONS(3683),
    [anon_sym_alignas] = ACTIONS(3686),
    [anon_sym_explicit] = ACTIONS(3689),
    [anon_sym_typename] = ACTIONS(3692),
    [anon_sym_template] = ACTIONS(3885),
    [anon_sym_operator] = ACTIONS(3698),
    [anon_sym_friend] = ACTIONS(3888),
    [anon_sym_public] = ACTIONS(3704),
    [anon_sym_private] = ACTIONS(3704),
    [anon_sym_protected] = ACTIONS(3704),
    [anon_sym_using] = ACTIONS(3891),
    [anon_sym_static_assert] = ACTIONS(3894),
  },
  [1001] = {
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3451),
    [aux_sym_preproc_include_token1] = ACTIONS(3451),
    [aux_sym_preproc_def_token1] = ACTIONS(3451),
    [aux_sym_preproc_if_token1] = ACTIONS(3451),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3451),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3451),
    [sym_preproc_directive] = ACTIONS(3451),
    [anon_sym_LPAREN2] = ACTIONS(3453),
    [anon_sym_BANG] = ACTIONS(3453),
    [anon_sym_TILDE] = ACTIONS(3453),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3453),
    [anon_sym_AMP_AMP] = ACTIONS(3453),
    [anon_sym_AMP] = ACTIONS(3451),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_typedef] = ACTIONS(3451),
    [anon_sym_extern] = ACTIONS(3451),
    [anon_sym___attribute__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3453),
    [anon_sym___declspec] = ACTIONS(3451),
    [anon_sym___based] = ACTIONS(3451),
    [anon_sym___cdecl] = ACTIONS(3451),
    [anon_sym___clrcall] = ACTIONS(3451),
    [anon_sym___stdcall] = ACTIONS(3451),
    [anon_sym___fastcall] = ACTIONS(3451),
    [anon_sym___thiscall] = ACTIONS(3451),
    [anon_sym___vectorcall] = ACTIONS(3451),
    [anon_sym_LBRACE] = ACTIONS(3453),
    [anon_sym_signed] = ACTIONS(3451),
    [anon_sym_unsigned] = ACTIONS(3451),
    [anon_sym_long] = ACTIONS(3451),
    [anon_sym_short] = ACTIONS(3451),
    [anon_sym_LBRACK] = ACTIONS(3451),
    [anon_sym_static] = ACTIONS(3451),
    [anon_sym_register] = ACTIONS(3451),
    [anon_sym_inline] = ACTIONS(3451),
    [anon_sym___inline] = ACTIONS(3451),
    [anon_sym___inline__] = ACTIONS(3451),
    [anon_sym___forceinline] = ACTIONS(3451),
    [anon_sym_thread_local] = ACTIONS(3451),
    [anon_sym___thread] = ACTIONS(3451),
    [anon_sym_const] = ACTIONS(3451),
    [anon_sym_constexpr] = ACTIONS(3451),
    [anon_sym_volatile] = ACTIONS(3451),
    [anon_sym_restrict] = ACTIONS(3451),
    [anon_sym___restrict__] = ACTIONS(3451),
    [anon_sym__Atomic] = ACTIONS(3451),
    [anon_sym__Noreturn] = ACTIONS(3451),
    [anon_sym_noreturn] = ACTIONS(3451),
    [anon_sym_mutable] = ACTIONS(3451),
    [anon_sym_constinit] = ACTIONS(3451),
    [anon_sym_consteval] = ACTIONS(3451),
    [anon_sym_PROGMEM] = ACTIONS(3451),
    [aux_sym_primitive_type_token1] = ACTIONS(3451),
    [anon_sym_byte] = ACTIONS(3451),
    [anon_sym_word] = ACTIONS(3451),
    [anon_sym_enum] = ACTIONS(3451),
    [anon_sym_class] = ACTIONS(3451),
    [anon_sym_struct] = ACTIONS(3451),
    [anon_sym_union] = ACTIONS(3451),
    [anon_sym_if] = ACTIONS(3451),
    [anon_sym_switch] = ACTIONS(3451),
    [anon_sym_case] = ACTIONS(3451),
    [anon_sym_default] = ACTIONS(3451),
    [anon_sym_while] = ACTIONS(3451),
    [anon_sym_do] = ACTIONS(3451),
    [anon_sym_for] = ACTIONS(3451),
    [anon_sym_return] = ACTIONS(3451),
    [anon_sym_break] = ACTIONS(3451),
    [anon_sym_continue] = ACTIONS(3451),
    [anon_sym_goto] = ACTIONS(3451),
    [anon_sym_not] = ACTIONS(3451),
    [anon_sym_compl] = ACTIONS(3451),
    [anon_sym_DASH_DASH] = ACTIONS(3453),
    [anon_sym_PLUS_PLUS] = ACTIONS(3453),
    [anon_sym_sizeof] = ACTIONS(3451),
    [anon_sym___alignof__] = ACTIONS(3451),
    [anon_sym___alignof] = ACTIONS(3451),
    [anon_sym__alignof] = ACTIONS(3451),
    [anon_sym_alignof] = ACTIONS(3451),
    [anon_sym__Alignof] = ACTIONS(3451),
    [anon_sym_offsetof] = ACTIONS(3451),
    [anon_sym__Generic] = ACTIONS(3451),
    [anon_sym_asm] = ACTIONS(3451),
    [anon_sym___asm__] = ACTIONS(3451),
    [aux_sym_number_literal_token1] = ACTIONS(3453),
    [aux_sym_number_literal_token2] = ACTIONS(3451),
    [anon_sym_L_SQUOTE] = ACTIONS(3453),
    [anon_sym_u_SQUOTE] = ACTIONS(3453),
    [anon_sym_U_SQUOTE] = ACTIONS(3453),
    [anon_sym_u8_SQUOTE] = ACTIONS(3453),
    [anon_sym_SQUOTE] = ACTIONS(3453),
    [anon_sym_L_DQUOTE] = ACTIONS(3453),
    [anon_sym_u_DQUOTE] = ACTIONS(3453),
    [anon_sym_U_DQUOTE] = ACTIONS(3453),
    [anon_sym_u8_DQUOTE] = ACTIONS(3453),
    [anon_sym_DQUOTE] = ACTIONS(3453),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3451),
    [anon_sym_nullptr] = ACTIONS(3451),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3451),
    [anon_sym_decltype] = ACTIONS(3451),
    [anon_sym_virtual] = ACTIONS(3451),
    [anon_sym_alignas] = ACTIONS(3451),
    [anon_sym_explicit] = ACTIONS(3451),
    [anon_sym_typename] = ACTIONS(3451),
    [anon_sym_template] = ACTIONS(3451),
    [anon_sym_operator] = ACTIONS(3451),
    [anon_sym_try] = ACTIONS(3451),
    [anon_sym_delete] = ACTIONS(3451),
    [anon_sym_throw] = ACTIONS(3451),
    [anon_sym_namespace] = ACTIONS(3451),
    [anon_sym_using] = ACTIONS(3451),
    [anon_sym_static_assert] = ACTIONS(3451),
    [anon_sym_concept] = ACTIONS(3451),
    [anon_sym_co_return] = ACTIONS(3451),
    [anon_sym_co_yield] = ACTIONS(3451),
    [anon_sym_R_DQUOTE] = ACTIONS(3453),
    [anon_sym_LR_DQUOTE] = ACTIONS(3453),
    [anon_sym_uR_DQUOTE] = ACTIONS(3453),
    [anon_sym_UR_DQUOTE] = ACTIONS(3453),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3453),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3451),
    [anon_sym_requires] = ACTIONS(3451),
    [sym_this] = ACTIONS(3451),
  },
  [1002] = {
    [ts_builtin_sym_end] = ACTIONS(3182),
    [sym_identifier] = ACTIONS(3180),
    [aux_sym_preproc_include_token1] = ACTIONS(3180),
    [aux_sym_preproc_def_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3180),
    [sym_preproc_directive] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_STAR] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym___extension__] = ACTIONS(3180),
    [anon_sym_typedef] = ACTIONS(3180),
    [anon_sym_extern] = ACTIONS(3180),
    [anon_sym___attribute__] = ACTIONS(3180),
    [anon_sym_COLON_COLON] = ACTIONS(3182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3182),
    [anon_sym___declspec] = ACTIONS(3180),
    [anon_sym___based] = ACTIONS(3180),
    [anon_sym___cdecl] = ACTIONS(3180),
    [anon_sym___clrcall] = ACTIONS(3180),
    [anon_sym___stdcall] = ACTIONS(3180),
    [anon_sym___fastcall] = ACTIONS(3180),
    [anon_sym___thiscall] = ACTIONS(3180),
    [anon_sym___vectorcall] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_signed] = ACTIONS(3180),
    [anon_sym_unsigned] = ACTIONS(3180),
    [anon_sym_long] = ACTIONS(3180),
    [anon_sym_short] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_register] = ACTIONS(3180),
    [anon_sym_inline] = ACTIONS(3180),
    [anon_sym___inline] = ACTIONS(3180),
    [anon_sym___inline__] = ACTIONS(3180),
    [anon_sym___forceinline] = ACTIONS(3180),
    [anon_sym_thread_local] = ACTIONS(3180),
    [anon_sym___thread] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_constexpr] = ACTIONS(3180),
    [anon_sym_volatile] = ACTIONS(3180),
    [anon_sym_restrict] = ACTIONS(3180),
    [anon_sym___restrict__] = ACTIONS(3180),
    [anon_sym__Atomic] = ACTIONS(3180),
    [anon_sym__Noreturn] = ACTIONS(3180),
    [anon_sym_noreturn] = ACTIONS(3180),
    [anon_sym_mutable] = ACTIONS(3180),
    [anon_sym_constinit] = ACTIONS(3180),
    [anon_sym_consteval] = ACTIONS(3180),
    [anon_sym_PROGMEM] = ACTIONS(3180),
    [aux_sym_primitive_type_token1] = ACTIONS(3180),
    [anon_sym_byte] = ACTIONS(3180),
    [anon_sym_word] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_struct] = ACTIONS(3180),
    [anon_sym_union] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_case] = ACTIONS(3180),
    [anon_sym_default] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_goto] = ACTIONS(3180),
    [anon_sym_not] = ACTIONS(3180),
    [anon_sym_compl] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_sizeof] = ACTIONS(3180),
    [anon_sym___alignof__] = ACTIONS(3180),
    [anon_sym___alignof] = ACTIONS(3180),
    [anon_sym__alignof] = ACTIONS(3180),
    [anon_sym_alignof] = ACTIONS(3180),
    [anon_sym__Alignof] = ACTIONS(3180),
    [anon_sym_offsetof] = ACTIONS(3180),
    [anon_sym__Generic] = ACTIONS(3180),
    [anon_sym_asm] = ACTIONS(3180),
    [anon_sym___asm__] = ACTIONS(3180),
    [aux_sym_number_literal_token1] = ACTIONS(3182),
    [aux_sym_number_literal_token2] = ACTIONS(3180),
    [anon_sym_L_SQUOTE] = ACTIONS(3182),
    [anon_sym_u_SQUOTE] = ACTIONS(3182),
    [anon_sym_U_SQUOTE] = ACTIONS(3182),
    [anon_sym_u8_SQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [anon_sym_L_DQUOTE] = ACTIONS(3182),
    [anon_sym_u_DQUOTE] = ACTIONS(3182),
    [anon_sym_U_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8_DQUOTE] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [anon_sym_NULL] = ACTIONS(3180),
    [anon_sym_nullptr] = ACTIONS(3180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3180),
    [anon_sym_decltype] = ACTIONS(3180),
    [anon_sym_virtual] = ACTIONS(3180),
    [anon_sym_alignas] = ACTIONS(3180),
    [anon_sym_explicit] = ACTIONS(3180),
    [anon_sym_typename] = ACTIONS(3180),
    [anon_sym_template] = ACTIONS(3180),
    [anon_sym_operator] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_static_assert] = ACTIONS(3180),
    [anon_sym_concept] = ACTIONS(3180),
    [anon_sym_co_return] = ACTIONS(3180),
    [anon_sym_co_yield] = ACTIONS(3180),
    [anon_sym_R_DQUOTE] = ACTIONS(3182),
    [anon_sym_LR_DQUOTE] = ACTIONS(3182),
    [anon_sym_uR_DQUOTE] = ACTIONS(3182),
    [anon_sym_UR_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3182),
    [anon_sym_co_await] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_requires] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
  },
  [1003] = {
    [ts_builtin_sym_end] = ACTIONS(3897),
    [sym_identifier] = ACTIONS(3899),
    [aux_sym_preproc_include_token1] = ACTIONS(3899),
    [aux_sym_preproc_def_token1] = ACTIONS(3899),
    [aux_sym_preproc_if_token1] = ACTIONS(3899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3899),
    [sym_preproc_directive] = ACTIONS(3899),
    [anon_sym_LPAREN2] = ACTIONS(3897),
    [anon_sym_BANG] = ACTIONS(3897),
    [anon_sym_TILDE] = ACTIONS(3897),
    [anon_sym_DASH] = ACTIONS(3899),
    [anon_sym_PLUS] = ACTIONS(3899),
    [anon_sym_STAR] = ACTIONS(3897),
    [anon_sym_AMP_AMP] = ACTIONS(3897),
    [anon_sym_AMP] = ACTIONS(3899),
    [anon_sym___extension__] = ACTIONS(3899),
    [anon_sym_typedef] = ACTIONS(3899),
    [anon_sym_extern] = ACTIONS(3899),
    [anon_sym___attribute__] = ACTIONS(3899),
    [anon_sym_COLON_COLON] = ACTIONS(3897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3897),
    [anon_sym___declspec] = ACTIONS(3899),
    [anon_sym___based] = ACTIONS(3899),
    [anon_sym___cdecl] = ACTIONS(3899),
    [anon_sym___clrcall] = ACTIONS(3899),
    [anon_sym___stdcall] = ACTIONS(3899),
    [anon_sym___fastcall] = ACTIONS(3899),
    [anon_sym___thiscall] = ACTIONS(3899),
    [anon_sym___vectorcall] = ACTIONS(3899),
    [anon_sym_LBRACE] = ACTIONS(3897),
    [anon_sym_signed] = ACTIONS(3899),
    [anon_sym_unsigned] = ACTIONS(3899),
    [anon_sym_long] = ACTIONS(3899),
    [anon_sym_short] = ACTIONS(3899),
    [anon_sym_LBRACK] = ACTIONS(3899),
    [anon_sym_static] = ACTIONS(3899),
    [anon_sym_register] = ACTIONS(3899),
    [anon_sym_inline] = ACTIONS(3899),
    [anon_sym___inline] = ACTIONS(3899),
    [anon_sym___inline__] = ACTIONS(3899),
    [anon_sym___forceinline] = ACTIONS(3899),
    [anon_sym_thread_local] = ACTIONS(3899),
    [anon_sym___thread] = ACTIONS(3899),
    [anon_sym_const] = ACTIONS(3899),
    [anon_sym_constexpr] = ACTIONS(3899),
    [anon_sym_volatile] = ACTIONS(3899),
    [anon_sym_restrict] = ACTIONS(3899),
    [anon_sym___restrict__] = ACTIONS(3899),
    [anon_sym__Atomic] = ACTIONS(3899),
    [anon_sym__Noreturn] = ACTIONS(3899),
    [anon_sym_noreturn] = ACTIONS(3899),
    [anon_sym_mutable] = ACTIONS(3899),
    [anon_sym_constinit] = ACTIONS(3899),
    [anon_sym_consteval] = ACTIONS(3899),
    [anon_sym_PROGMEM] = ACTIONS(3899),
    [aux_sym_primitive_type_token1] = ACTIONS(3899),
    [anon_sym_byte] = ACTIONS(3899),
    [anon_sym_word] = ACTIONS(3899),
    [anon_sym_enum] = ACTIONS(3899),
    [anon_sym_class] = ACTIONS(3899),
    [anon_sym_struct] = ACTIONS(3899),
    [anon_sym_union] = ACTIONS(3899),
    [anon_sym_if] = ACTIONS(3899),
    [anon_sym_switch] = ACTIONS(3899),
    [anon_sym_case] = ACTIONS(3899),
    [anon_sym_default] = ACTIONS(3899),
    [anon_sym_while] = ACTIONS(3899),
    [anon_sym_do] = ACTIONS(3899),
    [anon_sym_for] = ACTIONS(3899),
    [anon_sym_return] = ACTIONS(3899),
    [anon_sym_break] = ACTIONS(3899),
    [anon_sym_continue] = ACTIONS(3899),
    [anon_sym_goto] = ACTIONS(3899),
    [anon_sym_not] = ACTIONS(3899),
    [anon_sym_compl] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3897),
    [anon_sym_sizeof] = ACTIONS(3899),
    [anon_sym___alignof__] = ACTIONS(3899),
    [anon_sym___alignof] = ACTIONS(3899),
    [anon_sym__alignof] = ACTIONS(3899),
    [anon_sym_alignof] = ACTIONS(3899),
    [anon_sym__Alignof] = ACTIONS(3899),
    [anon_sym_offsetof] = ACTIONS(3899),
    [anon_sym__Generic] = ACTIONS(3899),
    [anon_sym_asm] = ACTIONS(3899),
    [anon_sym___asm__] = ACTIONS(3899),
    [aux_sym_number_literal_token1] = ACTIONS(3897),
    [aux_sym_number_literal_token2] = ACTIONS(3899),
    [anon_sym_L_SQUOTE] = ACTIONS(3897),
    [anon_sym_u_SQUOTE] = ACTIONS(3897),
    [anon_sym_U_SQUOTE] = ACTIONS(3897),
    [anon_sym_u8_SQUOTE] = ACTIONS(3897),
    [anon_sym_SQUOTE] = ACTIONS(3897),
    [anon_sym_L_DQUOTE] = ACTIONS(3897),
    [anon_sym_u_DQUOTE] = ACTIONS(3897),
    [anon_sym_U_DQUOTE] = ACTIONS(3897),
    [anon_sym_u8_DQUOTE] = ACTIONS(3897),
    [anon_sym_DQUOTE] = ACTIONS(3897),
    [sym_true] = ACTIONS(3899),
    [sym_false] = ACTIONS(3899),
    [anon_sym_NULL] = ACTIONS(3899),
    [anon_sym_nullptr] = ACTIONS(3899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3899),
    [anon_sym_decltype] = ACTIONS(3899),
    [anon_sym_virtual] = ACTIONS(3899),
    [anon_sym_alignas] = ACTIONS(3899),
    [anon_sym_explicit] = ACTIONS(3899),
    [anon_sym_typename] = ACTIONS(3899),
    [anon_sym_template] = ACTIONS(3899),
    [anon_sym_operator] = ACTIONS(3899),
    [anon_sym_try] = ACTIONS(3899),
    [anon_sym_delete] = ACTIONS(3899),
    [anon_sym_throw] = ACTIONS(3899),
    [anon_sym_namespace] = ACTIONS(3899),
    [anon_sym_using] = ACTIONS(3899),
    [anon_sym_static_assert] = ACTIONS(3899),
    [anon_sym_concept] = ACTIONS(3899),
    [anon_sym_co_return] = ACTIONS(3899),
    [anon_sym_co_yield] = ACTIONS(3899),
    [anon_sym_R_DQUOTE] = ACTIONS(3897),
    [anon_sym_LR_DQUOTE] = ACTIONS(3897),
    [anon_sym_uR_DQUOTE] = ACTIONS(3897),
    [anon_sym_UR_DQUOTE] = ACTIONS(3897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3897),
    [anon_sym_co_await] = ACTIONS(3899),
    [anon_sym_new] = ACTIONS(3899),
    [anon_sym_requires] = ACTIONS(3899),
    [sym_this] = ACTIONS(3899),
  },
  [1004] = {
    [sym_preproc_def] = STATE(1015),
    [sym_preproc_function_def] = STATE(1015),
    [sym_preproc_call] = STATE(1015),
    [sym_preproc_if_in_field_declaration_list] = STATE(1015),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1015),
    [sym_type_definition] = STATE(1015),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6396),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1015),
    [sym_field_declaration] = STATE(1015),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1015),
    [sym_operator_cast] = STATE(7382),
    [sym_inline_method_definition] = STATE(1015),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(1015),
    [sym_operator_cast_declaration] = STATE(1015),
    [sym_constructor_or_destructor_definition] = STATE(1015),
    [sym_constructor_or_destructor_declaration] = STATE(1015),
    [sym_friend_declaration] = STATE(1015),
    [sym_access_specifier] = STATE(9207),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1015),
    [sym_alias_declaration] = STATE(1015),
    [sym_static_assert_declaration] = STATE(1015),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1015),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3819),
    [sym_preproc_directive] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_typedef] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3901),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3829),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3831),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_static_assert] = ACTIONS(3835),
  },
  [1005] = {
    [ts_builtin_sym_end] = ACTIONS(3318),
    [sym_identifier] = ACTIONS(3316),
    [aux_sym_preproc_include_token1] = ACTIONS(3316),
    [aux_sym_preproc_def_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token1] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3316),
    [sym_preproc_directive] = ACTIONS(3316),
    [anon_sym_LPAREN2] = ACTIONS(3318),
    [anon_sym_BANG] = ACTIONS(3318),
    [anon_sym_TILDE] = ACTIONS(3318),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_STAR] = ACTIONS(3318),
    [anon_sym_AMP_AMP] = ACTIONS(3318),
    [anon_sym_AMP] = ACTIONS(3316),
    [anon_sym___extension__] = ACTIONS(3316),
    [anon_sym_typedef] = ACTIONS(3316),
    [anon_sym_extern] = ACTIONS(3316),
    [anon_sym___attribute__] = ACTIONS(3316),
    [anon_sym_COLON_COLON] = ACTIONS(3318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3318),
    [anon_sym___declspec] = ACTIONS(3316),
    [anon_sym___based] = ACTIONS(3316),
    [anon_sym___cdecl] = ACTIONS(3316),
    [anon_sym___clrcall] = ACTIONS(3316),
    [anon_sym___stdcall] = ACTIONS(3316),
    [anon_sym___fastcall] = ACTIONS(3316),
    [anon_sym___thiscall] = ACTIONS(3316),
    [anon_sym___vectorcall] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_signed] = ACTIONS(3316),
    [anon_sym_unsigned] = ACTIONS(3316),
    [anon_sym_long] = ACTIONS(3316),
    [anon_sym_short] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_register] = ACTIONS(3316),
    [anon_sym_inline] = ACTIONS(3316),
    [anon_sym___inline] = ACTIONS(3316),
    [anon_sym___inline__] = ACTIONS(3316),
    [anon_sym___forceinline] = ACTIONS(3316),
    [anon_sym_thread_local] = ACTIONS(3316),
    [anon_sym___thread] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_constexpr] = ACTIONS(3316),
    [anon_sym_volatile] = ACTIONS(3316),
    [anon_sym_restrict] = ACTIONS(3316),
    [anon_sym___restrict__] = ACTIONS(3316),
    [anon_sym__Atomic] = ACTIONS(3316),
    [anon_sym__Noreturn] = ACTIONS(3316),
    [anon_sym_noreturn] = ACTIONS(3316),
    [anon_sym_mutable] = ACTIONS(3316),
    [anon_sym_constinit] = ACTIONS(3316),
    [anon_sym_consteval] = ACTIONS(3316),
    [anon_sym_PROGMEM] = ACTIONS(3316),
    [aux_sym_primitive_type_token1] = ACTIONS(3316),
    [anon_sym_byte] = ACTIONS(3316),
    [anon_sym_word] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_struct] = ACTIONS(3316),
    [anon_sym_union] = ACTIONS(3316),
    [anon_sym_if] = ACTIONS(3316),
    [anon_sym_switch] = ACTIONS(3316),
    [anon_sym_case] = ACTIONS(3316),
    [anon_sym_default] = ACTIONS(3316),
    [anon_sym_while] = ACTIONS(3316),
    [anon_sym_do] = ACTIONS(3316),
    [anon_sym_for] = ACTIONS(3316),
    [anon_sym_return] = ACTIONS(3316),
    [anon_sym_break] = ACTIONS(3316),
    [anon_sym_continue] = ACTIONS(3316),
    [anon_sym_goto] = ACTIONS(3316),
    [anon_sym_not] = ACTIONS(3316),
    [anon_sym_compl] = ACTIONS(3316),
    [anon_sym_DASH_DASH] = ACTIONS(3318),
    [anon_sym_PLUS_PLUS] = ACTIONS(3318),
    [anon_sym_sizeof] = ACTIONS(3316),
    [anon_sym___alignof__] = ACTIONS(3316),
    [anon_sym___alignof] = ACTIONS(3316),
    [anon_sym__alignof] = ACTIONS(3316),
    [anon_sym_alignof] = ACTIONS(3316),
    [anon_sym__Alignof] = ACTIONS(3316),
    [anon_sym_offsetof] = ACTIONS(3316),
    [anon_sym__Generic] = ACTIONS(3316),
    [anon_sym_asm] = ACTIONS(3316),
    [anon_sym___asm__] = ACTIONS(3316),
    [aux_sym_number_literal_token1] = ACTIONS(3318),
    [aux_sym_number_literal_token2] = ACTIONS(3316),
    [anon_sym_L_SQUOTE] = ACTIONS(3318),
    [anon_sym_u_SQUOTE] = ACTIONS(3318),
    [anon_sym_U_SQUOTE] = ACTIONS(3318),
    [anon_sym_u8_SQUOTE] = ACTIONS(3318),
    [anon_sym_SQUOTE] = ACTIONS(3318),
    [anon_sym_L_DQUOTE] = ACTIONS(3318),
    [anon_sym_u_DQUOTE] = ACTIONS(3318),
    [anon_sym_U_DQUOTE] = ACTIONS(3318),
    [anon_sym_u8_DQUOTE] = ACTIONS(3318),
    [anon_sym_DQUOTE] = ACTIONS(3318),
    [sym_true] = ACTIONS(3316),
    [sym_false] = ACTIONS(3316),
    [anon_sym_NULL] = ACTIONS(3316),
    [anon_sym_nullptr] = ACTIONS(3316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3316),
    [anon_sym_decltype] = ACTIONS(3316),
    [anon_sym_virtual] = ACTIONS(3316),
    [anon_sym_alignas] = ACTIONS(3316),
    [anon_sym_explicit] = ACTIONS(3316),
    [anon_sym_typename] = ACTIONS(3316),
    [anon_sym_template] = ACTIONS(3316),
    [anon_sym_operator] = ACTIONS(3316),
    [anon_sym_try] = ACTIONS(3316),
    [anon_sym_delete] = ACTIONS(3316),
    [anon_sym_throw] = ACTIONS(3316),
    [anon_sym_namespace] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_static_assert] = ACTIONS(3316),
    [anon_sym_concept] = ACTIONS(3316),
    [anon_sym_co_return] = ACTIONS(3316),
    [anon_sym_co_yield] = ACTIONS(3316),
    [anon_sym_R_DQUOTE] = ACTIONS(3318),
    [anon_sym_LR_DQUOTE] = ACTIONS(3318),
    [anon_sym_uR_DQUOTE] = ACTIONS(3318),
    [anon_sym_UR_DQUOTE] = ACTIONS(3318),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3318),
    [anon_sym_co_await] = ACTIONS(3316),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3316),
    [sym_this] = ACTIONS(3316),
  },
  [1006] = {
    [ts_builtin_sym_end] = ACTIONS(3198),
    [sym_identifier] = ACTIONS(3196),
    [aux_sym_preproc_include_token1] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3196),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3196),
    [sym_preproc_directive] = ACTIONS(3196),
    [anon_sym_LPAREN2] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_STAR] = ACTIONS(3198),
    [anon_sym_AMP_AMP] = ACTIONS(3198),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym___extension__] = ACTIONS(3196),
    [anon_sym_typedef] = ACTIONS(3196),
    [anon_sym_extern] = ACTIONS(3196),
    [anon_sym___attribute__] = ACTIONS(3196),
    [anon_sym_COLON_COLON] = ACTIONS(3198),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3198),
    [anon_sym___declspec] = ACTIONS(3196),
    [anon_sym___based] = ACTIONS(3196),
    [anon_sym___cdecl] = ACTIONS(3196),
    [anon_sym___clrcall] = ACTIONS(3196),
    [anon_sym___stdcall] = ACTIONS(3196),
    [anon_sym___fastcall] = ACTIONS(3196),
    [anon_sym___thiscall] = ACTIONS(3196),
    [anon_sym___vectorcall] = ACTIONS(3196),
    [anon_sym_LBRACE] = ACTIONS(3198),
    [anon_sym_signed] = ACTIONS(3196),
    [anon_sym_unsigned] = ACTIONS(3196),
    [anon_sym_long] = ACTIONS(3196),
    [anon_sym_short] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_register] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(3196),
    [anon_sym___inline] = ACTIONS(3196),
    [anon_sym___inline__] = ACTIONS(3196),
    [anon_sym___forceinline] = ACTIONS(3196),
    [anon_sym_thread_local] = ACTIONS(3196),
    [anon_sym___thread] = ACTIONS(3196),
    [anon_sym_const] = ACTIONS(3196),
    [anon_sym_constexpr] = ACTIONS(3196),
    [anon_sym_volatile] = ACTIONS(3196),
    [anon_sym_restrict] = ACTIONS(3196),
    [anon_sym___restrict__] = ACTIONS(3196),
    [anon_sym__Atomic] = ACTIONS(3196),
    [anon_sym__Noreturn] = ACTIONS(3196),
    [anon_sym_noreturn] = ACTIONS(3196),
    [anon_sym_mutable] = ACTIONS(3196),
    [anon_sym_constinit] = ACTIONS(3196),
    [anon_sym_consteval] = ACTIONS(3196),
    [anon_sym_PROGMEM] = ACTIONS(3196),
    [aux_sym_primitive_type_token1] = ACTIONS(3196),
    [anon_sym_byte] = ACTIONS(3196),
    [anon_sym_word] = ACTIONS(3196),
    [anon_sym_enum] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_struct] = ACTIONS(3196),
    [anon_sym_union] = ACTIONS(3196),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_switch] = ACTIONS(3196),
    [anon_sym_case] = ACTIONS(3196),
    [anon_sym_default] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3196),
    [anon_sym_do] = ACTIONS(3196),
    [anon_sym_for] = ACTIONS(3196),
    [anon_sym_return] = ACTIONS(3196),
    [anon_sym_break] = ACTIONS(3196),
    [anon_sym_continue] = ACTIONS(3196),
    [anon_sym_goto] = ACTIONS(3196),
    [anon_sym_not] = ACTIONS(3196),
    [anon_sym_compl] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_sizeof] = ACTIONS(3196),
    [anon_sym___alignof__] = ACTIONS(3196),
    [anon_sym___alignof] = ACTIONS(3196),
    [anon_sym__alignof] = ACTIONS(3196),
    [anon_sym_alignof] = ACTIONS(3196),
    [anon_sym__Alignof] = ACTIONS(3196),
    [anon_sym_offsetof] = ACTIONS(3196),
    [anon_sym__Generic] = ACTIONS(3196),
    [anon_sym_asm] = ACTIONS(3196),
    [anon_sym___asm__] = ACTIONS(3196),
    [aux_sym_number_literal_token1] = ACTIONS(3198),
    [aux_sym_number_literal_token2] = ACTIONS(3196),
    [anon_sym_L_SQUOTE] = ACTIONS(3198),
    [anon_sym_u_SQUOTE] = ACTIONS(3198),
    [anon_sym_U_SQUOTE] = ACTIONS(3198),
    [anon_sym_u8_SQUOTE] = ACTIONS(3198),
    [anon_sym_SQUOTE] = ACTIONS(3198),
    [anon_sym_L_DQUOTE] = ACTIONS(3198),
    [anon_sym_u_DQUOTE] = ACTIONS(3198),
    [anon_sym_U_DQUOTE] = ACTIONS(3198),
    [anon_sym_u8_DQUOTE] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [sym_true] = ACTIONS(3196),
    [sym_false] = ACTIONS(3196),
    [anon_sym_NULL] = ACTIONS(3196),
    [anon_sym_nullptr] = ACTIONS(3196),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3196),
    [anon_sym_decltype] = ACTIONS(3196),
    [anon_sym_virtual] = ACTIONS(3196),
    [anon_sym_alignas] = ACTIONS(3196),
    [anon_sym_explicit] = ACTIONS(3196),
    [anon_sym_typename] = ACTIONS(3196),
    [anon_sym_template] = ACTIONS(3196),
    [anon_sym_operator] = ACTIONS(3196),
    [anon_sym_try] = ACTIONS(3196),
    [anon_sym_delete] = ACTIONS(3196),
    [anon_sym_throw] = ACTIONS(3196),
    [anon_sym_namespace] = ACTIONS(3196),
    [anon_sym_using] = ACTIONS(3196),
    [anon_sym_static_assert] = ACTIONS(3196),
    [anon_sym_concept] = ACTIONS(3196),
    [anon_sym_co_return] = ACTIONS(3196),
    [anon_sym_co_yield] = ACTIONS(3196),
    [anon_sym_R_DQUOTE] = ACTIONS(3198),
    [anon_sym_LR_DQUOTE] = ACTIONS(3198),
    [anon_sym_uR_DQUOTE] = ACTIONS(3198),
    [anon_sym_UR_DQUOTE] = ACTIONS(3198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3198),
    [anon_sym_co_await] = ACTIONS(3196),
    [anon_sym_new] = ACTIONS(3196),
    [anon_sym_requires] = ACTIONS(3196),
    [sym_this] = ACTIONS(3196),
  },
  [1007] = {
    [ts_builtin_sym_end] = ACTIONS(3345),
    [sym_identifier] = ACTIONS(3343),
    [aux_sym_preproc_include_token1] = ACTIONS(3343),
    [aux_sym_preproc_def_token1] = ACTIONS(3343),
    [aux_sym_preproc_if_token1] = ACTIONS(3343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3343),
    [sym_preproc_directive] = ACTIONS(3343),
    [anon_sym_LPAREN2] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(3345),
    [anon_sym_AMP_AMP] = ACTIONS(3345),
    [anon_sym_AMP] = ACTIONS(3343),
    [anon_sym___extension__] = ACTIONS(3343),
    [anon_sym_typedef] = ACTIONS(3343),
    [anon_sym_extern] = ACTIONS(3343),
    [anon_sym___attribute__] = ACTIONS(3343),
    [anon_sym_COLON_COLON] = ACTIONS(3345),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3345),
    [anon_sym___declspec] = ACTIONS(3343),
    [anon_sym___based] = ACTIONS(3343),
    [anon_sym___cdecl] = ACTIONS(3343),
    [anon_sym___clrcall] = ACTIONS(3343),
    [anon_sym___stdcall] = ACTIONS(3343),
    [anon_sym___fastcall] = ACTIONS(3343),
    [anon_sym___thiscall] = ACTIONS(3343),
    [anon_sym___vectorcall] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3345),
    [anon_sym_signed] = ACTIONS(3343),
    [anon_sym_unsigned] = ACTIONS(3343),
    [anon_sym_long] = ACTIONS(3343),
    [anon_sym_short] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_register] = ACTIONS(3343),
    [anon_sym_inline] = ACTIONS(3343),
    [anon_sym___inline] = ACTIONS(3343),
    [anon_sym___inline__] = ACTIONS(3343),
    [anon_sym___forceinline] = ACTIONS(3343),
    [anon_sym_thread_local] = ACTIONS(3343),
    [anon_sym___thread] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_constexpr] = ACTIONS(3343),
    [anon_sym_volatile] = ACTIONS(3343),
    [anon_sym_restrict] = ACTIONS(3343),
    [anon_sym___restrict__] = ACTIONS(3343),
    [anon_sym__Atomic] = ACTIONS(3343),
    [anon_sym__Noreturn] = ACTIONS(3343),
    [anon_sym_noreturn] = ACTIONS(3343),
    [anon_sym_mutable] = ACTIONS(3343),
    [anon_sym_constinit] = ACTIONS(3343),
    [anon_sym_consteval] = ACTIONS(3343),
    [anon_sym_PROGMEM] = ACTIONS(3343),
    [aux_sym_primitive_type_token1] = ACTIONS(3343),
    [anon_sym_byte] = ACTIONS(3343),
    [anon_sym_word] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_struct] = ACTIONS(3343),
    [anon_sym_union] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_goto] = ACTIONS(3343),
    [anon_sym_not] = ACTIONS(3343),
    [anon_sym_compl] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_sizeof] = ACTIONS(3343),
    [anon_sym___alignof__] = ACTIONS(3343),
    [anon_sym___alignof] = ACTIONS(3343),
    [anon_sym__alignof] = ACTIONS(3343),
    [anon_sym_alignof] = ACTIONS(3343),
    [anon_sym__Alignof] = ACTIONS(3343),
    [anon_sym_offsetof] = ACTIONS(3343),
    [anon_sym__Generic] = ACTIONS(3343),
    [anon_sym_asm] = ACTIONS(3343),
    [anon_sym___asm__] = ACTIONS(3343),
    [aux_sym_number_literal_token1] = ACTIONS(3345),
    [aux_sym_number_literal_token2] = ACTIONS(3343),
    [anon_sym_L_SQUOTE] = ACTIONS(3345),
    [anon_sym_u_SQUOTE] = ACTIONS(3345),
    [anon_sym_U_SQUOTE] = ACTIONS(3345),
    [anon_sym_u8_SQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [anon_sym_L_DQUOTE] = ACTIONS(3345),
    [anon_sym_u_DQUOTE] = ACTIONS(3345),
    [anon_sym_U_DQUOTE] = ACTIONS(3345),
    [anon_sym_u8_DQUOTE] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [anon_sym_NULL] = ACTIONS(3343),
    [anon_sym_nullptr] = ACTIONS(3343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3343),
    [anon_sym_decltype] = ACTIONS(3343),
    [anon_sym_virtual] = ACTIONS(3343),
    [anon_sym_alignas] = ACTIONS(3343),
    [anon_sym_explicit] = ACTIONS(3343),
    [anon_sym_typename] = ACTIONS(3343),
    [anon_sym_template] = ACTIONS(3343),
    [anon_sym_operator] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_static_assert] = ACTIONS(3343),
    [anon_sym_concept] = ACTIONS(3343),
    [anon_sym_co_return] = ACTIONS(3343),
    [anon_sym_co_yield] = ACTIONS(3343),
    [anon_sym_R_DQUOTE] = ACTIONS(3345),
    [anon_sym_LR_DQUOTE] = ACTIONS(3345),
    [anon_sym_uR_DQUOTE] = ACTIONS(3345),
    [anon_sym_UR_DQUOTE] = ACTIONS(3345),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3345),
    [anon_sym_co_await] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_requires] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
  },
  [1008] = {
    [ts_builtin_sym_end] = ACTIONS(3395),
    [sym_identifier] = ACTIONS(3393),
    [aux_sym_preproc_include_token1] = ACTIONS(3393),
    [aux_sym_preproc_def_token1] = ACTIONS(3393),
    [aux_sym_preproc_if_token1] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3393),
    [sym_preproc_directive] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3395),
    [anon_sym_TILDE] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3393),
    [anon_sym_STAR] = ACTIONS(3395),
    [anon_sym_AMP_AMP] = ACTIONS(3395),
    [anon_sym_AMP] = ACTIONS(3393),
    [anon_sym___extension__] = ACTIONS(3393),
    [anon_sym_typedef] = ACTIONS(3393),
    [anon_sym_extern] = ACTIONS(3393),
    [anon_sym___attribute__] = ACTIONS(3393),
    [anon_sym_COLON_COLON] = ACTIONS(3395),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3395),
    [anon_sym___declspec] = ACTIONS(3393),
    [anon_sym___based] = ACTIONS(3393),
    [anon_sym___cdecl] = ACTIONS(3393),
    [anon_sym___clrcall] = ACTIONS(3393),
    [anon_sym___stdcall] = ACTIONS(3393),
    [anon_sym___fastcall] = ACTIONS(3393),
    [anon_sym___thiscall] = ACTIONS(3393),
    [anon_sym___vectorcall] = ACTIONS(3393),
    [anon_sym_LBRACE] = ACTIONS(3395),
    [anon_sym_signed] = ACTIONS(3393),
    [anon_sym_unsigned] = ACTIONS(3393),
    [anon_sym_long] = ACTIONS(3393),
    [anon_sym_short] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(3393),
    [anon_sym_static] = ACTIONS(3393),
    [anon_sym_register] = ACTIONS(3393),
    [anon_sym_inline] = ACTIONS(3393),
    [anon_sym___inline] = ACTIONS(3393),
    [anon_sym___inline__] = ACTIONS(3393),
    [anon_sym___forceinline] = ACTIONS(3393),
    [anon_sym_thread_local] = ACTIONS(3393),
    [anon_sym___thread] = ACTIONS(3393),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_constexpr] = ACTIONS(3393),
    [anon_sym_volatile] = ACTIONS(3393),
    [anon_sym_restrict] = ACTIONS(3393),
    [anon_sym___restrict__] = ACTIONS(3393),
    [anon_sym__Atomic] = ACTIONS(3393),
    [anon_sym__Noreturn] = ACTIONS(3393),
    [anon_sym_noreturn] = ACTIONS(3393),
    [anon_sym_mutable] = ACTIONS(3393),
    [anon_sym_constinit] = ACTIONS(3393),
    [anon_sym_consteval] = ACTIONS(3393),
    [anon_sym_PROGMEM] = ACTIONS(3393),
    [aux_sym_primitive_type_token1] = ACTIONS(3393),
    [anon_sym_byte] = ACTIONS(3393),
    [anon_sym_word] = ACTIONS(3393),
    [anon_sym_enum] = ACTIONS(3393),
    [anon_sym_class] = ACTIONS(3393),
    [anon_sym_struct] = ACTIONS(3393),
    [anon_sym_union] = ACTIONS(3393),
    [anon_sym_if] = ACTIONS(3393),
    [anon_sym_switch] = ACTIONS(3393),
    [anon_sym_case] = ACTIONS(3393),
    [anon_sym_default] = ACTIONS(3393),
    [anon_sym_while] = ACTIONS(3393),
    [anon_sym_do] = ACTIONS(3393),
    [anon_sym_for] = ACTIONS(3393),
    [anon_sym_return] = ACTIONS(3393),
    [anon_sym_break] = ACTIONS(3393),
    [anon_sym_continue] = ACTIONS(3393),
    [anon_sym_goto] = ACTIONS(3393),
    [anon_sym_not] = ACTIONS(3393),
    [anon_sym_compl] = ACTIONS(3393),
    [anon_sym_DASH_DASH] = ACTIONS(3395),
    [anon_sym_PLUS_PLUS] = ACTIONS(3395),
    [anon_sym_sizeof] = ACTIONS(3393),
    [anon_sym___alignof__] = ACTIONS(3393),
    [anon_sym___alignof] = ACTIONS(3393),
    [anon_sym__alignof] = ACTIONS(3393),
    [anon_sym_alignof] = ACTIONS(3393),
    [anon_sym__Alignof] = ACTIONS(3393),
    [anon_sym_offsetof] = ACTIONS(3393),
    [anon_sym__Generic] = ACTIONS(3393),
    [anon_sym_asm] = ACTIONS(3393),
    [anon_sym___asm__] = ACTIONS(3393),
    [aux_sym_number_literal_token1] = ACTIONS(3395),
    [aux_sym_number_literal_token2] = ACTIONS(3393),
    [anon_sym_L_SQUOTE] = ACTIONS(3395),
    [anon_sym_u_SQUOTE] = ACTIONS(3395),
    [anon_sym_U_SQUOTE] = ACTIONS(3395),
    [anon_sym_u8_SQUOTE] = ACTIONS(3395),
    [anon_sym_SQUOTE] = ACTIONS(3395),
    [anon_sym_L_DQUOTE] = ACTIONS(3395),
    [anon_sym_u_DQUOTE] = ACTIONS(3395),
    [anon_sym_U_DQUOTE] = ACTIONS(3395),
    [anon_sym_u8_DQUOTE] = ACTIONS(3395),
    [anon_sym_DQUOTE] = ACTIONS(3395),
    [sym_true] = ACTIONS(3393),
    [sym_false] = ACTIONS(3393),
    [anon_sym_NULL] = ACTIONS(3393),
    [anon_sym_nullptr] = ACTIONS(3393),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3393),
    [anon_sym_decltype] = ACTIONS(3393),
    [anon_sym_virtual] = ACTIONS(3393),
    [anon_sym_alignas] = ACTIONS(3393),
    [anon_sym_explicit] = ACTIONS(3393),
    [anon_sym_typename] = ACTIONS(3393),
    [anon_sym_template] = ACTIONS(3393),
    [anon_sym_operator] = ACTIONS(3393),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_delete] = ACTIONS(3393),
    [anon_sym_throw] = ACTIONS(3393),
    [anon_sym_namespace] = ACTIONS(3393),
    [anon_sym_using] = ACTIONS(3393),
    [anon_sym_static_assert] = ACTIONS(3393),
    [anon_sym_concept] = ACTIONS(3393),
    [anon_sym_co_return] = ACTIONS(3393),
    [anon_sym_co_yield] = ACTIONS(3393),
    [anon_sym_R_DQUOTE] = ACTIONS(3395),
    [anon_sym_LR_DQUOTE] = ACTIONS(3395),
    [anon_sym_uR_DQUOTE] = ACTIONS(3395),
    [anon_sym_UR_DQUOTE] = ACTIONS(3395),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3395),
    [anon_sym_co_await] = ACTIONS(3393),
    [anon_sym_new] = ACTIONS(3393),
    [anon_sym_requires] = ACTIONS(3393),
    [sym_this] = ACTIONS(3393),
  },
  [1009] = {
    [ts_builtin_sym_end] = ACTIONS(3178),
    [sym_identifier] = ACTIONS(3176),
    [aux_sym_preproc_include_token1] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3178),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym___extension__] = ACTIONS(3176),
    [anon_sym_typedef] = ACTIONS(3176),
    [anon_sym_extern] = ACTIONS(3176),
    [anon_sym___attribute__] = ACTIONS(3176),
    [anon_sym_COLON_COLON] = ACTIONS(3178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3178),
    [anon_sym___declspec] = ACTIONS(3176),
    [anon_sym___based] = ACTIONS(3176),
    [anon_sym___cdecl] = ACTIONS(3176),
    [anon_sym___clrcall] = ACTIONS(3176),
    [anon_sym___stdcall] = ACTIONS(3176),
    [anon_sym___fastcall] = ACTIONS(3176),
    [anon_sym___thiscall] = ACTIONS(3176),
    [anon_sym___vectorcall] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3178),
    [anon_sym_signed] = ACTIONS(3176),
    [anon_sym_unsigned] = ACTIONS(3176),
    [anon_sym_long] = ACTIONS(3176),
    [anon_sym_short] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_register] = ACTIONS(3176),
    [anon_sym_inline] = ACTIONS(3176),
    [anon_sym___inline] = ACTIONS(3176),
    [anon_sym___inline__] = ACTIONS(3176),
    [anon_sym___forceinline] = ACTIONS(3176),
    [anon_sym_thread_local] = ACTIONS(3176),
    [anon_sym___thread] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_constexpr] = ACTIONS(3176),
    [anon_sym_volatile] = ACTIONS(3176),
    [anon_sym_restrict] = ACTIONS(3176),
    [anon_sym___restrict__] = ACTIONS(3176),
    [anon_sym__Atomic] = ACTIONS(3176),
    [anon_sym__Noreturn] = ACTIONS(3176),
    [anon_sym_noreturn] = ACTIONS(3176),
    [anon_sym_mutable] = ACTIONS(3176),
    [anon_sym_constinit] = ACTIONS(3176),
    [anon_sym_consteval] = ACTIONS(3176),
    [anon_sym_PROGMEM] = ACTIONS(3176),
    [aux_sym_primitive_type_token1] = ACTIONS(3176),
    [anon_sym_byte] = ACTIONS(3176),
    [anon_sym_word] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_struct] = ACTIONS(3176),
    [anon_sym_union] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_default] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_goto] = ACTIONS(3176),
    [anon_sym_not] = ACTIONS(3176),
    [anon_sym_compl] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(3176),
    [anon_sym___alignof__] = ACTIONS(3176),
    [anon_sym___alignof] = ACTIONS(3176),
    [anon_sym__alignof] = ACTIONS(3176),
    [anon_sym_alignof] = ACTIONS(3176),
    [anon_sym__Alignof] = ACTIONS(3176),
    [anon_sym_offsetof] = ACTIONS(3176),
    [anon_sym__Generic] = ACTIONS(3176),
    [anon_sym_asm] = ACTIONS(3176),
    [anon_sym___asm__] = ACTIONS(3176),
    [aux_sym_number_literal_token1] = ACTIONS(3178),
    [aux_sym_number_literal_token2] = ACTIONS(3176),
    [anon_sym_L_SQUOTE] = ACTIONS(3178),
    [anon_sym_u_SQUOTE] = ACTIONS(3178),
    [anon_sym_U_SQUOTE] = ACTIONS(3178),
    [anon_sym_u8_SQUOTE] = ACTIONS(3178),
    [anon_sym_SQUOTE] = ACTIONS(3178),
    [anon_sym_L_DQUOTE] = ACTIONS(3178),
    [anon_sym_u_DQUOTE] = ACTIONS(3178),
    [anon_sym_U_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8_DQUOTE] = ACTIONS(3178),
    [anon_sym_DQUOTE] = ACTIONS(3178),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [anon_sym_NULL] = ACTIONS(3176),
    [anon_sym_nullptr] = ACTIONS(3176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3176),
    [anon_sym_decltype] = ACTIONS(3176),
    [anon_sym_virtual] = ACTIONS(3176),
    [anon_sym_alignas] = ACTIONS(3176),
    [anon_sym_explicit] = ACTIONS(3176),
    [anon_sym_typename] = ACTIONS(3176),
    [anon_sym_template] = ACTIONS(3176),
    [anon_sym_operator] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_static_assert] = ACTIONS(3176),
    [anon_sym_concept] = ACTIONS(3176),
    [anon_sym_co_return] = ACTIONS(3176),
    [anon_sym_co_yield] = ACTIONS(3176),
    [anon_sym_R_DQUOTE] = ACTIONS(3178),
    [anon_sym_LR_DQUOTE] = ACTIONS(3178),
    [anon_sym_uR_DQUOTE] = ACTIONS(3178),
    [anon_sym_UR_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3178),
    [anon_sym_co_await] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_requires] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
  },
  [1010] = {
    [ts_builtin_sym_end] = ACTIONS(3371),
    [sym_identifier] = ACTIONS(3369),
    [aux_sym_preproc_include_token1] = ACTIONS(3369),
    [aux_sym_preproc_def_token1] = ACTIONS(3369),
    [aux_sym_preproc_if_token1] = ACTIONS(3369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3369),
    [sym_preproc_directive] = ACTIONS(3369),
    [anon_sym_LPAREN2] = ACTIONS(3371),
    [anon_sym_BANG] = ACTIONS(3371),
    [anon_sym_TILDE] = ACTIONS(3371),
    [anon_sym_DASH] = ACTIONS(3369),
    [anon_sym_PLUS] = ACTIONS(3369),
    [anon_sym_STAR] = ACTIONS(3371),
    [anon_sym_AMP_AMP] = ACTIONS(3371),
    [anon_sym_AMP] = ACTIONS(3369),
    [anon_sym___extension__] = ACTIONS(3369),
    [anon_sym_typedef] = ACTIONS(3369),
    [anon_sym_extern] = ACTIONS(3369),
    [anon_sym___attribute__] = ACTIONS(3369),
    [anon_sym_COLON_COLON] = ACTIONS(3371),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3371),
    [anon_sym___declspec] = ACTIONS(3369),
    [anon_sym___based] = ACTIONS(3369),
    [anon_sym___cdecl] = ACTIONS(3369),
    [anon_sym___clrcall] = ACTIONS(3369),
    [anon_sym___stdcall] = ACTIONS(3369),
    [anon_sym___fastcall] = ACTIONS(3369),
    [anon_sym___thiscall] = ACTIONS(3369),
    [anon_sym___vectorcall] = ACTIONS(3369),
    [anon_sym_LBRACE] = ACTIONS(3371),
    [anon_sym_signed] = ACTIONS(3369),
    [anon_sym_unsigned] = ACTIONS(3369),
    [anon_sym_long] = ACTIONS(3369),
    [anon_sym_short] = ACTIONS(3369),
    [anon_sym_LBRACK] = ACTIONS(3369),
    [anon_sym_static] = ACTIONS(3369),
    [anon_sym_register] = ACTIONS(3369),
    [anon_sym_inline] = ACTIONS(3369),
    [anon_sym___inline] = ACTIONS(3369),
    [anon_sym___inline__] = ACTIONS(3369),
    [anon_sym___forceinline] = ACTIONS(3369),
    [anon_sym_thread_local] = ACTIONS(3369),
    [anon_sym___thread] = ACTIONS(3369),
    [anon_sym_const] = ACTIONS(3369),
    [anon_sym_constexpr] = ACTIONS(3369),
    [anon_sym_volatile] = ACTIONS(3369),
    [anon_sym_restrict] = ACTIONS(3369),
    [anon_sym___restrict__] = ACTIONS(3369),
    [anon_sym__Atomic] = ACTIONS(3369),
    [anon_sym__Noreturn] = ACTIONS(3369),
    [anon_sym_noreturn] = ACTIONS(3369),
    [anon_sym_mutable] = ACTIONS(3369),
    [anon_sym_constinit] = ACTIONS(3369),
    [anon_sym_consteval] = ACTIONS(3369),
    [anon_sym_PROGMEM] = ACTIONS(3369),
    [aux_sym_primitive_type_token1] = ACTIONS(3369),
    [anon_sym_byte] = ACTIONS(3369),
    [anon_sym_word] = ACTIONS(3369),
    [anon_sym_enum] = ACTIONS(3369),
    [anon_sym_class] = ACTIONS(3369),
    [anon_sym_struct] = ACTIONS(3369),
    [anon_sym_union] = ACTIONS(3369),
    [anon_sym_if] = ACTIONS(3369),
    [anon_sym_switch] = ACTIONS(3369),
    [anon_sym_case] = ACTIONS(3369),
    [anon_sym_default] = ACTIONS(3369),
    [anon_sym_while] = ACTIONS(3369),
    [anon_sym_do] = ACTIONS(3369),
    [anon_sym_for] = ACTIONS(3369),
    [anon_sym_return] = ACTIONS(3369),
    [anon_sym_break] = ACTIONS(3369),
    [anon_sym_continue] = ACTIONS(3369),
    [anon_sym_goto] = ACTIONS(3369),
    [anon_sym_not] = ACTIONS(3369),
    [anon_sym_compl] = ACTIONS(3369),
    [anon_sym_DASH_DASH] = ACTIONS(3371),
    [anon_sym_PLUS_PLUS] = ACTIONS(3371),
    [anon_sym_sizeof] = ACTIONS(3369),
    [anon_sym___alignof__] = ACTIONS(3369),
    [anon_sym___alignof] = ACTIONS(3369),
    [anon_sym__alignof] = ACTIONS(3369),
    [anon_sym_alignof] = ACTIONS(3369),
    [anon_sym__Alignof] = ACTIONS(3369),
    [anon_sym_offsetof] = ACTIONS(3369),
    [anon_sym__Generic] = ACTIONS(3369),
    [anon_sym_asm] = ACTIONS(3369),
    [anon_sym___asm__] = ACTIONS(3369),
    [aux_sym_number_literal_token1] = ACTIONS(3371),
    [aux_sym_number_literal_token2] = ACTIONS(3369),
    [anon_sym_L_SQUOTE] = ACTIONS(3371),
    [anon_sym_u_SQUOTE] = ACTIONS(3371),
    [anon_sym_U_SQUOTE] = ACTIONS(3371),
    [anon_sym_u8_SQUOTE] = ACTIONS(3371),
    [anon_sym_SQUOTE] = ACTIONS(3371),
    [anon_sym_L_DQUOTE] = ACTIONS(3371),
    [anon_sym_u_DQUOTE] = ACTIONS(3371),
    [anon_sym_U_DQUOTE] = ACTIONS(3371),
    [anon_sym_u8_DQUOTE] = ACTIONS(3371),
    [anon_sym_DQUOTE] = ACTIONS(3371),
    [sym_true] = ACTIONS(3369),
    [sym_false] = ACTIONS(3369),
    [anon_sym_NULL] = ACTIONS(3369),
    [anon_sym_nullptr] = ACTIONS(3369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3369),
    [anon_sym_decltype] = ACTIONS(3369),
    [anon_sym_virtual] = ACTIONS(3369),
    [anon_sym_alignas] = ACTIONS(3369),
    [anon_sym_explicit] = ACTIONS(3369),
    [anon_sym_typename] = ACTIONS(3369),
    [anon_sym_template] = ACTIONS(3369),
    [anon_sym_operator] = ACTIONS(3369),
    [anon_sym_try] = ACTIONS(3369),
    [anon_sym_delete] = ACTIONS(3369),
    [anon_sym_throw] = ACTIONS(3369),
    [anon_sym_namespace] = ACTIONS(3369),
    [anon_sym_using] = ACTIONS(3369),
    [anon_sym_static_assert] = ACTIONS(3369),
    [anon_sym_concept] = ACTIONS(3369),
    [anon_sym_co_return] = ACTIONS(3369),
    [anon_sym_co_yield] = ACTIONS(3369),
    [anon_sym_R_DQUOTE] = ACTIONS(3371),
    [anon_sym_LR_DQUOTE] = ACTIONS(3371),
    [anon_sym_uR_DQUOTE] = ACTIONS(3371),
    [anon_sym_UR_DQUOTE] = ACTIONS(3371),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3371),
    [anon_sym_co_await] = ACTIONS(3369),
    [anon_sym_new] = ACTIONS(3369),
    [anon_sym_requires] = ACTIONS(3369),
    [sym_this] = ACTIONS(3369),
  },
  [1011] = {
    [ts_builtin_sym_end] = ACTIONS(3359),
    [sym_identifier] = ACTIONS(3357),
    [aux_sym_preproc_include_token1] = ACTIONS(3357),
    [aux_sym_preproc_def_token1] = ACTIONS(3357),
    [aux_sym_preproc_if_token1] = ACTIONS(3357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3357),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3357),
    [sym_preproc_directive] = ACTIONS(3357),
    [anon_sym_LPAREN2] = ACTIONS(3359),
    [anon_sym_BANG] = ACTIONS(3359),
    [anon_sym_TILDE] = ACTIONS(3359),
    [anon_sym_DASH] = ACTIONS(3357),
    [anon_sym_PLUS] = ACTIONS(3357),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_AMP_AMP] = ACTIONS(3359),
    [anon_sym_AMP] = ACTIONS(3357),
    [anon_sym___extension__] = ACTIONS(3357),
    [anon_sym_typedef] = ACTIONS(3357),
    [anon_sym_extern] = ACTIONS(3357),
    [anon_sym___attribute__] = ACTIONS(3357),
    [anon_sym_COLON_COLON] = ACTIONS(3359),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3359),
    [anon_sym___declspec] = ACTIONS(3357),
    [anon_sym___based] = ACTIONS(3357),
    [anon_sym___cdecl] = ACTIONS(3357),
    [anon_sym___clrcall] = ACTIONS(3357),
    [anon_sym___stdcall] = ACTIONS(3357),
    [anon_sym___fastcall] = ACTIONS(3357),
    [anon_sym___thiscall] = ACTIONS(3357),
    [anon_sym___vectorcall] = ACTIONS(3357),
    [anon_sym_LBRACE] = ACTIONS(3359),
    [anon_sym_signed] = ACTIONS(3357),
    [anon_sym_unsigned] = ACTIONS(3357),
    [anon_sym_long] = ACTIONS(3357),
    [anon_sym_short] = ACTIONS(3357),
    [anon_sym_LBRACK] = ACTIONS(3357),
    [anon_sym_static] = ACTIONS(3357),
    [anon_sym_register] = ACTIONS(3357),
    [anon_sym_inline] = ACTIONS(3357),
    [anon_sym___inline] = ACTIONS(3357),
    [anon_sym___inline__] = ACTIONS(3357),
    [anon_sym___forceinline] = ACTIONS(3357),
    [anon_sym_thread_local] = ACTIONS(3357),
    [anon_sym___thread] = ACTIONS(3357),
    [anon_sym_const] = ACTIONS(3357),
    [anon_sym_constexpr] = ACTIONS(3357),
    [anon_sym_volatile] = ACTIONS(3357),
    [anon_sym_restrict] = ACTIONS(3357),
    [anon_sym___restrict__] = ACTIONS(3357),
    [anon_sym__Atomic] = ACTIONS(3357),
    [anon_sym__Noreturn] = ACTIONS(3357),
    [anon_sym_noreturn] = ACTIONS(3357),
    [anon_sym_mutable] = ACTIONS(3357),
    [anon_sym_constinit] = ACTIONS(3357),
    [anon_sym_consteval] = ACTIONS(3357),
    [anon_sym_PROGMEM] = ACTIONS(3357),
    [aux_sym_primitive_type_token1] = ACTIONS(3357),
    [anon_sym_byte] = ACTIONS(3357),
    [anon_sym_word] = ACTIONS(3357),
    [anon_sym_enum] = ACTIONS(3357),
    [anon_sym_class] = ACTIONS(3357),
    [anon_sym_struct] = ACTIONS(3357),
    [anon_sym_union] = ACTIONS(3357),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_switch] = ACTIONS(3357),
    [anon_sym_case] = ACTIONS(3357),
    [anon_sym_default] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(3357),
    [anon_sym_do] = ACTIONS(3357),
    [anon_sym_for] = ACTIONS(3357),
    [anon_sym_return] = ACTIONS(3357),
    [anon_sym_break] = ACTIONS(3357),
    [anon_sym_continue] = ACTIONS(3357),
    [anon_sym_goto] = ACTIONS(3357),
    [anon_sym_not] = ACTIONS(3357),
    [anon_sym_compl] = ACTIONS(3357),
    [anon_sym_DASH_DASH] = ACTIONS(3359),
    [anon_sym_PLUS_PLUS] = ACTIONS(3359),
    [anon_sym_sizeof] = ACTIONS(3357),
    [anon_sym___alignof__] = ACTIONS(3357),
    [anon_sym___alignof] = ACTIONS(3357),
    [anon_sym__alignof] = ACTIONS(3357),
    [anon_sym_alignof] = ACTIONS(3357),
    [anon_sym__Alignof] = ACTIONS(3357),
    [anon_sym_offsetof] = ACTIONS(3357),
    [anon_sym__Generic] = ACTIONS(3357),
    [anon_sym_asm] = ACTIONS(3357),
    [anon_sym___asm__] = ACTIONS(3357),
    [aux_sym_number_literal_token1] = ACTIONS(3359),
    [aux_sym_number_literal_token2] = ACTIONS(3357),
    [anon_sym_L_SQUOTE] = ACTIONS(3359),
    [anon_sym_u_SQUOTE] = ACTIONS(3359),
    [anon_sym_U_SQUOTE] = ACTIONS(3359),
    [anon_sym_u8_SQUOTE] = ACTIONS(3359),
    [anon_sym_SQUOTE] = ACTIONS(3359),
    [anon_sym_L_DQUOTE] = ACTIONS(3359),
    [anon_sym_u_DQUOTE] = ACTIONS(3359),
    [anon_sym_U_DQUOTE] = ACTIONS(3359),
    [anon_sym_u8_DQUOTE] = ACTIONS(3359),
    [anon_sym_DQUOTE] = ACTIONS(3359),
    [sym_true] = ACTIONS(3357),
    [sym_false] = ACTIONS(3357),
    [anon_sym_NULL] = ACTIONS(3357),
    [anon_sym_nullptr] = ACTIONS(3357),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3357),
    [anon_sym_decltype] = ACTIONS(3357),
    [anon_sym_virtual] = ACTIONS(3357),
    [anon_sym_alignas] = ACTIONS(3357),
    [anon_sym_explicit] = ACTIONS(3357),
    [anon_sym_typename] = ACTIONS(3357),
    [anon_sym_template] = ACTIONS(3357),
    [anon_sym_operator] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(3357),
    [anon_sym_delete] = ACTIONS(3357),
    [anon_sym_throw] = ACTIONS(3357),
    [anon_sym_namespace] = ACTIONS(3357),
    [anon_sym_using] = ACTIONS(3357),
    [anon_sym_static_assert] = ACTIONS(3357),
    [anon_sym_concept] = ACTIONS(3357),
    [anon_sym_co_return] = ACTIONS(3357),
    [anon_sym_co_yield] = ACTIONS(3357),
    [anon_sym_R_DQUOTE] = ACTIONS(3359),
    [anon_sym_LR_DQUOTE] = ACTIONS(3359),
    [anon_sym_uR_DQUOTE] = ACTIONS(3359),
    [anon_sym_UR_DQUOTE] = ACTIONS(3359),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3359),
    [anon_sym_co_await] = ACTIONS(3357),
    [anon_sym_new] = ACTIONS(3357),
    [anon_sym_requires] = ACTIONS(3357),
    [sym_this] = ACTIONS(3357),
  },
  [1012] = {
    [ts_builtin_sym_end] = ACTIONS(3353),
    [sym_identifier] = ACTIONS(3351),
    [aux_sym_preproc_include_token1] = ACTIONS(3351),
    [aux_sym_preproc_def_token1] = ACTIONS(3351),
    [aux_sym_preproc_if_token1] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3351),
    [sym_preproc_directive] = ACTIONS(3351),
    [anon_sym_LPAREN2] = ACTIONS(3353),
    [anon_sym_BANG] = ACTIONS(3353),
    [anon_sym_TILDE] = ACTIONS(3353),
    [anon_sym_DASH] = ACTIONS(3351),
    [anon_sym_PLUS] = ACTIONS(3351),
    [anon_sym_STAR] = ACTIONS(3353),
    [anon_sym_AMP_AMP] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(3351),
    [anon_sym___extension__] = ACTIONS(3351),
    [anon_sym_typedef] = ACTIONS(3351),
    [anon_sym_extern] = ACTIONS(3351),
    [anon_sym___attribute__] = ACTIONS(3351),
    [anon_sym_COLON_COLON] = ACTIONS(3353),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3353),
    [anon_sym___declspec] = ACTIONS(3351),
    [anon_sym___based] = ACTIONS(3351),
    [anon_sym___cdecl] = ACTIONS(3351),
    [anon_sym___clrcall] = ACTIONS(3351),
    [anon_sym___stdcall] = ACTIONS(3351),
    [anon_sym___fastcall] = ACTIONS(3351),
    [anon_sym___thiscall] = ACTIONS(3351),
    [anon_sym___vectorcall] = ACTIONS(3351),
    [anon_sym_LBRACE] = ACTIONS(3353),
    [anon_sym_signed] = ACTIONS(3351),
    [anon_sym_unsigned] = ACTIONS(3351),
    [anon_sym_long] = ACTIONS(3351),
    [anon_sym_short] = ACTIONS(3351),
    [anon_sym_LBRACK] = ACTIONS(3351),
    [anon_sym_static] = ACTIONS(3351),
    [anon_sym_register] = ACTIONS(3351),
    [anon_sym_inline] = ACTIONS(3351),
    [anon_sym___inline] = ACTIONS(3351),
    [anon_sym___inline__] = ACTIONS(3351),
    [anon_sym___forceinline] = ACTIONS(3351),
    [anon_sym_thread_local] = ACTIONS(3351),
    [anon_sym___thread] = ACTIONS(3351),
    [anon_sym_const] = ACTIONS(3351),
    [anon_sym_constexpr] = ACTIONS(3351),
    [anon_sym_volatile] = ACTIONS(3351),
    [anon_sym_restrict] = ACTIONS(3351),
    [anon_sym___restrict__] = ACTIONS(3351),
    [anon_sym__Atomic] = ACTIONS(3351),
    [anon_sym__Noreturn] = ACTIONS(3351),
    [anon_sym_noreturn] = ACTIONS(3351),
    [anon_sym_mutable] = ACTIONS(3351),
    [anon_sym_constinit] = ACTIONS(3351),
    [anon_sym_consteval] = ACTIONS(3351),
    [anon_sym_PROGMEM] = ACTIONS(3351),
    [aux_sym_primitive_type_token1] = ACTIONS(3351),
    [anon_sym_byte] = ACTIONS(3351),
    [anon_sym_word] = ACTIONS(3351),
    [anon_sym_enum] = ACTIONS(3351),
    [anon_sym_class] = ACTIONS(3351),
    [anon_sym_struct] = ACTIONS(3351),
    [anon_sym_union] = ACTIONS(3351),
    [anon_sym_if] = ACTIONS(3351),
    [anon_sym_switch] = ACTIONS(3351),
    [anon_sym_case] = ACTIONS(3351),
    [anon_sym_default] = ACTIONS(3351),
    [anon_sym_while] = ACTIONS(3351),
    [anon_sym_do] = ACTIONS(3351),
    [anon_sym_for] = ACTIONS(3351),
    [anon_sym_return] = ACTIONS(3351),
    [anon_sym_break] = ACTIONS(3351),
    [anon_sym_continue] = ACTIONS(3351),
    [anon_sym_goto] = ACTIONS(3351),
    [anon_sym_not] = ACTIONS(3351),
    [anon_sym_compl] = ACTIONS(3351),
    [anon_sym_DASH_DASH] = ACTIONS(3353),
    [anon_sym_PLUS_PLUS] = ACTIONS(3353),
    [anon_sym_sizeof] = ACTIONS(3351),
    [anon_sym___alignof__] = ACTIONS(3351),
    [anon_sym___alignof] = ACTIONS(3351),
    [anon_sym__alignof] = ACTIONS(3351),
    [anon_sym_alignof] = ACTIONS(3351),
    [anon_sym__Alignof] = ACTIONS(3351),
    [anon_sym_offsetof] = ACTIONS(3351),
    [anon_sym__Generic] = ACTIONS(3351),
    [anon_sym_asm] = ACTIONS(3351),
    [anon_sym___asm__] = ACTIONS(3351),
    [aux_sym_number_literal_token1] = ACTIONS(3353),
    [aux_sym_number_literal_token2] = ACTIONS(3351),
    [anon_sym_L_SQUOTE] = ACTIONS(3353),
    [anon_sym_u_SQUOTE] = ACTIONS(3353),
    [anon_sym_U_SQUOTE] = ACTIONS(3353),
    [anon_sym_u8_SQUOTE] = ACTIONS(3353),
    [anon_sym_SQUOTE] = ACTIONS(3353),
    [anon_sym_L_DQUOTE] = ACTIONS(3353),
    [anon_sym_u_DQUOTE] = ACTIONS(3353),
    [anon_sym_U_DQUOTE] = ACTIONS(3353),
    [anon_sym_u8_DQUOTE] = ACTIONS(3353),
    [anon_sym_DQUOTE] = ACTIONS(3353),
    [sym_true] = ACTIONS(3351),
    [sym_false] = ACTIONS(3351),
    [anon_sym_NULL] = ACTIONS(3351),
    [anon_sym_nullptr] = ACTIONS(3351),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3351),
    [anon_sym_decltype] = ACTIONS(3351),
    [anon_sym_virtual] = ACTIONS(3351),
    [anon_sym_alignas] = ACTIONS(3351),
    [anon_sym_explicit] = ACTIONS(3351),
    [anon_sym_typename] = ACTIONS(3351),
    [anon_sym_template] = ACTIONS(3351),
    [anon_sym_operator] = ACTIONS(3351),
    [anon_sym_try] = ACTIONS(3351),
    [anon_sym_delete] = ACTIONS(3351),
    [anon_sym_throw] = ACTIONS(3351),
    [anon_sym_namespace] = ACTIONS(3351),
    [anon_sym_using] = ACTIONS(3351),
    [anon_sym_static_assert] = ACTIONS(3351),
    [anon_sym_concept] = ACTIONS(3351),
    [anon_sym_co_return] = ACTIONS(3351),
    [anon_sym_co_yield] = ACTIONS(3351),
    [anon_sym_R_DQUOTE] = ACTIONS(3353),
    [anon_sym_LR_DQUOTE] = ACTIONS(3353),
    [anon_sym_uR_DQUOTE] = ACTIONS(3353),
    [anon_sym_UR_DQUOTE] = ACTIONS(3353),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3353),
    [anon_sym_co_await] = ACTIONS(3351),
    [anon_sym_new] = ACTIONS(3351),
    [anon_sym_requires] = ACTIONS(3351),
    [sym_this] = ACTIONS(3351),
  },
  [1013] = {
    [ts_builtin_sym_end] = ACTIONS(3328),
    [sym_identifier] = ACTIONS(3326),
    [aux_sym_preproc_include_token1] = ACTIONS(3326),
    [aux_sym_preproc_def_token1] = ACTIONS(3326),
    [aux_sym_preproc_if_token1] = ACTIONS(3326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3326),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3326),
    [sym_preproc_directive] = ACTIONS(3326),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_TILDE] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(3328),
    [anon_sym_AMP_AMP] = ACTIONS(3328),
    [anon_sym_AMP] = ACTIONS(3326),
    [anon_sym___extension__] = ACTIONS(3326),
    [anon_sym_typedef] = ACTIONS(3326),
    [anon_sym_extern] = ACTIONS(3326),
    [anon_sym___attribute__] = ACTIONS(3326),
    [anon_sym_COLON_COLON] = ACTIONS(3328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3328),
    [anon_sym___declspec] = ACTIONS(3326),
    [anon_sym___based] = ACTIONS(3326),
    [anon_sym___cdecl] = ACTIONS(3326),
    [anon_sym___clrcall] = ACTIONS(3326),
    [anon_sym___stdcall] = ACTIONS(3326),
    [anon_sym___fastcall] = ACTIONS(3326),
    [anon_sym___thiscall] = ACTIONS(3326),
    [anon_sym___vectorcall] = ACTIONS(3326),
    [anon_sym_LBRACE] = ACTIONS(3328),
    [anon_sym_signed] = ACTIONS(3326),
    [anon_sym_unsigned] = ACTIONS(3326),
    [anon_sym_long] = ACTIONS(3326),
    [anon_sym_short] = ACTIONS(3326),
    [anon_sym_LBRACK] = ACTIONS(3326),
    [anon_sym_static] = ACTIONS(3326),
    [anon_sym_register] = ACTIONS(3326),
    [anon_sym_inline] = ACTIONS(3326),
    [anon_sym___inline] = ACTIONS(3326),
    [anon_sym___inline__] = ACTIONS(3326),
    [anon_sym___forceinline] = ACTIONS(3326),
    [anon_sym_thread_local] = ACTIONS(3326),
    [anon_sym___thread] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3326),
    [anon_sym_constexpr] = ACTIONS(3326),
    [anon_sym_volatile] = ACTIONS(3326),
    [anon_sym_restrict] = ACTIONS(3326),
    [anon_sym___restrict__] = ACTIONS(3326),
    [anon_sym__Atomic] = ACTIONS(3326),
    [anon_sym__Noreturn] = ACTIONS(3326),
    [anon_sym_noreturn] = ACTIONS(3326),
    [anon_sym_mutable] = ACTIONS(3326),
    [anon_sym_constinit] = ACTIONS(3326),
    [anon_sym_consteval] = ACTIONS(3326),
    [anon_sym_PROGMEM] = ACTIONS(3326),
    [aux_sym_primitive_type_token1] = ACTIONS(3326),
    [anon_sym_byte] = ACTIONS(3326),
    [anon_sym_word] = ACTIONS(3326),
    [anon_sym_enum] = ACTIONS(3326),
    [anon_sym_class] = ACTIONS(3326),
    [anon_sym_struct] = ACTIONS(3326),
    [anon_sym_union] = ACTIONS(3326),
    [anon_sym_if] = ACTIONS(3326),
    [anon_sym_switch] = ACTIONS(3326),
    [anon_sym_case] = ACTIONS(3326),
    [anon_sym_default] = ACTIONS(3326),
    [anon_sym_while] = ACTIONS(3326),
    [anon_sym_do] = ACTIONS(3326),
    [anon_sym_for] = ACTIONS(3326),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_break] = ACTIONS(3326),
    [anon_sym_continue] = ACTIONS(3326),
    [anon_sym_goto] = ACTIONS(3326),
    [anon_sym_not] = ACTIONS(3326),
    [anon_sym_compl] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(3328),
    [anon_sym_PLUS_PLUS] = ACTIONS(3328),
    [anon_sym_sizeof] = ACTIONS(3326),
    [anon_sym___alignof__] = ACTIONS(3326),
    [anon_sym___alignof] = ACTIONS(3326),
    [anon_sym__alignof] = ACTIONS(3326),
    [anon_sym_alignof] = ACTIONS(3326),
    [anon_sym__Alignof] = ACTIONS(3326),
    [anon_sym_offsetof] = ACTIONS(3326),
    [anon_sym__Generic] = ACTIONS(3326),
    [anon_sym_asm] = ACTIONS(3326),
    [anon_sym___asm__] = ACTIONS(3326),
    [aux_sym_number_literal_token1] = ACTIONS(3328),
    [aux_sym_number_literal_token2] = ACTIONS(3326),
    [anon_sym_L_SQUOTE] = ACTIONS(3328),
    [anon_sym_u_SQUOTE] = ACTIONS(3328),
    [anon_sym_U_SQUOTE] = ACTIONS(3328),
    [anon_sym_u8_SQUOTE] = ACTIONS(3328),
    [anon_sym_SQUOTE] = ACTIONS(3328),
    [anon_sym_L_DQUOTE] = ACTIONS(3328),
    [anon_sym_u_DQUOTE] = ACTIONS(3328),
    [anon_sym_U_DQUOTE] = ACTIONS(3328),
    [anon_sym_u8_DQUOTE] = ACTIONS(3328),
    [anon_sym_DQUOTE] = ACTIONS(3328),
    [sym_true] = ACTIONS(3326),
    [sym_false] = ACTIONS(3326),
    [anon_sym_NULL] = ACTIONS(3326),
    [anon_sym_nullptr] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3326),
    [anon_sym_decltype] = ACTIONS(3326),
    [anon_sym_virtual] = ACTIONS(3326),
    [anon_sym_alignas] = ACTIONS(3326),
    [anon_sym_explicit] = ACTIONS(3326),
    [anon_sym_typename] = ACTIONS(3326),
    [anon_sym_template] = ACTIONS(3326),
    [anon_sym_operator] = ACTIONS(3326),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_delete] = ACTIONS(3326),
    [anon_sym_throw] = ACTIONS(3326),
    [anon_sym_namespace] = ACTIONS(3326),
    [anon_sym_using] = ACTIONS(3326),
    [anon_sym_static_assert] = ACTIONS(3326),
    [anon_sym_concept] = ACTIONS(3326),
    [anon_sym_co_return] = ACTIONS(3326),
    [anon_sym_co_yield] = ACTIONS(3326),
    [anon_sym_R_DQUOTE] = ACTIONS(3328),
    [anon_sym_LR_DQUOTE] = ACTIONS(3328),
    [anon_sym_uR_DQUOTE] = ACTIONS(3328),
    [anon_sym_UR_DQUOTE] = ACTIONS(3328),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3328),
    [anon_sym_co_await] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(3326),
    [anon_sym_requires] = ACTIONS(3326),
    [sym_this] = ACTIONS(3326),
  },
  [1014] = {
    [ts_builtin_sym_end] = ACTIONS(3367),
    [sym_identifier] = ACTIONS(3365),
    [aux_sym_preproc_include_token1] = ACTIONS(3365),
    [aux_sym_preproc_def_token1] = ACTIONS(3365),
    [aux_sym_preproc_if_token1] = ACTIONS(3365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3365),
    [sym_preproc_directive] = ACTIONS(3365),
    [anon_sym_LPAREN2] = ACTIONS(3367),
    [anon_sym_BANG] = ACTIONS(3367),
    [anon_sym_TILDE] = ACTIONS(3367),
    [anon_sym_DASH] = ACTIONS(3365),
    [anon_sym_PLUS] = ACTIONS(3365),
    [anon_sym_STAR] = ACTIONS(3367),
    [anon_sym_AMP_AMP] = ACTIONS(3367),
    [anon_sym_AMP] = ACTIONS(3365),
    [anon_sym___extension__] = ACTIONS(3365),
    [anon_sym_typedef] = ACTIONS(3365),
    [anon_sym_extern] = ACTIONS(3365),
    [anon_sym___attribute__] = ACTIONS(3365),
    [anon_sym_COLON_COLON] = ACTIONS(3367),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3367),
    [anon_sym___declspec] = ACTIONS(3365),
    [anon_sym___based] = ACTIONS(3365),
    [anon_sym___cdecl] = ACTIONS(3365),
    [anon_sym___clrcall] = ACTIONS(3365),
    [anon_sym___stdcall] = ACTIONS(3365),
    [anon_sym___fastcall] = ACTIONS(3365),
    [anon_sym___thiscall] = ACTIONS(3365),
    [anon_sym___vectorcall] = ACTIONS(3365),
    [anon_sym_LBRACE] = ACTIONS(3367),
    [anon_sym_signed] = ACTIONS(3365),
    [anon_sym_unsigned] = ACTIONS(3365),
    [anon_sym_long] = ACTIONS(3365),
    [anon_sym_short] = ACTIONS(3365),
    [anon_sym_LBRACK] = ACTIONS(3365),
    [anon_sym_static] = ACTIONS(3365),
    [anon_sym_register] = ACTIONS(3365),
    [anon_sym_inline] = ACTIONS(3365),
    [anon_sym___inline] = ACTIONS(3365),
    [anon_sym___inline__] = ACTIONS(3365),
    [anon_sym___forceinline] = ACTIONS(3365),
    [anon_sym_thread_local] = ACTIONS(3365),
    [anon_sym___thread] = ACTIONS(3365),
    [anon_sym_const] = ACTIONS(3365),
    [anon_sym_constexpr] = ACTIONS(3365),
    [anon_sym_volatile] = ACTIONS(3365),
    [anon_sym_restrict] = ACTIONS(3365),
    [anon_sym___restrict__] = ACTIONS(3365),
    [anon_sym__Atomic] = ACTIONS(3365),
    [anon_sym__Noreturn] = ACTIONS(3365),
    [anon_sym_noreturn] = ACTIONS(3365),
    [anon_sym_mutable] = ACTIONS(3365),
    [anon_sym_constinit] = ACTIONS(3365),
    [anon_sym_consteval] = ACTIONS(3365),
    [anon_sym_PROGMEM] = ACTIONS(3365),
    [aux_sym_primitive_type_token1] = ACTIONS(3365),
    [anon_sym_byte] = ACTIONS(3365),
    [anon_sym_word] = ACTIONS(3365),
    [anon_sym_enum] = ACTIONS(3365),
    [anon_sym_class] = ACTIONS(3365),
    [anon_sym_struct] = ACTIONS(3365),
    [anon_sym_union] = ACTIONS(3365),
    [anon_sym_if] = ACTIONS(3365),
    [anon_sym_switch] = ACTIONS(3365),
    [anon_sym_case] = ACTIONS(3365),
    [anon_sym_default] = ACTIONS(3365),
    [anon_sym_while] = ACTIONS(3365),
    [anon_sym_do] = ACTIONS(3365),
    [anon_sym_for] = ACTIONS(3365),
    [anon_sym_return] = ACTIONS(3365),
    [anon_sym_break] = ACTIONS(3365),
    [anon_sym_continue] = ACTIONS(3365),
    [anon_sym_goto] = ACTIONS(3365),
    [anon_sym_not] = ACTIONS(3365),
    [anon_sym_compl] = ACTIONS(3365),
    [anon_sym_DASH_DASH] = ACTIONS(3367),
    [anon_sym_PLUS_PLUS] = ACTIONS(3367),
    [anon_sym_sizeof] = ACTIONS(3365),
    [anon_sym___alignof__] = ACTIONS(3365),
    [anon_sym___alignof] = ACTIONS(3365),
    [anon_sym__alignof] = ACTIONS(3365),
    [anon_sym_alignof] = ACTIONS(3365),
    [anon_sym__Alignof] = ACTIONS(3365),
    [anon_sym_offsetof] = ACTIONS(3365),
    [anon_sym__Generic] = ACTIONS(3365),
    [anon_sym_asm] = ACTIONS(3365),
    [anon_sym___asm__] = ACTIONS(3365),
    [aux_sym_number_literal_token1] = ACTIONS(3367),
    [aux_sym_number_literal_token2] = ACTIONS(3365),
    [anon_sym_L_SQUOTE] = ACTIONS(3367),
    [anon_sym_u_SQUOTE] = ACTIONS(3367),
    [anon_sym_U_SQUOTE] = ACTIONS(3367),
    [anon_sym_u8_SQUOTE] = ACTIONS(3367),
    [anon_sym_SQUOTE] = ACTIONS(3367),
    [anon_sym_L_DQUOTE] = ACTIONS(3367),
    [anon_sym_u_DQUOTE] = ACTIONS(3367),
    [anon_sym_U_DQUOTE] = ACTIONS(3367),
    [anon_sym_u8_DQUOTE] = ACTIONS(3367),
    [anon_sym_DQUOTE] = ACTIONS(3367),
    [sym_true] = ACTIONS(3365),
    [sym_false] = ACTIONS(3365),
    [anon_sym_NULL] = ACTIONS(3365),
    [anon_sym_nullptr] = ACTIONS(3365),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3365),
    [anon_sym_decltype] = ACTIONS(3365),
    [anon_sym_virtual] = ACTIONS(3365),
    [anon_sym_alignas] = ACTIONS(3365),
    [anon_sym_explicit] = ACTIONS(3365),
    [anon_sym_typename] = ACTIONS(3365),
    [anon_sym_template] = ACTIONS(3365),
    [anon_sym_operator] = ACTIONS(3365),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_delete] = ACTIONS(3365),
    [anon_sym_throw] = ACTIONS(3365),
    [anon_sym_namespace] = ACTIONS(3365),
    [anon_sym_using] = ACTIONS(3365),
    [anon_sym_static_assert] = ACTIONS(3365),
    [anon_sym_concept] = ACTIONS(3365),
    [anon_sym_co_return] = ACTIONS(3365),
    [anon_sym_co_yield] = ACTIONS(3365),
    [anon_sym_R_DQUOTE] = ACTIONS(3367),
    [anon_sym_LR_DQUOTE] = ACTIONS(3367),
    [anon_sym_uR_DQUOTE] = ACTIONS(3367),
    [anon_sym_UR_DQUOTE] = ACTIONS(3367),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3367),
    [anon_sym_co_await] = ACTIONS(3365),
    [anon_sym_new] = ACTIONS(3365),
    [anon_sym_requires] = ACTIONS(3365),
    [sym_this] = ACTIONS(3365),
  },
  [1015] = {
    [sym_preproc_def] = STATE(1000),
    [sym_preproc_function_def] = STATE(1000),
    [sym_preproc_call] = STATE(1000),
    [sym_preproc_if_in_field_declaration_list] = STATE(1000),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1000),
    [sym_type_definition] = STATE(1000),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6396),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1000),
    [sym_field_declaration] = STATE(1000),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1000),
    [sym_operator_cast] = STATE(7382),
    [sym_inline_method_definition] = STATE(1000),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(1000),
    [sym_operator_cast_declaration] = STATE(1000),
    [sym_constructor_or_destructor_definition] = STATE(1000),
    [sym_constructor_or_destructor_declaration] = STATE(1000),
    [sym_friend_declaration] = STATE(1000),
    [sym_access_specifier] = STATE(9207),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1000),
    [sym_alias_declaration] = STATE(1000),
    [sym_static_assert_declaration] = STATE(1000),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1000),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3819),
    [sym_preproc_directive] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_typedef] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3903),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3829),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3831),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_static_assert] = ACTIONS(3835),
  },
  [1016] = {
    [ts_builtin_sym_end] = ACTIONS(3461),
    [sym_identifier] = ACTIONS(3459),
    [aux_sym_preproc_include_token1] = ACTIONS(3459),
    [aux_sym_preproc_def_token1] = ACTIONS(3459),
    [aux_sym_preproc_if_token1] = ACTIONS(3459),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3459),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3459),
    [sym_preproc_directive] = ACTIONS(3459),
    [anon_sym_LPAREN2] = ACTIONS(3461),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(3461),
    [anon_sym_AMP_AMP] = ACTIONS(3461),
    [anon_sym_AMP] = ACTIONS(3459),
    [anon_sym___extension__] = ACTIONS(3459),
    [anon_sym_typedef] = ACTIONS(3459),
    [anon_sym_extern] = ACTIONS(3459),
    [anon_sym___attribute__] = ACTIONS(3459),
    [anon_sym_COLON_COLON] = ACTIONS(3461),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3461),
    [anon_sym___declspec] = ACTIONS(3459),
    [anon_sym___based] = ACTIONS(3459),
    [anon_sym___cdecl] = ACTIONS(3459),
    [anon_sym___clrcall] = ACTIONS(3459),
    [anon_sym___stdcall] = ACTIONS(3459),
    [anon_sym___fastcall] = ACTIONS(3459),
    [anon_sym___thiscall] = ACTIONS(3459),
    [anon_sym___vectorcall] = ACTIONS(3459),
    [anon_sym_LBRACE] = ACTIONS(3461),
    [anon_sym_signed] = ACTIONS(3459),
    [anon_sym_unsigned] = ACTIONS(3459),
    [anon_sym_long] = ACTIONS(3459),
    [anon_sym_short] = ACTIONS(3459),
    [anon_sym_LBRACK] = ACTIONS(3459),
    [anon_sym_static] = ACTIONS(3459),
    [anon_sym_register] = ACTIONS(3459),
    [anon_sym_inline] = ACTIONS(3459),
    [anon_sym___inline] = ACTIONS(3459),
    [anon_sym___inline__] = ACTIONS(3459),
    [anon_sym___forceinline] = ACTIONS(3459),
    [anon_sym_thread_local] = ACTIONS(3459),
    [anon_sym___thread] = ACTIONS(3459),
    [anon_sym_const] = ACTIONS(3459),
    [anon_sym_constexpr] = ACTIONS(3459),
    [anon_sym_volatile] = ACTIONS(3459),
    [anon_sym_restrict] = ACTIONS(3459),
    [anon_sym___restrict__] = ACTIONS(3459),
    [anon_sym__Atomic] = ACTIONS(3459),
    [anon_sym__Noreturn] = ACTIONS(3459),
    [anon_sym_noreturn] = ACTIONS(3459),
    [anon_sym_mutable] = ACTIONS(3459),
    [anon_sym_constinit] = ACTIONS(3459),
    [anon_sym_consteval] = ACTIONS(3459),
    [anon_sym_PROGMEM] = ACTIONS(3459),
    [aux_sym_primitive_type_token1] = ACTIONS(3459),
    [anon_sym_byte] = ACTIONS(3459),
    [anon_sym_word] = ACTIONS(3459),
    [anon_sym_enum] = ACTIONS(3459),
    [anon_sym_class] = ACTIONS(3459),
    [anon_sym_struct] = ACTIONS(3459),
    [anon_sym_union] = ACTIONS(3459),
    [anon_sym_if] = ACTIONS(3459),
    [anon_sym_switch] = ACTIONS(3459),
    [anon_sym_case] = ACTIONS(3459),
    [anon_sym_default] = ACTIONS(3459),
    [anon_sym_while] = ACTIONS(3459),
    [anon_sym_do] = ACTIONS(3459),
    [anon_sym_for] = ACTIONS(3459),
    [anon_sym_return] = ACTIONS(3459),
    [anon_sym_break] = ACTIONS(3459),
    [anon_sym_continue] = ACTIONS(3459),
    [anon_sym_goto] = ACTIONS(3459),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(3461),
    [anon_sym_PLUS_PLUS] = ACTIONS(3461),
    [anon_sym_sizeof] = ACTIONS(3459),
    [anon_sym___alignof__] = ACTIONS(3459),
    [anon_sym___alignof] = ACTIONS(3459),
    [anon_sym__alignof] = ACTIONS(3459),
    [anon_sym_alignof] = ACTIONS(3459),
    [anon_sym__Alignof] = ACTIONS(3459),
    [anon_sym_offsetof] = ACTIONS(3459),
    [anon_sym__Generic] = ACTIONS(3459),
    [anon_sym_asm] = ACTIONS(3459),
    [anon_sym___asm__] = ACTIONS(3459),
    [aux_sym_number_literal_token1] = ACTIONS(3461),
    [aux_sym_number_literal_token2] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3461),
    [anon_sym_u_DQUOTE] = ACTIONS(3461),
    [anon_sym_U_DQUOTE] = ACTIONS(3461),
    [anon_sym_u8_DQUOTE] = ACTIONS(3461),
    [anon_sym_DQUOTE] = ACTIONS(3461),
    [sym_true] = ACTIONS(3459),
    [sym_false] = ACTIONS(3459),
    [anon_sym_NULL] = ACTIONS(3459),
    [anon_sym_nullptr] = ACTIONS(3459),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3459),
    [anon_sym_decltype] = ACTIONS(3459),
    [anon_sym_virtual] = ACTIONS(3459),
    [anon_sym_alignas] = ACTIONS(3459),
    [anon_sym_explicit] = ACTIONS(3459),
    [anon_sym_typename] = ACTIONS(3459),
    [anon_sym_template] = ACTIONS(3459),
    [anon_sym_operator] = ACTIONS(3459),
    [anon_sym_try] = ACTIONS(3459),
    [anon_sym_delete] = ACTIONS(3459),
    [anon_sym_throw] = ACTIONS(3459),
    [anon_sym_namespace] = ACTIONS(3459),
    [anon_sym_using] = ACTIONS(3459),
    [anon_sym_static_assert] = ACTIONS(3459),
    [anon_sym_concept] = ACTIONS(3459),
    [anon_sym_co_return] = ACTIONS(3459),
    [anon_sym_co_yield] = ACTIONS(3459),
    [anon_sym_R_DQUOTE] = ACTIONS(3461),
    [anon_sym_LR_DQUOTE] = ACTIONS(3461),
    [anon_sym_uR_DQUOTE] = ACTIONS(3461),
    [anon_sym_UR_DQUOTE] = ACTIONS(3461),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3461),
    [anon_sym_co_await] = ACTIONS(3459),
    [anon_sym_new] = ACTIONS(3459),
    [anon_sym_requires] = ACTIONS(3459),
    [sym_this] = ACTIONS(3459),
  },
  [1017] = {
    [sym_preproc_def] = STATE(1000),
    [sym_preproc_function_def] = STATE(1000),
    [sym_preproc_call] = STATE(1000),
    [sym_preproc_if_in_field_declaration_list] = STATE(1000),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1000),
    [sym_type_definition] = STATE(1000),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6396),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1000),
    [sym_field_declaration] = STATE(1000),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1000),
    [sym_operator_cast] = STATE(7382),
    [sym_inline_method_definition] = STATE(1000),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(1000),
    [sym_operator_cast_declaration] = STATE(1000),
    [sym_constructor_or_destructor_definition] = STATE(1000),
    [sym_constructor_or_destructor_declaration] = STATE(1000),
    [sym_friend_declaration] = STATE(1000),
    [sym_access_specifier] = STATE(9207),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1000),
    [sym_alias_declaration] = STATE(1000),
    [sym_static_assert_declaration] = STATE(1000),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1000),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3819),
    [sym_preproc_directive] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_typedef] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3905),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3829),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3831),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_static_assert] = ACTIONS(3835),
  },
  [1018] = {
    [ts_builtin_sym_end] = ACTIONS(3457),
    [sym_identifier] = ACTIONS(3455),
    [aux_sym_preproc_include_token1] = ACTIONS(3455),
    [aux_sym_preproc_def_token1] = ACTIONS(3455),
    [aux_sym_preproc_if_token1] = ACTIONS(3455),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3455),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3455),
    [sym_preproc_directive] = ACTIONS(3455),
    [anon_sym_LPAREN2] = ACTIONS(3457),
    [anon_sym_BANG] = ACTIONS(3457),
    [anon_sym_TILDE] = ACTIONS(3457),
    [anon_sym_DASH] = ACTIONS(3455),
    [anon_sym_PLUS] = ACTIONS(3455),
    [anon_sym_STAR] = ACTIONS(3457),
    [anon_sym_AMP_AMP] = ACTIONS(3457),
    [anon_sym_AMP] = ACTIONS(3455),
    [anon_sym___extension__] = ACTIONS(3455),
    [anon_sym_typedef] = ACTIONS(3455),
    [anon_sym_extern] = ACTIONS(3455),
    [anon_sym___attribute__] = ACTIONS(3455),
    [anon_sym_COLON_COLON] = ACTIONS(3457),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3457),
    [anon_sym___declspec] = ACTIONS(3455),
    [anon_sym___based] = ACTIONS(3455),
    [anon_sym___cdecl] = ACTIONS(3455),
    [anon_sym___clrcall] = ACTIONS(3455),
    [anon_sym___stdcall] = ACTIONS(3455),
    [anon_sym___fastcall] = ACTIONS(3455),
    [anon_sym___thiscall] = ACTIONS(3455),
    [anon_sym___vectorcall] = ACTIONS(3455),
    [anon_sym_LBRACE] = ACTIONS(3457),
    [anon_sym_signed] = ACTIONS(3455),
    [anon_sym_unsigned] = ACTIONS(3455),
    [anon_sym_long] = ACTIONS(3455),
    [anon_sym_short] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(3455),
    [anon_sym_static] = ACTIONS(3455),
    [anon_sym_register] = ACTIONS(3455),
    [anon_sym_inline] = ACTIONS(3455),
    [anon_sym___inline] = ACTIONS(3455),
    [anon_sym___inline__] = ACTIONS(3455),
    [anon_sym___forceinline] = ACTIONS(3455),
    [anon_sym_thread_local] = ACTIONS(3455),
    [anon_sym___thread] = ACTIONS(3455),
    [anon_sym_const] = ACTIONS(3455),
    [anon_sym_constexpr] = ACTIONS(3455),
    [anon_sym_volatile] = ACTIONS(3455),
    [anon_sym_restrict] = ACTIONS(3455),
    [anon_sym___restrict__] = ACTIONS(3455),
    [anon_sym__Atomic] = ACTIONS(3455),
    [anon_sym__Noreturn] = ACTIONS(3455),
    [anon_sym_noreturn] = ACTIONS(3455),
    [anon_sym_mutable] = ACTIONS(3455),
    [anon_sym_constinit] = ACTIONS(3455),
    [anon_sym_consteval] = ACTIONS(3455),
    [anon_sym_PROGMEM] = ACTIONS(3455),
    [aux_sym_primitive_type_token1] = ACTIONS(3455),
    [anon_sym_byte] = ACTIONS(3455),
    [anon_sym_word] = ACTIONS(3455),
    [anon_sym_enum] = ACTIONS(3455),
    [anon_sym_class] = ACTIONS(3455),
    [anon_sym_struct] = ACTIONS(3455),
    [anon_sym_union] = ACTIONS(3455),
    [anon_sym_if] = ACTIONS(3455),
    [anon_sym_switch] = ACTIONS(3455),
    [anon_sym_case] = ACTIONS(3455),
    [anon_sym_default] = ACTIONS(3455),
    [anon_sym_while] = ACTIONS(3455),
    [anon_sym_do] = ACTIONS(3455),
    [anon_sym_for] = ACTIONS(3455),
    [anon_sym_return] = ACTIONS(3455),
    [anon_sym_break] = ACTIONS(3455),
    [anon_sym_continue] = ACTIONS(3455),
    [anon_sym_goto] = ACTIONS(3455),
    [anon_sym_not] = ACTIONS(3455),
    [anon_sym_compl] = ACTIONS(3455),
    [anon_sym_DASH_DASH] = ACTIONS(3457),
    [anon_sym_PLUS_PLUS] = ACTIONS(3457),
    [anon_sym_sizeof] = ACTIONS(3455),
    [anon_sym___alignof__] = ACTIONS(3455),
    [anon_sym___alignof] = ACTIONS(3455),
    [anon_sym__alignof] = ACTIONS(3455),
    [anon_sym_alignof] = ACTIONS(3455),
    [anon_sym__Alignof] = ACTIONS(3455),
    [anon_sym_offsetof] = ACTIONS(3455),
    [anon_sym__Generic] = ACTIONS(3455),
    [anon_sym_asm] = ACTIONS(3455),
    [anon_sym___asm__] = ACTIONS(3455),
    [aux_sym_number_literal_token1] = ACTIONS(3457),
    [aux_sym_number_literal_token2] = ACTIONS(3455),
    [anon_sym_L_SQUOTE] = ACTIONS(3457),
    [anon_sym_u_SQUOTE] = ACTIONS(3457),
    [anon_sym_U_SQUOTE] = ACTIONS(3457),
    [anon_sym_u8_SQUOTE] = ACTIONS(3457),
    [anon_sym_SQUOTE] = ACTIONS(3457),
    [anon_sym_L_DQUOTE] = ACTIONS(3457),
    [anon_sym_u_DQUOTE] = ACTIONS(3457),
    [anon_sym_U_DQUOTE] = ACTIONS(3457),
    [anon_sym_u8_DQUOTE] = ACTIONS(3457),
    [anon_sym_DQUOTE] = ACTIONS(3457),
    [sym_true] = ACTIONS(3455),
    [sym_false] = ACTIONS(3455),
    [anon_sym_NULL] = ACTIONS(3455),
    [anon_sym_nullptr] = ACTIONS(3455),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3455),
    [anon_sym_virtual] = ACTIONS(3455),
    [anon_sym_alignas] = ACTIONS(3455),
    [anon_sym_explicit] = ACTIONS(3455),
    [anon_sym_typename] = ACTIONS(3455),
    [anon_sym_template] = ACTIONS(3455),
    [anon_sym_operator] = ACTIONS(3455),
    [anon_sym_try] = ACTIONS(3455),
    [anon_sym_delete] = ACTIONS(3455),
    [anon_sym_throw] = ACTIONS(3455),
    [anon_sym_namespace] = ACTIONS(3455),
    [anon_sym_using] = ACTIONS(3455),
    [anon_sym_static_assert] = ACTIONS(3455),
    [anon_sym_concept] = ACTIONS(3455),
    [anon_sym_co_return] = ACTIONS(3455),
    [anon_sym_co_yield] = ACTIONS(3455),
    [anon_sym_R_DQUOTE] = ACTIONS(3457),
    [anon_sym_LR_DQUOTE] = ACTIONS(3457),
    [anon_sym_uR_DQUOTE] = ACTIONS(3457),
    [anon_sym_UR_DQUOTE] = ACTIONS(3457),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3457),
    [anon_sym_co_await] = ACTIONS(3455),
    [anon_sym_new] = ACTIONS(3455),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3455),
  },
  [1019] = {
    [ts_builtin_sym_end] = ACTIONS(3497),
    [sym_identifier] = ACTIONS(3495),
    [aux_sym_preproc_include_token1] = ACTIONS(3495),
    [aux_sym_preproc_def_token1] = ACTIONS(3495),
    [aux_sym_preproc_if_token1] = ACTIONS(3495),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3495),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3495),
    [sym_preproc_directive] = ACTIONS(3495),
    [anon_sym_LPAREN2] = ACTIONS(3497),
    [anon_sym_BANG] = ACTIONS(3497),
    [anon_sym_TILDE] = ACTIONS(3497),
    [anon_sym_DASH] = ACTIONS(3495),
    [anon_sym_PLUS] = ACTIONS(3495),
    [anon_sym_STAR] = ACTIONS(3497),
    [anon_sym_AMP_AMP] = ACTIONS(3497),
    [anon_sym_AMP] = ACTIONS(3495),
    [anon_sym___extension__] = ACTIONS(3495),
    [anon_sym_typedef] = ACTIONS(3495),
    [anon_sym_extern] = ACTIONS(3495),
    [anon_sym___attribute__] = ACTIONS(3495),
    [anon_sym_COLON_COLON] = ACTIONS(3497),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3497),
    [anon_sym___declspec] = ACTIONS(3495),
    [anon_sym___based] = ACTIONS(3495),
    [anon_sym___cdecl] = ACTIONS(3495),
    [anon_sym___clrcall] = ACTIONS(3495),
    [anon_sym___stdcall] = ACTIONS(3495),
    [anon_sym___fastcall] = ACTIONS(3495),
    [anon_sym___thiscall] = ACTIONS(3495),
    [anon_sym___vectorcall] = ACTIONS(3495),
    [anon_sym_LBRACE] = ACTIONS(3497),
    [anon_sym_signed] = ACTIONS(3495),
    [anon_sym_unsigned] = ACTIONS(3495),
    [anon_sym_long] = ACTIONS(3495),
    [anon_sym_short] = ACTIONS(3495),
    [anon_sym_LBRACK] = ACTIONS(3495),
    [anon_sym_static] = ACTIONS(3495),
    [anon_sym_register] = ACTIONS(3495),
    [anon_sym_inline] = ACTIONS(3495),
    [anon_sym___inline] = ACTIONS(3495),
    [anon_sym___inline__] = ACTIONS(3495),
    [anon_sym___forceinline] = ACTIONS(3495),
    [anon_sym_thread_local] = ACTIONS(3495),
    [anon_sym___thread] = ACTIONS(3495),
    [anon_sym_const] = ACTIONS(3495),
    [anon_sym_constexpr] = ACTIONS(3495),
    [anon_sym_volatile] = ACTIONS(3495),
    [anon_sym_restrict] = ACTIONS(3495),
    [anon_sym___restrict__] = ACTIONS(3495),
    [anon_sym__Atomic] = ACTIONS(3495),
    [anon_sym__Noreturn] = ACTIONS(3495),
    [anon_sym_noreturn] = ACTIONS(3495),
    [anon_sym_mutable] = ACTIONS(3495),
    [anon_sym_constinit] = ACTIONS(3495),
    [anon_sym_consteval] = ACTIONS(3495),
    [anon_sym_PROGMEM] = ACTIONS(3495),
    [aux_sym_primitive_type_token1] = ACTIONS(3495),
    [anon_sym_byte] = ACTIONS(3495),
    [anon_sym_word] = ACTIONS(3495),
    [anon_sym_enum] = ACTIONS(3495),
    [anon_sym_class] = ACTIONS(3495),
    [anon_sym_struct] = ACTIONS(3495),
    [anon_sym_union] = ACTIONS(3495),
    [anon_sym_if] = ACTIONS(3495),
    [anon_sym_switch] = ACTIONS(3495),
    [anon_sym_case] = ACTIONS(3495),
    [anon_sym_default] = ACTIONS(3495),
    [anon_sym_while] = ACTIONS(3495),
    [anon_sym_do] = ACTIONS(3495),
    [anon_sym_for] = ACTIONS(3495),
    [anon_sym_return] = ACTIONS(3495),
    [anon_sym_break] = ACTIONS(3495),
    [anon_sym_continue] = ACTIONS(3495),
    [anon_sym_goto] = ACTIONS(3495),
    [anon_sym_not] = ACTIONS(3495),
    [anon_sym_compl] = ACTIONS(3495),
    [anon_sym_DASH_DASH] = ACTIONS(3497),
    [anon_sym_PLUS_PLUS] = ACTIONS(3497),
    [anon_sym_sizeof] = ACTIONS(3495),
    [anon_sym___alignof__] = ACTIONS(3495),
    [anon_sym___alignof] = ACTIONS(3495),
    [anon_sym__alignof] = ACTIONS(3495),
    [anon_sym_alignof] = ACTIONS(3495),
    [anon_sym__Alignof] = ACTIONS(3495),
    [anon_sym_offsetof] = ACTIONS(3495),
    [anon_sym__Generic] = ACTIONS(3495),
    [anon_sym_asm] = ACTIONS(3495),
    [anon_sym___asm__] = ACTIONS(3495),
    [aux_sym_number_literal_token1] = ACTIONS(3497),
    [aux_sym_number_literal_token2] = ACTIONS(3495),
    [anon_sym_L_SQUOTE] = ACTIONS(3497),
    [anon_sym_u_SQUOTE] = ACTIONS(3497),
    [anon_sym_U_SQUOTE] = ACTIONS(3497),
    [anon_sym_u8_SQUOTE] = ACTIONS(3497),
    [anon_sym_SQUOTE] = ACTIONS(3497),
    [anon_sym_L_DQUOTE] = ACTIONS(3497),
    [anon_sym_u_DQUOTE] = ACTIONS(3497),
    [anon_sym_U_DQUOTE] = ACTIONS(3497),
    [anon_sym_u8_DQUOTE] = ACTIONS(3497),
    [anon_sym_DQUOTE] = ACTIONS(3497),
    [sym_true] = ACTIONS(3495),
    [sym_false] = ACTIONS(3495),
    [anon_sym_NULL] = ACTIONS(3495),
    [anon_sym_nullptr] = ACTIONS(3495),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3495),
    [anon_sym_decltype] = ACTIONS(3495),
    [anon_sym_virtual] = ACTIONS(3495),
    [anon_sym_alignas] = ACTIONS(3495),
    [anon_sym_explicit] = ACTIONS(3495),
    [anon_sym_typename] = ACTIONS(3495),
    [anon_sym_template] = ACTIONS(3495),
    [anon_sym_operator] = ACTIONS(3495),
    [anon_sym_try] = ACTIONS(3495),
    [anon_sym_delete] = ACTIONS(3495),
    [anon_sym_throw] = ACTIONS(3495),
    [anon_sym_namespace] = ACTIONS(3495),
    [anon_sym_using] = ACTIONS(3495),
    [anon_sym_static_assert] = ACTIONS(3495),
    [anon_sym_concept] = ACTIONS(3495),
    [anon_sym_co_return] = ACTIONS(3495),
    [anon_sym_co_yield] = ACTIONS(3495),
    [anon_sym_R_DQUOTE] = ACTIONS(3497),
    [anon_sym_LR_DQUOTE] = ACTIONS(3497),
    [anon_sym_uR_DQUOTE] = ACTIONS(3497),
    [anon_sym_UR_DQUOTE] = ACTIONS(3497),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3497),
    [anon_sym_co_await] = ACTIONS(3495),
    [anon_sym_new] = ACTIONS(3495),
    [anon_sym_requires] = ACTIONS(3495),
    [sym_this] = ACTIONS(3495),
  },
  [1020] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4431),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_initializer_list] = STATE(4523),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2149),
    [anon_sym_COMMA] = ACTIONS(2149),
    [anon_sym_LPAREN2] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(3909),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2149),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2149),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_PIPE] = ACTIONS(2147),
    [anon_sym_CARET] = ACTIONS(2149),
    [anon_sym_AMP] = ACTIONS(2147),
    [anon_sym_EQ_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ] = ACTIONS(2149),
    [anon_sym_GT] = ACTIONS(2147),
    [anon_sym_GT_EQ] = ACTIONS(2149),
    [anon_sym_LT_EQ] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_LT_LT] = ACTIONS(2149),
    [anon_sym_GT_GT] = ACTIONS(2149),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [anon_sym_RBRACK] = ACTIONS(2149),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(2149),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_LT_EQ_GT] = ACTIONS(2149),
    [anon_sym_or] = ACTIONS(2147),
    [anon_sym_and] = ACTIONS(2147),
    [anon_sym_bitor] = ACTIONS(2147),
    [anon_sym_xor] = ACTIONS(2147),
    [anon_sym_bitand] = ACTIONS(2147),
    [anon_sym_not_eq] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(2147),
    [anon_sym_DOT_STAR] = ACTIONS(2149),
    [anon_sym_DASH_GT] = ACTIONS(2149),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1021] = {
    [ts_builtin_sym_end] = ACTIONS(3332),
    [sym_identifier] = ACTIONS(3330),
    [aux_sym_preproc_include_token1] = ACTIONS(3330),
    [aux_sym_preproc_def_token1] = ACTIONS(3330),
    [aux_sym_preproc_if_token1] = ACTIONS(3330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3330),
    [sym_preproc_directive] = ACTIONS(3330),
    [anon_sym_LPAREN2] = ACTIONS(3332),
    [anon_sym_BANG] = ACTIONS(3332),
    [anon_sym_TILDE] = ACTIONS(3332),
    [anon_sym_DASH] = ACTIONS(3330),
    [anon_sym_PLUS] = ACTIONS(3330),
    [anon_sym_STAR] = ACTIONS(3332),
    [anon_sym_AMP_AMP] = ACTIONS(3332),
    [anon_sym_AMP] = ACTIONS(3330),
    [anon_sym___extension__] = ACTIONS(3330),
    [anon_sym_typedef] = ACTIONS(3330),
    [anon_sym_extern] = ACTIONS(3330),
    [anon_sym___attribute__] = ACTIONS(3330),
    [anon_sym_COLON_COLON] = ACTIONS(3332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3332),
    [anon_sym___declspec] = ACTIONS(3330),
    [anon_sym___based] = ACTIONS(3330),
    [anon_sym___cdecl] = ACTIONS(3330),
    [anon_sym___clrcall] = ACTIONS(3330),
    [anon_sym___stdcall] = ACTIONS(3330),
    [anon_sym___fastcall] = ACTIONS(3330),
    [anon_sym___thiscall] = ACTIONS(3330),
    [anon_sym___vectorcall] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3332),
    [anon_sym_signed] = ACTIONS(3330),
    [anon_sym_unsigned] = ACTIONS(3330),
    [anon_sym_long] = ACTIONS(3330),
    [anon_sym_short] = ACTIONS(3330),
    [anon_sym_LBRACK] = ACTIONS(3330),
    [anon_sym_static] = ACTIONS(3330),
    [anon_sym_register] = ACTIONS(3330),
    [anon_sym_inline] = ACTIONS(3330),
    [anon_sym___inline] = ACTIONS(3330),
    [anon_sym___inline__] = ACTIONS(3330),
    [anon_sym___forceinline] = ACTIONS(3330),
    [anon_sym_thread_local] = ACTIONS(3330),
    [anon_sym___thread] = ACTIONS(3330),
    [anon_sym_const] = ACTIONS(3330),
    [anon_sym_constexpr] = ACTIONS(3330),
    [anon_sym_volatile] = ACTIONS(3330),
    [anon_sym_restrict] = ACTIONS(3330),
    [anon_sym___restrict__] = ACTIONS(3330),
    [anon_sym__Atomic] = ACTIONS(3330),
    [anon_sym__Noreturn] = ACTIONS(3330),
    [anon_sym_noreturn] = ACTIONS(3330),
    [anon_sym_mutable] = ACTIONS(3330),
    [anon_sym_constinit] = ACTIONS(3330),
    [anon_sym_consteval] = ACTIONS(3330),
    [anon_sym_PROGMEM] = ACTIONS(3330),
    [aux_sym_primitive_type_token1] = ACTIONS(3330),
    [anon_sym_byte] = ACTIONS(3330),
    [anon_sym_word] = ACTIONS(3330),
    [anon_sym_enum] = ACTIONS(3330),
    [anon_sym_class] = ACTIONS(3330),
    [anon_sym_struct] = ACTIONS(3330),
    [anon_sym_union] = ACTIONS(3330),
    [anon_sym_if] = ACTIONS(3330),
    [anon_sym_switch] = ACTIONS(3330),
    [anon_sym_case] = ACTIONS(3330),
    [anon_sym_default] = ACTIONS(3330),
    [anon_sym_while] = ACTIONS(3330),
    [anon_sym_do] = ACTIONS(3330),
    [anon_sym_for] = ACTIONS(3330),
    [anon_sym_return] = ACTIONS(3330),
    [anon_sym_break] = ACTIONS(3330),
    [anon_sym_continue] = ACTIONS(3330),
    [anon_sym_goto] = ACTIONS(3330),
    [anon_sym_not] = ACTIONS(3330),
    [anon_sym_compl] = ACTIONS(3330),
    [anon_sym_DASH_DASH] = ACTIONS(3332),
    [anon_sym_PLUS_PLUS] = ACTIONS(3332),
    [anon_sym_sizeof] = ACTIONS(3330),
    [anon_sym___alignof__] = ACTIONS(3330),
    [anon_sym___alignof] = ACTIONS(3330),
    [anon_sym__alignof] = ACTIONS(3330),
    [anon_sym_alignof] = ACTIONS(3330),
    [anon_sym__Alignof] = ACTIONS(3330),
    [anon_sym_offsetof] = ACTIONS(3330),
    [anon_sym__Generic] = ACTIONS(3330),
    [anon_sym_asm] = ACTIONS(3330),
    [anon_sym___asm__] = ACTIONS(3330),
    [aux_sym_number_literal_token1] = ACTIONS(3332),
    [aux_sym_number_literal_token2] = ACTIONS(3330),
    [anon_sym_L_SQUOTE] = ACTIONS(3332),
    [anon_sym_u_SQUOTE] = ACTIONS(3332),
    [anon_sym_U_SQUOTE] = ACTIONS(3332),
    [anon_sym_u8_SQUOTE] = ACTIONS(3332),
    [anon_sym_SQUOTE] = ACTIONS(3332),
    [anon_sym_L_DQUOTE] = ACTIONS(3332),
    [anon_sym_u_DQUOTE] = ACTIONS(3332),
    [anon_sym_U_DQUOTE] = ACTIONS(3332),
    [anon_sym_u8_DQUOTE] = ACTIONS(3332),
    [anon_sym_DQUOTE] = ACTIONS(3332),
    [sym_true] = ACTIONS(3330),
    [sym_false] = ACTIONS(3330),
    [anon_sym_NULL] = ACTIONS(3330),
    [anon_sym_nullptr] = ACTIONS(3330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3330),
    [anon_sym_decltype] = ACTIONS(3330),
    [anon_sym_virtual] = ACTIONS(3330),
    [anon_sym_alignas] = ACTIONS(3330),
    [anon_sym_explicit] = ACTIONS(3330),
    [anon_sym_typename] = ACTIONS(3330),
    [anon_sym_template] = ACTIONS(3330),
    [anon_sym_operator] = ACTIONS(3330),
    [anon_sym_try] = ACTIONS(3330),
    [anon_sym_delete] = ACTIONS(3330),
    [anon_sym_throw] = ACTIONS(3330),
    [anon_sym_namespace] = ACTIONS(3330),
    [anon_sym_using] = ACTIONS(3330),
    [anon_sym_static_assert] = ACTIONS(3330),
    [anon_sym_concept] = ACTIONS(3330),
    [anon_sym_co_return] = ACTIONS(3330),
    [anon_sym_co_yield] = ACTIONS(3330),
    [anon_sym_R_DQUOTE] = ACTIONS(3332),
    [anon_sym_LR_DQUOTE] = ACTIONS(3332),
    [anon_sym_uR_DQUOTE] = ACTIONS(3332),
    [anon_sym_UR_DQUOTE] = ACTIONS(3332),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3332),
    [anon_sym_co_await] = ACTIONS(3330),
    [anon_sym_new] = ACTIONS(3330),
    [anon_sym_requires] = ACTIONS(3330),
    [sym_this] = ACTIONS(3330),
  },
  [1022] = {
    [ts_builtin_sym_end] = ACTIONS(3445),
    [sym_identifier] = ACTIONS(3443),
    [aux_sym_preproc_include_token1] = ACTIONS(3443),
    [aux_sym_preproc_def_token1] = ACTIONS(3443),
    [aux_sym_preproc_if_token1] = ACTIONS(3443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3443),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3443),
    [sym_preproc_directive] = ACTIONS(3443),
    [anon_sym_LPAREN2] = ACTIONS(3445),
    [anon_sym_BANG] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3445),
    [anon_sym_DASH] = ACTIONS(3443),
    [anon_sym_PLUS] = ACTIONS(3443),
    [anon_sym_STAR] = ACTIONS(3445),
    [anon_sym_AMP_AMP] = ACTIONS(3445),
    [anon_sym_AMP] = ACTIONS(3443),
    [anon_sym___extension__] = ACTIONS(3443),
    [anon_sym_typedef] = ACTIONS(3443),
    [anon_sym_extern] = ACTIONS(3443),
    [anon_sym___attribute__] = ACTIONS(3443),
    [anon_sym_COLON_COLON] = ACTIONS(3445),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3445),
    [anon_sym___declspec] = ACTIONS(3443),
    [anon_sym___based] = ACTIONS(3443),
    [anon_sym___cdecl] = ACTIONS(3443),
    [anon_sym___clrcall] = ACTIONS(3443),
    [anon_sym___stdcall] = ACTIONS(3443),
    [anon_sym___fastcall] = ACTIONS(3443),
    [anon_sym___thiscall] = ACTIONS(3443),
    [anon_sym___vectorcall] = ACTIONS(3443),
    [anon_sym_LBRACE] = ACTIONS(3445),
    [anon_sym_signed] = ACTIONS(3443),
    [anon_sym_unsigned] = ACTIONS(3443),
    [anon_sym_long] = ACTIONS(3443),
    [anon_sym_short] = ACTIONS(3443),
    [anon_sym_LBRACK] = ACTIONS(3443),
    [anon_sym_static] = ACTIONS(3443),
    [anon_sym_register] = ACTIONS(3443),
    [anon_sym_inline] = ACTIONS(3443),
    [anon_sym___inline] = ACTIONS(3443),
    [anon_sym___inline__] = ACTIONS(3443),
    [anon_sym___forceinline] = ACTIONS(3443),
    [anon_sym_thread_local] = ACTIONS(3443),
    [anon_sym___thread] = ACTIONS(3443),
    [anon_sym_const] = ACTIONS(3443),
    [anon_sym_constexpr] = ACTIONS(3443),
    [anon_sym_volatile] = ACTIONS(3443),
    [anon_sym_restrict] = ACTIONS(3443),
    [anon_sym___restrict__] = ACTIONS(3443),
    [anon_sym__Atomic] = ACTIONS(3443),
    [anon_sym__Noreturn] = ACTIONS(3443),
    [anon_sym_noreturn] = ACTIONS(3443),
    [anon_sym_mutable] = ACTIONS(3443),
    [anon_sym_constinit] = ACTIONS(3443),
    [anon_sym_consteval] = ACTIONS(3443),
    [anon_sym_PROGMEM] = ACTIONS(3443),
    [aux_sym_primitive_type_token1] = ACTIONS(3443),
    [anon_sym_byte] = ACTIONS(3443),
    [anon_sym_word] = ACTIONS(3443),
    [anon_sym_enum] = ACTIONS(3443),
    [anon_sym_class] = ACTIONS(3443),
    [anon_sym_struct] = ACTIONS(3443),
    [anon_sym_union] = ACTIONS(3443),
    [anon_sym_if] = ACTIONS(3443),
    [anon_sym_switch] = ACTIONS(3443),
    [anon_sym_case] = ACTIONS(3443),
    [anon_sym_default] = ACTIONS(3443),
    [anon_sym_while] = ACTIONS(3443),
    [anon_sym_do] = ACTIONS(3443),
    [anon_sym_for] = ACTIONS(3443),
    [anon_sym_return] = ACTIONS(3443),
    [anon_sym_break] = ACTIONS(3443),
    [anon_sym_continue] = ACTIONS(3443),
    [anon_sym_goto] = ACTIONS(3443),
    [anon_sym_not] = ACTIONS(3443),
    [anon_sym_compl] = ACTIONS(3443),
    [anon_sym_DASH_DASH] = ACTIONS(3445),
    [anon_sym_PLUS_PLUS] = ACTIONS(3445),
    [anon_sym_sizeof] = ACTIONS(3443),
    [anon_sym___alignof__] = ACTIONS(3443),
    [anon_sym___alignof] = ACTIONS(3443),
    [anon_sym__alignof] = ACTIONS(3443),
    [anon_sym_alignof] = ACTIONS(3443),
    [anon_sym__Alignof] = ACTIONS(3443),
    [anon_sym_offsetof] = ACTIONS(3443),
    [anon_sym__Generic] = ACTIONS(3443),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [aux_sym_number_literal_token1] = ACTIONS(3445),
    [aux_sym_number_literal_token2] = ACTIONS(3443),
    [anon_sym_L_SQUOTE] = ACTIONS(3445),
    [anon_sym_u_SQUOTE] = ACTIONS(3445),
    [anon_sym_U_SQUOTE] = ACTIONS(3445),
    [anon_sym_u8_SQUOTE] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(3445),
    [anon_sym_L_DQUOTE] = ACTIONS(3445),
    [anon_sym_u_DQUOTE] = ACTIONS(3445),
    [anon_sym_U_DQUOTE] = ACTIONS(3445),
    [anon_sym_u8_DQUOTE] = ACTIONS(3445),
    [anon_sym_DQUOTE] = ACTIONS(3445),
    [sym_true] = ACTIONS(3443),
    [sym_false] = ACTIONS(3443),
    [anon_sym_NULL] = ACTIONS(3443),
    [anon_sym_nullptr] = ACTIONS(3443),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3443),
    [anon_sym_decltype] = ACTIONS(3443),
    [anon_sym_virtual] = ACTIONS(3443),
    [anon_sym_alignas] = ACTIONS(3443),
    [anon_sym_explicit] = ACTIONS(3443),
    [anon_sym_typename] = ACTIONS(3443),
    [anon_sym_template] = ACTIONS(3443),
    [anon_sym_operator] = ACTIONS(3443),
    [anon_sym_try] = ACTIONS(3443),
    [anon_sym_delete] = ACTIONS(3443),
    [anon_sym_throw] = ACTIONS(3443),
    [anon_sym_namespace] = ACTIONS(3443),
    [anon_sym_using] = ACTIONS(3443),
    [anon_sym_static_assert] = ACTIONS(3443),
    [anon_sym_concept] = ACTIONS(3443),
    [anon_sym_co_return] = ACTIONS(3443),
    [anon_sym_co_yield] = ACTIONS(3443),
    [anon_sym_R_DQUOTE] = ACTIONS(3445),
    [anon_sym_LR_DQUOTE] = ACTIONS(3445),
    [anon_sym_uR_DQUOTE] = ACTIONS(3445),
    [anon_sym_UR_DQUOTE] = ACTIONS(3445),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3445),
    [anon_sym_co_await] = ACTIONS(3443),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3443),
    [sym_this] = ACTIONS(3443),
  },
  [1023] = {
    [ts_builtin_sym_end] = ACTIONS(3310),
    [sym_identifier] = ACTIONS(3308),
    [aux_sym_preproc_include_token1] = ACTIONS(3308),
    [aux_sym_preproc_def_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token1] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3308),
    [sym_preproc_directive] = ACTIONS(3308),
    [anon_sym_LPAREN2] = ACTIONS(3310),
    [anon_sym_BANG] = ACTIONS(3310),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_STAR] = ACTIONS(3310),
    [anon_sym_AMP_AMP] = ACTIONS(3310),
    [anon_sym_AMP] = ACTIONS(3308),
    [anon_sym___extension__] = ACTIONS(3308),
    [anon_sym_typedef] = ACTIONS(3308),
    [anon_sym_extern] = ACTIONS(3308),
    [anon_sym___attribute__] = ACTIONS(3308),
    [anon_sym_COLON_COLON] = ACTIONS(3310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3310),
    [anon_sym___declspec] = ACTIONS(3308),
    [anon_sym___based] = ACTIONS(3308),
    [anon_sym___cdecl] = ACTIONS(3308),
    [anon_sym___clrcall] = ACTIONS(3308),
    [anon_sym___stdcall] = ACTIONS(3308),
    [anon_sym___fastcall] = ACTIONS(3308),
    [anon_sym___thiscall] = ACTIONS(3308),
    [anon_sym___vectorcall] = ACTIONS(3308),
    [anon_sym_LBRACE] = ACTIONS(3310),
    [anon_sym_signed] = ACTIONS(3308),
    [anon_sym_unsigned] = ACTIONS(3308),
    [anon_sym_long] = ACTIONS(3308),
    [anon_sym_short] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_register] = ACTIONS(3308),
    [anon_sym_inline] = ACTIONS(3308),
    [anon_sym___inline] = ACTIONS(3308),
    [anon_sym___inline__] = ACTIONS(3308),
    [anon_sym___forceinline] = ACTIONS(3308),
    [anon_sym_thread_local] = ACTIONS(3308),
    [anon_sym___thread] = ACTIONS(3308),
    [anon_sym_const] = ACTIONS(3308),
    [anon_sym_constexpr] = ACTIONS(3308),
    [anon_sym_volatile] = ACTIONS(3308),
    [anon_sym_restrict] = ACTIONS(3308),
    [anon_sym___restrict__] = ACTIONS(3308),
    [anon_sym__Atomic] = ACTIONS(3308),
    [anon_sym__Noreturn] = ACTIONS(3308),
    [anon_sym_noreturn] = ACTIONS(3308),
    [anon_sym_mutable] = ACTIONS(3308),
    [anon_sym_constinit] = ACTIONS(3308),
    [anon_sym_consteval] = ACTIONS(3308),
    [anon_sym_PROGMEM] = ACTIONS(3308),
    [aux_sym_primitive_type_token1] = ACTIONS(3308),
    [anon_sym_byte] = ACTIONS(3308),
    [anon_sym_word] = ACTIONS(3308),
    [anon_sym_enum] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_struct] = ACTIONS(3308),
    [anon_sym_union] = ACTIONS(3308),
    [anon_sym_if] = ACTIONS(3308),
    [anon_sym_switch] = ACTIONS(3308),
    [anon_sym_case] = ACTIONS(3308),
    [anon_sym_default] = ACTIONS(3308),
    [anon_sym_while] = ACTIONS(3308),
    [anon_sym_do] = ACTIONS(3308),
    [anon_sym_for] = ACTIONS(3308),
    [anon_sym_return] = ACTIONS(3308),
    [anon_sym_break] = ACTIONS(3308),
    [anon_sym_continue] = ACTIONS(3308),
    [anon_sym_goto] = ACTIONS(3308),
    [anon_sym_not] = ACTIONS(3308),
    [anon_sym_compl] = ACTIONS(3308),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_sizeof] = ACTIONS(3308),
    [anon_sym___alignof__] = ACTIONS(3308),
    [anon_sym___alignof] = ACTIONS(3308),
    [anon_sym__alignof] = ACTIONS(3308),
    [anon_sym_alignof] = ACTIONS(3308),
    [anon_sym__Alignof] = ACTIONS(3308),
    [anon_sym_offsetof] = ACTIONS(3308),
    [anon_sym__Generic] = ACTIONS(3308),
    [anon_sym_asm] = ACTIONS(3308),
    [anon_sym___asm__] = ACTIONS(3308),
    [aux_sym_number_literal_token1] = ACTIONS(3310),
    [aux_sym_number_literal_token2] = ACTIONS(3308),
    [anon_sym_L_SQUOTE] = ACTIONS(3310),
    [anon_sym_u_SQUOTE] = ACTIONS(3310),
    [anon_sym_U_SQUOTE] = ACTIONS(3310),
    [anon_sym_u8_SQUOTE] = ACTIONS(3310),
    [anon_sym_SQUOTE] = ACTIONS(3310),
    [anon_sym_L_DQUOTE] = ACTIONS(3310),
    [anon_sym_u_DQUOTE] = ACTIONS(3310),
    [anon_sym_U_DQUOTE] = ACTIONS(3310),
    [anon_sym_u8_DQUOTE] = ACTIONS(3310),
    [anon_sym_DQUOTE] = ACTIONS(3310),
    [sym_true] = ACTIONS(3308),
    [sym_false] = ACTIONS(3308),
    [anon_sym_NULL] = ACTIONS(3308),
    [anon_sym_nullptr] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3308),
    [anon_sym_decltype] = ACTIONS(3308),
    [anon_sym_virtual] = ACTIONS(3308),
    [anon_sym_alignas] = ACTIONS(3308),
    [anon_sym_explicit] = ACTIONS(3308),
    [anon_sym_typename] = ACTIONS(3308),
    [anon_sym_template] = ACTIONS(3308),
    [anon_sym_operator] = ACTIONS(3308),
    [anon_sym_try] = ACTIONS(3308),
    [anon_sym_delete] = ACTIONS(3308),
    [anon_sym_throw] = ACTIONS(3308),
    [anon_sym_namespace] = ACTIONS(3308),
    [anon_sym_using] = ACTIONS(3308),
    [anon_sym_static_assert] = ACTIONS(3308),
    [anon_sym_concept] = ACTIONS(3308),
    [anon_sym_co_return] = ACTIONS(3308),
    [anon_sym_co_yield] = ACTIONS(3308),
    [anon_sym_R_DQUOTE] = ACTIONS(3310),
    [anon_sym_LR_DQUOTE] = ACTIONS(3310),
    [anon_sym_uR_DQUOTE] = ACTIONS(3310),
    [anon_sym_UR_DQUOTE] = ACTIONS(3310),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3310),
    [anon_sym_co_await] = ACTIONS(3308),
    [anon_sym_new] = ACTIONS(3308),
    [anon_sym_requires] = ACTIONS(3308),
    [sym_this] = ACTIONS(3308),
  },
  [1024] = {
    [ts_builtin_sym_end] = ACTIONS(3379),
    [sym_identifier] = ACTIONS(3377),
    [aux_sym_preproc_include_token1] = ACTIONS(3377),
    [aux_sym_preproc_def_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token1] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3377),
    [sym_preproc_directive] = ACTIONS(3377),
    [anon_sym_LPAREN2] = ACTIONS(3379),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_STAR] = ACTIONS(3379),
    [anon_sym_AMP_AMP] = ACTIONS(3379),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym___extension__] = ACTIONS(3377),
    [anon_sym_typedef] = ACTIONS(3377),
    [anon_sym_extern] = ACTIONS(3377),
    [anon_sym___attribute__] = ACTIONS(3377),
    [anon_sym_COLON_COLON] = ACTIONS(3379),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3379),
    [anon_sym___declspec] = ACTIONS(3377),
    [anon_sym___based] = ACTIONS(3377),
    [anon_sym___cdecl] = ACTIONS(3377),
    [anon_sym___clrcall] = ACTIONS(3377),
    [anon_sym___stdcall] = ACTIONS(3377),
    [anon_sym___fastcall] = ACTIONS(3377),
    [anon_sym___thiscall] = ACTIONS(3377),
    [anon_sym___vectorcall] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_signed] = ACTIONS(3377),
    [anon_sym_unsigned] = ACTIONS(3377),
    [anon_sym_long] = ACTIONS(3377),
    [anon_sym_short] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_register] = ACTIONS(3377),
    [anon_sym_inline] = ACTIONS(3377),
    [anon_sym___inline] = ACTIONS(3377),
    [anon_sym___inline__] = ACTIONS(3377),
    [anon_sym___forceinline] = ACTIONS(3377),
    [anon_sym_thread_local] = ACTIONS(3377),
    [anon_sym___thread] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_constexpr] = ACTIONS(3377),
    [anon_sym_volatile] = ACTIONS(3377),
    [anon_sym_restrict] = ACTIONS(3377),
    [anon_sym___restrict__] = ACTIONS(3377),
    [anon_sym__Atomic] = ACTIONS(3377),
    [anon_sym__Noreturn] = ACTIONS(3377),
    [anon_sym_noreturn] = ACTIONS(3377),
    [anon_sym_mutable] = ACTIONS(3377),
    [anon_sym_constinit] = ACTIONS(3377),
    [anon_sym_consteval] = ACTIONS(3377),
    [anon_sym_PROGMEM] = ACTIONS(3377),
    [aux_sym_primitive_type_token1] = ACTIONS(3377),
    [anon_sym_byte] = ACTIONS(3377),
    [anon_sym_word] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_struct] = ACTIONS(3377),
    [anon_sym_union] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_case] = ACTIONS(3377),
    [anon_sym_default] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_goto] = ACTIONS(3377),
    [anon_sym_not] = ACTIONS(3377),
    [anon_sym_compl] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_sizeof] = ACTIONS(3377),
    [anon_sym___alignof__] = ACTIONS(3377),
    [anon_sym___alignof] = ACTIONS(3377),
    [anon_sym__alignof] = ACTIONS(3377),
    [anon_sym_alignof] = ACTIONS(3377),
    [anon_sym__Alignof] = ACTIONS(3377),
    [anon_sym_offsetof] = ACTIONS(3377),
    [anon_sym__Generic] = ACTIONS(3377),
    [anon_sym_asm] = ACTIONS(3377),
    [anon_sym___asm__] = ACTIONS(3377),
    [aux_sym_number_literal_token1] = ACTIONS(3379),
    [aux_sym_number_literal_token2] = ACTIONS(3377),
    [anon_sym_L_SQUOTE] = ACTIONS(3379),
    [anon_sym_u_SQUOTE] = ACTIONS(3379),
    [anon_sym_U_SQUOTE] = ACTIONS(3379),
    [anon_sym_u8_SQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [anon_sym_L_DQUOTE] = ACTIONS(3379),
    [anon_sym_u_DQUOTE] = ACTIONS(3379),
    [anon_sym_U_DQUOTE] = ACTIONS(3379),
    [anon_sym_u8_DQUOTE] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [anon_sym_NULL] = ACTIONS(3377),
    [anon_sym_nullptr] = ACTIONS(3377),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3377),
    [anon_sym_decltype] = ACTIONS(3377),
    [anon_sym_virtual] = ACTIONS(3377),
    [anon_sym_alignas] = ACTIONS(3377),
    [anon_sym_explicit] = ACTIONS(3377),
    [anon_sym_typename] = ACTIONS(3377),
    [anon_sym_template] = ACTIONS(3377),
    [anon_sym_operator] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_static_assert] = ACTIONS(3377),
    [anon_sym_concept] = ACTIONS(3377),
    [anon_sym_co_return] = ACTIONS(3377),
    [anon_sym_co_yield] = ACTIONS(3377),
    [anon_sym_R_DQUOTE] = ACTIONS(3379),
    [anon_sym_LR_DQUOTE] = ACTIONS(3379),
    [anon_sym_uR_DQUOTE] = ACTIONS(3379),
    [anon_sym_UR_DQUOTE] = ACTIONS(3379),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3379),
    [anon_sym_co_await] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_requires] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
  },
  [1025] = {
    [ts_builtin_sym_end] = ACTIONS(3923),
    [sym_identifier] = ACTIONS(3925),
    [aux_sym_preproc_include_token1] = ACTIONS(3925),
    [aux_sym_preproc_def_token1] = ACTIONS(3925),
    [aux_sym_preproc_if_token1] = ACTIONS(3925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3925),
    [sym_preproc_directive] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(3923),
    [anon_sym_BANG] = ACTIONS(3923),
    [anon_sym_TILDE] = ACTIONS(3923),
    [anon_sym_DASH] = ACTIONS(3925),
    [anon_sym_PLUS] = ACTIONS(3925),
    [anon_sym_STAR] = ACTIONS(3923),
    [anon_sym_AMP_AMP] = ACTIONS(3923),
    [anon_sym_AMP] = ACTIONS(3925),
    [anon_sym___extension__] = ACTIONS(3925),
    [anon_sym_typedef] = ACTIONS(3925),
    [anon_sym_extern] = ACTIONS(3925),
    [anon_sym___attribute__] = ACTIONS(3925),
    [anon_sym_COLON_COLON] = ACTIONS(3923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3923),
    [anon_sym___declspec] = ACTIONS(3925),
    [anon_sym___based] = ACTIONS(3925),
    [anon_sym___cdecl] = ACTIONS(3925),
    [anon_sym___clrcall] = ACTIONS(3925),
    [anon_sym___stdcall] = ACTIONS(3925),
    [anon_sym___fastcall] = ACTIONS(3925),
    [anon_sym___thiscall] = ACTIONS(3925),
    [anon_sym___vectorcall] = ACTIONS(3925),
    [anon_sym_LBRACE] = ACTIONS(3923),
    [anon_sym_signed] = ACTIONS(3925),
    [anon_sym_unsigned] = ACTIONS(3925),
    [anon_sym_long] = ACTIONS(3925),
    [anon_sym_short] = ACTIONS(3925),
    [anon_sym_LBRACK] = ACTIONS(3925),
    [anon_sym_static] = ACTIONS(3925),
    [anon_sym_register] = ACTIONS(3925),
    [anon_sym_inline] = ACTIONS(3925),
    [anon_sym___inline] = ACTIONS(3925),
    [anon_sym___inline__] = ACTIONS(3925),
    [anon_sym___forceinline] = ACTIONS(3925),
    [anon_sym_thread_local] = ACTIONS(3925),
    [anon_sym___thread] = ACTIONS(3925),
    [anon_sym_const] = ACTIONS(3925),
    [anon_sym_constexpr] = ACTIONS(3925),
    [anon_sym_volatile] = ACTIONS(3925),
    [anon_sym_restrict] = ACTIONS(3925),
    [anon_sym___restrict__] = ACTIONS(3925),
    [anon_sym__Atomic] = ACTIONS(3925),
    [anon_sym__Noreturn] = ACTIONS(3925),
    [anon_sym_noreturn] = ACTIONS(3925),
    [anon_sym_mutable] = ACTIONS(3925),
    [anon_sym_constinit] = ACTIONS(3925),
    [anon_sym_consteval] = ACTIONS(3925),
    [anon_sym_PROGMEM] = ACTIONS(3925),
    [aux_sym_primitive_type_token1] = ACTIONS(3925),
    [anon_sym_byte] = ACTIONS(3925),
    [anon_sym_word] = ACTIONS(3925),
    [anon_sym_enum] = ACTIONS(3925),
    [anon_sym_class] = ACTIONS(3925),
    [anon_sym_struct] = ACTIONS(3925),
    [anon_sym_union] = ACTIONS(3925),
    [anon_sym_if] = ACTIONS(3925),
    [anon_sym_switch] = ACTIONS(3925),
    [anon_sym_case] = ACTIONS(3925),
    [anon_sym_default] = ACTIONS(3925),
    [anon_sym_while] = ACTIONS(3925),
    [anon_sym_do] = ACTIONS(3925),
    [anon_sym_for] = ACTIONS(3925),
    [anon_sym_return] = ACTIONS(3925),
    [anon_sym_break] = ACTIONS(3925),
    [anon_sym_continue] = ACTIONS(3925),
    [anon_sym_goto] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(3925),
    [anon_sym_compl] = ACTIONS(3925),
    [anon_sym_DASH_DASH] = ACTIONS(3923),
    [anon_sym_PLUS_PLUS] = ACTIONS(3923),
    [anon_sym_sizeof] = ACTIONS(3925),
    [anon_sym___alignof__] = ACTIONS(3925),
    [anon_sym___alignof] = ACTIONS(3925),
    [anon_sym__alignof] = ACTIONS(3925),
    [anon_sym_alignof] = ACTIONS(3925),
    [anon_sym__Alignof] = ACTIONS(3925),
    [anon_sym_offsetof] = ACTIONS(3925),
    [anon_sym__Generic] = ACTIONS(3925),
    [anon_sym_asm] = ACTIONS(3925),
    [anon_sym___asm__] = ACTIONS(3925),
    [aux_sym_number_literal_token1] = ACTIONS(3923),
    [aux_sym_number_literal_token2] = ACTIONS(3925),
    [anon_sym_L_SQUOTE] = ACTIONS(3923),
    [anon_sym_u_SQUOTE] = ACTIONS(3923),
    [anon_sym_U_SQUOTE] = ACTIONS(3923),
    [anon_sym_u8_SQUOTE] = ACTIONS(3923),
    [anon_sym_SQUOTE] = ACTIONS(3923),
    [anon_sym_L_DQUOTE] = ACTIONS(3923),
    [anon_sym_u_DQUOTE] = ACTIONS(3923),
    [anon_sym_U_DQUOTE] = ACTIONS(3923),
    [anon_sym_u8_DQUOTE] = ACTIONS(3923),
    [anon_sym_DQUOTE] = ACTIONS(3923),
    [sym_true] = ACTIONS(3925),
    [sym_false] = ACTIONS(3925),
    [anon_sym_NULL] = ACTIONS(3925),
    [anon_sym_nullptr] = ACTIONS(3925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3925),
    [anon_sym_decltype] = ACTIONS(3925),
    [anon_sym_virtual] = ACTIONS(3925),
    [anon_sym_alignas] = ACTIONS(3925),
    [anon_sym_explicit] = ACTIONS(3925),
    [anon_sym_typename] = ACTIONS(3925),
    [anon_sym_template] = ACTIONS(3925),
    [anon_sym_operator] = ACTIONS(3925),
    [anon_sym_try] = ACTIONS(3925),
    [anon_sym_delete] = ACTIONS(3925),
    [anon_sym_throw] = ACTIONS(3925),
    [anon_sym_namespace] = ACTIONS(3925),
    [anon_sym_using] = ACTIONS(3925),
    [anon_sym_static_assert] = ACTIONS(3925),
    [anon_sym_concept] = ACTIONS(3925),
    [anon_sym_co_return] = ACTIONS(3925),
    [anon_sym_co_yield] = ACTIONS(3925),
    [anon_sym_R_DQUOTE] = ACTIONS(3923),
    [anon_sym_LR_DQUOTE] = ACTIONS(3923),
    [anon_sym_uR_DQUOTE] = ACTIONS(3923),
    [anon_sym_UR_DQUOTE] = ACTIONS(3923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3923),
    [anon_sym_co_await] = ACTIONS(3925),
    [anon_sym_new] = ACTIONS(3925),
    [anon_sym_requires] = ACTIONS(3925),
    [sym_this] = ACTIONS(3925),
  },
  [1026] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_initializer_list] = STATE(5502),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2149),
    [anon_sym_COMMA] = ACTIONS(2149),
    [anon_sym_LPAREN2] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2962),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2149),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2149),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_PIPE] = ACTIONS(2147),
    [anon_sym_CARET] = ACTIONS(2149),
    [anon_sym_AMP] = ACTIONS(2147),
    [anon_sym_EQ_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ] = ACTIONS(2149),
    [anon_sym_GT] = ACTIONS(2147),
    [anon_sym_GT_EQ] = ACTIONS(2147),
    [anon_sym_LT_EQ] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_LT_LT] = ACTIONS(2149),
    [anon_sym_GT_GT] = ACTIONS(2147),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACE] = ACTIONS(3929),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(2149),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_LT_EQ_GT] = ACTIONS(2149),
    [anon_sym_or] = ACTIONS(2147),
    [anon_sym_and] = ACTIONS(2147),
    [anon_sym_bitor] = ACTIONS(2147),
    [anon_sym_xor] = ACTIONS(2147),
    [anon_sym_bitand] = ACTIONS(2147),
    [anon_sym_not_eq] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [anon_sym_DOT] = ACTIONS(2147),
    [anon_sym_DOT_STAR] = ACTIONS(2149),
    [anon_sym_DASH_GT] = ACTIONS(2149),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_GT2] = ACTIONS(2149),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1027] = {
    [ts_builtin_sym_end] = ACTIONS(3441),
    [sym_identifier] = ACTIONS(3439),
    [aux_sym_preproc_include_token1] = ACTIONS(3439),
    [aux_sym_preproc_def_token1] = ACTIONS(3439),
    [aux_sym_preproc_if_token1] = ACTIONS(3439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3439),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3439),
    [sym_preproc_directive] = ACTIONS(3439),
    [anon_sym_LPAREN2] = ACTIONS(3441),
    [anon_sym_BANG] = ACTIONS(3441),
    [anon_sym_TILDE] = ACTIONS(3441),
    [anon_sym_DASH] = ACTIONS(3439),
    [anon_sym_PLUS] = ACTIONS(3439),
    [anon_sym_STAR] = ACTIONS(3441),
    [anon_sym_AMP_AMP] = ACTIONS(3441),
    [anon_sym_AMP] = ACTIONS(3439),
    [anon_sym___extension__] = ACTIONS(3439),
    [anon_sym_typedef] = ACTIONS(3439),
    [anon_sym_extern] = ACTIONS(3439),
    [anon_sym___attribute__] = ACTIONS(3439),
    [anon_sym_COLON_COLON] = ACTIONS(3441),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3441),
    [anon_sym___declspec] = ACTIONS(3439),
    [anon_sym___based] = ACTIONS(3439),
    [anon_sym___cdecl] = ACTIONS(3439),
    [anon_sym___clrcall] = ACTIONS(3439),
    [anon_sym___stdcall] = ACTIONS(3439),
    [anon_sym___fastcall] = ACTIONS(3439),
    [anon_sym___thiscall] = ACTIONS(3439),
    [anon_sym___vectorcall] = ACTIONS(3439),
    [anon_sym_LBRACE] = ACTIONS(3441),
    [anon_sym_signed] = ACTIONS(3439),
    [anon_sym_unsigned] = ACTIONS(3439),
    [anon_sym_long] = ACTIONS(3439),
    [anon_sym_short] = ACTIONS(3439),
    [anon_sym_LBRACK] = ACTIONS(3439),
    [anon_sym_static] = ACTIONS(3439),
    [anon_sym_register] = ACTIONS(3439),
    [anon_sym_inline] = ACTIONS(3439),
    [anon_sym___inline] = ACTIONS(3439),
    [anon_sym___inline__] = ACTIONS(3439),
    [anon_sym___forceinline] = ACTIONS(3439),
    [anon_sym_thread_local] = ACTIONS(3439),
    [anon_sym___thread] = ACTIONS(3439),
    [anon_sym_const] = ACTIONS(3439),
    [anon_sym_constexpr] = ACTIONS(3439),
    [anon_sym_volatile] = ACTIONS(3439),
    [anon_sym_restrict] = ACTIONS(3439),
    [anon_sym___restrict__] = ACTIONS(3439),
    [anon_sym__Atomic] = ACTIONS(3439),
    [anon_sym__Noreturn] = ACTIONS(3439),
    [anon_sym_noreturn] = ACTIONS(3439),
    [anon_sym_mutable] = ACTIONS(3439),
    [anon_sym_constinit] = ACTIONS(3439),
    [anon_sym_consteval] = ACTIONS(3439),
    [anon_sym_PROGMEM] = ACTIONS(3439),
    [aux_sym_primitive_type_token1] = ACTIONS(3439),
    [anon_sym_byte] = ACTIONS(3439),
    [anon_sym_word] = ACTIONS(3439),
    [anon_sym_enum] = ACTIONS(3439),
    [anon_sym_class] = ACTIONS(3439),
    [anon_sym_struct] = ACTIONS(3439),
    [anon_sym_union] = ACTIONS(3439),
    [anon_sym_if] = ACTIONS(3439),
    [anon_sym_switch] = ACTIONS(3439),
    [anon_sym_case] = ACTIONS(3439),
    [anon_sym_default] = ACTIONS(3439),
    [anon_sym_while] = ACTIONS(3439),
    [anon_sym_do] = ACTIONS(3439),
    [anon_sym_for] = ACTIONS(3439),
    [anon_sym_return] = ACTIONS(3439),
    [anon_sym_break] = ACTIONS(3439),
    [anon_sym_continue] = ACTIONS(3439),
    [anon_sym_goto] = ACTIONS(3439),
    [anon_sym_not] = ACTIONS(3439),
    [anon_sym_compl] = ACTIONS(3439),
    [anon_sym_DASH_DASH] = ACTIONS(3441),
    [anon_sym_PLUS_PLUS] = ACTIONS(3441),
    [anon_sym_sizeof] = ACTIONS(3439),
    [anon_sym___alignof__] = ACTIONS(3439),
    [anon_sym___alignof] = ACTIONS(3439),
    [anon_sym__alignof] = ACTIONS(3439),
    [anon_sym_alignof] = ACTIONS(3439),
    [anon_sym__Alignof] = ACTIONS(3439),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3439),
    [anon_sym_asm] = ACTIONS(3439),
    [anon_sym___asm__] = ACTIONS(3439),
    [aux_sym_number_literal_token1] = ACTIONS(3441),
    [aux_sym_number_literal_token2] = ACTIONS(3439),
    [anon_sym_L_SQUOTE] = ACTIONS(3441),
    [anon_sym_u_SQUOTE] = ACTIONS(3441),
    [anon_sym_U_SQUOTE] = ACTIONS(3441),
    [anon_sym_u8_SQUOTE] = ACTIONS(3441),
    [anon_sym_SQUOTE] = ACTIONS(3441),
    [anon_sym_L_DQUOTE] = ACTIONS(3441),
    [anon_sym_u_DQUOTE] = ACTIONS(3441),
    [anon_sym_U_DQUOTE] = ACTIONS(3441),
    [anon_sym_u8_DQUOTE] = ACTIONS(3441),
    [anon_sym_DQUOTE] = ACTIONS(3441),
    [sym_true] = ACTIONS(3439),
    [sym_false] = ACTIONS(3439),
    [anon_sym_NULL] = ACTIONS(3439),
    [anon_sym_nullptr] = ACTIONS(3439),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3439),
    [anon_sym_virtual] = ACTIONS(3439),
    [anon_sym_alignas] = ACTIONS(3439),
    [anon_sym_explicit] = ACTIONS(3439),
    [anon_sym_typename] = ACTIONS(3439),
    [anon_sym_template] = ACTIONS(3439),
    [anon_sym_operator] = ACTIONS(3439),
    [anon_sym_try] = ACTIONS(3439),
    [anon_sym_delete] = ACTIONS(3439),
    [anon_sym_throw] = ACTIONS(3439),
    [anon_sym_namespace] = ACTIONS(3439),
    [anon_sym_using] = ACTIONS(3439),
    [anon_sym_static_assert] = ACTIONS(3439),
    [anon_sym_concept] = ACTIONS(3439),
    [anon_sym_co_return] = ACTIONS(3439),
    [anon_sym_co_yield] = ACTIONS(3439),
    [anon_sym_R_DQUOTE] = ACTIONS(3441),
    [anon_sym_LR_DQUOTE] = ACTIONS(3441),
    [anon_sym_uR_DQUOTE] = ACTIONS(3441),
    [anon_sym_UR_DQUOTE] = ACTIONS(3441),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3441),
    [anon_sym_co_await] = ACTIONS(3439),
    [anon_sym_new] = ACTIONS(3439),
    [anon_sym_requires] = ACTIONS(3439),
    [sym_this] = ACTIONS(3439),
  },
  [1028] = {
    [ts_builtin_sym_end] = ACTIONS(3505),
    [sym_identifier] = ACTIONS(3503),
    [aux_sym_preproc_include_token1] = ACTIONS(3503),
    [aux_sym_preproc_def_token1] = ACTIONS(3503),
    [aux_sym_preproc_if_token1] = ACTIONS(3503),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3503),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3503),
    [sym_preproc_directive] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(3505),
    [anon_sym_BANG] = ACTIONS(3505),
    [anon_sym_TILDE] = ACTIONS(3505),
    [anon_sym_DASH] = ACTIONS(3503),
    [anon_sym_PLUS] = ACTIONS(3503),
    [anon_sym_STAR] = ACTIONS(3505),
    [anon_sym_AMP_AMP] = ACTIONS(3505),
    [anon_sym_AMP] = ACTIONS(3503),
    [anon_sym___extension__] = ACTIONS(3503),
    [anon_sym_typedef] = ACTIONS(3503),
    [anon_sym_extern] = ACTIONS(3503),
    [anon_sym___attribute__] = ACTIONS(3503),
    [anon_sym_COLON_COLON] = ACTIONS(3505),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3505),
    [anon_sym___declspec] = ACTIONS(3503),
    [anon_sym___based] = ACTIONS(3503),
    [anon_sym___cdecl] = ACTIONS(3503),
    [anon_sym___clrcall] = ACTIONS(3503),
    [anon_sym___stdcall] = ACTIONS(3503),
    [anon_sym___fastcall] = ACTIONS(3503),
    [anon_sym___thiscall] = ACTIONS(3503),
    [anon_sym___vectorcall] = ACTIONS(3503),
    [anon_sym_LBRACE] = ACTIONS(3505),
    [anon_sym_signed] = ACTIONS(3503),
    [anon_sym_unsigned] = ACTIONS(3503),
    [anon_sym_long] = ACTIONS(3503),
    [anon_sym_short] = ACTIONS(3503),
    [anon_sym_LBRACK] = ACTIONS(3503),
    [anon_sym_static] = ACTIONS(3503),
    [anon_sym_register] = ACTIONS(3503),
    [anon_sym_inline] = ACTIONS(3503),
    [anon_sym___inline] = ACTIONS(3503),
    [anon_sym___inline__] = ACTIONS(3503),
    [anon_sym___forceinline] = ACTIONS(3503),
    [anon_sym_thread_local] = ACTIONS(3503),
    [anon_sym___thread] = ACTIONS(3503),
    [anon_sym_const] = ACTIONS(3503),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(3503),
    [anon_sym_restrict] = ACTIONS(3503),
    [anon_sym___restrict__] = ACTIONS(3503),
    [anon_sym__Atomic] = ACTIONS(3503),
    [anon_sym__Noreturn] = ACTIONS(3503),
    [anon_sym_noreturn] = ACTIONS(3503),
    [anon_sym_mutable] = ACTIONS(3503),
    [anon_sym_constinit] = ACTIONS(3503),
    [anon_sym_consteval] = ACTIONS(3503),
    [anon_sym_PROGMEM] = ACTIONS(3503),
    [aux_sym_primitive_type_token1] = ACTIONS(3503),
    [anon_sym_byte] = ACTIONS(3503),
    [anon_sym_word] = ACTIONS(3503),
    [anon_sym_enum] = ACTIONS(3503),
    [anon_sym_class] = ACTIONS(3503),
    [anon_sym_struct] = ACTIONS(3503),
    [anon_sym_union] = ACTIONS(3503),
    [anon_sym_if] = ACTIONS(3503),
    [anon_sym_switch] = ACTIONS(3503),
    [anon_sym_case] = ACTIONS(3503),
    [anon_sym_default] = ACTIONS(3503),
    [anon_sym_while] = ACTIONS(3503),
    [anon_sym_do] = ACTIONS(3503),
    [anon_sym_for] = ACTIONS(3503),
    [anon_sym_return] = ACTIONS(3503),
    [anon_sym_break] = ACTIONS(3503),
    [anon_sym_continue] = ACTIONS(3503),
    [anon_sym_goto] = ACTIONS(3503),
    [anon_sym_not] = ACTIONS(3503),
    [anon_sym_compl] = ACTIONS(3503),
    [anon_sym_DASH_DASH] = ACTIONS(3505),
    [anon_sym_PLUS_PLUS] = ACTIONS(3505),
    [anon_sym_sizeof] = ACTIONS(3503),
    [anon_sym___alignof__] = ACTIONS(3503),
    [anon_sym___alignof] = ACTIONS(3503),
    [anon_sym__alignof] = ACTIONS(3503),
    [anon_sym_alignof] = ACTIONS(3503),
    [anon_sym__Alignof] = ACTIONS(3503),
    [anon_sym_offsetof] = ACTIONS(3503),
    [anon_sym__Generic] = ACTIONS(3503),
    [anon_sym_asm] = ACTIONS(3503),
    [anon_sym___asm__] = ACTIONS(3503),
    [aux_sym_number_literal_token1] = ACTIONS(3505),
    [aux_sym_number_literal_token2] = ACTIONS(3503),
    [anon_sym_L_SQUOTE] = ACTIONS(3505),
    [anon_sym_u_SQUOTE] = ACTIONS(3505),
    [anon_sym_U_SQUOTE] = ACTIONS(3505),
    [anon_sym_u8_SQUOTE] = ACTIONS(3505),
    [anon_sym_SQUOTE] = ACTIONS(3505),
    [anon_sym_L_DQUOTE] = ACTIONS(3505),
    [anon_sym_u_DQUOTE] = ACTIONS(3505),
    [anon_sym_U_DQUOTE] = ACTIONS(3505),
    [anon_sym_u8_DQUOTE] = ACTIONS(3505),
    [anon_sym_DQUOTE] = ACTIONS(3505),
    [sym_true] = ACTIONS(3503),
    [sym_false] = ACTIONS(3503),
    [anon_sym_NULL] = ACTIONS(3503),
    [anon_sym_nullptr] = ACTIONS(3503),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3503),
    [anon_sym_decltype] = ACTIONS(3503),
    [anon_sym_virtual] = ACTIONS(3503),
    [anon_sym_alignas] = ACTIONS(3503),
    [anon_sym_explicit] = ACTIONS(3503),
    [anon_sym_typename] = ACTIONS(3503),
    [anon_sym_template] = ACTIONS(3503),
    [anon_sym_operator] = ACTIONS(3503),
    [anon_sym_try] = ACTIONS(3503),
    [anon_sym_delete] = ACTIONS(3503),
    [anon_sym_throw] = ACTIONS(3503),
    [anon_sym_namespace] = ACTIONS(3503),
    [anon_sym_using] = ACTIONS(3503),
    [anon_sym_static_assert] = ACTIONS(3503),
    [anon_sym_concept] = ACTIONS(3503),
    [anon_sym_co_return] = ACTIONS(3503),
    [anon_sym_co_yield] = ACTIONS(3503),
    [anon_sym_R_DQUOTE] = ACTIONS(3505),
    [anon_sym_LR_DQUOTE] = ACTIONS(3505),
    [anon_sym_uR_DQUOTE] = ACTIONS(3505),
    [anon_sym_UR_DQUOTE] = ACTIONS(3505),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3505),
    [anon_sym_co_await] = ACTIONS(3503),
    [anon_sym_new] = ACTIONS(3503),
    [anon_sym_requires] = ACTIONS(3503),
    [sym_this] = ACTIONS(3503),
  },
  [1029] = {
    [ts_builtin_sym_end] = ACTIONS(3509),
    [sym_identifier] = ACTIONS(3507),
    [aux_sym_preproc_include_token1] = ACTIONS(3507),
    [aux_sym_preproc_def_token1] = ACTIONS(3507),
    [aux_sym_preproc_if_token1] = ACTIONS(3507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3507),
    [sym_preproc_directive] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(3509),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(3509),
    [anon_sym_AMP_AMP] = ACTIONS(3509),
    [anon_sym_AMP] = ACTIONS(3507),
    [anon_sym___extension__] = ACTIONS(3507),
    [anon_sym_typedef] = ACTIONS(3507),
    [anon_sym_extern] = ACTIONS(3507),
    [anon_sym___attribute__] = ACTIONS(3507),
    [anon_sym_COLON_COLON] = ACTIONS(3509),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3509),
    [anon_sym___declspec] = ACTIONS(3507),
    [anon_sym___based] = ACTIONS(3507),
    [anon_sym___cdecl] = ACTIONS(3507),
    [anon_sym___clrcall] = ACTIONS(3507),
    [anon_sym___stdcall] = ACTIONS(3507),
    [anon_sym___fastcall] = ACTIONS(3507),
    [anon_sym___thiscall] = ACTIONS(3507),
    [anon_sym___vectorcall] = ACTIONS(3507),
    [anon_sym_LBRACE] = ACTIONS(3509),
    [anon_sym_signed] = ACTIONS(3507),
    [anon_sym_unsigned] = ACTIONS(3507),
    [anon_sym_long] = ACTIONS(3507),
    [anon_sym_short] = ACTIONS(3507),
    [anon_sym_LBRACK] = ACTIONS(3507),
    [anon_sym_static] = ACTIONS(3507),
    [anon_sym_register] = ACTIONS(3507),
    [anon_sym_inline] = ACTIONS(3507),
    [anon_sym___inline] = ACTIONS(3507),
    [anon_sym___inline__] = ACTIONS(3507),
    [anon_sym___forceinline] = ACTIONS(3507),
    [anon_sym_thread_local] = ACTIONS(3507),
    [anon_sym___thread] = ACTIONS(3507),
    [anon_sym_const] = ACTIONS(3507),
    [anon_sym_constexpr] = ACTIONS(3507),
    [anon_sym_volatile] = ACTIONS(3507),
    [anon_sym_restrict] = ACTIONS(3507),
    [anon_sym___restrict__] = ACTIONS(3507),
    [anon_sym__Atomic] = ACTIONS(3507),
    [anon_sym__Noreturn] = ACTIONS(3507),
    [anon_sym_noreturn] = ACTIONS(3507),
    [anon_sym_mutable] = ACTIONS(3507),
    [anon_sym_constinit] = ACTIONS(3507),
    [anon_sym_consteval] = ACTIONS(3507),
    [anon_sym_PROGMEM] = ACTIONS(3507),
    [aux_sym_primitive_type_token1] = ACTIONS(3507),
    [anon_sym_byte] = ACTIONS(3507),
    [anon_sym_word] = ACTIONS(3507),
    [anon_sym_enum] = ACTIONS(3507),
    [anon_sym_class] = ACTIONS(3507),
    [anon_sym_struct] = ACTIONS(3507),
    [anon_sym_union] = ACTIONS(3507),
    [anon_sym_if] = ACTIONS(3507),
    [anon_sym_switch] = ACTIONS(3507),
    [anon_sym_case] = ACTIONS(3507),
    [anon_sym_default] = ACTIONS(3507),
    [anon_sym_while] = ACTIONS(3507),
    [anon_sym_do] = ACTIONS(3507),
    [anon_sym_for] = ACTIONS(3507),
    [anon_sym_return] = ACTIONS(3507),
    [anon_sym_break] = ACTIONS(3507),
    [anon_sym_continue] = ACTIONS(3507),
    [anon_sym_goto] = ACTIONS(3507),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(3509),
    [anon_sym_PLUS_PLUS] = ACTIONS(3509),
    [anon_sym_sizeof] = ACTIONS(3507),
    [anon_sym___alignof__] = ACTIONS(3507),
    [anon_sym___alignof] = ACTIONS(3507),
    [anon_sym__alignof] = ACTIONS(3507),
    [anon_sym_alignof] = ACTIONS(3507),
    [anon_sym__Alignof] = ACTIONS(3507),
    [anon_sym_offsetof] = ACTIONS(3507),
    [anon_sym__Generic] = ACTIONS(3507),
    [anon_sym_asm] = ACTIONS(3507),
    [anon_sym___asm__] = ACTIONS(3507),
    [aux_sym_number_literal_token1] = ACTIONS(3509),
    [aux_sym_number_literal_token2] = ACTIONS(3507),
    [anon_sym_L_SQUOTE] = ACTIONS(3509),
    [anon_sym_u_SQUOTE] = ACTIONS(3509),
    [anon_sym_U_SQUOTE] = ACTIONS(3509),
    [anon_sym_u8_SQUOTE] = ACTIONS(3509),
    [anon_sym_SQUOTE] = ACTIONS(3509),
    [anon_sym_L_DQUOTE] = ACTIONS(3509),
    [anon_sym_u_DQUOTE] = ACTIONS(3509),
    [anon_sym_U_DQUOTE] = ACTIONS(3509),
    [anon_sym_u8_DQUOTE] = ACTIONS(3509),
    [anon_sym_DQUOTE] = ACTIONS(3509),
    [sym_true] = ACTIONS(3507),
    [sym_false] = ACTIONS(3507),
    [anon_sym_NULL] = ACTIONS(3507),
    [anon_sym_nullptr] = ACTIONS(3507),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3507),
    [anon_sym_decltype] = ACTIONS(3507),
    [anon_sym_virtual] = ACTIONS(3507),
    [anon_sym_alignas] = ACTIONS(3507),
    [anon_sym_explicit] = ACTIONS(3507),
    [anon_sym_typename] = ACTIONS(3507),
    [anon_sym_template] = ACTIONS(3507),
    [anon_sym_operator] = ACTIONS(3507),
    [anon_sym_try] = ACTIONS(3507),
    [anon_sym_delete] = ACTIONS(3507),
    [anon_sym_throw] = ACTIONS(3507),
    [anon_sym_namespace] = ACTIONS(3507),
    [anon_sym_using] = ACTIONS(3507),
    [anon_sym_static_assert] = ACTIONS(3507),
    [anon_sym_concept] = ACTIONS(3507),
    [anon_sym_co_return] = ACTIONS(3507),
    [anon_sym_co_yield] = ACTIONS(3507),
    [anon_sym_R_DQUOTE] = ACTIONS(3509),
    [anon_sym_LR_DQUOTE] = ACTIONS(3509),
    [anon_sym_uR_DQUOTE] = ACTIONS(3509),
    [anon_sym_UR_DQUOTE] = ACTIONS(3509),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3509),
    [anon_sym_co_await] = ACTIONS(3507),
    [anon_sym_new] = ACTIONS(3507),
    [anon_sym_requires] = ACTIONS(3507),
    [sym_this] = ACTIONS(3507),
  },
  [1030] = {
    [ts_builtin_sym_end] = ACTIONS(3218),
    [sym_identifier] = ACTIONS(3216),
    [aux_sym_preproc_include_token1] = ACTIONS(3216),
    [aux_sym_preproc_def_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3216),
    [sym_preproc_directive] = ACTIONS(3216),
    [anon_sym_LPAREN2] = ACTIONS(3218),
    [anon_sym_BANG] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3218),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym___extension__] = ACTIONS(3216),
    [anon_sym_typedef] = ACTIONS(3216),
    [anon_sym_extern] = ACTIONS(3216),
    [anon_sym___attribute__] = ACTIONS(3216),
    [anon_sym_COLON_COLON] = ACTIONS(3218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3218),
    [anon_sym___declspec] = ACTIONS(3216),
    [anon_sym___based] = ACTIONS(3216),
    [anon_sym___cdecl] = ACTIONS(3216),
    [anon_sym___clrcall] = ACTIONS(3216),
    [anon_sym___stdcall] = ACTIONS(3216),
    [anon_sym___fastcall] = ACTIONS(3216),
    [anon_sym___thiscall] = ACTIONS(3216),
    [anon_sym___vectorcall] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_signed] = ACTIONS(3216),
    [anon_sym_unsigned] = ACTIONS(3216),
    [anon_sym_long] = ACTIONS(3216),
    [anon_sym_short] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_register] = ACTIONS(3216),
    [anon_sym_inline] = ACTIONS(3216),
    [anon_sym___inline] = ACTIONS(3216),
    [anon_sym___inline__] = ACTIONS(3216),
    [anon_sym___forceinline] = ACTIONS(3216),
    [anon_sym_thread_local] = ACTIONS(3216),
    [anon_sym___thread] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_constexpr] = ACTIONS(3216),
    [anon_sym_volatile] = ACTIONS(3216),
    [anon_sym_restrict] = ACTIONS(3216),
    [anon_sym___restrict__] = ACTIONS(3216),
    [anon_sym__Atomic] = ACTIONS(3216),
    [anon_sym__Noreturn] = ACTIONS(3216),
    [anon_sym_noreturn] = ACTIONS(3216),
    [anon_sym_mutable] = ACTIONS(3216),
    [anon_sym_constinit] = ACTIONS(3216),
    [anon_sym_consteval] = ACTIONS(3216),
    [anon_sym_PROGMEM] = ACTIONS(3216),
    [aux_sym_primitive_type_token1] = ACTIONS(3216),
    [anon_sym_byte] = ACTIONS(3216),
    [anon_sym_word] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3216),
    [anon_sym_union] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_case] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_goto] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(3216),
    [anon_sym_compl] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_sizeof] = ACTIONS(3216),
    [anon_sym___alignof__] = ACTIONS(3216),
    [anon_sym___alignof] = ACTIONS(3216),
    [anon_sym__alignof] = ACTIONS(3216),
    [anon_sym_alignof] = ACTIONS(3216),
    [anon_sym__Alignof] = ACTIONS(3216),
    [anon_sym_offsetof] = ACTIONS(3216),
    [anon_sym__Generic] = ACTIONS(3216),
    [anon_sym_asm] = ACTIONS(3216),
    [anon_sym___asm__] = ACTIONS(3216),
    [aux_sym_number_literal_token1] = ACTIONS(3218),
    [aux_sym_number_literal_token2] = ACTIONS(3216),
    [anon_sym_L_SQUOTE] = ACTIONS(3218),
    [anon_sym_u_SQUOTE] = ACTIONS(3218),
    [anon_sym_U_SQUOTE] = ACTIONS(3218),
    [anon_sym_u8_SQUOTE] = ACTIONS(3218),
    [anon_sym_SQUOTE] = ACTIONS(3218),
    [anon_sym_L_DQUOTE] = ACTIONS(3218),
    [anon_sym_u_DQUOTE] = ACTIONS(3218),
    [anon_sym_U_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8_DQUOTE] = ACTIONS(3218),
    [anon_sym_DQUOTE] = ACTIONS(3218),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [anon_sym_NULL] = ACTIONS(3216),
    [anon_sym_nullptr] = ACTIONS(3216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3216),
    [anon_sym_decltype] = ACTIONS(3216),
    [anon_sym_virtual] = ACTIONS(3216),
    [anon_sym_alignas] = ACTIONS(3216),
    [anon_sym_explicit] = ACTIONS(3216),
    [anon_sym_typename] = ACTIONS(3216),
    [anon_sym_template] = ACTIONS(3216),
    [anon_sym_operator] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_static_assert] = ACTIONS(3216),
    [anon_sym_concept] = ACTIONS(3216),
    [anon_sym_co_return] = ACTIONS(3216),
    [anon_sym_co_yield] = ACTIONS(3216),
    [anon_sym_R_DQUOTE] = ACTIONS(3218),
    [anon_sym_LR_DQUOTE] = ACTIONS(3218),
    [anon_sym_uR_DQUOTE] = ACTIONS(3218),
    [anon_sym_UR_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3218),
    [anon_sym_co_await] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_requires] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
  },
  [1031] = {
    [sym_preproc_def] = STATE(1031),
    [sym_preproc_function_def] = STATE(1031),
    [sym_preproc_call] = STATE(1031),
    [sym_preproc_if_in_field_declaration_list] = STATE(1031),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1031),
    [sym_type_definition] = STATE(1031),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6353),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6930),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1031),
    [sym_field_declaration] = STATE(1031),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2185),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1031),
    [sym_operator_cast] = STATE(7392),
    [sym_inline_method_definition] = STATE(1031),
    [sym__constructor_specifiers] = STATE(2185),
    [sym_operator_cast_definition] = STATE(1031),
    [sym_operator_cast_declaration] = STATE(1031),
    [sym_constructor_or_destructor_definition] = STATE(1031),
    [sym_constructor_or_destructor_declaration] = STATE(1031),
    [sym_friend_declaration] = STATE(1031),
    [sym_access_specifier] = STATE(8831),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1031),
    [sym_alias_declaration] = STATE(1031),
    [sym_static_assert_declaration] = STATE(1031),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7392),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1031),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2185),
    [sym_identifier] = ACTIONS(3597),
    [aux_sym_preproc_def_token1] = ACTIONS(3931),
    [aux_sym_preproc_if_token1] = ACTIONS(3934),
    [aux_sym_preproc_if_token2] = ACTIONS(3606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3937),
    [sym_preproc_directive] = ACTIONS(3940),
    [anon_sym_LPAREN2] = ACTIONS(3614),
    [anon_sym_TILDE] = ACTIONS(3617),
    [anon_sym_STAR] = ACTIONS(3620),
    [anon_sym_AMP_AMP] = ACTIONS(3623),
    [anon_sym_AMP] = ACTIONS(3626),
    [anon_sym___extension__] = ACTIONS(3943),
    [anon_sym_typedef] = ACTIONS(3946),
    [anon_sym_extern] = ACTIONS(3635),
    [anon_sym___attribute__] = ACTIONS(3638),
    [anon_sym_COLON_COLON] = ACTIONS(3641),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3644),
    [anon_sym___declspec] = ACTIONS(3647),
    [anon_sym___based] = ACTIONS(3650),
    [anon_sym_signed] = ACTIONS(3653),
    [anon_sym_unsigned] = ACTIONS(3653),
    [anon_sym_long] = ACTIONS(3653),
    [anon_sym_short] = ACTIONS(3653),
    [anon_sym_LBRACK] = ACTIONS(3656),
    [anon_sym_static] = ACTIONS(3635),
    [anon_sym_register] = ACTIONS(3635),
    [anon_sym_inline] = ACTIONS(3635),
    [anon_sym___inline] = ACTIONS(3635),
    [anon_sym___inline__] = ACTIONS(3635),
    [anon_sym___forceinline] = ACTIONS(3635),
    [anon_sym_thread_local] = ACTIONS(3635),
    [anon_sym___thread] = ACTIONS(3635),
    [anon_sym_const] = ACTIONS(3659),
    [anon_sym_constexpr] = ACTIONS(3659),
    [anon_sym_volatile] = ACTIONS(3659),
    [anon_sym_restrict] = ACTIONS(3659),
    [anon_sym___restrict__] = ACTIONS(3659),
    [anon_sym__Atomic] = ACTIONS(3659),
    [anon_sym__Noreturn] = ACTIONS(3659),
    [anon_sym_noreturn] = ACTIONS(3659),
    [anon_sym_mutable] = ACTIONS(3659),
    [anon_sym_constinit] = ACTIONS(3659),
    [anon_sym_consteval] = ACTIONS(3659),
    [anon_sym_PROGMEM] = ACTIONS(3659),
    [aux_sym_primitive_type_token1] = ACTIONS(3662),
    [anon_sym_byte] = ACTIONS(3662),
    [anon_sym_word] = ACTIONS(3662),
    [anon_sym_enum] = ACTIONS(3665),
    [anon_sym_class] = ACTIONS(3668),
    [anon_sym_struct] = ACTIONS(3671),
    [anon_sym_union] = ACTIONS(3674),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3677),
    [anon_sym_decltype] = ACTIONS(3680),
    [anon_sym_virtual] = ACTIONS(3683),
    [anon_sym_alignas] = ACTIONS(3686),
    [anon_sym_explicit] = ACTIONS(3689),
    [anon_sym_typename] = ACTIONS(3692),
    [anon_sym_template] = ACTIONS(3949),
    [anon_sym_operator] = ACTIONS(3698),
    [anon_sym_friend] = ACTIONS(3952),
    [anon_sym_public] = ACTIONS(3704),
    [anon_sym_private] = ACTIONS(3704),
    [anon_sym_protected] = ACTIONS(3704),
    [anon_sym_using] = ACTIONS(3955),
    [anon_sym_static_assert] = ACTIONS(3958),
  },
  [1032] = {
    [ts_builtin_sym_end] = ACTIONS(3391),
    [sym_identifier] = ACTIONS(3389),
    [aux_sym_preproc_include_token1] = ACTIONS(3389),
    [aux_sym_preproc_def_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token1] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3389),
    [sym_preproc_directive] = ACTIONS(3389),
    [anon_sym_LPAREN2] = ACTIONS(3391),
    [anon_sym_BANG] = ACTIONS(3391),
    [anon_sym_TILDE] = ACTIONS(3391),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP_AMP] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3389),
    [anon_sym___extension__] = ACTIONS(3389),
    [anon_sym_typedef] = ACTIONS(3389),
    [anon_sym_extern] = ACTIONS(3389),
    [anon_sym___attribute__] = ACTIONS(3389),
    [anon_sym_COLON_COLON] = ACTIONS(3391),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3391),
    [anon_sym___declspec] = ACTIONS(3389),
    [anon_sym___based] = ACTIONS(3389),
    [anon_sym___cdecl] = ACTIONS(3389),
    [anon_sym___clrcall] = ACTIONS(3389),
    [anon_sym___stdcall] = ACTIONS(3389),
    [anon_sym___fastcall] = ACTIONS(3389),
    [anon_sym___thiscall] = ACTIONS(3389),
    [anon_sym___vectorcall] = ACTIONS(3389),
    [anon_sym_LBRACE] = ACTIONS(3391),
    [anon_sym_signed] = ACTIONS(3389),
    [anon_sym_unsigned] = ACTIONS(3389),
    [anon_sym_long] = ACTIONS(3389),
    [anon_sym_short] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_register] = ACTIONS(3389),
    [anon_sym_inline] = ACTIONS(3389),
    [anon_sym___inline] = ACTIONS(3389),
    [anon_sym___inline__] = ACTIONS(3389),
    [anon_sym___forceinline] = ACTIONS(3389),
    [anon_sym_thread_local] = ACTIONS(3389),
    [anon_sym___thread] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_constexpr] = ACTIONS(3389),
    [anon_sym_volatile] = ACTIONS(3389),
    [anon_sym_restrict] = ACTIONS(3389),
    [anon_sym___restrict__] = ACTIONS(3389),
    [anon_sym__Atomic] = ACTIONS(3389),
    [anon_sym__Noreturn] = ACTIONS(3389),
    [anon_sym_noreturn] = ACTIONS(3389),
    [anon_sym_mutable] = ACTIONS(3389),
    [anon_sym_constinit] = ACTIONS(3389),
    [anon_sym_consteval] = ACTIONS(3389),
    [anon_sym_PROGMEM] = ACTIONS(3389),
    [aux_sym_primitive_type_token1] = ACTIONS(3389),
    [anon_sym_byte] = ACTIONS(3389),
    [anon_sym_word] = ACTIONS(3389),
    [anon_sym_enum] = ACTIONS(3389),
    [anon_sym_class] = ACTIONS(3389),
    [anon_sym_struct] = ACTIONS(3389),
    [anon_sym_union] = ACTIONS(3389),
    [anon_sym_if] = ACTIONS(3389),
    [anon_sym_switch] = ACTIONS(3389),
    [anon_sym_case] = ACTIONS(3389),
    [anon_sym_default] = ACTIONS(3389),
    [anon_sym_while] = ACTIONS(3389),
    [anon_sym_do] = ACTIONS(3389),
    [anon_sym_for] = ACTIONS(3389),
    [anon_sym_return] = ACTIONS(3389),
    [anon_sym_break] = ACTIONS(3389),
    [anon_sym_continue] = ACTIONS(3389),
    [anon_sym_goto] = ACTIONS(3389),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(3391),
    [anon_sym_sizeof] = ACTIONS(3389),
    [anon_sym___alignof__] = ACTIONS(3389),
    [anon_sym___alignof] = ACTIONS(3389),
    [anon_sym__alignof] = ACTIONS(3389),
    [anon_sym_alignof] = ACTIONS(3389),
    [anon_sym__Alignof] = ACTIONS(3389),
    [anon_sym_offsetof] = ACTIONS(3389),
    [anon_sym__Generic] = ACTIONS(3389),
    [anon_sym_asm] = ACTIONS(3389),
    [anon_sym___asm__] = ACTIONS(3389),
    [aux_sym_number_literal_token1] = ACTIONS(3391),
    [aux_sym_number_literal_token2] = ACTIONS(3389),
    [anon_sym_L_SQUOTE] = ACTIONS(3391),
    [anon_sym_u_SQUOTE] = ACTIONS(3391),
    [anon_sym_U_SQUOTE] = ACTIONS(3391),
    [anon_sym_u8_SQUOTE] = ACTIONS(3391),
    [anon_sym_SQUOTE] = ACTIONS(3391),
    [anon_sym_L_DQUOTE] = ACTIONS(3391),
    [anon_sym_u_DQUOTE] = ACTIONS(3391),
    [anon_sym_U_DQUOTE] = ACTIONS(3391),
    [anon_sym_u8_DQUOTE] = ACTIONS(3391),
    [anon_sym_DQUOTE] = ACTIONS(3391),
    [sym_true] = ACTIONS(3389),
    [sym_false] = ACTIONS(3389),
    [anon_sym_NULL] = ACTIONS(3389),
    [anon_sym_nullptr] = ACTIONS(3389),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3389),
    [anon_sym_decltype] = ACTIONS(3389),
    [anon_sym_virtual] = ACTIONS(3389),
    [anon_sym_alignas] = ACTIONS(3389),
    [anon_sym_explicit] = ACTIONS(3389),
    [anon_sym_typename] = ACTIONS(3389),
    [anon_sym_template] = ACTIONS(3389),
    [anon_sym_operator] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3389),
    [anon_sym_delete] = ACTIONS(3389),
    [anon_sym_throw] = ACTIONS(3389),
    [anon_sym_namespace] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_static_assert] = ACTIONS(3389),
    [anon_sym_concept] = ACTIONS(3389),
    [anon_sym_co_return] = ACTIONS(3389),
    [anon_sym_co_yield] = ACTIONS(3389),
    [anon_sym_R_DQUOTE] = ACTIONS(3391),
    [anon_sym_LR_DQUOTE] = ACTIONS(3391),
    [anon_sym_uR_DQUOTE] = ACTIONS(3391),
    [anon_sym_UR_DQUOTE] = ACTIONS(3391),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3391),
    [anon_sym_co_await] = ACTIONS(3389),
    [anon_sym_new] = ACTIONS(3389),
    [anon_sym_requires] = ACTIONS(3389),
    [sym_this] = ACTIONS(3389),
  },
  [1033] = {
    [sym_preproc_def] = STATE(1080),
    [sym_preproc_function_def] = STATE(1080),
    [sym_preproc_call] = STATE(1080),
    [sym_preproc_if_in_field_declaration_list] = STATE(1080),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1080),
    [sym_type_definition] = STATE(1080),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6396),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1080),
    [sym_field_declaration] = STATE(1080),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1080),
    [sym_operator_cast] = STATE(7382),
    [sym_inline_method_definition] = STATE(1080),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(1080),
    [sym_operator_cast_declaration] = STATE(1080),
    [sym_constructor_or_destructor_definition] = STATE(1080),
    [sym_constructor_or_destructor_declaration] = STATE(1080),
    [sym_friend_declaration] = STATE(1080),
    [sym_access_specifier] = STATE(9207),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1080),
    [sym_alias_declaration] = STATE(1080),
    [sym_static_assert_declaration] = STATE(1080),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1080),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3819),
    [sym_preproc_directive] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_typedef] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3961),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3829),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3831),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_static_assert] = ACTIONS(3835),
  },
  [1034] = {
    [ts_builtin_sym_end] = ACTIONS(3341),
    [sym_identifier] = ACTIONS(3339),
    [aux_sym_preproc_include_token1] = ACTIONS(3339),
    [aux_sym_preproc_def_token1] = ACTIONS(3339),
    [aux_sym_preproc_if_token1] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3339),
    [sym_preproc_directive] = ACTIONS(3339),
    [anon_sym_LPAREN2] = ACTIONS(3341),
    [anon_sym_BANG] = ACTIONS(3341),
    [anon_sym_TILDE] = ACTIONS(3341),
    [anon_sym_DASH] = ACTIONS(3339),
    [anon_sym_PLUS] = ACTIONS(3339),
    [anon_sym_STAR] = ACTIONS(3341),
    [anon_sym_AMP_AMP] = ACTIONS(3341),
    [anon_sym_AMP] = ACTIONS(3339),
    [anon_sym___extension__] = ACTIONS(3339),
    [anon_sym_typedef] = ACTIONS(3339),
    [anon_sym_extern] = ACTIONS(3339),
    [anon_sym___attribute__] = ACTIONS(3339),
    [anon_sym_COLON_COLON] = ACTIONS(3341),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3341),
    [anon_sym___declspec] = ACTIONS(3339),
    [anon_sym___based] = ACTIONS(3339),
    [anon_sym___cdecl] = ACTIONS(3339),
    [anon_sym___clrcall] = ACTIONS(3339),
    [anon_sym___stdcall] = ACTIONS(3339),
    [anon_sym___fastcall] = ACTIONS(3339),
    [anon_sym___thiscall] = ACTIONS(3339),
    [anon_sym___vectorcall] = ACTIONS(3339),
    [anon_sym_LBRACE] = ACTIONS(3341),
    [anon_sym_signed] = ACTIONS(3339),
    [anon_sym_unsigned] = ACTIONS(3339),
    [anon_sym_long] = ACTIONS(3339),
    [anon_sym_short] = ACTIONS(3339),
    [anon_sym_LBRACK] = ACTIONS(3339),
    [anon_sym_static] = ACTIONS(3339),
    [anon_sym_register] = ACTIONS(3339),
    [anon_sym_inline] = ACTIONS(3339),
    [anon_sym___inline] = ACTIONS(3339),
    [anon_sym___inline__] = ACTIONS(3339),
    [anon_sym___forceinline] = ACTIONS(3339),
    [anon_sym_thread_local] = ACTIONS(3339),
    [anon_sym___thread] = ACTIONS(3339),
    [anon_sym_const] = ACTIONS(3339),
    [anon_sym_constexpr] = ACTIONS(3339),
    [anon_sym_volatile] = ACTIONS(3339),
    [anon_sym_restrict] = ACTIONS(3339),
    [anon_sym___restrict__] = ACTIONS(3339),
    [anon_sym__Atomic] = ACTIONS(3339),
    [anon_sym__Noreturn] = ACTIONS(3339),
    [anon_sym_noreturn] = ACTIONS(3339),
    [anon_sym_mutable] = ACTIONS(3339),
    [anon_sym_constinit] = ACTIONS(3339),
    [anon_sym_consteval] = ACTIONS(3339),
    [anon_sym_PROGMEM] = ACTIONS(3339),
    [aux_sym_primitive_type_token1] = ACTIONS(3339),
    [anon_sym_byte] = ACTIONS(3339),
    [anon_sym_word] = ACTIONS(3339),
    [anon_sym_enum] = ACTIONS(3339),
    [anon_sym_class] = ACTIONS(3339),
    [anon_sym_struct] = ACTIONS(3339),
    [anon_sym_union] = ACTIONS(3339),
    [anon_sym_if] = ACTIONS(3339),
    [anon_sym_switch] = ACTIONS(3339),
    [anon_sym_case] = ACTIONS(3339),
    [anon_sym_default] = ACTIONS(3339),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(3339),
    [anon_sym_for] = ACTIONS(3339),
    [anon_sym_return] = ACTIONS(3339),
    [anon_sym_break] = ACTIONS(3339),
    [anon_sym_continue] = ACTIONS(3339),
    [anon_sym_goto] = ACTIONS(3339),
    [anon_sym_not] = ACTIONS(3339),
    [anon_sym_compl] = ACTIONS(3339),
    [anon_sym_DASH_DASH] = ACTIONS(3341),
    [anon_sym_PLUS_PLUS] = ACTIONS(3341),
    [anon_sym_sizeof] = ACTIONS(3339),
    [anon_sym___alignof__] = ACTIONS(3339),
    [anon_sym___alignof] = ACTIONS(3339),
    [anon_sym__alignof] = ACTIONS(3339),
    [anon_sym_alignof] = ACTIONS(3339),
    [anon_sym__Alignof] = ACTIONS(3339),
    [anon_sym_offsetof] = ACTIONS(3339),
    [anon_sym__Generic] = ACTIONS(3339),
    [anon_sym_asm] = ACTIONS(3339),
    [anon_sym___asm__] = ACTIONS(3339),
    [aux_sym_number_literal_token1] = ACTIONS(3341),
    [aux_sym_number_literal_token2] = ACTIONS(3339),
    [anon_sym_L_SQUOTE] = ACTIONS(3341),
    [anon_sym_u_SQUOTE] = ACTIONS(3341),
    [anon_sym_U_SQUOTE] = ACTIONS(3341),
    [anon_sym_u8_SQUOTE] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_L_DQUOTE] = ACTIONS(3341),
    [anon_sym_u_DQUOTE] = ACTIONS(3341),
    [anon_sym_U_DQUOTE] = ACTIONS(3341),
    [anon_sym_u8_DQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3341),
    [sym_true] = ACTIONS(3339),
    [sym_false] = ACTIONS(3339),
    [anon_sym_NULL] = ACTIONS(3339),
    [anon_sym_nullptr] = ACTIONS(3339),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3339),
    [anon_sym_decltype] = ACTIONS(3339),
    [anon_sym_virtual] = ACTIONS(3339),
    [anon_sym_alignas] = ACTIONS(3339),
    [anon_sym_explicit] = ACTIONS(3339),
    [anon_sym_typename] = ACTIONS(3339),
    [anon_sym_template] = ACTIONS(3339),
    [anon_sym_operator] = ACTIONS(3339),
    [anon_sym_try] = ACTIONS(3339),
    [anon_sym_delete] = ACTIONS(3339),
    [anon_sym_throw] = ACTIONS(3339),
    [anon_sym_namespace] = ACTIONS(3339),
    [anon_sym_using] = ACTIONS(3339),
    [anon_sym_static_assert] = ACTIONS(3339),
    [anon_sym_concept] = ACTIONS(3339),
    [anon_sym_co_return] = ACTIONS(3339),
    [anon_sym_co_yield] = ACTIONS(3339),
    [anon_sym_R_DQUOTE] = ACTIONS(3341),
    [anon_sym_LR_DQUOTE] = ACTIONS(3341),
    [anon_sym_uR_DQUOTE] = ACTIONS(3341),
    [anon_sym_UR_DQUOTE] = ACTIONS(3341),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3341),
    [anon_sym_co_await] = ACTIONS(3339),
    [anon_sym_new] = ACTIONS(3339),
    [anon_sym_requires] = ACTIONS(3339),
    [sym_this] = ACTIONS(3339),
  },
  [1035] = {
    [ts_builtin_sym_end] = ACTIONS(3349),
    [sym_identifier] = ACTIONS(3347),
    [aux_sym_preproc_include_token1] = ACTIONS(3347),
    [aux_sym_preproc_def_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token1] = ACTIONS(3347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3347),
    [sym_preproc_directive] = ACTIONS(3347),
    [anon_sym_LPAREN2] = ACTIONS(3349),
    [anon_sym_BANG] = ACTIONS(3349),
    [anon_sym_TILDE] = ACTIONS(3349),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_AMP_AMP] = ACTIONS(3349),
    [anon_sym_AMP] = ACTIONS(3347),
    [anon_sym___extension__] = ACTIONS(3347),
    [anon_sym_typedef] = ACTIONS(3347),
    [anon_sym_extern] = ACTIONS(3347),
    [anon_sym___attribute__] = ACTIONS(3347),
    [anon_sym_COLON_COLON] = ACTIONS(3349),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3349),
    [anon_sym___declspec] = ACTIONS(3347),
    [anon_sym___based] = ACTIONS(3347),
    [anon_sym___cdecl] = ACTIONS(3347),
    [anon_sym___clrcall] = ACTIONS(3347),
    [anon_sym___stdcall] = ACTIONS(3347),
    [anon_sym___fastcall] = ACTIONS(3347),
    [anon_sym___thiscall] = ACTIONS(3347),
    [anon_sym___vectorcall] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3349),
    [anon_sym_signed] = ACTIONS(3347),
    [anon_sym_unsigned] = ACTIONS(3347),
    [anon_sym_long] = ACTIONS(3347),
    [anon_sym_short] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_register] = ACTIONS(3347),
    [anon_sym_inline] = ACTIONS(3347),
    [anon_sym___inline] = ACTIONS(3347),
    [anon_sym___inline__] = ACTIONS(3347),
    [anon_sym___forceinline] = ACTIONS(3347),
    [anon_sym_thread_local] = ACTIONS(3347),
    [anon_sym___thread] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_constexpr] = ACTIONS(3347),
    [anon_sym_volatile] = ACTIONS(3347),
    [anon_sym_restrict] = ACTIONS(3347),
    [anon_sym___restrict__] = ACTIONS(3347),
    [anon_sym__Atomic] = ACTIONS(3347),
    [anon_sym__Noreturn] = ACTIONS(3347),
    [anon_sym_noreturn] = ACTIONS(3347),
    [anon_sym_mutable] = ACTIONS(3347),
    [anon_sym_constinit] = ACTIONS(3347),
    [anon_sym_consteval] = ACTIONS(3347),
    [anon_sym_PROGMEM] = ACTIONS(3347),
    [aux_sym_primitive_type_token1] = ACTIONS(3347),
    [anon_sym_byte] = ACTIONS(3347),
    [anon_sym_word] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_struct] = ACTIONS(3347),
    [anon_sym_union] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(3347),
    [anon_sym_switch] = ACTIONS(3347),
    [anon_sym_case] = ACTIONS(3347),
    [anon_sym_default] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(3347),
    [anon_sym_do] = ACTIONS(3347),
    [anon_sym_for] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3347),
    [anon_sym_break] = ACTIONS(3347),
    [anon_sym_continue] = ACTIONS(3347),
    [anon_sym_goto] = ACTIONS(3347),
    [anon_sym_not] = ACTIONS(3347),
    [anon_sym_compl] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3349),
    [anon_sym_PLUS_PLUS] = ACTIONS(3349),
    [anon_sym_sizeof] = ACTIONS(3347),
    [anon_sym___alignof__] = ACTIONS(3347),
    [anon_sym___alignof] = ACTIONS(3347),
    [anon_sym__alignof] = ACTIONS(3347),
    [anon_sym_alignof] = ACTIONS(3347),
    [anon_sym__Alignof] = ACTIONS(3347),
    [anon_sym_offsetof] = ACTIONS(3347),
    [anon_sym__Generic] = ACTIONS(3347),
    [anon_sym_asm] = ACTIONS(3347),
    [anon_sym___asm__] = ACTIONS(3347),
    [aux_sym_number_literal_token1] = ACTIONS(3349),
    [aux_sym_number_literal_token2] = ACTIONS(3347),
    [anon_sym_L_SQUOTE] = ACTIONS(3349),
    [anon_sym_u_SQUOTE] = ACTIONS(3349),
    [anon_sym_U_SQUOTE] = ACTIONS(3349),
    [anon_sym_u8_SQUOTE] = ACTIONS(3349),
    [anon_sym_SQUOTE] = ACTIONS(3349),
    [anon_sym_L_DQUOTE] = ACTIONS(3349),
    [anon_sym_u_DQUOTE] = ACTIONS(3349),
    [anon_sym_U_DQUOTE] = ACTIONS(3349),
    [anon_sym_u8_DQUOTE] = ACTIONS(3349),
    [anon_sym_DQUOTE] = ACTIONS(3349),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [anon_sym_NULL] = ACTIONS(3347),
    [anon_sym_nullptr] = ACTIONS(3347),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3347),
    [anon_sym_decltype] = ACTIONS(3347),
    [anon_sym_virtual] = ACTIONS(3347),
    [anon_sym_alignas] = ACTIONS(3347),
    [anon_sym_explicit] = ACTIONS(3347),
    [anon_sym_typename] = ACTIONS(3347),
    [anon_sym_template] = ACTIONS(3347),
    [anon_sym_operator] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3347),
    [anon_sym_delete] = ACTIONS(3347),
    [anon_sym_throw] = ACTIONS(3347),
    [anon_sym_namespace] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_static_assert] = ACTIONS(3347),
    [anon_sym_concept] = ACTIONS(3347),
    [anon_sym_co_return] = ACTIONS(3347),
    [anon_sym_co_yield] = ACTIONS(3347),
    [anon_sym_R_DQUOTE] = ACTIONS(3349),
    [anon_sym_LR_DQUOTE] = ACTIONS(3349),
    [anon_sym_uR_DQUOTE] = ACTIONS(3349),
    [anon_sym_UR_DQUOTE] = ACTIONS(3349),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3349),
    [anon_sym_co_await] = ACTIONS(3347),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_requires] = ACTIONS(3347),
    [sym_this] = ACTIONS(3347),
  },
  [1036] = {
    [ts_builtin_sym_end] = ACTIONS(3963),
    [sym_identifier] = ACTIONS(3965),
    [aux_sym_preproc_include_token1] = ACTIONS(3965),
    [aux_sym_preproc_def_token1] = ACTIONS(3965),
    [aux_sym_preproc_if_token1] = ACTIONS(3965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3965),
    [sym_preproc_directive] = ACTIONS(3965),
    [anon_sym_LPAREN2] = ACTIONS(3963),
    [anon_sym_BANG] = ACTIONS(3963),
    [anon_sym_TILDE] = ACTIONS(3963),
    [anon_sym_DASH] = ACTIONS(3965),
    [anon_sym_PLUS] = ACTIONS(3965),
    [anon_sym_STAR] = ACTIONS(3963),
    [anon_sym_AMP_AMP] = ACTIONS(3963),
    [anon_sym_AMP] = ACTIONS(3965),
    [anon_sym___extension__] = ACTIONS(3965),
    [anon_sym_typedef] = ACTIONS(3965),
    [anon_sym_extern] = ACTIONS(3965),
    [anon_sym___attribute__] = ACTIONS(3965),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3963),
    [anon_sym___declspec] = ACTIONS(3965),
    [anon_sym___based] = ACTIONS(3965),
    [anon_sym___cdecl] = ACTIONS(3965),
    [anon_sym___clrcall] = ACTIONS(3965),
    [anon_sym___stdcall] = ACTIONS(3965),
    [anon_sym___fastcall] = ACTIONS(3965),
    [anon_sym___thiscall] = ACTIONS(3965),
    [anon_sym___vectorcall] = ACTIONS(3965),
    [anon_sym_LBRACE] = ACTIONS(3963),
    [anon_sym_signed] = ACTIONS(3965),
    [anon_sym_unsigned] = ACTIONS(3965),
    [anon_sym_long] = ACTIONS(3965),
    [anon_sym_short] = ACTIONS(3965),
    [anon_sym_LBRACK] = ACTIONS(3965),
    [anon_sym_static] = ACTIONS(3965),
    [anon_sym_register] = ACTIONS(3965),
    [anon_sym_inline] = ACTIONS(3965),
    [anon_sym___inline] = ACTIONS(3965),
    [anon_sym___inline__] = ACTIONS(3965),
    [anon_sym___forceinline] = ACTIONS(3965),
    [anon_sym_thread_local] = ACTIONS(3965),
    [anon_sym___thread] = ACTIONS(3965),
    [anon_sym_const] = ACTIONS(3965),
    [anon_sym_constexpr] = ACTIONS(3965),
    [anon_sym_volatile] = ACTIONS(3965),
    [anon_sym_restrict] = ACTIONS(3965),
    [anon_sym___restrict__] = ACTIONS(3965),
    [anon_sym__Atomic] = ACTIONS(3965),
    [anon_sym__Noreturn] = ACTIONS(3965),
    [anon_sym_noreturn] = ACTIONS(3965),
    [anon_sym_mutable] = ACTIONS(3965),
    [anon_sym_constinit] = ACTIONS(3965),
    [anon_sym_consteval] = ACTIONS(3965),
    [anon_sym_PROGMEM] = ACTIONS(3965),
    [aux_sym_primitive_type_token1] = ACTIONS(3965),
    [anon_sym_byte] = ACTIONS(3965),
    [anon_sym_word] = ACTIONS(3965),
    [anon_sym_enum] = ACTIONS(3965),
    [anon_sym_class] = ACTIONS(3965),
    [anon_sym_struct] = ACTIONS(3965),
    [anon_sym_union] = ACTIONS(3965),
    [anon_sym_if] = ACTIONS(3965),
    [anon_sym_switch] = ACTIONS(3965),
    [anon_sym_case] = ACTIONS(3965),
    [anon_sym_default] = ACTIONS(3965),
    [anon_sym_while] = ACTIONS(3965),
    [anon_sym_do] = ACTIONS(3965),
    [anon_sym_for] = ACTIONS(3965),
    [anon_sym_return] = ACTIONS(3965),
    [anon_sym_break] = ACTIONS(3965),
    [anon_sym_continue] = ACTIONS(3965),
    [anon_sym_goto] = ACTIONS(3965),
    [anon_sym_not] = ACTIONS(3965),
    [anon_sym_compl] = ACTIONS(3965),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(3965),
    [anon_sym___alignof] = ACTIONS(3965),
    [anon_sym__alignof] = ACTIONS(3965),
    [anon_sym_alignof] = ACTIONS(3965),
    [anon_sym__Alignof] = ACTIONS(3965),
    [anon_sym_offsetof] = ACTIONS(3965),
    [anon_sym__Generic] = ACTIONS(3965),
    [anon_sym_asm] = ACTIONS(3965),
    [anon_sym___asm__] = ACTIONS(3965),
    [aux_sym_number_literal_token1] = ACTIONS(3963),
    [aux_sym_number_literal_token2] = ACTIONS(3965),
    [anon_sym_L_SQUOTE] = ACTIONS(3963),
    [anon_sym_u_SQUOTE] = ACTIONS(3963),
    [anon_sym_U_SQUOTE] = ACTIONS(3963),
    [anon_sym_u8_SQUOTE] = ACTIONS(3963),
    [anon_sym_SQUOTE] = ACTIONS(3963),
    [anon_sym_L_DQUOTE] = ACTIONS(3963),
    [anon_sym_u_DQUOTE] = ACTIONS(3963),
    [anon_sym_U_DQUOTE] = ACTIONS(3963),
    [anon_sym_u8_DQUOTE] = ACTIONS(3963),
    [anon_sym_DQUOTE] = ACTIONS(3963),
    [sym_true] = ACTIONS(3965),
    [sym_false] = ACTIONS(3965),
    [anon_sym_NULL] = ACTIONS(3965),
    [anon_sym_nullptr] = ACTIONS(3965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3965),
    [anon_sym_decltype] = ACTIONS(3965),
    [anon_sym_virtual] = ACTIONS(3965),
    [anon_sym_alignas] = ACTIONS(3965),
    [anon_sym_explicit] = ACTIONS(3965),
    [anon_sym_typename] = ACTIONS(3965),
    [anon_sym_template] = ACTIONS(3965),
    [anon_sym_operator] = ACTIONS(3965),
    [anon_sym_try] = ACTIONS(3965),
    [anon_sym_delete] = ACTIONS(3965),
    [anon_sym_throw] = ACTIONS(3965),
    [anon_sym_namespace] = ACTIONS(3965),
    [anon_sym_using] = ACTIONS(3965),
    [anon_sym_static_assert] = ACTIONS(3965),
    [anon_sym_concept] = ACTIONS(3965),
    [anon_sym_co_return] = ACTIONS(3965),
    [anon_sym_co_yield] = ACTIONS(3965),
    [anon_sym_R_DQUOTE] = ACTIONS(3963),
    [anon_sym_LR_DQUOTE] = ACTIONS(3963),
    [anon_sym_uR_DQUOTE] = ACTIONS(3963),
    [anon_sym_UR_DQUOTE] = ACTIONS(3963),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3963),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3965),
    [anon_sym_requires] = ACTIONS(3965),
    [sym_this] = ACTIONS(3965),
  },
  [1037] = {
    [ts_builtin_sym_end] = ACTIONS(3280),
    [sym_identifier] = ACTIONS(3278),
    [aux_sym_preproc_include_token1] = ACTIONS(3278),
    [aux_sym_preproc_def_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3278),
    [sym_preproc_directive] = ACTIONS(3278),
    [anon_sym_LPAREN2] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3278),
    [anon_sym___extension__] = ACTIONS(3278),
    [anon_sym_typedef] = ACTIONS(3278),
    [anon_sym_extern] = ACTIONS(3278),
    [anon_sym___attribute__] = ACTIONS(3278),
    [anon_sym_COLON_COLON] = ACTIONS(3280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3280),
    [anon_sym___declspec] = ACTIONS(3278),
    [anon_sym___based] = ACTIONS(3278),
    [anon_sym___cdecl] = ACTIONS(3278),
    [anon_sym___clrcall] = ACTIONS(3278),
    [anon_sym___stdcall] = ACTIONS(3278),
    [anon_sym___fastcall] = ACTIONS(3278),
    [anon_sym___thiscall] = ACTIONS(3278),
    [anon_sym___vectorcall] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_signed] = ACTIONS(3278),
    [anon_sym_unsigned] = ACTIONS(3278),
    [anon_sym_long] = ACTIONS(3278),
    [anon_sym_short] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_register] = ACTIONS(3278),
    [anon_sym_inline] = ACTIONS(3278),
    [anon_sym___inline] = ACTIONS(3278),
    [anon_sym___inline__] = ACTIONS(3278),
    [anon_sym___forceinline] = ACTIONS(3278),
    [anon_sym_thread_local] = ACTIONS(3278),
    [anon_sym___thread] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_constexpr] = ACTIONS(3278),
    [anon_sym_volatile] = ACTIONS(3278),
    [anon_sym_restrict] = ACTIONS(3278),
    [anon_sym___restrict__] = ACTIONS(3278),
    [anon_sym__Atomic] = ACTIONS(3278),
    [anon_sym__Noreturn] = ACTIONS(3278),
    [anon_sym_noreturn] = ACTIONS(3278),
    [anon_sym_mutable] = ACTIONS(3278),
    [anon_sym_constinit] = ACTIONS(3278),
    [anon_sym_consteval] = ACTIONS(3278),
    [anon_sym_PROGMEM] = ACTIONS(3278),
    [aux_sym_primitive_type_token1] = ACTIONS(3278),
    [anon_sym_byte] = ACTIONS(3278),
    [anon_sym_word] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_struct] = ACTIONS(3278),
    [anon_sym_union] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_default] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_goto] = ACTIONS(3278),
    [anon_sym_not] = ACTIONS(3278),
    [anon_sym_compl] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_sizeof] = ACTIONS(3278),
    [anon_sym___alignof__] = ACTIONS(3278),
    [anon_sym___alignof] = ACTIONS(3278),
    [anon_sym__alignof] = ACTIONS(3278),
    [anon_sym_alignof] = ACTIONS(3278),
    [anon_sym__Alignof] = ACTIONS(3278),
    [anon_sym_offsetof] = ACTIONS(3278),
    [anon_sym__Generic] = ACTIONS(3278),
    [anon_sym_asm] = ACTIONS(3278),
    [anon_sym___asm__] = ACTIONS(3278),
    [aux_sym_number_literal_token1] = ACTIONS(3280),
    [aux_sym_number_literal_token2] = ACTIONS(3278),
    [anon_sym_L_SQUOTE] = ACTIONS(3280),
    [anon_sym_u_SQUOTE] = ACTIONS(3280),
    [anon_sym_U_SQUOTE] = ACTIONS(3280),
    [anon_sym_u8_SQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [anon_sym_L_DQUOTE] = ACTIONS(3280),
    [anon_sym_u_DQUOTE] = ACTIONS(3280),
    [anon_sym_U_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8_DQUOTE] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [anon_sym_NULL] = ACTIONS(3278),
    [anon_sym_nullptr] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3278),
    [anon_sym_decltype] = ACTIONS(3278),
    [anon_sym_virtual] = ACTIONS(3278),
    [anon_sym_alignas] = ACTIONS(3278),
    [anon_sym_explicit] = ACTIONS(3278),
    [anon_sym_typename] = ACTIONS(3278),
    [anon_sym_template] = ACTIONS(3278),
    [anon_sym_operator] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_static_assert] = ACTIONS(3278),
    [anon_sym_concept] = ACTIONS(3278),
    [anon_sym_co_return] = ACTIONS(3278),
    [anon_sym_co_yield] = ACTIONS(3278),
    [anon_sym_R_DQUOTE] = ACTIONS(3280),
    [anon_sym_LR_DQUOTE] = ACTIONS(3280),
    [anon_sym_uR_DQUOTE] = ACTIONS(3280),
    [anon_sym_UR_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3280),
    [anon_sym_co_await] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_requires] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
  },
  [1038] = {
    [ts_builtin_sym_end] = ACTIONS(3437),
    [sym_identifier] = ACTIONS(3435),
    [aux_sym_preproc_include_token1] = ACTIONS(3435),
    [aux_sym_preproc_def_token1] = ACTIONS(3435),
    [aux_sym_preproc_if_token1] = ACTIONS(3435),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3435),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3435),
    [sym_preproc_directive] = ACTIONS(3435),
    [anon_sym_LPAREN2] = ACTIONS(3437),
    [anon_sym_BANG] = ACTIONS(3437),
    [anon_sym_TILDE] = ACTIONS(3437),
    [anon_sym_DASH] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3435),
    [anon_sym_STAR] = ACTIONS(3437),
    [anon_sym_AMP_AMP] = ACTIONS(3437),
    [anon_sym_AMP] = ACTIONS(3435),
    [anon_sym___extension__] = ACTIONS(3435),
    [anon_sym_typedef] = ACTIONS(3435),
    [anon_sym_extern] = ACTIONS(3435),
    [anon_sym___attribute__] = ACTIONS(3435),
    [anon_sym_COLON_COLON] = ACTIONS(3437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3437),
    [anon_sym___declspec] = ACTIONS(3435),
    [anon_sym___based] = ACTIONS(3435),
    [anon_sym___cdecl] = ACTIONS(3435),
    [anon_sym___clrcall] = ACTIONS(3435),
    [anon_sym___stdcall] = ACTIONS(3435),
    [anon_sym___fastcall] = ACTIONS(3435),
    [anon_sym___thiscall] = ACTIONS(3435),
    [anon_sym___vectorcall] = ACTIONS(3435),
    [anon_sym_LBRACE] = ACTIONS(3437),
    [anon_sym_signed] = ACTIONS(3435),
    [anon_sym_unsigned] = ACTIONS(3435),
    [anon_sym_long] = ACTIONS(3435),
    [anon_sym_short] = ACTIONS(3435),
    [anon_sym_LBRACK] = ACTIONS(3435),
    [anon_sym_static] = ACTIONS(3435),
    [anon_sym_register] = ACTIONS(3435),
    [anon_sym_inline] = ACTIONS(3435),
    [anon_sym___inline] = ACTIONS(3435),
    [anon_sym___inline__] = ACTIONS(3435),
    [anon_sym___forceinline] = ACTIONS(3435),
    [anon_sym_thread_local] = ACTIONS(3435),
    [anon_sym___thread] = ACTIONS(3435),
    [anon_sym_const] = ACTIONS(3435),
    [anon_sym_constexpr] = ACTIONS(3435),
    [anon_sym_volatile] = ACTIONS(3435),
    [anon_sym_restrict] = ACTIONS(3435),
    [anon_sym___restrict__] = ACTIONS(3435),
    [anon_sym__Atomic] = ACTIONS(3435),
    [anon_sym__Noreturn] = ACTIONS(3435),
    [anon_sym_noreturn] = ACTIONS(3435),
    [anon_sym_mutable] = ACTIONS(3435),
    [anon_sym_constinit] = ACTIONS(3435),
    [anon_sym_consteval] = ACTIONS(3435),
    [anon_sym_PROGMEM] = ACTIONS(3435),
    [aux_sym_primitive_type_token1] = ACTIONS(3435),
    [anon_sym_byte] = ACTIONS(3435),
    [anon_sym_word] = ACTIONS(3435),
    [anon_sym_enum] = ACTIONS(3435),
    [anon_sym_class] = ACTIONS(3435),
    [anon_sym_struct] = ACTIONS(3435),
    [anon_sym_union] = ACTIONS(3435),
    [anon_sym_if] = ACTIONS(3435),
    [anon_sym_switch] = ACTIONS(3435),
    [anon_sym_case] = ACTIONS(3435),
    [anon_sym_default] = ACTIONS(3435),
    [anon_sym_while] = ACTIONS(3435),
    [anon_sym_do] = ACTIONS(3435),
    [anon_sym_for] = ACTIONS(3435),
    [anon_sym_return] = ACTIONS(3435),
    [anon_sym_break] = ACTIONS(3435),
    [anon_sym_continue] = ACTIONS(3435),
    [anon_sym_goto] = ACTIONS(3435),
    [anon_sym_not] = ACTIONS(3435),
    [anon_sym_compl] = ACTIONS(3435),
    [anon_sym_DASH_DASH] = ACTIONS(3437),
    [anon_sym_PLUS_PLUS] = ACTIONS(3437),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3435),
    [anon_sym___alignof] = ACTIONS(3435),
    [anon_sym__alignof] = ACTIONS(3435),
    [anon_sym_alignof] = ACTIONS(3435),
    [anon_sym__Alignof] = ACTIONS(3435),
    [anon_sym_offsetof] = ACTIONS(3435),
    [anon_sym__Generic] = ACTIONS(3435),
    [anon_sym_asm] = ACTIONS(3435),
    [anon_sym___asm__] = ACTIONS(3435),
    [aux_sym_number_literal_token1] = ACTIONS(3437),
    [aux_sym_number_literal_token2] = ACTIONS(3435),
    [anon_sym_L_SQUOTE] = ACTIONS(3437),
    [anon_sym_u_SQUOTE] = ACTIONS(3437),
    [anon_sym_U_SQUOTE] = ACTIONS(3437),
    [anon_sym_u8_SQUOTE] = ACTIONS(3437),
    [anon_sym_SQUOTE] = ACTIONS(3437),
    [anon_sym_L_DQUOTE] = ACTIONS(3437),
    [anon_sym_u_DQUOTE] = ACTIONS(3437),
    [anon_sym_U_DQUOTE] = ACTIONS(3437),
    [anon_sym_u8_DQUOTE] = ACTIONS(3437),
    [anon_sym_DQUOTE] = ACTIONS(3437),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3435),
    [anon_sym_nullptr] = ACTIONS(3435),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3435),
    [anon_sym_decltype] = ACTIONS(3435),
    [anon_sym_virtual] = ACTIONS(3435),
    [anon_sym_alignas] = ACTIONS(3435),
    [anon_sym_explicit] = ACTIONS(3435),
    [anon_sym_typename] = ACTIONS(3435),
    [anon_sym_template] = ACTIONS(3435),
    [anon_sym_operator] = ACTIONS(3435),
    [anon_sym_try] = ACTIONS(3435),
    [anon_sym_delete] = ACTIONS(3435),
    [anon_sym_throw] = ACTIONS(3435),
    [anon_sym_namespace] = ACTIONS(3435),
    [anon_sym_using] = ACTIONS(3435),
    [anon_sym_static_assert] = ACTIONS(3435),
    [anon_sym_concept] = ACTIONS(3435),
    [anon_sym_co_return] = ACTIONS(3435),
    [anon_sym_co_yield] = ACTIONS(3435),
    [anon_sym_R_DQUOTE] = ACTIONS(3437),
    [anon_sym_LR_DQUOTE] = ACTIONS(3437),
    [anon_sym_uR_DQUOTE] = ACTIONS(3437),
    [anon_sym_UR_DQUOTE] = ACTIONS(3437),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3437),
    [anon_sym_co_await] = ACTIONS(3435),
    [anon_sym_new] = ACTIONS(3435),
    [anon_sym_requires] = ACTIONS(3435),
    [sym_this] = ACTIONS(3435),
  },
  [1039] = {
    [sym_preproc_def] = STATE(1044),
    [sym_preproc_function_def] = STATE(1044),
    [sym_preproc_call] = STATE(1044),
    [sym_preproc_if_in_field_declaration_list] = STATE(1044),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1044),
    [sym_type_definition] = STATE(1044),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6396),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1044),
    [sym_field_declaration] = STATE(1044),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1044),
    [sym_operator_cast] = STATE(7382),
    [sym_inline_method_definition] = STATE(1044),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(1044),
    [sym_operator_cast_declaration] = STATE(1044),
    [sym_constructor_or_destructor_definition] = STATE(1044),
    [sym_constructor_or_destructor_declaration] = STATE(1044),
    [sym_friend_declaration] = STATE(1044),
    [sym_access_specifier] = STATE(9207),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1044),
    [sym_alias_declaration] = STATE(1044),
    [sym_static_assert_declaration] = STATE(1044),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1044),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3819),
    [sym_preproc_directive] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_typedef] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3967),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3829),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3831),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_static_assert] = ACTIONS(3835),
  },
  [1040] = {
    [ts_builtin_sym_end] = ACTIONS(3206),
    [sym_identifier] = ACTIONS(3204),
    [aux_sym_preproc_include_token1] = ACTIONS(3204),
    [aux_sym_preproc_def_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3204),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_AMP_AMP] = ACTIONS(3206),
    [anon_sym_AMP] = ACTIONS(3204),
    [anon_sym___extension__] = ACTIONS(3204),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_extern] = ACTIONS(3204),
    [anon_sym___attribute__] = ACTIONS(3204),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3206),
    [anon_sym___declspec] = ACTIONS(3204),
    [anon_sym___based] = ACTIONS(3204),
    [anon_sym___cdecl] = ACTIONS(3204),
    [anon_sym___clrcall] = ACTIONS(3204),
    [anon_sym___stdcall] = ACTIONS(3204),
    [anon_sym___fastcall] = ACTIONS(3204),
    [anon_sym___thiscall] = ACTIONS(3204),
    [anon_sym___vectorcall] = ACTIONS(3204),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_signed] = ACTIONS(3204),
    [anon_sym_unsigned] = ACTIONS(3204),
    [anon_sym_long] = ACTIONS(3204),
    [anon_sym_short] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_static] = ACTIONS(3204),
    [anon_sym_register] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(3204),
    [anon_sym___inline] = ACTIONS(3204),
    [anon_sym___inline__] = ACTIONS(3204),
    [anon_sym___forceinline] = ACTIONS(3204),
    [anon_sym_thread_local] = ACTIONS(3204),
    [anon_sym___thread] = ACTIONS(3204),
    [anon_sym_const] = ACTIONS(3204),
    [anon_sym_constexpr] = ACTIONS(3204),
    [anon_sym_volatile] = ACTIONS(3204),
    [anon_sym_restrict] = ACTIONS(3204),
    [anon_sym___restrict__] = ACTIONS(3204),
    [anon_sym__Atomic] = ACTIONS(3204),
    [anon_sym__Noreturn] = ACTIONS(3204),
    [anon_sym_noreturn] = ACTIONS(3204),
    [anon_sym_mutable] = ACTIONS(3204),
    [anon_sym_constinit] = ACTIONS(3204),
    [anon_sym_consteval] = ACTIONS(3204),
    [anon_sym_PROGMEM] = ACTIONS(3204),
    [aux_sym_primitive_type_token1] = ACTIONS(3204),
    [anon_sym_byte] = ACTIONS(3204),
    [anon_sym_word] = ACTIONS(3204),
    [anon_sym_enum] = ACTIONS(3204),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_struct] = ACTIONS(3204),
    [anon_sym_union] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3204),
    [anon_sym_switch] = ACTIONS(3204),
    [anon_sym_case] = ACTIONS(3204),
    [anon_sym_default] = ACTIONS(3204),
    [anon_sym_while] = ACTIONS(3204),
    [anon_sym_do] = ACTIONS(3204),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_return] = ACTIONS(3204),
    [anon_sym_break] = ACTIONS(3204),
    [anon_sym_continue] = ACTIONS(3204),
    [anon_sym_goto] = ACTIONS(3204),
    [anon_sym_not] = ACTIONS(3204),
    [anon_sym_compl] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_sizeof] = ACTIONS(3204),
    [anon_sym___alignof__] = ACTIONS(3204),
    [anon_sym___alignof] = ACTIONS(3204),
    [anon_sym__alignof] = ACTIONS(3204),
    [anon_sym_alignof] = ACTIONS(3204),
    [anon_sym__Alignof] = ACTIONS(3204),
    [anon_sym_offsetof] = ACTIONS(3204),
    [anon_sym__Generic] = ACTIONS(3204),
    [anon_sym_asm] = ACTIONS(3204),
    [anon_sym___asm__] = ACTIONS(3204),
    [aux_sym_number_literal_token1] = ACTIONS(3206),
    [aux_sym_number_literal_token2] = ACTIONS(3204),
    [anon_sym_L_SQUOTE] = ACTIONS(3206),
    [anon_sym_u_SQUOTE] = ACTIONS(3206),
    [anon_sym_U_SQUOTE] = ACTIONS(3206),
    [anon_sym_u8_SQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [anon_sym_L_DQUOTE] = ACTIONS(3206),
    [anon_sym_u_DQUOTE] = ACTIONS(3206),
    [anon_sym_U_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8_DQUOTE] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [sym_true] = ACTIONS(3204),
    [sym_false] = ACTIONS(3204),
    [anon_sym_NULL] = ACTIONS(3204),
    [anon_sym_nullptr] = ACTIONS(3204),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3204),
    [anon_sym_decltype] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(3204),
    [anon_sym_alignas] = ACTIONS(3204),
    [anon_sym_explicit] = ACTIONS(3204),
    [anon_sym_typename] = ACTIONS(3204),
    [anon_sym_template] = ACTIONS(3204),
    [anon_sym_operator] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3204),
    [anon_sym_delete] = ACTIONS(3204),
    [anon_sym_throw] = ACTIONS(3204),
    [anon_sym_namespace] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3204),
    [anon_sym_static_assert] = ACTIONS(3204),
    [anon_sym_concept] = ACTIONS(3204),
    [anon_sym_co_return] = ACTIONS(3204),
    [anon_sym_co_yield] = ACTIONS(3204),
    [anon_sym_R_DQUOTE] = ACTIONS(3206),
    [anon_sym_LR_DQUOTE] = ACTIONS(3206),
    [anon_sym_uR_DQUOTE] = ACTIONS(3206),
    [anon_sym_UR_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3206),
    [anon_sym_co_await] = ACTIONS(3204),
    [anon_sym_new] = ACTIONS(3204),
    [anon_sym_requires] = ACTIONS(3204),
    [sym_this] = ACTIONS(3204),
  },
  [1041] = {
    [ts_builtin_sym_end] = ACTIONS(3324),
    [sym_identifier] = ACTIONS(3322),
    [aux_sym_preproc_include_token1] = ACTIONS(3322),
    [aux_sym_preproc_def_token1] = ACTIONS(3322),
    [aux_sym_preproc_if_token1] = ACTIONS(3322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3322),
    [sym_preproc_directive] = ACTIONS(3322),
    [anon_sym_LPAREN2] = ACTIONS(3324),
    [anon_sym_BANG] = ACTIONS(3324),
    [anon_sym_TILDE] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3322),
    [anon_sym_PLUS] = ACTIONS(3322),
    [anon_sym_STAR] = ACTIONS(3324),
    [anon_sym_AMP_AMP] = ACTIONS(3324),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym___extension__] = ACTIONS(3322),
    [anon_sym_typedef] = ACTIONS(3322),
    [anon_sym_extern] = ACTIONS(3322),
    [anon_sym___attribute__] = ACTIONS(3322),
    [anon_sym_COLON_COLON] = ACTIONS(3324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3324),
    [anon_sym___declspec] = ACTIONS(3322),
    [anon_sym___based] = ACTIONS(3322),
    [anon_sym___cdecl] = ACTIONS(3322),
    [anon_sym___clrcall] = ACTIONS(3322),
    [anon_sym___stdcall] = ACTIONS(3322),
    [anon_sym___fastcall] = ACTIONS(3322),
    [anon_sym___thiscall] = ACTIONS(3322),
    [anon_sym___vectorcall] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3324),
    [anon_sym_signed] = ACTIONS(3322),
    [anon_sym_unsigned] = ACTIONS(3322),
    [anon_sym_long] = ACTIONS(3322),
    [anon_sym_short] = ACTIONS(3322),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_static] = ACTIONS(3322),
    [anon_sym_register] = ACTIONS(3322),
    [anon_sym_inline] = ACTIONS(3322),
    [anon_sym___inline] = ACTIONS(3322),
    [anon_sym___inline__] = ACTIONS(3322),
    [anon_sym___forceinline] = ACTIONS(3322),
    [anon_sym_thread_local] = ACTIONS(3322),
    [anon_sym___thread] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_constexpr] = ACTIONS(3322),
    [anon_sym_volatile] = ACTIONS(3322),
    [anon_sym_restrict] = ACTIONS(3322),
    [anon_sym___restrict__] = ACTIONS(3322),
    [anon_sym__Atomic] = ACTIONS(3322),
    [anon_sym__Noreturn] = ACTIONS(3322),
    [anon_sym_noreturn] = ACTIONS(3322),
    [anon_sym_mutable] = ACTIONS(3322),
    [anon_sym_constinit] = ACTIONS(3322),
    [anon_sym_consteval] = ACTIONS(3322),
    [anon_sym_PROGMEM] = ACTIONS(3322),
    [aux_sym_primitive_type_token1] = ACTIONS(3322),
    [anon_sym_byte] = ACTIONS(3322),
    [anon_sym_word] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3322),
    [anon_sym_struct] = ACTIONS(3322),
    [anon_sym_union] = ACTIONS(3322),
    [anon_sym_if] = ACTIONS(3322),
    [anon_sym_switch] = ACTIONS(3322),
    [anon_sym_case] = ACTIONS(3322),
    [anon_sym_default] = ACTIONS(3322),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_do] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3322),
    [anon_sym_return] = ACTIONS(3322),
    [anon_sym_break] = ACTIONS(3322),
    [anon_sym_continue] = ACTIONS(3322),
    [anon_sym_goto] = ACTIONS(3322),
    [anon_sym_not] = ACTIONS(3322),
    [anon_sym_compl] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3324),
    [anon_sym_PLUS_PLUS] = ACTIONS(3324),
    [anon_sym_sizeof] = ACTIONS(3322),
    [anon_sym___alignof__] = ACTIONS(3322),
    [anon_sym___alignof] = ACTIONS(3322),
    [anon_sym__alignof] = ACTIONS(3322),
    [anon_sym_alignof] = ACTIONS(3322),
    [anon_sym__Alignof] = ACTIONS(3322),
    [anon_sym_offsetof] = ACTIONS(3322),
    [anon_sym__Generic] = ACTIONS(3322),
    [anon_sym_asm] = ACTIONS(3322),
    [anon_sym___asm__] = ACTIONS(3322),
    [aux_sym_number_literal_token1] = ACTIONS(3324),
    [aux_sym_number_literal_token2] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3324),
    [anon_sym_u_DQUOTE] = ACTIONS(3324),
    [anon_sym_U_DQUOTE] = ACTIONS(3324),
    [anon_sym_u8_DQUOTE] = ACTIONS(3324),
    [anon_sym_DQUOTE] = ACTIONS(3324),
    [sym_true] = ACTIONS(3322),
    [sym_false] = ACTIONS(3322),
    [anon_sym_NULL] = ACTIONS(3322),
    [anon_sym_nullptr] = ACTIONS(3322),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3322),
    [anon_sym_decltype] = ACTIONS(3322),
    [anon_sym_virtual] = ACTIONS(3322),
    [anon_sym_alignas] = ACTIONS(3322),
    [anon_sym_explicit] = ACTIONS(3322),
    [anon_sym_typename] = ACTIONS(3322),
    [anon_sym_template] = ACTIONS(3322),
    [anon_sym_operator] = ACTIONS(3322),
    [anon_sym_try] = ACTIONS(3322),
    [anon_sym_delete] = ACTIONS(3322),
    [anon_sym_throw] = ACTIONS(3322),
    [anon_sym_namespace] = ACTIONS(3322),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_static_assert] = ACTIONS(3322),
    [anon_sym_concept] = ACTIONS(3322),
    [anon_sym_co_return] = ACTIONS(3322),
    [anon_sym_co_yield] = ACTIONS(3322),
    [anon_sym_R_DQUOTE] = ACTIONS(3324),
    [anon_sym_LR_DQUOTE] = ACTIONS(3324),
    [anon_sym_uR_DQUOTE] = ACTIONS(3324),
    [anon_sym_UR_DQUOTE] = ACTIONS(3324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3324),
    [anon_sym_co_await] = ACTIONS(3322),
    [anon_sym_new] = ACTIONS(3322),
    [anon_sym_requires] = ACTIONS(3322),
    [sym_this] = ACTIONS(3322),
  },
  [1042] = {
    [ts_builtin_sym_end] = ACTIONS(3363),
    [sym_identifier] = ACTIONS(3361),
    [aux_sym_preproc_include_token1] = ACTIONS(3361),
    [aux_sym_preproc_def_token1] = ACTIONS(3361),
    [aux_sym_preproc_if_token1] = ACTIONS(3361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3361),
    [sym_preproc_directive] = ACTIONS(3361),
    [anon_sym_LPAREN2] = ACTIONS(3363),
    [anon_sym_BANG] = ACTIONS(3363),
    [anon_sym_TILDE] = ACTIONS(3363),
    [anon_sym_DASH] = ACTIONS(3361),
    [anon_sym_PLUS] = ACTIONS(3361),
    [anon_sym_STAR] = ACTIONS(3363),
    [anon_sym_AMP_AMP] = ACTIONS(3363),
    [anon_sym_AMP] = ACTIONS(3361),
    [anon_sym___extension__] = ACTIONS(3361),
    [anon_sym_typedef] = ACTIONS(3361),
    [anon_sym_extern] = ACTIONS(3361),
    [anon_sym___attribute__] = ACTIONS(3361),
    [anon_sym_COLON_COLON] = ACTIONS(3363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3363),
    [anon_sym___declspec] = ACTIONS(3361),
    [anon_sym___based] = ACTIONS(3361),
    [anon_sym___cdecl] = ACTIONS(3361),
    [anon_sym___clrcall] = ACTIONS(3361),
    [anon_sym___stdcall] = ACTIONS(3361),
    [anon_sym___fastcall] = ACTIONS(3361),
    [anon_sym___thiscall] = ACTIONS(3361),
    [anon_sym___vectorcall] = ACTIONS(3361),
    [anon_sym_LBRACE] = ACTIONS(3363),
    [anon_sym_signed] = ACTIONS(3361),
    [anon_sym_unsigned] = ACTIONS(3361),
    [anon_sym_long] = ACTIONS(3361),
    [anon_sym_short] = ACTIONS(3361),
    [anon_sym_LBRACK] = ACTIONS(3361),
    [anon_sym_static] = ACTIONS(3361),
    [anon_sym_register] = ACTIONS(3361),
    [anon_sym_inline] = ACTIONS(3361),
    [anon_sym___inline] = ACTIONS(3361),
    [anon_sym___inline__] = ACTIONS(3361),
    [anon_sym___forceinline] = ACTIONS(3361),
    [anon_sym_thread_local] = ACTIONS(3361),
    [anon_sym___thread] = ACTIONS(3361),
    [anon_sym_const] = ACTIONS(3361),
    [anon_sym_constexpr] = ACTIONS(3361),
    [anon_sym_volatile] = ACTIONS(3361),
    [anon_sym_restrict] = ACTIONS(3361),
    [anon_sym___restrict__] = ACTIONS(3361),
    [anon_sym__Atomic] = ACTIONS(3361),
    [anon_sym__Noreturn] = ACTIONS(3361),
    [anon_sym_noreturn] = ACTIONS(3361),
    [anon_sym_mutable] = ACTIONS(3361),
    [anon_sym_constinit] = ACTIONS(3361),
    [anon_sym_consteval] = ACTIONS(3361),
    [anon_sym_PROGMEM] = ACTIONS(3361),
    [aux_sym_primitive_type_token1] = ACTIONS(3361),
    [anon_sym_byte] = ACTIONS(3361),
    [anon_sym_word] = ACTIONS(3361),
    [anon_sym_enum] = ACTIONS(3361),
    [anon_sym_class] = ACTIONS(3361),
    [anon_sym_struct] = ACTIONS(3361),
    [anon_sym_union] = ACTIONS(3361),
    [anon_sym_if] = ACTIONS(3361),
    [anon_sym_switch] = ACTIONS(3361),
    [anon_sym_case] = ACTIONS(3361),
    [anon_sym_default] = ACTIONS(3361),
    [anon_sym_while] = ACTIONS(3361),
    [anon_sym_do] = ACTIONS(3361),
    [anon_sym_for] = ACTIONS(3361),
    [anon_sym_return] = ACTIONS(3361),
    [anon_sym_break] = ACTIONS(3361),
    [anon_sym_continue] = ACTIONS(3361),
    [anon_sym_goto] = ACTIONS(3361),
    [anon_sym_not] = ACTIONS(3361),
    [anon_sym_compl] = ACTIONS(3361),
    [anon_sym_DASH_DASH] = ACTIONS(3363),
    [anon_sym_PLUS_PLUS] = ACTIONS(3363),
    [anon_sym_sizeof] = ACTIONS(3361),
    [anon_sym___alignof__] = ACTIONS(3361),
    [anon_sym___alignof] = ACTIONS(3361),
    [anon_sym__alignof] = ACTIONS(3361),
    [anon_sym_alignof] = ACTIONS(3361),
    [anon_sym__Alignof] = ACTIONS(3361),
    [anon_sym_offsetof] = ACTIONS(3361),
    [anon_sym__Generic] = ACTIONS(3361),
    [anon_sym_asm] = ACTIONS(3361),
    [anon_sym___asm__] = ACTIONS(3361),
    [aux_sym_number_literal_token1] = ACTIONS(3363),
    [aux_sym_number_literal_token2] = ACTIONS(3361),
    [anon_sym_L_SQUOTE] = ACTIONS(3363),
    [anon_sym_u_SQUOTE] = ACTIONS(3363),
    [anon_sym_U_SQUOTE] = ACTIONS(3363),
    [anon_sym_u8_SQUOTE] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(3363),
    [anon_sym_L_DQUOTE] = ACTIONS(3363),
    [anon_sym_u_DQUOTE] = ACTIONS(3363),
    [anon_sym_U_DQUOTE] = ACTIONS(3363),
    [anon_sym_u8_DQUOTE] = ACTIONS(3363),
    [anon_sym_DQUOTE] = ACTIONS(3363),
    [sym_true] = ACTIONS(3361),
    [sym_false] = ACTIONS(3361),
    [anon_sym_NULL] = ACTIONS(3361),
    [anon_sym_nullptr] = ACTIONS(3361),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3361),
    [anon_sym_decltype] = ACTIONS(3361),
    [anon_sym_virtual] = ACTIONS(3361),
    [anon_sym_alignas] = ACTIONS(3361),
    [anon_sym_explicit] = ACTIONS(3361),
    [anon_sym_typename] = ACTIONS(3361),
    [anon_sym_template] = ACTIONS(3361),
    [anon_sym_operator] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3361),
    [anon_sym_delete] = ACTIONS(3361),
    [anon_sym_throw] = ACTIONS(3361),
    [anon_sym_namespace] = ACTIONS(3361),
    [anon_sym_using] = ACTIONS(3361),
    [anon_sym_static_assert] = ACTIONS(3361),
    [anon_sym_concept] = ACTIONS(3361),
    [anon_sym_co_return] = ACTIONS(3361),
    [anon_sym_co_yield] = ACTIONS(3361),
    [anon_sym_R_DQUOTE] = ACTIONS(3363),
    [anon_sym_LR_DQUOTE] = ACTIONS(3363),
    [anon_sym_uR_DQUOTE] = ACTIONS(3363),
    [anon_sym_UR_DQUOTE] = ACTIONS(3363),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3363),
    [anon_sym_co_await] = ACTIONS(3361),
    [anon_sym_new] = ACTIONS(3361),
    [anon_sym_requires] = ACTIONS(3361),
    [sym_this] = ACTIONS(3361),
  },
  [1043] = {
    [ts_builtin_sym_end] = ACTIONS(3222),
    [sym_identifier] = ACTIONS(3220),
    [aux_sym_preproc_include_token1] = ACTIONS(3220),
    [aux_sym_preproc_def_token1] = ACTIONS(3220),
    [aux_sym_preproc_if_token1] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3220),
    [sym_preproc_directive] = ACTIONS(3220),
    [anon_sym_LPAREN2] = ACTIONS(3222),
    [anon_sym_BANG] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3222),
    [anon_sym_AMP_AMP] = ACTIONS(3222),
    [anon_sym_AMP] = ACTIONS(3220),
    [anon_sym___extension__] = ACTIONS(3220),
    [anon_sym_typedef] = ACTIONS(3220),
    [anon_sym_extern] = ACTIONS(3220),
    [anon_sym___attribute__] = ACTIONS(3220),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3222),
    [anon_sym___declspec] = ACTIONS(3220),
    [anon_sym___based] = ACTIONS(3220),
    [anon_sym___cdecl] = ACTIONS(3220),
    [anon_sym___clrcall] = ACTIONS(3220),
    [anon_sym___stdcall] = ACTIONS(3220),
    [anon_sym___fastcall] = ACTIONS(3220),
    [anon_sym___thiscall] = ACTIONS(3220),
    [anon_sym___vectorcall] = ACTIONS(3220),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_signed] = ACTIONS(3220),
    [anon_sym_unsigned] = ACTIONS(3220),
    [anon_sym_long] = ACTIONS(3220),
    [anon_sym_short] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_static] = ACTIONS(3220),
    [anon_sym_register] = ACTIONS(3220),
    [anon_sym_inline] = ACTIONS(3220),
    [anon_sym___inline] = ACTIONS(3220),
    [anon_sym___inline__] = ACTIONS(3220),
    [anon_sym___forceinline] = ACTIONS(3220),
    [anon_sym_thread_local] = ACTIONS(3220),
    [anon_sym___thread] = ACTIONS(3220),
    [anon_sym_const] = ACTIONS(3220),
    [anon_sym_constexpr] = ACTIONS(3220),
    [anon_sym_volatile] = ACTIONS(3220),
    [anon_sym_restrict] = ACTIONS(3220),
    [anon_sym___restrict__] = ACTIONS(3220),
    [anon_sym__Atomic] = ACTIONS(3220),
    [anon_sym__Noreturn] = ACTIONS(3220),
    [anon_sym_noreturn] = ACTIONS(3220),
    [anon_sym_mutable] = ACTIONS(3220),
    [anon_sym_constinit] = ACTIONS(3220),
    [anon_sym_consteval] = ACTIONS(3220),
    [anon_sym_PROGMEM] = ACTIONS(3220),
    [aux_sym_primitive_type_token1] = ACTIONS(3220),
    [anon_sym_byte] = ACTIONS(3220),
    [anon_sym_word] = ACTIONS(3220),
    [anon_sym_enum] = ACTIONS(3220),
    [anon_sym_class] = ACTIONS(3220),
    [anon_sym_struct] = ACTIONS(3220),
    [anon_sym_union] = ACTIONS(3220),
    [anon_sym_if] = ACTIONS(3220),
    [anon_sym_switch] = ACTIONS(3220),
    [anon_sym_case] = ACTIONS(3220),
    [anon_sym_default] = ACTIONS(3220),
    [anon_sym_while] = ACTIONS(3220),
    [anon_sym_do] = ACTIONS(3220),
    [anon_sym_for] = ACTIONS(3220),
    [anon_sym_return] = ACTIONS(3220),
    [anon_sym_break] = ACTIONS(3220),
    [anon_sym_continue] = ACTIONS(3220),
    [anon_sym_goto] = ACTIONS(3220),
    [anon_sym_not] = ACTIONS(3220),
    [anon_sym_compl] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_sizeof] = ACTIONS(3220),
    [anon_sym___alignof__] = ACTIONS(3220),
    [anon_sym___alignof] = ACTIONS(3220),
    [anon_sym__alignof] = ACTIONS(3220),
    [anon_sym_alignof] = ACTIONS(3220),
    [anon_sym__Alignof] = ACTIONS(3220),
    [anon_sym_offsetof] = ACTIONS(3220),
    [anon_sym__Generic] = ACTIONS(3220),
    [anon_sym_asm] = ACTIONS(3220),
    [anon_sym___asm__] = ACTIONS(3220),
    [aux_sym_number_literal_token1] = ACTIONS(3222),
    [aux_sym_number_literal_token2] = ACTIONS(3220),
    [anon_sym_L_SQUOTE] = ACTIONS(3222),
    [anon_sym_u_SQUOTE] = ACTIONS(3222),
    [anon_sym_U_SQUOTE] = ACTIONS(3222),
    [anon_sym_u8_SQUOTE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_L_DQUOTE] = ACTIONS(3222),
    [anon_sym_u_DQUOTE] = ACTIONS(3222),
    [anon_sym_U_DQUOTE] = ACTIONS(3222),
    [anon_sym_u8_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [sym_true] = ACTIONS(3220),
    [sym_false] = ACTIONS(3220),
    [anon_sym_NULL] = ACTIONS(3220),
    [anon_sym_nullptr] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3220),
    [anon_sym_decltype] = ACTIONS(3220),
    [anon_sym_virtual] = ACTIONS(3220),
    [anon_sym_alignas] = ACTIONS(3220),
    [anon_sym_explicit] = ACTIONS(3220),
    [anon_sym_typename] = ACTIONS(3220),
    [anon_sym_template] = ACTIONS(3220),
    [anon_sym_operator] = ACTIONS(3220),
    [anon_sym_try] = ACTIONS(3220),
    [anon_sym_delete] = ACTIONS(3220),
    [anon_sym_throw] = ACTIONS(3220),
    [anon_sym_namespace] = ACTIONS(3220),
    [anon_sym_using] = ACTIONS(3220),
    [anon_sym_static_assert] = ACTIONS(3220),
    [anon_sym_concept] = ACTIONS(3220),
    [anon_sym_co_return] = ACTIONS(3220),
    [anon_sym_co_yield] = ACTIONS(3220),
    [anon_sym_R_DQUOTE] = ACTIONS(3222),
    [anon_sym_LR_DQUOTE] = ACTIONS(3222),
    [anon_sym_uR_DQUOTE] = ACTIONS(3222),
    [anon_sym_UR_DQUOTE] = ACTIONS(3222),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3222),
    [anon_sym_co_await] = ACTIONS(3220),
    [anon_sym_new] = ACTIONS(3220),
    [anon_sym_requires] = ACTIONS(3220),
    [sym_this] = ACTIONS(3220),
  },
  [1044] = {
    [sym_preproc_def] = STATE(1000),
    [sym_preproc_function_def] = STATE(1000),
    [sym_preproc_call] = STATE(1000),
    [sym_preproc_if_in_field_declaration_list] = STATE(1000),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1000),
    [sym_type_definition] = STATE(1000),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6396),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1000),
    [sym_field_declaration] = STATE(1000),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1000),
    [sym_operator_cast] = STATE(7382),
    [sym_inline_method_definition] = STATE(1000),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(1000),
    [sym_operator_cast_declaration] = STATE(1000),
    [sym_constructor_or_destructor_definition] = STATE(1000),
    [sym_constructor_or_destructor_declaration] = STATE(1000),
    [sym_friend_declaration] = STATE(1000),
    [sym_access_specifier] = STATE(9207),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1000),
    [sym_alias_declaration] = STATE(1000),
    [sym_static_assert_declaration] = STATE(1000),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1000),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3819),
    [sym_preproc_directive] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_typedef] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3969),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3829),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3831),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_static_assert] = ACTIONS(3835),
  },
  [1045] = {
    [sym_preproc_def] = STATE(1000),
    [sym_preproc_function_def] = STATE(1000),
    [sym_preproc_call] = STATE(1000),
    [sym_preproc_if_in_field_declaration_list] = STATE(1000),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1000),
    [sym_type_definition] = STATE(1000),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6396),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1000),
    [sym_field_declaration] = STATE(1000),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1000),
    [sym_operator_cast] = STATE(7382),
    [sym_inline_method_definition] = STATE(1000),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(1000),
    [sym_operator_cast_declaration] = STATE(1000),
    [sym_constructor_or_destructor_definition] = STATE(1000),
    [sym_constructor_or_destructor_declaration] = STATE(1000),
    [sym_friend_declaration] = STATE(1000),
    [sym_access_specifier] = STATE(9207),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1000),
    [sym_alias_declaration] = STATE(1000),
    [sym_static_assert_declaration] = STATE(1000),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1000),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3819),
    [sym_preproc_directive] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_typedef] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3971),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3829),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3831),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_static_assert] = ACTIONS(3835),
  },
  [1046] = {
    [sym_preproc_def] = STATE(1045),
    [sym_preproc_function_def] = STATE(1045),
    [sym_preproc_call] = STATE(1045),
    [sym_preproc_if_in_field_declaration_list] = STATE(1045),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1045),
    [sym_type_definition] = STATE(1045),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6396),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1045),
    [sym_field_declaration] = STATE(1045),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1045),
    [sym_operator_cast] = STATE(7382),
    [sym_inline_method_definition] = STATE(1045),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(1045),
    [sym_operator_cast_declaration] = STATE(1045),
    [sym_constructor_or_destructor_definition] = STATE(1045),
    [sym_constructor_or_destructor_declaration] = STATE(1045),
    [sym_friend_declaration] = STATE(1045),
    [sym_access_specifier] = STATE(9207),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1045),
    [sym_alias_declaration] = STATE(1045),
    [sym_static_assert_declaration] = STATE(1045),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1045),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3819),
    [sym_preproc_directive] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_typedef] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3973),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3829),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3831),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_static_assert] = ACTIONS(3835),
  },
  [1047] = {
    [sym_preproc_def] = STATE(1000),
    [sym_preproc_function_def] = STATE(1000),
    [sym_preproc_call] = STATE(1000),
    [sym_preproc_if_in_field_declaration_list] = STATE(1000),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1000),
    [sym_type_definition] = STATE(1000),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6396),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1000),
    [sym_field_declaration] = STATE(1000),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1000),
    [sym_operator_cast] = STATE(7382),
    [sym_inline_method_definition] = STATE(1000),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(1000),
    [sym_operator_cast_declaration] = STATE(1000),
    [sym_constructor_or_destructor_definition] = STATE(1000),
    [sym_constructor_or_destructor_declaration] = STATE(1000),
    [sym_friend_declaration] = STATE(1000),
    [sym_access_specifier] = STATE(9207),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1000),
    [sym_alias_declaration] = STATE(1000),
    [sym_static_assert_declaration] = STATE(1000),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1000),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3819),
    [sym_preproc_directive] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_typedef] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3975),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3829),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3831),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_static_assert] = ACTIONS(3835),
  },
  [1048] = {
    [sym_preproc_def] = STATE(1065),
    [sym_preproc_function_def] = STATE(1065),
    [sym_preproc_call] = STATE(1065),
    [sym_preproc_if_in_field_declaration_list] = STATE(1065),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1065),
    [sym_type_definition] = STATE(1065),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6396),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1065),
    [sym_field_declaration] = STATE(1065),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1065),
    [sym_operator_cast] = STATE(7382),
    [sym_inline_method_definition] = STATE(1065),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(1065),
    [sym_operator_cast_declaration] = STATE(1065),
    [sym_constructor_or_destructor_definition] = STATE(1065),
    [sym_constructor_or_destructor_declaration] = STATE(1065),
    [sym_friend_declaration] = STATE(1065),
    [sym_access_specifier] = STATE(9207),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1065),
    [sym_alias_declaration] = STATE(1065),
    [sym_static_assert_declaration] = STATE(1065),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1065),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3819),
    [sym_preproc_directive] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_typedef] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3977),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3829),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3831),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_static_assert] = ACTIONS(3835),
  },
  [1049] = {
    [ts_builtin_sym_end] = ACTIONS(3399),
    [sym_identifier] = ACTIONS(3397),
    [aux_sym_preproc_include_token1] = ACTIONS(3397),
    [aux_sym_preproc_def_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3397),
    [sym_preproc_directive] = ACTIONS(3397),
    [anon_sym_LPAREN2] = ACTIONS(3399),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_AMP_AMP] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3397),
    [anon_sym___extension__] = ACTIONS(3397),
    [anon_sym_typedef] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym___attribute__] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(3399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym___declspec] = ACTIONS(3397),
    [anon_sym___based] = ACTIONS(3397),
    [anon_sym___cdecl] = ACTIONS(3397),
    [anon_sym___clrcall] = ACTIONS(3397),
    [anon_sym___stdcall] = ACTIONS(3397),
    [anon_sym___fastcall] = ACTIONS(3397),
    [anon_sym___thiscall] = ACTIONS(3397),
    [anon_sym___vectorcall] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_signed] = ACTIONS(3397),
    [anon_sym_unsigned] = ACTIONS(3397),
    [anon_sym_long] = ACTIONS(3397),
    [anon_sym_short] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_register] = ACTIONS(3397),
    [anon_sym_inline] = ACTIONS(3397),
    [anon_sym___inline] = ACTIONS(3397),
    [anon_sym___inline__] = ACTIONS(3397),
    [anon_sym___forceinline] = ACTIONS(3397),
    [anon_sym_thread_local] = ACTIONS(3397),
    [anon_sym___thread] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_constexpr] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_restrict] = ACTIONS(3397),
    [anon_sym___restrict__] = ACTIONS(3397),
    [anon_sym__Atomic] = ACTIONS(3397),
    [anon_sym__Noreturn] = ACTIONS(3397),
    [anon_sym_noreturn] = ACTIONS(3397),
    [anon_sym_mutable] = ACTIONS(3397),
    [anon_sym_constinit] = ACTIONS(3397),
    [anon_sym_consteval] = ACTIONS(3397),
    [anon_sym_PROGMEM] = ACTIONS(3397),
    [aux_sym_primitive_type_token1] = ACTIONS(3397),
    [anon_sym_byte] = ACTIONS(3397),
    [anon_sym_word] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_union] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_goto] = ACTIONS(3397),
    [anon_sym_not] = ACTIONS(3397),
    [anon_sym_compl] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_sizeof] = ACTIONS(3397),
    [anon_sym___alignof__] = ACTIONS(3397),
    [anon_sym___alignof] = ACTIONS(3397),
    [anon_sym__alignof] = ACTIONS(3397),
    [anon_sym_alignof] = ACTIONS(3397),
    [anon_sym__Alignof] = ACTIONS(3397),
    [anon_sym_offsetof] = ACTIONS(3397),
    [anon_sym__Generic] = ACTIONS(3397),
    [anon_sym_asm] = ACTIONS(3397),
    [anon_sym___asm__] = ACTIONS(3397),
    [aux_sym_number_literal_token1] = ACTIONS(3399),
    [aux_sym_number_literal_token2] = ACTIONS(3397),
    [anon_sym_L_SQUOTE] = ACTIONS(3399),
    [anon_sym_u_SQUOTE] = ACTIONS(3399),
    [anon_sym_U_SQUOTE] = ACTIONS(3399),
    [anon_sym_u8_SQUOTE] = ACTIONS(3399),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [anon_sym_L_DQUOTE] = ACTIONS(3399),
    [anon_sym_u_DQUOTE] = ACTIONS(3399),
    [anon_sym_U_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8_DQUOTE] = ACTIONS(3399),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [anon_sym_NULL] = ACTIONS(3397),
    [anon_sym_nullptr] = ACTIONS(3397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3397),
    [anon_sym_decltype] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_alignas] = ACTIONS(3397),
    [anon_sym_explicit] = ACTIONS(3397),
    [anon_sym_typename] = ACTIONS(3397),
    [anon_sym_template] = ACTIONS(3397),
    [anon_sym_operator] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_static_assert] = ACTIONS(3397),
    [anon_sym_concept] = ACTIONS(3397),
    [anon_sym_co_return] = ACTIONS(3397),
    [anon_sym_co_yield] = ACTIONS(3397),
    [anon_sym_R_DQUOTE] = ACTIONS(3399),
    [anon_sym_LR_DQUOTE] = ACTIONS(3399),
    [anon_sym_uR_DQUOTE] = ACTIONS(3399),
    [anon_sym_UR_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3399),
    [anon_sym_co_await] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_requires] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
  },
  [1050] = {
    [sym_preproc_def] = STATE(1047),
    [sym_preproc_function_def] = STATE(1047),
    [sym_preproc_call] = STATE(1047),
    [sym_preproc_if_in_field_declaration_list] = STATE(1047),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1047),
    [sym_type_definition] = STATE(1047),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6396),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1047),
    [sym_field_declaration] = STATE(1047),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1047),
    [sym_operator_cast] = STATE(7382),
    [sym_inline_method_definition] = STATE(1047),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(1047),
    [sym_operator_cast_declaration] = STATE(1047),
    [sym_constructor_or_destructor_definition] = STATE(1047),
    [sym_constructor_or_destructor_declaration] = STATE(1047),
    [sym_friend_declaration] = STATE(1047),
    [sym_access_specifier] = STATE(9207),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1047),
    [sym_alias_declaration] = STATE(1047),
    [sym_static_assert_declaration] = STATE(1047),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1047),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3819),
    [sym_preproc_directive] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_typedef] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3979),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3829),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3831),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_static_assert] = ACTIONS(3835),
  },
  [1051] = {
    [ts_builtin_sym_end] = ACTIONS(3467),
    [sym_identifier] = ACTIONS(3465),
    [aux_sym_preproc_include_token1] = ACTIONS(3465),
    [aux_sym_preproc_def_token1] = ACTIONS(3465),
    [aux_sym_preproc_if_token1] = ACTIONS(3465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3465),
    [sym_preproc_directive] = ACTIONS(3465),
    [anon_sym_LPAREN2] = ACTIONS(3467),
    [anon_sym_BANG] = ACTIONS(3467),
    [anon_sym_TILDE] = ACTIONS(3467),
    [anon_sym_DASH] = ACTIONS(3465),
    [anon_sym_PLUS] = ACTIONS(3465),
    [anon_sym_STAR] = ACTIONS(3467),
    [anon_sym_AMP_AMP] = ACTIONS(3467),
    [anon_sym_AMP] = ACTIONS(3465),
    [anon_sym___extension__] = ACTIONS(3465),
    [anon_sym_typedef] = ACTIONS(3465),
    [anon_sym_extern] = ACTIONS(3465),
    [anon_sym___attribute__] = ACTIONS(3465),
    [anon_sym_COLON_COLON] = ACTIONS(3467),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3467),
    [anon_sym___declspec] = ACTIONS(3465),
    [anon_sym___based] = ACTIONS(3465),
    [anon_sym___cdecl] = ACTIONS(3465),
    [anon_sym___clrcall] = ACTIONS(3465),
    [anon_sym___stdcall] = ACTIONS(3465),
    [anon_sym___fastcall] = ACTIONS(3465),
    [anon_sym___thiscall] = ACTIONS(3465),
    [anon_sym___vectorcall] = ACTIONS(3465),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_signed] = ACTIONS(3465),
    [anon_sym_unsigned] = ACTIONS(3465),
    [anon_sym_long] = ACTIONS(3465),
    [anon_sym_short] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(3465),
    [anon_sym_static] = ACTIONS(3465),
    [anon_sym_register] = ACTIONS(3465),
    [anon_sym_inline] = ACTIONS(3465),
    [anon_sym___inline] = ACTIONS(3465),
    [anon_sym___inline__] = ACTIONS(3465),
    [anon_sym___forceinline] = ACTIONS(3465),
    [anon_sym_thread_local] = ACTIONS(3465),
    [anon_sym___thread] = ACTIONS(3465),
    [anon_sym_const] = ACTIONS(3465),
    [anon_sym_constexpr] = ACTIONS(3465),
    [anon_sym_volatile] = ACTIONS(3465),
    [anon_sym_restrict] = ACTIONS(3465),
    [anon_sym___restrict__] = ACTIONS(3465),
    [anon_sym__Atomic] = ACTIONS(3465),
    [anon_sym__Noreturn] = ACTIONS(3465),
    [anon_sym_noreturn] = ACTIONS(3465),
    [anon_sym_mutable] = ACTIONS(3465),
    [anon_sym_constinit] = ACTIONS(3465),
    [anon_sym_consteval] = ACTIONS(3465),
    [anon_sym_PROGMEM] = ACTIONS(3465),
    [aux_sym_primitive_type_token1] = ACTIONS(3465),
    [anon_sym_byte] = ACTIONS(3465),
    [anon_sym_word] = ACTIONS(3465),
    [anon_sym_enum] = ACTIONS(3465),
    [anon_sym_class] = ACTIONS(3465),
    [anon_sym_struct] = ACTIONS(3465),
    [anon_sym_union] = ACTIONS(3465),
    [anon_sym_if] = ACTIONS(3465),
    [anon_sym_switch] = ACTIONS(3465),
    [anon_sym_case] = ACTIONS(3465),
    [anon_sym_default] = ACTIONS(3465),
    [anon_sym_while] = ACTIONS(3465),
    [anon_sym_do] = ACTIONS(3465),
    [anon_sym_for] = ACTIONS(3465),
    [anon_sym_return] = ACTIONS(3465),
    [anon_sym_break] = ACTIONS(3465),
    [anon_sym_continue] = ACTIONS(3465),
    [anon_sym_goto] = ACTIONS(3465),
    [anon_sym_not] = ACTIONS(3465),
    [anon_sym_compl] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3467),
    [anon_sym_PLUS_PLUS] = ACTIONS(3467),
    [anon_sym_sizeof] = ACTIONS(3465),
    [anon_sym___alignof__] = ACTIONS(3465),
    [anon_sym___alignof] = ACTIONS(3465),
    [anon_sym__alignof] = ACTIONS(3465),
    [anon_sym_alignof] = ACTIONS(3465),
    [anon_sym__Alignof] = ACTIONS(3465),
    [anon_sym_offsetof] = ACTIONS(3465),
    [anon_sym__Generic] = ACTIONS(3465),
    [anon_sym_asm] = ACTIONS(3465),
    [anon_sym___asm__] = ACTIONS(3465),
    [aux_sym_number_literal_token1] = ACTIONS(3467),
    [aux_sym_number_literal_token2] = ACTIONS(3465),
    [anon_sym_L_SQUOTE] = ACTIONS(3467),
    [anon_sym_u_SQUOTE] = ACTIONS(3467),
    [anon_sym_U_SQUOTE] = ACTIONS(3467),
    [anon_sym_u8_SQUOTE] = ACTIONS(3467),
    [anon_sym_SQUOTE] = ACTIONS(3467),
    [anon_sym_L_DQUOTE] = ACTIONS(3467),
    [anon_sym_u_DQUOTE] = ACTIONS(3467),
    [anon_sym_U_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8_DQUOTE] = ACTIONS(3467),
    [anon_sym_DQUOTE] = ACTIONS(3467),
    [sym_true] = ACTIONS(3465),
    [sym_false] = ACTIONS(3465),
    [anon_sym_NULL] = ACTIONS(3465),
    [anon_sym_nullptr] = ACTIONS(3465),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3465),
    [anon_sym_decltype] = ACTIONS(3465),
    [anon_sym_virtual] = ACTIONS(3465),
    [anon_sym_alignas] = ACTIONS(3465),
    [anon_sym_explicit] = ACTIONS(3465),
    [anon_sym_typename] = ACTIONS(3465),
    [anon_sym_template] = ACTIONS(3465),
    [anon_sym_operator] = ACTIONS(3465),
    [anon_sym_try] = ACTIONS(3465),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_throw] = ACTIONS(3465),
    [anon_sym_namespace] = ACTIONS(3465),
    [anon_sym_using] = ACTIONS(3465),
    [anon_sym_static_assert] = ACTIONS(3465),
    [anon_sym_concept] = ACTIONS(3465),
    [anon_sym_co_return] = ACTIONS(3465),
    [anon_sym_co_yield] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3465),
    [anon_sym_new] = ACTIONS(3465),
    [anon_sym_requires] = ACTIONS(3465),
    [sym_this] = ACTIONS(3465),
  },
  [1052] = {
    [ts_builtin_sym_end] = ACTIONS(3481),
    [sym_identifier] = ACTIONS(3479),
    [aux_sym_preproc_include_token1] = ACTIONS(3479),
    [aux_sym_preproc_def_token1] = ACTIONS(3479),
    [aux_sym_preproc_if_token1] = ACTIONS(3479),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3479),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3479),
    [sym_preproc_directive] = ACTIONS(3479),
    [anon_sym_LPAREN2] = ACTIONS(3481),
    [anon_sym_BANG] = ACTIONS(3481),
    [anon_sym_TILDE] = ACTIONS(3481),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3481),
    [anon_sym_AMP_AMP] = ACTIONS(3481),
    [anon_sym_AMP] = ACTIONS(3479),
    [anon_sym___extension__] = ACTIONS(3479),
    [anon_sym_typedef] = ACTIONS(3479),
    [anon_sym_extern] = ACTIONS(3479),
    [anon_sym___attribute__] = ACTIONS(3479),
    [anon_sym_COLON_COLON] = ACTIONS(3481),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3481),
    [anon_sym___declspec] = ACTIONS(3479),
    [anon_sym___based] = ACTIONS(3479),
    [anon_sym___cdecl] = ACTIONS(3479),
    [anon_sym___clrcall] = ACTIONS(3479),
    [anon_sym___stdcall] = ACTIONS(3479),
    [anon_sym___fastcall] = ACTIONS(3479),
    [anon_sym___thiscall] = ACTIONS(3479),
    [anon_sym___vectorcall] = ACTIONS(3479),
    [anon_sym_LBRACE] = ACTIONS(3481),
    [anon_sym_signed] = ACTIONS(3479),
    [anon_sym_unsigned] = ACTIONS(3479),
    [anon_sym_long] = ACTIONS(3479),
    [anon_sym_short] = ACTIONS(3479),
    [anon_sym_LBRACK] = ACTIONS(3479),
    [anon_sym_static] = ACTIONS(3479),
    [anon_sym_register] = ACTIONS(3479),
    [anon_sym_inline] = ACTIONS(3479),
    [anon_sym___inline] = ACTIONS(3479),
    [anon_sym___inline__] = ACTIONS(3479),
    [anon_sym___forceinline] = ACTIONS(3479),
    [anon_sym_thread_local] = ACTIONS(3479),
    [anon_sym___thread] = ACTIONS(3479),
    [anon_sym_const] = ACTIONS(3479),
    [anon_sym_constexpr] = ACTIONS(3479),
    [anon_sym_volatile] = ACTIONS(3479),
    [anon_sym_restrict] = ACTIONS(3479),
    [anon_sym___restrict__] = ACTIONS(3479),
    [anon_sym__Atomic] = ACTIONS(3479),
    [anon_sym__Noreturn] = ACTIONS(3479),
    [anon_sym_noreturn] = ACTIONS(3479),
    [anon_sym_mutable] = ACTIONS(3479),
    [anon_sym_constinit] = ACTIONS(3479),
    [anon_sym_consteval] = ACTIONS(3479),
    [anon_sym_PROGMEM] = ACTIONS(3479),
    [aux_sym_primitive_type_token1] = ACTIONS(3479),
    [anon_sym_byte] = ACTIONS(3479),
    [anon_sym_word] = ACTIONS(3479),
    [anon_sym_enum] = ACTIONS(3479),
    [anon_sym_class] = ACTIONS(3479),
    [anon_sym_struct] = ACTIONS(3479),
    [anon_sym_union] = ACTIONS(3479),
    [anon_sym_if] = ACTIONS(3479),
    [anon_sym_switch] = ACTIONS(3479),
    [anon_sym_case] = ACTIONS(3479),
    [anon_sym_default] = ACTIONS(3479),
    [anon_sym_while] = ACTIONS(3479),
    [anon_sym_do] = ACTIONS(3479),
    [anon_sym_for] = ACTIONS(3479),
    [anon_sym_return] = ACTIONS(3479),
    [anon_sym_break] = ACTIONS(3479),
    [anon_sym_continue] = ACTIONS(3479),
    [anon_sym_goto] = ACTIONS(3479),
    [anon_sym_not] = ACTIONS(3479),
    [anon_sym_compl] = ACTIONS(3479),
    [anon_sym_DASH_DASH] = ACTIONS(3481),
    [anon_sym_PLUS_PLUS] = ACTIONS(3481),
    [anon_sym_sizeof] = ACTIONS(3479),
    [anon_sym___alignof__] = ACTIONS(3479),
    [anon_sym___alignof] = ACTIONS(3479),
    [anon_sym__alignof] = ACTIONS(3479),
    [anon_sym_alignof] = ACTIONS(3479),
    [anon_sym__Alignof] = ACTIONS(3479),
    [anon_sym_offsetof] = ACTIONS(3479),
    [anon_sym__Generic] = ACTIONS(3479),
    [anon_sym_asm] = ACTIONS(3479),
    [anon_sym___asm__] = ACTIONS(3479),
    [aux_sym_number_literal_token1] = ACTIONS(3481),
    [aux_sym_number_literal_token2] = ACTIONS(3479),
    [anon_sym_L_SQUOTE] = ACTIONS(3481),
    [anon_sym_u_SQUOTE] = ACTIONS(3481),
    [anon_sym_U_SQUOTE] = ACTIONS(3481),
    [anon_sym_u8_SQUOTE] = ACTIONS(3481),
    [anon_sym_SQUOTE] = ACTIONS(3481),
    [anon_sym_L_DQUOTE] = ACTIONS(3481),
    [anon_sym_u_DQUOTE] = ACTIONS(3481),
    [anon_sym_U_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8_DQUOTE] = ACTIONS(3481),
    [anon_sym_DQUOTE] = ACTIONS(3481),
    [sym_true] = ACTIONS(3479),
    [sym_false] = ACTIONS(3479),
    [anon_sym_NULL] = ACTIONS(3479),
    [anon_sym_nullptr] = ACTIONS(3479),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3479),
    [anon_sym_decltype] = ACTIONS(3479),
    [anon_sym_virtual] = ACTIONS(3479),
    [anon_sym_alignas] = ACTIONS(3479),
    [anon_sym_explicit] = ACTIONS(3479),
    [anon_sym_typename] = ACTIONS(3479),
    [anon_sym_template] = ACTIONS(3479),
    [anon_sym_operator] = ACTIONS(3479),
    [anon_sym_try] = ACTIONS(3479),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_throw] = ACTIONS(3479),
    [anon_sym_namespace] = ACTIONS(3479),
    [anon_sym_using] = ACTIONS(3479),
    [anon_sym_static_assert] = ACTIONS(3479),
    [anon_sym_concept] = ACTIONS(3479),
    [anon_sym_co_return] = ACTIONS(3479),
    [anon_sym_co_yield] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3479),
    [anon_sym_new] = ACTIONS(3479),
    [anon_sym_requires] = ACTIONS(3479),
    [sym_this] = ACTIONS(3479),
  },
  [1053] = {
    [sym_preproc_def] = STATE(1000),
    [sym_preproc_function_def] = STATE(1000),
    [sym_preproc_call] = STATE(1000),
    [sym_preproc_if_in_field_declaration_list] = STATE(1000),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1000),
    [sym_type_definition] = STATE(1000),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6396),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1000),
    [sym_field_declaration] = STATE(1000),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1000),
    [sym_operator_cast] = STATE(7382),
    [sym_inline_method_definition] = STATE(1000),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(1000),
    [sym_operator_cast_declaration] = STATE(1000),
    [sym_constructor_or_destructor_definition] = STATE(1000),
    [sym_constructor_or_destructor_declaration] = STATE(1000),
    [sym_friend_declaration] = STATE(1000),
    [sym_access_specifier] = STATE(9207),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1000),
    [sym_alias_declaration] = STATE(1000),
    [sym_static_assert_declaration] = STATE(1000),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1000),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3819),
    [sym_preproc_directive] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_typedef] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3981),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3829),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3831),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_static_assert] = ACTIONS(3835),
  },
  [1054] = {
    [sym_preproc_def] = STATE(998),
    [sym_preproc_function_def] = STATE(998),
    [sym_preproc_call] = STATE(998),
    [sym_preproc_if_in_field_declaration_list] = STATE(998),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(998),
    [sym_type_definition] = STATE(998),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6353),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6930),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(998),
    [sym_field_declaration] = STATE(998),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2185),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(998),
    [sym_operator_cast] = STATE(7392),
    [sym_inline_method_definition] = STATE(998),
    [sym__constructor_specifiers] = STATE(2185),
    [sym_operator_cast_definition] = STATE(998),
    [sym_operator_cast_declaration] = STATE(998),
    [sym_constructor_or_destructor_definition] = STATE(998),
    [sym_constructor_or_destructor_declaration] = STATE(998),
    [sym_friend_declaration] = STATE(998),
    [sym_access_specifier] = STATE(8831),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(998),
    [sym_alias_declaration] = STATE(998),
    [sym_static_assert_declaration] = STATE(998),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7392),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(998),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2185),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3841),
    [aux_sym_preproc_if_token1] = ACTIONS(3843),
    [aux_sym_preproc_if_token2] = ACTIONS(3983),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3847),
    [sym_preproc_directive] = ACTIONS(3849),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3851),
    [anon_sym_typedef] = ACTIONS(3853),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3855),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3857),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3859),
    [anon_sym_static_assert] = ACTIONS(3861),
  },
  [1055] = {
    [ts_builtin_sym_end] = ACTIONS(3485),
    [sym_identifier] = ACTIONS(3483),
    [aux_sym_preproc_include_token1] = ACTIONS(3483),
    [aux_sym_preproc_def_token1] = ACTIONS(3483),
    [aux_sym_preproc_if_token1] = ACTIONS(3483),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3483),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3483),
    [sym_preproc_directive] = ACTIONS(3483),
    [anon_sym_LPAREN2] = ACTIONS(3485),
    [anon_sym_BANG] = ACTIONS(3485),
    [anon_sym_TILDE] = ACTIONS(3485),
    [anon_sym_DASH] = ACTIONS(3483),
    [anon_sym_PLUS] = ACTIONS(3483),
    [anon_sym_STAR] = ACTIONS(3485),
    [anon_sym_AMP_AMP] = ACTIONS(3485),
    [anon_sym_AMP] = ACTIONS(3483),
    [anon_sym___extension__] = ACTIONS(3483),
    [anon_sym_typedef] = ACTIONS(3483),
    [anon_sym_extern] = ACTIONS(3483),
    [anon_sym___attribute__] = ACTIONS(3483),
    [anon_sym_COLON_COLON] = ACTIONS(3485),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3485),
    [anon_sym___declspec] = ACTIONS(3483),
    [anon_sym___based] = ACTIONS(3483),
    [anon_sym___cdecl] = ACTIONS(3483),
    [anon_sym___clrcall] = ACTIONS(3483),
    [anon_sym___stdcall] = ACTIONS(3483),
    [anon_sym___fastcall] = ACTIONS(3483),
    [anon_sym___thiscall] = ACTIONS(3483),
    [anon_sym___vectorcall] = ACTIONS(3483),
    [anon_sym_LBRACE] = ACTIONS(3485),
    [anon_sym_signed] = ACTIONS(3483),
    [anon_sym_unsigned] = ACTIONS(3483),
    [anon_sym_long] = ACTIONS(3483),
    [anon_sym_short] = ACTIONS(3483),
    [anon_sym_LBRACK] = ACTIONS(3483),
    [anon_sym_static] = ACTIONS(3483),
    [anon_sym_register] = ACTIONS(3483),
    [anon_sym_inline] = ACTIONS(3483),
    [anon_sym___inline] = ACTIONS(3483),
    [anon_sym___inline__] = ACTIONS(3483),
    [anon_sym___forceinline] = ACTIONS(3483),
    [anon_sym_thread_local] = ACTIONS(3483),
    [anon_sym___thread] = ACTIONS(3483),
    [anon_sym_const] = ACTIONS(3483),
    [anon_sym_constexpr] = ACTIONS(3483),
    [anon_sym_volatile] = ACTIONS(3483),
    [anon_sym_restrict] = ACTIONS(3483),
    [anon_sym___restrict__] = ACTIONS(3483),
    [anon_sym__Atomic] = ACTIONS(3483),
    [anon_sym__Noreturn] = ACTIONS(3483),
    [anon_sym_noreturn] = ACTIONS(3483),
    [anon_sym_mutable] = ACTIONS(3483),
    [anon_sym_constinit] = ACTIONS(3483),
    [anon_sym_consteval] = ACTIONS(3483),
    [anon_sym_PROGMEM] = ACTIONS(3483),
    [aux_sym_primitive_type_token1] = ACTIONS(3483),
    [anon_sym_byte] = ACTIONS(3483),
    [anon_sym_word] = ACTIONS(3483),
    [anon_sym_enum] = ACTIONS(3483),
    [anon_sym_class] = ACTIONS(3483),
    [anon_sym_struct] = ACTIONS(3483),
    [anon_sym_union] = ACTIONS(3483),
    [anon_sym_if] = ACTIONS(3483),
    [anon_sym_switch] = ACTIONS(3483),
    [anon_sym_case] = ACTIONS(3483),
    [anon_sym_default] = ACTIONS(3483),
    [anon_sym_while] = ACTIONS(3483),
    [anon_sym_do] = ACTIONS(3483),
    [anon_sym_for] = ACTIONS(3483),
    [anon_sym_return] = ACTIONS(3483),
    [anon_sym_break] = ACTIONS(3483),
    [anon_sym_continue] = ACTIONS(3483),
    [anon_sym_goto] = ACTIONS(3483),
    [anon_sym_not] = ACTIONS(3483),
    [anon_sym_compl] = ACTIONS(3483),
    [anon_sym_DASH_DASH] = ACTIONS(3485),
    [anon_sym_PLUS_PLUS] = ACTIONS(3485),
    [anon_sym_sizeof] = ACTIONS(3483),
    [anon_sym___alignof__] = ACTIONS(3483),
    [anon_sym___alignof] = ACTIONS(3483),
    [anon_sym__alignof] = ACTIONS(3483),
    [anon_sym_alignof] = ACTIONS(3483),
    [anon_sym__Alignof] = ACTIONS(3483),
    [anon_sym_offsetof] = ACTIONS(3483),
    [anon_sym__Generic] = ACTIONS(3483),
    [anon_sym_asm] = ACTIONS(3483),
    [anon_sym___asm__] = ACTIONS(3483),
    [aux_sym_number_literal_token1] = ACTIONS(3485),
    [aux_sym_number_literal_token2] = ACTIONS(3483),
    [anon_sym_L_SQUOTE] = ACTIONS(3485),
    [anon_sym_u_SQUOTE] = ACTIONS(3485),
    [anon_sym_U_SQUOTE] = ACTIONS(3485),
    [anon_sym_u8_SQUOTE] = ACTIONS(3485),
    [anon_sym_SQUOTE] = ACTIONS(3485),
    [anon_sym_L_DQUOTE] = ACTIONS(3485),
    [anon_sym_u_DQUOTE] = ACTIONS(3485),
    [anon_sym_U_DQUOTE] = ACTIONS(3485),
    [anon_sym_u8_DQUOTE] = ACTIONS(3485),
    [anon_sym_DQUOTE] = ACTIONS(3485),
    [sym_true] = ACTIONS(3483),
    [sym_false] = ACTIONS(3483),
    [anon_sym_NULL] = ACTIONS(3483),
    [anon_sym_nullptr] = ACTIONS(3483),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3483),
    [anon_sym_decltype] = ACTIONS(3483),
    [anon_sym_virtual] = ACTIONS(3483),
    [anon_sym_alignas] = ACTIONS(3483),
    [anon_sym_explicit] = ACTIONS(3483),
    [anon_sym_typename] = ACTIONS(3483),
    [anon_sym_template] = ACTIONS(3483),
    [anon_sym_operator] = ACTIONS(3483),
    [anon_sym_try] = ACTIONS(3483),
    [anon_sym_delete] = ACTIONS(3483),
    [anon_sym_throw] = ACTIONS(3483),
    [anon_sym_namespace] = ACTIONS(3483),
    [anon_sym_using] = ACTIONS(3483),
    [anon_sym_static_assert] = ACTIONS(3483),
    [anon_sym_concept] = ACTIONS(3483),
    [anon_sym_co_return] = ACTIONS(3483),
    [anon_sym_co_yield] = ACTIONS(3483),
    [anon_sym_R_DQUOTE] = ACTIONS(3485),
    [anon_sym_LR_DQUOTE] = ACTIONS(3485),
    [anon_sym_uR_DQUOTE] = ACTIONS(3485),
    [anon_sym_UR_DQUOTE] = ACTIONS(3485),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3485),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3483),
    [anon_sym_requires] = ACTIONS(3483),
    [sym_this] = ACTIONS(3483),
  },
  [1056] = {
    [ts_builtin_sym_end] = ACTIONS(3190),
    [sym_identifier] = ACTIONS(3188),
    [aux_sym_preproc_include_token1] = ACTIONS(3188),
    [aux_sym_preproc_def_token1] = ACTIONS(3188),
    [aux_sym_preproc_if_token1] = ACTIONS(3188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3188),
    [anon_sym_LPAREN2] = ACTIONS(3190),
    [anon_sym_BANG] = ACTIONS(3190),
    [anon_sym_TILDE] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_STAR] = ACTIONS(3190),
    [anon_sym_AMP_AMP] = ACTIONS(3190),
    [anon_sym_AMP] = ACTIONS(3188),
    [anon_sym___extension__] = ACTIONS(3188),
    [anon_sym_typedef] = ACTIONS(3188),
    [anon_sym_extern] = ACTIONS(3188),
    [anon_sym___attribute__] = ACTIONS(3188),
    [anon_sym_COLON_COLON] = ACTIONS(3190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3190),
    [anon_sym___declspec] = ACTIONS(3188),
    [anon_sym___based] = ACTIONS(3188),
    [anon_sym___cdecl] = ACTIONS(3188),
    [anon_sym___clrcall] = ACTIONS(3188),
    [anon_sym___stdcall] = ACTIONS(3188),
    [anon_sym___fastcall] = ACTIONS(3188),
    [anon_sym___thiscall] = ACTIONS(3188),
    [anon_sym___vectorcall] = ACTIONS(3188),
    [anon_sym_LBRACE] = ACTIONS(3190),
    [anon_sym_signed] = ACTIONS(3188),
    [anon_sym_unsigned] = ACTIONS(3188),
    [anon_sym_long] = ACTIONS(3188),
    [anon_sym_short] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_register] = ACTIONS(3188),
    [anon_sym_inline] = ACTIONS(3188),
    [anon_sym___inline] = ACTIONS(3188),
    [anon_sym___inline__] = ACTIONS(3188),
    [anon_sym___forceinline] = ACTIONS(3188),
    [anon_sym_thread_local] = ACTIONS(3188),
    [anon_sym___thread] = ACTIONS(3188),
    [anon_sym_const] = ACTIONS(3188),
    [anon_sym_constexpr] = ACTIONS(3188),
    [anon_sym_volatile] = ACTIONS(3188),
    [anon_sym_restrict] = ACTIONS(3188),
    [anon_sym___restrict__] = ACTIONS(3188),
    [anon_sym__Atomic] = ACTIONS(3188),
    [anon_sym__Noreturn] = ACTIONS(3188),
    [anon_sym_noreturn] = ACTIONS(3188),
    [anon_sym_mutable] = ACTIONS(3188),
    [anon_sym_constinit] = ACTIONS(3188),
    [anon_sym_consteval] = ACTIONS(3188),
    [anon_sym_PROGMEM] = ACTIONS(3188),
    [aux_sym_primitive_type_token1] = ACTIONS(3188),
    [anon_sym_byte] = ACTIONS(3188),
    [anon_sym_word] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_struct] = ACTIONS(3188),
    [anon_sym_union] = ACTIONS(3188),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_switch] = ACTIONS(3188),
    [anon_sym_case] = ACTIONS(3188),
    [anon_sym_default] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3188),
    [anon_sym_do] = ACTIONS(3188),
    [anon_sym_for] = ACTIONS(3188),
    [anon_sym_return] = ACTIONS(3188),
    [anon_sym_break] = ACTIONS(3188),
    [anon_sym_continue] = ACTIONS(3188),
    [anon_sym_goto] = ACTIONS(3188),
    [anon_sym_not] = ACTIONS(3188),
    [anon_sym_compl] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_sizeof] = ACTIONS(3188),
    [anon_sym___alignof__] = ACTIONS(3188),
    [anon_sym___alignof] = ACTIONS(3188),
    [anon_sym__alignof] = ACTIONS(3188),
    [anon_sym_alignof] = ACTIONS(3188),
    [anon_sym__Alignof] = ACTIONS(3188),
    [anon_sym_offsetof] = ACTIONS(3188),
    [anon_sym__Generic] = ACTIONS(3188),
    [anon_sym_asm] = ACTIONS(3188),
    [anon_sym___asm__] = ACTIONS(3188),
    [aux_sym_number_literal_token1] = ACTIONS(3190),
    [aux_sym_number_literal_token2] = ACTIONS(3188),
    [anon_sym_L_SQUOTE] = ACTIONS(3190),
    [anon_sym_u_SQUOTE] = ACTIONS(3190),
    [anon_sym_U_SQUOTE] = ACTIONS(3190),
    [anon_sym_u8_SQUOTE] = ACTIONS(3190),
    [anon_sym_SQUOTE] = ACTIONS(3190),
    [anon_sym_L_DQUOTE] = ACTIONS(3190),
    [anon_sym_u_DQUOTE] = ACTIONS(3190),
    [anon_sym_U_DQUOTE] = ACTIONS(3190),
    [anon_sym_u8_DQUOTE] = ACTIONS(3190),
    [anon_sym_DQUOTE] = ACTIONS(3190),
    [sym_true] = ACTIONS(3188),
    [sym_false] = ACTIONS(3188),
    [anon_sym_NULL] = ACTIONS(3188),
    [anon_sym_nullptr] = ACTIONS(3188),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3188),
    [anon_sym_decltype] = ACTIONS(3188),
    [anon_sym_virtual] = ACTIONS(3188),
    [anon_sym_alignas] = ACTIONS(3188),
    [anon_sym_explicit] = ACTIONS(3188),
    [anon_sym_typename] = ACTIONS(3188),
    [anon_sym_template] = ACTIONS(3188),
    [anon_sym_operator] = ACTIONS(3188),
    [anon_sym_try] = ACTIONS(3188),
    [anon_sym_delete] = ACTIONS(3188),
    [anon_sym_throw] = ACTIONS(3188),
    [anon_sym_namespace] = ACTIONS(3188),
    [anon_sym_using] = ACTIONS(3188),
    [anon_sym_static_assert] = ACTIONS(3188),
    [anon_sym_concept] = ACTIONS(3188),
    [anon_sym_co_return] = ACTIONS(3188),
    [anon_sym_co_yield] = ACTIONS(3188),
    [anon_sym_R_DQUOTE] = ACTIONS(3190),
    [anon_sym_LR_DQUOTE] = ACTIONS(3190),
    [anon_sym_uR_DQUOTE] = ACTIONS(3190),
    [anon_sym_UR_DQUOTE] = ACTIONS(3190),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3190),
    [anon_sym_co_await] = ACTIONS(3188),
    [anon_sym_new] = ACTIONS(3188),
    [anon_sym_requires] = ACTIONS(3188),
    [sym_this] = ACTIONS(3188),
  },
  [1057] = {
    [ts_builtin_sym_end] = ACTIONS(3399),
    [sym_identifier] = ACTIONS(3397),
    [aux_sym_preproc_include_token1] = ACTIONS(3397),
    [aux_sym_preproc_def_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3397),
    [sym_preproc_directive] = ACTIONS(3397),
    [anon_sym_LPAREN2] = ACTIONS(3399),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_AMP_AMP] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3397),
    [anon_sym___extension__] = ACTIONS(3397),
    [anon_sym_typedef] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym___attribute__] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(3399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym___declspec] = ACTIONS(3397),
    [anon_sym___based] = ACTIONS(3397),
    [anon_sym___cdecl] = ACTIONS(3397),
    [anon_sym___clrcall] = ACTIONS(3397),
    [anon_sym___stdcall] = ACTIONS(3397),
    [anon_sym___fastcall] = ACTIONS(3397),
    [anon_sym___thiscall] = ACTIONS(3397),
    [anon_sym___vectorcall] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_signed] = ACTIONS(3397),
    [anon_sym_unsigned] = ACTIONS(3397),
    [anon_sym_long] = ACTIONS(3397),
    [anon_sym_short] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_register] = ACTIONS(3397),
    [anon_sym_inline] = ACTIONS(3397),
    [anon_sym___inline] = ACTIONS(3397),
    [anon_sym___inline__] = ACTIONS(3397),
    [anon_sym___forceinline] = ACTIONS(3397),
    [anon_sym_thread_local] = ACTIONS(3397),
    [anon_sym___thread] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_constexpr] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_restrict] = ACTIONS(3397),
    [anon_sym___restrict__] = ACTIONS(3397),
    [anon_sym__Atomic] = ACTIONS(3397),
    [anon_sym__Noreturn] = ACTIONS(3397),
    [anon_sym_noreturn] = ACTIONS(3397),
    [anon_sym_mutable] = ACTIONS(3397),
    [anon_sym_constinit] = ACTIONS(3397),
    [anon_sym_consteval] = ACTIONS(3397),
    [anon_sym_PROGMEM] = ACTIONS(3397),
    [aux_sym_primitive_type_token1] = ACTIONS(3397),
    [anon_sym_byte] = ACTIONS(3397),
    [anon_sym_word] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_union] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_goto] = ACTIONS(3397),
    [anon_sym_not] = ACTIONS(3397),
    [anon_sym_compl] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_sizeof] = ACTIONS(3397),
    [anon_sym___alignof__] = ACTIONS(3397),
    [anon_sym___alignof] = ACTIONS(3397),
    [anon_sym__alignof] = ACTIONS(3397),
    [anon_sym_alignof] = ACTIONS(3397),
    [anon_sym__Alignof] = ACTIONS(3397),
    [anon_sym_offsetof] = ACTIONS(3397),
    [anon_sym__Generic] = ACTIONS(3397),
    [anon_sym_asm] = ACTIONS(3397),
    [anon_sym___asm__] = ACTIONS(3397),
    [aux_sym_number_literal_token1] = ACTIONS(3399),
    [aux_sym_number_literal_token2] = ACTIONS(3397),
    [anon_sym_L_SQUOTE] = ACTIONS(3399),
    [anon_sym_u_SQUOTE] = ACTIONS(3399),
    [anon_sym_U_SQUOTE] = ACTIONS(3399),
    [anon_sym_u8_SQUOTE] = ACTIONS(3399),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [anon_sym_L_DQUOTE] = ACTIONS(3399),
    [anon_sym_u_DQUOTE] = ACTIONS(3399),
    [anon_sym_U_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8_DQUOTE] = ACTIONS(3399),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [anon_sym_NULL] = ACTIONS(3397),
    [anon_sym_nullptr] = ACTIONS(3397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3397),
    [anon_sym_decltype] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_alignas] = ACTIONS(3397),
    [anon_sym_explicit] = ACTIONS(3397),
    [anon_sym_typename] = ACTIONS(3397),
    [anon_sym_template] = ACTIONS(3397),
    [anon_sym_operator] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_static_assert] = ACTIONS(3397),
    [anon_sym_concept] = ACTIONS(3397),
    [anon_sym_co_return] = ACTIONS(3397),
    [anon_sym_co_yield] = ACTIONS(3397),
    [anon_sym_R_DQUOTE] = ACTIONS(3399),
    [anon_sym_LR_DQUOTE] = ACTIONS(3399),
    [anon_sym_uR_DQUOTE] = ACTIONS(3399),
    [anon_sym_UR_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3399),
    [anon_sym_co_await] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_requires] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
  },
  [1058] = {
    [sym_preproc_def] = STATE(1053),
    [sym_preproc_function_def] = STATE(1053),
    [sym_preproc_call] = STATE(1053),
    [sym_preproc_if_in_field_declaration_list] = STATE(1053),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1053),
    [sym_type_definition] = STATE(1053),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6396),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1053),
    [sym_field_declaration] = STATE(1053),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1053),
    [sym_operator_cast] = STATE(7382),
    [sym_inline_method_definition] = STATE(1053),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(1053),
    [sym_operator_cast_declaration] = STATE(1053),
    [sym_constructor_or_destructor_definition] = STATE(1053),
    [sym_constructor_or_destructor_declaration] = STATE(1053),
    [sym_friend_declaration] = STATE(1053),
    [sym_access_specifier] = STATE(9207),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1053),
    [sym_alias_declaration] = STATE(1053),
    [sym_static_assert_declaration] = STATE(1053),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1053),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3819),
    [sym_preproc_directive] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_typedef] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3985),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3829),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3831),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_static_assert] = ACTIONS(3835),
  },
  [1059] = {
    [ts_builtin_sym_end] = ACTIONS(3493),
    [sym_identifier] = ACTIONS(3491),
    [aux_sym_preproc_include_token1] = ACTIONS(3491),
    [aux_sym_preproc_def_token1] = ACTIONS(3491),
    [aux_sym_preproc_if_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3491),
    [anon_sym_LPAREN2] = ACTIONS(3493),
    [anon_sym_BANG] = ACTIONS(3493),
    [anon_sym_TILDE] = ACTIONS(3493),
    [anon_sym_DASH] = ACTIONS(3491),
    [anon_sym_PLUS] = ACTIONS(3491),
    [anon_sym_STAR] = ACTIONS(3493),
    [anon_sym_AMP_AMP] = ACTIONS(3493),
    [anon_sym_AMP] = ACTIONS(3491),
    [anon_sym___extension__] = ACTIONS(3491),
    [anon_sym_typedef] = ACTIONS(3491),
    [anon_sym_extern] = ACTIONS(3491),
    [anon_sym___attribute__] = ACTIONS(3491),
    [anon_sym_COLON_COLON] = ACTIONS(3493),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3493),
    [anon_sym___declspec] = ACTIONS(3491),
    [anon_sym___based] = ACTIONS(3491),
    [anon_sym___cdecl] = ACTIONS(3491),
    [anon_sym___clrcall] = ACTIONS(3491),
    [anon_sym___stdcall] = ACTIONS(3491),
    [anon_sym___fastcall] = ACTIONS(3491),
    [anon_sym___thiscall] = ACTIONS(3491),
    [anon_sym___vectorcall] = ACTIONS(3491),
    [anon_sym_LBRACE] = ACTIONS(3493),
    [anon_sym_signed] = ACTIONS(3491),
    [anon_sym_unsigned] = ACTIONS(3491),
    [anon_sym_long] = ACTIONS(3491),
    [anon_sym_short] = ACTIONS(3491),
    [anon_sym_LBRACK] = ACTIONS(3491),
    [anon_sym_static] = ACTIONS(3491),
    [anon_sym_register] = ACTIONS(3491),
    [anon_sym_inline] = ACTIONS(3491),
    [anon_sym___inline] = ACTIONS(3491),
    [anon_sym___inline__] = ACTIONS(3491),
    [anon_sym___forceinline] = ACTIONS(3491),
    [anon_sym_thread_local] = ACTIONS(3491),
    [anon_sym___thread] = ACTIONS(3491),
    [anon_sym_const] = ACTIONS(3491),
    [anon_sym_constexpr] = ACTIONS(3491),
    [anon_sym_volatile] = ACTIONS(3491),
    [anon_sym_restrict] = ACTIONS(3491),
    [anon_sym___restrict__] = ACTIONS(3491),
    [anon_sym__Atomic] = ACTIONS(3491),
    [anon_sym__Noreturn] = ACTIONS(3491),
    [anon_sym_noreturn] = ACTIONS(3491),
    [anon_sym_mutable] = ACTIONS(3491),
    [anon_sym_constinit] = ACTIONS(3491),
    [anon_sym_consteval] = ACTIONS(3491),
    [anon_sym_PROGMEM] = ACTIONS(3491),
    [aux_sym_primitive_type_token1] = ACTIONS(3491),
    [anon_sym_byte] = ACTIONS(3491),
    [anon_sym_word] = ACTIONS(3491),
    [anon_sym_enum] = ACTIONS(3491),
    [anon_sym_class] = ACTIONS(3491),
    [anon_sym_struct] = ACTIONS(3491),
    [anon_sym_union] = ACTIONS(3491),
    [anon_sym_if] = ACTIONS(3491),
    [anon_sym_switch] = ACTIONS(3491),
    [anon_sym_case] = ACTIONS(3491),
    [anon_sym_default] = ACTIONS(3491),
    [anon_sym_while] = ACTIONS(3491),
    [anon_sym_do] = ACTIONS(3491),
    [anon_sym_for] = ACTIONS(3491),
    [anon_sym_return] = ACTIONS(3491),
    [anon_sym_break] = ACTIONS(3491),
    [anon_sym_continue] = ACTIONS(3491),
    [anon_sym_goto] = ACTIONS(3491),
    [anon_sym_not] = ACTIONS(3491),
    [anon_sym_compl] = ACTIONS(3491),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_sizeof] = ACTIONS(3491),
    [anon_sym___alignof__] = ACTIONS(3491),
    [anon_sym___alignof] = ACTIONS(3491),
    [anon_sym__alignof] = ACTIONS(3491),
    [anon_sym_alignof] = ACTIONS(3491),
    [anon_sym__Alignof] = ACTIONS(3491),
    [anon_sym_offsetof] = ACTIONS(3491),
    [anon_sym__Generic] = ACTIONS(3491),
    [anon_sym_asm] = ACTIONS(3491),
    [anon_sym___asm__] = ACTIONS(3491),
    [aux_sym_number_literal_token1] = ACTIONS(3493),
    [aux_sym_number_literal_token2] = ACTIONS(3491),
    [anon_sym_L_SQUOTE] = ACTIONS(3493),
    [anon_sym_u_SQUOTE] = ACTIONS(3493),
    [anon_sym_U_SQUOTE] = ACTIONS(3493),
    [anon_sym_u8_SQUOTE] = ACTIONS(3493),
    [anon_sym_SQUOTE] = ACTIONS(3493),
    [anon_sym_L_DQUOTE] = ACTIONS(3493),
    [anon_sym_u_DQUOTE] = ACTIONS(3493),
    [anon_sym_U_DQUOTE] = ACTIONS(3493),
    [anon_sym_u8_DQUOTE] = ACTIONS(3493),
    [anon_sym_DQUOTE] = ACTIONS(3493),
    [sym_true] = ACTIONS(3491),
    [sym_false] = ACTIONS(3491),
    [anon_sym_NULL] = ACTIONS(3491),
    [anon_sym_nullptr] = ACTIONS(3491),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3491),
    [anon_sym_decltype] = ACTIONS(3491),
    [anon_sym_virtual] = ACTIONS(3491),
    [anon_sym_alignas] = ACTIONS(3491),
    [anon_sym_explicit] = ACTIONS(3491),
    [anon_sym_typename] = ACTIONS(3491),
    [anon_sym_template] = ACTIONS(3491),
    [anon_sym_operator] = ACTIONS(3491),
    [anon_sym_try] = ACTIONS(3491),
    [anon_sym_delete] = ACTIONS(3491),
    [anon_sym_throw] = ACTIONS(3491),
    [anon_sym_namespace] = ACTIONS(3491),
    [anon_sym_using] = ACTIONS(3491),
    [anon_sym_static_assert] = ACTIONS(3491),
    [anon_sym_concept] = ACTIONS(3491),
    [anon_sym_co_return] = ACTIONS(3491),
    [anon_sym_co_yield] = ACTIONS(3491),
    [anon_sym_R_DQUOTE] = ACTIONS(3493),
    [anon_sym_LR_DQUOTE] = ACTIONS(3493),
    [anon_sym_uR_DQUOTE] = ACTIONS(3493),
    [anon_sym_UR_DQUOTE] = ACTIONS(3493),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3493),
    [anon_sym_co_await] = ACTIONS(3491),
    [anon_sym_new] = ACTIONS(3491),
    [anon_sym_requires] = ACTIONS(3491),
    [sym_this] = ACTIONS(3491),
  },
  [1060] = {
    [ts_builtin_sym_end] = ACTIONS(3501),
    [sym_identifier] = ACTIONS(3499),
    [aux_sym_preproc_include_token1] = ACTIONS(3499),
    [aux_sym_preproc_def_token1] = ACTIONS(3499),
    [aux_sym_preproc_if_token1] = ACTIONS(3499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3499),
    [sym_preproc_directive] = ACTIONS(3499),
    [anon_sym_LPAREN2] = ACTIONS(3501),
    [anon_sym_BANG] = ACTIONS(3501),
    [anon_sym_TILDE] = ACTIONS(3501),
    [anon_sym_DASH] = ACTIONS(3499),
    [anon_sym_PLUS] = ACTIONS(3499),
    [anon_sym_STAR] = ACTIONS(3501),
    [anon_sym_AMP_AMP] = ACTIONS(3501),
    [anon_sym_AMP] = ACTIONS(3499),
    [anon_sym___extension__] = ACTIONS(3499),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_extern] = ACTIONS(3499),
    [anon_sym___attribute__] = ACTIONS(3499),
    [anon_sym_COLON_COLON] = ACTIONS(3501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3501),
    [anon_sym___declspec] = ACTIONS(3499),
    [anon_sym___based] = ACTIONS(3499),
    [anon_sym___cdecl] = ACTIONS(3499),
    [anon_sym___clrcall] = ACTIONS(3499),
    [anon_sym___stdcall] = ACTIONS(3499),
    [anon_sym___fastcall] = ACTIONS(3499),
    [anon_sym___thiscall] = ACTIONS(3499),
    [anon_sym___vectorcall] = ACTIONS(3499),
    [anon_sym_LBRACE] = ACTIONS(3501),
    [anon_sym_signed] = ACTIONS(3499),
    [anon_sym_unsigned] = ACTIONS(3499),
    [anon_sym_long] = ACTIONS(3499),
    [anon_sym_short] = ACTIONS(3499),
    [anon_sym_LBRACK] = ACTIONS(3499),
    [anon_sym_static] = ACTIONS(3499),
    [anon_sym_register] = ACTIONS(3499),
    [anon_sym_inline] = ACTIONS(3499),
    [anon_sym___inline] = ACTIONS(3499),
    [anon_sym___inline__] = ACTIONS(3499),
    [anon_sym___forceinline] = ACTIONS(3499),
    [anon_sym_thread_local] = ACTIONS(3499),
    [anon_sym___thread] = ACTIONS(3499),
    [anon_sym_const] = ACTIONS(3499),
    [anon_sym_constexpr] = ACTIONS(3499),
    [anon_sym_volatile] = ACTIONS(3499),
    [anon_sym_restrict] = ACTIONS(3499),
    [anon_sym___restrict__] = ACTIONS(3499),
    [anon_sym__Atomic] = ACTIONS(3499),
    [anon_sym__Noreturn] = ACTIONS(3499),
    [anon_sym_noreturn] = ACTIONS(3499),
    [anon_sym_mutable] = ACTIONS(3499),
    [anon_sym_constinit] = ACTIONS(3499),
    [anon_sym_consteval] = ACTIONS(3499),
    [anon_sym_PROGMEM] = ACTIONS(3499),
    [aux_sym_primitive_type_token1] = ACTIONS(3499),
    [anon_sym_byte] = ACTIONS(3499),
    [anon_sym_word] = ACTIONS(3499),
    [anon_sym_enum] = ACTIONS(3499),
    [anon_sym_class] = ACTIONS(3499),
    [anon_sym_struct] = ACTIONS(3499),
    [anon_sym_union] = ACTIONS(3499),
    [anon_sym_if] = ACTIONS(3499),
    [anon_sym_switch] = ACTIONS(3499),
    [anon_sym_case] = ACTIONS(3499),
    [anon_sym_default] = ACTIONS(3499),
    [anon_sym_while] = ACTIONS(3499),
    [anon_sym_do] = ACTIONS(3499),
    [anon_sym_for] = ACTIONS(3499),
    [anon_sym_return] = ACTIONS(3499),
    [anon_sym_break] = ACTIONS(3499),
    [anon_sym_continue] = ACTIONS(3499),
    [anon_sym_goto] = ACTIONS(3499),
    [anon_sym_not] = ACTIONS(3499),
    [anon_sym_compl] = ACTIONS(3499),
    [anon_sym_DASH_DASH] = ACTIONS(3501),
    [anon_sym_PLUS_PLUS] = ACTIONS(3501),
    [anon_sym_sizeof] = ACTIONS(3499),
    [anon_sym___alignof__] = ACTIONS(3499),
    [anon_sym___alignof] = ACTIONS(3499),
    [anon_sym__alignof] = ACTIONS(3499),
    [anon_sym_alignof] = ACTIONS(3499),
    [anon_sym__Alignof] = ACTIONS(3499),
    [anon_sym_offsetof] = ACTIONS(3499),
    [anon_sym__Generic] = ACTIONS(3499),
    [anon_sym_asm] = ACTIONS(3499),
    [anon_sym___asm__] = ACTIONS(3499),
    [aux_sym_number_literal_token1] = ACTIONS(3501),
    [aux_sym_number_literal_token2] = ACTIONS(3499),
    [anon_sym_L_SQUOTE] = ACTIONS(3501),
    [anon_sym_u_SQUOTE] = ACTIONS(3501),
    [anon_sym_U_SQUOTE] = ACTIONS(3501),
    [anon_sym_u8_SQUOTE] = ACTIONS(3501),
    [anon_sym_SQUOTE] = ACTIONS(3501),
    [anon_sym_L_DQUOTE] = ACTIONS(3501),
    [anon_sym_u_DQUOTE] = ACTIONS(3501),
    [anon_sym_U_DQUOTE] = ACTIONS(3501),
    [anon_sym_u8_DQUOTE] = ACTIONS(3501),
    [anon_sym_DQUOTE] = ACTIONS(3501),
    [sym_true] = ACTIONS(3499),
    [sym_false] = ACTIONS(3499),
    [anon_sym_NULL] = ACTIONS(3499),
    [anon_sym_nullptr] = ACTIONS(3499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3499),
    [anon_sym_decltype] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(3499),
    [anon_sym_alignas] = ACTIONS(3499),
    [anon_sym_explicit] = ACTIONS(3499),
    [anon_sym_typename] = ACTIONS(3499),
    [anon_sym_template] = ACTIONS(3499),
    [anon_sym_operator] = ACTIONS(3499),
    [anon_sym_try] = ACTIONS(3499),
    [anon_sym_delete] = ACTIONS(3499),
    [anon_sym_throw] = ACTIONS(3499),
    [anon_sym_namespace] = ACTIONS(3499),
    [anon_sym_using] = ACTIONS(3499),
    [anon_sym_static_assert] = ACTIONS(3499),
    [anon_sym_concept] = ACTIONS(3499),
    [anon_sym_co_return] = ACTIONS(3499),
    [anon_sym_co_yield] = ACTIONS(3499),
    [anon_sym_R_DQUOTE] = ACTIONS(3501),
    [anon_sym_LR_DQUOTE] = ACTIONS(3501),
    [anon_sym_uR_DQUOTE] = ACTIONS(3501),
    [anon_sym_UR_DQUOTE] = ACTIONS(3501),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3501),
    [anon_sym_co_await] = ACTIONS(3499),
    [anon_sym_new] = ACTIONS(3499),
    [anon_sym_requires] = ACTIONS(3499),
    [sym_this] = ACTIONS(3499),
  },
  [1061] = {
    [ts_builtin_sym_end] = ACTIONS(3411),
    [sym_identifier] = ACTIONS(3409),
    [aux_sym_preproc_include_token1] = ACTIONS(3409),
    [aux_sym_preproc_def_token1] = ACTIONS(3409),
    [aux_sym_preproc_if_token1] = ACTIONS(3409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3409),
    [sym_preproc_directive] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3411),
    [anon_sym_TILDE] = ACTIONS(3411),
    [anon_sym_DASH] = ACTIONS(3409),
    [anon_sym_PLUS] = ACTIONS(3409),
    [anon_sym_STAR] = ACTIONS(3411),
    [anon_sym_AMP_AMP] = ACTIONS(3411),
    [anon_sym_AMP] = ACTIONS(3409),
    [anon_sym___extension__] = ACTIONS(3409),
    [anon_sym_typedef] = ACTIONS(3409),
    [anon_sym_extern] = ACTIONS(3409),
    [anon_sym___attribute__] = ACTIONS(3409),
    [anon_sym_COLON_COLON] = ACTIONS(3411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3411),
    [anon_sym___declspec] = ACTIONS(3409),
    [anon_sym___based] = ACTIONS(3409),
    [anon_sym___cdecl] = ACTIONS(3409),
    [anon_sym___clrcall] = ACTIONS(3409),
    [anon_sym___stdcall] = ACTIONS(3409),
    [anon_sym___fastcall] = ACTIONS(3409),
    [anon_sym___thiscall] = ACTIONS(3409),
    [anon_sym___vectorcall] = ACTIONS(3409),
    [anon_sym_LBRACE] = ACTIONS(3411),
    [anon_sym_signed] = ACTIONS(3409),
    [anon_sym_unsigned] = ACTIONS(3409),
    [anon_sym_long] = ACTIONS(3409),
    [anon_sym_short] = ACTIONS(3409),
    [anon_sym_LBRACK] = ACTIONS(3409),
    [anon_sym_static] = ACTIONS(3409),
    [anon_sym_register] = ACTIONS(3409),
    [anon_sym_inline] = ACTIONS(3409),
    [anon_sym___inline] = ACTIONS(3409),
    [anon_sym___inline__] = ACTIONS(3409),
    [anon_sym___forceinline] = ACTIONS(3409),
    [anon_sym_thread_local] = ACTIONS(3409),
    [anon_sym___thread] = ACTIONS(3409),
    [anon_sym_const] = ACTIONS(3409),
    [anon_sym_constexpr] = ACTIONS(3409),
    [anon_sym_volatile] = ACTIONS(3409),
    [anon_sym_restrict] = ACTIONS(3409),
    [anon_sym___restrict__] = ACTIONS(3409),
    [anon_sym__Atomic] = ACTIONS(3409),
    [anon_sym__Noreturn] = ACTIONS(3409),
    [anon_sym_noreturn] = ACTIONS(3409),
    [anon_sym_mutable] = ACTIONS(3409),
    [anon_sym_constinit] = ACTIONS(3409),
    [anon_sym_consteval] = ACTIONS(3409),
    [anon_sym_PROGMEM] = ACTIONS(3409),
    [aux_sym_primitive_type_token1] = ACTIONS(3409),
    [anon_sym_byte] = ACTIONS(3409),
    [anon_sym_word] = ACTIONS(3409),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3409),
    [anon_sym_struct] = ACTIONS(3409),
    [anon_sym_union] = ACTIONS(3409),
    [anon_sym_if] = ACTIONS(3409),
    [anon_sym_switch] = ACTIONS(3409),
    [anon_sym_case] = ACTIONS(3409),
    [anon_sym_default] = ACTIONS(3409),
    [anon_sym_while] = ACTIONS(3409),
    [anon_sym_do] = ACTIONS(3409),
    [anon_sym_for] = ACTIONS(3409),
    [anon_sym_return] = ACTIONS(3409),
    [anon_sym_break] = ACTIONS(3409),
    [anon_sym_continue] = ACTIONS(3409),
    [anon_sym_goto] = ACTIONS(3409),
    [anon_sym_not] = ACTIONS(3409),
    [anon_sym_compl] = ACTIONS(3409),
    [anon_sym_DASH_DASH] = ACTIONS(3411),
    [anon_sym_PLUS_PLUS] = ACTIONS(3411),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3409),
    [anon_sym___alignof] = ACTIONS(3409),
    [anon_sym__alignof] = ACTIONS(3409),
    [anon_sym_alignof] = ACTIONS(3409),
    [anon_sym__Alignof] = ACTIONS(3409),
    [anon_sym_offsetof] = ACTIONS(3409),
    [anon_sym__Generic] = ACTIONS(3409),
    [anon_sym_asm] = ACTIONS(3409),
    [anon_sym___asm__] = ACTIONS(3409),
    [aux_sym_number_literal_token1] = ACTIONS(3411),
    [aux_sym_number_literal_token2] = ACTIONS(3409),
    [anon_sym_L_SQUOTE] = ACTIONS(3411),
    [anon_sym_u_SQUOTE] = ACTIONS(3411),
    [anon_sym_U_SQUOTE] = ACTIONS(3411),
    [anon_sym_u8_SQUOTE] = ACTIONS(3411),
    [anon_sym_SQUOTE] = ACTIONS(3411),
    [anon_sym_L_DQUOTE] = ACTIONS(3411),
    [anon_sym_u_DQUOTE] = ACTIONS(3411),
    [anon_sym_U_DQUOTE] = ACTIONS(3411),
    [anon_sym_u8_DQUOTE] = ACTIONS(3411),
    [anon_sym_DQUOTE] = ACTIONS(3411),
    [sym_true] = ACTIONS(3409),
    [sym_false] = ACTIONS(3409),
    [anon_sym_NULL] = ACTIONS(3409),
    [anon_sym_nullptr] = ACTIONS(3409),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3409),
    [anon_sym_decltype] = ACTIONS(3409),
    [anon_sym_virtual] = ACTIONS(3409),
    [anon_sym_alignas] = ACTIONS(3409),
    [anon_sym_explicit] = ACTIONS(3409),
    [anon_sym_typename] = ACTIONS(3409),
    [anon_sym_template] = ACTIONS(3409),
    [anon_sym_operator] = ACTIONS(3409),
    [anon_sym_try] = ACTIONS(3409),
    [anon_sym_delete] = ACTIONS(3409),
    [anon_sym_throw] = ACTIONS(3409),
    [anon_sym_namespace] = ACTIONS(3409),
    [anon_sym_using] = ACTIONS(3409),
    [anon_sym_static_assert] = ACTIONS(3409),
    [anon_sym_concept] = ACTIONS(3409),
    [anon_sym_co_return] = ACTIONS(3409),
    [anon_sym_co_yield] = ACTIONS(3409),
    [anon_sym_R_DQUOTE] = ACTIONS(3411),
    [anon_sym_LR_DQUOTE] = ACTIONS(3411),
    [anon_sym_uR_DQUOTE] = ACTIONS(3411),
    [anon_sym_UR_DQUOTE] = ACTIONS(3411),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3411),
    [anon_sym_co_await] = ACTIONS(3409),
    [anon_sym_new] = ACTIONS(3409),
    [anon_sym_requires] = ACTIONS(3409),
    [sym_this] = ACTIONS(3409),
  },
  [1062] = {
    [ts_builtin_sym_end] = ACTIONS(3210),
    [sym_identifier] = ACTIONS(3208),
    [aux_sym_preproc_include_token1] = ACTIONS(3208),
    [aux_sym_preproc_def_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3208),
    [sym_preproc_directive] = ACTIONS(3208),
    [anon_sym_LPAREN2] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3210),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym___extension__] = ACTIONS(3208),
    [anon_sym_typedef] = ACTIONS(3208),
    [anon_sym_extern] = ACTIONS(3208),
    [anon_sym___attribute__] = ACTIONS(3208),
    [anon_sym_COLON_COLON] = ACTIONS(3210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3210),
    [anon_sym___declspec] = ACTIONS(3208),
    [anon_sym___based] = ACTIONS(3208),
    [anon_sym___cdecl] = ACTIONS(3208),
    [anon_sym___clrcall] = ACTIONS(3208),
    [anon_sym___stdcall] = ACTIONS(3208),
    [anon_sym___fastcall] = ACTIONS(3208),
    [anon_sym___thiscall] = ACTIONS(3208),
    [anon_sym___vectorcall] = ACTIONS(3208),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_signed] = ACTIONS(3208),
    [anon_sym_unsigned] = ACTIONS(3208),
    [anon_sym_long] = ACTIONS(3208),
    [anon_sym_short] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_register] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(3208),
    [anon_sym___inline] = ACTIONS(3208),
    [anon_sym___inline__] = ACTIONS(3208),
    [anon_sym___forceinline] = ACTIONS(3208),
    [anon_sym_thread_local] = ACTIONS(3208),
    [anon_sym___thread] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_constexpr] = ACTIONS(3208),
    [anon_sym_volatile] = ACTIONS(3208),
    [anon_sym_restrict] = ACTIONS(3208),
    [anon_sym___restrict__] = ACTIONS(3208),
    [anon_sym__Atomic] = ACTIONS(3208),
    [anon_sym__Noreturn] = ACTIONS(3208),
    [anon_sym_noreturn] = ACTIONS(3208),
    [anon_sym_mutable] = ACTIONS(3208),
    [anon_sym_constinit] = ACTIONS(3208),
    [anon_sym_consteval] = ACTIONS(3208),
    [anon_sym_PROGMEM] = ACTIONS(3208),
    [aux_sym_primitive_type_token1] = ACTIONS(3208),
    [anon_sym_byte] = ACTIONS(3208),
    [anon_sym_word] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_struct] = ACTIONS(3208),
    [anon_sym_union] = ACTIONS(3208),
    [anon_sym_if] = ACTIONS(3208),
    [anon_sym_switch] = ACTIONS(3208),
    [anon_sym_case] = ACTIONS(3208),
    [anon_sym_default] = ACTIONS(3208),
    [anon_sym_while] = ACTIONS(3208),
    [anon_sym_do] = ACTIONS(3208),
    [anon_sym_for] = ACTIONS(3208),
    [anon_sym_return] = ACTIONS(3208),
    [anon_sym_break] = ACTIONS(3208),
    [anon_sym_continue] = ACTIONS(3208),
    [anon_sym_goto] = ACTIONS(3208),
    [anon_sym_not] = ACTIONS(3208),
    [anon_sym_compl] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_sizeof] = ACTIONS(3208),
    [anon_sym___alignof__] = ACTIONS(3208),
    [anon_sym___alignof] = ACTIONS(3208),
    [anon_sym__alignof] = ACTIONS(3208),
    [anon_sym_alignof] = ACTIONS(3208),
    [anon_sym__Alignof] = ACTIONS(3208),
    [anon_sym_offsetof] = ACTIONS(3208),
    [anon_sym__Generic] = ACTIONS(3208),
    [anon_sym_asm] = ACTIONS(3208),
    [anon_sym___asm__] = ACTIONS(3208),
    [aux_sym_number_literal_token1] = ACTIONS(3210),
    [aux_sym_number_literal_token2] = ACTIONS(3208),
    [anon_sym_L_SQUOTE] = ACTIONS(3210),
    [anon_sym_u_SQUOTE] = ACTIONS(3210),
    [anon_sym_U_SQUOTE] = ACTIONS(3210),
    [anon_sym_u8_SQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [anon_sym_L_DQUOTE] = ACTIONS(3210),
    [anon_sym_u_DQUOTE] = ACTIONS(3210),
    [anon_sym_U_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8_DQUOTE] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [sym_true] = ACTIONS(3208),
    [sym_false] = ACTIONS(3208),
    [anon_sym_NULL] = ACTIONS(3208),
    [anon_sym_nullptr] = ACTIONS(3208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3208),
    [anon_sym_decltype] = ACTIONS(3208),
    [anon_sym_virtual] = ACTIONS(3208),
    [anon_sym_alignas] = ACTIONS(3208),
    [anon_sym_explicit] = ACTIONS(3208),
    [anon_sym_typename] = ACTIONS(3208),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(3208),
    [anon_sym_try] = ACTIONS(3208),
    [anon_sym_delete] = ACTIONS(3208),
    [anon_sym_throw] = ACTIONS(3208),
    [anon_sym_namespace] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_static_assert] = ACTIONS(3208),
    [anon_sym_concept] = ACTIONS(3208),
    [anon_sym_co_return] = ACTIONS(3208),
    [anon_sym_co_yield] = ACTIONS(3208),
    [anon_sym_R_DQUOTE] = ACTIONS(3210),
    [anon_sym_LR_DQUOTE] = ACTIONS(3210),
    [anon_sym_uR_DQUOTE] = ACTIONS(3210),
    [anon_sym_UR_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3210),
    [anon_sym_co_await] = ACTIONS(3208),
    [anon_sym_new] = ACTIONS(3208),
    [anon_sym_requires] = ACTIONS(3208),
    [sym_this] = ACTIONS(3208),
  },
  [1063] = {
    [ts_builtin_sym_end] = ACTIONS(3415),
    [sym_identifier] = ACTIONS(3413),
    [aux_sym_preproc_include_token1] = ACTIONS(3413),
    [aux_sym_preproc_def_token1] = ACTIONS(3413),
    [aux_sym_preproc_if_token1] = ACTIONS(3413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3413),
    [sym_preproc_directive] = ACTIONS(3413),
    [anon_sym_LPAREN2] = ACTIONS(3415),
    [anon_sym_BANG] = ACTIONS(3415),
    [anon_sym_TILDE] = ACTIONS(3415),
    [anon_sym_DASH] = ACTIONS(3413),
    [anon_sym_PLUS] = ACTIONS(3413),
    [anon_sym_STAR] = ACTIONS(3415),
    [anon_sym_AMP_AMP] = ACTIONS(3415),
    [anon_sym_AMP] = ACTIONS(3413),
    [anon_sym___extension__] = ACTIONS(3413),
    [anon_sym_typedef] = ACTIONS(3413),
    [anon_sym_extern] = ACTIONS(3413),
    [anon_sym___attribute__] = ACTIONS(3413),
    [anon_sym_COLON_COLON] = ACTIONS(3415),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3415),
    [anon_sym___declspec] = ACTIONS(3413),
    [anon_sym___based] = ACTIONS(3413),
    [anon_sym___cdecl] = ACTIONS(3413),
    [anon_sym___clrcall] = ACTIONS(3413),
    [anon_sym___stdcall] = ACTIONS(3413),
    [anon_sym___fastcall] = ACTIONS(3413),
    [anon_sym___thiscall] = ACTIONS(3413),
    [anon_sym___vectorcall] = ACTIONS(3413),
    [anon_sym_LBRACE] = ACTIONS(3415),
    [anon_sym_signed] = ACTIONS(3413),
    [anon_sym_unsigned] = ACTIONS(3413),
    [anon_sym_long] = ACTIONS(3413),
    [anon_sym_short] = ACTIONS(3413),
    [anon_sym_LBRACK] = ACTIONS(3413),
    [anon_sym_static] = ACTIONS(3413),
    [anon_sym_register] = ACTIONS(3413),
    [anon_sym_inline] = ACTIONS(3413),
    [anon_sym___inline] = ACTIONS(3413),
    [anon_sym___inline__] = ACTIONS(3413),
    [anon_sym___forceinline] = ACTIONS(3413),
    [anon_sym_thread_local] = ACTIONS(3413),
    [anon_sym___thread] = ACTIONS(3413),
    [anon_sym_const] = ACTIONS(3413),
    [anon_sym_constexpr] = ACTIONS(3413),
    [anon_sym_volatile] = ACTIONS(3413),
    [anon_sym_restrict] = ACTIONS(3413),
    [anon_sym___restrict__] = ACTIONS(3413),
    [anon_sym__Atomic] = ACTIONS(3413),
    [anon_sym__Noreturn] = ACTIONS(3413),
    [anon_sym_noreturn] = ACTIONS(3413),
    [anon_sym_mutable] = ACTIONS(3413),
    [anon_sym_constinit] = ACTIONS(3413),
    [anon_sym_consteval] = ACTIONS(3413),
    [anon_sym_PROGMEM] = ACTIONS(3413),
    [aux_sym_primitive_type_token1] = ACTIONS(3413),
    [anon_sym_byte] = ACTIONS(3413),
    [anon_sym_word] = ACTIONS(3413),
    [anon_sym_enum] = ACTIONS(3413),
    [anon_sym_class] = ACTIONS(3413),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3413),
    [anon_sym_if] = ACTIONS(3413),
    [anon_sym_switch] = ACTIONS(3413),
    [anon_sym_case] = ACTIONS(3413),
    [anon_sym_default] = ACTIONS(3413),
    [anon_sym_while] = ACTIONS(3413),
    [anon_sym_do] = ACTIONS(3413),
    [anon_sym_for] = ACTIONS(3413),
    [anon_sym_return] = ACTIONS(3413),
    [anon_sym_break] = ACTIONS(3413),
    [anon_sym_continue] = ACTIONS(3413),
    [anon_sym_goto] = ACTIONS(3413),
    [anon_sym_not] = ACTIONS(3413),
    [anon_sym_compl] = ACTIONS(3413),
    [anon_sym_DASH_DASH] = ACTIONS(3415),
    [anon_sym_PLUS_PLUS] = ACTIONS(3415),
    [anon_sym_sizeof] = ACTIONS(3413),
    [anon_sym___alignof__] = ACTIONS(3413),
    [anon_sym___alignof] = ACTIONS(3413),
    [anon_sym__alignof] = ACTIONS(3413),
    [anon_sym_alignof] = ACTIONS(3413),
    [anon_sym__Alignof] = ACTIONS(3413),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3413),
    [anon_sym_asm] = ACTIONS(3413),
    [anon_sym___asm__] = ACTIONS(3413),
    [aux_sym_number_literal_token1] = ACTIONS(3415),
    [aux_sym_number_literal_token2] = ACTIONS(3413),
    [anon_sym_L_SQUOTE] = ACTIONS(3415),
    [anon_sym_u_SQUOTE] = ACTIONS(3415),
    [anon_sym_U_SQUOTE] = ACTIONS(3415),
    [anon_sym_u8_SQUOTE] = ACTIONS(3415),
    [anon_sym_SQUOTE] = ACTIONS(3415),
    [anon_sym_L_DQUOTE] = ACTIONS(3415),
    [anon_sym_u_DQUOTE] = ACTIONS(3415),
    [anon_sym_U_DQUOTE] = ACTIONS(3415),
    [anon_sym_u8_DQUOTE] = ACTIONS(3415),
    [anon_sym_DQUOTE] = ACTIONS(3415),
    [sym_true] = ACTIONS(3413),
    [sym_false] = ACTIONS(3413),
    [anon_sym_NULL] = ACTIONS(3413),
    [anon_sym_nullptr] = ACTIONS(3413),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3413),
    [anon_sym_decltype] = ACTIONS(3413),
    [anon_sym_virtual] = ACTIONS(3413),
    [anon_sym_alignas] = ACTIONS(3413),
    [anon_sym_explicit] = ACTIONS(3413),
    [anon_sym_typename] = ACTIONS(3413),
    [anon_sym_template] = ACTIONS(3413),
    [anon_sym_operator] = ACTIONS(3413),
    [anon_sym_try] = ACTIONS(3413),
    [anon_sym_delete] = ACTIONS(3413),
    [anon_sym_throw] = ACTIONS(3413),
    [anon_sym_namespace] = ACTIONS(3413),
    [anon_sym_using] = ACTIONS(3413),
    [anon_sym_static_assert] = ACTIONS(3413),
    [anon_sym_concept] = ACTIONS(3413),
    [anon_sym_co_return] = ACTIONS(3413),
    [anon_sym_co_yield] = ACTIONS(3413),
    [anon_sym_R_DQUOTE] = ACTIONS(3415),
    [anon_sym_LR_DQUOTE] = ACTIONS(3415),
    [anon_sym_uR_DQUOTE] = ACTIONS(3415),
    [anon_sym_UR_DQUOTE] = ACTIONS(3415),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3415),
    [anon_sym_co_await] = ACTIONS(3413),
    [anon_sym_new] = ACTIONS(3413),
    [anon_sym_requires] = ACTIONS(3413),
    [sym_this] = ACTIONS(3413),
  },
  [1064] = {
    [ts_builtin_sym_end] = ACTIONS(3419),
    [sym_identifier] = ACTIONS(3417),
    [aux_sym_preproc_include_token1] = ACTIONS(3417),
    [aux_sym_preproc_def_token1] = ACTIONS(3417),
    [aux_sym_preproc_if_token1] = ACTIONS(3417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3417),
    [sym_preproc_directive] = ACTIONS(3417),
    [anon_sym_LPAREN2] = ACTIONS(3419),
    [anon_sym_BANG] = ACTIONS(3419),
    [anon_sym_TILDE] = ACTIONS(3419),
    [anon_sym_DASH] = ACTIONS(3417),
    [anon_sym_PLUS] = ACTIONS(3417),
    [anon_sym_STAR] = ACTIONS(3419),
    [anon_sym_AMP_AMP] = ACTIONS(3419),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym___extension__] = ACTIONS(3417),
    [anon_sym_typedef] = ACTIONS(3417),
    [anon_sym_extern] = ACTIONS(3417),
    [anon_sym___attribute__] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3419),
    [anon_sym___declspec] = ACTIONS(3417),
    [anon_sym___based] = ACTIONS(3417),
    [anon_sym___cdecl] = ACTIONS(3417),
    [anon_sym___clrcall] = ACTIONS(3417),
    [anon_sym___stdcall] = ACTIONS(3417),
    [anon_sym___fastcall] = ACTIONS(3417),
    [anon_sym___thiscall] = ACTIONS(3417),
    [anon_sym___vectorcall] = ACTIONS(3417),
    [anon_sym_LBRACE] = ACTIONS(3419),
    [anon_sym_signed] = ACTIONS(3417),
    [anon_sym_unsigned] = ACTIONS(3417),
    [anon_sym_long] = ACTIONS(3417),
    [anon_sym_short] = ACTIONS(3417),
    [anon_sym_LBRACK] = ACTIONS(3417),
    [anon_sym_static] = ACTIONS(3417),
    [anon_sym_register] = ACTIONS(3417),
    [anon_sym_inline] = ACTIONS(3417),
    [anon_sym___inline] = ACTIONS(3417),
    [anon_sym___inline__] = ACTIONS(3417),
    [anon_sym___forceinline] = ACTIONS(3417),
    [anon_sym_thread_local] = ACTIONS(3417),
    [anon_sym___thread] = ACTIONS(3417),
    [anon_sym_const] = ACTIONS(3417),
    [anon_sym_constexpr] = ACTIONS(3417),
    [anon_sym_volatile] = ACTIONS(3417),
    [anon_sym_restrict] = ACTIONS(3417),
    [anon_sym___restrict__] = ACTIONS(3417),
    [anon_sym__Atomic] = ACTIONS(3417),
    [anon_sym__Noreturn] = ACTIONS(3417),
    [anon_sym_noreturn] = ACTIONS(3417),
    [anon_sym_mutable] = ACTIONS(3417),
    [anon_sym_constinit] = ACTIONS(3417),
    [anon_sym_consteval] = ACTIONS(3417),
    [anon_sym_PROGMEM] = ACTIONS(3417),
    [aux_sym_primitive_type_token1] = ACTIONS(3417),
    [anon_sym_byte] = ACTIONS(3417),
    [anon_sym_word] = ACTIONS(3417),
    [anon_sym_enum] = ACTIONS(3417),
    [anon_sym_class] = ACTIONS(3417),
    [anon_sym_struct] = ACTIONS(3417),
    [anon_sym_union] = ACTIONS(3417),
    [anon_sym_if] = ACTIONS(3417),
    [anon_sym_switch] = ACTIONS(3417),
    [anon_sym_case] = ACTIONS(3417),
    [anon_sym_default] = ACTIONS(3417),
    [anon_sym_while] = ACTIONS(3417),
    [anon_sym_do] = ACTIONS(3417),
    [anon_sym_for] = ACTIONS(3417),
    [anon_sym_return] = ACTIONS(3417),
    [anon_sym_break] = ACTIONS(3417),
    [anon_sym_continue] = ACTIONS(3417),
    [anon_sym_goto] = ACTIONS(3417),
    [anon_sym_not] = ACTIONS(3417),
    [anon_sym_compl] = ACTIONS(3417),
    [anon_sym_DASH_DASH] = ACTIONS(3419),
    [anon_sym_PLUS_PLUS] = ACTIONS(3419),
    [anon_sym_sizeof] = ACTIONS(3417),
    [anon_sym___alignof__] = ACTIONS(3417),
    [anon_sym___alignof] = ACTIONS(3417),
    [anon_sym__alignof] = ACTIONS(3417),
    [anon_sym_alignof] = ACTIONS(3417),
    [anon_sym__Alignof] = ACTIONS(3417),
    [anon_sym_offsetof] = ACTIONS(3417),
    [anon_sym__Generic] = ACTIONS(3417),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [aux_sym_number_literal_token1] = ACTIONS(3419),
    [aux_sym_number_literal_token2] = ACTIONS(3417),
    [anon_sym_L_SQUOTE] = ACTIONS(3419),
    [anon_sym_u_SQUOTE] = ACTIONS(3419),
    [anon_sym_U_SQUOTE] = ACTIONS(3419),
    [anon_sym_u8_SQUOTE] = ACTIONS(3419),
    [anon_sym_SQUOTE] = ACTIONS(3419),
    [anon_sym_L_DQUOTE] = ACTIONS(3419),
    [anon_sym_u_DQUOTE] = ACTIONS(3419),
    [anon_sym_U_DQUOTE] = ACTIONS(3419),
    [anon_sym_u8_DQUOTE] = ACTIONS(3419),
    [anon_sym_DQUOTE] = ACTIONS(3419),
    [sym_true] = ACTIONS(3417),
    [sym_false] = ACTIONS(3417),
    [anon_sym_NULL] = ACTIONS(3417),
    [anon_sym_nullptr] = ACTIONS(3417),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3417),
    [anon_sym_decltype] = ACTIONS(3417),
    [anon_sym_virtual] = ACTIONS(3417),
    [anon_sym_alignas] = ACTIONS(3417),
    [anon_sym_explicit] = ACTIONS(3417),
    [anon_sym_typename] = ACTIONS(3417),
    [anon_sym_template] = ACTIONS(3417),
    [anon_sym_operator] = ACTIONS(3417),
    [anon_sym_try] = ACTIONS(3417),
    [anon_sym_delete] = ACTIONS(3417),
    [anon_sym_throw] = ACTIONS(3417),
    [anon_sym_namespace] = ACTIONS(3417),
    [anon_sym_using] = ACTIONS(3417),
    [anon_sym_static_assert] = ACTIONS(3417),
    [anon_sym_concept] = ACTIONS(3417),
    [anon_sym_co_return] = ACTIONS(3417),
    [anon_sym_co_yield] = ACTIONS(3417),
    [anon_sym_R_DQUOTE] = ACTIONS(3419),
    [anon_sym_LR_DQUOTE] = ACTIONS(3419),
    [anon_sym_uR_DQUOTE] = ACTIONS(3419),
    [anon_sym_UR_DQUOTE] = ACTIONS(3419),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3419),
    [anon_sym_co_await] = ACTIONS(3417),
    [anon_sym_new] = ACTIONS(3417),
    [anon_sym_requires] = ACTIONS(3417),
    [sym_this] = ACTIONS(3417),
  },
  [1065] = {
    [sym_preproc_def] = STATE(1000),
    [sym_preproc_function_def] = STATE(1000),
    [sym_preproc_call] = STATE(1000),
    [sym_preproc_if_in_field_declaration_list] = STATE(1000),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1000),
    [sym_type_definition] = STATE(1000),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6396),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1000),
    [sym_field_declaration] = STATE(1000),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1000),
    [sym_operator_cast] = STATE(7382),
    [sym_inline_method_definition] = STATE(1000),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(1000),
    [sym_operator_cast_declaration] = STATE(1000),
    [sym_constructor_or_destructor_definition] = STATE(1000),
    [sym_constructor_or_destructor_declaration] = STATE(1000),
    [sym_friend_declaration] = STATE(1000),
    [sym_access_specifier] = STATE(9207),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1000),
    [sym_alias_declaration] = STATE(1000),
    [sym_static_assert_declaration] = STATE(1000),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1000),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3819),
    [sym_preproc_directive] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_typedef] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3987),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3829),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3831),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_static_assert] = ACTIONS(3835),
  },
  [1066] = {
    [ts_builtin_sym_end] = ACTIONS(3517),
    [sym_identifier] = ACTIONS(3515),
    [aux_sym_preproc_include_token1] = ACTIONS(3515),
    [aux_sym_preproc_def_token1] = ACTIONS(3515),
    [aux_sym_preproc_if_token1] = ACTIONS(3515),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3515),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3515),
    [sym_preproc_directive] = ACTIONS(3515),
    [anon_sym_LPAREN2] = ACTIONS(3517),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(3517),
    [anon_sym_AMP_AMP] = ACTIONS(3517),
    [anon_sym_AMP] = ACTIONS(3515),
    [anon_sym___extension__] = ACTIONS(3515),
    [anon_sym_typedef] = ACTIONS(3515),
    [anon_sym_extern] = ACTIONS(3515),
    [anon_sym___attribute__] = ACTIONS(3515),
    [anon_sym_COLON_COLON] = ACTIONS(3517),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3517),
    [anon_sym___declspec] = ACTIONS(3515),
    [anon_sym___based] = ACTIONS(3515),
    [anon_sym___cdecl] = ACTIONS(3515),
    [anon_sym___clrcall] = ACTIONS(3515),
    [anon_sym___stdcall] = ACTIONS(3515),
    [anon_sym___fastcall] = ACTIONS(3515),
    [anon_sym___thiscall] = ACTIONS(3515),
    [anon_sym___vectorcall] = ACTIONS(3515),
    [anon_sym_LBRACE] = ACTIONS(3517),
    [anon_sym_signed] = ACTIONS(3515),
    [anon_sym_unsigned] = ACTIONS(3515),
    [anon_sym_long] = ACTIONS(3515),
    [anon_sym_short] = ACTIONS(3515),
    [anon_sym_LBRACK] = ACTIONS(3515),
    [anon_sym_static] = ACTIONS(3515),
    [anon_sym_register] = ACTIONS(3515),
    [anon_sym_inline] = ACTIONS(3515),
    [anon_sym___inline] = ACTIONS(3515),
    [anon_sym___inline__] = ACTIONS(3515),
    [anon_sym___forceinline] = ACTIONS(3515),
    [anon_sym_thread_local] = ACTIONS(3515),
    [anon_sym___thread] = ACTIONS(3515),
    [anon_sym_const] = ACTIONS(3515),
    [anon_sym_constexpr] = ACTIONS(3515),
    [anon_sym_volatile] = ACTIONS(3515),
    [anon_sym_restrict] = ACTIONS(3515),
    [anon_sym___restrict__] = ACTIONS(3515),
    [anon_sym__Atomic] = ACTIONS(3515),
    [anon_sym__Noreturn] = ACTIONS(3515),
    [anon_sym_noreturn] = ACTIONS(3515),
    [anon_sym_mutable] = ACTIONS(3515),
    [anon_sym_constinit] = ACTIONS(3515),
    [anon_sym_consteval] = ACTIONS(3515),
    [anon_sym_PROGMEM] = ACTIONS(3515),
    [aux_sym_primitive_type_token1] = ACTIONS(3515),
    [anon_sym_byte] = ACTIONS(3515),
    [anon_sym_word] = ACTIONS(3515),
    [anon_sym_enum] = ACTIONS(3515),
    [anon_sym_class] = ACTIONS(3515),
    [anon_sym_struct] = ACTIONS(3515),
    [anon_sym_union] = ACTIONS(3515),
    [anon_sym_if] = ACTIONS(3515),
    [anon_sym_switch] = ACTIONS(3515),
    [anon_sym_case] = ACTIONS(3515),
    [anon_sym_default] = ACTIONS(3515),
    [anon_sym_while] = ACTIONS(3515),
    [anon_sym_do] = ACTIONS(3515),
    [anon_sym_for] = ACTIONS(3515),
    [anon_sym_return] = ACTIONS(3515),
    [anon_sym_break] = ACTIONS(3515),
    [anon_sym_continue] = ACTIONS(3515),
    [anon_sym_goto] = ACTIONS(3515),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(3517),
    [anon_sym_PLUS_PLUS] = ACTIONS(3517),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(3515),
    [anon_sym___alignof] = ACTIONS(3515),
    [anon_sym__alignof] = ACTIONS(3515),
    [anon_sym_alignof] = ACTIONS(3515),
    [anon_sym__Alignof] = ACTIONS(3515),
    [anon_sym_offsetof] = ACTIONS(3515),
    [anon_sym__Generic] = ACTIONS(3515),
    [anon_sym_asm] = ACTIONS(3515),
    [anon_sym___asm__] = ACTIONS(3515),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3515),
    [anon_sym_L_SQUOTE] = ACTIONS(3517),
    [anon_sym_u_SQUOTE] = ACTIONS(3517),
    [anon_sym_U_SQUOTE] = ACTIONS(3517),
    [anon_sym_u8_SQUOTE] = ACTIONS(3517),
    [anon_sym_SQUOTE] = ACTIONS(3517),
    [anon_sym_L_DQUOTE] = ACTIONS(3517),
    [anon_sym_u_DQUOTE] = ACTIONS(3517),
    [anon_sym_U_DQUOTE] = ACTIONS(3517),
    [anon_sym_u8_DQUOTE] = ACTIONS(3517),
    [anon_sym_DQUOTE] = ACTIONS(3517),
    [sym_true] = ACTIONS(3515),
    [sym_false] = ACTIONS(3515),
    [anon_sym_NULL] = ACTIONS(3515),
    [anon_sym_nullptr] = ACTIONS(3515),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3515),
    [anon_sym_decltype] = ACTIONS(3515),
    [anon_sym_virtual] = ACTIONS(3515),
    [anon_sym_alignas] = ACTIONS(3515),
    [anon_sym_explicit] = ACTIONS(3515),
    [anon_sym_typename] = ACTIONS(3515),
    [anon_sym_template] = ACTIONS(3515),
    [anon_sym_operator] = ACTIONS(3515),
    [anon_sym_try] = ACTIONS(3515),
    [anon_sym_delete] = ACTIONS(3515),
    [anon_sym_throw] = ACTIONS(3515),
    [anon_sym_namespace] = ACTIONS(3515),
    [anon_sym_using] = ACTIONS(3515),
    [anon_sym_static_assert] = ACTIONS(3515),
    [anon_sym_concept] = ACTIONS(3515),
    [anon_sym_co_return] = ACTIONS(3515),
    [anon_sym_co_yield] = ACTIONS(3515),
    [anon_sym_R_DQUOTE] = ACTIONS(3517),
    [anon_sym_LR_DQUOTE] = ACTIONS(3517),
    [anon_sym_uR_DQUOTE] = ACTIONS(3517),
    [anon_sym_UR_DQUOTE] = ACTIONS(3517),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3517),
    [anon_sym_co_await] = ACTIONS(3515),
    [anon_sym_new] = ACTIONS(3515),
    [anon_sym_requires] = ACTIONS(3515),
    [sym_this] = ACTIONS(3515),
  },
  [1067] = {
    [ts_builtin_sym_end] = ACTIONS(3383),
    [sym_identifier] = ACTIONS(3381),
    [aux_sym_preproc_include_token1] = ACTIONS(3381),
    [aux_sym_preproc_def_token1] = ACTIONS(3381),
    [aux_sym_preproc_if_token1] = ACTIONS(3381),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3381),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3381),
    [sym_preproc_directive] = ACTIONS(3381),
    [anon_sym_LPAREN2] = ACTIONS(3383),
    [anon_sym_BANG] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(3383),
    [anon_sym_DASH] = ACTIONS(3381),
    [anon_sym_PLUS] = ACTIONS(3381),
    [anon_sym_STAR] = ACTIONS(3383),
    [anon_sym_AMP_AMP] = ACTIONS(3383),
    [anon_sym_AMP] = ACTIONS(3381),
    [anon_sym___extension__] = ACTIONS(3381),
    [anon_sym_typedef] = ACTIONS(3381),
    [anon_sym_extern] = ACTIONS(3381),
    [anon_sym___attribute__] = ACTIONS(3381),
    [anon_sym_COLON_COLON] = ACTIONS(3383),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3383),
    [anon_sym___declspec] = ACTIONS(3381),
    [anon_sym___based] = ACTIONS(3381),
    [anon_sym___cdecl] = ACTIONS(3381),
    [anon_sym___clrcall] = ACTIONS(3381),
    [anon_sym___stdcall] = ACTIONS(3381),
    [anon_sym___fastcall] = ACTIONS(3381),
    [anon_sym___thiscall] = ACTIONS(3381),
    [anon_sym___vectorcall] = ACTIONS(3381),
    [anon_sym_LBRACE] = ACTIONS(3383),
    [anon_sym_signed] = ACTIONS(3381),
    [anon_sym_unsigned] = ACTIONS(3381),
    [anon_sym_long] = ACTIONS(3381),
    [anon_sym_short] = ACTIONS(3381),
    [anon_sym_LBRACK] = ACTIONS(3381),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_register] = ACTIONS(3381),
    [anon_sym_inline] = ACTIONS(3381),
    [anon_sym___inline] = ACTIONS(3381),
    [anon_sym___inline__] = ACTIONS(3381),
    [anon_sym___forceinline] = ACTIONS(3381),
    [anon_sym_thread_local] = ACTIONS(3381),
    [anon_sym___thread] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3381),
    [anon_sym_constexpr] = ACTIONS(3381),
    [anon_sym_volatile] = ACTIONS(3381),
    [anon_sym_restrict] = ACTIONS(3381),
    [anon_sym___restrict__] = ACTIONS(3381),
    [anon_sym__Atomic] = ACTIONS(3381),
    [anon_sym__Noreturn] = ACTIONS(3381),
    [anon_sym_noreturn] = ACTIONS(3381),
    [anon_sym_mutable] = ACTIONS(3381),
    [anon_sym_constinit] = ACTIONS(3381),
    [anon_sym_consteval] = ACTIONS(3381),
    [anon_sym_PROGMEM] = ACTIONS(3381),
    [aux_sym_primitive_type_token1] = ACTIONS(3381),
    [anon_sym_byte] = ACTIONS(3381),
    [anon_sym_word] = ACTIONS(3381),
    [anon_sym_enum] = ACTIONS(3381),
    [anon_sym_class] = ACTIONS(3381),
    [anon_sym_struct] = ACTIONS(3381),
    [anon_sym_union] = ACTIONS(3381),
    [anon_sym_if] = ACTIONS(3381),
    [anon_sym_switch] = ACTIONS(3381),
    [anon_sym_case] = ACTIONS(3381),
    [anon_sym_default] = ACTIONS(3381),
    [anon_sym_while] = ACTIONS(3381),
    [anon_sym_do] = ACTIONS(3381),
    [anon_sym_for] = ACTIONS(3381),
    [anon_sym_return] = ACTIONS(3381),
    [anon_sym_break] = ACTIONS(3381),
    [anon_sym_continue] = ACTIONS(3381),
    [anon_sym_goto] = ACTIONS(3381),
    [anon_sym_not] = ACTIONS(3381),
    [anon_sym_compl] = ACTIONS(3381),
    [anon_sym_DASH_DASH] = ACTIONS(3383),
    [anon_sym_PLUS_PLUS] = ACTIONS(3383),
    [anon_sym_sizeof] = ACTIONS(3381),
    [anon_sym___alignof__] = ACTIONS(3381),
    [anon_sym___alignof] = ACTIONS(3381),
    [anon_sym__alignof] = ACTIONS(3381),
    [anon_sym_alignof] = ACTIONS(3381),
    [anon_sym__Alignof] = ACTIONS(3381),
    [anon_sym_offsetof] = ACTIONS(3381),
    [anon_sym__Generic] = ACTIONS(3381),
    [anon_sym_asm] = ACTIONS(3381),
    [anon_sym___asm__] = ACTIONS(3381),
    [aux_sym_number_literal_token1] = ACTIONS(3383),
    [aux_sym_number_literal_token2] = ACTIONS(3381),
    [anon_sym_L_SQUOTE] = ACTIONS(3383),
    [anon_sym_u_SQUOTE] = ACTIONS(3383),
    [anon_sym_U_SQUOTE] = ACTIONS(3383),
    [anon_sym_u8_SQUOTE] = ACTIONS(3383),
    [anon_sym_SQUOTE] = ACTIONS(3383),
    [anon_sym_L_DQUOTE] = ACTIONS(3383),
    [anon_sym_u_DQUOTE] = ACTIONS(3383),
    [anon_sym_U_DQUOTE] = ACTIONS(3383),
    [anon_sym_u8_DQUOTE] = ACTIONS(3383),
    [anon_sym_DQUOTE] = ACTIONS(3383),
    [sym_true] = ACTIONS(3381),
    [sym_false] = ACTIONS(3381),
    [anon_sym_NULL] = ACTIONS(3381),
    [anon_sym_nullptr] = ACTIONS(3381),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3381),
    [anon_sym_decltype] = ACTIONS(3381),
    [anon_sym_virtual] = ACTIONS(3381),
    [anon_sym_alignas] = ACTIONS(3381),
    [anon_sym_explicit] = ACTIONS(3381),
    [anon_sym_typename] = ACTIONS(3381),
    [anon_sym_template] = ACTIONS(3381),
    [anon_sym_operator] = ACTIONS(3381),
    [anon_sym_try] = ACTIONS(3381),
    [anon_sym_delete] = ACTIONS(3381),
    [anon_sym_throw] = ACTIONS(3381),
    [anon_sym_namespace] = ACTIONS(3381),
    [anon_sym_using] = ACTIONS(3381),
    [anon_sym_static_assert] = ACTIONS(3381),
    [anon_sym_concept] = ACTIONS(3381),
    [anon_sym_co_return] = ACTIONS(3381),
    [anon_sym_co_yield] = ACTIONS(3381),
    [anon_sym_R_DQUOTE] = ACTIONS(3383),
    [anon_sym_LR_DQUOTE] = ACTIONS(3383),
    [anon_sym_uR_DQUOTE] = ACTIONS(3383),
    [anon_sym_UR_DQUOTE] = ACTIONS(3383),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3383),
    [anon_sym_co_await] = ACTIONS(3381),
    [anon_sym_new] = ACTIONS(3381),
    [anon_sym_requires] = ACTIONS(3381),
    [sym_this] = ACTIONS(3381),
  },
  [1068] = {
    [ts_builtin_sym_end] = ACTIONS(3989),
    [sym_identifier] = ACTIONS(3991),
    [aux_sym_preproc_include_token1] = ACTIONS(3991),
    [aux_sym_preproc_def_token1] = ACTIONS(3991),
    [aux_sym_preproc_if_token1] = ACTIONS(3991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3991),
    [sym_preproc_directive] = ACTIONS(3991),
    [anon_sym_LPAREN2] = ACTIONS(3989),
    [anon_sym_BANG] = ACTIONS(3989),
    [anon_sym_TILDE] = ACTIONS(3989),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(3989),
    [anon_sym_AMP_AMP] = ACTIONS(3989),
    [anon_sym_AMP] = ACTIONS(3991),
    [anon_sym___extension__] = ACTIONS(3991),
    [anon_sym_typedef] = ACTIONS(3991),
    [anon_sym_extern] = ACTIONS(3991),
    [anon_sym___attribute__] = ACTIONS(3991),
    [anon_sym_COLON_COLON] = ACTIONS(3989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3989),
    [anon_sym___declspec] = ACTIONS(3991),
    [anon_sym___based] = ACTIONS(3991),
    [anon_sym___cdecl] = ACTIONS(3991),
    [anon_sym___clrcall] = ACTIONS(3991),
    [anon_sym___stdcall] = ACTIONS(3991),
    [anon_sym___fastcall] = ACTIONS(3991),
    [anon_sym___thiscall] = ACTIONS(3991),
    [anon_sym___vectorcall] = ACTIONS(3991),
    [anon_sym_LBRACE] = ACTIONS(3989),
    [anon_sym_signed] = ACTIONS(3991),
    [anon_sym_unsigned] = ACTIONS(3991),
    [anon_sym_long] = ACTIONS(3991),
    [anon_sym_short] = ACTIONS(3991),
    [anon_sym_LBRACK] = ACTIONS(3991),
    [anon_sym_static] = ACTIONS(3991),
    [anon_sym_register] = ACTIONS(3991),
    [anon_sym_inline] = ACTIONS(3991),
    [anon_sym___inline] = ACTIONS(3991),
    [anon_sym___inline__] = ACTIONS(3991),
    [anon_sym___forceinline] = ACTIONS(3991),
    [anon_sym_thread_local] = ACTIONS(3991),
    [anon_sym___thread] = ACTIONS(3991),
    [anon_sym_const] = ACTIONS(3991),
    [anon_sym_constexpr] = ACTIONS(3991),
    [anon_sym_volatile] = ACTIONS(3991),
    [anon_sym_restrict] = ACTIONS(3991),
    [anon_sym___restrict__] = ACTIONS(3991),
    [anon_sym__Atomic] = ACTIONS(3991),
    [anon_sym__Noreturn] = ACTIONS(3991),
    [anon_sym_noreturn] = ACTIONS(3991),
    [anon_sym_mutable] = ACTIONS(3991),
    [anon_sym_constinit] = ACTIONS(3991),
    [anon_sym_consteval] = ACTIONS(3991),
    [anon_sym_PROGMEM] = ACTIONS(3991),
    [aux_sym_primitive_type_token1] = ACTIONS(3991),
    [anon_sym_byte] = ACTIONS(3991),
    [anon_sym_word] = ACTIONS(3991),
    [anon_sym_enum] = ACTIONS(3991),
    [anon_sym_class] = ACTIONS(3991),
    [anon_sym_struct] = ACTIONS(3991),
    [anon_sym_union] = ACTIONS(3991),
    [anon_sym_if] = ACTIONS(3991),
    [anon_sym_switch] = ACTIONS(3991),
    [anon_sym_case] = ACTIONS(3991),
    [anon_sym_default] = ACTIONS(3991),
    [anon_sym_while] = ACTIONS(3991),
    [anon_sym_do] = ACTIONS(3991),
    [anon_sym_for] = ACTIONS(3991),
    [anon_sym_return] = ACTIONS(3991),
    [anon_sym_break] = ACTIONS(3991),
    [anon_sym_continue] = ACTIONS(3991),
    [anon_sym_goto] = ACTIONS(3991),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3991),
    [anon_sym___alignof__] = ACTIONS(3991),
    [anon_sym___alignof] = ACTIONS(3991),
    [anon_sym__alignof] = ACTIONS(3991),
    [anon_sym_alignof] = ACTIONS(3991),
    [anon_sym__Alignof] = ACTIONS(3991),
    [anon_sym_offsetof] = ACTIONS(3991),
    [anon_sym__Generic] = ACTIONS(3991),
    [anon_sym_asm] = ACTIONS(3991),
    [anon_sym___asm__] = ACTIONS(3991),
    [aux_sym_number_literal_token1] = ACTIONS(3989),
    [aux_sym_number_literal_token2] = ACTIONS(3991),
    [anon_sym_L_SQUOTE] = ACTIONS(3989),
    [anon_sym_u_SQUOTE] = ACTIONS(3989),
    [anon_sym_U_SQUOTE] = ACTIONS(3989),
    [anon_sym_u8_SQUOTE] = ACTIONS(3989),
    [anon_sym_SQUOTE] = ACTIONS(3989),
    [anon_sym_L_DQUOTE] = ACTIONS(3989),
    [anon_sym_u_DQUOTE] = ACTIONS(3989),
    [anon_sym_U_DQUOTE] = ACTIONS(3989),
    [anon_sym_u8_DQUOTE] = ACTIONS(3989),
    [anon_sym_DQUOTE] = ACTIONS(3989),
    [sym_true] = ACTIONS(3991),
    [sym_false] = ACTIONS(3991),
    [anon_sym_NULL] = ACTIONS(3991),
    [anon_sym_nullptr] = ACTIONS(3991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3991),
    [anon_sym_decltype] = ACTIONS(3991),
    [anon_sym_virtual] = ACTIONS(3991),
    [anon_sym_alignas] = ACTIONS(3991),
    [anon_sym_explicit] = ACTIONS(3991),
    [anon_sym_typename] = ACTIONS(3991),
    [anon_sym_template] = ACTIONS(3991),
    [anon_sym_operator] = ACTIONS(3991),
    [anon_sym_try] = ACTIONS(3991),
    [anon_sym_delete] = ACTIONS(3991),
    [anon_sym_throw] = ACTIONS(3991),
    [anon_sym_namespace] = ACTIONS(3991),
    [anon_sym_using] = ACTIONS(3991),
    [anon_sym_static_assert] = ACTIONS(3991),
    [anon_sym_concept] = ACTIONS(3991),
    [anon_sym_co_return] = ACTIONS(3991),
    [anon_sym_co_yield] = ACTIONS(3991),
    [anon_sym_R_DQUOTE] = ACTIONS(3989),
    [anon_sym_LR_DQUOTE] = ACTIONS(3989),
    [anon_sym_uR_DQUOTE] = ACTIONS(3989),
    [anon_sym_UR_DQUOTE] = ACTIONS(3989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3989),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3991),
    [anon_sym_requires] = ACTIONS(3991),
    [sym_this] = ACTIONS(3991),
  },
  [1069] = {
    [sym_preproc_def] = STATE(1000),
    [sym_preproc_function_def] = STATE(1000),
    [sym_preproc_call] = STATE(1000),
    [sym_preproc_if_in_field_declaration_list] = STATE(1000),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1000),
    [sym_type_definition] = STATE(1000),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6396),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1000),
    [sym_field_declaration] = STATE(1000),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1000),
    [sym_operator_cast] = STATE(7382),
    [sym_inline_method_definition] = STATE(1000),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(1000),
    [sym_operator_cast_declaration] = STATE(1000),
    [sym_constructor_or_destructor_definition] = STATE(1000),
    [sym_constructor_or_destructor_declaration] = STATE(1000),
    [sym_friend_declaration] = STATE(1000),
    [sym_access_specifier] = STATE(9207),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1000),
    [sym_alias_declaration] = STATE(1000),
    [sym_static_assert_declaration] = STATE(1000),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1000),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3819),
    [sym_preproc_directive] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_typedef] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3993),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3829),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3831),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_static_assert] = ACTIONS(3835),
  },
  [1070] = {
    [ts_builtin_sym_end] = ACTIONS(3194),
    [sym_identifier] = ACTIONS(3192),
    [aux_sym_preproc_include_token1] = ACTIONS(3192),
    [aux_sym_preproc_def_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token1] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3192),
    [sym_preproc_directive] = ACTIONS(3192),
    [anon_sym_LPAREN2] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym___extension__] = ACTIONS(3192),
    [anon_sym_typedef] = ACTIONS(3192),
    [anon_sym_extern] = ACTIONS(3192),
    [anon_sym___attribute__] = ACTIONS(3192),
    [anon_sym_COLON_COLON] = ACTIONS(3194),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3194),
    [anon_sym___declspec] = ACTIONS(3192),
    [anon_sym___based] = ACTIONS(3192),
    [anon_sym___cdecl] = ACTIONS(3192),
    [anon_sym___clrcall] = ACTIONS(3192),
    [anon_sym___stdcall] = ACTIONS(3192),
    [anon_sym___fastcall] = ACTIONS(3192),
    [anon_sym___thiscall] = ACTIONS(3192),
    [anon_sym___vectorcall] = ACTIONS(3192),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_signed] = ACTIONS(3192),
    [anon_sym_unsigned] = ACTIONS(3192),
    [anon_sym_long] = ACTIONS(3192),
    [anon_sym_short] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_register] = ACTIONS(3192),
    [anon_sym_inline] = ACTIONS(3192),
    [anon_sym___inline] = ACTIONS(3192),
    [anon_sym___inline__] = ACTIONS(3192),
    [anon_sym___forceinline] = ACTIONS(3192),
    [anon_sym_thread_local] = ACTIONS(3192),
    [anon_sym___thread] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_constexpr] = ACTIONS(3192),
    [anon_sym_volatile] = ACTIONS(3192),
    [anon_sym_restrict] = ACTIONS(3192),
    [anon_sym___restrict__] = ACTIONS(3192),
    [anon_sym__Atomic] = ACTIONS(3192),
    [anon_sym__Noreturn] = ACTIONS(3192),
    [anon_sym_noreturn] = ACTIONS(3192),
    [anon_sym_mutable] = ACTIONS(3192),
    [anon_sym_constinit] = ACTIONS(3192),
    [anon_sym_consteval] = ACTIONS(3192),
    [anon_sym_PROGMEM] = ACTIONS(3192),
    [aux_sym_primitive_type_token1] = ACTIONS(3192),
    [anon_sym_byte] = ACTIONS(3192),
    [anon_sym_word] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_struct] = ACTIONS(3192),
    [anon_sym_union] = ACTIONS(3192),
    [anon_sym_if] = ACTIONS(3192),
    [anon_sym_switch] = ACTIONS(3192),
    [anon_sym_case] = ACTIONS(3192),
    [anon_sym_default] = ACTIONS(3192),
    [anon_sym_while] = ACTIONS(3192),
    [anon_sym_do] = ACTIONS(3192),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_break] = ACTIONS(3192),
    [anon_sym_continue] = ACTIONS(3192),
    [anon_sym_goto] = ACTIONS(3192),
    [anon_sym_not] = ACTIONS(3192),
    [anon_sym_compl] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_sizeof] = ACTIONS(3192),
    [anon_sym___alignof__] = ACTIONS(3192),
    [anon_sym___alignof] = ACTIONS(3192),
    [anon_sym__alignof] = ACTIONS(3192),
    [anon_sym_alignof] = ACTIONS(3192),
    [anon_sym__Alignof] = ACTIONS(3192),
    [anon_sym_offsetof] = ACTIONS(3192),
    [anon_sym__Generic] = ACTIONS(3192),
    [anon_sym_asm] = ACTIONS(3192),
    [anon_sym___asm__] = ACTIONS(3192),
    [aux_sym_number_literal_token1] = ACTIONS(3194),
    [aux_sym_number_literal_token2] = ACTIONS(3192),
    [anon_sym_L_SQUOTE] = ACTIONS(3194),
    [anon_sym_u_SQUOTE] = ACTIONS(3194),
    [anon_sym_U_SQUOTE] = ACTIONS(3194),
    [anon_sym_u8_SQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [anon_sym_L_DQUOTE] = ACTIONS(3194),
    [anon_sym_u_DQUOTE] = ACTIONS(3194),
    [anon_sym_U_DQUOTE] = ACTIONS(3194),
    [anon_sym_u8_DQUOTE] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [sym_true] = ACTIONS(3192),
    [sym_false] = ACTIONS(3192),
    [anon_sym_NULL] = ACTIONS(3192),
    [anon_sym_nullptr] = ACTIONS(3192),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3192),
    [anon_sym_decltype] = ACTIONS(3192),
    [anon_sym_virtual] = ACTIONS(3192),
    [anon_sym_alignas] = ACTIONS(3192),
    [anon_sym_explicit] = ACTIONS(3192),
    [anon_sym_typename] = ACTIONS(3192),
    [anon_sym_template] = ACTIONS(3192),
    [anon_sym_operator] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3192),
    [anon_sym_delete] = ACTIONS(3192),
    [anon_sym_throw] = ACTIONS(3192),
    [anon_sym_namespace] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_static_assert] = ACTIONS(3192),
    [anon_sym_concept] = ACTIONS(3192),
    [anon_sym_co_return] = ACTIONS(3192),
    [anon_sym_co_yield] = ACTIONS(3192),
    [anon_sym_R_DQUOTE] = ACTIONS(3194),
    [anon_sym_LR_DQUOTE] = ACTIONS(3194),
    [anon_sym_uR_DQUOTE] = ACTIONS(3194),
    [anon_sym_UR_DQUOTE] = ACTIONS(3194),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3194),
    [anon_sym_co_await] = ACTIONS(3192),
    [anon_sym_new] = ACTIONS(3192),
    [anon_sym_requires] = ACTIONS(3192),
    [sym_this] = ACTIONS(3192),
  },
  [1071] = {
    [ts_builtin_sym_end] = ACTIONS(3202),
    [sym_identifier] = ACTIONS(3200),
    [aux_sym_preproc_include_token1] = ACTIONS(3200),
    [aux_sym_preproc_def_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3200),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(3202),
    [anon_sym_BANG] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym___extension__] = ACTIONS(3200),
    [anon_sym_typedef] = ACTIONS(3200),
    [anon_sym_extern] = ACTIONS(3200),
    [anon_sym___attribute__] = ACTIONS(3200),
    [anon_sym_COLON_COLON] = ACTIONS(3202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3202),
    [anon_sym___declspec] = ACTIONS(3200),
    [anon_sym___based] = ACTIONS(3200),
    [anon_sym___cdecl] = ACTIONS(3200),
    [anon_sym___clrcall] = ACTIONS(3200),
    [anon_sym___stdcall] = ACTIONS(3200),
    [anon_sym___fastcall] = ACTIONS(3200),
    [anon_sym___thiscall] = ACTIONS(3200),
    [anon_sym___vectorcall] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3202),
    [anon_sym_signed] = ACTIONS(3200),
    [anon_sym_unsigned] = ACTIONS(3200),
    [anon_sym_long] = ACTIONS(3200),
    [anon_sym_short] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_register] = ACTIONS(3200),
    [anon_sym_inline] = ACTIONS(3200),
    [anon_sym___inline] = ACTIONS(3200),
    [anon_sym___inline__] = ACTIONS(3200),
    [anon_sym___forceinline] = ACTIONS(3200),
    [anon_sym_thread_local] = ACTIONS(3200),
    [anon_sym___thread] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_constexpr] = ACTIONS(3200),
    [anon_sym_volatile] = ACTIONS(3200),
    [anon_sym_restrict] = ACTIONS(3200),
    [anon_sym___restrict__] = ACTIONS(3200),
    [anon_sym__Atomic] = ACTIONS(3200),
    [anon_sym__Noreturn] = ACTIONS(3200),
    [anon_sym_noreturn] = ACTIONS(3200),
    [anon_sym_mutable] = ACTIONS(3200),
    [anon_sym_constinit] = ACTIONS(3200),
    [anon_sym_consteval] = ACTIONS(3200),
    [anon_sym_PROGMEM] = ACTIONS(3200),
    [aux_sym_primitive_type_token1] = ACTIONS(3200),
    [anon_sym_byte] = ACTIONS(3200),
    [anon_sym_word] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_struct] = ACTIONS(3200),
    [anon_sym_union] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_case] = ACTIONS(3200),
    [anon_sym_default] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_goto] = ACTIONS(3200),
    [anon_sym_not] = ACTIONS(3200),
    [anon_sym_compl] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_sizeof] = ACTIONS(3200),
    [anon_sym___alignof__] = ACTIONS(3200),
    [anon_sym___alignof] = ACTIONS(3200),
    [anon_sym__alignof] = ACTIONS(3200),
    [anon_sym_alignof] = ACTIONS(3200),
    [anon_sym__Alignof] = ACTIONS(3200),
    [anon_sym_offsetof] = ACTIONS(3200),
    [anon_sym__Generic] = ACTIONS(3200),
    [anon_sym_asm] = ACTIONS(3200),
    [anon_sym___asm__] = ACTIONS(3200),
    [aux_sym_number_literal_token1] = ACTIONS(3202),
    [aux_sym_number_literal_token2] = ACTIONS(3200),
    [anon_sym_L_SQUOTE] = ACTIONS(3202),
    [anon_sym_u_SQUOTE] = ACTIONS(3202),
    [anon_sym_U_SQUOTE] = ACTIONS(3202),
    [anon_sym_u8_SQUOTE] = ACTIONS(3202),
    [anon_sym_SQUOTE] = ACTIONS(3202),
    [anon_sym_L_DQUOTE] = ACTIONS(3202),
    [anon_sym_u_DQUOTE] = ACTIONS(3202),
    [anon_sym_U_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8_DQUOTE] = ACTIONS(3202),
    [anon_sym_DQUOTE] = ACTIONS(3202),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [anon_sym_NULL] = ACTIONS(3200),
    [anon_sym_nullptr] = ACTIONS(3200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3200),
    [anon_sym_decltype] = ACTIONS(3200),
    [anon_sym_virtual] = ACTIONS(3200),
    [anon_sym_alignas] = ACTIONS(3200),
    [anon_sym_explicit] = ACTIONS(3200),
    [anon_sym_typename] = ACTIONS(3200),
    [anon_sym_template] = ACTIONS(3200),
    [anon_sym_operator] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_static_assert] = ACTIONS(3200),
    [anon_sym_concept] = ACTIONS(3200),
    [anon_sym_co_return] = ACTIONS(3200),
    [anon_sym_co_yield] = ACTIONS(3200),
    [anon_sym_R_DQUOTE] = ACTIONS(3202),
    [anon_sym_LR_DQUOTE] = ACTIONS(3202),
    [anon_sym_uR_DQUOTE] = ACTIONS(3202),
    [anon_sym_UR_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3202),
    [anon_sym_co_await] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_requires] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
  },
  [1072] = {
    [sym_preproc_def] = STATE(1000),
    [sym_preproc_function_def] = STATE(1000),
    [sym_preproc_call] = STATE(1000),
    [sym_preproc_if_in_field_declaration_list] = STATE(1000),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1000),
    [sym_type_definition] = STATE(1000),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6396),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1000),
    [sym_field_declaration] = STATE(1000),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1000),
    [sym_operator_cast] = STATE(7382),
    [sym_inline_method_definition] = STATE(1000),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(1000),
    [sym_operator_cast_declaration] = STATE(1000),
    [sym_constructor_or_destructor_definition] = STATE(1000),
    [sym_constructor_or_destructor_declaration] = STATE(1000),
    [sym_friend_declaration] = STATE(1000),
    [sym_access_specifier] = STATE(9207),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1000),
    [sym_alias_declaration] = STATE(1000),
    [sym_static_assert_declaration] = STATE(1000),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1000),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3819),
    [sym_preproc_directive] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_typedef] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3829),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3831),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_static_assert] = ACTIONS(3835),
  },
  [1073] = {
    [ts_builtin_sym_end] = ACTIONS(3429),
    [sym_identifier] = ACTIONS(3427),
    [aux_sym_preproc_include_token1] = ACTIONS(3427),
    [aux_sym_preproc_def_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token1] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3427),
    [sym_preproc_directive] = ACTIONS(3427),
    [anon_sym_LPAREN2] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3427),
    [anon_sym_PLUS] = ACTIONS(3427),
    [anon_sym_STAR] = ACTIONS(3429),
    [anon_sym_AMP_AMP] = ACTIONS(3429),
    [anon_sym_AMP] = ACTIONS(3427),
    [anon_sym___extension__] = ACTIONS(3427),
    [anon_sym_typedef] = ACTIONS(3427),
    [anon_sym_extern] = ACTIONS(3427),
    [anon_sym___attribute__] = ACTIONS(3427),
    [anon_sym_COLON_COLON] = ACTIONS(3429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3429),
    [anon_sym___declspec] = ACTIONS(3427),
    [anon_sym___based] = ACTIONS(3427),
    [anon_sym___cdecl] = ACTIONS(3427),
    [anon_sym___clrcall] = ACTIONS(3427),
    [anon_sym___stdcall] = ACTIONS(3427),
    [anon_sym___fastcall] = ACTIONS(3427),
    [anon_sym___thiscall] = ACTIONS(3427),
    [anon_sym___vectorcall] = ACTIONS(3427),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_signed] = ACTIONS(3427),
    [anon_sym_unsigned] = ACTIONS(3427),
    [anon_sym_long] = ACTIONS(3427),
    [anon_sym_short] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_register] = ACTIONS(3427),
    [anon_sym_inline] = ACTIONS(3427),
    [anon_sym___inline] = ACTIONS(3427),
    [anon_sym___inline__] = ACTIONS(3427),
    [anon_sym___forceinline] = ACTIONS(3427),
    [anon_sym_thread_local] = ACTIONS(3427),
    [anon_sym___thread] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_constexpr] = ACTIONS(3427),
    [anon_sym_volatile] = ACTIONS(3427),
    [anon_sym_restrict] = ACTIONS(3427),
    [anon_sym___restrict__] = ACTIONS(3427),
    [anon_sym__Atomic] = ACTIONS(3427),
    [anon_sym__Noreturn] = ACTIONS(3427),
    [anon_sym_noreturn] = ACTIONS(3427),
    [anon_sym_mutable] = ACTIONS(3427),
    [anon_sym_constinit] = ACTIONS(3427),
    [anon_sym_consteval] = ACTIONS(3427),
    [anon_sym_PROGMEM] = ACTIONS(3427),
    [aux_sym_primitive_type_token1] = ACTIONS(3427),
    [anon_sym_byte] = ACTIONS(3427),
    [anon_sym_word] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3427),
    [anon_sym_union] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(3427),
    [anon_sym_switch] = ACTIONS(3427),
    [anon_sym_case] = ACTIONS(3427),
    [anon_sym_default] = ACTIONS(3427),
    [anon_sym_while] = ACTIONS(3427),
    [anon_sym_do] = ACTIONS(3427),
    [anon_sym_for] = ACTIONS(3427),
    [anon_sym_return] = ACTIONS(3427),
    [anon_sym_break] = ACTIONS(3427),
    [anon_sym_continue] = ACTIONS(3427),
    [anon_sym_goto] = ACTIONS(3427),
    [anon_sym_not] = ACTIONS(3427),
    [anon_sym_compl] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_sizeof] = ACTIONS(3427),
    [anon_sym___alignof__] = ACTIONS(3427),
    [anon_sym___alignof] = ACTIONS(3427),
    [anon_sym__alignof] = ACTIONS(3427),
    [anon_sym_alignof] = ACTIONS(3427),
    [anon_sym__Alignof] = ACTIONS(3427),
    [anon_sym_offsetof] = ACTIONS(3427),
    [anon_sym__Generic] = ACTIONS(3427),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [aux_sym_number_literal_token1] = ACTIONS(3429),
    [aux_sym_number_literal_token2] = ACTIONS(3427),
    [anon_sym_L_SQUOTE] = ACTIONS(3429),
    [anon_sym_u_SQUOTE] = ACTIONS(3429),
    [anon_sym_U_SQUOTE] = ACTIONS(3429),
    [anon_sym_u8_SQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [anon_sym_L_DQUOTE] = ACTIONS(3429),
    [anon_sym_u_DQUOTE] = ACTIONS(3429),
    [anon_sym_U_DQUOTE] = ACTIONS(3429),
    [anon_sym_u8_DQUOTE] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [sym_true] = ACTIONS(3427),
    [sym_false] = ACTIONS(3427),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3427),
    [anon_sym_decltype] = ACTIONS(3427),
    [anon_sym_virtual] = ACTIONS(3427),
    [anon_sym_alignas] = ACTIONS(3427),
    [anon_sym_explicit] = ACTIONS(3427),
    [anon_sym_typename] = ACTIONS(3427),
    [anon_sym_template] = ACTIONS(3427),
    [anon_sym_operator] = ACTIONS(3427),
    [anon_sym_try] = ACTIONS(3427),
    [anon_sym_delete] = ACTIONS(3427),
    [anon_sym_throw] = ACTIONS(3427),
    [anon_sym_namespace] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_static_assert] = ACTIONS(3427),
    [anon_sym_concept] = ACTIONS(3427),
    [anon_sym_co_return] = ACTIONS(3427),
    [anon_sym_co_yield] = ACTIONS(3427),
    [anon_sym_R_DQUOTE] = ACTIONS(3429),
    [anon_sym_LR_DQUOTE] = ACTIONS(3429),
    [anon_sym_uR_DQUOTE] = ACTIONS(3429),
    [anon_sym_UR_DQUOTE] = ACTIONS(3429),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3429),
    [anon_sym_co_await] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3427),
    [anon_sym_requires] = ACTIONS(3427),
    [sym_this] = ACTIONS(3427),
  },
  [1074] = {
    [ts_builtin_sym_end] = ACTIONS(3429),
    [sym_identifier] = ACTIONS(3427),
    [aux_sym_preproc_include_token1] = ACTIONS(3427),
    [aux_sym_preproc_def_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token1] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3427),
    [sym_preproc_directive] = ACTIONS(3427),
    [anon_sym_LPAREN2] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3427),
    [anon_sym_PLUS] = ACTIONS(3427),
    [anon_sym_STAR] = ACTIONS(3429),
    [anon_sym_AMP_AMP] = ACTIONS(3429),
    [anon_sym_AMP] = ACTIONS(3427),
    [anon_sym___extension__] = ACTIONS(3427),
    [anon_sym_typedef] = ACTIONS(3427),
    [anon_sym_extern] = ACTIONS(3427),
    [anon_sym___attribute__] = ACTIONS(3427),
    [anon_sym_COLON_COLON] = ACTIONS(3429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3429),
    [anon_sym___declspec] = ACTIONS(3427),
    [anon_sym___based] = ACTIONS(3427),
    [anon_sym___cdecl] = ACTIONS(3427),
    [anon_sym___clrcall] = ACTIONS(3427),
    [anon_sym___stdcall] = ACTIONS(3427),
    [anon_sym___fastcall] = ACTIONS(3427),
    [anon_sym___thiscall] = ACTIONS(3427),
    [anon_sym___vectorcall] = ACTIONS(3427),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_signed] = ACTIONS(3427),
    [anon_sym_unsigned] = ACTIONS(3427),
    [anon_sym_long] = ACTIONS(3427),
    [anon_sym_short] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_register] = ACTIONS(3427),
    [anon_sym_inline] = ACTIONS(3427),
    [anon_sym___inline] = ACTIONS(3427),
    [anon_sym___inline__] = ACTIONS(3427),
    [anon_sym___forceinline] = ACTIONS(3427),
    [anon_sym_thread_local] = ACTIONS(3427),
    [anon_sym___thread] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_constexpr] = ACTIONS(3427),
    [anon_sym_volatile] = ACTIONS(3427),
    [anon_sym_restrict] = ACTIONS(3427),
    [anon_sym___restrict__] = ACTIONS(3427),
    [anon_sym__Atomic] = ACTIONS(3427),
    [anon_sym__Noreturn] = ACTIONS(3427),
    [anon_sym_noreturn] = ACTIONS(3427),
    [anon_sym_mutable] = ACTIONS(3427),
    [anon_sym_constinit] = ACTIONS(3427),
    [anon_sym_consteval] = ACTIONS(3427),
    [anon_sym_PROGMEM] = ACTIONS(3427),
    [aux_sym_primitive_type_token1] = ACTIONS(3427),
    [anon_sym_byte] = ACTIONS(3427),
    [anon_sym_word] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3427),
    [anon_sym_union] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(3427),
    [anon_sym_switch] = ACTIONS(3427),
    [anon_sym_case] = ACTIONS(3427),
    [anon_sym_default] = ACTIONS(3427),
    [anon_sym_while] = ACTIONS(3427),
    [anon_sym_do] = ACTIONS(3427),
    [anon_sym_for] = ACTIONS(3427),
    [anon_sym_return] = ACTIONS(3427),
    [anon_sym_break] = ACTIONS(3427),
    [anon_sym_continue] = ACTIONS(3427),
    [anon_sym_goto] = ACTIONS(3427),
    [anon_sym_not] = ACTIONS(3427),
    [anon_sym_compl] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_sizeof] = ACTIONS(3427),
    [anon_sym___alignof__] = ACTIONS(3427),
    [anon_sym___alignof] = ACTIONS(3427),
    [anon_sym__alignof] = ACTIONS(3427),
    [anon_sym_alignof] = ACTIONS(3427),
    [anon_sym__Alignof] = ACTIONS(3427),
    [anon_sym_offsetof] = ACTIONS(3427),
    [anon_sym__Generic] = ACTIONS(3427),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [aux_sym_number_literal_token1] = ACTIONS(3429),
    [aux_sym_number_literal_token2] = ACTIONS(3427),
    [anon_sym_L_SQUOTE] = ACTIONS(3429),
    [anon_sym_u_SQUOTE] = ACTIONS(3429),
    [anon_sym_U_SQUOTE] = ACTIONS(3429),
    [anon_sym_u8_SQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [anon_sym_L_DQUOTE] = ACTIONS(3429),
    [anon_sym_u_DQUOTE] = ACTIONS(3429),
    [anon_sym_U_DQUOTE] = ACTIONS(3429),
    [anon_sym_u8_DQUOTE] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [sym_true] = ACTIONS(3427),
    [sym_false] = ACTIONS(3427),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3427),
    [anon_sym_decltype] = ACTIONS(3427),
    [anon_sym_virtual] = ACTIONS(3427),
    [anon_sym_alignas] = ACTIONS(3427),
    [anon_sym_explicit] = ACTIONS(3427),
    [anon_sym_typename] = ACTIONS(3427),
    [anon_sym_template] = ACTIONS(3427),
    [anon_sym_operator] = ACTIONS(3427),
    [anon_sym_try] = ACTIONS(3427),
    [anon_sym_delete] = ACTIONS(3427),
    [anon_sym_throw] = ACTIONS(3427),
    [anon_sym_namespace] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_static_assert] = ACTIONS(3427),
    [anon_sym_concept] = ACTIONS(3427),
    [anon_sym_co_return] = ACTIONS(3427),
    [anon_sym_co_yield] = ACTIONS(3427),
    [anon_sym_R_DQUOTE] = ACTIONS(3429),
    [anon_sym_LR_DQUOTE] = ACTIONS(3429),
    [anon_sym_uR_DQUOTE] = ACTIONS(3429),
    [anon_sym_UR_DQUOTE] = ACTIONS(3429),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3429),
    [anon_sym_co_await] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3427),
    [anon_sym_requires] = ACTIONS(3427),
    [sym_this] = ACTIONS(3427),
  },
  [1075] = {
    [sym_preproc_def] = STATE(1000),
    [sym_preproc_function_def] = STATE(1000),
    [sym_preproc_call] = STATE(1000),
    [sym_preproc_if_in_field_declaration_list] = STATE(1000),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1000),
    [sym_type_definition] = STATE(1000),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6396),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1000),
    [sym_field_declaration] = STATE(1000),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1000),
    [sym_operator_cast] = STATE(7382),
    [sym_inline_method_definition] = STATE(1000),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(1000),
    [sym_operator_cast_declaration] = STATE(1000),
    [sym_constructor_or_destructor_definition] = STATE(1000),
    [sym_constructor_or_destructor_declaration] = STATE(1000),
    [sym_friend_declaration] = STATE(1000),
    [sym_access_specifier] = STATE(9207),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1000),
    [sym_alias_declaration] = STATE(1000),
    [sym_static_assert_declaration] = STATE(1000),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1000),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3819),
    [sym_preproc_directive] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_typedef] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3997),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3829),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3831),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_static_assert] = ACTIONS(3835),
  },
  [1076] = {
    [sym_preproc_def] = STATE(1081),
    [sym_preproc_function_def] = STATE(1081),
    [sym_preproc_call] = STATE(1081),
    [sym_preproc_if_in_field_declaration_list] = STATE(1081),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1081),
    [sym_type_definition] = STATE(1081),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6396),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1081),
    [sym_field_declaration] = STATE(1081),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1081),
    [sym_operator_cast] = STATE(7382),
    [sym_inline_method_definition] = STATE(1081),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(1081),
    [sym_operator_cast_declaration] = STATE(1081),
    [sym_constructor_or_destructor_definition] = STATE(1081),
    [sym_constructor_or_destructor_declaration] = STATE(1081),
    [sym_friend_declaration] = STATE(1081),
    [sym_access_specifier] = STATE(9207),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1081),
    [sym_alias_declaration] = STATE(1081),
    [sym_static_assert_declaration] = STATE(1081),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3819),
    [sym_preproc_directive] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_typedef] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3999),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3829),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3831),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_static_assert] = ACTIONS(3835),
  },
  [1077] = {
    [sym_preproc_def] = STATE(1072),
    [sym_preproc_function_def] = STATE(1072),
    [sym_preproc_call] = STATE(1072),
    [sym_preproc_if_in_field_declaration_list] = STATE(1072),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1072),
    [sym_type_definition] = STATE(1072),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6396),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1072),
    [sym_field_declaration] = STATE(1072),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1072),
    [sym_operator_cast] = STATE(7382),
    [sym_inline_method_definition] = STATE(1072),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(1072),
    [sym_operator_cast_declaration] = STATE(1072),
    [sym_constructor_or_destructor_definition] = STATE(1072),
    [sym_constructor_or_destructor_declaration] = STATE(1072),
    [sym_friend_declaration] = STATE(1072),
    [sym_access_specifier] = STATE(9207),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1072),
    [sym_alias_declaration] = STATE(1072),
    [sym_static_assert_declaration] = STATE(1072),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1072),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3819),
    [sym_preproc_directive] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_typedef] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(4001),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3829),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3831),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_static_assert] = ACTIONS(3835),
  },
  [1078] = {
    [sym_preproc_def] = STATE(1069),
    [sym_preproc_function_def] = STATE(1069),
    [sym_preproc_call] = STATE(1069),
    [sym_preproc_if_in_field_declaration_list] = STATE(1069),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1069),
    [sym_type_definition] = STATE(1069),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6396),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1069),
    [sym_field_declaration] = STATE(1069),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1069),
    [sym_operator_cast] = STATE(7382),
    [sym_inline_method_definition] = STATE(1069),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(1069),
    [sym_operator_cast_declaration] = STATE(1069),
    [sym_constructor_or_destructor_definition] = STATE(1069),
    [sym_constructor_or_destructor_declaration] = STATE(1069),
    [sym_friend_declaration] = STATE(1069),
    [sym_access_specifier] = STATE(9207),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1069),
    [sym_alias_declaration] = STATE(1069),
    [sym_static_assert_declaration] = STATE(1069),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1069),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3819),
    [sym_preproc_directive] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_typedef] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(4003),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3829),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3831),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_static_assert] = ACTIONS(3835),
  },
  [1079] = {
    [ts_builtin_sym_end] = ACTIONS(3214),
    [sym_identifier] = ACTIONS(3212),
    [aux_sym_preproc_include_token1] = ACTIONS(3212),
    [aux_sym_preproc_def_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token1] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3212),
    [sym_preproc_directive] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym___extension__] = ACTIONS(3212),
    [anon_sym_typedef] = ACTIONS(3212),
    [anon_sym_extern] = ACTIONS(3212),
    [anon_sym___attribute__] = ACTIONS(3212),
    [anon_sym_COLON_COLON] = ACTIONS(3214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3214),
    [anon_sym___declspec] = ACTIONS(3212),
    [anon_sym___based] = ACTIONS(3212),
    [anon_sym___cdecl] = ACTIONS(3212),
    [anon_sym___clrcall] = ACTIONS(3212),
    [anon_sym___stdcall] = ACTIONS(3212),
    [anon_sym___fastcall] = ACTIONS(3212),
    [anon_sym___thiscall] = ACTIONS(3212),
    [anon_sym___vectorcall] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_signed] = ACTIONS(3212),
    [anon_sym_unsigned] = ACTIONS(3212),
    [anon_sym_long] = ACTIONS(3212),
    [anon_sym_short] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_register] = ACTIONS(3212),
    [anon_sym_inline] = ACTIONS(3212),
    [anon_sym___inline] = ACTIONS(3212),
    [anon_sym___inline__] = ACTIONS(3212),
    [anon_sym___forceinline] = ACTIONS(3212),
    [anon_sym_thread_local] = ACTIONS(3212),
    [anon_sym___thread] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_constexpr] = ACTIONS(3212),
    [anon_sym_volatile] = ACTIONS(3212),
    [anon_sym_restrict] = ACTIONS(3212),
    [anon_sym___restrict__] = ACTIONS(3212),
    [anon_sym__Atomic] = ACTIONS(3212),
    [anon_sym__Noreturn] = ACTIONS(3212),
    [anon_sym_noreturn] = ACTIONS(3212),
    [anon_sym_mutable] = ACTIONS(3212),
    [anon_sym_constinit] = ACTIONS(3212),
    [anon_sym_consteval] = ACTIONS(3212),
    [anon_sym_PROGMEM] = ACTIONS(3212),
    [aux_sym_primitive_type_token1] = ACTIONS(3212),
    [anon_sym_byte] = ACTIONS(3212),
    [anon_sym_word] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_struct] = ACTIONS(3212),
    [anon_sym_union] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_case] = ACTIONS(3212),
    [anon_sym_default] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_goto] = ACTIONS(3212),
    [anon_sym_not] = ACTIONS(3212),
    [anon_sym_compl] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_sizeof] = ACTIONS(3212),
    [anon_sym___alignof__] = ACTIONS(3212),
    [anon_sym___alignof] = ACTIONS(3212),
    [anon_sym__alignof] = ACTIONS(3212),
    [anon_sym_alignof] = ACTIONS(3212),
    [anon_sym__Alignof] = ACTIONS(3212),
    [anon_sym_offsetof] = ACTIONS(3212),
    [anon_sym__Generic] = ACTIONS(3212),
    [anon_sym_asm] = ACTIONS(3212),
    [anon_sym___asm__] = ACTIONS(3212),
    [aux_sym_number_literal_token1] = ACTIONS(3214),
    [aux_sym_number_literal_token2] = ACTIONS(3212),
    [anon_sym_L_SQUOTE] = ACTIONS(3214),
    [anon_sym_u_SQUOTE] = ACTIONS(3214),
    [anon_sym_U_SQUOTE] = ACTIONS(3214),
    [anon_sym_u8_SQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [anon_sym_L_DQUOTE] = ACTIONS(3214),
    [anon_sym_u_DQUOTE] = ACTIONS(3214),
    [anon_sym_U_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8_DQUOTE] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [anon_sym_NULL] = ACTIONS(3212),
    [anon_sym_nullptr] = ACTIONS(3212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3212),
    [anon_sym_decltype] = ACTIONS(3212),
    [anon_sym_virtual] = ACTIONS(3212),
    [anon_sym_alignas] = ACTIONS(3212),
    [anon_sym_explicit] = ACTIONS(3212),
    [anon_sym_typename] = ACTIONS(3212),
    [anon_sym_template] = ACTIONS(3212),
    [anon_sym_operator] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3212),
    [anon_sym_concept] = ACTIONS(3212),
    [anon_sym_co_return] = ACTIONS(3212),
    [anon_sym_co_yield] = ACTIONS(3212),
    [anon_sym_R_DQUOTE] = ACTIONS(3214),
    [anon_sym_LR_DQUOTE] = ACTIONS(3214),
    [anon_sym_uR_DQUOTE] = ACTIONS(3214),
    [anon_sym_UR_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3214),
    [anon_sym_co_await] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_requires] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
  },
  [1080] = {
    [sym_preproc_def] = STATE(1000),
    [sym_preproc_function_def] = STATE(1000),
    [sym_preproc_call] = STATE(1000),
    [sym_preproc_if_in_field_declaration_list] = STATE(1000),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1000),
    [sym_type_definition] = STATE(1000),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6396),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1000),
    [sym_field_declaration] = STATE(1000),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1000),
    [sym_operator_cast] = STATE(7382),
    [sym_inline_method_definition] = STATE(1000),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(1000),
    [sym_operator_cast_declaration] = STATE(1000),
    [sym_constructor_or_destructor_definition] = STATE(1000),
    [sym_constructor_or_destructor_declaration] = STATE(1000),
    [sym_friend_declaration] = STATE(1000),
    [sym_access_specifier] = STATE(9207),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1000),
    [sym_alias_declaration] = STATE(1000),
    [sym_static_assert_declaration] = STATE(1000),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1000),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3819),
    [sym_preproc_directive] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_typedef] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(4005),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3829),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3831),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_static_assert] = ACTIONS(3835),
  },
  [1081] = {
    [sym_preproc_def] = STATE(1000),
    [sym_preproc_function_def] = STATE(1000),
    [sym_preproc_call] = STATE(1000),
    [sym_preproc_if_in_field_declaration_list] = STATE(1000),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1000),
    [sym_type_definition] = STATE(1000),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(6396),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1000),
    [sym_field_declaration] = STATE(1000),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1000),
    [sym_operator_cast] = STATE(7382),
    [sym_inline_method_definition] = STATE(1000),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(1000),
    [sym_operator_cast_declaration] = STATE(1000),
    [sym_constructor_or_destructor_definition] = STATE(1000),
    [sym_constructor_or_destructor_declaration] = STATE(1000),
    [sym_friend_declaration] = STATE(1000),
    [sym_access_specifier] = STATE(9207),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_using_declaration] = STATE(1000),
    [sym_alias_declaration] = STATE(1000),
    [sym_static_assert_declaration] = STATE(1000),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6146),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1000),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2233),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3819),
    [sym_preproc_directive] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_typedef] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(4007),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(3829),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3831),
    [anon_sym_public] = ACTIONS(3272),
    [anon_sym_private] = ACTIONS(3272),
    [anon_sym_protected] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_static_assert] = ACTIONS(3835),
  },
  [1082] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5267),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_initializer_list] = STATE(4523),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2149),
    [anon_sym_LPAREN2] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(4011),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2149),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2149),
    [anon_sym_PIPE_PIPE] = ACTIONS(2149),
    [anon_sym_AMP_AMP] = ACTIONS(2149),
    [anon_sym_PIPE] = ACTIONS(2147),
    [anon_sym_CARET] = ACTIONS(2149),
    [anon_sym_AMP] = ACTIONS(2147),
    [anon_sym_EQ_EQ] = ACTIONS(2149),
    [anon_sym_BANG_EQ] = ACTIONS(2149),
    [anon_sym_GT] = ACTIONS(2147),
    [anon_sym_GT_EQ] = ACTIONS(2149),
    [anon_sym_LT_EQ] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_LT_LT] = ACTIONS(2149),
    [anon_sym_GT_GT] = ACTIONS(2149),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(2147),
    [anon_sym_QMARK] = ACTIONS(2149),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_LT_EQ_GT] = ACTIONS(2149),
    [anon_sym_or] = ACTIONS(2147),
    [anon_sym_and] = ACTIONS(2147),
    [anon_sym_bitor] = ACTIONS(2147),
    [anon_sym_xor] = ACTIONS(2147),
    [anon_sym_bitand] = ACTIONS(2147),
    [anon_sym_not_eq] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(2147),
    [anon_sym_DOT_STAR] = ACTIONS(2149),
    [anon_sym_DASH_GT] = ACTIONS(2149),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1083] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5271),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4023),
    [anon_sym_COMMA] = ACTIONS(4023),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3909),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_SLASH] = ACTIONS(4027),
    [anon_sym_PERCENT] = ACTIONS(4023),
    [anon_sym_PIPE_PIPE] = ACTIONS(4023),
    [anon_sym_AMP_AMP] = ACTIONS(4023),
    [anon_sym_PIPE] = ACTIONS(4027),
    [anon_sym_CARET] = ACTIONS(4023),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(4023),
    [anon_sym_BANG_EQ] = ACTIONS(4023),
    [anon_sym_GT] = ACTIONS(4027),
    [anon_sym_GT_EQ] = ACTIONS(4023),
    [anon_sym_LT_EQ] = ACTIONS(4027),
    [anon_sym_LT] = ACTIONS(4027),
    [anon_sym_LT_LT] = ACTIONS(4023),
    [anon_sym_GT_GT] = ACTIONS(4023),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4023),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_LT_EQ_GT] = ACTIONS(4023),
    [anon_sym_or] = ACTIONS(4027),
    [anon_sym_and] = ACTIONS(4027),
    [anon_sym_bitor] = ACTIONS(4027),
    [anon_sym_xor] = ACTIONS(4027),
    [anon_sym_bitand] = ACTIONS(4027),
    [anon_sym_not_eq] = ACTIONS(4027),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(4027),
    [anon_sym_DOT_STAR] = ACTIONS(4023),
    [anon_sym_DASH_GT] = ACTIONS(4023),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1084] = {
    [sym__declaration_modifiers] = STATE(2222),
    [sym__declaration_specifiers] = STATE(6882),
    [sym_attribute_specifier] = STATE(2222),
    [sym_attribute_declaration] = STATE(2222),
    [sym_ms_declspec_modifier] = STATE(2222),
    [sym_storage_class_specifier] = STATE(2222),
    [sym_type_qualifier] = STATE(2222),
    [sym__type_specifier] = STATE(4665),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3979),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2222),
    [sym_alignas_specifier] = STATE(2222),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7217),
    [sym_qualified_type_identifier] = STATE(3265),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2222),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3274),
    [sym_identifier] = ACTIONS(4031),
    [anon_sym_COMMA] = ACTIONS(4033),
    [anon_sym_BANG] = ACTIONS(4035),
    [anon_sym_TILDE] = ACTIONS(4033),
    [anon_sym_DASH] = ACTIONS(4035),
    [anon_sym_PLUS] = ACTIONS(4035),
    [anon_sym_STAR] = ACTIONS(4035),
    [anon_sym_SLASH] = ACTIONS(4035),
    [anon_sym_PERCENT] = ACTIONS(4035),
    [anon_sym_PIPE_PIPE] = ACTIONS(4033),
    [anon_sym_AMP_AMP] = ACTIONS(4033),
    [anon_sym_PIPE] = ACTIONS(4035),
    [anon_sym_CARET] = ACTIONS(4035),
    [anon_sym_AMP] = ACTIONS(4035),
    [anon_sym_EQ_EQ] = ACTIONS(4033),
    [anon_sym_BANG_EQ] = ACTIONS(4033),
    [anon_sym_GT] = ACTIONS(4035),
    [anon_sym_GT_EQ] = ACTIONS(4033),
    [anon_sym_LT_EQ] = ACTIONS(4035),
    [anon_sym_LT] = ACTIONS(4035),
    [anon_sym_LT_LT] = ACTIONS(4035),
    [anon_sym_GT_GT] = ACTIONS(4035),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4037),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(4039),
    [anon_sym_unsigned] = ACTIONS(4039),
    [anon_sym_long] = ACTIONS(4039),
    [anon_sym_short] = ACTIONS(4039),
    [anon_sym_EQ] = ACTIONS(4035),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(4041),
    [anon_sym_class] = ACTIONS(4043),
    [anon_sym_struct] = ACTIONS(4045),
    [anon_sym_union] = ACTIONS(4047),
    [anon_sym_STAR_EQ] = ACTIONS(4033),
    [anon_sym_SLASH_EQ] = ACTIONS(4033),
    [anon_sym_PERCENT_EQ] = ACTIONS(4033),
    [anon_sym_PLUS_EQ] = ACTIONS(4033),
    [anon_sym_DASH_EQ] = ACTIONS(4033),
    [anon_sym_LT_LT_EQ] = ACTIONS(4033),
    [anon_sym_GT_GT_EQ] = ACTIONS(4033),
    [anon_sym_AMP_EQ] = ACTIONS(4033),
    [anon_sym_CARET_EQ] = ACTIONS(4033),
    [anon_sym_PIPE_EQ] = ACTIONS(4033),
    [anon_sym_and_eq] = ACTIONS(4035),
    [anon_sym_or_eq] = ACTIONS(4035),
    [anon_sym_xor_eq] = ACTIONS(4035),
    [anon_sym_not] = ACTIONS(4035),
    [anon_sym_compl] = ACTIONS(4035),
    [anon_sym_LT_EQ_GT] = ACTIONS(4033),
    [anon_sym_or] = ACTIONS(4035),
    [anon_sym_and] = ACTIONS(4035),
    [anon_sym_bitor] = ACTIONS(4035),
    [anon_sym_xor] = ACTIONS(4035),
    [anon_sym_bitand] = ACTIONS(4035),
    [anon_sym_not_eq] = ACTIONS(4035),
    [anon_sym_DASH_DASH] = ACTIONS(4033),
    [anon_sym_PLUS_PLUS] = ACTIONS(4033),
    [anon_sym_DASH_GT] = ACTIONS(4035),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(4049),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4051),
    [anon_sym_co_await] = ACTIONS(4035),
    [anon_sym_new] = ACTIONS(4051),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4033),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(4033),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(4033),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(4053),
  },
  [1085] = {
    [sym__declaration_modifiers] = STATE(2222),
    [sym__declaration_specifiers] = STATE(6882),
    [sym_attribute_specifier] = STATE(2222),
    [sym_attribute_declaration] = STATE(2222),
    [sym_ms_declspec_modifier] = STATE(2222),
    [sym_storage_class_specifier] = STATE(2222),
    [sym_type_qualifier] = STATE(2222),
    [sym__type_specifier] = STATE(4665),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3979),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2222),
    [sym_alignas_specifier] = STATE(2222),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7217),
    [sym_qualified_type_identifier] = STATE(3265),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2222),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3274),
    [sym_identifier] = ACTIONS(4031),
    [anon_sym_COMMA] = ACTIONS(4055),
    [anon_sym_BANG] = ACTIONS(4057),
    [anon_sym_TILDE] = ACTIONS(4055),
    [anon_sym_DASH] = ACTIONS(4057),
    [anon_sym_PLUS] = ACTIONS(4057),
    [anon_sym_STAR] = ACTIONS(4057),
    [anon_sym_SLASH] = ACTIONS(4057),
    [anon_sym_PERCENT] = ACTIONS(4057),
    [anon_sym_PIPE_PIPE] = ACTIONS(4055),
    [anon_sym_AMP_AMP] = ACTIONS(4055),
    [anon_sym_PIPE] = ACTIONS(4057),
    [anon_sym_CARET] = ACTIONS(4057),
    [anon_sym_AMP] = ACTIONS(4057),
    [anon_sym_EQ_EQ] = ACTIONS(4055),
    [anon_sym_BANG_EQ] = ACTIONS(4055),
    [anon_sym_GT] = ACTIONS(4057),
    [anon_sym_GT_EQ] = ACTIONS(4055),
    [anon_sym_LT_EQ] = ACTIONS(4057),
    [anon_sym_LT] = ACTIONS(4057),
    [anon_sym_LT_LT] = ACTIONS(4057),
    [anon_sym_GT_GT] = ACTIONS(4057),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4037),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(4039),
    [anon_sym_unsigned] = ACTIONS(4039),
    [anon_sym_long] = ACTIONS(4039),
    [anon_sym_short] = ACTIONS(4039),
    [anon_sym_EQ] = ACTIONS(4057),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(4041),
    [anon_sym_class] = ACTIONS(4043),
    [anon_sym_struct] = ACTIONS(4045),
    [anon_sym_union] = ACTIONS(4047),
    [anon_sym_STAR_EQ] = ACTIONS(4055),
    [anon_sym_SLASH_EQ] = ACTIONS(4055),
    [anon_sym_PERCENT_EQ] = ACTIONS(4055),
    [anon_sym_PLUS_EQ] = ACTIONS(4055),
    [anon_sym_DASH_EQ] = ACTIONS(4055),
    [anon_sym_LT_LT_EQ] = ACTIONS(4055),
    [anon_sym_GT_GT_EQ] = ACTIONS(4055),
    [anon_sym_AMP_EQ] = ACTIONS(4055),
    [anon_sym_CARET_EQ] = ACTIONS(4055),
    [anon_sym_PIPE_EQ] = ACTIONS(4055),
    [anon_sym_and_eq] = ACTIONS(4057),
    [anon_sym_or_eq] = ACTIONS(4057),
    [anon_sym_xor_eq] = ACTIONS(4057),
    [anon_sym_not] = ACTIONS(4057),
    [anon_sym_compl] = ACTIONS(4057),
    [anon_sym_LT_EQ_GT] = ACTIONS(4055),
    [anon_sym_or] = ACTIONS(4057),
    [anon_sym_and] = ACTIONS(4057),
    [anon_sym_bitor] = ACTIONS(4057),
    [anon_sym_xor] = ACTIONS(4057),
    [anon_sym_bitand] = ACTIONS(4057),
    [anon_sym_not_eq] = ACTIONS(4057),
    [anon_sym_DASH_DASH] = ACTIONS(4055),
    [anon_sym_PLUS_PLUS] = ACTIONS(4055),
    [anon_sym_DASH_GT] = ACTIONS(4057),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(4049),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4059),
    [anon_sym_co_await] = ACTIONS(4057),
    [anon_sym_new] = ACTIONS(4059),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4055),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(4055),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(4055),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(4061),
  },
  [1086] = {
    [sym_function_definition] = STATE(941),
    [sym_declaration] = STATE(941),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5813),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2144),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6885),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3961),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(941),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2209),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(941),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2209),
    [sym_operator_cast_definition] = STATE(941),
    [sym_operator_cast_declaration] = STATE(941),
    [sym_constructor_or_destructor_definition] = STATE(941),
    [sym_constructor_or_destructor_declaration] = STATE(941),
    [sym_friend_declaration] = STATE(941),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_alias_declaration] = STATE(941),
    [sym_concept_definition] = STATE(941),
    [sym_requires_clause] = STATE(1098),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6150),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2209),
    [sym_identifier] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4065),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(4067),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(4069),
    [anon_sym_using] = ACTIONS(4071),
    [anon_sym_concept] = ACTIONS(979),
    [anon_sym_requires] = ACTIONS(4073),
  },
  [1087] = {
    [sym_function_definition] = STATE(571),
    [sym_declaration] = STATE(571),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5832),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2191),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6923),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3909),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(571),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2149),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(571),
    [sym_operator_cast] = STATE(7346),
    [sym__constructor_specifiers] = STATE(2149),
    [sym_operator_cast_definition] = STATE(571),
    [sym_operator_cast_declaration] = STATE(571),
    [sym_constructor_or_destructor_definition] = STATE(571),
    [sym_constructor_or_destructor_declaration] = STATE(571),
    [sym_friend_declaration] = STATE(571),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_alias_declaration] = STATE(571),
    [sym_concept_definition] = STATE(571),
    [sym_requires_clause] = STATE(1100),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6150),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7346),
    [sym_operator_name] = STATE(6932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2149),
    [sym_identifier] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4065),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(4075),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(4077),
    [anon_sym_using] = ACTIONS(4079),
    [anon_sym_concept] = ACTIONS(423),
    [anon_sym_requires] = ACTIONS(4073),
  },
  [1088] = {
    [sym_function_definition] = STATE(2148),
    [sym_declaration] = STATE(2148),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5862),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2129),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6985),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3904),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(2148),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2150),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(2148),
    [sym_operator_cast] = STATE(7390),
    [sym__constructor_specifiers] = STATE(2150),
    [sym_operator_cast_definition] = STATE(2148),
    [sym_operator_cast_declaration] = STATE(2148),
    [sym_constructor_or_destructor_definition] = STATE(2148),
    [sym_constructor_or_destructor_declaration] = STATE(2148),
    [sym_friend_declaration] = STATE(2148),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_alias_declaration] = STATE(2148),
    [sym_concept_definition] = STATE(2148),
    [sym_requires_clause] = STATE(1104),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6150),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7390),
    [sym_operator_name] = STATE(6932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2150),
    [sym_identifier] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4065),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3270),
    [anon_sym_using] = ACTIONS(4081),
    [anon_sym_concept] = ACTIONS(4083),
    [anon_sym_requires] = ACTIONS(4073),
  },
  [1089] = {
    [sym_function_definition] = STATE(1005),
    [sym_declaration] = STATE(1005),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5856),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2122),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6995),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(4008),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(1005),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2200),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1005),
    [sym_operator_cast] = STATE(7350),
    [sym__constructor_specifiers] = STATE(2200),
    [sym_operator_cast_definition] = STATE(1005),
    [sym_operator_cast_declaration] = STATE(1005),
    [sym_constructor_or_destructor_definition] = STATE(1005),
    [sym_constructor_or_destructor_declaration] = STATE(1005),
    [sym_friend_declaration] = STATE(1005),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_alias_declaration] = STATE(1005),
    [sym_concept_definition] = STATE(1005),
    [sym_requires_clause] = STATE(1101),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6150),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7350),
    [sym_operator_name] = STATE(6932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2200),
    [sym_identifier] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4065),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(4085),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(4087),
    [anon_sym_using] = ACTIONS(4089),
    [anon_sym_concept] = ACTIONS(147),
    [anon_sym_requires] = ACTIONS(4073),
  },
  [1090] = {
    [sym_function_definition] = STATE(396),
    [sym_declaration] = STATE(396),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5798),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2167),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6964),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(4100),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(396),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2210),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(396),
    [sym_operator_cast] = STATE(7349),
    [sym__constructor_specifiers] = STATE(2210),
    [sym_operator_cast_definition] = STATE(396),
    [sym_operator_cast_declaration] = STATE(396),
    [sym_constructor_or_destructor_definition] = STATE(396),
    [sym_constructor_or_destructor_declaration] = STATE(396),
    [sym_friend_declaration] = STATE(396),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_alias_declaration] = STATE(396),
    [sym_concept_definition] = STATE(396),
    [sym_requires_clause] = STATE(1097),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6150),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7349),
    [sym_operator_name] = STATE(6932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2210),
    [sym_identifier] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4065),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(4091),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(4093),
    [anon_sym_using] = ACTIONS(4095),
    [anon_sym_concept] = ACTIONS(335),
    [anon_sym_requires] = ACTIONS(4073),
  },
  [1091] = {
    [sym_function_definition] = STATE(2569),
    [sym_declaration] = STATE(2569),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5829),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2097),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6930),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3993),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(2569),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2185),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(2569),
    [sym_operator_cast] = STATE(7392),
    [sym__constructor_specifiers] = STATE(2185),
    [sym_operator_cast_definition] = STATE(2569),
    [sym_operator_cast_declaration] = STATE(2569),
    [sym_constructor_or_destructor_definition] = STATE(2569),
    [sym_constructor_or_destructor_declaration] = STATE(2569),
    [sym_friend_declaration] = STATE(2569),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_alias_declaration] = STATE(2569),
    [sym_concept_definition] = STATE(2569),
    [sym_requires_clause] = STATE(1103),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6150),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7392),
    [sym_operator_name] = STATE(6932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2185),
    [sym_identifier] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4065),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3855),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3857),
    [anon_sym_using] = ACTIONS(4097),
    [anon_sym_concept] = ACTIONS(4099),
    [anon_sym_requires] = ACTIONS(4073),
  },
  [1092] = {
    [sym_function_definition] = STATE(885),
    [sym_declaration] = STATE(885),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6890),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(885),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2181),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(885),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2181),
    [sym_operator_cast_definition] = STATE(885),
    [sym_operator_cast_declaration] = STATE(885),
    [sym_constructor_or_destructor_definition] = STATE(885),
    [sym_constructor_or_destructor_declaration] = STATE(885),
    [sym_friend_declaration] = STATE(885),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_alias_declaration] = STATE(885),
    [sym_concept_definition] = STATE(885),
    [sym_requires_clause] = STATE(1099),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6150),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2181),
    [sym_identifier] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4065),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(4101),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(4103),
    [anon_sym_using] = ACTIONS(4105),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_requires] = ACTIONS(4073),
  },
  [1093] = {
    [sym_function_definition] = STATE(2451),
    [sym_declaration] = STATE(2451),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5812),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2137),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(4034),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(2451),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(2451),
    [sym_operator_cast] = STATE(7382),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(2451),
    [sym_operator_cast_declaration] = STATE(2451),
    [sym_constructor_or_destructor_definition] = STATE(2451),
    [sym_constructor_or_destructor_declaration] = STATE(2451),
    [sym_friend_declaration] = STATE(2451),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_alias_declaration] = STATE(2451),
    [sym_concept_definition] = STATE(2451),
    [sym_requires_clause] = STATE(1105),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6150),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4065),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3829),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3831),
    [anon_sym_using] = ACTIONS(4107),
    [anon_sym_concept] = ACTIONS(4109),
    [anon_sym_requires] = ACTIONS(4073),
  },
  [1094] = {
    [sym_function_definition] = STATE(2383),
    [sym_declaration] = STATE(2383),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5839),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2165),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6903),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3999),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(2383),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2199),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(2383),
    [sym_operator_cast] = STATE(7394),
    [sym__constructor_specifiers] = STATE(2199),
    [sym_operator_cast_definition] = STATE(2383),
    [sym_operator_cast_declaration] = STATE(2383),
    [sym_constructor_or_destructor_definition] = STATE(2383),
    [sym_constructor_or_destructor_declaration] = STATE(2383),
    [sym_friend_declaration] = STATE(2383),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_alias_declaration] = STATE(2383),
    [sym_concept_definition] = STATE(2383),
    [sym_requires_clause] = STATE(1102),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6150),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7394),
    [sym_operator_name] = STATE(6932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2199),
    [sym_identifier] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4065),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3539),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3541),
    [anon_sym_using] = ACTIONS(4111),
    [anon_sym_concept] = ACTIONS(4113),
    [anon_sym_requires] = ACTIONS(4073),
  },
  [1095] = {
    [sym_identifier] = ACTIONS(4115),
    [anon_sym_COMMA] = ACTIONS(4117),
    [anon_sym_RPAREN] = ACTIONS(4117),
    [anon_sym_LPAREN2] = ACTIONS(4117),
    [anon_sym_BANG] = ACTIONS(4117),
    [anon_sym_TILDE] = ACTIONS(4117),
    [anon_sym_DASH] = ACTIONS(4115),
    [anon_sym_PLUS] = ACTIONS(4115),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_AMP_AMP] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4115),
    [anon_sym_SEMI] = ACTIONS(4117),
    [anon_sym___extension__] = ACTIONS(4115),
    [anon_sym_extern] = ACTIONS(4115),
    [anon_sym___attribute__] = ACTIONS(4115),
    [anon_sym_COLON_COLON] = ACTIONS(4117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4117),
    [anon_sym___declspec] = ACTIONS(4115),
    [anon_sym___based] = ACTIONS(4115),
    [anon_sym_LBRACE] = ACTIONS(4117),
    [anon_sym_signed] = ACTIONS(4115),
    [anon_sym_unsigned] = ACTIONS(4115),
    [anon_sym_long] = ACTIONS(4115),
    [anon_sym_short] = ACTIONS(4115),
    [anon_sym_LBRACK] = ACTIONS(4115),
    [anon_sym_EQ] = ACTIONS(4117),
    [anon_sym_static] = ACTIONS(4115),
    [anon_sym_register] = ACTIONS(4115),
    [anon_sym_inline] = ACTIONS(4115),
    [anon_sym___inline] = ACTIONS(4115),
    [anon_sym___inline__] = ACTIONS(4115),
    [anon_sym___forceinline] = ACTIONS(4115),
    [anon_sym_thread_local] = ACTIONS(4115),
    [anon_sym___thread] = ACTIONS(4115),
    [anon_sym_const] = ACTIONS(4115),
    [anon_sym_constexpr] = ACTIONS(4115),
    [anon_sym_volatile] = ACTIONS(4115),
    [anon_sym_restrict] = ACTIONS(4115),
    [anon_sym___restrict__] = ACTIONS(4115),
    [anon_sym__Atomic] = ACTIONS(4115),
    [anon_sym__Noreturn] = ACTIONS(4115),
    [anon_sym_noreturn] = ACTIONS(4115),
    [anon_sym_mutable] = ACTIONS(4115),
    [anon_sym_constinit] = ACTIONS(4115),
    [anon_sym_consteval] = ACTIONS(4115),
    [anon_sym_PROGMEM] = ACTIONS(4115),
    [aux_sym_primitive_type_token1] = ACTIONS(4115),
    [anon_sym_byte] = ACTIONS(4115),
    [anon_sym_word] = ACTIONS(4115),
    [anon_sym_enum] = ACTIONS(4115),
    [anon_sym_class] = ACTIONS(4115),
    [anon_sym_struct] = ACTIONS(4115),
    [anon_sym_union] = ACTIONS(4115),
    [anon_sym_if] = ACTIONS(4115),
    [anon_sym_switch] = ACTIONS(4115),
    [anon_sym_case] = ACTIONS(4115),
    [anon_sym_default] = ACTIONS(4115),
    [anon_sym_while] = ACTIONS(4115),
    [anon_sym_do] = ACTIONS(4115),
    [anon_sym_for] = ACTIONS(4115),
    [anon_sym_return] = ACTIONS(4115),
    [anon_sym_break] = ACTIONS(4115),
    [anon_sym_continue] = ACTIONS(4115),
    [anon_sym_goto] = ACTIONS(4115),
    [anon_sym___try] = ACTIONS(4115),
    [anon_sym___leave] = ACTIONS(4115),
    [anon_sym_not] = ACTIONS(4115),
    [anon_sym_compl] = ACTIONS(4115),
    [anon_sym_DASH_DASH] = ACTIONS(4117),
    [anon_sym_PLUS_PLUS] = ACTIONS(4117),
    [anon_sym_sizeof] = ACTIONS(4115),
    [anon_sym___alignof__] = ACTIONS(4115),
    [anon_sym___alignof] = ACTIONS(4115),
    [anon_sym__alignof] = ACTIONS(4115),
    [anon_sym_alignof] = ACTIONS(4115),
    [anon_sym__Alignof] = ACTIONS(4115),
    [anon_sym_offsetof] = ACTIONS(4115),
    [anon_sym__Generic] = ACTIONS(4115),
    [anon_sym_asm] = ACTIONS(4115),
    [anon_sym___asm__] = ACTIONS(4115),
    [aux_sym_number_literal_token1] = ACTIONS(4117),
    [aux_sym_number_literal_token2] = ACTIONS(4115),
    [anon_sym_L_SQUOTE] = ACTIONS(4117),
    [anon_sym_u_SQUOTE] = ACTIONS(4117),
    [anon_sym_U_SQUOTE] = ACTIONS(4117),
    [anon_sym_u8_SQUOTE] = ACTIONS(4117),
    [anon_sym_SQUOTE] = ACTIONS(4117),
    [anon_sym_L_DQUOTE] = ACTIONS(4117),
    [anon_sym_u_DQUOTE] = ACTIONS(4117),
    [anon_sym_U_DQUOTE] = ACTIONS(4117),
    [anon_sym_u8_DQUOTE] = ACTIONS(4117),
    [anon_sym_DQUOTE] = ACTIONS(4117),
    [sym_true] = ACTIONS(4115),
    [sym_false] = ACTIONS(4115),
    [anon_sym_NULL] = ACTIONS(4115),
    [anon_sym_nullptr] = ACTIONS(4115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4115),
    [anon_sym_decltype] = ACTIONS(4115),
    [anon_sym_virtual] = ACTIONS(4115),
    [anon_sym_alignas] = ACTIONS(4115),
    [anon_sym_explicit] = ACTIONS(4115),
    [anon_sym_typename] = ACTIONS(4115),
    [anon_sym_template] = ACTIONS(4115),
    [anon_sym_GT2] = ACTIONS(4117),
    [anon_sym_operator] = ACTIONS(4115),
    [anon_sym_try] = ACTIONS(4115),
    [anon_sym_delete] = ACTIONS(4115),
    [anon_sym_throw] = ACTIONS(4115),
    [anon_sym_co_return] = ACTIONS(4115),
    [anon_sym_co_yield] = ACTIONS(4115),
    [anon_sym_R_DQUOTE] = ACTIONS(4117),
    [anon_sym_LR_DQUOTE] = ACTIONS(4117),
    [anon_sym_uR_DQUOTE] = ACTIONS(4117),
    [anon_sym_UR_DQUOTE] = ACTIONS(4117),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4117),
    [anon_sym_co_await] = ACTIONS(4115),
    [anon_sym_new] = ACTIONS(4115),
    [anon_sym_requires] = ACTIONS(4115),
    [sym_this] = ACTIONS(4115),
  },
  [1096] = {
    [sym_identifier] = ACTIONS(4119),
    [anon_sym_COMMA] = ACTIONS(4121),
    [anon_sym_RPAREN] = ACTIONS(4121),
    [anon_sym_LPAREN2] = ACTIONS(4121),
    [anon_sym_BANG] = ACTIONS(4121),
    [anon_sym_TILDE] = ACTIONS(4121),
    [anon_sym_DASH] = ACTIONS(4119),
    [anon_sym_PLUS] = ACTIONS(4119),
    [anon_sym_STAR] = ACTIONS(4121),
    [anon_sym_AMP_AMP] = ACTIONS(4121),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_SEMI] = ACTIONS(4121),
    [anon_sym___extension__] = ACTIONS(4119),
    [anon_sym_extern] = ACTIONS(4119),
    [anon_sym___attribute__] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(4121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4121),
    [anon_sym___declspec] = ACTIONS(4119),
    [anon_sym___based] = ACTIONS(4119),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_signed] = ACTIONS(4119),
    [anon_sym_unsigned] = ACTIONS(4119),
    [anon_sym_long] = ACTIONS(4119),
    [anon_sym_short] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [anon_sym_EQ] = ACTIONS(4121),
    [anon_sym_static] = ACTIONS(4119),
    [anon_sym_register] = ACTIONS(4119),
    [anon_sym_inline] = ACTIONS(4119),
    [anon_sym___inline] = ACTIONS(4119),
    [anon_sym___inline__] = ACTIONS(4119),
    [anon_sym___forceinline] = ACTIONS(4119),
    [anon_sym_thread_local] = ACTIONS(4119),
    [anon_sym___thread] = ACTIONS(4119),
    [anon_sym_const] = ACTIONS(4119),
    [anon_sym_constexpr] = ACTIONS(4119),
    [anon_sym_volatile] = ACTIONS(4119),
    [anon_sym_restrict] = ACTIONS(4119),
    [anon_sym___restrict__] = ACTIONS(4119),
    [anon_sym__Atomic] = ACTIONS(4119),
    [anon_sym__Noreturn] = ACTIONS(4119),
    [anon_sym_noreturn] = ACTIONS(4119),
    [anon_sym_mutable] = ACTIONS(4119),
    [anon_sym_constinit] = ACTIONS(4119),
    [anon_sym_consteval] = ACTIONS(4119),
    [anon_sym_PROGMEM] = ACTIONS(4119),
    [aux_sym_primitive_type_token1] = ACTIONS(4119),
    [anon_sym_byte] = ACTIONS(4119),
    [anon_sym_word] = ACTIONS(4119),
    [anon_sym_enum] = ACTIONS(4119),
    [anon_sym_class] = ACTIONS(4119),
    [anon_sym_struct] = ACTIONS(4119),
    [anon_sym_union] = ACTIONS(4119),
    [anon_sym_if] = ACTIONS(4119),
    [anon_sym_switch] = ACTIONS(4119),
    [anon_sym_case] = ACTIONS(4119),
    [anon_sym_default] = ACTIONS(4119),
    [anon_sym_while] = ACTIONS(4119),
    [anon_sym_do] = ACTIONS(4119),
    [anon_sym_for] = ACTIONS(4119),
    [anon_sym_return] = ACTIONS(4119),
    [anon_sym_break] = ACTIONS(4119),
    [anon_sym_continue] = ACTIONS(4119),
    [anon_sym_goto] = ACTIONS(4119),
    [anon_sym___try] = ACTIONS(4119),
    [anon_sym___leave] = ACTIONS(4119),
    [anon_sym_not] = ACTIONS(4119),
    [anon_sym_compl] = ACTIONS(4119),
    [anon_sym_DASH_DASH] = ACTIONS(4121),
    [anon_sym_PLUS_PLUS] = ACTIONS(4121),
    [anon_sym_sizeof] = ACTIONS(4119),
    [anon_sym___alignof__] = ACTIONS(4119),
    [anon_sym___alignof] = ACTIONS(4119),
    [anon_sym__alignof] = ACTIONS(4119),
    [anon_sym_alignof] = ACTIONS(4119),
    [anon_sym__Alignof] = ACTIONS(4119),
    [anon_sym_offsetof] = ACTIONS(4119),
    [anon_sym__Generic] = ACTIONS(4119),
    [anon_sym_asm] = ACTIONS(4119),
    [anon_sym___asm__] = ACTIONS(4119),
    [aux_sym_number_literal_token1] = ACTIONS(4121),
    [aux_sym_number_literal_token2] = ACTIONS(4119),
    [anon_sym_L_SQUOTE] = ACTIONS(4121),
    [anon_sym_u_SQUOTE] = ACTIONS(4121),
    [anon_sym_U_SQUOTE] = ACTIONS(4121),
    [anon_sym_u8_SQUOTE] = ACTIONS(4121),
    [anon_sym_SQUOTE] = ACTIONS(4121),
    [anon_sym_L_DQUOTE] = ACTIONS(4121),
    [anon_sym_u_DQUOTE] = ACTIONS(4121),
    [anon_sym_U_DQUOTE] = ACTIONS(4121),
    [anon_sym_u8_DQUOTE] = ACTIONS(4121),
    [anon_sym_DQUOTE] = ACTIONS(4121),
    [sym_true] = ACTIONS(4119),
    [sym_false] = ACTIONS(4119),
    [anon_sym_NULL] = ACTIONS(4119),
    [anon_sym_nullptr] = ACTIONS(4119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4119),
    [anon_sym_decltype] = ACTIONS(4119),
    [anon_sym_virtual] = ACTIONS(4119),
    [anon_sym_alignas] = ACTIONS(4119),
    [anon_sym_explicit] = ACTIONS(4119),
    [anon_sym_typename] = ACTIONS(4119),
    [anon_sym_template] = ACTIONS(4119),
    [anon_sym_GT2] = ACTIONS(4121),
    [anon_sym_operator] = ACTIONS(4119),
    [anon_sym_try] = ACTIONS(4119),
    [anon_sym_delete] = ACTIONS(4119),
    [anon_sym_throw] = ACTIONS(4119),
    [anon_sym_co_return] = ACTIONS(4119),
    [anon_sym_co_yield] = ACTIONS(4119),
    [anon_sym_R_DQUOTE] = ACTIONS(4121),
    [anon_sym_LR_DQUOTE] = ACTIONS(4121),
    [anon_sym_uR_DQUOTE] = ACTIONS(4121),
    [anon_sym_UR_DQUOTE] = ACTIONS(4121),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4121),
    [anon_sym_co_await] = ACTIONS(4119),
    [anon_sym_new] = ACTIONS(4119),
    [anon_sym_requires] = ACTIONS(4119),
    [sym_this] = ACTIONS(4119),
  },
  [1097] = {
    [sym_function_definition] = STATE(437),
    [sym_declaration] = STATE(437),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5798),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2167),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6964),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(4100),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(437),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2210),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(437),
    [sym_operator_cast] = STATE(7349),
    [sym__constructor_specifiers] = STATE(2210),
    [sym_operator_cast_definition] = STATE(437),
    [sym_operator_cast_declaration] = STATE(437),
    [sym_constructor_or_destructor_definition] = STATE(437),
    [sym_constructor_or_destructor_declaration] = STATE(437),
    [sym_friend_declaration] = STATE(437),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_alias_declaration] = STATE(437),
    [sym_concept_definition] = STATE(437),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6150),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7349),
    [sym_operator_name] = STATE(6932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2210),
    [sym_identifier] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4065),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(4091),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(4093),
    [anon_sym_using] = ACTIONS(4095),
    [anon_sym_concept] = ACTIONS(335),
  },
  [1098] = {
    [sym_function_definition] = STATE(981),
    [sym_declaration] = STATE(981),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5813),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2144),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6885),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3961),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(981),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2209),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(981),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2209),
    [sym_operator_cast_definition] = STATE(981),
    [sym_operator_cast_declaration] = STATE(981),
    [sym_constructor_or_destructor_definition] = STATE(981),
    [sym_constructor_or_destructor_declaration] = STATE(981),
    [sym_friend_declaration] = STATE(981),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_alias_declaration] = STATE(981),
    [sym_concept_definition] = STATE(981),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6150),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2209),
    [sym_identifier] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4065),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(4067),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(4069),
    [anon_sym_using] = ACTIONS(4071),
    [anon_sym_concept] = ACTIONS(979),
  },
  [1099] = {
    [sym_function_definition] = STATE(893),
    [sym_declaration] = STATE(893),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2111),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6890),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3945),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(893),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2181),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(893),
    [sym_operator_cast] = STATE(7398),
    [sym__constructor_specifiers] = STATE(2181),
    [sym_operator_cast_definition] = STATE(893),
    [sym_operator_cast_declaration] = STATE(893),
    [sym_constructor_or_destructor_definition] = STATE(893),
    [sym_constructor_or_destructor_declaration] = STATE(893),
    [sym_friend_declaration] = STATE(893),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_alias_declaration] = STATE(893),
    [sym_concept_definition] = STATE(893),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6150),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7398),
    [sym_operator_name] = STATE(6932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2181),
    [sym_identifier] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4065),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(4101),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(4103),
    [anon_sym_using] = ACTIONS(4105),
    [anon_sym_concept] = ACTIONS(233),
  },
  [1100] = {
    [sym_function_definition] = STATE(591),
    [sym_declaration] = STATE(591),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5832),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2191),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6923),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3909),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(591),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2149),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(591),
    [sym_operator_cast] = STATE(7346),
    [sym__constructor_specifiers] = STATE(2149),
    [sym_operator_cast_definition] = STATE(591),
    [sym_operator_cast_declaration] = STATE(591),
    [sym_constructor_or_destructor_definition] = STATE(591),
    [sym_constructor_or_destructor_declaration] = STATE(591),
    [sym_friend_declaration] = STATE(591),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_alias_declaration] = STATE(591),
    [sym_concept_definition] = STATE(591),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6150),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7346),
    [sym_operator_name] = STATE(6932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2149),
    [sym_identifier] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4065),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(4075),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(4077),
    [anon_sym_using] = ACTIONS(4079),
    [anon_sym_concept] = ACTIONS(423),
  },
  [1101] = {
    [sym_function_definition] = STATE(1018),
    [sym_declaration] = STATE(1018),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5856),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2122),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6995),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(4008),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(1018),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2200),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1018),
    [sym_operator_cast] = STATE(7350),
    [sym__constructor_specifiers] = STATE(2200),
    [sym_operator_cast_definition] = STATE(1018),
    [sym_operator_cast_declaration] = STATE(1018),
    [sym_constructor_or_destructor_definition] = STATE(1018),
    [sym_constructor_or_destructor_declaration] = STATE(1018),
    [sym_friend_declaration] = STATE(1018),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_alias_declaration] = STATE(1018),
    [sym_concept_definition] = STATE(1018),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6150),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7350),
    [sym_operator_name] = STATE(6932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2200),
    [sym_identifier] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4065),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(4085),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(4087),
    [anon_sym_using] = ACTIONS(4089),
    [anon_sym_concept] = ACTIONS(147),
  },
  [1102] = {
    [sym_function_definition] = STATE(2282),
    [sym_declaration] = STATE(2282),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5839),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2165),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6903),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3999),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(2282),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2199),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(2282),
    [sym_operator_cast] = STATE(7394),
    [sym__constructor_specifiers] = STATE(2199),
    [sym_operator_cast_definition] = STATE(2282),
    [sym_operator_cast_declaration] = STATE(2282),
    [sym_constructor_or_destructor_definition] = STATE(2282),
    [sym_constructor_or_destructor_declaration] = STATE(2282),
    [sym_friend_declaration] = STATE(2282),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_alias_declaration] = STATE(2282),
    [sym_concept_definition] = STATE(2282),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6150),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7394),
    [sym_operator_name] = STATE(6932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2199),
    [sym_identifier] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4065),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3539),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3541),
    [anon_sym_using] = ACTIONS(4111),
    [anon_sym_concept] = ACTIONS(4113),
  },
  [1103] = {
    [sym_function_definition] = STATE(2589),
    [sym_declaration] = STATE(2589),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5829),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2097),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6930),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3993),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(2589),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2185),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(2589),
    [sym_operator_cast] = STATE(7392),
    [sym__constructor_specifiers] = STATE(2185),
    [sym_operator_cast_definition] = STATE(2589),
    [sym_operator_cast_declaration] = STATE(2589),
    [sym_constructor_or_destructor_definition] = STATE(2589),
    [sym_constructor_or_destructor_declaration] = STATE(2589),
    [sym_friend_declaration] = STATE(2589),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_alias_declaration] = STATE(2589),
    [sym_concept_definition] = STATE(2589),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6150),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7392),
    [sym_operator_name] = STATE(6932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2185),
    [sym_identifier] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4065),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3855),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3857),
    [anon_sym_using] = ACTIONS(4097),
    [anon_sym_concept] = ACTIONS(4099),
  },
  [1104] = {
    [sym_function_definition] = STATE(2106),
    [sym_declaration] = STATE(2106),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5862),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2129),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6985),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(3904),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(2106),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2150),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(2106),
    [sym_operator_cast] = STATE(7390),
    [sym__constructor_specifiers] = STATE(2150),
    [sym_operator_cast_definition] = STATE(2106),
    [sym_operator_cast_declaration] = STATE(2106),
    [sym_constructor_or_destructor_definition] = STATE(2106),
    [sym_constructor_or_destructor_declaration] = STATE(2106),
    [sym_friend_declaration] = STATE(2106),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_alias_declaration] = STATE(2106),
    [sym_concept_definition] = STATE(2106),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6150),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7390),
    [sym_operator_name] = STATE(6932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2150),
    [sym_identifier] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4065),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3270),
    [anon_sym_using] = ACTIONS(4081),
    [anon_sym_concept] = ACTIONS(4083),
  },
  [1105] = {
    [sym_function_definition] = STATE(2483),
    [sym_declaration] = STATE(2483),
    [sym__declaration_modifiers] = STATE(3621),
    [sym__declaration_specifiers] = STATE(5812),
    [sym_attribute_specifier] = STATE(3621),
    [sym_attribute_declaration] = STATE(3621),
    [sym_ms_declspec_modifier] = STATE(3621),
    [sym_ms_based_modifier] = STATE(9424),
    [sym_ms_call_modifier] = STATE(2137),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6914),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3621),
    [sym_type_qualifier] = STATE(3621),
    [sym__type_specifier] = STATE(4034),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(2483),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3621),
    [sym_alignas_specifier] = STATE(3621),
    [sym_explicit_function_specifier] = STATE(2109),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(2483),
    [sym_operator_cast] = STATE(7382),
    [sym__constructor_specifiers] = STATE(2109),
    [sym_operator_cast_definition] = STATE(2483),
    [sym_operator_cast_declaration] = STATE(2483),
    [sym_constructor_or_destructor_definition] = STATE(2483),
    [sym_constructor_or_destructor_declaration] = STATE(2483),
    [sym_friend_declaration] = STATE(2483),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_alias_declaration] = STATE(2483),
    [sym_concept_definition] = STATE(2483),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6150),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_qualified_operator_cast_identifier] = STATE(7382),
    [sym_operator_name] = STATE(6932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2109),
    [sym_identifier] = ACTIONS(4063),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4065),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3829),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3831),
    [anon_sym_using] = ACTIONS(4107),
    [anon_sym_concept] = ACTIONS(4109),
  },
  [1106] = {
    [sym_type_qualifier] = STATE(2068),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5316),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [aux_sym__type_definition_type_repeat1] = STATE(2068),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(4123),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4127),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_PROGMEM] = ACTIONS(4125),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1107] = {
    [sym_type_qualifier] = STATE(2068),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5365),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [aux_sym__type_definition_type_repeat1] = STATE(2068),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(4129),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4131),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_PROGMEM] = ACTIONS(4125),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1108] = {
    [sym_type_qualifier] = STATE(2068),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [aux_sym__type_definition_type_repeat1] = STATE(2068),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(4133),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4135),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_PROGMEM] = ACTIONS(4125),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1109] = {
    [sym_type_qualifier] = STATE(2068),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5412),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [aux_sym__type_definition_type_repeat1] = STATE(2068),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(4137),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4139),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_PROGMEM] = ACTIONS(4125),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1110] = {
    [sym_type_qualifier] = STATE(2068),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5273),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [aux_sym__type_definition_type_repeat1] = STATE(2068),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(4141),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4143),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_PROGMEM] = ACTIONS(4125),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1111] = {
    [sym_type_qualifier] = STATE(1108),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5326),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [aux_sym__type_definition_type_repeat1] = STATE(1108),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4147),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_PROGMEM] = ACTIONS(4125),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1112] = {
    [sym_type_qualifier] = STATE(1113),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5294),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [aux_sym__type_definition_type_repeat1] = STATE(1113),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(4149),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4151),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_PROGMEM] = ACTIONS(4125),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1113] = {
    [sym_type_qualifier] = STATE(2068),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5368),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [aux_sym__type_definition_type_repeat1] = STATE(2068),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(4153),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4155),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_PROGMEM] = ACTIONS(4125),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1114] = {
    [sym_type_qualifier] = STATE(1106),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5361),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [aux_sym__type_definition_type_repeat1] = STATE(1106),
    [sym_identifier] = ACTIONS(4157),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(4159),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4161),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_PROGMEM] = ACTIONS(4125),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1115] = {
    [sym_type_qualifier] = STATE(1124),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5306),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [aux_sym__type_definition_type_repeat1] = STATE(1124),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(4163),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4165),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_PROGMEM] = ACTIONS(4125),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1116] = {
    [sym_type_qualifier] = STATE(1127),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5313),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [aux_sym__type_definition_type_repeat1] = STATE(1127),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4169),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_PROGMEM] = ACTIONS(4125),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1117] = {
    [sym_type_qualifier] = STATE(1110),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5321),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [aux_sym__type_definition_type_repeat1] = STATE(1110),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(4171),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4173),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_PROGMEM] = ACTIONS(4125),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1118] = {
    [sym_type_qualifier] = STATE(2068),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5275),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [aux_sym__type_definition_type_repeat1] = STATE(2068),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(4175),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4177),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_PROGMEM] = ACTIONS(4125),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1119] = {
    [sym_type_qualifier] = STATE(1106),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5361),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [aux_sym__type_definition_type_repeat1] = STATE(1106),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(4159),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4161),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_PROGMEM] = ACTIONS(4125),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1120] = {
    [sym_type_qualifier] = STATE(1118),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5266),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [aux_sym__type_definition_type_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(4179),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4181),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_PROGMEM] = ACTIONS(4125),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1121] = {
    [sym_type_qualifier] = STATE(2068),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5270),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [aux_sym__type_definition_type_repeat1] = STATE(2068),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(4183),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4185),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_PROGMEM] = ACTIONS(4125),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1122] = {
    [sym_type_qualifier] = STATE(1107),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5315),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [aux_sym__type_definition_type_repeat1] = STATE(1107),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(4187),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4189),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_PROGMEM] = ACTIONS(4125),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1123] = {
    [sym_type_qualifier] = STATE(1121),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5263),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [aux_sym__type_definition_type_repeat1] = STATE(1121),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(4191),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4193),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_PROGMEM] = ACTIONS(4125),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1124] = {
    [sym_type_qualifier] = STATE(2068),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5311),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [aux_sym__type_definition_type_repeat1] = STATE(2068),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(4195),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4197),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_PROGMEM] = ACTIONS(4125),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1125] = {
    [sym_type_qualifier] = STATE(2068),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5329),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [aux_sym__type_definition_type_repeat1] = STATE(2068),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(4199),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4201),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_PROGMEM] = ACTIONS(4125),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1126] = {
    [sym_type_qualifier] = STATE(1109),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5362),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [aux_sym__type_definition_type_repeat1] = STATE(1109),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(4203),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4205),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_PROGMEM] = ACTIONS(4125),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1127] = {
    [sym_type_qualifier] = STATE(2068),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5346),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [aux_sym__type_definition_type_repeat1] = STATE(2068),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(4207),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4209),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_PROGMEM] = ACTIONS(4125),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1128] = {
    [sym_type_qualifier] = STATE(1125),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5385),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [aux_sym__type_definition_type_repeat1] = STATE(1125),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(4211),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4213),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_PROGMEM] = ACTIONS(4125),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1129] = {
    [sym_identifier] = ACTIONS(4215),
    [anon_sym_LPAREN2] = ACTIONS(4218),
    [anon_sym_BANG] = ACTIONS(4221),
    [anon_sym_TILDE] = ACTIONS(4218),
    [anon_sym_DASH] = ACTIONS(4223),
    [anon_sym_PLUS] = ACTIONS(4223),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP_AMP] = ACTIONS(4225),
    [anon_sym_AMP] = ACTIONS(4215),
    [anon_sym_SEMI] = ACTIONS(4221),
    [anon_sym___extension__] = ACTIONS(4227),
    [anon_sym_extern] = ACTIONS(4227),
    [anon_sym___attribute__] = ACTIONS(4227),
    [anon_sym_COLON_COLON] = ACTIONS(4218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4218),
    [anon_sym___declspec] = ACTIONS(4227),
    [anon_sym___based] = ACTIONS(4227),
    [anon_sym_LBRACE] = ACTIONS(4221),
    [anon_sym_signed] = ACTIONS(4227),
    [anon_sym_unsigned] = ACTIONS(4227),
    [anon_sym_long] = ACTIONS(4227),
    [anon_sym_short] = ACTIONS(4227),
    [anon_sym_LBRACK] = ACTIONS(4215),
    [anon_sym_static] = ACTIONS(4227),
    [anon_sym_register] = ACTIONS(4227),
    [anon_sym_inline] = ACTIONS(4227),
    [anon_sym___inline] = ACTIONS(4227),
    [anon_sym___inline__] = ACTIONS(4227),
    [anon_sym___forceinline] = ACTIONS(4227),
    [anon_sym_thread_local] = ACTIONS(4227),
    [anon_sym___thread] = ACTIONS(4227),
    [anon_sym_const] = ACTIONS(4227),
    [anon_sym_constexpr] = ACTIONS(4227),
    [anon_sym_volatile] = ACTIONS(4227),
    [anon_sym_restrict] = ACTIONS(4227),
    [anon_sym___restrict__] = ACTIONS(4227),
    [anon_sym__Atomic] = ACTIONS(4227),
    [anon_sym__Noreturn] = ACTIONS(4227),
    [anon_sym_noreturn] = ACTIONS(4227),
    [anon_sym_mutable] = ACTIONS(4227),
    [anon_sym_constinit] = ACTIONS(4227),
    [anon_sym_consteval] = ACTIONS(4227),
    [anon_sym_PROGMEM] = ACTIONS(4227),
    [aux_sym_primitive_type_token1] = ACTIONS(4215),
    [anon_sym_byte] = ACTIONS(4215),
    [anon_sym_word] = ACTIONS(4215),
    [anon_sym_enum] = ACTIONS(4227),
    [anon_sym_class] = ACTIONS(4227),
    [anon_sym_struct] = ACTIONS(4227),
    [anon_sym_union] = ACTIONS(4227),
    [anon_sym_if] = ACTIONS(4223),
    [anon_sym_switch] = ACTIONS(4223),
    [anon_sym_case] = ACTIONS(4223),
    [anon_sym_default] = ACTIONS(4223),
    [anon_sym_while] = ACTIONS(4223),
    [anon_sym_do] = ACTIONS(4223),
    [anon_sym_for] = ACTIONS(4223),
    [anon_sym_return] = ACTIONS(4223),
    [anon_sym_break] = ACTIONS(4223),
    [anon_sym_continue] = ACTIONS(4223),
    [anon_sym_goto] = ACTIONS(4223),
    [anon_sym___try] = ACTIONS(4223),
    [anon_sym___leave] = ACTIONS(4223),
    [anon_sym_not] = ACTIONS(4223),
    [anon_sym_compl] = ACTIONS(4223),
    [anon_sym_DASH_DASH] = ACTIONS(4221),
    [anon_sym_PLUS_PLUS] = ACTIONS(4221),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(4223),
    [anon_sym___alignof] = ACTIONS(4223),
    [anon_sym__alignof] = ACTIONS(4223),
    [anon_sym_alignof] = ACTIONS(4223),
    [anon_sym__Alignof] = ACTIONS(4223),
    [anon_sym_offsetof] = ACTIONS(4223),
    [anon_sym__Generic] = ACTIONS(4223),
    [anon_sym_asm] = ACTIONS(4223),
    [anon_sym___asm__] = ACTIONS(4223),
    [aux_sym_number_literal_token1] = ACTIONS(4221),
    [aux_sym_number_literal_token2] = ACTIONS(4223),
    [anon_sym_L_SQUOTE] = ACTIONS(4221),
    [anon_sym_u_SQUOTE] = ACTIONS(4221),
    [anon_sym_U_SQUOTE] = ACTIONS(4221),
    [anon_sym_u8_SQUOTE] = ACTIONS(4221),
    [anon_sym_SQUOTE] = ACTIONS(4221),
    [anon_sym_L_DQUOTE] = ACTIONS(4221),
    [anon_sym_u_DQUOTE] = ACTIONS(4221),
    [anon_sym_U_DQUOTE] = ACTIONS(4221),
    [anon_sym_u8_DQUOTE] = ACTIONS(4221),
    [anon_sym_DQUOTE] = ACTIONS(4221),
    [sym_true] = ACTIONS(4223),
    [sym_false] = ACTIONS(4223),
    [anon_sym_NULL] = ACTIONS(4223),
    [anon_sym_nullptr] = ACTIONS(4223),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4227),
    [anon_sym_decltype] = ACTIONS(4215),
    [anon_sym_virtual] = ACTIONS(4227),
    [anon_sym_alignas] = ACTIONS(4227),
    [anon_sym_explicit] = ACTIONS(4227),
    [anon_sym_typename] = ACTIONS(4227),
    [anon_sym_template] = ACTIONS(4215),
    [anon_sym_operator] = ACTIONS(4227),
    [anon_sym_try] = ACTIONS(4223),
    [anon_sym_delete] = ACTIONS(4223),
    [anon_sym_throw] = ACTIONS(4223),
    [anon_sym_co_return] = ACTIONS(4223),
    [anon_sym_co_yield] = ACTIONS(4223),
    [anon_sym_R_DQUOTE] = ACTIONS(4221),
    [anon_sym_LR_DQUOTE] = ACTIONS(4221),
    [anon_sym_uR_DQUOTE] = ACTIONS(4221),
    [anon_sym_UR_DQUOTE] = ACTIONS(4221),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4221),
    [anon_sym_co_await] = ACTIONS(4223),
    [anon_sym_new] = ACTIONS(4223),
    [anon_sym_requires] = ACTIONS(4223),
    [sym_this] = ACTIONS(4223),
  },
  [1130] = {
    [sym_catch_clause] = STATE(1130),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(2847),
    [anon_sym_LPAREN2] = ACTIONS(2849),
    [anon_sym_BANG] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2849),
    [anon_sym_DASH] = ACTIONS(2847),
    [anon_sym_PLUS] = ACTIONS(2847),
    [anon_sym_STAR] = ACTIONS(2849),
    [anon_sym_AMP] = ACTIONS(2849),
    [anon_sym_SEMI] = ACTIONS(2849),
    [anon_sym___extension__] = ACTIONS(2847),
    [anon_sym_typedef] = ACTIONS(2847),
    [anon_sym_extern] = ACTIONS(2847),
    [anon_sym___attribute__] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(2849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2849),
    [anon_sym___declspec] = ACTIONS(2847),
    [anon_sym_LBRACE] = ACTIONS(2849),
    [anon_sym_signed] = ACTIONS(2847),
    [anon_sym_unsigned] = ACTIONS(2847),
    [anon_sym_long] = ACTIONS(2847),
    [anon_sym_short] = ACTIONS(2847),
    [anon_sym_LBRACK] = ACTIONS(2847),
    [anon_sym_static] = ACTIONS(2847),
    [anon_sym_register] = ACTIONS(2847),
    [anon_sym_inline] = ACTIONS(2847),
    [anon_sym___inline] = ACTIONS(2847),
    [anon_sym___inline__] = ACTIONS(2847),
    [anon_sym___forceinline] = ACTIONS(2847),
    [anon_sym_thread_local] = ACTIONS(2847),
    [anon_sym___thread] = ACTIONS(2847),
    [anon_sym_const] = ACTIONS(2847),
    [anon_sym_constexpr] = ACTIONS(2847),
    [anon_sym_volatile] = ACTIONS(2847),
    [anon_sym_restrict] = ACTIONS(2847),
    [anon_sym___restrict__] = ACTIONS(2847),
    [anon_sym__Atomic] = ACTIONS(2847),
    [anon_sym__Noreturn] = ACTIONS(2847),
    [anon_sym_noreturn] = ACTIONS(2847),
    [anon_sym_mutable] = ACTIONS(2847),
    [anon_sym_constinit] = ACTIONS(2847),
    [anon_sym_consteval] = ACTIONS(2847),
    [anon_sym_PROGMEM] = ACTIONS(2847),
    [aux_sym_primitive_type_token1] = ACTIONS(2847),
    [anon_sym_byte] = ACTIONS(2847),
    [anon_sym_word] = ACTIONS(2847),
    [anon_sym_enum] = ACTIONS(2847),
    [anon_sym_class] = ACTIONS(2847),
    [anon_sym_struct] = ACTIONS(2847),
    [anon_sym_union] = ACTIONS(2847),
    [anon_sym_if] = ACTIONS(2847),
    [anon_sym_else] = ACTIONS(2847),
    [anon_sym_switch] = ACTIONS(2847),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_do] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2847),
    [anon_sym_return] = ACTIONS(2847),
    [anon_sym_break] = ACTIONS(2847),
    [anon_sym_continue] = ACTIONS(2847),
    [anon_sym_goto] = ACTIONS(2847),
    [anon_sym___try] = ACTIONS(2847),
    [anon_sym___leave] = ACTIONS(2847),
    [anon_sym_not] = ACTIONS(2847),
    [anon_sym_compl] = ACTIONS(2847),
    [anon_sym_DASH_DASH] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2849),
    [anon_sym_sizeof] = ACTIONS(2847),
    [anon_sym___alignof__] = ACTIONS(2847),
    [anon_sym___alignof] = ACTIONS(2847),
    [anon_sym__alignof] = ACTIONS(2847),
    [anon_sym_alignof] = ACTIONS(2847),
    [anon_sym__Alignof] = ACTIONS(2847),
    [anon_sym_offsetof] = ACTIONS(2847),
    [anon_sym__Generic] = ACTIONS(2847),
    [anon_sym_asm] = ACTIONS(2847),
    [anon_sym___asm__] = ACTIONS(2847),
    [aux_sym_number_literal_token1] = ACTIONS(2849),
    [aux_sym_number_literal_token2] = ACTIONS(2847),
    [anon_sym_L_SQUOTE] = ACTIONS(2849),
    [anon_sym_u_SQUOTE] = ACTIONS(2849),
    [anon_sym_U_SQUOTE] = ACTIONS(2849),
    [anon_sym_u8_SQUOTE] = ACTIONS(2849),
    [anon_sym_SQUOTE] = ACTIONS(2849),
    [anon_sym_L_DQUOTE] = ACTIONS(2849),
    [anon_sym_u_DQUOTE] = ACTIONS(2849),
    [anon_sym_U_DQUOTE] = ACTIONS(2849),
    [anon_sym_u8_DQUOTE] = ACTIONS(2849),
    [anon_sym_DQUOTE] = ACTIONS(2849),
    [sym_true] = ACTIONS(2847),
    [sym_false] = ACTIONS(2847),
    [anon_sym_NULL] = ACTIONS(2847),
    [anon_sym_nullptr] = ACTIONS(2847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2847),
    [anon_sym_decltype] = ACTIONS(2847),
    [anon_sym_virtual] = ACTIONS(2847),
    [anon_sym_alignas] = ACTIONS(2847),
    [anon_sym_typename] = ACTIONS(2847),
    [anon_sym_template] = ACTIONS(2847),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_delete] = ACTIONS(2847),
    [anon_sym_throw] = ACTIONS(2847),
    [anon_sym_co_return] = ACTIONS(2847),
    [anon_sym_co_yield] = ACTIONS(2847),
    [anon_sym_catch] = ACTIONS(4229),
    [anon_sym_R_DQUOTE] = ACTIONS(2849),
    [anon_sym_LR_DQUOTE] = ACTIONS(2849),
    [anon_sym_uR_DQUOTE] = ACTIONS(2849),
    [anon_sym_UR_DQUOTE] = ACTIONS(2849),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2849),
    [anon_sym_co_await] = ACTIONS(2847),
    [anon_sym_new] = ACTIONS(2847),
    [anon_sym_requires] = ACTIONS(2847),
    [sym_this] = ACTIONS(2847),
  },
  [1131] = {
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7127),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6932),
    [sym_array_declarator] = STATE(6932),
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3849),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6342),
    [sym_qualified_identifier] = STATE(3851),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(3284),
    [anon_sym_LPAREN2] = ACTIONS(3286),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1132] = {
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7127),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6932),
    [sym_array_declarator] = STATE(6932),
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3735),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3847),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6337),
    [sym_qualified_identifier] = STATE(3839),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_operator_name] = STATE(6932),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(3433),
    [anon_sym_LPAREN2] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2085),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2087),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(2135),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1133] = {
    [sym_catch_clause] = STATE(1130),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_BANG] = ACTIONS(2843),
    [anon_sym_TILDE] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2843),
    [anon_sym_SEMI] = ACTIONS(2843),
    [anon_sym___extension__] = ACTIONS(2841),
    [anon_sym_typedef] = ACTIONS(2841),
    [anon_sym_extern] = ACTIONS(2841),
    [anon_sym___attribute__] = ACTIONS(2841),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2843),
    [anon_sym___declspec] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_signed] = ACTIONS(2841),
    [anon_sym_unsigned] = ACTIONS(2841),
    [anon_sym_long] = ACTIONS(2841),
    [anon_sym_short] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_static] = ACTIONS(2841),
    [anon_sym_register] = ACTIONS(2841),
    [anon_sym_inline] = ACTIONS(2841),
    [anon_sym___inline] = ACTIONS(2841),
    [anon_sym___inline__] = ACTIONS(2841),
    [anon_sym___forceinline] = ACTIONS(2841),
    [anon_sym_thread_local] = ACTIONS(2841),
    [anon_sym___thread] = ACTIONS(2841),
    [anon_sym_const] = ACTIONS(2841),
    [anon_sym_constexpr] = ACTIONS(2841),
    [anon_sym_volatile] = ACTIONS(2841),
    [anon_sym_restrict] = ACTIONS(2841),
    [anon_sym___restrict__] = ACTIONS(2841),
    [anon_sym__Atomic] = ACTIONS(2841),
    [anon_sym__Noreturn] = ACTIONS(2841),
    [anon_sym_noreturn] = ACTIONS(2841),
    [anon_sym_mutable] = ACTIONS(2841),
    [anon_sym_constinit] = ACTIONS(2841),
    [anon_sym_consteval] = ACTIONS(2841),
    [anon_sym_PROGMEM] = ACTIONS(2841),
    [aux_sym_primitive_type_token1] = ACTIONS(2841),
    [anon_sym_byte] = ACTIONS(2841),
    [anon_sym_word] = ACTIONS(2841),
    [anon_sym_enum] = ACTIONS(2841),
    [anon_sym_class] = ACTIONS(2841),
    [anon_sym_struct] = ACTIONS(2841),
    [anon_sym_union] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_else] = ACTIONS(2841),
    [anon_sym_switch] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_break] = ACTIONS(2841),
    [anon_sym_continue] = ACTIONS(2841),
    [anon_sym_goto] = ACTIONS(2841),
    [anon_sym___try] = ACTIONS(2841),
    [anon_sym___leave] = ACTIONS(2841),
    [anon_sym_not] = ACTIONS(2841),
    [anon_sym_compl] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2843),
    [anon_sym_PLUS_PLUS] = ACTIONS(2843),
    [anon_sym_sizeof] = ACTIONS(2841),
    [anon_sym___alignof__] = ACTIONS(2841),
    [anon_sym___alignof] = ACTIONS(2841),
    [anon_sym__alignof] = ACTIONS(2841),
    [anon_sym_alignof] = ACTIONS(2841),
    [anon_sym__Alignof] = ACTIONS(2841),
    [anon_sym_offsetof] = ACTIONS(2841),
    [anon_sym__Generic] = ACTIONS(2841),
    [anon_sym_asm] = ACTIONS(2841),
    [anon_sym___asm__] = ACTIONS(2841),
    [aux_sym_number_literal_token1] = ACTIONS(2843),
    [aux_sym_number_literal_token2] = ACTIONS(2841),
    [anon_sym_L_SQUOTE] = ACTIONS(2843),
    [anon_sym_u_SQUOTE] = ACTIONS(2843),
    [anon_sym_U_SQUOTE] = ACTIONS(2843),
    [anon_sym_u8_SQUOTE] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_L_DQUOTE] = ACTIONS(2843),
    [anon_sym_u_DQUOTE] = ACTIONS(2843),
    [anon_sym_U_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8_DQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2843),
    [sym_true] = ACTIONS(2841),
    [sym_false] = ACTIONS(2841),
    [anon_sym_NULL] = ACTIONS(2841),
    [anon_sym_nullptr] = ACTIONS(2841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2841),
    [anon_sym_decltype] = ACTIONS(2841),
    [anon_sym_virtual] = ACTIONS(2841),
    [anon_sym_alignas] = ACTIONS(2841),
    [anon_sym_typename] = ACTIONS(2841),
    [anon_sym_template] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_delete] = ACTIONS(2841),
    [anon_sym_throw] = ACTIONS(2841),
    [anon_sym_co_return] = ACTIONS(2841),
    [anon_sym_co_yield] = ACTIONS(2841),
    [anon_sym_catch] = ACTIONS(4232),
    [anon_sym_R_DQUOTE] = ACTIONS(2843),
    [anon_sym_LR_DQUOTE] = ACTIONS(2843),
    [anon_sym_uR_DQUOTE] = ACTIONS(2843),
    [anon_sym_UR_DQUOTE] = ACTIONS(2843),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2843),
    [anon_sym_co_await] = ACTIONS(2841),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_requires] = ACTIONS(2841),
    [sym_this] = ACTIONS(2841),
  },
  [1134] = {
    [sym_identifier] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_PROGMEM] = ACTIONS(2917),
    [aux_sym_primitive_type_token1] = ACTIONS(2917),
    [anon_sym_byte] = ACTIONS(2917),
    [anon_sym_word] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [aux_sym_number_literal_token1] = ACTIONS(2919),
    [aux_sym_number_literal_token2] = ACTIONS(2917),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_catch] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [1135] = {
    [sym_else_clause] = STATE(1163),
    [sym_identifier] = ACTIONS(2907),
    [anon_sym_LPAREN2] = ACTIONS(2909),
    [anon_sym_BANG] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2909),
    [anon_sym___extension__] = ACTIONS(2907),
    [anon_sym_typedef] = ACTIONS(2907),
    [anon_sym_extern] = ACTIONS(2907),
    [anon_sym___attribute__] = ACTIONS(2907),
    [anon_sym_COLON_COLON] = ACTIONS(2909),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2909),
    [anon_sym___declspec] = ACTIONS(2907),
    [anon_sym_LBRACE] = ACTIONS(2909),
    [anon_sym_signed] = ACTIONS(2907),
    [anon_sym_unsigned] = ACTIONS(2907),
    [anon_sym_long] = ACTIONS(2907),
    [anon_sym_short] = ACTIONS(2907),
    [anon_sym_LBRACK] = ACTIONS(2907),
    [anon_sym_static] = ACTIONS(2907),
    [anon_sym_register] = ACTIONS(2907),
    [anon_sym_inline] = ACTIONS(2907),
    [anon_sym___inline] = ACTIONS(2907),
    [anon_sym___inline__] = ACTIONS(2907),
    [anon_sym___forceinline] = ACTIONS(2907),
    [anon_sym_thread_local] = ACTIONS(2907),
    [anon_sym___thread] = ACTIONS(2907),
    [anon_sym_const] = ACTIONS(2907),
    [anon_sym_constexpr] = ACTIONS(2907),
    [anon_sym_volatile] = ACTIONS(2907),
    [anon_sym_restrict] = ACTIONS(2907),
    [anon_sym___restrict__] = ACTIONS(2907),
    [anon_sym__Atomic] = ACTIONS(2907),
    [anon_sym__Noreturn] = ACTIONS(2907),
    [anon_sym_noreturn] = ACTIONS(2907),
    [anon_sym_mutable] = ACTIONS(2907),
    [anon_sym_constinit] = ACTIONS(2907),
    [anon_sym_consteval] = ACTIONS(2907),
    [anon_sym_PROGMEM] = ACTIONS(2907),
    [aux_sym_primitive_type_token1] = ACTIONS(2907),
    [anon_sym_byte] = ACTIONS(2907),
    [anon_sym_word] = ACTIONS(2907),
    [anon_sym_enum] = ACTIONS(2907),
    [anon_sym_class] = ACTIONS(2907),
    [anon_sym_struct] = ACTIONS(2907),
    [anon_sym_union] = ACTIONS(2907),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_else] = ACTIONS(4234),
    [anon_sym_switch] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(2907),
    [anon_sym_do] = ACTIONS(2907),
    [anon_sym_for] = ACTIONS(2907),
    [anon_sym_return] = ACTIONS(2907),
    [anon_sym_break] = ACTIONS(2907),
    [anon_sym_continue] = ACTIONS(2907),
    [anon_sym_goto] = ACTIONS(2907),
    [anon_sym___try] = ACTIONS(2907),
    [anon_sym___leave] = ACTIONS(2907),
    [anon_sym_not] = ACTIONS(2907),
    [anon_sym_compl] = ACTIONS(2907),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_sizeof] = ACTIONS(2907),
    [anon_sym___alignof__] = ACTIONS(2907),
    [anon_sym___alignof] = ACTIONS(2907),
    [anon_sym__alignof] = ACTIONS(2907),
    [anon_sym_alignof] = ACTIONS(2907),
    [anon_sym__Alignof] = ACTIONS(2907),
    [anon_sym_offsetof] = ACTIONS(2907),
    [anon_sym__Generic] = ACTIONS(2907),
    [anon_sym_asm] = ACTIONS(2907),
    [anon_sym___asm__] = ACTIONS(2907),
    [aux_sym_number_literal_token1] = ACTIONS(2909),
    [aux_sym_number_literal_token2] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2909),
    [anon_sym_u_SQUOTE] = ACTIONS(2909),
    [anon_sym_U_SQUOTE] = ACTIONS(2909),
    [anon_sym_u8_SQUOTE] = ACTIONS(2909),
    [anon_sym_SQUOTE] = ACTIONS(2909),
    [anon_sym_L_DQUOTE] = ACTIONS(2909),
    [anon_sym_u_DQUOTE] = ACTIONS(2909),
    [anon_sym_U_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8_DQUOTE] = ACTIONS(2909),
    [anon_sym_DQUOTE] = ACTIONS(2909),
    [sym_true] = ACTIONS(2907),
    [sym_false] = ACTIONS(2907),
    [anon_sym_NULL] = ACTIONS(2907),
    [anon_sym_nullptr] = ACTIONS(2907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2907),
    [anon_sym_decltype] = ACTIONS(2907),
    [anon_sym_virtual] = ACTIONS(2907),
    [anon_sym_alignas] = ACTIONS(2907),
    [anon_sym_typename] = ACTIONS(2907),
    [anon_sym_template] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2907),
    [anon_sym_delete] = ACTIONS(2907),
    [anon_sym_throw] = ACTIONS(2907),
    [anon_sym_co_return] = ACTIONS(2907),
    [anon_sym_co_yield] = ACTIONS(2907),
    [anon_sym_R_DQUOTE] = ACTIONS(2909),
    [anon_sym_LR_DQUOTE] = ACTIONS(2909),
    [anon_sym_uR_DQUOTE] = ACTIONS(2909),
    [anon_sym_UR_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2909),
    [anon_sym_co_await] = ACTIONS(2907),
    [anon_sym_new] = ACTIONS(2907),
    [anon_sym_requires] = ACTIONS(2907),
    [sym_this] = ACTIONS(2907),
  },
  [1136] = {
    [sym_identifier] = ACTIONS(2265),
    [anon_sym_LPAREN2] = ACTIONS(2263),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2265),
    [anon_sym_PLUS] = ACTIONS(2265),
    [anon_sym_STAR] = ACTIONS(2263),
    [anon_sym_AMP] = ACTIONS(2263),
    [anon_sym_SEMI] = ACTIONS(2263),
    [anon_sym___extension__] = ACTIONS(2265),
    [anon_sym_typedef] = ACTIONS(2265),
    [anon_sym_extern] = ACTIONS(2265),
    [anon_sym___attribute__] = ACTIONS(2265),
    [anon_sym_COLON_COLON] = ACTIONS(2263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2263),
    [anon_sym___declspec] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(2263),
    [anon_sym_signed] = ACTIONS(2265),
    [anon_sym_unsigned] = ACTIONS(2265),
    [anon_sym_long] = ACTIONS(2265),
    [anon_sym_short] = ACTIONS(2265),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_static] = ACTIONS(2265),
    [anon_sym_register] = ACTIONS(2265),
    [anon_sym_inline] = ACTIONS(2265),
    [anon_sym___inline] = ACTIONS(2265),
    [anon_sym___inline__] = ACTIONS(2265),
    [anon_sym___forceinline] = ACTIONS(2265),
    [anon_sym_thread_local] = ACTIONS(2265),
    [anon_sym___thread] = ACTIONS(2265),
    [anon_sym_const] = ACTIONS(2265),
    [anon_sym_constexpr] = ACTIONS(2265),
    [anon_sym_volatile] = ACTIONS(2265),
    [anon_sym_restrict] = ACTIONS(2265),
    [anon_sym___restrict__] = ACTIONS(2265),
    [anon_sym__Atomic] = ACTIONS(2265),
    [anon_sym__Noreturn] = ACTIONS(2265),
    [anon_sym_noreturn] = ACTIONS(2265),
    [anon_sym_mutable] = ACTIONS(2265),
    [anon_sym_constinit] = ACTIONS(2265),
    [anon_sym_consteval] = ACTIONS(2265),
    [anon_sym_PROGMEM] = ACTIONS(2265),
    [aux_sym_primitive_type_token1] = ACTIONS(2265),
    [anon_sym_byte] = ACTIONS(2265),
    [anon_sym_word] = ACTIONS(2265),
    [anon_sym_enum] = ACTIONS(2265),
    [anon_sym_class] = ACTIONS(2265),
    [anon_sym_struct] = ACTIONS(2265),
    [anon_sym_union] = ACTIONS(2265),
    [anon_sym_if] = ACTIONS(2265),
    [anon_sym_else] = ACTIONS(2265),
    [anon_sym_switch] = ACTIONS(2265),
    [anon_sym_while] = ACTIONS(2265),
    [anon_sym_do] = ACTIONS(2265),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_return] = ACTIONS(2265),
    [anon_sym_break] = ACTIONS(2265),
    [anon_sym_continue] = ACTIONS(2265),
    [anon_sym_goto] = ACTIONS(2265),
    [anon_sym___try] = ACTIONS(2265),
    [anon_sym___leave] = ACTIONS(2265),
    [anon_sym_not] = ACTIONS(2265),
    [anon_sym_compl] = ACTIONS(2265),
    [anon_sym_DASH_DASH] = ACTIONS(2263),
    [anon_sym_PLUS_PLUS] = ACTIONS(2263),
    [anon_sym_sizeof] = ACTIONS(2265),
    [anon_sym___alignof__] = ACTIONS(2265),
    [anon_sym___alignof] = ACTIONS(2265),
    [anon_sym__alignof] = ACTIONS(2265),
    [anon_sym_alignof] = ACTIONS(2265),
    [anon_sym__Alignof] = ACTIONS(2265),
    [anon_sym_offsetof] = ACTIONS(2265),
    [anon_sym__Generic] = ACTIONS(2265),
    [anon_sym_asm] = ACTIONS(2265),
    [anon_sym___asm__] = ACTIONS(2265),
    [aux_sym_number_literal_token1] = ACTIONS(2263),
    [aux_sym_number_literal_token2] = ACTIONS(2265),
    [anon_sym_L_SQUOTE] = ACTIONS(2263),
    [anon_sym_u_SQUOTE] = ACTIONS(2263),
    [anon_sym_U_SQUOTE] = ACTIONS(2263),
    [anon_sym_u8_SQUOTE] = ACTIONS(2263),
    [anon_sym_SQUOTE] = ACTIONS(2263),
    [anon_sym_L_DQUOTE] = ACTIONS(2263),
    [anon_sym_u_DQUOTE] = ACTIONS(2263),
    [anon_sym_U_DQUOTE] = ACTIONS(2263),
    [anon_sym_u8_DQUOTE] = ACTIONS(2263),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_true] = ACTIONS(2265),
    [sym_false] = ACTIONS(2265),
    [anon_sym_NULL] = ACTIONS(2265),
    [anon_sym_nullptr] = ACTIONS(2265),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2265),
    [anon_sym_decltype] = ACTIONS(2265),
    [anon_sym_virtual] = ACTIONS(2265),
    [anon_sym_alignas] = ACTIONS(2265),
    [anon_sym_typename] = ACTIONS(2265),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_delete] = ACTIONS(2265),
    [anon_sym_throw] = ACTIONS(2265),
    [anon_sym_co_return] = ACTIONS(2265),
    [anon_sym_co_yield] = ACTIONS(2265),
    [anon_sym_catch] = ACTIONS(2265),
    [anon_sym_R_DQUOTE] = ACTIONS(2263),
    [anon_sym_LR_DQUOTE] = ACTIONS(2263),
    [anon_sym_uR_DQUOTE] = ACTIONS(2263),
    [anon_sym_UR_DQUOTE] = ACTIONS(2263),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2263),
    [anon_sym_co_await] = ACTIONS(2265),
    [anon_sym_new] = ACTIONS(2265),
    [anon_sym_requires] = ACTIONS(2265),
    [sym_this] = ACTIONS(2265),
  },
  [1137] = {
    [sym_identifier] = ACTIONS(2261),
    [anon_sym_LPAREN2] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2261),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2259),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym___extension__] = ACTIONS(2261),
    [anon_sym_typedef] = ACTIONS(2261),
    [anon_sym_extern] = ACTIONS(2261),
    [anon_sym___attribute__] = ACTIONS(2261),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2259),
    [anon_sym___declspec] = ACTIONS(2261),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_signed] = ACTIONS(2261),
    [anon_sym_unsigned] = ACTIONS(2261),
    [anon_sym_long] = ACTIONS(2261),
    [anon_sym_short] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_register] = ACTIONS(2261),
    [anon_sym_inline] = ACTIONS(2261),
    [anon_sym___inline] = ACTIONS(2261),
    [anon_sym___inline__] = ACTIONS(2261),
    [anon_sym___forceinline] = ACTIONS(2261),
    [anon_sym_thread_local] = ACTIONS(2261),
    [anon_sym___thread] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_constexpr] = ACTIONS(2261),
    [anon_sym_volatile] = ACTIONS(2261),
    [anon_sym_restrict] = ACTIONS(2261),
    [anon_sym___restrict__] = ACTIONS(2261),
    [anon_sym__Atomic] = ACTIONS(2261),
    [anon_sym__Noreturn] = ACTIONS(2261),
    [anon_sym_noreturn] = ACTIONS(2261),
    [anon_sym_mutable] = ACTIONS(2261),
    [anon_sym_constinit] = ACTIONS(2261),
    [anon_sym_consteval] = ACTIONS(2261),
    [anon_sym_PROGMEM] = ACTIONS(2261),
    [aux_sym_primitive_type_token1] = ACTIONS(2261),
    [anon_sym_byte] = ACTIONS(2261),
    [anon_sym_word] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_struct] = ACTIONS(2261),
    [anon_sym_union] = ACTIONS(2261),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_else] = ACTIONS(2261),
    [anon_sym_switch] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2261),
    [anon_sym_do] = ACTIONS(2261),
    [anon_sym_for] = ACTIONS(2261),
    [anon_sym_return] = ACTIONS(2261),
    [anon_sym_break] = ACTIONS(2261),
    [anon_sym_continue] = ACTIONS(2261),
    [anon_sym_goto] = ACTIONS(2261),
    [anon_sym___try] = ACTIONS(2261),
    [anon_sym___leave] = ACTIONS(2261),
    [anon_sym_not] = ACTIONS(2261),
    [anon_sym_compl] = ACTIONS(2261),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_sizeof] = ACTIONS(2261),
    [anon_sym___alignof__] = ACTIONS(2261),
    [anon_sym___alignof] = ACTIONS(2261),
    [anon_sym__alignof] = ACTIONS(2261),
    [anon_sym_alignof] = ACTIONS(2261),
    [anon_sym__Alignof] = ACTIONS(2261),
    [anon_sym_offsetof] = ACTIONS(2261),
    [anon_sym__Generic] = ACTIONS(2261),
    [anon_sym_asm] = ACTIONS(2261),
    [anon_sym___asm__] = ACTIONS(2261),
    [aux_sym_number_literal_token1] = ACTIONS(2259),
    [aux_sym_number_literal_token2] = ACTIONS(2261),
    [anon_sym_L_SQUOTE] = ACTIONS(2259),
    [anon_sym_u_SQUOTE] = ACTIONS(2259),
    [anon_sym_U_SQUOTE] = ACTIONS(2259),
    [anon_sym_u8_SQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [anon_sym_L_DQUOTE] = ACTIONS(2259),
    [anon_sym_u_DQUOTE] = ACTIONS(2259),
    [anon_sym_U_DQUOTE] = ACTIONS(2259),
    [anon_sym_u8_DQUOTE] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [sym_true] = ACTIONS(2261),
    [sym_false] = ACTIONS(2261),
    [anon_sym_NULL] = ACTIONS(2261),
    [anon_sym_nullptr] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2261),
    [anon_sym_decltype] = ACTIONS(2261),
    [anon_sym_virtual] = ACTIONS(2261),
    [anon_sym_alignas] = ACTIONS(2261),
    [anon_sym_typename] = ACTIONS(2261),
    [anon_sym_template] = ACTIONS(2261),
    [anon_sym_try] = ACTIONS(2261),
    [anon_sym_delete] = ACTIONS(2261),
    [anon_sym_throw] = ACTIONS(2261),
    [anon_sym_co_return] = ACTIONS(2261),
    [anon_sym_co_yield] = ACTIONS(2261),
    [anon_sym_catch] = ACTIONS(2261),
    [anon_sym_R_DQUOTE] = ACTIONS(2259),
    [anon_sym_LR_DQUOTE] = ACTIONS(2259),
    [anon_sym_uR_DQUOTE] = ACTIONS(2259),
    [anon_sym_UR_DQUOTE] = ACTIONS(2259),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2259),
    [anon_sym_co_await] = ACTIONS(2261),
    [anon_sym_new] = ACTIONS(2261),
    [anon_sym_requires] = ACTIONS(2261),
    [sym_this] = ACTIONS(2261),
  },
  [1138] = {
    [sym_else_clause] = STATE(1160),
    [sym_identifier] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2915),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_PROGMEM] = ACTIONS(2913),
    [aux_sym_primitive_type_token1] = ACTIONS(2913),
    [anon_sym_byte] = ACTIONS(2913),
    [anon_sym_word] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(4234),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [aux_sym_number_literal_token1] = ACTIONS(2915),
    [aux_sym_number_literal_token2] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [1139] = {
    [sym_identifier] = ACTIONS(4115),
    [anon_sym_LPAREN2] = ACTIONS(4117),
    [anon_sym_BANG] = ACTIONS(4117),
    [anon_sym_TILDE] = ACTIONS(4117),
    [anon_sym_DASH] = ACTIONS(4115),
    [anon_sym_PLUS] = ACTIONS(4115),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4117),
    [anon_sym___extension__] = ACTIONS(4115),
    [anon_sym_extern] = ACTIONS(4115),
    [anon_sym___attribute__] = ACTIONS(4115),
    [anon_sym_COLON_COLON] = ACTIONS(4117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4117),
    [anon_sym___declspec] = ACTIONS(4115),
    [anon_sym_LBRACE] = ACTIONS(4117),
    [anon_sym_signed] = ACTIONS(4115),
    [anon_sym_unsigned] = ACTIONS(4115),
    [anon_sym_long] = ACTIONS(4115),
    [anon_sym_short] = ACTIONS(4115),
    [anon_sym_LBRACK] = ACTIONS(4115),
    [anon_sym_static] = ACTIONS(4115),
    [anon_sym_register] = ACTIONS(4115),
    [anon_sym_inline] = ACTIONS(4115),
    [anon_sym___inline] = ACTIONS(4115),
    [anon_sym___inline__] = ACTIONS(4115),
    [anon_sym___forceinline] = ACTIONS(4115),
    [anon_sym_thread_local] = ACTIONS(4115),
    [anon_sym___thread] = ACTIONS(4115),
    [anon_sym_const] = ACTIONS(4115),
    [anon_sym_constexpr] = ACTIONS(4115),
    [anon_sym_volatile] = ACTIONS(4115),
    [anon_sym_restrict] = ACTIONS(4115),
    [anon_sym___restrict__] = ACTIONS(4115),
    [anon_sym__Atomic] = ACTIONS(4115),
    [anon_sym__Noreturn] = ACTIONS(4115),
    [anon_sym_noreturn] = ACTIONS(4115),
    [anon_sym_mutable] = ACTIONS(4115),
    [anon_sym_constinit] = ACTIONS(4115),
    [anon_sym_consteval] = ACTIONS(4115),
    [anon_sym_PROGMEM] = ACTIONS(4115),
    [aux_sym_primitive_type_token1] = ACTIONS(4115),
    [anon_sym_byte] = ACTIONS(4115),
    [anon_sym_word] = ACTIONS(4115),
    [anon_sym_enum] = ACTIONS(4115),
    [anon_sym_class] = ACTIONS(4115),
    [anon_sym_struct] = ACTIONS(4115),
    [anon_sym_union] = ACTIONS(4115),
    [anon_sym_if] = ACTIONS(4115),
    [anon_sym_switch] = ACTIONS(4115),
    [anon_sym_case] = ACTIONS(4115),
    [anon_sym_default] = ACTIONS(4115),
    [anon_sym_while] = ACTIONS(4115),
    [anon_sym_do] = ACTIONS(4115),
    [anon_sym_for] = ACTIONS(4115),
    [anon_sym_return] = ACTIONS(4115),
    [anon_sym_break] = ACTIONS(4115),
    [anon_sym_continue] = ACTIONS(4115),
    [anon_sym_goto] = ACTIONS(4115),
    [anon_sym___try] = ACTIONS(4115),
    [anon_sym___leave] = ACTIONS(4115),
    [anon_sym_not] = ACTIONS(4115),
    [anon_sym_compl] = ACTIONS(4115),
    [anon_sym_DASH_DASH] = ACTIONS(4117),
    [anon_sym_PLUS_PLUS] = ACTIONS(4117),
    [anon_sym_sizeof] = ACTIONS(4115),
    [anon_sym___alignof__] = ACTIONS(4115),
    [anon_sym___alignof] = ACTIONS(4115),
    [anon_sym__alignof] = ACTIONS(4115),
    [anon_sym_alignof] = ACTIONS(4115),
    [anon_sym__Alignof] = ACTIONS(4115),
    [anon_sym_offsetof] = ACTIONS(4115),
    [anon_sym__Generic] = ACTIONS(4115),
    [anon_sym_asm] = ACTIONS(4115),
    [anon_sym___asm__] = ACTIONS(4115),
    [aux_sym_number_literal_token1] = ACTIONS(4117),
    [aux_sym_number_literal_token2] = ACTIONS(4115),
    [anon_sym_L_SQUOTE] = ACTIONS(4117),
    [anon_sym_u_SQUOTE] = ACTIONS(4117),
    [anon_sym_U_SQUOTE] = ACTIONS(4117),
    [anon_sym_u8_SQUOTE] = ACTIONS(4117),
    [anon_sym_SQUOTE] = ACTIONS(4117),
    [anon_sym_L_DQUOTE] = ACTIONS(4117),
    [anon_sym_u_DQUOTE] = ACTIONS(4117),
    [anon_sym_U_DQUOTE] = ACTIONS(4117),
    [anon_sym_u8_DQUOTE] = ACTIONS(4117),
    [anon_sym_DQUOTE] = ACTIONS(4117),
    [sym_true] = ACTIONS(4115),
    [sym_false] = ACTIONS(4115),
    [anon_sym_NULL] = ACTIONS(4115),
    [anon_sym_nullptr] = ACTIONS(4115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4115),
    [anon_sym_decltype] = ACTIONS(4115),
    [anon_sym_virtual] = ACTIONS(4115),
    [anon_sym_alignas] = ACTIONS(4115),
    [anon_sym_typename] = ACTIONS(4115),
    [anon_sym_template] = ACTIONS(4115),
    [anon_sym_try] = ACTIONS(4115),
    [anon_sym_delete] = ACTIONS(4115),
    [anon_sym_throw] = ACTIONS(4115),
    [anon_sym_co_return] = ACTIONS(4115),
    [anon_sym_co_yield] = ACTIONS(4115),
    [anon_sym_R_DQUOTE] = ACTIONS(4117),
    [anon_sym_LR_DQUOTE] = ACTIONS(4117),
    [anon_sym_uR_DQUOTE] = ACTIONS(4117),
    [anon_sym_UR_DQUOTE] = ACTIONS(4117),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4117),
    [anon_sym_co_await] = ACTIONS(4115),
    [anon_sym_new] = ACTIONS(4115),
    [anon_sym_requires] = ACTIONS(4115),
    [sym_this] = ACTIONS(4115),
  },
  [1140] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [1141] = {
    [sym_identifier] = ACTIONS(4215),
    [anon_sym_LPAREN2] = ACTIONS(4221),
    [anon_sym_BANG] = ACTIONS(4221),
    [anon_sym_TILDE] = ACTIONS(4221),
    [anon_sym_DASH] = ACTIONS(4223),
    [anon_sym_PLUS] = ACTIONS(4223),
    [anon_sym_STAR] = ACTIONS(4221),
    [anon_sym_AMP] = ACTIONS(4221),
    [anon_sym_SEMI] = ACTIONS(4221),
    [anon_sym___extension__] = ACTIONS(4227),
    [anon_sym_extern] = ACTIONS(4227),
    [anon_sym___attribute__] = ACTIONS(4227),
    [anon_sym_COLON_COLON] = ACTIONS(4218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4218),
    [anon_sym___declspec] = ACTIONS(4227),
    [anon_sym_LBRACE] = ACTIONS(4221),
    [anon_sym_signed] = ACTIONS(4227),
    [anon_sym_unsigned] = ACTIONS(4227),
    [anon_sym_long] = ACTIONS(4227),
    [anon_sym_short] = ACTIONS(4227),
    [anon_sym_LBRACK] = ACTIONS(4223),
    [anon_sym_static] = ACTIONS(4227),
    [anon_sym_register] = ACTIONS(4227),
    [anon_sym_inline] = ACTIONS(4227),
    [anon_sym___inline] = ACTIONS(4227),
    [anon_sym___inline__] = ACTIONS(4227),
    [anon_sym___forceinline] = ACTIONS(4227),
    [anon_sym_thread_local] = ACTIONS(4227),
    [anon_sym___thread] = ACTIONS(4227),
    [anon_sym_const] = ACTIONS(4227),
    [anon_sym_constexpr] = ACTIONS(4227),
    [anon_sym_volatile] = ACTIONS(4227),
    [anon_sym_restrict] = ACTIONS(4227),
    [anon_sym___restrict__] = ACTIONS(4227),
    [anon_sym__Atomic] = ACTIONS(4227),
    [anon_sym__Noreturn] = ACTIONS(4227),
    [anon_sym_noreturn] = ACTIONS(4227),
    [anon_sym_mutable] = ACTIONS(4227),
    [anon_sym_constinit] = ACTIONS(4227),
    [anon_sym_consteval] = ACTIONS(4227),
    [anon_sym_PROGMEM] = ACTIONS(4227),
    [aux_sym_primitive_type_token1] = ACTIONS(4215),
    [anon_sym_byte] = ACTIONS(4215),
    [anon_sym_word] = ACTIONS(4215),
    [anon_sym_enum] = ACTIONS(4227),
    [anon_sym_class] = ACTIONS(4227),
    [anon_sym_struct] = ACTIONS(4227),
    [anon_sym_union] = ACTIONS(4227),
    [anon_sym_if] = ACTIONS(4223),
    [anon_sym_switch] = ACTIONS(4223),
    [anon_sym_case] = ACTIONS(4223),
    [anon_sym_default] = ACTIONS(4223),
    [anon_sym_while] = ACTIONS(4223),
    [anon_sym_do] = ACTIONS(4223),
    [anon_sym_for] = ACTIONS(4223),
    [anon_sym_return] = ACTIONS(4223),
    [anon_sym_break] = ACTIONS(4223),
    [anon_sym_continue] = ACTIONS(4223),
    [anon_sym_goto] = ACTIONS(4223),
    [anon_sym___try] = ACTIONS(4223),
    [anon_sym___leave] = ACTIONS(4223),
    [anon_sym_not] = ACTIONS(4223),
    [anon_sym_compl] = ACTIONS(4223),
    [anon_sym_DASH_DASH] = ACTIONS(4221),
    [anon_sym_PLUS_PLUS] = ACTIONS(4221),
    [anon_sym_sizeof] = ACTIONS(4223),
    [anon_sym___alignof__] = ACTIONS(4223),
    [anon_sym___alignof] = ACTIONS(4223),
    [anon_sym__alignof] = ACTIONS(4223),
    [anon_sym_alignof] = ACTIONS(4223),
    [anon_sym__Alignof] = ACTIONS(4223),
    [anon_sym_offsetof] = ACTIONS(4223),
    [anon_sym__Generic] = ACTIONS(4223),
    [anon_sym_asm] = ACTIONS(4223),
    [anon_sym___asm__] = ACTIONS(4223),
    [aux_sym_number_literal_token1] = ACTIONS(4221),
    [aux_sym_number_literal_token2] = ACTIONS(4223),
    [anon_sym_L_SQUOTE] = ACTIONS(4221),
    [anon_sym_u_SQUOTE] = ACTIONS(4221),
    [anon_sym_U_SQUOTE] = ACTIONS(4221),
    [anon_sym_u8_SQUOTE] = ACTIONS(4221),
    [anon_sym_SQUOTE] = ACTIONS(4221),
    [anon_sym_L_DQUOTE] = ACTIONS(4221),
    [anon_sym_u_DQUOTE] = ACTIONS(4221),
    [anon_sym_U_DQUOTE] = ACTIONS(4221),
    [anon_sym_u8_DQUOTE] = ACTIONS(4221),
    [anon_sym_DQUOTE] = ACTIONS(4221),
    [sym_true] = ACTIONS(4223),
    [sym_false] = ACTIONS(4223),
    [anon_sym_NULL] = ACTIONS(4223),
    [anon_sym_nullptr] = ACTIONS(4223),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4227),
    [anon_sym_decltype] = ACTIONS(4215),
    [anon_sym_virtual] = ACTIONS(4227),
    [anon_sym_alignas] = ACTIONS(4227),
    [anon_sym_typename] = ACTIONS(4227),
    [anon_sym_template] = ACTIONS(4215),
    [anon_sym_try] = ACTIONS(4223),
    [anon_sym_delete] = ACTIONS(4223),
    [anon_sym_throw] = ACTIONS(4223),
    [anon_sym_co_return] = ACTIONS(4223),
    [anon_sym_co_yield] = ACTIONS(4223),
    [anon_sym_R_DQUOTE] = ACTIONS(4221),
    [anon_sym_LR_DQUOTE] = ACTIONS(4221),
    [anon_sym_uR_DQUOTE] = ACTIONS(4221),
    [anon_sym_UR_DQUOTE] = ACTIONS(4221),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4221),
    [anon_sym_co_await] = ACTIONS(4223),
    [anon_sym_new] = ACTIONS(4223),
    [anon_sym_requires] = ACTIONS(4223),
    [sym_this] = ACTIONS(4223),
  },
  [1142] = {
    [sym_identifier] = ACTIONS(3056),
    [anon_sym_LPAREN2] = ACTIONS(3058),
    [anon_sym_BANG] = ACTIONS(3058),
    [anon_sym_TILDE] = ACTIONS(3058),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_AMP] = ACTIONS(3058),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym___extension__] = ACTIONS(3056),
    [anon_sym_typedef] = ACTIONS(3056),
    [anon_sym_extern] = ACTIONS(3056),
    [anon_sym___attribute__] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3058),
    [anon_sym___declspec] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_signed] = ACTIONS(3056),
    [anon_sym_unsigned] = ACTIONS(3056),
    [anon_sym_long] = ACTIONS(3056),
    [anon_sym_short] = ACTIONS(3056),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [anon_sym_static] = ACTIONS(3056),
    [anon_sym_register] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym___inline] = ACTIONS(3056),
    [anon_sym___inline__] = ACTIONS(3056),
    [anon_sym___forceinline] = ACTIONS(3056),
    [anon_sym_thread_local] = ACTIONS(3056),
    [anon_sym___thread] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_constexpr] = ACTIONS(3056),
    [anon_sym_volatile] = ACTIONS(3056),
    [anon_sym_restrict] = ACTIONS(3056),
    [anon_sym___restrict__] = ACTIONS(3056),
    [anon_sym__Atomic] = ACTIONS(3056),
    [anon_sym__Noreturn] = ACTIONS(3056),
    [anon_sym_noreturn] = ACTIONS(3056),
    [anon_sym_mutable] = ACTIONS(3056),
    [anon_sym_constinit] = ACTIONS(3056),
    [anon_sym_consteval] = ACTIONS(3056),
    [anon_sym_PROGMEM] = ACTIONS(3056),
    [aux_sym_primitive_type_token1] = ACTIONS(3056),
    [anon_sym_byte] = ACTIONS(3056),
    [anon_sym_word] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_class] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3056),
    [anon_sym_union] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(3056),
    [anon_sym_else] = ACTIONS(3056),
    [anon_sym_switch] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_do] = ACTIONS(3056),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_return] = ACTIONS(3056),
    [anon_sym_break] = ACTIONS(3056),
    [anon_sym_continue] = ACTIONS(3056),
    [anon_sym_goto] = ACTIONS(3056),
    [anon_sym___try] = ACTIONS(3056),
    [anon_sym___leave] = ACTIONS(3056),
    [anon_sym_not] = ACTIONS(3056),
    [anon_sym_compl] = ACTIONS(3056),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_sizeof] = ACTIONS(3056),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3056),
    [anon_sym__Generic] = ACTIONS(3056),
    [anon_sym_asm] = ACTIONS(3056),
    [anon_sym___asm__] = ACTIONS(3056),
    [aux_sym_number_literal_token1] = ACTIONS(3058),
    [aux_sym_number_literal_token2] = ACTIONS(3056),
    [anon_sym_L_SQUOTE] = ACTIONS(3058),
    [anon_sym_u_SQUOTE] = ACTIONS(3058),
    [anon_sym_U_SQUOTE] = ACTIONS(3058),
    [anon_sym_u8_SQUOTE] = ACTIONS(3058),
    [anon_sym_SQUOTE] = ACTIONS(3058),
    [anon_sym_L_DQUOTE] = ACTIONS(3058),
    [anon_sym_u_DQUOTE] = ACTIONS(3058),
    [anon_sym_U_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8_DQUOTE] = ACTIONS(3058),
    [anon_sym_DQUOTE] = ACTIONS(3058),
    [sym_true] = ACTIONS(3056),
    [sym_false] = ACTIONS(3056),
    [anon_sym_NULL] = ACTIONS(3056),
    [anon_sym_nullptr] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3056),
    [anon_sym_decltype] = ACTIONS(3056),
    [anon_sym_virtual] = ACTIONS(3056),
    [anon_sym_alignas] = ACTIONS(3056),
    [anon_sym_typename] = ACTIONS(3056),
    [anon_sym_template] = ACTIONS(3056),
    [anon_sym_try] = ACTIONS(3056),
    [anon_sym_delete] = ACTIONS(3056),
    [anon_sym_throw] = ACTIONS(3056),
    [anon_sym_co_return] = ACTIONS(3056),
    [anon_sym_co_yield] = ACTIONS(3056),
    [anon_sym_R_DQUOTE] = ACTIONS(3058),
    [anon_sym_LR_DQUOTE] = ACTIONS(3058),
    [anon_sym_uR_DQUOTE] = ACTIONS(3058),
    [anon_sym_UR_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3058),
    [anon_sym_co_await] = ACTIONS(3056),
    [anon_sym_new] = ACTIONS(3056),
    [anon_sym_requires] = ACTIONS(3056),
    [sym_this] = ACTIONS(3056),
  },
  [1143] = {
    [sym_identifier] = ACTIONS(3048),
    [anon_sym_LPAREN2] = ACTIONS(3050),
    [anon_sym_BANG] = ACTIONS(3050),
    [anon_sym_TILDE] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3048),
    [anon_sym_STAR] = ACTIONS(3050),
    [anon_sym_AMP] = ACTIONS(3050),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym___extension__] = ACTIONS(3048),
    [anon_sym_typedef] = ACTIONS(3048),
    [anon_sym_extern] = ACTIONS(3048),
    [anon_sym___attribute__] = ACTIONS(3048),
    [anon_sym_COLON_COLON] = ACTIONS(3050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3050),
    [anon_sym___declspec] = ACTIONS(3048),
    [anon_sym_LBRACE] = ACTIONS(3050),
    [anon_sym_signed] = ACTIONS(3048),
    [anon_sym_unsigned] = ACTIONS(3048),
    [anon_sym_long] = ACTIONS(3048),
    [anon_sym_short] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(3048),
    [anon_sym_static] = ACTIONS(3048),
    [anon_sym_register] = ACTIONS(3048),
    [anon_sym_inline] = ACTIONS(3048),
    [anon_sym___inline] = ACTIONS(3048),
    [anon_sym___inline__] = ACTIONS(3048),
    [anon_sym___forceinline] = ACTIONS(3048),
    [anon_sym_thread_local] = ACTIONS(3048),
    [anon_sym___thread] = ACTIONS(3048),
    [anon_sym_const] = ACTIONS(3048),
    [anon_sym_constexpr] = ACTIONS(3048),
    [anon_sym_volatile] = ACTIONS(3048),
    [anon_sym_restrict] = ACTIONS(3048),
    [anon_sym___restrict__] = ACTIONS(3048),
    [anon_sym__Atomic] = ACTIONS(3048),
    [anon_sym__Noreturn] = ACTIONS(3048),
    [anon_sym_noreturn] = ACTIONS(3048),
    [anon_sym_mutable] = ACTIONS(3048),
    [anon_sym_constinit] = ACTIONS(3048),
    [anon_sym_consteval] = ACTIONS(3048),
    [anon_sym_PROGMEM] = ACTIONS(3048),
    [aux_sym_primitive_type_token1] = ACTIONS(3048),
    [anon_sym_byte] = ACTIONS(3048),
    [anon_sym_word] = ACTIONS(3048),
    [anon_sym_enum] = ACTIONS(3048),
    [anon_sym_class] = ACTIONS(3048),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3048),
    [anon_sym_if] = ACTIONS(3048),
    [anon_sym_else] = ACTIONS(3048),
    [anon_sym_switch] = ACTIONS(3048),
    [anon_sym_while] = ACTIONS(3048),
    [anon_sym_do] = ACTIONS(3048),
    [anon_sym_for] = ACTIONS(3048),
    [anon_sym_return] = ACTIONS(3048),
    [anon_sym_break] = ACTIONS(3048),
    [anon_sym_continue] = ACTIONS(3048),
    [anon_sym_goto] = ACTIONS(3048),
    [anon_sym___try] = ACTIONS(3048),
    [anon_sym___leave] = ACTIONS(3048),
    [anon_sym_not] = ACTIONS(3048),
    [anon_sym_compl] = ACTIONS(3048),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_sizeof] = ACTIONS(3048),
    [anon_sym___alignof__] = ACTIONS(3048),
    [anon_sym___alignof] = ACTIONS(3048),
    [anon_sym__alignof] = ACTIONS(3048),
    [anon_sym_alignof] = ACTIONS(3048),
    [anon_sym__Alignof] = ACTIONS(3048),
    [anon_sym_offsetof] = ACTIONS(3048),
    [anon_sym__Generic] = ACTIONS(3048),
    [anon_sym_asm] = ACTIONS(3048),
    [anon_sym___asm__] = ACTIONS(3048),
    [aux_sym_number_literal_token1] = ACTIONS(3050),
    [aux_sym_number_literal_token2] = ACTIONS(3048),
    [anon_sym_L_SQUOTE] = ACTIONS(3050),
    [anon_sym_u_SQUOTE] = ACTIONS(3050),
    [anon_sym_U_SQUOTE] = ACTIONS(3050),
    [anon_sym_u8_SQUOTE] = ACTIONS(3050),
    [anon_sym_SQUOTE] = ACTIONS(3050),
    [anon_sym_L_DQUOTE] = ACTIONS(3050),
    [anon_sym_u_DQUOTE] = ACTIONS(3050),
    [anon_sym_U_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8_DQUOTE] = ACTIONS(3050),
    [anon_sym_DQUOTE] = ACTIONS(3050),
    [sym_true] = ACTIONS(3048),
    [sym_false] = ACTIONS(3048),
    [anon_sym_NULL] = ACTIONS(3048),
    [anon_sym_nullptr] = ACTIONS(3048),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3048),
    [anon_sym_decltype] = ACTIONS(3048),
    [anon_sym_virtual] = ACTIONS(3048),
    [anon_sym_alignas] = ACTIONS(3048),
    [anon_sym_typename] = ACTIONS(3048),
    [anon_sym_template] = ACTIONS(3048),
    [anon_sym_try] = ACTIONS(3048),
    [anon_sym_delete] = ACTIONS(3048),
    [anon_sym_throw] = ACTIONS(3048),
    [anon_sym_co_return] = ACTIONS(3048),
    [anon_sym_co_yield] = ACTIONS(3048),
    [anon_sym_R_DQUOTE] = ACTIONS(3050),
    [anon_sym_LR_DQUOTE] = ACTIONS(3050),
    [anon_sym_uR_DQUOTE] = ACTIONS(3050),
    [anon_sym_UR_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3050),
    [anon_sym_co_await] = ACTIONS(3048),
    [anon_sym_new] = ACTIONS(3048),
    [anon_sym_requires] = ACTIONS(3048),
    [sym_this] = ACTIONS(3048),
  },
  [1144] = {
    [sym_identifier] = ACTIONS(4119),
    [anon_sym_LPAREN2] = ACTIONS(4121),
    [anon_sym_BANG] = ACTIONS(4121),
    [anon_sym_TILDE] = ACTIONS(4121),
    [anon_sym_DASH] = ACTIONS(4119),
    [anon_sym_PLUS] = ACTIONS(4119),
    [anon_sym_STAR] = ACTIONS(4121),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_SEMI] = ACTIONS(4121),
    [anon_sym___extension__] = ACTIONS(4119),
    [anon_sym_extern] = ACTIONS(4119),
    [anon_sym___attribute__] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(4121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4121),
    [anon_sym___declspec] = ACTIONS(4119),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_signed] = ACTIONS(4119),
    [anon_sym_unsigned] = ACTIONS(4119),
    [anon_sym_long] = ACTIONS(4119),
    [anon_sym_short] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [anon_sym_static] = ACTIONS(4119),
    [anon_sym_register] = ACTIONS(4119),
    [anon_sym_inline] = ACTIONS(4119),
    [anon_sym___inline] = ACTIONS(4119),
    [anon_sym___inline__] = ACTIONS(4119),
    [anon_sym___forceinline] = ACTIONS(4119),
    [anon_sym_thread_local] = ACTIONS(4119),
    [anon_sym___thread] = ACTIONS(4119),
    [anon_sym_const] = ACTIONS(4119),
    [anon_sym_constexpr] = ACTIONS(4119),
    [anon_sym_volatile] = ACTIONS(4119),
    [anon_sym_restrict] = ACTIONS(4119),
    [anon_sym___restrict__] = ACTIONS(4119),
    [anon_sym__Atomic] = ACTIONS(4119),
    [anon_sym__Noreturn] = ACTIONS(4119),
    [anon_sym_noreturn] = ACTIONS(4119),
    [anon_sym_mutable] = ACTIONS(4119),
    [anon_sym_constinit] = ACTIONS(4119),
    [anon_sym_consteval] = ACTIONS(4119),
    [anon_sym_PROGMEM] = ACTIONS(4119),
    [aux_sym_primitive_type_token1] = ACTIONS(4119),
    [anon_sym_byte] = ACTIONS(4119),
    [anon_sym_word] = ACTIONS(4119),
    [anon_sym_enum] = ACTIONS(4119),
    [anon_sym_class] = ACTIONS(4119),
    [anon_sym_struct] = ACTIONS(4119),
    [anon_sym_union] = ACTIONS(4119),
    [anon_sym_if] = ACTIONS(4119),
    [anon_sym_switch] = ACTIONS(4119),
    [anon_sym_case] = ACTIONS(4119),
    [anon_sym_default] = ACTIONS(4119),
    [anon_sym_while] = ACTIONS(4119),
    [anon_sym_do] = ACTIONS(4119),
    [anon_sym_for] = ACTIONS(4119),
    [anon_sym_return] = ACTIONS(4119),
    [anon_sym_break] = ACTIONS(4119),
    [anon_sym_continue] = ACTIONS(4119),
    [anon_sym_goto] = ACTIONS(4119),
    [anon_sym___try] = ACTIONS(4119),
    [anon_sym___leave] = ACTIONS(4119),
    [anon_sym_not] = ACTIONS(4119),
    [anon_sym_compl] = ACTIONS(4119),
    [anon_sym_DASH_DASH] = ACTIONS(4121),
    [anon_sym_PLUS_PLUS] = ACTIONS(4121),
    [anon_sym_sizeof] = ACTIONS(4119),
    [anon_sym___alignof__] = ACTIONS(4119),
    [anon_sym___alignof] = ACTIONS(4119),
    [anon_sym__alignof] = ACTIONS(4119),
    [anon_sym_alignof] = ACTIONS(4119),
    [anon_sym__Alignof] = ACTIONS(4119),
    [anon_sym_offsetof] = ACTIONS(4119),
    [anon_sym__Generic] = ACTIONS(4119),
    [anon_sym_asm] = ACTIONS(4119),
    [anon_sym___asm__] = ACTIONS(4119),
    [aux_sym_number_literal_token1] = ACTIONS(4121),
    [aux_sym_number_literal_token2] = ACTIONS(4119),
    [anon_sym_L_SQUOTE] = ACTIONS(4121),
    [anon_sym_u_SQUOTE] = ACTIONS(4121),
    [anon_sym_U_SQUOTE] = ACTIONS(4121),
    [anon_sym_u8_SQUOTE] = ACTIONS(4121),
    [anon_sym_SQUOTE] = ACTIONS(4121),
    [anon_sym_L_DQUOTE] = ACTIONS(4121),
    [anon_sym_u_DQUOTE] = ACTIONS(4121),
    [anon_sym_U_DQUOTE] = ACTIONS(4121),
    [anon_sym_u8_DQUOTE] = ACTIONS(4121),
    [anon_sym_DQUOTE] = ACTIONS(4121),
    [sym_true] = ACTIONS(4119),
    [sym_false] = ACTIONS(4119),
    [anon_sym_NULL] = ACTIONS(4119),
    [anon_sym_nullptr] = ACTIONS(4119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4119),
    [anon_sym_decltype] = ACTIONS(4119),
    [anon_sym_virtual] = ACTIONS(4119),
    [anon_sym_alignas] = ACTIONS(4119),
    [anon_sym_typename] = ACTIONS(4119),
    [anon_sym_template] = ACTIONS(4119),
    [anon_sym_try] = ACTIONS(4119),
    [anon_sym_delete] = ACTIONS(4119),
    [anon_sym_throw] = ACTIONS(4119),
    [anon_sym_co_return] = ACTIONS(4119),
    [anon_sym_co_yield] = ACTIONS(4119),
    [anon_sym_R_DQUOTE] = ACTIONS(4121),
    [anon_sym_LR_DQUOTE] = ACTIONS(4121),
    [anon_sym_uR_DQUOTE] = ACTIONS(4121),
    [anon_sym_UR_DQUOTE] = ACTIONS(4121),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4121),
    [anon_sym_co_await] = ACTIONS(4119),
    [anon_sym_new] = ACTIONS(4119),
    [anon_sym_requires] = ACTIONS(4119),
    [sym_this] = ACTIONS(4119),
  },
  [1145] = {
    [sym_identifier] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_BANG] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3042),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_PROGMEM] = ACTIONS(3040),
    [aux_sym_primitive_type_token1] = ACTIONS(3040),
    [anon_sym_byte] = ACTIONS(3040),
    [anon_sym_word] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_else] = ACTIONS(3040),
    [anon_sym_switch] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_do] = ACTIONS(3040),
    [anon_sym_for] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_break] = ACTIONS(3040),
    [anon_sym_continue] = ACTIONS(3040),
    [anon_sym_goto] = ACTIONS(3040),
    [anon_sym___try] = ACTIONS(3040),
    [anon_sym___leave] = ACTIONS(3040),
    [anon_sym_not] = ACTIONS(3040),
    [anon_sym_compl] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_sizeof] = ACTIONS(3040),
    [anon_sym___alignof__] = ACTIONS(3040),
    [anon_sym___alignof] = ACTIONS(3040),
    [anon_sym__alignof] = ACTIONS(3040),
    [anon_sym_alignof] = ACTIONS(3040),
    [anon_sym__Alignof] = ACTIONS(3040),
    [anon_sym_offsetof] = ACTIONS(3040),
    [anon_sym__Generic] = ACTIONS(3040),
    [anon_sym_asm] = ACTIONS(3040),
    [anon_sym___asm__] = ACTIONS(3040),
    [aux_sym_number_literal_token1] = ACTIONS(3042),
    [aux_sym_number_literal_token2] = ACTIONS(3040),
    [anon_sym_L_SQUOTE] = ACTIONS(3042),
    [anon_sym_u_SQUOTE] = ACTIONS(3042),
    [anon_sym_U_SQUOTE] = ACTIONS(3042),
    [anon_sym_u8_SQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_L_DQUOTE] = ACTIONS(3042),
    [anon_sym_u_DQUOTE] = ACTIONS(3042),
    [anon_sym_U_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8_DQUOTE] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3042),
    [sym_true] = ACTIONS(3040),
    [sym_false] = ACTIONS(3040),
    [anon_sym_NULL] = ACTIONS(3040),
    [anon_sym_nullptr] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_delete] = ACTIONS(3040),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_co_return] = ACTIONS(3040),
    [anon_sym_co_yield] = ACTIONS(3040),
    [anon_sym_R_DQUOTE] = ACTIONS(3042),
    [anon_sym_LR_DQUOTE] = ACTIONS(3042),
    [anon_sym_uR_DQUOTE] = ACTIONS(3042),
    [anon_sym_UR_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3042),
    [anon_sym_co_await] = ACTIONS(3040),
    [anon_sym_new] = ACTIONS(3040),
    [anon_sym_requires] = ACTIONS(3040),
    [sym_this] = ACTIONS(3040),
  },
  [1146] = {
    [sym_identifier] = ACTIONS(3068),
    [anon_sym_LPAREN2] = ACTIONS(3070),
    [anon_sym_BANG] = ACTIONS(3070),
    [anon_sym_TILDE] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_AMP] = ACTIONS(3070),
    [anon_sym_SEMI] = ACTIONS(3070),
    [anon_sym___extension__] = ACTIONS(3068),
    [anon_sym_typedef] = ACTIONS(3068),
    [anon_sym_extern] = ACTIONS(3068),
    [anon_sym___attribute__] = ACTIONS(3068),
    [anon_sym_COLON_COLON] = ACTIONS(3070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3070),
    [anon_sym___declspec] = ACTIONS(3068),
    [anon_sym_LBRACE] = ACTIONS(3070),
    [anon_sym_signed] = ACTIONS(3068),
    [anon_sym_unsigned] = ACTIONS(3068),
    [anon_sym_long] = ACTIONS(3068),
    [anon_sym_short] = ACTIONS(3068),
    [anon_sym_LBRACK] = ACTIONS(3068),
    [anon_sym_static] = ACTIONS(3068),
    [anon_sym_register] = ACTIONS(3068),
    [anon_sym_inline] = ACTIONS(3068),
    [anon_sym___inline] = ACTIONS(3068),
    [anon_sym___inline__] = ACTIONS(3068),
    [anon_sym___forceinline] = ACTIONS(3068),
    [anon_sym_thread_local] = ACTIONS(3068),
    [anon_sym___thread] = ACTIONS(3068),
    [anon_sym_const] = ACTIONS(3068),
    [anon_sym_constexpr] = ACTIONS(3068),
    [anon_sym_volatile] = ACTIONS(3068),
    [anon_sym_restrict] = ACTIONS(3068),
    [anon_sym___restrict__] = ACTIONS(3068),
    [anon_sym__Atomic] = ACTIONS(3068),
    [anon_sym__Noreturn] = ACTIONS(3068),
    [anon_sym_noreturn] = ACTIONS(3068),
    [anon_sym_mutable] = ACTIONS(3068),
    [anon_sym_constinit] = ACTIONS(3068),
    [anon_sym_consteval] = ACTIONS(3068),
    [anon_sym_PROGMEM] = ACTIONS(3068),
    [aux_sym_primitive_type_token1] = ACTIONS(3068),
    [anon_sym_byte] = ACTIONS(3068),
    [anon_sym_word] = ACTIONS(3068),
    [anon_sym_enum] = ACTIONS(3068),
    [anon_sym_class] = ACTIONS(3068),
    [anon_sym_struct] = ACTIONS(3068),
    [anon_sym_union] = ACTIONS(3068),
    [anon_sym_if] = ACTIONS(3068),
    [anon_sym_else] = ACTIONS(3068),
    [anon_sym_switch] = ACTIONS(3068),
    [anon_sym_while] = ACTIONS(3068),
    [anon_sym_do] = ACTIONS(3068),
    [anon_sym_for] = ACTIONS(3068),
    [anon_sym_return] = ACTIONS(3068),
    [anon_sym_break] = ACTIONS(3068),
    [anon_sym_continue] = ACTIONS(3068),
    [anon_sym_goto] = ACTIONS(3068),
    [anon_sym___try] = ACTIONS(3068),
    [anon_sym___leave] = ACTIONS(3068),
    [anon_sym_not] = ACTIONS(3068),
    [anon_sym_compl] = ACTIONS(3068),
    [anon_sym_DASH_DASH] = ACTIONS(3070),
    [anon_sym_PLUS_PLUS] = ACTIONS(3070),
    [anon_sym_sizeof] = ACTIONS(3068),
    [anon_sym___alignof__] = ACTIONS(3068),
    [anon_sym___alignof] = ACTIONS(3068),
    [anon_sym__alignof] = ACTIONS(3068),
    [anon_sym_alignof] = ACTIONS(3068),
    [anon_sym__Alignof] = ACTIONS(3068),
    [anon_sym_offsetof] = ACTIONS(3068),
    [anon_sym__Generic] = ACTIONS(3068),
    [anon_sym_asm] = ACTIONS(3068),
    [anon_sym___asm__] = ACTIONS(3068),
    [aux_sym_number_literal_token1] = ACTIONS(3070),
    [aux_sym_number_literal_token2] = ACTIONS(3068),
    [anon_sym_L_SQUOTE] = ACTIONS(3070),
    [anon_sym_u_SQUOTE] = ACTIONS(3070),
    [anon_sym_U_SQUOTE] = ACTIONS(3070),
    [anon_sym_u8_SQUOTE] = ACTIONS(3070),
    [anon_sym_SQUOTE] = ACTIONS(3070),
    [anon_sym_L_DQUOTE] = ACTIONS(3070),
    [anon_sym_u_DQUOTE] = ACTIONS(3070),
    [anon_sym_U_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8_DQUOTE] = ACTIONS(3070),
    [anon_sym_DQUOTE] = ACTIONS(3070),
    [sym_true] = ACTIONS(3068),
    [sym_false] = ACTIONS(3068),
    [anon_sym_NULL] = ACTIONS(3068),
    [anon_sym_nullptr] = ACTIONS(3068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3068),
    [anon_sym_decltype] = ACTIONS(3068),
    [anon_sym_virtual] = ACTIONS(3068),
    [anon_sym_alignas] = ACTIONS(3068),
    [anon_sym_typename] = ACTIONS(3068),
    [anon_sym_template] = ACTIONS(3068),
    [anon_sym_try] = ACTIONS(3068),
    [anon_sym_delete] = ACTIONS(3068),
    [anon_sym_throw] = ACTIONS(3068),
    [anon_sym_co_return] = ACTIONS(3068),
    [anon_sym_co_yield] = ACTIONS(3068),
    [anon_sym_R_DQUOTE] = ACTIONS(3070),
    [anon_sym_LR_DQUOTE] = ACTIONS(3070),
    [anon_sym_uR_DQUOTE] = ACTIONS(3070),
    [anon_sym_UR_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3070),
    [anon_sym_co_await] = ACTIONS(3068),
    [anon_sym_new] = ACTIONS(3068),
    [anon_sym_requires] = ACTIONS(3068),
    [sym_this] = ACTIONS(3068),
  },
  [1147] = {
    [sym_identifier] = ACTIONS(3072),
    [anon_sym_LPAREN2] = ACTIONS(3074),
    [anon_sym_BANG] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_AMP] = ACTIONS(3074),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym___extension__] = ACTIONS(3072),
    [anon_sym_typedef] = ACTIONS(3072),
    [anon_sym_extern] = ACTIONS(3072),
    [anon_sym___attribute__] = ACTIONS(3072),
    [anon_sym_COLON_COLON] = ACTIONS(3074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3074),
    [anon_sym___declspec] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3074),
    [anon_sym_signed] = ACTIONS(3072),
    [anon_sym_unsigned] = ACTIONS(3072),
    [anon_sym_long] = ACTIONS(3072),
    [anon_sym_short] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_register] = ACTIONS(3072),
    [anon_sym_inline] = ACTIONS(3072),
    [anon_sym___inline] = ACTIONS(3072),
    [anon_sym___inline__] = ACTIONS(3072),
    [anon_sym___forceinline] = ACTIONS(3072),
    [anon_sym_thread_local] = ACTIONS(3072),
    [anon_sym___thread] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_constexpr] = ACTIONS(3072),
    [anon_sym_volatile] = ACTIONS(3072),
    [anon_sym_restrict] = ACTIONS(3072),
    [anon_sym___restrict__] = ACTIONS(3072),
    [anon_sym__Atomic] = ACTIONS(3072),
    [anon_sym__Noreturn] = ACTIONS(3072),
    [anon_sym_noreturn] = ACTIONS(3072),
    [anon_sym_mutable] = ACTIONS(3072),
    [anon_sym_constinit] = ACTIONS(3072),
    [anon_sym_consteval] = ACTIONS(3072),
    [anon_sym_PROGMEM] = ACTIONS(3072),
    [aux_sym_primitive_type_token1] = ACTIONS(3072),
    [anon_sym_byte] = ACTIONS(3072),
    [anon_sym_word] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_struct] = ACTIONS(3072),
    [anon_sym_union] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_else] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_goto] = ACTIONS(3072),
    [anon_sym___try] = ACTIONS(3072),
    [anon_sym___leave] = ACTIONS(3072),
    [anon_sym_not] = ACTIONS(3072),
    [anon_sym_compl] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_sizeof] = ACTIONS(3072),
    [anon_sym___alignof__] = ACTIONS(3072),
    [anon_sym___alignof] = ACTIONS(3072),
    [anon_sym__alignof] = ACTIONS(3072),
    [anon_sym_alignof] = ACTIONS(3072),
    [anon_sym__Alignof] = ACTIONS(3072),
    [anon_sym_offsetof] = ACTIONS(3072),
    [anon_sym__Generic] = ACTIONS(3072),
    [anon_sym_asm] = ACTIONS(3072),
    [anon_sym___asm__] = ACTIONS(3072),
    [aux_sym_number_literal_token1] = ACTIONS(3074),
    [aux_sym_number_literal_token2] = ACTIONS(3072),
    [anon_sym_L_SQUOTE] = ACTIONS(3074),
    [anon_sym_u_SQUOTE] = ACTIONS(3074),
    [anon_sym_U_SQUOTE] = ACTIONS(3074),
    [anon_sym_u8_SQUOTE] = ACTIONS(3074),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [anon_sym_L_DQUOTE] = ACTIONS(3074),
    [anon_sym_u_DQUOTE] = ACTIONS(3074),
    [anon_sym_U_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8_DQUOTE] = ACTIONS(3074),
    [anon_sym_DQUOTE] = ACTIONS(3074),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3072),
    [anon_sym_decltype] = ACTIONS(3072),
    [anon_sym_virtual] = ACTIONS(3072),
    [anon_sym_alignas] = ACTIONS(3072),
    [anon_sym_typename] = ACTIONS(3072),
    [anon_sym_template] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_co_return] = ACTIONS(3072),
    [anon_sym_co_yield] = ACTIONS(3072),
    [anon_sym_R_DQUOTE] = ACTIONS(3074),
    [anon_sym_LR_DQUOTE] = ACTIONS(3074),
    [anon_sym_uR_DQUOTE] = ACTIONS(3074),
    [anon_sym_UR_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3074),
    [anon_sym_co_await] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_requires] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
  },
  [1148] = {
    [sym_identifier] = ACTIONS(3104),
    [anon_sym_LPAREN2] = ACTIONS(3106),
    [anon_sym_BANG] = ACTIONS(3106),
    [anon_sym_TILDE] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3104),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3106),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym___extension__] = ACTIONS(3104),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(3104),
    [anon_sym___attribute__] = ACTIONS(3104),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3106),
    [anon_sym___declspec] = ACTIONS(3104),
    [anon_sym_LBRACE] = ACTIONS(3106),
    [anon_sym_signed] = ACTIONS(3104),
    [anon_sym_unsigned] = ACTIONS(3104),
    [anon_sym_long] = ACTIONS(3104),
    [anon_sym_short] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_static] = ACTIONS(3104),
    [anon_sym_register] = ACTIONS(3104),
    [anon_sym_inline] = ACTIONS(3104),
    [anon_sym___inline] = ACTIONS(3104),
    [anon_sym___inline__] = ACTIONS(3104),
    [anon_sym___forceinline] = ACTIONS(3104),
    [anon_sym_thread_local] = ACTIONS(3104),
    [anon_sym___thread] = ACTIONS(3104),
    [anon_sym_const] = ACTIONS(3104),
    [anon_sym_constexpr] = ACTIONS(3104),
    [anon_sym_volatile] = ACTIONS(3104),
    [anon_sym_restrict] = ACTIONS(3104),
    [anon_sym___restrict__] = ACTIONS(3104),
    [anon_sym__Atomic] = ACTIONS(3104),
    [anon_sym__Noreturn] = ACTIONS(3104),
    [anon_sym_noreturn] = ACTIONS(3104),
    [anon_sym_mutable] = ACTIONS(3104),
    [anon_sym_constinit] = ACTIONS(3104),
    [anon_sym_consteval] = ACTIONS(3104),
    [anon_sym_PROGMEM] = ACTIONS(3104),
    [aux_sym_primitive_type_token1] = ACTIONS(3104),
    [anon_sym_byte] = ACTIONS(3104),
    [anon_sym_word] = ACTIONS(3104),
    [anon_sym_enum] = ACTIONS(3104),
    [anon_sym_class] = ACTIONS(3104),
    [anon_sym_struct] = ACTIONS(3104),
    [anon_sym_union] = ACTIONS(3104),
    [anon_sym_if] = ACTIONS(3104),
    [anon_sym_else] = ACTIONS(3104),
    [anon_sym_switch] = ACTIONS(3104),
    [anon_sym_while] = ACTIONS(3104),
    [anon_sym_do] = ACTIONS(3104),
    [anon_sym_for] = ACTIONS(3104),
    [anon_sym_return] = ACTIONS(3104),
    [anon_sym_break] = ACTIONS(3104),
    [anon_sym_continue] = ACTIONS(3104),
    [anon_sym_goto] = ACTIONS(3104),
    [anon_sym___try] = ACTIONS(3104),
    [anon_sym___leave] = ACTIONS(3104),
    [anon_sym_not] = ACTIONS(3104),
    [anon_sym_compl] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_sizeof] = ACTIONS(3104),
    [anon_sym___alignof__] = ACTIONS(3104),
    [anon_sym___alignof] = ACTIONS(3104),
    [anon_sym__alignof] = ACTIONS(3104),
    [anon_sym_alignof] = ACTIONS(3104),
    [anon_sym__Alignof] = ACTIONS(3104),
    [anon_sym_offsetof] = ACTIONS(3104),
    [anon_sym__Generic] = ACTIONS(3104),
    [anon_sym_asm] = ACTIONS(3104),
    [anon_sym___asm__] = ACTIONS(3104),
    [aux_sym_number_literal_token1] = ACTIONS(3106),
    [aux_sym_number_literal_token2] = ACTIONS(3104),
    [anon_sym_L_SQUOTE] = ACTIONS(3106),
    [anon_sym_u_SQUOTE] = ACTIONS(3106),
    [anon_sym_U_SQUOTE] = ACTIONS(3106),
    [anon_sym_u8_SQUOTE] = ACTIONS(3106),
    [anon_sym_SQUOTE] = ACTIONS(3106),
    [anon_sym_L_DQUOTE] = ACTIONS(3106),
    [anon_sym_u_DQUOTE] = ACTIONS(3106),
    [anon_sym_U_DQUOTE] = ACTIONS(3106),
    [anon_sym_u8_DQUOTE] = ACTIONS(3106),
    [anon_sym_DQUOTE] = ACTIONS(3106),
    [sym_true] = ACTIONS(3104),
    [sym_false] = ACTIONS(3104),
    [anon_sym_NULL] = ACTIONS(3104),
    [anon_sym_nullptr] = ACTIONS(3104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3104),
    [anon_sym_decltype] = ACTIONS(3104),
    [anon_sym_virtual] = ACTIONS(3104),
    [anon_sym_alignas] = ACTIONS(3104),
    [anon_sym_typename] = ACTIONS(3104),
    [anon_sym_template] = ACTIONS(3104),
    [anon_sym_try] = ACTIONS(3104),
    [anon_sym_delete] = ACTIONS(3104),
    [anon_sym_throw] = ACTIONS(3104),
    [anon_sym_co_return] = ACTIONS(3104),
    [anon_sym_co_yield] = ACTIONS(3104),
    [anon_sym_R_DQUOTE] = ACTIONS(3106),
    [anon_sym_LR_DQUOTE] = ACTIONS(3106),
    [anon_sym_uR_DQUOTE] = ACTIONS(3106),
    [anon_sym_UR_DQUOTE] = ACTIONS(3106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3106),
    [anon_sym_co_await] = ACTIONS(3104),
    [anon_sym_new] = ACTIONS(3104),
    [anon_sym_requires] = ACTIONS(3104),
    [sym_this] = ACTIONS(3104),
  },
  [1149] = {
    [sym_identifier] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(2950),
    [anon_sym_BANG] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_DASH] = ACTIONS(2948),
    [anon_sym_PLUS] = ACTIONS(2948),
    [anon_sym_STAR] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2950),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym___extension__] = ACTIONS(2948),
    [anon_sym_typedef] = ACTIONS(2948),
    [anon_sym_extern] = ACTIONS(2948),
    [anon_sym___attribute__] = ACTIONS(2948),
    [anon_sym_COLON_COLON] = ACTIONS(2950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2950),
    [anon_sym___declspec] = ACTIONS(2948),
    [anon_sym_LBRACE] = ACTIONS(2950),
    [anon_sym_signed] = ACTIONS(2948),
    [anon_sym_unsigned] = ACTIONS(2948),
    [anon_sym_long] = ACTIONS(2948),
    [anon_sym_short] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_register] = ACTIONS(2948),
    [anon_sym_inline] = ACTIONS(2948),
    [anon_sym___inline] = ACTIONS(2948),
    [anon_sym___inline__] = ACTIONS(2948),
    [anon_sym___forceinline] = ACTIONS(2948),
    [anon_sym_thread_local] = ACTIONS(2948),
    [anon_sym___thread] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_constexpr] = ACTIONS(2948),
    [anon_sym_volatile] = ACTIONS(2948),
    [anon_sym_restrict] = ACTIONS(2948),
    [anon_sym___restrict__] = ACTIONS(2948),
    [anon_sym__Atomic] = ACTIONS(2948),
    [anon_sym__Noreturn] = ACTIONS(2948),
    [anon_sym_noreturn] = ACTIONS(2948),
    [anon_sym_mutable] = ACTIONS(2948),
    [anon_sym_constinit] = ACTIONS(2948),
    [anon_sym_consteval] = ACTIONS(2948),
    [anon_sym_PROGMEM] = ACTIONS(2948),
    [aux_sym_primitive_type_token1] = ACTIONS(2948),
    [anon_sym_byte] = ACTIONS(2948),
    [anon_sym_word] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_struct] = ACTIONS(2948),
    [anon_sym_union] = ACTIONS(2948),
    [anon_sym_if] = ACTIONS(2948),
    [anon_sym_else] = ACTIONS(2948),
    [anon_sym_switch] = ACTIONS(2948),
    [anon_sym_while] = ACTIONS(2948),
    [anon_sym_do] = ACTIONS(2948),
    [anon_sym_for] = ACTIONS(2948),
    [anon_sym_return] = ACTIONS(2948),
    [anon_sym_break] = ACTIONS(2948),
    [anon_sym_continue] = ACTIONS(2948),
    [anon_sym_goto] = ACTIONS(2948),
    [anon_sym___try] = ACTIONS(2948),
    [anon_sym___leave] = ACTIONS(2948),
    [anon_sym_not] = ACTIONS(2948),
    [anon_sym_compl] = ACTIONS(2948),
    [anon_sym_DASH_DASH] = ACTIONS(2950),
    [anon_sym_PLUS_PLUS] = ACTIONS(2950),
    [anon_sym_sizeof] = ACTIONS(2948),
    [anon_sym___alignof__] = ACTIONS(2948),
    [anon_sym___alignof] = ACTIONS(2948),
    [anon_sym__alignof] = ACTIONS(2948),
    [anon_sym_alignof] = ACTIONS(2948),
    [anon_sym__Alignof] = ACTIONS(2948),
    [anon_sym_offsetof] = ACTIONS(2948),
    [anon_sym__Generic] = ACTIONS(2948),
    [anon_sym_asm] = ACTIONS(2948),
    [anon_sym___asm__] = ACTIONS(2948),
    [aux_sym_number_literal_token1] = ACTIONS(2950),
    [aux_sym_number_literal_token2] = ACTIONS(2948),
    [anon_sym_L_SQUOTE] = ACTIONS(2950),
    [anon_sym_u_SQUOTE] = ACTIONS(2950),
    [anon_sym_U_SQUOTE] = ACTIONS(2950),
    [anon_sym_u8_SQUOTE] = ACTIONS(2950),
    [anon_sym_SQUOTE] = ACTIONS(2950),
    [anon_sym_L_DQUOTE] = ACTIONS(2950),
    [anon_sym_u_DQUOTE] = ACTIONS(2950),
    [anon_sym_U_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8_DQUOTE] = ACTIONS(2950),
    [anon_sym_DQUOTE] = ACTIONS(2950),
    [sym_true] = ACTIONS(2948),
    [sym_false] = ACTIONS(2948),
    [anon_sym_NULL] = ACTIONS(2948),
    [anon_sym_nullptr] = ACTIONS(2948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2948),
    [anon_sym_decltype] = ACTIONS(2948),
    [anon_sym_virtual] = ACTIONS(2948),
    [anon_sym_alignas] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2948),
    [anon_sym_template] = ACTIONS(2948),
    [anon_sym_try] = ACTIONS(2948),
    [anon_sym_delete] = ACTIONS(2948),
    [anon_sym_throw] = ACTIONS(2948),
    [anon_sym_co_return] = ACTIONS(2948),
    [anon_sym_co_yield] = ACTIONS(2948),
    [anon_sym_R_DQUOTE] = ACTIONS(2950),
    [anon_sym_LR_DQUOTE] = ACTIONS(2950),
    [anon_sym_uR_DQUOTE] = ACTIONS(2950),
    [anon_sym_UR_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2950),
    [anon_sym_co_await] = ACTIONS(2948),
    [anon_sym_new] = ACTIONS(2948),
    [anon_sym_requires] = ACTIONS(2948),
    [sym_this] = ACTIONS(2948),
  },
  [1150] = {
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3174),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym___extension__] = ACTIONS(3172),
    [anon_sym_typedef] = ACTIONS(3172),
    [anon_sym_extern] = ACTIONS(3172),
    [anon_sym___attribute__] = ACTIONS(3172),
    [anon_sym_COLON_COLON] = ACTIONS(3174),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3174),
    [anon_sym___declspec] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_signed] = ACTIONS(3172),
    [anon_sym_unsigned] = ACTIONS(3172),
    [anon_sym_long] = ACTIONS(3172),
    [anon_sym_short] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_register] = ACTIONS(3172),
    [anon_sym_inline] = ACTIONS(3172),
    [anon_sym___inline] = ACTIONS(3172),
    [anon_sym___inline__] = ACTIONS(3172),
    [anon_sym___forceinline] = ACTIONS(3172),
    [anon_sym_thread_local] = ACTIONS(3172),
    [anon_sym___thread] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_constexpr] = ACTIONS(3172),
    [anon_sym_volatile] = ACTIONS(3172),
    [anon_sym_restrict] = ACTIONS(3172),
    [anon_sym___restrict__] = ACTIONS(3172),
    [anon_sym__Atomic] = ACTIONS(3172),
    [anon_sym__Noreturn] = ACTIONS(3172),
    [anon_sym_noreturn] = ACTIONS(3172),
    [anon_sym_mutable] = ACTIONS(3172),
    [anon_sym_constinit] = ACTIONS(3172),
    [anon_sym_consteval] = ACTIONS(3172),
    [anon_sym_PROGMEM] = ACTIONS(3172),
    [aux_sym_primitive_type_token1] = ACTIONS(3172),
    [anon_sym_byte] = ACTIONS(3172),
    [anon_sym_word] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_struct] = ACTIONS(3172),
    [anon_sym_union] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_goto] = ACTIONS(3172),
    [anon_sym___try] = ACTIONS(3172),
    [anon_sym___leave] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3172),
    [anon_sym_compl] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(3172),
    [anon_sym___alignof__] = ACTIONS(3172),
    [anon_sym___alignof] = ACTIONS(3172),
    [anon_sym__alignof] = ACTIONS(3172),
    [anon_sym_alignof] = ACTIONS(3172),
    [anon_sym__Alignof] = ACTIONS(3172),
    [anon_sym_offsetof] = ACTIONS(3172),
    [anon_sym__Generic] = ACTIONS(3172),
    [anon_sym_asm] = ACTIONS(3172),
    [anon_sym___asm__] = ACTIONS(3172),
    [aux_sym_number_literal_token1] = ACTIONS(3174),
    [aux_sym_number_literal_token2] = ACTIONS(3172),
    [anon_sym_L_SQUOTE] = ACTIONS(3174),
    [anon_sym_u_SQUOTE] = ACTIONS(3174),
    [anon_sym_U_SQUOTE] = ACTIONS(3174),
    [anon_sym_u8_SQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [anon_sym_L_DQUOTE] = ACTIONS(3174),
    [anon_sym_u_DQUOTE] = ACTIONS(3174),
    [anon_sym_U_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8_DQUOTE] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [anon_sym_NULL] = ACTIONS(3172),
    [anon_sym_nullptr] = ACTIONS(3172),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3172),
    [anon_sym_decltype] = ACTIONS(3172),
    [anon_sym_virtual] = ACTIONS(3172),
    [anon_sym_alignas] = ACTIONS(3172),
    [anon_sym_typename] = ACTIONS(3172),
    [anon_sym_template] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_co_return] = ACTIONS(3172),
    [anon_sym_co_yield] = ACTIONS(3172),
    [anon_sym_R_DQUOTE] = ACTIONS(3174),
    [anon_sym_LR_DQUOTE] = ACTIONS(3174),
    [anon_sym_uR_DQUOTE] = ACTIONS(3174),
    [anon_sym_UR_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3174),
    [anon_sym_co_await] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_requires] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
  },
  [1151] = {
    [sym_identifier] = ACTIONS(3152),
    [anon_sym_LPAREN2] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym___extension__] = ACTIONS(3152),
    [anon_sym_typedef] = ACTIONS(3152),
    [anon_sym_extern] = ACTIONS(3152),
    [anon_sym___attribute__] = ACTIONS(3152),
    [anon_sym_COLON_COLON] = ACTIONS(3154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3154),
    [anon_sym___declspec] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_signed] = ACTIONS(3152),
    [anon_sym_unsigned] = ACTIONS(3152),
    [anon_sym_long] = ACTIONS(3152),
    [anon_sym_short] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_register] = ACTIONS(3152),
    [anon_sym_inline] = ACTIONS(3152),
    [anon_sym___inline] = ACTIONS(3152),
    [anon_sym___inline__] = ACTIONS(3152),
    [anon_sym___forceinline] = ACTIONS(3152),
    [anon_sym_thread_local] = ACTIONS(3152),
    [anon_sym___thread] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_constexpr] = ACTIONS(3152),
    [anon_sym_volatile] = ACTIONS(3152),
    [anon_sym_restrict] = ACTIONS(3152),
    [anon_sym___restrict__] = ACTIONS(3152),
    [anon_sym__Atomic] = ACTIONS(3152),
    [anon_sym__Noreturn] = ACTIONS(3152),
    [anon_sym_noreturn] = ACTIONS(3152),
    [anon_sym_mutable] = ACTIONS(3152),
    [anon_sym_constinit] = ACTIONS(3152),
    [anon_sym_consteval] = ACTIONS(3152),
    [anon_sym_PROGMEM] = ACTIONS(3152),
    [aux_sym_primitive_type_token1] = ACTIONS(3152),
    [anon_sym_byte] = ACTIONS(3152),
    [anon_sym_word] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_struct] = ACTIONS(3152),
    [anon_sym_union] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_else] = ACTIONS(3152),
    [anon_sym_switch] = ACTIONS(3152),
    [anon_sym_while] = ACTIONS(3152),
    [anon_sym_do] = ACTIONS(3152),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_return] = ACTIONS(3152),
    [anon_sym_break] = ACTIONS(3152),
    [anon_sym_continue] = ACTIONS(3152),
    [anon_sym_goto] = ACTIONS(3152),
    [anon_sym___try] = ACTIONS(3152),
    [anon_sym___leave] = ACTIONS(3152),
    [anon_sym_not] = ACTIONS(3152),
    [anon_sym_compl] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_sizeof] = ACTIONS(3152),
    [anon_sym___alignof__] = ACTIONS(3152),
    [anon_sym___alignof] = ACTIONS(3152),
    [anon_sym__alignof] = ACTIONS(3152),
    [anon_sym_alignof] = ACTIONS(3152),
    [anon_sym__Alignof] = ACTIONS(3152),
    [anon_sym_offsetof] = ACTIONS(3152),
    [anon_sym__Generic] = ACTIONS(3152),
    [anon_sym_asm] = ACTIONS(3152),
    [anon_sym___asm__] = ACTIONS(3152),
    [aux_sym_number_literal_token1] = ACTIONS(3154),
    [aux_sym_number_literal_token2] = ACTIONS(3152),
    [anon_sym_L_SQUOTE] = ACTIONS(3154),
    [anon_sym_u_SQUOTE] = ACTIONS(3154),
    [anon_sym_U_SQUOTE] = ACTIONS(3154),
    [anon_sym_u8_SQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_L_DQUOTE] = ACTIONS(3154),
    [anon_sym_u_DQUOTE] = ACTIONS(3154),
    [anon_sym_U_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8_DQUOTE] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [sym_true] = ACTIONS(3152),
    [sym_false] = ACTIONS(3152),
    [anon_sym_NULL] = ACTIONS(3152),
    [anon_sym_nullptr] = ACTIONS(3152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3152),
    [anon_sym_decltype] = ACTIONS(3152),
    [anon_sym_virtual] = ACTIONS(3152),
    [anon_sym_alignas] = ACTIONS(3152),
    [anon_sym_typename] = ACTIONS(3152),
    [anon_sym_template] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3152),
    [anon_sym_delete] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3152),
    [anon_sym_co_return] = ACTIONS(3152),
    [anon_sym_co_yield] = ACTIONS(3152),
    [anon_sym_R_DQUOTE] = ACTIONS(3154),
    [anon_sym_LR_DQUOTE] = ACTIONS(3154),
    [anon_sym_uR_DQUOTE] = ACTIONS(3154),
    [anon_sym_UR_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3154),
    [anon_sym_co_await] = ACTIONS(3152),
    [anon_sym_new] = ACTIONS(3152),
    [anon_sym_requires] = ACTIONS(3152),
    [sym_this] = ACTIONS(3152),
  },
  [1152] = {
    [sym_identifier] = ACTIONS(3144),
    [anon_sym_LPAREN2] = ACTIONS(3146),
    [anon_sym_BANG] = ACTIONS(3146),
    [anon_sym_TILDE] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3146),
    [anon_sym___extension__] = ACTIONS(3144),
    [anon_sym_typedef] = ACTIONS(3144),
    [anon_sym_extern] = ACTIONS(3144),
    [anon_sym___attribute__] = ACTIONS(3144),
    [anon_sym_COLON_COLON] = ACTIONS(3146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3146),
    [anon_sym___declspec] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_signed] = ACTIONS(3144),
    [anon_sym_unsigned] = ACTIONS(3144),
    [anon_sym_long] = ACTIONS(3144),
    [anon_sym_short] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_register] = ACTIONS(3144),
    [anon_sym_inline] = ACTIONS(3144),
    [anon_sym___inline] = ACTIONS(3144),
    [anon_sym___inline__] = ACTIONS(3144),
    [anon_sym___forceinline] = ACTIONS(3144),
    [anon_sym_thread_local] = ACTIONS(3144),
    [anon_sym___thread] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_constexpr] = ACTIONS(3144),
    [anon_sym_volatile] = ACTIONS(3144),
    [anon_sym_restrict] = ACTIONS(3144),
    [anon_sym___restrict__] = ACTIONS(3144),
    [anon_sym__Atomic] = ACTIONS(3144),
    [anon_sym__Noreturn] = ACTIONS(3144),
    [anon_sym_noreturn] = ACTIONS(3144),
    [anon_sym_mutable] = ACTIONS(3144),
    [anon_sym_constinit] = ACTIONS(3144),
    [anon_sym_consteval] = ACTIONS(3144),
    [anon_sym_PROGMEM] = ACTIONS(3144),
    [aux_sym_primitive_type_token1] = ACTIONS(3144),
    [anon_sym_byte] = ACTIONS(3144),
    [anon_sym_word] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_struct] = ACTIONS(3144),
    [anon_sym_union] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_else] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_goto] = ACTIONS(3144),
    [anon_sym___try] = ACTIONS(3144),
    [anon_sym___leave] = ACTIONS(3144),
    [anon_sym_not] = ACTIONS(3144),
    [anon_sym_compl] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_sizeof] = ACTIONS(3144),
    [anon_sym___alignof__] = ACTIONS(3144),
    [anon_sym___alignof] = ACTIONS(3144),
    [anon_sym__alignof] = ACTIONS(3144),
    [anon_sym_alignof] = ACTIONS(3144),
    [anon_sym__Alignof] = ACTIONS(3144),
    [anon_sym_offsetof] = ACTIONS(3144),
    [anon_sym__Generic] = ACTIONS(3144),
    [anon_sym_asm] = ACTIONS(3144),
    [anon_sym___asm__] = ACTIONS(3144),
    [aux_sym_number_literal_token1] = ACTIONS(3146),
    [aux_sym_number_literal_token2] = ACTIONS(3144),
    [anon_sym_L_SQUOTE] = ACTIONS(3146),
    [anon_sym_u_SQUOTE] = ACTIONS(3146),
    [anon_sym_U_SQUOTE] = ACTIONS(3146),
    [anon_sym_u8_SQUOTE] = ACTIONS(3146),
    [anon_sym_SQUOTE] = ACTIONS(3146),
    [anon_sym_L_DQUOTE] = ACTIONS(3146),
    [anon_sym_u_DQUOTE] = ACTIONS(3146),
    [anon_sym_U_DQUOTE] = ACTIONS(3146),
    [anon_sym_u8_DQUOTE] = ACTIONS(3146),
    [anon_sym_DQUOTE] = ACTIONS(3146),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [anon_sym_NULL] = ACTIONS(3144),
    [anon_sym_nullptr] = ACTIONS(3144),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3144),
    [anon_sym_decltype] = ACTIONS(3144),
    [anon_sym_virtual] = ACTIONS(3144),
    [anon_sym_alignas] = ACTIONS(3144),
    [anon_sym_typename] = ACTIONS(3144),
    [anon_sym_template] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_co_return] = ACTIONS(3144),
    [anon_sym_co_yield] = ACTIONS(3144),
    [anon_sym_R_DQUOTE] = ACTIONS(3146),
    [anon_sym_LR_DQUOTE] = ACTIONS(3146),
    [anon_sym_uR_DQUOTE] = ACTIONS(3146),
    [anon_sym_UR_DQUOTE] = ACTIONS(3146),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3146),
    [anon_sym_co_await] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_requires] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
  },
  [1153] = {
    [sym_identifier] = ACTIONS(3136),
    [anon_sym_LPAREN2] = ACTIONS(3138),
    [anon_sym_BANG] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_AMP] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym___extension__] = ACTIONS(3136),
    [anon_sym_typedef] = ACTIONS(3136),
    [anon_sym_extern] = ACTIONS(3136),
    [anon_sym___attribute__] = ACTIONS(3136),
    [anon_sym_COLON_COLON] = ACTIONS(3138),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3138),
    [anon_sym___declspec] = ACTIONS(3136),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_signed] = ACTIONS(3136),
    [anon_sym_unsigned] = ACTIONS(3136),
    [anon_sym_long] = ACTIONS(3136),
    [anon_sym_short] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_static] = ACTIONS(3136),
    [anon_sym_register] = ACTIONS(3136),
    [anon_sym_inline] = ACTIONS(3136),
    [anon_sym___inline] = ACTIONS(3136),
    [anon_sym___inline__] = ACTIONS(3136),
    [anon_sym___forceinline] = ACTIONS(3136),
    [anon_sym_thread_local] = ACTIONS(3136),
    [anon_sym___thread] = ACTIONS(3136),
    [anon_sym_const] = ACTIONS(3136),
    [anon_sym_constexpr] = ACTIONS(3136),
    [anon_sym_volatile] = ACTIONS(3136),
    [anon_sym_restrict] = ACTIONS(3136),
    [anon_sym___restrict__] = ACTIONS(3136),
    [anon_sym__Atomic] = ACTIONS(3136),
    [anon_sym__Noreturn] = ACTIONS(3136),
    [anon_sym_noreturn] = ACTIONS(3136),
    [anon_sym_mutable] = ACTIONS(3136),
    [anon_sym_constinit] = ACTIONS(3136),
    [anon_sym_consteval] = ACTIONS(3136),
    [anon_sym_PROGMEM] = ACTIONS(3136),
    [aux_sym_primitive_type_token1] = ACTIONS(3136),
    [anon_sym_byte] = ACTIONS(3136),
    [anon_sym_word] = ACTIONS(3136),
    [anon_sym_enum] = ACTIONS(3136),
    [anon_sym_class] = ACTIONS(3136),
    [anon_sym_struct] = ACTIONS(3136),
    [anon_sym_union] = ACTIONS(3136),
    [anon_sym_if] = ACTIONS(3136),
    [anon_sym_else] = ACTIONS(3136),
    [anon_sym_switch] = ACTIONS(3136),
    [anon_sym_while] = ACTIONS(3136),
    [anon_sym_do] = ACTIONS(3136),
    [anon_sym_for] = ACTIONS(3136),
    [anon_sym_return] = ACTIONS(3136),
    [anon_sym_break] = ACTIONS(3136),
    [anon_sym_continue] = ACTIONS(3136),
    [anon_sym_goto] = ACTIONS(3136),
    [anon_sym___try] = ACTIONS(3136),
    [anon_sym___leave] = ACTIONS(3136),
    [anon_sym_not] = ACTIONS(3136),
    [anon_sym_compl] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_sizeof] = ACTIONS(3136),
    [anon_sym___alignof__] = ACTIONS(3136),
    [anon_sym___alignof] = ACTIONS(3136),
    [anon_sym__alignof] = ACTIONS(3136),
    [anon_sym_alignof] = ACTIONS(3136),
    [anon_sym__Alignof] = ACTIONS(3136),
    [anon_sym_offsetof] = ACTIONS(3136),
    [anon_sym__Generic] = ACTIONS(3136),
    [anon_sym_asm] = ACTIONS(3136),
    [anon_sym___asm__] = ACTIONS(3136),
    [aux_sym_number_literal_token1] = ACTIONS(3138),
    [aux_sym_number_literal_token2] = ACTIONS(3136),
    [anon_sym_L_SQUOTE] = ACTIONS(3138),
    [anon_sym_u_SQUOTE] = ACTIONS(3138),
    [anon_sym_U_SQUOTE] = ACTIONS(3138),
    [anon_sym_u8_SQUOTE] = ACTIONS(3138),
    [anon_sym_SQUOTE] = ACTIONS(3138),
    [anon_sym_L_DQUOTE] = ACTIONS(3138),
    [anon_sym_u_DQUOTE] = ACTIONS(3138),
    [anon_sym_U_DQUOTE] = ACTIONS(3138),
    [anon_sym_u8_DQUOTE] = ACTIONS(3138),
    [anon_sym_DQUOTE] = ACTIONS(3138),
    [sym_true] = ACTIONS(3136),
    [sym_false] = ACTIONS(3136),
    [anon_sym_NULL] = ACTIONS(3136),
    [anon_sym_nullptr] = ACTIONS(3136),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3136),
    [anon_sym_decltype] = ACTIONS(3136),
    [anon_sym_virtual] = ACTIONS(3136),
    [anon_sym_alignas] = ACTIONS(3136),
    [anon_sym_typename] = ACTIONS(3136),
    [anon_sym_template] = ACTIONS(3136),
    [anon_sym_try] = ACTIONS(3136),
    [anon_sym_delete] = ACTIONS(3136),
    [anon_sym_throw] = ACTIONS(3136),
    [anon_sym_co_return] = ACTIONS(3136),
    [anon_sym_co_yield] = ACTIONS(3136),
    [anon_sym_R_DQUOTE] = ACTIONS(3138),
    [anon_sym_LR_DQUOTE] = ACTIONS(3138),
    [anon_sym_uR_DQUOTE] = ACTIONS(3138),
    [anon_sym_UR_DQUOTE] = ACTIONS(3138),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3138),
    [anon_sym_co_await] = ACTIONS(3136),
    [anon_sym_new] = ACTIONS(3136),
    [anon_sym_requires] = ACTIONS(3136),
    [sym_this] = ACTIONS(3136),
  },
  [1154] = {
    [sym_identifier] = ACTIONS(3130),
    [anon_sym_LPAREN2] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym___extension__] = ACTIONS(3130),
    [anon_sym_typedef] = ACTIONS(3130),
    [anon_sym_extern] = ACTIONS(3130),
    [anon_sym___attribute__] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3132),
    [anon_sym___declspec] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_signed] = ACTIONS(3130),
    [anon_sym_unsigned] = ACTIONS(3130),
    [anon_sym_long] = ACTIONS(3130),
    [anon_sym_short] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_register] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym___inline] = ACTIONS(3130),
    [anon_sym___inline__] = ACTIONS(3130),
    [anon_sym___forceinline] = ACTIONS(3130),
    [anon_sym_thread_local] = ACTIONS(3130),
    [anon_sym___thread] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_constexpr] = ACTIONS(3130),
    [anon_sym_volatile] = ACTIONS(3130),
    [anon_sym_restrict] = ACTIONS(3130),
    [anon_sym___restrict__] = ACTIONS(3130),
    [anon_sym__Atomic] = ACTIONS(3130),
    [anon_sym__Noreturn] = ACTIONS(3130),
    [anon_sym_noreturn] = ACTIONS(3130),
    [anon_sym_mutable] = ACTIONS(3130),
    [anon_sym_constinit] = ACTIONS(3130),
    [anon_sym_consteval] = ACTIONS(3130),
    [anon_sym_PROGMEM] = ACTIONS(3130),
    [aux_sym_primitive_type_token1] = ACTIONS(3130),
    [anon_sym_byte] = ACTIONS(3130),
    [anon_sym_word] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_struct] = ACTIONS(3130),
    [anon_sym_union] = ACTIONS(3130),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_else] = ACTIONS(3130),
    [anon_sym_switch] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_do] = ACTIONS(3130),
    [anon_sym_for] = ACTIONS(3130),
    [anon_sym_return] = ACTIONS(3130),
    [anon_sym_break] = ACTIONS(3130),
    [anon_sym_continue] = ACTIONS(3130),
    [anon_sym_goto] = ACTIONS(3130),
    [anon_sym___try] = ACTIONS(3130),
    [anon_sym___leave] = ACTIONS(3130),
    [anon_sym_not] = ACTIONS(3130),
    [anon_sym_compl] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_sizeof] = ACTIONS(3130),
    [anon_sym___alignof__] = ACTIONS(3130),
    [anon_sym___alignof] = ACTIONS(3130),
    [anon_sym__alignof] = ACTIONS(3130),
    [anon_sym_alignof] = ACTIONS(3130),
    [anon_sym__Alignof] = ACTIONS(3130),
    [anon_sym_offsetof] = ACTIONS(3130),
    [anon_sym__Generic] = ACTIONS(3130),
    [anon_sym_asm] = ACTIONS(3130),
    [anon_sym___asm__] = ACTIONS(3130),
    [aux_sym_number_literal_token1] = ACTIONS(3132),
    [aux_sym_number_literal_token2] = ACTIONS(3130),
    [anon_sym_L_SQUOTE] = ACTIONS(3132),
    [anon_sym_u_SQUOTE] = ACTIONS(3132),
    [anon_sym_U_SQUOTE] = ACTIONS(3132),
    [anon_sym_u8_SQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [anon_sym_L_DQUOTE] = ACTIONS(3132),
    [anon_sym_u_DQUOTE] = ACTIONS(3132),
    [anon_sym_U_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8_DQUOTE] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [sym_true] = ACTIONS(3130),
    [sym_false] = ACTIONS(3130),
    [anon_sym_NULL] = ACTIONS(3130),
    [anon_sym_nullptr] = ACTIONS(3130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3130),
    [anon_sym_decltype] = ACTIONS(3130),
    [anon_sym_virtual] = ACTIONS(3130),
    [anon_sym_alignas] = ACTIONS(3130),
    [anon_sym_typename] = ACTIONS(3130),
    [anon_sym_template] = ACTIONS(3130),
    [anon_sym_try] = ACTIONS(3130),
    [anon_sym_delete] = ACTIONS(3130),
    [anon_sym_throw] = ACTIONS(3130),
    [anon_sym_co_return] = ACTIONS(3130),
    [anon_sym_co_yield] = ACTIONS(3130),
    [anon_sym_R_DQUOTE] = ACTIONS(3132),
    [anon_sym_LR_DQUOTE] = ACTIONS(3132),
    [anon_sym_uR_DQUOTE] = ACTIONS(3132),
    [anon_sym_UR_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3132),
    [anon_sym_co_await] = ACTIONS(3130),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_requires] = ACTIONS(3130),
    [sym_this] = ACTIONS(3130),
  },
  [1155] = {
    [sym_identifier] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3126),
    [anon_sym_BANG] = ACTIONS(3126),
    [anon_sym_TILDE] = ACTIONS(3126),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_STAR] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3126),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym___extension__] = ACTIONS(3124),
    [anon_sym_typedef] = ACTIONS(3124),
    [anon_sym_extern] = ACTIONS(3124),
    [anon_sym___attribute__] = ACTIONS(3124),
    [anon_sym_COLON_COLON] = ACTIONS(3126),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3126),
    [anon_sym___declspec] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3126),
    [anon_sym_signed] = ACTIONS(3124),
    [anon_sym_unsigned] = ACTIONS(3124),
    [anon_sym_long] = ACTIONS(3124),
    [anon_sym_short] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_register] = ACTIONS(3124),
    [anon_sym_inline] = ACTIONS(3124),
    [anon_sym___inline] = ACTIONS(3124),
    [anon_sym___inline__] = ACTIONS(3124),
    [anon_sym___forceinline] = ACTIONS(3124),
    [anon_sym_thread_local] = ACTIONS(3124),
    [anon_sym___thread] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_constexpr] = ACTIONS(3124),
    [anon_sym_volatile] = ACTIONS(3124),
    [anon_sym_restrict] = ACTIONS(3124),
    [anon_sym___restrict__] = ACTIONS(3124),
    [anon_sym__Atomic] = ACTIONS(3124),
    [anon_sym__Noreturn] = ACTIONS(3124),
    [anon_sym_noreturn] = ACTIONS(3124),
    [anon_sym_mutable] = ACTIONS(3124),
    [anon_sym_constinit] = ACTIONS(3124),
    [anon_sym_consteval] = ACTIONS(3124),
    [anon_sym_PROGMEM] = ACTIONS(3124),
    [aux_sym_primitive_type_token1] = ACTIONS(3124),
    [anon_sym_byte] = ACTIONS(3124),
    [anon_sym_word] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_struct] = ACTIONS(3124),
    [anon_sym_union] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_else] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_goto] = ACTIONS(3124),
    [anon_sym___try] = ACTIONS(3124),
    [anon_sym___leave] = ACTIONS(3124),
    [anon_sym_not] = ACTIONS(3124),
    [anon_sym_compl] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_sizeof] = ACTIONS(3124),
    [anon_sym___alignof__] = ACTIONS(3124),
    [anon_sym___alignof] = ACTIONS(3124),
    [anon_sym__alignof] = ACTIONS(3124),
    [anon_sym_alignof] = ACTIONS(3124),
    [anon_sym__Alignof] = ACTIONS(3124),
    [anon_sym_offsetof] = ACTIONS(3124),
    [anon_sym__Generic] = ACTIONS(3124),
    [anon_sym_asm] = ACTIONS(3124),
    [anon_sym___asm__] = ACTIONS(3124),
    [aux_sym_number_literal_token1] = ACTIONS(3126),
    [aux_sym_number_literal_token2] = ACTIONS(3124),
    [anon_sym_L_SQUOTE] = ACTIONS(3126),
    [anon_sym_u_SQUOTE] = ACTIONS(3126),
    [anon_sym_U_SQUOTE] = ACTIONS(3126),
    [anon_sym_u8_SQUOTE] = ACTIONS(3126),
    [anon_sym_SQUOTE] = ACTIONS(3126),
    [anon_sym_L_DQUOTE] = ACTIONS(3126),
    [anon_sym_u_DQUOTE] = ACTIONS(3126),
    [anon_sym_U_DQUOTE] = ACTIONS(3126),
    [anon_sym_u8_DQUOTE] = ACTIONS(3126),
    [anon_sym_DQUOTE] = ACTIONS(3126),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [anon_sym_NULL] = ACTIONS(3124),
    [anon_sym_nullptr] = ACTIONS(3124),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3124),
    [anon_sym_decltype] = ACTIONS(3124),
    [anon_sym_virtual] = ACTIONS(3124),
    [anon_sym_alignas] = ACTIONS(3124),
    [anon_sym_typename] = ACTIONS(3124),
    [anon_sym_template] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_co_return] = ACTIONS(3124),
    [anon_sym_co_yield] = ACTIONS(3124),
    [anon_sym_R_DQUOTE] = ACTIONS(3126),
    [anon_sym_LR_DQUOTE] = ACTIONS(3126),
    [anon_sym_uR_DQUOTE] = ACTIONS(3126),
    [anon_sym_UR_DQUOTE] = ACTIONS(3126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3126),
    [anon_sym_co_await] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_requires] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
  },
  [1156] = {
    [sym_identifier] = ACTIONS(3120),
    [anon_sym_LPAREN2] = ACTIONS(3122),
    [anon_sym_BANG] = ACTIONS(3122),
    [anon_sym_TILDE] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(3122),
    [anon_sym_SEMI] = ACTIONS(3122),
    [anon_sym___extension__] = ACTIONS(3120),
    [anon_sym_typedef] = ACTIONS(3120),
    [anon_sym_extern] = ACTIONS(3120),
    [anon_sym___attribute__] = ACTIONS(3120),
    [anon_sym_COLON_COLON] = ACTIONS(3122),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3122),
    [anon_sym___declspec] = ACTIONS(3120),
    [anon_sym_LBRACE] = ACTIONS(3122),
    [anon_sym_signed] = ACTIONS(3120),
    [anon_sym_unsigned] = ACTIONS(3120),
    [anon_sym_long] = ACTIONS(3120),
    [anon_sym_short] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_static] = ACTIONS(3120),
    [anon_sym_register] = ACTIONS(3120),
    [anon_sym_inline] = ACTIONS(3120),
    [anon_sym___inline] = ACTIONS(3120),
    [anon_sym___inline__] = ACTIONS(3120),
    [anon_sym___forceinline] = ACTIONS(3120),
    [anon_sym_thread_local] = ACTIONS(3120),
    [anon_sym___thread] = ACTIONS(3120),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_constexpr] = ACTIONS(3120),
    [anon_sym_volatile] = ACTIONS(3120),
    [anon_sym_restrict] = ACTIONS(3120),
    [anon_sym___restrict__] = ACTIONS(3120),
    [anon_sym__Atomic] = ACTIONS(3120),
    [anon_sym__Noreturn] = ACTIONS(3120),
    [anon_sym_noreturn] = ACTIONS(3120),
    [anon_sym_mutable] = ACTIONS(3120),
    [anon_sym_constinit] = ACTIONS(3120),
    [anon_sym_consteval] = ACTIONS(3120),
    [anon_sym_PROGMEM] = ACTIONS(3120),
    [aux_sym_primitive_type_token1] = ACTIONS(3120),
    [anon_sym_byte] = ACTIONS(3120),
    [anon_sym_word] = ACTIONS(3120),
    [anon_sym_enum] = ACTIONS(3120),
    [anon_sym_class] = ACTIONS(3120),
    [anon_sym_struct] = ACTIONS(3120),
    [anon_sym_union] = ACTIONS(3120),
    [anon_sym_if] = ACTIONS(3120),
    [anon_sym_else] = ACTIONS(3120),
    [anon_sym_switch] = ACTIONS(3120),
    [anon_sym_while] = ACTIONS(3120),
    [anon_sym_do] = ACTIONS(3120),
    [anon_sym_for] = ACTIONS(3120),
    [anon_sym_return] = ACTIONS(3120),
    [anon_sym_break] = ACTIONS(3120),
    [anon_sym_continue] = ACTIONS(3120),
    [anon_sym_goto] = ACTIONS(3120),
    [anon_sym___try] = ACTIONS(3120),
    [anon_sym___leave] = ACTIONS(3120),
    [anon_sym_not] = ACTIONS(3120),
    [anon_sym_compl] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_sizeof] = ACTIONS(3120),
    [anon_sym___alignof__] = ACTIONS(3120),
    [anon_sym___alignof] = ACTIONS(3120),
    [anon_sym__alignof] = ACTIONS(3120),
    [anon_sym_alignof] = ACTIONS(3120),
    [anon_sym__Alignof] = ACTIONS(3120),
    [anon_sym_offsetof] = ACTIONS(3120),
    [anon_sym__Generic] = ACTIONS(3120),
    [anon_sym_asm] = ACTIONS(3120),
    [anon_sym___asm__] = ACTIONS(3120),
    [aux_sym_number_literal_token1] = ACTIONS(3122),
    [aux_sym_number_literal_token2] = ACTIONS(3120),
    [anon_sym_L_SQUOTE] = ACTIONS(3122),
    [anon_sym_u_SQUOTE] = ACTIONS(3122),
    [anon_sym_U_SQUOTE] = ACTIONS(3122),
    [anon_sym_u8_SQUOTE] = ACTIONS(3122),
    [anon_sym_SQUOTE] = ACTIONS(3122),
    [anon_sym_L_DQUOTE] = ACTIONS(3122),
    [anon_sym_u_DQUOTE] = ACTIONS(3122),
    [anon_sym_U_DQUOTE] = ACTIONS(3122),
    [anon_sym_u8_DQUOTE] = ACTIONS(3122),
    [anon_sym_DQUOTE] = ACTIONS(3122),
    [sym_true] = ACTIONS(3120),
    [sym_false] = ACTIONS(3120),
    [anon_sym_NULL] = ACTIONS(3120),
    [anon_sym_nullptr] = ACTIONS(3120),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3120),
    [anon_sym_decltype] = ACTIONS(3120),
    [anon_sym_virtual] = ACTIONS(3120),
    [anon_sym_alignas] = ACTIONS(3120),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3120),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_delete] = ACTIONS(3120),
    [anon_sym_throw] = ACTIONS(3120),
    [anon_sym_co_return] = ACTIONS(3120),
    [anon_sym_co_yield] = ACTIONS(3120),
    [anon_sym_R_DQUOTE] = ACTIONS(3122),
    [anon_sym_LR_DQUOTE] = ACTIONS(3122),
    [anon_sym_uR_DQUOTE] = ACTIONS(3122),
    [anon_sym_UR_DQUOTE] = ACTIONS(3122),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3122),
    [anon_sym_co_await] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(3120),
    [anon_sym_requires] = ACTIONS(3120),
    [sym_this] = ACTIONS(3120),
  },
  [1157] = {
    [sym_identifier] = ACTIONS(3084),
    [anon_sym_LPAREN2] = ACTIONS(3086),
    [anon_sym_BANG] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3086),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym___extension__] = ACTIONS(3084),
    [anon_sym_typedef] = ACTIONS(3084),
    [anon_sym_extern] = ACTIONS(3084),
    [anon_sym___attribute__] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3086),
    [anon_sym___declspec] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_signed] = ACTIONS(3084),
    [anon_sym_unsigned] = ACTIONS(3084),
    [anon_sym_long] = ACTIONS(3084),
    [anon_sym_short] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_register] = ACTIONS(3084),
    [anon_sym_inline] = ACTIONS(3084),
    [anon_sym___inline] = ACTIONS(3084),
    [anon_sym___inline__] = ACTIONS(3084),
    [anon_sym___forceinline] = ACTIONS(3084),
    [anon_sym_thread_local] = ACTIONS(3084),
    [anon_sym___thread] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_constexpr] = ACTIONS(3084),
    [anon_sym_volatile] = ACTIONS(3084),
    [anon_sym_restrict] = ACTIONS(3084),
    [anon_sym___restrict__] = ACTIONS(3084),
    [anon_sym__Atomic] = ACTIONS(3084),
    [anon_sym__Noreturn] = ACTIONS(3084),
    [anon_sym_noreturn] = ACTIONS(3084),
    [anon_sym_mutable] = ACTIONS(3084),
    [anon_sym_constinit] = ACTIONS(3084),
    [anon_sym_consteval] = ACTIONS(3084),
    [anon_sym_PROGMEM] = ACTIONS(3084),
    [aux_sym_primitive_type_token1] = ACTIONS(3084),
    [anon_sym_byte] = ACTIONS(3084),
    [anon_sym_word] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_struct] = ACTIONS(3084),
    [anon_sym_union] = ACTIONS(3084),
    [anon_sym_if] = ACTIONS(3084),
    [anon_sym_else] = ACTIONS(3084),
    [anon_sym_switch] = ACTIONS(3084),
    [anon_sym_while] = ACTIONS(3084),
    [anon_sym_do] = ACTIONS(3084),
    [anon_sym_for] = ACTIONS(3084),
    [anon_sym_return] = ACTIONS(3084),
    [anon_sym_break] = ACTIONS(3084),
    [anon_sym_continue] = ACTIONS(3084),
    [anon_sym_goto] = ACTIONS(3084),
    [anon_sym___try] = ACTIONS(3084),
    [anon_sym___leave] = ACTIONS(3084),
    [anon_sym_not] = ACTIONS(3084),
    [anon_sym_compl] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_sizeof] = ACTIONS(3084),
    [anon_sym___alignof__] = ACTIONS(3084),
    [anon_sym___alignof] = ACTIONS(3084),
    [anon_sym__alignof] = ACTIONS(3084),
    [anon_sym_alignof] = ACTIONS(3084),
    [anon_sym__Alignof] = ACTIONS(3084),
    [anon_sym_offsetof] = ACTIONS(3084),
    [anon_sym__Generic] = ACTIONS(3084),
    [anon_sym_asm] = ACTIONS(3084),
    [anon_sym___asm__] = ACTIONS(3084),
    [aux_sym_number_literal_token1] = ACTIONS(3086),
    [aux_sym_number_literal_token2] = ACTIONS(3084),
    [anon_sym_L_SQUOTE] = ACTIONS(3086),
    [anon_sym_u_SQUOTE] = ACTIONS(3086),
    [anon_sym_U_SQUOTE] = ACTIONS(3086),
    [anon_sym_u8_SQUOTE] = ACTIONS(3086),
    [anon_sym_SQUOTE] = ACTIONS(3086),
    [anon_sym_L_DQUOTE] = ACTIONS(3086),
    [anon_sym_u_DQUOTE] = ACTIONS(3086),
    [anon_sym_U_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8_DQUOTE] = ACTIONS(3086),
    [anon_sym_DQUOTE] = ACTIONS(3086),
    [sym_true] = ACTIONS(3084),
    [sym_false] = ACTIONS(3084),
    [anon_sym_NULL] = ACTIONS(3084),
    [anon_sym_nullptr] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3084),
    [anon_sym_decltype] = ACTIONS(3084),
    [anon_sym_virtual] = ACTIONS(3084),
    [anon_sym_alignas] = ACTIONS(3084),
    [anon_sym_typename] = ACTIONS(3084),
    [anon_sym_template] = ACTIONS(3084),
    [anon_sym_try] = ACTIONS(3084),
    [anon_sym_delete] = ACTIONS(3084),
    [anon_sym_throw] = ACTIONS(3084),
    [anon_sym_co_return] = ACTIONS(3084),
    [anon_sym_co_yield] = ACTIONS(3084),
    [anon_sym_R_DQUOTE] = ACTIONS(3086),
    [anon_sym_LR_DQUOTE] = ACTIONS(3086),
    [anon_sym_uR_DQUOTE] = ACTIONS(3086),
    [anon_sym_UR_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3086),
    [anon_sym_co_await] = ACTIONS(3084),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_requires] = ACTIONS(3084),
    [sym_this] = ACTIONS(3084),
  },
  [1158] = {
    [sym_identifier] = ACTIONS(3080),
    [anon_sym_LPAREN2] = ACTIONS(3082),
    [anon_sym_BANG] = ACTIONS(3082),
    [anon_sym_TILDE] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3082),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym___extension__] = ACTIONS(3080),
    [anon_sym_typedef] = ACTIONS(3080),
    [anon_sym_extern] = ACTIONS(3080),
    [anon_sym___attribute__] = ACTIONS(3080),
    [anon_sym_COLON_COLON] = ACTIONS(3082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3082),
    [anon_sym___declspec] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3082),
    [anon_sym_signed] = ACTIONS(3080),
    [anon_sym_unsigned] = ACTIONS(3080),
    [anon_sym_long] = ACTIONS(3080),
    [anon_sym_short] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_register] = ACTIONS(3080),
    [anon_sym_inline] = ACTIONS(3080),
    [anon_sym___inline] = ACTIONS(3080),
    [anon_sym___inline__] = ACTIONS(3080),
    [anon_sym___forceinline] = ACTIONS(3080),
    [anon_sym_thread_local] = ACTIONS(3080),
    [anon_sym___thread] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_constexpr] = ACTIONS(3080),
    [anon_sym_volatile] = ACTIONS(3080),
    [anon_sym_restrict] = ACTIONS(3080),
    [anon_sym___restrict__] = ACTIONS(3080),
    [anon_sym__Atomic] = ACTIONS(3080),
    [anon_sym__Noreturn] = ACTIONS(3080),
    [anon_sym_noreturn] = ACTIONS(3080),
    [anon_sym_mutable] = ACTIONS(3080),
    [anon_sym_constinit] = ACTIONS(3080),
    [anon_sym_consteval] = ACTIONS(3080),
    [anon_sym_PROGMEM] = ACTIONS(3080),
    [aux_sym_primitive_type_token1] = ACTIONS(3080),
    [anon_sym_byte] = ACTIONS(3080),
    [anon_sym_word] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_struct] = ACTIONS(3080),
    [anon_sym_union] = ACTIONS(3080),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_else] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_goto] = ACTIONS(3080),
    [anon_sym___try] = ACTIONS(3080),
    [anon_sym___leave] = ACTIONS(3080),
    [anon_sym_not] = ACTIONS(3080),
    [anon_sym_compl] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3082),
    [anon_sym_sizeof] = ACTIONS(3080),
    [anon_sym___alignof__] = ACTIONS(3080),
    [anon_sym___alignof] = ACTIONS(3080),
    [anon_sym__alignof] = ACTIONS(3080),
    [anon_sym_alignof] = ACTIONS(3080),
    [anon_sym__Alignof] = ACTIONS(3080),
    [anon_sym_offsetof] = ACTIONS(3080),
    [anon_sym__Generic] = ACTIONS(3080),
    [anon_sym_asm] = ACTIONS(3080),
    [anon_sym___asm__] = ACTIONS(3080),
    [aux_sym_number_literal_token1] = ACTIONS(3082),
    [aux_sym_number_literal_token2] = ACTIONS(3080),
    [anon_sym_L_SQUOTE] = ACTIONS(3082),
    [anon_sym_u_SQUOTE] = ACTIONS(3082),
    [anon_sym_U_SQUOTE] = ACTIONS(3082),
    [anon_sym_u8_SQUOTE] = ACTIONS(3082),
    [anon_sym_SQUOTE] = ACTIONS(3082),
    [anon_sym_L_DQUOTE] = ACTIONS(3082),
    [anon_sym_u_DQUOTE] = ACTIONS(3082),
    [anon_sym_U_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8_DQUOTE] = ACTIONS(3082),
    [anon_sym_DQUOTE] = ACTIONS(3082),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [anon_sym_NULL] = ACTIONS(3080),
    [anon_sym_nullptr] = ACTIONS(3080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3080),
    [anon_sym_decltype] = ACTIONS(3080),
    [anon_sym_virtual] = ACTIONS(3080),
    [anon_sym_alignas] = ACTIONS(3080),
    [anon_sym_typename] = ACTIONS(3080),
    [anon_sym_template] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_co_return] = ACTIONS(3080),
    [anon_sym_co_yield] = ACTIONS(3080),
    [anon_sym_R_DQUOTE] = ACTIONS(3082),
    [anon_sym_LR_DQUOTE] = ACTIONS(3082),
    [anon_sym_uR_DQUOTE] = ACTIONS(3082),
    [anon_sym_UR_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3082),
    [anon_sym_co_await] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_requires] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
  },
  [1159] = {
    [sym_identifier] = ACTIONS(2952),
    [anon_sym_LPAREN2] = ACTIONS(2954),
    [anon_sym_BANG] = ACTIONS(2954),
    [anon_sym_TILDE] = ACTIONS(2954),
    [anon_sym_DASH] = ACTIONS(2952),
    [anon_sym_PLUS] = ACTIONS(2952),
    [anon_sym_STAR] = ACTIONS(2954),
    [anon_sym_AMP] = ACTIONS(2954),
    [anon_sym_SEMI] = ACTIONS(2954),
    [anon_sym___extension__] = ACTIONS(2952),
    [anon_sym_typedef] = ACTIONS(2952),
    [anon_sym_extern] = ACTIONS(2952),
    [anon_sym___attribute__] = ACTIONS(2952),
    [anon_sym_COLON_COLON] = ACTIONS(2954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2954),
    [anon_sym___declspec] = ACTIONS(2952),
    [anon_sym_LBRACE] = ACTIONS(2954),
    [anon_sym_signed] = ACTIONS(2952),
    [anon_sym_unsigned] = ACTIONS(2952),
    [anon_sym_long] = ACTIONS(2952),
    [anon_sym_short] = ACTIONS(2952),
    [anon_sym_LBRACK] = ACTIONS(2952),
    [anon_sym_static] = ACTIONS(2952),
    [anon_sym_register] = ACTIONS(2952),
    [anon_sym_inline] = ACTIONS(2952),
    [anon_sym___inline] = ACTIONS(2952),
    [anon_sym___inline__] = ACTIONS(2952),
    [anon_sym___forceinline] = ACTIONS(2952),
    [anon_sym_thread_local] = ACTIONS(2952),
    [anon_sym___thread] = ACTIONS(2952),
    [anon_sym_const] = ACTIONS(2952),
    [anon_sym_constexpr] = ACTIONS(2952),
    [anon_sym_volatile] = ACTIONS(2952),
    [anon_sym_restrict] = ACTIONS(2952),
    [anon_sym___restrict__] = ACTIONS(2952),
    [anon_sym__Atomic] = ACTIONS(2952),
    [anon_sym__Noreturn] = ACTIONS(2952),
    [anon_sym_noreturn] = ACTIONS(2952),
    [anon_sym_mutable] = ACTIONS(2952),
    [anon_sym_constinit] = ACTIONS(2952),
    [anon_sym_consteval] = ACTIONS(2952),
    [anon_sym_PROGMEM] = ACTIONS(2952),
    [aux_sym_primitive_type_token1] = ACTIONS(2952),
    [anon_sym_byte] = ACTIONS(2952),
    [anon_sym_word] = ACTIONS(2952),
    [anon_sym_enum] = ACTIONS(2952),
    [anon_sym_class] = ACTIONS(2952),
    [anon_sym_struct] = ACTIONS(2952),
    [anon_sym_union] = ACTIONS(2952),
    [anon_sym_if] = ACTIONS(2952),
    [anon_sym_else] = ACTIONS(2952),
    [anon_sym_switch] = ACTIONS(2952),
    [anon_sym_while] = ACTIONS(2952),
    [anon_sym_do] = ACTIONS(2952),
    [anon_sym_for] = ACTIONS(2952),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_break] = ACTIONS(2952),
    [anon_sym_continue] = ACTIONS(2952),
    [anon_sym_goto] = ACTIONS(2952),
    [anon_sym___try] = ACTIONS(2952),
    [anon_sym___leave] = ACTIONS(2952),
    [anon_sym_not] = ACTIONS(2952),
    [anon_sym_compl] = ACTIONS(2952),
    [anon_sym_DASH_DASH] = ACTIONS(2954),
    [anon_sym_PLUS_PLUS] = ACTIONS(2954),
    [anon_sym_sizeof] = ACTIONS(2952),
    [anon_sym___alignof__] = ACTIONS(2952),
    [anon_sym___alignof] = ACTIONS(2952),
    [anon_sym__alignof] = ACTIONS(2952),
    [anon_sym_alignof] = ACTIONS(2952),
    [anon_sym__Alignof] = ACTIONS(2952),
    [anon_sym_offsetof] = ACTIONS(2952),
    [anon_sym__Generic] = ACTIONS(2952),
    [anon_sym_asm] = ACTIONS(2952),
    [anon_sym___asm__] = ACTIONS(2952),
    [aux_sym_number_literal_token1] = ACTIONS(2954),
    [aux_sym_number_literal_token2] = ACTIONS(2952),
    [anon_sym_L_SQUOTE] = ACTIONS(2954),
    [anon_sym_u_SQUOTE] = ACTIONS(2954),
    [anon_sym_U_SQUOTE] = ACTIONS(2954),
    [anon_sym_u8_SQUOTE] = ACTIONS(2954),
    [anon_sym_SQUOTE] = ACTIONS(2954),
    [anon_sym_L_DQUOTE] = ACTIONS(2954),
    [anon_sym_u_DQUOTE] = ACTIONS(2954),
    [anon_sym_U_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8_DQUOTE] = ACTIONS(2954),
    [anon_sym_DQUOTE] = ACTIONS(2954),
    [sym_true] = ACTIONS(2952),
    [sym_false] = ACTIONS(2952),
    [anon_sym_NULL] = ACTIONS(2952),
    [anon_sym_nullptr] = ACTIONS(2952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2952),
    [anon_sym_decltype] = ACTIONS(2952),
    [anon_sym_virtual] = ACTIONS(2952),
    [anon_sym_alignas] = ACTIONS(2952),
    [anon_sym_typename] = ACTIONS(2952),
    [anon_sym_template] = ACTIONS(2952),
    [anon_sym_try] = ACTIONS(2952),
    [anon_sym_delete] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2952),
    [anon_sym_co_return] = ACTIONS(2952),
    [anon_sym_co_yield] = ACTIONS(2952),
    [anon_sym_R_DQUOTE] = ACTIONS(2954),
    [anon_sym_LR_DQUOTE] = ACTIONS(2954),
    [anon_sym_uR_DQUOTE] = ACTIONS(2954),
    [anon_sym_UR_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2954),
    [anon_sym_co_await] = ACTIONS(2952),
    [anon_sym_new] = ACTIONS(2952),
    [anon_sym_requires] = ACTIONS(2952),
    [sym_this] = ACTIONS(2952),
  },
  [1160] = {
    [sym_identifier] = ACTIONS(3032),
    [anon_sym_LPAREN2] = ACTIONS(3034),
    [anon_sym_BANG] = ACTIONS(3034),
    [anon_sym_TILDE] = ACTIONS(3034),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3034),
    [anon_sym_AMP] = ACTIONS(3034),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym___extension__] = ACTIONS(3032),
    [anon_sym_typedef] = ACTIONS(3032),
    [anon_sym_extern] = ACTIONS(3032),
    [anon_sym___attribute__] = ACTIONS(3032),
    [anon_sym_COLON_COLON] = ACTIONS(3034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3034),
    [anon_sym___declspec] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(3034),
    [anon_sym_signed] = ACTIONS(3032),
    [anon_sym_unsigned] = ACTIONS(3032),
    [anon_sym_long] = ACTIONS(3032),
    [anon_sym_short] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3032),
    [anon_sym_static] = ACTIONS(3032),
    [anon_sym_register] = ACTIONS(3032),
    [anon_sym_inline] = ACTIONS(3032),
    [anon_sym___inline] = ACTIONS(3032),
    [anon_sym___inline__] = ACTIONS(3032),
    [anon_sym___forceinline] = ACTIONS(3032),
    [anon_sym_thread_local] = ACTIONS(3032),
    [anon_sym___thread] = ACTIONS(3032),
    [anon_sym_const] = ACTIONS(3032),
    [anon_sym_constexpr] = ACTIONS(3032),
    [anon_sym_volatile] = ACTIONS(3032),
    [anon_sym_restrict] = ACTIONS(3032),
    [anon_sym___restrict__] = ACTIONS(3032),
    [anon_sym__Atomic] = ACTIONS(3032),
    [anon_sym__Noreturn] = ACTIONS(3032),
    [anon_sym_noreturn] = ACTIONS(3032),
    [anon_sym_mutable] = ACTIONS(3032),
    [anon_sym_constinit] = ACTIONS(3032),
    [anon_sym_consteval] = ACTIONS(3032),
    [anon_sym_PROGMEM] = ACTIONS(3032),
    [aux_sym_primitive_type_token1] = ACTIONS(3032),
    [anon_sym_byte] = ACTIONS(3032),
    [anon_sym_word] = ACTIONS(3032),
    [anon_sym_enum] = ACTIONS(3032),
    [anon_sym_class] = ACTIONS(3032),
    [anon_sym_struct] = ACTIONS(3032),
    [anon_sym_union] = ACTIONS(3032),
    [anon_sym_if] = ACTIONS(3032),
    [anon_sym_else] = ACTIONS(3032),
    [anon_sym_switch] = ACTIONS(3032),
    [anon_sym_while] = ACTIONS(3032),
    [anon_sym_do] = ACTIONS(3032),
    [anon_sym_for] = ACTIONS(3032),
    [anon_sym_return] = ACTIONS(3032),
    [anon_sym_break] = ACTIONS(3032),
    [anon_sym_continue] = ACTIONS(3032),
    [anon_sym_goto] = ACTIONS(3032),
    [anon_sym___try] = ACTIONS(3032),
    [anon_sym___leave] = ACTIONS(3032),
    [anon_sym_not] = ACTIONS(3032),
    [anon_sym_compl] = ACTIONS(3032),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_sizeof] = ACTIONS(3032),
    [anon_sym___alignof__] = ACTIONS(3032),
    [anon_sym___alignof] = ACTIONS(3032),
    [anon_sym__alignof] = ACTIONS(3032),
    [anon_sym_alignof] = ACTIONS(3032),
    [anon_sym__Alignof] = ACTIONS(3032),
    [anon_sym_offsetof] = ACTIONS(3032),
    [anon_sym__Generic] = ACTIONS(3032),
    [anon_sym_asm] = ACTIONS(3032),
    [anon_sym___asm__] = ACTIONS(3032),
    [aux_sym_number_literal_token1] = ACTIONS(3034),
    [aux_sym_number_literal_token2] = ACTIONS(3032),
    [anon_sym_L_SQUOTE] = ACTIONS(3034),
    [anon_sym_u_SQUOTE] = ACTIONS(3034),
    [anon_sym_U_SQUOTE] = ACTIONS(3034),
    [anon_sym_u8_SQUOTE] = ACTIONS(3034),
    [anon_sym_SQUOTE] = ACTIONS(3034),
    [anon_sym_L_DQUOTE] = ACTIONS(3034),
    [anon_sym_u_DQUOTE] = ACTIONS(3034),
    [anon_sym_U_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8_DQUOTE] = ACTIONS(3034),
    [anon_sym_DQUOTE] = ACTIONS(3034),
    [sym_true] = ACTIONS(3032),
    [sym_false] = ACTIONS(3032),
    [anon_sym_NULL] = ACTIONS(3032),
    [anon_sym_nullptr] = ACTIONS(3032),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3032),
    [anon_sym_decltype] = ACTIONS(3032),
    [anon_sym_virtual] = ACTIONS(3032),
    [anon_sym_alignas] = ACTIONS(3032),
    [anon_sym_typename] = ACTIONS(3032),
    [anon_sym_template] = ACTIONS(3032),
    [anon_sym_try] = ACTIONS(3032),
    [anon_sym_delete] = ACTIONS(3032),
    [anon_sym_throw] = ACTIONS(3032),
    [anon_sym_co_return] = ACTIONS(3032),
    [anon_sym_co_yield] = ACTIONS(3032),
    [anon_sym_R_DQUOTE] = ACTIONS(3034),
    [anon_sym_LR_DQUOTE] = ACTIONS(3034),
    [anon_sym_uR_DQUOTE] = ACTIONS(3034),
    [anon_sym_UR_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3034),
    [anon_sym_co_await] = ACTIONS(3032),
    [anon_sym_new] = ACTIONS(3032),
    [anon_sym_requires] = ACTIONS(3032),
    [sym_this] = ACTIONS(3032),
  },
  [1161] = {
    [sym_identifier] = ACTIONS(3060),
    [anon_sym_LPAREN2] = ACTIONS(3062),
    [anon_sym_BANG] = ACTIONS(3062),
    [anon_sym_TILDE] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3062),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym___extension__] = ACTIONS(3060),
    [anon_sym_typedef] = ACTIONS(3060),
    [anon_sym_extern] = ACTIONS(3060),
    [anon_sym___attribute__] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3062),
    [anon_sym___declspec] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_signed] = ACTIONS(3060),
    [anon_sym_unsigned] = ACTIONS(3060),
    [anon_sym_long] = ACTIONS(3060),
    [anon_sym_short] = ACTIONS(3060),
    [anon_sym_LBRACK] = ACTIONS(3060),
    [anon_sym_static] = ACTIONS(3060),
    [anon_sym_register] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym___inline] = ACTIONS(3060),
    [anon_sym___inline__] = ACTIONS(3060),
    [anon_sym___forceinline] = ACTIONS(3060),
    [anon_sym_thread_local] = ACTIONS(3060),
    [anon_sym___thread] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_constexpr] = ACTIONS(3060),
    [anon_sym_volatile] = ACTIONS(3060),
    [anon_sym_restrict] = ACTIONS(3060),
    [anon_sym___restrict__] = ACTIONS(3060),
    [anon_sym__Atomic] = ACTIONS(3060),
    [anon_sym__Noreturn] = ACTIONS(3060),
    [anon_sym_noreturn] = ACTIONS(3060),
    [anon_sym_mutable] = ACTIONS(3060),
    [anon_sym_constinit] = ACTIONS(3060),
    [anon_sym_consteval] = ACTIONS(3060),
    [anon_sym_PROGMEM] = ACTIONS(3060),
    [aux_sym_primitive_type_token1] = ACTIONS(3060),
    [anon_sym_byte] = ACTIONS(3060),
    [anon_sym_word] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_class] = ACTIONS(3060),
    [anon_sym_struct] = ACTIONS(3060),
    [anon_sym_union] = ACTIONS(3060),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_else] = ACTIONS(3060),
    [anon_sym_switch] = ACTIONS(3060),
    [anon_sym_while] = ACTIONS(3060),
    [anon_sym_do] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(3060),
    [anon_sym_return] = ACTIONS(3060),
    [anon_sym_break] = ACTIONS(3060),
    [anon_sym_continue] = ACTIONS(3060),
    [anon_sym_goto] = ACTIONS(3060),
    [anon_sym___try] = ACTIONS(3060),
    [anon_sym___leave] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(3060),
    [anon_sym_compl] = ACTIONS(3060),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_sizeof] = ACTIONS(3060),
    [anon_sym___alignof__] = ACTIONS(3060),
    [anon_sym___alignof] = ACTIONS(3060),
    [anon_sym__alignof] = ACTIONS(3060),
    [anon_sym_alignof] = ACTIONS(3060),
    [anon_sym__Alignof] = ACTIONS(3060),
    [anon_sym_offsetof] = ACTIONS(3060),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3060),
    [anon_sym___asm__] = ACTIONS(3060),
    [aux_sym_number_literal_token1] = ACTIONS(3062),
    [aux_sym_number_literal_token2] = ACTIONS(3060),
    [anon_sym_L_SQUOTE] = ACTIONS(3062),
    [anon_sym_u_SQUOTE] = ACTIONS(3062),
    [anon_sym_U_SQUOTE] = ACTIONS(3062),
    [anon_sym_u8_SQUOTE] = ACTIONS(3062),
    [anon_sym_SQUOTE] = ACTIONS(3062),
    [anon_sym_L_DQUOTE] = ACTIONS(3062),
    [anon_sym_u_DQUOTE] = ACTIONS(3062),
    [anon_sym_U_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8_DQUOTE] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3062),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [anon_sym_NULL] = ACTIONS(3060),
    [anon_sym_nullptr] = ACTIONS(3060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3060),
    [anon_sym_decltype] = ACTIONS(3060),
    [anon_sym_virtual] = ACTIONS(3060),
    [anon_sym_alignas] = ACTIONS(3060),
    [anon_sym_typename] = ACTIONS(3060),
    [anon_sym_template] = ACTIONS(3060),
    [anon_sym_try] = ACTIONS(3060),
    [anon_sym_delete] = ACTIONS(3060),
    [anon_sym_throw] = ACTIONS(3060),
    [anon_sym_co_return] = ACTIONS(3060),
    [anon_sym_co_yield] = ACTIONS(3060),
    [anon_sym_R_DQUOTE] = ACTIONS(3062),
    [anon_sym_LR_DQUOTE] = ACTIONS(3062),
    [anon_sym_uR_DQUOTE] = ACTIONS(3062),
    [anon_sym_UR_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3062),
    [anon_sym_co_await] = ACTIONS(3060),
    [anon_sym_new] = ACTIONS(3060),
    [anon_sym_requires] = ACTIONS(3060),
    [sym_this] = ACTIONS(3060),
  },
  [1162] = {
    [sym_identifier] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2944),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2946),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(2946),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_PROGMEM] = ACTIONS(2944),
    [aux_sym_primitive_type_token1] = ACTIONS(2944),
    [anon_sym_byte] = ACTIONS(2944),
    [anon_sym_word] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [anon_sym_if] = ACTIONS(2944),
    [anon_sym_else] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2944),
    [anon_sym_while] = ACTIONS(2944),
    [anon_sym_do] = ACTIONS(2944),
    [anon_sym_for] = ACTIONS(2944),
    [anon_sym_return] = ACTIONS(2944),
    [anon_sym_break] = ACTIONS(2944),
    [anon_sym_continue] = ACTIONS(2944),
    [anon_sym_goto] = ACTIONS(2944),
    [anon_sym___try] = ACTIONS(2944),
    [anon_sym___leave] = ACTIONS(2944),
    [anon_sym_not] = ACTIONS(2944),
    [anon_sym_compl] = ACTIONS(2944),
    [anon_sym_DASH_DASH] = ACTIONS(2946),
    [anon_sym_PLUS_PLUS] = ACTIONS(2946),
    [anon_sym_sizeof] = ACTIONS(2944),
    [anon_sym___alignof__] = ACTIONS(2944),
    [anon_sym___alignof] = ACTIONS(2944),
    [anon_sym__alignof] = ACTIONS(2944),
    [anon_sym_alignof] = ACTIONS(2944),
    [anon_sym__Alignof] = ACTIONS(2944),
    [anon_sym_offsetof] = ACTIONS(2944),
    [anon_sym__Generic] = ACTIONS(2944),
    [anon_sym_asm] = ACTIONS(2944),
    [anon_sym___asm__] = ACTIONS(2944),
    [aux_sym_number_literal_token1] = ACTIONS(2946),
    [aux_sym_number_literal_token2] = ACTIONS(2944),
    [anon_sym_L_SQUOTE] = ACTIONS(2946),
    [anon_sym_u_SQUOTE] = ACTIONS(2946),
    [anon_sym_U_SQUOTE] = ACTIONS(2946),
    [anon_sym_u8_SQUOTE] = ACTIONS(2946),
    [anon_sym_SQUOTE] = ACTIONS(2946),
    [anon_sym_L_DQUOTE] = ACTIONS(2946),
    [anon_sym_u_DQUOTE] = ACTIONS(2946),
    [anon_sym_U_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8_DQUOTE] = ACTIONS(2946),
    [anon_sym_DQUOTE] = ACTIONS(2946),
    [sym_true] = ACTIONS(2944),
    [sym_false] = ACTIONS(2944),
    [anon_sym_NULL] = ACTIONS(2944),
    [anon_sym_nullptr] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_delete] = ACTIONS(2944),
    [anon_sym_throw] = ACTIONS(2944),
    [anon_sym_co_return] = ACTIONS(2944),
    [anon_sym_co_yield] = ACTIONS(2944),
    [anon_sym_R_DQUOTE] = ACTIONS(2946),
    [anon_sym_LR_DQUOTE] = ACTIONS(2946),
    [anon_sym_uR_DQUOTE] = ACTIONS(2946),
    [anon_sym_UR_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2946),
    [anon_sym_co_await] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(2944),
    [anon_sym_requires] = ACTIONS(2944),
    [sym_this] = ACTIONS(2944),
  },
  [1163] = {
    [sym_identifier] = ACTIONS(3116),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [anon_sym_BANG] = ACTIONS(3118),
    [anon_sym_TILDE] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_AMP] = ACTIONS(3118),
    [anon_sym_SEMI] = ACTIONS(3118),
    [anon_sym___extension__] = ACTIONS(3116),
    [anon_sym_typedef] = ACTIONS(3116),
    [anon_sym_extern] = ACTIONS(3116),
    [anon_sym___attribute__] = ACTIONS(3116),
    [anon_sym_COLON_COLON] = ACTIONS(3118),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3118),
    [anon_sym___declspec] = ACTIONS(3116),
    [anon_sym_LBRACE] = ACTIONS(3118),
    [anon_sym_signed] = ACTIONS(3116),
    [anon_sym_unsigned] = ACTIONS(3116),
    [anon_sym_long] = ACTIONS(3116),
    [anon_sym_short] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_static] = ACTIONS(3116),
    [anon_sym_register] = ACTIONS(3116),
    [anon_sym_inline] = ACTIONS(3116),
    [anon_sym___inline] = ACTIONS(3116),
    [anon_sym___inline__] = ACTIONS(3116),
    [anon_sym___forceinline] = ACTIONS(3116),
    [anon_sym_thread_local] = ACTIONS(3116),
    [anon_sym___thread] = ACTIONS(3116),
    [anon_sym_const] = ACTIONS(3116),
    [anon_sym_constexpr] = ACTIONS(3116),
    [anon_sym_volatile] = ACTIONS(3116),
    [anon_sym_restrict] = ACTIONS(3116),
    [anon_sym___restrict__] = ACTIONS(3116),
    [anon_sym__Atomic] = ACTIONS(3116),
    [anon_sym__Noreturn] = ACTIONS(3116),
    [anon_sym_noreturn] = ACTIONS(3116),
    [anon_sym_mutable] = ACTIONS(3116),
    [anon_sym_constinit] = ACTIONS(3116),
    [anon_sym_consteval] = ACTIONS(3116),
    [anon_sym_PROGMEM] = ACTIONS(3116),
    [aux_sym_primitive_type_token1] = ACTIONS(3116),
    [anon_sym_byte] = ACTIONS(3116),
    [anon_sym_word] = ACTIONS(3116),
    [anon_sym_enum] = ACTIONS(3116),
    [anon_sym_class] = ACTIONS(3116),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3116),
    [anon_sym_if] = ACTIONS(3116),
    [anon_sym_else] = ACTIONS(3116),
    [anon_sym_switch] = ACTIONS(3116),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_do] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3116),
    [anon_sym_return] = ACTIONS(3116),
    [anon_sym_break] = ACTIONS(3116),
    [anon_sym_continue] = ACTIONS(3116),
    [anon_sym_goto] = ACTIONS(3116),
    [anon_sym___try] = ACTIONS(3116),
    [anon_sym___leave] = ACTIONS(3116),
    [anon_sym_not] = ACTIONS(3116),
    [anon_sym_compl] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_sizeof] = ACTIONS(3116),
    [anon_sym___alignof__] = ACTIONS(3116),
    [anon_sym___alignof] = ACTIONS(3116),
    [anon_sym__alignof] = ACTIONS(3116),
    [anon_sym_alignof] = ACTIONS(3116),
    [anon_sym__Alignof] = ACTIONS(3116),
    [anon_sym_offsetof] = ACTIONS(3116),
    [anon_sym__Generic] = ACTIONS(3116),
    [anon_sym_asm] = ACTIONS(3116),
    [anon_sym___asm__] = ACTIONS(3116),
    [aux_sym_number_literal_token1] = ACTIONS(3118),
    [aux_sym_number_literal_token2] = ACTIONS(3116),
    [anon_sym_L_SQUOTE] = ACTIONS(3118),
    [anon_sym_u_SQUOTE] = ACTIONS(3118),
    [anon_sym_U_SQUOTE] = ACTIONS(3118),
    [anon_sym_u8_SQUOTE] = ACTIONS(3118),
    [anon_sym_SQUOTE] = ACTIONS(3118),
    [anon_sym_L_DQUOTE] = ACTIONS(3118),
    [anon_sym_u_DQUOTE] = ACTIONS(3118),
    [anon_sym_U_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8_DQUOTE] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(3118),
    [sym_true] = ACTIONS(3116),
    [sym_false] = ACTIONS(3116),
    [anon_sym_NULL] = ACTIONS(3116),
    [anon_sym_nullptr] = ACTIONS(3116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3116),
    [anon_sym_decltype] = ACTIONS(3116),
    [anon_sym_virtual] = ACTIONS(3116),
    [anon_sym_alignas] = ACTIONS(3116),
    [anon_sym_typename] = ACTIONS(3116),
    [anon_sym_template] = ACTIONS(3116),
    [anon_sym_try] = ACTIONS(3116),
    [anon_sym_delete] = ACTIONS(3116),
    [anon_sym_throw] = ACTIONS(3116),
    [anon_sym_co_return] = ACTIONS(3116),
    [anon_sym_co_yield] = ACTIONS(3116),
    [anon_sym_R_DQUOTE] = ACTIONS(3118),
    [anon_sym_LR_DQUOTE] = ACTIONS(3118),
    [anon_sym_uR_DQUOTE] = ACTIONS(3118),
    [anon_sym_UR_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3118),
    [anon_sym_co_await] = ACTIONS(3116),
    [anon_sym_new] = ACTIONS(3116),
    [anon_sym_requires] = ACTIONS(3116),
    [sym_this] = ACTIONS(3116),
  },
  [1164] = {
    [sym_identifier] = ACTIONS(3112),
    [anon_sym_LPAREN2] = ACTIONS(3114),
    [anon_sym_BANG] = ACTIONS(3114),
    [anon_sym_TILDE] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(3114),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym___extension__] = ACTIONS(3112),
    [anon_sym_typedef] = ACTIONS(3112),
    [anon_sym_extern] = ACTIONS(3112),
    [anon_sym___attribute__] = ACTIONS(3112),
    [anon_sym_COLON_COLON] = ACTIONS(3114),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3114),
    [anon_sym___declspec] = ACTIONS(3112),
    [anon_sym_LBRACE] = ACTIONS(3114),
    [anon_sym_signed] = ACTIONS(3112),
    [anon_sym_unsigned] = ACTIONS(3112),
    [anon_sym_long] = ACTIONS(3112),
    [anon_sym_short] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_register] = ACTIONS(3112),
    [anon_sym_inline] = ACTIONS(3112),
    [anon_sym___inline] = ACTIONS(3112),
    [anon_sym___inline__] = ACTIONS(3112),
    [anon_sym___forceinline] = ACTIONS(3112),
    [anon_sym_thread_local] = ACTIONS(3112),
    [anon_sym___thread] = ACTIONS(3112),
    [anon_sym_const] = ACTIONS(3112),
    [anon_sym_constexpr] = ACTIONS(3112),
    [anon_sym_volatile] = ACTIONS(3112),
    [anon_sym_restrict] = ACTIONS(3112),
    [anon_sym___restrict__] = ACTIONS(3112),
    [anon_sym__Atomic] = ACTIONS(3112),
    [anon_sym__Noreturn] = ACTIONS(3112),
    [anon_sym_noreturn] = ACTIONS(3112),
    [anon_sym_mutable] = ACTIONS(3112),
    [anon_sym_constinit] = ACTIONS(3112),
    [anon_sym_consteval] = ACTIONS(3112),
    [anon_sym_PROGMEM] = ACTIONS(3112),
    [aux_sym_primitive_type_token1] = ACTIONS(3112),
    [anon_sym_byte] = ACTIONS(3112),
    [anon_sym_word] = ACTIONS(3112),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3112),
    [anon_sym_struct] = ACTIONS(3112),
    [anon_sym_union] = ACTIONS(3112),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_else] = ACTIONS(3112),
    [anon_sym_switch] = ACTIONS(3112),
    [anon_sym_while] = ACTIONS(3112),
    [anon_sym_do] = ACTIONS(3112),
    [anon_sym_for] = ACTIONS(3112),
    [anon_sym_return] = ACTIONS(3112),
    [anon_sym_break] = ACTIONS(3112),
    [anon_sym_continue] = ACTIONS(3112),
    [anon_sym_goto] = ACTIONS(3112),
    [anon_sym___try] = ACTIONS(3112),
    [anon_sym___leave] = ACTIONS(3112),
    [anon_sym_not] = ACTIONS(3112),
    [anon_sym_compl] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_sizeof] = ACTIONS(3112),
    [anon_sym___alignof__] = ACTIONS(3112),
    [anon_sym___alignof] = ACTIONS(3112),
    [anon_sym__alignof] = ACTIONS(3112),
    [anon_sym_alignof] = ACTIONS(3112),
    [anon_sym__Alignof] = ACTIONS(3112),
    [anon_sym_offsetof] = ACTIONS(3112),
    [anon_sym__Generic] = ACTIONS(3112),
    [anon_sym_asm] = ACTIONS(3112),
    [anon_sym___asm__] = ACTIONS(3112),
    [aux_sym_number_literal_token1] = ACTIONS(3114),
    [aux_sym_number_literal_token2] = ACTIONS(3112),
    [anon_sym_L_SQUOTE] = ACTIONS(3114),
    [anon_sym_u_SQUOTE] = ACTIONS(3114),
    [anon_sym_U_SQUOTE] = ACTIONS(3114),
    [anon_sym_u8_SQUOTE] = ACTIONS(3114),
    [anon_sym_SQUOTE] = ACTIONS(3114),
    [anon_sym_L_DQUOTE] = ACTIONS(3114),
    [anon_sym_u_DQUOTE] = ACTIONS(3114),
    [anon_sym_U_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8_DQUOTE] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(3114),
    [sym_true] = ACTIONS(3112),
    [sym_false] = ACTIONS(3112),
    [anon_sym_NULL] = ACTIONS(3112),
    [anon_sym_nullptr] = ACTIONS(3112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3112),
    [anon_sym_decltype] = ACTIONS(3112),
    [anon_sym_virtual] = ACTIONS(3112),
    [anon_sym_alignas] = ACTIONS(3112),
    [anon_sym_typename] = ACTIONS(3112),
    [anon_sym_template] = ACTIONS(3112),
    [anon_sym_try] = ACTIONS(3112),
    [anon_sym_delete] = ACTIONS(3112),
    [anon_sym_throw] = ACTIONS(3112),
    [anon_sym_co_return] = ACTIONS(3112),
    [anon_sym_co_yield] = ACTIONS(3112),
    [anon_sym_R_DQUOTE] = ACTIONS(3114),
    [anon_sym_LR_DQUOTE] = ACTIONS(3114),
    [anon_sym_uR_DQUOTE] = ACTIONS(3114),
    [anon_sym_UR_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3114),
    [anon_sym_co_await] = ACTIONS(3112),
    [anon_sym_new] = ACTIONS(3112),
    [anon_sym_requires] = ACTIONS(3112),
    [sym_this] = ACTIONS(3112),
  },
  [1165] = {
    [sym_identifier] = ACTIONS(3108),
    [anon_sym_LPAREN2] = ACTIONS(3110),
    [anon_sym_BANG] = ACTIONS(3110),
    [anon_sym_TILDE] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_AMP] = ACTIONS(3110),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym___extension__] = ACTIONS(3108),
    [anon_sym_typedef] = ACTIONS(3108),
    [anon_sym_extern] = ACTIONS(3108),
    [anon_sym___attribute__] = ACTIONS(3108),
    [anon_sym_COLON_COLON] = ACTIONS(3110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3110),
    [anon_sym___declspec] = ACTIONS(3108),
    [anon_sym_LBRACE] = ACTIONS(3110),
    [anon_sym_signed] = ACTIONS(3108),
    [anon_sym_unsigned] = ACTIONS(3108),
    [anon_sym_long] = ACTIONS(3108),
    [anon_sym_short] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(3108),
    [anon_sym_register] = ACTIONS(3108),
    [anon_sym_inline] = ACTIONS(3108),
    [anon_sym___inline] = ACTIONS(3108),
    [anon_sym___inline__] = ACTIONS(3108),
    [anon_sym___forceinline] = ACTIONS(3108),
    [anon_sym_thread_local] = ACTIONS(3108),
    [anon_sym___thread] = ACTIONS(3108),
    [anon_sym_const] = ACTIONS(3108),
    [anon_sym_constexpr] = ACTIONS(3108),
    [anon_sym_volatile] = ACTIONS(3108),
    [anon_sym_restrict] = ACTIONS(3108),
    [anon_sym___restrict__] = ACTIONS(3108),
    [anon_sym__Atomic] = ACTIONS(3108),
    [anon_sym__Noreturn] = ACTIONS(3108),
    [anon_sym_noreturn] = ACTIONS(3108),
    [anon_sym_mutable] = ACTIONS(3108),
    [anon_sym_constinit] = ACTIONS(3108),
    [anon_sym_consteval] = ACTIONS(3108),
    [anon_sym_PROGMEM] = ACTIONS(3108),
    [aux_sym_primitive_type_token1] = ACTIONS(3108),
    [anon_sym_byte] = ACTIONS(3108),
    [anon_sym_word] = ACTIONS(3108),
    [anon_sym_enum] = ACTIONS(3108),
    [anon_sym_class] = ACTIONS(3108),
    [anon_sym_struct] = ACTIONS(3108),
    [anon_sym_union] = ACTIONS(3108),
    [anon_sym_if] = ACTIONS(3108),
    [anon_sym_else] = ACTIONS(3108),
    [anon_sym_switch] = ACTIONS(3108),
    [anon_sym_while] = ACTIONS(3108),
    [anon_sym_do] = ACTIONS(3108),
    [anon_sym_for] = ACTIONS(3108),
    [anon_sym_return] = ACTIONS(3108),
    [anon_sym_break] = ACTIONS(3108),
    [anon_sym_continue] = ACTIONS(3108),
    [anon_sym_goto] = ACTIONS(3108),
    [anon_sym___try] = ACTIONS(3108),
    [anon_sym___leave] = ACTIONS(3108),
    [anon_sym_not] = ACTIONS(3108),
    [anon_sym_compl] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_sizeof] = ACTIONS(3108),
    [anon_sym___alignof__] = ACTIONS(3108),
    [anon_sym___alignof] = ACTIONS(3108),
    [anon_sym__alignof] = ACTIONS(3108),
    [anon_sym_alignof] = ACTIONS(3108),
    [anon_sym__Alignof] = ACTIONS(3108),
    [anon_sym_offsetof] = ACTIONS(3108),
    [anon_sym__Generic] = ACTIONS(3108),
    [anon_sym_asm] = ACTIONS(3108),
    [anon_sym___asm__] = ACTIONS(3108),
    [aux_sym_number_literal_token1] = ACTIONS(3110),
    [aux_sym_number_literal_token2] = ACTIONS(3108),
    [anon_sym_L_SQUOTE] = ACTIONS(3110),
    [anon_sym_u_SQUOTE] = ACTIONS(3110),
    [anon_sym_U_SQUOTE] = ACTIONS(3110),
    [anon_sym_u8_SQUOTE] = ACTIONS(3110),
    [anon_sym_SQUOTE] = ACTIONS(3110),
    [anon_sym_L_DQUOTE] = ACTIONS(3110),
    [anon_sym_u_DQUOTE] = ACTIONS(3110),
    [anon_sym_U_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8_DQUOTE] = ACTIONS(3110),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [sym_true] = ACTIONS(3108),
    [sym_false] = ACTIONS(3108),
    [anon_sym_NULL] = ACTIONS(3108),
    [anon_sym_nullptr] = ACTIONS(3108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3108),
    [anon_sym_decltype] = ACTIONS(3108),
    [anon_sym_virtual] = ACTIONS(3108),
    [anon_sym_alignas] = ACTIONS(3108),
    [anon_sym_typename] = ACTIONS(3108),
    [anon_sym_template] = ACTIONS(3108),
    [anon_sym_try] = ACTIONS(3108),
    [anon_sym_delete] = ACTIONS(3108),
    [anon_sym_throw] = ACTIONS(3108),
    [anon_sym_co_return] = ACTIONS(3108),
    [anon_sym_co_yield] = ACTIONS(3108),
    [anon_sym_R_DQUOTE] = ACTIONS(3110),
    [anon_sym_LR_DQUOTE] = ACTIONS(3110),
    [anon_sym_uR_DQUOTE] = ACTIONS(3110),
    [anon_sym_UR_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3110),
    [anon_sym_co_await] = ACTIONS(3108),
    [anon_sym_new] = ACTIONS(3108),
    [anon_sym_requires] = ACTIONS(3108),
    [sym_this] = ACTIONS(3108),
  },
  [1166] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [1167] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [1168] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [1169] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [1170] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [1171] = {
    [sym_identifier] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3030),
    [anon_sym_TILDE] = ACTIONS(3030),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_STAR] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(3030),
    [anon_sym_SEMI] = ACTIONS(3030),
    [anon_sym___extension__] = ACTIONS(3028),
    [anon_sym_typedef] = ACTIONS(3028),
    [anon_sym_extern] = ACTIONS(3028),
    [anon_sym___attribute__] = ACTIONS(3028),
    [anon_sym_COLON_COLON] = ACTIONS(3030),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3030),
    [anon_sym___declspec] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_signed] = ACTIONS(3028),
    [anon_sym_unsigned] = ACTIONS(3028),
    [anon_sym_long] = ACTIONS(3028),
    [anon_sym_short] = ACTIONS(3028),
    [anon_sym_LBRACK] = ACTIONS(3028),
    [anon_sym_static] = ACTIONS(3028),
    [anon_sym_register] = ACTIONS(3028),
    [anon_sym_inline] = ACTIONS(3028),
    [anon_sym___inline] = ACTIONS(3028),
    [anon_sym___inline__] = ACTIONS(3028),
    [anon_sym___forceinline] = ACTIONS(3028),
    [anon_sym_thread_local] = ACTIONS(3028),
    [anon_sym___thread] = ACTIONS(3028),
    [anon_sym_const] = ACTIONS(3028),
    [anon_sym_constexpr] = ACTIONS(3028),
    [anon_sym_volatile] = ACTIONS(3028),
    [anon_sym_restrict] = ACTIONS(3028),
    [anon_sym___restrict__] = ACTIONS(3028),
    [anon_sym__Atomic] = ACTIONS(3028),
    [anon_sym__Noreturn] = ACTIONS(3028),
    [anon_sym_noreturn] = ACTIONS(3028),
    [anon_sym_mutable] = ACTIONS(3028),
    [anon_sym_constinit] = ACTIONS(3028),
    [anon_sym_consteval] = ACTIONS(3028),
    [anon_sym_PROGMEM] = ACTIONS(3028),
    [aux_sym_primitive_type_token1] = ACTIONS(3028),
    [anon_sym_byte] = ACTIONS(3028),
    [anon_sym_word] = ACTIONS(3028),
    [anon_sym_enum] = ACTIONS(3028),
    [anon_sym_class] = ACTIONS(3028),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(3028),
    [anon_sym_if] = ACTIONS(3028),
    [anon_sym_else] = ACTIONS(3028),
    [anon_sym_switch] = ACTIONS(3028),
    [anon_sym_while] = ACTIONS(3028),
    [anon_sym_do] = ACTIONS(3028),
    [anon_sym_for] = ACTIONS(3028),
    [anon_sym_return] = ACTIONS(3028),
    [anon_sym_break] = ACTIONS(3028),
    [anon_sym_continue] = ACTIONS(3028),
    [anon_sym_goto] = ACTIONS(3028),
    [anon_sym___try] = ACTIONS(3028),
    [anon_sym___leave] = ACTIONS(3028),
    [anon_sym_not] = ACTIONS(3028),
    [anon_sym_compl] = ACTIONS(3028),
    [anon_sym_DASH_DASH] = ACTIONS(3030),
    [anon_sym_PLUS_PLUS] = ACTIONS(3030),
    [anon_sym_sizeof] = ACTIONS(3028),
    [anon_sym___alignof__] = ACTIONS(3028),
    [anon_sym___alignof] = ACTIONS(3028),
    [anon_sym__alignof] = ACTIONS(3028),
    [anon_sym_alignof] = ACTIONS(3028),
    [anon_sym__Alignof] = ACTIONS(3028),
    [anon_sym_offsetof] = ACTIONS(3028),
    [anon_sym__Generic] = ACTIONS(3028),
    [anon_sym_asm] = ACTIONS(3028),
    [anon_sym___asm__] = ACTIONS(3028),
    [aux_sym_number_literal_token1] = ACTIONS(3030),
    [aux_sym_number_literal_token2] = ACTIONS(3028),
    [anon_sym_L_SQUOTE] = ACTIONS(3030),
    [anon_sym_u_SQUOTE] = ACTIONS(3030),
    [anon_sym_U_SQUOTE] = ACTIONS(3030),
    [anon_sym_u8_SQUOTE] = ACTIONS(3030),
    [anon_sym_SQUOTE] = ACTIONS(3030),
    [anon_sym_L_DQUOTE] = ACTIONS(3030),
    [anon_sym_u_DQUOTE] = ACTIONS(3030),
    [anon_sym_U_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8_DQUOTE] = ACTIONS(3030),
    [anon_sym_DQUOTE] = ACTIONS(3030),
    [sym_true] = ACTIONS(3028),
    [sym_false] = ACTIONS(3028),
    [anon_sym_NULL] = ACTIONS(3028),
    [anon_sym_nullptr] = ACTIONS(3028),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3028),
    [anon_sym_decltype] = ACTIONS(3028),
    [anon_sym_virtual] = ACTIONS(3028),
    [anon_sym_alignas] = ACTIONS(3028),
    [anon_sym_typename] = ACTIONS(3028),
    [anon_sym_template] = ACTIONS(3028),
    [anon_sym_try] = ACTIONS(3028),
    [anon_sym_delete] = ACTIONS(3028),
    [anon_sym_throw] = ACTIONS(3028),
    [anon_sym_co_return] = ACTIONS(3028),
    [anon_sym_co_yield] = ACTIONS(3028),
    [anon_sym_R_DQUOTE] = ACTIONS(3030),
    [anon_sym_LR_DQUOTE] = ACTIONS(3030),
    [anon_sym_uR_DQUOTE] = ACTIONS(3030),
    [anon_sym_UR_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3030),
    [anon_sym_co_await] = ACTIONS(3028),
    [anon_sym_new] = ACTIONS(3028),
    [anon_sym_requires] = ACTIONS(3028),
    [sym_this] = ACTIONS(3028),
  },
  [1172] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [1173] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [1174] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [1175] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [1176] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [1177] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [1178] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [1179] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [1180] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [1181] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [1182] = {
    [sym_identifier] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2872),
    [anon_sym_BANG] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2872),
    [anon_sym_AMP] = ACTIONS(2872),
    [anon_sym_SEMI] = ACTIONS(2872),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2872),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2872),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [anon_sym_PROGMEM] = ACTIONS(2867),
    [aux_sym_primitive_type_token1] = ACTIONS(2867),
    [anon_sym_byte] = ACTIONS(2867),
    [anon_sym_word] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2872),
    [anon_sym_PLUS_PLUS] = ACTIONS(2872),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [aux_sym_number_literal_token1] = ACTIONS(2872),
    [aux_sym_number_literal_token2] = ACTIONS(2867),
    [anon_sym_L_SQUOTE] = ACTIONS(2872),
    [anon_sym_u_SQUOTE] = ACTIONS(2872),
    [anon_sym_U_SQUOTE] = ACTIONS(2872),
    [anon_sym_u8_SQUOTE] = ACTIONS(2872),
    [anon_sym_SQUOTE] = ACTIONS(2872),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2872),
    [anon_sym_LR_DQUOTE] = ACTIONS(2872),
    [anon_sym_uR_DQUOTE] = ACTIONS(2872),
    [anon_sym_UR_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2872),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [1183] = {
    [sym_identifier] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_PROGMEM] = ACTIONS(3162),
    [aux_sym_primitive_type_token1] = ACTIONS(3162),
    [anon_sym_byte] = ACTIONS(3162),
    [anon_sym_word] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_else] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_goto] = ACTIONS(3162),
    [anon_sym___try] = ACTIONS(3162),
    [anon_sym___leave] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3162),
    [anon_sym_compl] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_sizeof] = ACTIONS(3162),
    [anon_sym___alignof__] = ACTIONS(3162),
    [anon_sym___alignof] = ACTIONS(3162),
    [anon_sym__alignof] = ACTIONS(3162),
    [anon_sym_alignof] = ACTIONS(3162),
    [anon_sym__Alignof] = ACTIONS(3162),
    [anon_sym_offsetof] = ACTIONS(3162),
    [anon_sym__Generic] = ACTIONS(3162),
    [anon_sym_asm] = ACTIONS(3162),
    [anon_sym___asm__] = ACTIONS(3162),
    [aux_sym_number_literal_token1] = ACTIONS(3164),
    [aux_sym_number_literal_token2] = ACTIONS(3162),
    [anon_sym_L_SQUOTE] = ACTIONS(3164),
    [anon_sym_u_SQUOTE] = ACTIONS(3164),
    [anon_sym_U_SQUOTE] = ACTIONS(3164),
    [anon_sym_u8_SQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_L_DQUOTE] = ACTIONS(3164),
    [anon_sym_u_DQUOTE] = ACTIONS(3164),
    [anon_sym_U_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8_DQUOTE] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [anon_sym_NULL] = ACTIONS(3162),
    [anon_sym_nullptr] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_co_return] = ACTIONS(3162),
    [anon_sym_co_yield] = ACTIONS(3162),
    [anon_sym_R_DQUOTE] = ACTIONS(3164),
    [anon_sym_LR_DQUOTE] = ACTIONS(3164),
    [anon_sym_uR_DQUOTE] = ACTIONS(3164),
    [anon_sym_UR_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3164),
    [anon_sym_co_await] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_requires] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
  },
  [1184] = {
    [sym_identifier] = ACTIONS(3168),
    [anon_sym_LPAREN2] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym___extension__] = ACTIONS(3168),
    [anon_sym_typedef] = ACTIONS(3168),
    [anon_sym_extern] = ACTIONS(3168),
    [anon_sym___attribute__] = ACTIONS(3168),
    [anon_sym_COLON_COLON] = ACTIONS(3170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3170),
    [anon_sym___declspec] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_signed] = ACTIONS(3168),
    [anon_sym_unsigned] = ACTIONS(3168),
    [anon_sym_long] = ACTIONS(3168),
    [anon_sym_short] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_register] = ACTIONS(3168),
    [anon_sym_inline] = ACTIONS(3168),
    [anon_sym___inline] = ACTIONS(3168),
    [anon_sym___inline__] = ACTIONS(3168),
    [anon_sym___forceinline] = ACTIONS(3168),
    [anon_sym_thread_local] = ACTIONS(3168),
    [anon_sym___thread] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_constexpr] = ACTIONS(3168),
    [anon_sym_volatile] = ACTIONS(3168),
    [anon_sym_restrict] = ACTIONS(3168),
    [anon_sym___restrict__] = ACTIONS(3168),
    [anon_sym__Atomic] = ACTIONS(3168),
    [anon_sym__Noreturn] = ACTIONS(3168),
    [anon_sym_noreturn] = ACTIONS(3168),
    [anon_sym_mutable] = ACTIONS(3168),
    [anon_sym_constinit] = ACTIONS(3168),
    [anon_sym_consteval] = ACTIONS(3168),
    [anon_sym_PROGMEM] = ACTIONS(3168),
    [aux_sym_primitive_type_token1] = ACTIONS(3168),
    [anon_sym_byte] = ACTIONS(3168),
    [anon_sym_word] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_struct] = ACTIONS(3168),
    [anon_sym_union] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_else] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_goto] = ACTIONS(3168),
    [anon_sym___try] = ACTIONS(3168),
    [anon_sym___leave] = ACTIONS(3168),
    [anon_sym_not] = ACTIONS(3168),
    [anon_sym_compl] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_sizeof] = ACTIONS(3168),
    [anon_sym___alignof__] = ACTIONS(3168),
    [anon_sym___alignof] = ACTIONS(3168),
    [anon_sym__alignof] = ACTIONS(3168),
    [anon_sym_alignof] = ACTIONS(3168),
    [anon_sym__Alignof] = ACTIONS(3168),
    [anon_sym_offsetof] = ACTIONS(3168),
    [anon_sym__Generic] = ACTIONS(3168),
    [anon_sym_asm] = ACTIONS(3168),
    [anon_sym___asm__] = ACTIONS(3168),
    [aux_sym_number_literal_token1] = ACTIONS(3170),
    [aux_sym_number_literal_token2] = ACTIONS(3168),
    [anon_sym_L_SQUOTE] = ACTIONS(3170),
    [anon_sym_u_SQUOTE] = ACTIONS(3170),
    [anon_sym_U_SQUOTE] = ACTIONS(3170),
    [anon_sym_u8_SQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [anon_sym_L_DQUOTE] = ACTIONS(3170),
    [anon_sym_u_DQUOTE] = ACTIONS(3170),
    [anon_sym_U_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8_DQUOTE] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [anon_sym_NULL] = ACTIONS(3168),
    [anon_sym_nullptr] = ACTIONS(3168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3168),
    [anon_sym_decltype] = ACTIONS(3168),
    [anon_sym_virtual] = ACTIONS(3168),
    [anon_sym_alignas] = ACTIONS(3168),
    [anon_sym_typename] = ACTIONS(3168),
    [anon_sym_template] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_co_return] = ACTIONS(3168),
    [anon_sym_co_yield] = ACTIONS(3168),
    [anon_sym_R_DQUOTE] = ACTIONS(3170),
    [anon_sym_LR_DQUOTE] = ACTIONS(3170),
    [anon_sym_uR_DQUOTE] = ACTIONS(3170),
    [anon_sym_UR_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3170),
    [anon_sym_co_await] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_requires] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
  },
  [1185] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [1186] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [1187] = {
    [sym_identifier] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_goto] = ACTIONS(3064),
    [anon_sym___try] = ACTIONS(3064),
    [anon_sym___leave] = ACTIONS(3064),
    [anon_sym_not] = ACTIONS(3064),
    [anon_sym_compl] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_sizeof] = ACTIONS(3064),
    [anon_sym___alignof__] = ACTIONS(3064),
    [anon_sym___alignof] = ACTIONS(3064),
    [anon_sym__alignof] = ACTIONS(3064),
    [anon_sym_alignof] = ACTIONS(3064),
    [anon_sym__Alignof] = ACTIONS(3064),
    [anon_sym_offsetof] = ACTIONS(3064),
    [anon_sym__Generic] = ACTIONS(3064),
    [anon_sym_asm] = ACTIONS(3064),
    [anon_sym___asm__] = ACTIONS(3064),
    [aux_sym_number_literal_token1] = ACTIONS(3066),
    [aux_sym_number_literal_token2] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3066),
    [anon_sym_u_DQUOTE] = ACTIONS(3066),
    [anon_sym_U_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8_DQUOTE] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [anon_sym_NULL] = ACTIONS(3064),
    [anon_sym_nullptr] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_co_return] = ACTIONS(3064),
    [anon_sym_co_yield] = ACTIONS(3064),
    [anon_sym_R_DQUOTE] = ACTIONS(3066),
    [anon_sym_LR_DQUOTE] = ACTIONS(3066),
    [anon_sym_uR_DQUOTE] = ACTIONS(3066),
    [anon_sym_UR_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3066),
    [anon_sym_co_await] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_requires] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
  },
  [1188] = {
    [sym_identifier] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_goto] = ACTIONS(3064),
    [anon_sym___try] = ACTIONS(3064),
    [anon_sym___leave] = ACTIONS(3064),
    [anon_sym_not] = ACTIONS(3064),
    [anon_sym_compl] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_sizeof] = ACTIONS(3064),
    [anon_sym___alignof__] = ACTIONS(3064),
    [anon_sym___alignof] = ACTIONS(3064),
    [anon_sym__alignof] = ACTIONS(3064),
    [anon_sym_alignof] = ACTIONS(3064),
    [anon_sym__Alignof] = ACTIONS(3064),
    [anon_sym_offsetof] = ACTIONS(3064),
    [anon_sym__Generic] = ACTIONS(3064),
    [anon_sym_asm] = ACTIONS(3064),
    [anon_sym___asm__] = ACTIONS(3064),
    [aux_sym_number_literal_token1] = ACTIONS(3066),
    [aux_sym_number_literal_token2] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3066),
    [anon_sym_u_DQUOTE] = ACTIONS(3066),
    [anon_sym_U_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8_DQUOTE] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [anon_sym_NULL] = ACTIONS(3064),
    [anon_sym_nullptr] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_co_return] = ACTIONS(3064),
    [anon_sym_co_yield] = ACTIONS(3064),
    [anon_sym_R_DQUOTE] = ACTIONS(3066),
    [anon_sym_LR_DQUOTE] = ACTIONS(3066),
    [anon_sym_uR_DQUOTE] = ACTIONS(3066),
    [anon_sym_UR_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3066),
    [anon_sym_co_await] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_requires] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
  },
  [1189] = {
    [sym_identifier] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_BANG] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3054),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_PROGMEM] = ACTIONS(3052),
    [aux_sym_primitive_type_token1] = ACTIONS(3052),
    [anon_sym_byte] = ACTIONS(3052),
    [anon_sym_word] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [anon_sym_if] = ACTIONS(3052),
    [anon_sym_else] = ACTIONS(3052),
    [anon_sym_switch] = ACTIONS(3052),
    [anon_sym_while] = ACTIONS(3052),
    [anon_sym_do] = ACTIONS(3052),
    [anon_sym_for] = ACTIONS(3052),
    [anon_sym_return] = ACTIONS(3052),
    [anon_sym_break] = ACTIONS(3052),
    [anon_sym_continue] = ACTIONS(3052),
    [anon_sym_goto] = ACTIONS(3052),
    [anon_sym___try] = ACTIONS(3052),
    [anon_sym___leave] = ACTIONS(3052),
    [anon_sym_not] = ACTIONS(3052),
    [anon_sym_compl] = ACTIONS(3052),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_sizeof] = ACTIONS(3052),
    [anon_sym___alignof__] = ACTIONS(3052),
    [anon_sym___alignof] = ACTIONS(3052),
    [anon_sym__alignof] = ACTIONS(3052),
    [anon_sym_alignof] = ACTIONS(3052),
    [anon_sym__Alignof] = ACTIONS(3052),
    [anon_sym_offsetof] = ACTIONS(3052),
    [anon_sym__Generic] = ACTIONS(3052),
    [anon_sym_asm] = ACTIONS(3052),
    [anon_sym___asm__] = ACTIONS(3052),
    [aux_sym_number_literal_token1] = ACTIONS(3054),
    [aux_sym_number_literal_token2] = ACTIONS(3052),
    [anon_sym_L_SQUOTE] = ACTIONS(3054),
    [anon_sym_u_SQUOTE] = ACTIONS(3054),
    [anon_sym_U_SQUOTE] = ACTIONS(3054),
    [anon_sym_u8_SQUOTE] = ACTIONS(3054),
    [anon_sym_SQUOTE] = ACTIONS(3054),
    [anon_sym_L_DQUOTE] = ACTIONS(3054),
    [anon_sym_u_DQUOTE] = ACTIONS(3054),
    [anon_sym_U_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8_DQUOTE] = ACTIONS(3054),
    [anon_sym_DQUOTE] = ACTIONS(3054),
    [sym_true] = ACTIONS(3052),
    [sym_false] = ACTIONS(3052),
    [anon_sym_NULL] = ACTIONS(3052),
    [anon_sym_nullptr] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_try] = ACTIONS(3052),
    [anon_sym_delete] = ACTIONS(3052),
    [anon_sym_throw] = ACTIONS(3052),
    [anon_sym_co_return] = ACTIONS(3052),
    [anon_sym_co_yield] = ACTIONS(3052),
    [anon_sym_R_DQUOTE] = ACTIONS(3054),
    [anon_sym_LR_DQUOTE] = ACTIONS(3054),
    [anon_sym_uR_DQUOTE] = ACTIONS(3054),
    [anon_sym_UR_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3054),
    [anon_sym_co_await] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(3052),
    [anon_sym_requires] = ACTIONS(3052),
    [sym_this] = ACTIONS(3052),
  },
  [1190] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [1191] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [1192] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [1193] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [1194] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [1195] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [1196] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [1197] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [1198] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [1199] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [1200] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [1201] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [1202] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [1203] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [1204] = {
    [sym_identifier] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3078),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3076),
    [anon_sym_else] = ACTIONS(3076),
    [anon_sym_switch] = ACTIONS(3076),
    [anon_sym_while] = ACTIONS(3076),
    [anon_sym_do] = ACTIONS(3076),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_return] = ACTIONS(3076),
    [anon_sym_break] = ACTIONS(3076),
    [anon_sym_continue] = ACTIONS(3076),
    [anon_sym_goto] = ACTIONS(3076),
    [anon_sym___try] = ACTIONS(3076),
    [anon_sym___leave] = ACTIONS(3076),
    [anon_sym_not] = ACTIONS(3076),
    [anon_sym_compl] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_sizeof] = ACTIONS(3076),
    [anon_sym___alignof__] = ACTIONS(3076),
    [anon_sym___alignof] = ACTIONS(3076),
    [anon_sym__alignof] = ACTIONS(3076),
    [anon_sym_alignof] = ACTIONS(3076),
    [anon_sym__Alignof] = ACTIONS(3076),
    [anon_sym_offsetof] = ACTIONS(3076),
    [anon_sym__Generic] = ACTIONS(3076),
    [anon_sym_asm] = ACTIONS(3076),
    [anon_sym___asm__] = ACTIONS(3076),
    [aux_sym_number_literal_token1] = ACTIONS(3078),
    [aux_sym_number_literal_token2] = ACTIONS(3076),
    [anon_sym_L_SQUOTE] = ACTIONS(3078),
    [anon_sym_u_SQUOTE] = ACTIONS(3078),
    [anon_sym_U_SQUOTE] = ACTIONS(3078),
    [anon_sym_u8_SQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_L_DQUOTE] = ACTIONS(3078),
    [anon_sym_u_DQUOTE] = ACTIONS(3078),
    [anon_sym_U_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [sym_true] = ACTIONS(3076),
    [sym_false] = ACTIONS(3076),
    [anon_sym_NULL] = ACTIONS(3076),
    [anon_sym_nullptr] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_try] = ACTIONS(3076),
    [anon_sym_delete] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3076),
    [anon_sym_co_return] = ACTIONS(3076),
    [anon_sym_co_yield] = ACTIONS(3076),
    [anon_sym_R_DQUOTE] = ACTIONS(3078),
    [anon_sym_LR_DQUOTE] = ACTIONS(3078),
    [anon_sym_uR_DQUOTE] = ACTIONS(3078),
    [anon_sym_UR_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3078),
    [anon_sym_co_await] = ACTIONS(3076),
    [anon_sym_new] = ACTIONS(3076),
    [anon_sym_requires] = ACTIONS(3076),
    [sym_this] = ACTIONS(3076),
  },
  [1205] = {
    [sym_identifier] = ACTIONS(3036),
    [anon_sym_LPAREN2] = ACTIONS(3038),
    [anon_sym_BANG] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3038),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym___extension__] = ACTIONS(3036),
    [anon_sym_typedef] = ACTIONS(3036),
    [anon_sym_extern] = ACTIONS(3036),
    [anon_sym___attribute__] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3038),
    [anon_sym___declspec] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3036),
    [anon_sym_unsigned] = ACTIONS(3036),
    [anon_sym_long] = ACTIONS(3036),
    [anon_sym_short] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3036),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_register] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym___inline] = ACTIONS(3036),
    [anon_sym___inline__] = ACTIONS(3036),
    [anon_sym___forceinline] = ACTIONS(3036),
    [anon_sym_thread_local] = ACTIONS(3036),
    [anon_sym___thread] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(3036),
    [anon_sym_restrict] = ACTIONS(3036),
    [anon_sym___restrict__] = ACTIONS(3036),
    [anon_sym__Atomic] = ACTIONS(3036),
    [anon_sym__Noreturn] = ACTIONS(3036),
    [anon_sym_noreturn] = ACTIONS(3036),
    [anon_sym_mutable] = ACTIONS(3036),
    [anon_sym_constinit] = ACTIONS(3036),
    [anon_sym_consteval] = ACTIONS(3036),
    [anon_sym_PROGMEM] = ACTIONS(3036),
    [aux_sym_primitive_type_token1] = ACTIONS(3036),
    [anon_sym_byte] = ACTIONS(3036),
    [anon_sym_word] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_struct] = ACTIONS(3036),
    [anon_sym_union] = ACTIONS(3036),
    [anon_sym_if] = ACTIONS(3036),
    [anon_sym_else] = ACTIONS(3036),
    [anon_sym_switch] = ACTIONS(3036),
    [anon_sym_while] = ACTIONS(3036),
    [anon_sym_do] = ACTIONS(3036),
    [anon_sym_for] = ACTIONS(3036),
    [anon_sym_return] = ACTIONS(3036),
    [anon_sym_break] = ACTIONS(3036),
    [anon_sym_continue] = ACTIONS(3036),
    [anon_sym_goto] = ACTIONS(3036),
    [anon_sym___try] = ACTIONS(3036),
    [anon_sym___leave] = ACTIONS(3036),
    [anon_sym_not] = ACTIONS(3036),
    [anon_sym_compl] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_sizeof] = ACTIONS(3036),
    [anon_sym___alignof__] = ACTIONS(3036),
    [anon_sym___alignof] = ACTIONS(3036),
    [anon_sym__alignof] = ACTIONS(3036),
    [anon_sym_alignof] = ACTIONS(3036),
    [anon_sym__Alignof] = ACTIONS(3036),
    [anon_sym_offsetof] = ACTIONS(3036),
    [anon_sym__Generic] = ACTIONS(3036),
    [anon_sym_asm] = ACTIONS(3036),
    [anon_sym___asm__] = ACTIONS(3036),
    [aux_sym_number_literal_token1] = ACTIONS(3038),
    [aux_sym_number_literal_token2] = ACTIONS(3036),
    [anon_sym_L_SQUOTE] = ACTIONS(3038),
    [anon_sym_u_SQUOTE] = ACTIONS(3038),
    [anon_sym_U_SQUOTE] = ACTIONS(3038),
    [anon_sym_u8_SQUOTE] = ACTIONS(3038),
    [anon_sym_SQUOTE] = ACTIONS(3038),
    [anon_sym_L_DQUOTE] = ACTIONS(3038),
    [anon_sym_u_DQUOTE] = ACTIONS(3038),
    [anon_sym_U_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8_DQUOTE] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3038),
    [sym_true] = ACTIONS(3036),
    [sym_false] = ACTIONS(3036),
    [anon_sym_NULL] = ACTIONS(3036),
    [anon_sym_nullptr] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3036),
    [anon_sym_decltype] = ACTIONS(3036),
    [anon_sym_virtual] = ACTIONS(3036),
    [anon_sym_alignas] = ACTIONS(3036),
    [anon_sym_typename] = ACTIONS(3036),
    [anon_sym_template] = ACTIONS(3036),
    [anon_sym_try] = ACTIONS(3036),
    [anon_sym_delete] = ACTIONS(3036),
    [anon_sym_throw] = ACTIONS(3036),
    [anon_sym_co_return] = ACTIONS(3036),
    [anon_sym_co_yield] = ACTIONS(3036),
    [anon_sym_R_DQUOTE] = ACTIONS(3038),
    [anon_sym_LR_DQUOTE] = ACTIONS(3038),
    [anon_sym_uR_DQUOTE] = ACTIONS(3038),
    [anon_sym_UR_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3038),
    [anon_sym_co_await] = ACTIONS(3036),
    [anon_sym_new] = ACTIONS(3036),
    [anon_sym_requires] = ACTIONS(3036),
    [sym_this] = ACTIONS(3036),
  },
  [1206] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [1207] = {
    [sym_identifier] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3078),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3076),
    [anon_sym_else] = ACTIONS(3076),
    [anon_sym_switch] = ACTIONS(3076),
    [anon_sym_while] = ACTIONS(3076),
    [anon_sym_do] = ACTIONS(3076),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_return] = ACTIONS(3076),
    [anon_sym_break] = ACTIONS(3076),
    [anon_sym_continue] = ACTIONS(3076),
    [anon_sym_goto] = ACTIONS(3076),
    [anon_sym___try] = ACTIONS(3076),
    [anon_sym___leave] = ACTIONS(3076),
    [anon_sym_not] = ACTIONS(3076),
    [anon_sym_compl] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_sizeof] = ACTIONS(3076),
    [anon_sym___alignof__] = ACTIONS(3076),
    [anon_sym___alignof] = ACTIONS(3076),
    [anon_sym__alignof] = ACTIONS(3076),
    [anon_sym_alignof] = ACTIONS(3076),
    [anon_sym__Alignof] = ACTIONS(3076),
    [anon_sym_offsetof] = ACTIONS(3076),
    [anon_sym__Generic] = ACTIONS(3076),
    [anon_sym_asm] = ACTIONS(3076),
    [anon_sym___asm__] = ACTIONS(3076),
    [aux_sym_number_literal_token1] = ACTIONS(3078),
    [aux_sym_number_literal_token2] = ACTIONS(3076),
    [anon_sym_L_SQUOTE] = ACTIONS(3078),
    [anon_sym_u_SQUOTE] = ACTIONS(3078),
    [anon_sym_U_SQUOTE] = ACTIONS(3078),
    [anon_sym_u8_SQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_L_DQUOTE] = ACTIONS(3078),
    [anon_sym_u_DQUOTE] = ACTIONS(3078),
    [anon_sym_U_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [sym_true] = ACTIONS(3076),
    [sym_false] = ACTIONS(3076),
    [anon_sym_NULL] = ACTIONS(3076),
    [anon_sym_nullptr] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_try] = ACTIONS(3076),
    [anon_sym_delete] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3076),
    [anon_sym_co_return] = ACTIONS(3076),
    [anon_sym_co_yield] = ACTIONS(3076),
    [anon_sym_R_DQUOTE] = ACTIONS(3078),
    [anon_sym_LR_DQUOTE] = ACTIONS(3078),
    [anon_sym_uR_DQUOTE] = ACTIONS(3078),
    [anon_sym_UR_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3078),
    [anon_sym_co_await] = ACTIONS(3076),
    [anon_sym_new] = ACTIONS(3076),
    [anon_sym_requires] = ACTIONS(3076),
    [sym_this] = ACTIONS(3076),
  },
  [1208] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [1209] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [1210] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [1211] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [1212] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [1213] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [1214] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [1215] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [1216] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_LPAREN2] = ACTIONS(3092),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3090),
    [anon_sym_typedef] = ACTIONS(3090),
    [anon_sym_extern] = ACTIONS(3090),
    [anon_sym___attribute__] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3092),
    [anon_sym___declspec] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3090),
    [anon_sym_unsigned] = ACTIONS(3090),
    [anon_sym_long] = ACTIONS(3090),
    [anon_sym_short] = ACTIONS(3090),
    [anon_sym_LBRACK] = ACTIONS(3090),
    [anon_sym_static] = ACTIONS(3090),
    [anon_sym_register] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym___inline] = ACTIONS(3090),
    [anon_sym___inline__] = ACTIONS(3090),
    [anon_sym___forceinline] = ACTIONS(3090),
    [anon_sym_thread_local] = ACTIONS(3090),
    [anon_sym___thread] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_constexpr] = ACTIONS(3090),
    [anon_sym_volatile] = ACTIONS(3090),
    [anon_sym_restrict] = ACTIONS(3090),
    [anon_sym___restrict__] = ACTIONS(3090),
    [anon_sym__Atomic] = ACTIONS(3090),
    [anon_sym__Noreturn] = ACTIONS(3090),
    [anon_sym_noreturn] = ACTIONS(3090),
    [anon_sym_mutable] = ACTIONS(3090),
    [anon_sym_constinit] = ACTIONS(3090),
    [anon_sym_consteval] = ACTIONS(3090),
    [anon_sym_PROGMEM] = ACTIONS(3090),
    [aux_sym_primitive_type_token1] = ACTIONS(3090),
    [anon_sym_byte] = ACTIONS(3090),
    [anon_sym_word] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_class] = ACTIONS(3090),
    [anon_sym_struct] = ACTIONS(3090),
    [anon_sym_union] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_switch] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_do] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_break] = ACTIONS(3090),
    [anon_sym_continue] = ACTIONS(3090),
    [anon_sym_goto] = ACTIONS(3090),
    [anon_sym___try] = ACTIONS(3090),
    [anon_sym___leave] = ACTIONS(3090),
    [anon_sym_not] = ACTIONS(3090),
    [anon_sym_compl] = ACTIONS(3090),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_sizeof] = ACTIONS(3090),
    [anon_sym___alignof__] = ACTIONS(3090),
    [anon_sym___alignof] = ACTIONS(3090),
    [anon_sym__alignof] = ACTIONS(3090),
    [anon_sym_alignof] = ACTIONS(3090),
    [anon_sym__Alignof] = ACTIONS(3090),
    [anon_sym_offsetof] = ACTIONS(3090),
    [anon_sym__Generic] = ACTIONS(3090),
    [anon_sym_asm] = ACTIONS(3090),
    [anon_sym___asm__] = ACTIONS(3090),
    [aux_sym_number_literal_token1] = ACTIONS(3092),
    [aux_sym_number_literal_token2] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3092),
    [anon_sym_u_SQUOTE] = ACTIONS(3092),
    [anon_sym_U_SQUOTE] = ACTIONS(3092),
    [anon_sym_u8_SQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [anon_sym_L_DQUOTE] = ACTIONS(3092),
    [anon_sym_u_DQUOTE] = ACTIONS(3092),
    [anon_sym_U_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8_DQUOTE] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3092),
    [sym_true] = ACTIONS(3090),
    [sym_false] = ACTIONS(3090),
    [anon_sym_NULL] = ACTIONS(3090),
    [anon_sym_nullptr] = ACTIONS(3090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3090),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_virtual] = ACTIONS(3090),
    [anon_sym_alignas] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(3090),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(3090),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_co_return] = ACTIONS(3090),
    [anon_sym_co_yield] = ACTIONS(3090),
    [anon_sym_R_DQUOTE] = ACTIONS(3092),
    [anon_sym_LR_DQUOTE] = ACTIONS(3092),
    [anon_sym_uR_DQUOTE] = ACTIONS(3092),
    [anon_sym_UR_DQUOTE] = ACTIONS(3092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3092),
    [anon_sym_co_await] = ACTIONS(3090),
    [anon_sym_new] = ACTIONS(3090),
    [anon_sym_requires] = ACTIONS(3090),
    [sym_this] = ACTIONS(3090),
  },
  [1217] = {
    [sym_identifier] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(2893),
    [anon_sym_TILDE] = ACTIONS(2893),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_STAR] = ACTIONS(2893),
    [anon_sym_AMP] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_typedef] = ACTIONS(2888),
    [anon_sym_extern] = ACTIONS(2888),
    [anon_sym___attribute__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(2893),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2893),
    [anon_sym___declspec] = ACTIONS(2888),
    [anon_sym_LBRACE] = ACTIONS(2893),
    [anon_sym_signed] = ACTIONS(2888),
    [anon_sym_unsigned] = ACTIONS(2888),
    [anon_sym_long] = ACTIONS(2888),
    [anon_sym_short] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_register] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2888),
    [anon_sym___inline] = ACTIONS(2888),
    [anon_sym___inline__] = ACTIONS(2888),
    [anon_sym___forceinline] = ACTIONS(2888),
    [anon_sym_thread_local] = ACTIONS(2888),
    [anon_sym___thread] = ACTIONS(2888),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_PROGMEM] = ACTIONS(2888),
    [aux_sym_primitive_type_token1] = ACTIONS(2888),
    [anon_sym_byte] = ACTIONS(2888),
    [anon_sym_word] = ACTIONS(2888),
    [anon_sym_enum] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_struct] = ACTIONS(2888),
    [anon_sym_union] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_else] = ACTIONS(2888),
    [anon_sym_switch] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_break] = ACTIONS(2888),
    [anon_sym_continue] = ACTIONS(2888),
    [anon_sym_goto] = ACTIONS(2888),
    [anon_sym___try] = ACTIONS(2888),
    [anon_sym___leave] = ACTIONS(2888),
    [anon_sym_not] = ACTIONS(2888),
    [anon_sym_compl] = ACTIONS(2888),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_sizeof] = ACTIONS(2888),
    [anon_sym___alignof__] = ACTIONS(2888),
    [anon_sym___alignof] = ACTIONS(2888),
    [anon_sym__alignof] = ACTIONS(2888),
    [anon_sym_alignof] = ACTIONS(2888),
    [anon_sym__Alignof] = ACTIONS(2888),
    [anon_sym_offsetof] = ACTIONS(2888),
    [anon_sym__Generic] = ACTIONS(2888),
    [anon_sym_asm] = ACTIONS(2888),
    [anon_sym___asm__] = ACTIONS(2888),
    [aux_sym_number_literal_token1] = ACTIONS(2893),
    [aux_sym_number_literal_token2] = ACTIONS(2888),
    [anon_sym_L_SQUOTE] = ACTIONS(2893),
    [anon_sym_u_SQUOTE] = ACTIONS(2893),
    [anon_sym_U_SQUOTE] = ACTIONS(2893),
    [anon_sym_u8_SQUOTE] = ACTIONS(2893),
    [anon_sym_SQUOTE] = ACTIONS(2893),
    [anon_sym_L_DQUOTE] = ACTIONS(2893),
    [anon_sym_u_DQUOTE] = ACTIONS(2893),
    [anon_sym_U_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8_DQUOTE] = ACTIONS(2893),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_true] = ACTIONS(2888),
    [sym_false] = ACTIONS(2888),
    [anon_sym_NULL] = ACTIONS(2888),
    [anon_sym_nullptr] = ACTIONS(2888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2888),
    [anon_sym_decltype] = ACTIONS(2888),
    [anon_sym_virtual] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2888),
    [anon_sym_typename] = ACTIONS(2888),
    [anon_sym_template] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_delete] = ACTIONS(2888),
    [anon_sym_throw] = ACTIONS(2888),
    [anon_sym_co_return] = ACTIONS(2888),
    [anon_sym_co_yield] = ACTIONS(2888),
    [anon_sym_R_DQUOTE] = ACTIONS(2893),
    [anon_sym_LR_DQUOTE] = ACTIONS(2893),
    [anon_sym_uR_DQUOTE] = ACTIONS(2893),
    [anon_sym_UR_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2893),
    [anon_sym_co_await] = ACTIONS(2888),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_requires] = ACTIONS(2888),
    [sym_this] = ACTIONS(2888),
  },
  [1218] = {
    [sym_primitive_type] = STATE(7627),
    [sym_expression_statement] = STATE(3029),
    [sym__expression] = STATE(5170),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8769),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_type_requirement] = STATE(1226),
    [sym_compound_requirement] = STATE(1226),
    [sym__requirement] = STATE(1226),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_requirement_seq_repeat1] = STATE(1226),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4236),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4238),
    [anon_sym_RBRACE] = ACTIONS(4240),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(4242),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1219] = {
    [sym_primitive_type] = STATE(7627),
    [sym_expression_statement] = STATE(3029),
    [sym__expression] = STATE(5170),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8769),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_type_requirement] = STATE(1245),
    [sym_compound_requirement] = STATE(1245),
    [sym__requirement] = STATE(1245),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_requirement_seq_repeat1] = STATE(1245),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4236),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4238),
    [anon_sym_RBRACE] = ACTIONS(4244),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(4242),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1220] = {
    [sym_primitive_type] = STATE(7627),
    [sym_expression_statement] = STATE(3029),
    [sym__expression] = STATE(5170),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8769),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_type_requirement] = STATE(1221),
    [sym_compound_requirement] = STATE(1221),
    [sym__requirement] = STATE(1221),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_requirement_seq_repeat1] = STATE(1221),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4236),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4238),
    [anon_sym_RBRACE] = ACTIONS(4246),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(4242),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1221] = {
    [sym_primitive_type] = STATE(7627),
    [sym_expression_statement] = STATE(3029),
    [sym__expression] = STATE(5170),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8769),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_type_requirement] = STATE(1245),
    [sym_compound_requirement] = STATE(1245),
    [sym__requirement] = STATE(1245),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_requirement_seq_repeat1] = STATE(1245),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4236),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4238),
    [anon_sym_RBRACE] = ACTIONS(4248),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(4242),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1222] = {
    [sym_primitive_type] = STATE(7627),
    [sym_expression_statement] = STATE(3029),
    [sym__expression] = STATE(5170),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8769),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_type_requirement] = STATE(1245),
    [sym_compound_requirement] = STATE(1245),
    [sym__requirement] = STATE(1245),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_requirement_seq_repeat1] = STATE(1245),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4236),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4238),
    [anon_sym_RBRACE] = ACTIONS(4250),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(4242),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1223] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5110),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(7794),
    [sym_initializer_pair] = STATE(7794),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_COMMA] = ACTIONS(4254),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(4256),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1224] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5049),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8022),
    [sym_initializer_pair] = STATE(8022),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_COMMA] = ACTIONS(4260),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(4262),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1225] = {
    [sym_primitive_type] = STATE(7627),
    [sym_expression_statement] = STATE(3029),
    [sym__expression] = STATE(5170),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8769),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_type_requirement] = STATE(1243),
    [sym_compound_requirement] = STATE(1243),
    [sym__requirement] = STATE(1243),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_requirement_seq_repeat1] = STATE(1243),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4236),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4238),
    [anon_sym_RBRACE] = ACTIONS(4264),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(4242),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1226] = {
    [sym_primitive_type] = STATE(7627),
    [sym_expression_statement] = STATE(3029),
    [sym__expression] = STATE(5170),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8769),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_type_requirement] = STATE(1245),
    [sym_compound_requirement] = STATE(1245),
    [sym__requirement] = STATE(1245),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_requirement_seq_repeat1] = STATE(1245),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4236),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4238),
    [anon_sym_RBRACE] = ACTIONS(4266),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(4242),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1227] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4971),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(7830),
    [sym_initializer_pair] = STATE(7830),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_COMMA] = ACTIONS(4268),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(4270),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1228] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5028),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8102),
    [sym_initializer_pair] = STATE(8102),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(4272),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1229] = {
    [sym_primitive_type] = STATE(7627),
    [sym_expression_statement] = STATE(3029),
    [sym__expression] = STATE(5170),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8769),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_type_requirement] = STATE(1222),
    [sym_compound_requirement] = STATE(1222),
    [sym__requirement] = STATE(1222),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_requirement_seq_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4236),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4238),
    [anon_sym_RBRACE] = ACTIONS(4274),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(4242),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1230] = {
    [sym_primitive_type] = STATE(7627),
    [sym_expression_statement] = STATE(3029),
    [sym__expression] = STATE(5170),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8769),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_type_requirement] = STATE(1245),
    [sym_compound_requirement] = STATE(1245),
    [sym__requirement] = STATE(1245),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_requirement_seq_repeat1] = STATE(1245),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4236),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4238),
    [anon_sym_RBRACE] = ACTIONS(4276),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(4242),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1231] = {
    [sym_primitive_type] = STATE(7627),
    [sym_expression_statement] = STATE(3029),
    [sym__expression] = STATE(5170),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8769),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_type_requirement] = STATE(1230),
    [sym_compound_requirement] = STATE(1230),
    [sym__requirement] = STATE(1230),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_requirement_seq_repeat1] = STATE(1230),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4236),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4238),
    [anon_sym_RBRACE] = ACTIONS(4278),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(4242),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1232] = {
    [sym_primitive_type] = STATE(7627),
    [sym_expression_statement] = STATE(3029),
    [sym__expression] = STATE(5170),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8769),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_type_requirement] = STATE(1241),
    [sym_compound_requirement] = STATE(1241),
    [sym__requirement] = STATE(1241),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_requirement_seq_repeat1] = STATE(1241),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4236),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4238),
    [anon_sym_RBRACE] = ACTIONS(4280),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(4242),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1233] = {
    [sym_primitive_type] = STATE(7627),
    [sym_expression_statement] = STATE(3029),
    [sym__expression] = STATE(5170),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8769),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_type_requirement] = STATE(1219),
    [sym_compound_requirement] = STATE(1219),
    [sym__requirement] = STATE(1219),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_requirement_seq_repeat1] = STATE(1219),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4236),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4238),
    [anon_sym_RBRACE] = ACTIONS(4282),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(4242),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1234] = {
    [sym_primitive_type] = STATE(7627),
    [sym_expression_statement] = STATE(3029),
    [sym__expression] = STATE(5170),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8769),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_type_requirement] = STATE(1245),
    [sym_compound_requirement] = STATE(1245),
    [sym__requirement] = STATE(1245),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_requirement_seq_repeat1] = STATE(1245),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4236),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4238),
    [anon_sym_RBRACE] = ACTIONS(4284),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(4242),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1235] = {
    [sym_primitive_type] = STATE(7627),
    [sym_expression_statement] = STATE(3029),
    [sym__expression] = STATE(5170),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8769),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_type_requirement] = STATE(1245),
    [sym_compound_requirement] = STATE(1245),
    [sym__requirement] = STATE(1245),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_requirement_seq_repeat1] = STATE(1245),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4236),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4238),
    [anon_sym_RBRACE] = ACTIONS(4286),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(4242),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1236] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5023),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(7795),
    [sym_initializer_pair] = STATE(7795),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_COMMA] = ACTIONS(4288),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(4290),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1237] = {
    [sym_primitive_type] = STATE(7627),
    [sym_expression_statement] = STATE(3029),
    [sym__expression] = STATE(5170),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8769),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_type_requirement] = STATE(1235),
    [sym_compound_requirement] = STATE(1235),
    [sym__requirement] = STATE(1235),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_requirement_seq_repeat1] = STATE(1235),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4236),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4238),
    [anon_sym_RBRACE] = ACTIONS(4292),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(4242),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1238] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5048),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8088),
    [sym_initializer_pair] = STATE(8088),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_COMMA] = ACTIONS(4294),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(4296),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1239] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5061),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8168),
    [sym_initializer_pair] = STATE(8168),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_COMMA] = ACTIONS(4298),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(4300),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1240] = {
    [sym_primitive_type] = STATE(7627),
    [sym_expression_statement] = STATE(3029),
    [sym__expression] = STATE(5170),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8769),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_type_requirement] = STATE(1242),
    [sym_compound_requirement] = STATE(1242),
    [sym__requirement] = STATE(1242),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_requirement_seq_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4236),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4238),
    [anon_sym_RBRACE] = ACTIONS(4302),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(4242),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1241] = {
    [sym_primitive_type] = STATE(7627),
    [sym_expression_statement] = STATE(3029),
    [sym__expression] = STATE(5170),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8769),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_type_requirement] = STATE(1245),
    [sym_compound_requirement] = STATE(1245),
    [sym__requirement] = STATE(1245),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_requirement_seq_repeat1] = STATE(1245),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4236),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4238),
    [anon_sym_RBRACE] = ACTIONS(4304),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(4242),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1242] = {
    [sym_primitive_type] = STATE(7627),
    [sym_expression_statement] = STATE(3029),
    [sym__expression] = STATE(5170),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8769),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_type_requirement] = STATE(1245),
    [sym_compound_requirement] = STATE(1245),
    [sym__requirement] = STATE(1245),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_requirement_seq_repeat1] = STATE(1245),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4236),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4238),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(4242),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1243] = {
    [sym_primitive_type] = STATE(7627),
    [sym_expression_statement] = STATE(3029),
    [sym__expression] = STATE(5170),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8769),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_type_requirement] = STATE(1245),
    [sym_compound_requirement] = STATE(1245),
    [sym__requirement] = STATE(1245),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_requirement_seq_repeat1] = STATE(1245),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4236),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4238),
    [anon_sym_RBRACE] = ACTIONS(4308),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(4242),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1244] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5127),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8347),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8477),
    [sym_initializer_pair] = STATE(8477),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(4310),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1245] = {
    [sym_primitive_type] = STATE(7627),
    [sym_expression_statement] = STATE(3029),
    [sym__expression] = STATE(5170),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8769),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_type_requirement] = STATE(1245),
    [sym_compound_requirement] = STATE(1245),
    [sym__requirement] = STATE(1245),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_requirement_seq_repeat1] = STATE(1245),
    [sym_identifier] = ACTIONS(4312),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [anon_sym_BANG] = ACTIONS(4318),
    [anon_sym_TILDE] = ACTIONS(4318),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_STAR] = ACTIONS(4324),
    [anon_sym_AMP] = ACTIONS(4324),
    [anon_sym_SEMI] = ACTIONS(4327),
    [anon_sym_COLON_COLON] = ACTIONS(4330),
    [anon_sym_LBRACE] = ACTIONS(4333),
    [anon_sym_RBRACE] = ACTIONS(4336),
    [anon_sym_LBRACK] = ACTIONS(4338),
    [aux_sym_primitive_type_token1] = ACTIONS(4341),
    [anon_sym_byte] = ACTIONS(4341),
    [anon_sym_word] = ACTIONS(4341),
    [anon_sym_not] = ACTIONS(4321),
    [anon_sym_compl] = ACTIONS(4321),
    [anon_sym_DASH_DASH] = ACTIONS(4344),
    [anon_sym_PLUS_PLUS] = ACTIONS(4344),
    [anon_sym_sizeof] = ACTIONS(4347),
    [anon_sym___alignof__] = ACTIONS(4350),
    [anon_sym___alignof] = ACTIONS(4350),
    [anon_sym__alignof] = ACTIONS(4350),
    [anon_sym_alignof] = ACTIONS(4350),
    [anon_sym__Alignof] = ACTIONS(4350),
    [anon_sym_offsetof] = ACTIONS(4353),
    [anon_sym__Generic] = ACTIONS(4356),
    [anon_sym_asm] = ACTIONS(4359),
    [anon_sym___asm__] = ACTIONS(4359),
    [aux_sym_number_literal_token1] = ACTIONS(4362),
    [aux_sym_number_literal_token2] = ACTIONS(4365),
    [anon_sym_L_SQUOTE] = ACTIONS(4368),
    [anon_sym_u_SQUOTE] = ACTIONS(4368),
    [anon_sym_U_SQUOTE] = ACTIONS(4368),
    [anon_sym_u8_SQUOTE] = ACTIONS(4368),
    [anon_sym_SQUOTE] = ACTIONS(4368),
    [anon_sym_L_DQUOTE] = ACTIONS(4371),
    [anon_sym_u_DQUOTE] = ACTIONS(4371),
    [anon_sym_U_DQUOTE] = ACTIONS(4371),
    [anon_sym_u8_DQUOTE] = ACTIONS(4371),
    [anon_sym_DQUOTE] = ACTIONS(4371),
    [sym_true] = ACTIONS(4374),
    [sym_false] = ACTIONS(4374),
    [anon_sym_NULL] = ACTIONS(4377),
    [anon_sym_nullptr] = ACTIONS(4377),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4380),
    [anon_sym_typename] = ACTIONS(4383),
    [anon_sym_template] = ACTIONS(4386),
    [anon_sym_delete] = ACTIONS(4389),
    [anon_sym_R_DQUOTE] = ACTIONS(4392),
    [anon_sym_LR_DQUOTE] = ACTIONS(4392),
    [anon_sym_uR_DQUOTE] = ACTIONS(4392),
    [anon_sym_UR_DQUOTE] = ACTIONS(4392),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4392),
    [anon_sym_co_await] = ACTIONS(4395),
    [anon_sym_new] = ACTIONS(4398),
    [anon_sym_requires] = ACTIONS(4401),
    [sym_this] = ACTIONS(4374),
  },
  [1246] = {
    [sym_primitive_type] = STATE(7627),
    [sym_expression_statement] = STATE(3029),
    [sym__expression] = STATE(5170),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8769),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_type_requirement] = STATE(1234),
    [sym_compound_requirement] = STATE(1234),
    [sym__requirement] = STATE(1234),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_requirement_seq_repeat1] = STATE(1234),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4236),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4238),
    [anon_sym_RBRACE] = ACTIONS(4404),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(4242),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1247] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4974),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8115),
    [sym_initializer_pair] = STATE(8115),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_COMMA] = ACTIONS(4406),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(4408),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1248] = {
    [sym_primitive_type] = STATE(7627),
    [sym_expression_statement] = STATE(3029),
    [sym__expression] = STATE(5170),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8769),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_type_requirement] = STATE(1245),
    [sym_compound_requirement] = STATE(1245),
    [sym__requirement] = STATE(1245),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_requirement_seq_repeat1] = STATE(1245),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4236),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4238),
    [anon_sym_RBRACE] = ACTIONS(4410),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(4242),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1249] = {
    [sym_primitive_type] = STATE(7627),
    [sym_expression_statement] = STATE(3029),
    [sym__expression] = STATE(5170),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8769),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_type_requirement] = STATE(1248),
    [sym_compound_requirement] = STATE(1248),
    [sym__requirement] = STATE(1248),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_requirement_seq_repeat1] = STATE(1248),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4236),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4238),
    [anon_sym_RBRACE] = ACTIONS(4412),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_typename] = ACTIONS(4242),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1250] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5169),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8477),
    [sym_initializer_pair] = STATE(8477),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(4414),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1251] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5169),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8477),
    [sym_initializer_pair] = STATE(8477),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(4416),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1252] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5169),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8477),
    [sym_initializer_pair] = STATE(8477),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(4418),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1253] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5169),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8477),
    [sym_initializer_pair] = STATE(8477),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(4420),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1254] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5169),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8477),
    [sym_initializer_pair] = STATE(8477),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(4422),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1255] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5169),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8477),
    [sym_initializer_pair] = STATE(8477),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(4424),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1256] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5169),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8477),
    [sym_initializer_pair] = STATE(8477),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(4426),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1257] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5169),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8477),
    [sym_initializer_pair] = STATE(8477),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(4428),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1258] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5169),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8477),
    [sym_initializer_pair] = STATE(8477),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(4430),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1259] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5169),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8477),
    [sym_initializer_pair] = STATE(8477),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(4432),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1260] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5169),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8477),
    [sym_initializer_pair] = STATE(8477),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(4434),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1261] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5169),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8477),
    [sym_initializer_pair] = STATE(8477),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(4436),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1262] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5169),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8477),
    [sym_initializer_pair] = STATE(8477),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(4438),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1263] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5169),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8477),
    [sym_initializer_pair] = STATE(8477),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(4440),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1264] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5169),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8477),
    [sym_initializer_pair] = STATE(8477),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(4310),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1265] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5169),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8477),
    [sym_initializer_pair] = STATE(8477),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(4442),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1266] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5169),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8477),
    [sym_initializer_pair] = STATE(8477),
    [sym_subscript_designator] = STATE(7295),
    [sym_subscript_range_designator] = STATE(7295),
    [sym_field_designator] = STATE(7295),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [aux_sym_initializer_pair_repeat1] = STATE(7295),
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1267] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(2047),
    [sym_raw_string_literal] = STATE(2984),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3810),
    [sym_identifier] = ACTIONS(4444),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_TILDE] = ACTIONS(4452),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4459),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4456),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(4462),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4459),
    [anon_sym___extension__] = ACTIONS(4444),
    [anon_sym_extern] = ACTIONS(4444),
    [anon_sym___attribute__] = ACTIONS(4444),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4467),
    [anon_sym___declspec] = ACTIONS(4444),
    [anon_sym___based] = ACTIONS(4444),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_RBRACE] = ACTIONS(4446),
    [anon_sym_signed] = ACTIONS(4472),
    [anon_sym_unsigned] = ACTIONS(4472),
    [anon_sym_long] = ACTIONS(4472),
    [anon_sym_short] = ACTIONS(4472),
    [anon_sym_LBRACK] = ACTIONS(4474),
    [anon_sym_EQ] = ACTIONS(4478),
    [anon_sym_static] = ACTIONS(4444),
    [anon_sym_register] = ACTIONS(4444),
    [anon_sym_inline] = ACTIONS(4444),
    [anon_sym___inline] = ACTIONS(4444),
    [anon_sym___inline__] = ACTIONS(4444),
    [anon_sym___forceinline] = ACTIONS(4444),
    [anon_sym_thread_local] = ACTIONS(4444),
    [anon_sym___thread] = ACTIONS(4444),
    [anon_sym_const] = ACTIONS(4444),
    [anon_sym_constexpr] = ACTIONS(4444),
    [anon_sym_volatile] = ACTIONS(4444),
    [anon_sym_restrict] = ACTIONS(4444),
    [anon_sym___restrict__] = ACTIONS(4444),
    [anon_sym__Atomic] = ACTIONS(4444),
    [anon_sym__Noreturn] = ACTIONS(4444),
    [anon_sym_noreturn] = ACTIONS(4444),
    [anon_sym_mutable] = ACTIONS(4444),
    [anon_sym_constinit] = ACTIONS(4444),
    [anon_sym_consteval] = ACTIONS(4444),
    [anon_sym_PROGMEM] = ACTIONS(4444),
    [anon_sym_COLON] = ACTIONS(4480),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4482),
    [anon_sym_SLASH_EQ] = ACTIONS(4482),
    [anon_sym_PERCENT_EQ] = ACTIONS(4482),
    [anon_sym_PLUS_EQ] = ACTIONS(4482),
    [anon_sym_DASH_EQ] = ACTIONS(4482),
    [anon_sym_LT_LT_EQ] = ACTIONS(4482),
    [anon_sym_GT_GT_EQ] = ACTIONS(4482),
    [anon_sym_AMP_EQ] = ACTIONS(4482),
    [anon_sym_CARET_EQ] = ACTIONS(4482),
    [anon_sym_PIPE_EQ] = ACTIONS(4482),
    [anon_sym_and_eq] = ACTIONS(4478),
    [anon_sym_or_eq] = ACTIONS(4478),
    [anon_sym_xor_eq] = ACTIONS(4478),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4454),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4454),
    [anon_sym_not_eq] = ACTIONS(4454),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4444),
    [anon_sym_decltype] = ACTIONS(4444),
    [anon_sym_virtual] = ACTIONS(4444),
    [anon_sym_alignas] = ACTIONS(4444),
    [anon_sym_template] = ACTIONS(4444),
    [anon_sym_operator] = ACTIONS(4444),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [1268] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(2052),
    [sym_raw_string_literal] = STATE(2984),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3810),
    [sym_identifier] = ACTIONS(4444),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_RPAREN] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4459),
    [anon_sym_TILDE] = ACTIONS(4452),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4459),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4456),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(4462),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4446),
    [anon_sym___extension__] = ACTIONS(4444),
    [anon_sym_extern] = ACTIONS(4444),
    [anon_sym___attribute__] = ACTIONS(4444),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4452),
    [anon_sym___declspec] = ACTIONS(4444),
    [anon_sym___based] = ACTIONS(4444),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_signed] = ACTIONS(4472),
    [anon_sym_unsigned] = ACTIONS(4472),
    [anon_sym_long] = ACTIONS(4472),
    [anon_sym_short] = ACTIONS(4472),
    [anon_sym_LBRACK] = ACTIONS(4456),
    [anon_sym_EQ] = ACTIONS(4478),
    [anon_sym_static] = ACTIONS(4444),
    [anon_sym_register] = ACTIONS(4444),
    [anon_sym_inline] = ACTIONS(4444),
    [anon_sym___inline] = ACTIONS(4444),
    [anon_sym___inline__] = ACTIONS(4444),
    [anon_sym___forceinline] = ACTIONS(4444),
    [anon_sym_thread_local] = ACTIONS(4444),
    [anon_sym___thread] = ACTIONS(4444),
    [anon_sym_const] = ACTIONS(4444),
    [anon_sym_constexpr] = ACTIONS(4444),
    [anon_sym_volatile] = ACTIONS(4444),
    [anon_sym_restrict] = ACTIONS(4444),
    [anon_sym___restrict__] = ACTIONS(4444),
    [anon_sym__Atomic] = ACTIONS(4444),
    [anon_sym__Noreturn] = ACTIONS(4444),
    [anon_sym_noreturn] = ACTIONS(4444),
    [anon_sym_mutable] = ACTIONS(4444),
    [anon_sym_constinit] = ACTIONS(4444),
    [anon_sym_consteval] = ACTIONS(4444),
    [anon_sym_PROGMEM] = ACTIONS(4444),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4482),
    [anon_sym_SLASH_EQ] = ACTIONS(4482),
    [anon_sym_PERCENT_EQ] = ACTIONS(4482),
    [anon_sym_PLUS_EQ] = ACTIONS(4482),
    [anon_sym_DASH_EQ] = ACTIONS(4482),
    [anon_sym_LT_LT_EQ] = ACTIONS(4482),
    [anon_sym_GT_GT_EQ] = ACTIONS(4482),
    [anon_sym_AMP_EQ] = ACTIONS(4482),
    [anon_sym_CARET_EQ] = ACTIONS(4482),
    [anon_sym_PIPE_EQ] = ACTIONS(4482),
    [anon_sym_and_eq] = ACTIONS(4478),
    [anon_sym_or_eq] = ACTIONS(4478),
    [anon_sym_xor_eq] = ACTIONS(4478),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4454),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4454),
    [anon_sym_not_eq] = ACTIONS(4454),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4444),
    [anon_sym_decltype] = ACTIONS(4444),
    [anon_sym_virtual] = ACTIONS(4444),
    [anon_sym_alignas] = ACTIONS(4444),
    [anon_sym_template] = ACTIONS(4444),
    [anon_sym_operator] = ACTIONS(4444),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [1269] = {
    [sym_compound_statement] = STATE(7813),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5117),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(7813),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_RPAREN] = ACTIONS(4484),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4486),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1270] = {
    [sym_compound_statement] = STATE(8004),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5027),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8004),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_RPAREN] = ACTIONS(4488),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4490),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1271] = {
    [sym_compound_statement] = STATE(8122),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4975),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8122),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_RPAREN] = ACTIONS(4492),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4494),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1272] = {
    [sym_compound_statement] = STATE(7808),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5062),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(7808),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_RPAREN] = ACTIONS(4496),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4498),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1273] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(2052),
    [sym_raw_string_literal] = STATE(2984),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3810),
    [sym_identifier] = ACTIONS(4444),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4459),
    [anon_sym_TILDE] = ACTIONS(4452),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4459),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4456),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(4462),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4446),
    [anon_sym___extension__] = ACTIONS(4444),
    [anon_sym_extern] = ACTIONS(4444),
    [anon_sym___attribute__] = ACTIONS(4444),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4452),
    [anon_sym___declspec] = ACTIONS(4444),
    [anon_sym___based] = ACTIONS(4444),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_signed] = ACTIONS(4472),
    [anon_sym_unsigned] = ACTIONS(4472),
    [anon_sym_long] = ACTIONS(4472),
    [anon_sym_short] = ACTIONS(4472),
    [anon_sym_LBRACK] = ACTIONS(4456),
    [anon_sym_EQ] = ACTIONS(4478),
    [anon_sym_static] = ACTIONS(4444),
    [anon_sym_register] = ACTIONS(4444),
    [anon_sym_inline] = ACTIONS(4444),
    [anon_sym___inline] = ACTIONS(4444),
    [anon_sym___inline__] = ACTIONS(4444),
    [anon_sym___forceinline] = ACTIONS(4444),
    [anon_sym_thread_local] = ACTIONS(4444),
    [anon_sym___thread] = ACTIONS(4444),
    [anon_sym_const] = ACTIONS(4444),
    [anon_sym_constexpr] = ACTIONS(4444),
    [anon_sym_volatile] = ACTIONS(4444),
    [anon_sym_restrict] = ACTIONS(4444),
    [anon_sym___restrict__] = ACTIONS(4444),
    [anon_sym__Atomic] = ACTIONS(4444),
    [anon_sym__Noreturn] = ACTIONS(4444),
    [anon_sym_noreturn] = ACTIONS(4444),
    [anon_sym_mutable] = ACTIONS(4444),
    [anon_sym_constinit] = ACTIONS(4444),
    [anon_sym_consteval] = ACTIONS(4444),
    [anon_sym_PROGMEM] = ACTIONS(4444),
    [anon_sym_COLON] = ACTIONS(4500),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4482),
    [anon_sym_SLASH_EQ] = ACTIONS(4482),
    [anon_sym_PERCENT_EQ] = ACTIONS(4482),
    [anon_sym_PLUS_EQ] = ACTIONS(4482),
    [anon_sym_DASH_EQ] = ACTIONS(4482),
    [anon_sym_LT_LT_EQ] = ACTIONS(4482),
    [anon_sym_GT_GT_EQ] = ACTIONS(4482),
    [anon_sym_AMP_EQ] = ACTIONS(4482),
    [anon_sym_CARET_EQ] = ACTIONS(4482),
    [anon_sym_PIPE_EQ] = ACTIONS(4482),
    [anon_sym_and_eq] = ACTIONS(4478),
    [anon_sym_or_eq] = ACTIONS(4478),
    [anon_sym_xor_eq] = ACTIONS(4478),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4454),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4454),
    [anon_sym_not_eq] = ACTIONS(4454),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4444),
    [anon_sym_decltype] = ACTIONS(4444),
    [anon_sym_virtual] = ACTIONS(4444),
    [anon_sym_alignas] = ACTIONS(4444),
    [anon_sym_template] = ACTIONS(4444),
    [anon_sym_operator] = ACTIONS(4444),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [1274] = {
    [sym_compound_statement] = STATE(7919),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5088),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(7919),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_RPAREN] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4504),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1275] = {
    [sym_string_literal] = STATE(2787),
    [sym_template_argument_list] = STATE(1987),
    [sym_raw_string_literal] = STATE(2787),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3810),
    [sym_identifier] = ACTIONS(4444),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4459),
    [anon_sym_COMMA] = ACTIONS(4459),
    [anon_sym_RPAREN] = ACTIONS(4459),
    [anon_sym_LPAREN2] = ACTIONS(4459),
    [anon_sym_TILDE] = ACTIONS(4452),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4459),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4456),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(4506),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym___extension__] = ACTIONS(4444),
    [anon_sym_extern] = ACTIONS(4444),
    [anon_sym___attribute__] = ACTIONS(4444),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4452),
    [anon_sym___declspec] = ACTIONS(4444),
    [anon_sym___based] = ACTIONS(4444),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_signed] = ACTIONS(4472),
    [anon_sym_unsigned] = ACTIONS(4472),
    [anon_sym_long] = ACTIONS(4472),
    [anon_sym_short] = ACTIONS(4472),
    [anon_sym_LBRACK] = ACTIONS(4456),
    [anon_sym_EQ] = ACTIONS(4456),
    [anon_sym_static] = ACTIONS(4444),
    [anon_sym_register] = ACTIONS(4444),
    [anon_sym_inline] = ACTIONS(4444),
    [anon_sym___inline] = ACTIONS(4444),
    [anon_sym___inline__] = ACTIONS(4444),
    [anon_sym___forceinline] = ACTIONS(4444),
    [anon_sym_thread_local] = ACTIONS(4444),
    [anon_sym___thread] = ACTIONS(4444),
    [anon_sym_const] = ACTIONS(4444),
    [anon_sym_constexpr] = ACTIONS(4444),
    [anon_sym_volatile] = ACTIONS(4444),
    [anon_sym_restrict] = ACTIONS(4444),
    [anon_sym___restrict__] = ACTIONS(4444),
    [anon_sym__Atomic] = ACTIONS(4444),
    [anon_sym__Noreturn] = ACTIONS(4444),
    [anon_sym_noreturn] = ACTIONS(4444),
    [anon_sym_mutable] = ACTIONS(4444),
    [anon_sym_constinit] = ACTIONS(4444),
    [anon_sym_consteval] = ACTIONS(4444),
    [anon_sym_PROGMEM] = ACTIONS(4444),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4446),
    [anon_sym_SLASH_EQ] = ACTIONS(4446),
    [anon_sym_PERCENT_EQ] = ACTIONS(4446),
    [anon_sym_PLUS_EQ] = ACTIONS(4446),
    [anon_sym_DASH_EQ] = ACTIONS(4446),
    [anon_sym_LT_LT_EQ] = ACTIONS(4446),
    [anon_sym_GT_GT_EQ] = ACTIONS(4446),
    [anon_sym_AMP_EQ] = ACTIONS(4446),
    [anon_sym_CARET_EQ] = ACTIONS(4446),
    [anon_sym_PIPE_EQ] = ACTIONS(4446),
    [anon_sym_and_eq] = ACTIONS(4509),
    [anon_sym_or_eq] = ACTIONS(4509),
    [anon_sym_xor_eq] = ACTIONS(4509),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4454),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4454),
    [anon_sym_not_eq] = ACTIONS(4454),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4454),
    [anon_sym_L_DQUOTE] = ACTIONS(4511),
    [anon_sym_u_DQUOTE] = ACTIONS(4511),
    [anon_sym_U_DQUOTE] = ACTIONS(4511),
    [anon_sym_u8_DQUOTE] = ACTIONS(4511),
    [anon_sym_DQUOTE] = ACTIONS(4511),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4444),
    [anon_sym_decltype] = ACTIONS(4444),
    [anon_sym_virtual] = ACTIONS(4444),
    [anon_sym_alignas] = ACTIONS(4444),
    [anon_sym_template] = ACTIONS(4444),
    [anon_sym_operator] = ACTIONS(4444),
    [anon_sym_R_DQUOTE] = ACTIONS(4513),
    [anon_sym_LR_DQUOTE] = ACTIONS(4513),
    [anon_sym_uR_DQUOTE] = ACTIONS(4513),
    [anon_sym_UR_DQUOTE] = ACTIONS(4513),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4513),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4446),
  },
  [1276] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(2052),
    [sym_raw_string_literal] = STATE(2984),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3810),
    [sym_identifier] = ACTIONS(4444),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4459),
    [anon_sym_TILDE] = ACTIONS(4452),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4459),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4456),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(4462),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4446),
    [anon_sym___extension__] = ACTIONS(4444),
    [anon_sym_extern] = ACTIONS(4444),
    [anon_sym___attribute__] = ACTIONS(4444),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4452),
    [anon_sym___declspec] = ACTIONS(4444),
    [anon_sym___based] = ACTIONS(4444),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_signed] = ACTIONS(4472),
    [anon_sym_unsigned] = ACTIONS(4472),
    [anon_sym_long] = ACTIONS(4472),
    [anon_sym_short] = ACTIONS(4472),
    [anon_sym_LBRACK] = ACTIONS(4456),
    [anon_sym_EQ] = ACTIONS(4478),
    [anon_sym_static] = ACTIONS(4444),
    [anon_sym_register] = ACTIONS(4444),
    [anon_sym_inline] = ACTIONS(4444),
    [anon_sym___inline] = ACTIONS(4444),
    [anon_sym___inline__] = ACTIONS(4444),
    [anon_sym___forceinline] = ACTIONS(4444),
    [anon_sym_thread_local] = ACTIONS(4444),
    [anon_sym___thread] = ACTIONS(4444),
    [anon_sym_const] = ACTIONS(4444),
    [anon_sym_constexpr] = ACTIONS(4444),
    [anon_sym_volatile] = ACTIONS(4444),
    [anon_sym_restrict] = ACTIONS(4444),
    [anon_sym___restrict__] = ACTIONS(4444),
    [anon_sym__Atomic] = ACTIONS(4444),
    [anon_sym__Noreturn] = ACTIONS(4444),
    [anon_sym_noreturn] = ACTIONS(4444),
    [anon_sym_mutable] = ACTIONS(4444),
    [anon_sym_constinit] = ACTIONS(4444),
    [anon_sym_consteval] = ACTIONS(4444),
    [anon_sym_PROGMEM] = ACTIONS(4444),
    [anon_sym_COLON] = ACTIONS(4515),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4482),
    [anon_sym_SLASH_EQ] = ACTIONS(4482),
    [anon_sym_PERCENT_EQ] = ACTIONS(4482),
    [anon_sym_PLUS_EQ] = ACTIONS(4482),
    [anon_sym_DASH_EQ] = ACTIONS(4482),
    [anon_sym_LT_LT_EQ] = ACTIONS(4482),
    [anon_sym_GT_GT_EQ] = ACTIONS(4482),
    [anon_sym_AMP_EQ] = ACTIONS(4482),
    [anon_sym_CARET_EQ] = ACTIONS(4482),
    [anon_sym_PIPE_EQ] = ACTIONS(4482),
    [anon_sym_and_eq] = ACTIONS(4478),
    [anon_sym_or_eq] = ACTIONS(4478),
    [anon_sym_xor_eq] = ACTIONS(4478),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4454),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4454),
    [anon_sym_not_eq] = ACTIONS(4454),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4444),
    [anon_sym_decltype] = ACTIONS(4444),
    [anon_sym_virtual] = ACTIONS(4444),
    [anon_sym_alignas] = ACTIONS(4444),
    [anon_sym_template] = ACTIONS(4444),
    [anon_sym_operator] = ACTIONS(4444),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [1277] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(2047),
    [sym_raw_string_literal] = STATE(2984),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3810),
    [sym_identifier] = ACTIONS(4444),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_TILDE] = ACTIONS(4452),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4459),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4456),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(4462),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4459),
    [anon_sym___extension__] = ACTIONS(4444),
    [anon_sym_extern] = ACTIONS(4444),
    [anon_sym___attribute__] = ACTIONS(4444),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4467),
    [anon_sym___declspec] = ACTIONS(4444),
    [anon_sym___based] = ACTIONS(4444),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_signed] = ACTIONS(4472),
    [anon_sym_unsigned] = ACTIONS(4472),
    [anon_sym_long] = ACTIONS(4472),
    [anon_sym_short] = ACTIONS(4472),
    [anon_sym_LBRACK] = ACTIONS(4474),
    [anon_sym_EQ] = ACTIONS(4478),
    [anon_sym_static] = ACTIONS(4444),
    [anon_sym_register] = ACTIONS(4444),
    [anon_sym_inline] = ACTIONS(4444),
    [anon_sym___inline] = ACTIONS(4444),
    [anon_sym___inline__] = ACTIONS(4444),
    [anon_sym___forceinline] = ACTIONS(4444),
    [anon_sym_thread_local] = ACTIONS(4444),
    [anon_sym___thread] = ACTIONS(4444),
    [anon_sym_const] = ACTIONS(4444),
    [anon_sym_constexpr] = ACTIONS(4444),
    [anon_sym_volatile] = ACTIONS(4444),
    [anon_sym_restrict] = ACTIONS(4444),
    [anon_sym___restrict__] = ACTIONS(4444),
    [anon_sym__Atomic] = ACTIONS(4444),
    [anon_sym__Noreturn] = ACTIONS(4444),
    [anon_sym_noreturn] = ACTIONS(4444),
    [anon_sym_mutable] = ACTIONS(4444),
    [anon_sym_constinit] = ACTIONS(4444),
    [anon_sym_consteval] = ACTIONS(4444),
    [anon_sym_PROGMEM] = ACTIONS(4444),
    [anon_sym_COLON] = ACTIONS(4517),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4482),
    [anon_sym_SLASH_EQ] = ACTIONS(4482),
    [anon_sym_PERCENT_EQ] = ACTIONS(4482),
    [anon_sym_PLUS_EQ] = ACTIONS(4482),
    [anon_sym_DASH_EQ] = ACTIONS(4482),
    [anon_sym_LT_LT_EQ] = ACTIONS(4482),
    [anon_sym_GT_GT_EQ] = ACTIONS(4482),
    [anon_sym_AMP_EQ] = ACTIONS(4482),
    [anon_sym_CARET_EQ] = ACTIONS(4482),
    [anon_sym_PIPE_EQ] = ACTIONS(4482),
    [anon_sym_and_eq] = ACTIONS(4478),
    [anon_sym_or_eq] = ACTIONS(4478),
    [anon_sym_xor_eq] = ACTIONS(4478),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4454),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4454),
    [anon_sym_not_eq] = ACTIONS(4454),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4444),
    [anon_sym_decltype] = ACTIONS(4444),
    [anon_sym_virtual] = ACTIONS(4444),
    [anon_sym_alignas] = ACTIONS(4444),
    [anon_sym_template] = ACTIONS(4444),
    [anon_sym_operator] = ACTIONS(4444),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [1278] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(2052),
    [sym_raw_string_literal] = STATE(2984),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3810),
    [sym_identifier] = ACTIONS(4444),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4459),
    [anon_sym_TILDE] = ACTIONS(4452),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4459),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4456),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(4462),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4446),
    [anon_sym___extension__] = ACTIONS(4444),
    [anon_sym_extern] = ACTIONS(4444),
    [anon_sym___attribute__] = ACTIONS(4444),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4452),
    [anon_sym___declspec] = ACTIONS(4444),
    [anon_sym___based] = ACTIONS(4444),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_signed] = ACTIONS(4472),
    [anon_sym_unsigned] = ACTIONS(4472),
    [anon_sym_long] = ACTIONS(4472),
    [anon_sym_short] = ACTIONS(4472),
    [anon_sym_LBRACK] = ACTIONS(4456),
    [anon_sym_EQ] = ACTIONS(4478),
    [anon_sym_static] = ACTIONS(4444),
    [anon_sym_register] = ACTIONS(4444),
    [anon_sym_inline] = ACTIONS(4444),
    [anon_sym___inline] = ACTIONS(4444),
    [anon_sym___inline__] = ACTIONS(4444),
    [anon_sym___forceinline] = ACTIONS(4444),
    [anon_sym_thread_local] = ACTIONS(4444),
    [anon_sym___thread] = ACTIONS(4444),
    [anon_sym_const] = ACTIONS(4444),
    [anon_sym_constexpr] = ACTIONS(4444),
    [anon_sym_volatile] = ACTIONS(4444),
    [anon_sym_restrict] = ACTIONS(4444),
    [anon_sym___restrict__] = ACTIONS(4444),
    [anon_sym__Atomic] = ACTIONS(4444),
    [anon_sym__Noreturn] = ACTIONS(4444),
    [anon_sym_noreturn] = ACTIONS(4444),
    [anon_sym_mutable] = ACTIONS(4444),
    [anon_sym_constinit] = ACTIONS(4444),
    [anon_sym_consteval] = ACTIONS(4444),
    [anon_sym_PROGMEM] = ACTIONS(4444),
    [anon_sym_COLON] = ACTIONS(4519),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4482),
    [anon_sym_SLASH_EQ] = ACTIONS(4482),
    [anon_sym_PERCENT_EQ] = ACTIONS(4482),
    [anon_sym_PLUS_EQ] = ACTIONS(4482),
    [anon_sym_DASH_EQ] = ACTIONS(4482),
    [anon_sym_LT_LT_EQ] = ACTIONS(4482),
    [anon_sym_GT_GT_EQ] = ACTIONS(4482),
    [anon_sym_AMP_EQ] = ACTIONS(4482),
    [anon_sym_CARET_EQ] = ACTIONS(4482),
    [anon_sym_PIPE_EQ] = ACTIONS(4482),
    [anon_sym_and_eq] = ACTIONS(4478),
    [anon_sym_or_eq] = ACTIONS(4478),
    [anon_sym_xor_eq] = ACTIONS(4478),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4454),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4454),
    [anon_sym_not_eq] = ACTIONS(4454),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4444),
    [anon_sym_decltype] = ACTIONS(4444),
    [anon_sym_virtual] = ACTIONS(4444),
    [anon_sym_alignas] = ACTIONS(4444),
    [anon_sym_template] = ACTIONS(4444),
    [anon_sym_operator] = ACTIONS(4444),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [1279] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(2047),
    [sym_raw_string_literal] = STATE(2984),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3810),
    [sym_identifier] = ACTIONS(4444),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_TILDE] = ACTIONS(4452),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4459),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4456),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(4462),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4459),
    [anon_sym___extension__] = ACTIONS(4444),
    [anon_sym_extern] = ACTIONS(4444),
    [anon_sym___attribute__] = ACTIONS(4444),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4467),
    [anon_sym___declspec] = ACTIONS(4444),
    [anon_sym___based] = ACTIONS(4444),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_signed] = ACTIONS(4472),
    [anon_sym_unsigned] = ACTIONS(4472),
    [anon_sym_long] = ACTIONS(4472),
    [anon_sym_short] = ACTIONS(4472),
    [anon_sym_LBRACK] = ACTIONS(4474),
    [anon_sym_EQ] = ACTIONS(4478),
    [anon_sym_static] = ACTIONS(4444),
    [anon_sym_register] = ACTIONS(4444),
    [anon_sym_inline] = ACTIONS(4444),
    [anon_sym___inline] = ACTIONS(4444),
    [anon_sym___inline__] = ACTIONS(4444),
    [anon_sym___forceinline] = ACTIONS(4444),
    [anon_sym_thread_local] = ACTIONS(4444),
    [anon_sym___thread] = ACTIONS(4444),
    [anon_sym_const] = ACTIONS(4444),
    [anon_sym_constexpr] = ACTIONS(4444),
    [anon_sym_volatile] = ACTIONS(4444),
    [anon_sym_restrict] = ACTIONS(4444),
    [anon_sym___restrict__] = ACTIONS(4444),
    [anon_sym__Atomic] = ACTIONS(4444),
    [anon_sym__Noreturn] = ACTIONS(4444),
    [anon_sym_noreturn] = ACTIONS(4444),
    [anon_sym_mutable] = ACTIONS(4444),
    [anon_sym_constinit] = ACTIONS(4444),
    [anon_sym_consteval] = ACTIONS(4444),
    [anon_sym_PROGMEM] = ACTIONS(4444),
    [anon_sym_COLON] = ACTIONS(4521),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4482),
    [anon_sym_SLASH_EQ] = ACTIONS(4482),
    [anon_sym_PERCENT_EQ] = ACTIONS(4482),
    [anon_sym_PLUS_EQ] = ACTIONS(4482),
    [anon_sym_DASH_EQ] = ACTIONS(4482),
    [anon_sym_LT_LT_EQ] = ACTIONS(4482),
    [anon_sym_GT_GT_EQ] = ACTIONS(4482),
    [anon_sym_AMP_EQ] = ACTIONS(4482),
    [anon_sym_CARET_EQ] = ACTIONS(4482),
    [anon_sym_PIPE_EQ] = ACTIONS(4482),
    [anon_sym_and_eq] = ACTIONS(4478),
    [anon_sym_or_eq] = ACTIONS(4478),
    [anon_sym_xor_eq] = ACTIONS(4478),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4454),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4454),
    [anon_sym_not_eq] = ACTIONS(4454),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4444),
    [anon_sym_decltype] = ACTIONS(4444),
    [anon_sym_virtual] = ACTIONS(4444),
    [anon_sym_alignas] = ACTIONS(4444),
    [anon_sym_template] = ACTIONS(4444),
    [anon_sym_operator] = ACTIONS(4444),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [1280] = {
    [sym_compound_statement] = STATE(8140),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4964),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8140),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_RPAREN] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4525),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1281] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(2052),
    [sym_raw_string_literal] = STATE(2984),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3810),
    [sym_identifier] = ACTIONS(4444),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4459),
    [anon_sym_TILDE] = ACTIONS(4452),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4459),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4456),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(4462),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4446),
    [anon_sym___extension__] = ACTIONS(4444),
    [anon_sym_extern] = ACTIONS(4444),
    [anon_sym___attribute__] = ACTIONS(4444),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4452),
    [anon_sym___declspec] = ACTIONS(4444),
    [anon_sym___based] = ACTIONS(4444),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_signed] = ACTIONS(4472),
    [anon_sym_unsigned] = ACTIONS(4472),
    [anon_sym_long] = ACTIONS(4472),
    [anon_sym_short] = ACTIONS(4472),
    [anon_sym_LBRACK] = ACTIONS(4456),
    [anon_sym_EQ] = ACTIONS(4478),
    [anon_sym_static] = ACTIONS(4444),
    [anon_sym_register] = ACTIONS(4444),
    [anon_sym_inline] = ACTIONS(4444),
    [anon_sym___inline] = ACTIONS(4444),
    [anon_sym___inline__] = ACTIONS(4444),
    [anon_sym___forceinline] = ACTIONS(4444),
    [anon_sym_thread_local] = ACTIONS(4444),
    [anon_sym___thread] = ACTIONS(4444),
    [anon_sym_const] = ACTIONS(4444),
    [anon_sym_constexpr] = ACTIONS(4444),
    [anon_sym_volatile] = ACTIONS(4444),
    [anon_sym_restrict] = ACTIONS(4444),
    [anon_sym___restrict__] = ACTIONS(4444),
    [anon_sym__Atomic] = ACTIONS(4444),
    [anon_sym__Noreturn] = ACTIONS(4444),
    [anon_sym_noreturn] = ACTIONS(4444),
    [anon_sym_mutable] = ACTIONS(4444),
    [anon_sym_constinit] = ACTIONS(4444),
    [anon_sym_consteval] = ACTIONS(4444),
    [anon_sym_PROGMEM] = ACTIONS(4444),
    [anon_sym_COLON] = ACTIONS(4517),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4482),
    [anon_sym_SLASH_EQ] = ACTIONS(4482),
    [anon_sym_PERCENT_EQ] = ACTIONS(4482),
    [anon_sym_PLUS_EQ] = ACTIONS(4482),
    [anon_sym_DASH_EQ] = ACTIONS(4482),
    [anon_sym_LT_LT_EQ] = ACTIONS(4482),
    [anon_sym_GT_GT_EQ] = ACTIONS(4482),
    [anon_sym_AMP_EQ] = ACTIONS(4482),
    [anon_sym_CARET_EQ] = ACTIONS(4482),
    [anon_sym_PIPE_EQ] = ACTIONS(4482),
    [anon_sym_and_eq] = ACTIONS(4478),
    [anon_sym_or_eq] = ACTIONS(4478),
    [anon_sym_xor_eq] = ACTIONS(4478),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4454),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4454),
    [anon_sym_not_eq] = ACTIONS(4454),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4444),
    [anon_sym_decltype] = ACTIONS(4444),
    [anon_sym_virtual] = ACTIONS(4444),
    [anon_sym_alignas] = ACTIONS(4444),
    [anon_sym_template] = ACTIONS(4444),
    [anon_sym_operator] = ACTIONS(4444),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [1282] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(2052),
    [sym_raw_string_literal] = STATE(2984),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3810),
    [sym_identifier] = ACTIONS(4444),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4459),
    [anon_sym_TILDE] = ACTIONS(4452),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4459),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4456),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(4462),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4446),
    [anon_sym___extension__] = ACTIONS(4444),
    [anon_sym_extern] = ACTIONS(4444),
    [anon_sym___attribute__] = ACTIONS(4444),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4452),
    [anon_sym___declspec] = ACTIONS(4444),
    [anon_sym___based] = ACTIONS(4444),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_signed] = ACTIONS(4472),
    [anon_sym_unsigned] = ACTIONS(4472),
    [anon_sym_long] = ACTIONS(4472),
    [anon_sym_short] = ACTIONS(4472),
    [anon_sym_LBRACK] = ACTIONS(4456),
    [anon_sym_EQ] = ACTIONS(4478),
    [anon_sym_static] = ACTIONS(4444),
    [anon_sym_register] = ACTIONS(4444),
    [anon_sym_inline] = ACTIONS(4444),
    [anon_sym___inline] = ACTIONS(4444),
    [anon_sym___inline__] = ACTIONS(4444),
    [anon_sym___forceinline] = ACTIONS(4444),
    [anon_sym_thread_local] = ACTIONS(4444),
    [anon_sym___thread] = ACTIONS(4444),
    [anon_sym_const] = ACTIONS(4444),
    [anon_sym_constexpr] = ACTIONS(4444),
    [anon_sym_volatile] = ACTIONS(4444),
    [anon_sym_restrict] = ACTIONS(4444),
    [anon_sym___restrict__] = ACTIONS(4444),
    [anon_sym__Atomic] = ACTIONS(4444),
    [anon_sym__Noreturn] = ACTIONS(4444),
    [anon_sym_noreturn] = ACTIONS(4444),
    [anon_sym_mutable] = ACTIONS(4444),
    [anon_sym_constinit] = ACTIONS(4444),
    [anon_sym_consteval] = ACTIONS(4444),
    [anon_sym_PROGMEM] = ACTIONS(4444),
    [anon_sym_COLON] = ACTIONS(4521),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4482),
    [anon_sym_SLASH_EQ] = ACTIONS(4482),
    [anon_sym_PERCENT_EQ] = ACTIONS(4482),
    [anon_sym_PLUS_EQ] = ACTIONS(4482),
    [anon_sym_DASH_EQ] = ACTIONS(4482),
    [anon_sym_LT_LT_EQ] = ACTIONS(4482),
    [anon_sym_GT_GT_EQ] = ACTIONS(4482),
    [anon_sym_AMP_EQ] = ACTIONS(4482),
    [anon_sym_CARET_EQ] = ACTIONS(4482),
    [anon_sym_PIPE_EQ] = ACTIONS(4482),
    [anon_sym_and_eq] = ACTIONS(4478),
    [anon_sym_or_eq] = ACTIONS(4478),
    [anon_sym_xor_eq] = ACTIONS(4478),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4454),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4454),
    [anon_sym_not_eq] = ACTIONS(4454),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4444),
    [anon_sym_decltype] = ACTIONS(4444),
    [anon_sym_virtual] = ACTIONS(4444),
    [anon_sym_alignas] = ACTIONS(4444),
    [anon_sym_template] = ACTIONS(4444),
    [anon_sym_operator] = ACTIONS(4444),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [1283] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(2052),
    [sym_raw_string_literal] = STATE(2984),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3810),
    [sym_identifier] = ACTIONS(4444),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4459),
    [anon_sym_TILDE] = ACTIONS(4452),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4459),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4456),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(4462),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4446),
    [anon_sym___extension__] = ACTIONS(4444),
    [anon_sym_extern] = ACTIONS(4444),
    [anon_sym___attribute__] = ACTIONS(4444),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4452),
    [anon_sym___declspec] = ACTIONS(4444),
    [anon_sym___based] = ACTIONS(4444),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_signed] = ACTIONS(4472),
    [anon_sym_unsigned] = ACTIONS(4472),
    [anon_sym_long] = ACTIONS(4472),
    [anon_sym_short] = ACTIONS(4472),
    [anon_sym_LBRACK] = ACTIONS(4456),
    [anon_sym_EQ] = ACTIONS(4478),
    [anon_sym_static] = ACTIONS(4444),
    [anon_sym_register] = ACTIONS(4444),
    [anon_sym_inline] = ACTIONS(4444),
    [anon_sym___inline] = ACTIONS(4444),
    [anon_sym___inline__] = ACTIONS(4444),
    [anon_sym___forceinline] = ACTIONS(4444),
    [anon_sym_thread_local] = ACTIONS(4444),
    [anon_sym___thread] = ACTIONS(4444),
    [anon_sym_const] = ACTIONS(4444),
    [anon_sym_constexpr] = ACTIONS(4444),
    [anon_sym_volatile] = ACTIONS(4444),
    [anon_sym_restrict] = ACTIONS(4444),
    [anon_sym___restrict__] = ACTIONS(4444),
    [anon_sym__Atomic] = ACTIONS(4444),
    [anon_sym__Noreturn] = ACTIONS(4444),
    [anon_sym_noreturn] = ACTIONS(4444),
    [anon_sym_mutable] = ACTIONS(4444),
    [anon_sym_constinit] = ACTIONS(4444),
    [anon_sym_consteval] = ACTIONS(4444),
    [anon_sym_PROGMEM] = ACTIONS(4444),
    [anon_sym_COLON] = ACTIONS(4527),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4482),
    [anon_sym_SLASH_EQ] = ACTIONS(4482),
    [anon_sym_PERCENT_EQ] = ACTIONS(4482),
    [anon_sym_PLUS_EQ] = ACTIONS(4482),
    [anon_sym_DASH_EQ] = ACTIONS(4482),
    [anon_sym_LT_LT_EQ] = ACTIONS(4482),
    [anon_sym_GT_GT_EQ] = ACTIONS(4482),
    [anon_sym_AMP_EQ] = ACTIONS(4482),
    [anon_sym_CARET_EQ] = ACTIONS(4482),
    [anon_sym_PIPE_EQ] = ACTIONS(4482),
    [anon_sym_and_eq] = ACTIONS(4478),
    [anon_sym_or_eq] = ACTIONS(4478),
    [anon_sym_xor_eq] = ACTIONS(4478),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4454),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4454),
    [anon_sym_not_eq] = ACTIONS(4454),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4444),
    [anon_sym_decltype] = ACTIONS(4444),
    [anon_sym_virtual] = ACTIONS(4444),
    [anon_sym_alignas] = ACTIONS(4444),
    [anon_sym_template] = ACTIONS(4444),
    [anon_sym_operator] = ACTIONS(4444),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [1284] = {
    [sym_compound_statement] = STATE(7807),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5137),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(7807),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_RPAREN] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4531),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1285] = {
    [sym_compound_statement] = STATE(7810),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5121),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(7810),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_RPAREN] = ACTIONS(4533),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1286] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(2047),
    [sym_raw_string_literal] = STATE(2984),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3810),
    [sym_identifier] = ACTIONS(4444),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_TILDE] = ACTIONS(4452),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4459),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4456),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(4462),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4459),
    [anon_sym___extension__] = ACTIONS(4444),
    [anon_sym_extern] = ACTIONS(4444),
    [anon_sym___attribute__] = ACTIONS(4444),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4467),
    [anon_sym___declspec] = ACTIONS(4444),
    [anon_sym___based] = ACTIONS(4444),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_signed] = ACTIONS(4472),
    [anon_sym_unsigned] = ACTIONS(4472),
    [anon_sym_long] = ACTIONS(4472),
    [anon_sym_short] = ACTIONS(4472),
    [anon_sym_LBRACK] = ACTIONS(4474),
    [anon_sym_EQ] = ACTIONS(4478),
    [anon_sym_static] = ACTIONS(4444),
    [anon_sym_register] = ACTIONS(4444),
    [anon_sym_inline] = ACTIONS(4444),
    [anon_sym___inline] = ACTIONS(4444),
    [anon_sym___inline__] = ACTIONS(4444),
    [anon_sym___forceinline] = ACTIONS(4444),
    [anon_sym_thread_local] = ACTIONS(4444),
    [anon_sym___thread] = ACTIONS(4444),
    [anon_sym_const] = ACTIONS(4444),
    [anon_sym_constexpr] = ACTIONS(4444),
    [anon_sym_volatile] = ACTIONS(4444),
    [anon_sym_restrict] = ACTIONS(4444),
    [anon_sym___restrict__] = ACTIONS(4444),
    [anon_sym__Atomic] = ACTIONS(4444),
    [anon_sym__Noreturn] = ACTIONS(4444),
    [anon_sym_noreturn] = ACTIONS(4444),
    [anon_sym_mutable] = ACTIONS(4444),
    [anon_sym_constinit] = ACTIONS(4444),
    [anon_sym_consteval] = ACTIONS(4444),
    [anon_sym_PROGMEM] = ACTIONS(4444),
    [anon_sym_COLON] = ACTIONS(4527),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4482),
    [anon_sym_SLASH_EQ] = ACTIONS(4482),
    [anon_sym_PERCENT_EQ] = ACTIONS(4482),
    [anon_sym_PLUS_EQ] = ACTIONS(4482),
    [anon_sym_DASH_EQ] = ACTIONS(4482),
    [anon_sym_LT_LT_EQ] = ACTIONS(4482),
    [anon_sym_GT_GT_EQ] = ACTIONS(4482),
    [anon_sym_AMP_EQ] = ACTIONS(4482),
    [anon_sym_CARET_EQ] = ACTIONS(4482),
    [anon_sym_PIPE_EQ] = ACTIONS(4482),
    [anon_sym_and_eq] = ACTIONS(4478),
    [anon_sym_or_eq] = ACTIONS(4478),
    [anon_sym_xor_eq] = ACTIONS(4478),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4454),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4454),
    [anon_sym_not_eq] = ACTIONS(4454),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4444),
    [anon_sym_decltype] = ACTIONS(4444),
    [anon_sym_virtual] = ACTIONS(4444),
    [anon_sym_alignas] = ACTIONS(4444),
    [anon_sym_template] = ACTIONS(4444),
    [anon_sym_operator] = ACTIONS(4444),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [1287] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(2047),
    [sym_raw_string_literal] = STATE(2984),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3810),
    [sym_identifier] = ACTIONS(4444),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_TILDE] = ACTIONS(4452),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4459),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4456),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(4462),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4459),
    [anon_sym___extension__] = ACTIONS(4444),
    [anon_sym_extern] = ACTIONS(4444),
    [anon_sym___attribute__] = ACTIONS(4444),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4467),
    [anon_sym___declspec] = ACTIONS(4444),
    [anon_sym___based] = ACTIONS(4444),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_signed] = ACTIONS(4472),
    [anon_sym_unsigned] = ACTIONS(4472),
    [anon_sym_long] = ACTIONS(4472),
    [anon_sym_short] = ACTIONS(4472),
    [anon_sym_LBRACK] = ACTIONS(4474),
    [anon_sym_EQ] = ACTIONS(4478),
    [anon_sym_static] = ACTIONS(4444),
    [anon_sym_register] = ACTIONS(4444),
    [anon_sym_inline] = ACTIONS(4444),
    [anon_sym___inline] = ACTIONS(4444),
    [anon_sym___inline__] = ACTIONS(4444),
    [anon_sym___forceinline] = ACTIONS(4444),
    [anon_sym_thread_local] = ACTIONS(4444),
    [anon_sym___thread] = ACTIONS(4444),
    [anon_sym_const] = ACTIONS(4444),
    [anon_sym_constexpr] = ACTIONS(4444),
    [anon_sym_volatile] = ACTIONS(4444),
    [anon_sym_restrict] = ACTIONS(4444),
    [anon_sym___restrict__] = ACTIONS(4444),
    [anon_sym__Atomic] = ACTIONS(4444),
    [anon_sym__Noreturn] = ACTIONS(4444),
    [anon_sym_noreturn] = ACTIONS(4444),
    [anon_sym_mutable] = ACTIONS(4444),
    [anon_sym_constinit] = ACTIONS(4444),
    [anon_sym_consteval] = ACTIONS(4444),
    [anon_sym_PROGMEM] = ACTIONS(4444),
    [anon_sym_COLON] = ACTIONS(4519),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4482),
    [anon_sym_SLASH_EQ] = ACTIONS(4482),
    [anon_sym_PERCENT_EQ] = ACTIONS(4482),
    [anon_sym_PLUS_EQ] = ACTIONS(4482),
    [anon_sym_DASH_EQ] = ACTIONS(4482),
    [anon_sym_LT_LT_EQ] = ACTIONS(4482),
    [anon_sym_GT_GT_EQ] = ACTIONS(4482),
    [anon_sym_AMP_EQ] = ACTIONS(4482),
    [anon_sym_CARET_EQ] = ACTIONS(4482),
    [anon_sym_PIPE_EQ] = ACTIONS(4482),
    [anon_sym_and_eq] = ACTIONS(4478),
    [anon_sym_or_eq] = ACTIONS(4478),
    [anon_sym_xor_eq] = ACTIONS(4478),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4454),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4454),
    [anon_sym_not_eq] = ACTIONS(4454),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4444),
    [anon_sym_decltype] = ACTIONS(4444),
    [anon_sym_virtual] = ACTIONS(4444),
    [anon_sym_alignas] = ACTIONS(4444),
    [anon_sym_template] = ACTIONS(4444),
    [anon_sym_operator] = ACTIONS(4444),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [1288] = {
    [sym_compound_statement] = STATE(8099),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5083),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8099),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_RPAREN] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4539),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1289] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(3768),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym__unary_left_fold] = STATE(8958),
    [sym__unary_right_fold] = STATE(9069),
    [sym__binary_fold] = STATE(9066),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1290] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(3788),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym__unary_left_fold] = STATE(9128),
    [sym__unary_right_fold] = STATE(9127),
    [sym__binary_fold] = STATE(9126),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1291] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9196),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(9196),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4541),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1292] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(3843),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym__unary_left_fold] = STATE(9187),
    [sym__unary_right_fold] = STATE(9186),
    [sym__binary_fold] = STATE(9185),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1293] = {
    [sym_compound_statement] = STATE(8446),
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5210),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8446),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(4543),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1294] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(3883),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym__unary_left_fold] = STATE(9139),
    [sym__unary_right_fold] = STATE(9138),
    [sym__binary_fold] = STATE(9136),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1295] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5157),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8777),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8777),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4545),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1296] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5254),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9111),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(9111),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4547),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1297] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(3785),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym__unary_left_fold] = STATE(9475),
    [sym__unary_right_fold] = STATE(9471),
    [sym__binary_fold] = STATE(9470),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1298] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(3889),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym__unary_left_fold] = STATE(9181),
    [sym__unary_right_fold] = STATE(9182),
    [sym__binary_fold] = STATE(9183),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1299] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(2054),
    [sym_raw_string_literal] = STATE(2984),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3810),
    [sym_identifier] = ACTIONS(4444),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4459),
    [anon_sym_COMMA] = ACTIONS(4459),
    [anon_sym_RPAREN] = ACTIONS(4459),
    [anon_sym_LPAREN2] = ACTIONS(4459),
    [anon_sym_TILDE] = ACTIONS(4452),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4459),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4456),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(4462),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym___extension__] = ACTIONS(4444),
    [anon_sym_extern] = ACTIONS(4444),
    [anon_sym___attribute__] = ACTIONS(4444),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4452),
    [anon_sym___declspec] = ACTIONS(4444),
    [anon_sym___based] = ACTIONS(4444),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_signed] = ACTIONS(4472),
    [anon_sym_unsigned] = ACTIONS(4472),
    [anon_sym_long] = ACTIONS(4472),
    [anon_sym_short] = ACTIONS(4472),
    [anon_sym_LBRACK] = ACTIONS(4456),
    [anon_sym_EQ] = ACTIONS(4444),
    [anon_sym_static] = ACTIONS(4444),
    [anon_sym_register] = ACTIONS(4444),
    [anon_sym_inline] = ACTIONS(4444),
    [anon_sym___inline] = ACTIONS(4444),
    [anon_sym___inline__] = ACTIONS(4444),
    [anon_sym___forceinline] = ACTIONS(4444),
    [anon_sym_thread_local] = ACTIONS(4444),
    [anon_sym___thread] = ACTIONS(4444),
    [anon_sym_const] = ACTIONS(4444),
    [anon_sym_constexpr] = ACTIONS(4444),
    [anon_sym_volatile] = ACTIONS(4444),
    [anon_sym_restrict] = ACTIONS(4444),
    [anon_sym___restrict__] = ACTIONS(4444),
    [anon_sym__Atomic] = ACTIONS(4444),
    [anon_sym__Noreturn] = ACTIONS(4444),
    [anon_sym_noreturn] = ACTIONS(4444),
    [anon_sym_mutable] = ACTIONS(4444),
    [anon_sym_constinit] = ACTIONS(4444),
    [anon_sym_consteval] = ACTIONS(4444),
    [anon_sym_PROGMEM] = ACTIONS(4444),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4482),
    [anon_sym_SLASH_EQ] = ACTIONS(4482),
    [anon_sym_PERCENT_EQ] = ACTIONS(4482),
    [anon_sym_PLUS_EQ] = ACTIONS(4482),
    [anon_sym_DASH_EQ] = ACTIONS(4482),
    [anon_sym_LT_LT_EQ] = ACTIONS(4482),
    [anon_sym_GT_GT_EQ] = ACTIONS(4482),
    [anon_sym_AMP_EQ] = ACTIONS(4482),
    [anon_sym_CARET_EQ] = ACTIONS(4482),
    [anon_sym_PIPE_EQ] = ACTIONS(4482),
    [anon_sym_and_eq] = ACTIONS(4478),
    [anon_sym_or_eq] = ACTIONS(4478),
    [anon_sym_xor_eq] = ACTIONS(4478),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4454),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4454),
    [anon_sym_not_eq] = ACTIONS(4454),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4444),
    [anon_sym_decltype] = ACTIONS(4444),
    [anon_sym_virtual] = ACTIONS(4444),
    [anon_sym_alignas] = ACTIONS(4444),
    [anon_sym_template] = ACTIONS(4444),
    [anon_sym_operator] = ACTIONS(4444),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [1300] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(3852),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym__unary_left_fold] = STATE(8725),
    [sym__unary_right_fold] = STATE(8720),
    [sym__binary_fold] = STATE(8717),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1301] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8995),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8995),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4549),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1302] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(3767),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym__unary_left_fold] = STATE(9466),
    [sym__unary_right_fold] = STATE(9467),
    [sym__binary_fold] = STATE(9468),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1303] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(3844),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym__unary_left_fold] = STATE(9305),
    [sym__unary_right_fold] = STATE(9304),
    [sym__binary_fold] = STATE(9290),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1304] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(2047),
    [sym_raw_string_literal] = STATE(2984),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3810),
    [sym_identifier] = ACTIONS(4444),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_TILDE] = ACTIONS(4452),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4459),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4456),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(4462),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4459),
    [anon_sym___extension__] = ACTIONS(4444),
    [anon_sym_extern] = ACTIONS(4444),
    [anon_sym___attribute__] = ACTIONS(4444),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4467),
    [anon_sym___declspec] = ACTIONS(4444),
    [anon_sym___based] = ACTIONS(4444),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_signed] = ACTIONS(4472),
    [anon_sym_unsigned] = ACTIONS(4472),
    [anon_sym_long] = ACTIONS(4472),
    [anon_sym_short] = ACTIONS(4472),
    [anon_sym_LBRACK] = ACTIONS(4474),
    [anon_sym_EQ] = ACTIONS(4478),
    [anon_sym_static] = ACTIONS(4444),
    [anon_sym_register] = ACTIONS(4444),
    [anon_sym_inline] = ACTIONS(4444),
    [anon_sym___inline] = ACTIONS(4444),
    [anon_sym___inline__] = ACTIONS(4444),
    [anon_sym___forceinline] = ACTIONS(4444),
    [anon_sym_thread_local] = ACTIONS(4444),
    [anon_sym___thread] = ACTIONS(4444),
    [anon_sym_const] = ACTIONS(4444),
    [anon_sym_constexpr] = ACTIONS(4444),
    [anon_sym_volatile] = ACTIONS(4444),
    [anon_sym_restrict] = ACTIONS(4444),
    [anon_sym___restrict__] = ACTIONS(4444),
    [anon_sym__Atomic] = ACTIONS(4444),
    [anon_sym__Noreturn] = ACTIONS(4444),
    [anon_sym_noreturn] = ACTIONS(4444),
    [anon_sym_mutable] = ACTIONS(4444),
    [anon_sym_constinit] = ACTIONS(4444),
    [anon_sym_consteval] = ACTIONS(4444),
    [anon_sym_PROGMEM] = ACTIONS(4444),
    [anon_sym_COLON] = ACTIONS(4500),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4482),
    [anon_sym_SLASH_EQ] = ACTIONS(4482),
    [anon_sym_PERCENT_EQ] = ACTIONS(4482),
    [anon_sym_PLUS_EQ] = ACTIONS(4482),
    [anon_sym_DASH_EQ] = ACTIONS(4482),
    [anon_sym_LT_LT_EQ] = ACTIONS(4482),
    [anon_sym_GT_GT_EQ] = ACTIONS(4482),
    [anon_sym_AMP_EQ] = ACTIONS(4482),
    [anon_sym_CARET_EQ] = ACTIONS(4482),
    [anon_sym_PIPE_EQ] = ACTIONS(4482),
    [anon_sym_and_eq] = ACTIONS(4478),
    [anon_sym_or_eq] = ACTIONS(4478),
    [anon_sym_xor_eq] = ACTIONS(4478),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4454),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4454),
    [anon_sym_not_eq] = ACTIONS(4454),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4444),
    [anon_sym_decltype] = ACTIONS(4444),
    [anon_sym_virtual] = ACTIONS(4444),
    [anon_sym_alignas] = ACTIONS(4444),
    [anon_sym_template] = ACTIONS(4444),
    [anon_sym_operator] = ACTIONS(4444),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [1305] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(3770),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym__unary_left_fold] = STATE(8754),
    [sym__unary_right_fold] = STATE(8755),
    [sym__binary_fold] = STATE(8756),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1306] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5183),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8743),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8743),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4551),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1307] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(3794),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym__unary_left_fold] = STATE(8978),
    [sym__unary_right_fold] = STATE(8979),
    [sym__binary_fold] = STATE(8980),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1308] = {
    [sym__declaration_modifiers] = STATE(2241),
    [sym__declaration_specifiers] = STATE(4767),
    [sym_attribute_specifier] = STATE(2241),
    [sym_attribute_declaration] = STATE(2241),
    [sym_ms_declspec_modifier] = STATE(2241),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7261),
    [sym__abstract_declarator] = STATE(7416),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_abstract_parenthesized_declarator] = STATE(6793),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_abstract_pointer_declarator] = STATE(6793),
    [sym_function_declarator] = STATE(6932),
    [sym_abstract_function_declarator] = STATE(6793),
    [sym_array_declarator] = STATE(6932),
    [sym_abstract_array_declarator] = STATE(6793),
    [sym_storage_class_specifier] = STATE(2241),
    [sym_type_qualifier] = STATE(2241),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_list] = STATE(4289),
    [sym_parameter_declaration] = STATE(8054),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2241),
    [sym_alignas_specifier] = STATE(2241),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(8054),
    [sym_variadic_parameter_declaration] = STATE(8054),
    [sym_reference_declarator] = STATE(6932),
    [sym_abstract_reference_declarator] = STATE(6793),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym__function_declarator_seq] = STATE(6778),
    [sym_template_type] = STATE(3455),
    [sym_template_function] = STATE(6932),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6384),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_operator_name] = STATE(6932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2241),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(4553),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2067),
    [anon_sym_RPAREN] = ACTIONS(4555),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP_AMP] = ACTIONS(4561),
    [anon_sym_AMP] = ACTIONS(4563),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4565),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(4567),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2023),
    [anon_sym_struct] = ACTIONS(2025),
    [anon_sym_union] = ACTIONS(2027),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2053),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(2135),
  },
  [1309] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5246),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8698),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8698),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4569),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1310] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4573),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1311] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4960),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_initializer_list] = STATE(8045),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4577),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1312] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5409),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8783),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4579),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1313] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5409),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8783),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4582),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1314] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5409),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8783),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4585),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1315] = {
    [sym_primitive_type] = STATE(7583),
    [sym__expression] = STATE(3310),
    [sym__expression_not_binary] = STATE(3727),
    [sym__string] = STATE(3727),
    [sym_conditional_expression] = STATE(3727),
    [sym_assignment_expression] = STATE(3727),
    [sym_pointer_expression] = STATE(3727),
    [sym_unary_expression] = STATE(3727),
    [sym_binary_expression] = STATE(3727),
    [sym_update_expression] = STATE(3727),
    [sym_cast_expression] = STATE(3727),
    [sym_sizeof_expression] = STATE(3727),
    [sym_alignof_expression] = STATE(3727),
    [sym_offsetof_expression] = STATE(3727),
    [sym_generic_expression] = STATE(3727),
    [sym_subscript_expression] = STATE(3727),
    [sym_call_expression] = STATE(3727),
    [sym_gnu_asm_expression] = STATE(3727),
    [sym_field_expression] = STATE(3727),
    [sym_compound_literal_expression] = STATE(3727),
    [sym_parenthesized_expression] = STATE(3727),
    [sym_number_literal] = STATE(3478),
    [sym_char_literal] = STATE(3478),
    [sym_concatenated_string] = STATE(3481),
    [sym_string_literal] = STATE(2496),
    [sym_null] = STATE(3727),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3727),
    [sym_raw_string_literal] = STATE(2431),
    [sym_co_await_expression] = STATE(3727),
    [sym_new_expression] = STATE(3727),
    [sym_delete_expression] = STATE(3727),
    [sym_requires_clause] = STATE(3727),
    [sym_requires_expression] = STATE(3727),
    [sym_lambda_expression] = STATE(3727),
    [sym_lambda_capture_specifier] = STATE(6580),
    [sym_fold_expression] = STATE(3727),
    [sym_parameter_pack_expansion] = STATE(3727),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3727),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(3727),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2219),
    [anon_sym_compl] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2227),
    [anon_sym___alignof__] = ACTIONS(2229),
    [anon_sym___alignof] = ACTIONS(2229),
    [anon_sym__alignof] = ACTIONS(2229),
    [anon_sym_alignof] = ACTIONS(2229),
    [anon_sym__Alignof] = ACTIONS(2229),
    [anon_sym_offsetof] = ACTIONS(2231),
    [anon_sym__Generic] = ACTIONS(2233),
    [anon_sym_asm] = ACTIONS(2235),
    [anon_sym___asm__] = ACTIONS(2235),
    [aux_sym_number_literal_token1] = ACTIONS(2237),
    [aux_sym_number_literal_token2] = ACTIONS(2239),
    [anon_sym_L_SQUOTE] = ACTIONS(2241),
    [anon_sym_u_SQUOTE] = ACTIONS(2241),
    [anon_sym_U_SQUOTE] = ACTIONS(2241),
    [anon_sym_u8_SQUOTE] = ACTIONS(2241),
    [anon_sym_SQUOTE] = ACTIONS(2241),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_true] = ACTIONS(2245),
    [sym_false] = ACTIONS(2245),
    [anon_sym_NULL] = ACTIONS(2247),
    [anon_sym_nullptr] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [anon_sym_co_await] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2255),
    [anon_sym_requires] = ACTIONS(2257),
    [sym_this] = ACTIONS(2245),
  },
  [1316] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5409),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8783),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4596),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1317] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5409),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8783),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4599),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1318] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5409),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8783),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4602),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1319] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5409),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8783),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4605),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1320] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5409),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8783),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4608),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1321] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5409),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8783),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4611),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1322] = {
    [sym_primitive_type] = STATE(7583),
    [sym__expression] = STATE(3312),
    [sym__expression_not_binary] = STATE(3727),
    [sym__string] = STATE(3727),
    [sym_conditional_expression] = STATE(3727),
    [sym_assignment_expression] = STATE(3727),
    [sym_pointer_expression] = STATE(3727),
    [sym_unary_expression] = STATE(3727),
    [sym_binary_expression] = STATE(3727),
    [sym_update_expression] = STATE(3727),
    [sym_cast_expression] = STATE(3727),
    [sym_sizeof_expression] = STATE(3727),
    [sym_alignof_expression] = STATE(3727),
    [sym_offsetof_expression] = STATE(3727),
    [sym_generic_expression] = STATE(3727),
    [sym_subscript_expression] = STATE(3727),
    [sym_call_expression] = STATE(3727),
    [sym_gnu_asm_expression] = STATE(3727),
    [sym_field_expression] = STATE(3727),
    [sym_compound_literal_expression] = STATE(3727),
    [sym_parenthesized_expression] = STATE(3727),
    [sym_number_literal] = STATE(3478),
    [sym_char_literal] = STATE(3478),
    [sym_concatenated_string] = STATE(3481),
    [sym_string_literal] = STATE(2496),
    [sym_null] = STATE(3727),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3727),
    [sym_raw_string_literal] = STATE(2431),
    [sym_co_await_expression] = STATE(3727),
    [sym_new_expression] = STATE(3727),
    [sym_delete_expression] = STATE(3727),
    [sym_requires_clause] = STATE(3727),
    [sym_requires_expression] = STATE(3727),
    [sym_lambda_expression] = STATE(3727),
    [sym_lambda_capture_specifier] = STATE(6580),
    [sym_fold_expression] = STATE(3727),
    [sym_parameter_pack_expansion] = STATE(3727),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3727),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(3727),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2219),
    [anon_sym_compl] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2227),
    [anon_sym___alignof__] = ACTIONS(2229),
    [anon_sym___alignof] = ACTIONS(2229),
    [anon_sym__alignof] = ACTIONS(2229),
    [anon_sym_alignof] = ACTIONS(2229),
    [anon_sym__Alignof] = ACTIONS(2229),
    [anon_sym_offsetof] = ACTIONS(2231),
    [anon_sym__Generic] = ACTIONS(2233),
    [anon_sym_asm] = ACTIONS(2235),
    [anon_sym___asm__] = ACTIONS(2235),
    [aux_sym_number_literal_token1] = ACTIONS(2237),
    [aux_sym_number_literal_token2] = ACTIONS(2239),
    [anon_sym_L_SQUOTE] = ACTIONS(2241),
    [anon_sym_u_SQUOTE] = ACTIONS(2241),
    [anon_sym_U_SQUOTE] = ACTIONS(2241),
    [anon_sym_u8_SQUOTE] = ACTIONS(2241),
    [anon_sym_SQUOTE] = ACTIONS(2241),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_true] = ACTIONS(2245),
    [sym_false] = ACTIONS(2245),
    [anon_sym_NULL] = ACTIONS(2247),
    [anon_sym_nullptr] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [anon_sym_co_await] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2255),
    [anon_sym_requires] = ACTIONS(2257),
    [sym_this] = ACTIONS(2245),
  },
  [1323] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4754),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3354),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3354),
    [sym_call_expression] = STATE(3354),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3354),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3354),
    [sym_number_literal] = STATE(4808),
    [sym_char_literal] = STATE(4808),
    [sym_concatenated_string] = STATE(4862),
    [sym_string_literal] = STATE(3451),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3452),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3354),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3354),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_DASH] = ACTIONS(3555),
    [anon_sym_PLUS] = ACTIONS(3555),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(3559),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3555),
    [anon_sym_compl] = ACTIONS(3555),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3565),
    [aux_sym_number_literal_token2] = ACTIONS(3567),
    [anon_sym_L_SQUOTE] = ACTIONS(3569),
    [anon_sym_u_SQUOTE] = ACTIONS(3569),
    [anon_sym_U_SQUOTE] = ACTIONS(3569),
    [anon_sym_u8_SQUOTE] = ACTIONS(3569),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3573),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
    [anon_sym_co_await] = ACTIONS(3577),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_requires] = ACTIONS(3581),
    [sym_this] = ACTIONS(219),
  },
  [1324] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4777),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3354),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3354),
    [sym_call_expression] = STATE(3354),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3354),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3354),
    [sym_number_literal] = STATE(4808),
    [sym_char_literal] = STATE(4808),
    [sym_concatenated_string] = STATE(4862),
    [sym_string_literal] = STATE(3451),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3452),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3354),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3354),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_DASH] = ACTIONS(3555),
    [anon_sym_PLUS] = ACTIONS(3555),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(3559),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3555),
    [anon_sym_compl] = ACTIONS(3555),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3565),
    [aux_sym_number_literal_token2] = ACTIONS(3567),
    [anon_sym_L_SQUOTE] = ACTIONS(3569),
    [anon_sym_u_SQUOTE] = ACTIONS(3569),
    [anon_sym_U_SQUOTE] = ACTIONS(3569),
    [anon_sym_u8_SQUOTE] = ACTIONS(3569),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3573),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
    [anon_sym_co_await] = ACTIONS(3577),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_requires] = ACTIONS(3581),
    [sym_this] = ACTIONS(219),
  },
  [1325] = {
    [sym_primitive_type] = STATE(7581),
    [sym__expression] = STATE(4883),
    [sym__expression_not_binary] = STATE(5075),
    [sym__string] = STATE(5075),
    [sym_conditional_expression] = STATE(5075),
    [sym_assignment_expression] = STATE(5075),
    [sym_pointer_expression] = STATE(3529),
    [sym_unary_expression] = STATE(5075),
    [sym_binary_expression] = STATE(5075),
    [sym_update_expression] = STATE(5075),
    [sym_cast_expression] = STATE(5075),
    [sym_sizeof_expression] = STATE(5075),
    [sym_alignof_expression] = STATE(5075),
    [sym_offsetof_expression] = STATE(5075),
    [sym_generic_expression] = STATE(5075),
    [sym_subscript_expression] = STATE(3529),
    [sym_call_expression] = STATE(3529),
    [sym_gnu_asm_expression] = STATE(5075),
    [sym_field_expression] = STATE(3529),
    [sym_compound_literal_expression] = STATE(5075),
    [sym_parenthesized_expression] = STATE(3529),
    [sym_number_literal] = STATE(4933),
    [sym_char_literal] = STATE(4933),
    [sym_concatenated_string] = STATE(4934),
    [sym_string_literal] = STATE(3806),
    [sym_null] = STATE(5075),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8260),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5075),
    [sym_raw_string_literal] = STATE(3801),
    [sym_co_await_expression] = STATE(5075),
    [sym_new_expression] = STATE(5075),
    [sym_delete_expression] = STATE(5075),
    [sym_requires_clause] = STATE(5075),
    [sym_requires_expression] = STATE(5075),
    [sym_lambda_expression] = STATE(5075),
    [sym_lambda_capture_specifier] = STATE(6621),
    [sym_fold_expression] = STATE(5075),
    [sym_parameter_pack_expansion] = STATE(5075),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3529),
    [sym_qualified_type_identifier] = STATE(8260),
    [sym_user_defined_literal] = STATE(3529),
    [sym_identifier] = ACTIONS(4618),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(3717),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3713),
    [anon_sym_compl] = ACTIONS(3713),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym___alignof__] = ACTIONS(3723),
    [anon_sym___alignof] = ACTIONS(3723),
    [anon_sym__alignof] = ACTIONS(3723),
    [anon_sym_alignof] = ACTIONS(3723),
    [anon_sym__Alignof] = ACTIONS(3723),
    [anon_sym_offsetof] = ACTIONS(3725),
    [anon_sym__Generic] = ACTIONS(3727),
    [anon_sym_asm] = ACTIONS(3729),
    [anon_sym___asm__] = ACTIONS(3729),
    [aux_sym_number_literal_token1] = ACTIONS(3731),
    [aux_sym_number_literal_token2] = ACTIONS(3733),
    [anon_sym_L_SQUOTE] = ACTIONS(3735),
    [anon_sym_u_SQUOTE] = ACTIONS(3735),
    [anon_sym_U_SQUOTE] = ACTIONS(3735),
    [anon_sym_u8_SQUOTE] = ACTIONS(3735),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [anon_sym_L_DQUOTE] = ACTIONS(3737),
    [anon_sym_u_DQUOTE] = ACTIONS(3737),
    [anon_sym_U_DQUOTE] = ACTIONS(3737),
    [anon_sym_u8_DQUOTE] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3737),
    [sym_true] = ACTIONS(3739),
    [sym_false] = ACTIONS(3739),
    [anon_sym_NULL] = ACTIONS(3741),
    [anon_sym_nullptr] = ACTIONS(3741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_R_DQUOTE] = ACTIONS(3745),
    [anon_sym_LR_DQUOTE] = ACTIONS(3745),
    [anon_sym_uR_DQUOTE] = ACTIONS(3745),
    [anon_sym_UR_DQUOTE] = ACTIONS(3745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3745),
    [anon_sym_co_await] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_requires] = ACTIONS(3751),
    [sym_this] = ACTIONS(3739),
  },
  [1326] = {
    [sym_primitive_type] = STATE(7581),
    [sym__expression] = STATE(4871),
    [sym__expression_not_binary] = STATE(5075),
    [sym__string] = STATE(5075),
    [sym_conditional_expression] = STATE(5075),
    [sym_assignment_expression] = STATE(5075),
    [sym_pointer_expression] = STATE(3529),
    [sym_unary_expression] = STATE(5075),
    [sym_binary_expression] = STATE(5075),
    [sym_update_expression] = STATE(5075),
    [sym_cast_expression] = STATE(5075),
    [sym_sizeof_expression] = STATE(5075),
    [sym_alignof_expression] = STATE(5075),
    [sym_offsetof_expression] = STATE(5075),
    [sym_generic_expression] = STATE(5075),
    [sym_subscript_expression] = STATE(3529),
    [sym_call_expression] = STATE(3529),
    [sym_gnu_asm_expression] = STATE(5075),
    [sym_field_expression] = STATE(3529),
    [sym_compound_literal_expression] = STATE(5075),
    [sym_parenthesized_expression] = STATE(3529),
    [sym_number_literal] = STATE(4933),
    [sym_char_literal] = STATE(4933),
    [sym_concatenated_string] = STATE(4934),
    [sym_string_literal] = STATE(3806),
    [sym_null] = STATE(5075),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8260),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5075),
    [sym_raw_string_literal] = STATE(3801),
    [sym_co_await_expression] = STATE(5075),
    [sym_new_expression] = STATE(5075),
    [sym_delete_expression] = STATE(5075),
    [sym_requires_clause] = STATE(5075),
    [sym_requires_expression] = STATE(5075),
    [sym_lambda_expression] = STATE(5075),
    [sym_lambda_capture_specifier] = STATE(6621),
    [sym_fold_expression] = STATE(5075),
    [sym_parameter_pack_expansion] = STATE(5075),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3529),
    [sym_qualified_type_identifier] = STATE(8260),
    [sym_user_defined_literal] = STATE(3529),
    [sym_identifier] = ACTIONS(4618),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(3717),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3713),
    [anon_sym_compl] = ACTIONS(3713),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym___alignof__] = ACTIONS(3723),
    [anon_sym___alignof] = ACTIONS(3723),
    [anon_sym__alignof] = ACTIONS(3723),
    [anon_sym_alignof] = ACTIONS(3723),
    [anon_sym__Alignof] = ACTIONS(3723),
    [anon_sym_offsetof] = ACTIONS(3725),
    [anon_sym__Generic] = ACTIONS(3727),
    [anon_sym_asm] = ACTIONS(3729),
    [anon_sym___asm__] = ACTIONS(3729),
    [aux_sym_number_literal_token1] = ACTIONS(3731),
    [aux_sym_number_literal_token2] = ACTIONS(3733),
    [anon_sym_L_SQUOTE] = ACTIONS(3735),
    [anon_sym_u_SQUOTE] = ACTIONS(3735),
    [anon_sym_U_SQUOTE] = ACTIONS(3735),
    [anon_sym_u8_SQUOTE] = ACTIONS(3735),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [anon_sym_L_DQUOTE] = ACTIONS(3737),
    [anon_sym_u_DQUOTE] = ACTIONS(3737),
    [anon_sym_U_DQUOTE] = ACTIONS(3737),
    [anon_sym_u8_DQUOTE] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3737),
    [sym_true] = ACTIONS(3739),
    [sym_false] = ACTIONS(3739),
    [anon_sym_NULL] = ACTIONS(3741),
    [anon_sym_nullptr] = ACTIONS(3741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_R_DQUOTE] = ACTIONS(3745),
    [anon_sym_LR_DQUOTE] = ACTIONS(3745),
    [anon_sym_uR_DQUOTE] = ACTIONS(3745),
    [anon_sym_UR_DQUOTE] = ACTIONS(3745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3745),
    [anon_sym_co_await] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_requires] = ACTIONS(3751),
    [sym_this] = ACTIONS(3739),
  },
  [1327] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5024),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_initializer_list] = STATE(8200),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4622),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1328] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4624),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1329] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4626),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1330] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4628),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1331] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4630),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1332] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5052),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_initializer_list] = STATE(7803),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4632),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1333] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4634),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1334] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4636),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1335] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3386),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1336] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(4638),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4640),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1337] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4642),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1338] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4644),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1339] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3559),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1340] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5128),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(4638),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4640),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1341] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3112),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3233),
    [sym_char_literal] = STATE(3233),
    [sym_concatenated_string] = STATE(3211),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2303),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2169),
    [aux_sym_number_literal_token2] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2173),
    [anon_sym_u_SQUOTE] = ACTIONS(2173),
    [anon_sym_U_SQUOTE] = ACTIONS(2173),
    [anon_sym_u8_SQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2183),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [anon_sym_co_await] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1342] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5010),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1343] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4921),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1344] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3165),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3233),
    [sym_char_literal] = STATE(3233),
    [sym_concatenated_string] = STATE(3211),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2303),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2169),
    [aux_sym_number_literal_token2] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2173),
    [anon_sym_u_SQUOTE] = ACTIONS(2173),
    [anon_sym_U_SQUOTE] = ACTIONS(2173),
    [anon_sym_u8_SQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2183),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [anon_sym_co_await] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1345] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5033),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1346] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4650),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1347] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4652),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1348] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5353),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1349] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3538),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1350] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5351),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1351] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4656),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1352] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4658),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1353] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5409),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8783),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4660),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1354] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4663),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1355] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4665),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1356] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4667),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1357] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4669),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1358] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5409),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8783),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4671),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1359] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3383),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1360] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4674),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1361] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4676),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1362] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4678),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1363] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3949),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(4680),
    [anon_sym_PLUS_PLUS] = ACTIONS(4680),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1364] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3971),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(4680),
    [anon_sym_PLUS_PLUS] = ACTIONS(4680),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1365] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4682),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1366] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5177),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1367] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4684),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1368] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4640),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1369] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4215),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1370] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4686),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1371] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5155),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1372] = {
    [sym_primitive_type] = STATE(7598),
    [sym__expression] = STATE(3855),
    [sym__expression_not_binary] = STATE(4253),
    [sym__string] = STATE(4253),
    [sym_conditional_expression] = STATE(4253),
    [sym_assignment_expression] = STATE(4253),
    [sym_pointer_expression] = STATE(4253),
    [sym_unary_expression] = STATE(4253),
    [sym_binary_expression] = STATE(4253),
    [sym_update_expression] = STATE(4253),
    [sym_cast_expression] = STATE(4253),
    [sym_sizeof_expression] = STATE(4253),
    [sym_alignof_expression] = STATE(4253),
    [sym_offsetof_expression] = STATE(4253),
    [sym_generic_expression] = STATE(4253),
    [sym_subscript_expression] = STATE(4253),
    [sym_call_expression] = STATE(4253),
    [sym_gnu_asm_expression] = STATE(4253),
    [sym_field_expression] = STATE(4253),
    [sym_compound_literal_expression] = STATE(4253),
    [sym_parenthesized_expression] = STATE(4253),
    [sym_number_literal] = STATE(4051),
    [sym_char_literal] = STATE(4051),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2771),
    [sym_null] = STATE(4253),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8475),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4253),
    [sym_raw_string_literal] = STATE(2791),
    [sym_co_await_expression] = STATE(4253),
    [sym_new_expression] = STATE(4253),
    [sym_delete_expression] = STATE(4253),
    [sym_requires_clause] = STATE(4253),
    [sym_requires_expression] = STATE(4253),
    [sym_lambda_expression] = STATE(4253),
    [sym_lambda_capture_specifier] = STATE(6572),
    [sym_fold_expression] = STATE(4253),
    [sym_parameter_pack_expansion] = STATE(4253),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4253),
    [sym_qualified_type_identifier] = STATE(8475),
    [sym_user_defined_literal] = STATE(4253),
    [sym_identifier] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4688),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [aux_sym_number_literal_token1] = ACTIONS(2542),
    [aux_sym_number_literal_token2] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2550),
  },
  [1373] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4229),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1374] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4905),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_initializer_list] = STATE(7430),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_default] = ACTIONS(4694),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4696),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1375] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4884),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_initializer_list] = STATE(7444),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_default] = ACTIONS(4698),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4700),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1376] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4876),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_initializer_list] = STATE(7462),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_default] = ACTIONS(4702),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4704),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1377] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4706),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1378] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4874),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_initializer_list] = STATE(7425),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_default] = ACTIONS(4708),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4710),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1379] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5186),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1380] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4712),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1381] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3618),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3890),
    [sym_char_literal] = STATE(3890),
    [sym_concatenated_string] = STATE(3901),
    [sym_string_literal] = STATE(2724),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2699),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(4714),
    [anon_sym_PLUS_PLUS] = ACTIONS(4714),
    [anon_sym_sizeof] = ACTIONS(2281),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2283),
    [aux_sym_number_literal_token2] = ACTIONS(2285),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2289),
    [anon_sym_u_DQUOTE] = ACTIONS(2289),
    [anon_sym_U_DQUOTE] = ACTIONS(2289),
    [anon_sym_u8_DQUOTE] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2295),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1382] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4937),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1383] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4716),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1384] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3622),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3890),
    [sym_char_literal] = STATE(3890),
    [sym_concatenated_string] = STATE(3901),
    [sym_string_literal] = STATE(2724),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2699),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(4714),
    [anon_sym_PLUS_PLUS] = ACTIONS(4714),
    [anon_sym_sizeof] = ACTIONS(2281),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2283),
    [aux_sym_number_literal_token2] = ACTIONS(2285),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2289),
    [anon_sym_u_DQUOTE] = ACTIONS(2289),
    [anon_sym_U_DQUOTE] = ACTIONS(2289),
    [anon_sym_u8_DQUOTE] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2295),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1385] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5201),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1386] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5108),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_initializer_list] = STATE(8173),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4718),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1387] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4720),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1388] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5128),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4640),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1389] = {
    [sym_primitive_type] = STATE(7598),
    [sym__expression] = STATE(3831),
    [sym__expression_not_binary] = STATE(4253),
    [sym__string] = STATE(4253),
    [sym_conditional_expression] = STATE(4253),
    [sym_assignment_expression] = STATE(4253),
    [sym_pointer_expression] = STATE(4253),
    [sym_unary_expression] = STATE(4253),
    [sym_binary_expression] = STATE(4253),
    [sym_update_expression] = STATE(4253),
    [sym_cast_expression] = STATE(4253),
    [sym_sizeof_expression] = STATE(4253),
    [sym_alignof_expression] = STATE(4253),
    [sym_offsetof_expression] = STATE(4253),
    [sym_generic_expression] = STATE(4253),
    [sym_subscript_expression] = STATE(4253),
    [sym_call_expression] = STATE(4253),
    [sym_gnu_asm_expression] = STATE(4253),
    [sym_field_expression] = STATE(4253),
    [sym_compound_literal_expression] = STATE(4253),
    [sym_parenthesized_expression] = STATE(4253),
    [sym_number_literal] = STATE(4051),
    [sym_char_literal] = STATE(4051),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2771),
    [sym_null] = STATE(4253),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8475),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4253),
    [sym_raw_string_literal] = STATE(2791),
    [sym_co_await_expression] = STATE(4253),
    [sym_new_expression] = STATE(4253),
    [sym_delete_expression] = STATE(4253),
    [sym_requires_clause] = STATE(4253),
    [sym_requires_expression] = STATE(4253),
    [sym_lambda_expression] = STATE(4253),
    [sym_lambda_capture_specifier] = STATE(6572),
    [sym_fold_expression] = STATE(4253),
    [sym_parameter_pack_expansion] = STATE(4253),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4253),
    [sym_qualified_type_identifier] = STATE(8475),
    [sym_user_defined_literal] = STATE(4253),
    [sym_identifier] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4688),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [aux_sym_number_literal_token1] = ACTIONS(2542),
    [aux_sym_number_literal_token2] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2550),
  },
  [1390] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4722),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1391] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4724),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1392] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_lambda_default_capture] = STATE(8367),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(4571),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4726),
    [anon_sym_EQ] = ACTIONS(4575),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1393] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_initializer_list] = STATE(5502),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACE] = ACTIONS(3929),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1394] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4431),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3354),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3354),
    [sym_call_expression] = STATE(3354),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3354),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3354),
    [sym_initializer_list] = STATE(4523),
    [sym_number_literal] = STATE(4808),
    [sym_char_literal] = STATE(4808),
    [sym_concatenated_string] = STATE(4862),
    [sym_string_literal] = STATE(3451),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3452),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3354),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3354),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_DASH] = ACTIONS(3555),
    [anon_sym_PLUS] = ACTIONS(3555),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3559),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3555),
    [anon_sym_compl] = ACTIONS(3555),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3565),
    [aux_sym_number_literal_token2] = ACTIONS(3567),
    [anon_sym_L_SQUOTE] = ACTIONS(3569),
    [anon_sym_u_SQUOTE] = ACTIONS(3569),
    [anon_sym_U_SQUOTE] = ACTIONS(3569),
    [anon_sym_u8_SQUOTE] = ACTIONS(3569),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3573),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
    [anon_sym_co_await] = ACTIONS(3577),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_requires] = ACTIONS(3581),
    [sym_this] = ACTIONS(219),
  },
  [1395] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5205),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_initializer_list] = STATE(5492),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACE] = ACTIONS(3929),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1396] = {
    [sym_primitive_type] = STATE(7583),
    [sym__expression] = STATE(3331),
    [sym__expression_not_binary] = STATE(3727),
    [sym__string] = STATE(3727),
    [sym_conditional_expression] = STATE(3727),
    [sym_assignment_expression] = STATE(3727),
    [sym_pointer_expression] = STATE(3727),
    [sym_unary_expression] = STATE(3727),
    [sym_binary_expression] = STATE(3727),
    [sym_update_expression] = STATE(3727),
    [sym_cast_expression] = STATE(3727),
    [sym_sizeof_expression] = STATE(3727),
    [sym_alignof_expression] = STATE(3727),
    [sym_offsetof_expression] = STATE(3727),
    [sym_generic_expression] = STATE(3727),
    [sym_subscript_expression] = STATE(3727),
    [sym_call_expression] = STATE(3727),
    [sym_gnu_asm_expression] = STATE(3727),
    [sym_field_expression] = STATE(3727),
    [sym_compound_literal_expression] = STATE(3727),
    [sym_parenthesized_expression] = STATE(3727),
    [sym_initializer_list] = STATE(3759),
    [sym_number_literal] = STATE(3478),
    [sym_char_literal] = STATE(3478),
    [sym_concatenated_string] = STATE(3481),
    [sym_string_literal] = STATE(2496),
    [sym_null] = STATE(3727),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3727),
    [sym_raw_string_literal] = STATE(2431),
    [sym_co_await_expression] = STATE(3727),
    [sym_new_expression] = STATE(3727),
    [sym_delete_expression] = STATE(3727),
    [sym_requires_clause] = STATE(3727),
    [sym_requires_expression] = STATE(3727),
    [sym_lambda_expression] = STATE(3727),
    [sym_lambda_capture_specifier] = STATE(6580),
    [sym_fold_expression] = STATE(3727),
    [sym_parameter_pack_expansion] = STATE(3727),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3727),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(3727),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2219),
    [anon_sym_compl] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2227),
    [anon_sym___alignof__] = ACTIONS(2229),
    [anon_sym___alignof] = ACTIONS(2229),
    [anon_sym__alignof] = ACTIONS(2229),
    [anon_sym_alignof] = ACTIONS(2229),
    [anon_sym__Alignof] = ACTIONS(2229),
    [anon_sym_offsetof] = ACTIONS(2231),
    [anon_sym__Generic] = ACTIONS(2233),
    [anon_sym_asm] = ACTIONS(2235),
    [anon_sym___asm__] = ACTIONS(2235),
    [aux_sym_number_literal_token1] = ACTIONS(2237),
    [aux_sym_number_literal_token2] = ACTIONS(2239),
    [anon_sym_L_SQUOTE] = ACTIONS(2241),
    [anon_sym_u_SQUOTE] = ACTIONS(2241),
    [anon_sym_U_SQUOTE] = ACTIONS(2241),
    [anon_sym_u8_SQUOTE] = ACTIONS(2241),
    [anon_sym_SQUOTE] = ACTIONS(2241),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_true] = ACTIONS(2245),
    [sym_false] = ACTIONS(2245),
    [anon_sym_NULL] = ACTIONS(2247),
    [anon_sym_nullptr] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [anon_sym_co_await] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2255),
    [anon_sym_requires] = ACTIONS(2257),
    [sym_this] = ACTIONS(2245),
  },
  [1397] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4751),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3354),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3354),
    [sym_call_expression] = STATE(3354),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3354),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3354),
    [sym_initializer_list] = STATE(4549),
    [sym_number_literal] = STATE(4808),
    [sym_char_literal] = STATE(4808),
    [sym_concatenated_string] = STATE(4862),
    [sym_string_literal] = STATE(3451),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3452),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3354),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3354),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_DASH] = ACTIONS(3555),
    [anon_sym_PLUS] = ACTIONS(3555),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3559),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3555),
    [anon_sym_compl] = ACTIONS(3555),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3565),
    [aux_sym_number_literal_token2] = ACTIONS(3567),
    [anon_sym_L_SQUOTE] = ACTIONS(3569),
    [anon_sym_u_SQUOTE] = ACTIONS(3569),
    [anon_sym_U_SQUOTE] = ACTIONS(3569),
    [anon_sym_u8_SQUOTE] = ACTIONS(3569),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3573),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
    [anon_sym_co_await] = ACTIONS(3577),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_requires] = ACTIONS(3581),
    [sym_this] = ACTIONS(219),
  },
  [1398] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5409),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8783),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1399] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5171),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8497),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1400] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5164),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8474),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1401] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5160),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9167),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_RPAREN] = ACTIONS(4736),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1402] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5158),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9166),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_RPAREN] = ACTIONS(4738),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1403] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3815),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_comma_expression] = STATE(9079),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym__assignment_expression_lhs] = STATE(9056),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1404] = {
    [sym_primitive_type] = STATE(7581),
    [sym__expression] = STATE(4867),
    [sym__expression_not_binary] = STATE(5075),
    [sym__string] = STATE(5075),
    [sym_conditional_expression] = STATE(5075),
    [sym_assignment_expression] = STATE(5075),
    [sym_pointer_expression] = STATE(3529),
    [sym_unary_expression] = STATE(5075),
    [sym_binary_expression] = STATE(5075),
    [sym_update_expression] = STATE(5075),
    [sym_cast_expression] = STATE(5075),
    [sym_sizeof_expression] = STATE(5075),
    [sym_alignof_expression] = STATE(5075),
    [sym_offsetof_expression] = STATE(5075),
    [sym_generic_expression] = STATE(5075),
    [sym_subscript_expression] = STATE(3529),
    [sym_call_expression] = STATE(3529),
    [sym_gnu_asm_expression] = STATE(5075),
    [sym_field_expression] = STATE(3529),
    [sym_compound_literal_expression] = STATE(5075),
    [sym_parenthesized_expression] = STATE(3529),
    [sym_initializer_list] = STATE(5057),
    [sym_number_literal] = STATE(4933),
    [sym_char_literal] = STATE(4933),
    [sym_concatenated_string] = STATE(4934),
    [sym_string_literal] = STATE(3806),
    [sym_null] = STATE(5075),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8260),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5075),
    [sym_raw_string_literal] = STATE(3801),
    [sym_co_await_expression] = STATE(5075),
    [sym_new_expression] = STATE(5075),
    [sym_delete_expression] = STATE(5075),
    [sym_requires_clause] = STATE(5075),
    [sym_requires_expression] = STATE(5075),
    [sym_lambda_expression] = STATE(5075),
    [sym_lambda_capture_specifier] = STATE(6621),
    [sym_fold_expression] = STATE(5075),
    [sym_parameter_pack_expansion] = STATE(5075),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3529),
    [sym_qualified_type_identifier] = STATE(8260),
    [sym_user_defined_literal] = STATE(3529),
    [sym_identifier] = ACTIONS(4618),
    [anon_sym_LPAREN2] = ACTIONS(4742),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(3717),
    [anon_sym_LBRACE] = ACTIONS(3719),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3713),
    [anon_sym_compl] = ACTIONS(3713),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym___alignof__] = ACTIONS(3723),
    [anon_sym___alignof] = ACTIONS(3723),
    [anon_sym__alignof] = ACTIONS(3723),
    [anon_sym_alignof] = ACTIONS(3723),
    [anon_sym__Alignof] = ACTIONS(3723),
    [anon_sym_offsetof] = ACTIONS(3725),
    [anon_sym__Generic] = ACTIONS(3727),
    [anon_sym_asm] = ACTIONS(3729),
    [anon_sym___asm__] = ACTIONS(3729),
    [aux_sym_number_literal_token1] = ACTIONS(3731),
    [aux_sym_number_literal_token2] = ACTIONS(3733),
    [anon_sym_L_SQUOTE] = ACTIONS(3735),
    [anon_sym_u_SQUOTE] = ACTIONS(3735),
    [anon_sym_U_SQUOTE] = ACTIONS(3735),
    [anon_sym_u8_SQUOTE] = ACTIONS(3735),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [anon_sym_L_DQUOTE] = ACTIONS(3737),
    [anon_sym_u_DQUOTE] = ACTIONS(3737),
    [anon_sym_U_DQUOTE] = ACTIONS(3737),
    [anon_sym_u8_DQUOTE] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3737),
    [sym_true] = ACTIONS(3739),
    [sym_false] = ACTIONS(3739),
    [anon_sym_NULL] = ACTIONS(3741),
    [anon_sym_nullptr] = ACTIONS(3741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_R_DQUOTE] = ACTIONS(3745),
    [anon_sym_LR_DQUOTE] = ACTIONS(3745),
    [anon_sym_uR_DQUOTE] = ACTIONS(3745),
    [anon_sym_UR_DQUOTE] = ACTIONS(3745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3745),
    [anon_sym_co_await] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_requires] = ACTIONS(3751),
    [sym_this] = ACTIONS(3739),
  },
  [1405] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3623),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_initializer_list] = STATE(3997),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2269),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1406] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5293),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(9299),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1407] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5242),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9296),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_RPAREN] = ACTIONS(4744),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1408] = {
    [sym_primitive_type] = STATE(7581),
    [sym__expression] = STATE(4918),
    [sym__expression_not_binary] = STATE(5075),
    [sym__string] = STATE(5075),
    [sym_conditional_expression] = STATE(5075),
    [sym_assignment_expression] = STATE(5075),
    [sym_pointer_expression] = STATE(3529),
    [sym_unary_expression] = STATE(5075),
    [sym_binary_expression] = STATE(5075),
    [sym_update_expression] = STATE(5075),
    [sym_cast_expression] = STATE(5075),
    [sym_sizeof_expression] = STATE(5075),
    [sym_alignof_expression] = STATE(5075),
    [sym_offsetof_expression] = STATE(5075),
    [sym_generic_expression] = STATE(5075),
    [sym_subscript_expression] = STATE(3529),
    [sym_call_expression] = STATE(3529),
    [sym_gnu_asm_expression] = STATE(5075),
    [sym_field_expression] = STATE(3529),
    [sym_compound_literal_expression] = STATE(5075),
    [sym_parenthesized_expression] = STATE(3529),
    [sym_initializer_list] = STATE(5112),
    [sym_number_literal] = STATE(4933),
    [sym_char_literal] = STATE(4933),
    [sym_concatenated_string] = STATE(4934),
    [sym_string_literal] = STATE(3806),
    [sym_null] = STATE(5075),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8260),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5075),
    [sym_raw_string_literal] = STATE(3801),
    [sym_co_await_expression] = STATE(5075),
    [sym_new_expression] = STATE(5075),
    [sym_delete_expression] = STATE(5075),
    [sym_requires_clause] = STATE(5075),
    [sym_requires_expression] = STATE(5075),
    [sym_lambda_expression] = STATE(5075),
    [sym_lambda_capture_specifier] = STATE(6621),
    [sym_fold_expression] = STATE(5075),
    [sym_parameter_pack_expansion] = STATE(5075),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3529),
    [sym_qualified_type_identifier] = STATE(8260),
    [sym_user_defined_literal] = STATE(3529),
    [sym_identifier] = ACTIONS(4618),
    [anon_sym_LPAREN2] = ACTIONS(4742),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(3717),
    [anon_sym_LBRACE] = ACTIONS(3719),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3713),
    [anon_sym_compl] = ACTIONS(3713),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym___alignof__] = ACTIONS(3723),
    [anon_sym___alignof] = ACTIONS(3723),
    [anon_sym__alignof] = ACTIONS(3723),
    [anon_sym_alignof] = ACTIONS(3723),
    [anon_sym__Alignof] = ACTIONS(3723),
    [anon_sym_offsetof] = ACTIONS(3725),
    [anon_sym__Generic] = ACTIONS(3727),
    [anon_sym_asm] = ACTIONS(3729),
    [anon_sym___asm__] = ACTIONS(3729),
    [aux_sym_number_literal_token1] = ACTIONS(3731),
    [aux_sym_number_literal_token2] = ACTIONS(3733),
    [anon_sym_L_SQUOTE] = ACTIONS(3735),
    [anon_sym_u_SQUOTE] = ACTIONS(3735),
    [anon_sym_U_SQUOTE] = ACTIONS(3735),
    [anon_sym_u8_SQUOTE] = ACTIONS(3735),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [anon_sym_L_DQUOTE] = ACTIONS(3737),
    [anon_sym_u_DQUOTE] = ACTIONS(3737),
    [anon_sym_U_DQUOTE] = ACTIONS(3737),
    [anon_sym_u8_DQUOTE] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3737),
    [sym_true] = ACTIONS(3739),
    [sym_false] = ACTIONS(3739),
    [anon_sym_NULL] = ACTIONS(3741),
    [anon_sym_nullptr] = ACTIONS(3741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_R_DQUOTE] = ACTIONS(3745),
    [anon_sym_LR_DQUOTE] = ACTIONS(3745),
    [anon_sym_uR_DQUOTE] = ACTIONS(3745),
    [anon_sym_UR_DQUOTE] = ACTIONS(3745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3745),
    [anon_sym_co_await] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_requires] = ACTIONS(3751),
    [sym_this] = ACTIONS(3739),
  },
  [1409] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4431),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(4523),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1410] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5226),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9295),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_RPAREN] = ACTIONS(4746),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1411] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4431),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_initializer_list] = STATE(4523),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1412] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2824),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_initializer_list] = STATE(2951),
    [sym_number_literal] = STATE(3890),
    [sym_char_literal] = STATE(3890),
    [sym_concatenated_string] = STATE(3901),
    [sym_string_literal] = STATE(2724),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2699),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(4714),
    [anon_sym_PLUS_PLUS] = ACTIONS(4714),
    [anon_sym_sizeof] = ACTIONS(2281),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2283),
    [aux_sym_number_literal_token2] = ACTIONS(2285),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2289),
    [anon_sym_u_DQUOTE] = ACTIONS(2289),
    [anon_sym_U_DQUOTE] = ACTIONS(2289),
    [anon_sym_u8_DQUOTE] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2295),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1413] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2824),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_initializer_list] = STATE(2951),
    [sym_number_literal] = STATE(3233),
    [sym_char_literal] = STATE(3233),
    [sym_concatenated_string] = STATE(3211),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2303),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2169),
    [aux_sym_number_literal_token2] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2173),
    [anon_sym_u_SQUOTE] = ACTIONS(2173),
    [anon_sym_U_SQUOTE] = ACTIONS(2173),
    [anon_sym_u8_SQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2183),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [anon_sym_co_await] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1414] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5423),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(9414),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1415] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5149),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9407),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_RPAREN] = ACTIONS(4752),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1416] = {
    [sym_primitive_type] = STATE(7598),
    [sym__expression] = STATE(3880),
    [sym__expression_not_binary] = STATE(4253),
    [sym__string] = STATE(4253),
    [sym_conditional_expression] = STATE(4253),
    [sym_assignment_expression] = STATE(4253),
    [sym_pointer_expression] = STATE(4253),
    [sym_unary_expression] = STATE(4253),
    [sym_binary_expression] = STATE(4253),
    [sym_update_expression] = STATE(4253),
    [sym_cast_expression] = STATE(4253),
    [sym_sizeof_expression] = STATE(4253),
    [sym_alignof_expression] = STATE(4253),
    [sym_offsetof_expression] = STATE(4253),
    [sym_generic_expression] = STATE(4253),
    [sym_subscript_expression] = STATE(4253),
    [sym_call_expression] = STATE(4253),
    [sym_gnu_asm_expression] = STATE(4253),
    [sym_field_expression] = STATE(4253),
    [sym_compound_literal_expression] = STATE(4253),
    [sym_parenthesized_expression] = STATE(4253),
    [sym_initializer_list] = STATE(4231),
    [sym_number_literal] = STATE(4051),
    [sym_char_literal] = STATE(4051),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2771),
    [sym_null] = STATE(4253),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8475),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4253),
    [sym_raw_string_literal] = STATE(2791),
    [sym_co_await_expression] = STATE(4253),
    [sym_new_expression] = STATE(4253),
    [sym_delete_expression] = STATE(4253),
    [sym_requires_clause] = STATE(4253),
    [sym_requires_expression] = STATE(4253),
    [sym_lambda_expression] = STATE(4253),
    [sym_lambda_capture_specifier] = STATE(6572),
    [sym_fold_expression] = STATE(4253),
    [sym_parameter_pack_expansion] = STATE(4253),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4253),
    [sym_qualified_type_identifier] = STATE(8475),
    [sym_user_defined_literal] = STATE(4253),
    [sym_identifier] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2530),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4688),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [aux_sym_number_literal_token1] = ACTIONS(2542),
    [aux_sym_number_literal_token2] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2550),
  },
  [1417] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5304),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_initializer_list] = STATE(4549),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1418] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4431),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_initializer_list] = STATE(4523),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1419] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5241),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_initializer_list] = STATE(4549),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1420] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5222),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_initializer_list] = STATE(8566),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1421] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5114),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_initializer_list] = STATE(4549),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1422] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4150),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_initializer_list] = STATE(4406),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1423] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5072),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8347),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4760),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1424] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5069),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8248),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1425] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4243),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_initializer_list] = STATE(4410),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1426] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(4021),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_initializer_list] = STATE(2951),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4763),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(4680),
    [anon_sym_PLUS_PLUS] = ACTIONS(4680),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1427] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2824),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_initializer_list] = STATE(2951),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1428] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_COMMA] = ACTIONS(4765),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4765),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1429] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4941),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(4549),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1430] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5267),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_initializer_list] = STATE(4523),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1431] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5138),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_initializer_list] = STATE(8110),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1432] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5249),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(9300),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_RPAREN] = ACTIONS(4767),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1433] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5180),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_initializer_list] = STATE(8248),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1434] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5430),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4769),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1435] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4199),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4771),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1436] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3688),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4774),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1437] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5400),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4777),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1438] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5348),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4779),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1439] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4256),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4781),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1440] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5332),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4784),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1441] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5356),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4786),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1442] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5413),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4788),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1443] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3688),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4781),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1444] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3687),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4790),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1445] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5348),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4793),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1446] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5388),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4795),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1447] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3687),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4797),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1448] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4800),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1449] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5344),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4802),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1450] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5432),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4804),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1451] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4207),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4806),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1452] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4809),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1453] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4157),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4811),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1454] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5303),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4814),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1455] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4816),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1456] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4502),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4818),
    [anon_sym_LPAREN2] = ACTIONS(4820),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1457] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4822),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1458] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4824),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1459] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4826),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1460] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3974),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4828),
    [anon_sym_LPAREN2] = ACTIONS(4830),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(4680),
    [anon_sym_PLUS_PLUS] = ACTIONS(4680),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1461] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2823),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3890),
    [sym_char_literal] = STATE(3890),
    [sym_concatenated_string] = STATE(3901),
    [sym_string_literal] = STATE(2724),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2699),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4828),
    [anon_sym_LPAREN2] = ACTIONS(4832),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(2279),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(4714),
    [anon_sym_PLUS_PLUS] = ACTIONS(4714),
    [anon_sym_sizeof] = ACTIONS(2281),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2283),
    [aux_sym_number_literal_token2] = ACTIONS(2285),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2289),
    [anon_sym_u_DQUOTE] = ACTIONS(2289),
    [anon_sym_U_DQUOTE] = ACTIONS(2289),
    [anon_sym_u8_DQUOTE] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2295),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1462] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5407),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4834),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1463] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4836),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1464] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4232),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4838),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1465] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5340),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4841),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1466] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5381),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4843),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1467] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5373),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4845),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1468] = {
    [sym_primitive_type] = STATE(7598),
    [sym__expression] = STATE(3778),
    [sym__expression_not_binary] = STATE(4253),
    [sym__string] = STATE(4253),
    [sym_conditional_expression] = STATE(4253),
    [sym_assignment_expression] = STATE(4253),
    [sym_pointer_expression] = STATE(4253),
    [sym_unary_expression] = STATE(4253),
    [sym_binary_expression] = STATE(4253),
    [sym_update_expression] = STATE(4253),
    [sym_cast_expression] = STATE(4253),
    [sym_sizeof_expression] = STATE(4253),
    [sym_alignof_expression] = STATE(4253),
    [sym_offsetof_expression] = STATE(4253),
    [sym_generic_expression] = STATE(4253),
    [sym_subscript_expression] = STATE(4253),
    [sym_call_expression] = STATE(4253),
    [sym_gnu_asm_expression] = STATE(4253),
    [sym_field_expression] = STATE(4253),
    [sym_compound_literal_expression] = STATE(4253),
    [sym_parenthesized_expression] = STATE(4253),
    [sym_number_literal] = STATE(4051),
    [sym_char_literal] = STATE(4051),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2771),
    [sym_null] = STATE(4253),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8475),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4253),
    [sym_raw_string_literal] = STATE(2791),
    [sym_co_await_expression] = STATE(4253),
    [sym_new_expression] = STATE(4253),
    [sym_delete_expression] = STATE(4253),
    [sym_requires_clause] = STATE(4253),
    [sym_requires_expression] = STATE(4253),
    [sym_lambda_expression] = STATE(4253),
    [sym_lambda_capture_specifier] = STATE(6572),
    [sym_fold_expression] = STATE(4253),
    [sym_parameter_pack_expansion] = STATE(4253),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4253),
    [sym_qualified_type_identifier] = STATE(8475),
    [sym_user_defined_literal] = STATE(4253),
    [sym_identifier] = ACTIONS(2522),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4847),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4688),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [aux_sym_number_literal_token1] = ACTIONS(2542),
    [aux_sym_number_literal_token2] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2550),
  },
  [1469] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4851),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1470] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3687),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4853),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1471] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4856),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1472] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4858),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1473] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3754),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4860),
    [anon_sym_LPAREN2] = ACTIONS(4862),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1474] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4864),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1475] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5111),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_SEMI] = ACTIONS(4866),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(4868),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1476] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5111),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_SEMI] = ACTIONS(4870),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(4868),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1477] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4232),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4872),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1478] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5434),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4875),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1479] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5342),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4877),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1480] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5269),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4879),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1481] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3683),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4881),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1482] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5265),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1483] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4886),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1484] = {
    [sym_primitive_type] = STATE(7581),
    [sym__expression] = STATE(4893),
    [sym__expression_not_binary] = STATE(5075),
    [sym__string] = STATE(5075),
    [sym_conditional_expression] = STATE(5075),
    [sym_assignment_expression] = STATE(5075),
    [sym_pointer_expression] = STATE(3529),
    [sym_unary_expression] = STATE(5075),
    [sym_binary_expression] = STATE(5075),
    [sym_update_expression] = STATE(5075),
    [sym_cast_expression] = STATE(5075),
    [sym_sizeof_expression] = STATE(5075),
    [sym_alignof_expression] = STATE(5075),
    [sym_offsetof_expression] = STATE(5075),
    [sym_generic_expression] = STATE(5075),
    [sym_subscript_expression] = STATE(3529),
    [sym_call_expression] = STATE(3529),
    [sym_gnu_asm_expression] = STATE(5075),
    [sym_field_expression] = STATE(3529),
    [sym_compound_literal_expression] = STATE(5075),
    [sym_parenthesized_expression] = STATE(3529),
    [sym_number_literal] = STATE(4933),
    [sym_char_literal] = STATE(4933),
    [sym_concatenated_string] = STATE(4934),
    [sym_string_literal] = STATE(3806),
    [sym_null] = STATE(5075),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8260),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5075),
    [sym_raw_string_literal] = STATE(3801),
    [sym_co_await_expression] = STATE(5075),
    [sym_new_expression] = STATE(5075),
    [sym_delete_expression] = STATE(5075),
    [sym_requires_clause] = STATE(5075),
    [sym_requires_expression] = STATE(5075),
    [sym_lambda_expression] = STATE(5075),
    [sym_lambda_capture_specifier] = STATE(6621),
    [sym_fold_expression] = STATE(5075),
    [sym_parameter_pack_expansion] = STATE(5075),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3529),
    [sym_qualified_type_identifier] = STATE(8260),
    [sym_user_defined_literal] = STATE(3529),
    [sym_identifier] = ACTIONS(4618),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4888),
    [anon_sym_LPAREN2] = ACTIONS(4890),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3713),
    [anon_sym_compl] = ACTIONS(3713),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym___alignof__] = ACTIONS(3723),
    [anon_sym___alignof] = ACTIONS(3723),
    [anon_sym__alignof] = ACTIONS(3723),
    [anon_sym_alignof] = ACTIONS(3723),
    [anon_sym__Alignof] = ACTIONS(3723),
    [anon_sym_offsetof] = ACTIONS(3725),
    [anon_sym__Generic] = ACTIONS(3727),
    [anon_sym_asm] = ACTIONS(3729),
    [anon_sym___asm__] = ACTIONS(3729),
    [aux_sym_number_literal_token1] = ACTIONS(3731),
    [aux_sym_number_literal_token2] = ACTIONS(3733),
    [anon_sym_L_SQUOTE] = ACTIONS(3735),
    [anon_sym_u_SQUOTE] = ACTIONS(3735),
    [anon_sym_U_SQUOTE] = ACTIONS(3735),
    [anon_sym_u8_SQUOTE] = ACTIONS(3735),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [anon_sym_L_DQUOTE] = ACTIONS(3737),
    [anon_sym_u_DQUOTE] = ACTIONS(3737),
    [anon_sym_U_DQUOTE] = ACTIONS(3737),
    [anon_sym_u8_DQUOTE] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3737),
    [sym_true] = ACTIONS(3739),
    [sym_false] = ACTIONS(3739),
    [anon_sym_NULL] = ACTIONS(3741),
    [anon_sym_nullptr] = ACTIONS(3741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_R_DQUOTE] = ACTIONS(3745),
    [anon_sym_LR_DQUOTE] = ACTIONS(3745),
    [anon_sym_uR_DQUOTE] = ACTIONS(3745),
    [anon_sym_UR_DQUOTE] = ACTIONS(3745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3745),
    [anon_sym_co_await] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_requires] = ACTIONS(3751),
    [sym_this] = ACTIONS(3739),
  },
  [1485] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5398),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4892),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1486] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4238),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4894),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1487] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5410),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4897),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1488] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4241),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4899),
    [anon_sym_LPAREN2] = ACTIONS(4901),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1489] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5366),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4903),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1490] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3682),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4905),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1491] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4238),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4908),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1492] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5111),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_SEMI] = ACTIONS(4911),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(4868),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1493] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4913),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1494] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4199),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4915),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1495] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4918),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1496] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5360),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4920),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1497] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4244),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4905),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1498] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4922),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1499] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4924),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1500] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5309),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4926),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1501] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5072),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_comma_expression] = STATE(8347),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1502] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4502),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4818),
    [anon_sym_LPAREN2] = ACTIONS(4928),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1503] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5308),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4930),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1504] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4250),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4881),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1505] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3681),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4894),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1506] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5428),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4932),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1507] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5414),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4934),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1508] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5146),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4936),
    [anon_sym_LPAREN2] = ACTIONS(4938),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1509] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4255),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4790),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1510] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4199),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4940),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1511] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4943),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1512] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3678),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4838),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1513] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2823),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3233),
    [sym_char_literal] = STATE(3233),
    [sym_concatenated_string] = STATE(3211),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2303),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4828),
    [anon_sym_LPAREN2] = ACTIONS(4945),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2169),
    [aux_sym_number_literal_token2] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2173),
    [anon_sym_u_SQUOTE] = ACTIONS(2173),
    [anon_sym_U_SQUOTE] = ACTIONS(2173),
    [anon_sym_u8_SQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2183),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [anon_sym_co_await] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1514] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3677),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4811),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1515] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4157),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4947),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1516] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3672),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4950),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1517] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3672),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4953),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1518] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3674),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4806),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1519] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4956),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1520] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3673),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4958),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1521] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4255),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4853),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1522] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5419),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4818),
    [anon_sym_LPAREN2] = ACTIONS(4961),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1523] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5310),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4963),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1524] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5111),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_SEMI] = ACTIONS(4965),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(4868),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1525] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4967),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1526] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3673),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4940),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1527] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(4969),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1528] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4255),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4797),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1529] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4207),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4971),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1530] = {
    [sym_primitive_type] = STATE(7583),
    [sym__expression] = STATE(3335),
    [sym__expression_not_binary] = STATE(3727),
    [sym__string] = STATE(3727),
    [sym_conditional_expression] = STATE(3727),
    [sym_assignment_expression] = STATE(3727),
    [sym_pointer_expression] = STATE(3727),
    [sym_unary_expression] = STATE(3727),
    [sym_binary_expression] = STATE(3727),
    [sym_update_expression] = STATE(3727),
    [sym_cast_expression] = STATE(3727),
    [sym_sizeof_expression] = STATE(3727),
    [sym_alignof_expression] = STATE(3727),
    [sym_offsetof_expression] = STATE(3727),
    [sym_generic_expression] = STATE(3727),
    [sym_subscript_expression] = STATE(3727),
    [sym_call_expression] = STATE(3727),
    [sym_gnu_asm_expression] = STATE(3727),
    [sym_field_expression] = STATE(3727),
    [sym_compound_literal_expression] = STATE(3727),
    [sym_parenthesized_expression] = STATE(3727),
    [sym_number_literal] = STATE(3478),
    [sym_char_literal] = STATE(3478),
    [sym_concatenated_string] = STATE(3481),
    [sym_string_literal] = STATE(2496),
    [sym_null] = STATE(3727),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3727),
    [sym_raw_string_literal] = STATE(2431),
    [sym_co_await_expression] = STATE(3727),
    [sym_new_expression] = STATE(3727),
    [sym_delete_expression] = STATE(3727),
    [sym_requires_clause] = STATE(3727),
    [sym_requires_expression] = STATE(3727),
    [sym_lambda_expression] = STATE(3727),
    [sym_lambda_capture_specifier] = STATE(6580),
    [sym_fold_expression] = STATE(3727),
    [sym_parameter_pack_expansion] = STATE(3727),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3727),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(3727),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4974),
    [anon_sym_LPAREN2] = ACTIONS(4976),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2219),
    [anon_sym_compl] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2227),
    [anon_sym___alignof__] = ACTIONS(2229),
    [anon_sym___alignof] = ACTIONS(2229),
    [anon_sym__alignof] = ACTIONS(2229),
    [anon_sym_alignof] = ACTIONS(2229),
    [anon_sym__Alignof] = ACTIONS(2229),
    [anon_sym_offsetof] = ACTIONS(2231),
    [anon_sym__Generic] = ACTIONS(2233),
    [anon_sym_asm] = ACTIONS(2235),
    [anon_sym___asm__] = ACTIONS(2235),
    [aux_sym_number_literal_token1] = ACTIONS(2237),
    [aux_sym_number_literal_token2] = ACTIONS(2239),
    [anon_sym_L_SQUOTE] = ACTIONS(2241),
    [anon_sym_u_SQUOTE] = ACTIONS(2241),
    [anon_sym_U_SQUOTE] = ACTIONS(2241),
    [anon_sym_u8_SQUOTE] = ACTIONS(2241),
    [anon_sym_SQUOTE] = ACTIONS(2241),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_true] = ACTIONS(2245),
    [sym_false] = ACTIONS(2245),
    [anon_sym_NULL] = ACTIONS(2247),
    [anon_sym_nullptr] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [anon_sym_co_await] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2255),
    [anon_sym_requires] = ACTIONS(2257),
    [sym_this] = ACTIONS(2245),
  },
  [1531] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3673),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4771),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1532] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5418),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4978),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1533] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5349),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4980),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1534] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5284),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4982),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1535] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5406),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4984),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1536] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3674),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1537] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5272),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_RPAREN] = ACTIONS(4989),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1538] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5399),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4991),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1539] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3677),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4947),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1540] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3678),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4872),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1541] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4199),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4958),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1542] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5404),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4993),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1543] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3681),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4908),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1544] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4195),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4953),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1545] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5283),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4995),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1546] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4502),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4818),
    [anon_sym_LPAREN2] = ACTIONS(4997),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1547] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5285),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(4999),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1548] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2823),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4828),
    [anon_sym_LPAREN2] = ACTIONS(5001),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1549] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4195),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4950),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1550] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(5003),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1551] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3682),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5005),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1552] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3683),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5008),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1553] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4250),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5008),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1554] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4256),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4774),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1555] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4502),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3354),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3354),
    [sym_call_expression] = STATE(3354),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3354),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3354),
    [sym_number_literal] = STATE(4808),
    [sym_char_literal] = STATE(4808),
    [sym_concatenated_string] = STATE(4862),
    [sym_string_literal] = STATE(3451),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3452),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3354),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3354),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4818),
    [anon_sym_LPAREN2] = ACTIONS(5011),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_DASH] = ACTIONS(3555),
    [anon_sym_PLUS] = ACTIONS(3555),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3559),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3555),
    [anon_sym_compl] = ACTIONS(3555),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3565),
    [aux_sym_number_literal_token2] = ACTIONS(3567),
    [anon_sym_L_SQUOTE] = ACTIONS(3569),
    [anon_sym_u_SQUOTE] = ACTIONS(3569),
    [anon_sym_U_SQUOTE] = ACTIONS(3569),
    [anon_sym_u8_SQUOTE] = ACTIONS(3569),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3573),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
    [anon_sym_co_await] = ACTIONS(3577),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_requires] = ACTIONS(3581),
    [sym_this] = ACTIONS(219),
  },
  [1556] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4244),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5005),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1557] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(5013),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1558] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(5015),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1559] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5425),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(5017),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1560] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4207),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1561] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3673),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4915),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1562] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3674),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4971),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1563] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(5019),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1564] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5345),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1565] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3367),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1566] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4772),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3354),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3354),
    [sym_call_expression] = STATE(3354),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3354),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3354),
    [sym_number_literal] = STATE(4808),
    [sym_char_literal] = STATE(4808),
    [sym_concatenated_string] = STATE(4862),
    [sym_string_literal] = STATE(3451),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3452),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3354),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3354),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_DASH] = ACTIONS(3555),
    [anon_sym_PLUS] = ACTIONS(3555),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3559),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3555),
    [anon_sym_compl] = ACTIONS(3555),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3565),
    [aux_sym_number_literal_token2] = ACTIONS(3567),
    [anon_sym_L_SQUOTE] = ACTIONS(3569),
    [anon_sym_u_SQUOTE] = ACTIONS(3569),
    [anon_sym_U_SQUOTE] = ACTIONS(3569),
    [anon_sym_u8_SQUOTE] = ACTIONS(3569),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3573),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
    [anon_sym_co_await] = ACTIONS(3577),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_requires] = ACTIONS(3581),
    [sym_this] = ACTIONS(219),
  },
  [1567] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5172),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1568] = {
    [sym_primitive_type] = STATE(7583),
    [sym__expression] = STATE(3318),
    [sym__expression_not_binary] = STATE(3727),
    [sym__string] = STATE(3727),
    [sym_conditional_expression] = STATE(3727),
    [sym_assignment_expression] = STATE(3727),
    [sym_pointer_expression] = STATE(3727),
    [sym_unary_expression] = STATE(3727),
    [sym_binary_expression] = STATE(3727),
    [sym_update_expression] = STATE(3727),
    [sym_cast_expression] = STATE(3727),
    [sym_sizeof_expression] = STATE(3727),
    [sym_alignof_expression] = STATE(3727),
    [sym_offsetof_expression] = STATE(3727),
    [sym_generic_expression] = STATE(3727),
    [sym_subscript_expression] = STATE(3727),
    [sym_call_expression] = STATE(3727),
    [sym_gnu_asm_expression] = STATE(3727),
    [sym_field_expression] = STATE(3727),
    [sym_compound_literal_expression] = STATE(3727),
    [sym_parenthesized_expression] = STATE(3727),
    [sym_number_literal] = STATE(3478),
    [sym_char_literal] = STATE(3478),
    [sym_concatenated_string] = STATE(3481),
    [sym_string_literal] = STATE(2496),
    [sym_null] = STATE(3727),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3727),
    [sym_raw_string_literal] = STATE(2431),
    [sym_co_await_expression] = STATE(3727),
    [sym_new_expression] = STATE(3727),
    [sym_delete_expression] = STATE(3727),
    [sym_requires_clause] = STATE(3727),
    [sym_requires_expression] = STATE(3727),
    [sym_lambda_expression] = STATE(3727),
    [sym_lambda_capture_specifier] = STATE(6580),
    [sym_fold_expression] = STATE(3727),
    [sym_parameter_pack_expansion] = STATE(3727),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3727),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(3727),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2219),
    [anon_sym_compl] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2227),
    [anon_sym___alignof__] = ACTIONS(2229),
    [anon_sym___alignof] = ACTIONS(2229),
    [anon_sym__alignof] = ACTIONS(2229),
    [anon_sym_alignof] = ACTIONS(2229),
    [anon_sym__Alignof] = ACTIONS(2229),
    [anon_sym_offsetof] = ACTIONS(2231),
    [anon_sym__Generic] = ACTIONS(2233),
    [anon_sym_asm] = ACTIONS(2235),
    [anon_sym___asm__] = ACTIONS(2235),
    [aux_sym_number_literal_token1] = ACTIONS(2237),
    [aux_sym_number_literal_token2] = ACTIONS(2239),
    [anon_sym_L_SQUOTE] = ACTIONS(2241),
    [anon_sym_u_SQUOTE] = ACTIONS(2241),
    [anon_sym_U_SQUOTE] = ACTIONS(2241),
    [anon_sym_u8_SQUOTE] = ACTIONS(2241),
    [anon_sym_SQUOTE] = ACTIONS(2241),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_true] = ACTIONS(2245),
    [sym_false] = ACTIONS(2245),
    [anon_sym_NULL] = ACTIONS(2247),
    [anon_sym_nullptr] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [anon_sym_co_await] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2255),
    [anon_sym_requires] = ACTIONS(2257),
    [sym_this] = ACTIONS(2245),
  },
  [1569] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5279),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1570] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5176),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1571] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4429),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3354),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3354),
    [sym_call_expression] = STATE(3354),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3354),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3354),
    [sym_number_literal] = STATE(4808),
    [sym_char_literal] = STATE(4808),
    [sym_concatenated_string] = STATE(4862),
    [sym_string_literal] = STATE(3451),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3452),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3354),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3354),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_DASH] = ACTIONS(3555),
    [anon_sym_PLUS] = ACTIONS(3555),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3559),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3555),
    [anon_sym_compl] = ACTIONS(3555),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3565),
    [aux_sym_number_literal_token2] = ACTIONS(3567),
    [anon_sym_L_SQUOTE] = ACTIONS(3569),
    [anon_sym_u_SQUOTE] = ACTIONS(3569),
    [anon_sym_U_SQUOTE] = ACTIONS(3569),
    [anon_sym_u8_SQUOTE] = ACTIONS(3569),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3573),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
    [anon_sym_co_await] = ACTIONS(3577),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_requires] = ACTIONS(3581),
    [sym_this] = ACTIONS(219),
  },
  [1572] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5429),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1573] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3175),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3233),
    [sym_char_literal] = STATE(3233),
    [sym_concatenated_string] = STATE(3211),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2303),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2169),
    [aux_sym_number_literal_token2] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2173),
    [anon_sym_u_SQUOTE] = ACTIONS(2173),
    [anon_sym_U_SQUOTE] = ACTIONS(2173),
    [anon_sym_u8_SQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2183),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [anon_sym_co_await] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1574] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3624),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3890),
    [sym_char_literal] = STATE(3890),
    [sym_concatenated_string] = STATE(3901),
    [sym_string_literal] = STATE(2724),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2699),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(2279),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(4714),
    [anon_sym_PLUS_PLUS] = ACTIONS(4714),
    [anon_sym_sizeof] = ACTIONS(2281),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2283),
    [aux_sym_number_literal_token2] = ACTIONS(2285),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2289),
    [anon_sym_u_DQUOTE] = ACTIONS(2289),
    [anon_sym_U_DQUOTE] = ACTIONS(2289),
    [anon_sym_u8_DQUOTE] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2295),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1575] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3946),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4763),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(4680),
    [anon_sym_PLUS_PLUS] = ACTIONS(4680),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1576] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5182),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1577] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3115),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3233),
    [sym_char_literal] = STATE(3233),
    [sym_concatenated_string] = STATE(3211),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2303),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2169),
    [aux_sym_number_literal_token2] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2173),
    [anon_sym_u_SQUOTE] = ACTIONS(2173),
    [anon_sym_U_SQUOTE] = ACTIONS(2173),
    [anon_sym_u8_SQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2183),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [anon_sym_co_await] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1578] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3972),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4763),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(4680),
    [anon_sym_PLUS_PLUS] = ACTIONS(4680),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1579] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5253),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1580] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4773),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3354),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3354),
    [sym_call_expression] = STATE(3354),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3354),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3354),
    [sym_number_literal] = STATE(4808),
    [sym_char_literal] = STATE(4808),
    [sym_concatenated_string] = STATE(4862),
    [sym_string_literal] = STATE(3451),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3452),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3354),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3354),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_DASH] = ACTIONS(3555),
    [anon_sym_PLUS] = ACTIONS(3555),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3559),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3555),
    [anon_sym_compl] = ACTIONS(3555),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3565),
    [aux_sym_number_literal_token2] = ACTIONS(3567),
    [anon_sym_L_SQUOTE] = ACTIONS(3569),
    [anon_sym_u_SQUOTE] = ACTIONS(3569),
    [anon_sym_U_SQUOTE] = ACTIONS(3569),
    [anon_sym_u8_SQUOTE] = ACTIONS(3569),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3573),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
    [anon_sym_co_await] = ACTIONS(3577),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_requires] = ACTIONS(3581),
    [sym_this] = ACTIONS(219),
  },
  [1581] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5192),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1582] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3388),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1583] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3117),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3233),
    [sym_char_literal] = STATE(3233),
    [sym_concatenated_string] = STATE(3211),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2303),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2169),
    [aux_sym_number_literal_token2] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2173),
    [anon_sym_u_SQUOTE] = ACTIONS(2173),
    [anon_sym_U_SQUOTE] = ACTIONS(2173),
    [anon_sym_u8_SQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2183),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [anon_sym_co_await] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1584] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3118),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3233),
    [sym_char_literal] = STATE(3233),
    [sym_concatenated_string] = STATE(3211),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2303),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2169),
    [aux_sym_number_literal_token2] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2173),
    [anon_sym_u_SQUOTE] = ACTIONS(2173),
    [anon_sym_U_SQUOTE] = ACTIONS(2173),
    [anon_sym_u8_SQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2183),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [anon_sym_co_await] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1585] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5208),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1586] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5211),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1587] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5305),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1588] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1589] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5212),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1590] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3890),
    [sym_char_literal] = STATE(3890),
    [sym_concatenated_string] = STATE(3901),
    [sym_string_literal] = STATE(2724),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2699),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(2279),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(4714),
    [anon_sym_PLUS_PLUS] = ACTIONS(4714),
    [anon_sym_sizeof] = ACTIONS(2281),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2283),
    [aux_sym_number_literal_token2] = ACTIONS(2285),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2289),
    [anon_sym_u_DQUOTE] = ACTIONS(2289),
    [anon_sym_U_DQUOTE] = ACTIONS(2289),
    [anon_sym_u8_DQUOTE] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2295),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1591] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5207),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1592] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3122),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3233),
    [sym_char_literal] = STATE(3233),
    [sym_concatenated_string] = STATE(3211),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2303),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2169),
    [aux_sym_number_literal_token2] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2173),
    [anon_sym_u_SQUOTE] = ACTIONS(2173),
    [anon_sym_U_SQUOTE] = ACTIONS(2173),
    [anon_sym_u8_SQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2183),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [anon_sym_co_await] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1593] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5260),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1594] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5278),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1595] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5289),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1596] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3127),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3233),
    [sym_char_literal] = STATE(3233),
    [sym_concatenated_string] = STATE(3211),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2303),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2169),
    [aux_sym_number_literal_token2] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2173),
    [anon_sym_u_SQUOTE] = ACTIONS(2173),
    [anon_sym_U_SQUOTE] = ACTIONS(2173),
    [anon_sym_u8_SQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2183),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [anon_sym_co_await] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1597] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1598] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5343),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1599] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5288),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1600] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5286),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1601] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5150),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1602] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3132),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3233),
    [sym_char_literal] = STATE(3233),
    [sym_concatenated_string] = STATE(3211),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2303),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2169),
    [aux_sym_number_literal_token2] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2173),
    [anon_sym_u_SQUOTE] = ACTIONS(2173),
    [anon_sym_U_SQUOTE] = ACTIONS(2173),
    [anon_sym_u8_SQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2183),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [anon_sym_co_await] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1603] = {
    [sym_primitive_type] = STATE(7598),
    [sym__expression] = STATE(3786),
    [sym__expression_not_binary] = STATE(4253),
    [sym__string] = STATE(4253),
    [sym_conditional_expression] = STATE(4253),
    [sym_assignment_expression] = STATE(4253),
    [sym_pointer_expression] = STATE(4253),
    [sym_unary_expression] = STATE(4253),
    [sym_binary_expression] = STATE(4253),
    [sym_update_expression] = STATE(4253),
    [sym_cast_expression] = STATE(4253),
    [sym_sizeof_expression] = STATE(4253),
    [sym_alignof_expression] = STATE(4253),
    [sym_offsetof_expression] = STATE(4253),
    [sym_generic_expression] = STATE(4253),
    [sym_subscript_expression] = STATE(4253),
    [sym_call_expression] = STATE(4253),
    [sym_gnu_asm_expression] = STATE(4253),
    [sym_field_expression] = STATE(4253),
    [sym_compound_literal_expression] = STATE(4253),
    [sym_parenthesized_expression] = STATE(4253),
    [sym_number_literal] = STATE(4051),
    [sym_char_literal] = STATE(4051),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2771),
    [sym_null] = STATE(4253),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8475),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4253),
    [sym_raw_string_literal] = STATE(2791),
    [sym_co_await_expression] = STATE(4253),
    [sym_new_expression] = STATE(4253),
    [sym_delete_expression] = STATE(4253),
    [sym_requires_clause] = STATE(4253),
    [sym_requires_expression] = STATE(4253),
    [sym_lambda_expression] = STATE(4253),
    [sym_lambda_capture_specifier] = STATE(6572),
    [sym_fold_expression] = STATE(4253),
    [sym_parameter_pack_expansion] = STATE(4253),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4253),
    [sym_qualified_type_identifier] = STATE(8475),
    [sym_user_defined_literal] = STATE(4253),
    [sym_identifier] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(5021),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4688),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [aux_sym_number_literal_token1] = ACTIONS(2542),
    [aux_sym_number_literal_token2] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2550),
  },
  [1604] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3133),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3233),
    [sym_char_literal] = STATE(3233),
    [sym_concatenated_string] = STATE(3211),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2303),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2169),
    [aux_sym_number_literal_token2] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2173),
    [anon_sym_u_SQUOTE] = ACTIONS(2173),
    [anon_sym_U_SQUOTE] = ACTIONS(2173),
    [anon_sym_u8_SQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2183),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [anon_sym_co_await] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1605] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5331),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1606] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2815),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3233),
    [sym_char_literal] = STATE(3233),
    [sym_concatenated_string] = STATE(3211),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2303),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2169),
    [aux_sym_number_literal_token2] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2173),
    [anon_sym_u_SQUOTE] = ACTIONS(2173),
    [anon_sym_U_SQUOTE] = ACTIONS(2173),
    [anon_sym_u8_SQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2183),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [anon_sym_co_await] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1607] = {
    [sym_primitive_type] = STATE(7583),
    [sym__expression] = STATE(3309),
    [sym__expression_not_binary] = STATE(3727),
    [sym__string] = STATE(3727),
    [sym_conditional_expression] = STATE(3727),
    [sym_assignment_expression] = STATE(3727),
    [sym_pointer_expression] = STATE(3727),
    [sym_unary_expression] = STATE(3727),
    [sym_binary_expression] = STATE(3727),
    [sym_update_expression] = STATE(3727),
    [sym_cast_expression] = STATE(3727),
    [sym_sizeof_expression] = STATE(3727),
    [sym_alignof_expression] = STATE(3727),
    [sym_offsetof_expression] = STATE(3727),
    [sym_generic_expression] = STATE(3727),
    [sym_subscript_expression] = STATE(3727),
    [sym_call_expression] = STATE(3727),
    [sym_gnu_asm_expression] = STATE(3727),
    [sym_field_expression] = STATE(3727),
    [sym_compound_literal_expression] = STATE(3727),
    [sym_parenthesized_expression] = STATE(3727),
    [sym_number_literal] = STATE(3478),
    [sym_char_literal] = STATE(3478),
    [sym_concatenated_string] = STATE(3481),
    [sym_string_literal] = STATE(2496),
    [sym_null] = STATE(3727),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3727),
    [sym_raw_string_literal] = STATE(2431),
    [sym_co_await_expression] = STATE(3727),
    [sym_new_expression] = STATE(3727),
    [sym_delete_expression] = STATE(3727),
    [sym_requires_clause] = STATE(3727),
    [sym_requires_expression] = STATE(3727),
    [sym_lambda_expression] = STATE(3727),
    [sym_lambda_capture_specifier] = STATE(6580),
    [sym_fold_expression] = STATE(3727),
    [sym_parameter_pack_expansion] = STATE(3727),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3727),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(3727),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2219),
    [anon_sym_compl] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2227),
    [anon_sym___alignof__] = ACTIONS(2229),
    [anon_sym___alignof] = ACTIONS(2229),
    [anon_sym__alignof] = ACTIONS(2229),
    [anon_sym_alignof] = ACTIONS(2229),
    [anon_sym__Alignof] = ACTIONS(2229),
    [anon_sym_offsetof] = ACTIONS(2231),
    [anon_sym__Generic] = ACTIONS(2233),
    [anon_sym_asm] = ACTIONS(2235),
    [anon_sym___asm__] = ACTIONS(2235),
    [aux_sym_number_literal_token1] = ACTIONS(2237),
    [aux_sym_number_literal_token2] = ACTIONS(2239),
    [anon_sym_L_SQUOTE] = ACTIONS(2241),
    [anon_sym_u_SQUOTE] = ACTIONS(2241),
    [anon_sym_U_SQUOTE] = ACTIONS(2241),
    [anon_sym_u8_SQUOTE] = ACTIONS(2241),
    [anon_sym_SQUOTE] = ACTIONS(2241),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_true] = ACTIONS(2245),
    [sym_false] = ACTIONS(2245),
    [anon_sym_NULL] = ACTIONS(2247),
    [anon_sym_nullptr] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [anon_sym_co_await] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2255),
    [anon_sym_requires] = ACTIONS(2257),
    [sym_this] = ACTIONS(2245),
  },
  [1608] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5264),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1609] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3159),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3233),
    [sym_char_literal] = STATE(3233),
    [sym_concatenated_string] = STATE(3211),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2303),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2169),
    [aux_sym_number_literal_token2] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2173),
    [anon_sym_u_SQUOTE] = ACTIONS(2173),
    [anon_sym_U_SQUOTE] = ACTIONS(2173),
    [anon_sym_u8_SQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2183),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [anon_sym_co_await] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1610] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4190),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1611] = {
    [sym_primitive_type] = STATE(7598),
    [sym__expression] = STATE(3789),
    [sym__expression_not_binary] = STATE(4253),
    [sym__string] = STATE(4253),
    [sym_conditional_expression] = STATE(4253),
    [sym_assignment_expression] = STATE(4253),
    [sym_pointer_expression] = STATE(4253),
    [sym_unary_expression] = STATE(4253),
    [sym_binary_expression] = STATE(4253),
    [sym_update_expression] = STATE(4253),
    [sym_cast_expression] = STATE(4253),
    [sym_sizeof_expression] = STATE(4253),
    [sym_alignof_expression] = STATE(4253),
    [sym_offsetof_expression] = STATE(4253),
    [sym_generic_expression] = STATE(4253),
    [sym_subscript_expression] = STATE(4253),
    [sym_call_expression] = STATE(4253),
    [sym_gnu_asm_expression] = STATE(4253),
    [sym_field_expression] = STATE(4253),
    [sym_compound_literal_expression] = STATE(4253),
    [sym_parenthesized_expression] = STATE(4253),
    [sym_number_literal] = STATE(4051),
    [sym_char_literal] = STATE(4051),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2771),
    [sym_null] = STATE(4253),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8475),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4253),
    [sym_raw_string_literal] = STATE(2791),
    [sym_co_await_expression] = STATE(4253),
    [sym_new_expression] = STATE(4253),
    [sym_delete_expression] = STATE(4253),
    [sym_requires_clause] = STATE(4253),
    [sym_requires_expression] = STATE(4253),
    [sym_lambda_expression] = STATE(4253),
    [sym_lambda_capture_specifier] = STATE(6572),
    [sym_fold_expression] = STATE(4253),
    [sym_parameter_pack_expansion] = STATE(4253),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4253),
    [sym_qualified_type_identifier] = STATE(8475),
    [sym_user_defined_literal] = STATE(4253),
    [sym_identifier] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4688),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [aux_sym_number_literal_token1] = ACTIONS(2542),
    [aux_sym_number_literal_token2] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2550),
  },
  [1612] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5403),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1613] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3688),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1614] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3687),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1615] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3683),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1616] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3682),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1617] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5136),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1618] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5364),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1619] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5163),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1620] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5307),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1621] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5391),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1622] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3363),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(5023),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1623] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4760),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3354),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3354),
    [sym_call_expression] = STATE(3354),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3354),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3354),
    [sym_number_literal] = STATE(4808),
    [sym_char_literal] = STATE(4808),
    [sym_concatenated_string] = STATE(4862),
    [sym_string_literal] = STATE(3451),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3452),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3354),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3354),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_DASH] = ACTIONS(3555),
    [anon_sym_PLUS] = ACTIONS(3555),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3559),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3555),
    [anon_sym_compl] = ACTIONS(3555),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3565),
    [aux_sym_number_literal_token2] = ACTIONS(3567),
    [anon_sym_L_SQUOTE] = ACTIONS(3569),
    [anon_sym_u_SQUOTE] = ACTIONS(3569),
    [anon_sym_U_SQUOTE] = ACTIONS(3569),
    [anon_sym_u8_SQUOTE] = ACTIONS(3569),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3573),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
    [anon_sym_co_await] = ACTIONS(3577),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_requires] = ACTIONS(3581),
    [sym_this] = ACTIONS(219),
  },
  [1624] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5168),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1625] = {
    [sym_primitive_type] = STATE(7583),
    [sym__expression] = STATE(3317),
    [sym__expression_not_binary] = STATE(3727),
    [sym__string] = STATE(3727),
    [sym_conditional_expression] = STATE(3727),
    [sym_assignment_expression] = STATE(3727),
    [sym_pointer_expression] = STATE(3727),
    [sym_unary_expression] = STATE(3727),
    [sym_binary_expression] = STATE(3727),
    [sym_update_expression] = STATE(3727),
    [sym_cast_expression] = STATE(3727),
    [sym_sizeof_expression] = STATE(3727),
    [sym_alignof_expression] = STATE(3727),
    [sym_offsetof_expression] = STATE(3727),
    [sym_generic_expression] = STATE(3727),
    [sym_subscript_expression] = STATE(3727),
    [sym_call_expression] = STATE(3727),
    [sym_gnu_asm_expression] = STATE(3727),
    [sym_field_expression] = STATE(3727),
    [sym_compound_literal_expression] = STATE(3727),
    [sym_parenthesized_expression] = STATE(3727),
    [sym_number_literal] = STATE(3478),
    [sym_char_literal] = STATE(3478),
    [sym_concatenated_string] = STATE(3481),
    [sym_string_literal] = STATE(2496),
    [sym_null] = STATE(3727),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3727),
    [sym_raw_string_literal] = STATE(2431),
    [sym_co_await_expression] = STATE(3727),
    [sym_new_expression] = STATE(3727),
    [sym_delete_expression] = STATE(3727),
    [sym_requires_clause] = STATE(3727),
    [sym_requires_expression] = STATE(3727),
    [sym_lambda_expression] = STATE(3727),
    [sym_lambda_capture_specifier] = STATE(6580),
    [sym_fold_expression] = STATE(3727),
    [sym_parameter_pack_expansion] = STATE(3727),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3727),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(3727),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2219),
    [anon_sym_compl] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2227),
    [anon_sym___alignof__] = ACTIONS(2229),
    [anon_sym___alignof] = ACTIONS(2229),
    [anon_sym__alignof] = ACTIONS(2229),
    [anon_sym_alignof] = ACTIONS(2229),
    [anon_sym__Alignof] = ACTIONS(2229),
    [anon_sym_offsetof] = ACTIONS(2231),
    [anon_sym__Generic] = ACTIONS(2233),
    [anon_sym_asm] = ACTIONS(2235),
    [anon_sym___asm__] = ACTIONS(2235),
    [aux_sym_number_literal_token1] = ACTIONS(2237),
    [aux_sym_number_literal_token2] = ACTIONS(2239),
    [anon_sym_L_SQUOTE] = ACTIONS(2241),
    [anon_sym_u_SQUOTE] = ACTIONS(2241),
    [anon_sym_U_SQUOTE] = ACTIONS(2241),
    [anon_sym_u8_SQUOTE] = ACTIONS(2241),
    [anon_sym_SQUOTE] = ACTIONS(2241),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_true] = ACTIONS(2245),
    [sym_false] = ACTIONS(2245),
    [anon_sym_NULL] = ACTIONS(2247),
    [anon_sym_nullptr] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [anon_sym_co_await] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2255),
    [anon_sym_requires] = ACTIONS(2257),
    [sym_this] = ACTIONS(2245),
  },
  [1626] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5090),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1627] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5219),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1628] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4472),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1629] = {
    [sym_primitive_type] = STATE(7581),
    [sym__expression] = STATE(4873),
    [sym__expression_not_binary] = STATE(5075),
    [sym__string] = STATE(5075),
    [sym_conditional_expression] = STATE(5075),
    [sym_assignment_expression] = STATE(5075),
    [sym_pointer_expression] = STATE(3529),
    [sym_unary_expression] = STATE(5075),
    [sym_binary_expression] = STATE(5075),
    [sym_update_expression] = STATE(5075),
    [sym_cast_expression] = STATE(5075),
    [sym_sizeof_expression] = STATE(5075),
    [sym_alignof_expression] = STATE(5075),
    [sym_offsetof_expression] = STATE(5075),
    [sym_generic_expression] = STATE(5075),
    [sym_subscript_expression] = STATE(3529),
    [sym_call_expression] = STATE(3529),
    [sym_gnu_asm_expression] = STATE(5075),
    [sym_field_expression] = STATE(3529),
    [sym_compound_literal_expression] = STATE(5075),
    [sym_parenthesized_expression] = STATE(3529),
    [sym_number_literal] = STATE(4933),
    [sym_char_literal] = STATE(4933),
    [sym_concatenated_string] = STATE(4934),
    [sym_string_literal] = STATE(3806),
    [sym_null] = STATE(5075),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8260),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5075),
    [sym_raw_string_literal] = STATE(3801),
    [sym_co_await_expression] = STATE(5075),
    [sym_new_expression] = STATE(5075),
    [sym_delete_expression] = STATE(5075),
    [sym_requires_clause] = STATE(5075),
    [sym_requires_expression] = STATE(5075),
    [sym_lambda_expression] = STATE(5075),
    [sym_lambda_capture_specifier] = STATE(6621),
    [sym_fold_expression] = STATE(5075),
    [sym_parameter_pack_expansion] = STATE(5075),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3529),
    [sym_qualified_type_identifier] = STATE(8260),
    [sym_user_defined_literal] = STATE(3529),
    [sym_identifier] = ACTIONS(4618),
    [anon_sym_LPAREN2] = ACTIONS(4742),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3713),
    [anon_sym_compl] = ACTIONS(3713),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym___alignof__] = ACTIONS(3723),
    [anon_sym___alignof] = ACTIONS(3723),
    [anon_sym__alignof] = ACTIONS(3723),
    [anon_sym_alignof] = ACTIONS(3723),
    [anon_sym__Alignof] = ACTIONS(3723),
    [anon_sym_offsetof] = ACTIONS(3725),
    [anon_sym__Generic] = ACTIONS(3727),
    [anon_sym_asm] = ACTIONS(3729),
    [anon_sym___asm__] = ACTIONS(3729),
    [aux_sym_number_literal_token1] = ACTIONS(3731),
    [aux_sym_number_literal_token2] = ACTIONS(3733),
    [anon_sym_L_SQUOTE] = ACTIONS(3735),
    [anon_sym_u_SQUOTE] = ACTIONS(3735),
    [anon_sym_U_SQUOTE] = ACTIONS(3735),
    [anon_sym_u8_SQUOTE] = ACTIONS(3735),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [anon_sym_L_DQUOTE] = ACTIONS(3737),
    [anon_sym_u_DQUOTE] = ACTIONS(3737),
    [anon_sym_U_DQUOTE] = ACTIONS(3737),
    [anon_sym_u8_DQUOTE] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3737),
    [sym_true] = ACTIONS(3739),
    [sym_false] = ACTIONS(3739),
    [anon_sym_NULL] = ACTIONS(3741),
    [anon_sym_nullptr] = ACTIONS(3741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_R_DQUOTE] = ACTIONS(3745),
    [anon_sym_LR_DQUOTE] = ACTIONS(3745),
    [anon_sym_uR_DQUOTE] = ACTIONS(3745),
    [anon_sym_UR_DQUOTE] = ACTIONS(3745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3745),
    [anon_sym_co_await] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_requires] = ACTIONS(3751),
    [sym_this] = ACTIONS(3739),
  },
  [1630] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5087),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1631] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3681),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1632] = {
    [sym_primitive_type] = STATE(7583),
    [sym__expression] = STATE(3316),
    [sym__expression_not_binary] = STATE(3727),
    [sym__string] = STATE(3727),
    [sym_conditional_expression] = STATE(3727),
    [sym_assignment_expression] = STATE(3727),
    [sym_pointer_expression] = STATE(3727),
    [sym_unary_expression] = STATE(3727),
    [sym_binary_expression] = STATE(3727),
    [sym_update_expression] = STATE(3727),
    [sym_cast_expression] = STATE(3727),
    [sym_sizeof_expression] = STATE(3727),
    [sym_alignof_expression] = STATE(3727),
    [sym_offsetof_expression] = STATE(3727),
    [sym_generic_expression] = STATE(3727),
    [sym_subscript_expression] = STATE(3727),
    [sym_call_expression] = STATE(3727),
    [sym_gnu_asm_expression] = STATE(3727),
    [sym_field_expression] = STATE(3727),
    [sym_compound_literal_expression] = STATE(3727),
    [sym_parenthesized_expression] = STATE(3727),
    [sym_number_literal] = STATE(3478),
    [sym_char_literal] = STATE(3478),
    [sym_concatenated_string] = STATE(3481),
    [sym_string_literal] = STATE(2496),
    [sym_null] = STATE(3727),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3727),
    [sym_raw_string_literal] = STATE(2431),
    [sym_co_await_expression] = STATE(3727),
    [sym_new_expression] = STATE(3727),
    [sym_delete_expression] = STATE(3727),
    [sym_requires_clause] = STATE(3727),
    [sym_requires_expression] = STATE(3727),
    [sym_lambda_expression] = STATE(3727),
    [sym_lambda_capture_specifier] = STATE(6580),
    [sym_fold_expression] = STATE(3727),
    [sym_parameter_pack_expansion] = STATE(3727),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3727),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(3727),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2219),
    [anon_sym_compl] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2227),
    [anon_sym___alignof__] = ACTIONS(2229),
    [anon_sym___alignof] = ACTIONS(2229),
    [anon_sym__alignof] = ACTIONS(2229),
    [anon_sym_alignof] = ACTIONS(2229),
    [anon_sym__Alignof] = ACTIONS(2229),
    [anon_sym_offsetof] = ACTIONS(2231),
    [anon_sym__Generic] = ACTIONS(2233),
    [anon_sym_asm] = ACTIONS(2235),
    [anon_sym___asm__] = ACTIONS(2235),
    [aux_sym_number_literal_token1] = ACTIONS(2237),
    [aux_sym_number_literal_token2] = ACTIONS(2239),
    [anon_sym_L_SQUOTE] = ACTIONS(2241),
    [anon_sym_u_SQUOTE] = ACTIONS(2241),
    [anon_sym_U_SQUOTE] = ACTIONS(2241),
    [anon_sym_u8_SQUOTE] = ACTIONS(2241),
    [anon_sym_SQUOTE] = ACTIONS(2241),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_true] = ACTIONS(2245),
    [sym_false] = ACTIONS(2245),
    [anon_sym_NULL] = ACTIONS(2247),
    [anon_sym_nullptr] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [anon_sym_co_await] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2255),
    [anon_sym_requires] = ACTIONS(2257),
    [sym_this] = ACTIONS(2245),
  },
  [1633] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5086),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1634] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5247),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1635] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5252),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(5025),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1636] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5348),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1637] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5085),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1638] = {
    [sym_primitive_type] = STATE(7583),
    [sym__expression] = STATE(3311),
    [sym__expression_not_binary] = STATE(3727),
    [sym__string] = STATE(3727),
    [sym_conditional_expression] = STATE(3727),
    [sym_assignment_expression] = STATE(3727),
    [sym_pointer_expression] = STATE(3727),
    [sym_unary_expression] = STATE(3727),
    [sym_binary_expression] = STATE(3727),
    [sym_update_expression] = STATE(3727),
    [sym_cast_expression] = STATE(3727),
    [sym_sizeof_expression] = STATE(3727),
    [sym_alignof_expression] = STATE(3727),
    [sym_offsetof_expression] = STATE(3727),
    [sym_generic_expression] = STATE(3727),
    [sym_subscript_expression] = STATE(3727),
    [sym_call_expression] = STATE(3727),
    [sym_gnu_asm_expression] = STATE(3727),
    [sym_field_expression] = STATE(3727),
    [sym_compound_literal_expression] = STATE(3727),
    [sym_parenthesized_expression] = STATE(3727),
    [sym_number_literal] = STATE(3478),
    [sym_char_literal] = STATE(3478),
    [sym_concatenated_string] = STATE(3481),
    [sym_string_literal] = STATE(2496),
    [sym_null] = STATE(3727),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3727),
    [sym_raw_string_literal] = STATE(2431),
    [sym_co_await_expression] = STATE(3727),
    [sym_new_expression] = STATE(3727),
    [sym_delete_expression] = STATE(3727),
    [sym_requires_clause] = STATE(3727),
    [sym_requires_expression] = STATE(3727),
    [sym_lambda_expression] = STATE(3727),
    [sym_lambda_capture_specifier] = STATE(6580),
    [sym_fold_expression] = STATE(3727),
    [sym_parameter_pack_expansion] = STATE(3727),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3727),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(3727),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2219),
    [anon_sym_compl] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2227),
    [anon_sym___alignof__] = ACTIONS(2229),
    [anon_sym___alignof] = ACTIONS(2229),
    [anon_sym__alignof] = ACTIONS(2229),
    [anon_sym_alignof] = ACTIONS(2229),
    [anon_sym__Alignof] = ACTIONS(2229),
    [anon_sym_offsetof] = ACTIONS(2231),
    [anon_sym__Generic] = ACTIONS(2233),
    [anon_sym_asm] = ACTIONS(2235),
    [anon_sym___asm__] = ACTIONS(2235),
    [aux_sym_number_literal_token1] = ACTIONS(2237),
    [aux_sym_number_literal_token2] = ACTIONS(2239),
    [anon_sym_L_SQUOTE] = ACTIONS(2241),
    [anon_sym_u_SQUOTE] = ACTIONS(2241),
    [anon_sym_U_SQUOTE] = ACTIONS(2241),
    [anon_sym_u8_SQUOTE] = ACTIONS(2241),
    [anon_sym_SQUOTE] = ACTIONS(2241),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_true] = ACTIONS(2245),
    [sym_false] = ACTIONS(2245),
    [anon_sym_NULL] = ACTIONS(2247),
    [anon_sym_nullptr] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [anon_sym_co_await] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2255),
    [anon_sym_requires] = ACTIONS(2257),
    [sym_this] = ACTIONS(2245),
  },
  [1639] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4741),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3354),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3354),
    [sym_call_expression] = STATE(3354),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3354),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3354),
    [sym_number_literal] = STATE(4808),
    [sym_char_literal] = STATE(4808),
    [sym_concatenated_string] = STATE(4862),
    [sym_string_literal] = STATE(3451),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3452),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3354),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3354),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_DASH] = ACTIONS(3555),
    [anon_sym_PLUS] = ACTIONS(3555),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3559),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3555),
    [anon_sym_compl] = ACTIONS(3555),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3565),
    [aux_sym_number_literal_token2] = ACTIONS(3567),
    [anon_sym_L_SQUOTE] = ACTIONS(3569),
    [anon_sym_u_SQUOTE] = ACTIONS(3569),
    [anon_sym_U_SQUOTE] = ACTIONS(3569),
    [anon_sym_u8_SQUOTE] = ACTIONS(3569),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3573),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
    [anon_sym_co_await] = ACTIONS(3577),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_requires] = ACTIONS(3581),
    [sym_this] = ACTIONS(219),
  },
  [1640] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3151),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3233),
    [sym_char_literal] = STATE(3233),
    [sym_concatenated_string] = STATE(3211),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2303),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2169),
    [aux_sym_number_literal_token2] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2173),
    [anon_sym_u_SQUOTE] = ACTIONS(2173),
    [anon_sym_U_SQUOTE] = ACTIONS(2173),
    [anon_sym_u8_SQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2183),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [anon_sym_co_await] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1641] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5082),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1642] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5081),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1643] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5230),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1644] = {
    [sym_primitive_type] = STATE(7598),
    [sym__expression] = STATE(3830),
    [sym__expression_not_binary] = STATE(4253),
    [sym__string] = STATE(4253),
    [sym_conditional_expression] = STATE(4253),
    [sym_assignment_expression] = STATE(4253),
    [sym_pointer_expression] = STATE(4253),
    [sym_unary_expression] = STATE(4253),
    [sym_binary_expression] = STATE(4253),
    [sym_update_expression] = STATE(4253),
    [sym_cast_expression] = STATE(4253),
    [sym_sizeof_expression] = STATE(4253),
    [sym_alignof_expression] = STATE(4253),
    [sym_offsetof_expression] = STATE(4253),
    [sym_generic_expression] = STATE(4253),
    [sym_subscript_expression] = STATE(4253),
    [sym_call_expression] = STATE(4253),
    [sym_gnu_asm_expression] = STATE(4253),
    [sym_field_expression] = STATE(4253),
    [sym_compound_literal_expression] = STATE(4253),
    [sym_parenthesized_expression] = STATE(4253),
    [sym_number_literal] = STATE(4051),
    [sym_char_literal] = STATE(4051),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2771),
    [sym_null] = STATE(4253),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8475),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4253),
    [sym_raw_string_literal] = STATE(2791),
    [sym_co_await_expression] = STATE(4253),
    [sym_new_expression] = STATE(4253),
    [sym_delete_expression] = STATE(4253),
    [sym_requires_clause] = STATE(4253),
    [sym_requires_expression] = STATE(4253),
    [sym_lambda_expression] = STATE(4253),
    [sym_lambda_capture_specifier] = STATE(6572),
    [sym_fold_expression] = STATE(4253),
    [sym_parameter_pack_expansion] = STATE(4253),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4253),
    [sym_qualified_type_identifier] = STATE(8475),
    [sym_user_defined_literal] = STATE(4253),
    [sym_identifier] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(5027),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4688),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [aux_sym_number_literal_token1] = ACTIONS(2542),
    [aux_sym_number_literal_token2] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2550),
  },
  [1645] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3678),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1646] = {
    [sym_primitive_type] = STATE(7583),
    [sym__expression] = STATE(3315),
    [sym__expression_not_binary] = STATE(3727),
    [sym__string] = STATE(3727),
    [sym_conditional_expression] = STATE(3727),
    [sym_assignment_expression] = STATE(3727),
    [sym_pointer_expression] = STATE(3727),
    [sym_unary_expression] = STATE(3727),
    [sym_binary_expression] = STATE(3727),
    [sym_update_expression] = STATE(3727),
    [sym_cast_expression] = STATE(3727),
    [sym_sizeof_expression] = STATE(3727),
    [sym_alignof_expression] = STATE(3727),
    [sym_offsetof_expression] = STATE(3727),
    [sym_generic_expression] = STATE(3727),
    [sym_subscript_expression] = STATE(3727),
    [sym_call_expression] = STATE(3727),
    [sym_gnu_asm_expression] = STATE(3727),
    [sym_field_expression] = STATE(3727),
    [sym_compound_literal_expression] = STATE(3727),
    [sym_parenthesized_expression] = STATE(3727),
    [sym_number_literal] = STATE(3478),
    [sym_char_literal] = STATE(3478),
    [sym_concatenated_string] = STATE(3481),
    [sym_string_literal] = STATE(2496),
    [sym_null] = STATE(3727),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3727),
    [sym_raw_string_literal] = STATE(2431),
    [sym_co_await_expression] = STATE(3727),
    [sym_new_expression] = STATE(3727),
    [sym_delete_expression] = STATE(3727),
    [sym_requires_clause] = STATE(3727),
    [sym_requires_expression] = STATE(3727),
    [sym_lambda_expression] = STATE(3727),
    [sym_lambda_capture_specifier] = STATE(6580),
    [sym_fold_expression] = STATE(3727),
    [sym_parameter_pack_expansion] = STATE(3727),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3727),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(3727),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2219),
    [anon_sym_compl] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2227),
    [anon_sym___alignof__] = ACTIONS(2229),
    [anon_sym___alignof] = ACTIONS(2229),
    [anon_sym__alignof] = ACTIONS(2229),
    [anon_sym_alignof] = ACTIONS(2229),
    [anon_sym__Alignof] = ACTIONS(2229),
    [anon_sym_offsetof] = ACTIONS(2231),
    [anon_sym__Generic] = ACTIONS(2233),
    [anon_sym_asm] = ACTIONS(2235),
    [anon_sym___asm__] = ACTIONS(2235),
    [aux_sym_number_literal_token1] = ACTIONS(2237),
    [aux_sym_number_literal_token2] = ACTIONS(2239),
    [anon_sym_L_SQUOTE] = ACTIONS(2241),
    [anon_sym_u_SQUOTE] = ACTIONS(2241),
    [anon_sym_U_SQUOTE] = ACTIONS(2241),
    [anon_sym_u8_SQUOTE] = ACTIONS(2241),
    [anon_sym_SQUOTE] = ACTIONS(2241),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_true] = ACTIONS(2245),
    [sym_false] = ACTIONS(2245),
    [anon_sym_NULL] = ACTIONS(2247),
    [anon_sym_nullptr] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [anon_sym_co_await] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2255),
    [anon_sym_requires] = ACTIONS(2257),
    [sym_this] = ACTIONS(2245),
  },
  [1647] = {
    [sym_primitive_type] = STATE(7433),
    [sym__expression] = STATE(5408),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1648] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4747),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3354),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3354),
    [sym_call_expression] = STATE(3354),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3354),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3354),
    [sym_number_literal] = STATE(4808),
    [sym_char_literal] = STATE(4808),
    [sym_concatenated_string] = STATE(4862),
    [sym_string_literal] = STATE(3451),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3452),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3354),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3354),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_DASH] = ACTIONS(3555),
    [anon_sym_PLUS] = ACTIONS(3555),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3559),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3555),
    [anon_sym_compl] = ACTIONS(3555),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3565),
    [aux_sym_number_literal_token2] = ACTIONS(3567),
    [anon_sym_L_SQUOTE] = ACTIONS(3569),
    [anon_sym_u_SQUOTE] = ACTIONS(3569),
    [anon_sym_U_SQUOTE] = ACTIONS(3569),
    [anon_sym_u8_SQUOTE] = ACTIONS(3569),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3573),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
    [anon_sym_co_await] = ACTIONS(3577),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_requires] = ACTIONS(3581),
    [sym_this] = ACTIONS(219),
  },
  [1649] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3677),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1650] = {
    [sym_primitive_type] = STATE(7583),
    [sym__expression] = STATE(3336),
    [sym__expression_not_binary] = STATE(3727),
    [sym__string] = STATE(3727),
    [sym_conditional_expression] = STATE(3727),
    [sym_assignment_expression] = STATE(3727),
    [sym_pointer_expression] = STATE(3727),
    [sym_unary_expression] = STATE(3727),
    [sym_binary_expression] = STATE(3727),
    [sym_update_expression] = STATE(3727),
    [sym_cast_expression] = STATE(3727),
    [sym_sizeof_expression] = STATE(3727),
    [sym_alignof_expression] = STATE(3727),
    [sym_offsetof_expression] = STATE(3727),
    [sym_generic_expression] = STATE(3727),
    [sym_subscript_expression] = STATE(3727),
    [sym_call_expression] = STATE(3727),
    [sym_gnu_asm_expression] = STATE(3727),
    [sym_field_expression] = STATE(3727),
    [sym_compound_literal_expression] = STATE(3727),
    [sym_parenthesized_expression] = STATE(3727),
    [sym_number_literal] = STATE(3478),
    [sym_char_literal] = STATE(3478),
    [sym_concatenated_string] = STATE(3481),
    [sym_string_literal] = STATE(2496),
    [sym_null] = STATE(3727),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3727),
    [sym_raw_string_literal] = STATE(2431),
    [sym_co_await_expression] = STATE(3727),
    [sym_new_expression] = STATE(3727),
    [sym_delete_expression] = STATE(3727),
    [sym_requires_clause] = STATE(3727),
    [sym_requires_expression] = STATE(3727),
    [sym_lambda_expression] = STATE(3727),
    [sym_lambda_capture_specifier] = STATE(6580),
    [sym_fold_expression] = STATE(3727),
    [sym_parameter_pack_expansion] = STATE(3727),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3727),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(3727),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2219),
    [anon_sym_compl] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2227),
    [anon_sym___alignof__] = ACTIONS(2229),
    [anon_sym___alignof] = ACTIONS(2229),
    [anon_sym__alignof] = ACTIONS(2229),
    [anon_sym_alignof] = ACTIONS(2229),
    [anon_sym__Alignof] = ACTIONS(2229),
    [anon_sym_offsetof] = ACTIONS(2231),
    [anon_sym__Generic] = ACTIONS(2233),
    [anon_sym_asm] = ACTIONS(2235),
    [anon_sym___asm__] = ACTIONS(2235),
    [aux_sym_number_literal_token1] = ACTIONS(2237),
    [aux_sym_number_literal_token2] = ACTIONS(2239),
    [anon_sym_L_SQUOTE] = ACTIONS(2241),
    [anon_sym_u_SQUOTE] = ACTIONS(2241),
    [anon_sym_U_SQUOTE] = ACTIONS(2241),
    [anon_sym_u8_SQUOTE] = ACTIONS(2241),
    [anon_sym_SQUOTE] = ACTIONS(2241),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_true] = ACTIONS(2245),
    [sym_false] = ACTIONS(2245),
    [anon_sym_NULL] = ACTIONS(2247),
    [anon_sym_nullptr] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [anon_sym_co_await] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2255),
    [anon_sym_requires] = ACTIONS(2257),
    [sym_this] = ACTIONS(2245),
  },
  [1651] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5234),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1652] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4472),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1653] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5233),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1654] = {
    [sym_primitive_type] = STATE(7583),
    [sym__expression] = STATE(3337),
    [sym__expression_not_binary] = STATE(3727),
    [sym__string] = STATE(3727),
    [sym_conditional_expression] = STATE(3727),
    [sym_assignment_expression] = STATE(3727),
    [sym_pointer_expression] = STATE(3727),
    [sym_unary_expression] = STATE(3727),
    [sym_binary_expression] = STATE(3727),
    [sym_update_expression] = STATE(3727),
    [sym_cast_expression] = STATE(3727),
    [sym_sizeof_expression] = STATE(3727),
    [sym_alignof_expression] = STATE(3727),
    [sym_offsetof_expression] = STATE(3727),
    [sym_generic_expression] = STATE(3727),
    [sym_subscript_expression] = STATE(3727),
    [sym_call_expression] = STATE(3727),
    [sym_gnu_asm_expression] = STATE(3727),
    [sym_field_expression] = STATE(3727),
    [sym_compound_literal_expression] = STATE(3727),
    [sym_parenthesized_expression] = STATE(3727),
    [sym_number_literal] = STATE(3478),
    [sym_char_literal] = STATE(3478),
    [sym_concatenated_string] = STATE(3481),
    [sym_string_literal] = STATE(2496),
    [sym_null] = STATE(3727),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3727),
    [sym_raw_string_literal] = STATE(2431),
    [sym_co_await_expression] = STATE(3727),
    [sym_new_expression] = STATE(3727),
    [sym_delete_expression] = STATE(3727),
    [sym_requires_clause] = STATE(3727),
    [sym_requires_expression] = STATE(3727),
    [sym_lambda_expression] = STATE(3727),
    [sym_lambda_capture_specifier] = STATE(6580),
    [sym_fold_expression] = STATE(3727),
    [sym_parameter_pack_expansion] = STATE(3727),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3727),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(3727),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2219),
    [anon_sym_compl] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2227),
    [anon_sym___alignof__] = ACTIONS(2229),
    [anon_sym___alignof] = ACTIONS(2229),
    [anon_sym__alignof] = ACTIONS(2229),
    [anon_sym_alignof] = ACTIONS(2229),
    [anon_sym__Alignof] = ACTIONS(2229),
    [anon_sym_offsetof] = ACTIONS(2231),
    [anon_sym__Generic] = ACTIONS(2233),
    [anon_sym_asm] = ACTIONS(2235),
    [anon_sym___asm__] = ACTIONS(2235),
    [aux_sym_number_literal_token1] = ACTIONS(2237),
    [aux_sym_number_literal_token2] = ACTIONS(2239),
    [anon_sym_L_SQUOTE] = ACTIONS(2241),
    [anon_sym_u_SQUOTE] = ACTIONS(2241),
    [anon_sym_U_SQUOTE] = ACTIONS(2241),
    [anon_sym_u8_SQUOTE] = ACTIONS(2241),
    [anon_sym_SQUOTE] = ACTIONS(2241),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_true] = ACTIONS(2245),
    [sym_false] = ACTIONS(2245),
    [anon_sym_NULL] = ACTIONS(2247),
    [anon_sym_nullptr] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [anon_sym_co_await] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2255),
    [anon_sym_requires] = ACTIONS(2257),
    [sym_this] = ACTIONS(2245),
  },
  [1655] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5195),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1656] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5080),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1657] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5056),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1658] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3674),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1659] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5229),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1660] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5228),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1661] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5327),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1662] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5387),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1663] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5225),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1664] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5224),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1665] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5217),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1666] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4923),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1667] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5017),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1668] = {
    [sym_primitive_type] = STATE(7583),
    [sym__expression] = STATE(3314),
    [sym__expression_not_binary] = STATE(3727),
    [sym__string] = STATE(3727),
    [sym_conditional_expression] = STATE(3727),
    [sym_assignment_expression] = STATE(3727),
    [sym_pointer_expression] = STATE(3727),
    [sym_unary_expression] = STATE(3727),
    [sym_binary_expression] = STATE(3727),
    [sym_update_expression] = STATE(3727),
    [sym_cast_expression] = STATE(3727),
    [sym_sizeof_expression] = STATE(3727),
    [sym_alignof_expression] = STATE(3727),
    [sym_offsetof_expression] = STATE(3727),
    [sym_generic_expression] = STATE(3727),
    [sym_subscript_expression] = STATE(3727),
    [sym_call_expression] = STATE(3727),
    [sym_gnu_asm_expression] = STATE(3727),
    [sym_field_expression] = STATE(3727),
    [sym_compound_literal_expression] = STATE(3727),
    [sym_parenthesized_expression] = STATE(3727),
    [sym_number_literal] = STATE(3478),
    [sym_char_literal] = STATE(3478),
    [sym_concatenated_string] = STATE(3481),
    [sym_string_literal] = STATE(2496),
    [sym_null] = STATE(3727),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3727),
    [sym_raw_string_literal] = STATE(2431),
    [sym_co_await_expression] = STATE(3727),
    [sym_new_expression] = STATE(3727),
    [sym_delete_expression] = STATE(3727),
    [sym_requires_clause] = STATE(3727),
    [sym_requires_expression] = STATE(3727),
    [sym_lambda_expression] = STATE(3727),
    [sym_lambda_capture_specifier] = STATE(6580),
    [sym_fold_expression] = STATE(3727),
    [sym_parameter_pack_expansion] = STATE(3727),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3727),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(3727),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2219),
    [anon_sym_compl] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2227),
    [anon_sym___alignof__] = ACTIONS(2229),
    [anon_sym___alignof] = ACTIONS(2229),
    [anon_sym__alignof] = ACTIONS(2229),
    [anon_sym_alignof] = ACTIONS(2229),
    [anon_sym__Alignof] = ACTIONS(2229),
    [anon_sym_offsetof] = ACTIONS(2231),
    [anon_sym__Generic] = ACTIONS(2233),
    [anon_sym_asm] = ACTIONS(2235),
    [anon_sym___asm__] = ACTIONS(2235),
    [aux_sym_number_literal_token1] = ACTIONS(2237),
    [aux_sym_number_literal_token2] = ACTIONS(2239),
    [anon_sym_L_SQUOTE] = ACTIONS(2241),
    [anon_sym_u_SQUOTE] = ACTIONS(2241),
    [anon_sym_U_SQUOTE] = ACTIONS(2241),
    [anon_sym_u8_SQUOTE] = ACTIONS(2241),
    [anon_sym_SQUOTE] = ACTIONS(2241),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_true] = ACTIONS(2245),
    [sym_false] = ACTIONS(2245),
    [anon_sym_NULL] = ACTIONS(2247),
    [anon_sym_nullptr] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [anon_sym_co_await] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2255),
    [anon_sym_requires] = ACTIONS(2257),
    [sym_this] = ACTIONS(2245),
  },
  [1669] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4954),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1670] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4951),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1671] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4939),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1672] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4931),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1673] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4930),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1674] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1675] = {
    [sym_primitive_type] = STATE(7583),
    [sym__expression] = STATE(3326),
    [sym__expression_not_binary] = STATE(3727),
    [sym__string] = STATE(3727),
    [sym_conditional_expression] = STATE(3727),
    [sym_assignment_expression] = STATE(3727),
    [sym_pointer_expression] = STATE(3727),
    [sym_unary_expression] = STATE(3727),
    [sym_binary_expression] = STATE(3727),
    [sym_update_expression] = STATE(3727),
    [sym_cast_expression] = STATE(3727),
    [sym_sizeof_expression] = STATE(3727),
    [sym_alignof_expression] = STATE(3727),
    [sym_offsetof_expression] = STATE(3727),
    [sym_generic_expression] = STATE(3727),
    [sym_subscript_expression] = STATE(3727),
    [sym_call_expression] = STATE(3727),
    [sym_gnu_asm_expression] = STATE(3727),
    [sym_field_expression] = STATE(3727),
    [sym_compound_literal_expression] = STATE(3727),
    [sym_parenthesized_expression] = STATE(3727),
    [sym_number_literal] = STATE(3478),
    [sym_char_literal] = STATE(3478),
    [sym_concatenated_string] = STATE(3481),
    [sym_string_literal] = STATE(2496),
    [sym_null] = STATE(3727),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3727),
    [sym_raw_string_literal] = STATE(2431),
    [sym_co_await_expression] = STATE(3727),
    [sym_new_expression] = STATE(3727),
    [sym_delete_expression] = STATE(3727),
    [sym_requires_clause] = STATE(3727),
    [sym_requires_expression] = STATE(3727),
    [sym_lambda_expression] = STATE(3727),
    [sym_lambda_capture_specifier] = STATE(6580),
    [sym_fold_expression] = STATE(3727),
    [sym_parameter_pack_expansion] = STATE(3727),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3727),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(3727),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(5029),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2219),
    [anon_sym_compl] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2227),
    [anon_sym___alignof__] = ACTIONS(2229),
    [anon_sym___alignof] = ACTIONS(2229),
    [anon_sym__alignof] = ACTIONS(2229),
    [anon_sym_alignof] = ACTIONS(2229),
    [anon_sym__Alignof] = ACTIONS(2229),
    [anon_sym_offsetof] = ACTIONS(2231),
    [anon_sym__Generic] = ACTIONS(2233),
    [anon_sym_asm] = ACTIONS(2235),
    [anon_sym___asm__] = ACTIONS(2235),
    [aux_sym_number_literal_token1] = ACTIONS(2237),
    [aux_sym_number_literal_token2] = ACTIONS(2239),
    [anon_sym_L_SQUOTE] = ACTIONS(2241),
    [anon_sym_u_SQUOTE] = ACTIONS(2241),
    [anon_sym_U_SQUOTE] = ACTIONS(2241),
    [anon_sym_u8_SQUOTE] = ACTIONS(2241),
    [anon_sym_SQUOTE] = ACTIONS(2241),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_true] = ACTIONS(2245),
    [sym_false] = ACTIONS(2245),
    [anon_sym_NULL] = ACTIONS(2247),
    [anon_sym_nullptr] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [anon_sym_co_await] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2255),
    [anon_sym_requires] = ACTIONS(2257),
    [sym_this] = ACTIONS(2245),
  },
  [1676] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4922),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1677] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4925),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1678] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4936),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1679] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4472),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1680] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4940),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1681] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5214),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1682] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3384),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1683] = {
    [sym_primitive_type] = STATE(7583),
    [sym__expression] = STATE(3333),
    [sym__expression_not_binary] = STATE(3727),
    [sym__string] = STATE(3727),
    [sym_conditional_expression] = STATE(3727),
    [sym_assignment_expression] = STATE(3727),
    [sym_pointer_expression] = STATE(3727),
    [sym_unary_expression] = STATE(3727),
    [sym_binary_expression] = STATE(3727),
    [sym_update_expression] = STATE(3727),
    [sym_cast_expression] = STATE(3727),
    [sym_sizeof_expression] = STATE(3727),
    [sym_alignof_expression] = STATE(3727),
    [sym_offsetof_expression] = STATE(3727),
    [sym_generic_expression] = STATE(3727),
    [sym_subscript_expression] = STATE(3727),
    [sym_call_expression] = STATE(3727),
    [sym_gnu_asm_expression] = STATE(3727),
    [sym_field_expression] = STATE(3727),
    [sym_compound_literal_expression] = STATE(3727),
    [sym_parenthesized_expression] = STATE(3727),
    [sym_number_literal] = STATE(3478),
    [sym_char_literal] = STATE(3478),
    [sym_concatenated_string] = STATE(3481),
    [sym_string_literal] = STATE(2496),
    [sym_null] = STATE(3727),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3727),
    [sym_raw_string_literal] = STATE(2431),
    [sym_co_await_expression] = STATE(3727),
    [sym_new_expression] = STATE(3727),
    [sym_delete_expression] = STATE(3727),
    [sym_requires_clause] = STATE(3727),
    [sym_requires_expression] = STATE(3727),
    [sym_lambda_expression] = STATE(3727),
    [sym_lambda_capture_specifier] = STATE(6580),
    [sym_fold_expression] = STATE(3727),
    [sym_parameter_pack_expansion] = STATE(3727),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3727),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(3727),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2219),
    [anon_sym_compl] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2227),
    [anon_sym___alignof__] = ACTIONS(2229),
    [anon_sym___alignof] = ACTIONS(2229),
    [anon_sym__alignof] = ACTIONS(2229),
    [anon_sym_alignof] = ACTIONS(2229),
    [anon_sym__Alignof] = ACTIONS(2229),
    [anon_sym_offsetof] = ACTIONS(2231),
    [anon_sym__Generic] = ACTIONS(2233),
    [anon_sym_asm] = ACTIONS(2235),
    [anon_sym___asm__] = ACTIONS(2235),
    [aux_sym_number_literal_token1] = ACTIONS(2237),
    [aux_sym_number_literal_token2] = ACTIONS(2239),
    [anon_sym_L_SQUOTE] = ACTIONS(2241),
    [anon_sym_u_SQUOTE] = ACTIONS(2241),
    [anon_sym_U_SQUOTE] = ACTIONS(2241),
    [anon_sym_u8_SQUOTE] = ACTIONS(2241),
    [anon_sym_SQUOTE] = ACTIONS(2241),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_true] = ACTIONS(2245),
    [sym_false] = ACTIONS(2245),
    [anon_sym_NULL] = ACTIONS(2247),
    [anon_sym_nullptr] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [anon_sym_co_await] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2255),
    [anon_sym_requires] = ACTIONS(2257),
    [sym_this] = ACTIONS(2245),
  },
  [1684] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5209),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1685] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5213),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1686] = {
    [sym_primitive_type] = STATE(7583),
    [sym__expression] = STATE(3334),
    [sym__expression_not_binary] = STATE(3727),
    [sym__string] = STATE(3727),
    [sym_conditional_expression] = STATE(3727),
    [sym_assignment_expression] = STATE(3727),
    [sym_pointer_expression] = STATE(3727),
    [sym_unary_expression] = STATE(3727),
    [sym_binary_expression] = STATE(3727),
    [sym_update_expression] = STATE(3727),
    [sym_cast_expression] = STATE(3727),
    [sym_sizeof_expression] = STATE(3727),
    [sym_alignof_expression] = STATE(3727),
    [sym_offsetof_expression] = STATE(3727),
    [sym_generic_expression] = STATE(3727),
    [sym_subscript_expression] = STATE(3727),
    [sym_call_expression] = STATE(3727),
    [sym_gnu_asm_expression] = STATE(3727),
    [sym_field_expression] = STATE(3727),
    [sym_compound_literal_expression] = STATE(3727),
    [sym_parenthesized_expression] = STATE(3727),
    [sym_number_literal] = STATE(3478),
    [sym_char_literal] = STATE(3478),
    [sym_concatenated_string] = STATE(3481),
    [sym_string_literal] = STATE(2496),
    [sym_null] = STATE(3727),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3727),
    [sym_raw_string_literal] = STATE(2431),
    [sym_co_await_expression] = STATE(3727),
    [sym_new_expression] = STATE(3727),
    [sym_delete_expression] = STATE(3727),
    [sym_requires_clause] = STATE(3727),
    [sym_requires_expression] = STATE(3727),
    [sym_lambda_expression] = STATE(3727),
    [sym_lambda_capture_specifier] = STATE(6580),
    [sym_fold_expression] = STATE(3727),
    [sym_parameter_pack_expansion] = STATE(3727),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3727),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(3727),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(5031),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2219),
    [anon_sym_compl] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2227),
    [anon_sym___alignof__] = ACTIONS(2229),
    [anon_sym___alignof] = ACTIONS(2229),
    [anon_sym__alignof] = ACTIONS(2229),
    [anon_sym_alignof] = ACTIONS(2229),
    [anon_sym__Alignof] = ACTIONS(2229),
    [anon_sym_offsetof] = ACTIONS(2231),
    [anon_sym__Generic] = ACTIONS(2233),
    [anon_sym_asm] = ACTIONS(2235),
    [anon_sym___asm__] = ACTIONS(2235),
    [aux_sym_number_literal_token1] = ACTIONS(2237),
    [aux_sym_number_literal_token2] = ACTIONS(2239),
    [anon_sym_L_SQUOTE] = ACTIONS(2241),
    [anon_sym_u_SQUOTE] = ACTIONS(2241),
    [anon_sym_U_SQUOTE] = ACTIONS(2241),
    [anon_sym_u8_SQUOTE] = ACTIONS(2241),
    [anon_sym_SQUOTE] = ACTIONS(2241),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_true] = ACTIONS(2245),
    [sym_false] = ACTIONS(2245),
    [anon_sym_NULL] = ACTIONS(2247),
    [anon_sym_nullptr] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [anon_sym_co_await] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2255),
    [anon_sym_requires] = ACTIONS(2257),
    [sym_this] = ACTIONS(2245),
  },
  [1687] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5203),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1688] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5328),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1689] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4495),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1690] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4770),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3354),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3354),
    [sym_call_expression] = STATE(3354),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3354),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3354),
    [sym_number_literal] = STATE(4808),
    [sym_char_literal] = STATE(4808),
    [sym_concatenated_string] = STATE(4862),
    [sym_string_literal] = STATE(3451),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3452),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3354),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3354),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_DASH] = ACTIONS(3555),
    [anon_sym_PLUS] = ACTIONS(3555),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3559),
    [anon_sym_LBRACK] = ACTIONS(5033),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3555),
    [anon_sym_compl] = ACTIONS(3555),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3565),
    [aux_sym_number_literal_token2] = ACTIONS(3567),
    [anon_sym_L_SQUOTE] = ACTIONS(3569),
    [anon_sym_u_SQUOTE] = ACTIONS(3569),
    [anon_sym_U_SQUOTE] = ACTIONS(3569),
    [anon_sym_u8_SQUOTE] = ACTIONS(3569),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3573),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
    [anon_sym_co_await] = ACTIONS(3577),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_requires] = ACTIONS(3581),
    [sym_this] = ACTIONS(219),
  },
  [1691] = {
    [sym_primitive_type] = STATE(7598),
    [sym__expression] = STATE(3781),
    [sym__expression_not_binary] = STATE(4253),
    [sym__string] = STATE(4253),
    [sym_conditional_expression] = STATE(4253),
    [sym_assignment_expression] = STATE(4253),
    [sym_pointer_expression] = STATE(4253),
    [sym_unary_expression] = STATE(4253),
    [sym_binary_expression] = STATE(4253),
    [sym_update_expression] = STATE(4253),
    [sym_cast_expression] = STATE(4253),
    [sym_sizeof_expression] = STATE(4253),
    [sym_alignof_expression] = STATE(4253),
    [sym_offsetof_expression] = STATE(4253),
    [sym_generic_expression] = STATE(4253),
    [sym_subscript_expression] = STATE(4253),
    [sym_call_expression] = STATE(4253),
    [sym_gnu_asm_expression] = STATE(4253),
    [sym_field_expression] = STATE(4253),
    [sym_compound_literal_expression] = STATE(4253),
    [sym_parenthesized_expression] = STATE(4253),
    [sym_number_literal] = STATE(4051),
    [sym_char_literal] = STATE(4051),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2771),
    [sym_null] = STATE(4253),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8475),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4253),
    [sym_raw_string_literal] = STATE(2791),
    [sym_co_await_expression] = STATE(4253),
    [sym_new_expression] = STATE(4253),
    [sym_delete_expression] = STATE(4253),
    [sym_requires_clause] = STATE(4253),
    [sym_requires_expression] = STATE(4253),
    [sym_lambda_expression] = STATE(4253),
    [sym_lambda_capture_specifier] = STATE(6572),
    [sym_fold_expression] = STATE(4253),
    [sym_parameter_pack_expansion] = STATE(4253),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4253),
    [sym_qualified_type_identifier] = STATE(8475),
    [sym_user_defined_literal] = STATE(4253),
    [sym_identifier] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4688),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [aux_sym_number_literal_token1] = ACTIONS(2542),
    [aux_sym_number_literal_token2] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2550),
  },
  [1692] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4515),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3354),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3354),
    [sym_call_expression] = STATE(3354),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3354),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3354),
    [sym_number_literal] = STATE(4808),
    [sym_char_literal] = STATE(4808),
    [sym_concatenated_string] = STATE(4862),
    [sym_string_literal] = STATE(3451),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3452),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3354),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3354),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_DASH] = ACTIONS(3555),
    [anon_sym_PLUS] = ACTIONS(3555),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3559),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3555),
    [anon_sym_compl] = ACTIONS(3555),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3565),
    [aux_sym_number_literal_token2] = ACTIONS(3567),
    [anon_sym_L_SQUOTE] = ACTIONS(3569),
    [anon_sym_u_SQUOTE] = ACTIONS(3569),
    [anon_sym_U_SQUOTE] = ACTIONS(3569),
    [anon_sym_u8_SQUOTE] = ACTIONS(3569),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3573),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
    [anon_sym_co_await] = ACTIONS(3577),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_requires] = ACTIONS(3581),
    [sym_this] = ACTIONS(219),
  },
  [1693] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3673),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1694] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4429),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1695] = {
    [sym_primitive_type] = STATE(7581),
    [sym__expression] = STATE(4882),
    [sym__expression_not_binary] = STATE(5075),
    [sym__string] = STATE(5075),
    [sym_conditional_expression] = STATE(5075),
    [sym_assignment_expression] = STATE(5075),
    [sym_pointer_expression] = STATE(3529),
    [sym_unary_expression] = STATE(5075),
    [sym_binary_expression] = STATE(5075),
    [sym_update_expression] = STATE(5075),
    [sym_cast_expression] = STATE(5075),
    [sym_sizeof_expression] = STATE(5075),
    [sym_alignof_expression] = STATE(5075),
    [sym_offsetof_expression] = STATE(5075),
    [sym_generic_expression] = STATE(5075),
    [sym_subscript_expression] = STATE(3529),
    [sym_call_expression] = STATE(3529),
    [sym_gnu_asm_expression] = STATE(5075),
    [sym_field_expression] = STATE(3529),
    [sym_compound_literal_expression] = STATE(5075),
    [sym_parenthesized_expression] = STATE(3529),
    [sym_number_literal] = STATE(4933),
    [sym_char_literal] = STATE(4933),
    [sym_concatenated_string] = STATE(4934),
    [sym_string_literal] = STATE(3806),
    [sym_null] = STATE(5075),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8260),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5075),
    [sym_raw_string_literal] = STATE(3801),
    [sym_co_await_expression] = STATE(5075),
    [sym_new_expression] = STATE(5075),
    [sym_delete_expression] = STATE(5075),
    [sym_requires_clause] = STATE(5075),
    [sym_requires_expression] = STATE(5075),
    [sym_lambda_expression] = STATE(5075),
    [sym_lambda_capture_specifier] = STATE(6621),
    [sym_fold_expression] = STATE(5075),
    [sym_parameter_pack_expansion] = STATE(5075),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3529),
    [sym_qualified_type_identifier] = STATE(8260),
    [sym_user_defined_literal] = STATE(3529),
    [sym_identifier] = ACTIONS(4618),
    [anon_sym_LPAREN2] = ACTIONS(4742),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3713),
    [anon_sym_compl] = ACTIONS(3713),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym___alignof__] = ACTIONS(3723),
    [anon_sym___alignof] = ACTIONS(3723),
    [anon_sym__alignof] = ACTIONS(3723),
    [anon_sym_alignof] = ACTIONS(3723),
    [anon_sym__Alignof] = ACTIONS(3723),
    [anon_sym_offsetof] = ACTIONS(3725),
    [anon_sym__Generic] = ACTIONS(3727),
    [anon_sym_asm] = ACTIONS(3729),
    [anon_sym___asm__] = ACTIONS(3729),
    [aux_sym_number_literal_token1] = ACTIONS(3731),
    [aux_sym_number_literal_token2] = ACTIONS(3733),
    [anon_sym_L_SQUOTE] = ACTIONS(3735),
    [anon_sym_u_SQUOTE] = ACTIONS(3735),
    [anon_sym_U_SQUOTE] = ACTIONS(3735),
    [anon_sym_u8_SQUOTE] = ACTIONS(3735),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [anon_sym_L_DQUOTE] = ACTIONS(3737),
    [anon_sym_u_DQUOTE] = ACTIONS(3737),
    [anon_sym_U_DQUOTE] = ACTIONS(3737),
    [anon_sym_u8_DQUOTE] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3737),
    [sym_true] = ACTIONS(3739),
    [sym_false] = ACTIONS(3739),
    [anon_sym_NULL] = ACTIONS(3741),
    [anon_sym_nullptr] = ACTIONS(3741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_R_DQUOTE] = ACTIONS(3745),
    [anon_sym_LR_DQUOTE] = ACTIONS(3745),
    [anon_sym_uR_DQUOTE] = ACTIONS(3745),
    [anon_sym_UR_DQUOTE] = ACTIONS(3745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3745),
    [anon_sym_co_await] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_requires] = ACTIONS(3751),
    [sym_this] = ACTIONS(3739),
  },
  [1696] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5078),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1697] = {
    [sym_primitive_type] = STATE(7598),
    [sym__expression] = STATE(3902),
    [sym__expression_not_binary] = STATE(4253),
    [sym__string] = STATE(4253),
    [sym_conditional_expression] = STATE(4253),
    [sym_assignment_expression] = STATE(4253),
    [sym_pointer_expression] = STATE(4253),
    [sym_unary_expression] = STATE(4253),
    [sym_binary_expression] = STATE(4253),
    [sym_update_expression] = STATE(4253),
    [sym_cast_expression] = STATE(4253),
    [sym_sizeof_expression] = STATE(4253),
    [sym_alignof_expression] = STATE(4253),
    [sym_offsetof_expression] = STATE(4253),
    [sym_generic_expression] = STATE(4253),
    [sym_subscript_expression] = STATE(4253),
    [sym_call_expression] = STATE(4253),
    [sym_gnu_asm_expression] = STATE(4253),
    [sym_field_expression] = STATE(4253),
    [sym_compound_literal_expression] = STATE(4253),
    [sym_parenthesized_expression] = STATE(4253),
    [sym_number_literal] = STATE(4051),
    [sym_char_literal] = STATE(4051),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2771),
    [sym_null] = STATE(4253),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8475),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4253),
    [sym_raw_string_literal] = STATE(2791),
    [sym_co_await_expression] = STATE(4253),
    [sym_new_expression] = STATE(4253),
    [sym_delete_expression] = STATE(4253),
    [sym_requires_clause] = STATE(4253),
    [sym_requires_expression] = STATE(4253),
    [sym_lambda_expression] = STATE(4253),
    [sym_lambda_capture_specifier] = STATE(6572),
    [sym_fold_expression] = STATE(4253),
    [sym_parameter_pack_expansion] = STATE(4253),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4253),
    [sym_qualified_type_identifier] = STATE(8475),
    [sym_user_defined_literal] = STATE(4253),
    [sym_identifier] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4688),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [aux_sym_number_literal_token1] = ACTIONS(2542),
    [aux_sym_number_literal_token2] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2550),
  },
  [1698] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5235),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1699] = {
    [sym_primitive_type] = STATE(7581),
    [sym__expression] = STATE(4886),
    [sym__expression_not_binary] = STATE(5075),
    [sym__string] = STATE(5075),
    [sym_conditional_expression] = STATE(5075),
    [sym_assignment_expression] = STATE(5075),
    [sym_pointer_expression] = STATE(3529),
    [sym_unary_expression] = STATE(5075),
    [sym_binary_expression] = STATE(5075),
    [sym_update_expression] = STATE(5075),
    [sym_cast_expression] = STATE(5075),
    [sym_sizeof_expression] = STATE(5075),
    [sym_alignof_expression] = STATE(5075),
    [sym_offsetof_expression] = STATE(5075),
    [sym_generic_expression] = STATE(5075),
    [sym_subscript_expression] = STATE(3529),
    [sym_call_expression] = STATE(3529),
    [sym_gnu_asm_expression] = STATE(5075),
    [sym_field_expression] = STATE(3529),
    [sym_compound_literal_expression] = STATE(5075),
    [sym_parenthesized_expression] = STATE(3529),
    [sym_number_literal] = STATE(4933),
    [sym_char_literal] = STATE(4933),
    [sym_concatenated_string] = STATE(4934),
    [sym_string_literal] = STATE(3806),
    [sym_null] = STATE(5075),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8260),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5075),
    [sym_raw_string_literal] = STATE(3801),
    [sym_co_await_expression] = STATE(5075),
    [sym_new_expression] = STATE(5075),
    [sym_delete_expression] = STATE(5075),
    [sym_requires_clause] = STATE(5075),
    [sym_requires_expression] = STATE(5075),
    [sym_lambda_expression] = STATE(5075),
    [sym_lambda_capture_specifier] = STATE(6621),
    [sym_fold_expression] = STATE(5075),
    [sym_parameter_pack_expansion] = STATE(5075),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3529),
    [sym_qualified_type_identifier] = STATE(8260),
    [sym_user_defined_literal] = STATE(3529),
    [sym_identifier] = ACTIONS(4618),
    [anon_sym_LPAREN2] = ACTIONS(4742),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3713),
    [anon_sym_compl] = ACTIONS(3713),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym___alignof__] = ACTIONS(3723),
    [anon_sym___alignof] = ACTIONS(3723),
    [anon_sym__alignof] = ACTIONS(3723),
    [anon_sym_alignof] = ACTIONS(3723),
    [anon_sym__Alignof] = ACTIONS(3723),
    [anon_sym_offsetof] = ACTIONS(3725),
    [anon_sym__Generic] = ACTIONS(3727),
    [anon_sym_asm] = ACTIONS(3729),
    [anon_sym___asm__] = ACTIONS(3729),
    [aux_sym_number_literal_token1] = ACTIONS(3731),
    [aux_sym_number_literal_token2] = ACTIONS(3733),
    [anon_sym_L_SQUOTE] = ACTIONS(3735),
    [anon_sym_u_SQUOTE] = ACTIONS(3735),
    [anon_sym_U_SQUOTE] = ACTIONS(3735),
    [anon_sym_u8_SQUOTE] = ACTIONS(3735),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [anon_sym_L_DQUOTE] = ACTIONS(3737),
    [anon_sym_u_DQUOTE] = ACTIONS(3737),
    [anon_sym_U_DQUOTE] = ACTIONS(3737),
    [anon_sym_u8_DQUOTE] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3737),
    [sym_true] = ACTIONS(3739),
    [sym_false] = ACTIONS(3739),
    [anon_sym_NULL] = ACTIONS(3741),
    [anon_sym_nullptr] = ACTIONS(3741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_R_DQUOTE] = ACTIONS(3745),
    [anon_sym_LR_DQUOTE] = ACTIONS(3745),
    [anon_sym_uR_DQUOTE] = ACTIONS(3745),
    [anon_sym_UR_DQUOTE] = ACTIONS(3745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3745),
    [anon_sym_co_await] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_requires] = ACTIONS(3751),
    [sym_this] = ACTIONS(3739),
  },
  [1700] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5298),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1701] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5144),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1702] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4742),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3354),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3354),
    [sym_call_expression] = STATE(3354),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3354),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3354),
    [sym_number_literal] = STATE(4808),
    [sym_char_literal] = STATE(4808),
    [sym_concatenated_string] = STATE(4862),
    [sym_string_literal] = STATE(3451),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3452),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3354),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3354),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_DASH] = ACTIONS(3555),
    [anon_sym_PLUS] = ACTIONS(3555),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3559),
    [anon_sym_LBRACK] = ACTIONS(5035),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3555),
    [anon_sym_compl] = ACTIONS(3555),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3565),
    [aux_sym_number_literal_token2] = ACTIONS(3567),
    [anon_sym_L_SQUOTE] = ACTIONS(3569),
    [anon_sym_u_SQUOTE] = ACTIONS(3569),
    [anon_sym_U_SQUOTE] = ACTIONS(3569),
    [anon_sym_u8_SQUOTE] = ACTIONS(3569),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3573),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
    [anon_sym_co_await] = ACTIONS(3577),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_requires] = ACTIONS(3581),
    [sym_this] = ACTIONS(219),
  },
  [1703] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2844),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1704] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5198),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1705] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2822),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3233),
    [sym_char_literal] = STATE(3233),
    [sym_concatenated_string] = STATE(3211),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2303),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2169),
    [aux_sym_number_literal_token2] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2173),
    [anon_sym_u_SQUOTE] = ACTIONS(2173),
    [anon_sym_U_SQUOTE] = ACTIONS(2173),
    [anon_sym_u8_SQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2183),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [anon_sym_co_await] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1706] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5330),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1707] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3362),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(5037),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1708] = {
    [sym_primitive_type] = STATE(7581),
    [sym__expression] = STATE(4888),
    [sym__expression_not_binary] = STATE(5075),
    [sym__string] = STATE(5075),
    [sym_conditional_expression] = STATE(5075),
    [sym_assignment_expression] = STATE(5075),
    [sym_pointer_expression] = STATE(3529),
    [sym_unary_expression] = STATE(5075),
    [sym_binary_expression] = STATE(5075),
    [sym_update_expression] = STATE(5075),
    [sym_cast_expression] = STATE(5075),
    [sym_sizeof_expression] = STATE(5075),
    [sym_alignof_expression] = STATE(5075),
    [sym_offsetof_expression] = STATE(5075),
    [sym_generic_expression] = STATE(5075),
    [sym_subscript_expression] = STATE(3529),
    [sym_call_expression] = STATE(3529),
    [sym_gnu_asm_expression] = STATE(5075),
    [sym_field_expression] = STATE(3529),
    [sym_compound_literal_expression] = STATE(5075),
    [sym_parenthesized_expression] = STATE(3529),
    [sym_number_literal] = STATE(4933),
    [sym_char_literal] = STATE(4933),
    [sym_concatenated_string] = STATE(4934),
    [sym_string_literal] = STATE(3806),
    [sym_null] = STATE(5075),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8260),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5075),
    [sym_raw_string_literal] = STATE(3801),
    [sym_co_await_expression] = STATE(5075),
    [sym_new_expression] = STATE(5075),
    [sym_delete_expression] = STATE(5075),
    [sym_requires_clause] = STATE(5075),
    [sym_requires_expression] = STATE(5075),
    [sym_lambda_expression] = STATE(5075),
    [sym_lambda_capture_specifier] = STATE(6621),
    [sym_fold_expression] = STATE(5075),
    [sym_parameter_pack_expansion] = STATE(5075),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3529),
    [sym_qualified_type_identifier] = STATE(8260),
    [sym_user_defined_literal] = STATE(3529),
    [sym_identifier] = ACTIONS(4618),
    [anon_sym_LPAREN2] = ACTIONS(4742),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3713),
    [anon_sym_compl] = ACTIONS(3713),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym___alignof__] = ACTIONS(3723),
    [anon_sym___alignof] = ACTIONS(3723),
    [anon_sym__alignof] = ACTIONS(3723),
    [anon_sym_alignof] = ACTIONS(3723),
    [anon_sym__Alignof] = ACTIONS(3723),
    [anon_sym_offsetof] = ACTIONS(3725),
    [anon_sym__Generic] = ACTIONS(3727),
    [anon_sym_asm] = ACTIONS(3729),
    [anon_sym___asm__] = ACTIONS(3729),
    [aux_sym_number_literal_token1] = ACTIONS(3731),
    [aux_sym_number_literal_token2] = ACTIONS(3733),
    [anon_sym_L_SQUOTE] = ACTIONS(3735),
    [anon_sym_u_SQUOTE] = ACTIONS(3735),
    [anon_sym_U_SQUOTE] = ACTIONS(3735),
    [anon_sym_u8_SQUOTE] = ACTIONS(3735),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [anon_sym_L_DQUOTE] = ACTIONS(3737),
    [anon_sym_u_DQUOTE] = ACTIONS(3737),
    [anon_sym_U_DQUOTE] = ACTIONS(3737),
    [anon_sym_u8_DQUOTE] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3737),
    [sym_true] = ACTIONS(3739),
    [sym_false] = ACTIONS(3739),
    [anon_sym_NULL] = ACTIONS(3741),
    [anon_sym_nullptr] = ACTIONS(3741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_R_DQUOTE] = ACTIONS(3745),
    [anon_sym_LR_DQUOTE] = ACTIONS(3745),
    [anon_sym_uR_DQUOTE] = ACTIONS(3745),
    [anon_sym_UR_DQUOTE] = ACTIONS(3745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3745),
    [anon_sym_co_await] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_requires] = ACTIONS(3751),
    [sym_this] = ACTIONS(3739),
  },
  [1709] = {
    [sym_primitive_type] = STATE(7581),
    [sym__expression] = STATE(4889),
    [sym__expression_not_binary] = STATE(5075),
    [sym__string] = STATE(5075),
    [sym_conditional_expression] = STATE(5075),
    [sym_assignment_expression] = STATE(5075),
    [sym_pointer_expression] = STATE(3529),
    [sym_unary_expression] = STATE(5075),
    [sym_binary_expression] = STATE(5075),
    [sym_update_expression] = STATE(5075),
    [sym_cast_expression] = STATE(5075),
    [sym_sizeof_expression] = STATE(5075),
    [sym_alignof_expression] = STATE(5075),
    [sym_offsetof_expression] = STATE(5075),
    [sym_generic_expression] = STATE(5075),
    [sym_subscript_expression] = STATE(3529),
    [sym_call_expression] = STATE(3529),
    [sym_gnu_asm_expression] = STATE(5075),
    [sym_field_expression] = STATE(3529),
    [sym_compound_literal_expression] = STATE(5075),
    [sym_parenthesized_expression] = STATE(3529),
    [sym_number_literal] = STATE(4933),
    [sym_char_literal] = STATE(4933),
    [sym_concatenated_string] = STATE(4934),
    [sym_string_literal] = STATE(3806),
    [sym_null] = STATE(5075),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8260),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5075),
    [sym_raw_string_literal] = STATE(3801),
    [sym_co_await_expression] = STATE(5075),
    [sym_new_expression] = STATE(5075),
    [sym_delete_expression] = STATE(5075),
    [sym_requires_clause] = STATE(5075),
    [sym_requires_expression] = STATE(5075),
    [sym_lambda_expression] = STATE(5075),
    [sym_lambda_capture_specifier] = STATE(6621),
    [sym_fold_expression] = STATE(5075),
    [sym_parameter_pack_expansion] = STATE(5075),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3529),
    [sym_qualified_type_identifier] = STATE(8260),
    [sym_user_defined_literal] = STATE(3529),
    [sym_identifier] = ACTIONS(4618),
    [anon_sym_LPAREN2] = ACTIONS(4742),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3713),
    [anon_sym_compl] = ACTIONS(3713),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym___alignof__] = ACTIONS(3723),
    [anon_sym___alignof] = ACTIONS(3723),
    [anon_sym__alignof] = ACTIONS(3723),
    [anon_sym_alignof] = ACTIONS(3723),
    [anon_sym__Alignof] = ACTIONS(3723),
    [anon_sym_offsetof] = ACTIONS(3725),
    [anon_sym__Generic] = ACTIONS(3727),
    [anon_sym_asm] = ACTIONS(3729),
    [anon_sym___asm__] = ACTIONS(3729),
    [aux_sym_number_literal_token1] = ACTIONS(3731),
    [aux_sym_number_literal_token2] = ACTIONS(3733),
    [anon_sym_L_SQUOTE] = ACTIONS(3735),
    [anon_sym_u_SQUOTE] = ACTIONS(3735),
    [anon_sym_U_SQUOTE] = ACTIONS(3735),
    [anon_sym_u8_SQUOTE] = ACTIONS(3735),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [anon_sym_L_DQUOTE] = ACTIONS(3737),
    [anon_sym_u_DQUOTE] = ACTIONS(3737),
    [anon_sym_U_DQUOTE] = ACTIONS(3737),
    [anon_sym_u8_DQUOTE] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3737),
    [sym_true] = ACTIONS(3739),
    [sym_false] = ACTIONS(3739),
    [anon_sym_NULL] = ACTIONS(3741),
    [anon_sym_nullptr] = ACTIONS(3741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_R_DQUOTE] = ACTIONS(3745),
    [anon_sym_LR_DQUOTE] = ACTIONS(3745),
    [anon_sym_uR_DQUOTE] = ACTIONS(3745),
    [anon_sym_UR_DQUOTE] = ACTIONS(3745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3745),
    [anon_sym_co_await] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_requires] = ACTIONS(3751),
    [sym_this] = ACTIONS(3739),
  },
  [1710] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5397),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1711] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5357),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1712] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5411),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1713] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4749),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3354),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3354),
    [sym_call_expression] = STATE(3354),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3354),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3354),
    [sym_number_literal] = STATE(4808),
    [sym_char_literal] = STATE(4808),
    [sym_concatenated_string] = STATE(4862),
    [sym_string_literal] = STATE(3451),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3452),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3354),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3354),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_DASH] = ACTIONS(3555),
    [anon_sym_PLUS] = ACTIONS(3555),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3559),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3555),
    [anon_sym_compl] = ACTIONS(3555),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3565),
    [aux_sym_number_literal_token2] = ACTIONS(3567),
    [anon_sym_L_SQUOTE] = ACTIONS(3569),
    [anon_sym_u_SQUOTE] = ACTIONS(3569),
    [anon_sym_U_SQUOTE] = ACTIONS(3569),
    [anon_sym_u8_SQUOTE] = ACTIONS(3569),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3573),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
    [anon_sym_co_await] = ACTIONS(3577),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_requires] = ACTIONS(3581),
    [sym_this] = ACTIONS(219),
  },
  [1714] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5189),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1715] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3758),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(5039),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1716] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3752),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1717] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3111),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3233),
    [sym_char_literal] = STATE(3233),
    [sym_concatenated_string] = STATE(3211),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2303),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2169),
    [aux_sym_number_literal_token2] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2173),
    [anon_sym_u_SQUOTE] = ACTIONS(2173),
    [anon_sym_U_SQUOTE] = ACTIONS(2173),
    [anon_sym_u8_SQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2183),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [anon_sym_co_await] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1718] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3672),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1719] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3377),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1720] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5204),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(5041),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1721] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4495),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3354),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3354),
    [sym_call_expression] = STATE(3354),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3354),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3354),
    [sym_number_literal] = STATE(4808),
    [sym_char_literal] = STATE(4808),
    [sym_concatenated_string] = STATE(4862),
    [sym_string_literal] = STATE(3451),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3452),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3354),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3354),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_DASH] = ACTIONS(3555),
    [anon_sym_PLUS] = ACTIONS(3555),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3559),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3555),
    [anon_sym_compl] = ACTIONS(3555),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3565),
    [aux_sym_number_literal_token2] = ACTIONS(3567),
    [anon_sym_L_SQUOTE] = ACTIONS(3569),
    [anon_sym_u_SQUOTE] = ACTIONS(3569),
    [anon_sym_U_SQUOTE] = ACTIONS(3569),
    [anon_sym_u8_SQUOTE] = ACTIONS(3569),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3573),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
    [anon_sym_co_await] = ACTIONS(3577),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_requires] = ACTIONS(3581),
    [sym_this] = ACTIONS(219),
  },
  [1722] = {
    [sym_primitive_type] = STATE(7581),
    [sym__expression] = STATE(4865),
    [sym__expression_not_binary] = STATE(5075),
    [sym__string] = STATE(5075),
    [sym_conditional_expression] = STATE(5075),
    [sym_assignment_expression] = STATE(5075),
    [sym_pointer_expression] = STATE(3529),
    [sym_unary_expression] = STATE(5075),
    [sym_binary_expression] = STATE(5075),
    [sym_update_expression] = STATE(5075),
    [sym_cast_expression] = STATE(5075),
    [sym_sizeof_expression] = STATE(5075),
    [sym_alignof_expression] = STATE(5075),
    [sym_offsetof_expression] = STATE(5075),
    [sym_generic_expression] = STATE(5075),
    [sym_subscript_expression] = STATE(3529),
    [sym_call_expression] = STATE(3529),
    [sym_gnu_asm_expression] = STATE(5075),
    [sym_field_expression] = STATE(3529),
    [sym_compound_literal_expression] = STATE(5075),
    [sym_parenthesized_expression] = STATE(3529),
    [sym_number_literal] = STATE(4933),
    [sym_char_literal] = STATE(4933),
    [sym_concatenated_string] = STATE(4934),
    [sym_string_literal] = STATE(3806),
    [sym_null] = STATE(5075),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8260),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5075),
    [sym_raw_string_literal] = STATE(3801),
    [sym_co_await_expression] = STATE(5075),
    [sym_new_expression] = STATE(5075),
    [sym_delete_expression] = STATE(5075),
    [sym_requires_clause] = STATE(5075),
    [sym_requires_expression] = STATE(5075),
    [sym_lambda_expression] = STATE(5075),
    [sym_lambda_capture_specifier] = STATE(6621),
    [sym_fold_expression] = STATE(5075),
    [sym_parameter_pack_expansion] = STATE(5075),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3529),
    [sym_qualified_type_identifier] = STATE(8260),
    [sym_user_defined_literal] = STATE(3529),
    [sym_identifier] = ACTIONS(4618),
    [anon_sym_LPAREN2] = ACTIONS(4742),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3713),
    [anon_sym_compl] = ACTIONS(3713),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym___alignof__] = ACTIONS(3723),
    [anon_sym___alignof] = ACTIONS(3723),
    [anon_sym__alignof] = ACTIONS(3723),
    [anon_sym_alignof] = ACTIONS(3723),
    [anon_sym__Alignof] = ACTIONS(3723),
    [anon_sym_offsetof] = ACTIONS(3725),
    [anon_sym__Generic] = ACTIONS(3727),
    [anon_sym_asm] = ACTIONS(3729),
    [anon_sym___asm__] = ACTIONS(3729),
    [aux_sym_number_literal_token1] = ACTIONS(3731),
    [aux_sym_number_literal_token2] = ACTIONS(3733),
    [anon_sym_L_SQUOTE] = ACTIONS(3735),
    [anon_sym_u_SQUOTE] = ACTIONS(3735),
    [anon_sym_U_SQUOTE] = ACTIONS(3735),
    [anon_sym_u8_SQUOTE] = ACTIONS(3735),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [anon_sym_L_DQUOTE] = ACTIONS(3737),
    [anon_sym_u_DQUOTE] = ACTIONS(3737),
    [anon_sym_U_DQUOTE] = ACTIONS(3737),
    [anon_sym_u8_DQUOTE] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3737),
    [sym_true] = ACTIONS(3739),
    [sym_false] = ACTIONS(3739),
    [anon_sym_NULL] = ACTIONS(3741),
    [anon_sym_nullptr] = ACTIONS(3741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_R_DQUOTE] = ACTIONS(3745),
    [anon_sym_LR_DQUOTE] = ACTIONS(3745),
    [anon_sym_uR_DQUOTE] = ACTIONS(3745),
    [anon_sym_UR_DQUOTE] = ACTIONS(3745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3745),
    [anon_sym_co_await] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_requires] = ACTIONS(3751),
    [sym_this] = ACTIONS(3739),
  },
  [1723] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4178),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1724] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3620),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3890),
    [sym_char_literal] = STATE(3890),
    [sym_concatenated_string] = STATE(3901),
    [sym_string_literal] = STATE(2724),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2699),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(2279),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(4714),
    [anon_sym_PLUS_PLUS] = ACTIONS(4714),
    [anon_sym_sizeof] = ACTIONS(2281),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2283),
    [aux_sym_number_literal_token2] = ACTIONS(2285),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2289),
    [anon_sym_u_DQUOTE] = ACTIONS(2289),
    [anon_sym_U_DQUOTE] = ACTIONS(2289),
    [anon_sym_u8_DQUOTE] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2295),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1725] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5335),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1726] = {
    [sym_primitive_type] = STATE(7583),
    [sym__expression] = STATE(3319),
    [sym__expression_not_binary] = STATE(3727),
    [sym__string] = STATE(3727),
    [sym_conditional_expression] = STATE(3727),
    [sym_assignment_expression] = STATE(3727),
    [sym_pointer_expression] = STATE(3727),
    [sym_unary_expression] = STATE(3727),
    [sym_binary_expression] = STATE(3727),
    [sym_update_expression] = STATE(3727),
    [sym_cast_expression] = STATE(3727),
    [sym_sizeof_expression] = STATE(3727),
    [sym_alignof_expression] = STATE(3727),
    [sym_offsetof_expression] = STATE(3727),
    [sym_generic_expression] = STATE(3727),
    [sym_subscript_expression] = STATE(3727),
    [sym_call_expression] = STATE(3727),
    [sym_gnu_asm_expression] = STATE(3727),
    [sym_field_expression] = STATE(3727),
    [sym_compound_literal_expression] = STATE(3727),
    [sym_parenthesized_expression] = STATE(3727),
    [sym_number_literal] = STATE(3478),
    [sym_char_literal] = STATE(3478),
    [sym_concatenated_string] = STATE(3481),
    [sym_string_literal] = STATE(2496),
    [sym_null] = STATE(3727),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3727),
    [sym_raw_string_literal] = STATE(2431),
    [sym_co_await_expression] = STATE(3727),
    [sym_new_expression] = STATE(3727),
    [sym_delete_expression] = STATE(3727),
    [sym_requires_clause] = STATE(3727),
    [sym_requires_expression] = STATE(3727),
    [sym_lambda_expression] = STATE(3727),
    [sym_lambda_capture_specifier] = STATE(6580),
    [sym_fold_expression] = STATE(3727),
    [sym_parameter_pack_expansion] = STATE(3727),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3727),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(3727),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2219),
    [anon_sym_compl] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2227),
    [anon_sym___alignof__] = ACTIONS(2229),
    [anon_sym___alignof] = ACTIONS(2229),
    [anon_sym__alignof] = ACTIONS(2229),
    [anon_sym_alignof] = ACTIONS(2229),
    [anon_sym__Alignof] = ACTIONS(2229),
    [anon_sym_offsetof] = ACTIONS(2231),
    [anon_sym__Generic] = ACTIONS(2233),
    [anon_sym_asm] = ACTIONS(2235),
    [anon_sym___asm__] = ACTIONS(2235),
    [aux_sym_number_literal_token1] = ACTIONS(2237),
    [aux_sym_number_literal_token2] = ACTIONS(2239),
    [anon_sym_L_SQUOTE] = ACTIONS(2241),
    [anon_sym_u_SQUOTE] = ACTIONS(2241),
    [anon_sym_U_SQUOTE] = ACTIONS(2241),
    [anon_sym_u8_SQUOTE] = ACTIONS(2241),
    [anon_sym_SQUOTE] = ACTIONS(2241),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_true] = ACTIONS(2245),
    [sym_false] = ACTIONS(2245),
    [anon_sym_NULL] = ACTIONS(2247),
    [anon_sym_nullptr] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [anon_sym_co_await] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2255),
    [anon_sym_requires] = ACTIONS(2257),
    [sym_this] = ACTIONS(2245),
  },
  [1727] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5000),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1728] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5299),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1729] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3612),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3890),
    [sym_char_literal] = STATE(3890),
    [sym_concatenated_string] = STATE(3901),
    [sym_string_literal] = STATE(2724),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2699),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(2279),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(4714),
    [anon_sym_PLUS_PLUS] = ACTIONS(4714),
    [anon_sym_sizeof] = ACTIONS(2281),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2283),
    [aux_sym_number_literal_token2] = ACTIONS(2285),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2289),
    [anon_sym_u_DQUOTE] = ACTIONS(2289),
    [anon_sym_U_DQUOTE] = ACTIONS(2289),
    [anon_sym_u8_DQUOTE] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2295),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1730] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5291),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1731] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5268),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1732] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2816),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3233),
    [sym_char_literal] = STATE(3233),
    [sym_concatenated_string] = STATE(3211),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2303),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2169),
    [aux_sym_number_literal_token2] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2173),
    [anon_sym_u_SQUOTE] = ACTIONS(2173),
    [anon_sym_U_SQUOTE] = ACTIONS(2173),
    [anon_sym_u8_SQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2183),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [anon_sym_co_await] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1733] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5070),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1734] = {
    [sym_primitive_type] = STATE(7581),
    [sym__expression] = STATE(4894),
    [sym__expression_not_binary] = STATE(5075),
    [sym__string] = STATE(5075),
    [sym_conditional_expression] = STATE(5075),
    [sym_assignment_expression] = STATE(5075),
    [sym_pointer_expression] = STATE(3529),
    [sym_unary_expression] = STATE(5075),
    [sym_binary_expression] = STATE(5075),
    [sym_update_expression] = STATE(5075),
    [sym_cast_expression] = STATE(5075),
    [sym_sizeof_expression] = STATE(5075),
    [sym_alignof_expression] = STATE(5075),
    [sym_offsetof_expression] = STATE(5075),
    [sym_generic_expression] = STATE(5075),
    [sym_subscript_expression] = STATE(3529),
    [sym_call_expression] = STATE(3529),
    [sym_gnu_asm_expression] = STATE(5075),
    [sym_field_expression] = STATE(3529),
    [sym_compound_literal_expression] = STATE(5075),
    [sym_parenthesized_expression] = STATE(3529),
    [sym_number_literal] = STATE(4933),
    [sym_char_literal] = STATE(4933),
    [sym_concatenated_string] = STATE(4934),
    [sym_string_literal] = STATE(3806),
    [sym_null] = STATE(5075),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8260),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5075),
    [sym_raw_string_literal] = STATE(3801),
    [sym_co_await_expression] = STATE(5075),
    [sym_new_expression] = STATE(5075),
    [sym_delete_expression] = STATE(5075),
    [sym_requires_clause] = STATE(5075),
    [sym_requires_expression] = STATE(5075),
    [sym_lambda_expression] = STATE(5075),
    [sym_lambda_capture_specifier] = STATE(6621),
    [sym_fold_expression] = STATE(5075),
    [sym_parameter_pack_expansion] = STATE(5075),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3529),
    [sym_qualified_type_identifier] = STATE(8260),
    [sym_user_defined_literal] = STATE(3529),
    [sym_identifier] = ACTIONS(4618),
    [anon_sym_LPAREN2] = ACTIONS(4742),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3713),
    [anon_sym_compl] = ACTIONS(3713),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym___alignof__] = ACTIONS(3723),
    [anon_sym___alignof] = ACTIONS(3723),
    [anon_sym__alignof] = ACTIONS(3723),
    [anon_sym_alignof] = ACTIONS(3723),
    [anon_sym__Alignof] = ACTIONS(3723),
    [anon_sym_offsetof] = ACTIONS(3725),
    [anon_sym__Generic] = ACTIONS(3727),
    [anon_sym_asm] = ACTIONS(3729),
    [anon_sym___asm__] = ACTIONS(3729),
    [aux_sym_number_literal_token1] = ACTIONS(3731),
    [aux_sym_number_literal_token2] = ACTIONS(3733),
    [anon_sym_L_SQUOTE] = ACTIONS(3735),
    [anon_sym_u_SQUOTE] = ACTIONS(3735),
    [anon_sym_U_SQUOTE] = ACTIONS(3735),
    [anon_sym_u8_SQUOTE] = ACTIONS(3735),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [anon_sym_L_DQUOTE] = ACTIONS(3737),
    [anon_sym_u_DQUOTE] = ACTIONS(3737),
    [anon_sym_U_DQUOTE] = ACTIONS(3737),
    [anon_sym_u8_DQUOTE] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3737),
    [sym_true] = ACTIONS(3739),
    [sym_false] = ACTIONS(3739),
    [anon_sym_NULL] = ACTIONS(3741),
    [anon_sym_nullptr] = ACTIONS(3741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_R_DQUOTE] = ACTIONS(3745),
    [anon_sym_LR_DQUOTE] = ACTIONS(3745),
    [anon_sym_uR_DQUOTE] = ACTIONS(3745),
    [anon_sym_UR_DQUOTE] = ACTIONS(3745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3745),
    [anon_sym_co_await] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_requires] = ACTIONS(3751),
    [sym_this] = ACTIONS(3739),
  },
  [1735] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5236),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1736] = {
    [sym_primitive_type] = STATE(7438),
    [sym__expression] = STATE(5339),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1737] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5355),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1738] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4963),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1739] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5153),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1740] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5148),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(5043),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1741] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5382),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1742] = {
    [sym_primitive_type] = STATE(7581),
    [sym__expression] = STATE(4897),
    [sym__expression_not_binary] = STATE(5075),
    [sym__string] = STATE(5075),
    [sym_conditional_expression] = STATE(5075),
    [sym_assignment_expression] = STATE(5075),
    [sym_pointer_expression] = STATE(3529),
    [sym_unary_expression] = STATE(5075),
    [sym_binary_expression] = STATE(5075),
    [sym_update_expression] = STATE(5075),
    [sym_cast_expression] = STATE(5075),
    [sym_sizeof_expression] = STATE(5075),
    [sym_alignof_expression] = STATE(5075),
    [sym_offsetof_expression] = STATE(5075),
    [sym_generic_expression] = STATE(5075),
    [sym_subscript_expression] = STATE(3529),
    [sym_call_expression] = STATE(3529),
    [sym_gnu_asm_expression] = STATE(5075),
    [sym_field_expression] = STATE(3529),
    [sym_compound_literal_expression] = STATE(5075),
    [sym_parenthesized_expression] = STATE(3529),
    [sym_number_literal] = STATE(4933),
    [sym_char_literal] = STATE(4933),
    [sym_concatenated_string] = STATE(4934),
    [sym_string_literal] = STATE(3806),
    [sym_null] = STATE(5075),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8260),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5075),
    [sym_raw_string_literal] = STATE(3801),
    [sym_co_await_expression] = STATE(5075),
    [sym_new_expression] = STATE(5075),
    [sym_delete_expression] = STATE(5075),
    [sym_requires_clause] = STATE(5075),
    [sym_requires_expression] = STATE(5075),
    [sym_lambda_expression] = STATE(5075),
    [sym_lambda_capture_specifier] = STATE(6621),
    [sym_fold_expression] = STATE(5075),
    [sym_parameter_pack_expansion] = STATE(5075),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3529),
    [sym_qualified_type_identifier] = STATE(8260),
    [sym_user_defined_literal] = STATE(3529),
    [sym_identifier] = ACTIONS(4618),
    [anon_sym_LPAREN2] = ACTIONS(4742),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3713),
    [anon_sym_compl] = ACTIONS(3713),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym___alignof__] = ACTIONS(3723),
    [anon_sym___alignof] = ACTIONS(3723),
    [anon_sym__alignof] = ACTIONS(3723),
    [anon_sym_alignof] = ACTIONS(3723),
    [anon_sym__Alignof] = ACTIONS(3723),
    [anon_sym_offsetof] = ACTIONS(3725),
    [anon_sym__Generic] = ACTIONS(3727),
    [anon_sym_asm] = ACTIONS(3729),
    [anon_sym___asm__] = ACTIONS(3729),
    [aux_sym_number_literal_token1] = ACTIONS(3731),
    [aux_sym_number_literal_token2] = ACTIONS(3733),
    [anon_sym_L_SQUOTE] = ACTIONS(3735),
    [anon_sym_u_SQUOTE] = ACTIONS(3735),
    [anon_sym_U_SQUOTE] = ACTIONS(3735),
    [anon_sym_u8_SQUOTE] = ACTIONS(3735),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [anon_sym_L_DQUOTE] = ACTIONS(3737),
    [anon_sym_u_DQUOTE] = ACTIONS(3737),
    [anon_sym_U_DQUOTE] = ACTIONS(3737),
    [anon_sym_u8_DQUOTE] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3737),
    [sym_true] = ACTIONS(3739),
    [sym_false] = ACTIONS(3739),
    [anon_sym_NULL] = ACTIONS(3741),
    [anon_sym_nullptr] = ACTIONS(3741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_R_DQUOTE] = ACTIONS(3745),
    [anon_sym_LR_DQUOTE] = ACTIONS(3745),
    [anon_sym_uR_DQUOTE] = ACTIONS(3745),
    [anon_sym_UR_DQUOTE] = ACTIONS(3745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3745),
    [anon_sym_co_await] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_requires] = ACTIONS(3751),
    [sym_this] = ACTIONS(3739),
  },
  [1743] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5336),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1744] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5405),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1745] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5392),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1746] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3732),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(5045),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1747] = {
    [sym_primitive_type] = STATE(7581),
    [sym__expression] = STATE(4898),
    [sym__expression_not_binary] = STATE(5075),
    [sym__string] = STATE(5075),
    [sym_conditional_expression] = STATE(5075),
    [sym_assignment_expression] = STATE(5075),
    [sym_pointer_expression] = STATE(3529),
    [sym_unary_expression] = STATE(5075),
    [sym_binary_expression] = STATE(5075),
    [sym_update_expression] = STATE(5075),
    [sym_cast_expression] = STATE(5075),
    [sym_sizeof_expression] = STATE(5075),
    [sym_alignof_expression] = STATE(5075),
    [sym_offsetof_expression] = STATE(5075),
    [sym_generic_expression] = STATE(5075),
    [sym_subscript_expression] = STATE(3529),
    [sym_call_expression] = STATE(3529),
    [sym_gnu_asm_expression] = STATE(5075),
    [sym_field_expression] = STATE(3529),
    [sym_compound_literal_expression] = STATE(5075),
    [sym_parenthesized_expression] = STATE(3529),
    [sym_number_literal] = STATE(4933),
    [sym_char_literal] = STATE(4933),
    [sym_concatenated_string] = STATE(4934),
    [sym_string_literal] = STATE(3806),
    [sym_null] = STATE(5075),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8260),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5075),
    [sym_raw_string_literal] = STATE(3801),
    [sym_co_await_expression] = STATE(5075),
    [sym_new_expression] = STATE(5075),
    [sym_delete_expression] = STATE(5075),
    [sym_requires_clause] = STATE(5075),
    [sym_requires_expression] = STATE(5075),
    [sym_lambda_expression] = STATE(5075),
    [sym_lambda_capture_specifier] = STATE(6621),
    [sym_fold_expression] = STATE(5075),
    [sym_parameter_pack_expansion] = STATE(5075),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3529),
    [sym_qualified_type_identifier] = STATE(8260),
    [sym_user_defined_literal] = STATE(3529),
    [sym_identifier] = ACTIONS(4618),
    [anon_sym_LPAREN2] = ACTIONS(4742),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3713),
    [anon_sym_compl] = ACTIONS(3713),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym___alignof__] = ACTIONS(3723),
    [anon_sym___alignof] = ACTIONS(3723),
    [anon_sym__alignof] = ACTIONS(3723),
    [anon_sym_alignof] = ACTIONS(3723),
    [anon_sym__Alignof] = ACTIONS(3723),
    [anon_sym_offsetof] = ACTIONS(3725),
    [anon_sym__Generic] = ACTIONS(3727),
    [anon_sym_asm] = ACTIONS(3729),
    [anon_sym___asm__] = ACTIONS(3729),
    [aux_sym_number_literal_token1] = ACTIONS(3731),
    [aux_sym_number_literal_token2] = ACTIONS(3733),
    [anon_sym_L_SQUOTE] = ACTIONS(3735),
    [anon_sym_u_SQUOTE] = ACTIONS(3735),
    [anon_sym_U_SQUOTE] = ACTIONS(3735),
    [anon_sym_u8_SQUOTE] = ACTIONS(3735),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [anon_sym_L_DQUOTE] = ACTIONS(3737),
    [anon_sym_u_DQUOTE] = ACTIONS(3737),
    [anon_sym_U_DQUOTE] = ACTIONS(3737),
    [anon_sym_u8_DQUOTE] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3737),
    [sym_true] = ACTIONS(3739),
    [sym_false] = ACTIONS(3739),
    [anon_sym_NULL] = ACTIONS(3741),
    [anon_sym_nullptr] = ACTIONS(3741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_R_DQUOTE] = ACTIONS(3745),
    [anon_sym_LR_DQUOTE] = ACTIONS(3745),
    [anon_sym_uR_DQUOTE] = ACTIONS(3745),
    [anon_sym_UR_DQUOTE] = ACTIONS(3745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3745),
    [anon_sym_co_await] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_requires] = ACTIONS(3751),
    [sym_this] = ACTIONS(3739),
  },
  [1748] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5035),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1749] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4982),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1750] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4429),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1751] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4429),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(5047),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1752] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5394),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1753] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5389),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1754] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5006),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1755] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5159),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1756] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5369),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1757] = {
    [sym_primitive_type] = STATE(7581),
    [sym__expression] = STATE(4899),
    [sym__expression_not_binary] = STATE(5075),
    [sym__string] = STATE(5075),
    [sym_conditional_expression] = STATE(5075),
    [sym_assignment_expression] = STATE(5075),
    [sym_pointer_expression] = STATE(3529),
    [sym_unary_expression] = STATE(5075),
    [sym_binary_expression] = STATE(5075),
    [sym_update_expression] = STATE(5075),
    [sym_cast_expression] = STATE(5075),
    [sym_sizeof_expression] = STATE(5075),
    [sym_alignof_expression] = STATE(5075),
    [sym_offsetof_expression] = STATE(5075),
    [sym_generic_expression] = STATE(5075),
    [sym_subscript_expression] = STATE(3529),
    [sym_call_expression] = STATE(3529),
    [sym_gnu_asm_expression] = STATE(5075),
    [sym_field_expression] = STATE(3529),
    [sym_compound_literal_expression] = STATE(5075),
    [sym_parenthesized_expression] = STATE(3529),
    [sym_number_literal] = STATE(4933),
    [sym_char_literal] = STATE(4933),
    [sym_concatenated_string] = STATE(4934),
    [sym_string_literal] = STATE(3806),
    [sym_null] = STATE(5075),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8260),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5075),
    [sym_raw_string_literal] = STATE(3801),
    [sym_co_await_expression] = STATE(5075),
    [sym_new_expression] = STATE(5075),
    [sym_delete_expression] = STATE(5075),
    [sym_requires_clause] = STATE(5075),
    [sym_requires_expression] = STATE(5075),
    [sym_lambda_expression] = STATE(5075),
    [sym_lambda_capture_specifier] = STATE(6621),
    [sym_fold_expression] = STATE(5075),
    [sym_parameter_pack_expansion] = STATE(5075),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3529),
    [sym_qualified_type_identifier] = STATE(8260),
    [sym_user_defined_literal] = STATE(3529),
    [sym_identifier] = ACTIONS(4618),
    [anon_sym_LPAREN2] = ACTIONS(4742),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3713),
    [anon_sym_compl] = ACTIONS(3713),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym___alignof__] = ACTIONS(3723),
    [anon_sym___alignof] = ACTIONS(3723),
    [anon_sym__alignof] = ACTIONS(3723),
    [anon_sym_alignof] = ACTIONS(3723),
    [anon_sym__Alignof] = ACTIONS(3723),
    [anon_sym_offsetof] = ACTIONS(3725),
    [anon_sym__Generic] = ACTIONS(3727),
    [anon_sym_asm] = ACTIONS(3729),
    [anon_sym___asm__] = ACTIONS(3729),
    [aux_sym_number_literal_token1] = ACTIONS(3731),
    [aux_sym_number_literal_token2] = ACTIONS(3733),
    [anon_sym_L_SQUOTE] = ACTIONS(3735),
    [anon_sym_u_SQUOTE] = ACTIONS(3735),
    [anon_sym_U_SQUOTE] = ACTIONS(3735),
    [anon_sym_u8_SQUOTE] = ACTIONS(3735),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [anon_sym_L_DQUOTE] = ACTIONS(3737),
    [anon_sym_u_DQUOTE] = ACTIONS(3737),
    [anon_sym_U_DQUOTE] = ACTIONS(3737),
    [anon_sym_u8_DQUOTE] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3737),
    [sym_true] = ACTIONS(3739),
    [sym_false] = ACTIONS(3739),
    [anon_sym_NULL] = ACTIONS(3741),
    [anon_sym_nullptr] = ACTIONS(3741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_R_DQUOTE] = ACTIONS(3745),
    [anon_sym_LR_DQUOTE] = ACTIONS(3745),
    [anon_sym_uR_DQUOTE] = ACTIONS(3745),
    [anon_sym_UR_DQUOTE] = ACTIONS(3745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3745),
    [anon_sym_co_await] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_requires] = ACTIONS(3751),
    [sym_this] = ACTIONS(3739),
  },
  [1758] = {
    [sym_primitive_type] = STATE(7583),
    [sym__expression] = STATE(3320),
    [sym__expression_not_binary] = STATE(3727),
    [sym__string] = STATE(3727),
    [sym_conditional_expression] = STATE(3727),
    [sym_assignment_expression] = STATE(3727),
    [sym_pointer_expression] = STATE(3727),
    [sym_unary_expression] = STATE(3727),
    [sym_binary_expression] = STATE(3727),
    [sym_update_expression] = STATE(3727),
    [sym_cast_expression] = STATE(3727),
    [sym_sizeof_expression] = STATE(3727),
    [sym_alignof_expression] = STATE(3727),
    [sym_offsetof_expression] = STATE(3727),
    [sym_generic_expression] = STATE(3727),
    [sym_subscript_expression] = STATE(3727),
    [sym_call_expression] = STATE(3727),
    [sym_gnu_asm_expression] = STATE(3727),
    [sym_field_expression] = STATE(3727),
    [sym_compound_literal_expression] = STATE(3727),
    [sym_parenthesized_expression] = STATE(3727),
    [sym_number_literal] = STATE(3478),
    [sym_char_literal] = STATE(3478),
    [sym_concatenated_string] = STATE(3481),
    [sym_string_literal] = STATE(2496),
    [sym_null] = STATE(3727),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3727),
    [sym_raw_string_literal] = STATE(2431),
    [sym_co_await_expression] = STATE(3727),
    [sym_new_expression] = STATE(3727),
    [sym_delete_expression] = STATE(3727),
    [sym_requires_clause] = STATE(3727),
    [sym_requires_expression] = STATE(3727),
    [sym_lambda_expression] = STATE(3727),
    [sym_lambda_capture_specifier] = STATE(6580),
    [sym_fold_expression] = STATE(3727),
    [sym_parameter_pack_expansion] = STATE(3727),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3727),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(3727),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2219),
    [anon_sym_compl] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2227),
    [anon_sym___alignof__] = ACTIONS(2229),
    [anon_sym___alignof] = ACTIONS(2229),
    [anon_sym__alignof] = ACTIONS(2229),
    [anon_sym_alignof] = ACTIONS(2229),
    [anon_sym__Alignof] = ACTIONS(2229),
    [anon_sym_offsetof] = ACTIONS(2231),
    [anon_sym__Generic] = ACTIONS(2233),
    [anon_sym_asm] = ACTIONS(2235),
    [anon_sym___asm__] = ACTIONS(2235),
    [aux_sym_number_literal_token1] = ACTIONS(2237),
    [aux_sym_number_literal_token2] = ACTIONS(2239),
    [anon_sym_L_SQUOTE] = ACTIONS(2241),
    [anon_sym_u_SQUOTE] = ACTIONS(2241),
    [anon_sym_U_SQUOTE] = ACTIONS(2241),
    [anon_sym_u8_SQUOTE] = ACTIONS(2241),
    [anon_sym_SQUOTE] = ACTIONS(2241),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_true] = ACTIONS(2245),
    [sym_false] = ACTIONS(2245),
    [anon_sym_NULL] = ACTIONS(2247),
    [anon_sym_nullptr] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [anon_sym_co_await] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2255),
    [anon_sym_requires] = ACTIONS(2257),
    [sym_this] = ACTIONS(2245),
  },
  [1759] = {
    [sym_primitive_type] = STATE(7581),
    [sym__expression] = STATE(4872),
    [sym__expression_not_binary] = STATE(5075),
    [sym__string] = STATE(5075),
    [sym_conditional_expression] = STATE(5075),
    [sym_assignment_expression] = STATE(5075),
    [sym_pointer_expression] = STATE(3529),
    [sym_unary_expression] = STATE(5075),
    [sym_binary_expression] = STATE(5075),
    [sym_update_expression] = STATE(5075),
    [sym_cast_expression] = STATE(5075),
    [sym_sizeof_expression] = STATE(5075),
    [sym_alignof_expression] = STATE(5075),
    [sym_offsetof_expression] = STATE(5075),
    [sym_generic_expression] = STATE(5075),
    [sym_subscript_expression] = STATE(3529),
    [sym_call_expression] = STATE(3529),
    [sym_gnu_asm_expression] = STATE(5075),
    [sym_field_expression] = STATE(3529),
    [sym_compound_literal_expression] = STATE(5075),
    [sym_parenthesized_expression] = STATE(3529),
    [sym_number_literal] = STATE(4933),
    [sym_char_literal] = STATE(4933),
    [sym_concatenated_string] = STATE(4934),
    [sym_string_literal] = STATE(3806),
    [sym_null] = STATE(5075),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8260),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5075),
    [sym_raw_string_literal] = STATE(3801),
    [sym_co_await_expression] = STATE(5075),
    [sym_new_expression] = STATE(5075),
    [sym_delete_expression] = STATE(5075),
    [sym_requires_clause] = STATE(5075),
    [sym_requires_expression] = STATE(5075),
    [sym_lambda_expression] = STATE(5075),
    [sym_lambda_capture_specifier] = STATE(6621),
    [sym_fold_expression] = STATE(5075),
    [sym_parameter_pack_expansion] = STATE(5075),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3529),
    [sym_qualified_type_identifier] = STATE(8260),
    [sym_user_defined_literal] = STATE(3529),
    [sym_identifier] = ACTIONS(4618),
    [anon_sym_LPAREN2] = ACTIONS(4742),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3713),
    [anon_sym_compl] = ACTIONS(3713),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym___alignof__] = ACTIONS(3723),
    [anon_sym___alignof] = ACTIONS(3723),
    [anon_sym__alignof] = ACTIONS(3723),
    [anon_sym_alignof] = ACTIONS(3723),
    [anon_sym__Alignof] = ACTIONS(3723),
    [anon_sym_offsetof] = ACTIONS(3725),
    [anon_sym__Generic] = ACTIONS(3727),
    [anon_sym_asm] = ACTIONS(3729),
    [anon_sym___asm__] = ACTIONS(3729),
    [aux_sym_number_literal_token1] = ACTIONS(3731),
    [aux_sym_number_literal_token2] = ACTIONS(3733),
    [anon_sym_L_SQUOTE] = ACTIONS(3735),
    [anon_sym_u_SQUOTE] = ACTIONS(3735),
    [anon_sym_U_SQUOTE] = ACTIONS(3735),
    [anon_sym_u8_SQUOTE] = ACTIONS(3735),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [anon_sym_L_DQUOTE] = ACTIONS(3737),
    [anon_sym_u_DQUOTE] = ACTIONS(3737),
    [anon_sym_U_DQUOTE] = ACTIONS(3737),
    [anon_sym_u8_DQUOTE] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3737),
    [sym_true] = ACTIONS(3739),
    [sym_false] = ACTIONS(3739),
    [anon_sym_NULL] = ACTIONS(3741),
    [anon_sym_nullptr] = ACTIONS(3741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_R_DQUOTE] = ACTIONS(3745),
    [anon_sym_LR_DQUOTE] = ACTIONS(3745),
    [anon_sym_uR_DQUOTE] = ACTIONS(3745),
    [anon_sym_UR_DQUOTE] = ACTIONS(3745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3745),
    [anon_sym_co_await] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_requires] = ACTIONS(3751),
    [sym_this] = ACTIONS(3739),
  },
  [1760] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(4014),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4763),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(4680),
    [anon_sym_PLUS_PLUS] = ACTIONS(4680),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1761] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(4017),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4763),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(4680),
    [anon_sym_PLUS_PLUS] = ACTIONS(4680),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1762] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5379),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1763] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4774),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3354),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3354),
    [sym_call_expression] = STATE(3354),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3354),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3354),
    [sym_number_literal] = STATE(4808),
    [sym_char_literal] = STATE(4808),
    [sym_concatenated_string] = STATE(4862),
    [sym_string_literal] = STATE(3451),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3452),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3354),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3354),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_DASH] = ACTIONS(3555),
    [anon_sym_PLUS] = ACTIONS(3555),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3559),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3555),
    [anon_sym_compl] = ACTIONS(3555),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3565),
    [aux_sym_number_literal_token2] = ACTIONS(3567),
    [anon_sym_L_SQUOTE] = ACTIONS(3569),
    [anon_sym_u_SQUOTE] = ACTIONS(3569),
    [anon_sym_U_SQUOTE] = ACTIONS(3569),
    [anon_sym_u8_SQUOTE] = ACTIONS(3569),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3573),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
    [anon_sym_co_await] = ACTIONS(3577),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_requires] = ACTIONS(3581),
    [sym_this] = ACTIONS(219),
  },
  [1764] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5100),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1765] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5395),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1766] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(4052),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4763),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(4680),
    [anon_sym_PLUS_PLUS] = ACTIONS(4680),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1767] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4739),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3354),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3354),
    [sym_call_expression] = STATE(3354),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3354),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3354),
    [sym_number_literal] = STATE(4808),
    [sym_char_literal] = STATE(4808),
    [sym_concatenated_string] = STATE(4862),
    [sym_string_literal] = STATE(3451),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3452),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3354),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3354),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_DASH] = ACTIONS(3555),
    [anon_sym_PLUS] = ACTIONS(3555),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3559),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3555),
    [anon_sym_compl] = ACTIONS(3555),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3565),
    [aux_sym_number_literal_token2] = ACTIONS(3567),
    [anon_sym_L_SQUOTE] = ACTIONS(3569),
    [anon_sym_u_SQUOTE] = ACTIONS(3569),
    [anon_sym_U_SQUOTE] = ACTIONS(3569),
    [anon_sym_u8_SQUOTE] = ACTIONS(3569),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3573),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
    [anon_sym_co_await] = ACTIONS(3577),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_requires] = ACTIONS(3581),
    [sym_this] = ACTIONS(219),
  },
  [1768] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2816),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1769] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5377),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1770] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5370),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1771] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5046),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1772] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2816),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(5049),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1773] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4750),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3354),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3354),
    [sym_call_expression] = STATE(3354),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3354),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3354),
    [sym_number_literal] = STATE(4808),
    [sym_char_literal] = STATE(4808),
    [sym_concatenated_string] = STATE(4862),
    [sym_string_literal] = STATE(3451),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3452),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3354),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3354),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_DASH] = ACTIONS(3555),
    [anon_sym_PLUS] = ACTIONS(3555),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3559),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3555),
    [anon_sym_compl] = ACTIONS(3555),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3565),
    [aux_sym_number_literal_token2] = ACTIONS(3567),
    [anon_sym_L_SQUOTE] = ACTIONS(3569),
    [anon_sym_u_SQUOTE] = ACTIONS(3569),
    [anon_sym_U_SQUOTE] = ACTIONS(3569),
    [anon_sym_u8_SQUOTE] = ACTIONS(3569),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3573),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
    [anon_sym_co_await] = ACTIONS(3577),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_requires] = ACTIONS(3581),
    [sym_this] = ACTIONS(219),
  },
  [1774] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5433),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1775] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5424),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1776] = {
    [sym_primitive_type] = STATE(7598),
    [sym__expression] = STATE(3846),
    [sym__expression_not_binary] = STATE(4253),
    [sym__string] = STATE(4253),
    [sym_conditional_expression] = STATE(4253),
    [sym_assignment_expression] = STATE(4253),
    [sym_pointer_expression] = STATE(4253),
    [sym_unary_expression] = STATE(4253),
    [sym_binary_expression] = STATE(4253),
    [sym_update_expression] = STATE(4253),
    [sym_cast_expression] = STATE(4253),
    [sym_sizeof_expression] = STATE(4253),
    [sym_alignof_expression] = STATE(4253),
    [sym_offsetof_expression] = STATE(4253),
    [sym_generic_expression] = STATE(4253),
    [sym_subscript_expression] = STATE(4253),
    [sym_call_expression] = STATE(4253),
    [sym_gnu_asm_expression] = STATE(4253),
    [sym_field_expression] = STATE(4253),
    [sym_compound_literal_expression] = STATE(4253),
    [sym_parenthesized_expression] = STATE(4253),
    [sym_number_literal] = STATE(4051),
    [sym_char_literal] = STATE(4051),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2771),
    [sym_null] = STATE(4253),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8475),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4253),
    [sym_raw_string_literal] = STATE(2791),
    [sym_co_await_expression] = STATE(4253),
    [sym_new_expression] = STATE(4253),
    [sym_delete_expression] = STATE(4253),
    [sym_requires_clause] = STATE(4253),
    [sym_requires_expression] = STATE(4253),
    [sym_lambda_expression] = STATE(4253),
    [sym_lambda_capture_specifier] = STATE(6572),
    [sym_fold_expression] = STATE(4253),
    [sym_parameter_pack_expansion] = STATE(4253),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4253),
    [sym_qualified_type_identifier] = STATE(8475),
    [sym_user_defined_literal] = STATE(4253),
    [sym_identifier] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4688),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [aux_sym_number_literal_token1] = ACTIONS(2542),
    [aux_sym_number_literal_token2] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2550),
  },
  [1777] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5415),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(5051),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1778] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5045),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1779] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4948),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1780] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5417),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1781] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5058),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1782] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2822),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1783] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5416),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1784] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5367),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1785] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4743),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3354),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3354),
    [sym_call_expression] = STATE(3354),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3354),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3354),
    [sym_number_literal] = STATE(4808),
    [sym_char_literal] = STATE(4808),
    [sym_concatenated_string] = STATE(4862),
    [sym_string_literal] = STATE(3451),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3452),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3354),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3354),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_DASH] = ACTIONS(3555),
    [anon_sym_PLUS] = ACTIONS(3555),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3559),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3555),
    [anon_sym_compl] = ACTIONS(3555),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3565),
    [aux_sym_number_literal_token2] = ACTIONS(3567),
    [anon_sym_L_SQUOTE] = ACTIONS(3569),
    [anon_sym_u_SQUOTE] = ACTIONS(3569),
    [anon_sym_U_SQUOTE] = ACTIONS(3569),
    [anon_sym_u8_SQUOTE] = ACTIONS(3569),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3573),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
    [anon_sym_co_await] = ACTIONS(3577),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_requires] = ACTIONS(3581),
    [sym_this] = ACTIONS(219),
  },
  [1786] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5426),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1787] = {
    [sym_primitive_type] = STATE(7581),
    [sym__expression] = STATE(4901),
    [sym__expression_not_binary] = STATE(5075),
    [sym__string] = STATE(5075),
    [sym_conditional_expression] = STATE(5075),
    [sym_assignment_expression] = STATE(5075),
    [sym_pointer_expression] = STATE(3529),
    [sym_unary_expression] = STATE(5075),
    [sym_binary_expression] = STATE(5075),
    [sym_update_expression] = STATE(5075),
    [sym_cast_expression] = STATE(5075),
    [sym_sizeof_expression] = STATE(5075),
    [sym_alignof_expression] = STATE(5075),
    [sym_offsetof_expression] = STATE(5075),
    [sym_generic_expression] = STATE(5075),
    [sym_subscript_expression] = STATE(3529),
    [sym_call_expression] = STATE(3529),
    [sym_gnu_asm_expression] = STATE(5075),
    [sym_field_expression] = STATE(3529),
    [sym_compound_literal_expression] = STATE(5075),
    [sym_parenthesized_expression] = STATE(3529),
    [sym_number_literal] = STATE(4933),
    [sym_char_literal] = STATE(4933),
    [sym_concatenated_string] = STATE(4934),
    [sym_string_literal] = STATE(3806),
    [sym_null] = STATE(5075),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8260),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5075),
    [sym_raw_string_literal] = STATE(3801),
    [sym_co_await_expression] = STATE(5075),
    [sym_new_expression] = STATE(5075),
    [sym_delete_expression] = STATE(5075),
    [sym_requires_clause] = STATE(5075),
    [sym_requires_expression] = STATE(5075),
    [sym_lambda_expression] = STATE(5075),
    [sym_lambda_capture_specifier] = STATE(6621),
    [sym_fold_expression] = STATE(5075),
    [sym_parameter_pack_expansion] = STATE(5075),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3529),
    [sym_qualified_type_identifier] = STATE(8260),
    [sym_user_defined_literal] = STATE(3529),
    [sym_identifier] = ACTIONS(4618),
    [anon_sym_LPAREN2] = ACTIONS(4742),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3713),
    [anon_sym_compl] = ACTIONS(3713),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym___alignof__] = ACTIONS(3723),
    [anon_sym___alignof] = ACTIONS(3723),
    [anon_sym__alignof] = ACTIONS(3723),
    [anon_sym_alignof] = ACTIONS(3723),
    [anon_sym__Alignof] = ACTIONS(3723),
    [anon_sym_offsetof] = ACTIONS(3725),
    [anon_sym__Generic] = ACTIONS(3727),
    [anon_sym_asm] = ACTIONS(3729),
    [anon_sym___asm__] = ACTIONS(3729),
    [aux_sym_number_literal_token1] = ACTIONS(3731),
    [aux_sym_number_literal_token2] = ACTIONS(3733),
    [anon_sym_L_SQUOTE] = ACTIONS(3735),
    [anon_sym_u_SQUOTE] = ACTIONS(3735),
    [anon_sym_U_SQUOTE] = ACTIONS(3735),
    [anon_sym_u8_SQUOTE] = ACTIONS(3735),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [anon_sym_L_DQUOTE] = ACTIONS(3737),
    [anon_sym_u_DQUOTE] = ACTIONS(3737),
    [anon_sym_U_DQUOTE] = ACTIONS(3737),
    [anon_sym_u8_DQUOTE] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3737),
    [sym_true] = ACTIONS(3739),
    [sym_false] = ACTIONS(3739),
    [anon_sym_NULL] = ACTIONS(3741),
    [anon_sym_nullptr] = ACTIONS(3741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_R_DQUOTE] = ACTIONS(3745),
    [anon_sym_LR_DQUOTE] = ACTIONS(3745),
    [anon_sym_uR_DQUOTE] = ACTIONS(3745),
    [anon_sym_UR_DQUOTE] = ACTIONS(3745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3745),
    [anon_sym_co_await] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_requires] = ACTIONS(3751),
    [sym_this] = ACTIONS(3739),
  },
  [1788] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5301),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1789] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(4062),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4763),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(4680),
    [anon_sym_PLUS_PLUS] = ACTIONS(4680),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1790] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5352),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1791] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(4068),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4763),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(4680),
    [anon_sym_PLUS_PLUS] = ACTIONS(4680),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1792] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(4070),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4763),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(4680),
    [anon_sym_PLUS_PLUS] = ACTIONS(4680),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1793] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5300),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1794] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4472),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3354),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3354),
    [sym_call_expression] = STATE(3354),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3354),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3354),
    [sym_number_literal] = STATE(4808),
    [sym_char_literal] = STATE(4808),
    [sym_concatenated_string] = STATE(4862),
    [sym_string_literal] = STATE(3451),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3452),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3354),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3354),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_DASH] = ACTIONS(3555),
    [anon_sym_PLUS] = ACTIONS(3555),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3559),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3555),
    [anon_sym_compl] = ACTIONS(3555),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3565),
    [aux_sym_number_literal_token2] = ACTIONS(3567),
    [anon_sym_L_SQUOTE] = ACTIONS(3569),
    [anon_sym_u_SQUOTE] = ACTIONS(3569),
    [anon_sym_U_SQUOTE] = ACTIONS(3569),
    [anon_sym_u8_SQUOTE] = ACTIONS(3569),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3573),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
    [anon_sym_co_await] = ACTIONS(3577),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_requires] = ACTIONS(3581),
    [sym_this] = ACTIONS(219),
  },
  [1795] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5350),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1796] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5334),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1797] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5333),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1798] = {
    [sym_primitive_type] = STATE(7581),
    [sym__expression] = STATE(4879),
    [sym__expression_not_binary] = STATE(5075),
    [sym__string] = STATE(5075),
    [sym_conditional_expression] = STATE(5075),
    [sym_assignment_expression] = STATE(5075),
    [sym_pointer_expression] = STATE(3529),
    [sym_unary_expression] = STATE(5075),
    [sym_binary_expression] = STATE(5075),
    [sym_update_expression] = STATE(5075),
    [sym_cast_expression] = STATE(5075),
    [sym_sizeof_expression] = STATE(5075),
    [sym_alignof_expression] = STATE(5075),
    [sym_offsetof_expression] = STATE(5075),
    [sym_generic_expression] = STATE(5075),
    [sym_subscript_expression] = STATE(3529),
    [sym_call_expression] = STATE(3529),
    [sym_gnu_asm_expression] = STATE(5075),
    [sym_field_expression] = STATE(3529),
    [sym_compound_literal_expression] = STATE(5075),
    [sym_parenthesized_expression] = STATE(3529),
    [sym_number_literal] = STATE(4933),
    [sym_char_literal] = STATE(4933),
    [sym_concatenated_string] = STATE(4934),
    [sym_string_literal] = STATE(3806),
    [sym_null] = STATE(5075),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8260),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5075),
    [sym_raw_string_literal] = STATE(3801),
    [sym_co_await_expression] = STATE(5075),
    [sym_new_expression] = STATE(5075),
    [sym_delete_expression] = STATE(5075),
    [sym_requires_clause] = STATE(5075),
    [sym_requires_expression] = STATE(5075),
    [sym_lambda_expression] = STATE(5075),
    [sym_lambda_capture_specifier] = STATE(6621),
    [sym_fold_expression] = STATE(5075),
    [sym_parameter_pack_expansion] = STATE(5075),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3529),
    [sym_qualified_type_identifier] = STATE(8260),
    [sym_user_defined_literal] = STATE(3529),
    [sym_identifier] = ACTIONS(4618),
    [anon_sym_LPAREN2] = ACTIONS(4742),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3713),
    [anon_sym_compl] = ACTIONS(3713),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym___alignof__] = ACTIONS(3723),
    [anon_sym___alignof] = ACTIONS(3723),
    [anon_sym__alignof] = ACTIONS(3723),
    [anon_sym_alignof] = ACTIONS(3723),
    [anon_sym__Alignof] = ACTIONS(3723),
    [anon_sym_offsetof] = ACTIONS(3725),
    [anon_sym__Generic] = ACTIONS(3727),
    [anon_sym_asm] = ACTIONS(3729),
    [anon_sym___asm__] = ACTIONS(3729),
    [aux_sym_number_literal_token1] = ACTIONS(3731),
    [aux_sym_number_literal_token2] = ACTIONS(3733),
    [anon_sym_L_SQUOTE] = ACTIONS(3735),
    [anon_sym_u_SQUOTE] = ACTIONS(3735),
    [anon_sym_U_SQUOTE] = ACTIONS(3735),
    [anon_sym_u8_SQUOTE] = ACTIONS(3735),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [anon_sym_L_DQUOTE] = ACTIONS(3737),
    [anon_sym_u_DQUOTE] = ACTIONS(3737),
    [anon_sym_U_DQUOTE] = ACTIONS(3737),
    [anon_sym_u8_DQUOTE] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3737),
    [sym_true] = ACTIONS(3739),
    [sym_false] = ACTIONS(3739),
    [anon_sym_NULL] = ACTIONS(3741),
    [anon_sym_nullptr] = ACTIONS(3741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_R_DQUOTE] = ACTIONS(3745),
    [anon_sym_LR_DQUOTE] = ACTIONS(3745),
    [anon_sym_uR_DQUOTE] = ACTIONS(3745),
    [anon_sym_UR_DQUOTE] = ACTIONS(3745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3745),
    [anon_sym_co_await] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_requires] = ACTIONS(3751),
    [sym_this] = ACTIONS(3739),
  },
  [1799] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(4072),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4763),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(4680),
    [anon_sym_PLUS_PLUS] = ACTIONS(4680),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1800] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2815),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1801] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3368),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1802] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3369),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1803] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3370),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1804] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3371),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1805] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3372),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1806] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3374),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1807] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3375),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1808] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3376),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1809] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3671),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1810] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5375),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1811] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5257),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1812] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5255),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1813] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5421),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1814] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4495),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1815] = {
    [sym_primitive_type] = STATE(7583),
    [sym__expression] = STATE(3321),
    [sym__expression_not_binary] = STATE(3727),
    [sym__string] = STATE(3727),
    [sym_conditional_expression] = STATE(3727),
    [sym_assignment_expression] = STATE(3727),
    [sym_pointer_expression] = STATE(3727),
    [sym_unary_expression] = STATE(3727),
    [sym_binary_expression] = STATE(3727),
    [sym_update_expression] = STATE(3727),
    [sym_cast_expression] = STATE(3727),
    [sym_sizeof_expression] = STATE(3727),
    [sym_alignof_expression] = STATE(3727),
    [sym_offsetof_expression] = STATE(3727),
    [sym_generic_expression] = STATE(3727),
    [sym_subscript_expression] = STATE(3727),
    [sym_call_expression] = STATE(3727),
    [sym_gnu_asm_expression] = STATE(3727),
    [sym_field_expression] = STATE(3727),
    [sym_compound_literal_expression] = STATE(3727),
    [sym_parenthesized_expression] = STATE(3727),
    [sym_number_literal] = STATE(3478),
    [sym_char_literal] = STATE(3478),
    [sym_concatenated_string] = STATE(3481),
    [sym_string_literal] = STATE(2496),
    [sym_null] = STATE(3727),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3727),
    [sym_raw_string_literal] = STATE(2431),
    [sym_co_await_expression] = STATE(3727),
    [sym_new_expression] = STATE(3727),
    [sym_delete_expression] = STATE(3727),
    [sym_requires_clause] = STATE(3727),
    [sym_requires_expression] = STATE(3727),
    [sym_lambda_expression] = STATE(3727),
    [sym_lambda_capture_specifier] = STATE(6580),
    [sym_fold_expression] = STATE(3727),
    [sym_parameter_pack_expansion] = STATE(3727),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3727),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(3727),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2219),
    [anon_sym_compl] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2227),
    [anon_sym___alignof__] = ACTIONS(2229),
    [anon_sym___alignof] = ACTIONS(2229),
    [anon_sym__alignof] = ACTIONS(2229),
    [anon_sym_alignof] = ACTIONS(2229),
    [anon_sym__Alignof] = ACTIONS(2229),
    [anon_sym_offsetof] = ACTIONS(2231),
    [anon_sym__Generic] = ACTIONS(2233),
    [anon_sym_asm] = ACTIONS(2235),
    [anon_sym___asm__] = ACTIONS(2235),
    [aux_sym_number_literal_token1] = ACTIONS(2237),
    [aux_sym_number_literal_token2] = ACTIONS(2239),
    [anon_sym_L_SQUOTE] = ACTIONS(2241),
    [anon_sym_u_SQUOTE] = ACTIONS(2241),
    [anon_sym_U_SQUOTE] = ACTIONS(2241),
    [anon_sym_u8_SQUOTE] = ACTIONS(2241),
    [anon_sym_SQUOTE] = ACTIONS(2241),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_true] = ACTIONS(2245),
    [sym_false] = ACTIONS(2245),
    [anon_sym_NULL] = ACTIONS(2247),
    [anon_sym_nullptr] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [anon_sym_co_await] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2255),
    [anon_sym_requires] = ACTIONS(2257),
    [sym_this] = ACTIONS(2245),
  },
  [1816] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(4091),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4763),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(4680),
    [anon_sym_PLUS_PLUS] = ACTIONS(4680),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1817] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4255),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1818] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3735),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1819] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5325),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1820] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4744),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3354),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3354),
    [sym_call_expression] = STATE(3354),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3354),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3354),
    [sym_number_literal] = STATE(4808),
    [sym_char_literal] = STATE(4808),
    [sym_concatenated_string] = STATE(4862),
    [sym_string_literal] = STATE(3451),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3452),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3354),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3354),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_DASH] = ACTIONS(3555),
    [anon_sym_PLUS] = ACTIONS(3555),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3559),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3555),
    [anon_sym_compl] = ACTIONS(3555),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3565),
    [aux_sym_number_literal_token2] = ACTIONS(3567),
    [anon_sym_L_SQUOTE] = ACTIONS(3569),
    [anon_sym_u_SQUOTE] = ACTIONS(3569),
    [anon_sym_U_SQUOTE] = ACTIONS(3569),
    [anon_sym_u8_SQUOTE] = ACTIONS(3569),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3573),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
    [anon_sym_co_await] = ACTIONS(3577),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_requires] = ACTIONS(3581),
    [sym_this] = ACTIONS(219),
  },
  [1821] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3522),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1822] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5358),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1823] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5386),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1824] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5167),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1825] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5401),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1826] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5323),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1827] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5074),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1828] = {
    [sym_primitive_type] = STATE(7583),
    [sym__expression] = STATE(3389),
    [sym__expression_not_binary] = STATE(3727),
    [sym__string] = STATE(3727),
    [sym_conditional_expression] = STATE(3727),
    [sym_assignment_expression] = STATE(3727),
    [sym_pointer_expression] = STATE(3727),
    [sym_unary_expression] = STATE(3727),
    [sym_binary_expression] = STATE(3727),
    [sym_update_expression] = STATE(3727),
    [sym_cast_expression] = STATE(3727),
    [sym_sizeof_expression] = STATE(3727),
    [sym_alignof_expression] = STATE(3727),
    [sym_offsetof_expression] = STATE(3727),
    [sym_generic_expression] = STATE(3727),
    [sym_subscript_expression] = STATE(3727),
    [sym_call_expression] = STATE(3727),
    [sym_gnu_asm_expression] = STATE(3727),
    [sym_field_expression] = STATE(3727),
    [sym_compound_literal_expression] = STATE(3727),
    [sym_parenthesized_expression] = STATE(3727),
    [sym_number_literal] = STATE(3478),
    [sym_char_literal] = STATE(3478),
    [sym_concatenated_string] = STATE(3481),
    [sym_string_literal] = STATE(2496),
    [sym_null] = STATE(3727),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3727),
    [sym_raw_string_literal] = STATE(2431),
    [sym_co_await_expression] = STATE(3727),
    [sym_new_expression] = STATE(3727),
    [sym_delete_expression] = STATE(3727),
    [sym_requires_clause] = STATE(3727),
    [sym_requires_expression] = STATE(3727),
    [sym_lambda_expression] = STATE(3727),
    [sym_lambda_capture_specifier] = STATE(6580),
    [sym_fold_expression] = STATE(3727),
    [sym_parameter_pack_expansion] = STATE(3727),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3727),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(3727),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2219),
    [anon_sym_compl] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2227),
    [anon_sym___alignof__] = ACTIONS(2229),
    [anon_sym___alignof] = ACTIONS(2229),
    [anon_sym__alignof] = ACTIONS(2229),
    [anon_sym_alignof] = ACTIONS(2229),
    [anon_sym__Alignof] = ACTIONS(2229),
    [anon_sym_offsetof] = ACTIONS(2231),
    [anon_sym__Generic] = ACTIONS(2233),
    [anon_sym_asm] = ACTIONS(2235),
    [anon_sym___asm__] = ACTIONS(2235),
    [aux_sym_number_literal_token1] = ACTIONS(2237),
    [aux_sym_number_literal_token2] = ACTIONS(2239),
    [anon_sym_L_SQUOTE] = ACTIONS(2241),
    [anon_sym_u_SQUOTE] = ACTIONS(2241),
    [anon_sym_U_SQUOTE] = ACTIONS(2241),
    [anon_sym_u8_SQUOTE] = ACTIONS(2241),
    [anon_sym_SQUOTE] = ACTIONS(2241),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_true] = ACTIONS(2245),
    [sym_false] = ACTIONS(2245),
    [anon_sym_NULL] = ACTIONS(2247),
    [anon_sym_nullptr] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [anon_sym_co_await] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2255),
    [anon_sym_requires] = ACTIONS(2257),
    [sym_this] = ACTIONS(2245),
  },
  [1829] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5318),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1830] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4957),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(5053),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1831] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1832] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5317),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1833] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5292),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1834] = {
    [sym_primitive_type] = STATE(7598),
    [sym__expression] = STATE(3853),
    [sym__expression_not_binary] = STATE(4253),
    [sym__string] = STATE(4253),
    [sym_conditional_expression] = STATE(4253),
    [sym_assignment_expression] = STATE(4253),
    [sym_pointer_expression] = STATE(4253),
    [sym_unary_expression] = STATE(4253),
    [sym_binary_expression] = STATE(4253),
    [sym_update_expression] = STATE(4253),
    [sym_cast_expression] = STATE(4253),
    [sym_sizeof_expression] = STATE(4253),
    [sym_alignof_expression] = STATE(4253),
    [sym_offsetof_expression] = STATE(4253),
    [sym_generic_expression] = STATE(4253),
    [sym_subscript_expression] = STATE(4253),
    [sym_call_expression] = STATE(4253),
    [sym_gnu_asm_expression] = STATE(4253),
    [sym_field_expression] = STATE(4253),
    [sym_compound_literal_expression] = STATE(4253),
    [sym_parenthesized_expression] = STATE(4253),
    [sym_number_literal] = STATE(4051),
    [sym_char_literal] = STATE(4051),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2771),
    [sym_null] = STATE(4253),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8475),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4253),
    [sym_raw_string_literal] = STATE(2791),
    [sym_co_await_expression] = STATE(4253),
    [sym_new_expression] = STATE(4253),
    [sym_delete_expression] = STATE(4253),
    [sym_requires_clause] = STATE(4253),
    [sym_requires_expression] = STATE(4253),
    [sym_lambda_expression] = STATE(4253),
    [sym_lambda_capture_specifier] = STATE(6572),
    [sym_fold_expression] = STATE(4253),
    [sym_parameter_pack_expansion] = STATE(4253),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4253),
    [sym_qualified_type_identifier] = STATE(8475),
    [sym_user_defined_literal] = STATE(4253),
    [sym_identifier] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4688),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [aux_sym_number_literal_token1] = ACTIONS(2542),
    [aux_sym_number_literal_token2] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2550),
  },
  [1835] = {
    [sym_primitive_type] = STATE(7598),
    [sym__expression] = STATE(3777),
    [sym__expression_not_binary] = STATE(4253),
    [sym__string] = STATE(4253),
    [sym_conditional_expression] = STATE(4253),
    [sym_assignment_expression] = STATE(4253),
    [sym_pointer_expression] = STATE(4253),
    [sym_unary_expression] = STATE(4253),
    [sym_binary_expression] = STATE(4253),
    [sym_update_expression] = STATE(4253),
    [sym_cast_expression] = STATE(4253),
    [sym_sizeof_expression] = STATE(4253),
    [sym_alignof_expression] = STATE(4253),
    [sym_offsetof_expression] = STATE(4253),
    [sym_generic_expression] = STATE(4253),
    [sym_subscript_expression] = STATE(4253),
    [sym_call_expression] = STATE(4253),
    [sym_gnu_asm_expression] = STATE(4253),
    [sym_field_expression] = STATE(4253),
    [sym_compound_literal_expression] = STATE(4253),
    [sym_parenthesized_expression] = STATE(4253),
    [sym_number_literal] = STATE(4051),
    [sym_char_literal] = STATE(4051),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2771),
    [sym_null] = STATE(4253),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8475),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4253),
    [sym_raw_string_literal] = STATE(2791),
    [sym_co_await_expression] = STATE(4253),
    [sym_new_expression] = STATE(4253),
    [sym_delete_expression] = STATE(4253),
    [sym_requires_clause] = STATE(4253),
    [sym_requires_expression] = STATE(4253),
    [sym_lambda_expression] = STATE(4253),
    [sym_lambda_capture_specifier] = STATE(6572),
    [sym_fold_expression] = STATE(4253),
    [sym_parameter_pack_expansion] = STATE(4253),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4253),
    [sym_qualified_type_identifier] = STATE(8475),
    [sym_user_defined_literal] = STATE(4253),
    [sym_identifier] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4688),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [aux_sym_number_literal_token1] = ACTIONS(2542),
    [aux_sym_number_literal_token2] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2550),
  },
  [1836] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5287),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1837] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5302),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1838] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2816),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3890),
    [sym_char_literal] = STATE(3890),
    [sym_concatenated_string] = STATE(3901),
    [sym_string_literal] = STATE(2724),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2699),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(2279),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(4714),
    [anon_sym_PLUS_PLUS] = ACTIONS(4714),
    [anon_sym_sizeof] = ACTIONS(2281),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2283),
    [aux_sym_number_literal_token2] = ACTIONS(2285),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2289),
    [anon_sym_u_DQUOTE] = ACTIONS(2289),
    [anon_sym_U_DQUOTE] = ACTIONS(2289),
    [anon_sym_u8_DQUOTE] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2295),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1839] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2822),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3890),
    [sym_char_literal] = STATE(3890),
    [sym_concatenated_string] = STATE(3901),
    [sym_string_literal] = STATE(2724),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2699),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(2279),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(4714),
    [anon_sym_PLUS_PLUS] = ACTIONS(4714),
    [anon_sym_sizeof] = ACTIONS(2281),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2283),
    [aux_sym_number_literal_token2] = ACTIONS(2285),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2289),
    [anon_sym_u_DQUOTE] = ACTIONS(2289),
    [anon_sym_U_DQUOTE] = ACTIONS(2289),
    [anon_sym_u8_DQUOTE] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2295),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1840] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5363),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1841] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5196),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1842] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5319),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(5055),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1843] = {
    [sym_primitive_type] = STATE(7598),
    [sym__expression] = STATE(3763),
    [sym__expression_not_binary] = STATE(4253),
    [sym__string] = STATE(4253),
    [sym_conditional_expression] = STATE(4253),
    [sym_assignment_expression] = STATE(4253),
    [sym_pointer_expression] = STATE(4253),
    [sym_unary_expression] = STATE(4253),
    [sym_binary_expression] = STATE(4253),
    [sym_update_expression] = STATE(4253),
    [sym_cast_expression] = STATE(4253),
    [sym_sizeof_expression] = STATE(4253),
    [sym_alignof_expression] = STATE(4253),
    [sym_offsetof_expression] = STATE(4253),
    [sym_generic_expression] = STATE(4253),
    [sym_subscript_expression] = STATE(4253),
    [sym_call_expression] = STATE(4253),
    [sym_gnu_asm_expression] = STATE(4253),
    [sym_field_expression] = STATE(4253),
    [sym_compound_literal_expression] = STATE(4253),
    [sym_parenthesized_expression] = STATE(4253),
    [sym_number_literal] = STATE(4051),
    [sym_char_literal] = STATE(4051),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2771),
    [sym_null] = STATE(4253),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8475),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4253),
    [sym_raw_string_literal] = STATE(2791),
    [sym_co_await_expression] = STATE(4253),
    [sym_new_expression] = STATE(4253),
    [sym_delete_expression] = STATE(4253),
    [sym_requires_clause] = STATE(4253),
    [sym_requires_expression] = STATE(4253),
    [sym_lambda_expression] = STATE(4253),
    [sym_lambda_capture_specifier] = STATE(6572),
    [sym_fold_expression] = STATE(4253),
    [sym_parameter_pack_expansion] = STATE(4253),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4253),
    [sym_qualified_type_identifier] = STATE(8475),
    [sym_user_defined_literal] = STATE(4253),
    [sym_identifier] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4688),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [aux_sym_number_literal_token1] = ACTIONS(2542),
    [aux_sym_number_literal_token2] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2550),
  },
  [1844] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3625),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3890),
    [sym_char_literal] = STATE(3890),
    [sym_concatenated_string] = STATE(3901),
    [sym_string_literal] = STATE(2724),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2699),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(2279),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(4714),
    [anon_sym_PLUS_PLUS] = ACTIONS(4714),
    [anon_sym_sizeof] = ACTIONS(2281),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2283),
    [aux_sym_number_literal_token2] = ACTIONS(2285),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2289),
    [anon_sym_u_DQUOTE] = ACTIONS(2289),
    [anon_sym_U_DQUOTE] = ACTIONS(2289),
    [anon_sym_u8_DQUOTE] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2295),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1845] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3626),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3890),
    [sym_char_literal] = STATE(3890),
    [sym_concatenated_string] = STATE(3901),
    [sym_string_literal] = STATE(2724),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2699),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(2279),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(4714),
    [anon_sym_PLUS_PLUS] = ACTIONS(4714),
    [anon_sym_sizeof] = ACTIONS(2281),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2283),
    [aux_sym_number_literal_token2] = ACTIONS(2285),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2289),
    [anon_sym_u_DQUOTE] = ACTIONS(2289),
    [anon_sym_U_DQUOTE] = ACTIONS(2289),
    [anon_sym_u8_DQUOTE] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2295),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1846] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5175),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1847] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(4120),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4763),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(4680),
    [anon_sym_PLUS_PLUS] = ACTIONS(4680),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1848] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4958),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(5057),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1849] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3938),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4763),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(4680),
    [anon_sym_PLUS_PLUS] = ACTIONS(4680),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1850] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3746),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1851] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3957),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4763),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(4680),
    [anon_sym_PLUS_PLUS] = ACTIONS(4680),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1852] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3627),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3890),
    [sym_char_literal] = STATE(3890),
    [sym_concatenated_string] = STATE(3901),
    [sym_string_literal] = STATE(2724),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2699),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(2279),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(4714),
    [anon_sym_PLUS_PLUS] = ACTIONS(4714),
    [anon_sym_sizeof] = ACTIONS(2281),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2283),
    [aux_sym_number_literal_token2] = ACTIONS(2285),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2289),
    [anon_sym_u_DQUOTE] = ACTIONS(2289),
    [anon_sym_U_DQUOTE] = ACTIONS(2289),
    [anon_sym_u8_DQUOTE] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2295),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1853] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3629),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3890),
    [sym_char_literal] = STATE(3890),
    [sym_concatenated_string] = STATE(3901),
    [sym_string_literal] = STATE(2724),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2699),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(2279),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(4714),
    [anon_sym_PLUS_PLUS] = ACTIONS(4714),
    [anon_sym_sizeof] = ACTIONS(2281),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2283),
    [aux_sym_number_literal_token2] = ACTIONS(2285),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2289),
    [anon_sym_u_DQUOTE] = ACTIONS(2289),
    [anon_sym_U_DQUOTE] = ACTIONS(2289),
    [anon_sym_u8_DQUOTE] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2295),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1854] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3667),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3890),
    [sym_char_literal] = STATE(3890),
    [sym_concatenated_string] = STATE(3901),
    [sym_string_literal] = STATE(2724),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2699),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(2279),
    [anon_sym_LBRACK] = ACTIONS(5059),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(4714),
    [anon_sym_PLUS_PLUS] = ACTIONS(4714),
    [anon_sym_sizeof] = ACTIONS(2281),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2283),
    [aux_sym_number_literal_token2] = ACTIONS(2285),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2289),
    [anon_sym_u_DQUOTE] = ACTIONS(2289),
    [anon_sym_U_DQUOTE] = ACTIONS(2289),
    [anon_sym_u8_DQUOTE] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2295),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1855] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3630),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3890),
    [sym_char_literal] = STATE(3890),
    [sym_concatenated_string] = STATE(3901),
    [sym_string_literal] = STATE(2724),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2699),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(2279),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(4714),
    [anon_sym_PLUS_PLUS] = ACTIONS(4714),
    [anon_sym_sizeof] = ACTIONS(2281),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2283),
    [aux_sym_number_literal_token2] = ACTIONS(2285),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2289),
    [anon_sym_u_DQUOTE] = ACTIONS(2289),
    [anon_sym_U_DQUOTE] = ACTIONS(2289),
    [anon_sym_u8_DQUOTE] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2295),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1856] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3631),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3890),
    [sym_char_literal] = STATE(3890),
    [sym_concatenated_string] = STATE(3901),
    [sym_string_literal] = STATE(2724),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2699),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(2279),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(4714),
    [anon_sym_PLUS_PLUS] = ACTIONS(4714),
    [anon_sym_sizeof] = ACTIONS(2281),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2283),
    [aux_sym_number_literal_token2] = ACTIONS(2285),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2289),
    [anon_sym_u_DQUOTE] = ACTIONS(2289),
    [anon_sym_U_DQUOTE] = ACTIONS(2289),
    [anon_sym_u8_DQUOTE] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2295),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1857] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3686),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3890),
    [sym_char_literal] = STATE(3890),
    [sym_concatenated_string] = STATE(3901),
    [sym_string_literal] = STATE(2724),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2699),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(2279),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(4714),
    [anon_sym_PLUS_PLUS] = ACTIONS(4714),
    [anon_sym_sizeof] = ACTIONS(2281),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2283),
    [aux_sym_number_literal_token2] = ACTIONS(2285),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2289),
    [anon_sym_u_DQUOTE] = ACTIONS(2289),
    [anon_sym_U_DQUOTE] = ACTIONS(2289),
    [anon_sym_u8_DQUOTE] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2295),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1858] = {
    [sym_primitive_type] = STATE(7581),
    [sym__expression] = STATE(4880),
    [sym__expression_not_binary] = STATE(5075),
    [sym__string] = STATE(5075),
    [sym_conditional_expression] = STATE(5075),
    [sym_assignment_expression] = STATE(5075),
    [sym_pointer_expression] = STATE(3529),
    [sym_unary_expression] = STATE(5075),
    [sym_binary_expression] = STATE(5075),
    [sym_update_expression] = STATE(5075),
    [sym_cast_expression] = STATE(5075),
    [sym_sizeof_expression] = STATE(5075),
    [sym_alignof_expression] = STATE(5075),
    [sym_offsetof_expression] = STATE(5075),
    [sym_generic_expression] = STATE(5075),
    [sym_subscript_expression] = STATE(3529),
    [sym_call_expression] = STATE(3529),
    [sym_gnu_asm_expression] = STATE(5075),
    [sym_field_expression] = STATE(3529),
    [sym_compound_literal_expression] = STATE(5075),
    [sym_parenthesized_expression] = STATE(3529),
    [sym_number_literal] = STATE(4933),
    [sym_char_literal] = STATE(4933),
    [sym_concatenated_string] = STATE(4934),
    [sym_string_literal] = STATE(3806),
    [sym_null] = STATE(5075),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8260),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5075),
    [sym_raw_string_literal] = STATE(3801),
    [sym_co_await_expression] = STATE(5075),
    [sym_new_expression] = STATE(5075),
    [sym_delete_expression] = STATE(5075),
    [sym_requires_clause] = STATE(5075),
    [sym_requires_expression] = STATE(5075),
    [sym_lambda_expression] = STATE(5075),
    [sym_lambda_capture_specifier] = STATE(6621),
    [sym_fold_expression] = STATE(5075),
    [sym_parameter_pack_expansion] = STATE(5075),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3529),
    [sym_qualified_type_identifier] = STATE(8260),
    [sym_user_defined_literal] = STATE(3529),
    [sym_identifier] = ACTIONS(4618),
    [anon_sym_LPAREN2] = ACTIONS(4742),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3713),
    [anon_sym_compl] = ACTIONS(3713),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym___alignof__] = ACTIONS(3723),
    [anon_sym___alignof] = ACTIONS(3723),
    [anon_sym__alignof] = ACTIONS(3723),
    [anon_sym_alignof] = ACTIONS(3723),
    [anon_sym__Alignof] = ACTIONS(3723),
    [anon_sym_offsetof] = ACTIONS(3725),
    [anon_sym__Generic] = ACTIONS(3727),
    [anon_sym_asm] = ACTIONS(3729),
    [anon_sym___asm__] = ACTIONS(3729),
    [aux_sym_number_literal_token1] = ACTIONS(3731),
    [aux_sym_number_literal_token2] = ACTIONS(3733),
    [anon_sym_L_SQUOTE] = ACTIONS(3735),
    [anon_sym_u_SQUOTE] = ACTIONS(3735),
    [anon_sym_U_SQUOTE] = ACTIONS(3735),
    [anon_sym_u8_SQUOTE] = ACTIONS(3735),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [anon_sym_L_DQUOTE] = ACTIONS(3737),
    [anon_sym_u_DQUOTE] = ACTIONS(3737),
    [anon_sym_U_DQUOTE] = ACTIONS(3737),
    [anon_sym_u8_DQUOTE] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3737),
    [sym_true] = ACTIONS(3739),
    [sym_false] = ACTIONS(3739),
    [anon_sym_NULL] = ACTIONS(3741),
    [anon_sym_nullptr] = ACTIONS(3741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_R_DQUOTE] = ACTIONS(3745),
    [anon_sym_LR_DQUOTE] = ACTIONS(3745),
    [anon_sym_uR_DQUOTE] = ACTIONS(3745),
    [anon_sym_UR_DQUOTE] = ACTIONS(3745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3745),
    [anon_sym_co_await] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_requires] = ACTIONS(3751),
    [sym_this] = ACTIONS(3739),
  },
  [1859] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3659),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3890),
    [sym_char_literal] = STATE(3890),
    [sym_concatenated_string] = STATE(3901),
    [sym_string_literal] = STATE(2724),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2699),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(2279),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(4714),
    [anon_sym_PLUS_PLUS] = ACTIONS(4714),
    [anon_sym_sizeof] = ACTIONS(2281),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2283),
    [aux_sym_number_literal_token2] = ACTIONS(2285),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2289),
    [anon_sym_u_DQUOTE] = ACTIONS(2289),
    [anon_sym_U_DQUOTE] = ACTIONS(2289),
    [anon_sym_u8_DQUOTE] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2295),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1860] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5324),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1861] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2815),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3890),
    [sym_char_literal] = STATE(3890),
    [sym_concatenated_string] = STATE(3901),
    [sym_string_literal] = STATE(2724),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2699),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(2279),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(4714),
    [anon_sym_PLUS_PLUS] = ACTIONS(4714),
    [anon_sym_sizeof] = ACTIONS(2281),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2283),
    [aux_sym_number_literal_token2] = ACTIONS(2285),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2289),
    [anon_sym_u_DQUOTE] = ACTIONS(2289),
    [anon_sym_U_DQUOTE] = ACTIONS(2289),
    [anon_sym_u8_DQUOTE] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2295),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1862] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3636),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3890),
    [sym_char_literal] = STATE(3890),
    [sym_concatenated_string] = STATE(3901),
    [sym_string_literal] = STATE(2724),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2699),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(2279),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(4714),
    [anon_sym_PLUS_PLUS] = ACTIONS(4714),
    [anon_sym_sizeof] = ACTIONS(2281),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2283),
    [aux_sym_number_literal_token2] = ACTIONS(2285),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2289),
    [anon_sym_u_DQUOTE] = ACTIONS(2289),
    [anon_sym_U_DQUOTE] = ACTIONS(2289),
    [anon_sym_u8_DQUOTE] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2295),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1863] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5119),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1864] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4776),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3354),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3354),
    [sym_call_expression] = STATE(3354),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3354),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3354),
    [sym_number_literal] = STATE(4808),
    [sym_char_literal] = STATE(4808),
    [sym_concatenated_string] = STATE(4862),
    [sym_string_literal] = STATE(3451),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3452),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3354),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3354),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_DASH] = ACTIONS(3555),
    [anon_sym_PLUS] = ACTIONS(3555),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3559),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3555),
    [anon_sym_compl] = ACTIONS(3555),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3565),
    [aux_sym_number_literal_token2] = ACTIONS(3567),
    [anon_sym_L_SQUOTE] = ACTIONS(3569),
    [anon_sym_u_SQUOTE] = ACTIONS(3569),
    [anon_sym_U_SQUOTE] = ACTIONS(3569),
    [anon_sym_u8_SQUOTE] = ACTIONS(3569),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3573),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
    [anon_sym_co_await] = ACTIONS(3577),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_requires] = ACTIONS(3581),
    [sym_this] = ACTIONS(219),
  },
  [1865] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2844),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3890),
    [sym_char_literal] = STATE(3890),
    [sym_concatenated_string] = STATE(3901),
    [sym_string_literal] = STATE(2724),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2699),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(2279),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(4714),
    [anon_sym_PLUS_PLUS] = ACTIONS(4714),
    [anon_sym_sizeof] = ACTIONS(2281),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2283),
    [aux_sym_number_literal_token2] = ACTIONS(2285),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2289),
    [anon_sym_u_DQUOTE] = ACTIONS(2289),
    [anon_sym_U_DQUOTE] = ACTIONS(2289),
    [anon_sym_u8_DQUOTE] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2295),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1866] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5185),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1867] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5290),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1868] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4256),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1869] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5143),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1870] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4999),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1871] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5173),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1872] = {
    [sym_primitive_type] = STATE(7581),
    [sym__expression] = STATE(4870),
    [sym__expression_not_binary] = STATE(5075),
    [sym__string] = STATE(5075),
    [sym_conditional_expression] = STATE(5075),
    [sym_assignment_expression] = STATE(5075),
    [sym_pointer_expression] = STATE(3529),
    [sym_unary_expression] = STATE(5075),
    [sym_binary_expression] = STATE(5075),
    [sym_update_expression] = STATE(5075),
    [sym_cast_expression] = STATE(5075),
    [sym_sizeof_expression] = STATE(5075),
    [sym_alignof_expression] = STATE(5075),
    [sym_offsetof_expression] = STATE(5075),
    [sym_generic_expression] = STATE(5075),
    [sym_subscript_expression] = STATE(3529),
    [sym_call_expression] = STATE(3529),
    [sym_gnu_asm_expression] = STATE(5075),
    [sym_field_expression] = STATE(3529),
    [sym_compound_literal_expression] = STATE(5075),
    [sym_parenthesized_expression] = STATE(3529),
    [sym_number_literal] = STATE(4933),
    [sym_char_literal] = STATE(4933),
    [sym_concatenated_string] = STATE(4934),
    [sym_string_literal] = STATE(3806),
    [sym_null] = STATE(5075),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8260),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5075),
    [sym_raw_string_literal] = STATE(3801),
    [sym_co_await_expression] = STATE(5075),
    [sym_new_expression] = STATE(5075),
    [sym_delete_expression] = STATE(5075),
    [sym_requires_clause] = STATE(5075),
    [sym_requires_expression] = STATE(5075),
    [sym_lambda_expression] = STATE(5075),
    [sym_lambda_capture_specifier] = STATE(6621),
    [sym_fold_expression] = STATE(5075),
    [sym_parameter_pack_expansion] = STATE(5075),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3529),
    [sym_qualified_type_identifier] = STATE(8260),
    [sym_user_defined_literal] = STATE(3529),
    [sym_identifier] = ACTIONS(4618),
    [anon_sym_LPAREN2] = ACTIONS(4742),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3713),
    [anon_sym_compl] = ACTIONS(3713),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym___alignof__] = ACTIONS(3723),
    [anon_sym___alignof] = ACTIONS(3723),
    [anon_sym__alignof] = ACTIONS(3723),
    [anon_sym_alignof] = ACTIONS(3723),
    [anon_sym__Alignof] = ACTIONS(3723),
    [anon_sym_offsetof] = ACTIONS(3725),
    [anon_sym__Generic] = ACTIONS(3727),
    [anon_sym_asm] = ACTIONS(3729),
    [anon_sym___asm__] = ACTIONS(3729),
    [aux_sym_number_literal_token1] = ACTIONS(3731),
    [aux_sym_number_literal_token2] = ACTIONS(3733),
    [anon_sym_L_SQUOTE] = ACTIONS(3735),
    [anon_sym_u_SQUOTE] = ACTIONS(3735),
    [anon_sym_U_SQUOTE] = ACTIONS(3735),
    [anon_sym_u8_SQUOTE] = ACTIONS(3735),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [anon_sym_L_DQUOTE] = ACTIONS(3737),
    [anon_sym_u_DQUOTE] = ACTIONS(3737),
    [anon_sym_U_DQUOTE] = ACTIONS(3737),
    [anon_sym_u8_DQUOTE] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3737),
    [sym_true] = ACTIONS(3739),
    [sym_false] = ACTIONS(3739),
    [anon_sym_NULL] = ACTIONS(3741),
    [anon_sym_nullptr] = ACTIONS(3741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_R_DQUOTE] = ACTIONS(3745),
    [anon_sym_LR_DQUOTE] = ACTIONS(3745),
    [anon_sym_uR_DQUOTE] = ACTIONS(3745),
    [anon_sym_UR_DQUOTE] = ACTIONS(3745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3745),
    [anon_sym_co_await] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_requires] = ACTIONS(3751),
    [sym_this] = ACTIONS(3739),
  },
  [1873] = {
    [sym_primitive_type] = STATE(7581),
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(5075),
    [sym__string] = STATE(5075),
    [sym_conditional_expression] = STATE(5075),
    [sym_assignment_expression] = STATE(5075),
    [sym_pointer_expression] = STATE(3529),
    [sym_unary_expression] = STATE(5075),
    [sym_binary_expression] = STATE(5075),
    [sym_update_expression] = STATE(5075),
    [sym_cast_expression] = STATE(5075),
    [sym_sizeof_expression] = STATE(5075),
    [sym_alignof_expression] = STATE(5075),
    [sym_offsetof_expression] = STATE(5075),
    [sym_generic_expression] = STATE(5075),
    [sym_subscript_expression] = STATE(3529),
    [sym_call_expression] = STATE(3529),
    [sym_gnu_asm_expression] = STATE(5075),
    [sym_field_expression] = STATE(3529),
    [sym_compound_literal_expression] = STATE(5075),
    [sym_parenthesized_expression] = STATE(3529),
    [sym_number_literal] = STATE(4933),
    [sym_char_literal] = STATE(4933),
    [sym_concatenated_string] = STATE(4934),
    [sym_string_literal] = STATE(3806),
    [sym_null] = STATE(5075),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8260),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5075),
    [sym_raw_string_literal] = STATE(3801),
    [sym_co_await_expression] = STATE(5075),
    [sym_new_expression] = STATE(5075),
    [sym_delete_expression] = STATE(5075),
    [sym_requires_clause] = STATE(5075),
    [sym_requires_expression] = STATE(5075),
    [sym_lambda_expression] = STATE(5075),
    [sym_lambda_capture_specifier] = STATE(6621),
    [sym_fold_expression] = STATE(5075),
    [sym_parameter_pack_expansion] = STATE(5075),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3529),
    [sym_qualified_type_identifier] = STATE(8260),
    [sym_user_defined_literal] = STATE(3529),
    [sym_identifier] = ACTIONS(4618),
    [anon_sym_LPAREN2] = ACTIONS(4742),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(5061),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3713),
    [anon_sym_compl] = ACTIONS(3713),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym___alignof__] = ACTIONS(3723),
    [anon_sym___alignof] = ACTIONS(3723),
    [anon_sym__alignof] = ACTIONS(3723),
    [anon_sym_alignof] = ACTIONS(3723),
    [anon_sym__Alignof] = ACTIONS(3723),
    [anon_sym_offsetof] = ACTIONS(3725),
    [anon_sym__Generic] = ACTIONS(3727),
    [anon_sym_asm] = ACTIONS(3729),
    [anon_sym___asm__] = ACTIONS(3729),
    [aux_sym_number_literal_token1] = ACTIONS(3731),
    [aux_sym_number_literal_token2] = ACTIONS(3733),
    [anon_sym_L_SQUOTE] = ACTIONS(3735),
    [anon_sym_u_SQUOTE] = ACTIONS(3735),
    [anon_sym_U_SQUOTE] = ACTIONS(3735),
    [anon_sym_u8_SQUOTE] = ACTIONS(3735),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [anon_sym_L_DQUOTE] = ACTIONS(3737),
    [anon_sym_u_DQUOTE] = ACTIONS(3737),
    [anon_sym_U_DQUOTE] = ACTIONS(3737),
    [anon_sym_u8_DQUOTE] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3737),
    [sym_true] = ACTIONS(3739),
    [sym_false] = ACTIONS(3739),
    [anon_sym_NULL] = ACTIONS(3741),
    [anon_sym_nullptr] = ACTIONS(3741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_R_DQUOTE] = ACTIONS(3745),
    [anon_sym_LR_DQUOTE] = ACTIONS(3745),
    [anon_sym_uR_DQUOTE] = ACTIONS(3745),
    [anon_sym_UR_DQUOTE] = ACTIONS(3745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3745),
    [anon_sym_co_await] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_requires] = ACTIONS(3751),
    [sym_this] = ACTIONS(3739),
  },
  [1874] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4994),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1875] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3642),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3890),
    [sym_char_literal] = STATE(3890),
    [sym_concatenated_string] = STATE(3901),
    [sym_string_literal] = STATE(2724),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2699),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_LPAREN2] = ACTIONS(4748),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2275),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(2279),
    [anon_sym_LBRACK] = ACTIONS(5063),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2275),
    [anon_sym_compl] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(4714),
    [anon_sym_PLUS_PLUS] = ACTIONS(4714),
    [anon_sym_sizeof] = ACTIONS(2281),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2283),
    [aux_sym_number_literal_token2] = ACTIONS(2285),
    [anon_sym_L_SQUOTE] = ACTIONS(2287),
    [anon_sym_u_SQUOTE] = ACTIONS(2287),
    [anon_sym_U_SQUOTE] = ACTIONS(2287),
    [anon_sym_u8_SQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_L_DQUOTE] = ACTIONS(2289),
    [anon_sym_u_DQUOTE] = ACTIONS(2289),
    [anon_sym_U_DQUOTE] = ACTIONS(2289),
    [anon_sym_u8_DQUOTE] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2289),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2291),
    [anon_sym_R_DQUOTE] = ACTIONS(2293),
    [anon_sym_LR_DQUOTE] = ACTIONS(2293),
    [anon_sym_uR_DQUOTE] = ACTIONS(2293),
    [anon_sym_UR_DQUOTE] = ACTIONS(2293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2293),
    [anon_sym_co_await] = ACTIONS(2295),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1876] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4201),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(5065),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1877] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5371),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1878] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5154),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1879] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3734),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(5067),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1880] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4515),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1881] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4515),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1882] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4740),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2195),
    [anon_sym_compl] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(2201),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2215),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1883] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5295),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4392),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4392),
    [sym_call_expression] = STATE(4392),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4392),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4392),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4392),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4392),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4756),
    [anon_sym_BANG] = ACTIONS(4013),
    [anon_sym_TILDE] = ACTIONS(4013),
    [anon_sym_DASH] = ACTIONS(4011),
    [anon_sym_PLUS] = ACTIONS(4011),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(4011),
    [anon_sym_compl] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_sizeof] = ACTIONS(4017),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(4019),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1884] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4949),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1885] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4769),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3354),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3354),
    [sym_call_expression] = STATE(3354),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3354),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3354),
    [sym_number_literal] = STATE(4808),
    [sym_char_literal] = STATE(4808),
    [sym_concatenated_string] = STATE(4862),
    [sym_string_literal] = STATE(3451),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3452),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3354),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3354),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_DASH] = ACTIONS(3555),
    [anon_sym_PLUS] = ACTIONS(3555),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3559),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3555),
    [anon_sym_compl] = ACTIONS(3555),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3565),
    [aux_sym_number_literal_token2] = ACTIONS(3567),
    [anon_sym_L_SQUOTE] = ACTIONS(3569),
    [anon_sym_u_SQUOTE] = ACTIONS(3569),
    [anon_sym_U_SQUOTE] = ACTIONS(3569),
    [anon_sym_u8_SQUOTE] = ACTIONS(3569),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3573),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
    [anon_sym_co_await] = ACTIONS(3577),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_requires] = ACTIONS(3581),
    [sym_this] = ACTIONS(219),
  },
  [1886] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5374),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1887] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5376),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1888] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(4119),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4763),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(4680),
    [anon_sym_PLUS_PLUS] = ACTIONS(4680),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1889] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5077),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1890] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5122),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1891] = {
    [sym_primitive_type] = STATE(7581),
    [sym__expression] = STATE(4887),
    [sym__expression_not_binary] = STATE(5075),
    [sym__string] = STATE(5075),
    [sym_conditional_expression] = STATE(5075),
    [sym_assignment_expression] = STATE(5075),
    [sym_pointer_expression] = STATE(3529),
    [sym_unary_expression] = STATE(5075),
    [sym_binary_expression] = STATE(5075),
    [sym_update_expression] = STATE(5075),
    [sym_cast_expression] = STATE(5075),
    [sym_sizeof_expression] = STATE(5075),
    [sym_alignof_expression] = STATE(5075),
    [sym_offsetof_expression] = STATE(5075),
    [sym_generic_expression] = STATE(5075),
    [sym_subscript_expression] = STATE(3529),
    [sym_call_expression] = STATE(3529),
    [sym_gnu_asm_expression] = STATE(5075),
    [sym_field_expression] = STATE(3529),
    [sym_compound_literal_expression] = STATE(5075),
    [sym_parenthesized_expression] = STATE(3529),
    [sym_number_literal] = STATE(4933),
    [sym_char_literal] = STATE(4933),
    [sym_concatenated_string] = STATE(4934),
    [sym_string_literal] = STATE(3806),
    [sym_null] = STATE(5075),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8260),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5075),
    [sym_raw_string_literal] = STATE(3801),
    [sym_co_await_expression] = STATE(5075),
    [sym_new_expression] = STATE(5075),
    [sym_delete_expression] = STATE(5075),
    [sym_requires_clause] = STATE(5075),
    [sym_requires_expression] = STATE(5075),
    [sym_lambda_expression] = STATE(5075),
    [sym_lambda_capture_specifier] = STATE(6621),
    [sym_fold_expression] = STATE(5075),
    [sym_parameter_pack_expansion] = STATE(5075),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3529),
    [sym_qualified_type_identifier] = STATE(8260),
    [sym_user_defined_literal] = STATE(3529),
    [sym_identifier] = ACTIONS(4618),
    [anon_sym_LPAREN2] = ACTIONS(4742),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3713),
    [anon_sym_compl] = ACTIONS(3713),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym___alignof__] = ACTIONS(3723),
    [anon_sym___alignof] = ACTIONS(3723),
    [anon_sym__alignof] = ACTIONS(3723),
    [anon_sym_alignof] = ACTIONS(3723),
    [anon_sym__Alignof] = ACTIONS(3723),
    [anon_sym_offsetof] = ACTIONS(3725),
    [anon_sym__Generic] = ACTIONS(3727),
    [anon_sym_asm] = ACTIONS(3729),
    [anon_sym___asm__] = ACTIONS(3729),
    [aux_sym_number_literal_token1] = ACTIONS(3731),
    [aux_sym_number_literal_token2] = ACTIONS(3733),
    [anon_sym_L_SQUOTE] = ACTIONS(3735),
    [anon_sym_u_SQUOTE] = ACTIONS(3735),
    [anon_sym_U_SQUOTE] = ACTIONS(3735),
    [anon_sym_u8_SQUOTE] = ACTIONS(3735),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [anon_sym_L_DQUOTE] = ACTIONS(3737),
    [anon_sym_u_DQUOTE] = ACTIONS(3737),
    [anon_sym_U_DQUOTE] = ACTIONS(3737),
    [anon_sym_u8_DQUOTE] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3737),
    [sym_true] = ACTIONS(3739),
    [sym_false] = ACTIONS(3739),
    [anon_sym_NULL] = ACTIONS(3741),
    [anon_sym_nullptr] = ACTIONS(3741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_R_DQUOTE] = ACTIONS(3745),
    [anon_sym_LR_DQUOTE] = ACTIONS(3745),
    [anon_sym_uR_DQUOTE] = ACTIONS(3745),
    [anon_sym_UR_DQUOTE] = ACTIONS(3745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3745),
    [anon_sym_co_await] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_requires] = ACTIONS(3751),
    [sym_this] = ACTIONS(3739),
  },
  [1892] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5390),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1893] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4993),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1894] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2801),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3233),
    [sym_char_literal] = STATE(3233),
    [sym_concatenated_string] = STATE(3211),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2303),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2169),
    [aux_sym_number_literal_token2] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2173),
    [anon_sym_u_SQUOTE] = ACTIONS(2173),
    [anon_sym_U_SQUOTE] = ACTIONS(2173),
    [anon_sym_u8_SQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2183),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [anon_sym_co_await] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1895] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4272),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1896] = {
    [sym_primitive_type] = STATE(7581),
    [sym__expression] = STATE(4877),
    [sym__expression_not_binary] = STATE(5075),
    [sym__string] = STATE(5075),
    [sym_conditional_expression] = STATE(5075),
    [sym_assignment_expression] = STATE(5075),
    [sym_pointer_expression] = STATE(3529),
    [sym_unary_expression] = STATE(5075),
    [sym_binary_expression] = STATE(5075),
    [sym_update_expression] = STATE(5075),
    [sym_cast_expression] = STATE(5075),
    [sym_sizeof_expression] = STATE(5075),
    [sym_alignof_expression] = STATE(5075),
    [sym_offsetof_expression] = STATE(5075),
    [sym_generic_expression] = STATE(5075),
    [sym_subscript_expression] = STATE(3529),
    [sym_call_expression] = STATE(3529),
    [sym_gnu_asm_expression] = STATE(5075),
    [sym_field_expression] = STATE(3529),
    [sym_compound_literal_expression] = STATE(5075),
    [sym_parenthesized_expression] = STATE(3529),
    [sym_number_literal] = STATE(4933),
    [sym_char_literal] = STATE(4933),
    [sym_concatenated_string] = STATE(4934),
    [sym_string_literal] = STATE(3806),
    [sym_null] = STATE(5075),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8260),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5075),
    [sym_raw_string_literal] = STATE(3801),
    [sym_co_await_expression] = STATE(5075),
    [sym_new_expression] = STATE(5075),
    [sym_delete_expression] = STATE(5075),
    [sym_requires_clause] = STATE(5075),
    [sym_requires_expression] = STATE(5075),
    [sym_lambda_expression] = STATE(5075),
    [sym_lambda_capture_specifier] = STATE(6621),
    [sym_fold_expression] = STATE(5075),
    [sym_parameter_pack_expansion] = STATE(5075),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3529),
    [sym_qualified_type_identifier] = STATE(8260),
    [sym_user_defined_literal] = STATE(3529),
    [sym_identifier] = ACTIONS(4618),
    [anon_sym_LPAREN2] = ACTIONS(4742),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(5069),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3713),
    [anon_sym_compl] = ACTIONS(3713),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym___alignof__] = ACTIONS(3723),
    [anon_sym___alignof] = ACTIONS(3723),
    [anon_sym__alignof] = ACTIONS(3723),
    [anon_sym_alignof] = ACTIONS(3723),
    [anon_sym__Alignof] = ACTIONS(3723),
    [anon_sym_offsetof] = ACTIONS(3725),
    [anon_sym__Generic] = ACTIONS(3727),
    [anon_sym_asm] = ACTIONS(3729),
    [anon_sym___asm__] = ACTIONS(3729),
    [aux_sym_number_literal_token1] = ACTIONS(3731),
    [aux_sym_number_literal_token2] = ACTIONS(3733),
    [anon_sym_L_SQUOTE] = ACTIONS(3735),
    [anon_sym_u_SQUOTE] = ACTIONS(3735),
    [anon_sym_U_SQUOTE] = ACTIONS(3735),
    [anon_sym_u8_SQUOTE] = ACTIONS(3735),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [anon_sym_L_DQUOTE] = ACTIONS(3737),
    [anon_sym_u_DQUOTE] = ACTIONS(3737),
    [anon_sym_U_DQUOTE] = ACTIONS(3737),
    [anon_sym_u8_DQUOTE] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3737),
    [sym_true] = ACTIONS(3739),
    [sym_false] = ACTIONS(3739),
    [anon_sym_NULL] = ACTIONS(3741),
    [anon_sym_nullptr] = ACTIONS(3741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_R_DQUOTE] = ACTIONS(3745),
    [anon_sym_LR_DQUOTE] = ACTIONS(3745),
    [anon_sym_uR_DQUOTE] = ACTIONS(3745),
    [anon_sym_UR_DQUOTE] = ACTIONS(3745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3745),
    [anon_sym_co_await] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_requires] = ACTIONS(3751),
    [sym_this] = ACTIONS(3739),
  },
  [1897] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5095),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1898] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5384),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1899] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5383),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1900] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4212),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1901] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4259),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1902] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(4013),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4763),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(5071),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(4680),
    [anon_sym_PLUS_PLUS] = ACTIONS(4680),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1903] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5111),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(4868),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1904] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5174),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1905] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4157),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1906] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4515),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1907] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4250),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1908] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5282),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1909] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5262),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1910] = {
    [sym_primitive_type] = STATE(7519),
    [sym__expression] = STATE(5221),
    [sym__expression_not_binary] = STATE(5499),
    [sym__string] = STATE(5499),
    [sym_conditional_expression] = STATE(5499),
    [sym_assignment_expression] = STATE(5499),
    [sym_pointer_expression] = STATE(4145),
    [sym_unary_expression] = STATE(5499),
    [sym_binary_expression] = STATE(5499),
    [sym_update_expression] = STATE(5499),
    [sym_cast_expression] = STATE(5499),
    [sym_sizeof_expression] = STATE(5499),
    [sym_alignof_expression] = STATE(5499),
    [sym_offsetof_expression] = STATE(5499),
    [sym_generic_expression] = STATE(5499),
    [sym_subscript_expression] = STATE(4145),
    [sym_call_expression] = STATE(4145),
    [sym_gnu_asm_expression] = STATE(5499),
    [sym_field_expression] = STATE(4145),
    [sym_compound_literal_expression] = STATE(5499),
    [sym_parenthesized_expression] = STATE(4145),
    [sym_number_literal] = STATE(5359),
    [sym_char_literal] = STATE(5359),
    [sym_concatenated_string] = STATE(5380),
    [sym_string_literal] = STATE(4395),
    [sym_null] = STATE(5499),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8488),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5499),
    [sym_raw_string_literal] = STATE(4388),
    [sym_co_await_expression] = STATE(5499),
    [sym_new_expression] = STATE(5499),
    [sym_delete_expression] = STATE(5499),
    [sym_requires_clause] = STATE(5499),
    [sym_requires_expression] = STATE(5499),
    [sym_lambda_expression] = STATE(5499),
    [sym_lambda_capture_specifier] = STATE(6596),
    [sym_fold_expression] = STATE(5499),
    [sym_parameter_pack_expansion] = STATE(5499),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4145),
    [sym_qualified_type_identifier] = STATE(8488),
    [sym_user_defined_literal] = STATE(4145),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_compl] = ACTIONS(2962),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_sizeof] = ACTIONS(2982),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3000),
  },
  [1911] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4191),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1912] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4195),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1913] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4204),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(5073),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1914] = {
    [sym_primitive_type] = STATE(7583),
    [sym__expression] = STATE(3322),
    [sym__expression_not_binary] = STATE(3727),
    [sym__string] = STATE(3727),
    [sym_conditional_expression] = STATE(3727),
    [sym_assignment_expression] = STATE(3727),
    [sym_pointer_expression] = STATE(3727),
    [sym_unary_expression] = STATE(3727),
    [sym_binary_expression] = STATE(3727),
    [sym_update_expression] = STATE(3727),
    [sym_cast_expression] = STATE(3727),
    [sym_sizeof_expression] = STATE(3727),
    [sym_alignof_expression] = STATE(3727),
    [sym_offsetof_expression] = STATE(3727),
    [sym_generic_expression] = STATE(3727),
    [sym_subscript_expression] = STATE(3727),
    [sym_call_expression] = STATE(3727),
    [sym_gnu_asm_expression] = STATE(3727),
    [sym_field_expression] = STATE(3727),
    [sym_compound_literal_expression] = STATE(3727),
    [sym_parenthesized_expression] = STATE(3727),
    [sym_number_literal] = STATE(3478),
    [sym_char_literal] = STATE(3478),
    [sym_concatenated_string] = STATE(3481),
    [sym_string_literal] = STATE(2496),
    [sym_null] = STATE(3727),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3727),
    [sym_raw_string_literal] = STATE(2431),
    [sym_co_await_expression] = STATE(3727),
    [sym_new_expression] = STATE(3727),
    [sym_delete_expression] = STATE(3727),
    [sym_requires_clause] = STATE(3727),
    [sym_requires_expression] = STATE(3727),
    [sym_lambda_expression] = STATE(3727),
    [sym_lambda_capture_specifier] = STATE(6580),
    [sym_fold_expression] = STATE(3727),
    [sym_parameter_pack_expansion] = STATE(3727),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3727),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(3727),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2219),
    [anon_sym_compl] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2227),
    [anon_sym___alignof__] = ACTIONS(2229),
    [anon_sym___alignof] = ACTIONS(2229),
    [anon_sym__alignof] = ACTIONS(2229),
    [anon_sym_alignof] = ACTIONS(2229),
    [anon_sym__Alignof] = ACTIONS(2229),
    [anon_sym_offsetof] = ACTIONS(2231),
    [anon_sym__Generic] = ACTIONS(2233),
    [anon_sym_asm] = ACTIONS(2235),
    [anon_sym___asm__] = ACTIONS(2235),
    [aux_sym_number_literal_token1] = ACTIONS(2237),
    [aux_sym_number_literal_token2] = ACTIONS(2239),
    [anon_sym_L_SQUOTE] = ACTIONS(2241),
    [anon_sym_u_SQUOTE] = ACTIONS(2241),
    [anon_sym_U_SQUOTE] = ACTIONS(2241),
    [anon_sym_u8_SQUOTE] = ACTIONS(2241),
    [anon_sym_SQUOTE] = ACTIONS(2241),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_true] = ACTIONS(2245),
    [sym_false] = ACTIONS(2245),
    [anon_sym_NULL] = ACTIONS(2247),
    [anon_sym_nullptr] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [anon_sym_co_await] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2255),
    [anon_sym_requires] = ACTIONS(2257),
    [sym_this] = ACTIONS(2245),
  },
  [1915] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4199),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1916] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4207),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1917] = {
    [sym_primitive_type] = STATE(7583),
    [sym__expression] = STATE(3276),
    [sym__expression_not_binary] = STATE(3727),
    [sym__string] = STATE(3727),
    [sym_conditional_expression] = STATE(3727),
    [sym_assignment_expression] = STATE(3727),
    [sym_pointer_expression] = STATE(3727),
    [sym_unary_expression] = STATE(3727),
    [sym_binary_expression] = STATE(3727),
    [sym_update_expression] = STATE(3727),
    [sym_cast_expression] = STATE(3727),
    [sym_sizeof_expression] = STATE(3727),
    [sym_alignof_expression] = STATE(3727),
    [sym_offsetof_expression] = STATE(3727),
    [sym_generic_expression] = STATE(3727),
    [sym_subscript_expression] = STATE(3727),
    [sym_call_expression] = STATE(3727),
    [sym_gnu_asm_expression] = STATE(3727),
    [sym_field_expression] = STATE(3727),
    [sym_compound_literal_expression] = STATE(3727),
    [sym_parenthesized_expression] = STATE(3727),
    [sym_number_literal] = STATE(3478),
    [sym_char_literal] = STATE(3478),
    [sym_concatenated_string] = STATE(3481),
    [sym_string_literal] = STATE(2496),
    [sym_null] = STATE(3727),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3727),
    [sym_raw_string_literal] = STATE(2431),
    [sym_co_await_expression] = STATE(3727),
    [sym_new_expression] = STATE(3727),
    [sym_delete_expression] = STATE(3727),
    [sym_requires_clause] = STATE(3727),
    [sym_requires_expression] = STATE(3727),
    [sym_lambda_expression] = STATE(3727),
    [sym_lambda_capture_specifier] = STATE(6580),
    [sym_fold_expression] = STATE(3727),
    [sym_parameter_pack_expansion] = STATE(3727),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3727),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(3727),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2219),
    [anon_sym_compl] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2227),
    [anon_sym___alignof__] = ACTIONS(2229),
    [anon_sym___alignof] = ACTIONS(2229),
    [anon_sym__alignof] = ACTIONS(2229),
    [anon_sym_alignof] = ACTIONS(2229),
    [anon_sym__Alignof] = ACTIONS(2229),
    [anon_sym_offsetof] = ACTIONS(2231),
    [anon_sym__Generic] = ACTIONS(2233),
    [anon_sym_asm] = ACTIONS(2235),
    [anon_sym___asm__] = ACTIONS(2235),
    [aux_sym_number_literal_token1] = ACTIONS(2237),
    [aux_sym_number_literal_token2] = ACTIONS(2239),
    [anon_sym_L_SQUOTE] = ACTIONS(2241),
    [anon_sym_u_SQUOTE] = ACTIONS(2241),
    [anon_sym_U_SQUOTE] = ACTIONS(2241),
    [anon_sym_u8_SQUOTE] = ACTIONS(2241),
    [anon_sym_SQUOTE] = ACTIONS(2241),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_true] = ACTIONS(2245),
    [sym_false] = ACTIONS(2245),
    [anon_sym_NULL] = ACTIONS(2247),
    [anon_sym_nullptr] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [anon_sym_co_await] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2255),
    [anon_sym_requires] = ACTIONS(2257),
    [sym_this] = ACTIONS(2245),
  },
  [1918] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3919),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3919),
    [sym_call_expression] = STATE(3919),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3919),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3919),
    [sym_number_literal] = STATE(5162),
    [sym_char_literal] = STATE(5162),
    [sym_concatenated_string] = STATE(5161),
    [sym_string_literal] = STATE(4138),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(4142),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3919),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3919),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4690),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(5075),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4648),
    [anon_sym_sizeof] = ACTIONS(3799),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(3801),
    [aux_sym_number_literal_token2] = ACTIONS(3803),
    [anon_sym_L_SQUOTE] = ACTIONS(3805),
    [anon_sym_u_SQUOTE] = ACTIONS(3805),
    [anon_sym_U_SQUOTE] = ACTIONS(3805),
    [anon_sym_u8_SQUOTE] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3805),
    [anon_sym_L_DQUOTE] = ACTIONS(3807),
    [anon_sym_u_DQUOTE] = ACTIONS(3807),
    [anon_sym_U_DQUOTE] = ACTIONS(3807),
    [anon_sym_u8_DQUOTE] = ACTIONS(3807),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1919] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3147),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3233),
    [sym_char_literal] = STATE(3233),
    [sym_concatenated_string] = STATE(3211),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2303),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2169),
    [aux_sym_number_literal_token2] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2173),
    [anon_sym_u_SQUOTE] = ACTIONS(2173),
    [anon_sym_U_SQUOTE] = ACTIONS(2173),
    [anon_sym_u8_SQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2183),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [anon_sym_co_await] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1920] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1921] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4429),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1922] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4232),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1923] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4238),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1924] = {
    [sym_primitive_type] = STATE(7583),
    [sym__expression] = STATE(3332),
    [sym__expression_not_binary] = STATE(3727),
    [sym__string] = STATE(3727),
    [sym_conditional_expression] = STATE(3727),
    [sym_assignment_expression] = STATE(3727),
    [sym_pointer_expression] = STATE(3727),
    [sym_unary_expression] = STATE(3727),
    [sym_binary_expression] = STATE(3727),
    [sym_update_expression] = STATE(3727),
    [sym_cast_expression] = STATE(3727),
    [sym_sizeof_expression] = STATE(3727),
    [sym_alignof_expression] = STATE(3727),
    [sym_offsetof_expression] = STATE(3727),
    [sym_generic_expression] = STATE(3727),
    [sym_subscript_expression] = STATE(3727),
    [sym_call_expression] = STATE(3727),
    [sym_gnu_asm_expression] = STATE(3727),
    [sym_field_expression] = STATE(3727),
    [sym_compound_literal_expression] = STATE(3727),
    [sym_parenthesized_expression] = STATE(3727),
    [sym_number_literal] = STATE(3478),
    [sym_char_literal] = STATE(3478),
    [sym_concatenated_string] = STATE(3481),
    [sym_string_literal] = STATE(2496),
    [sym_null] = STATE(3727),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3727),
    [sym_raw_string_literal] = STATE(2431),
    [sym_co_await_expression] = STATE(3727),
    [sym_new_expression] = STATE(3727),
    [sym_delete_expression] = STATE(3727),
    [sym_requires_clause] = STATE(3727),
    [sym_requires_expression] = STATE(3727),
    [sym_lambda_expression] = STATE(3727),
    [sym_lambda_capture_specifier] = STATE(6580),
    [sym_fold_expression] = STATE(3727),
    [sym_parameter_pack_expansion] = STATE(3727),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3727),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(3727),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4732),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2219),
    [anon_sym_compl] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2227),
    [anon_sym___alignof__] = ACTIONS(2229),
    [anon_sym___alignof] = ACTIONS(2229),
    [anon_sym__alignof] = ACTIONS(2229),
    [anon_sym_alignof] = ACTIONS(2229),
    [anon_sym__Alignof] = ACTIONS(2229),
    [anon_sym_offsetof] = ACTIONS(2231),
    [anon_sym__Generic] = ACTIONS(2233),
    [anon_sym_asm] = ACTIONS(2235),
    [anon_sym___asm__] = ACTIONS(2235),
    [aux_sym_number_literal_token1] = ACTIONS(2237),
    [aux_sym_number_literal_token2] = ACTIONS(2239),
    [anon_sym_L_SQUOTE] = ACTIONS(2241),
    [anon_sym_u_SQUOTE] = ACTIONS(2241),
    [anon_sym_U_SQUOTE] = ACTIONS(2241),
    [anon_sym_u8_SQUOTE] = ACTIONS(2241),
    [anon_sym_SQUOTE] = ACTIONS(2241),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_true] = ACTIONS(2245),
    [sym_false] = ACTIONS(2245),
    [anon_sym_NULL] = ACTIONS(2247),
    [anon_sym_nullptr] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [anon_sym_co_await] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2255),
    [anon_sym_requires] = ACTIONS(2257),
    [sym_this] = ACTIONS(2245),
  },
  [1925] = {
    [sym_primitive_type] = STATE(7581),
    [sym__expression] = STATE(4875),
    [sym__expression_not_binary] = STATE(5075),
    [sym__string] = STATE(5075),
    [sym_conditional_expression] = STATE(5075),
    [sym_assignment_expression] = STATE(5075),
    [sym_pointer_expression] = STATE(3529),
    [sym_unary_expression] = STATE(5075),
    [sym_binary_expression] = STATE(5075),
    [sym_update_expression] = STATE(5075),
    [sym_cast_expression] = STATE(5075),
    [sym_sizeof_expression] = STATE(5075),
    [sym_alignof_expression] = STATE(5075),
    [sym_offsetof_expression] = STATE(5075),
    [sym_generic_expression] = STATE(5075),
    [sym_subscript_expression] = STATE(3529),
    [sym_call_expression] = STATE(3529),
    [sym_gnu_asm_expression] = STATE(5075),
    [sym_field_expression] = STATE(3529),
    [sym_compound_literal_expression] = STATE(5075),
    [sym_parenthesized_expression] = STATE(3529),
    [sym_number_literal] = STATE(4933),
    [sym_char_literal] = STATE(4933),
    [sym_concatenated_string] = STATE(4934),
    [sym_string_literal] = STATE(3806),
    [sym_null] = STATE(5075),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8260),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(5075),
    [sym_raw_string_literal] = STATE(3801),
    [sym_co_await_expression] = STATE(5075),
    [sym_new_expression] = STATE(5075),
    [sym_delete_expression] = STATE(5075),
    [sym_requires_clause] = STATE(5075),
    [sym_requires_expression] = STATE(5075),
    [sym_lambda_expression] = STATE(5075),
    [sym_lambda_capture_specifier] = STATE(6621),
    [sym_fold_expression] = STATE(5075),
    [sym_parameter_pack_expansion] = STATE(5075),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6332),
    [sym_qualified_identifier] = STATE(3529),
    [sym_qualified_type_identifier] = STATE(8260),
    [sym_user_defined_literal] = STATE(3529),
    [sym_identifier] = ACTIONS(4618),
    [anon_sym_LPAREN2] = ACTIONS(4742),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(4734),
    [anon_sym_AMP] = ACTIONS(4734),
    [anon_sym_COLON_COLON] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3713),
    [anon_sym_compl] = ACTIONS(3713),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym___alignof__] = ACTIONS(3723),
    [anon_sym___alignof] = ACTIONS(3723),
    [anon_sym__alignof] = ACTIONS(3723),
    [anon_sym_alignof] = ACTIONS(3723),
    [anon_sym__Alignof] = ACTIONS(3723),
    [anon_sym_offsetof] = ACTIONS(3725),
    [anon_sym__Generic] = ACTIONS(3727),
    [anon_sym_asm] = ACTIONS(3729),
    [anon_sym___asm__] = ACTIONS(3729),
    [aux_sym_number_literal_token1] = ACTIONS(3731),
    [aux_sym_number_literal_token2] = ACTIONS(3733),
    [anon_sym_L_SQUOTE] = ACTIONS(3735),
    [anon_sym_u_SQUOTE] = ACTIONS(3735),
    [anon_sym_U_SQUOTE] = ACTIONS(3735),
    [anon_sym_u8_SQUOTE] = ACTIONS(3735),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [anon_sym_L_DQUOTE] = ACTIONS(3737),
    [anon_sym_u_DQUOTE] = ACTIONS(3737),
    [anon_sym_U_DQUOTE] = ACTIONS(3737),
    [anon_sym_u8_DQUOTE] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3737),
    [sym_true] = ACTIONS(3739),
    [sym_false] = ACTIONS(3739),
    [anon_sym_NULL] = ACTIONS(3741),
    [anon_sym_nullptr] = ACTIONS(3741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3743),
    [anon_sym_R_DQUOTE] = ACTIONS(3745),
    [anon_sym_LR_DQUOTE] = ACTIONS(3745),
    [anon_sym_uR_DQUOTE] = ACTIONS(3745),
    [anon_sym_UR_DQUOTE] = ACTIONS(3745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3745),
    [anon_sym_co_await] = ACTIONS(3747),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_requires] = ACTIONS(3751),
    [sym_this] = ACTIONS(3739),
  },
  [1926] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3570),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1927] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5188),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1928] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(4495),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1929] = {
    [sym_primitive_type] = STATE(7598),
    [sym__expression] = STATE(3891),
    [sym__expression_not_binary] = STATE(4253),
    [sym__string] = STATE(4253),
    [sym_conditional_expression] = STATE(4253),
    [sym_assignment_expression] = STATE(4253),
    [sym_pointer_expression] = STATE(4253),
    [sym_unary_expression] = STATE(4253),
    [sym_binary_expression] = STATE(4253),
    [sym_update_expression] = STATE(4253),
    [sym_cast_expression] = STATE(4253),
    [sym_sizeof_expression] = STATE(4253),
    [sym_alignof_expression] = STATE(4253),
    [sym_offsetof_expression] = STATE(4253),
    [sym_generic_expression] = STATE(4253),
    [sym_subscript_expression] = STATE(4253),
    [sym_call_expression] = STATE(4253),
    [sym_gnu_asm_expression] = STATE(4253),
    [sym_field_expression] = STATE(4253),
    [sym_compound_literal_expression] = STATE(4253),
    [sym_parenthesized_expression] = STATE(4253),
    [sym_number_literal] = STATE(4051),
    [sym_char_literal] = STATE(4051),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2771),
    [sym_null] = STATE(4253),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8475),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4253),
    [sym_raw_string_literal] = STATE(2791),
    [sym_co_await_expression] = STATE(4253),
    [sym_new_expression] = STATE(4253),
    [sym_delete_expression] = STATE(4253),
    [sym_requires_clause] = STATE(4253),
    [sym_requires_expression] = STATE(4253),
    [sym_lambda_expression] = STATE(4253),
    [sym_lambda_capture_specifier] = STATE(6572),
    [sym_fold_expression] = STATE(4253),
    [sym_parameter_pack_expansion] = STATE(4253),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4253),
    [sym_qualified_type_identifier] = STATE(8475),
    [sym_user_defined_literal] = STATE(4253),
    [sym_identifier] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4688),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [aux_sym_number_literal_token1] = ACTIONS(2542),
    [aux_sym_number_literal_token2] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2550),
  },
  [1930] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5220),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(4225),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(4225),
    [sym_call_expression] = STATE(4225),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(4225),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(4225),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(4225),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(4225),
    [sym_identifier] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(5077),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(3909),
    [anon_sym_compl] = ACTIONS(3909),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_sizeof] = ACTIONS(3915),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(3917),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3919),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1931] = {
    [sym_primitive_type] = STATE(7598),
    [sym__expression] = STATE(3892),
    [sym__expression_not_binary] = STATE(4253),
    [sym__string] = STATE(4253),
    [sym_conditional_expression] = STATE(4253),
    [sym_assignment_expression] = STATE(4253),
    [sym_pointer_expression] = STATE(4253),
    [sym_unary_expression] = STATE(4253),
    [sym_binary_expression] = STATE(4253),
    [sym_update_expression] = STATE(4253),
    [sym_cast_expression] = STATE(4253),
    [sym_sizeof_expression] = STATE(4253),
    [sym_alignof_expression] = STATE(4253),
    [sym_offsetof_expression] = STATE(4253),
    [sym_generic_expression] = STATE(4253),
    [sym_subscript_expression] = STATE(4253),
    [sym_call_expression] = STATE(4253),
    [sym_gnu_asm_expression] = STATE(4253),
    [sym_field_expression] = STATE(4253),
    [sym_compound_literal_expression] = STATE(4253),
    [sym_parenthesized_expression] = STATE(4253),
    [sym_number_literal] = STATE(4051),
    [sym_char_literal] = STATE(4051),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2771),
    [sym_null] = STATE(4253),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8475),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4253),
    [sym_raw_string_literal] = STATE(2791),
    [sym_co_await_expression] = STATE(4253),
    [sym_new_expression] = STATE(4253),
    [sym_delete_expression] = STATE(4253),
    [sym_requires_clause] = STATE(4253),
    [sym_requires_expression] = STATE(4253),
    [sym_lambda_expression] = STATE(4253),
    [sym_lambda_capture_specifier] = STATE(6572),
    [sym_fold_expression] = STATE(4253),
    [sym_parameter_pack_expansion] = STATE(4253),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4253),
    [sym_qualified_type_identifier] = STATE(8475),
    [sym_user_defined_literal] = STATE(4253),
    [sym_identifier] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4688),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [aux_sym_number_literal_token1] = ACTIONS(2542),
    [aux_sym_number_literal_token2] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2550),
  },
  [1932] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3985),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4763),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(4680),
    [anon_sym_PLUS_PLUS] = ACTIONS(4680),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1933] = {
    [sym_primitive_type] = STATE(7598),
    [sym__expression] = STATE(3893),
    [sym__expression_not_binary] = STATE(4253),
    [sym__string] = STATE(4253),
    [sym_conditional_expression] = STATE(4253),
    [sym_assignment_expression] = STATE(4253),
    [sym_pointer_expression] = STATE(4253),
    [sym_unary_expression] = STATE(4253),
    [sym_binary_expression] = STATE(4253),
    [sym_update_expression] = STATE(4253),
    [sym_cast_expression] = STATE(4253),
    [sym_sizeof_expression] = STATE(4253),
    [sym_alignof_expression] = STATE(4253),
    [sym_offsetof_expression] = STATE(4253),
    [sym_generic_expression] = STATE(4253),
    [sym_subscript_expression] = STATE(4253),
    [sym_call_expression] = STATE(4253),
    [sym_gnu_asm_expression] = STATE(4253),
    [sym_field_expression] = STATE(4253),
    [sym_compound_literal_expression] = STATE(4253),
    [sym_parenthesized_expression] = STATE(4253),
    [sym_number_literal] = STATE(4051),
    [sym_char_literal] = STATE(4051),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2771),
    [sym_null] = STATE(4253),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8475),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4253),
    [sym_raw_string_literal] = STATE(2791),
    [sym_co_await_expression] = STATE(4253),
    [sym_new_expression] = STATE(4253),
    [sym_delete_expression] = STATE(4253),
    [sym_requires_clause] = STATE(4253),
    [sym_requires_expression] = STATE(4253),
    [sym_lambda_expression] = STATE(4253),
    [sym_lambda_capture_specifier] = STATE(6572),
    [sym_fold_expression] = STATE(4253),
    [sym_parameter_pack_expansion] = STATE(4253),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4253),
    [sym_qualified_type_identifier] = STATE(8475),
    [sym_user_defined_literal] = STATE(4253),
    [sym_identifier] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4688),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [aux_sym_number_literal_token1] = ACTIONS(2542),
    [aux_sym_number_literal_token2] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2550),
  },
  [1934] = {
    [sym_primitive_type] = STATE(7598),
    [sym__expression] = STATE(3894),
    [sym__expression_not_binary] = STATE(4253),
    [sym__string] = STATE(4253),
    [sym_conditional_expression] = STATE(4253),
    [sym_assignment_expression] = STATE(4253),
    [sym_pointer_expression] = STATE(4253),
    [sym_unary_expression] = STATE(4253),
    [sym_binary_expression] = STATE(4253),
    [sym_update_expression] = STATE(4253),
    [sym_cast_expression] = STATE(4253),
    [sym_sizeof_expression] = STATE(4253),
    [sym_alignof_expression] = STATE(4253),
    [sym_offsetof_expression] = STATE(4253),
    [sym_generic_expression] = STATE(4253),
    [sym_subscript_expression] = STATE(4253),
    [sym_call_expression] = STATE(4253),
    [sym_gnu_asm_expression] = STATE(4253),
    [sym_field_expression] = STATE(4253),
    [sym_compound_literal_expression] = STATE(4253),
    [sym_parenthesized_expression] = STATE(4253),
    [sym_number_literal] = STATE(4051),
    [sym_char_literal] = STATE(4051),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2771),
    [sym_null] = STATE(4253),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8475),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4253),
    [sym_raw_string_literal] = STATE(2791),
    [sym_co_await_expression] = STATE(4253),
    [sym_new_expression] = STATE(4253),
    [sym_delete_expression] = STATE(4253),
    [sym_requires_clause] = STATE(4253),
    [sym_requires_expression] = STATE(4253),
    [sym_lambda_expression] = STATE(4253),
    [sym_lambda_capture_specifier] = STATE(6572),
    [sym_fold_expression] = STATE(4253),
    [sym_parameter_pack_expansion] = STATE(4253),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4253),
    [sym_qualified_type_identifier] = STATE(8475),
    [sym_user_defined_literal] = STATE(4253),
    [sym_identifier] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4688),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [aux_sym_number_literal_token1] = ACTIONS(2542),
    [aux_sym_number_literal_token2] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2550),
  },
  [1935] = {
    [sym_primitive_type] = STATE(7598),
    [sym__expression] = STATE(3895),
    [sym__expression_not_binary] = STATE(4253),
    [sym__string] = STATE(4253),
    [sym_conditional_expression] = STATE(4253),
    [sym_assignment_expression] = STATE(4253),
    [sym_pointer_expression] = STATE(4253),
    [sym_unary_expression] = STATE(4253),
    [sym_binary_expression] = STATE(4253),
    [sym_update_expression] = STATE(4253),
    [sym_cast_expression] = STATE(4253),
    [sym_sizeof_expression] = STATE(4253),
    [sym_alignof_expression] = STATE(4253),
    [sym_offsetof_expression] = STATE(4253),
    [sym_generic_expression] = STATE(4253),
    [sym_subscript_expression] = STATE(4253),
    [sym_call_expression] = STATE(4253),
    [sym_gnu_asm_expression] = STATE(4253),
    [sym_field_expression] = STATE(4253),
    [sym_compound_literal_expression] = STATE(4253),
    [sym_parenthesized_expression] = STATE(4253),
    [sym_number_literal] = STATE(4051),
    [sym_char_literal] = STATE(4051),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2771),
    [sym_null] = STATE(4253),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8475),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4253),
    [sym_raw_string_literal] = STATE(2791),
    [sym_co_await_expression] = STATE(4253),
    [sym_new_expression] = STATE(4253),
    [sym_delete_expression] = STATE(4253),
    [sym_requires_clause] = STATE(4253),
    [sym_requires_expression] = STATE(4253),
    [sym_lambda_expression] = STATE(4253),
    [sym_lambda_capture_specifier] = STATE(6572),
    [sym_fold_expression] = STATE(4253),
    [sym_parameter_pack_expansion] = STATE(4253),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4253),
    [sym_qualified_type_identifier] = STATE(8475),
    [sym_user_defined_literal] = STATE(4253),
    [sym_identifier] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4688),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [aux_sym_number_literal_token1] = ACTIONS(2542),
    [aux_sym_number_literal_token2] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2550),
  },
  [1936] = {
    [sym_primitive_type] = STATE(7598),
    [sym__expression] = STATE(3896),
    [sym__expression_not_binary] = STATE(4253),
    [sym__string] = STATE(4253),
    [sym_conditional_expression] = STATE(4253),
    [sym_assignment_expression] = STATE(4253),
    [sym_pointer_expression] = STATE(4253),
    [sym_unary_expression] = STATE(4253),
    [sym_binary_expression] = STATE(4253),
    [sym_update_expression] = STATE(4253),
    [sym_cast_expression] = STATE(4253),
    [sym_sizeof_expression] = STATE(4253),
    [sym_alignof_expression] = STATE(4253),
    [sym_offsetof_expression] = STATE(4253),
    [sym_generic_expression] = STATE(4253),
    [sym_subscript_expression] = STATE(4253),
    [sym_call_expression] = STATE(4253),
    [sym_gnu_asm_expression] = STATE(4253),
    [sym_field_expression] = STATE(4253),
    [sym_compound_literal_expression] = STATE(4253),
    [sym_parenthesized_expression] = STATE(4253),
    [sym_number_literal] = STATE(4051),
    [sym_char_literal] = STATE(4051),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2771),
    [sym_null] = STATE(4253),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8475),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4253),
    [sym_raw_string_literal] = STATE(2791),
    [sym_co_await_expression] = STATE(4253),
    [sym_new_expression] = STATE(4253),
    [sym_delete_expression] = STATE(4253),
    [sym_requires_clause] = STATE(4253),
    [sym_requires_expression] = STATE(4253),
    [sym_lambda_expression] = STATE(4253),
    [sym_lambda_capture_specifier] = STATE(6572),
    [sym_fold_expression] = STATE(4253),
    [sym_parameter_pack_expansion] = STATE(4253),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4253),
    [sym_qualified_type_identifier] = STATE(8475),
    [sym_user_defined_literal] = STATE(4253),
    [sym_identifier] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4688),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [aux_sym_number_literal_token1] = ACTIONS(2542),
    [aux_sym_number_literal_token2] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2550),
  },
  [1937] = {
    [sym_primitive_type] = STATE(7598),
    [sym__expression] = STATE(3897),
    [sym__expression_not_binary] = STATE(4253),
    [sym__string] = STATE(4253),
    [sym_conditional_expression] = STATE(4253),
    [sym_assignment_expression] = STATE(4253),
    [sym_pointer_expression] = STATE(4253),
    [sym_unary_expression] = STATE(4253),
    [sym_binary_expression] = STATE(4253),
    [sym_update_expression] = STATE(4253),
    [sym_cast_expression] = STATE(4253),
    [sym_sizeof_expression] = STATE(4253),
    [sym_alignof_expression] = STATE(4253),
    [sym_offsetof_expression] = STATE(4253),
    [sym_generic_expression] = STATE(4253),
    [sym_subscript_expression] = STATE(4253),
    [sym_call_expression] = STATE(4253),
    [sym_gnu_asm_expression] = STATE(4253),
    [sym_field_expression] = STATE(4253),
    [sym_compound_literal_expression] = STATE(4253),
    [sym_parenthesized_expression] = STATE(4253),
    [sym_number_literal] = STATE(4051),
    [sym_char_literal] = STATE(4051),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2771),
    [sym_null] = STATE(4253),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8475),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4253),
    [sym_raw_string_literal] = STATE(2791),
    [sym_co_await_expression] = STATE(4253),
    [sym_new_expression] = STATE(4253),
    [sym_delete_expression] = STATE(4253),
    [sym_requires_clause] = STATE(4253),
    [sym_requires_expression] = STATE(4253),
    [sym_lambda_expression] = STATE(4253),
    [sym_lambda_capture_specifier] = STATE(6572),
    [sym_fold_expression] = STATE(4253),
    [sym_parameter_pack_expansion] = STATE(4253),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4253),
    [sym_qualified_type_identifier] = STATE(8475),
    [sym_user_defined_literal] = STATE(4253),
    [sym_identifier] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4688),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [aux_sym_number_literal_token1] = ACTIONS(2542),
    [aux_sym_number_literal_token2] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2550),
  },
  [1938] = {
    [sym_primitive_type] = STATE(7598),
    [sym__expression] = STATE(3898),
    [sym__expression_not_binary] = STATE(4253),
    [sym__string] = STATE(4253),
    [sym_conditional_expression] = STATE(4253),
    [sym_assignment_expression] = STATE(4253),
    [sym_pointer_expression] = STATE(4253),
    [sym_unary_expression] = STATE(4253),
    [sym_binary_expression] = STATE(4253),
    [sym_update_expression] = STATE(4253),
    [sym_cast_expression] = STATE(4253),
    [sym_sizeof_expression] = STATE(4253),
    [sym_alignof_expression] = STATE(4253),
    [sym_offsetof_expression] = STATE(4253),
    [sym_generic_expression] = STATE(4253),
    [sym_subscript_expression] = STATE(4253),
    [sym_call_expression] = STATE(4253),
    [sym_gnu_asm_expression] = STATE(4253),
    [sym_field_expression] = STATE(4253),
    [sym_compound_literal_expression] = STATE(4253),
    [sym_parenthesized_expression] = STATE(4253),
    [sym_number_literal] = STATE(4051),
    [sym_char_literal] = STATE(4051),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2771),
    [sym_null] = STATE(4253),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8475),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4253),
    [sym_raw_string_literal] = STATE(2791),
    [sym_co_await_expression] = STATE(4253),
    [sym_new_expression] = STATE(4253),
    [sym_delete_expression] = STATE(4253),
    [sym_requires_clause] = STATE(4253),
    [sym_requires_expression] = STATE(4253),
    [sym_lambda_expression] = STATE(4253),
    [sym_lambda_capture_specifier] = STATE(6572),
    [sym_fold_expression] = STATE(4253),
    [sym_parameter_pack_expansion] = STATE(4253),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4253),
    [sym_qualified_type_identifier] = STATE(8475),
    [sym_user_defined_literal] = STATE(4253),
    [sym_identifier] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4688),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [aux_sym_number_literal_token1] = ACTIONS(2542),
    [aux_sym_number_literal_token2] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2550),
  },
  [1939] = {
    [sym_primitive_type] = STATE(7598),
    [sym__expression] = STATE(3899),
    [sym__expression_not_binary] = STATE(4253),
    [sym__string] = STATE(4253),
    [sym_conditional_expression] = STATE(4253),
    [sym_assignment_expression] = STATE(4253),
    [sym_pointer_expression] = STATE(4253),
    [sym_unary_expression] = STATE(4253),
    [sym_binary_expression] = STATE(4253),
    [sym_update_expression] = STATE(4253),
    [sym_cast_expression] = STATE(4253),
    [sym_sizeof_expression] = STATE(4253),
    [sym_alignof_expression] = STATE(4253),
    [sym_offsetof_expression] = STATE(4253),
    [sym_generic_expression] = STATE(4253),
    [sym_subscript_expression] = STATE(4253),
    [sym_call_expression] = STATE(4253),
    [sym_gnu_asm_expression] = STATE(4253),
    [sym_field_expression] = STATE(4253),
    [sym_compound_literal_expression] = STATE(4253),
    [sym_parenthesized_expression] = STATE(4253),
    [sym_number_literal] = STATE(4051),
    [sym_char_literal] = STATE(4051),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2771),
    [sym_null] = STATE(4253),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8475),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4253),
    [sym_raw_string_literal] = STATE(2791),
    [sym_co_await_expression] = STATE(4253),
    [sym_new_expression] = STATE(4253),
    [sym_delete_expression] = STATE(4253),
    [sym_requires_clause] = STATE(4253),
    [sym_requires_expression] = STATE(4253),
    [sym_lambda_expression] = STATE(4253),
    [sym_lambda_capture_specifier] = STATE(6572),
    [sym_fold_expression] = STATE(4253),
    [sym_parameter_pack_expansion] = STATE(4253),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4253),
    [sym_qualified_type_identifier] = STATE(8475),
    [sym_user_defined_literal] = STATE(4253),
    [sym_identifier] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4688),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [aux_sym_number_literal_token1] = ACTIONS(2542),
    [aux_sym_number_literal_token2] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2550),
  },
  [1940] = {
    [sym_primitive_type] = STATE(7598),
    [sym__expression] = STATE(3900),
    [sym__expression_not_binary] = STATE(4253),
    [sym__string] = STATE(4253),
    [sym_conditional_expression] = STATE(4253),
    [sym_assignment_expression] = STATE(4253),
    [sym_pointer_expression] = STATE(4253),
    [sym_unary_expression] = STATE(4253),
    [sym_binary_expression] = STATE(4253),
    [sym_update_expression] = STATE(4253),
    [sym_cast_expression] = STATE(4253),
    [sym_sizeof_expression] = STATE(4253),
    [sym_alignof_expression] = STATE(4253),
    [sym_offsetof_expression] = STATE(4253),
    [sym_generic_expression] = STATE(4253),
    [sym_subscript_expression] = STATE(4253),
    [sym_call_expression] = STATE(4253),
    [sym_gnu_asm_expression] = STATE(4253),
    [sym_field_expression] = STATE(4253),
    [sym_compound_literal_expression] = STATE(4253),
    [sym_parenthesized_expression] = STATE(4253),
    [sym_number_literal] = STATE(4051),
    [sym_char_literal] = STATE(4051),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2771),
    [sym_null] = STATE(4253),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8475),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4253),
    [sym_raw_string_literal] = STATE(2791),
    [sym_co_await_expression] = STATE(4253),
    [sym_new_expression] = STATE(4253),
    [sym_delete_expression] = STATE(4253),
    [sym_requires_clause] = STATE(4253),
    [sym_requires_expression] = STATE(4253),
    [sym_lambda_expression] = STATE(4253),
    [sym_lambda_capture_specifier] = STATE(6572),
    [sym_fold_expression] = STATE(4253),
    [sym_parameter_pack_expansion] = STATE(4253),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6345),
    [sym_qualified_identifier] = STATE(4253),
    [sym_qualified_type_identifier] = STATE(8475),
    [sym_user_defined_literal] = STATE(4253),
    [sym_identifier] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4688),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [aux_sym_number_literal_token1] = ACTIONS(2542),
    [aux_sym_number_literal_token2] = ACTIONS(2544),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2548),
    [anon_sym_u_DQUOTE] = ACTIONS(2548),
    [anon_sym_U_DQUOTE] = ACTIONS(2548),
    [anon_sym_u8_DQUOTE] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_R_DQUOTE] = ACTIONS(2556),
    [anon_sym_LR_DQUOTE] = ACTIONS(2556),
    [anon_sym_uR_DQUOTE] = ACTIONS(2556),
    [anon_sym_UR_DQUOTE] = ACTIONS(2556),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2556),
    [anon_sym_co_await] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2550),
  },
  [1941] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3120),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3233),
    [sym_char_literal] = STATE(3233),
    [sym_concatenated_string] = STATE(3211),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2303),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(5079),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2169),
    [aux_sym_number_literal_token2] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2173),
    [anon_sym_u_SQUOTE] = ACTIONS(2173),
    [anon_sym_U_SQUOTE] = ACTIONS(2173),
    [anon_sym_u8_SQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2183),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [anon_sym_co_await] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1942] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3976),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4763),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(5081),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(4680),
    [anon_sym_PLUS_PLUS] = ACTIONS(4680),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1943] = {
    [sym_primitive_type] = STATE(7627),
    [sym__expression] = STATE(5422),
    [sym__expression_not_binary] = STATE(4548),
    [sym__string] = STATE(4548),
    [sym_conditional_expression] = STATE(4548),
    [sym_assignment_expression] = STATE(4548),
    [sym_pointer_expression] = STATE(3821),
    [sym_unary_expression] = STATE(4548),
    [sym_binary_expression] = STATE(4548),
    [sym_update_expression] = STATE(4548),
    [sym_cast_expression] = STATE(4548),
    [sym_sizeof_expression] = STATE(4548),
    [sym_alignof_expression] = STATE(4548),
    [sym_offsetof_expression] = STATE(4548),
    [sym_generic_expression] = STATE(4548),
    [sym_subscript_expression] = STATE(3821),
    [sym_call_expression] = STATE(3821),
    [sym_gnu_asm_expression] = STATE(4548),
    [sym_field_expression] = STATE(3821),
    [sym_compound_literal_expression] = STATE(4548),
    [sym_parenthesized_expression] = STATE(3821),
    [sym_number_literal] = STATE(4911),
    [sym_char_literal] = STATE(4911),
    [sym_concatenated_string] = STATE(4900),
    [sym_string_literal] = STATE(3561),
    [sym_null] = STATE(4548),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8485),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4548),
    [sym_raw_string_literal] = STATE(3689),
    [sym_co_await_expression] = STATE(4548),
    [sym_new_expression] = STATE(4548),
    [sym_delete_expression] = STATE(4548),
    [sym_requires_clause] = STATE(4548),
    [sym_requires_expression] = STATE(4548),
    [sym_lambda_expression] = STATE(4548),
    [sym_lambda_capture_specifier] = STATE(6594),
    [sym_fold_expression] = STATE(4548),
    [sym_parameter_pack_expansion] = STATE(4548),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(3821),
    [sym_qualified_type_identifier] = STATE(8485),
    [sym_user_defined_literal] = STATE(3821),
    [sym_identifier] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [aux_sym_number_literal_token1] = ACTIONS(107),
    [aux_sym_number_literal_token2] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1944] = {
    [sym_primitive_type] = STATE(7513),
    [sym__expression] = STATE(3734),
    [sym__expression_not_binary] = STATE(3981),
    [sym__string] = STATE(3981),
    [sym_conditional_expression] = STATE(3981),
    [sym_assignment_expression] = STATE(3981),
    [sym_pointer_expression] = STATE(3981),
    [sym_unary_expression] = STATE(3981),
    [sym_binary_expression] = STATE(3981),
    [sym_update_expression] = STATE(3981),
    [sym_cast_expression] = STATE(3981),
    [sym_sizeof_expression] = STATE(3981),
    [sym_alignof_expression] = STATE(3981),
    [sym_offsetof_expression] = STATE(3981),
    [sym_generic_expression] = STATE(3981),
    [sym_subscript_expression] = STATE(3981),
    [sym_call_expression] = STATE(3981),
    [sym_gnu_asm_expression] = STATE(3981),
    [sym_field_expression] = STATE(3981),
    [sym_compound_literal_expression] = STATE(3981),
    [sym_parenthesized_expression] = STATE(3981),
    [sym_number_literal] = STATE(3854),
    [sym_char_literal] = STATE(3854),
    [sym_concatenated_string] = STATE(3848),
    [sym_string_literal] = STATE(2748),
    [sym_null] = STATE(3981),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8454),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(3981),
    [sym_raw_string_literal] = STATE(2760),
    [sym_co_await_expression] = STATE(3981),
    [sym_new_expression] = STATE(3981),
    [sym_delete_expression] = STATE(3981),
    [sym_requires_clause] = STATE(3981),
    [sym_requires_expression] = STATE(3981),
    [sym_lambda_expression] = STATE(3981),
    [sym_lambda_capture_specifier] = STATE(6573),
    [sym_fold_expression] = STATE(3981),
    [sym_parameter_pack_expansion] = STATE(3981),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3981),
    [sym_qualified_type_identifier] = STATE(8454),
    [sym_user_defined_literal] = STATE(3981),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2083),
    [anon_sym_compl] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_sizeof] = ACTIONS(2107),
    [anon_sym___alignof__] = ACTIONS(2109),
    [anon_sym___alignof] = ACTIONS(2109),
    [anon_sym__alignof] = ACTIONS(2109),
    [anon_sym_alignof] = ACTIONS(2109),
    [anon_sym__Alignof] = ACTIONS(2109),
    [anon_sym_offsetof] = ACTIONS(2111),
    [anon_sym__Generic] = ACTIONS(2113),
    [anon_sym_asm] = ACTIONS(2115),
    [anon_sym___asm__] = ACTIONS(2115),
    [aux_sym_number_literal_token1] = ACTIONS(2117),
    [aux_sym_number_literal_token2] = ACTIONS(2119),
    [anon_sym_L_SQUOTE] = ACTIONS(2121),
    [anon_sym_u_SQUOTE] = ACTIONS(2121),
    [anon_sym_U_SQUOTE] = ACTIONS(2121),
    [anon_sym_u8_SQUOTE] = ACTIONS(2121),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_L_DQUOTE] = ACTIONS(2123),
    [anon_sym_u_DQUOTE] = ACTIONS(2123),
    [anon_sym_U_DQUOTE] = ACTIONS(2123),
    [anon_sym_u8_DQUOTE] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [anon_sym_NULL] = ACTIONS(2127),
    [anon_sym_nullptr] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_R_DQUOTE] = ACTIONS(2139),
    [anon_sym_LR_DQUOTE] = ACTIONS(2139),
    [anon_sym_uR_DQUOTE] = ACTIONS(2139),
    [anon_sym_UR_DQUOTE] = ACTIONS(2139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2139),
    [anon_sym_co_await] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2143),
    [anon_sym_requires] = ACTIONS(2145),
    [sym_this] = ACTIONS(2125),
  },
  [1945] = {
    [sym_primitive_type] = STATE(7719),
    [sym__expression] = STATE(4244),
    [sym__expression_not_binary] = STATE(4439),
    [sym__string] = STATE(4439),
    [sym_conditional_expression] = STATE(4439),
    [sym_assignment_expression] = STATE(4439),
    [sym_pointer_expression] = STATE(3913),
    [sym_unary_expression] = STATE(4439),
    [sym_binary_expression] = STATE(4439),
    [sym_update_expression] = STATE(4439),
    [sym_cast_expression] = STATE(4439),
    [sym_sizeof_expression] = STATE(4439),
    [sym_alignof_expression] = STATE(4439),
    [sym_offsetof_expression] = STATE(4439),
    [sym_generic_expression] = STATE(4439),
    [sym_subscript_expression] = STATE(3913),
    [sym_call_expression] = STATE(3913),
    [sym_gnu_asm_expression] = STATE(4439),
    [sym_field_expression] = STATE(3913),
    [sym_compound_literal_expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3913),
    [sym_number_literal] = STATE(4337),
    [sym_char_literal] = STATE(4337),
    [sym_concatenated_string] = STATE(4348),
    [sym_string_literal] = STATE(2958),
    [sym_null] = STATE(4439),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8236),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(4439),
    [sym_raw_string_literal] = STATE(2959),
    [sym_co_await_expression] = STATE(4439),
    [sym_new_expression] = STATE(4439),
    [sym_delete_expression] = STATE(4439),
    [sym_requires_clause] = STATE(4439),
    [sym_requires_expression] = STATE(4439),
    [sym_lambda_expression] = STATE(4439),
    [sym_lambda_capture_specifier] = STATE(6575),
    [sym_fold_expression] = STATE(4439),
    [sym_parameter_pack_expansion] = STATE(4439),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6334),
    [sym_qualified_identifier] = STATE(3913),
    [sym_qualified_type_identifier] = STATE(8236),
    [sym_user_defined_literal] = STATE(3913),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2017),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_COLON_COLON] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2015),
    [anon_sym_compl] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_sizeof] = ACTIONS(2031),
    [anon_sym___alignof__] = ACTIONS(2033),
    [anon_sym___alignof] = ACTIONS(2033),
    [anon_sym__alignof] = ACTIONS(2033),
    [anon_sym_alignof] = ACTIONS(2033),
    [anon_sym__Alignof] = ACTIONS(2033),
    [anon_sym_offsetof] = ACTIONS(2035),
    [anon_sym__Generic] = ACTIONS(2037),
    [anon_sym_asm] = ACTIONS(2039),
    [anon_sym___asm__] = ACTIONS(2039),
    [aux_sym_number_literal_token1] = ACTIONS(2041),
    [aux_sym_number_literal_token2] = ACTIONS(2043),
    [anon_sym_L_SQUOTE] = ACTIONS(2045),
    [anon_sym_u_SQUOTE] = ACTIONS(2045),
    [anon_sym_U_SQUOTE] = ACTIONS(2045),
    [anon_sym_u8_SQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE] = ACTIONS(2045),
    [anon_sym_L_DQUOTE] = ACTIONS(2047),
    [anon_sym_u_DQUOTE] = ACTIONS(2047),
    [anon_sym_U_DQUOTE] = ACTIONS(2047),
    [anon_sym_u8_DQUOTE] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [anon_sym_NULL] = ACTIONS(2051),
    [anon_sym_nullptr] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2055),
    [anon_sym_R_DQUOTE] = ACTIONS(2057),
    [anon_sym_LR_DQUOTE] = ACTIONS(2057),
    [anon_sym_uR_DQUOTE] = ACTIONS(2057),
    [anon_sym_UR_DQUOTE] = ACTIONS(2057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2057),
    [anon_sym_co_await] = ACTIONS(2059),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_requires] = ACTIONS(2063),
    [sym_this] = ACTIONS(2049),
  },
  [1946] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(2844),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3233),
    [sym_char_literal] = STATE(3233),
    [sym_concatenated_string] = STATE(3211),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2303),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2169),
    [aux_sym_number_literal_token2] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2173),
    [anon_sym_u_SQUOTE] = ACTIONS(2173),
    [anon_sym_U_SQUOTE] = ACTIONS(2173),
    [anon_sym_u8_SQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2183),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [anon_sym_co_await] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1947] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(4129),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4763),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(4680),
    [anon_sym_PLUS_PLUS] = ACTIONS(4680),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1948] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(4128),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3358),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3359),
    [sym_string_literal] = STATE(2404),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2393),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4763),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(4680),
    [anon_sym_PLUS_PLUS] = ACTIONS(4680),
    [anon_sym_sizeof] = ACTIONS(2825),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2203),
    [aux_sym_number_literal_token2] = ACTIONS(2205),
    [anon_sym_L_SQUOTE] = ACTIONS(2207),
    [anon_sym_u_SQUOTE] = ACTIONS(2207),
    [anon_sym_U_SQUOTE] = ACTIONS(2207),
    [anon_sym_u8_SQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [anon_sym_L_DQUOTE] = ACTIONS(2209),
    [anon_sym_u_DQUOTE] = ACTIONS(2209),
    [anon_sym_U_DQUOTE] = ACTIONS(2209),
    [anon_sym_u8_DQUOTE] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(2209),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2213),
    [anon_sym_LR_DQUOTE] = ACTIONS(2213),
    [anon_sym_uR_DQUOTE] = ACTIONS(2213),
    [anon_sym_UR_DQUOTE] = ACTIONS(2213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2213),
    [anon_sym_co_await] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1949] = {
    [sym_primitive_type] = STATE(7680),
    [sym__expression] = STATE(3136),
    [sym__expression_not_binary] = STATE(2907),
    [sym__string] = STATE(2907),
    [sym_conditional_expression] = STATE(2907),
    [sym_assignment_expression] = STATE(2907),
    [sym_pointer_expression] = STATE(2907),
    [sym_unary_expression] = STATE(2907),
    [sym_binary_expression] = STATE(2907),
    [sym_update_expression] = STATE(2907),
    [sym_cast_expression] = STATE(2907),
    [sym_sizeof_expression] = STATE(2907),
    [sym_alignof_expression] = STATE(2907),
    [sym_offsetof_expression] = STATE(2907),
    [sym_generic_expression] = STATE(2907),
    [sym_subscript_expression] = STATE(2907),
    [sym_call_expression] = STATE(2907),
    [sym_gnu_asm_expression] = STATE(2907),
    [sym_field_expression] = STATE(2907),
    [sym_compound_literal_expression] = STATE(2907),
    [sym_parenthesized_expression] = STATE(2907),
    [sym_number_literal] = STATE(3233),
    [sym_char_literal] = STATE(3233),
    [sym_concatenated_string] = STATE(3211),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(2907),
    [sym_decltype] = STATE(9281),
    [sym__class_name] = STATE(8479),
    [sym_template_type] = STATE(3124),
    [sym_template_function] = STATE(2907),
    [sym_raw_string_literal] = STATE(2303),
    [sym_co_await_expression] = STATE(2907),
    [sym_new_expression] = STATE(2907),
    [sym_delete_expression] = STATE(2907),
    [sym_requires_clause] = STATE(2907),
    [sym_requires_expression] = STATE(2907),
    [sym_lambda_expression] = STATE(2907),
    [sym_lambda_capture_specifier] = STATE(6610),
    [sym_fold_expression] = STATE(2907),
    [sym_parameter_pack_expansion] = STATE(2907),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6391),
    [sym_qualified_identifier] = STATE(2907),
    [sym_qualified_type_identifier] = STATE(8479),
    [sym_user_defined_literal] = STATE(2907),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(5083),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(2151),
    [anon_sym_compl] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_sizeof] = ACTIONS(2159),
    [anon_sym___alignof__] = ACTIONS(2161),
    [anon_sym___alignof] = ACTIONS(2161),
    [anon_sym__alignof] = ACTIONS(2161),
    [anon_sym_alignof] = ACTIONS(2161),
    [anon_sym__Alignof] = ACTIONS(2161),
    [anon_sym_offsetof] = ACTIONS(2163),
    [anon_sym__Generic] = ACTIONS(2165),
    [anon_sym_asm] = ACTIONS(2167),
    [anon_sym___asm__] = ACTIONS(2167),
    [aux_sym_number_literal_token1] = ACTIONS(2169),
    [aux_sym_number_literal_token2] = ACTIONS(2171),
    [anon_sym_L_SQUOTE] = ACTIONS(2173),
    [anon_sym_u_SQUOTE] = ACTIONS(2173),
    [anon_sym_U_SQUOTE] = ACTIONS(2173),
    [anon_sym_u8_SQUOTE] = ACTIONS(2173),
    [anon_sym_SQUOTE] = ACTIONS(2173),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [anon_sym_NULL] = ACTIONS(2179),
    [anon_sym_nullptr] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_delete] = ACTIONS(2183),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [anon_sym_co_await] = ACTIONS(2187),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_requires] = ACTIONS(2191),
    [sym_this] = ACTIONS(2177),
  },
  [1950] = {
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5924),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7227),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6932),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_parameter_list] = STATE(1089),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4932),
    [sym_template_function] = STATE(6932),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6335),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_operator_name] = STATE(6932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5085),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(5087),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5089),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(2135),
  },
  [1951] = {
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5984),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7285),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6932),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_parameter_list] = STATE(1086),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4932),
    [sym_template_function] = STATE(6932),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6335),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_operator_name] = STATE(6932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5085),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(5087),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5089),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(2135),
  },
  [1952] = {
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5923),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7233),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6932),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_parameter_list] = STATE(1087),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4932),
    [sym_template_function] = STATE(6932),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6335),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_operator_name] = STATE(6932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5085),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(5087),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5089),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(2135),
  },
  [1953] = {
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5921),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7237),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6932),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_parameter_list] = STATE(1092),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4932),
    [sym_template_function] = STATE(6932),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6335),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_operator_name] = STATE(6932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5085),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(5087),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5089),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(2135),
  },
  [1954] = {
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5920),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7272),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6932),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_parameter_list] = STATE(1090),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(4932),
    [sym_template_function] = STATE(6932),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6335),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_type_identifier] = STATE(4606),
    [sym_operator_name] = STATE(6932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5085),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(5087),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5089),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(2135),
  },
  [1955] = {
    [sym_identifier] = ACTIONS(3511),
    [anon_sym_LPAREN2] = ACTIONS(3513),
    [anon_sym_BANG] = ACTIONS(3513),
    [anon_sym_TILDE] = ACTIONS(3513),
    [anon_sym_DASH] = ACTIONS(3511),
    [anon_sym_PLUS] = ACTIONS(3511),
    [anon_sym_STAR] = ACTIONS(3513),
    [anon_sym_AMP] = ACTIONS(3513),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_extern] = ACTIONS(3511),
    [anon_sym___attribute__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3513),
    [anon_sym___declspec] = ACTIONS(3511),
    [anon_sym_signed] = ACTIONS(3511),
    [anon_sym_unsigned] = ACTIONS(3511),
    [anon_sym_long] = ACTIONS(3511),
    [anon_sym_short] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(3511),
    [anon_sym_static] = ACTIONS(3511),
    [anon_sym_register] = ACTIONS(3511),
    [anon_sym_inline] = ACTIONS(3511),
    [anon_sym___inline] = ACTIONS(3511),
    [anon_sym___inline__] = ACTIONS(3511),
    [anon_sym___forceinline] = ACTIONS(3511),
    [anon_sym_thread_local] = ACTIONS(3511),
    [anon_sym___thread] = ACTIONS(3511),
    [anon_sym_const] = ACTIONS(3511),
    [anon_sym_constexpr] = ACTIONS(3511),
    [anon_sym_volatile] = ACTIONS(3511),
    [anon_sym_restrict] = ACTIONS(3511),
    [anon_sym___restrict__] = ACTIONS(3511),
    [anon_sym__Atomic] = ACTIONS(3511),
    [anon_sym__Noreturn] = ACTIONS(3511),
    [anon_sym_noreturn] = ACTIONS(3511),
    [anon_sym_mutable] = ACTIONS(3511),
    [anon_sym_constinit] = ACTIONS(3511),
    [anon_sym_consteval] = ACTIONS(3511),
    [anon_sym_PROGMEM] = ACTIONS(3511),
    [aux_sym_primitive_type_token1] = ACTIONS(3511),
    [anon_sym_byte] = ACTIONS(3511),
    [anon_sym_word] = ACTIONS(3511),
    [anon_sym_enum] = ACTIONS(3511),
    [anon_sym_class] = ACTIONS(3511),
    [anon_sym_struct] = ACTIONS(3511),
    [anon_sym_union] = ACTIONS(3511),
    [anon_sym_not] = ACTIONS(3511),
    [anon_sym_compl] = ACTIONS(3511),
    [anon_sym_DASH_DASH] = ACTIONS(3513),
    [anon_sym_PLUS_PLUS] = ACTIONS(3513),
    [anon_sym_sizeof] = ACTIONS(3511),
    [anon_sym___alignof__] = ACTIONS(3511),
    [anon_sym___alignof] = ACTIONS(3511),
    [anon_sym__alignof] = ACTIONS(3511),
    [anon_sym_alignof] = ACTIONS(3511),
    [anon_sym__Alignof] = ACTIONS(3511),
    [anon_sym_offsetof] = ACTIONS(3511),
    [anon_sym__Generic] = ACTIONS(3511),
    [anon_sym_asm] = ACTIONS(3511),
    [anon_sym___asm__] = ACTIONS(3511),
    [aux_sym_number_literal_token1] = ACTIONS(3513),
    [aux_sym_number_literal_token2] = ACTIONS(3511),
    [anon_sym_L_SQUOTE] = ACTIONS(3513),
    [anon_sym_u_SQUOTE] = ACTIONS(3513),
    [anon_sym_U_SQUOTE] = ACTIONS(3513),
    [anon_sym_u8_SQUOTE] = ACTIONS(3513),
    [anon_sym_SQUOTE] = ACTIONS(3513),
    [anon_sym_L_DQUOTE] = ACTIONS(3513),
    [anon_sym_u_DQUOTE] = ACTIONS(3513),
    [anon_sym_U_DQUOTE] = ACTIONS(3513),
    [anon_sym_u8_DQUOTE] = ACTIONS(3513),
    [anon_sym_DQUOTE] = ACTIONS(3513),
    [sym_true] = ACTIONS(3511),
    [sym_false] = ACTIONS(3511),
    [anon_sym_NULL] = ACTIONS(3511),
    [anon_sym_nullptr] = ACTIONS(3511),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3511),
    [anon_sym_decltype] = ACTIONS(3511),
    [anon_sym_virtual] = ACTIONS(3511),
    [anon_sym_alignas] = ACTIONS(3511),
    [anon_sym_typename] = ACTIONS(3511),
    [anon_sym_template] = ACTIONS(3511),
    [anon_sym_delete] = ACTIONS(3511),
    [anon_sym_R_DQUOTE] = ACTIONS(3513),
    [anon_sym_LR_DQUOTE] = ACTIONS(3513),
    [anon_sym_uR_DQUOTE] = ACTIONS(3513),
    [anon_sym_UR_DQUOTE] = ACTIONS(3513),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3513),
    [anon_sym_co_await] = ACTIONS(3511),
    [anon_sym_new] = ACTIONS(3511),
    [anon_sym_requires] = ACTIONS(3511),
    [sym_this] = ACTIONS(3511),
  },
  [1956] = {
    [sym_identifier] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2933),
    [anon_sym_BANG] = ACTIONS(2933),
    [anon_sym_TILDE] = ACTIONS(2933),
    [anon_sym_DASH] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2928),
    [anon_sym_STAR] = ACTIONS(2933),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2933),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_PROGMEM] = ACTIONS(2928),
    [aux_sym_primitive_type_token1] = ACTIONS(2928),
    [anon_sym_byte] = ACTIONS(2928),
    [anon_sym_word] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [anon_sym_not] = ACTIONS(2928),
    [anon_sym_compl] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2933),
    [anon_sym_PLUS_PLUS] = ACTIONS(2933),
    [anon_sym_sizeof] = ACTIONS(2928),
    [anon_sym___alignof__] = ACTIONS(2928),
    [anon_sym___alignof] = ACTIONS(2928),
    [anon_sym__alignof] = ACTIONS(2928),
    [anon_sym_alignof] = ACTIONS(2928),
    [anon_sym__Alignof] = ACTIONS(2928),
    [anon_sym_offsetof] = ACTIONS(2928),
    [anon_sym__Generic] = ACTIONS(2928),
    [anon_sym_asm] = ACTIONS(2928),
    [anon_sym___asm__] = ACTIONS(2928),
    [aux_sym_number_literal_token1] = ACTIONS(2933),
    [aux_sym_number_literal_token2] = ACTIONS(2928),
    [anon_sym_L_SQUOTE] = ACTIONS(2933),
    [anon_sym_u_SQUOTE] = ACTIONS(2933),
    [anon_sym_U_SQUOTE] = ACTIONS(2933),
    [anon_sym_u8_SQUOTE] = ACTIONS(2933),
    [anon_sym_SQUOTE] = ACTIONS(2933),
    [anon_sym_L_DQUOTE] = ACTIONS(2933),
    [anon_sym_u_DQUOTE] = ACTIONS(2933),
    [anon_sym_U_DQUOTE] = ACTIONS(2933),
    [anon_sym_u8_DQUOTE] = ACTIONS(2933),
    [anon_sym_DQUOTE] = ACTIONS(2933),
    [sym_true] = ACTIONS(2928),
    [sym_false] = ACTIONS(2928),
    [anon_sym_NULL] = ACTIONS(2928),
    [anon_sym_nullptr] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_delete] = ACTIONS(2928),
    [anon_sym_R_DQUOTE] = ACTIONS(2933),
    [anon_sym_LR_DQUOTE] = ACTIONS(2933),
    [anon_sym_uR_DQUOTE] = ACTIONS(2933),
    [anon_sym_UR_DQUOTE] = ACTIONS(2933),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2933),
    [anon_sym_co_await] = ACTIONS(2928),
    [anon_sym_new] = ACTIONS(2928),
    [anon_sym_requires] = ACTIONS(2928),
    [sym_this] = ACTIONS(2928),
  },
  [1957] = {
    [sym_identifier] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_AMP] = ACTIONS(3178),
    [anon_sym___extension__] = ACTIONS(3176),
    [anon_sym_extern] = ACTIONS(3176),
    [anon_sym___attribute__] = ACTIONS(3176),
    [anon_sym_COLON_COLON] = ACTIONS(3178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3178),
    [anon_sym___declspec] = ACTIONS(3176),
    [anon_sym_signed] = ACTIONS(3176),
    [anon_sym_unsigned] = ACTIONS(3176),
    [anon_sym_long] = ACTIONS(3176),
    [anon_sym_short] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_register] = ACTIONS(3176),
    [anon_sym_inline] = ACTIONS(3176),
    [anon_sym___inline] = ACTIONS(3176),
    [anon_sym___inline__] = ACTIONS(3176),
    [anon_sym___forceinline] = ACTIONS(3176),
    [anon_sym_thread_local] = ACTIONS(3176),
    [anon_sym___thread] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_constexpr] = ACTIONS(3176),
    [anon_sym_volatile] = ACTIONS(3176),
    [anon_sym_restrict] = ACTIONS(3176),
    [anon_sym___restrict__] = ACTIONS(3176),
    [anon_sym__Atomic] = ACTIONS(3176),
    [anon_sym__Noreturn] = ACTIONS(3176),
    [anon_sym_noreturn] = ACTIONS(3176),
    [anon_sym_mutable] = ACTIONS(3176),
    [anon_sym_constinit] = ACTIONS(3176),
    [anon_sym_consteval] = ACTIONS(3176),
    [anon_sym_PROGMEM] = ACTIONS(3176),
    [aux_sym_primitive_type_token1] = ACTIONS(3176),
    [anon_sym_byte] = ACTIONS(3176),
    [anon_sym_word] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_struct] = ACTIONS(3176),
    [anon_sym_union] = ACTIONS(3176),
    [anon_sym_not] = ACTIONS(3176),
    [anon_sym_compl] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(3176),
    [anon_sym___alignof__] = ACTIONS(3176),
    [anon_sym___alignof] = ACTIONS(3176),
    [anon_sym__alignof] = ACTIONS(3176),
    [anon_sym_alignof] = ACTIONS(3176),
    [anon_sym__Alignof] = ACTIONS(3176),
    [anon_sym_offsetof] = ACTIONS(3176),
    [anon_sym__Generic] = ACTIONS(3176),
    [anon_sym_asm] = ACTIONS(3176),
    [anon_sym___asm__] = ACTIONS(3176),
    [aux_sym_number_literal_token1] = ACTIONS(3178),
    [aux_sym_number_literal_token2] = ACTIONS(3176),
    [anon_sym_L_SQUOTE] = ACTIONS(3178),
    [anon_sym_u_SQUOTE] = ACTIONS(3178),
    [anon_sym_U_SQUOTE] = ACTIONS(3178),
    [anon_sym_u8_SQUOTE] = ACTIONS(3178),
    [anon_sym_SQUOTE] = ACTIONS(3178),
    [anon_sym_L_DQUOTE] = ACTIONS(3178),
    [anon_sym_u_DQUOTE] = ACTIONS(3178),
    [anon_sym_U_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8_DQUOTE] = ACTIONS(3178),
    [anon_sym_DQUOTE] = ACTIONS(3178),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [anon_sym_NULL] = ACTIONS(3176),
    [anon_sym_nullptr] = ACTIONS(3176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3176),
    [anon_sym_decltype] = ACTIONS(3176),
    [anon_sym_virtual] = ACTIONS(3176),
    [anon_sym_alignas] = ACTIONS(3176),
    [anon_sym_typename] = ACTIONS(3176),
    [anon_sym_template] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_R_DQUOTE] = ACTIONS(3178),
    [anon_sym_LR_DQUOTE] = ACTIONS(3178),
    [anon_sym_uR_DQUOTE] = ACTIONS(3178),
    [anon_sym_UR_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3178),
    [anon_sym_co_await] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_requires] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
  },
  [1958] = {
    [sym__declaration_modifiers] = STATE(2241),
    [sym__declaration_specifiers] = STATE(4767),
    [sym_attribute_specifier] = STATE(2241),
    [sym_attribute_declaration] = STATE(2241),
    [sym_ms_declspec_modifier] = STATE(2241),
    [sym__abstract_declarator] = STATE(7416),
    [sym_abstract_parenthesized_declarator] = STATE(6793),
    [sym_abstract_pointer_declarator] = STATE(6793),
    [sym_abstract_function_declarator] = STATE(6793),
    [sym_abstract_array_declarator] = STATE(6793),
    [sym_storage_class_specifier] = STATE(2241),
    [sym_type_qualifier] = STATE(2241),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_list] = STATE(4289),
    [sym_parameter_declaration] = STATE(8054),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2241),
    [sym_alignas_specifier] = STATE(2241),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(8054),
    [sym_variadic_parameter_declaration] = STATE(8054),
    [sym_abstract_reference_declarator] = STATE(6793),
    [sym__function_declarator_seq] = STATE(6778),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7177),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2241),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2067),
    [anon_sym_RPAREN] = ACTIONS(4555),
    [anon_sym_LPAREN2] = ACTIONS(5093),
    [anon_sym_STAR] = ACTIONS(5095),
    [anon_sym_AMP_AMP] = ACTIONS(5097),
    [anon_sym_AMP] = ACTIONS(5099),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(5103),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2023),
    [anon_sym_struct] = ACTIONS(2025),
    [anon_sym_union] = ACTIONS(2027),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2053),
    [anon_sym_template] = ACTIONS(1436),
  },
  [1959] = {
    [sym_template_argument_list] = STATE(1974),
    [sym_identifier] = ACTIONS(5105),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5107),
    [anon_sym_COMMA] = ACTIONS(5107),
    [anon_sym_LPAREN2] = ACTIONS(5109),
    [anon_sym_TILDE] = ACTIONS(5112),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_STAR] = ACTIONS(5116),
    [anon_sym_SLASH] = ACTIONS(5114),
    [anon_sym_PERCENT] = ACTIONS(5114),
    [anon_sym_PIPE_PIPE] = ACTIONS(5107),
    [anon_sym_AMP_AMP] = ACTIONS(5109),
    [anon_sym_PIPE] = ACTIONS(5114),
    [anon_sym_CARET] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(5116),
    [anon_sym_EQ_EQ] = ACTIONS(5107),
    [anon_sym_BANG_EQ] = ACTIONS(5107),
    [anon_sym_GT] = ACTIONS(5114),
    [anon_sym_GT_EQ] = ACTIONS(5107),
    [anon_sym_LT_EQ] = ACTIONS(5114),
    [anon_sym_LT] = ACTIONS(5119),
    [anon_sym_LT_LT] = ACTIONS(5114),
    [anon_sym_GT_GT] = ACTIONS(5114),
    [anon_sym_SEMI] = ACTIONS(5109),
    [anon_sym___extension__] = ACTIONS(5105),
    [anon_sym_extern] = ACTIONS(5105),
    [anon_sym___attribute__] = ACTIONS(5105),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5109),
    [anon_sym___declspec] = ACTIONS(5105),
    [anon_sym___based] = ACTIONS(5105),
    [anon_sym_LBRACE] = ACTIONS(5112),
    [anon_sym_RBRACE] = ACTIONS(5107),
    [anon_sym_LBRACK] = ACTIONS(5116),
    [anon_sym_EQ] = ACTIONS(5114),
    [anon_sym_static] = ACTIONS(5105),
    [anon_sym_register] = ACTIONS(5105),
    [anon_sym_inline] = ACTIONS(5105),
    [anon_sym___inline] = ACTIONS(5105),
    [anon_sym___inline__] = ACTIONS(5105),
    [anon_sym___forceinline] = ACTIONS(5105),
    [anon_sym_thread_local] = ACTIONS(5105),
    [anon_sym___thread] = ACTIONS(5105),
    [anon_sym_const] = ACTIONS(5105),
    [anon_sym_constexpr] = ACTIONS(5105),
    [anon_sym_volatile] = ACTIONS(5105),
    [anon_sym_restrict] = ACTIONS(5105),
    [anon_sym___restrict__] = ACTIONS(5105),
    [anon_sym__Atomic] = ACTIONS(5105),
    [anon_sym__Noreturn] = ACTIONS(5105),
    [anon_sym_noreturn] = ACTIONS(5105),
    [anon_sym_mutable] = ACTIONS(5105),
    [anon_sym_constinit] = ACTIONS(5105),
    [anon_sym_consteval] = ACTIONS(5105),
    [anon_sym_PROGMEM] = ACTIONS(5105),
    [anon_sym_QMARK] = ACTIONS(5107),
    [anon_sym_STAR_EQ] = ACTIONS(5107),
    [anon_sym_SLASH_EQ] = ACTIONS(5107),
    [anon_sym_PERCENT_EQ] = ACTIONS(5107),
    [anon_sym_PLUS_EQ] = ACTIONS(5107),
    [anon_sym_DASH_EQ] = ACTIONS(5107),
    [anon_sym_LT_LT_EQ] = ACTIONS(5107),
    [anon_sym_GT_GT_EQ] = ACTIONS(5107),
    [anon_sym_AMP_EQ] = ACTIONS(5107),
    [anon_sym_CARET_EQ] = ACTIONS(5107),
    [anon_sym_PIPE_EQ] = ACTIONS(5107),
    [anon_sym_and_eq] = ACTIONS(5114),
    [anon_sym_or_eq] = ACTIONS(5114),
    [anon_sym_xor_eq] = ACTIONS(5114),
    [anon_sym_LT_EQ_GT] = ACTIONS(5107),
    [anon_sym_or] = ACTIONS(5114),
    [anon_sym_and] = ACTIONS(5114),
    [anon_sym_bitor] = ACTIONS(5114),
    [anon_sym_xor] = ACTIONS(5114),
    [anon_sym_bitand] = ACTIONS(5114),
    [anon_sym_not_eq] = ACTIONS(5114),
    [anon_sym_DASH_DASH] = ACTIONS(5107),
    [anon_sym_PLUS_PLUS] = ACTIONS(5107),
    [anon_sym_DOT] = ACTIONS(5114),
    [anon_sym_DOT_STAR] = ACTIONS(5107),
    [anon_sym_DASH_GT] = ACTIONS(5107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5105),
    [anon_sym_decltype] = ACTIONS(5105),
    [anon_sym_virtual] = ACTIONS(5105),
    [anon_sym_alignas] = ACTIONS(5105),
    [anon_sym_template] = ACTIONS(5105),
    [anon_sym_operator] = ACTIONS(5105),
  },
  [1960] = {
    [sym_template_argument_list] = STATE(1973),
    [sym_identifier] = ACTIONS(5105),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5109),
    [anon_sym_COMMA] = ACTIONS(5109),
    [anon_sym_RPAREN] = ACTIONS(5109),
    [anon_sym_LPAREN2] = ACTIONS(5109),
    [anon_sym_TILDE] = ACTIONS(5112),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_STAR] = ACTIONS(5116),
    [anon_sym_SLASH] = ACTIONS(5114),
    [anon_sym_PERCENT] = ACTIONS(5114),
    [anon_sym_PIPE_PIPE] = ACTIONS(5107),
    [anon_sym_AMP_AMP] = ACTIONS(5109),
    [anon_sym_PIPE] = ACTIONS(5114),
    [anon_sym_CARET] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(5116),
    [anon_sym_EQ_EQ] = ACTIONS(5107),
    [anon_sym_BANG_EQ] = ACTIONS(5107),
    [anon_sym_GT] = ACTIONS(5114),
    [anon_sym_GT_EQ] = ACTIONS(5107),
    [anon_sym_LT_EQ] = ACTIONS(5114),
    [anon_sym_LT] = ACTIONS(5122),
    [anon_sym_LT_LT] = ACTIONS(5114),
    [anon_sym_GT_GT] = ACTIONS(5114),
    [anon_sym___extension__] = ACTIONS(5105),
    [anon_sym_extern] = ACTIONS(5105),
    [anon_sym___attribute__] = ACTIONS(5105),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5112),
    [anon_sym___declspec] = ACTIONS(5105),
    [anon_sym___based] = ACTIONS(5105),
    [anon_sym_LBRACE] = ACTIONS(5112),
    [anon_sym_LBRACK] = ACTIONS(5116),
    [anon_sym_EQ] = ACTIONS(5116),
    [anon_sym_static] = ACTIONS(5105),
    [anon_sym_register] = ACTIONS(5105),
    [anon_sym_inline] = ACTIONS(5105),
    [anon_sym___inline] = ACTIONS(5105),
    [anon_sym___inline__] = ACTIONS(5105),
    [anon_sym___forceinline] = ACTIONS(5105),
    [anon_sym_thread_local] = ACTIONS(5105),
    [anon_sym___thread] = ACTIONS(5105),
    [anon_sym_const] = ACTIONS(5105),
    [anon_sym_constexpr] = ACTIONS(5105),
    [anon_sym_volatile] = ACTIONS(5105),
    [anon_sym_restrict] = ACTIONS(5105),
    [anon_sym___restrict__] = ACTIONS(5105),
    [anon_sym__Atomic] = ACTIONS(5105),
    [anon_sym__Noreturn] = ACTIONS(5105),
    [anon_sym_noreturn] = ACTIONS(5105),
    [anon_sym_mutable] = ACTIONS(5105),
    [anon_sym_constinit] = ACTIONS(5105),
    [anon_sym_consteval] = ACTIONS(5105),
    [anon_sym_PROGMEM] = ACTIONS(5105),
    [anon_sym_QMARK] = ACTIONS(5107),
    [anon_sym_STAR_EQ] = ACTIONS(5107),
    [anon_sym_SLASH_EQ] = ACTIONS(5107),
    [anon_sym_PERCENT_EQ] = ACTIONS(5107),
    [anon_sym_PLUS_EQ] = ACTIONS(5107),
    [anon_sym_DASH_EQ] = ACTIONS(5107),
    [anon_sym_LT_LT_EQ] = ACTIONS(5107),
    [anon_sym_GT_GT_EQ] = ACTIONS(5107),
    [anon_sym_AMP_EQ] = ACTIONS(5107),
    [anon_sym_CARET_EQ] = ACTIONS(5107),
    [anon_sym_PIPE_EQ] = ACTIONS(5107),
    [anon_sym_and_eq] = ACTIONS(5114),
    [anon_sym_or_eq] = ACTIONS(5114),
    [anon_sym_xor_eq] = ACTIONS(5114),
    [anon_sym_LT_EQ_GT] = ACTIONS(5107),
    [anon_sym_or] = ACTIONS(5114),
    [anon_sym_and] = ACTIONS(5114),
    [anon_sym_bitor] = ACTIONS(5114),
    [anon_sym_xor] = ACTIONS(5114),
    [anon_sym_bitand] = ACTIONS(5114),
    [anon_sym_not_eq] = ACTIONS(5114),
    [anon_sym_DASH_DASH] = ACTIONS(5107),
    [anon_sym_PLUS_PLUS] = ACTIONS(5107),
    [anon_sym_DOT] = ACTIONS(5114),
    [anon_sym_DOT_STAR] = ACTIONS(5107),
    [anon_sym_DASH_GT] = ACTIONS(5114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5105),
    [anon_sym_decltype] = ACTIONS(5105),
    [anon_sym_virtual] = ACTIONS(5105),
    [anon_sym_alignas] = ACTIONS(5105),
    [anon_sym_template] = ACTIONS(5105),
    [anon_sym_operator] = ACTIONS(5105),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5107),
  },
  [1961] = {
    [sym_identifier] = ACTIONS(5125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5127),
    [anon_sym_COMMA] = ACTIONS(5127),
    [anon_sym_RPAREN] = ACTIONS(5127),
    [anon_sym_LPAREN2] = ACTIONS(5127),
    [anon_sym_TILDE] = ACTIONS(5127),
    [anon_sym_DASH] = ACTIONS(5125),
    [anon_sym_PLUS] = ACTIONS(5125),
    [anon_sym_STAR] = ACTIONS(5125),
    [anon_sym_SLASH] = ACTIONS(5125),
    [anon_sym_PERCENT] = ACTIONS(5125),
    [anon_sym_PIPE_PIPE] = ACTIONS(5127),
    [anon_sym_AMP_AMP] = ACTIONS(5127),
    [anon_sym_PIPE] = ACTIONS(5125),
    [anon_sym_CARET] = ACTIONS(5125),
    [anon_sym_AMP] = ACTIONS(5125),
    [anon_sym_EQ_EQ] = ACTIONS(5127),
    [anon_sym_BANG_EQ] = ACTIONS(5127),
    [anon_sym_GT] = ACTIONS(5125),
    [anon_sym_GT_EQ] = ACTIONS(5127),
    [anon_sym_LT_EQ] = ACTIONS(5125),
    [anon_sym_LT] = ACTIONS(5125),
    [anon_sym_LT_LT] = ACTIONS(5125),
    [anon_sym_GT_GT] = ACTIONS(5125),
    [anon_sym_SEMI] = ACTIONS(5127),
    [anon_sym___extension__] = ACTIONS(5125),
    [anon_sym_extern] = ACTIONS(5125),
    [anon_sym___attribute__] = ACTIONS(5125),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5127),
    [anon_sym___declspec] = ACTIONS(5125),
    [anon_sym___based] = ACTIONS(5125),
    [anon_sym_LBRACE] = ACTIONS(5127),
    [anon_sym_RBRACE] = ACTIONS(5127),
    [anon_sym_LBRACK] = ACTIONS(5125),
    [anon_sym_EQ] = ACTIONS(5125),
    [anon_sym_static] = ACTIONS(5125),
    [anon_sym_register] = ACTIONS(5125),
    [anon_sym_inline] = ACTIONS(5125),
    [anon_sym___inline] = ACTIONS(5125),
    [anon_sym___inline__] = ACTIONS(5125),
    [anon_sym___forceinline] = ACTIONS(5125),
    [anon_sym_thread_local] = ACTIONS(5125),
    [anon_sym___thread] = ACTIONS(5125),
    [anon_sym_const] = ACTIONS(5125),
    [anon_sym_constexpr] = ACTIONS(5125),
    [anon_sym_volatile] = ACTIONS(5125),
    [anon_sym_restrict] = ACTIONS(5125),
    [anon_sym___restrict__] = ACTIONS(5125),
    [anon_sym__Atomic] = ACTIONS(5125),
    [anon_sym__Noreturn] = ACTIONS(5125),
    [anon_sym_noreturn] = ACTIONS(5125),
    [anon_sym_mutable] = ACTIONS(5125),
    [anon_sym_constinit] = ACTIONS(5125),
    [anon_sym_consteval] = ACTIONS(5125),
    [anon_sym_PROGMEM] = ACTIONS(5125),
    [anon_sym_QMARK] = ACTIONS(5127),
    [anon_sym_STAR_EQ] = ACTIONS(5127),
    [anon_sym_SLASH_EQ] = ACTIONS(5127),
    [anon_sym_PERCENT_EQ] = ACTIONS(5127),
    [anon_sym_PLUS_EQ] = ACTIONS(5127),
    [anon_sym_DASH_EQ] = ACTIONS(5127),
    [anon_sym_LT_LT_EQ] = ACTIONS(5127),
    [anon_sym_GT_GT_EQ] = ACTIONS(5127),
    [anon_sym_AMP_EQ] = ACTIONS(5127),
    [anon_sym_CARET_EQ] = ACTIONS(5127),
    [anon_sym_PIPE_EQ] = ACTIONS(5127),
    [anon_sym_and_eq] = ACTIONS(5125),
    [anon_sym_or_eq] = ACTIONS(5125),
    [anon_sym_xor_eq] = ACTIONS(5125),
    [anon_sym_LT_EQ_GT] = ACTIONS(5127),
    [anon_sym_or] = ACTIONS(5125),
    [anon_sym_and] = ACTIONS(5125),
    [anon_sym_bitor] = ACTIONS(5125),
    [anon_sym_xor] = ACTIONS(5125),
    [anon_sym_bitand] = ACTIONS(5125),
    [anon_sym_not_eq] = ACTIONS(5125),
    [anon_sym_DASH_DASH] = ACTIONS(5127),
    [anon_sym_PLUS_PLUS] = ACTIONS(5127),
    [anon_sym_DOT] = ACTIONS(5125),
    [anon_sym_DOT_STAR] = ACTIONS(5127),
    [anon_sym_DASH_GT] = ACTIONS(5127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5125),
    [anon_sym_decltype] = ACTIONS(5125),
    [anon_sym_virtual] = ACTIONS(5125),
    [anon_sym_alignas] = ACTIONS(5125),
    [anon_sym_template] = ACTIONS(5125),
    [anon_sym_operator] = ACTIONS(5125),
  },
  [1962] = {
    [sym_identifier] = ACTIONS(5129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5131),
    [anon_sym_COMMA] = ACTIONS(5131),
    [anon_sym_RPAREN] = ACTIONS(5131),
    [anon_sym_LPAREN2] = ACTIONS(5131),
    [anon_sym_TILDE] = ACTIONS(5131),
    [anon_sym_DASH] = ACTIONS(5129),
    [anon_sym_PLUS] = ACTIONS(5129),
    [anon_sym_STAR] = ACTIONS(5129),
    [anon_sym_SLASH] = ACTIONS(5129),
    [anon_sym_PERCENT] = ACTIONS(5129),
    [anon_sym_PIPE_PIPE] = ACTIONS(5131),
    [anon_sym_AMP_AMP] = ACTIONS(5131),
    [anon_sym_PIPE] = ACTIONS(5129),
    [anon_sym_CARET] = ACTIONS(5129),
    [anon_sym_AMP] = ACTIONS(5129),
    [anon_sym_EQ_EQ] = ACTIONS(5131),
    [anon_sym_BANG_EQ] = ACTIONS(5131),
    [anon_sym_GT] = ACTIONS(5129),
    [anon_sym_GT_EQ] = ACTIONS(5131),
    [anon_sym_LT_EQ] = ACTIONS(5129),
    [anon_sym_LT] = ACTIONS(5129),
    [anon_sym_LT_LT] = ACTIONS(5129),
    [anon_sym_GT_GT] = ACTIONS(5129),
    [anon_sym_SEMI] = ACTIONS(5131),
    [anon_sym___extension__] = ACTIONS(5129),
    [anon_sym_extern] = ACTIONS(5129),
    [anon_sym___attribute__] = ACTIONS(5129),
    [anon_sym_COLON_COLON] = ACTIONS(5131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5131),
    [anon_sym___declspec] = ACTIONS(5129),
    [anon_sym___based] = ACTIONS(5129),
    [anon_sym_LBRACE] = ACTIONS(5131),
    [anon_sym_RBRACE] = ACTIONS(5131),
    [anon_sym_LBRACK] = ACTIONS(5129),
    [anon_sym_EQ] = ACTIONS(5129),
    [anon_sym_static] = ACTIONS(5129),
    [anon_sym_register] = ACTIONS(5129),
    [anon_sym_inline] = ACTIONS(5129),
    [anon_sym___inline] = ACTIONS(5129),
    [anon_sym___inline__] = ACTIONS(5129),
    [anon_sym___forceinline] = ACTIONS(5129),
    [anon_sym_thread_local] = ACTIONS(5129),
    [anon_sym___thread] = ACTIONS(5129),
    [anon_sym_const] = ACTIONS(5129),
    [anon_sym_constexpr] = ACTIONS(5129),
    [anon_sym_volatile] = ACTIONS(5129),
    [anon_sym_restrict] = ACTIONS(5129),
    [anon_sym___restrict__] = ACTIONS(5129),
    [anon_sym__Atomic] = ACTIONS(5129),
    [anon_sym__Noreturn] = ACTIONS(5129),
    [anon_sym_noreturn] = ACTIONS(5129),
    [anon_sym_mutable] = ACTIONS(5129),
    [anon_sym_constinit] = ACTIONS(5129),
    [anon_sym_consteval] = ACTIONS(5129),
    [anon_sym_PROGMEM] = ACTIONS(5129),
    [anon_sym_QMARK] = ACTIONS(5131),
    [anon_sym_STAR_EQ] = ACTIONS(5131),
    [anon_sym_SLASH_EQ] = ACTIONS(5131),
    [anon_sym_PERCENT_EQ] = ACTIONS(5131),
    [anon_sym_PLUS_EQ] = ACTIONS(5131),
    [anon_sym_DASH_EQ] = ACTIONS(5131),
    [anon_sym_LT_LT_EQ] = ACTIONS(5131),
    [anon_sym_GT_GT_EQ] = ACTIONS(5131),
    [anon_sym_AMP_EQ] = ACTIONS(5131),
    [anon_sym_CARET_EQ] = ACTIONS(5131),
    [anon_sym_PIPE_EQ] = ACTIONS(5131),
    [anon_sym_and_eq] = ACTIONS(5129),
    [anon_sym_or_eq] = ACTIONS(5129),
    [anon_sym_xor_eq] = ACTIONS(5129),
    [anon_sym_LT_EQ_GT] = ACTIONS(5131),
    [anon_sym_or] = ACTIONS(5129),
    [anon_sym_and] = ACTIONS(5129),
    [anon_sym_bitor] = ACTIONS(5129),
    [anon_sym_xor] = ACTIONS(5129),
    [anon_sym_bitand] = ACTIONS(5129),
    [anon_sym_not_eq] = ACTIONS(5129),
    [anon_sym_DASH_DASH] = ACTIONS(5131),
    [anon_sym_PLUS_PLUS] = ACTIONS(5131),
    [anon_sym_DOT] = ACTIONS(5129),
    [anon_sym_DOT_STAR] = ACTIONS(5131),
    [anon_sym_DASH_GT] = ACTIONS(5131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5129),
    [anon_sym_decltype] = ACTIONS(5129),
    [anon_sym_virtual] = ACTIONS(5129),
    [anon_sym_alignas] = ACTIONS(5129),
    [anon_sym_template] = ACTIONS(5129),
    [anon_sym_operator] = ACTIONS(5129),
  },
  [1963] = {
    [sym_identifier] = ACTIONS(5133),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5135),
    [anon_sym_COMMA] = ACTIONS(5135),
    [anon_sym_RPAREN] = ACTIONS(5135),
    [anon_sym_LPAREN2] = ACTIONS(5135),
    [anon_sym_TILDE] = ACTIONS(5135),
    [anon_sym_DASH] = ACTIONS(5133),
    [anon_sym_PLUS] = ACTIONS(5133),
    [anon_sym_STAR] = ACTIONS(5133),
    [anon_sym_SLASH] = ACTIONS(5133),
    [anon_sym_PERCENT] = ACTIONS(5133),
    [anon_sym_PIPE_PIPE] = ACTIONS(5135),
    [anon_sym_AMP_AMP] = ACTIONS(5135),
    [anon_sym_PIPE] = ACTIONS(5133),
    [anon_sym_CARET] = ACTIONS(5133),
    [anon_sym_AMP] = ACTIONS(5133),
    [anon_sym_EQ_EQ] = ACTIONS(5135),
    [anon_sym_BANG_EQ] = ACTIONS(5135),
    [anon_sym_GT] = ACTIONS(5133),
    [anon_sym_GT_EQ] = ACTIONS(5135),
    [anon_sym_LT_EQ] = ACTIONS(5133),
    [anon_sym_LT] = ACTIONS(5133),
    [anon_sym_LT_LT] = ACTIONS(5133),
    [anon_sym_GT_GT] = ACTIONS(5133),
    [anon_sym_SEMI] = ACTIONS(5135),
    [anon_sym___extension__] = ACTIONS(5133),
    [anon_sym_extern] = ACTIONS(5133),
    [anon_sym___attribute__] = ACTIONS(5133),
    [anon_sym_COLON_COLON] = ACTIONS(5135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5135),
    [anon_sym___declspec] = ACTIONS(5133),
    [anon_sym___based] = ACTIONS(5133),
    [anon_sym_LBRACE] = ACTIONS(5135),
    [anon_sym_RBRACE] = ACTIONS(5135),
    [anon_sym_LBRACK] = ACTIONS(5133),
    [anon_sym_EQ] = ACTIONS(5133),
    [anon_sym_static] = ACTIONS(5133),
    [anon_sym_register] = ACTIONS(5133),
    [anon_sym_inline] = ACTIONS(5133),
    [anon_sym___inline] = ACTIONS(5133),
    [anon_sym___inline__] = ACTIONS(5133),
    [anon_sym___forceinline] = ACTIONS(5133),
    [anon_sym_thread_local] = ACTIONS(5133),
    [anon_sym___thread] = ACTIONS(5133),
    [anon_sym_const] = ACTIONS(5133),
    [anon_sym_constexpr] = ACTIONS(5133),
    [anon_sym_volatile] = ACTIONS(5133),
    [anon_sym_restrict] = ACTIONS(5133),
    [anon_sym___restrict__] = ACTIONS(5133),
    [anon_sym__Atomic] = ACTIONS(5133),
    [anon_sym__Noreturn] = ACTIONS(5133),
    [anon_sym_noreturn] = ACTIONS(5133),
    [anon_sym_mutable] = ACTIONS(5133),
    [anon_sym_constinit] = ACTIONS(5133),
    [anon_sym_consteval] = ACTIONS(5133),
    [anon_sym_PROGMEM] = ACTIONS(5133),
    [anon_sym_QMARK] = ACTIONS(5135),
    [anon_sym_STAR_EQ] = ACTIONS(5135),
    [anon_sym_SLASH_EQ] = ACTIONS(5135),
    [anon_sym_PERCENT_EQ] = ACTIONS(5135),
    [anon_sym_PLUS_EQ] = ACTIONS(5135),
    [anon_sym_DASH_EQ] = ACTIONS(5135),
    [anon_sym_LT_LT_EQ] = ACTIONS(5135),
    [anon_sym_GT_GT_EQ] = ACTIONS(5135),
    [anon_sym_AMP_EQ] = ACTIONS(5135),
    [anon_sym_CARET_EQ] = ACTIONS(5135),
    [anon_sym_PIPE_EQ] = ACTIONS(5135),
    [anon_sym_and_eq] = ACTIONS(5133),
    [anon_sym_or_eq] = ACTIONS(5133),
    [anon_sym_xor_eq] = ACTIONS(5133),
    [anon_sym_LT_EQ_GT] = ACTIONS(5135),
    [anon_sym_or] = ACTIONS(5133),
    [anon_sym_and] = ACTIONS(5133),
    [anon_sym_bitor] = ACTIONS(5133),
    [anon_sym_xor] = ACTIONS(5133),
    [anon_sym_bitand] = ACTIONS(5133),
    [anon_sym_not_eq] = ACTIONS(5133),
    [anon_sym_DASH_DASH] = ACTIONS(5135),
    [anon_sym_PLUS_PLUS] = ACTIONS(5135),
    [anon_sym_DOT] = ACTIONS(5133),
    [anon_sym_DOT_STAR] = ACTIONS(5135),
    [anon_sym_DASH_GT] = ACTIONS(5135),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5133),
    [anon_sym_decltype] = ACTIONS(5133),
    [anon_sym_virtual] = ACTIONS(5133),
    [anon_sym_alignas] = ACTIONS(5133),
    [anon_sym_template] = ACTIONS(5133),
    [anon_sym_operator] = ACTIONS(5133),
  },
  [1964] = {
    [sym_identifier] = ACTIONS(5137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5139),
    [anon_sym_COMMA] = ACTIONS(5139),
    [anon_sym_RPAREN] = ACTIONS(5139),
    [anon_sym_LPAREN2] = ACTIONS(5139),
    [anon_sym_TILDE] = ACTIONS(5139),
    [anon_sym_DASH] = ACTIONS(5137),
    [anon_sym_PLUS] = ACTIONS(5137),
    [anon_sym_STAR] = ACTIONS(5137),
    [anon_sym_SLASH] = ACTIONS(5137),
    [anon_sym_PERCENT] = ACTIONS(5137),
    [anon_sym_PIPE_PIPE] = ACTIONS(5139),
    [anon_sym_AMP_AMP] = ACTIONS(5139),
    [anon_sym_PIPE] = ACTIONS(5137),
    [anon_sym_CARET] = ACTIONS(5137),
    [anon_sym_AMP] = ACTIONS(5137),
    [anon_sym_EQ_EQ] = ACTIONS(5139),
    [anon_sym_BANG_EQ] = ACTIONS(5139),
    [anon_sym_GT] = ACTIONS(5137),
    [anon_sym_GT_EQ] = ACTIONS(5139),
    [anon_sym_LT_EQ] = ACTIONS(5137),
    [anon_sym_LT] = ACTIONS(5137),
    [anon_sym_LT_LT] = ACTIONS(5137),
    [anon_sym_GT_GT] = ACTIONS(5137),
    [anon_sym_SEMI] = ACTIONS(5139),
    [anon_sym___extension__] = ACTIONS(5137),
    [anon_sym_extern] = ACTIONS(5137),
    [anon_sym___attribute__] = ACTIONS(5137),
    [anon_sym_COLON_COLON] = ACTIONS(5139),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5139),
    [anon_sym___declspec] = ACTIONS(5137),
    [anon_sym___based] = ACTIONS(5137),
    [anon_sym_LBRACE] = ACTIONS(5139),
    [anon_sym_RBRACE] = ACTIONS(5139),
    [anon_sym_LBRACK] = ACTIONS(5137),
    [anon_sym_EQ] = ACTIONS(5137),
    [anon_sym_static] = ACTIONS(5137),
    [anon_sym_register] = ACTIONS(5137),
    [anon_sym_inline] = ACTIONS(5137),
    [anon_sym___inline] = ACTIONS(5137),
    [anon_sym___inline__] = ACTIONS(5137),
    [anon_sym___forceinline] = ACTIONS(5137),
    [anon_sym_thread_local] = ACTIONS(5137),
    [anon_sym___thread] = ACTIONS(5137),
    [anon_sym_const] = ACTIONS(5137),
    [anon_sym_constexpr] = ACTIONS(5137),
    [anon_sym_volatile] = ACTIONS(5137),
    [anon_sym_restrict] = ACTIONS(5137),
    [anon_sym___restrict__] = ACTIONS(5137),
    [anon_sym__Atomic] = ACTIONS(5137),
    [anon_sym__Noreturn] = ACTIONS(5137),
    [anon_sym_noreturn] = ACTIONS(5137),
    [anon_sym_mutable] = ACTIONS(5137),
    [anon_sym_constinit] = ACTIONS(5137),
    [anon_sym_consteval] = ACTIONS(5137),
    [anon_sym_PROGMEM] = ACTIONS(5137),
    [anon_sym_QMARK] = ACTIONS(5139),
    [anon_sym_STAR_EQ] = ACTIONS(5139),
    [anon_sym_SLASH_EQ] = ACTIONS(5139),
    [anon_sym_PERCENT_EQ] = ACTIONS(5139),
    [anon_sym_PLUS_EQ] = ACTIONS(5139),
    [anon_sym_DASH_EQ] = ACTIONS(5139),
    [anon_sym_LT_LT_EQ] = ACTIONS(5139),
    [anon_sym_GT_GT_EQ] = ACTIONS(5139),
    [anon_sym_AMP_EQ] = ACTIONS(5139),
    [anon_sym_CARET_EQ] = ACTIONS(5139),
    [anon_sym_PIPE_EQ] = ACTIONS(5139),
    [anon_sym_and_eq] = ACTIONS(5137),
    [anon_sym_or_eq] = ACTIONS(5137),
    [anon_sym_xor_eq] = ACTIONS(5137),
    [anon_sym_LT_EQ_GT] = ACTIONS(5139),
    [anon_sym_or] = ACTIONS(5137),
    [anon_sym_and] = ACTIONS(5137),
    [anon_sym_bitor] = ACTIONS(5137),
    [anon_sym_xor] = ACTIONS(5137),
    [anon_sym_bitand] = ACTIONS(5137),
    [anon_sym_not_eq] = ACTIONS(5137),
    [anon_sym_DASH_DASH] = ACTIONS(5139),
    [anon_sym_PLUS_PLUS] = ACTIONS(5139),
    [anon_sym_DOT] = ACTIONS(5137),
    [anon_sym_DOT_STAR] = ACTIONS(5139),
    [anon_sym_DASH_GT] = ACTIONS(5139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5137),
    [anon_sym_decltype] = ACTIONS(5137),
    [anon_sym_virtual] = ACTIONS(5137),
    [anon_sym_alignas] = ACTIONS(5137),
    [anon_sym_template] = ACTIONS(5137),
    [anon_sym_operator] = ACTIONS(5137),
  },
  [1965] = {
    [sym_identifier] = ACTIONS(5141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5143),
    [anon_sym_COMMA] = ACTIONS(5143),
    [anon_sym_RPAREN] = ACTIONS(5143),
    [anon_sym_LPAREN2] = ACTIONS(5143),
    [anon_sym_TILDE] = ACTIONS(5143),
    [anon_sym_DASH] = ACTIONS(5141),
    [anon_sym_PLUS] = ACTIONS(5141),
    [anon_sym_STAR] = ACTIONS(5141),
    [anon_sym_SLASH] = ACTIONS(5141),
    [anon_sym_PERCENT] = ACTIONS(5141),
    [anon_sym_PIPE_PIPE] = ACTIONS(5143),
    [anon_sym_AMP_AMP] = ACTIONS(5143),
    [anon_sym_PIPE] = ACTIONS(5141),
    [anon_sym_CARET] = ACTIONS(5141),
    [anon_sym_AMP] = ACTIONS(5141),
    [anon_sym_EQ_EQ] = ACTIONS(5143),
    [anon_sym_BANG_EQ] = ACTIONS(5143),
    [anon_sym_GT] = ACTIONS(5141),
    [anon_sym_GT_EQ] = ACTIONS(5143),
    [anon_sym_LT_EQ] = ACTIONS(5141),
    [anon_sym_LT] = ACTIONS(5141),
    [anon_sym_LT_LT] = ACTIONS(5141),
    [anon_sym_GT_GT] = ACTIONS(5141),
    [anon_sym_SEMI] = ACTIONS(5143),
    [anon_sym___extension__] = ACTIONS(5141),
    [anon_sym_extern] = ACTIONS(5141),
    [anon_sym___attribute__] = ACTIONS(5141),
    [anon_sym_COLON_COLON] = ACTIONS(5143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5143),
    [anon_sym___declspec] = ACTIONS(5141),
    [anon_sym___based] = ACTIONS(5141),
    [anon_sym_LBRACE] = ACTIONS(5143),
    [anon_sym_RBRACE] = ACTIONS(5143),
    [anon_sym_LBRACK] = ACTIONS(5141),
    [anon_sym_EQ] = ACTIONS(5141),
    [anon_sym_static] = ACTIONS(5141),
    [anon_sym_register] = ACTIONS(5141),
    [anon_sym_inline] = ACTIONS(5141),
    [anon_sym___inline] = ACTIONS(5141),
    [anon_sym___inline__] = ACTIONS(5141),
    [anon_sym___forceinline] = ACTIONS(5141),
    [anon_sym_thread_local] = ACTIONS(5141),
    [anon_sym___thread] = ACTIONS(5141),
    [anon_sym_const] = ACTIONS(5141),
    [anon_sym_constexpr] = ACTIONS(5141),
    [anon_sym_volatile] = ACTIONS(5141),
    [anon_sym_restrict] = ACTIONS(5141),
    [anon_sym___restrict__] = ACTIONS(5141),
    [anon_sym__Atomic] = ACTIONS(5141),
    [anon_sym__Noreturn] = ACTIONS(5141),
    [anon_sym_noreturn] = ACTIONS(5141),
    [anon_sym_mutable] = ACTIONS(5141),
    [anon_sym_constinit] = ACTIONS(5141),
    [anon_sym_consteval] = ACTIONS(5141),
    [anon_sym_PROGMEM] = ACTIONS(5141),
    [anon_sym_QMARK] = ACTIONS(5143),
    [anon_sym_STAR_EQ] = ACTIONS(5143),
    [anon_sym_SLASH_EQ] = ACTIONS(5143),
    [anon_sym_PERCENT_EQ] = ACTIONS(5143),
    [anon_sym_PLUS_EQ] = ACTIONS(5143),
    [anon_sym_DASH_EQ] = ACTIONS(5143),
    [anon_sym_LT_LT_EQ] = ACTIONS(5143),
    [anon_sym_GT_GT_EQ] = ACTIONS(5143),
    [anon_sym_AMP_EQ] = ACTIONS(5143),
    [anon_sym_CARET_EQ] = ACTIONS(5143),
    [anon_sym_PIPE_EQ] = ACTIONS(5143),
    [anon_sym_and_eq] = ACTIONS(5141),
    [anon_sym_or_eq] = ACTIONS(5141),
    [anon_sym_xor_eq] = ACTIONS(5141),
    [anon_sym_LT_EQ_GT] = ACTIONS(5143),
    [anon_sym_or] = ACTIONS(5141),
    [anon_sym_and] = ACTIONS(5141),
    [anon_sym_bitor] = ACTIONS(5141),
    [anon_sym_xor] = ACTIONS(5141),
    [anon_sym_bitand] = ACTIONS(5141),
    [anon_sym_not_eq] = ACTIONS(5141),
    [anon_sym_DASH_DASH] = ACTIONS(5143),
    [anon_sym_PLUS_PLUS] = ACTIONS(5143),
    [anon_sym_DOT] = ACTIONS(5141),
    [anon_sym_DOT_STAR] = ACTIONS(5143),
    [anon_sym_DASH_GT] = ACTIONS(5143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5141),
    [anon_sym_decltype] = ACTIONS(5141),
    [anon_sym_virtual] = ACTIONS(5141),
    [anon_sym_alignas] = ACTIONS(5141),
    [anon_sym_template] = ACTIONS(5141),
    [anon_sym_operator] = ACTIONS(5141),
  },
  [1966] = {
    [sym_template_argument_list] = STATE(1975),
    [sym_identifier] = ACTIONS(5105),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5107),
    [anon_sym_COMMA] = ACTIONS(5107),
    [anon_sym_RPAREN] = ACTIONS(5107),
    [anon_sym_LPAREN2] = ACTIONS(5109),
    [anon_sym_TILDE] = ACTIONS(5112),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_STAR] = ACTIONS(5116),
    [anon_sym_SLASH] = ACTIONS(5114),
    [anon_sym_PERCENT] = ACTIONS(5114),
    [anon_sym_PIPE_PIPE] = ACTIONS(5107),
    [anon_sym_AMP_AMP] = ACTIONS(5109),
    [anon_sym_PIPE] = ACTIONS(5114),
    [anon_sym_CARET] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(5116),
    [anon_sym_EQ_EQ] = ACTIONS(5107),
    [anon_sym_BANG_EQ] = ACTIONS(5107),
    [anon_sym_GT] = ACTIONS(5114),
    [anon_sym_GT_EQ] = ACTIONS(5107),
    [anon_sym_LT_EQ] = ACTIONS(5114),
    [anon_sym_LT] = ACTIONS(5119),
    [anon_sym_LT_LT] = ACTIONS(5114),
    [anon_sym_GT_GT] = ACTIONS(5114),
    [anon_sym_SEMI] = ACTIONS(5107),
    [anon_sym___extension__] = ACTIONS(5105),
    [anon_sym_extern] = ACTIONS(5105),
    [anon_sym___attribute__] = ACTIONS(5105),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5112),
    [anon_sym___declspec] = ACTIONS(5105),
    [anon_sym___based] = ACTIONS(5105),
    [anon_sym_LBRACE] = ACTIONS(5112),
    [anon_sym_LBRACK] = ACTIONS(5116),
    [anon_sym_EQ] = ACTIONS(5114),
    [anon_sym_static] = ACTIONS(5105),
    [anon_sym_register] = ACTIONS(5105),
    [anon_sym_inline] = ACTIONS(5105),
    [anon_sym___inline] = ACTIONS(5105),
    [anon_sym___inline__] = ACTIONS(5105),
    [anon_sym___forceinline] = ACTIONS(5105),
    [anon_sym_thread_local] = ACTIONS(5105),
    [anon_sym___thread] = ACTIONS(5105),
    [anon_sym_const] = ACTIONS(5105),
    [anon_sym_constexpr] = ACTIONS(5105),
    [anon_sym_volatile] = ACTIONS(5105),
    [anon_sym_restrict] = ACTIONS(5105),
    [anon_sym___restrict__] = ACTIONS(5105),
    [anon_sym__Atomic] = ACTIONS(5105),
    [anon_sym__Noreturn] = ACTIONS(5105),
    [anon_sym_noreturn] = ACTIONS(5105),
    [anon_sym_mutable] = ACTIONS(5105),
    [anon_sym_constinit] = ACTIONS(5105),
    [anon_sym_consteval] = ACTIONS(5105),
    [anon_sym_PROGMEM] = ACTIONS(5105),
    [anon_sym_QMARK] = ACTIONS(5107),
    [anon_sym_STAR_EQ] = ACTIONS(5107),
    [anon_sym_SLASH_EQ] = ACTIONS(5107),
    [anon_sym_PERCENT_EQ] = ACTIONS(5107),
    [anon_sym_PLUS_EQ] = ACTIONS(5107),
    [anon_sym_DASH_EQ] = ACTIONS(5107),
    [anon_sym_LT_LT_EQ] = ACTIONS(5107),
    [anon_sym_GT_GT_EQ] = ACTIONS(5107),
    [anon_sym_AMP_EQ] = ACTIONS(5107),
    [anon_sym_CARET_EQ] = ACTIONS(5107),
    [anon_sym_PIPE_EQ] = ACTIONS(5107),
    [anon_sym_and_eq] = ACTIONS(5114),
    [anon_sym_or_eq] = ACTIONS(5114),
    [anon_sym_xor_eq] = ACTIONS(5114),
    [anon_sym_LT_EQ_GT] = ACTIONS(5107),
    [anon_sym_or] = ACTIONS(5114),
    [anon_sym_and] = ACTIONS(5114),
    [anon_sym_bitor] = ACTIONS(5114),
    [anon_sym_xor] = ACTIONS(5114),
    [anon_sym_bitand] = ACTIONS(5114),
    [anon_sym_not_eq] = ACTIONS(5114),
    [anon_sym_DASH_DASH] = ACTIONS(5107),
    [anon_sym_PLUS_PLUS] = ACTIONS(5107),
    [anon_sym_DOT] = ACTIONS(5114),
    [anon_sym_DOT_STAR] = ACTIONS(5107),
    [anon_sym_DASH_GT] = ACTIONS(5107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5105),
    [anon_sym_decltype] = ACTIONS(5105),
    [anon_sym_virtual] = ACTIONS(5105),
    [anon_sym_alignas] = ACTIONS(5105),
    [anon_sym_template] = ACTIONS(5105),
    [anon_sym_operator] = ACTIONS(5105),
  },
  [1967] = {
    [sym__declaration_modifiers] = STATE(2241),
    [sym__declaration_specifiers] = STATE(4767),
    [sym_attribute_specifier] = STATE(2241),
    [sym_attribute_declaration] = STATE(2241),
    [sym_ms_declspec_modifier] = STATE(2241),
    [sym__abstract_declarator] = STATE(7404),
    [sym_abstract_parenthesized_declarator] = STATE(6793),
    [sym_abstract_pointer_declarator] = STATE(6793),
    [sym_abstract_function_declarator] = STATE(6793),
    [sym_abstract_array_declarator] = STATE(6793),
    [sym_storage_class_specifier] = STATE(2241),
    [sym_type_qualifier] = STATE(2241),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_list] = STATE(4289),
    [sym_parameter_declaration] = STATE(8054),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2241),
    [sym_alignas_specifier] = STATE(2241),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(8054),
    [sym_variadic_parameter_declaration] = STATE(8054),
    [sym_abstract_reference_declarator] = STATE(6793),
    [sym__function_declarator_seq] = STATE(6778),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7177),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2241),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2067),
    [anon_sym_RPAREN] = ACTIONS(4555),
    [anon_sym_LPAREN2] = ACTIONS(5093),
    [anon_sym_STAR] = ACTIONS(5095),
    [anon_sym_AMP_AMP] = ACTIONS(5097),
    [anon_sym_AMP] = ACTIONS(5099),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(5103),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2023),
    [anon_sym_struct] = ACTIONS(2025),
    [anon_sym_union] = ACTIONS(2027),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2053),
    [anon_sym_template] = ACTIONS(1436),
  },
  [1968] = {
    [sym_identifier] = ACTIONS(5145),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5147),
    [anon_sym_COMMA] = ACTIONS(5147),
    [anon_sym_RPAREN] = ACTIONS(5147),
    [anon_sym_LPAREN2] = ACTIONS(5147),
    [anon_sym_TILDE] = ACTIONS(5147),
    [anon_sym_DASH] = ACTIONS(5145),
    [anon_sym_PLUS] = ACTIONS(5145),
    [anon_sym_STAR] = ACTIONS(5145),
    [anon_sym_SLASH] = ACTIONS(5145),
    [anon_sym_PERCENT] = ACTIONS(5145),
    [anon_sym_PIPE_PIPE] = ACTIONS(5147),
    [anon_sym_AMP_AMP] = ACTIONS(5147),
    [anon_sym_PIPE] = ACTIONS(5145),
    [anon_sym_CARET] = ACTIONS(5145),
    [anon_sym_AMP] = ACTIONS(5145),
    [anon_sym_EQ_EQ] = ACTIONS(5147),
    [anon_sym_BANG_EQ] = ACTIONS(5147),
    [anon_sym_GT] = ACTIONS(5145),
    [anon_sym_GT_EQ] = ACTIONS(5147),
    [anon_sym_LT_EQ] = ACTIONS(5145),
    [anon_sym_LT] = ACTIONS(5145),
    [anon_sym_LT_LT] = ACTIONS(5145),
    [anon_sym_GT_GT] = ACTIONS(5145),
    [anon_sym_SEMI] = ACTIONS(5147),
    [anon_sym___extension__] = ACTIONS(5145),
    [anon_sym_extern] = ACTIONS(5145),
    [anon_sym___attribute__] = ACTIONS(5145),
    [anon_sym_COLON_COLON] = ACTIONS(5147),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5147),
    [anon_sym___declspec] = ACTIONS(5145),
    [anon_sym___based] = ACTIONS(5145),
    [anon_sym_LBRACE] = ACTIONS(5147),
    [anon_sym_RBRACE] = ACTIONS(5147),
    [anon_sym_LBRACK] = ACTIONS(5145),
    [anon_sym_EQ] = ACTIONS(5145),
    [anon_sym_static] = ACTIONS(5145),
    [anon_sym_register] = ACTIONS(5145),
    [anon_sym_inline] = ACTIONS(5145),
    [anon_sym___inline] = ACTIONS(5145),
    [anon_sym___inline__] = ACTIONS(5145),
    [anon_sym___forceinline] = ACTIONS(5145),
    [anon_sym_thread_local] = ACTIONS(5145),
    [anon_sym___thread] = ACTIONS(5145),
    [anon_sym_const] = ACTIONS(5145),
    [anon_sym_constexpr] = ACTIONS(5145),
    [anon_sym_volatile] = ACTIONS(5145),
    [anon_sym_restrict] = ACTIONS(5145),
    [anon_sym___restrict__] = ACTIONS(5145),
    [anon_sym__Atomic] = ACTIONS(5145),
    [anon_sym__Noreturn] = ACTIONS(5145),
    [anon_sym_noreturn] = ACTIONS(5145),
    [anon_sym_mutable] = ACTIONS(5145),
    [anon_sym_constinit] = ACTIONS(5145),
    [anon_sym_consteval] = ACTIONS(5145),
    [anon_sym_PROGMEM] = ACTIONS(5145),
    [anon_sym_QMARK] = ACTIONS(5147),
    [anon_sym_STAR_EQ] = ACTIONS(5147),
    [anon_sym_SLASH_EQ] = ACTIONS(5147),
    [anon_sym_PERCENT_EQ] = ACTIONS(5147),
    [anon_sym_PLUS_EQ] = ACTIONS(5147),
    [anon_sym_DASH_EQ] = ACTIONS(5147),
    [anon_sym_LT_LT_EQ] = ACTIONS(5147),
    [anon_sym_GT_GT_EQ] = ACTIONS(5147),
    [anon_sym_AMP_EQ] = ACTIONS(5147),
    [anon_sym_CARET_EQ] = ACTIONS(5147),
    [anon_sym_PIPE_EQ] = ACTIONS(5147),
    [anon_sym_and_eq] = ACTIONS(5145),
    [anon_sym_or_eq] = ACTIONS(5145),
    [anon_sym_xor_eq] = ACTIONS(5145),
    [anon_sym_LT_EQ_GT] = ACTIONS(5147),
    [anon_sym_or] = ACTIONS(5145),
    [anon_sym_and] = ACTIONS(5145),
    [anon_sym_bitor] = ACTIONS(5145),
    [anon_sym_xor] = ACTIONS(5145),
    [anon_sym_bitand] = ACTIONS(5145),
    [anon_sym_not_eq] = ACTIONS(5145),
    [anon_sym_DASH_DASH] = ACTIONS(5147),
    [anon_sym_PLUS_PLUS] = ACTIONS(5147),
    [anon_sym_DOT] = ACTIONS(5145),
    [anon_sym_DOT_STAR] = ACTIONS(5147),
    [anon_sym_DASH_GT] = ACTIONS(5147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5145),
    [anon_sym_decltype] = ACTIONS(5145),
    [anon_sym_virtual] = ACTIONS(5145),
    [anon_sym_alignas] = ACTIONS(5145),
    [anon_sym_template] = ACTIONS(5145),
    [anon_sym_operator] = ACTIONS(5145),
  },
  [1969] = {
    [sym_identifier] = ACTIONS(5149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5151),
    [anon_sym_COMMA] = ACTIONS(5151),
    [anon_sym_RPAREN] = ACTIONS(5151),
    [anon_sym_LPAREN2] = ACTIONS(5151),
    [anon_sym_TILDE] = ACTIONS(5151),
    [anon_sym_DASH] = ACTIONS(5149),
    [anon_sym_PLUS] = ACTIONS(5149),
    [anon_sym_STAR] = ACTIONS(5149),
    [anon_sym_SLASH] = ACTIONS(5149),
    [anon_sym_PERCENT] = ACTIONS(5149),
    [anon_sym_PIPE_PIPE] = ACTIONS(5151),
    [anon_sym_AMP_AMP] = ACTIONS(5151),
    [anon_sym_PIPE] = ACTIONS(5149),
    [anon_sym_CARET] = ACTIONS(5149),
    [anon_sym_AMP] = ACTIONS(5149),
    [anon_sym_EQ_EQ] = ACTIONS(5151),
    [anon_sym_BANG_EQ] = ACTIONS(5151),
    [anon_sym_GT] = ACTIONS(5149),
    [anon_sym_GT_EQ] = ACTIONS(5151),
    [anon_sym_LT_EQ] = ACTIONS(5149),
    [anon_sym_LT] = ACTIONS(5149),
    [anon_sym_LT_LT] = ACTIONS(5149),
    [anon_sym_GT_GT] = ACTIONS(5149),
    [anon_sym_SEMI] = ACTIONS(5151),
    [anon_sym___extension__] = ACTIONS(5149),
    [anon_sym_extern] = ACTIONS(5149),
    [anon_sym___attribute__] = ACTIONS(5149),
    [anon_sym_COLON_COLON] = ACTIONS(5151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5151),
    [anon_sym___declspec] = ACTIONS(5149),
    [anon_sym___based] = ACTIONS(5149),
    [anon_sym_LBRACE] = ACTIONS(5151),
    [anon_sym_RBRACE] = ACTIONS(5151),
    [anon_sym_LBRACK] = ACTIONS(5149),
    [anon_sym_EQ] = ACTIONS(5149),
    [anon_sym_static] = ACTIONS(5149),
    [anon_sym_register] = ACTIONS(5149),
    [anon_sym_inline] = ACTIONS(5149),
    [anon_sym___inline] = ACTIONS(5149),
    [anon_sym___inline__] = ACTIONS(5149),
    [anon_sym___forceinline] = ACTIONS(5149),
    [anon_sym_thread_local] = ACTIONS(5149),
    [anon_sym___thread] = ACTIONS(5149),
    [anon_sym_const] = ACTIONS(5149),
    [anon_sym_constexpr] = ACTIONS(5149),
    [anon_sym_volatile] = ACTIONS(5149),
    [anon_sym_restrict] = ACTIONS(5149),
    [anon_sym___restrict__] = ACTIONS(5149),
    [anon_sym__Atomic] = ACTIONS(5149),
    [anon_sym__Noreturn] = ACTIONS(5149),
    [anon_sym_noreturn] = ACTIONS(5149),
    [anon_sym_mutable] = ACTIONS(5149),
    [anon_sym_constinit] = ACTIONS(5149),
    [anon_sym_consteval] = ACTIONS(5149),
    [anon_sym_PROGMEM] = ACTIONS(5149),
    [anon_sym_QMARK] = ACTIONS(5151),
    [anon_sym_STAR_EQ] = ACTIONS(5151),
    [anon_sym_SLASH_EQ] = ACTIONS(5151),
    [anon_sym_PERCENT_EQ] = ACTIONS(5151),
    [anon_sym_PLUS_EQ] = ACTIONS(5151),
    [anon_sym_DASH_EQ] = ACTIONS(5151),
    [anon_sym_LT_LT_EQ] = ACTIONS(5151),
    [anon_sym_GT_GT_EQ] = ACTIONS(5151),
    [anon_sym_AMP_EQ] = ACTIONS(5151),
    [anon_sym_CARET_EQ] = ACTIONS(5151),
    [anon_sym_PIPE_EQ] = ACTIONS(5151),
    [anon_sym_and_eq] = ACTIONS(5149),
    [anon_sym_or_eq] = ACTIONS(5149),
    [anon_sym_xor_eq] = ACTIONS(5149),
    [anon_sym_LT_EQ_GT] = ACTIONS(5151),
    [anon_sym_or] = ACTIONS(5149),
    [anon_sym_and] = ACTIONS(5149),
    [anon_sym_bitor] = ACTIONS(5149),
    [anon_sym_xor] = ACTIONS(5149),
    [anon_sym_bitand] = ACTIONS(5149),
    [anon_sym_not_eq] = ACTIONS(5149),
    [anon_sym_DASH_DASH] = ACTIONS(5151),
    [anon_sym_PLUS_PLUS] = ACTIONS(5151),
    [anon_sym_DOT] = ACTIONS(5149),
    [anon_sym_DOT_STAR] = ACTIONS(5151),
    [anon_sym_DASH_GT] = ACTIONS(5151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5149),
    [anon_sym_decltype] = ACTIONS(5149),
    [anon_sym_virtual] = ACTIONS(5149),
    [anon_sym_alignas] = ACTIONS(5149),
    [anon_sym_template] = ACTIONS(5149),
    [anon_sym_operator] = ACTIONS(5149),
  },
  [1970] = {
    [sym_identifier] = ACTIONS(5133),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5135),
    [anon_sym_COMMA] = ACTIONS(5135),
    [anon_sym_RPAREN] = ACTIONS(5135),
    [anon_sym_LPAREN2] = ACTIONS(5135),
    [anon_sym_TILDE] = ACTIONS(5135),
    [anon_sym_DASH] = ACTIONS(5133),
    [anon_sym_PLUS] = ACTIONS(5133),
    [anon_sym_STAR] = ACTIONS(5133),
    [anon_sym_SLASH] = ACTIONS(5133),
    [anon_sym_PERCENT] = ACTIONS(5133),
    [anon_sym_PIPE_PIPE] = ACTIONS(5135),
    [anon_sym_AMP_AMP] = ACTIONS(5135),
    [anon_sym_PIPE] = ACTIONS(5133),
    [anon_sym_CARET] = ACTIONS(5133),
    [anon_sym_AMP] = ACTIONS(5133),
    [anon_sym_EQ_EQ] = ACTIONS(5135),
    [anon_sym_BANG_EQ] = ACTIONS(5135),
    [anon_sym_GT] = ACTIONS(5133),
    [anon_sym_GT_EQ] = ACTIONS(5135),
    [anon_sym_LT_EQ] = ACTIONS(5133),
    [anon_sym_LT] = ACTIONS(5133),
    [anon_sym_LT_LT] = ACTIONS(5133),
    [anon_sym_GT_GT] = ACTIONS(5133),
    [anon_sym___extension__] = ACTIONS(5133),
    [anon_sym_extern] = ACTIONS(5133),
    [anon_sym___attribute__] = ACTIONS(5133),
    [anon_sym_COLON_COLON] = ACTIONS(5135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5135),
    [anon_sym___declspec] = ACTIONS(5133),
    [anon_sym___based] = ACTIONS(5133),
    [anon_sym_LBRACE] = ACTIONS(5135),
    [anon_sym_LBRACK] = ACTIONS(5133),
    [anon_sym_EQ] = ACTIONS(5133),
    [anon_sym_static] = ACTIONS(5133),
    [anon_sym_register] = ACTIONS(5133),
    [anon_sym_inline] = ACTIONS(5133),
    [anon_sym___inline] = ACTIONS(5133),
    [anon_sym___inline__] = ACTIONS(5133),
    [anon_sym___forceinline] = ACTIONS(5133),
    [anon_sym_thread_local] = ACTIONS(5133),
    [anon_sym___thread] = ACTIONS(5133),
    [anon_sym_const] = ACTIONS(5133),
    [anon_sym_constexpr] = ACTIONS(5133),
    [anon_sym_volatile] = ACTIONS(5133),
    [anon_sym_restrict] = ACTIONS(5133),
    [anon_sym___restrict__] = ACTIONS(5133),
    [anon_sym__Atomic] = ACTIONS(5133),
    [anon_sym__Noreturn] = ACTIONS(5133),
    [anon_sym_noreturn] = ACTIONS(5133),
    [anon_sym_mutable] = ACTIONS(5133),
    [anon_sym_constinit] = ACTIONS(5133),
    [anon_sym_consteval] = ACTIONS(5133),
    [anon_sym_PROGMEM] = ACTIONS(5133),
    [anon_sym_QMARK] = ACTIONS(5135),
    [anon_sym_STAR_EQ] = ACTIONS(5135),
    [anon_sym_SLASH_EQ] = ACTIONS(5135),
    [anon_sym_PERCENT_EQ] = ACTIONS(5135),
    [anon_sym_PLUS_EQ] = ACTIONS(5135),
    [anon_sym_DASH_EQ] = ACTIONS(5135),
    [anon_sym_LT_LT_EQ] = ACTIONS(5135),
    [anon_sym_GT_GT_EQ] = ACTIONS(5135),
    [anon_sym_AMP_EQ] = ACTIONS(5135),
    [anon_sym_CARET_EQ] = ACTIONS(5135),
    [anon_sym_PIPE_EQ] = ACTIONS(5135),
    [anon_sym_and_eq] = ACTIONS(5133),
    [anon_sym_or_eq] = ACTIONS(5133),
    [anon_sym_xor_eq] = ACTIONS(5133),
    [anon_sym_LT_EQ_GT] = ACTIONS(5135),
    [anon_sym_or] = ACTIONS(5133),
    [anon_sym_and] = ACTIONS(5133),
    [anon_sym_bitor] = ACTIONS(5133),
    [anon_sym_xor] = ACTIONS(5133),
    [anon_sym_bitand] = ACTIONS(5133),
    [anon_sym_not_eq] = ACTIONS(5133),
    [anon_sym_DASH_DASH] = ACTIONS(5135),
    [anon_sym_PLUS_PLUS] = ACTIONS(5135),
    [anon_sym_DOT] = ACTIONS(5133),
    [anon_sym_DOT_STAR] = ACTIONS(5135),
    [anon_sym_DASH_GT] = ACTIONS(5133),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5133),
    [anon_sym_decltype] = ACTIONS(5133),
    [anon_sym_virtual] = ACTIONS(5133),
    [anon_sym_alignas] = ACTIONS(5133),
    [anon_sym_template] = ACTIONS(5133),
    [anon_sym_operator] = ACTIONS(5133),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5135),
  },
  [1971] = {
    [sym_identifier] = ACTIONS(5137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5139),
    [anon_sym_COMMA] = ACTIONS(5139),
    [anon_sym_RPAREN] = ACTIONS(5139),
    [anon_sym_LPAREN2] = ACTIONS(5139),
    [anon_sym_TILDE] = ACTIONS(5139),
    [anon_sym_DASH] = ACTIONS(5137),
    [anon_sym_PLUS] = ACTIONS(5137),
    [anon_sym_STAR] = ACTIONS(5137),
    [anon_sym_SLASH] = ACTIONS(5137),
    [anon_sym_PERCENT] = ACTIONS(5137),
    [anon_sym_PIPE_PIPE] = ACTIONS(5139),
    [anon_sym_AMP_AMP] = ACTIONS(5139),
    [anon_sym_PIPE] = ACTIONS(5137),
    [anon_sym_CARET] = ACTIONS(5137),
    [anon_sym_AMP] = ACTIONS(5137),
    [anon_sym_EQ_EQ] = ACTIONS(5139),
    [anon_sym_BANG_EQ] = ACTIONS(5139),
    [anon_sym_GT] = ACTIONS(5137),
    [anon_sym_GT_EQ] = ACTIONS(5139),
    [anon_sym_LT_EQ] = ACTIONS(5137),
    [anon_sym_LT] = ACTIONS(5137),
    [anon_sym_LT_LT] = ACTIONS(5137),
    [anon_sym_GT_GT] = ACTIONS(5137),
    [anon_sym___extension__] = ACTIONS(5137),
    [anon_sym_extern] = ACTIONS(5137),
    [anon_sym___attribute__] = ACTIONS(5137),
    [anon_sym_COLON_COLON] = ACTIONS(5139),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5139),
    [anon_sym___declspec] = ACTIONS(5137),
    [anon_sym___based] = ACTIONS(5137),
    [anon_sym_LBRACE] = ACTIONS(5139),
    [anon_sym_LBRACK] = ACTIONS(5137),
    [anon_sym_EQ] = ACTIONS(5137),
    [anon_sym_static] = ACTIONS(5137),
    [anon_sym_register] = ACTIONS(5137),
    [anon_sym_inline] = ACTIONS(5137),
    [anon_sym___inline] = ACTIONS(5137),
    [anon_sym___inline__] = ACTIONS(5137),
    [anon_sym___forceinline] = ACTIONS(5137),
    [anon_sym_thread_local] = ACTIONS(5137),
    [anon_sym___thread] = ACTIONS(5137),
    [anon_sym_const] = ACTIONS(5137),
    [anon_sym_constexpr] = ACTIONS(5137),
    [anon_sym_volatile] = ACTIONS(5137),
    [anon_sym_restrict] = ACTIONS(5137),
    [anon_sym___restrict__] = ACTIONS(5137),
    [anon_sym__Atomic] = ACTIONS(5137),
    [anon_sym__Noreturn] = ACTIONS(5137),
    [anon_sym_noreturn] = ACTIONS(5137),
    [anon_sym_mutable] = ACTIONS(5137),
    [anon_sym_constinit] = ACTIONS(5137),
    [anon_sym_consteval] = ACTIONS(5137),
    [anon_sym_PROGMEM] = ACTIONS(5137),
    [anon_sym_QMARK] = ACTIONS(5139),
    [anon_sym_STAR_EQ] = ACTIONS(5139),
    [anon_sym_SLASH_EQ] = ACTIONS(5139),
    [anon_sym_PERCENT_EQ] = ACTIONS(5139),
    [anon_sym_PLUS_EQ] = ACTIONS(5139),
    [anon_sym_DASH_EQ] = ACTIONS(5139),
    [anon_sym_LT_LT_EQ] = ACTIONS(5139),
    [anon_sym_GT_GT_EQ] = ACTIONS(5139),
    [anon_sym_AMP_EQ] = ACTIONS(5139),
    [anon_sym_CARET_EQ] = ACTIONS(5139),
    [anon_sym_PIPE_EQ] = ACTIONS(5139),
    [anon_sym_and_eq] = ACTIONS(5137),
    [anon_sym_or_eq] = ACTIONS(5137),
    [anon_sym_xor_eq] = ACTIONS(5137),
    [anon_sym_LT_EQ_GT] = ACTIONS(5139),
    [anon_sym_or] = ACTIONS(5137),
    [anon_sym_and] = ACTIONS(5137),
    [anon_sym_bitor] = ACTIONS(5137),
    [anon_sym_xor] = ACTIONS(5137),
    [anon_sym_bitand] = ACTIONS(5137),
    [anon_sym_not_eq] = ACTIONS(5137),
    [anon_sym_DASH_DASH] = ACTIONS(5139),
    [anon_sym_PLUS_PLUS] = ACTIONS(5139),
    [anon_sym_DOT] = ACTIONS(5137),
    [anon_sym_DOT_STAR] = ACTIONS(5139),
    [anon_sym_DASH_GT] = ACTIONS(5137),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5137),
    [anon_sym_decltype] = ACTIONS(5137),
    [anon_sym_virtual] = ACTIONS(5137),
    [anon_sym_alignas] = ACTIONS(5137),
    [anon_sym_template] = ACTIONS(5137),
    [anon_sym_operator] = ACTIONS(5137),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5139),
  },
  [1972] = {
    [sym_template_argument_list] = STATE(1982),
    [sym_identifier] = ACTIONS(5105),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5109),
    [anon_sym_COMMA] = ACTIONS(5109),
    [anon_sym_RPAREN] = ACTIONS(5109),
    [anon_sym_LPAREN2] = ACTIONS(5109),
    [anon_sym_TILDE] = ACTIONS(5112),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_STAR] = ACTIONS(5116),
    [anon_sym_SLASH] = ACTIONS(5114),
    [anon_sym_PERCENT] = ACTIONS(5114),
    [anon_sym_PIPE_PIPE] = ACTIONS(5107),
    [anon_sym_AMP_AMP] = ACTIONS(5109),
    [anon_sym_PIPE] = ACTIONS(5114),
    [anon_sym_CARET] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(5116),
    [anon_sym_EQ_EQ] = ACTIONS(5107),
    [anon_sym_BANG_EQ] = ACTIONS(5107),
    [anon_sym_GT] = ACTIONS(5114),
    [anon_sym_GT_EQ] = ACTIONS(5107),
    [anon_sym_LT_EQ] = ACTIONS(5114),
    [anon_sym_LT] = ACTIONS(5119),
    [anon_sym_LT_LT] = ACTIONS(5114),
    [anon_sym_GT_GT] = ACTIONS(5114),
    [anon_sym___extension__] = ACTIONS(5105),
    [anon_sym_extern] = ACTIONS(5105),
    [anon_sym___attribute__] = ACTIONS(5105),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5112),
    [anon_sym___declspec] = ACTIONS(5105),
    [anon_sym___based] = ACTIONS(5105),
    [anon_sym_LBRACE] = ACTIONS(5112),
    [anon_sym_LBRACK] = ACTIONS(5116),
    [anon_sym_EQ] = ACTIONS(5116),
    [anon_sym_static] = ACTIONS(5105),
    [anon_sym_register] = ACTIONS(5105),
    [anon_sym_inline] = ACTIONS(5105),
    [anon_sym___inline] = ACTIONS(5105),
    [anon_sym___inline__] = ACTIONS(5105),
    [anon_sym___forceinline] = ACTIONS(5105),
    [anon_sym_thread_local] = ACTIONS(5105),
    [anon_sym___thread] = ACTIONS(5105),
    [anon_sym_const] = ACTIONS(5105),
    [anon_sym_constexpr] = ACTIONS(5105),
    [anon_sym_volatile] = ACTIONS(5105),
    [anon_sym_restrict] = ACTIONS(5105),
    [anon_sym___restrict__] = ACTIONS(5105),
    [anon_sym__Atomic] = ACTIONS(5105),
    [anon_sym__Noreturn] = ACTIONS(5105),
    [anon_sym_noreturn] = ACTIONS(5105),
    [anon_sym_mutable] = ACTIONS(5105),
    [anon_sym_constinit] = ACTIONS(5105),
    [anon_sym_consteval] = ACTIONS(5105),
    [anon_sym_PROGMEM] = ACTIONS(5105),
    [anon_sym_QMARK] = ACTIONS(5107),
    [anon_sym_STAR_EQ] = ACTIONS(5107),
    [anon_sym_SLASH_EQ] = ACTIONS(5107),
    [anon_sym_PERCENT_EQ] = ACTIONS(5107),
    [anon_sym_PLUS_EQ] = ACTIONS(5107),
    [anon_sym_DASH_EQ] = ACTIONS(5107),
    [anon_sym_LT_LT_EQ] = ACTIONS(5107),
    [anon_sym_GT_GT_EQ] = ACTIONS(5107),
    [anon_sym_AMP_EQ] = ACTIONS(5107),
    [anon_sym_CARET_EQ] = ACTIONS(5107),
    [anon_sym_PIPE_EQ] = ACTIONS(5107),
    [anon_sym_and_eq] = ACTIONS(5114),
    [anon_sym_or_eq] = ACTIONS(5114),
    [anon_sym_xor_eq] = ACTIONS(5114),
    [anon_sym_LT_EQ_GT] = ACTIONS(5107),
    [anon_sym_or] = ACTIONS(5114),
    [anon_sym_and] = ACTIONS(5114),
    [anon_sym_bitor] = ACTIONS(5114),
    [anon_sym_xor] = ACTIONS(5114),
    [anon_sym_bitand] = ACTIONS(5114),
    [anon_sym_not_eq] = ACTIONS(5114),
    [anon_sym_DASH_DASH] = ACTIONS(5107),
    [anon_sym_PLUS_PLUS] = ACTIONS(5107),
    [anon_sym_DOT] = ACTIONS(5114),
    [anon_sym_DOT_STAR] = ACTIONS(5107),
    [anon_sym_DASH_GT] = ACTIONS(5107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5105),
    [anon_sym_decltype] = ACTIONS(5105),
    [anon_sym_virtual] = ACTIONS(5105),
    [anon_sym_alignas] = ACTIONS(5105),
    [anon_sym_template] = ACTIONS(5105),
    [anon_sym_operator] = ACTIONS(5105),
  },
  [1973] = {
    [sym_identifier] = ACTIONS(5153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5155),
    [anon_sym_COMMA] = ACTIONS(5155),
    [anon_sym_RPAREN] = ACTIONS(5155),
    [anon_sym_LPAREN2] = ACTIONS(5155),
    [anon_sym_TILDE] = ACTIONS(5158),
    [anon_sym_DASH] = ACTIONS(5160),
    [anon_sym_PLUS] = ACTIONS(5160),
    [anon_sym_STAR] = ACTIONS(5162),
    [anon_sym_SLASH] = ACTIONS(5160),
    [anon_sym_PERCENT] = ACTIONS(5160),
    [anon_sym_PIPE_PIPE] = ACTIONS(5165),
    [anon_sym_AMP_AMP] = ACTIONS(5155),
    [anon_sym_PIPE] = ACTIONS(5160),
    [anon_sym_CARET] = ACTIONS(5160),
    [anon_sym_AMP] = ACTIONS(5162),
    [anon_sym_EQ_EQ] = ACTIONS(5165),
    [anon_sym_BANG_EQ] = ACTIONS(5165),
    [anon_sym_GT] = ACTIONS(5160),
    [anon_sym_GT_EQ] = ACTIONS(5165),
    [anon_sym_LT_EQ] = ACTIONS(5160),
    [anon_sym_LT] = ACTIONS(5160),
    [anon_sym_LT_LT] = ACTIONS(5160),
    [anon_sym_GT_GT] = ACTIONS(5160),
    [anon_sym___extension__] = ACTIONS(5153),
    [anon_sym_extern] = ACTIONS(5153),
    [anon_sym___attribute__] = ACTIONS(5153),
    [anon_sym_COLON_COLON] = ACTIONS(5158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5158),
    [anon_sym___declspec] = ACTIONS(5153),
    [anon_sym___based] = ACTIONS(5153),
    [anon_sym_LBRACE] = ACTIONS(5158),
    [anon_sym_LBRACK] = ACTIONS(5162),
    [anon_sym_EQ] = ACTIONS(5162),
    [anon_sym_static] = ACTIONS(5153),
    [anon_sym_register] = ACTIONS(5153),
    [anon_sym_inline] = ACTIONS(5153),
    [anon_sym___inline] = ACTIONS(5153),
    [anon_sym___inline__] = ACTIONS(5153),
    [anon_sym___forceinline] = ACTIONS(5153),
    [anon_sym_thread_local] = ACTIONS(5153),
    [anon_sym___thread] = ACTIONS(5153),
    [anon_sym_const] = ACTIONS(5153),
    [anon_sym_constexpr] = ACTIONS(5153),
    [anon_sym_volatile] = ACTIONS(5153),
    [anon_sym_restrict] = ACTIONS(5153),
    [anon_sym___restrict__] = ACTIONS(5153),
    [anon_sym__Atomic] = ACTIONS(5153),
    [anon_sym__Noreturn] = ACTIONS(5153),
    [anon_sym_noreturn] = ACTIONS(5153),
    [anon_sym_mutable] = ACTIONS(5153),
    [anon_sym_constinit] = ACTIONS(5153),
    [anon_sym_consteval] = ACTIONS(5153),
    [anon_sym_PROGMEM] = ACTIONS(5153),
    [anon_sym_QMARK] = ACTIONS(5165),
    [anon_sym_STAR_EQ] = ACTIONS(5165),
    [anon_sym_SLASH_EQ] = ACTIONS(5165),
    [anon_sym_PERCENT_EQ] = ACTIONS(5165),
    [anon_sym_PLUS_EQ] = ACTIONS(5165),
    [anon_sym_DASH_EQ] = ACTIONS(5165),
    [anon_sym_LT_LT_EQ] = ACTIONS(5165),
    [anon_sym_GT_GT_EQ] = ACTIONS(5165),
    [anon_sym_AMP_EQ] = ACTIONS(5165),
    [anon_sym_CARET_EQ] = ACTIONS(5165),
    [anon_sym_PIPE_EQ] = ACTIONS(5165),
    [anon_sym_and_eq] = ACTIONS(5160),
    [anon_sym_or_eq] = ACTIONS(5160),
    [anon_sym_xor_eq] = ACTIONS(5160),
    [anon_sym_LT_EQ_GT] = ACTIONS(5165),
    [anon_sym_or] = ACTIONS(5160),
    [anon_sym_and] = ACTIONS(5160),
    [anon_sym_bitor] = ACTIONS(5160),
    [anon_sym_xor] = ACTIONS(5160),
    [anon_sym_bitand] = ACTIONS(5160),
    [anon_sym_not_eq] = ACTIONS(5160),
    [anon_sym_DASH_DASH] = ACTIONS(5165),
    [anon_sym_PLUS_PLUS] = ACTIONS(5165),
    [anon_sym_DOT] = ACTIONS(5160),
    [anon_sym_DOT_STAR] = ACTIONS(5165),
    [anon_sym_DASH_GT] = ACTIONS(5160),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5153),
    [anon_sym_decltype] = ACTIONS(5153),
    [anon_sym_virtual] = ACTIONS(5153),
    [anon_sym_alignas] = ACTIONS(5153),
    [anon_sym_template] = ACTIONS(5153),
    [anon_sym_operator] = ACTIONS(5153),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5165),
  },
  [1974] = {
    [sym_identifier] = ACTIONS(5153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5165),
    [anon_sym_COMMA] = ACTIONS(5165),
    [anon_sym_LPAREN2] = ACTIONS(5155),
    [anon_sym_TILDE] = ACTIONS(5158),
    [anon_sym_DASH] = ACTIONS(5160),
    [anon_sym_PLUS] = ACTIONS(5160),
    [anon_sym_STAR] = ACTIONS(5162),
    [anon_sym_SLASH] = ACTIONS(5160),
    [anon_sym_PERCENT] = ACTIONS(5160),
    [anon_sym_PIPE_PIPE] = ACTIONS(5165),
    [anon_sym_AMP_AMP] = ACTIONS(5155),
    [anon_sym_PIPE] = ACTIONS(5160),
    [anon_sym_CARET] = ACTIONS(5160),
    [anon_sym_AMP] = ACTIONS(5162),
    [anon_sym_EQ_EQ] = ACTIONS(5165),
    [anon_sym_BANG_EQ] = ACTIONS(5165),
    [anon_sym_GT] = ACTIONS(5160),
    [anon_sym_GT_EQ] = ACTIONS(5165),
    [anon_sym_LT_EQ] = ACTIONS(5160),
    [anon_sym_LT] = ACTIONS(5160),
    [anon_sym_LT_LT] = ACTIONS(5160),
    [anon_sym_GT_GT] = ACTIONS(5160),
    [anon_sym_SEMI] = ACTIONS(5155),
    [anon_sym___extension__] = ACTIONS(5153),
    [anon_sym_extern] = ACTIONS(5153),
    [anon_sym___attribute__] = ACTIONS(5153),
    [anon_sym_COLON_COLON] = ACTIONS(5158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5155),
    [anon_sym___declspec] = ACTIONS(5153),
    [anon_sym___based] = ACTIONS(5153),
    [anon_sym_LBRACE] = ACTIONS(5158),
    [anon_sym_RBRACE] = ACTIONS(5165),
    [anon_sym_LBRACK] = ACTIONS(5162),
    [anon_sym_EQ] = ACTIONS(5160),
    [anon_sym_static] = ACTIONS(5153),
    [anon_sym_register] = ACTIONS(5153),
    [anon_sym_inline] = ACTIONS(5153),
    [anon_sym___inline] = ACTIONS(5153),
    [anon_sym___inline__] = ACTIONS(5153),
    [anon_sym___forceinline] = ACTIONS(5153),
    [anon_sym_thread_local] = ACTIONS(5153),
    [anon_sym___thread] = ACTIONS(5153),
    [anon_sym_const] = ACTIONS(5153),
    [anon_sym_constexpr] = ACTIONS(5153),
    [anon_sym_volatile] = ACTIONS(5153),
    [anon_sym_restrict] = ACTIONS(5153),
    [anon_sym___restrict__] = ACTIONS(5153),
    [anon_sym__Atomic] = ACTIONS(5153),
    [anon_sym__Noreturn] = ACTIONS(5153),
    [anon_sym_noreturn] = ACTIONS(5153),
    [anon_sym_mutable] = ACTIONS(5153),
    [anon_sym_constinit] = ACTIONS(5153),
    [anon_sym_consteval] = ACTIONS(5153),
    [anon_sym_PROGMEM] = ACTIONS(5153),
    [anon_sym_QMARK] = ACTIONS(5165),
    [anon_sym_STAR_EQ] = ACTIONS(5165),
    [anon_sym_SLASH_EQ] = ACTIONS(5165),
    [anon_sym_PERCENT_EQ] = ACTIONS(5165),
    [anon_sym_PLUS_EQ] = ACTIONS(5165),
    [anon_sym_DASH_EQ] = ACTIONS(5165),
    [anon_sym_LT_LT_EQ] = ACTIONS(5165),
    [anon_sym_GT_GT_EQ] = ACTIONS(5165),
    [anon_sym_AMP_EQ] = ACTIONS(5165),
    [anon_sym_CARET_EQ] = ACTIONS(5165),
    [anon_sym_PIPE_EQ] = ACTIONS(5165),
    [anon_sym_and_eq] = ACTIONS(5160),
    [anon_sym_or_eq] = ACTIONS(5160),
    [anon_sym_xor_eq] = ACTIONS(5160),
    [anon_sym_LT_EQ_GT] = ACTIONS(5165),
    [anon_sym_or] = ACTIONS(5160),
    [anon_sym_and] = ACTIONS(5160),
    [anon_sym_bitor] = ACTIONS(5160),
    [anon_sym_xor] = ACTIONS(5160),
    [anon_sym_bitand] = ACTIONS(5160),
    [anon_sym_not_eq] = ACTIONS(5160),
    [anon_sym_DASH_DASH] = ACTIONS(5165),
    [anon_sym_PLUS_PLUS] = ACTIONS(5165),
    [anon_sym_DOT] = ACTIONS(5160),
    [anon_sym_DOT_STAR] = ACTIONS(5165),
    [anon_sym_DASH_GT] = ACTIONS(5165),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5153),
    [anon_sym_decltype] = ACTIONS(5153),
    [anon_sym_virtual] = ACTIONS(5153),
    [anon_sym_alignas] = ACTIONS(5153),
    [anon_sym_template] = ACTIONS(5153),
    [anon_sym_operator] = ACTIONS(5153),
  },
  [1975] = {
    [sym_identifier] = ACTIONS(5153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5165),
    [anon_sym_COMMA] = ACTIONS(5165),
    [anon_sym_RPAREN] = ACTIONS(5165),
    [anon_sym_LPAREN2] = ACTIONS(5155),
    [anon_sym_TILDE] = ACTIONS(5158),
    [anon_sym_DASH] = ACTIONS(5160),
    [anon_sym_PLUS] = ACTIONS(5160),
    [anon_sym_STAR] = ACTIONS(5162),
    [anon_sym_SLASH] = ACTIONS(5160),
    [anon_sym_PERCENT] = ACTIONS(5160),
    [anon_sym_PIPE_PIPE] = ACTIONS(5165),
    [anon_sym_AMP_AMP] = ACTIONS(5155),
    [anon_sym_PIPE] = ACTIONS(5160),
    [anon_sym_CARET] = ACTIONS(5160),
    [anon_sym_AMP] = ACTIONS(5162),
    [anon_sym_EQ_EQ] = ACTIONS(5165),
    [anon_sym_BANG_EQ] = ACTIONS(5165),
    [anon_sym_GT] = ACTIONS(5160),
    [anon_sym_GT_EQ] = ACTIONS(5165),
    [anon_sym_LT_EQ] = ACTIONS(5160),
    [anon_sym_LT] = ACTIONS(5160),
    [anon_sym_LT_LT] = ACTIONS(5160),
    [anon_sym_GT_GT] = ACTIONS(5160),
    [anon_sym_SEMI] = ACTIONS(5165),
    [anon_sym___extension__] = ACTIONS(5153),
    [anon_sym_extern] = ACTIONS(5153),
    [anon_sym___attribute__] = ACTIONS(5153),
    [anon_sym_COLON_COLON] = ACTIONS(5158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5158),
    [anon_sym___declspec] = ACTIONS(5153),
    [anon_sym___based] = ACTIONS(5153),
    [anon_sym_LBRACE] = ACTIONS(5158),
    [anon_sym_LBRACK] = ACTIONS(5162),
    [anon_sym_EQ] = ACTIONS(5160),
    [anon_sym_static] = ACTIONS(5153),
    [anon_sym_register] = ACTIONS(5153),
    [anon_sym_inline] = ACTIONS(5153),
    [anon_sym___inline] = ACTIONS(5153),
    [anon_sym___inline__] = ACTIONS(5153),
    [anon_sym___forceinline] = ACTIONS(5153),
    [anon_sym_thread_local] = ACTIONS(5153),
    [anon_sym___thread] = ACTIONS(5153),
    [anon_sym_const] = ACTIONS(5153),
    [anon_sym_constexpr] = ACTIONS(5153),
    [anon_sym_volatile] = ACTIONS(5153),
    [anon_sym_restrict] = ACTIONS(5153),
    [anon_sym___restrict__] = ACTIONS(5153),
    [anon_sym__Atomic] = ACTIONS(5153),
    [anon_sym__Noreturn] = ACTIONS(5153),
    [anon_sym_noreturn] = ACTIONS(5153),
    [anon_sym_mutable] = ACTIONS(5153),
    [anon_sym_constinit] = ACTIONS(5153),
    [anon_sym_consteval] = ACTIONS(5153),
    [anon_sym_PROGMEM] = ACTIONS(5153),
    [anon_sym_QMARK] = ACTIONS(5165),
    [anon_sym_STAR_EQ] = ACTIONS(5165),
    [anon_sym_SLASH_EQ] = ACTIONS(5165),
    [anon_sym_PERCENT_EQ] = ACTIONS(5165),
    [anon_sym_PLUS_EQ] = ACTIONS(5165),
    [anon_sym_DASH_EQ] = ACTIONS(5165),
    [anon_sym_LT_LT_EQ] = ACTIONS(5165),
    [anon_sym_GT_GT_EQ] = ACTIONS(5165),
    [anon_sym_AMP_EQ] = ACTIONS(5165),
    [anon_sym_CARET_EQ] = ACTIONS(5165),
    [anon_sym_PIPE_EQ] = ACTIONS(5165),
    [anon_sym_and_eq] = ACTIONS(5160),
    [anon_sym_or_eq] = ACTIONS(5160),
    [anon_sym_xor_eq] = ACTIONS(5160),
    [anon_sym_LT_EQ_GT] = ACTIONS(5165),
    [anon_sym_or] = ACTIONS(5160),
    [anon_sym_and] = ACTIONS(5160),
    [anon_sym_bitor] = ACTIONS(5160),
    [anon_sym_xor] = ACTIONS(5160),
    [anon_sym_bitand] = ACTIONS(5160),
    [anon_sym_not_eq] = ACTIONS(5160),
    [anon_sym_DASH_DASH] = ACTIONS(5165),
    [anon_sym_PLUS_PLUS] = ACTIONS(5165),
    [anon_sym_DOT] = ACTIONS(5160),
    [anon_sym_DOT_STAR] = ACTIONS(5165),
    [anon_sym_DASH_GT] = ACTIONS(5165),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5153),
    [anon_sym_decltype] = ACTIONS(5153),
    [anon_sym_virtual] = ACTIONS(5153),
    [anon_sym_alignas] = ACTIONS(5153),
    [anon_sym_template] = ACTIONS(5153),
    [anon_sym_operator] = ACTIONS(5153),
  },
  [1976] = {
    [sym_identifier] = ACTIONS(5125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5127),
    [anon_sym_COMMA] = ACTIONS(5127),
    [anon_sym_RPAREN] = ACTIONS(5127),
    [anon_sym_LPAREN2] = ACTIONS(5127),
    [anon_sym_TILDE] = ACTIONS(5127),
    [anon_sym_DASH] = ACTIONS(5125),
    [anon_sym_PLUS] = ACTIONS(5125),
    [anon_sym_STAR] = ACTIONS(5125),
    [anon_sym_SLASH] = ACTIONS(5125),
    [anon_sym_PERCENT] = ACTIONS(5125),
    [anon_sym_PIPE_PIPE] = ACTIONS(5127),
    [anon_sym_AMP_AMP] = ACTIONS(5127),
    [anon_sym_PIPE] = ACTIONS(5125),
    [anon_sym_CARET] = ACTIONS(5125),
    [anon_sym_AMP] = ACTIONS(5125),
    [anon_sym_EQ_EQ] = ACTIONS(5127),
    [anon_sym_BANG_EQ] = ACTIONS(5127),
    [anon_sym_GT] = ACTIONS(5125),
    [anon_sym_GT_EQ] = ACTIONS(5127),
    [anon_sym_LT_EQ] = ACTIONS(5125),
    [anon_sym_LT] = ACTIONS(5125),
    [anon_sym_LT_LT] = ACTIONS(5125),
    [anon_sym_GT_GT] = ACTIONS(5125),
    [anon_sym___extension__] = ACTIONS(5125),
    [anon_sym_extern] = ACTIONS(5125),
    [anon_sym___attribute__] = ACTIONS(5125),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5127),
    [anon_sym___declspec] = ACTIONS(5125),
    [anon_sym___based] = ACTIONS(5125),
    [anon_sym_LBRACE] = ACTIONS(5127),
    [anon_sym_LBRACK] = ACTIONS(5125),
    [anon_sym_EQ] = ACTIONS(5125),
    [anon_sym_static] = ACTIONS(5125),
    [anon_sym_register] = ACTIONS(5125),
    [anon_sym_inline] = ACTIONS(5125),
    [anon_sym___inline] = ACTIONS(5125),
    [anon_sym___inline__] = ACTIONS(5125),
    [anon_sym___forceinline] = ACTIONS(5125),
    [anon_sym_thread_local] = ACTIONS(5125),
    [anon_sym___thread] = ACTIONS(5125),
    [anon_sym_const] = ACTIONS(5125),
    [anon_sym_constexpr] = ACTIONS(5125),
    [anon_sym_volatile] = ACTIONS(5125),
    [anon_sym_restrict] = ACTIONS(5125),
    [anon_sym___restrict__] = ACTIONS(5125),
    [anon_sym__Atomic] = ACTIONS(5125),
    [anon_sym__Noreturn] = ACTIONS(5125),
    [anon_sym_noreturn] = ACTIONS(5125),
    [anon_sym_mutable] = ACTIONS(5125),
    [anon_sym_constinit] = ACTIONS(5125),
    [anon_sym_consteval] = ACTIONS(5125),
    [anon_sym_PROGMEM] = ACTIONS(5125),
    [anon_sym_QMARK] = ACTIONS(5127),
    [anon_sym_STAR_EQ] = ACTIONS(5127),
    [anon_sym_SLASH_EQ] = ACTIONS(5127),
    [anon_sym_PERCENT_EQ] = ACTIONS(5127),
    [anon_sym_PLUS_EQ] = ACTIONS(5127),
    [anon_sym_DASH_EQ] = ACTIONS(5127),
    [anon_sym_LT_LT_EQ] = ACTIONS(5127),
    [anon_sym_GT_GT_EQ] = ACTIONS(5127),
    [anon_sym_AMP_EQ] = ACTIONS(5127),
    [anon_sym_CARET_EQ] = ACTIONS(5127),
    [anon_sym_PIPE_EQ] = ACTIONS(5127),
    [anon_sym_and_eq] = ACTIONS(5125),
    [anon_sym_or_eq] = ACTIONS(5125),
    [anon_sym_xor_eq] = ACTIONS(5125),
    [anon_sym_LT_EQ_GT] = ACTIONS(5127),
    [anon_sym_or] = ACTIONS(5125),
    [anon_sym_and] = ACTIONS(5125),
    [anon_sym_bitor] = ACTIONS(5125),
    [anon_sym_xor] = ACTIONS(5125),
    [anon_sym_bitand] = ACTIONS(5125),
    [anon_sym_not_eq] = ACTIONS(5125),
    [anon_sym_DASH_DASH] = ACTIONS(5127),
    [anon_sym_PLUS_PLUS] = ACTIONS(5127),
    [anon_sym_DOT] = ACTIONS(5125),
    [anon_sym_DOT_STAR] = ACTIONS(5127),
    [anon_sym_DASH_GT] = ACTIONS(5125),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5125),
    [anon_sym_decltype] = ACTIONS(5125),
    [anon_sym_virtual] = ACTIONS(5125),
    [anon_sym_alignas] = ACTIONS(5125),
    [anon_sym_template] = ACTIONS(5125),
    [anon_sym_operator] = ACTIONS(5125),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5127),
  },
  [1977] = {
    [sym_identifier] = ACTIONS(5129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5131),
    [anon_sym_COMMA] = ACTIONS(5131),
    [anon_sym_RPAREN] = ACTIONS(5131),
    [anon_sym_LPAREN2] = ACTIONS(5131),
    [anon_sym_TILDE] = ACTIONS(5131),
    [anon_sym_DASH] = ACTIONS(5129),
    [anon_sym_PLUS] = ACTIONS(5129),
    [anon_sym_STAR] = ACTIONS(5129),
    [anon_sym_SLASH] = ACTIONS(5129),
    [anon_sym_PERCENT] = ACTIONS(5129),
    [anon_sym_PIPE_PIPE] = ACTIONS(5131),
    [anon_sym_AMP_AMP] = ACTIONS(5131),
    [anon_sym_PIPE] = ACTIONS(5129),
    [anon_sym_CARET] = ACTIONS(5129),
    [anon_sym_AMP] = ACTIONS(5129),
    [anon_sym_EQ_EQ] = ACTIONS(5131),
    [anon_sym_BANG_EQ] = ACTIONS(5131),
    [anon_sym_GT] = ACTIONS(5129),
    [anon_sym_GT_EQ] = ACTIONS(5131),
    [anon_sym_LT_EQ] = ACTIONS(5129),
    [anon_sym_LT] = ACTIONS(5129),
    [anon_sym_LT_LT] = ACTIONS(5129),
    [anon_sym_GT_GT] = ACTIONS(5129),
    [anon_sym___extension__] = ACTIONS(5129),
    [anon_sym_extern] = ACTIONS(5129),
    [anon_sym___attribute__] = ACTIONS(5129),
    [anon_sym_COLON_COLON] = ACTIONS(5131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5131),
    [anon_sym___declspec] = ACTIONS(5129),
    [anon_sym___based] = ACTIONS(5129),
    [anon_sym_LBRACE] = ACTIONS(5131),
    [anon_sym_LBRACK] = ACTIONS(5129),
    [anon_sym_EQ] = ACTIONS(5129),
    [anon_sym_static] = ACTIONS(5129),
    [anon_sym_register] = ACTIONS(5129),
    [anon_sym_inline] = ACTIONS(5129),
    [anon_sym___inline] = ACTIONS(5129),
    [anon_sym___inline__] = ACTIONS(5129),
    [anon_sym___forceinline] = ACTIONS(5129),
    [anon_sym_thread_local] = ACTIONS(5129),
    [anon_sym___thread] = ACTIONS(5129),
    [anon_sym_const] = ACTIONS(5129),
    [anon_sym_constexpr] = ACTIONS(5129),
    [anon_sym_volatile] = ACTIONS(5129),
    [anon_sym_restrict] = ACTIONS(5129),
    [anon_sym___restrict__] = ACTIONS(5129),
    [anon_sym__Atomic] = ACTIONS(5129),
    [anon_sym__Noreturn] = ACTIONS(5129),
    [anon_sym_noreturn] = ACTIONS(5129),
    [anon_sym_mutable] = ACTIONS(5129),
    [anon_sym_constinit] = ACTIONS(5129),
    [anon_sym_consteval] = ACTIONS(5129),
    [anon_sym_PROGMEM] = ACTIONS(5129),
    [anon_sym_QMARK] = ACTIONS(5131),
    [anon_sym_STAR_EQ] = ACTIONS(5131),
    [anon_sym_SLASH_EQ] = ACTIONS(5131),
    [anon_sym_PERCENT_EQ] = ACTIONS(5131),
    [anon_sym_PLUS_EQ] = ACTIONS(5131),
    [anon_sym_DASH_EQ] = ACTIONS(5131),
    [anon_sym_LT_LT_EQ] = ACTIONS(5131),
    [anon_sym_GT_GT_EQ] = ACTIONS(5131),
    [anon_sym_AMP_EQ] = ACTIONS(5131),
    [anon_sym_CARET_EQ] = ACTIONS(5131),
    [anon_sym_PIPE_EQ] = ACTIONS(5131),
    [anon_sym_and_eq] = ACTIONS(5129),
    [anon_sym_or_eq] = ACTIONS(5129),
    [anon_sym_xor_eq] = ACTIONS(5129),
    [anon_sym_LT_EQ_GT] = ACTIONS(5131),
    [anon_sym_or] = ACTIONS(5129),
    [anon_sym_and] = ACTIONS(5129),
    [anon_sym_bitor] = ACTIONS(5129),
    [anon_sym_xor] = ACTIONS(5129),
    [anon_sym_bitand] = ACTIONS(5129),
    [anon_sym_not_eq] = ACTIONS(5129),
    [anon_sym_DASH_DASH] = ACTIONS(5131),
    [anon_sym_PLUS_PLUS] = ACTIONS(5131),
    [anon_sym_DOT] = ACTIONS(5129),
    [anon_sym_DOT_STAR] = ACTIONS(5131),
    [anon_sym_DASH_GT] = ACTIONS(5129),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5129),
    [anon_sym_decltype] = ACTIONS(5129),
    [anon_sym_virtual] = ACTIONS(5129),
    [anon_sym_alignas] = ACTIONS(5129),
    [anon_sym_template] = ACTIONS(5129),
    [anon_sym_operator] = ACTIONS(5129),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5131),
  },
  [1978] = {
    [sym_identifier] = ACTIONS(5145),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5147),
    [anon_sym_COMMA] = ACTIONS(5147),
    [anon_sym_RPAREN] = ACTIONS(5147),
    [anon_sym_LPAREN2] = ACTIONS(5147),
    [anon_sym_TILDE] = ACTIONS(5147),
    [anon_sym_DASH] = ACTIONS(5145),
    [anon_sym_PLUS] = ACTIONS(5145),
    [anon_sym_STAR] = ACTIONS(5145),
    [anon_sym_SLASH] = ACTIONS(5145),
    [anon_sym_PERCENT] = ACTIONS(5145),
    [anon_sym_PIPE_PIPE] = ACTIONS(5147),
    [anon_sym_AMP_AMP] = ACTIONS(5147),
    [anon_sym_PIPE] = ACTIONS(5145),
    [anon_sym_CARET] = ACTIONS(5145),
    [anon_sym_AMP] = ACTIONS(5145),
    [anon_sym_EQ_EQ] = ACTIONS(5147),
    [anon_sym_BANG_EQ] = ACTIONS(5147),
    [anon_sym_GT] = ACTIONS(5145),
    [anon_sym_GT_EQ] = ACTIONS(5147),
    [anon_sym_LT_EQ] = ACTIONS(5145),
    [anon_sym_LT] = ACTIONS(5145),
    [anon_sym_LT_LT] = ACTIONS(5145),
    [anon_sym_GT_GT] = ACTIONS(5145),
    [anon_sym___extension__] = ACTIONS(5145),
    [anon_sym_extern] = ACTIONS(5145),
    [anon_sym___attribute__] = ACTIONS(5145),
    [anon_sym_COLON_COLON] = ACTIONS(5147),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5147),
    [anon_sym___declspec] = ACTIONS(5145),
    [anon_sym___based] = ACTIONS(5145),
    [anon_sym_LBRACE] = ACTIONS(5147),
    [anon_sym_LBRACK] = ACTIONS(5145),
    [anon_sym_EQ] = ACTIONS(5145),
    [anon_sym_static] = ACTIONS(5145),
    [anon_sym_register] = ACTIONS(5145),
    [anon_sym_inline] = ACTIONS(5145),
    [anon_sym___inline] = ACTIONS(5145),
    [anon_sym___inline__] = ACTIONS(5145),
    [anon_sym___forceinline] = ACTIONS(5145),
    [anon_sym_thread_local] = ACTIONS(5145),
    [anon_sym___thread] = ACTIONS(5145),
    [anon_sym_const] = ACTIONS(5145),
    [anon_sym_constexpr] = ACTIONS(5145),
    [anon_sym_volatile] = ACTIONS(5145),
    [anon_sym_restrict] = ACTIONS(5145),
    [anon_sym___restrict__] = ACTIONS(5145),
    [anon_sym__Atomic] = ACTIONS(5145),
    [anon_sym__Noreturn] = ACTIONS(5145),
    [anon_sym_noreturn] = ACTIONS(5145),
    [anon_sym_mutable] = ACTIONS(5145),
    [anon_sym_constinit] = ACTIONS(5145),
    [anon_sym_consteval] = ACTIONS(5145),
    [anon_sym_PROGMEM] = ACTIONS(5145),
    [anon_sym_QMARK] = ACTIONS(5147),
    [anon_sym_STAR_EQ] = ACTIONS(5147),
    [anon_sym_SLASH_EQ] = ACTIONS(5147),
    [anon_sym_PERCENT_EQ] = ACTIONS(5147),
    [anon_sym_PLUS_EQ] = ACTIONS(5147),
    [anon_sym_DASH_EQ] = ACTIONS(5147),
    [anon_sym_LT_LT_EQ] = ACTIONS(5147),
    [anon_sym_GT_GT_EQ] = ACTIONS(5147),
    [anon_sym_AMP_EQ] = ACTIONS(5147),
    [anon_sym_CARET_EQ] = ACTIONS(5147),
    [anon_sym_PIPE_EQ] = ACTIONS(5147),
    [anon_sym_and_eq] = ACTIONS(5145),
    [anon_sym_or_eq] = ACTIONS(5145),
    [anon_sym_xor_eq] = ACTIONS(5145),
    [anon_sym_LT_EQ_GT] = ACTIONS(5147),
    [anon_sym_or] = ACTIONS(5145),
    [anon_sym_and] = ACTIONS(5145),
    [anon_sym_bitor] = ACTIONS(5145),
    [anon_sym_xor] = ACTIONS(5145),
    [anon_sym_bitand] = ACTIONS(5145),
    [anon_sym_not_eq] = ACTIONS(5145),
    [anon_sym_DASH_DASH] = ACTIONS(5147),
    [anon_sym_PLUS_PLUS] = ACTIONS(5147),
    [anon_sym_DOT] = ACTIONS(5145),
    [anon_sym_DOT_STAR] = ACTIONS(5147),
    [anon_sym_DASH_GT] = ACTIONS(5145),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5145),
    [anon_sym_decltype] = ACTIONS(5145),
    [anon_sym_virtual] = ACTIONS(5145),
    [anon_sym_alignas] = ACTIONS(5145),
    [anon_sym_template] = ACTIONS(5145),
    [anon_sym_operator] = ACTIONS(5145),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5147),
  },
  [1979] = {
    [sym_identifier] = ACTIONS(5149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5151),
    [anon_sym_COMMA] = ACTIONS(5151),
    [anon_sym_RPAREN] = ACTIONS(5151),
    [anon_sym_LPAREN2] = ACTIONS(5151),
    [anon_sym_TILDE] = ACTIONS(5151),
    [anon_sym_DASH] = ACTIONS(5149),
    [anon_sym_PLUS] = ACTIONS(5149),
    [anon_sym_STAR] = ACTIONS(5149),
    [anon_sym_SLASH] = ACTIONS(5149),
    [anon_sym_PERCENT] = ACTIONS(5149),
    [anon_sym_PIPE_PIPE] = ACTIONS(5151),
    [anon_sym_AMP_AMP] = ACTIONS(5151),
    [anon_sym_PIPE] = ACTIONS(5149),
    [anon_sym_CARET] = ACTIONS(5149),
    [anon_sym_AMP] = ACTIONS(5149),
    [anon_sym_EQ_EQ] = ACTIONS(5151),
    [anon_sym_BANG_EQ] = ACTIONS(5151),
    [anon_sym_GT] = ACTIONS(5149),
    [anon_sym_GT_EQ] = ACTIONS(5151),
    [anon_sym_LT_EQ] = ACTIONS(5149),
    [anon_sym_LT] = ACTIONS(5149),
    [anon_sym_LT_LT] = ACTIONS(5149),
    [anon_sym_GT_GT] = ACTIONS(5149),
    [anon_sym___extension__] = ACTIONS(5149),
    [anon_sym_extern] = ACTIONS(5149),
    [anon_sym___attribute__] = ACTIONS(5149),
    [anon_sym_COLON_COLON] = ACTIONS(5151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5151),
    [anon_sym___declspec] = ACTIONS(5149),
    [anon_sym___based] = ACTIONS(5149),
    [anon_sym_LBRACE] = ACTIONS(5151),
    [anon_sym_LBRACK] = ACTIONS(5149),
    [anon_sym_EQ] = ACTIONS(5149),
    [anon_sym_static] = ACTIONS(5149),
    [anon_sym_register] = ACTIONS(5149),
    [anon_sym_inline] = ACTIONS(5149),
    [anon_sym___inline] = ACTIONS(5149),
    [anon_sym___inline__] = ACTIONS(5149),
    [anon_sym___forceinline] = ACTIONS(5149),
    [anon_sym_thread_local] = ACTIONS(5149),
    [anon_sym___thread] = ACTIONS(5149),
    [anon_sym_const] = ACTIONS(5149),
    [anon_sym_constexpr] = ACTIONS(5149),
    [anon_sym_volatile] = ACTIONS(5149),
    [anon_sym_restrict] = ACTIONS(5149),
    [anon_sym___restrict__] = ACTIONS(5149),
    [anon_sym__Atomic] = ACTIONS(5149),
    [anon_sym__Noreturn] = ACTIONS(5149),
    [anon_sym_noreturn] = ACTIONS(5149),
    [anon_sym_mutable] = ACTIONS(5149),
    [anon_sym_constinit] = ACTIONS(5149),
    [anon_sym_consteval] = ACTIONS(5149),
    [anon_sym_PROGMEM] = ACTIONS(5149),
    [anon_sym_QMARK] = ACTIONS(5151),
    [anon_sym_STAR_EQ] = ACTIONS(5151),
    [anon_sym_SLASH_EQ] = ACTIONS(5151),
    [anon_sym_PERCENT_EQ] = ACTIONS(5151),
    [anon_sym_PLUS_EQ] = ACTIONS(5151),
    [anon_sym_DASH_EQ] = ACTIONS(5151),
    [anon_sym_LT_LT_EQ] = ACTIONS(5151),
    [anon_sym_GT_GT_EQ] = ACTIONS(5151),
    [anon_sym_AMP_EQ] = ACTIONS(5151),
    [anon_sym_CARET_EQ] = ACTIONS(5151),
    [anon_sym_PIPE_EQ] = ACTIONS(5151),
    [anon_sym_and_eq] = ACTIONS(5149),
    [anon_sym_or_eq] = ACTIONS(5149),
    [anon_sym_xor_eq] = ACTIONS(5149),
    [anon_sym_LT_EQ_GT] = ACTIONS(5151),
    [anon_sym_or] = ACTIONS(5149),
    [anon_sym_and] = ACTIONS(5149),
    [anon_sym_bitor] = ACTIONS(5149),
    [anon_sym_xor] = ACTIONS(5149),
    [anon_sym_bitand] = ACTIONS(5149),
    [anon_sym_not_eq] = ACTIONS(5149),
    [anon_sym_DASH_DASH] = ACTIONS(5151),
    [anon_sym_PLUS_PLUS] = ACTIONS(5151),
    [anon_sym_DOT] = ACTIONS(5149),
    [anon_sym_DOT_STAR] = ACTIONS(5151),
    [anon_sym_DASH_GT] = ACTIONS(5149),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5149),
    [anon_sym_decltype] = ACTIONS(5149),
    [anon_sym_virtual] = ACTIONS(5149),
    [anon_sym_alignas] = ACTIONS(5149),
    [anon_sym_template] = ACTIONS(5149),
    [anon_sym_operator] = ACTIONS(5149),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5151),
  },
  [1980] = {
    [sym_string_literal] = STATE(2520),
    [sym_template_argument_list] = STATE(2208),
    [sym_raw_string_literal] = STATE(2520),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_RPAREN] = ACTIONS(4448),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4459),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4456),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5167),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym___extension__] = ACTIONS(4452),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5170),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_signed] = ACTIONS(5172),
    [anon_sym_unsigned] = ACTIONS(5172),
    [anon_sym_long] = ACTIONS(5172),
    [anon_sym_short] = ACTIONS(5172),
    [anon_sym_LBRACK] = ACTIONS(4474),
    [anon_sym_EQ] = ACTIONS(4454),
    [anon_sym_const] = ACTIONS(4444),
    [anon_sym_constexpr] = ACTIONS(4452),
    [anon_sym_volatile] = ACTIONS(4452),
    [anon_sym_restrict] = ACTIONS(4452),
    [anon_sym___restrict__] = ACTIONS(4452),
    [anon_sym__Atomic] = ACTIONS(4452),
    [anon_sym__Noreturn] = ACTIONS(4452),
    [anon_sym_noreturn] = ACTIONS(4452),
    [anon_sym_mutable] = ACTIONS(4452),
    [anon_sym_constinit] = ACTIONS(4452),
    [anon_sym_consteval] = ACTIONS(4452),
    [anon_sym_PROGMEM] = ACTIONS(4452),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4446),
    [anon_sym_SLASH_EQ] = ACTIONS(4446),
    [anon_sym_PERCENT_EQ] = ACTIONS(4446),
    [anon_sym_PLUS_EQ] = ACTIONS(4446),
    [anon_sym_DASH_EQ] = ACTIONS(4446),
    [anon_sym_LT_LT_EQ] = ACTIONS(4446),
    [anon_sym_GT_GT_EQ] = ACTIONS(4446),
    [anon_sym_AMP_EQ] = ACTIONS(4446),
    [anon_sym_CARET_EQ] = ACTIONS(4446),
    [anon_sym_PIPE_EQ] = ACTIONS(4446),
    [anon_sym_and_eq] = ACTIONS(4446),
    [anon_sym_or_eq] = ACTIONS(4446),
    [anon_sym_xor_eq] = ACTIONS(4446),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4454),
    [anon_sym_L_DQUOTE] = ACTIONS(5174),
    [anon_sym_u_DQUOTE] = ACTIONS(5174),
    [anon_sym_U_DQUOTE] = ACTIONS(5174),
    [anon_sym_u8_DQUOTE] = ACTIONS(5174),
    [anon_sym_DQUOTE] = ACTIONS(5174),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4452),
    [anon_sym_decltype] = ACTIONS(4452),
    [anon_sym_R_DQUOTE] = ACTIONS(5176),
    [anon_sym_LR_DQUOTE] = ACTIONS(5176),
    [anon_sym_uR_DQUOTE] = ACTIONS(5176),
    [anon_sym_UR_DQUOTE] = ACTIONS(5176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5176),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4446),
  },
  [1981] = {
    [sym_identifier] = ACTIONS(5141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5143),
    [anon_sym_COMMA] = ACTIONS(5143),
    [anon_sym_RPAREN] = ACTIONS(5143),
    [anon_sym_LPAREN2] = ACTIONS(5143),
    [anon_sym_TILDE] = ACTIONS(5143),
    [anon_sym_DASH] = ACTIONS(5141),
    [anon_sym_PLUS] = ACTIONS(5141),
    [anon_sym_STAR] = ACTIONS(5141),
    [anon_sym_SLASH] = ACTIONS(5141),
    [anon_sym_PERCENT] = ACTIONS(5141),
    [anon_sym_PIPE_PIPE] = ACTIONS(5143),
    [anon_sym_AMP_AMP] = ACTIONS(5143),
    [anon_sym_PIPE] = ACTIONS(5141),
    [anon_sym_CARET] = ACTIONS(5141),
    [anon_sym_AMP] = ACTIONS(5141),
    [anon_sym_EQ_EQ] = ACTIONS(5143),
    [anon_sym_BANG_EQ] = ACTIONS(5143),
    [anon_sym_GT] = ACTIONS(5141),
    [anon_sym_GT_EQ] = ACTIONS(5143),
    [anon_sym_LT_EQ] = ACTIONS(5141),
    [anon_sym_LT] = ACTIONS(5141),
    [anon_sym_LT_LT] = ACTIONS(5141),
    [anon_sym_GT_GT] = ACTIONS(5141),
    [anon_sym___extension__] = ACTIONS(5141),
    [anon_sym_extern] = ACTIONS(5141),
    [anon_sym___attribute__] = ACTIONS(5141),
    [anon_sym_COLON_COLON] = ACTIONS(5143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5143),
    [anon_sym___declspec] = ACTIONS(5141),
    [anon_sym___based] = ACTIONS(5141),
    [anon_sym_LBRACE] = ACTIONS(5143),
    [anon_sym_LBRACK] = ACTIONS(5141),
    [anon_sym_EQ] = ACTIONS(5141),
    [anon_sym_static] = ACTIONS(5141),
    [anon_sym_register] = ACTIONS(5141),
    [anon_sym_inline] = ACTIONS(5141),
    [anon_sym___inline] = ACTIONS(5141),
    [anon_sym___inline__] = ACTIONS(5141),
    [anon_sym___forceinline] = ACTIONS(5141),
    [anon_sym_thread_local] = ACTIONS(5141),
    [anon_sym___thread] = ACTIONS(5141),
    [anon_sym_const] = ACTIONS(5141),
    [anon_sym_constexpr] = ACTIONS(5141),
    [anon_sym_volatile] = ACTIONS(5141),
    [anon_sym_restrict] = ACTIONS(5141),
    [anon_sym___restrict__] = ACTIONS(5141),
    [anon_sym__Atomic] = ACTIONS(5141),
    [anon_sym__Noreturn] = ACTIONS(5141),
    [anon_sym_noreturn] = ACTIONS(5141),
    [anon_sym_mutable] = ACTIONS(5141),
    [anon_sym_constinit] = ACTIONS(5141),
    [anon_sym_consteval] = ACTIONS(5141),
    [anon_sym_PROGMEM] = ACTIONS(5141),
    [anon_sym_QMARK] = ACTIONS(5143),
    [anon_sym_STAR_EQ] = ACTIONS(5143),
    [anon_sym_SLASH_EQ] = ACTIONS(5143),
    [anon_sym_PERCENT_EQ] = ACTIONS(5143),
    [anon_sym_PLUS_EQ] = ACTIONS(5143),
    [anon_sym_DASH_EQ] = ACTIONS(5143),
    [anon_sym_LT_LT_EQ] = ACTIONS(5143),
    [anon_sym_GT_GT_EQ] = ACTIONS(5143),
    [anon_sym_AMP_EQ] = ACTIONS(5143),
    [anon_sym_CARET_EQ] = ACTIONS(5143),
    [anon_sym_PIPE_EQ] = ACTIONS(5143),
    [anon_sym_and_eq] = ACTIONS(5141),
    [anon_sym_or_eq] = ACTIONS(5141),
    [anon_sym_xor_eq] = ACTIONS(5141),
    [anon_sym_LT_EQ_GT] = ACTIONS(5143),
    [anon_sym_or] = ACTIONS(5141),
    [anon_sym_and] = ACTIONS(5141),
    [anon_sym_bitor] = ACTIONS(5141),
    [anon_sym_xor] = ACTIONS(5141),
    [anon_sym_bitand] = ACTIONS(5141),
    [anon_sym_not_eq] = ACTIONS(5141),
    [anon_sym_DASH_DASH] = ACTIONS(5143),
    [anon_sym_PLUS_PLUS] = ACTIONS(5143),
    [anon_sym_DOT] = ACTIONS(5141),
    [anon_sym_DOT_STAR] = ACTIONS(5143),
    [anon_sym_DASH_GT] = ACTIONS(5141),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5141),
    [anon_sym_decltype] = ACTIONS(5141),
    [anon_sym_virtual] = ACTIONS(5141),
    [anon_sym_alignas] = ACTIONS(5141),
    [anon_sym_template] = ACTIONS(5141),
    [anon_sym_operator] = ACTIONS(5141),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5143),
  },
  [1982] = {
    [sym_identifier] = ACTIONS(5153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5155),
    [anon_sym_COMMA] = ACTIONS(5155),
    [anon_sym_RPAREN] = ACTIONS(5155),
    [anon_sym_LPAREN2] = ACTIONS(5155),
    [anon_sym_TILDE] = ACTIONS(5158),
    [anon_sym_DASH] = ACTIONS(5160),
    [anon_sym_PLUS] = ACTIONS(5160),
    [anon_sym_STAR] = ACTIONS(5162),
    [anon_sym_SLASH] = ACTIONS(5160),
    [anon_sym_PERCENT] = ACTIONS(5160),
    [anon_sym_PIPE_PIPE] = ACTIONS(5165),
    [anon_sym_AMP_AMP] = ACTIONS(5155),
    [anon_sym_PIPE] = ACTIONS(5160),
    [anon_sym_CARET] = ACTIONS(5160),
    [anon_sym_AMP] = ACTIONS(5162),
    [anon_sym_EQ_EQ] = ACTIONS(5165),
    [anon_sym_BANG_EQ] = ACTIONS(5165),
    [anon_sym_GT] = ACTIONS(5160),
    [anon_sym_GT_EQ] = ACTIONS(5165),
    [anon_sym_LT_EQ] = ACTIONS(5160),
    [anon_sym_LT] = ACTIONS(5160),
    [anon_sym_LT_LT] = ACTIONS(5160),
    [anon_sym_GT_GT] = ACTIONS(5160),
    [anon_sym___extension__] = ACTIONS(5153),
    [anon_sym_extern] = ACTIONS(5153),
    [anon_sym___attribute__] = ACTIONS(5153),
    [anon_sym_COLON_COLON] = ACTIONS(5158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5158),
    [anon_sym___declspec] = ACTIONS(5153),
    [anon_sym___based] = ACTIONS(5153),
    [anon_sym_LBRACE] = ACTIONS(5158),
    [anon_sym_LBRACK] = ACTIONS(5162),
    [anon_sym_EQ] = ACTIONS(5162),
    [anon_sym_static] = ACTIONS(5153),
    [anon_sym_register] = ACTIONS(5153),
    [anon_sym_inline] = ACTIONS(5153),
    [anon_sym___inline] = ACTIONS(5153),
    [anon_sym___inline__] = ACTIONS(5153),
    [anon_sym___forceinline] = ACTIONS(5153),
    [anon_sym_thread_local] = ACTIONS(5153),
    [anon_sym___thread] = ACTIONS(5153),
    [anon_sym_const] = ACTIONS(5153),
    [anon_sym_constexpr] = ACTIONS(5153),
    [anon_sym_volatile] = ACTIONS(5153),
    [anon_sym_restrict] = ACTIONS(5153),
    [anon_sym___restrict__] = ACTIONS(5153),
    [anon_sym__Atomic] = ACTIONS(5153),
    [anon_sym__Noreturn] = ACTIONS(5153),
    [anon_sym_noreturn] = ACTIONS(5153),
    [anon_sym_mutable] = ACTIONS(5153),
    [anon_sym_constinit] = ACTIONS(5153),
    [anon_sym_consteval] = ACTIONS(5153),
    [anon_sym_PROGMEM] = ACTIONS(5153),
    [anon_sym_QMARK] = ACTIONS(5165),
    [anon_sym_STAR_EQ] = ACTIONS(5165),
    [anon_sym_SLASH_EQ] = ACTIONS(5165),
    [anon_sym_PERCENT_EQ] = ACTIONS(5165),
    [anon_sym_PLUS_EQ] = ACTIONS(5165),
    [anon_sym_DASH_EQ] = ACTIONS(5165),
    [anon_sym_LT_LT_EQ] = ACTIONS(5165),
    [anon_sym_GT_GT_EQ] = ACTIONS(5165),
    [anon_sym_AMP_EQ] = ACTIONS(5165),
    [anon_sym_CARET_EQ] = ACTIONS(5165),
    [anon_sym_PIPE_EQ] = ACTIONS(5165),
    [anon_sym_and_eq] = ACTIONS(5160),
    [anon_sym_or_eq] = ACTIONS(5160),
    [anon_sym_xor_eq] = ACTIONS(5160),
    [anon_sym_LT_EQ_GT] = ACTIONS(5165),
    [anon_sym_or] = ACTIONS(5160),
    [anon_sym_and] = ACTIONS(5160),
    [anon_sym_bitor] = ACTIONS(5160),
    [anon_sym_xor] = ACTIONS(5160),
    [anon_sym_bitand] = ACTIONS(5160),
    [anon_sym_not_eq] = ACTIONS(5160),
    [anon_sym_DASH_DASH] = ACTIONS(5165),
    [anon_sym_PLUS_PLUS] = ACTIONS(5165),
    [anon_sym_DOT] = ACTIONS(5160),
    [anon_sym_DOT_STAR] = ACTIONS(5165),
    [anon_sym_DASH_GT] = ACTIONS(5165),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5153),
    [anon_sym_decltype] = ACTIONS(5153),
    [anon_sym_virtual] = ACTIONS(5153),
    [anon_sym_alignas] = ACTIONS(5153),
    [anon_sym_template] = ACTIONS(5153),
    [anon_sym_operator] = ACTIONS(5153),
  },
  [1983] = {
    [sym_string_literal] = STATE(2520),
    [sym_template_argument_list] = STATE(2319),
    [sym_raw_string_literal] = STATE(2520),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_RPAREN] = ACTIONS(4459),
    [anon_sym_LPAREN2] = ACTIONS(4459),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4459),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4456),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5178),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym___extension__] = ACTIONS(4452),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_signed] = ACTIONS(5172),
    [anon_sym_unsigned] = ACTIONS(5172),
    [anon_sym_long] = ACTIONS(5172),
    [anon_sym_short] = ACTIONS(5172),
    [anon_sym_LBRACK] = ACTIONS(4459),
    [anon_sym_EQ] = ACTIONS(4454),
    [anon_sym_const] = ACTIONS(4444),
    [anon_sym_constexpr] = ACTIONS(4452),
    [anon_sym_volatile] = ACTIONS(4452),
    [anon_sym_restrict] = ACTIONS(4452),
    [anon_sym___restrict__] = ACTIONS(4452),
    [anon_sym__Atomic] = ACTIONS(4452),
    [anon_sym__Noreturn] = ACTIONS(4452),
    [anon_sym_noreturn] = ACTIONS(4452),
    [anon_sym_mutable] = ACTIONS(4452),
    [anon_sym_constinit] = ACTIONS(4452),
    [anon_sym_consteval] = ACTIONS(4452),
    [anon_sym_PROGMEM] = ACTIONS(4452),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4446),
    [anon_sym_SLASH_EQ] = ACTIONS(4446),
    [anon_sym_PERCENT_EQ] = ACTIONS(4446),
    [anon_sym_PLUS_EQ] = ACTIONS(4446),
    [anon_sym_DASH_EQ] = ACTIONS(4446),
    [anon_sym_LT_LT_EQ] = ACTIONS(4446),
    [anon_sym_GT_GT_EQ] = ACTIONS(4446),
    [anon_sym_AMP_EQ] = ACTIONS(4446),
    [anon_sym_CARET_EQ] = ACTIONS(4446),
    [anon_sym_PIPE_EQ] = ACTIONS(4446),
    [anon_sym_and_eq] = ACTIONS(4446),
    [anon_sym_or_eq] = ACTIONS(4446),
    [anon_sym_xor_eq] = ACTIONS(4446),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4454),
    [anon_sym_L_DQUOTE] = ACTIONS(5174),
    [anon_sym_u_DQUOTE] = ACTIONS(5174),
    [anon_sym_U_DQUOTE] = ACTIONS(5174),
    [anon_sym_u8_DQUOTE] = ACTIONS(5174),
    [anon_sym_DQUOTE] = ACTIONS(5174),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4452),
    [anon_sym_decltype] = ACTIONS(4452),
    [anon_sym_R_DQUOTE] = ACTIONS(5176),
    [anon_sym_LR_DQUOTE] = ACTIONS(5176),
    [anon_sym_uR_DQUOTE] = ACTIONS(5176),
    [anon_sym_UR_DQUOTE] = ACTIONS(5176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5176),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4446),
  },
  [1984] = {
    [sym_string_literal] = STATE(3941),
    [sym_template_argument_list] = STATE(3526),
    [sym_raw_string_literal] = STATE(3941),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2902),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4459),
    [anon_sym_COMMA] = ACTIONS(4459),
    [anon_sym_LPAREN2] = ACTIONS(4459),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4459),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4456),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4454),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5181),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym___extension__] = ACTIONS(4452),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_signed] = ACTIONS(5184),
    [anon_sym_unsigned] = ACTIONS(5184),
    [anon_sym_long] = ACTIONS(5184),
    [anon_sym_short] = ACTIONS(5184),
    [anon_sym_LBRACK] = ACTIONS(4459),
    [anon_sym_EQ] = ACTIONS(5186),
    [anon_sym_const] = ACTIONS(4444),
    [anon_sym_constexpr] = ACTIONS(4452),
    [anon_sym_volatile] = ACTIONS(4452),
    [anon_sym_restrict] = ACTIONS(4452),
    [anon_sym___restrict__] = ACTIONS(4452),
    [anon_sym__Atomic] = ACTIONS(4452),
    [anon_sym__Noreturn] = ACTIONS(4452),
    [anon_sym_noreturn] = ACTIONS(4452),
    [anon_sym_mutable] = ACTIONS(4452),
    [anon_sym_constinit] = ACTIONS(4452),
    [anon_sym_consteval] = ACTIONS(4452),
    [anon_sym_PROGMEM] = ACTIONS(4452),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(5188),
    [anon_sym_SLASH_EQ] = ACTIONS(5188),
    [anon_sym_PERCENT_EQ] = ACTIONS(5188),
    [anon_sym_PLUS_EQ] = ACTIONS(5188),
    [anon_sym_DASH_EQ] = ACTIONS(5188),
    [anon_sym_LT_LT_EQ] = ACTIONS(5188),
    [anon_sym_GT_GT_EQ] = ACTIONS(5186),
    [anon_sym_AMP_EQ] = ACTIONS(5188),
    [anon_sym_CARET_EQ] = ACTIONS(5188),
    [anon_sym_PIPE_EQ] = ACTIONS(5188),
    [anon_sym_and_eq] = ACTIONS(5188),
    [anon_sym_or_eq] = ACTIONS(5188),
    [anon_sym_xor_eq] = ACTIONS(5188),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(5190),
    [anon_sym_u_DQUOTE] = ACTIONS(5190),
    [anon_sym_U_DQUOTE] = ACTIONS(5190),
    [anon_sym_u8_DQUOTE] = ACTIONS(5190),
    [anon_sym_DQUOTE] = ACTIONS(5190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4452),
    [anon_sym_decltype] = ACTIONS(4452),
    [anon_sym_GT2] = ACTIONS(4459),
    [anon_sym_R_DQUOTE] = ACTIONS(5192),
    [anon_sym_LR_DQUOTE] = ACTIONS(5192),
    [anon_sym_uR_DQUOTE] = ACTIONS(5192),
    [anon_sym_UR_DQUOTE] = ACTIONS(5192),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5192),
  },
  [1985] = {
    [sym_identifier] = ACTIONS(5125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5127),
    [anon_sym_COMMA] = ACTIONS(5127),
    [anon_sym_RPAREN] = ACTIONS(5127),
    [anon_sym_LPAREN2] = ACTIONS(5127),
    [anon_sym_TILDE] = ACTIONS(5127),
    [anon_sym_DASH] = ACTIONS(5125),
    [anon_sym_PLUS] = ACTIONS(5125),
    [anon_sym_STAR] = ACTIONS(5125),
    [anon_sym_SLASH] = ACTIONS(5125),
    [anon_sym_PERCENT] = ACTIONS(5125),
    [anon_sym_PIPE_PIPE] = ACTIONS(5127),
    [anon_sym_AMP_AMP] = ACTIONS(5127),
    [anon_sym_PIPE] = ACTIONS(5125),
    [anon_sym_CARET] = ACTIONS(5125),
    [anon_sym_AMP] = ACTIONS(5125),
    [anon_sym_EQ_EQ] = ACTIONS(5127),
    [anon_sym_BANG_EQ] = ACTIONS(5127),
    [anon_sym_GT] = ACTIONS(5125),
    [anon_sym_GT_EQ] = ACTIONS(5127),
    [anon_sym_LT_EQ] = ACTIONS(5125),
    [anon_sym_LT] = ACTIONS(5125),
    [anon_sym_LT_LT] = ACTIONS(5125),
    [anon_sym_GT_GT] = ACTIONS(5125),
    [anon_sym___extension__] = ACTIONS(5125),
    [anon_sym_extern] = ACTIONS(5125),
    [anon_sym___attribute__] = ACTIONS(5125),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5127),
    [anon_sym___declspec] = ACTIONS(5125),
    [anon_sym___based] = ACTIONS(5125),
    [anon_sym_LBRACE] = ACTIONS(5127),
    [anon_sym_LBRACK] = ACTIONS(5125),
    [anon_sym_EQ] = ACTIONS(5125),
    [anon_sym_static] = ACTIONS(5125),
    [anon_sym_register] = ACTIONS(5125),
    [anon_sym_inline] = ACTIONS(5125),
    [anon_sym___inline] = ACTIONS(5125),
    [anon_sym___inline__] = ACTIONS(5125),
    [anon_sym___forceinline] = ACTIONS(5125),
    [anon_sym_thread_local] = ACTIONS(5125),
    [anon_sym___thread] = ACTIONS(5125),
    [anon_sym_const] = ACTIONS(5125),
    [anon_sym_constexpr] = ACTIONS(5125),
    [anon_sym_volatile] = ACTIONS(5125),
    [anon_sym_restrict] = ACTIONS(5125),
    [anon_sym___restrict__] = ACTIONS(5125),
    [anon_sym__Atomic] = ACTIONS(5125),
    [anon_sym__Noreturn] = ACTIONS(5125),
    [anon_sym_noreturn] = ACTIONS(5125),
    [anon_sym_mutable] = ACTIONS(5125),
    [anon_sym_constinit] = ACTIONS(5125),
    [anon_sym_consteval] = ACTIONS(5125),
    [anon_sym_PROGMEM] = ACTIONS(5125),
    [anon_sym_QMARK] = ACTIONS(5127),
    [anon_sym_STAR_EQ] = ACTIONS(5127),
    [anon_sym_SLASH_EQ] = ACTIONS(5127),
    [anon_sym_PERCENT_EQ] = ACTIONS(5127),
    [anon_sym_PLUS_EQ] = ACTIONS(5127),
    [anon_sym_DASH_EQ] = ACTIONS(5127),
    [anon_sym_LT_LT_EQ] = ACTIONS(5127),
    [anon_sym_GT_GT_EQ] = ACTIONS(5127),
    [anon_sym_AMP_EQ] = ACTIONS(5127),
    [anon_sym_CARET_EQ] = ACTIONS(5127),
    [anon_sym_PIPE_EQ] = ACTIONS(5127),
    [anon_sym_LT_EQ_GT] = ACTIONS(5127),
    [anon_sym_or] = ACTIONS(5125),
    [anon_sym_and] = ACTIONS(5125),
    [anon_sym_bitor] = ACTIONS(5125),
    [anon_sym_xor] = ACTIONS(5125),
    [anon_sym_bitand] = ACTIONS(5125),
    [anon_sym_not_eq] = ACTIONS(5125),
    [anon_sym_DASH_DASH] = ACTIONS(5127),
    [anon_sym_PLUS_PLUS] = ACTIONS(5127),
    [anon_sym_DOT] = ACTIONS(5125),
    [anon_sym_DOT_STAR] = ACTIONS(5127),
    [anon_sym_DASH_GT] = ACTIONS(5125),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5125),
    [anon_sym_decltype] = ACTIONS(5125),
    [anon_sym_virtual] = ACTIONS(5125),
    [anon_sym_alignas] = ACTIONS(5125),
    [anon_sym_template] = ACTIONS(5125),
    [anon_sym_operator] = ACTIONS(5125),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5127),
  },
  [1986] = {
    [sym_identifier] = ACTIONS(5137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5139),
    [anon_sym_COMMA] = ACTIONS(5139),
    [anon_sym_RPAREN] = ACTIONS(5139),
    [anon_sym_LPAREN2] = ACTIONS(5139),
    [anon_sym_TILDE] = ACTIONS(5139),
    [anon_sym_DASH] = ACTIONS(5137),
    [anon_sym_PLUS] = ACTIONS(5137),
    [anon_sym_STAR] = ACTIONS(5137),
    [anon_sym_SLASH] = ACTIONS(5137),
    [anon_sym_PERCENT] = ACTIONS(5137),
    [anon_sym_PIPE_PIPE] = ACTIONS(5139),
    [anon_sym_AMP_AMP] = ACTIONS(5139),
    [anon_sym_PIPE] = ACTIONS(5137),
    [anon_sym_CARET] = ACTIONS(5137),
    [anon_sym_AMP] = ACTIONS(5137),
    [anon_sym_EQ_EQ] = ACTIONS(5139),
    [anon_sym_BANG_EQ] = ACTIONS(5139),
    [anon_sym_GT] = ACTIONS(5137),
    [anon_sym_GT_EQ] = ACTIONS(5139),
    [anon_sym_LT_EQ] = ACTIONS(5137),
    [anon_sym_LT] = ACTIONS(5137),
    [anon_sym_LT_LT] = ACTIONS(5137),
    [anon_sym_GT_GT] = ACTIONS(5137),
    [anon_sym___extension__] = ACTIONS(5137),
    [anon_sym_extern] = ACTIONS(5137),
    [anon_sym___attribute__] = ACTIONS(5137),
    [anon_sym_COLON_COLON] = ACTIONS(5139),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5139),
    [anon_sym___declspec] = ACTIONS(5137),
    [anon_sym___based] = ACTIONS(5137),
    [anon_sym_LBRACE] = ACTIONS(5139),
    [anon_sym_LBRACK] = ACTIONS(5137),
    [anon_sym_EQ] = ACTIONS(5137),
    [anon_sym_static] = ACTIONS(5137),
    [anon_sym_register] = ACTIONS(5137),
    [anon_sym_inline] = ACTIONS(5137),
    [anon_sym___inline] = ACTIONS(5137),
    [anon_sym___inline__] = ACTIONS(5137),
    [anon_sym___forceinline] = ACTIONS(5137),
    [anon_sym_thread_local] = ACTIONS(5137),
    [anon_sym___thread] = ACTIONS(5137),
    [anon_sym_const] = ACTIONS(5137),
    [anon_sym_constexpr] = ACTIONS(5137),
    [anon_sym_volatile] = ACTIONS(5137),
    [anon_sym_restrict] = ACTIONS(5137),
    [anon_sym___restrict__] = ACTIONS(5137),
    [anon_sym__Atomic] = ACTIONS(5137),
    [anon_sym__Noreturn] = ACTIONS(5137),
    [anon_sym_noreturn] = ACTIONS(5137),
    [anon_sym_mutable] = ACTIONS(5137),
    [anon_sym_constinit] = ACTIONS(5137),
    [anon_sym_consteval] = ACTIONS(5137),
    [anon_sym_PROGMEM] = ACTIONS(5137),
    [anon_sym_QMARK] = ACTIONS(5139),
    [anon_sym_STAR_EQ] = ACTIONS(5139),
    [anon_sym_SLASH_EQ] = ACTIONS(5139),
    [anon_sym_PERCENT_EQ] = ACTIONS(5139),
    [anon_sym_PLUS_EQ] = ACTIONS(5139),
    [anon_sym_DASH_EQ] = ACTIONS(5139),
    [anon_sym_LT_LT_EQ] = ACTIONS(5139),
    [anon_sym_GT_GT_EQ] = ACTIONS(5139),
    [anon_sym_AMP_EQ] = ACTIONS(5139),
    [anon_sym_CARET_EQ] = ACTIONS(5139),
    [anon_sym_PIPE_EQ] = ACTIONS(5139),
    [anon_sym_LT_EQ_GT] = ACTIONS(5139),
    [anon_sym_or] = ACTIONS(5137),
    [anon_sym_and] = ACTIONS(5137),
    [anon_sym_bitor] = ACTIONS(5137),
    [anon_sym_xor] = ACTIONS(5137),
    [anon_sym_bitand] = ACTIONS(5137),
    [anon_sym_not_eq] = ACTIONS(5137),
    [anon_sym_DASH_DASH] = ACTIONS(5139),
    [anon_sym_PLUS_PLUS] = ACTIONS(5139),
    [anon_sym_DOT] = ACTIONS(5137),
    [anon_sym_DOT_STAR] = ACTIONS(5139),
    [anon_sym_DASH_GT] = ACTIONS(5137),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5137),
    [anon_sym_decltype] = ACTIONS(5137),
    [anon_sym_virtual] = ACTIONS(5137),
    [anon_sym_alignas] = ACTIONS(5137),
    [anon_sym_template] = ACTIONS(5137),
    [anon_sym_operator] = ACTIONS(5137),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5139),
  },
  [1987] = {
    [sym_identifier] = ACTIONS(5153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5155),
    [anon_sym_COMMA] = ACTIONS(5155),
    [anon_sym_RPAREN] = ACTIONS(5155),
    [anon_sym_LPAREN2] = ACTIONS(5155),
    [anon_sym_TILDE] = ACTIONS(5158),
    [anon_sym_DASH] = ACTIONS(5160),
    [anon_sym_PLUS] = ACTIONS(5160),
    [anon_sym_STAR] = ACTIONS(5162),
    [anon_sym_SLASH] = ACTIONS(5160),
    [anon_sym_PERCENT] = ACTIONS(5160),
    [anon_sym_PIPE_PIPE] = ACTIONS(5165),
    [anon_sym_AMP_AMP] = ACTIONS(5155),
    [anon_sym_PIPE] = ACTIONS(5160),
    [anon_sym_CARET] = ACTIONS(5160),
    [anon_sym_AMP] = ACTIONS(5162),
    [anon_sym_EQ_EQ] = ACTIONS(5165),
    [anon_sym_BANG_EQ] = ACTIONS(5165),
    [anon_sym_GT] = ACTIONS(5160),
    [anon_sym_GT_EQ] = ACTIONS(5165),
    [anon_sym_LT_EQ] = ACTIONS(5160),
    [anon_sym_LT] = ACTIONS(5160),
    [anon_sym_LT_LT] = ACTIONS(5160),
    [anon_sym_GT_GT] = ACTIONS(5160),
    [anon_sym___extension__] = ACTIONS(5153),
    [anon_sym_extern] = ACTIONS(5153),
    [anon_sym___attribute__] = ACTIONS(5153),
    [anon_sym_COLON_COLON] = ACTIONS(5158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5158),
    [anon_sym___declspec] = ACTIONS(5153),
    [anon_sym___based] = ACTIONS(5153),
    [anon_sym_LBRACE] = ACTIONS(5158),
    [anon_sym_LBRACK] = ACTIONS(5162),
    [anon_sym_EQ] = ACTIONS(5162),
    [anon_sym_static] = ACTIONS(5153),
    [anon_sym_register] = ACTIONS(5153),
    [anon_sym_inline] = ACTIONS(5153),
    [anon_sym___inline] = ACTIONS(5153),
    [anon_sym___inline__] = ACTIONS(5153),
    [anon_sym___forceinline] = ACTIONS(5153),
    [anon_sym_thread_local] = ACTIONS(5153),
    [anon_sym___thread] = ACTIONS(5153),
    [anon_sym_const] = ACTIONS(5153),
    [anon_sym_constexpr] = ACTIONS(5153),
    [anon_sym_volatile] = ACTIONS(5153),
    [anon_sym_restrict] = ACTIONS(5153),
    [anon_sym___restrict__] = ACTIONS(5153),
    [anon_sym__Atomic] = ACTIONS(5153),
    [anon_sym__Noreturn] = ACTIONS(5153),
    [anon_sym_noreturn] = ACTIONS(5153),
    [anon_sym_mutable] = ACTIONS(5153),
    [anon_sym_constinit] = ACTIONS(5153),
    [anon_sym_consteval] = ACTIONS(5153),
    [anon_sym_PROGMEM] = ACTIONS(5153),
    [anon_sym_QMARK] = ACTIONS(5165),
    [anon_sym_STAR_EQ] = ACTIONS(5165),
    [anon_sym_SLASH_EQ] = ACTIONS(5165),
    [anon_sym_PERCENT_EQ] = ACTIONS(5165),
    [anon_sym_PLUS_EQ] = ACTIONS(5165),
    [anon_sym_DASH_EQ] = ACTIONS(5165),
    [anon_sym_LT_LT_EQ] = ACTIONS(5165),
    [anon_sym_GT_GT_EQ] = ACTIONS(5165),
    [anon_sym_AMP_EQ] = ACTIONS(5165),
    [anon_sym_CARET_EQ] = ACTIONS(5165),
    [anon_sym_PIPE_EQ] = ACTIONS(5165),
    [anon_sym_LT_EQ_GT] = ACTIONS(5165),
    [anon_sym_or] = ACTIONS(5160),
    [anon_sym_and] = ACTIONS(5160),
    [anon_sym_bitor] = ACTIONS(5160),
    [anon_sym_xor] = ACTIONS(5160),
    [anon_sym_bitand] = ACTIONS(5160),
    [anon_sym_not_eq] = ACTIONS(5160),
    [anon_sym_DASH_DASH] = ACTIONS(5165),
    [anon_sym_PLUS_PLUS] = ACTIONS(5165),
    [anon_sym_DOT] = ACTIONS(5160),
    [anon_sym_DOT_STAR] = ACTIONS(5165),
    [anon_sym_DASH_GT] = ACTIONS(5160),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5153),
    [anon_sym_decltype] = ACTIONS(5153),
    [anon_sym_virtual] = ACTIONS(5153),
    [anon_sym_alignas] = ACTIONS(5153),
    [anon_sym_template] = ACTIONS(5153),
    [anon_sym_operator] = ACTIONS(5153),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5165),
  },
  [1988] = {
    [sym_identifier] = ACTIONS(5149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5151),
    [anon_sym_COMMA] = ACTIONS(5151),
    [anon_sym_RPAREN] = ACTIONS(5151),
    [anon_sym_LPAREN2] = ACTIONS(5151),
    [anon_sym_TILDE] = ACTIONS(5151),
    [anon_sym_DASH] = ACTIONS(5149),
    [anon_sym_PLUS] = ACTIONS(5149),
    [anon_sym_STAR] = ACTIONS(5149),
    [anon_sym_SLASH] = ACTIONS(5149),
    [anon_sym_PERCENT] = ACTIONS(5149),
    [anon_sym_PIPE_PIPE] = ACTIONS(5151),
    [anon_sym_AMP_AMP] = ACTIONS(5151),
    [anon_sym_PIPE] = ACTIONS(5149),
    [anon_sym_CARET] = ACTIONS(5149),
    [anon_sym_AMP] = ACTIONS(5149),
    [anon_sym_EQ_EQ] = ACTIONS(5151),
    [anon_sym_BANG_EQ] = ACTIONS(5151),
    [anon_sym_GT] = ACTIONS(5149),
    [anon_sym_GT_EQ] = ACTIONS(5151),
    [anon_sym_LT_EQ] = ACTIONS(5149),
    [anon_sym_LT] = ACTIONS(5149),
    [anon_sym_LT_LT] = ACTIONS(5149),
    [anon_sym_GT_GT] = ACTIONS(5149),
    [anon_sym___extension__] = ACTIONS(5149),
    [anon_sym_extern] = ACTIONS(5149),
    [anon_sym___attribute__] = ACTIONS(5149),
    [anon_sym_COLON_COLON] = ACTIONS(5151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5151),
    [anon_sym___declspec] = ACTIONS(5149),
    [anon_sym___based] = ACTIONS(5149),
    [anon_sym_LBRACE] = ACTIONS(5151),
    [anon_sym_LBRACK] = ACTIONS(5149),
    [anon_sym_EQ] = ACTIONS(5149),
    [anon_sym_static] = ACTIONS(5149),
    [anon_sym_register] = ACTIONS(5149),
    [anon_sym_inline] = ACTIONS(5149),
    [anon_sym___inline] = ACTIONS(5149),
    [anon_sym___inline__] = ACTIONS(5149),
    [anon_sym___forceinline] = ACTIONS(5149),
    [anon_sym_thread_local] = ACTIONS(5149),
    [anon_sym___thread] = ACTIONS(5149),
    [anon_sym_const] = ACTIONS(5149),
    [anon_sym_constexpr] = ACTIONS(5149),
    [anon_sym_volatile] = ACTIONS(5149),
    [anon_sym_restrict] = ACTIONS(5149),
    [anon_sym___restrict__] = ACTIONS(5149),
    [anon_sym__Atomic] = ACTIONS(5149),
    [anon_sym__Noreturn] = ACTIONS(5149),
    [anon_sym_noreturn] = ACTIONS(5149),
    [anon_sym_mutable] = ACTIONS(5149),
    [anon_sym_constinit] = ACTIONS(5149),
    [anon_sym_consteval] = ACTIONS(5149),
    [anon_sym_PROGMEM] = ACTIONS(5149),
    [anon_sym_QMARK] = ACTIONS(5151),
    [anon_sym_STAR_EQ] = ACTIONS(5151),
    [anon_sym_SLASH_EQ] = ACTIONS(5151),
    [anon_sym_PERCENT_EQ] = ACTIONS(5151),
    [anon_sym_PLUS_EQ] = ACTIONS(5151),
    [anon_sym_DASH_EQ] = ACTIONS(5151),
    [anon_sym_LT_LT_EQ] = ACTIONS(5151),
    [anon_sym_GT_GT_EQ] = ACTIONS(5151),
    [anon_sym_AMP_EQ] = ACTIONS(5151),
    [anon_sym_CARET_EQ] = ACTIONS(5151),
    [anon_sym_PIPE_EQ] = ACTIONS(5151),
    [anon_sym_LT_EQ_GT] = ACTIONS(5151),
    [anon_sym_or] = ACTIONS(5149),
    [anon_sym_and] = ACTIONS(5149),
    [anon_sym_bitor] = ACTIONS(5149),
    [anon_sym_xor] = ACTIONS(5149),
    [anon_sym_bitand] = ACTIONS(5149),
    [anon_sym_not_eq] = ACTIONS(5149),
    [anon_sym_DASH_DASH] = ACTIONS(5151),
    [anon_sym_PLUS_PLUS] = ACTIONS(5151),
    [anon_sym_DOT] = ACTIONS(5149),
    [anon_sym_DOT_STAR] = ACTIONS(5151),
    [anon_sym_DASH_GT] = ACTIONS(5149),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5149),
    [anon_sym_decltype] = ACTIONS(5149),
    [anon_sym_virtual] = ACTIONS(5149),
    [anon_sym_alignas] = ACTIONS(5149),
    [anon_sym_template] = ACTIONS(5149),
    [anon_sym_operator] = ACTIONS(5149),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5151),
  },
  [1989] = {
    [sym_identifier] = ACTIONS(5141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5143),
    [anon_sym_COMMA] = ACTIONS(5143),
    [anon_sym_RPAREN] = ACTIONS(5143),
    [anon_sym_LPAREN2] = ACTIONS(5143),
    [anon_sym_TILDE] = ACTIONS(5143),
    [anon_sym_DASH] = ACTIONS(5141),
    [anon_sym_PLUS] = ACTIONS(5141),
    [anon_sym_STAR] = ACTIONS(5141),
    [anon_sym_SLASH] = ACTIONS(5141),
    [anon_sym_PERCENT] = ACTIONS(5141),
    [anon_sym_PIPE_PIPE] = ACTIONS(5143),
    [anon_sym_AMP_AMP] = ACTIONS(5143),
    [anon_sym_PIPE] = ACTIONS(5141),
    [anon_sym_CARET] = ACTIONS(5141),
    [anon_sym_AMP] = ACTIONS(5141),
    [anon_sym_EQ_EQ] = ACTIONS(5143),
    [anon_sym_BANG_EQ] = ACTIONS(5143),
    [anon_sym_GT] = ACTIONS(5141),
    [anon_sym_GT_EQ] = ACTIONS(5143),
    [anon_sym_LT_EQ] = ACTIONS(5141),
    [anon_sym_LT] = ACTIONS(5141),
    [anon_sym_LT_LT] = ACTIONS(5141),
    [anon_sym_GT_GT] = ACTIONS(5141),
    [anon_sym___extension__] = ACTIONS(5141),
    [anon_sym_extern] = ACTIONS(5141),
    [anon_sym___attribute__] = ACTIONS(5141),
    [anon_sym_COLON_COLON] = ACTIONS(5143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5143),
    [anon_sym___declspec] = ACTIONS(5141),
    [anon_sym___based] = ACTIONS(5141),
    [anon_sym_LBRACE] = ACTIONS(5143),
    [anon_sym_LBRACK] = ACTIONS(5141),
    [anon_sym_EQ] = ACTIONS(5141),
    [anon_sym_static] = ACTIONS(5141),
    [anon_sym_register] = ACTIONS(5141),
    [anon_sym_inline] = ACTIONS(5141),
    [anon_sym___inline] = ACTIONS(5141),
    [anon_sym___inline__] = ACTIONS(5141),
    [anon_sym___forceinline] = ACTIONS(5141),
    [anon_sym_thread_local] = ACTIONS(5141),
    [anon_sym___thread] = ACTIONS(5141),
    [anon_sym_const] = ACTIONS(5141),
    [anon_sym_constexpr] = ACTIONS(5141),
    [anon_sym_volatile] = ACTIONS(5141),
    [anon_sym_restrict] = ACTIONS(5141),
    [anon_sym___restrict__] = ACTIONS(5141),
    [anon_sym__Atomic] = ACTIONS(5141),
    [anon_sym__Noreturn] = ACTIONS(5141),
    [anon_sym_noreturn] = ACTIONS(5141),
    [anon_sym_mutable] = ACTIONS(5141),
    [anon_sym_constinit] = ACTIONS(5141),
    [anon_sym_consteval] = ACTIONS(5141),
    [anon_sym_PROGMEM] = ACTIONS(5141),
    [anon_sym_QMARK] = ACTIONS(5143),
    [anon_sym_STAR_EQ] = ACTIONS(5143),
    [anon_sym_SLASH_EQ] = ACTIONS(5143),
    [anon_sym_PERCENT_EQ] = ACTIONS(5143),
    [anon_sym_PLUS_EQ] = ACTIONS(5143),
    [anon_sym_DASH_EQ] = ACTIONS(5143),
    [anon_sym_LT_LT_EQ] = ACTIONS(5143),
    [anon_sym_GT_GT_EQ] = ACTIONS(5143),
    [anon_sym_AMP_EQ] = ACTIONS(5143),
    [anon_sym_CARET_EQ] = ACTIONS(5143),
    [anon_sym_PIPE_EQ] = ACTIONS(5143),
    [anon_sym_LT_EQ_GT] = ACTIONS(5143),
    [anon_sym_or] = ACTIONS(5141),
    [anon_sym_and] = ACTIONS(5141),
    [anon_sym_bitor] = ACTIONS(5141),
    [anon_sym_xor] = ACTIONS(5141),
    [anon_sym_bitand] = ACTIONS(5141),
    [anon_sym_not_eq] = ACTIONS(5141),
    [anon_sym_DASH_DASH] = ACTIONS(5143),
    [anon_sym_PLUS_PLUS] = ACTIONS(5143),
    [anon_sym_DOT] = ACTIONS(5141),
    [anon_sym_DOT_STAR] = ACTIONS(5143),
    [anon_sym_DASH_GT] = ACTIONS(5141),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5141),
    [anon_sym_decltype] = ACTIONS(5141),
    [anon_sym_virtual] = ACTIONS(5141),
    [anon_sym_alignas] = ACTIONS(5141),
    [anon_sym_template] = ACTIONS(5141),
    [anon_sym_operator] = ACTIONS(5141),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5143),
  },
  [1990] = {
    [sym_identifier] = ACTIONS(5133),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5135),
    [anon_sym_COMMA] = ACTIONS(5135),
    [anon_sym_RPAREN] = ACTIONS(5135),
    [anon_sym_LPAREN2] = ACTIONS(5135),
    [anon_sym_TILDE] = ACTIONS(5135),
    [anon_sym_DASH] = ACTIONS(5133),
    [anon_sym_PLUS] = ACTIONS(5133),
    [anon_sym_STAR] = ACTIONS(5133),
    [anon_sym_SLASH] = ACTIONS(5133),
    [anon_sym_PERCENT] = ACTIONS(5133),
    [anon_sym_PIPE_PIPE] = ACTIONS(5135),
    [anon_sym_AMP_AMP] = ACTIONS(5135),
    [anon_sym_PIPE] = ACTIONS(5133),
    [anon_sym_CARET] = ACTIONS(5133),
    [anon_sym_AMP] = ACTIONS(5133),
    [anon_sym_EQ_EQ] = ACTIONS(5135),
    [anon_sym_BANG_EQ] = ACTIONS(5135),
    [anon_sym_GT] = ACTIONS(5133),
    [anon_sym_GT_EQ] = ACTIONS(5135),
    [anon_sym_LT_EQ] = ACTIONS(5133),
    [anon_sym_LT] = ACTIONS(5133),
    [anon_sym_LT_LT] = ACTIONS(5133),
    [anon_sym_GT_GT] = ACTIONS(5133),
    [anon_sym___extension__] = ACTIONS(5133),
    [anon_sym_extern] = ACTIONS(5133),
    [anon_sym___attribute__] = ACTIONS(5133),
    [anon_sym_COLON_COLON] = ACTIONS(5135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5135),
    [anon_sym___declspec] = ACTIONS(5133),
    [anon_sym___based] = ACTIONS(5133),
    [anon_sym_LBRACE] = ACTIONS(5135),
    [anon_sym_LBRACK] = ACTIONS(5133),
    [anon_sym_EQ] = ACTIONS(5133),
    [anon_sym_static] = ACTIONS(5133),
    [anon_sym_register] = ACTIONS(5133),
    [anon_sym_inline] = ACTIONS(5133),
    [anon_sym___inline] = ACTIONS(5133),
    [anon_sym___inline__] = ACTIONS(5133),
    [anon_sym___forceinline] = ACTIONS(5133),
    [anon_sym_thread_local] = ACTIONS(5133),
    [anon_sym___thread] = ACTIONS(5133),
    [anon_sym_const] = ACTIONS(5133),
    [anon_sym_constexpr] = ACTIONS(5133),
    [anon_sym_volatile] = ACTIONS(5133),
    [anon_sym_restrict] = ACTIONS(5133),
    [anon_sym___restrict__] = ACTIONS(5133),
    [anon_sym__Atomic] = ACTIONS(5133),
    [anon_sym__Noreturn] = ACTIONS(5133),
    [anon_sym_noreturn] = ACTIONS(5133),
    [anon_sym_mutable] = ACTIONS(5133),
    [anon_sym_constinit] = ACTIONS(5133),
    [anon_sym_consteval] = ACTIONS(5133),
    [anon_sym_PROGMEM] = ACTIONS(5133),
    [anon_sym_QMARK] = ACTIONS(5135),
    [anon_sym_STAR_EQ] = ACTIONS(5135),
    [anon_sym_SLASH_EQ] = ACTIONS(5135),
    [anon_sym_PERCENT_EQ] = ACTIONS(5135),
    [anon_sym_PLUS_EQ] = ACTIONS(5135),
    [anon_sym_DASH_EQ] = ACTIONS(5135),
    [anon_sym_LT_LT_EQ] = ACTIONS(5135),
    [anon_sym_GT_GT_EQ] = ACTIONS(5135),
    [anon_sym_AMP_EQ] = ACTIONS(5135),
    [anon_sym_CARET_EQ] = ACTIONS(5135),
    [anon_sym_PIPE_EQ] = ACTIONS(5135),
    [anon_sym_LT_EQ_GT] = ACTIONS(5135),
    [anon_sym_or] = ACTIONS(5133),
    [anon_sym_and] = ACTIONS(5133),
    [anon_sym_bitor] = ACTIONS(5133),
    [anon_sym_xor] = ACTIONS(5133),
    [anon_sym_bitand] = ACTIONS(5133),
    [anon_sym_not_eq] = ACTIONS(5133),
    [anon_sym_DASH_DASH] = ACTIONS(5135),
    [anon_sym_PLUS_PLUS] = ACTIONS(5135),
    [anon_sym_DOT] = ACTIONS(5133),
    [anon_sym_DOT_STAR] = ACTIONS(5135),
    [anon_sym_DASH_GT] = ACTIONS(5133),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5133),
    [anon_sym_decltype] = ACTIONS(5133),
    [anon_sym_virtual] = ACTIONS(5133),
    [anon_sym_alignas] = ACTIONS(5133),
    [anon_sym_template] = ACTIONS(5133),
    [anon_sym_operator] = ACTIONS(5133),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5135),
  },
  [1991] = {
    [sym_identifier] = ACTIONS(5129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5131),
    [anon_sym_COMMA] = ACTIONS(5131),
    [anon_sym_RPAREN] = ACTIONS(5131),
    [anon_sym_LPAREN2] = ACTIONS(5131),
    [anon_sym_TILDE] = ACTIONS(5131),
    [anon_sym_DASH] = ACTIONS(5129),
    [anon_sym_PLUS] = ACTIONS(5129),
    [anon_sym_STAR] = ACTIONS(5129),
    [anon_sym_SLASH] = ACTIONS(5129),
    [anon_sym_PERCENT] = ACTIONS(5129),
    [anon_sym_PIPE_PIPE] = ACTIONS(5131),
    [anon_sym_AMP_AMP] = ACTIONS(5131),
    [anon_sym_PIPE] = ACTIONS(5129),
    [anon_sym_CARET] = ACTIONS(5129),
    [anon_sym_AMP] = ACTIONS(5129),
    [anon_sym_EQ_EQ] = ACTIONS(5131),
    [anon_sym_BANG_EQ] = ACTIONS(5131),
    [anon_sym_GT] = ACTIONS(5129),
    [anon_sym_GT_EQ] = ACTIONS(5131),
    [anon_sym_LT_EQ] = ACTIONS(5129),
    [anon_sym_LT] = ACTIONS(5129),
    [anon_sym_LT_LT] = ACTIONS(5129),
    [anon_sym_GT_GT] = ACTIONS(5129),
    [anon_sym___extension__] = ACTIONS(5129),
    [anon_sym_extern] = ACTIONS(5129),
    [anon_sym___attribute__] = ACTIONS(5129),
    [anon_sym_COLON_COLON] = ACTIONS(5131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5131),
    [anon_sym___declspec] = ACTIONS(5129),
    [anon_sym___based] = ACTIONS(5129),
    [anon_sym_LBRACE] = ACTIONS(5131),
    [anon_sym_LBRACK] = ACTIONS(5129),
    [anon_sym_EQ] = ACTIONS(5129),
    [anon_sym_static] = ACTIONS(5129),
    [anon_sym_register] = ACTIONS(5129),
    [anon_sym_inline] = ACTIONS(5129),
    [anon_sym___inline] = ACTIONS(5129),
    [anon_sym___inline__] = ACTIONS(5129),
    [anon_sym___forceinline] = ACTIONS(5129),
    [anon_sym_thread_local] = ACTIONS(5129),
    [anon_sym___thread] = ACTIONS(5129),
    [anon_sym_const] = ACTIONS(5129),
    [anon_sym_constexpr] = ACTIONS(5129),
    [anon_sym_volatile] = ACTIONS(5129),
    [anon_sym_restrict] = ACTIONS(5129),
    [anon_sym___restrict__] = ACTIONS(5129),
    [anon_sym__Atomic] = ACTIONS(5129),
    [anon_sym__Noreturn] = ACTIONS(5129),
    [anon_sym_noreturn] = ACTIONS(5129),
    [anon_sym_mutable] = ACTIONS(5129),
    [anon_sym_constinit] = ACTIONS(5129),
    [anon_sym_consteval] = ACTIONS(5129),
    [anon_sym_PROGMEM] = ACTIONS(5129),
    [anon_sym_QMARK] = ACTIONS(5131),
    [anon_sym_STAR_EQ] = ACTIONS(5131),
    [anon_sym_SLASH_EQ] = ACTIONS(5131),
    [anon_sym_PERCENT_EQ] = ACTIONS(5131),
    [anon_sym_PLUS_EQ] = ACTIONS(5131),
    [anon_sym_DASH_EQ] = ACTIONS(5131),
    [anon_sym_LT_LT_EQ] = ACTIONS(5131),
    [anon_sym_GT_GT_EQ] = ACTIONS(5131),
    [anon_sym_AMP_EQ] = ACTIONS(5131),
    [anon_sym_CARET_EQ] = ACTIONS(5131),
    [anon_sym_PIPE_EQ] = ACTIONS(5131),
    [anon_sym_LT_EQ_GT] = ACTIONS(5131),
    [anon_sym_or] = ACTIONS(5129),
    [anon_sym_and] = ACTIONS(5129),
    [anon_sym_bitor] = ACTIONS(5129),
    [anon_sym_xor] = ACTIONS(5129),
    [anon_sym_bitand] = ACTIONS(5129),
    [anon_sym_not_eq] = ACTIONS(5129),
    [anon_sym_DASH_DASH] = ACTIONS(5131),
    [anon_sym_PLUS_PLUS] = ACTIONS(5131),
    [anon_sym_DOT] = ACTIONS(5129),
    [anon_sym_DOT_STAR] = ACTIONS(5131),
    [anon_sym_DASH_GT] = ACTIONS(5129),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5129),
    [anon_sym_decltype] = ACTIONS(5129),
    [anon_sym_virtual] = ACTIONS(5129),
    [anon_sym_alignas] = ACTIONS(5129),
    [anon_sym_template] = ACTIONS(5129),
    [anon_sym_operator] = ACTIONS(5129),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5131),
  },
  [1992] = {
    [sym_identifier] = ACTIONS(5145),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5147),
    [anon_sym_COMMA] = ACTIONS(5147),
    [anon_sym_RPAREN] = ACTIONS(5147),
    [anon_sym_LPAREN2] = ACTIONS(5147),
    [anon_sym_TILDE] = ACTIONS(5147),
    [anon_sym_DASH] = ACTIONS(5145),
    [anon_sym_PLUS] = ACTIONS(5145),
    [anon_sym_STAR] = ACTIONS(5145),
    [anon_sym_SLASH] = ACTIONS(5145),
    [anon_sym_PERCENT] = ACTIONS(5145),
    [anon_sym_PIPE_PIPE] = ACTIONS(5147),
    [anon_sym_AMP_AMP] = ACTIONS(5147),
    [anon_sym_PIPE] = ACTIONS(5145),
    [anon_sym_CARET] = ACTIONS(5145),
    [anon_sym_AMP] = ACTIONS(5145),
    [anon_sym_EQ_EQ] = ACTIONS(5147),
    [anon_sym_BANG_EQ] = ACTIONS(5147),
    [anon_sym_GT] = ACTIONS(5145),
    [anon_sym_GT_EQ] = ACTIONS(5147),
    [anon_sym_LT_EQ] = ACTIONS(5145),
    [anon_sym_LT] = ACTIONS(5145),
    [anon_sym_LT_LT] = ACTIONS(5145),
    [anon_sym_GT_GT] = ACTIONS(5145),
    [anon_sym___extension__] = ACTIONS(5145),
    [anon_sym_extern] = ACTIONS(5145),
    [anon_sym___attribute__] = ACTIONS(5145),
    [anon_sym_COLON_COLON] = ACTIONS(5147),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5147),
    [anon_sym___declspec] = ACTIONS(5145),
    [anon_sym___based] = ACTIONS(5145),
    [anon_sym_LBRACE] = ACTIONS(5147),
    [anon_sym_LBRACK] = ACTIONS(5145),
    [anon_sym_EQ] = ACTIONS(5145),
    [anon_sym_static] = ACTIONS(5145),
    [anon_sym_register] = ACTIONS(5145),
    [anon_sym_inline] = ACTIONS(5145),
    [anon_sym___inline] = ACTIONS(5145),
    [anon_sym___inline__] = ACTIONS(5145),
    [anon_sym___forceinline] = ACTIONS(5145),
    [anon_sym_thread_local] = ACTIONS(5145),
    [anon_sym___thread] = ACTIONS(5145),
    [anon_sym_const] = ACTIONS(5145),
    [anon_sym_constexpr] = ACTIONS(5145),
    [anon_sym_volatile] = ACTIONS(5145),
    [anon_sym_restrict] = ACTIONS(5145),
    [anon_sym___restrict__] = ACTIONS(5145),
    [anon_sym__Atomic] = ACTIONS(5145),
    [anon_sym__Noreturn] = ACTIONS(5145),
    [anon_sym_noreturn] = ACTIONS(5145),
    [anon_sym_mutable] = ACTIONS(5145),
    [anon_sym_constinit] = ACTIONS(5145),
    [anon_sym_consteval] = ACTIONS(5145),
    [anon_sym_PROGMEM] = ACTIONS(5145),
    [anon_sym_QMARK] = ACTIONS(5147),
    [anon_sym_STAR_EQ] = ACTIONS(5147),
    [anon_sym_SLASH_EQ] = ACTIONS(5147),
    [anon_sym_PERCENT_EQ] = ACTIONS(5147),
    [anon_sym_PLUS_EQ] = ACTIONS(5147),
    [anon_sym_DASH_EQ] = ACTIONS(5147),
    [anon_sym_LT_LT_EQ] = ACTIONS(5147),
    [anon_sym_GT_GT_EQ] = ACTIONS(5147),
    [anon_sym_AMP_EQ] = ACTIONS(5147),
    [anon_sym_CARET_EQ] = ACTIONS(5147),
    [anon_sym_PIPE_EQ] = ACTIONS(5147),
    [anon_sym_LT_EQ_GT] = ACTIONS(5147),
    [anon_sym_or] = ACTIONS(5145),
    [anon_sym_and] = ACTIONS(5145),
    [anon_sym_bitor] = ACTIONS(5145),
    [anon_sym_xor] = ACTIONS(5145),
    [anon_sym_bitand] = ACTIONS(5145),
    [anon_sym_not_eq] = ACTIONS(5145),
    [anon_sym_DASH_DASH] = ACTIONS(5147),
    [anon_sym_PLUS_PLUS] = ACTIONS(5147),
    [anon_sym_DOT] = ACTIONS(5145),
    [anon_sym_DOT_STAR] = ACTIONS(5147),
    [anon_sym_DASH_GT] = ACTIONS(5145),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5145),
    [anon_sym_decltype] = ACTIONS(5145),
    [anon_sym_virtual] = ACTIONS(5145),
    [anon_sym_alignas] = ACTIONS(5145),
    [anon_sym_template] = ACTIONS(5145),
    [anon_sym_operator] = ACTIONS(5145),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5147),
  },
  [1993] = {
    [sym_function_definition] = STATE(376),
    [sym_declaration] = STATE(376),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5798),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_ms_call_modifier] = STATE(2167),
    [sym_declaration_list] = STATE(376),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7213),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5194),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(5198),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
  },
  [1994] = {
    [sym_function_definition] = STATE(923),
    [sym_declaration] = STATE(923),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_ms_call_modifier] = STATE(2111),
    [sym_declaration_list] = STATE(923),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7213),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5194),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(5200),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
  },
  [1995] = {
    [sym_function_definition] = STATE(1056),
    [sym_declaration] = STATE(1056),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5856),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_ms_call_modifier] = STATE(2122),
    [sym_declaration_list] = STATE(1056),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7213),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5194),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(5202),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
  },
  [1996] = {
    [sym_function_definition] = STATE(576),
    [sym_declaration] = STATE(576),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5832),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_declaration_list] = STATE(576),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7213),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5194),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(5204),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
  },
  [1997] = {
    [sym_function_definition] = STATE(952),
    [sym_declaration] = STATE(952),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5813),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_ms_call_modifier] = STATE(2144),
    [sym_declaration_list] = STATE(952),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7213),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5194),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(5206),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
  },
  [1998] = {
    [sym_function_definition] = STATE(2584),
    [sym_declaration] = STATE(2584),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5829),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_ms_call_modifier] = STATE(2097),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(9212),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4896),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7213),
    [sym_qualified_type_identifier] = STATE(4895),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5208),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5210),
    [anon_sym_struct] = ACTIONS(5212),
    [anon_sym_union] = ACTIONS(5214),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
  },
  [1999] = {
    [sym_function_definition] = STATE(902),
    [sym_declaration] = STATE(902),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5846),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_ms_call_modifier] = STATE(2111),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8658),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4896),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7213),
    [sym_qualified_type_identifier] = STATE(4895),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5208),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5216),
    [anon_sym_struct] = ACTIONS(5218),
    [anon_sym_union] = ACTIONS(5220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2000] = {
    [sym_function_definition] = STATE(859),
    [sym_declaration] = STATE(859),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5813),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_ms_call_modifier] = STATE(2144),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(9549),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4896),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7213),
    [sym_qualified_type_identifier] = STATE(4895),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5208),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5222),
    [anon_sym_struct] = ACTIONS(5224),
    [anon_sym_union] = ACTIONS(5226),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2001] = {
    [sym_identifier] = ACTIONS(5137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5139),
    [anon_sym_COMMA] = ACTIONS(5139),
    [anon_sym_RPAREN] = ACTIONS(5139),
    [anon_sym_LPAREN2] = ACTIONS(5139),
    [anon_sym_TILDE] = ACTIONS(5139),
    [anon_sym_DASH] = ACTIONS(5137),
    [anon_sym_PLUS] = ACTIONS(5137),
    [anon_sym_STAR] = ACTIONS(5139),
    [anon_sym_SLASH] = ACTIONS(5137),
    [anon_sym_PERCENT] = ACTIONS(5139),
    [anon_sym_PIPE_PIPE] = ACTIONS(5139),
    [anon_sym_AMP_AMP] = ACTIONS(5139),
    [anon_sym_PIPE] = ACTIONS(5137),
    [anon_sym_CARET] = ACTIONS(5139),
    [anon_sym_AMP] = ACTIONS(5137),
    [anon_sym_EQ_EQ] = ACTIONS(5139),
    [anon_sym_BANG_EQ] = ACTIONS(5139),
    [anon_sym_GT] = ACTIONS(5137),
    [anon_sym_GT_EQ] = ACTIONS(5139),
    [anon_sym_LT_EQ] = ACTIONS(5137),
    [anon_sym_LT] = ACTIONS(5137),
    [anon_sym_LT_LT] = ACTIONS(5139),
    [anon_sym_GT_GT] = ACTIONS(5139),
    [anon_sym_SEMI] = ACTIONS(5139),
    [anon_sym___extension__] = ACTIONS(5137),
    [anon_sym_extern] = ACTIONS(5137),
    [anon_sym___attribute__] = ACTIONS(5137),
    [anon_sym_COLON_COLON] = ACTIONS(5139),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5139),
    [anon_sym___declspec] = ACTIONS(5137),
    [anon_sym___based] = ACTIONS(5137),
    [anon_sym_LBRACE] = ACTIONS(5139),
    [anon_sym_RBRACE] = ACTIONS(5139),
    [anon_sym_LBRACK] = ACTIONS(5137),
    [anon_sym_EQ] = ACTIONS(5137),
    [anon_sym_static] = ACTIONS(5137),
    [anon_sym_register] = ACTIONS(5137),
    [anon_sym_inline] = ACTIONS(5137),
    [anon_sym___inline] = ACTIONS(5137),
    [anon_sym___inline__] = ACTIONS(5137),
    [anon_sym___forceinline] = ACTIONS(5137),
    [anon_sym_thread_local] = ACTIONS(5137),
    [anon_sym___thread] = ACTIONS(5137),
    [anon_sym_const] = ACTIONS(5137),
    [anon_sym_constexpr] = ACTIONS(5137),
    [anon_sym_volatile] = ACTIONS(5137),
    [anon_sym_restrict] = ACTIONS(5137),
    [anon_sym___restrict__] = ACTIONS(5137),
    [anon_sym__Atomic] = ACTIONS(5137),
    [anon_sym__Noreturn] = ACTIONS(5137),
    [anon_sym_noreturn] = ACTIONS(5137),
    [anon_sym_mutable] = ACTIONS(5137),
    [anon_sym_constinit] = ACTIONS(5137),
    [anon_sym_consteval] = ACTIONS(5137),
    [anon_sym_PROGMEM] = ACTIONS(5137),
    [anon_sym_COLON] = ACTIONS(5137),
    [anon_sym_QMARK] = ACTIONS(5139),
    [anon_sym_LT_EQ_GT] = ACTIONS(5139),
    [anon_sym_or] = ACTIONS(5137),
    [anon_sym_and] = ACTIONS(5137),
    [anon_sym_bitor] = ACTIONS(5137),
    [anon_sym_xor] = ACTIONS(5137),
    [anon_sym_bitand] = ACTIONS(5137),
    [anon_sym_not_eq] = ACTIONS(5137),
    [anon_sym_DASH_DASH] = ACTIONS(5139),
    [anon_sym_PLUS_PLUS] = ACTIONS(5139),
    [anon_sym_DOT] = ACTIONS(5137),
    [anon_sym_DOT_STAR] = ACTIONS(5139),
    [anon_sym_DASH_GT] = ACTIONS(5139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5137),
    [anon_sym_decltype] = ACTIONS(5137),
    [anon_sym_final] = ACTIONS(5137),
    [anon_sym_override] = ACTIONS(5137),
    [anon_sym_virtual] = ACTIONS(5137),
    [anon_sym_alignas] = ACTIONS(5137),
    [anon_sym_template] = ACTIONS(5137),
    [anon_sym_operator] = ACTIONS(5137),
    [anon_sym_try] = ACTIONS(5137),
    [anon_sym_requires] = ACTIONS(5137),
  },
  [2002] = {
    [sym_function_definition] = STATE(589),
    [sym_declaration] = STATE(589),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5832),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(9330),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4896),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7213),
    [sym_qualified_type_identifier] = STATE(4895),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5208),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5228),
    [anon_sym_struct] = ACTIONS(5230),
    [anon_sym_union] = ACTIONS(5232),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2003] = {
    [sym_function_definition] = STATE(2315),
    [sym_declaration] = STATE(2315),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5839),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_ms_call_modifier] = STATE(2165),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(9406),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4896),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7213),
    [sym_qualified_type_identifier] = STATE(4895),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5208),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5234),
    [anon_sym_struct] = ACTIONS(5236),
    [anon_sym_union] = ACTIONS(5238),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2004] = {
    [sym_function_definition] = STATE(2215),
    [sym_declaration] = STATE(2215),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5862),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_ms_call_modifier] = STATE(2129),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(9096),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4896),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7213),
    [sym_qualified_type_identifier] = STATE(4895),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5208),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5240),
    [anon_sym_struct] = ACTIONS(5242),
    [anon_sym_union] = ACTIONS(5244),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2005] = {
    [sym_function_definition] = STATE(1037),
    [sym_declaration] = STATE(1037),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5856),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_ms_call_modifier] = STATE(2122),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8938),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4896),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7213),
    [sym_qualified_type_identifier] = STATE(4895),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5208),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5246),
    [anon_sym_struct] = ACTIONS(5248),
    [anon_sym_union] = ACTIONS(5250),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2006] = {
    [sym_function_definition] = STATE(386),
    [sym_declaration] = STATE(386),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5798),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_ms_call_modifier] = STATE(2167),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8884),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4896),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7213),
    [sym_qualified_type_identifier] = STATE(4895),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5208),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5252),
    [anon_sym_struct] = ACTIONS(5254),
    [anon_sym_union] = ACTIONS(5256),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2007] = {
    [sym_identifier] = ACTIONS(5149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5151),
    [anon_sym_COMMA] = ACTIONS(5151),
    [anon_sym_RPAREN] = ACTIONS(5151),
    [anon_sym_LPAREN2] = ACTIONS(5151),
    [anon_sym_TILDE] = ACTIONS(5151),
    [anon_sym_DASH] = ACTIONS(5149),
    [anon_sym_PLUS] = ACTIONS(5149),
    [anon_sym_STAR] = ACTIONS(5151),
    [anon_sym_SLASH] = ACTIONS(5149),
    [anon_sym_PERCENT] = ACTIONS(5151),
    [anon_sym_PIPE_PIPE] = ACTIONS(5151),
    [anon_sym_AMP_AMP] = ACTIONS(5151),
    [anon_sym_PIPE] = ACTIONS(5149),
    [anon_sym_CARET] = ACTIONS(5151),
    [anon_sym_AMP] = ACTIONS(5149),
    [anon_sym_EQ_EQ] = ACTIONS(5151),
    [anon_sym_BANG_EQ] = ACTIONS(5151),
    [anon_sym_GT] = ACTIONS(5149),
    [anon_sym_GT_EQ] = ACTIONS(5151),
    [anon_sym_LT_EQ] = ACTIONS(5149),
    [anon_sym_LT] = ACTIONS(5149),
    [anon_sym_LT_LT] = ACTIONS(5151),
    [anon_sym_GT_GT] = ACTIONS(5151),
    [anon_sym_SEMI] = ACTIONS(5151),
    [anon_sym___extension__] = ACTIONS(5149),
    [anon_sym_extern] = ACTIONS(5149),
    [anon_sym___attribute__] = ACTIONS(5149),
    [anon_sym_COLON_COLON] = ACTIONS(5151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5151),
    [anon_sym___declspec] = ACTIONS(5149),
    [anon_sym___based] = ACTIONS(5149),
    [anon_sym_LBRACE] = ACTIONS(5151),
    [anon_sym_RBRACE] = ACTIONS(5151),
    [anon_sym_LBRACK] = ACTIONS(5149),
    [anon_sym_EQ] = ACTIONS(5149),
    [anon_sym_static] = ACTIONS(5149),
    [anon_sym_register] = ACTIONS(5149),
    [anon_sym_inline] = ACTIONS(5149),
    [anon_sym___inline] = ACTIONS(5149),
    [anon_sym___inline__] = ACTIONS(5149),
    [anon_sym___forceinline] = ACTIONS(5149),
    [anon_sym_thread_local] = ACTIONS(5149),
    [anon_sym___thread] = ACTIONS(5149),
    [anon_sym_const] = ACTIONS(5149),
    [anon_sym_constexpr] = ACTIONS(5149),
    [anon_sym_volatile] = ACTIONS(5149),
    [anon_sym_restrict] = ACTIONS(5149),
    [anon_sym___restrict__] = ACTIONS(5149),
    [anon_sym__Atomic] = ACTIONS(5149),
    [anon_sym__Noreturn] = ACTIONS(5149),
    [anon_sym_noreturn] = ACTIONS(5149),
    [anon_sym_mutable] = ACTIONS(5149),
    [anon_sym_constinit] = ACTIONS(5149),
    [anon_sym_consteval] = ACTIONS(5149),
    [anon_sym_PROGMEM] = ACTIONS(5149),
    [anon_sym_COLON] = ACTIONS(5149),
    [anon_sym_QMARK] = ACTIONS(5151),
    [anon_sym_LT_EQ_GT] = ACTIONS(5151),
    [anon_sym_or] = ACTIONS(5149),
    [anon_sym_and] = ACTIONS(5149),
    [anon_sym_bitor] = ACTIONS(5149),
    [anon_sym_xor] = ACTIONS(5149),
    [anon_sym_bitand] = ACTIONS(5149),
    [anon_sym_not_eq] = ACTIONS(5149),
    [anon_sym_DASH_DASH] = ACTIONS(5151),
    [anon_sym_PLUS_PLUS] = ACTIONS(5151),
    [anon_sym_DOT] = ACTIONS(5149),
    [anon_sym_DOT_STAR] = ACTIONS(5151),
    [anon_sym_DASH_GT] = ACTIONS(5151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5149),
    [anon_sym_decltype] = ACTIONS(5149),
    [anon_sym_final] = ACTIONS(5149),
    [anon_sym_override] = ACTIONS(5149),
    [anon_sym_virtual] = ACTIONS(5149),
    [anon_sym_alignas] = ACTIONS(5149),
    [anon_sym_template] = ACTIONS(5149),
    [anon_sym_operator] = ACTIONS(5149),
    [anon_sym_try] = ACTIONS(5149),
    [anon_sym_requires] = ACTIONS(5149),
  },
  [2008] = {
    [sym_identifier] = ACTIONS(5145),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5147),
    [anon_sym_COMMA] = ACTIONS(5147),
    [anon_sym_RPAREN] = ACTIONS(5147),
    [anon_sym_LPAREN2] = ACTIONS(5147),
    [anon_sym_TILDE] = ACTIONS(5147),
    [anon_sym_DASH] = ACTIONS(5145),
    [anon_sym_PLUS] = ACTIONS(5145),
    [anon_sym_STAR] = ACTIONS(5147),
    [anon_sym_SLASH] = ACTIONS(5145),
    [anon_sym_PERCENT] = ACTIONS(5147),
    [anon_sym_PIPE_PIPE] = ACTIONS(5147),
    [anon_sym_AMP_AMP] = ACTIONS(5147),
    [anon_sym_PIPE] = ACTIONS(5145),
    [anon_sym_CARET] = ACTIONS(5147),
    [anon_sym_AMP] = ACTIONS(5145),
    [anon_sym_EQ_EQ] = ACTIONS(5147),
    [anon_sym_BANG_EQ] = ACTIONS(5147),
    [anon_sym_GT] = ACTIONS(5145),
    [anon_sym_GT_EQ] = ACTIONS(5147),
    [anon_sym_LT_EQ] = ACTIONS(5145),
    [anon_sym_LT] = ACTIONS(5145),
    [anon_sym_LT_LT] = ACTIONS(5147),
    [anon_sym_GT_GT] = ACTIONS(5147),
    [anon_sym_SEMI] = ACTIONS(5147),
    [anon_sym___extension__] = ACTIONS(5145),
    [anon_sym_extern] = ACTIONS(5145),
    [anon_sym___attribute__] = ACTIONS(5145),
    [anon_sym_COLON_COLON] = ACTIONS(5147),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5147),
    [anon_sym___declspec] = ACTIONS(5145),
    [anon_sym___based] = ACTIONS(5145),
    [anon_sym_LBRACE] = ACTIONS(5147),
    [anon_sym_RBRACE] = ACTIONS(5147),
    [anon_sym_LBRACK] = ACTIONS(5145),
    [anon_sym_EQ] = ACTIONS(5145),
    [anon_sym_static] = ACTIONS(5145),
    [anon_sym_register] = ACTIONS(5145),
    [anon_sym_inline] = ACTIONS(5145),
    [anon_sym___inline] = ACTIONS(5145),
    [anon_sym___inline__] = ACTIONS(5145),
    [anon_sym___forceinline] = ACTIONS(5145),
    [anon_sym_thread_local] = ACTIONS(5145),
    [anon_sym___thread] = ACTIONS(5145),
    [anon_sym_const] = ACTIONS(5145),
    [anon_sym_constexpr] = ACTIONS(5145),
    [anon_sym_volatile] = ACTIONS(5145),
    [anon_sym_restrict] = ACTIONS(5145),
    [anon_sym___restrict__] = ACTIONS(5145),
    [anon_sym__Atomic] = ACTIONS(5145),
    [anon_sym__Noreturn] = ACTIONS(5145),
    [anon_sym_noreturn] = ACTIONS(5145),
    [anon_sym_mutable] = ACTIONS(5145),
    [anon_sym_constinit] = ACTIONS(5145),
    [anon_sym_consteval] = ACTIONS(5145),
    [anon_sym_PROGMEM] = ACTIONS(5145),
    [anon_sym_COLON] = ACTIONS(5145),
    [anon_sym_QMARK] = ACTIONS(5147),
    [anon_sym_LT_EQ_GT] = ACTIONS(5147),
    [anon_sym_or] = ACTIONS(5145),
    [anon_sym_and] = ACTIONS(5145),
    [anon_sym_bitor] = ACTIONS(5145),
    [anon_sym_xor] = ACTIONS(5145),
    [anon_sym_bitand] = ACTIONS(5145),
    [anon_sym_not_eq] = ACTIONS(5145),
    [anon_sym_DASH_DASH] = ACTIONS(5147),
    [anon_sym_PLUS_PLUS] = ACTIONS(5147),
    [anon_sym_DOT] = ACTIONS(5145),
    [anon_sym_DOT_STAR] = ACTIONS(5147),
    [anon_sym_DASH_GT] = ACTIONS(5147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5145),
    [anon_sym_decltype] = ACTIONS(5145),
    [anon_sym_final] = ACTIONS(5145),
    [anon_sym_override] = ACTIONS(5145),
    [anon_sym_virtual] = ACTIONS(5145),
    [anon_sym_alignas] = ACTIONS(5145),
    [anon_sym_template] = ACTIONS(5145),
    [anon_sym_operator] = ACTIONS(5145),
    [anon_sym_try] = ACTIONS(5145),
    [anon_sym_requires] = ACTIONS(5145),
  },
  [2009] = {
    [sym_function_definition] = STATE(2494),
    [sym_declaration] = STATE(2494),
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5812),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_ms_call_modifier] = STATE(2137),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8642),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4896),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7213),
    [sym_qualified_type_identifier] = STATE(4895),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5208),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5258),
    [anon_sym_struct] = ACTIONS(5260),
    [anon_sym_union] = ACTIONS(5262),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2010] = {
    [sym_identifier] = ACTIONS(5129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5131),
    [anon_sym_COMMA] = ACTIONS(5131),
    [anon_sym_RPAREN] = ACTIONS(5131),
    [anon_sym_LPAREN2] = ACTIONS(5131),
    [anon_sym_TILDE] = ACTIONS(5131),
    [anon_sym_DASH] = ACTIONS(5129),
    [anon_sym_PLUS] = ACTIONS(5129),
    [anon_sym_STAR] = ACTIONS(5131),
    [anon_sym_SLASH] = ACTIONS(5129),
    [anon_sym_PERCENT] = ACTIONS(5131),
    [anon_sym_PIPE_PIPE] = ACTIONS(5131),
    [anon_sym_AMP_AMP] = ACTIONS(5131),
    [anon_sym_PIPE] = ACTIONS(5129),
    [anon_sym_CARET] = ACTIONS(5131),
    [anon_sym_AMP] = ACTIONS(5129),
    [anon_sym_EQ_EQ] = ACTIONS(5131),
    [anon_sym_BANG_EQ] = ACTIONS(5131),
    [anon_sym_GT] = ACTIONS(5129),
    [anon_sym_GT_EQ] = ACTIONS(5131),
    [anon_sym_LT_EQ] = ACTIONS(5129),
    [anon_sym_LT] = ACTIONS(5129),
    [anon_sym_LT_LT] = ACTIONS(5131),
    [anon_sym_GT_GT] = ACTIONS(5131),
    [anon_sym_SEMI] = ACTIONS(5131),
    [anon_sym___extension__] = ACTIONS(5129),
    [anon_sym_extern] = ACTIONS(5129),
    [anon_sym___attribute__] = ACTIONS(5129),
    [anon_sym_COLON_COLON] = ACTIONS(5131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5131),
    [anon_sym___declspec] = ACTIONS(5129),
    [anon_sym___based] = ACTIONS(5129),
    [anon_sym_LBRACE] = ACTIONS(5131),
    [anon_sym_RBRACE] = ACTIONS(5131),
    [anon_sym_LBRACK] = ACTIONS(5129),
    [anon_sym_EQ] = ACTIONS(5129),
    [anon_sym_static] = ACTIONS(5129),
    [anon_sym_register] = ACTIONS(5129),
    [anon_sym_inline] = ACTIONS(5129),
    [anon_sym___inline] = ACTIONS(5129),
    [anon_sym___inline__] = ACTIONS(5129),
    [anon_sym___forceinline] = ACTIONS(5129),
    [anon_sym_thread_local] = ACTIONS(5129),
    [anon_sym___thread] = ACTIONS(5129),
    [anon_sym_const] = ACTIONS(5129),
    [anon_sym_constexpr] = ACTIONS(5129),
    [anon_sym_volatile] = ACTIONS(5129),
    [anon_sym_restrict] = ACTIONS(5129),
    [anon_sym___restrict__] = ACTIONS(5129),
    [anon_sym__Atomic] = ACTIONS(5129),
    [anon_sym__Noreturn] = ACTIONS(5129),
    [anon_sym_noreturn] = ACTIONS(5129),
    [anon_sym_mutable] = ACTIONS(5129),
    [anon_sym_constinit] = ACTIONS(5129),
    [anon_sym_consteval] = ACTIONS(5129),
    [anon_sym_PROGMEM] = ACTIONS(5129),
    [anon_sym_COLON] = ACTIONS(5129),
    [anon_sym_QMARK] = ACTIONS(5131),
    [anon_sym_LT_EQ_GT] = ACTIONS(5131),
    [anon_sym_or] = ACTIONS(5129),
    [anon_sym_and] = ACTIONS(5129),
    [anon_sym_bitor] = ACTIONS(5129),
    [anon_sym_xor] = ACTIONS(5129),
    [anon_sym_bitand] = ACTIONS(5129),
    [anon_sym_not_eq] = ACTIONS(5129),
    [anon_sym_DASH_DASH] = ACTIONS(5131),
    [anon_sym_PLUS_PLUS] = ACTIONS(5131),
    [anon_sym_DOT] = ACTIONS(5129),
    [anon_sym_DOT_STAR] = ACTIONS(5131),
    [anon_sym_DASH_GT] = ACTIONS(5131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5129),
    [anon_sym_decltype] = ACTIONS(5129),
    [anon_sym_final] = ACTIONS(5129),
    [anon_sym_override] = ACTIONS(5129),
    [anon_sym_virtual] = ACTIONS(5129),
    [anon_sym_alignas] = ACTIONS(5129),
    [anon_sym_template] = ACTIONS(5129),
    [anon_sym_operator] = ACTIONS(5129),
    [anon_sym_try] = ACTIONS(5129),
    [anon_sym_requires] = ACTIONS(5129),
  },
  [2011] = {
    [sym_identifier] = ACTIONS(5125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5127),
    [anon_sym_COMMA] = ACTIONS(5127),
    [anon_sym_RPAREN] = ACTIONS(5127),
    [anon_sym_LPAREN2] = ACTIONS(5127),
    [anon_sym_TILDE] = ACTIONS(5127),
    [anon_sym_DASH] = ACTIONS(5125),
    [anon_sym_PLUS] = ACTIONS(5125),
    [anon_sym_STAR] = ACTIONS(5127),
    [anon_sym_SLASH] = ACTIONS(5125),
    [anon_sym_PERCENT] = ACTIONS(5127),
    [anon_sym_PIPE_PIPE] = ACTIONS(5127),
    [anon_sym_AMP_AMP] = ACTIONS(5127),
    [anon_sym_PIPE] = ACTIONS(5125),
    [anon_sym_CARET] = ACTIONS(5127),
    [anon_sym_AMP] = ACTIONS(5125),
    [anon_sym_EQ_EQ] = ACTIONS(5127),
    [anon_sym_BANG_EQ] = ACTIONS(5127),
    [anon_sym_GT] = ACTIONS(5125),
    [anon_sym_GT_EQ] = ACTIONS(5127),
    [anon_sym_LT_EQ] = ACTIONS(5125),
    [anon_sym_LT] = ACTIONS(5125),
    [anon_sym_LT_LT] = ACTIONS(5127),
    [anon_sym_GT_GT] = ACTIONS(5127),
    [anon_sym_SEMI] = ACTIONS(5127),
    [anon_sym___extension__] = ACTIONS(5125),
    [anon_sym_extern] = ACTIONS(5125),
    [anon_sym___attribute__] = ACTIONS(5125),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5127),
    [anon_sym___declspec] = ACTIONS(5125),
    [anon_sym___based] = ACTIONS(5125),
    [anon_sym_LBRACE] = ACTIONS(5127),
    [anon_sym_RBRACE] = ACTIONS(5127),
    [anon_sym_LBRACK] = ACTIONS(5125),
    [anon_sym_EQ] = ACTIONS(5125),
    [anon_sym_static] = ACTIONS(5125),
    [anon_sym_register] = ACTIONS(5125),
    [anon_sym_inline] = ACTIONS(5125),
    [anon_sym___inline] = ACTIONS(5125),
    [anon_sym___inline__] = ACTIONS(5125),
    [anon_sym___forceinline] = ACTIONS(5125),
    [anon_sym_thread_local] = ACTIONS(5125),
    [anon_sym___thread] = ACTIONS(5125),
    [anon_sym_const] = ACTIONS(5125),
    [anon_sym_constexpr] = ACTIONS(5125),
    [anon_sym_volatile] = ACTIONS(5125),
    [anon_sym_restrict] = ACTIONS(5125),
    [anon_sym___restrict__] = ACTIONS(5125),
    [anon_sym__Atomic] = ACTIONS(5125),
    [anon_sym__Noreturn] = ACTIONS(5125),
    [anon_sym_noreturn] = ACTIONS(5125),
    [anon_sym_mutable] = ACTIONS(5125),
    [anon_sym_constinit] = ACTIONS(5125),
    [anon_sym_consteval] = ACTIONS(5125),
    [anon_sym_PROGMEM] = ACTIONS(5125),
    [anon_sym_COLON] = ACTIONS(5125),
    [anon_sym_QMARK] = ACTIONS(5127),
    [anon_sym_LT_EQ_GT] = ACTIONS(5127),
    [anon_sym_or] = ACTIONS(5125),
    [anon_sym_and] = ACTIONS(5125),
    [anon_sym_bitor] = ACTIONS(5125),
    [anon_sym_xor] = ACTIONS(5125),
    [anon_sym_bitand] = ACTIONS(5125),
    [anon_sym_not_eq] = ACTIONS(5125),
    [anon_sym_DASH_DASH] = ACTIONS(5127),
    [anon_sym_PLUS_PLUS] = ACTIONS(5127),
    [anon_sym_DOT] = ACTIONS(5125),
    [anon_sym_DOT_STAR] = ACTIONS(5127),
    [anon_sym_DASH_GT] = ACTIONS(5127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5125),
    [anon_sym_decltype] = ACTIONS(5125),
    [anon_sym_final] = ACTIONS(5125),
    [anon_sym_override] = ACTIONS(5125),
    [anon_sym_virtual] = ACTIONS(5125),
    [anon_sym_alignas] = ACTIONS(5125),
    [anon_sym_template] = ACTIONS(5125),
    [anon_sym_operator] = ACTIONS(5125),
    [anon_sym_try] = ACTIONS(5125),
    [anon_sym_requires] = ACTIONS(5125),
  },
  [2012] = {
    [sym_identifier] = ACTIONS(5133),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5135),
    [anon_sym_COMMA] = ACTIONS(5135),
    [anon_sym_RPAREN] = ACTIONS(5135),
    [anon_sym_LPAREN2] = ACTIONS(5135),
    [anon_sym_TILDE] = ACTIONS(5135),
    [anon_sym_DASH] = ACTIONS(5133),
    [anon_sym_PLUS] = ACTIONS(5133),
    [anon_sym_STAR] = ACTIONS(5135),
    [anon_sym_SLASH] = ACTIONS(5133),
    [anon_sym_PERCENT] = ACTIONS(5135),
    [anon_sym_PIPE_PIPE] = ACTIONS(5135),
    [anon_sym_AMP_AMP] = ACTIONS(5135),
    [anon_sym_PIPE] = ACTIONS(5133),
    [anon_sym_CARET] = ACTIONS(5135),
    [anon_sym_AMP] = ACTIONS(5133),
    [anon_sym_EQ_EQ] = ACTIONS(5135),
    [anon_sym_BANG_EQ] = ACTIONS(5135),
    [anon_sym_GT] = ACTIONS(5133),
    [anon_sym_GT_EQ] = ACTIONS(5135),
    [anon_sym_LT_EQ] = ACTIONS(5133),
    [anon_sym_LT] = ACTIONS(5133),
    [anon_sym_LT_LT] = ACTIONS(5135),
    [anon_sym_GT_GT] = ACTIONS(5135),
    [anon_sym_SEMI] = ACTIONS(5135),
    [anon_sym___extension__] = ACTIONS(5133),
    [anon_sym_extern] = ACTIONS(5133),
    [anon_sym___attribute__] = ACTIONS(5133),
    [anon_sym_COLON_COLON] = ACTIONS(5135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5135),
    [anon_sym___declspec] = ACTIONS(5133),
    [anon_sym___based] = ACTIONS(5133),
    [anon_sym_LBRACE] = ACTIONS(5135),
    [anon_sym_RBRACE] = ACTIONS(5135),
    [anon_sym_LBRACK] = ACTIONS(5133),
    [anon_sym_EQ] = ACTIONS(5133),
    [anon_sym_static] = ACTIONS(5133),
    [anon_sym_register] = ACTIONS(5133),
    [anon_sym_inline] = ACTIONS(5133),
    [anon_sym___inline] = ACTIONS(5133),
    [anon_sym___inline__] = ACTIONS(5133),
    [anon_sym___forceinline] = ACTIONS(5133),
    [anon_sym_thread_local] = ACTIONS(5133),
    [anon_sym___thread] = ACTIONS(5133),
    [anon_sym_const] = ACTIONS(5133),
    [anon_sym_constexpr] = ACTIONS(5133),
    [anon_sym_volatile] = ACTIONS(5133),
    [anon_sym_restrict] = ACTIONS(5133),
    [anon_sym___restrict__] = ACTIONS(5133),
    [anon_sym__Atomic] = ACTIONS(5133),
    [anon_sym__Noreturn] = ACTIONS(5133),
    [anon_sym_noreturn] = ACTIONS(5133),
    [anon_sym_mutable] = ACTIONS(5133),
    [anon_sym_constinit] = ACTIONS(5133),
    [anon_sym_consteval] = ACTIONS(5133),
    [anon_sym_PROGMEM] = ACTIONS(5133),
    [anon_sym_COLON] = ACTIONS(5133),
    [anon_sym_QMARK] = ACTIONS(5135),
    [anon_sym_LT_EQ_GT] = ACTIONS(5135),
    [anon_sym_or] = ACTIONS(5133),
    [anon_sym_and] = ACTIONS(5133),
    [anon_sym_bitor] = ACTIONS(5133),
    [anon_sym_xor] = ACTIONS(5133),
    [anon_sym_bitand] = ACTIONS(5133),
    [anon_sym_not_eq] = ACTIONS(5133),
    [anon_sym_DASH_DASH] = ACTIONS(5135),
    [anon_sym_PLUS_PLUS] = ACTIONS(5135),
    [anon_sym_DOT] = ACTIONS(5133),
    [anon_sym_DOT_STAR] = ACTIONS(5135),
    [anon_sym_DASH_GT] = ACTIONS(5135),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5133),
    [anon_sym_decltype] = ACTIONS(5133),
    [anon_sym_final] = ACTIONS(5133),
    [anon_sym_override] = ACTIONS(5133),
    [anon_sym_virtual] = ACTIONS(5133),
    [anon_sym_alignas] = ACTIONS(5133),
    [anon_sym_template] = ACTIONS(5133),
    [anon_sym_operator] = ACTIONS(5133),
    [anon_sym_try] = ACTIONS(5133),
    [anon_sym_requires] = ACTIONS(5133),
  },
  [2013] = {
    [sym_identifier] = ACTIONS(5141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5143),
    [anon_sym_COMMA] = ACTIONS(5143),
    [anon_sym_RPAREN] = ACTIONS(5143),
    [anon_sym_LPAREN2] = ACTIONS(5143),
    [anon_sym_TILDE] = ACTIONS(5143),
    [anon_sym_DASH] = ACTIONS(5141),
    [anon_sym_PLUS] = ACTIONS(5141),
    [anon_sym_STAR] = ACTIONS(5143),
    [anon_sym_SLASH] = ACTIONS(5141),
    [anon_sym_PERCENT] = ACTIONS(5143),
    [anon_sym_PIPE_PIPE] = ACTIONS(5143),
    [anon_sym_AMP_AMP] = ACTIONS(5143),
    [anon_sym_PIPE] = ACTIONS(5141),
    [anon_sym_CARET] = ACTIONS(5143),
    [anon_sym_AMP] = ACTIONS(5141),
    [anon_sym_EQ_EQ] = ACTIONS(5143),
    [anon_sym_BANG_EQ] = ACTIONS(5143),
    [anon_sym_GT] = ACTIONS(5141),
    [anon_sym_GT_EQ] = ACTIONS(5143),
    [anon_sym_LT_EQ] = ACTIONS(5141),
    [anon_sym_LT] = ACTIONS(5141),
    [anon_sym_LT_LT] = ACTIONS(5143),
    [anon_sym_GT_GT] = ACTIONS(5143),
    [anon_sym_SEMI] = ACTIONS(5143),
    [anon_sym___extension__] = ACTIONS(5141),
    [anon_sym_extern] = ACTIONS(5141),
    [anon_sym___attribute__] = ACTIONS(5141),
    [anon_sym_COLON_COLON] = ACTIONS(5143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5143),
    [anon_sym___declspec] = ACTIONS(5141),
    [anon_sym___based] = ACTIONS(5141),
    [anon_sym_LBRACE] = ACTIONS(5143),
    [anon_sym_RBRACE] = ACTIONS(5143),
    [anon_sym_LBRACK] = ACTIONS(5141),
    [anon_sym_EQ] = ACTIONS(5141),
    [anon_sym_static] = ACTIONS(5141),
    [anon_sym_register] = ACTIONS(5141),
    [anon_sym_inline] = ACTIONS(5141),
    [anon_sym___inline] = ACTIONS(5141),
    [anon_sym___inline__] = ACTIONS(5141),
    [anon_sym___forceinline] = ACTIONS(5141),
    [anon_sym_thread_local] = ACTIONS(5141),
    [anon_sym___thread] = ACTIONS(5141),
    [anon_sym_const] = ACTIONS(5141),
    [anon_sym_constexpr] = ACTIONS(5141),
    [anon_sym_volatile] = ACTIONS(5141),
    [anon_sym_restrict] = ACTIONS(5141),
    [anon_sym___restrict__] = ACTIONS(5141),
    [anon_sym__Atomic] = ACTIONS(5141),
    [anon_sym__Noreturn] = ACTIONS(5141),
    [anon_sym_noreturn] = ACTIONS(5141),
    [anon_sym_mutable] = ACTIONS(5141),
    [anon_sym_constinit] = ACTIONS(5141),
    [anon_sym_consteval] = ACTIONS(5141),
    [anon_sym_PROGMEM] = ACTIONS(5141),
    [anon_sym_COLON] = ACTIONS(5141),
    [anon_sym_QMARK] = ACTIONS(5143),
    [anon_sym_LT_EQ_GT] = ACTIONS(5143),
    [anon_sym_or] = ACTIONS(5141),
    [anon_sym_and] = ACTIONS(5141),
    [anon_sym_bitor] = ACTIONS(5141),
    [anon_sym_xor] = ACTIONS(5141),
    [anon_sym_bitand] = ACTIONS(5141),
    [anon_sym_not_eq] = ACTIONS(5141),
    [anon_sym_DASH_DASH] = ACTIONS(5143),
    [anon_sym_PLUS_PLUS] = ACTIONS(5143),
    [anon_sym_DOT] = ACTIONS(5141),
    [anon_sym_DOT_STAR] = ACTIONS(5143),
    [anon_sym_DASH_GT] = ACTIONS(5143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5141),
    [anon_sym_decltype] = ACTIONS(5141),
    [anon_sym_final] = ACTIONS(5141),
    [anon_sym_override] = ACTIONS(5141),
    [anon_sym_virtual] = ACTIONS(5141),
    [anon_sym_alignas] = ACTIONS(5141),
    [anon_sym_template] = ACTIONS(5141),
    [anon_sym_operator] = ACTIONS(5141),
    [anon_sym_try] = ACTIONS(5141),
    [anon_sym_requires] = ACTIONS(5141),
  },
  [2014] = {
    [sym_identifier] = ACTIONS(5153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5158),
    [anon_sym_COMMA] = ACTIONS(5158),
    [anon_sym_RPAREN] = ACTIONS(5158),
    [anon_sym_LPAREN2] = ACTIONS(5158),
    [anon_sym_TILDE] = ACTIONS(5158),
    [anon_sym_STAR] = ACTIONS(5158),
    [anon_sym_PIPE_PIPE] = ACTIONS(5158),
    [anon_sym_AMP_AMP] = ACTIONS(5158),
    [anon_sym_AMP] = ACTIONS(5153),
    [anon_sym_SEMI] = ACTIONS(5158),
    [anon_sym___extension__] = ACTIONS(5153),
    [anon_sym_extern] = ACTIONS(5153),
    [anon_sym___attribute__] = ACTIONS(5153),
    [anon_sym_COLON_COLON] = ACTIONS(5158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5158),
    [anon_sym___declspec] = ACTIONS(5153),
    [anon_sym___based] = ACTIONS(5153),
    [anon_sym___cdecl] = ACTIONS(5153),
    [anon_sym___clrcall] = ACTIONS(5153),
    [anon_sym___stdcall] = ACTIONS(5153),
    [anon_sym___fastcall] = ACTIONS(5153),
    [anon_sym___thiscall] = ACTIONS(5153),
    [anon_sym___vectorcall] = ACTIONS(5153),
    [anon_sym_LBRACE] = ACTIONS(5158),
    [anon_sym_signed] = ACTIONS(5153),
    [anon_sym_unsigned] = ACTIONS(5153),
    [anon_sym_long] = ACTIONS(5153),
    [anon_sym_short] = ACTIONS(5153),
    [anon_sym_LBRACK] = ACTIONS(5153),
    [anon_sym_EQ] = ACTIONS(5158),
    [anon_sym_static] = ACTIONS(5153),
    [anon_sym_register] = ACTIONS(5153),
    [anon_sym_inline] = ACTIONS(5153),
    [anon_sym___inline] = ACTIONS(5153),
    [anon_sym___inline__] = ACTIONS(5153),
    [anon_sym___forceinline] = ACTIONS(5153),
    [anon_sym_thread_local] = ACTIONS(5153),
    [anon_sym___thread] = ACTIONS(5153),
    [anon_sym_const] = ACTIONS(5153),
    [anon_sym_constexpr] = ACTIONS(5153),
    [anon_sym_volatile] = ACTIONS(5153),
    [anon_sym_restrict] = ACTIONS(5153),
    [anon_sym___restrict__] = ACTIONS(5153),
    [anon_sym__Atomic] = ACTIONS(5153),
    [anon_sym__Noreturn] = ACTIONS(5153),
    [anon_sym_noreturn] = ACTIONS(5153),
    [anon_sym_mutable] = ACTIONS(5153),
    [anon_sym_constinit] = ACTIONS(5153),
    [anon_sym_consteval] = ACTIONS(5153),
    [anon_sym_PROGMEM] = ACTIONS(5153),
    [aux_sym_primitive_type_token1] = ACTIONS(5153),
    [anon_sym_byte] = ACTIONS(5153),
    [anon_sym_word] = ACTIONS(5153),
    [anon_sym_enum] = ACTIONS(5153),
    [anon_sym_class] = ACTIONS(5153),
    [anon_sym_struct] = ACTIONS(5153),
    [anon_sym_union] = ACTIONS(5153),
    [anon_sym_COLON] = ACTIONS(5153),
    [anon_sym_or] = ACTIONS(5153),
    [anon_sym_and] = ACTIONS(5153),
    [anon_sym_asm] = ACTIONS(5153),
    [anon_sym___asm__] = ACTIONS(5153),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5153),
    [anon_sym_decltype] = ACTIONS(5153),
    [anon_sym_final] = ACTIONS(5153),
    [anon_sym_override] = ACTIONS(5153),
    [anon_sym_virtual] = ACTIONS(5153),
    [anon_sym_alignas] = ACTIONS(5153),
    [anon_sym_explicit] = ACTIONS(5153),
    [anon_sym_typename] = ACTIONS(5153),
    [anon_sym_template] = ACTIONS(5153),
    [anon_sym_GT2] = ACTIONS(5158),
    [anon_sym_operator] = ACTIONS(5153),
    [anon_sym_try] = ACTIONS(5153),
    [anon_sym_friend] = ACTIONS(5153),
    [anon_sym_using] = ACTIONS(5153),
    [anon_sym_concept] = ACTIONS(5153),
    [anon_sym_requires] = ACTIONS(5153),
  },
  [2015] = {
    [sym__declaration_modifiers] = STATE(2241),
    [sym__declaration_specifiers] = STATE(4748),
    [sym_attribute_specifier] = STATE(2241),
    [sym_attribute_declaration] = STATE(2241),
    [sym_ms_declspec_modifier] = STATE(2241),
    [sym_storage_class_specifier] = STATE(2241),
    [sym_type_qualifier] = STATE(2241),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(8176),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2241),
    [sym_alignas_specifier] = STATE(2241),
    [sym_dependent_type] = STATE(3613),
    [sym_type_parameter_declaration] = STATE(8176),
    [sym_variadic_type_parameter_declaration] = STATE(8176),
    [sym_optional_type_parameter_declaration] = STATE(8176),
    [sym_template_template_parameter_declaration] = STATE(8176),
    [sym_optional_parameter_declaration] = STATE(8176),
    [sym_variadic_parameter_declaration] = STATE(8176),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7177),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2241),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5091),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(5264),
    [anon_sym_struct] = ACTIONS(2025),
    [anon_sym_union] = ACTIONS(2027),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(5266),
    [anon_sym_template] = ACTIONS(5268),
    [anon_sym_GT2] = ACTIONS(5270),
  },
  [2016] = {
    [sym__declaration_modifiers] = STATE(2241),
    [sym__declaration_specifiers] = STATE(4748),
    [sym_attribute_specifier] = STATE(2241),
    [sym_attribute_declaration] = STATE(2241),
    [sym_ms_declspec_modifier] = STATE(2241),
    [sym_storage_class_specifier] = STATE(2241),
    [sym_type_qualifier] = STATE(2241),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(8174),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2241),
    [sym_alignas_specifier] = STATE(2241),
    [sym_dependent_type] = STATE(3613),
    [sym_type_parameter_declaration] = STATE(8174),
    [sym_variadic_type_parameter_declaration] = STATE(8174),
    [sym_optional_type_parameter_declaration] = STATE(8174),
    [sym_template_template_parameter_declaration] = STATE(8174),
    [sym_optional_parameter_declaration] = STATE(8174),
    [sym_variadic_parameter_declaration] = STATE(8174),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7177),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2241),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5091),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(5264),
    [anon_sym_struct] = ACTIONS(2025),
    [anon_sym_union] = ACTIONS(2027),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(5266),
    [anon_sym_template] = ACTIONS(5268),
    [anon_sym_GT2] = ACTIONS(5272),
  },
  [2017] = {
    [sym_identifier] = ACTIONS(5274),
    [anon_sym_COMMA] = ACTIONS(5276),
    [anon_sym_RPAREN] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_TILDE] = ACTIONS(5276),
    [anon_sym_STAR] = ACTIONS(5276),
    [anon_sym_PIPE_PIPE] = ACTIONS(5276),
    [anon_sym_AMP_AMP] = ACTIONS(5276),
    [anon_sym_AMP] = ACTIONS(5274),
    [anon_sym_SEMI] = ACTIONS(5276),
    [anon_sym___extension__] = ACTIONS(5274),
    [anon_sym_extern] = ACTIONS(5274),
    [anon_sym___attribute__] = ACTIONS(5274),
    [anon_sym_COLON_COLON] = ACTIONS(5276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5276),
    [anon_sym___declspec] = ACTIONS(5274),
    [anon_sym___based] = ACTIONS(5274),
    [anon_sym___cdecl] = ACTIONS(5274),
    [anon_sym___clrcall] = ACTIONS(5274),
    [anon_sym___stdcall] = ACTIONS(5274),
    [anon_sym___fastcall] = ACTIONS(5274),
    [anon_sym___thiscall] = ACTIONS(5274),
    [anon_sym___vectorcall] = ACTIONS(5274),
    [anon_sym_LBRACE] = ACTIONS(5276),
    [anon_sym_signed] = ACTIONS(5274),
    [anon_sym_unsigned] = ACTIONS(5274),
    [anon_sym_long] = ACTIONS(5274),
    [anon_sym_short] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [anon_sym_EQ] = ACTIONS(5276),
    [anon_sym_static] = ACTIONS(5274),
    [anon_sym_register] = ACTIONS(5274),
    [anon_sym_inline] = ACTIONS(5274),
    [anon_sym___inline] = ACTIONS(5274),
    [anon_sym___inline__] = ACTIONS(5274),
    [anon_sym___forceinline] = ACTIONS(5274),
    [anon_sym_thread_local] = ACTIONS(5274),
    [anon_sym___thread] = ACTIONS(5274),
    [anon_sym_const] = ACTIONS(5274),
    [anon_sym_constexpr] = ACTIONS(5274),
    [anon_sym_volatile] = ACTIONS(5274),
    [anon_sym_restrict] = ACTIONS(5274),
    [anon_sym___restrict__] = ACTIONS(5274),
    [anon_sym__Atomic] = ACTIONS(5274),
    [anon_sym__Noreturn] = ACTIONS(5274),
    [anon_sym_noreturn] = ACTIONS(5274),
    [anon_sym_mutable] = ACTIONS(5274),
    [anon_sym_constinit] = ACTIONS(5274),
    [anon_sym_consteval] = ACTIONS(5274),
    [anon_sym_PROGMEM] = ACTIONS(5274),
    [aux_sym_primitive_type_token1] = ACTIONS(5274),
    [anon_sym_byte] = ACTIONS(5274),
    [anon_sym_word] = ACTIONS(5274),
    [anon_sym_enum] = ACTIONS(5274),
    [anon_sym_class] = ACTIONS(5274),
    [anon_sym_struct] = ACTIONS(5274),
    [anon_sym_union] = ACTIONS(5274),
    [anon_sym_or] = ACTIONS(5274),
    [anon_sym_and] = ACTIONS(5274),
    [anon_sym_asm] = ACTIONS(5274),
    [anon_sym___asm__] = ACTIONS(5274),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5274),
    [anon_sym_decltype] = ACTIONS(5274),
    [anon_sym_final] = ACTIONS(5274),
    [anon_sym_override] = ACTIONS(5274),
    [anon_sym_virtual] = ACTIONS(5274),
    [anon_sym_alignas] = ACTIONS(5274),
    [anon_sym_explicit] = ACTIONS(5274),
    [anon_sym_typename] = ACTIONS(5274),
    [anon_sym_template] = ACTIONS(5274),
    [anon_sym_GT2] = ACTIONS(5276),
    [anon_sym_operator] = ACTIONS(5274),
    [anon_sym_try] = ACTIONS(5274),
    [anon_sym_friend] = ACTIONS(5274),
    [anon_sym_using] = ACTIONS(5274),
    [anon_sym_concept] = ACTIONS(5274),
    [anon_sym_requires] = ACTIONS(5274),
  },
  [2018] = {
    [sym_identifier] = ACTIONS(5278),
    [anon_sym_COMMA] = ACTIONS(5280),
    [anon_sym_RPAREN] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_TILDE] = ACTIONS(5280),
    [anon_sym_STAR] = ACTIONS(5280),
    [anon_sym_PIPE_PIPE] = ACTIONS(5280),
    [anon_sym_AMP_AMP] = ACTIONS(5280),
    [anon_sym_AMP] = ACTIONS(5278),
    [anon_sym_SEMI] = ACTIONS(5280),
    [anon_sym___extension__] = ACTIONS(5278),
    [anon_sym_extern] = ACTIONS(5278),
    [anon_sym___attribute__] = ACTIONS(5278),
    [anon_sym_COLON_COLON] = ACTIONS(5280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5280),
    [anon_sym___declspec] = ACTIONS(5278),
    [anon_sym___based] = ACTIONS(5278),
    [anon_sym___cdecl] = ACTIONS(5278),
    [anon_sym___clrcall] = ACTIONS(5278),
    [anon_sym___stdcall] = ACTIONS(5278),
    [anon_sym___fastcall] = ACTIONS(5278),
    [anon_sym___thiscall] = ACTIONS(5278),
    [anon_sym___vectorcall] = ACTIONS(5278),
    [anon_sym_LBRACE] = ACTIONS(5280),
    [anon_sym_signed] = ACTIONS(5278),
    [anon_sym_unsigned] = ACTIONS(5278),
    [anon_sym_long] = ACTIONS(5278),
    [anon_sym_short] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [anon_sym_EQ] = ACTIONS(5280),
    [anon_sym_static] = ACTIONS(5278),
    [anon_sym_register] = ACTIONS(5278),
    [anon_sym_inline] = ACTIONS(5278),
    [anon_sym___inline] = ACTIONS(5278),
    [anon_sym___inline__] = ACTIONS(5278),
    [anon_sym___forceinline] = ACTIONS(5278),
    [anon_sym_thread_local] = ACTIONS(5278),
    [anon_sym___thread] = ACTIONS(5278),
    [anon_sym_const] = ACTIONS(5278),
    [anon_sym_constexpr] = ACTIONS(5278),
    [anon_sym_volatile] = ACTIONS(5278),
    [anon_sym_restrict] = ACTIONS(5278),
    [anon_sym___restrict__] = ACTIONS(5278),
    [anon_sym__Atomic] = ACTIONS(5278),
    [anon_sym__Noreturn] = ACTIONS(5278),
    [anon_sym_noreturn] = ACTIONS(5278),
    [anon_sym_mutable] = ACTIONS(5278),
    [anon_sym_constinit] = ACTIONS(5278),
    [anon_sym_consteval] = ACTIONS(5278),
    [anon_sym_PROGMEM] = ACTIONS(5278),
    [aux_sym_primitive_type_token1] = ACTIONS(5278),
    [anon_sym_byte] = ACTIONS(5278),
    [anon_sym_word] = ACTIONS(5278),
    [anon_sym_enum] = ACTIONS(5278),
    [anon_sym_class] = ACTIONS(5278),
    [anon_sym_struct] = ACTIONS(5278),
    [anon_sym_union] = ACTIONS(5278),
    [anon_sym_or] = ACTIONS(5278),
    [anon_sym_and] = ACTIONS(5278),
    [anon_sym_asm] = ACTIONS(5278),
    [anon_sym___asm__] = ACTIONS(5278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5278),
    [anon_sym_decltype] = ACTIONS(5278),
    [anon_sym_final] = ACTIONS(5278),
    [anon_sym_override] = ACTIONS(5278),
    [anon_sym_virtual] = ACTIONS(5278),
    [anon_sym_alignas] = ACTIONS(5278),
    [anon_sym_explicit] = ACTIONS(5278),
    [anon_sym_typename] = ACTIONS(5278),
    [anon_sym_template] = ACTIONS(5278),
    [anon_sym_GT2] = ACTIONS(5280),
    [anon_sym_operator] = ACTIONS(5278),
    [anon_sym_try] = ACTIONS(5278),
    [anon_sym_friend] = ACTIONS(5278),
    [anon_sym_using] = ACTIONS(5278),
    [anon_sym_concept] = ACTIONS(5278),
    [anon_sym_requires] = ACTIONS(5278),
  },
  [2019] = {
    [sym_identifier] = ACTIONS(5282),
    [anon_sym_COMMA] = ACTIONS(5284),
    [anon_sym_RPAREN] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_TILDE] = ACTIONS(5284),
    [anon_sym_STAR] = ACTIONS(5284),
    [anon_sym_PIPE_PIPE] = ACTIONS(5284),
    [anon_sym_AMP_AMP] = ACTIONS(5284),
    [anon_sym_AMP] = ACTIONS(5282),
    [anon_sym_SEMI] = ACTIONS(5284),
    [anon_sym___extension__] = ACTIONS(5282),
    [anon_sym_extern] = ACTIONS(5282),
    [anon_sym___attribute__] = ACTIONS(5282),
    [anon_sym_COLON_COLON] = ACTIONS(5284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5284),
    [anon_sym___declspec] = ACTIONS(5282),
    [anon_sym___based] = ACTIONS(5282),
    [anon_sym___cdecl] = ACTIONS(5282),
    [anon_sym___clrcall] = ACTIONS(5282),
    [anon_sym___stdcall] = ACTIONS(5282),
    [anon_sym___fastcall] = ACTIONS(5282),
    [anon_sym___thiscall] = ACTIONS(5282),
    [anon_sym___vectorcall] = ACTIONS(5282),
    [anon_sym_LBRACE] = ACTIONS(5284),
    [anon_sym_signed] = ACTIONS(5282),
    [anon_sym_unsigned] = ACTIONS(5282),
    [anon_sym_long] = ACTIONS(5282),
    [anon_sym_short] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [anon_sym_EQ] = ACTIONS(5284),
    [anon_sym_static] = ACTIONS(5282),
    [anon_sym_register] = ACTIONS(5282),
    [anon_sym_inline] = ACTIONS(5282),
    [anon_sym___inline] = ACTIONS(5282),
    [anon_sym___inline__] = ACTIONS(5282),
    [anon_sym___forceinline] = ACTIONS(5282),
    [anon_sym_thread_local] = ACTIONS(5282),
    [anon_sym___thread] = ACTIONS(5282),
    [anon_sym_const] = ACTIONS(5282),
    [anon_sym_constexpr] = ACTIONS(5282),
    [anon_sym_volatile] = ACTIONS(5282),
    [anon_sym_restrict] = ACTIONS(5282),
    [anon_sym___restrict__] = ACTIONS(5282),
    [anon_sym__Atomic] = ACTIONS(5282),
    [anon_sym__Noreturn] = ACTIONS(5282),
    [anon_sym_noreturn] = ACTIONS(5282),
    [anon_sym_mutable] = ACTIONS(5282),
    [anon_sym_constinit] = ACTIONS(5282),
    [anon_sym_consteval] = ACTIONS(5282),
    [anon_sym_PROGMEM] = ACTIONS(5282),
    [aux_sym_primitive_type_token1] = ACTIONS(5282),
    [anon_sym_byte] = ACTIONS(5282),
    [anon_sym_word] = ACTIONS(5282),
    [anon_sym_enum] = ACTIONS(5282),
    [anon_sym_class] = ACTIONS(5282),
    [anon_sym_struct] = ACTIONS(5282),
    [anon_sym_union] = ACTIONS(5282),
    [anon_sym_or] = ACTIONS(5282),
    [anon_sym_and] = ACTIONS(5282),
    [anon_sym_asm] = ACTIONS(5282),
    [anon_sym___asm__] = ACTIONS(5282),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5282),
    [anon_sym_decltype] = ACTIONS(5282),
    [anon_sym_final] = ACTIONS(5282),
    [anon_sym_override] = ACTIONS(5282),
    [anon_sym_virtual] = ACTIONS(5282),
    [anon_sym_alignas] = ACTIONS(5282),
    [anon_sym_explicit] = ACTIONS(5282),
    [anon_sym_typename] = ACTIONS(5282),
    [anon_sym_template] = ACTIONS(5282),
    [anon_sym_GT2] = ACTIONS(5284),
    [anon_sym_operator] = ACTIONS(5282),
    [anon_sym_try] = ACTIONS(5282),
    [anon_sym_friend] = ACTIONS(5282),
    [anon_sym_using] = ACTIONS(5282),
    [anon_sym_concept] = ACTIONS(5282),
    [anon_sym_requires] = ACTIONS(5282),
  },
  [2020] = {
    [sym_identifier] = ACTIONS(5278),
    [anon_sym_COMMA] = ACTIONS(5280),
    [anon_sym_RPAREN] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_TILDE] = ACTIONS(5280),
    [anon_sym_STAR] = ACTIONS(5280),
    [anon_sym_PIPE_PIPE] = ACTIONS(5280),
    [anon_sym_AMP_AMP] = ACTIONS(5280),
    [anon_sym_AMP] = ACTIONS(5278),
    [anon_sym_SEMI] = ACTIONS(5280),
    [anon_sym___extension__] = ACTIONS(5278),
    [anon_sym_extern] = ACTIONS(5278),
    [anon_sym___attribute__] = ACTIONS(5278),
    [anon_sym_COLON_COLON] = ACTIONS(5280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5280),
    [anon_sym___declspec] = ACTIONS(5278),
    [anon_sym___based] = ACTIONS(5278),
    [anon_sym___cdecl] = ACTIONS(5278),
    [anon_sym___clrcall] = ACTIONS(5278),
    [anon_sym___stdcall] = ACTIONS(5278),
    [anon_sym___fastcall] = ACTIONS(5278),
    [anon_sym___thiscall] = ACTIONS(5278),
    [anon_sym___vectorcall] = ACTIONS(5278),
    [anon_sym_LBRACE] = ACTIONS(5280),
    [anon_sym_signed] = ACTIONS(5278),
    [anon_sym_unsigned] = ACTIONS(5278),
    [anon_sym_long] = ACTIONS(5278),
    [anon_sym_short] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [anon_sym_EQ] = ACTIONS(5280),
    [anon_sym_static] = ACTIONS(5278),
    [anon_sym_register] = ACTIONS(5278),
    [anon_sym_inline] = ACTIONS(5278),
    [anon_sym___inline] = ACTIONS(5278),
    [anon_sym___inline__] = ACTIONS(5278),
    [anon_sym___forceinline] = ACTIONS(5278),
    [anon_sym_thread_local] = ACTIONS(5278),
    [anon_sym___thread] = ACTIONS(5278),
    [anon_sym_const] = ACTIONS(5278),
    [anon_sym_constexpr] = ACTIONS(5278),
    [anon_sym_volatile] = ACTIONS(5278),
    [anon_sym_restrict] = ACTIONS(5278),
    [anon_sym___restrict__] = ACTIONS(5278),
    [anon_sym__Atomic] = ACTIONS(5278),
    [anon_sym__Noreturn] = ACTIONS(5278),
    [anon_sym_noreturn] = ACTIONS(5278),
    [anon_sym_mutable] = ACTIONS(5278),
    [anon_sym_constinit] = ACTIONS(5278),
    [anon_sym_consteval] = ACTIONS(5278),
    [anon_sym_PROGMEM] = ACTIONS(5278),
    [aux_sym_primitive_type_token1] = ACTIONS(5278),
    [anon_sym_byte] = ACTIONS(5278),
    [anon_sym_word] = ACTIONS(5278),
    [anon_sym_enum] = ACTIONS(5278),
    [anon_sym_class] = ACTIONS(5278),
    [anon_sym_struct] = ACTIONS(5278),
    [anon_sym_union] = ACTIONS(5278),
    [anon_sym_or] = ACTIONS(5278),
    [anon_sym_and] = ACTIONS(5278),
    [anon_sym_asm] = ACTIONS(5278),
    [anon_sym___asm__] = ACTIONS(5278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5278),
    [anon_sym_decltype] = ACTIONS(5278),
    [anon_sym_final] = ACTIONS(5278),
    [anon_sym_override] = ACTIONS(5278),
    [anon_sym_virtual] = ACTIONS(5278),
    [anon_sym_alignas] = ACTIONS(5278),
    [anon_sym_explicit] = ACTIONS(5278),
    [anon_sym_typename] = ACTIONS(5278),
    [anon_sym_template] = ACTIONS(5278),
    [anon_sym_GT2] = ACTIONS(5280),
    [anon_sym_operator] = ACTIONS(5278),
    [anon_sym_try] = ACTIONS(5278),
    [anon_sym_friend] = ACTIONS(5278),
    [anon_sym_using] = ACTIONS(5278),
    [anon_sym_concept] = ACTIONS(5278),
    [anon_sym_requires] = ACTIONS(5278),
  },
  [2021] = {
    [sym_identifier] = ACTIONS(5286),
    [anon_sym_COMMA] = ACTIONS(5288),
    [anon_sym_RPAREN] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_TILDE] = ACTIONS(5288),
    [anon_sym_STAR] = ACTIONS(5288),
    [anon_sym_PIPE_PIPE] = ACTIONS(5288),
    [anon_sym_AMP_AMP] = ACTIONS(5288),
    [anon_sym_AMP] = ACTIONS(5286),
    [anon_sym_SEMI] = ACTIONS(5288),
    [anon_sym___extension__] = ACTIONS(5286),
    [anon_sym_extern] = ACTIONS(5286),
    [anon_sym___attribute__] = ACTIONS(5286),
    [anon_sym_COLON_COLON] = ACTIONS(5288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5288),
    [anon_sym___declspec] = ACTIONS(5286),
    [anon_sym___based] = ACTIONS(5286),
    [anon_sym___cdecl] = ACTIONS(5286),
    [anon_sym___clrcall] = ACTIONS(5286),
    [anon_sym___stdcall] = ACTIONS(5286),
    [anon_sym___fastcall] = ACTIONS(5286),
    [anon_sym___thiscall] = ACTIONS(5286),
    [anon_sym___vectorcall] = ACTIONS(5286),
    [anon_sym_LBRACE] = ACTIONS(5288),
    [anon_sym_signed] = ACTIONS(5286),
    [anon_sym_unsigned] = ACTIONS(5286),
    [anon_sym_long] = ACTIONS(5286),
    [anon_sym_short] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [anon_sym_EQ] = ACTIONS(5288),
    [anon_sym_static] = ACTIONS(5286),
    [anon_sym_register] = ACTIONS(5286),
    [anon_sym_inline] = ACTIONS(5286),
    [anon_sym___inline] = ACTIONS(5286),
    [anon_sym___inline__] = ACTIONS(5286),
    [anon_sym___forceinline] = ACTIONS(5286),
    [anon_sym_thread_local] = ACTIONS(5286),
    [anon_sym___thread] = ACTIONS(5286),
    [anon_sym_const] = ACTIONS(5286),
    [anon_sym_constexpr] = ACTIONS(5286),
    [anon_sym_volatile] = ACTIONS(5286),
    [anon_sym_restrict] = ACTIONS(5286),
    [anon_sym___restrict__] = ACTIONS(5286),
    [anon_sym__Atomic] = ACTIONS(5286),
    [anon_sym__Noreturn] = ACTIONS(5286),
    [anon_sym_noreturn] = ACTIONS(5286),
    [anon_sym_mutable] = ACTIONS(5286),
    [anon_sym_constinit] = ACTIONS(5286),
    [anon_sym_consteval] = ACTIONS(5286),
    [anon_sym_PROGMEM] = ACTIONS(5286),
    [aux_sym_primitive_type_token1] = ACTIONS(5286),
    [anon_sym_byte] = ACTIONS(5286),
    [anon_sym_word] = ACTIONS(5286),
    [anon_sym_enum] = ACTIONS(5286),
    [anon_sym_class] = ACTIONS(5286),
    [anon_sym_struct] = ACTIONS(5286),
    [anon_sym_union] = ACTIONS(5286),
    [anon_sym_or] = ACTIONS(5286),
    [anon_sym_and] = ACTIONS(5286),
    [anon_sym_asm] = ACTIONS(5286),
    [anon_sym___asm__] = ACTIONS(5286),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5286),
    [anon_sym_decltype] = ACTIONS(5286),
    [anon_sym_final] = ACTIONS(5286),
    [anon_sym_override] = ACTIONS(5286),
    [anon_sym_virtual] = ACTIONS(5286),
    [anon_sym_alignas] = ACTIONS(5286),
    [anon_sym_explicit] = ACTIONS(5286),
    [anon_sym_typename] = ACTIONS(5286),
    [anon_sym_template] = ACTIONS(5286),
    [anon_sym_GT2] = ACTIONS(5288),
    [anon_sym_operator] = ACTIONS(5286),
    [anon_sym_try] = ACTIONS(5286),
    [anon_sym_friend] = ACTIONS(5286),
    [anon_sym_using] = ACTIONS(5286),
    [anon_sym_concept] = ACTIONS(5286),
    [anon_sym_requires] = ACTIONS(5286),
  },
  [2022] = {
    [sym_identifier] = ACTIONS(5290),
    [anon_sym_COMMA] = ACTIONS(5292),
    [anon_sym_RPAREN] = ACTIONS(5292),
    [anon_sym_LPAREN2] = ACTIONS(5292),
    [anon_sym_TILDE] = ACTIONS(5292),
    [anon_sym_STAR] = ACTIONS(5292),
    [anon_sym_PIPE_PIPE] = ACTIONS(5292),
    [anon_sym_AMP_AMP] = ACTIONS(5292),
    [anon_sym_AMP] = ACTIONS(5290),
    [anon_sym_SEMI] = ACTIONS(5292),
    [anon_sym___extension__] = ACTIONS(5290),
    [anon_sym_extern] = ACTIONS(5290),
    [anon_sym___attribute__] = ACTIONS(5290),
    [anon_sym_COLON_COLON] = ACTIONS(5292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5292),
    [anon_sym___declspec] = ACTIONS(5290),
    [anon_sym___based] = ACTIONS(5290),
    [anon_sym___cdecl] = ACTIONS(5290),
    [anon_sym___clrcall] = ACTIONS(5290),
    [anon_sym___stdcall] = ACTIONS(5290),
    [anon_sym___fastcall] = ACTIONS(5290),
    [anon_sym___thiscall] = ACTIONS(5290),
    [anon_sym___vectorcall] = ACTIONS(5290),
    [anon_sym_LBRACE] = ACTIONS(5292),
    [anon_sym_signed] = ACTIONS(5290),
    [anon_sym_unsigned] = ACTIONS(5290),
    [anon_sym_long] = ACTIONS(5290),
    [anon_sym_short] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [anon_sym_EQ] = ACTIONS(5292),
    [anon_sym_static] = ACTIONS(5290),
    [anon_sym_register] = ACTIONS(5290),
    [anon_sym_inline] = ACTIONS(5290),
    [anon_sym___inline] = ACTIONS(5290),
    [anon_sym___inline__] = ACTIONS(5290),
    [anon_sym___forceinline] = ACTIONS(5290),
    [anon_sym_thread_local] = ACTIONS(5290),
    [anon_sym___thread] = ACTIONS(5290),
    [anon_sym_const] = ACTIONS(5290),
    [anon_sym_constexpr] = ACTIONS(5290),
    [anon_sym_volatile] = ACTIONS(5290),
    [anon_sym_restrict] = ACTIONS(5290),
    [anon_sym___restrict__] = ACTIONS(5290),
    [anon_sym__Atomic] = ACTIONS(5290),
    [anon_sym__Noreturn] = ACTIONS(5290),
    [anon_sym_noreturn] = ACTIONS(5290),
    [anon_sym_mutable] = ACTIONS(5290),
    [anon_sym_constinit] = ACTIONS(5290),
    [anon_sym_consteval] = ACTIONS(5290),
    [anon_sym_PROGMEM] = ACTIONS(5290),
    [aux_sym_primitive_type_token1] = ACTIONS(5290),
    [anon_sym_byte] = ACTIONS(5290),
    [anon_sym_word] = ACTIONS(5290),
    [anon_sym_enum] = ACTIONS(5290),
    [anon_sym_class] = ACTIONS(5290),
    [anon_sym_struct] = ACTIONS(5290),
    [anon_sym_union] = ACTIONS(5290),
    [anon_sym_or] = ACTIONS(5290),
    [anon_sym_and] = ACTIONS(5290),
    [anon_sym_asm] = ACTIONS(5290),
    [anon_sym___asm__] = ACTIONS(5290),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5290),
    [anon_sym_decltype] = ACTIONS(5290),
    [anon_sym_final] = ACTIONS(5290),
    [anon_sym_override] = ACTIONS(5290),
    [anon_sym_virtual] = ACTIONS(5290),
    [anon_sym_alignas] = ACTIONS(5290),
    [anon_sym_explicit] = ACTIONS(5290),
    [anon_sym_typename] = ACTIONS(5290),
    [anon_sym_template] = ACTIONS(5290),
    [anon_sym_GT2] = ACTIONS(5292),
    [anon_sym_operator] = ACTIONS(5290),
    [anon_sym_try] = ACTIONS(5290),
    [anon_sym_friend] = ACTIONS(5290),
    [anon_sym_using] = ACTIONS(5290),
    [anon_sym_concept] = ACTIONS(5290),
    [anon_sym_requires] = ACTIONS(5290),
  },
  [2023] = {
    [sym_identifier] = ACTIONS(5278),
    [anon_sym_COMMA] = ACTIONS(5280),
    [anon_sym_RPAREN] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_TILDE] = ACTIONS(5280),
    [anon_sym_STAR] = ACTIONS(5280),
    [anon_sym_PIPE_PIPE] = ACTIONS(5280),
    [anon_sym_AMP_AMP] = ACTIONS(5280),
    [anon_sym_AMP] = ACTIONS(5278),
    [anon_sym_SEMI] = ACTIONS(5280),
    [anon_sym___extension__] = ACTIONS(5278),
    [anon_sym_extern] = ACTIONS(5278),
    [anon_sym___attribute__] = ACTIONS(5278),
    [anon_sym_COLON_COLON] = ACTIONS(5280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5280),
    [anon_sym___declspec] = ACTIONS(5278),
    [anon_sym___based] = ACTIONS(5278),
    [anon_sym___cdecl] = ACTIONS(5278),
    [anon_sym___clrcall] = ACTIONS(5278),
    [anon_sym___stdcall] = ACTIONS(5278),
    [anon_sym___fastcall] = ACTIONS(5278),
    [anon_sym___thiscall] = ACTIONS(5278),
    [anon_sym___vectorcall] = ACTIONS(5278),
    [anon_sym_LBRACE] = ACTIONS(5280),
    [anon_sym_signed] = ACTIONS(5278),
    [anon_sym_unsigned] = ACTIONS(5278),
    [anon_sym_long] = ACTIONS(5278),
    [anon_sym_short] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [anon_sym_EQ] = ACTIONS(5280),
    [anon_sym_static] = ACTIONS(5278),
    [anon_sym_register] = ACTIONS(5278),
    [anon_sym_inline] = ACTIONS(5278),
    [anon_sym___inline] = ACTIONS(5278),
    [anon_sym___inline__] = ACTIONS(5278),
    [anon_sym___forceinline] = ACTIONS(5278),
    [anon_sym_thread_local] = ACTIONS(5278),
    [anon_sym___thread] = ACTIONS(5278),
    [anon_sym_const] = ACTIONS(5278),
    [anon_sym_constexpr] = ACTIONS(5278),
    [anon_sym_volatile] = ACTIONS(5278),
    [anon_sym_restrict] = ACTIONS(5278),
    [anon_sym___restrict__] = ACTIONS(5278),
    [anon_sym__Atomic] = ACTIONS(5278),
    [anon_sym__Noreturn] = ACTIONS(5278),
    [anon_sym_noreturn] = ACTIONS(5278),
    [anon_sym_mutable] = ACTIONS(5278),
    [anon_sym_constinit] = ACTIONS(5278),
    [anon_sym_consteval] = ACTIONS(5278),
    [anon_sym_PROGMEM] = ACTIONS(5278),
    [aux_sym_primitive_type_token1] = ACTIONS(5278),
    [anon_sym_byte] = ACTIONS(5278),
    [anon_sym_word] = ACTIONS(5278),
    [anon_sym_enum] = ACTIONS(5278),
    [anon_sym_class] = ACTIONS(5278),
    [anon_sym_struct] = ACTIONS(5278),
    [anon_sym_union] = ACTIONS(5278),
    [anon_sym_or] = ACTIONS(5278),
    [anon_sym_and] = ACTIONS(5278),
    [anon_sym_asm] = ACTIONS(5278),
    [anon_sym___asm__] = ACTIONS(5278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5278),
    [anon_sym_decltype] = ACTIONS(5278),
    [anon_sym_final] = ACTIONS(5278),
    [anon_sym_override] = ACTIONS(5278),
    [anon_sym_virtual] = ACTIONS(5278),
    [anon_sym_alignas] = ACTIONS(5278),
    [anon_sym_explicit] = ACTIONS(5278),
    [anon_sym_typename] = ACTIONS(5278),
    [anon_sym_template] = ACTIONS(5278),
    [anon_sym_GT2] = ACTIONS(5280),
    [anon_sym_operator] = ACTIONS(5278),
    [anon_sym_try] = ACTIONS(5278),
    [anon_sym_friend] = ACTIONS(5278),
    [anon_sym_using] = ACTIONS(5278),
    [anon_sym_concept] = ACTIONS(5278),
    [anon_sym_requires] = ACTIONS(5278),
  },
  [2024] = {
    [sym_identifier] = ACTIONS(5294),
    [anon_sym_COMMA] = ACTIONS(5296),
    [anon_sym_RPAREN] = ACTIONS(5296),
    [anon_sym_LPAREN2] = ACTIONS(5296),
    [anon_sym_TILDE] = ACTIONS(5296),
    [anon_sym_STAR] = ACTIONS(5296),
    [anon_sym_PIPE_PIPE] = ACTIONS(5296),
    [anon_sym_AMP_AMP] = ACTIONS(5296),
    [anon_sym_AMP] = ACTIONS(5294),
    [anon_sym_SEMI] = ACTIONS(5296),
    [anon_sym___extension__] = ACTIONS(5294),
    [anon_sym_extern] = ACTIONS(5294),
    [anon_sym___attribute__] = ACTIONS(5294),
    [anon_sym_COLON_COLON] = ACTIONS(5296),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5296),
    [anon_sym___declspec] = ACTIONS(5294),
    [anon_sym___based] = ACTIONS(5294),
    [anon_sym___cdecl] = ACTIONS(5294),
    [anon_sym___clrcall] = ACTIONS(5294),
    [anon_sym___stdcall] = ACTIONS(5294),
    [anon_sym___fastcall] = ACTIONS(5294),
    [anon_sym___thiscall] = ACTIONS(5294),
    [anon_sym___vectorcall] = ACTIONS(5294),
    [anon_sym_LBRACE] = ACTIONS(5296),
    [anon_sym_signed] = ACTIONS(5294),
    [anon_sym_unsigned] = ACTIONS(5294),
    [anon_sym_long] = ACTIONS(5294),
    [anon_sym_short] = ACTIONS(5294),
    [anon_sym_LBRACK] = ACTIONS(5294),
    [anon_sym_EQ] = ACTIONS(5296),
    [anon_sym_static] = ACTIONS(5294),
    [anon_sym_register] = ACTIONS(5294),
    [anon_sym_inline] = ACTIONS(5294),
    [anon_sym___inline] = ACTIONS(5294),
    [anon_sym___inline__] = ACTIONS(5294),
    [anon_sym___forceinline] = ACTIONS(5294),
    [anon_sym_thread_local] = ACTIONS(5294),
    [anon_sym___thread] = ACTIONS(5294),
    [anon_sym_const] = ACTIONS(5294),
    [anon_sym_constexpr] = ACTIONS(5294),
    [anon_sym_volatile] = ACTIONS(5294),
    [anon_sym_restrict] = ACTIONS(5294),
    [anon_sym___restrict__] = ACTIONS(5294),
    [anon_sym__Atomic] = ACTIONS(5294),
    [anon_sym__Noreturn] = ACTIONS(5294),
    [anon_sym_noreturn] = ACTIONS(5294),
    [anon_sym_mutable] = ACTIONS(5294),
    [anon_sym_constinit] = ACTIONS(5294),
    [anon_sym_consteval] = ACTIONS(5294),
    [anon_sym_PROGMEM] = ACTIONS(5294),
    [aux_sym_primitive_type_token1] = ACTIONS(5294),
    [anon_sym_byte] = ACTIONS(5294),
    [anon_sym_word] = ACTIONS(5294),
    [anon_sym_enum] = ACTIONS(5294),
    [anon_sym_class] = ACTIONS(5294),
    [anon_sym_struct] = ACTIONS(5294),
    [anon_sym_union] = ACTIONS(5294),
    [anon_sym_or] = ACTIONS(5294),
    [anon_sym_and] = ACTIONS(5294),
    [anon_sym_asm] = ACTIONS(5294),
    [anon_sym___asm__] = ACTIONS(5294),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5294),
    [anon_sym_decltype] = ACTIONS(5294),
    [anon_sym_final] = ACTIONS(5294),
    [anon_sym_override] = ACTIONS(5294),
    [anon_sym_virtual] = ACTIONS(5294),
    [anon_sym_alignas] = ACTIONS(5294),
    [anon_sym_explicit] = ACTIONS(5294),
    [anon_sym_typename] = ACTIONS(5294),
    [anon_sym_template] = ACTIONS(5294),
    [anon_sym_GT2] = ACTIONS(5296),
    [anon_sym_operator] = ACTIONS(5294),
    [anon_sym_try] = ACTIONS(5294),
    [anon_sym_friend] = ACTIONS(5294),
    [anon_sym_using] = ACTIONS(5294),
    [anon_sym_concept] = ACTIONS(5294),
    [anon_sym_requires] = ACTIONS(5294),
  },
  [2025] = {
    [sym_identifier] = ACTIONS(5298),
    [anon_sym_COMMA] = ACTIONS(5300),
    [anon_sym_RPAREN] = ACTIONS(5300),
    [anon_sym_LPAREN2] = ACTIONS(5300),
    [anon_sym_TILDE] = ACTIONS(5300),
    [anon_sym_STAR] = ACTIONS(5300),
    [anon_sym_PIPE_PIPE] = ACTIONS(5300),
    [anon_sym_AMP_AMP] = ACTIONS(5300),
    [anon_sym_AMP] = ACTIONS(5298),
    [anon_sym_SEMI] = ACTIONS(5300),
    [anon_sym___extension__] = ACTIONS(5298),
    [anon_sym_extern] = ACTIONS(5298),
    [anon_sym___attribute__] = ACTIONS(5298),
    [anon_sym_COLON_COLON] = ACTIONS(5300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5300),
    [anon_sym___declspec] = ACTIONS(5298),
    [anon_sym___based] = ACTIONS(5298),
    [anon_sym___cdecl] = ACTIONS(5298),
    [anon_sym___clrcall] = ACTIONS(5298),
    [anon_sym___stdcall] = ACTIONS(5298),
    [anon_sym___fastcall] = ACTIONS(5298),
    [anon_sym___thiscall] = ACTIONS(5298),
    [anon_sym___vectorcall] = ACTIONS(5298),
    [anon_sym_LBRACE] = ACTIONS(5300),
    [anon_sym_signed] = ACTIONS(5298),
    [anon_sym_unsigned] = ACTIONS(5298),
    [anon_sym_long] = ACTIONS(5298),
    [anon_sym_short] = ACTIONS(5298),
    [anon_sym_LBRACK] = ACTIONS(5298),
    [anon_sym_EQ] = ACTIONS(5300),
    [anon_sym_static] = ACTIONS(5298),
    [anon_sym_register] = ACTIONS(5298),
    [anon_sym_inline] = ACTIONS(5298),
    [anon_sym___inline] = ACTIONS(5298),
    [anon_sym___inline__] = ACTIONS(5298),
    [anon_sym___forceinline] = ACTIONS(5298),
    [anon_sym_thread_local] = ACTIONS(5298),
    [anon_sym___thread] = ACTIONS(5298),
    [anon_sym_const] = ACTIONS(5298),
    [anon_sym_constexpr] = ACTIONS(5298),
    [anon_sym_volatile] = ACTIONS(5298),
    [anon_sym_restrict] = ACTIONS(5298),
    [anon_sym___restrict__] = ACTIONS(5298),
    [anon_sym__Atomic] = ACTIONS(5298),
    [anon_sym__Noreturn] = ACTIONS(5298),
    [anon_sym_noreturn] = ACTIONS(5298),
    [anon_sym_mutable] = ACTIONS(5298),
    [anon_sym_constinit] = ACTIONS(5298),
    [anon_sym_consteval] = ACTIONS(5298),
    [anon_sym_PROGMEM] = ACTIONS(5298),
    [aux_sym_primitive_type_token1] = ACTIONS(5298),
    [anon_sym_byte] = ACTIONS(5298),
    [anon_sym_word] = ACTIONS(5298),
    [anon_sym_enum] = ACTIONS(5298),
    [anon_sym_class] = ACTIONS(5298),
    [anon_sym_struct] = ACTIONS(5298),
    [anon_sym_union] = ACTIONS(5298),
    [anon_sym_or] = ACTIONS(5298),
    [anon_sym_and] = ACTIONS(5298),
    [anon_sym_asm] = ACTIONS(5298),
    [anon_sym___asm__] = ACTIONS(5298),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5298),
    [anon_sym_decltype] = ACTIONS(5298),
    [anon_sym_final] = ACTIONS(5298),
    [anon_sym_override] = ACTIONS(5298),
    [anon_sym_virtual] = ACTIONS(5298),
    [anon_sym_alignas] = ACTIONS(5298),
    [anon_sym_explicit] = ACTIONS(5298),
    [anon_sym_typename] = ACTIONS(5298),
    [anon_sym_template] = ACTIONS(5298),
    [anon_sym_GT2] = ACTIONS(5300),
    [anon_sym_operator] = ACTIONS(5298),
    [anon_sym_try] = ACTIONS(5298),
    [anon_sym_friend] = ACTIONS(5298),
    [anon_sym_using] = ACTIONS(5298),
    [anon_sym_concept] = ACTIONS(5298),
    [anon_sym_requires] = ACTIONS(5298),
  },
  [2026] = {
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_COMMA] = ACTIONS(5304),
    [anon_sym_RPAREN] = ACTIONS(5304),
    [anon_sym_LPAREN2] = ACTIONS(5304),
    [anon_sym_TILDE] = ACTIONS(5304),
    [anon_sym_STAR] = ACTIONS(5304),
    [anon_sym_PIPE_PIPE] = ACTIONS(5304),
    [anon_sym_AMP_AMP] = ACTIONS(5304),
    [anon_sym_AMP] = ACTIONS(5302),
    [anon_sym_SEMI] = ACTIONS(5304),
    [anon_sym___extension__] = ACTIONS(5302),
    [anon_sym_extern] = ACTIONS(5302),
    [anon_sym___attribute__] = ACTIONS(5302),
    [anon_sym_COLON_COLON] = ACTIONS(5304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5304),
    [anon_sym___declspec] = ACTIONS(5302),
    [anon_sym___based] = ACTIONS(5302),
    [anon_sym___cdecl] = ACTIONS(5302),
    [anon_sym___clrcall] = ACTIONS(5302),
    [anon_sym___stdcall] = ACTIONS(5302),
    [anon_sym___fastcall] = ACTIONS(5302),
    [anon_sym___thiscall] = ACTIONS(5302),
    [anon_sym___vectorcall] = ACTIONS(5302),
    [anon_sym_LBRACE] = ACTIONS(5304),
    [anon_sym_signed] = ACTIONS(5302),
    [anon_sym_unsigned] = ACTIONS(5302),
    [anon_sym_long] = ACTIONS(5302),
    [anon_sym_short] = ACTIONS(5302),
    [anon_sym_LBRACK] = ACTIONS(5302),
    [anon_sym_EQ] = ACTIONS(5304),
    [anon_sym_static] = ACTIONS(5302),
    [anon_sym_register] = ACTIONS(5302),
    [anon_sym_inline] = ACTIONS(5302),
    [anon_sym___inline] = ACTIONS(5302),
    [anon_sym___inline__] = ACTIONS(5302),
    [anon_sym___forceinline] = ACTIONS(5302),
    [anon_sym_thread_local] = ACTIONS(5302),
    [anon_sym___thread] = ACTIONS(5302),
    [anon_sym_const] = ACTIONS(5302),
    [anon_sym_constexpr] = ACTIONS(5302),
    [anon_sym_volatile] = ACTIONS(5302),
    [anon_sym_restrict] = ACTIONS(5302),
    [anon_sym___restrict__] = ACTIONS(5302),
    [anon_sym__Atomic] = ACTIONS(5302),
    [anon_sym__Noreturn] = ACTIONS(5302),
    [anon_sym_noreturn] = ACTIONS(5302),
    [anon_sym_mutable] = ACTIONS(5302),
    [anon_sym_constinit] = ACTIONS(5302),
    [anon_sym_consteval] = ACTIONS(5302),
    [anon_sym_PROGMEM] = ACTIONS(5302),
    [aux_sym_primitive_type_token1] = ACTIONS(5302),
    [anon_sym_byte] = ACTIONS(5302),
    [anon_sym_word] = ACTIONS(5302),
    [anon_sym_enum] = ACTIONS(5302),
    [anon_sym_class] = ACTIONS(5302),
    [anon_sym_struct] = ACTIONS(5302),
    [anon_sym_union] = ACTIONS(5302),
    [anon_sym_or] = ACTIONS(5302),
    [anon_sym_and] = ACTIONS(5302),
    [anon_sym_asm] = ACTIONS(5302),
    [anon_sym___asm__] = ACTIONS(5302),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5302),
    [anon_sym_decltype] = ACTIONS(5302),
    [anon_sym_final] = ACTIONS(5302),
    [anon_sym_override] = ACTIONS(5302),
    [anon_sym_virtual] = ACTIONS(5302),
    [anon_sym_alignas] = ACTIONS(5302),
    [anon_sym_explicit] = ACTIONS(5302),
    [anon_sym_typename] = ACTIONS(5302),
    [anon_sym_template] = ACTIONS(5302),
    [anon_sym_GT2] = ACTIONS(5304),
    [anon_sym_operator] = ACTIONS(5302),
    [anon_sym_try] = ACTIONS(5302),
    [anon_sym_friend] = ACTIONS(5302),
    [anon_sym_using] = ACTIONS(5302),
    [anon_sym_concept] = ACTIONS(5302),
    [anon_sym_requires] = ACTIONS(5302),
  },
  [2027] = {
    [sym_identifier] = ACTIONS(5306),
    [anon_sym_COMMA] = ACTIONS(5308),
    [anon_sym_RPAREN] = ACTIONS(5308),
    [anon_sym_LPAREN2] = ACTIONS(5308),
    [anon_sym_TILDE] = ACTIONS(5308),
    [anon_sym_STAR] = ACTIONS(5308),
    [anon_sym_PIPE_PIPE] = ACTIONS(5308),
    [anon_sym_AMP_AMP] = ACTIONS(5308),
    [anon_sym_AMP] = ACTIONS(5306),
    [anon_sym_SEMI] = ACTIONS(5308),
    [anon_sym___extension__] = ACTIONS(5306),
    [anon_sym_extern] = ACTIONS(5306),
    [anon_sym___attribute__] = ACTIONS(5306),
    [anon_sym_COLON_COLON] = ACTIONS(5308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5308),
    [anon_sym___declspec] = ACTIONS(5306),
    [anon_sym___based] = ACTIONS(5306),
    [anon_sym___cdecl] = ACTIONS(5306),
    [anon_sym___clrcall] = ACTIONS(5306),
    [anon_sym___stdcall] = ACTIONS(5306),
    [anon_sym___fastcall] = ACTIONS(5306),
    [anon_sym___thiscall] = ACTIONS(5306),
    [anon_sym___vectorcall] = ACTIONS(5306),
    [anon_sym_LBRACE] = ACTIONS(5308),
    [anon_sym_signed] = ACTIONS(5306),
    [anon_sym_unsigned] = ACTIONS(5306),
    [anon_sym_long] = ACTIONS(5306),
    [anon_sym_short] = ACTIONS(5306),
    [anon_sym_LBRACK] = ACTIONS(5306),
    [anon_sym_EQ] = ACTIONS(5308),
    [anon_sym_static] = ACTIONS(5306),
    [anon_sym_register] = ACTIONS(5306),
    [anon_sym_inline] = ACTIONS(5306),
    [anon_sym___inline] = ACTIONS(5306),
    [anon_sym___inline__] = ACTIONS(5306),
    [anon_sym___forceinline] = ACTIONS(5306),
    [anon_sym_thread_local] = ACTIONS(5306),
    [anon_sym___thread] = ACTIONS(5306),
    [anon_sym_const] = ACTIONS(5306),
    [anon_sym_constexpr] = ACTIONS(5306),
    [anon_sym_volatile] = ACTIONS(5306),
    [anon_sym_restrict] = ACTIONS(5306),
    [anon_sym___restrict__] = ACTIONS(5306),
    [anon_sym__Atomic] = ACTIONS(5306),
    [anon_sym__Noreturn] = ACTIONS(5306),
    [anon_sym_noreturn] = ACTIONS(5306),
    [anon_sym_mutable] = ACTIONS(5306),
    [anon_sym_constinit] = ACTIONS(5306),
    [anon_sym_consteval] = ACTIONS(5306),
    [anon_sym_PROGMEM] = ACTIONS(5306),
    [aux_sym_primitive_type_token1] = ACTIONS(5306),
    [anon_sym_byte] = ACTIONS(5306),
    [anon_sym_word] = ACTIONS(5306),
    [anon_sym_enum] = ACTIONS(5306),
    [anon_sym_class] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(5306),
    [anon_sym_union] = ACTIONS(5306),
    [anon_sym_or] = ACTIONS(5306),
    [anon_sym_and] = ACTIONS(5306),
    [anon_sym_asm] = ACTIONS(5306),
    [anon_sym___asm__] = ACTIONS(5306),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5306),
    [anon_sym_decltype] = ACTIONS(5306),
    [anon_sym_final] = ACTIONS(5306),
    [anon_sym_override] = ACTIONS(5306),
    [anon_sym_virtual] = ACTIONS(5306),
    [anon_sym_alignas] = ACTIONS(5306),
    [anon_sym_explicit] = ACTIONS(5306),
    [anon_sym_typename] = ACTIONS(5306),
    [anon_sym_template] = ACTIONS(5306),
    [anon_sym_GT2] = ACTIONS(5308),
    [anon_sym_operator] = ACTIONS(5306),
    [anon_sym_try] = ACTIONS(5306),
    [anon_sym_friend] = ACTIONS(5306),
    [anon_sym_using] = ACTIONS(5306),
    [anon_sym_concept] = ACTIONS(5306),
    [anon_sym_requires] = ACTIONS(5306),
  },
  [2028] = {
    [sym_identifier] = ACTIONS(5310),
    [anon_sym_COMMA] = ACTIONS(5312),
    [anon_sym_RPAREN] = ACTIONS(5312),
    [anon_sym_LPAREN2] = ACTIONS(5312),
    [anon_sym_TILDE] = ACTIONS(5312),
    [anon_sym_STAR] = ACTIONS(5312),
    [anon_sym_PIPE_PIPE] = ACTIONS(5312),
    [anon_sym_AMP_AMP] = ACTIONS(5312),
    [anon_sym_AMP] = ACTIONS(5310),
    [anon_sym_SEMI] = ACTIONS(5312),
    [anon_sym___extension__] = ACTIONS(5310),
    [anon_sym_extern] = ACTIONS(5310),
    [anon_sym___attribute__] = ACTIONS(5310),
    [anon_sym_COLON_COLON] = ACTIONS(5312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5312),
    [anon_sym___declspec] = ACTIONS(5310),
    [anon_sym___based] = ACTIONS(5310),
    [anon_sym___cdecl] = ACTIONS(5310),
    [anon_sym___clrcall] = ACTIONS(5310),
    [anon_sym___stdcall] = ACTIONS(5310),
    [anon_sym___fastcall] = ACTIONS(5310),
    [anon_sym___thiscall] = ACTIONS(5310),
    [anon_sym___vectorcall] = ACTIONS(5310),
    [anon_sym_LBRACE] = ACTIONS(5312),
    [anon_sym_signed] = ACTIONS(5310),
    [anon_sym_unsigned] = ACTIONS(5310),
    [anon_sym_long] = ACTIONS(5310),
    [anon_sym_short] = ACTIONS(5310),
    [anon_sym_LBRACK] = ACTIONS(5310),
    [anon_sym_EQ] = ACTIONS(5312),
    [anon_sym_static] = ACTIONS(5310),
    [anon_sym_register] = ACTIONS(5310),
    [anon_sym_inline] = ACTIONS(5310),
    [anon_sym___inline] = ACTIONS(5310),
    [anon_sym___inline__] = ACTIONS(5310),
    [anon_sym___forceinline] = ACTIONS(5310),
    [anon_sym_thread_local] = ACTIONS(5310),
    [anon_sym___thread] = ACTIONS(5310),
    [anon_sym_const] = ACTIONS(5310),
    [anon_sym_constexpr] = ACTIONS(5310),
    [anon_sym_volatile] = ACTIONS(5310),
    [anon_sym_restrict] = ACTIONS(5310),
    [anon_sym___restrict__] = ACTIONS(5310),
    [anon_sym__Atomic] = ACTIONS(5310),
    [anon_sym__Noreturn] = ACTIONS(5310),
    [anon_sym_noreturn] = ACTIONS(5310),
    [anon_sym_mutable] = ACTIONS(5310),
    [anon_sym_constinit] = ACTIONS(5310),
    [anon_sym_consteval] = ACTIONS(5310),
    [anon_sym_PROGMEM] = ACTIONS(5310),
    [aux_sym_primitive_type_token1] = ACTIONS(5310),
    [anon_sym_byte] = ACTIONS(5310),
    [anon_sym_word] = ACTIONS(5310),
    [anon_sym_enum] = ACTIONS(5310),
    [anon_sym_class] = ACTIONS(5310),
    [anon_sym_struct] = ACTIONS(5310),
    [anon_sym_union] = ACTIONS(5310),
    [anon_sym_or] = ACTIONS(5310),
    [anon_sym_and] = ACTIONS(5310),
    [anon_sym_asm] = ACTIONS(5310),
    [anon_sym___asm__] = ACTIONS(5310),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5310),
    [anon_sym_decltype] = ACTIONS(5310),
    [anon_sym_final] = ACTIONS(5310),
    [anon_sym_override] = ACTIONS(5310),
    [anon_sym_virtual] = ACTIONS(5310),
    [anon_sym_alignas] = ACTIONS(5310),
    [anon_sym_explicit] = ACTIONS(5310),
    [anon_sym_typename] = ACTIONS(5310),
    [anon_sym_template] = ACTIONS(5310),
    [anon_sym_GT2] = ACTIONS(5312),
    [anon_sym_operator] = ACTIONS(5310),
    [anon_sym_try] = ACTIONS(5310),
    [anon_sym_friend] = ACTIONS(5310),
    [anon_sym_using] = ACTIONS(5310),
    [anon_sym_concept] = ACTIONS(5310),
    [anon_sym_requires] = ACTIONS(5310),
  },
  [2029] = {
    [sym__declaration_modifiers] = STATE(2241),
    [sym__declaration_specifiers] = STATE(4748),
    [sym_attribute_specifier] = STATE(2241),
    [sym_attribute_declaration] = STATE(2241),
    [sym_ms_declspec_modifier] = STATE(2241),
    [sym_storage_class_specifier] = STATE(2241),
    [sym_type_qualifier] = STATE(2241),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(8516),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2241),
    [sym_alignas_specifier] = STATE(2241),
    [sym_dependent_type] = STATE(3613),
    [sym_type_parameter_declaration] = STATE(8516),
    [sym_variadic_type_parameter_declaration] = STATE(8516),
    [sym_optional_type_parameter_declaration] = STATE(8516),
    [sym_template_template_parameter_declaration] = STATE(8516),
    [sym_optional_parameter_declaration] = STATE(8516),
    [sym_variadic_parameter_declaration] = STATE(8516),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7177),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2241),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5091),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(5264),
    [anon_sym_struct] = ACTIONS(2025),
    [anon_sym_union] = ACTIONS(2027),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(5266),
    [anon_sym_template] = ACTIONS(5268),
  },
  [2030] = {
    [sym_identifier] = ACTIONS(5314),
    [anon_sym_COMMA] = ACTIONS(5316),
    [anon_sym_RPAREN] = ACTIONS(5316),
    [anon_sym_LPAREN2] = ACTIONS(5316),
    [anon_sym_TILDE] = ACTIONS(5316),
    [anon_sym_STAR] = ACTIONS(5316),
    [anon_sym_PIPE_PIPE] = ACTIONS(5316),
    [anon_sym_AMP_AMP] = ACTIONS(5316),
    [anon_sym_AMP] = ACTIONS(5314),
    [anon_sym_SEMI] = ACTIONS(5316),
    [anon_sym___extension__] = ACTIONS(5314),
    [anon_sym_extern] = ACTIONS(5314),
    [anon_sym___attribute__] = ACTIONS(5314),
    [anon_sym_COLON_COLON] = ACTIONS(5316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5316),
    [anon_sym___declspec] = ACTIONS(5314),
    [anon_sym___based] = ACTIONS(5314),
    [anon_sym___cdecl] = ACTIONS(5314),
    [anon_sym___clrcall] = ACTIONS(5314),
    [anon_sym___stdcall] = ACTIONS(5314),
    [anon_sym___fastcall] = ACTIONS(5314),
    [anon_sym___thiscall] = ACTIONS(5314),
    [anon_sym___vectorcall] = ACTIONS(5314),
    [anon_sym_LBRACE] = ACTIONS(5316),
    [anon_sym_signed] = ACTIONS(5314),
    [anon_sym_unsigned] = ACTIONS(5314),
    [anon_sym_long] = ACTIONS(5314),
    [anon_sym_short] = ACTIONS(5314),
    [anon_sym_LBRACK] = ACTIONS(5314),
    [anon_sym_EQ] = ACTIONS(5316),
    [anon_sym_static] = ACTIONS(5314),
    [anon_sym_register] = ACTIONS(5314),
    [anon_sym_inline] = ACTIONS(5314),
    [anon_sym___inline] = ACTIONS(5314),
    [anon_sym___inline__] = ACTIONS(5314),
    [anon_sym___forceinline] = ACTIONS(5314),
    [anon_sym_thread_local] = ACTIONS(5314),
    [anon_sym___thread] = ACTIONS(5314),
    [anon_sym_const] = ACTIONS(5314),
    [anon_sym_constexpr] = ACTIONS(5314),
    [anon_sym_volatile] = ACTIONS(5314),
    [anon_sym_restrict] = ACTIONS(5314),
    [anon_sym___restrict__] = ACTIONS(5314),
    [anon_sym__Atomic] = ACTIONS(5314),
    [anon_sym__Noreturn] = ACTIONS(5314),
    [anon_sym_noreturn] = ACTIONS(5314),
    [anon_sym_mutable] = ACTIONS(5314),
    [anon_sym_constinit] = ACTIONS(5314),
    [anon_sym_consteval] = ACTIONS(5314),
    [anon_sym_PROGMEM] = ACTIONS(5314),
    [aux_sym_primitive_type_token1] = ACTIONS(5314),
    [anon_sym_byte] = ACTIONS(5314),
    [anon_sym_word] = ACTIONS(5314),
    [anon_sym_enum] = ACTIONS(5314),
    [anon_sym_class] = ACTIONS(5314),
    [anon_sym_struct] = ACTIONS(5314),
    [anon_sym_union] = ACTIONS(5314),
    [anon_sym_or] = ACTIONS(5314),
    [anon_sym_and] = ACTIONS(5314),
    [anon_sym_asm] = ACTIONS(5314),
    [anon_sym___asm__] = ACTIONS(5314),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5314),
    [anon_sym_decltype] = ACTIONS(5314),
    [anon_sym_final] = ACTIONS(5314),
    [anon_sym_override] = ACTIONS(5314),
    [anon_sym_virtual] = ACTIONS(5314),
    [anon_sym_alignas] = ACTIONS(5314),
    [anon_sym_explicit] = ACTIONS(5314),
    [anon_sym_typename] = ACTIONS(5314),
    [anon_sym_template] = ACTIONS(5314),
    [anon_sym_GT2] = ACTIONS(5316),
    [anon_sym_operator] = ACTIONS(5314),
    [anon_sym_try] = ACTIONS(5314),
    [anon_sym_friend] = ACTIONS(5314),
    [anon_sym_using] = ACTIONS(5314),
    [anon_sym_concept] = ACTIONS(5314),
    [anon_sym_requires] = ACTIONS(5314),
  },
  [2031] = {
    [sym_identifier] = ACTIONS(5318),
    [anon_sym_COMMA] = ACTIONS(5320),
    [anon_sym_RPAREN] = ACTIONS(5320),
    [anon_sym_LPAREN2] = ACTIONS(5320),
    [anon_sym_TILDE] = ACTIONS(5320),
    [anon_sym_STAR] = ACTIONS(5320),
    [anon_sym_PIPE_PIPE] = ACTIONS(5320),
    [anon_sym_AMP_AMP] = ACTIONS(5320),
    [anon_sym_AMP] = ACTIONS(5318),
    [anon_sym_SEMI] = ACTIONS(5320),
    [anon_sym___extension__] = ACTIONS(5318),
    [anon_sym_extern] = ACTIONS(5318),
    [anon_sym___attribute__] = ACTIONS(5318),
    [anon_sym_COLON_COLON] = ACTIONS(5320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5320),
    [anon_sym___declspec] = ACTIONS(5318),
    [anon_sym___based] = ACTIONS(5318),
    [anon_sym___cdecl] = ACTIONS(5318),
    [anon_sym___clrcall] = ACTIONS(5318),
    [anon_sym___stdcall] = ACTIONS(5318),
    [anon_sym___fastcall] = ACTIONS(5318),
    [anon_sym___thiscall] = ACTIONS(5318),
    [anon_sym___vectorcall] = ACTIONS(5318),
    [anon_sym_LBRACE] = ACTIONS(5320),
    [anon_sym_signed] = ACTIONS(5318),
    [anon_sym_unsigned] = ACTIONS(5318),
    [anon_sym_long] = ACTIONS(5318),
    [anon_sym_short] = ACTIONS(5318),
    [anon_sym_LBRACK] = ACTIONS(5318),
    [anon_sym_EQ] = ACTIONS(5320),
    [anon_sym_static] = ACTIONS(5318),
    [anon_sym_register] = ACTIONS(5318),
    [anon_sym_inline] = ACTIONS(5318),
    [anon_sym___inline] = ACTIONS(5318),
    [anon_sym___inline__] = ACTIONS(5318),
    [anon_sym___forceinline] = ACTIONS(5318),
    [anon_sym_thread_local] = ACTIONS(5318),
    [anon_sym___thread] = ACTIONS(5318),
    [anon_sym_const] = ACTIONS(5318),
    [anon_sym_constexpr] = ACTIONS(5318),
    [anon_sym_volatile] = ACTIONS(5318),
    [anon_sym_restrict] = ACTIONS(5318),
    [anon_sym___restrict__] = ACTIONS(5318),
    [anon_sym__Atomic] = ACTIONS(5318),
    [anon_sym__Noreturn] = ACTIONS(5318),
    [anon_sym_noreturn] = ACTIONS(5318),
    [anon_sym_mutable] = ACTIONS(5318),
    [anon_sym_constinit] = ACTIONS(5318),
    [anon_sym_consteval] = ACTIONS(5318),
    [anon_sym_PROGMEM] = ACTIONS(5318),
    [aux_sym_primitive_type_token1] = ACTIONS(5318),
    [anon_sym_byte] = ACTIONS(5318),
    [anon_sym_word] = ACTIONS(5318),
    [anon_sym_enum] = ACTIONS(5318),
    [anon_sym_class] = ACTIONS(5318),
    [anon_sym_struct] = ACTIONS(5318),
    [anon_sym_union] = ACTIONS(5318),
    [anon_sym_or] = ACTIONS(5318),
    [anon_sym_and] = ACTIONS(5318),
    [anon_sym_asm] = ACTIONS(5318),
    [anon_sym___asm__] = ACTIONS(5318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5318),
    [anon_sym_decltype] = ACTIONS(5318),
    [anon_sym_final] = ACTIONS(5318),
    [anon_sym_override] = ACTIONS(5318),
    [anon_sym_virtual] = ACTIONS(5318),
    [anon_sym_alignas] = ACTIONS(5318),
    [anon_sym_explicit] = ACTIONS(5318),
    [anon_sym_typename] = ACTIONS(5318),
    [anon_sym_template] = ACTIONS(5318),
    [anon_sym_GT2] = ACTIONS(5320),
    [anon_sym_operator] = ACTIONS(5318),
    [anon_sym_try] = ACTIONS(5318),
    [anon_sym_friend] = ACTIONS(5318),
    [anon_sym_using] = ACTIONS(5318),
    [anon_sym_concept] = ACTIONS(5318),
    [anon_sym_requires] = ACTIONS(5318),
  },
  [2032] = {
    [sym_identifier] = ACTIONS(5322),
    [anon_sym_COMMA] = ACTIONS(5324),
    [anon_sym_RPAREN] = ACTIONS(5324),
    [anon_sym_LPAREN2] = ACTIONS(5324),
    [anon_sym_TILDE] = ACTIONS(5324),
    [anon_sym_STAR] = ACTIONS(5324),
    [anon_sym_PIPE_PIPE] = ACTIONS(5324),
    [anon_sym_AMP_AMP] = ACTIONS(5324),
    [anon_sym_AMP] = ACTIONS(5322),
    [anon_sym_SEMI] = ACTIONS(5324),
    [anon_sym___extension__] = ACTIONS(5322),
    [anon_sym_extern] = ACTIONS(5322),
    [anon_sym___attribute__] = ACTIONS(5322),
    [anon_sym_COLON_COLON] = ACTIONS(5324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5324),
    [anon_sym___declspec] = ACTIONS(5322),
    [anon_sym___based] = ACTIONS(5322),
    [anon_sym___cdecl] = ACTIONS(5322),
    [anon_sym___clrcall] = ACTIONS(5322),
    [anon_sym___stdcall] = ACTIONS(5322),
    [anon_sym___fastcall] = ACTIONS(5322),
    [anon_sym___thiscall] = ACTIONS(5322),
    [anon_sym___vectorcall] = ACTIONS(5322),
    [anon_sym_LBRACE] = ACTIONS(5324),
    [anon_sym_signed] = ACTIONS(5322),
    [anon_sym_unsigned] = ACTIONS(5322),
    [anon_sym_long] = ACTIONS(5322),
    [anon_sym_short] = ACTIONS(5322),
    [anon_sym_LBRACK] = ACTIONS(5322),
    [anon_sym_EQ] = ACTIONS(5324),
    [anon_sym_static] = ACTIONS(5322),
    [anon_sym_register] = ACTIONS(5322),
    [anon_sym_inline] = ACTIONS(5322),
    [anon_sym___inline] = ACTIONS(5322),
    [anon_sym___inline__] = ACTIONS(5322),
    [anon_sym___forceinline] = ACTIONS(5322),
    [anon_sym_thread_local] = ACTIONS(5322),
    [anon_sym___thread] = ACTIONS(5322),
    [anon_sym_const] = ACTIONS(5322),
    [anon_sym_constexpr] = ACTIONS(5322),
    [anon_sym_volatile] = ACTIONS(5322),
    [anon_sym_restrict] = ACTIONS(5322),
    [anon_sym___restrict__] = ACTIONS(5322),
    [anon_sym__Atomic] = ACTIONS(5322),
    [anon_sym__Noreturn] = ACTIONS(5322),
    [anon_sym_noreturn] = ACTIONS(5322),
    [anon_sym_mutable] = ACTIONS(5322),
    [anon_sym_constinit] = ACTIONS(5322),
    [anon_sym_consteval] = ACTIONS(5322),
    [anon_sym_PROGMEM] = ACTIONS(5322),
    [aux_sym_primitive_type_token1] = ACTIONS(5322),
    [anon_sym_byte] = ACTIONS(5322),
    [anon_sym_word] = ACTIONS(5322),
    [anon_sym_enum] = ACTIONS(5322),
    [anon_sym_class] = ACTIONS(5322),
    [anon_sym_struct] = ACTIONS(5322),
    [anon_sym_union] = ACTIONS(5322),
    [anon_sym_or] = ACTIONS(5322),
    [anon_sym_and] = ACTIONS(5322),
    [anon_sym_asm] = ACTIONS(5322),
    [anon_sym___asm__] = ACTIONS(5322),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5322),
    [anon_sym_decltype] = ACTIONS(5322),
    [anon_sym_final] = ACTIONS(5322),
    [anon_sym_override] = ACTIONS(5322),
    [anon_sym_virtual] = ACTIONS(5322),
    [anon_sym_alignas] = ACTIONS(5322),
    [anon_sym_explicit] = ACTIONS(5322),
    [anon_sym_typename] = ACTIONS(5322),
    [anon_sym_template] = ACTIONS(5322),
    [anon_sym_GT2] = ACTIONS(5324),
    [anon_sym_operator] = ACTIONS(5322),
    [anon_sym_try] = ACTIONS(5322),
    [anon_sym_friend] = ACTIONS(5322),
    [anon_sym_using] = ACTIONS(5322),
    [anon_sym_concept] = ACTIONS(5322),
    [anon_sym_requires] = ACTIONS(5322),
  },
  [2033] = {
    [sym__declaration_modifiers] = STATE(2241),
    [sym__declaration_specifiers] = STATE(4767),
    [sym_attribute_specifier] = STATE(2241),
    [sym_attribute_declaration] = STATE(2241),
    [sym_ms_declspec_modifier] = STATE(2241),
    [sym_storage_class_specifier] = STATE(2241),
    [sym_type_qualifier] = STATE(2241),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(8072),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2241),
    [sym_alignas_specifier] = STATE(2241),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(8072),
    [sym_variadic_parameter_declaration] = STATE(8072),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7177),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2241),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5326),
    [anon_sym_RPAREN] = ACTIONS(5328),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2023),
    [anon_sym_struct] = ACTIONS(2025),
    [anon_sym_union] = ACTIONS(2027),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2053),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2034] = {
    [sym_string_literal] = STATE(2043),
    [sym_template_argument_list] = STATE(2768),
    [sym_raw_string_literal] = STATE(2043),
    [sym_identifier] = ACTIONS(4454),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_RPAREN] = ACTIONS(4446),
    [aux_sym_preproc_if_token2] = ACTIONS(4446),
    [aux_sym_preproc_else_token1] = ACTIONS(4446),
    [aux_sym_preproc_elif_token1] = ACTIONS(4454),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4446),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5330),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4446),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_RBRACE] = ACTIONS(4446),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_RBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(4454),
    [anon_sym_COLON] = ACTIONS(4454),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4446),
    [anon_sym_SLASH_EQ] = ACTIONS(4446),
    [anon_sym_PERCENT_EQ] = ACTIONS(4446),
    [anon_sym_PLUS_EQ] = ACTIONS(4446),
    [anon_sym_DASH_EQ] = ACTIONS(4446),
    [anon_sym_LT_LT_EQ] = ACTIONS(4446),
    [anon_sym_GT_GT_EQ] = ACTIONS(4446),
    [anon_sym_AMP_EQ] = ACTIONS(4446),
    [anon_sym_CARET_EQ] = ACTIONS(4446),
    [anon_sym_PIPE_EQ] = ACTIONS(4446),
    [anon_sym_and_eq] = ACTIONS(4454),
    [anon_sym_or_eq] = ACTIONS(4454),
    [anon_sym_xor_eq] = ACTIONS(4454),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4454),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4454),
    [anon_sym_not_eq] = ACTIONS(4454),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
  },
  [2035] = {
    [sym_identifier] = ACTIONS(5333),
    [anon_sym_LPAREN2] = ACTIONS(5335),
    [anon_sym_BANG] = ACTIONS(5335),
    [anon_sym_TILDE] = ACTIONS(5335),
    [anon_sym_DASH] = ACTIONS(5333),
    [anon_sym_PLUS] = ACTIONS(5333),
    [anon_sym_STAR] = ACTIONS(5335),
    [anon_sym_AMP] = ACTIONS(5335),
    [anon_sym_SEMI] = ACTIONS(5335),
    [anon_sym_COLON_COLON] = ACTIONS(5335),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5335),
    [anon_sym_LBRACE] = ACTIONS(5335),
    [anon_sym_LBRACK] = ACTIONS(5333),
    [aux_sym_primitive_type_token1] = ACTIONS(5333),
    [anon_sym_byte] = ACTIONS(5333),
    [anon_sym_word] = ACTIONS(5333),
    [anon_sym_if] = ACTIONS(5333),
    [anon_sym_switch] = ACTIONS(5333),
    [anon_sym_case] = ACTIONS(5333),
    [anon_sym_default] = ACTIONS(5333),
    [anon_sym_while] = ACTIONS(5333),
    [anon_sym_do] = ACTIONS(5333),
    [anon_sym_for] = ACTIONS(5333),
    [anon_sym_return] = ACTIONS(5333),
    [anon_sym_break] = ACTIONS(5333),
    [anon_sym_continue] = ACTIONS(5333),
    [anon_sym_goto] = ACTIONS(5333),
    [anon_sym___try] = ACTIONS(5333),
    [anon_sym___leave] = ACTIONS(5333),
    [anon_sym_not] = ACTIONS(5333),
    [anon_sym_compl] = ACTIONS(5333),
    [anon_sym_DASH_DASH] = ACTIONS(5335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5335),
    [anon_sym_sizeof] = ACTIONS(5333),
    [anon_sym___alignof__] = ACTIONS(5333),
    [anon_sym___alignof] = ACTIONS(5333),
    [anon_sym__alignof] = ACTIONS(5333),
    [anon_sym_alignof] = ACTIONS(5333),
    [anon_sym__Alignof] = ACTIONS(5333),
    [anon_sym_offsetof] = ACTIONS(5333),
    [anon_sym__Generic] = ACTIONS(5333),
    [anon_sym_asm] = ACTIONS(5333),
    [anon_sym___asm__] = ACTIONS(5333),
    [aux_sym_number_literal_token1] = ACTIONS(5335),
    [aux_sym_number_literal_token2] = ACTIONS(5333),
    [anon_sym_L_SQUOTE] = ACTIONS(5335),
    [anon_sym_u_SQUOTE] = ACTIONS(5335),
    [anon_sym_U_SQUOTE] = ACTIONS(5335),
    [anon_sym_u8_SQUOTE] = ACTIONS(5335),
    [anon_sym_SQUOTE] = ACTIONS(5335),
    [anon_sym_L_DQUOTE] = ACTIONS(5335),
    [anon_sym_u_DQUOTE] = ACTIONS(5335),
    [anon_sym_U_DQUOTE] = ACTIONS(5335),
    [anon_sym_u8_DQUOTE] = ACTIONS(5335),
    [anon_sym_DQUOTE] = ACTIONS(5335),
    [sym_true] = ACTIONS(5333),
    [sym_false] = ACTIONS(5333),
    [anon_sym_NULL] = ACTIONS(5333),
    [anon_sym_nullptr] = ACTIONS(5333),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5333),
    [anon_sym_template] = ACTIONS(5333),
    [anon_sym_try] = ACTIONS(5333),
    [anon_sym_delete] = ACTIONS(5333),
    [anon_sym_throw] = ACTIONS(5333),
    [anon_sym_co_return] = ACTIONS(5333),
    [anon_sym_co_yield] = ACTIONS(5333),
    [anon_sym_R_DQUOTE] = ACTIONS(5335),
    [anon_sym_LR_DQUOTE] = ACTIONS(5335),
    [anon_sym_uR_DQUOTE] = ACTIONS(5335),
    [anon_sym_UR_DQUOTE] = ACTIONS(5335),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5335),
    [anon_sym_co_await] = ACTIONS(5333),
    [anon_sym_new] = ACTIONS(5333),
    [anon_sym_requires] = ACTIONS(5333),
    [sym_this] = ACTIONS(5333),
  },
  [2036] = {
    [sym__declaration_modifiers] = STATE(2241),
    [sym__declaration_specifiers] = STATE(4767),
    [sym_attribute_specifier] = STATE(2241),
    [sym_attribute_declaration] = STATE(2241),
    [sym_ms_declspec_modifier] = STATE(2241),
    [sym_storage_class_specifier] = STATE(2241),
    [sym_type_qualifier] = STATE(2241),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(8054),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2241),
    [sym_alignas_specifier] = STATE(2241),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(8054),
    [sym_variadic_parameter_declaration] = STATE(8054),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7177),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2241),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2067),
    [anon_sym_RPAREN] = ACTIONS(4555),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2023),
    [anon_sym_struct] = ACTIONS(2025),
    [anon_sym_union] = ACTIONS(2027),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2053),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2037] = {
    [sym_identifier] = ACTIONS(5337),
    [anon_sym_LPAREN2] = ACTIONS(5339),
    [anon_sym_BANG] = ACTIONS(5339),
    [anon_sym_TILDE] = ACTIONS(5339),
    [anon_sym_DASH] = ACTIONS(5337),
    [anon_sym_PLUS] = ACTIONS(5337),
    [anon_sym_STAR] = ACTIONS(5339),
    [anon_sym_AMP] = ACTIONS(5339),
    [anon_sym_SEMI] = ACTIONS(5339),
    [anon_sym_COLON_COLON] = ACTIONS(5339),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5339),
    [anon_sym_LBRACE] = ACTIONS(5339),
    [anon_sym_LBRACK] = ACTIONS(5337),
    [aux_sym_primitive_type_token1] = ACTIONS(5337),
    [anon_sym_byte] = ACTIONS(5337),
    [anon_sym_word] = ACTIONS(5337),
    [anon_sym_if] = ACTIONS(5337),
    [anon_sym_switch] = ACTIONS(5337),
    [anon_sym_case] = ACTIONS(5337),
    [anon_sym_default] = ACTIONS(5337),
    [anon_sym_while] = ACTIONS(5337),
    [anon_sym_do] = ACTIONS(5337),
    [anon_sym_for] = ACTIONS(5337),
    [anon_sym_return] = ACTIONS(5337),
    [anon_sym_break] = ACTIONS(5337),
    [anon_sym_continue] = ACTIONS(5337),
    [anon_sym_goto] = ACTIONS(5337),
    [anon_sym___try] = ACTIONS(5337),
    [anon_sym___leave] = ACTIONS(5337),
    [anon_sym_not] = ACTIONS(5337),
    [anon_sym_compl] = ACTIONS(5337),
    [anon_sym_DASH_DASH] = ACTIONS(5339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5339),
    [anon_sym_sizeof] = ACTIONS(5337),
    [anon_sym___alignof__] = ACTIONS(5337),
    [anon_sym___alignof] = ACTIONS(5337),
    [anon_sym__alignof] = ACTIONS(5337),
    [anon_sym_alignof] = ACTIONS(5337),
    [anon_sym__Alignof] = ACTIONS(5337),
    [anon_sym_offsetof] = ACTIONS(5337),
    [anon_sym__Generic] = ACTIONS(5337),
    [anon_sym_asm] = ACTIONS(5337),
    [anon_sym___asm__] = ACTIONS(5337),
    [aux_sym_number_literal_token1] = ACTIONS(5339),
    [aux_sym_number_literal_token2] = ACTIONS(5337),
    [anon_sym_L_SQUOTE] = ACTIONS(5339),
    [anon_sym_u_SQUOTE] = ACTIONS(5339),
    [anon_sym_U_SQUOTE] = ACTIONS(5339),
    [anon_sym_u8_SQUOTE] = ACTIONS(5339),
    [anon_sym_SQUOTE] = ACTIONS(5339),
    [anon_sym_L_DQUOTE] = ACTIONS(5339),
    [anon_sym_u_DQUOTE] = ACTIONS(5339),
    [anon_sym_U_DQUOTE] = ACTIONS(5339),
    [anon_sym_u8_DQUOTE] = ACTIONS(5339),
    [anon_sym_DQUOTE] = ACTIONS(5339),
    [sym_true] = ACTIONS(5337),
    [sym_false] = ACTIONS(5337),
    [anon_sym_NULL] = ACTIONS(5337),
    [anon_sym_nullptr] = ACTIONS(5337),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5337),
    [anon_sym_template] = ACTIONS(5337),
    [anon_sym_try] = ACTIONS(5337),
    [anon_sym_delete] = ACTIONS(5337),
    [anon_sym_throw] = ACTIONS(5337),
    [anon_sym_co_return] = ACTIONS(5337),
    [anon_sym_co_yield] = ACTIONS(5337),
    [anon_sym_R_DQUOTE] = ACTIONS(5339),
    [anon_sym_LR_DQUOTE] = ACTIONS(5339),
    [anon_sym_uR_DQUOTE] = ACTIONS(5339),
    [anon_sym_UR_DQUOTE] = ACTIONS(5339),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5339),
    [anon_sym_co_await] = ACTIONS(5337),
    [anon_sym_new] = ACTIONS(5337),
    [anon_sym_requires] = ACTIONS(5337),
    [sym_this] = ACTIONS(5337),
  },
  [2038] = {
    [sym__declaration_modifiers] = STATE(2241),
    [sym__declaration_specifiers] = STATE(4767),
    [sym_attribute_specifier] = STATE(2241),
    [sym_attribute_declaration] = STATE(2241),
    [sym_ms_declspec_modifier] = STATE(2241),
    [sym_storage_class_specifier] = STATE(2241),
    [sym_type_qualifier] = STATE(2241),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(8220),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2241),
    [sym_alignas_specifier] = STATE(2241),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(8220),
    [sym_variadic_parameter_declaration] = STATE(8220),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7177),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2241),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5341),
    [anon_sym_RPAREN] = ACTIONS(5343),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2023),
    [anon_sym_struct] = ACTIONS(2025),
    [anon_sym_union] = ACTIONS(2027),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2053),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2039] = {
    [sym__declaration_modifiers] = STATE(2241),
    [sym__declaration_specifiers] = STATE(4767),
    [sym_attribute_specifier] = STATE(2241),
    [sym_attribute_declaration] = STATE(2241),
    [sym_ms_declspec_modifier] = STATE(2241),
    [sym_storage_class_specifier] = STATE(2241),
    [sym_type_qualifier] = STATE(2241),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7798),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2241),
    [sym_alignas_specifier] = STATE(2241),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7798),
    [sym_variadic_parameter_declaration] = STATE(7798),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7177),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2241),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5345),
    [anon_sym_RPAREN] = ACTIONS(5347),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2023),
    [anon_sym_struct] = ACTIONS(2025),
    [anon_sym_union] = ACTIONS(2027),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2053),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2040] = {
    [sym__declaration_modifiers] = STATE(2241),
    [sym__declaration_specifiers] = STATE(4767),
    [sym_attribute_specifier] = STATE(2241),
    [sym_attribute_declaration] = STATE(2241),
    [sym_ms_declspec_modifier] = STATE(2241),
    [sym_storage_class_specifier] = STATE(2241),
    [sym_type_qualifier] = STATE(2241),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(8043),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2241),
    [sym_alignas_specifier] = STATE(2241),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(8043),
    [sym_variadic_parameter_declaration] = STATE(8043),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7177),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2241),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5349),
    [anon_sym_RPAREN] = ACTIONS(5351),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2023),
    [anon_sym_struct] = ACTIONS(2025),
    [anon_sym_union] = ACTIONS(2027),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2053),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2041] = {
    [sym_string_literal] = STATE(2041),
    [sym_raw_string_literal] = STATE(2041),
    [aux_sym_concatenated_string_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(5353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5356),
    [anon_sym_COMMA] = ACTIONS(5356),
    [anon_sym_RPAREN] = ACTIONS(5356),
    [aux_sym_preproc_if_token2] = ACTIONS(5356),
    [aux_sym_preproc_else_token1] = ACTIONS(5356),
    [aux_sym_preproc_elif_token1] = ACTIONS(5358),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5356),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5356),
    [anon_sym_LPAREN2] = ACTIONS(5356),
    [anon_sym_DASH] = ACTIONS(5358),
    [anon_sym_PLUS] = ACTIONS(5358),
    [anon_sym_STAR] = ACTIONS(5358),
    [anon_sym_SLASH] = ACTIONS(5358),
    [anon_sym_PERCENT] = ACTIONS(5358),
    [anon_sym_PIPE_PIPE] = ACTIONS(5356),
    [anon_sym_AMP_AMP] = ACTIONS(5356),
    [anon_sym_PIPE] = ACTIONS(5358),
    [anon_sym_CARET] = ACTIONS(5358),
    [anon_sym_AMP] = ACTIONS(5358),
    [anon_sym_EQ_EQ] = ACTIONS(5356),
    [anon_sym_BANG_EQ] = ACTIONS(5356),
    [anon_sym_GT] = ACTIONS(5358),
    [anon_sym_GT_EQ] = ACTIONS(5356),
    [anon_sym_LT_EQ] = ACTIONS(5358),
    [anon_sym_LT] = ACTIONS(5358),
    [anon_sym_LT_LT] = ACTIONS(5358),
    [anon_sym_GT_GT] = ACTIONS(5358),
    [anon_sym_SEMI] = ACTIONS(5356),
    [anon_sym_RBRACE] = ACTIONS(5356),
    [anon_sym_LBRACK] = ACTIONS(5356),
    [anon_sym_RBRACK] = ACTIONS(5356),
    [anon_sym_EQ] = ACTIONS(5358),
    [anon_sym_COLON] = ACTIONS(5356),
    [anon_sym_QMARK] = ACTIONS(5356),
    [anon_sym_STAR_EQ] = ACTIONS(5356),
    [anon_sym_SLASH_EQ] = ACTIONS(5356),
    [anon_sym_PERCENT_EQ] = ACTIONS(5356),
    [anon_sym_PLUS_EQ] = ACTIONS(5356),
    [anon_sym_DASH_EQ] = ACTIONS(5356),
    [anon_sym_LT_LT_EQ] = ACTIONS(5356),
    [anon_sym_GT_GT_EQ] = ACTIONS(5356),
    [anon_sym_AMP_EQ] = ACTIONS(5356),
    [anon_sym_CARET_EQ] = ACTIONS(5356),
    [anon_sym_PIPE_EQ] = ACTIONS(5356),
    [anon_sym_and_eq] = ACTIONS(5358),
    [anon_sym_or_eq] = ACTIONS(5358),
    [anon_sym_xor_eq] = ACTIONS(5358),
    [anon_sym_LT_EQ_GT] = ACTIONS(5356),
    [anon_sym_or] = ACTIONS(5358),
    [anon_sym_and] = ACTIONS(5358),
    [anon_sym_bitor] = ACTIONS(5358),
    [anon_sym_xor] = ACTIONS(5358),
    [anon_sym_bitand] = ACTIONS(5358),
    [anon_sym_not_eq] = ACTIONS(5358),
    [anon_sym_DASH_DASH] = ACTIONS(5356),
    [anon_sym_PLUS_PLUS] = ACTIONS(5356),
    [anon_sym_DOT] = ACTIONS(5358),
    [anon_sym_DOT_STAR] = ACTIONS(5356),
    [anon_sym_DASH_GT] = ACTIONS(5356),
    [anon_sym_L_DQUOTE] = ACTIONS(5360),
    [anon_sym_u_DQUOTE] = ACTIONS(5360),
    [anon_sym_U_DQUOTE] = ACTIONS(5360),
    [anon_sym_u8_DQUOTE] = ACTIONS(5360),
    [anon_sym_DQUOTE] = ACTIONS(5360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5363),
    [anon_sym_LR_DQUOTE] = ACTIONS(5363),
    [anon_sym_uR_DQUOTE] = ACTIONS(5363),
    [anon_sym_UR_DQUOTE] = ACTIONS(5363),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5363),
    [sym_literal_suffix] = ACTIONS(5358),
  },
  [2042] = {
    [sym__declaration_modifiers] = STATE(2241),
    [sym__declaration_specifiers] = STATE(4767),
    [sym_attribute_specifier] = STATE(2241),
    [sym_attribute_declaration] = STATE(2241),
    [sym_ms_declspec_modifier] = STATE(2241),
    [sym_storage_class_specifier] = STATE(2241),
    [sym_type_qualifier] = STATE(2241),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7852),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2241),
    [sym_alignas_specifier] = STATE(2241),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7852),
    [sym_variadic_parameter_declaration] = STATE(7852),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7177),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2241),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5091),
    [anon_sym_RPAREN] = ACTIONS(2009),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2023),
    [anon_sym_struct] = ACTIONS(2025),
    [anon_sym_union] = ACTIONS(2027),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2053),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2043] = {
    [sym_string_literal] = STATE(2046),
    [sym_raw_string_literal] = STATE(2046),
    [aux_sym_concatenated_string_repeat1] = STATE(2046),
    [sym_identifier] = ACTIONS(5366),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5368),
    [anon_sym_COMMA] = ACTIONS(5368),
    [anon_sym_RPAREN] = ACTIONS(5368),
    [aux_sym_preproc_if_token2] = ACTIONS(5368),
    [aux_sym_preproc_else_token1] = ACTIONS(5368),
    [aux_sym_preproc_elif_token1] = ACTIONS(5370),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5368),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5368),
    [anon_sym_LPAREN2] = ACTIONS(5368),
    [anon_sym_DASH] = ACTIONS(5370),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_STAR] = ACTIONS(5370),
    [anon_sym_SLASH] = ACTIONS(5370),
    [anon_sym_PERCENT] = ACTIONS(5370),
    [anon_sym_PIPE_PIPE] = ACTIONS(5368),
    [anon_sym_AMP_AMP] = ACTIONS(5368),
    [anon_sym_PIPE] = ACTIONS(5370),
    [anon_sym_CARET] = ACTIONS(5370),
    [anon_sym_AMP] = ACTIONS(5370),
    [anon_sym_EQ_EQ] = ACTIONS(5368),
    [anon_sym_BANG_EQ] = ACTIONS(5368),
    [anon_sym_GT] = ACTIONS(5370),
    [anon_sym_GT_EQ] = ACTIONS(5368),
    [anon_sym_LT_EQ] = ACTIONS(5370),
    [anon_sym_LT] = ACTIONS(5370),
    [anon_sym_LT_LT] = ACTIONS(5370),
    [anon_sym_GT_GT] = ACTIONS(5370),
    [anon_sym_SEMI] = ACTIONS(5368),
    [anon_sym_RBRACE] = ACTIONS(5368),
    [anon_sym_LBRACK] = ACTIONS(5368),
    [anon_sym_RBRACK] = ACTIONS(5368),
    [anon_sym_EQ] = ACTIONS(5370),
    [anon_sym_COLON] = ACTIONS(5368),
    [anon_sym_QMARK] = ACTIONS(5368),
    [anon_sym_STAR_EQ] = ACTIONS(5368),
    [anon_sym_SLASH_EQ] = ACTIONS(5368),
    [anon_sym_PERCENT_EQ] = ACTIONS(5368),
    [anon_sym_PLUS_EQ] = ACTIONS(5368),
    [anon_sym_DASH_EQ] = ACTIONS(5368),
    [anon_sym_LT_LT_EQ] = ACTIONS(5368),
    [anon_sym_GT_GT_EQ] = ACTIONS(5368),
    [anon_sym_AMP_EQ] = ACTIONS(5368),
    [anon_sym_CARET_EQ] = ACTIONS(5368),
    [anon_sym_PIPE_EQ] = ACTIONS(5368),
    [anon_sym_and_eq] = ACTIONS(5370),
    [anon_sym_or_eq] = ACTIONS(5370),
    [anon_sym_xor_eq] = ACTIONS(5370),
    [anon_sym_LT_EQ_GT] = ACTIONS(5368),
    [anon_sym_or] = ACTIONS(5370),
    [anon_sym_and] = ACTIONS(5370),
    [anon_sym_bitor] = ACTIONS(5370),
    [anon_sym_xor] = ACTIONS(5370),
    [anon_sym_bitand] = ACTIONS(5370),
    [anon_sym_not_eq] = ACTIONS(5370),
    [anon_sym_DASH_DASH] = ACTIONS(5368),
    [anon_sym_PLUS_PLUS] = ACTIONS(5368),
    [anon_sym_DOT] = ACTIONS(5370),
    [anon_sym_DOT_STAR] = ACTIONS(5368),
    [anon_sym_DASH_GT] = ACTIONS(5368),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [sym_literal_suffix] = ACTIONS(5370),
  },
  [2044] = {
    [sym__declaration_modifiers] = STATE(2241),
    [sym__declaration_specifiers] = STATE(4767),
    [sym_attribute_specifier] = STATE(2241),
    [sym_attribute_declaration] = STATE(2241),
    [sym_ms_declspec_modifier] = STATE(2241),
    [sym_storage_class_specifier] = STATE(2241),
    [sym_type_qualifier] = STATE(2241),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(8552),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2241),
    [sym_alignas_specifier] = STATE(2241),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(8552),
    [sym_variadic_parameter_declaration] = STATE(8552),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7177),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2241),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5372),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2023),
    [anon_sym_struct] = ACTIONS(2025),
    [anon_sym_union] = ACTIONS(2027),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2053),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2045] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2045),
    [sym_identifier] = ACTIONS(5374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5376),
    [anon_sym_COMMA] = ACTIONS(5376),
    [anon_sym_RPAREN] = ACTIONS(5376),
    [aux_sym_preproc_if_token2] = ACTIONS(5376),
    [aux_sym_preproc_else_token1] = ACTIONS(5376),
    [aux_sym_preproc_elif_token1] = ACTIONS(5374),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5376),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5376),
    [anon_sym_LPAREN2] = ACTIONS(5376),
    [anon_sym_DASH] = ACTIONS(5374),
    [anon_sym_PLUS] = ACTIONS(5374),
    [anon_sym_STAR] = ACTIONS(5376),
    [anon_sym_SLASH] = ACTIONS(5374),
    [anon_sym_PERCENT] = ACTIONS(5376),
    [anon_sym_PIPE_PIPE] = ACTIONS(5376),
    [anon_sym_AMP_AMP] = ACTIONS(5376),
    [anon_sym_PIPE] = ACTIONS(5374),
    [anon_sym_CARET] = ACTIONS(5376),
    [anon_sym_AMP] = ACTIONS(5374),
    [anon_sym_EQ_EQ] = ACTIONS(5376),
    [anon_sym_BANG_EQ] = ACTIONS(5376),
    [anon_sym_GT] = ACTIONS(5374),
    [anon_sym_GT_EQ] = ACTIONS(5376),
    [anon_sym_LT_EQ] = ACTIONS(5374),
    [anon_sym_LT] = ACTIONS(5374),
    [anon_sym_LT_LT] = ACTIONS(5376),
    [anon_sym_GT_GT] = ACTIONS(5376),
    [anon_sym_SEMI] = ACTIONS(5376),
    [anon_sym___extension__] = ACTIONS(5374),
    [anon_sym___attribute__] = ACTIONS(5374),
    [anon_sym_LBRACE] = ACTIONS(5376),
    [anon_sym_RBRACE] = ACTIONS(5376),
    [anon_sym_signed] = ACTIONS(5378),
    [anon_sym_unsigned] = ACTIONS(5378),
    [anon_sym_long] = ACTIONS(5378),
    [anon_sym_short] = ACTIONS(5378),
    [anon_sym_LBRACK] = ACTIONS(5376),
    [anon_sym_RBRACK] = ACTIONS(5376),
    [anon_sym_const] = ACTIONS(5374),
    [anon_sym_constexpr] = ACTIONS(5374),
    [anon_sym_volatile] = ACTIONS(5374),
    [anon_sym_restrict] = ACTIONS(5374),
    [anon_sym___restrict__] = ACTIONS(5374),
    [anon_sym__Atomic] = ACTIONS(5374),
    [anon_sym__Noreturn] = ACTIONS(5374),
    [anon_sym_noreturn] = ACTIONS(5374),
    [anon_sym_mutable] = ACTIONS(5374),
    [anon_sym_constinit] = ACTIONS(5374),
    [anon_sym_consteval] = ACTIONS(5374),
    [anon_sym_PROGMEM] = ACTIONS(5374),
    [aux_sym_primitive_type_token1] = ACTIONS(5374),
    [anon_sym_byte] = ACTIONS(5374),
    [anon_sym_word] = ACTIONS(5374),
    [anon_sym_COLON] = ACTIONS(5376),
    [anon_sym_QMARK] = ACTIONS(5376),
    [anon_sym_LT_EQ_GT] = ACTIONS(5376),
    [anon_sym_or] = ACTIONS(5374),
    [anon_sym_and] = ACTIONS(5374),
    [anon_sym_bitor] = ACTIONS(5374),
    [anon_sym_xor] = ACTIONS(5374),
    [anon_sym_bitand] = ACTIONS(5374),
    [anon_sym_not_eq] = ACTIONS(5374),
    [anon_sym_DASH_DASH] = ACTIONS(5376),
    [anon_sym_PLUS_PLUS] = ACTIONS(5376),
    [anon_sym_DOT] = ACTIONS(5374),
    [anon_sym_DOT_STAR] = ACTIONS(5376),
    [anon_sym_DASH_GT] = ACTIONS(5376),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5374),
    [anon_sym_decltype] = ACTIONS(5374),
    [anon_sym_final] = ACTIONS(5374),
    [anon_sym_override] = ACTIONS(5374),
    [anon_sym_requires] = ACTIONS(5374),
  },
  [2046] = {
    [sym_string_literal] = STATE(2041),
    [sym_raw_string_literal] = STATE(2041),
    [aux_sym_concatenated_string_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(5381),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5383),
    [anon_sym_COMMA] = ACTIONS(5383),
    [anon_sym_RPAREN] = ACTIONS(5383),
    [aux_sym_preproc_if_token2] = ACTIONS(5383),
    [aux_sym_preproc_else_token1] = ACTIONS(5383),
    [aux_sym_preproc_elif_token1] = ACTIONS(5385),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5383),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5383),
    [anon_sym_LPAREN2] = ACTIONS(5383),
    [anon_sym_DASH] = ACTIONS(5385),
    [anon_sym_PLUS] = ACTIONS(5385),
    [anon_sym_STAR] = ACTIONS(5385),
    [anon_sym_SLASH] = ACTIONS(5385),
    [anon_sym_PERCENT] = ACTIONS(5385),
    [anon_sym_PIPE_PIPE] = ACTIONS(5383),
    [anon_sym_AMP_AMP] = ACTIONS(5383),
    [anon_sym_PIPE] = ACTIONS(5385),
    [anon_sym_CARET] = ACTIONS(5385),
    [anon_sym_AMP] = ACTIONS(5385),
    [anon_sym_EQ_EQ] = ACTIONS(5383),
    [anon_sym_BANG_EQ] = ACTIONS(5383),
    [anon_sym_GT] = ACTIONS(5385),
    [anon_sym_GT_EQ] = ACTIONS(5383),
    [anon_sym_LT_EQ] = ACTIONS(5385),
    [anon_sym_LT] = ACTIONS(5385),
    [anon_sym_LT_LT] = ACTIONS(5385),
    [anon_sym_GT_GT] = ACTIONS(5385),
    [anon_sym_SEMI] = ACTIONS(5383),
    [anon_sym_RBRACE] = ACTIONS(5383),
    [anon_sym_LBRACK] = ACTIONS(5383),
    [anon_sym_RBRACK] = ACTIONS(5383),
    [anon_sym_EQ] = ACTIONS(5385),
    [anon_sym_COLON] = ACTIONS(5383),
    [anon_sym_QMARK] = ACTIONS(5383),
    [anon_sym_STAR_EQ] = ACTIONS(5383),
    [anon_sym_SLASH_EQ] = ACTIONS(5383),
    [anon_sym_PERCENT_EQ] = ACTIONS(5383),
    [anon_sym_PLUS_EQ] = ACTIONS(5383),
    [anon_sym_DASH_EQ] = ACTIONS(5383),
    [anon_sym_LT_LT_EQ] = ACTIONS(5383),
    [anon_sym_GT_GT_EQ] = ACTIONS(5383),
    [anon_sym_AMP_EQ] = ACTIONS(5383),
    [anon_sym_CARET_EQ] = ACTIONS(5383),
    [anon_sym_PIPE_EQ] = ACTIONS(5383),
    [anon_sym_and_eq] = ACTIONS(5385),
    [anon_sym_or_eq] = ACTIONS(5385),
    [anon_sym_xor_eq] = ACTIONS(5385),
    [anon_sym_LT_EQ_GT] = ACTIONS(5383),
    [anon_sym_or] = ACTIONS(5385),
    [anon_sym_and] = ACTIONS(5385),
    [anon_sym_bitor] = ACTIONS(5385),
    [anon_sym_xor] = ACTIONS(5385),
    [anon_sym_bitand] = ACTIONS(5385),
    [anon_sym_not_eq] = ACTIONS(5385),
    [anon_sym_DASH_DASH] = ACTIONS(5383),
    [anon_sym_PLUS_PLUS] = ACTIONS(5383),
    [anon_sym_DOT] = ACTIONS(5385),
    [anon_sym_DOT_STAR] = ACTIONS(5383),
    [anon_sym_DASH_GT] = ACTIONS(5383),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [sym_literal_suffix] = ACTIONS(5385),
  },
  [2047] = {
    [sym_identifier] = ACTIONS(5153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5165),
    [anon_sym_COMMA] = ACTIONS(5165),
    [anon_sym_LPAREN2] = ACTIONS(5155),
    [anon_sym_TILDE] = ACTIONS(5158),
    [anon_sym_DASH] = ACTIONS(5160),
    [anon_sym_PLUS] = ACTIONS(5160),
    [anon_sym_STAR] = ACTIONS(5155),
    [anon_sym_SLASH] = ACTIONS(5160),
    [anon_sym_PERCENT] = ACTIONS(5165),
    [anon_sym_PIPE_PIPE] = ACTIONS(5165),
    [anon_sym_AMP_AMP] = ACTIONS(5155),
    [anon_sym_PIPE] = ACTIONS(5160),
    [anon_sym_CARET] = ACTIONS(5165),
    [anon_sym_AMP] = ACTIONS(5162),
    [anon_sym_EQ_EQ] = ACTIONS(5165),
    [anon_sym_BANG_EQ] = ACTIONS(5165),
    [anon_sym_GT] = ACTIONS(5160),
    [anon_sym_GT_EQ] = ACTIONS(5165),
    [anon_sym_LT_EQ] = ACTIONS(5160),
    [anon_sym_LT] = ACTIONS(5160),
    [anon_sym_LT_LT] = ACTIONS(5165),
    [anon_sym_GT_GT] = ACTIONS(5165),
    [anon_sym_SEMI] = ACTIONS(5155),
    [anon_sym___extension__] = ACTIONS(5153),
    [anon_sym_extern] = ACTIONS(5153),
    [anon_sym___attribute__] = ACTIONS(5153),
    [anon_sym_COLON_COLON] = ACTIONS(5158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5155),
    [anon_sym___declspec] = ACTIONS(5153),
    [anon_sym___based] = ACTIONS(5153),
    [anon_sym_LBRACE] = ACTIONS(5158),
    [anon_sym_RBRACE] = ACTIONS(5165),
    [anon_sym_LBRACK] = ACTIONS(5162),
    [anon_sym_static] = ACTIONS(5153),
    [anon_sym_register] = ACTIONS(5153),
    [anon_sym_inline] = ACTIONS(5153),
    [anon_sym___inline] = ACTIONS(5153),
    [anon_sym___inline__] = ACTIONS(5153),
    [anon_sym___forceinline] = ACTIONS(5153),
    [anon_sym_thread_local] = ACTIONS(5153),
    [anon_sym___thread] = ACTIONS(5153),
    [anon_sym_const] = ACTIONS(5153),
    [anon_sym_constexpr] = ACTIONS(5153),
    [anon_sym_volatile] = ACTIONS(5153),
    [anon_sym_restrict] = ACTIONS(5153),
    [anon_sym___restrict__] = ACTIONS(5153),
    [anon_sym__Atomic] = ACTIONS(5153),
    [anon_sym__Noreturn] = ACTIONS(5153),
    [anon_sym_noreturn] = ACTIONS(5153),
    [anon_sym_mutable] = ACTIONS(5153),
    [anon_sym_constinit] = ACTIONS(5153),
    [anon_sym_consteval] = ACTIONS(5153),
    [anon_sym_PROGMEM] = ACTIONS(5153),
    [anon_sym_QMARK] = ACTIONS(5165),
    [anon_sym_LT_EQ_GT] = ACTIONS(5165),
    [anon_sym_or] = ACTIONS(5160),
    [anon_sym_and] = ACTIONS(5160),
    [anon_sym_bitor] = ACTIONS(5160),
    [anon_sym_xor] = ACTIONS(5160),
    [anon_sym_bitand] = ACTIONS(5160),
    [anon_sym_not_eq] = ACTIONS(5160),
    [anon_sym_DASH_DASH] = ACTIONS(5165),
    [anon_sym_PLUS_PLUS] = ACTIONS(5165),
    [anon_sym_DOT] = ACTIONS(5160),
    [anon_sym_DOT_STAR] = ACTIONS(5165),
    [anon_sym_DASH_GT] = ACTIONS(5165),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5153),
    [anon_sym_decltype] = ACTIONS(5153),
    [anon_sym_virtual] = ACTIONS(5153),
    [anon_sym_alignas] = ACTIONS(5153),
    [anon_sym_template] = ACTIONS(5153),
    [anon_sym_operator] = ACTIONS(5153),
  },
  [2048] = {
    [sym_catch_clause] = STATE(2053),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2053),
    [sym_identifier] = ACTIONS(2854),
    [aux_sym_preproc_def_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token2] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2854),
    [aux_sym_preproc_else_token1] = ACTIONS(2854),
    [aux_sym_preproc_elif_token1] = ACTIONS(2854),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2854),
    [sym_preproc_directive] = ACTIONS(2854),
    [anon_sym_LPAREN2] = ACTIONS(2856),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_STAR] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2854),
    [anon_sym_typedef] = ACTIONS(2854),
    [anon_sym_extern] = ACTIONS(2854),
    [anon_sym___attribute__] = ACTIONS(2854),
    [anon_sym_COLON_COLON] = ACTIONS(2856),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2856),
    [anon_sym___declspec] = ACTIONS(2854),
    [anon_sym___based] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2854),
    [anon_sym_unsigned] = ACTIONS(2854),
    [anon_sym_long] = ACTIONS(2854),
    [anon_sym_short] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_register] = ACTIONS(2854),
    [anon_sym_inline] = ACTIONS(2854),
    [anon_sym___inline] = ACTIONS(2854),
    [anon_sym___inline__] = ACTIONS(2854),
    [anon_sym___forceinline] = ACTIONS(2854),
    [anon_sym_thread_local] = ACTIONS(2854),
    [anon_sym___thread] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_constexpr] = ACTIONS(2854),
    [anon_sym_volatile] = ACTIONS(2854),
    [anon_sym_restrict] = ACTIONS(2854),
    [anon_sym___restrict__] = ACTIONS(2854),
    [anon_sym__Atomic] = ACTIONS(2854),
    [anon_sym__Noreturn] = ACTIONS(2854),
    [anon_sym_noreturn] = ACTIONS(2854),
    [anon_sym_mutable] = ACTIONS(2854),
    [anon_sym_constinit] = ACTIONS(2854),
    [anon_sym_consteval] = ACTIONS(2854),
    [anon_sym_PROGMEM] = ACTIONS(2854),
    [aux_sym_primitive_type_token1] = ACTIONS(2854),
    [anon_sym_byte] = ACTIONS(2854),
    [anon_sym_word] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_struct] = ACTIONS(2854),
    [anon_sym_union] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2854),
    [anon_sym_decltype] = ACTIONS(2854),
    [anon_sym_virtual] = ACTIONS(2854),
    [anon_sym_alignas] = ACTIONS(2854),
    [anon_sym_explicit] = ACTIONS(2854),
    [anon_sym_typename] = ACTIONS(2854),
    [anon_sym_template] = ACTIONS(2854),
    [anon_sym_operator] = ACTIONS(2854),
    [anon_sym_friend] = ACTIONS(2854),
    [anon_sym_public] = ACTIONS(2854),
    [anon_sym_private] = ACTIONS(2854),
    [anon_sym_protected] = ACTIONS(2854),
    [anon_sym_using] = ACTIONS(2854),
    [anon_sym_static_assert] = ACTIONS(2854),
    [anon_sym_catch] = ACTIONS(5387),
  },
  [2049] = {
    [sym_catch_clause] = STATE(2053),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2053),
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token2] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [aux_sym_preproc_else_token1] = ACTIONS(2858),
    [aux_sym_preproc_elif_token1] = ACTIONS(2858),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [anon_sym_PROGMEM] = ACTIONS(2858),
    [aux_sym_primitive_type_token1] = ACTIONS(2858),
    [anon_sym_byte] = ACTIONS(2858),
    [anon_sym_word] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [anon_sym_virtual] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_friend] = ACTIONS(2858),
    [anon_sym_public] = ACTIONS(2858),
    [anon_sym_private] = ACTIONS(2858),
    [anon_sym_protected] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
    [anon_sym_catch] = ACTIONS(5387),
  },
  [2050] = {
    [sym__declaration_modifiers] = STATE(2241),
    [sym__declaration_specifiers] = STATE(4767),
    [sym_attribute_specifier] = STATE(2241),
    [sym_attribute_declaration] = STATE(2241),
    [sym_ms_declspec_modifier] = STATE(2241),
    [sym_storage_class_specifier] = STATE(2241),
    [sym_type_qualifier] = STATE(2241),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(8547),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2241),
    [sym_alignas_specifier] = STATE(2241),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(8547),
    [sym_variadic_parameter_declaration] = STATE(8547),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7177),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2241),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5091),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2023),
    [anon_sym_struct] = ACTIONS(2025),
    [anon_sym_union] = ACTIONS(2027),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2053),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2051] = {
    [sym_catch_clause] = STATE(2053),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2053),
    [sym_identifier] = ACTIONS(2841),
    [aux_sym_preproc_def_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token2] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2841),
    [aux_sym_preproc_else_token1] = ACTIONS(2841),
    [aux_sym_preproc_elif_token1] = ACTIONS(2841),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2841),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2841),
    [sym_preproc_directive] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_TILDE] = ACTIONS(2843),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym___extension__] = ACTIONS(2841),
    [anon_sym_typedef] = ACTIONS(2841),
    [anon_sym_extern] = ACTIONS(2841),
    [anon_sym___attribute__] = ACTIONS(2841),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2843),
    [anon_sym___declspec] = ACTIONS(2841),
    [anon_sym___based] = ACTIONS(2841),
    [anon_sym_signed] = ACTIONS(2841),
    [anon_sym_unsigned] = ACTIONS(2841),
    [anon_sym_long] = ACTIONS(2841),
    [anon_sym_short] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_static] = ACTIONS(2841),
    [anon_sym_register] = ACTIONS(2841),
    [anon_sym_inline] = ACTIONS(2841),
    [anon_sym___inline] = ACTIONS(2841),
    [anon_sym___inline__] = ACTIONS(2841),
    [anon_sym___forceinline] = ACTIONS(2841),
    [anon_sym_thread_local] = ACTIONS(2841),
    [anon_sym___thread] = ACTIONS(2841),
    [anon_sym_const] = ACTIONS(2841),
    [anon_sym_constexpr] = ACTIONS(2841),
    [anon_sym_volatile] = ACTIONS(2841),
    [anon_sym_restrict] = ACTIONS(2841),
    [anon_sym___restrict__] = ACTIONS(2841),
    [anon_sym__Atomic] = ACTIONS(2841),
    [anon_sym__Noreturn] = ACTIONS(2841),
    [anon_sym_noreturn] = ACTIONS(2841),
    [anon_sym_mutable] = ACTIONS(2841),
    [anon_sym_constinit] = ACTIONS(2841),
    [anon_sym_consteval] = ACTIONS(2841),
    [anon_sym_PROGMEM] = ACTIONS(2841),
    [aux_sym_primitive_type_token1] = ACTIONS(2841),
    [anon_sym_byte] = ACTIONS(2841),
    [anon_sym_word] = ACTIONS(2841),
    [anon_sym_enum] = ACTIONS(2841),
    [anon_sym_class] = ACTIONS(2841),
    [anon_sym_struct] = ACTIONS(2841),
    [anon_sym_union] = ACTIONS(2841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2841),
    [anon_sym_decltype] = ACTIONS(2841),
    [anon_sym_virtual] = ACTIONS(2841),
    [anon_sym_alignas] = ACTIONS(2841),
    [anon_sym_explicit] = ACTIONS(2841),
    [anon_sym_typename] = ACTIONS(2841),
    [anon_sym_template] = ACTIONS(2841),
    [anon_sym_operator] = ACTIONS(2841),
    [anon_sym_friend] = ACTIONS(2841),
    [anon_sym_public] = ACTIONS(2841),
    [anon_sym_private] = ACTIONS(2841),
    [anon_sym_protected] = ACTIONS(2841),
    [anon_sym_using] = ACTIONS(2841),
    [anon_sym_static_assert] = ACTIONS(2841),
    [anon_sym_catch] = ACTIONS(5387),
  },
  [2052] = {
    [sym_identifier] = ACTIONS(5153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5165),
    [anon_sym_COMMA] = ACTIONS(5165),
    [anon_sym_RPAREN] = ACTIONS(5165),
    [anon_sym_LPAREN2] = ACTIONS(5155),
    [anon_sym_TILDE] = ACTIONS(5158),
    [anon_sym_DASH] = ACTIONS(5160),
    [anon_sym_PLUS] = ACTIONS(5160),
    [anon_sym_STAR] = ACTIONS(5155),
    [anon_sym_SLASH] = ACTIONS(5160),
    [anon_sym_PERCENT] = ACTIONS(5165),
    [anon_sym_PIPE_PIPE] = ACTIONS(5165),
    [anon_sym_AMP_AMP] = ACTIONS(5155),
    [anon_sym_PIPE] = ACTIONS(5160),
    [anon_sym_CARET] = ACTIONS(5165),
    [anon_sym_AMP] = ACTIONS(5162),
    [anon_sym_EQ_EQ] = ACTIONS(5165),
    [anon_sym_BANG_EQ] = ACTIONS(5165),
    [anon_sym_GT] = ACTIONS(5160),
    [anon_sym_GT_EQ] = ACTIONS(5165),
    [anon_sym_LT_EQ] = ACTIONS(5160),
    [anon_sym_LT] = ACTIONS(5160),
    [anon_sym_LT_LT] = ACTIONS(5165),
    [anon_sym_GT_GT] = ACTIONS(5165),
    [anon_sym_SEMI] = ACTIONS(5165),
    [anon_sym___extension__] = ACTIONS(5153),
    [anon_sym_extern] = ACTIONS(5153),
    [anon_sym___attribute__] = ACTIONS(5153),
    [anon_sym_COLON_COLON] = ACTIONS(5158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5158),
    [anon_sym___declspec] = ACTIONS(5153),
    [anon_sym___based] = ACTIONS(5153),
    [anon_sym_LBRACE] = ACTIONS(5158),
    [anon_sym_LBRACK] = ACTIONS(5162),
    [anon_sym_static] = ACTIONS(5153),
    [anon_sym_register] = ACTIONS(5153),
    [anon_sym_inline] = ACTIONS(5153),
    [anon_sym___inline] = ACTIONS(5153),
    [anon_sym___inline__] = ACTIONS(5153),
    [anon_sym___forceinline] = ACTIONS(5153),
    [anon_sym_thread_local] = ACTIONS(5153),
    [anon_sym___thread] = ACTIONS(5153),
    [anon_sym_const] = ACTIONS(5153),
    [anon_sym_constexpr] = ACTIONS(5153),
    [anon_sym_volatile] = ACTIONS(5153),
    [anon_sym_restrict] = ACTIONS(5153),
    [anon_sym___restrict__] = ACTIONS(5153),
    [anon_sym__Atomic] = ACTIONS(5153),
    [anon_sym__Noreturn] = ACTIONS(5153),
    [anon_sym_noreturn] = ACTIONS(5153),
    [anon_sym_mutable] = ACTIONS(5153),
    [anon_sym_constinit] = ACTIONS(5153),
    [anon_sym_consteval] = ACTIONS(5153),
    [anon_sym_PROGMEM] = ACTIONS(5153),
    [anon_sym_QMARK] = ACTIONS(5165),
    [anon_sym_LT_EQ_GT] = ACTIONS(5165),
    [anon_sym_or] = ACTIONS(5160),
    [anon_sym_and] = ACTIONS(5160),
    [anon_sym_bitor] = ACTIONS(5160),
    [anon_sym_xor] = ACTIONS(5160),
    [anon_sym_bitand] = ACTIONS(5160),
    [anon_sym_not_eq] = ACTIONS(5160),
    [anon_sym_DASH_DASH] = ACTIONS(5165),
    [anon_sym_PLUS_PLUS] = ACTIONS(5165),
    [anon_sym_DOT] = ACTIONS(5160),
    [anon_sym_DOT_STAR] = ACTIONS(5165),
    [anon_sym_DASH_GT] = ACTIONS(5165),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5153),
    [anon_sym_decltype] = ACTIONS(5153),
    [anon_sym_virtual] = ACTIONS(5153),
    [anon_sym_alignas] = ACTIONS(5153),
    [anon_sym_template] = ACTIONS(5153),
    [anon_sym_operator] = ACTIONS(5153),
  },
  [2053] = {
    [sym_catch_clause] = STATE(2053),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2053),
    [sym_identifier] = ACTIONS(2847),
    [aux_sym_preproc_def_token1] = ACTIONS(2847),
    [aux_sym_preproc_if_token1] = ACTIONS(2847),
    [aux_sym_preproc_if_token2] = ACTIONS(2847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2847),
    [aux_sym_preproc_else_token1] = ACTIONS(2847),
    [aux_sym_preproc_elif_token1] = ACTIONS(2847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2847),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2847),
    [sym_preproc_directive] = ACTIONS(2847),
    [anon_sym_LPAREN2] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2849),
    [anon_sym_STAR] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2849),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym___extension__] = ACTIONS(2847),
    [anon_sym_typedef] = ACTIONS(2847),
    [anon_sym_extern] = ACTIONS(2847),
    [anon_sym___attribute__] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(2849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2849),
    [anon_sym___declspec] = ACTIONS(2847),
    [anon_sym___based] = ACTIONS(2847),
    [anon_sym_signed] = ACTIONS(2847),
    [anon_sym_unsigned] = ACTIONS(2847),
    [anon_sym_long] = ACTIONS(2847),
    [anon_sym_short] = ACTIONS(2847),
    [anon_sym_LBRACK] = ACTIONS(2847),
    [anon_sym_static] = ACTIONS(2847),
    [anon_sym_register] = ACTIONS(2847),
    [anon_sym_inline] = ACTIONS(2847),
    [anon_sym___inline] = ACTIONS(2847),
    [anon_sym___inline__] = ACTIONS(2847),
    [anon_sym___forceinline] = ACTIONS(2847),
    [anon_sym_thread_local] = ACTIONS(2847),
    [anon_sym___thread] = ACTIONS(2847),
    [anon_sym_const] = ACTIONS(2847),
    [anon_sym_constexpr] = ACTIONS(2847),
    [anon_sym_volatile] = ACTIONS(2847),
    [anon_sym_restrict] = ACTIONS(2847),
    [anon_sym___restrict__] = ACTIONS(2847),
    [anon_sym__Atomic] = ACTIONS(2847),
    [anon_sym__Noreturn] = ACTIONS(2847),
    [anon_sym_noreturn] = ACTIONS(2847),
    [anon_sym_mutable] = ACTIONS(2847),
    [anon_sym_constinit] = ACTIONS(2847),
    [anon_sym_consteval] = ACTIONS(2847),
    [anon_sym_PROGMEM] = ACTIONS(2847),
    [aux_sym_primitive_type_token1] = ACTIONS(2847),
    [anon_sym_byte] = ACTIONS(2847),
    [anon_sym_word] = ACTIONS(2847),
    [anon_sym_enum] = ACTIONS(2847),
    [anon_sym_class] = ACTIONS(2847),
    [anon_sym_struct] = ACTIONS(2847),
    [anon_sym_union] = ACTIONS(2847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2847),
    [anon_sym_decltype] = ACTIONS(2847),
    [anon_sym_virtual] = ACTIONS(2847),
    [anon_sym_alignas] = ACTIONS(2847),
    [anon_sym_explicit] = ACTIONS(2847),
    [anon_sym_typename] = ACTIONS(2847),
    [anon_sym_template] = ACTIONS(2847),
    [anon_sym_operator] = ACTIONS(2847),
    [anon_sym_friend] = ACTIONS(2847),
    [anon_sym_public] = ACTIONS(2847),
    [anon_sym_private] = ACTIONS(2847),
    [anon_sym_protected] = ACTIONS(2847),
    [anon_sym_using] = ACTIONS(2847),
    [anon_sym_static_assert] = ACTIONS(2847),
    [anon_sym_catch] = ACTIONS(5389),
  },
  [2054] = {
    [sym_identifier] = ACTIONS(5153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5155),
    [anon_sym_COMMA] = ACTIONS(5155),
    [anon_sym_RPAREN] = ACTIONS(5155),
    [anon_sym_LPAREN2] = ACTIONS(5155),
    [anon_sym_TILDE] = ACTIONS(5158),
    [anon_sym_DASH] = ACTIONS(5160),
    [anon_sym_PLUS] = ACTIONS(5160),
    [anon_sym_STAR] = ACTIONS(5155),
    [anon_sym_SLASH] = ACTIONS(5160),
    [anon_sym_PERCENT] = ACTIONS(5165),
    [anon_sym_PIPE_PIPE] = ACTIONS(5165),
    [anon_sym_AMP_AMP] = ACTIONS(5155),
    [anon_sym_PIPE] = ACTIONS(5160),
    [anon_sym_CARET] = ACTIONS(5165),
    [anon_sym_AMP] = ACTIONS(5162),
    [anon_sym_EQ_EQ] = ACTIONS(5165),
    [anon_sym_BANG_EQ] = ACTIONS(5165),
    [anon_sym_GT] = ACTIONS(5160),
    [anon_sym_GT_EQ] = ACTIONS(5165),
    [anon_sym_LT_EQ] = ACTIONS(5160),
    [anon_sym_LT] = ACTIONS(5160),
    [anon_sym_LT_LT] = ACTIONS(5165),
    [anon_sym_GT_GT] = ACTIONS(5165),
    [anon_sym___extension__] = ACTIONS(5153),
    [anon_sym_extern] = ACTIONS(5153),
    [anon_sym___attribute__] = ACTIONS(5153),
    [anon_sym_COLON_COLON] = ACTIONS(5158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5158),
    [anon_sym___declspec] = ACTIONS(5153),
    [anon_sym___based] = ACTIONS(5153),
    [anon_sym_LBRACE] = ACTIONS(5158),
    [anon_sym_LBRACK] = ACTIONS(5162),
    [anon_sym_EQ] = ACTIONS(5153),
    [anon_sym_static] = ACTIONS(5153),
    [anon_sym_register] = ACTIONS(5153),
    [anon_sym_inline] = ACTIONS(5153),
    [anon_sym___inline] = ACTIONS(5153),
    [anon_sym___inline__] = ACTIONS(5153),
    [anon_sym___forceinline] = ACTIONS(5153),
    [anon_sym_thread_local] = ACTIONS(5153),
    [anon_sym___thread] = ACTIONS(5153),
    [anon_sym_const] = ACTIONS(5153),
    [anon_sym_constexpr] = ACTIONS(5153),
    [anon_sym_volatile] = ACTIONS(5153),
    [anon_sym_restrict] = ACTIONS(5153),
    [anon_sym___restrict__] = ACTIONS(5153),
    [anon_sym__Atomic] = ACTIONS(5153),
    [anon_sym__Noreturn] = ACTIONS(5153),
    [anon_sym_noreturn] = ACTIONS(5153),
    [anon_sym_mutable] = ACTIONS(5153),
    [anon_sym_constinit] = ACTIONS(5153),
    [anon_sym_consteval] = ACTIONS(5153),
    [anon_sym_PROGMEM] = ACTIONS(5153),
    [anon_sym_QMARK] = ACTIONS(5165),
    [anon_sym_LT_EQ_GT] = ACTIONS(5165),
    [anon_sym_or] = ACTIONS(5160),
    [anon_sym_and] = ACTIONS(5160),
    [anon_sym_bitor] = ACTIONS(5160),
    [anon_sym_xor] = ACTIONS(5160),
    [anon_sym_bitand] = ACTIONS(5160),
    [anon_sym_not_eq] = ACTIONS(5160),
    [anon_sym_DASH_DASH] = ACTIONS(5165),
    [anon_sym_PLUS_PLUS] = ACTIONS(5165),
    [anon_sym_DOT] = ACTIONS(5160),
    [anon_sym_DOT_STAR] = ACTIONS(5165),
    [anon_sym_DASH_GT] = ACTIONS(5165),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5153),
    [anon_sym_decltype] = ACTIONS(5153),
    [anon_sym_virtual] = ACTIONS(5153),
    [anon_sym_alignas] = ACTIONS(5153),
    [anon_sym_template] = ACTIONS(5153),
    [anon_sym_operator] = ACTIONS(5153),
  },
  [2055] = {
    [sym_identifier] = ACTIONS(2261),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [aux_sym_preproc_if_token1] = ACTIONS(2261),
    [aux_sym_preproc_if_token2] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2261),
    [aux_sym_preproc_else_token1] = ACTIONS(2261),
    [aux_sym_preproc_elif_token1] = ACTIONS(2261),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2261),
    [anon_sym_LPAREN2] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym___extension__] = ACTIONS(2261),
    [anon_sym_typedef] = ACTIONS(2261),
    [anon_sym_extern] = ACTIONS(2261),
    [anon_sym___attribute__] = ACTIONS(2261),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2259),
    [anon_sym___declspec] = ACTIONS(2261),
    [anon_sym___based] = ACTIONS(2261),
    [anon_sym_signed] = ACTIONS(2261),
    [anon_sym_unsigned] = ACTIONS(2261),
    [anon_sym_long] = ACTIONS(2261),
    [anon_sym_short] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_register] = ACTIONS(2261),
    [anon_sym_inline] = ACTIONS(2261),
    [anon_sym___inline] = ACTIONS(2261),
    [anon_sym___inline__] = ACTIONS(2261),
    [anon_sym___forceinline] = ACTIONS(2261),
    [anon_sym_thread_local] = ACTIONS(2261),
    [anon_sym___thread] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_constexpr] = ACTIONS(2261),
    [anon_sym_volatile] = ACTIONS(2261),
    [anon_sym_restrict] = ACTIONS(2261),
    [anon_sym___restrict__] = ACTIONS(2261),
    [anon_sym__Atomic] = ACTIONS(2261),
    [anon_sym__Noreturn] = ACTIONS(2261),
    [anon_sym_noreturn] = ACTIONS(2261),
    [anon_sym_mutable] = ACTIONS(2261),
    [anon_sym_constinit] = ACTIONS(2261),
    [anon_sym_consteval] = ACTIONS(2261),
    [anon_sym_PROGMEM] = ACTIONS(2261),
    [aux_sym_primitive_type_token1] = ACTIONS(2261),
    [anon_sym_byte] = ACTIONS(2261),
    [anon_sym_word] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_struct] = ACTIONS(2261),
    [anon_sym_union] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2261),
    [anon_sym_decltype] = ACTIONS(2261),
    [anon_sym_virtual] = ACTIONS(2261),
    [anon_sym_alignas] = ACTIONS(2261),
    [anon_sym_explicit] = ACTIONS(2261),
    [anon_sym_typename] = ACTIONS(2261),
    [anon_sym_template] = ACTIONS(2261),
    [anon_sym_operator] = ACTIONS(2261),
    [anon_sym_friend] = ACTIONS(2261),
    [anon_sym_public] = ACTIONS(2261),
    [anon_sym_private] = ACTIONS(2261),
    [anon_sym_protected] = ACTIONS(2261),
    [anon_sym_using] = ACTIONS(2261),
    [anon_sym_static_assert] = ACTIONS(2261),
    [anon_sym_catch] = ACTIONS(2261),
  },
  [2056] = {
    [sym_identifier] = ACTIONS(2261),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [anon_sym_COMMA] = ACTIONS(3026),
    [aux_sym_preproc_if_token1] = ACTIONS(2261),
    [aux_sym_preproc_if_token2] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2261),
    [aux_sym_preproc_else_token1] = ACTIONS(2261),
    [aux_sym_preproc_elif_token1] = ACTIONS(2261),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2261),
    [anon_sym_LPAREN2] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym___extension__] = ACTIONS(2261),
    [anon_sym_typedef] = ACTIONS(2261),
    [anon_sym_extern] = ACTIONS(2261),
    [anon_sym___attribute__] = ACTIONS(5392),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2259),
    [anon_sym___declspec] = ACTIONS(2261),
    [anon_sym___based] = ACTIONS(2261),
    [anon_sym_signed] = ACTIONS(2261),
    [anon_sym_unsigned] = ACTIONS(2261),
    [anon_sym_long] = ACTIONS(2261),
    [anon_sym_short] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_register] = ACTIONS(2261),
    [anon_sym_inline] = ACTIONS(2261),
    [anon_sym___inline] = ACTIONS(2261),
    [anon_sym___inline__] = ACTIONS(2261),
    [anon_sym___forceinline] = ACTIONS(2261),
    [anon_sym_thread_local] = ACTIONS(2261),
    [anon_sym___thread] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_constexpr] = ACTIONS(2261),
    [anon_sym_volatile] = ACTIONS(2261),
    [anon_sym_restrict] = ACTIONS(2261),
    [anon_sym___restrict__] = ACTIONS(2261),
    [anon_sym__Atomic] = ACTIONS(2261),
    [anon_sym__Noreturn] = ACTIONS(2261),
    [anon_sym_noreturn] = ACTIONS(2261),
    [anon_sym_mutable] = ACTIONS(2261),
    [anon_sym_constinit] = ACTIONS(2261),
    [anon_sym_consteval] = ACTIONS(2261),
    [anon_sym_PROGMEM] = ACTIONS(2261),
    [aux_sym_primitive_type_token1] = ACTIONS(2261),
    [anon_sym_byte] = ACTIONS(2261),
    [anon_sym_word] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_struct] = ACTIONS(2261),
    [anon_sym_union] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2261),
    [anon_sym_decltype] = ACTIONS(2261),
    [anon_sym_virtual] = ACTIONS(2261),
    [anon_sym_alignas] = ACTIONS(2261),
    [anon_sym_explicit] = ACTIONS(2261),
    [anon_sym_typename] = ACTIONS(2261),
    [anon_sym_template] = ACTIONS(2261),
    [anon_sym_operator] = ACTIONS(2261),
    [anon_sym_friend] = ACTIONS(2261),
    [anon_sym_public] = ACTIONS(2261),
    [anon_sym_private] = ACTIONS(2261),
    [anon_sym_protected] = ACTIONS(2261),
    [anon_sym_using] = ACTIONS(2261),
    [anon_sym_static_assert] = ACTIONS(2261),
  },
  [2057] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5127),
    [anon_sym_COMMA] = ACTIONS(5127),
    [anon_sym_RPAREN] = ACTIONS(5127),
    [anon_sym_LPAREN2] = ACTIONS(5127),
    [anon_sym_DASH] = ACTIONS(5125),
    [anon_sym_PLUS] = ACTIONS(5125),
    [anon_sym_STAR] = ACTIONS(5125),
    [anon_sym_SLASH] = ACTIONS(5125),
    [anon_sym_PERCENT] = ACTIONS(5125),
    [anon_sym_PIPE_PIPE] = ACTIONS(5127),
    [anon_sym_AMP_AMP] = ACTIONS(5127),
    [anon_sym_PIPE] = ACTIONS(5125),
    [anon_sym_CARET] = ACTIONS(5125),
    [anon_sym_AMP] = ACTIONS(5125),
    [anon_sym_EQ_EQ] = ACTIONS(5127),
    [anon_sym_BANG_EQ] = ACTIONS(5127),
    [anon_sym_GT] = ACTIONS(5125),
    [anon_sym_GT_EQ] = ACTIONS(5127),
    [anon_sym_LT_EQ] = ACTIONS(5125),
    [anon_sym_LT] = ACTIONS(5125),
    [anon_sym_LT_LT] = ACTIONS(5125),
    [anon_sym_GT_GT] = ACTIONS(5125),
    [anon_sym___extension__] = ACTIONS(5127),
    [anon_sym___attribute__] = ACTIONS(5127),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACE] = ACTIONS(5127),
    [anon_sym_LBRACK] = ACTIONS(5127),
    [anon_sym_EQ] = ACTIONS(5125),
    [anon_sym_const] = ACTIONS(5125),
    [anon_sym_constexpr] = ACTIONS(5127),
    [anon_sym_volatile] = ACTIONS(5127),
    [anon_sym_restrict] = ACTIONS(5127),
    [anon_sym___restrict__] = ACTIONS(5127),
    [anon_sym__Atomic] = ACTIONS(5127),
    [anon_sym__Noreturn] = ACTIONS(5127),
    [anon_sym_noreturn] = ACTIONS(5127),
    [anon_sym_mutable] = ACTIONS(5127),
    [anon_sym_constinit] = ACTIONS(5127),
    [anon_sym_consteval] = ACTIONS(5127),
    [anon_sym_PROGMEM] = ACTIONS(5127),
    [anon_sym_COLON] = ACTIONS(5125),
    [anon_sym_QMARK] = ACTIONS(5127),
    [anon_sym_STAR_EQ] = ACTIONS(5127),
    [anon_sym_SLASH_EQ] = ACTIONS(5127),
    [anon_sym_PERCENT_EQ] = ACTIONS(5127),
    [anon_sym_PLUS_EQ] = ACTIONS(5127),
    [anon_sym_DASH_EQ] = ACTIONS(5127),
    [anon_sym_LT_LT_EQ] = ACTIONS(5127),
    [anon_sym_GT_GT_EQ] = ACTIONS(5127),
    [anon_sym_AMP_EQ] = ACTIONS(5127),
    [anon_sym_CARET_EQ] = ACTIONS(5127),
    [anon_sym_PIPE_EQ] = ACTIONS(5127),
    [anon_sym_and_eq] = ACTIONS(5127),
    [anon_sym_or_eq] = ACTIONS(5127),
    [anon_sym_xor_eq] = ACTIONS(5127),
    [anon_sym_LT_EQ_GT] = ACTIONS(5127),
    [anon_sym_or] = ACTIONS(5125),
    [anon_sym_and] = ACTIONS(5125),
    [anon_sym_bitor] = ACTIONS(5127),
    [anon_sym_xor] = ACTIONS(5125),
    [anon_sym_bitand] = ACTIONS(5127),
    [anon_sym_not_eq] = ACTIONS(5127),
    [anon_sym_DASH_DASH] = ACTIONS(5127),
    [anon_sym_PLUS_PLUS] = ACTIONS(5127),
    [anon_sym_DOT] = ACTIONS(5125),
    [anon_sym_DOT_STAR] = ACTIONS(5127),
    [anon_sym_DASH_GT] = ACTIONS(5125),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5127),
    [anon_sym_decltype] = ACTIONS(5127),
    [anon_sym_final] = ACTIONS(5127),
    [anon_sym_override] = ACTIONS(5127),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5127),
  },
  [2058] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5147),
    [anon_sym_COMMA] = ACTIONS(5147),
    [anon_sym_RPAREN] = ACTIONS(5147),
    [anon_sym_LPAREN2] = ACTIONS(5147),
    [anon_sym_DASH] = ACTIONS(5145),
    [anon_sym_PLUS] = ACTIONS(5145),
    [anon_sym_STAR] = ACTIONS(5145),
    [anon_sym_SLASH] = ACTIONS(5145),
    [anon_sym_PERCENT] = ACTIONS(5145),
    [anon_sym_PIPE_PIPE] = ACTIONS(5147),
    [anon_sym_AMP_AMP] = ACTIONS(5147),
    [anon_sym_PIPE] = ACTIONS(5145),
    [anon_sym_CARET] = ACTIONS(5145),
    [anon_sym_AMP] = ACTIONS(5145),
    [anon_sym_EQ_EQ] = ACTIONS(5147),
    [anon_sym_BANG_EQ] = ACTIONS(5147),
    [anon_sym_GT] = ACTIONS(5145),
    [anon_sym_GT_EQ] = ACTIONS(5147),
    [anon_sym_LT_EQ] = ACTIONS(5145),
    [anon_sym_LT] = ACTIONS(5145),
    [anon_sym_LT_LT] = ACTIONS(5145),
    [anon_sym_GT_GT] = ACTIONS(5145),
    [anon_sym___extension__] = ACTIONS(5147),
    [anon_sym___attribute__] = ACTIONS(5147),
    [anon_sym_COLON_COLON] = ACTIONS(5147),
    [anon_sym_LBRACE] = ACTIONS(5147),
    [anon_sym_LBRACK] = ACTIONS(5147),
    [anon_sym_EQ] = ACTIONS(5145),
    [anon_sym_const] = ACTIONS(5145),
    [anon_sym_constexpr] = ACTIONS(5147),
    [anon_sym_volatile] = ACTIONS(5147),
    [anon_sym_restrict] = ACTIONS(5147),
    [anon_sym___restrict__] = ACTIONS(5147),
    [anon_sym__Atomic] = ACTIONS(5147),
    [anon_sym__Noreturn] = ACTIONS(5147),
    [anon_sym_noreturn] = ACTIONS(5147),
    [anon_sym_mutable] = ACTIONS(5147),
    [anon_sym_constinit] = ACTIONS(5147),
    [anon_sym_consteval] = ACTIONS(5147),
    [anon_sym_PROGMEM] = ACTIONS(5147),
    [anon_sym_COLON] = ACTIONS(5145),
    [anon_sym_QMARK] = ACTIONS(5147),
    [anon_sym_STAR_EQ] = ACTIONS(5147),
    [anon_sym_SLASH_EQ] = ACTIONS(5147),
    [anon_sym_PERCENT_EQ] = ACTIONS(5147),
    [anon_sym_PLUS_EQ] = ACTIONS(5147),
    [anon_sym_DASH_EQ] = ACTIONS(5147),
    [anon_sym_LT_LT_EQ] = ACTIONS(5147),
    [anon_sym_GT_GT_EQ] = ACTIONS(5147),
    [anon_sym_AMP_EQ] = ACTIONS(5147),
    [anon_sym_CARET_EQ] = ACTIONS(5147),
    [anon_sym_PIPE_EQ] = ACTIONS(5147),
    [anon_sym_and_eq] = ACTIONS(5147),
    [anon_sym_or_eq] = ACTIONS(5147),
    [anon_sym_xor_eq] = ACTIONS(5147),
    [anon_sym_LT_EQ_GT] = ACTIONS(5147),
    [anon_sym_or] = ACTIONS(5145),
    [anon_sym_and] = ACTIONS(5145),
    [anon_sym_bitor] = ACTIONS(5147),
    [anon_sym_xor] = ACTIONS(5145),
    [anon_sym_bitand] = ACTIONS(5147),
    [anon_sym_not_eq] = ACTIONS(5147),
    [anon_sym_DASH_DASH] = ACTIONS(5147),
    [anon_sym_PLUS_PLUS] = ACTIONS(5147),
    [anon_sym_DOT] = ACTIONS(5145),
    [anon_sym_DOT_STAR] = ACTIONS(5147),
    [anon_sym_DASH_GT] = ACTIONS(5145),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5147),
    [anon_sym_decltype] = ACTIONS(5147),
    [anon_sym_final] = ACTIONS(5147),
    [anon_sym_override] = ACTIONS(5147),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5147),
  },
  [2059] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5131),
    [anon_sym_COMMA] = ACTIONS(5131),
    [anon_sym_RPAREN] = ACTIONS(5131),
    [anon_sym_LPAREN2] = ACTIONS(5131),
    [anon_sym_DASH] = ACTIONS(5129),
    [anon_sym_PLUS] = ACTIONS(5129),
    [anon_sym_STAR] = ACTIONS(5129),
    [anon_sym_SLASH] = ACTIONS(5129),
    [anon_sym_PERCENT] = ACTIONS(5129),
    [anon_sym_PIPE_PIPE] = ACTIONS(5131),
    [anon_sym_AMP_AMP] = ACTIONS(5131),
    [anon_sym_PIPE] = ACTIONS(5129),
    [anon_sym_CARET] = ACTIONS(5129),
    [anon_sym_AMP] = ACTIONS(5129),
    [anon_sym_EQ_EQ] = ACTIONS(5131),
    [anon_sym_BANG_EQ] = ACTIONS(5131),
    [anon_sym_GT] = ACTIONS(5129),
    [anon_sym_GT_EQ] = ACTIONS(5131),
    [anon_sym_LT_EQ] = ACTIONS(5129),
    [anon_sym_LT] = ACTIONS(5129),
    [anon_sym_LT_LT] = ACTIONS(5129),
    [anon_sym_GT_GT] = ACTIONS(5129),
    [anon_sym___extension__] = ACTIONS(5131),
    [anon_sym___attribute__] = ACTIONS(5131),
    [anon_sym_COLON_COLON] = ACTIONS(5131),
    [anon_sym_LBRACE] = ACTIONS(5131),
    [anon_sym_LBRACK] = ACTIONS(5131),
    [anon_sym_EQ] = ACTIONS(5129),
    [anon_sym_const] = ACTIONS(5129),
    [anon_sym_constexpr] = ACTIONS(5131),
    [anon_sym_volatile] = ACTIONS(5131),
    [anon_sym_restrict] = ACTIONS(5131),
    [anon_sym___restrict__] = ACTIONS(5131),
    [anon_sym__Atomic] = ACTIONS(5131),
    [anon_sym__Noreturn] = ACTIONS(5131),
    [anon_sym_noreturn] = ACTIONS(5131),
    [anon_sym_mutable] = ACTIONS(5131),
    [anon_sym_constinit] = ACTIONS(5131),
    [anon_sym_consteval] = ACTIONS(5131),
    [anon_sym_PROGMEM] = ACTIONS(5131),
    [anon_sym_COLON] = ACTIONS(5129),
    [anon_sym_QMARK] = ACTIONS(5131),
    [anon_sym_STAR_EQ] = ACTIONS(5131),
    [anon_sym_SLASH_EQ] = ACTIONS(5131),
    [anon_sym_PERCENT_EQ] = ACTIONS(5131),
    [anon_sym_PLUS_EQ] = ACTIONS(5131),
    [anon_sym_DASH_EQ] = ACTIONS(5131),
    [anon_sym_LT_LT_EQ] = ACTIONS(5131),
    [anon_sym_GT_GT_EQ] = ACTIONS(5131),
    [anon_sym_AMP_EQ] = ACTIONS(5131),
    [anon_sym_CARET_EQ] = ACTIONS(5131),
    [anon_sym_PIPE_EQ] = ACTIONS(5131),
    [anon_sym_and_eq] = ACTIONS(5131),
    [anon_sym_or_eq] = ACTIONS(5131),
    [anon_sym_xor_eq] = ACTIONS(5131),
    [anon_sym_LT_EQ_GT] = ACTIONS(5131),
    [anon_sym_or] = ACTIONS(5129),
    [anon_sym_and] = ACTIONS(5129),
    [anon_sym_bitor] = ACTIONS(5131),
    [anon_sym_xor] = ACTIONS(5129),
    [anon_sym_bitand] = ACTIONS(5131),
    [anon_sym_not_eq] = ACTIONS(5131),
    [anon_sym_DASH_DASH] = ACTIONS(5131),
    [anon_sym_PLUS_PLUS] = ACTIONS(5131),
    [anon_sym_DOT] = ACTIONS(5129),
    [anon_sym_DOT_STAR] = ACTIONS(5131),
    [anon_sym_DASH_GT] = ACTIONS(5129),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5131),
    [anon_sym_decltype] = ACTIONS(5131),
    [anon_sym_final] = ACTIONS(5131),
    [anon_sym_override] = ACTIONS(5131),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5131),
  },
  [2060] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2060),
    [sym_identifier] = ACTIONS(5374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5376),
    [anon_sym_COMMA] = ACTIONS(5376),
    [anon_sym_RPAREN] = ACTIONS(5376),
    [aux_sym_preproc_if_token2] = ACTIONS(5376),
    [aux_sym_preproc_else_token1] = ACTIONS(5376),
    [aux_sym_preproc_elif_token1] = ACTIONS(5374),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5376),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5376),
    [anon_sym_LPAREN2] = ACTIONS(5376),
    [anon_sym_DASH] = ACTIONS(5374),
    [anon_sym_PLUS] = ACTIONS(5374),
    [anon_sym_STAR] = ACTIONS(5374),
    [anon_sym_SLASH] = ACTIONS(5374),
    [anon_sym_PERCENT] = ACTIONS(5374),
    [anon_sym_PIPE_PIPE] = ACTIONS(5376),
    [anon_sym_AMP_AMP] = ACTIONS(5376),
    [anon_sym_PIPE] = ACTIONS(5374),
    [anon_sym_CARET] = ACTIONS(5374),
    [anon_sym_AMP] = ACTIONS(5374),
    [anon_sym_EQ_EQ] = ACTIONS(5376),
    [anon_sym_BANG_EQ] = ACTIONS(5376),
    [anon_sym_GT] = ACTIONS(5374),
    [anon_sym_GT_EQ] = ACTIONS(5376),
    [anon_sym_LT_EQ] = ACTIONS(5374),
    [anon_sym_LT] = ACTIONS(5374),
    [anon_sym_LT_LT] = ACTIONS(5374),
    [anon_sym_GT_GT] = ACTIONS(5374),
    [anon_sym_SEMI] = ACTIONS(5376),
    [anon_sym___attribute__] = ACTIONS(5374),
    [anon_sym_LBRACE] = ACTIONS(5376),
    [anon_sym_RBRACE] = ACTIONS(5376),
    [anon_sym_signed] = ACTIONS(5394),
    [anon_sym_unsigned] = ACTIONS(5394),
    [anon_sym_long] = ACTIONS(5394),
    [anon_sym_short] = ACTIONS(5394),
    [anon_sym_LBRACK] = ACTIONS(5376),
    [anon_sym_RBRACK] = ACTIONS(5376),
    [anon_sym_EQ] = ACTIONS(5374),
    [aux_sym_primitive_type_token1] = ACTIONS(5374),
    [anon_sym_byte] = ACTIONS(5374),
    [anon_sym_word] = ACTIONS(5374),
    [anon_sym_COLON] = ACTIONS(5376),
    [anon_sym_QMARK] = ACTIONS(5376),
    [anon_sym_STAR_EQ] = ACTIONS(5376),
    [anon_sym_SLASH_EQ] = ACTIONS(5376),
    [anon_sym_PERCENT_EQ] = ACTIONS(5376),
    [anon_sym_PLUS_EQ] = ACTIONS(5376),
    [anon_sym_DASH_EQ] = ACTIONS(5376),
    [anon_sym_LT_LT_EQ] = ACTIONS(5376),
    [anon_sym_GT_GT_EQ] = ACTIONS(5376),
    [anon_sym_AMP_EQ] = ACTIONS(5376),
    [anon_sym_CARET_EQ] = ACTIONS(5376),
    [anon_sym_PIPE_EQ] = ACTIONS(5376),
    [anon_sym_and_eq] = ACTIONS(5374),
    [anon_sym_or_eq] = ACTIONS(5374),
    [anon_sym_xor_eq] = ACTIONS(5374),
    [anon_sym_LT_EQ_GT] = ACTIONS(5376),
    [anon_sym_or] = ACTIONS(5374),
    [anon_sym_and] = ACTIONS(5374),
    [anon_sym_bitor] = ACTIONS(5374),
    [anon_sym_xor] = ACTIONS(5374),
    [anon_sym_bitand] = ACTIONS(5374),
    [anon_sym_not_eq] = ACTIONS(5374),
    [anon_sym_DASH_DASH] = ACTIONS(5376),
    [anon_sym_PLUS_PLUS] = ACTIONS(5376),
    [anon_sym_DOT] = ACTIONS(5374),
    [anon_sym_DOT_STAR] = ACTIONS(5376),
    [anon_sym_DASH_GT] = ACTIONS(5376),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5374),
    [anon_sym_decltype] = ACTIONS(5374),
  },
  [2061] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5139),
    [anon_sym_COMMA] = ACTIONS(5139),
    [anon_sym_RPAREN] = ACTIONS(5139),
    [anon_sym_LPAREN2] = ACTIONS(5139),
    [anon_sym_DASH] = ACTIONS(5137),
    [anon_sym_PLUS] = ACTIONS(5137),
    [anon_sym_STAR] = ACTIONS(5137),
    [anon_sym_SLASH] = ACTIONS(5137),
    [anon_sym_PERCENT] = ACTIONS(5137),
    [anon_sym_PIPE_PIPE] = ACTIONS(5139),
    [anon_sym_AMP_AMP] = ACTIONS(5139),
    [anon_sym_PIPE] = ACTIONS(5137),
    [anon_sym_CARET] = ACTIONS(5137),
    [anon_sym_AMP] = ACTIONS(5137),
    [anon_sym_EQ_EQ] = ACTIONS(5139),
    [anon_sym_BANG_EQ] = ACTIONS(5139),
    [anon_sym_GT] = ACTIONS(5137),
    [anon_sym_GT_EQ] = ACTIONS(5139),
    [anon_sym_LT_EQ] = ACTIONS(5137),
    [anon_sym_LT] = ACTIONS(5137),
    [anon_sym_LT_LT] = ACTIONS(5137),
    [anon_sym_GT_GT] = ACTIONS(5137),
    [anon_sym___extension__] = ACTIONS(5139),
    [anon_sym___attribute__] = ACTIONS(5139),
    [anon_sym_COLON_COLON] = ACTIONS(5139),
    [anon_sym_LBRACE] = ACTIONS(5139),
    [anon_sym_LBRACK] = ACTIONS(5139),
    [anon_sym_EQ] = ACTIONS(5137),
    [anon_sym_const] = ACTIONS(5137),
    [anon_sym_constexpr] = ACTIONS(5139),
    [anon_sym_volatile] = ACTIONS(5139),
    [anon_sym_restrict] = ACTIONS(5139),
    [anon_sym___restrict__] = ACTIONS(5139),
    [anon_sym__Atomic] = ACTIONS(5139),
    [anon_sym__Noreturn] = ACTIONS(5139),
    [anon_sym_noreturn] = ACTIONS(5139),
    [anon_sym_mutable] = ACTIONS(5139),
    [anon_sym_constinit] = ACTIONS(5139),
    [anon_sym_consteval] = ACTIONS(5139),
    [anon_sym_PROGMEM] = ACTIONS(5139),
    [anon_sym_COLON] = ACTIONS(5137),
    [anon_sym_QMARK] = ACTIONS(5139),
    [anon_sym_STAR_EQ] = ACTIONS(5139),
    [anon_sym_SLASH_EQ] = ACTIONS(5139),
    [anon_sym_PERCENT_EQ] = ACTIONS(5139),
    [anon_sym_PLUS_EQ] = ACTIONS(5139),
    [anon_sym_DASH_EQ] = ACTIONS(5139),
    [anon_sym_LT_LT_EQ] = ACTIONS(5139),
    [anon_sym_GT_GT_EQ] = ACTIONS(5139),
    [anon_sym_AMP_EQ] = ACTIONS(5139),
    [anon_sym_CARET_EQ] = ACTIONS(5139),
    [anon_sym_PIPE_EQ] = ACTIONS(5139),
    [anon_sym_and_eq] = ACTIONS(5139),
    [anon_sym_or_eq] = ACTIONS(5139),
    [anon_sym_xor_eq] = ACTIONS(5139),
    [anon_sym_LT_EQ_GT] = ACTIONS(5139),
    [anon_sym_or] = ACTIONS(5137),
    [anon_sym_and] = ACTIONS(5137),
    [anon_sym_bitor] = ACTIONS(5139),
    [anon_sym_xor] = ACTIONS(5137),
    [anon_sym_bitand] = ACTIONS(5139),
    [anon_sym_not_eq] = ACTIONS(5139),
    [anon_sym_DASH_DASH] = ACTIONS(5139),
    [anon_sym_PLUS_PLUS] = ACTIONS(5139),
    [anon_sym_DOT] = ACTIONS(5137),
    [anon_sym_DOT_STAR] = ACTIONS(5139),
    [anon_sym_DASH_GT] = ACTIONS(5137),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5139),
    [anon_sym_decltype] = ACTIONS(5139),
    [anon_sym_final] = ACTIONS(5139),
    [anon_sym_override] = ACTIONS(5139),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5139),
  },
  [2062] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5143),
    [anon_sym_COMMA] = ACTIONS(5143),
    [anon_sym_RPAREN] = ACTIONS(5143),
    [anon_sym_LPAREN2] = ACTIONS(5143),
    [anon_sym_DASH] = ACTIONS(5141),
    [anon_sym_PLUS] = ACTIONS(5141),
    [anon_sym_STAR] = ACTIONS(5141),
    [anon_sym_SLASH] = ACTIONS(5141),
    [anon_sym_PERCENT] = ACTIONS(5141),
    [anon_sym_PIPE_PIPE] = ACTIONS(5143),
    [anon_sym_AMP_AMP] = ACTIONS(5143),
    [anon_sym_PIPE] = ACTIONS(5141),
    [anon_sym_CARET] = ACTIONS(5141),
    [anon_sym_AMP] = ACTIONS(5141),
    [anon_sym_EQ_EQ] = ACTIONS(5143),
    [anon_sym_BANG_EQ] = ACTIONS(5143),
    [anon_sym_GT] = ACTIONS(5141),
    [anon_sym_GT_EQ] = ACTIONS(5143),
    [anon_sym_LT_EQ] = ACTIONS(5141),
    [anon_sym_LT] = ACTIONS(5141),
    [anon_sym_LT_LT] = ACTIONS(5141),
    [anon_sym_GT_GT] = ACTIONS(5141),
    [anon_sym___extension__] = ACTIONS(5143),
    [anon_sym___attribute__] = ACTIONS(5143),
    [anon_sym_COLON_COLON] = ACTIONS(5143),
    [anon_sym_LBRACE] = ACTIONS(5143),
    [anon_sym_LBRACK] = ACTIONS(5143),
    [anon_sym_EQ] = ACTIONS(5141),
    [anon_sym_const] = ACTIONS(5141),
    [anon_sym_constexpr] = ACTIONS(5143),
    [anon_sym_volatile] = ACTIONS(5143),
    [anon_sym_restrict] = ACTIONS(5143),
    [anon_sym___restrict__] = ACTIONS(5143),
    [anon_sym__Atomic] = ACTIONS(5143),
    [anon_sym__Noreturn] = ACTIONS(5143),
    [anon_sym_noreturn] = ACTIONS(5143),
    [anon_sym_mutable] = ACTIONS(5143),
    [anon_sym_constinit] = ACTIONS(5143),
    [anon_sym_consteval] = ACTIONS(5143),
    [anon_sym_PROGMEM] = ACTIONS(5143),
    [anon_sym_COLON] = ACTIONS(5141),
    [anon_sym_QMARK] = ACTIONS(5143),
    [anon_sym_STAR_EQ] = ACTIONS(5143),
    [anon_sym_SLASH_EQ] = ACTIONS(5143),
    [anon_sym_PERCENT_EQ] = ACTIONS(5143),
    [anon_sym_PLUS_EQ] = ACTIONS(5143),
    [anon_sym_DASH_EQ] = ACTIONS(5143),
    [anon_sym_LT_LT_EQ] = ACTIONS(5143),
    [anon_sym_GT_GT_EQ] = ACTIONS(5143),
    [anon_sym_AMP_EQ] = ACTIONS(5143),
    [anon_sym_CARET_EQ] = ACTIONS(5143),
    [anon_sym_PIPE_EQ] = ACTIONS(5143),
    [anon_sym_and_eq] = ACTIONS(5143),
    [anon_sym_or_eq] = ACTIONS(5143),
    [anon_sym_xor_eq] = ACTIONS(5143),
    [anon_sym_LT_EQ_GT] = ACTIONS(5143),
    [anon_sym_or] = ACTIONS(5141),
    [anon_sym_and] = ACTIONS(5141),
    [anon_sym_bitor] = ACTIONS(5143),
    [anon_sym_xor] = ACTIONS(5141),
    [anon_sym_bitand] = ACTIONS(5143),
    [anon_sym_not_eq] = ACTIONS(5143),
    [anon_sym_DASH_DASH] = ACTIONS(5143),
    [anon_sym_PLUS_PLUS] = ACTIONS(5143),
    [anon_sym_DOT] = ACTIONS(5141),
    [anon_sym_DOT_STAR] = ACTIONS(5143),
    [anon_sym_DASH_GT] = ACTIONS(5141),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5143),
    [anon_sym_decltype] = ACTIONS(5143),
    [anon_sym_final] = ACTIONS(5143),
    [anon_sym_override] = ACTIONS(5143),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5143),
  },
  [2063] = {
    [sym_identifier] = ACTIONS(2265),
    [aux_sym_preproc_def_token1] = ACTIONS(2265),
    [aux_sym_preproc_if_token1] = ACTIONS(2265),
    [aux_sym_preproc_if_token2] = ACTIONS(2265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2265),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2265),
    [aux_sym_preproc_else_token1] = ACTIONS(2265),
    [aux_sym_preproc_elif_token1] = ACTIONS(2265),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2265),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2265),
    [sym_preproc_directive] = ACTIONS(2265),
    [anon_sym_LPAREN2] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [anon_sym_STAR] = ACTIONS(2263),
    [anon_sym_AMP_AMP] = ACTIONS(2263),
    [anon_sym_AMP] = ACTIONS(2265),
    [anon_sym_SEMI] = ACTIONS(2263),
    [anon_sym___extension__] = ACTIONS(2265),
    [anon_sym_typedef] = ACTIONS(2265),
    [anon_sym_extern] = ACTIONS(2265),
    [anon_sym___attribute__] = ACTIONS(2265),
    [anon_sym_COLON_COLON] = ACTIONS(2263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2263),
    [anon_sym___declspec] = ACTIONS(2265),
    [anon_sym___based] = ACTIONS(2265),
    [anon_sym_signed] = ACTIONS(2265),
    [anon_sym_unsigned] = ACTIONS(2265),
    [anon_sym_long] = ACTIONS(2265),
    [anon_sym_short] = ACTIONS(2265),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_static] = ACTIONS(2265),
    [anon_sym_register] = ACTIONS(2265),
    [anon_sym_inline] = ACTIONS(2265),
    [anon_sym___inline] = ACTIONS(2265),
    [anon_sym___inline__] = ACTIONS(2265),
    [anon_sym___forceinline] = ACTIONS(2265),
    [anon_sym_thread_local] = ACTIONS(2265),
    [anon_sym___thread] = ACTIONS(2265),
    [anon_sym_const] = ACTIONS(2265),
    [anon_sym_constexpr] = ACTIONS(2265),
    [anon_sym_volatile] = ACTIONS(2265),
    [anon_sym_restrict] = ACTIONS(2265),
    [anon_sym___restrict__] = ACTIONS(2265),
    [anon_sym__Atomic] = ACTIONS(2265),
    [anon_sym__Noreturn] = ACTIONS(2265),
    [anon_sym_noreturn] = ACTIONS(2265),
    [anon_sym_mutable] = ACTIONS(2265),
    [anon_sym_constinit] = ACTIONS(2265),
    [anon_sym_consteval] = ACTIONS(2265),
    [anon_sym_PROGMEM] = ACTIONS(2265),
    [aux_sym_primitive_type_token1] = ACTIONS(2265),
    [anon_sym_byte] = ACTIONS(2265),
    [anon_sym_word] = ACTIONS(2265),
    [anon_sym_enum] = ACTIONS(2265),
    [anon_sym_class] = ACTIONS(2265),
    [anon_sym_struct] = ACTIONS(2265),
    [anon_sym_union] = ACTIONS(2265),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2265),
    [anon_sym_decltype] = ACTIONS(2265),
    [anon_sym_virtual] = ACTIONS(2265),
    [anon_sym_alignas] = ACTIONS(2265),
    [anon_sym_explicit] = ACTIONS(2265),
    [anon_sym_typename] = ACTIONS(2265),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_operator] = ACTIONS(2265),
    [anon_sym_friend] = ACTIONS(2265),
    [anon_sym_public] = ACTIONS(2265),
    [anon_sym_private] = ACTIONS(2265),
    [anon_sym_protected] = ACTIONS(2265),
    [anon_sym_using] = ACTIONS(2265),
    [anon_sym_static_assert] = ACTIONS(2265),
    [anon_sym_catch] = ACTIONS(2265),
  },
  [2064] = {
    [sym_identifier] = ACTIONS(2261),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [anon_sym_COMMA] = ACTIONS(3026),
    [aux_sym_preproc_if_token1] = ACTIONS(2261),
    [aux_sym_preproc_if_token2] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2261),
    [aux_sym_preproc_else_token1] = ACTIONS(2261),
    [aux_sym_preproc_elif_token1] = ACTIONS(2261),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2261),
    [anon_sym_LPAREN2] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym___extension__] = ACTIONS(2261),
    [anon_sym_typedef] = ACTIONS(2261),
    [anon_sym_extern] = ACTIONS(2261),
    [anon_sym___attribute__] = ACTIONS(2261),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2259),
    [anon_sym___declspec] = ACTIONS(2261),
    [anon_sym___based] = ACTIONS(2261),
    [anon_sym_signed] = ACTIONS(2261),
    [anon_sym_unsigned] = ACTIONS(2261),
    [anon_sym_long] = ACTIONS(2261),
    [anon_sym_short] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_register] = ACTIONS(2261),
    [anon_sym_inline] = ACTIONS(2261),
    [anon_sym___inline] = ACTIONS(2261),
    [anon_sym___inline__] = ACTIONS(2261),
    [anon_sym___forceinline] = ACTIONS(2261),
    [anon_sym_thread_local] = ACTIONS(2261),
    [anon_sym___thread] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_constexpr] = ACTIONS(2261),
    [anon_sym_volatile] = ACTIONS(2261),
    [anon_sym_restrict] = ACTIONS(2261),
    [anon_sym___restrict__] = ACTIONS(2261),
    [anon_sym__Atomic] = ACTIONS(2261),
    [anon_sym__Noreturn] = ACTIONS(2261),
    [anon_sym_noreturn] = ACTIONS(2261),
    [anon_sym_mutable] = ACTIONS(2261),
    [anon_sym_constinit] = ACTIONS(2261),
    [anon_sym_consteval] = ACTIONS(2261),
    [anon_sym_PROGMEM] = ACTIONS(2261),
    [aux_sym_primitive_type_token1] = ACTIONS(2261),
    [anon_sym_byte] = ACTIONS(2261),
    [anon_sym_word] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_struct] = ACTIONS(2261),
    [anon_sym_union] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2261),
    [anon_sym_decltype] = ACTIONS(2261),
    [anon_sym_virtual] = ACTIONS(2261),
    [anon_sym_alignas] = ACTIONS(2261),
    [anon_sym_explicit] = ACTIONS(2261),
    [anon_sym_typename] = ACTIONS(2261),
    [anon_sym_template] = ACTIONS(2261),
    [anon_sym_operator] = ACTIONS(2261),
    [anon_sym_friend] = ACTIONS(2261),
    [anon_sym_public] = ACTIONS(2261),
    [anon_sym_private] = ACTIONS(2261),
    [anon_sym_protected] = ACTIONS(2261),
    [anon_sym_using] = ACTIONS(2261),
    [anon_sym_static_assert] = ACTIONS(2261),
  },
  [2065] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5135),
    [anon_sym_COMMA] = ACTIONS(5135),
    [anon_sym_RPAREN] = ACTIONS(5135),
    [anon_sym_LPAREN2] = ACTIONS(5135),
    [anon_sym_DASH] = ACTIONS(5133),
    [anon_sym_PLUS] = ACTIONS(5133),
    [anon_sym_STAR] = ACTIONS(5133),
    [anon_sym_SLASH] = ACTIONS(5133),
    [anon_sym_PERCENT] = ACTIONS(5133),
    [anon_sym_PIPE_PIPE] = ACTIONS(5135),
    [anon_sym_AMP_AMP] = ACTIONS(5135),
    [anon_sym_PIPE] = ACTIONS(5133),
    [anon_sym_CARET] = ACTIONS(5133),
    [anon_sym_AMP] = ACTIONS(5133),
    [anon_sym_EQ_EQ] = ACTIONS(5135),
    [anon_sym_BANG_EQ] = ACTIONS(5135),
    [anon_sym_GT] = ACTIONS(5133),
    [anon_sym_GT_EQ] = ACTIONS(5135),
    [anon_sym_LT_EQ] = ACTIONS(5133),
    [anon_sym_LT] = ACTIONS(5133),
    [anon_sym_LT_LT] = ACTIONS(5133),
    [anon_sym_GT_GT] = ACTIONS(5133),
    [anon_sym___extension__] = ACTIONS(5135),
    [anon_sym___attribute__] = ACTIONS(5135),
    [anon_sym_COLON_COLON] = ACTIONS(5135),
    [anon_sym_LBRACE] = ACTIONS(5135),
    [anon_sym_LBRACK] = ACTIONS(5135),
    [anon_sym_EQ] = ACTIONS(5133),
    [anon_sym_const] = ACTIONS(5133),
    [anon_sym_constexpr] = ACTIONS(5135),
    [anon_sym_volatile] = ACTIONS(5135),
    [anon_sym_restrict] = ACTIONS(5135),
    [anon_sym___restrict__] = ACTIONS(5135),
    [anon_sym__Atomic] = ACTIONS(5135),
    [anon_sym__Noreturn] = ACTIONS(5135),
    [anon_sym_noreturn] = ACTIONS(5135),
    [anon_sym_mutable] = ACTIONS(5135),
    [anon_sym_constinit] = ACTIONS(5135),
    [anon_sym_consteval] = ACTIONS(5135),
    [anon_sym_PROGMEM] = ACTIONS(5135),
    [anon_sym_COLON] = ACTIONS(5133),
    [anon_sym_QMARK] = ACTIONS(5135),
    [anon_sym_STAR_EQ] = ACTIONS(5135),
    [anon_sym_SLASH_EQ] = ACTIONS(5135),
    [anon_sym_PERCENT_EQ] = ACTIONS(5135),
    [anon_sym_PLUS_EQ] = ACTIONS(5135),
    [anon_sym_DASH_EQ] = ACTIONS(5135),
    [anon_sym_LT_LT_EQ] = ACTIONS(5135),
    [anon_sym_GT_GT_EQ] = ACTIONS(5135),
    [anon_sym_AMP_EQ] = ACTIONS(5135),
    [anon_sym_CARET_EQ] = ACTIONS(5135),
    [anon_sym_PIPE_EQ] = ACTIONS(5135),
    [anon_sym_and_eq] = ACTIONS(5135),
    [anon_sym_or_eq] = ACTIONS(5135),
    [anon_sym_xor_eq] = ACTIONS(5135),
    [anon_sym_LT_EQ_GT] = ACTIONS(5135),
    [anon_sym_or] = ACTIONS(5133),
    [anon_sym_and] = ACTIONS(5133),
    [anon_sym_bitor] = ACTIONS(5135),
    [anon_sym_xor] = ACTIONS(5133),
    [anon_sym_bitand] = ACTIONS(5135),
    [anon_sym_not_eq] = ACTIONS(5135),
    [anon_sym_DASH_DASH] = ACTIONS(5135),
    [anon_sym_PLUS_PLUS] = ACTIONS(5135),
    [anon_sym_DOT] = ACTIONS(5133),
    [anon_sym_DOT_STAR] = ACTIONS(5135),
    [anon_sym_DASH_GT] = ACTIONS(5133),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5135),
    [anon_sym_decltype] = ACTIONS(5135),
    [anon_sym_final] = ACTIONS(5135),
    [anon_sym_override] = ACTIONS(5135),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5135),
  },
  [2066] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5151),
    [anon_sym_COMMA] = ACTIONS(5151),
    [anon_sym_RPAREN] = ACTIONS(5151),
    [anon_sym_LPAREN2] = ACTIONS(5151),
    [anon_sym_DASH] = ACTIONS(5149),
    [anon_sym_PLUS] = ACTIONS(5149),
    [anon_sym_STAR] = ACTIONS(5149),
    [anon_sym_SLASH] = ACTIONS(5149),
    [anon_sym_PERCENT] = ACTIONS(5149),
    [anon_sym_PIPE_PIPE] = ACTIONS(5151),
    [anon_sym_AMP_AMP] = ACTIONS(5151),
    [anon_sym_PIPE] = ACTIONS(5149),
    [anon_sym_CARET] = ACTIONS(5149),
    [anon_sym_AMP] = ACTIONS(5149),
    [anon_sym_EQ_EQ] = ACTIONS(5151),
    [anon_sym_BANG_EQ] = ACTIONS(5151),
    [anon_sym_GT] = ACTIONS(5149),
    [anon_sym_GT_EQ] = ACTIONS(5151),
    [anon_sym_LT_EQ] = ACTIONS(5149),
    [anon_sym_LT] = ACTIONS(5149),
    [anon_sym_LT_LT] = ACTIONS(5149),
    [anon_sym_GT_GT] = ACTIONS(5149),
    [anon_sym___extension__] = ACTIONS(5151),
    [anon_sym___attribute__] = ACTIONS(5151),
    [anon_sym_COLON_COLON] = ACTIONS(5151),
    [anon_sym_LBRACE] = ACTIONS(5151),
    [anon_sym_LBRACK] = ACTIONS(5151),
    [anon_sym_EQ] = ACTIONS(5149),
    [anon_sym_const] = ACTIONS(5149),
    [anon_sym_constexpr] = ACTIONS(5151),
    [anon_sym_volatile] = ACTIONS(5151),
    [anon_sym_restrict] = ACTIONS(5151),
    [anon_sym___restrict__] = ACTIONS(5151),
    [anon_sym__Atomic] = ACTIONS(5151),
    [anon_sym__Noreturn] = ACTIONS(5151),
    [anon_sym_noreturn] = ACTIONS(5151),
    [anon_sym_mutable] = ACTIONS(5151),
    [anon_sym_constinit] = ACTIONS(5151),
    [anon_sym_consteval] = ACTIONS(5151),
    [anon_sym_PROGMEM] = ACTIONS(5151),
    [anon_sym_COLON] = ACTIONS(5149),
    [anon_sym_QMARK] = ACTIONS(5151),
    [anon_sym_STAR_EQ] = ACTIONS(5151),
    [anon_sym_SLASH_EQ] = ACTIONS(5151),
    [anon_sym_PERCENT_EQ] = ACTIONS(5151),
    [anon_sym_PLUS_EQ] = ACTIONS(5151),
    [anon_sym_DASH_EQ] = ACTIONS(5151),
    [anon_sym_LT_LT_EQ] = ACTIONS(5151),
    [anon_sym_GT_GT_EQ] = ACTIONS(5151),
    [anon_sym_AMP_EQ] = ACTIONS(5151),
    [anon_sym_CARET_EQ] = ACTIONS(5151),
    [anon_sym_PIPE_EQ] = ACTIONS(5151),
    [anon_sym_and_eq] = ACTIONS(5151),
    [anon_sym_or_eq] = ACTIONS(5151),
    [anon_sym_xor_eq] = ACTIONS(5151),
    [anon_sym_LT_EQ_GT] = ACTIONS(5151),
    [anon_sym_or] = ACTIONS(5149),
    [anon_sym_and] = ACTIONS(5149),
    [anon_sym_bitor] = ACTIONS(5151),
    [anon_sym_xor] = ACTIONS(5149),
    [anon_sym_bitand] = ACTIONS(5151),
    [anon_sym_not_eq] = ACTIONS(5151),
    [anon_sym_DASH_DASH] = ACTIONS(5151),
    [anon_sym_PLUS_PLUS] = ACTIONS(5151),
    [anon_sym_DOT] = ACTIONS(5149),
    [anon_sym_DOT_STAR] = ACTIONS(5151),
    [anon_sym_DASH_GT] = ACTIONS(5149),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5151),
    [anon_sym_decltype] = ACTIONS(5151),
    [anon_sym_final] = ACTIONS(5151),
    [anon_sym_override] = ACTIONS(5151),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5151),
  },
  [2067] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5143),
    [anon_sym_COMMA] = ACTIONS(5143),
    [anon_sym_LPAREN2] = ACTIONS(5143),
    [anon_sym_DASH] = ACTIONS(5141),
    [anon_sym_PLUS] = ACTIONS(5141),
    [anon_sym_STAR] = ACTIONS(5141),
    [anon_sym_SLASH] = ACTIONS(5141),
    [anon_sym_PERCENT] = ACTIONS(5141),
    [anon_sym_PIPE_PIPE] = ACTIONS(5143),
    [anon_sym_AMP_AMP] = ACTIONS(5143),
    [anon_sym_PIPE] = ACTIONS(5141),
    [anon_sym_CARET] = ACTIONS(5141),
    [anon_sym_AMP] = ACTIONS(5141),
    [anon_sym_EQ_EQ] = ACTIONS(5143),
    [anon_sym_BANG_EQ] = ACTIONS(5143),
    [anon_sym_GT] = ACTIONS(5141),
    [anon_sym_GT_EQ] = ACTIONS(5141),
    [anon_sym_LT_EQ] = ACTIONS(5141),
    [anon_sym_LT] = ACTIONS(5141),
    [anon_sym_LT_LT] = ACTIONS(5141),
    [anon_sym_GT_GT] = ACTIONS(5141),
    [anon_sym___extension__] = ACTIONS(5143),
    [anon_sym___attribute__] = ACTIONS(5143),
    [anon_sym_COLON_COLON] = ACTIONS(5143),
    [anon_sym_LBRACE] = ACTIONS(5143),
    [anon_sym_LBRACK] = ACTIONS(5143),
    [anon_sym_EQ] = ACTIONS(5141),
    [anon_sym_const] = ACTIONS(5141),
    [anon_sym_constexpr] = ACTIONS(5143),
    [anon_sym_volatile] = ACTIONS(5143),
    [anon_sym_restrict] = ACTIONS(5143),
    [anon_sym___restrict__] = ACTIONS(5143),
    [anon_sym__Atomic] = ACTIONS(5143),
    [anon_sym__Noreturn] = ACTIONS(5143),
    [anon_sym_noreturn] = ACTIONS(5143),
    [anon_sym_mutable] = ACTIONS(5143),
    [anon_sym_constinit] = ACTIONS(5143),
    [anon_sym_consteval] = ACTIONS(5143),
    [anon_sym_PROGMEM] = ACTIONS(5143),
    [anon_sym_COLON] = ACTIONS(5141),
    [anon_sym_QMARK] = ACTIONS(5143),
    [anon_sym_STAR_EQ] = ACTIONS(5143),
    [anon_sym_SLASH_EQ] = ACTIONS(5143),
    [anon_sym_PERCENT_EQ] = ACTIONS(5143),
    [anon_sym_PLUS_EQ] = ACTIONS(5143),
    [anon_sym_DASH_EQ] = ACTIONS(5143),
    [anon_sym_LT_LT_EQ] = ACTIONS(5143),
    [anon_sym_GT_GT_EQ] = ACTIONS(5141),
    [anon_sym_AMP_EQ] = ACTIONS(5143),
    [anon_sym_CARET_EQ] = ACTIONS(5143),
    [anon_sym_PIPE_EQ] = ACTIONS(5143),
    [anon_sym_and_eq] = ACTIONS(5143),
    [anon_sym_or_eq] = ACTIONS(5143),
    [anon_sym_xor_eq] = ACTIONS(5143),
    [anon_sym_LT_EQ_GT] = ACTIONS(5143),
    [anon_sym_or] = ACTIONS(5141),
    [anon_sym_and] = ACTIONS(5141),
    [anon_sym_bitor] = ACTIONS(5143),
    [anon_sym_xor] = ACTIONS(5141),
    [anon_sym_bitand] = ACTIONS(5143),
    [anon_sym_not_eq] = ACTIONS(5143),
    [anon_sym_DASH_DASH] = ACTIONS(5143),
    [anon_sym_PLUS_PLUS] = ACTIONS(5143),
    [anon_sym_DOT] = ACTIONS(5141),
    [anon_sym_DOT_STAR] = ACTIONS(5143),
    [anon_sym_DASH_GT] = ACTIONS(5143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5143),
    [anon_sym_decltype] = ACTIONS(5143),
    [anon_sym_final] = ACTIONS(5143),
    [anon_sym_override] = ACTIONS(5143),
    [anon_sym_GT2] = ACTIONS(5143),
  },
  [2068] = {
    [sym_type_qualifier] = STATE(2068),
    [aux_sym__type_definition_type_repeat1] = STATE(2068),
    [sym_identifier] = ACTIONS(5397),
    [anon_sym_LPAREN2] = ACTIONS(5399),
    [anon_sym_BANG] = ACTIONS(5399),
    [anon_sym_TILDE] = ACTIONS(5399),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5399),
    [anon_sym_AMP] = ACTIONS(5399),
    [anon_sym___extension__] = ACTIONS(5401),
    [anon_sym_COLON_COLON] = ACTIONS(5399),
    [anon_sym_LBRACK] = ACTIONS(5399),
    [anon_sym_RBRACK] = ACTIONS(5399),
    [anon_sym_const] = ACTIONS(5401),
    [anon_sym_constexpr] = ACTIONS(5401),
    [anon_sym_volatile] = ACTIONS(5401),
    [anon_sym_restrict] = ACTIONS(5401),
    [anon_sym___restrict__] = ACTIONS(5401),
    [anon_sym__Atomic] = ACTIONS(5401),
    [anon_sym__Noreturn] = ACTIONS(5401),
    [anon_sym_noreturn] = ACTIONS(5401),
    [anon_sym_mutable] = ACTIONS(5401),
    [anon_sym_constinit] = ACTIONS(5401),
    [anon_sym_consteval] = ACTIONS(5401),
    [anon_sym_PROGMEM] = ACTIONS(5401),
    [aux_sym_primitive_type_token1] = ACTIONS(5397),
    [anon_sym_byte] = ACTIONS(5397),
    [anon_sym_word] = ACTIONS(5397),
    [anon_sym_not] = ACTIONS(5397),
    [anon_sym_compl] = ACTIONS(5397),
    [anon_sym_DASH_DASH] = ACTIONS(5399),
    [anon_sym_PLUS_PLUS] = ACTIONS(5399),
    [anon_sym_sizeof] = ACTIONS(5397),
    [anon_sym___alignof__] = ACTIONS(5397),
    [anon_sym___alignof] = ACTIONS(5397),
    [anon_sym__alignof] = ACTIONS(5397),
    [anon_sym_alignof] = ACTIONS(5397),
    [anon_sym__Alignof] = ACTIONS(5397),
    [anon_sym_offsetof] = ACTIONS(5397),
    [anon_sym__Generic] = ACTIONS(5397),
    [anon_sym_asm] = ACTIONS(5397),
    [anon_sym___asm__] = ACTIONS(5397),
    [aux_sym_number_literal_token1] = ACTIONS(5399),
    [aux_sym_number_literal_token2] = ACTIONS(5397),
    [anon_sym_L_SQUOTE] = ACTIONS(5399),
    [anon_sym_u_SQUOTE] = ACTIONS(5399),
    [anon_sym_U_SQUOTE] = ACTIONS(5399),
    [anon_sym_u8_SQUOTE] = ACTIONS(5399),
    [anon_sym_SQUOTE] = ACTIONS(5399),
    [anon_sym_L_DQUOTE] = ACTIONS(5399),
    [anon_sym_u_DQUOTE] = ACTIONS(5399),
    [anon_sym_U_DQUOTE] = ACTIONS(5399),
    [anon_sym_u8_DQUOTE] = ACTIONS(5399),
    [anon_sym_DQUOTE] = ACTIONS(5399),
    [sym_true] = ACTIONS(5397),
    [sym_false] = ACTIONS(5397),
    [anon_sym_NULL] = ACTIONS(5397),
    [anon_sym_nullptr] = ACTIONS(5397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5397),
    [anon_sym_template] = ACTIONS(5397),
    [anon_sym_delete] = ACTIONS(5397),
    [anon_sym_R_DQUOTE] = ACTIONS(5399),
    [anon_sym_LR_DQUOTE] = ACTIONS(5399),
    [anon_sym_uR_DQUOTE] = ACTIONS(5399),
    [anon_sym_UR_DQUOTE] = ACTIONS(5399),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5399),
    [anon_sym_co_await] = ACTIONS(5397),
    [anon_sym_new] = ACTIONS(5397),
    [anon_sym_requires] = ACTIONS(5397),
    [sym_this] = ACTIONS(5397),
  },
  [2069] = {
    [sym_identifier] = ACTIONS(5404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5406),
    [anon_sym_COMMA] = ACTIONS(5406),
    [anon_sym_RPAREN] = ACTIONS(5406),
    [aux_sym_preproc_if_token2] = ACTIONS(5406),
    [aux_sym_preproc_else_token1] = ACTIONS(5406),
    [aux_sym_preproc_elif_token1] = ACTIONS(5404),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5406),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5406),
    [anon_sym_LPAREN2] = ACTIONS(5406),
    [anon_sym_DASH] = ACTIONS(5404),
    [anon_sym_PLUS] = ACTIONS(5404),
    [anon_sym_STAR] = ACTIONS(5404),
    [anon_sym_SLASH] = ACTIONS(5404),
    [anon_sym_PERCENT] = ACTIONS(5404),
    [anon_sym_PIPE_PIPE] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_PIPE] = ACTIONS(5404),
    [anon_sym_CARET] = ACTIONS(5404),
    [anon_sym_AMP] = ACTIONS(5404),
    [anon_sym_EQ_EQ] = ACTIONS(5406),
    [anon_sym_BANG_EQ] = ACTIONS(5406),
    [anon_sym_GT] = ACTIONS(5404),
    [anon_sym_GT_EQ] = ACTIONS(5406),
    [anon_sym_LT_EQ] = ACTIONS(5404),
    [anon_sym_LT] = ACTIONS(5404),
    [anon_sym_LT_LT] = ACTIONS(5404),
    [anon_sym_GT_GT] = ACTIONS(5404),
    [anon_sym_SEMI] = ACTIONS(5406),
    [anon_sym_RBRACE] = ACTIONS(5406),
    [anon_sym_LBRACK] = ACTIONS(5406),
    [anon_sym_RBRACK] = ACTIONS(5406),
    [anon_sym_EQ] = ACTIONS(5404),
    [anon_sym_COLON] = ACTIONS(5406),
    [anon_sym_QMARK] = ACTIONS(5406),
    [anon_sym_STAR_EQ] = ACTIONS(5406),
    [anon_sym_SLASH_EQ] = ACTIONS(5406),
    [anon_sym_PERCENT_EQ] = ACTIONS(5406),
    [anon_sym_PLUS_EQ] = ACTIONS(5406),
    [anon_sym_DASH_EQ] = ACTIONS(5406),
    [anon_sym_LT_LT_EQ] = ACTIONS(5406),
    [anon_sym_GT_GT_EQ] = ACTIONS(5406),
    [anon_sym_AMP_EQ] = ACTIONS(5406),
    [anon_sym_CARET_EQ] = ACTIONS(5406),
    [anon_sym_PIPE_EQ] = ACTIONS(5406),
    [anon_sym_and_eq] = ACTIONS(5404),
    [anon_sym_or_eq] = ACTIONS(5404),
    [anon_sym_xor_eq] = ACTIONS(5404),
    [anon_sym_LT_EQ_GT] = ACTIONS(5406),
    [anon_sym_or] = ACTIONS(5404),
    [anon_sym_and] = ACTIONS(5404),
    [anon_sym_bitor] = ACTIONS(5404),
    [anon_sym_xor] = ACTIONS(5404),
    [anon_sym_bitand] = ACTIONS(5404),
    [anon_sym_not_eq] = ACTIONS(5404),
    [anon_sym_DASH_DASH] = ACTIONS(5406),
    [anon_sym_PLUS_PLUS] = ACTIONS(5406),
    [anon_sym_DOT] = ACTIONS(5404),
    [anon_sym_DOT_STAR] = ACTIONS(5406),
    [anon_sym_DASH_GT] = ACTIONS(5406),
    [anon_sym_L_DQUOTE] = ACTIONS(5406),
    [anon_sym_u_DQUOTE] = ACTIONS(5406),
    [anon_sym_U_DQUOTE] = ACTIONS(5406),
    [anon_sym_u8_DQUOTE] = ACTIONS(5406),
    [anon_sym_DQUOTE] = ACTIONS(5406),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5406),
    [anon_sym_LR_DQUOTE] = ACTIONS(5406),
    [anon_sym_uR_DQUOTE] = ACTIONS(5406),
    [anon_sym_UR_DQUOTE] = ACTIONS(5406),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5406),
    [sym_literal_suffix] = ACTIONS(5404),
  },
  [2070] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5147),
    [anon_sym_COMMA] = ACTIONS(5147),
    [anon_sym_LPAREN2] = ACTIONS(5147),
    [anon_sym_DASH] = ACTIONS(5145),
    [anon_sym_PLUS] = ACTIONS(5145),
    [anon_sym_STAR] = ACTIONS(5145),
    [anon_sym_SLASH] = ACTIONS(5145),
    [anon_sym_PERCENT] = ACTIONS(5145),
    [anon_sym_PIPE_PIPE] = ACTIONS(5147),
    [anon_sym_AMP_AMP] = ACTIONS(5147),
    [anon_sym_PIPE] = ACTIONS(5145),
    [anon_sym_CARET] = ACTIONS(5145),
    [anon_sym_AMP] = ACTIONS(5145),
    [anon_sym_EQ_EQ] = ACTIONS(5147),
    [anon_sym_BANG_EQ] = ACTIONS(5147),
    [anon_sym_GT] = ACTIONS(5145),
    [anon_sym_GT_EQ] = ACTIONS(5145),
    [anon_sym_LT_EQ] = ACTIONS(5145),
    [anon_sym_LT] = ACTIONS(5145),
    [anon_sym_LT_LT] = ACTIONS(5145),
    [anon_sym_GT_GT] = ACTIONS(5145),
    [anon_sym___extension__] = ACTIONS(5147),
    [anon_sym___attribute__] = ACTIONS(5147),
    [anon_sym_COLON_COLON] = ACTIONS(5147),
    [anon_sym_LBRACE] = ACTIONS(5147),
    [anon_sym_LBRACK] = ACTIONS(5147),
    [anon_sym_EQ] = ACTIONS(5145),
    [anon_sym_const] = ACTIONS(5145),
    [anon_sym_constexpr] = ACTIONS(5147),
    [anon_sym_volatile] = ACTIONS(5147),
    [anon_sym_restrict] = ACTIONS(5147),
    [anon_sym___restrict__] = ACTIONS(5147),
    [anon_sym__Atomic] = ACTIONS(5147),
    [anon_sym__Noreturn] = ACTIONS(5147),
    [anon_sym_noreturn] = ACTIONS(5147),
    [anon_sym_mutable] = ACTIONS(5147),
    [anon_sym_constinit] = ACTIONS(5147),
    [anon_sym_consteval] = ACTIONS(5147),
    [anon_sym_PROGMEM] = ACTIONS(5147),
    [anon_sym_COLON] = ACTIONS(5145),
    [anon_sym_QMARK] = ACTIONS(5147),
    [anon_sym_STAR_EQ] = ACTIONS(5147),
    [anon_sym_SLASH_EQ] = ACTIONS(5147),
    [anon_sym_PERCENT_EQ] = ACTIONS(5147),
    [anon_sym_PLUS_EQ] = ACTIONS(5147),
    [anon_sym_DASH_EQ] = ACTIONS(5147),
    [anon_sym_LT_LT_EQ] = ACTIONS(5147),
    [anon_sym_GT_GT_EQ] = ACTIONS(5145),
    [anon_sym_AMP_EQ] = ACTIONS(5147),
    [anon_sym_CARET_EQ] = ACTIONS(5147),
    [anon_sym_PIPE_EQ] = ACTIONS(5147),
    [anon_sym_and_eq] = ACTIONS(5147),
    [anon_sym_or_eq] = ACTIONS(5147),
    [anon_sym_xor_eq] = ACTIONS(5147),
    [anon_sym_LT_EQ_GT] = ACTIONS(5147),
    [anon_sym_or] = ACTIONS(5145),
    [anon_sym_and] = ACTIONS(5145),
    [anon_sym_bitor] = ACTIONS(5147),
    [anon_sym_xor] = ACTIONS(5145),
    [anon_sym_bitand] = ACTIONS(5147),
    [anon_sym_not_eq] = ACTIONS(5147),
    [anon_sym_DASH_DASH] = ACTIONS(5147),
    [anon_sym_PLUS_PLUS] = ACTIONS(5147),
    [anon_sym_DOT] = ACTIONS(5145),
    [anon_sym_DOT_STAR] = ACTIONS(5147),
    [anon_sym_DASH_GT] = ACTIONS(5147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5147),
    [anon_sym_decltype] = ACTIONS(5147),
    [anon_sym_final] = ACTIONS(5147),
    [anon_sym_override] = ACTIONS(5147),
    [anon_sym_GT2] = ACTIONS(5147),
  },
  [2071] = {
    [sym_catch_clause] = STATE(2071),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2071),
    [sym_identifier] = ACTIONS(2847),
    [aux_sym_preproc_def_token1] = ACTIONS(2847),
    [aux_sym_preproc_if_token1] = ACTIONS(2847),
    [aux_sym_preproc_if_token2] = ACTIONS(2847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2847),
    [aux_sym_preproc_else_token1] = ACTIONS(2847),
    [aux_sym_preproc_elif_token1] = ACTIONS(2847),
    [sym_preproc_directive] = ACTIONS(2847),
    [anon_sym_LPAREN2] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2849),
    [anon_sym_STAR] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2849),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym___extension__] = ACTIONS(2847),
    [anon_sym_typedef] = ACTIONS(2847),
    [anon_sym_extern] = ACTIONS(2847),
    [anon_sym___attribute__] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(2849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2849),
    [anon_sym___declspec] = ACTIONS(2847),
    [anon_sym___based] = ACTIONS(2847),
    [anon_sym_signed] = ACTIONS(2847),
    [anon_sym_unsigned] = ACTIONS(2847),
    [anon_sym_long] = ACTIONS(2847),
    [anon_sym_short] = ACTIONS(2847),
    [anon_sym_LBRACK] = ACTIONS(2847),
    [anon_sym_static] = ACTIONS(2847),
    [anon_sym_register] = ACTIONS(2847),
    [anon_sym_inline] = ACTIONS(2847),
    [anon_sym___inline] = ACTIONS(2847),
    [anon_sym___inline__] = ACTIONS(2847),
    [anon_sym___forceinline] = ACTIONS(2847),
    [anon_sym_thread_local] = ACTIONS(2847),
    [anon_sym___thread] = ACTIONS(2847),
    [anon_sym_const] = ACTIONS(2847),
    [anon_sym_constexpr] = ACTIONS(2847),
    [anon_sym_volatile] = ACTIONS(2847),
    [anon_sym_restrict] = ACTIONS(2847),
    [anon_sym___restrict__] = ACTIONS(2847),
    [anon_sym__Atomic] = ACTIONS(2847),
    [anon_sym__Noreturn] = ACTIONS(2847),
    [anon_sym_noreturn] = ACTIONS(2847),
    [anon_sym_mutable] = ACTIONS(2847),
    [anon_sym_constinit] = ACTIONS(2847),
    [anon_sym_consteval] = ACTIONS(2847),
    [anon_sym_PROGMEM] = ACTIONS(2847),
    [aux_sym_primitive_type_token1] = ACTIONS(2847),
    [anon_sym_byte] = ACTIONS(2847),
    [anon_sym_word] = ACTIONS(2847),
    [anon_sym_enum] = ACTIONS(2847),
    [anon_sym_class] = ACTIONS(2847),
    [anon_sym_struct] = ACTIONS(2847),
    [anon_sym_union] = ACTIONS(2847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2847),
    [anon_sym_decltype] = ACTIONS(2847),
    [anon_sym_virtual] = ACTIONS(2847),
    [anon_sym_alignas] = ACTIONS(2847),
    [anon_sym_explicit] = ACTIONS(2847),
    [anon_sym_typename] = ACTIONS(2847),
    [anon_sym_template] = ACTIONS(2847),
    [anon_sym_operator] = ACTIONS(2847),
    [anon_sym_friend] = ACTIONS(2847),
    [anon_sym_public] = ACTIONS(2847),
    [anon_sym_private] = ACTIONS(2847),
    [anon_sym_protected] = ACTIONS(2847),
    [anon_sym_using] = ACTIONS(2847),
    [anon_sym_static_assert] = ACTIONS(2847),
    [anon_sym_catch] = ACTIONS(5408),
  },
  [2072] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5139),
    [anon_sym_COMMA] = ACTIONS(5139),
    [anon_sym_LPAREN2] = ACTIONS(5139),
    [anon_sym_DASH] = ACTIONS(5137),
    [anon_sym_PLUS] = ACTIONS(5137),
    [anon_sym_STAR] = ACTIONS(5137),
    [anon_sym_SLASH] = ACTIONS(5137),
    [anon_sym_PERCENT] = ACTIONS(5137),
    [anon_sym_PIPE_PIPE] = ACTIONS(5139),
    [anon_sym_AMP_AMP] = ACTIONS(5139),
    [anon_sym_PIPE] = ACTIONS(5137),
    [anon_sym_CARET] = ACTIONS(5137),
    [anon_sym_AMP] = ACTIONS(5137),
    [anon_sym_EQ_EQ] = ACTIONS(5139),
    [anon_sym_BANG_EQ] = ACTIONS(5139),
    [anon_sym_GT] = ACTIONS(5137),
    [anon_sym_GT_EQ] = ACTIONS(5137),
    [anon_sym_LT_EQ] = ACTIONS(5137),
    [anon_sym_LT] = ACTIONS(5137),
    [anon_sym_LT_LT] = ACTIONS(5137),
    [anon_sym_GT_GT] = ACTIONS(5137),
    [anon_sym___extension__] = ACTIONS(5139),
    [anon_sym___attribute__] = ACTIONS(5139),
    [anon_sym_COLON_COLON] = ACTIONS(5139),
    [anon_sym_LBRACE] = ACTIONS(5139),
    [anon_sym_LBRACK] = ACTIONS(5139),
    [anon_sym_EQ] = ACTIONS(5137),
    [anon_sym_const] = ACTIONS(5137),
    [anon_sym_constexpr] = ACTIONS(5139),
    [anon_sym_volatile] = ACTIONS(5139),
    [anon_sym_restrict] = ACTIONS(5139),
    [anon_sym___restrict__] = ACTIONS(5139),
    [anon_sym__Atomic] = ACTIONS(5139),
    [anon_sym__Noreturn] = ACTIONS(5139),
    [anon_sym_noreturn] = ACTIONS(5139),
    [anon_sym_mutable] = ACTIONS(5139),
    [anon_sym_constinit] = ACTIONS(5139),
    [anon_sym_consteval] = ACTIONS(5139),
    [anon_sym_PROGMEM] = ACTIONS(5139),
    [anon_sym_COLON] = ACTIONS(5137),
    [anon_sym_QMARK] = ACTIONS(5139),
    [anon_sym_STAR_EQ] = ACTIONS(5139),
    [anon_sym_SLASH_EQ] = ACTIONS(5139),
    [anon_sym_PERCENT_EQ] = ACTIONS(5139),
    [anon_sym_PLUS_EQ] = ACTIONS(5139),
    [anon_sym_DASH_EQ] = ACTIONS(5139),
    [anon_sym_LT_LT_EQ] = ACTIONS(5139),
    [anon_sym_GT_GT_EQ] = ACTIONS(5137),
    [anon_sym_AMP_EQ] = ACTIONS(5139),
    [anon_sym_CARET_EQ] = ACTIONS(5139),
    [anon_sym_PIPE_EQ] = ACTIONS(5139),
    [anon_sym_and_eq] = ACTIONS(5139),
    [anon_sym_or_eq] = ACTIONS(5139),
    [anon_sym_xor_eq] = ACTIONS(5139),
    [anon_sym_LT_EQ_GT] = ACTIONS(5139),
    [anon_sym_or] = ACTIONS(5137),
    [anon_sym_and] = ACTIONS(5137),
    [anon_sym_bitor] = ACTIONS(5139),
    [anon_sym_xor] = ACTIONS(5137),
    [anon_sym_bitand] = ACTIONS(5139),
    [anon_sym_not_eq] = ACTIONS(5139),
    [anon_sym_DASH_DASH] = ACTIONS(5139),
    [anon_sym_PLUS_PLUS] = ACTIONS(5139),
    [anon_sym_DOT] = ACTIONS(5137),
    [anon_sym_DOT_STAR] = ACTIONS(5139),
    [anon_sym_DASH_GT] = ACTIONS(5139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5139),
    [anon_sym_decltype] = ACTIONS(5139),
    [anon_sym_final] = ACTIONS(5139),
    [anon_sym_override] = ACTIONS(5139),
    [anon_sym_GT2] = ACTIONS(5139),
  },
  [2073] = {
    [sym_catch_clause] = STATE(2071),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2071),
    [sym_identifier] = ACTIONS(2841),
    [aux_sym_preproc_def_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token2] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2841),
    [aux_sym_preproc_else_token1] = ACTIONS(2841),
    [aux_sym_preproc_elif_token1] = ACTIONS(2841),
    [sym_preproc_directive] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_TILDE] = ACTIONS(2843),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym___extension__] = ACTIONS(2841),
    [anon_sym_typedef] = ACTIONS(2841),
    [anon_sym_extern] = ACTIONS(2841),
    [anon_sym___attribute__] = ACTIONS(2841),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2843),
    [anon_sym___declspec] = ACTIONS(2841),
    [anon_sym___based] = ACTIONS(2841),
    [anon_sym_signed] = ACTIONS(2841),
    [anon_sym_unsigned] = ACTIONS(2841),
    [anon_sym_long] = ACTIONS(2841),
    [anon_sym_short] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_static] = ACTIONS(2841),
    [anon_sym_register] = ACTIONS(2841),
    [anon_sym_inline] = ACTIONS(2841),
    [anon_sym___inline] = ACTIONS(2841),
    [anon_sym___inline__] = ACTIONS(2841),
    [anon_sym___forceinline] = ACTIONS(2841),
    [anon_sym_thread_local] = ACTIONS(2841),
    [anon_sym___thread] = ACTIONS(2841),
    [anon_sym_const] = ACTIONS(2841),
    [anon_sym_constexpr] = ACTIONS(2841),
    [anon_sym_volatile] = ACTIONS(2841),
    [anon_sym_restrict] = ACTIONS(2841),
    [anon_sym___restrict__] = ACTIONS(2841),
    [anon_sym__Atomic] = ACTIONS(2841),
    [anon_sym__Noreturn] = ACTIONS(2841),
    [anon_sym_noreturn] = ACTIONS(2841),
    [anon_sym_mutable] = ACTIONS(2841),
    [anon_sym_constinit] = ACTIONS(2841),
    [anon_sym_consteval] = ACTIONS(2841),
    [anon_sym_PROGMEM] = ACTIONS(2841),
    [aux_sym_primitive_type_token1] = ACTIONS(2841),
    [anon_sym_byte] = ACTIONS(2841),
    [anon_sym_word] = ACTIONS(2841),
    [anon_sym_enum] = ACTIONS(2841),
    [anon_sym_class] = ACTIONS(2841),
    [anon_sym_struct] = ACTIONS(2841),
    [anon_sym_union] = ACTIONS(2841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2841),
    [anon_sym_decltype] = ACTIONS(2841),
    [anon_sym_virtual] = ACTIONS(2841),
    [anon_sym_alignas] = ACTIONS(2841),
    [anon_sym_explicit] = ACTIONS(2841),
    [anon_sym_typename] = ACTIONS(2841),
    [anon_sym_template] = ACTIONS(2841),
    [anon_sym_operator] = ACTIONS(2841),
    [anon_sym_friend] = ACTIONS(2841),
    [anon_sym_public] = ACTIONS(2841),
    [anon_sym_private] = ACTIONS(2841),
    [anon_sym_protected] = ACTIONS(2841),
    [anon_sym_using] = ACTIONS(2841),
    [anon_sym_static_assert] = ACTIONS(2841),
    [anon_sym_catch] = ACTIONS(5411),
  },
  [2074] = {
    [sym_identifier] = ACTIONS(3405),
    [aux_sym_preproc_def_token1] = ACTIONS(3405),
    [aux_sym_preproc_if_token1] = ACTIONS(3405),
    [aux_sym_preproc_if_token2] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3405),
    [aux_sym_preproc_else_token1] = ACTIONS(3405),
    [aux_sym_preproc_elif_token1] = ACTIONS(3405),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3405),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3405),
    [sym_preproc_directive] = ACTIONS(3405),
    [anon_sym_LPAREN2] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3407),
    [anon_sym_STAR] = ACTIONS(3407),
    [anon_sym_AMP_AMP] = ACTIONS(3407),
    [anon_sym_AMP] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(5413),
    [anon_sym___extension__] = ACTIONS(3405),
    [anon_sym_typedef] = ACTIONS(3405),
    [anon_sym_extern] = ACTIONS(3405),
    [anon_sym___attribute__] = ACTIONS(3405),
    [anon_sym_COLON_COLON] = ACTIONS(3407),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3407),
    [anon_sym___declspec] = ACTIONS(3405),
    [anon_sym___based] = ACTIONS(3405),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_register] = ACTIONS(3405),
    [anon_sym_inline] = ACTIONS(3405),
    [anon_sym___inline] = ACTIONS(3405),
    [anon_sym___inline__] = ACTIONS(3405),
    [anon_sym___forceinline] = ACTIONS(3405),
    [anon_sym_thread_local] = ACTIONS(3405),
    [anon_sym___thread] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_constexpr] = ACTIONS(3405),
    [anon_sym_volatile] = ACTIONS(3405),
    [anon_sym_restrict] = ACTIONS(3405),
    [anon_sym___restrict__] = ACTIONS(3405),
    [anon_sym__Atomic] = ACTIONS(3405),
    [anon_sym__Noreturn] = ACTIONS(3405),
    [anon_sym_noreturn] = ACTIONS(3405),
    [anon_sym_mutable] = ACTIONS(3405),
    [anon_sym_constinit] = ACTIONS(3405),
    [anon_sym_consteval] = ACTIONS(3405),
    [anon_sym_PROGMEM] = ACTIONS(3405),
    [aux_sym_primitive_type_token1] = ACTIONS(3405),
    [anon_sym_byte] = ACTIONS(3405),
    [anon_sym_word] = ACTIONS(3405),
    [anon_sym_enum] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_struct] = ACTIONS(3405),
    [anon_sym_union] = ACTIONS(3405),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3405),
    [anon_sym_decltype] = ACTIONS(3405),
    [anon_sym_virtual] = ACTIONS(3405),
    [anon_sym_alignas] = ACTIONS(3405),
    [anon_sym_explicit] = ACTIONS(3405),
    [anon_sym_typename] = ACTIONS(3405),
    [anon_sym_template] = ACTIONS(3405),
    [anon_sym_operator] = ACTIONS(3405),
    [anon_sym_friend] = ACTIONS(3405),
    [anon_sym_public] = ACTIONS(3405),
    [anon_sym_private] = ACTIONS(3405),
    [anon_sym_protected] = ACTIONS(3405),
    [anon_sym_using] = ACTIONS(3405),
    [anon_sym_static_assert] = ACTIONS(3405),
  },
  [2075] = {
    [sym_identifier] = ACTIONS(5415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5417),
    [anon_sym_COMMA] = ACTIONS(5417),
    [anon_sym_RPAREN] = ACTIONS(5417),
    [aux_sym_preproc_if_token2] = ACTIONS(5417),
    [aux_sym_preproc_else_token1] = ACTIONS(5417),
    [aux_sym_preproc_elif_token1] = ACTIONS(5415),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5417),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5417),
    [anon_sym_LPAREN2] = ACTIONS(5417),
    [anon_sym_DASH] = ACTIONS(5415),
    [anon_sym_PLUS] = ACTIONS(5415),
    [anon_sym_STAR] = ACTIONS(5415),
    [anon_sym_SLASH] = ACTIONS(5415),
    [anon_sym_PERCENT] = ACTIONS(5415),
    [anon_sym_PIPE_PIPE] = ACTIONS(5417),
    [anon_sym_AMP_AMP] = ACTIONS(5417),
    [anon_sym_PIPE] = ACTIONS(5415),
    [anon_sym_CARET] = ACTIONS(5415),
    [anon_sym_AMP] = ACTIONS(5415),
    [anon_sym_EQ_EQ] = ACTIONS(5417),
    [anon_sym_BANG_EQ] = ACTIONS(5417),
    [anon_sym_GT] = ACTIONS(5415),
    [anon_sym_GT_EQ] = ACTIONS(5417),
    [anon_sym_LT_EQ] = ACTIONS(5415),
    [anon_sym_LT] = ACTIONS(5415),
    [anon_sym_LT_LT] = ACTIONS(5415),
    [anon_sym_GT_GT] = ACTIONS(5415),
    [anon_sym_SEMI] = ACTIONS(5417),
    [anon_sym_RBRACE] = ACTIONS(5417),
    [anon_sym_LBRACK] = ACTIONS(5417),
    [anon_sym_RBRACK] = ACTIONS(5417),
    [anon_sym_EQ] = ACTIONS(5415),
    [anon_sym_COLON] = ACTIONS(5417),
    [anon_sym_QMARK] = ACTIONS(5417),
    [anon_sym_STAR_EQ] = ACTIONS(5417),
    [anon_sym_SLASH_EQ] = ACTIONS(5417),
    [anon_sym_PERCENT_EQ] = ACTIONS(5417),
    [anon_sym_PLUS_EQ] = ACTIONS(5417),
    [anon_sym_DASH_EQ] = ACTIONS(5417),
    [anon_sym_LT_LT_EQ] = ACTIONS(5417),
    [anon_sym_GT_GT_EQ] = ACTIONS(5417),
    [anon_sym_AMP_EQ] = ACTIONS(5417),
    [anon_sym_CARET_EQ] = ACTIONS(5417),
    [anon_sym_PIPE_EQ] = ACTIONS(5417),
    [anon_sym_and_eq] = ACTIONS(5415),
    [anon_sym_or_eq] = ACTIONS(5415),
    [anon_sym_xor_eq] = ACTIONS(5415),
    [anon_sym_LT_EQ_GT] = ACTIONS(5417),
    [anon_sym_or] = ACTIONS(5415),
    [anon_sym_and] = ACTIONS(5415),
    [anon_sym_bitor] = ACTIONS(5415),
    [anon_sym_xor] = ACTIONS(5415),
    [anon_sym_bitand] = ACTIONS(5415),
    [anon_sym_not_eq] = ACTIONS(5415),
    [anon_sym_DASH_DASH] = ACTIONS(5417),
    [anon_sym_PLUS_PLUS] = ACTIONS(5417),
    [anon_sym_DOT] = ACTIONS(5415),
    [anon_sym_DOT_STAR] = ACTIONS(5417),
    [anon_sym_DASH_GT] = ACTIONS(5417),
    [anon_sym_L_DQUOTE] = ACTIONS(5417),
    [anon_sym_u_DQUOTE] = ACTIONS(5417),
    [anon_sym_U_DQUOTE] = ACTIONS(5417),
    [anon_sym_u8_DQUOTE] = ACTIONS(5417),
    [anon_sym_DQUOTE] = ACTIONS(5417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5417),
    [anon_sym_LR_DQUOTE] = ACTIONS(5417),
    [anon_sym_uR_DQUOTE] = ACTIONS(5417),
    [anon_sym_UR_DQUOTE] = ACTIONS(5417),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5417),
    [sym_literal_suffix] = ACTIONS(5415),
  },
  [2076] = {
    [sym_catch_clause] = STATE(2071),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2071),
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token2] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [aux_sym_preproc_else_token1] = ACTIONS(2858),
    [aux_sym_preproc_elif_token1] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [anon_sym_PROGMEM] = ACTIONS(2858),
    [aux_sym_primitive_type_token1] = ACTIONS(2858),
    [anon_sym_byte] = ACTIONS(2858),
    [anon_sym_word] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [anon_sym_virtual] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_friend] = ACTIONS(2858),
    [anon_sym_public] = ACTIONS(2858),
    [anon_sym_private] = ACTIONS(2858),
    [anon_sym_protected] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
    [anon_sym_catch] = ACTIONS(5411),
  },
  [2077] = {
    [sym_identifier] = ACTIONS(3447),
    [aux_sym_preproc_def_token1] = ACTIONS(3447),
    [aux_sym_preproc_if_token1] = ACTIONS(3447),
    [aux_sym_preproc_if_token2] = ACTIONS(3447),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3447),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3447),
    [aux_sym_preproc_else_token1] = ACTIONS(3447),
    [aux_sym_preproc_elif_token1] = ACTIONS(3447),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3447),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3447),
    [sym_preproc_directive] = ACTIONS(3447),
    [anon_sym_LPAREN2] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_STAR] = ACTIONS(3449),
    [anon_sym_AMP_AMP] = ACTIONS(3449),
    [anon_sym_AMP] = ACTIONS(3447),
    [anon_sym_SEMI] = ACTIONS(5419),
    [anon_sym___extension__] = ACTIONS(3447),
    [anon_sym_typedef] = ACTIONS(3447),
    [anon_sym_extern] = ACTIONS(3447),
    [anon_sym___attribute__] = ACTIONS(3447),
    [anon_sym_COLON_COLON] = ACTIONS(3449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3449),
    [anon_sym___declspec] = ACTIONS(3447),
    [anon_sym___based] = ACTIONS(3447),
    [anon_sym_signed] = ACTIONS(3447),
    [anon_sym_unsigned] = ACTIONS(3447),
    [anon_sym_long] = ACTIONS(3447),
    [anon_sym_short] = ACTIONS(3447),
    [anon_sym_LBRACK] = ACTIONS(3447),
    [anon_sym_static] = ACTIONS(3447),
    [anon_sym_register] = ACTIONS(3447),
    [anon_sym_inline] = ACTIONS(3447),
    [anon_sym___inline] = ACTIONS(3447),
    [anon_sym___inline__] = ACTIONS(3447),
    [anon_sym___forceinline] = ACTIONS(3447),
    [anon_sym_thread_local] = ACTIONS(3447),
    [anon_sym___thread] = ACTIONS(3447),
    [anon_sym_const] = ACTIONS(3447),
    [anon_sym_constexpr] = ACTIONS(3447),
    [anon_sym_volatile] = ACTIONS(3447),
    [anon_sym_restrict] = ACTIONS(3447),
    [anon_sym___restrict__] = ACTIONS(3447),
    [anon_sym__Atomic] = ACTIONS(3447),
    [anon_sym__Noreturn] = ACTIONS(3447),
    [anon_sym_noreturn] = ACTIONS(3447),
    [anon_sym_mutable] = ACTIONS(3447),
    [anon_sym_constinit] = ACTIONS(3447),
    [anon_sym_consteval] = ACTIONS(3447),
    [anon_sym_PROGMEM] = ACTIONS(3447),
    [aux_sym_primitive_type_token1] = ACTIONS(3447),
    [anon_sym_byte] = ACTIONS(3447),
    [anon_sym_word] = ACTIONS(3447),
    [anon_sym_enum] = ACTIONS(3447),
    [anon_sym_class] = ACTIONS(3447),
    [anon_sym_struct] = ACTIONS(3447),
    [anon_sym_union] = ACTIONS(3447),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3447),
    [anon_sym_decltype] = ACTIONS(3447),
    [anon_sym_virtual] = ACTIONS(3447),
    [anon_sym_alignas] = ACTIONS(3447),
    [anon_sym_explicit] = ACTIONS(3447),
    [anon_sym_typename] = ACTIONS(3447),
    [anon_sym_template] = ACTIONS(3447),
    [anon_sym_operator] = ACTIONS(3447),
    [anon_sym_friend] = ACTIONS(3447),
    [anon_sym_public] = ACTIONS(3447),
    [anon_sym_private] = ACTIONS(3447),
    [anon_sym_protected] = ACTIONS(3447),
    [anon_sym_using] = ACTIONS(3447),
    [anon_sym_static_assert] = ACTIONS(3447),
  },
  [2078] = {
    [sym_identifier] = ACTIONS(3385),
    [aux_sym_preproc_def_token1] = ACTIONS(3385),
    [aux_sym_preproc_if_token1] = ACTIONS(3385),
    [aux_sym_preproc_if_token2] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3385),
    [aux_sym_preproc_else_token1] = ACTIONS(3385),
    [aux_sym_preproc_elif_token1] = ACTIONS(3385),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3385),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3385),
    [sym_preproc_directive] = ACTIONS(3385),
    [anon_sym_LPAREN2] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_STAR] = ACTIONS(3387),
    [anon_sym_AMP_AMP] = ACTIONS(3387),
    [anon_sym_AMP] = ACTIONS(3385),
    [anon_sym_SEMI] = ACTIONS(5421),
    [anon_sym___extension__] = ACTIONS(3385),
    [anon_sym_typedef] = ACTIONS(3385),
    [anon_sym_extern] = ACTIONS(3385),
    [anon_sym___attribute__] = ACTIONS(3385),
    [anon_sym_COLON_COLON] = ACTIONS(3387),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3387),
    [anon_sym___declspec] = ACTIONS(3385),
    [anon_sym___based] = ACTIONS(3385),
    [anon_sym_signed] = ACTIONS(3385),
    [anon_sym_unsigned] = ACTIONS(3385),
    [anon_sym_long] = ACTIONS(3385),
    [anon_sym_short] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3385),
    [anon_sym_static] = ACTIONS(3385),
    [anon_sym_register] = ACTIONS(3385),
    [anon_sym_inline] = ACTIONS(3385),
    [anon_sym___inline] = ACTIONS(3385),
    [anon_sym___inline__] = ACTIONS(3385),
    [anon_sym___forceinline] = ACTIONS(3385),
    [anon_sym_thread_local] = ACTIONS(3385),
    [anon_sym___thread] = ACTIONS(3385),
    [anon_sym_const] = ACTIONS(3385),
    [anon_sym_constexpr] = ACTIONS(3385),
    [anon_sym_volatile] = ACTIONS(3385),
    [anon_sym_restrict] = ACTIONS(3385),
    [anon_sym___restrict__] = ACTIONS(3385),
    [anon_sym__Atomic] = ACTIONS(3385),
    [anon_sym__Noreturn] = ACTIONS(3385),
    [anon_sym_noreturn] = ACTIONS(3385),
    [anon_sym_mutable] = ACTIONS(3385),
    [anon_sym_constinit] = ACTIONS(3385),
    [anon_sym_consteval] = ACTIONS(3385),
    [anon_sym_PROGMEM] = ACTIONS(3385),
    [aux_sym_primitive_type_token1] = ACTIONS(3385),
    [anon_sym_byte] = ACTIONS(3385),
    [anon_sym_word] = ACTIONS(3385),
    [anon_sym_enum] = ACTIONS(3385),
    [anon_sym_class] = ACTIONS(3385),
    [anon_sym_struct] = ACTIONS(3385),
    [anon_sym_union] = ACTIONS(3385),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3385),
    [anon_sym_decltype] = ACTIONS(3385),
    [anon_sym_virtual] = ACTIONS(3385),
    [anon_sym_alignas] = ACTIONS(3385),
    [anon_sym_explicit] = ACTIONS(3385),
    [anon_sym_typename] = ACTIONS(3385),
    [anon_sym_template] = ACTIONS(3385),
    [anon_sym_operator] = ACTIONS(3385),
    [anon_sym_friend] = ACTIONS(3385),
    [anon_sym_public] = ACTIONS(3385),
    [anon_sym_private] = ACTIONS(3385),
    [anon_sym_protected] = ACTIONS(3385),
    [anon_sym_using] = ACTIONS(3385),
    [anon_sym_static_assert] = ACTIONS(3385),
  },
  [2079] = {
    [sym_identifier] = ACTIONS(3373),
    [aux_sym_preproc_def_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token2] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3373),
    [aux_sym_preproc_else_token1] = ACTIONS(3373),
    [aux_sym_preproc_elif_token1] = ACTIONS(3373),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3373),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3373),
    [sym_preproc_directive] = ACTIONS(3373),
    [anon_sym_LPAREN2] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_STAR] = ACTIONS(3375),
    [anon_sym_AMP_AMP] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(5423),
    [anon_sym___extension__] = ACTIONS(3373),
    [anon_sym_typedef] = ACTIONS(3373),
    [anon_sym_extern] = ACTIONS(3373),
    [anon_sym___attribute__] = ACTIONS(3373),
    [anon_sym_COLON_COLON] = ACTIONS(3375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3375),
    [anon_sym___declspec] = ACTIONS(3373),
    [anon_sym___based] = ACTIONS(3373),
    [anon_sym_signed] = ACTIONS(3373),
    [anon_sym_unsigned] = ACTIONS(3373),
    [anon_sym_long] = ACTIONS(3373),
    [anon_sym_short] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_register] = ACTIONS(3373),
    [anon_sym_inline] = ACTIONS(3373),
    [anon_sym___inline] = ACTIONS(3373),
    [anon_sym___inline__] = ACTIONS(3373),
    [anon_sym___forceinline] = ACTIONS(3373),
    [anon_sym_thread_local] = ACTIONS(3373),
    [anon_sym___thread] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_constexpr] = ACTIONS(3373),
    [anon_sym_volatile] = ACTIONS(3373),
    [anon_sym_restrict] = ACTIONS(3373),
    [anon_sym___restrict__] = ACTIONS(3373),
    [anon_sym__Atomic] = ACTIONS(3373),
    [anon_sym__Noreturn] = ACTIONS(3373),
    [anon_sym_noreturn] = ACTIONS(3373),
    [anon_sym_mutable] = ACTIONS(3373),
    [anon_sym_constinit] = ACTIONS(3373),
    [anon_sym_consteval] = ACTIONS(3373),
    [anon_sym_PROGMEM] = ACTIONS(3373),
    [aux_sym_primitive_type_token1] = ACTIONS(3373),
    [anon_sym_byte] = ACTIONS(3373),
    [anon_sym_word] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_struct] = ACTIONS(3373),
    [anon_sym_union] = ACTIONS(3373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3373),
    [anon_sym_decltype] = ACTIONS(3373),
    [anon_sym_virtual] = ACTIONS(3373),
    [anon_sym_alignas] = ACTIONS(3373),
    [anon_sym_explicit] = ACTIONS(3373),
    [anon_sym_typename] = ACTIONS(3373),
    [anon_sym_template] = ACTIONS(3373),
    [anon_sym_operator] = ACTIONS(3373),
    [anon_sym_friend] = ACTIONS(3373),
    [anon_sym_public] = ACTIONS(3373),
    [anon_sym_private] = ACTIONS(3373),
    [anon_sym_protected] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_static_assert] = ACTIONS(3373),
  },
  [2080] = {
    [sym_catch_clause] = STATE(2071),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2071),
    [sym_identifier] = ACTIONS(2854),
    [aux_sym_preproc_def_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token2] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2854),
    [aux_sym_preproc_else_token1] = ACTIONS(2854),
    [aux_sym_preproc_elif_token1] = ACTIONS(2854),
    [sym_preproc_directive] = ACTIONS(2854),
    [anon_sym_LPAREN2] = ACTIONS(2856),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_STAR] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2854),
    [anon_sym_typedef] = ACTIONS(2854),
    [anon_sym_extern] = ACTIONS(2854),
    [anon_sym___attribute__] = ACTIONS(2854),
    [anon_sym_COLON_COLON] = ACTIONS(2856),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2856),
    [anon_sym___declspec] = ACTIONS(2854),
    [anon_sym___based] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2854),
    [anon_sym_unsigned] = ACTIONS(2854),
    [anon_sym_long] = ACTIONS(2854),
    [anon_sym_short] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_register] = ACTIONS(2854),
    [anon_sym_inline] = ACTIONS(2854),
    [anon_sym___inline] = ACTIONS(2854),
    [anon_sym___inline__] = ACTIONS(2854),
    [anon_sym___forceinline] = ACTIONS(2854),
    [anon_sym_thread_local] = ACTIONS(2854),
    [anon_sym___thread] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_constexpr] = ACTIONS(2854),
    [anon_sym_volatile] = ACTIONS(2854),
    [anon_sym_restrict] = ACTIONS(2854),
    [anon_sym___restrict__] = ACTIONS(2854),
    [anon_sym__Atomic] = ACTIONS(2854),
    [anon_sym__Noreturn] = ACTIONS(2854),
    [anon_sym_noreturn] = ACTIONS(2854),
    [anon_sym_mutable] = ACTIONS(2854),
    [anon_sym_constinit] = ACTIONS(2854),
    [anon_sym_consteval] = ACTIONS(2854),
    [anon_sym_PROGMEM] = ACTIONS(2854),
    [aux_sym_primitive_type_token1] = ACTIONS(2854),
    [anon_sym_byte] = ACTIONS(2854),
    [anon_sym_word] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_struct] = ACTIONS(2854),
    [anon_sym_union] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2854),
    [anon_sym_decltype] = ACTIONS(2854),
    [anon_sym_virtual] = ACTIONS(2854),
    [anon_sym_alignas] = ACTIONS(2854),
    [anon_sym_explicit] = ACTIONS(2854),
    [anon_sym_typename] = ACTIONS(2854),
    [anon_sym_template] = ACTIONS(2854),
    [anon_sym_operator] = ACTIONS(2854),
    [anon_sym_friend] = ACTIONS(2854),
    [anon_sym_public] = ACTIONS(2854),
    [anon_sym_private] = ACTIONS(2854),
    [anon_sym_protected] = ACTIONS(2854),
    [anon_sym_using] = ACTIONS(2854),
    [anon_sym_static_assert] = ACTIONS(2854),
    [anon_sym_catch] = ACTIONS(5411),
  },
  [2081] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5135),
    [anon_sym_COMMA] = ACTIONS(5135),
    [anon_sym_LPAREN2] = ACTIONS(5135),
    [anon_sym_DASH] = ACTIONS(5133),
    [anon_sym_PLUS] = ACTIONS(5133),
    [anon_sym_STAR] = ACTIONS(5133),
    [anon_sym_SLASH] = ACTIONS(5133),
    [anon_sym_PERCENT] = ACTIONS(5133),
    [anon_sym_PIPE_PIPE] = ACTIONS(5135),
    [anon_sym_AMP_AMP] = ACTIONS(5135),
    [anon_sym_PIPE] = ACTIONS(5133),
    [anon_sym_CARET] = ACTIONS(5133),
    [anon_sym_AMP] = ACTIONS(5133),
    [anon_sym_EQ_EQ] = ACTIONS(5135),
    [anon_sym_BANG_EQ] = ACTIONS(5135),
    [anon_sym_GT] = ACTIONS(5133),
    [anon_sym_GT_EQ] = ACTIONS(5133),
    [anon_sym_LT_EQ] = ACTIONS(5133),
    [anon_sym_LT] = ACTIONS(5133),
    [anon_sym_LT_LT] = ACTIONS(5133),
    [anon_sym_GT_GT] = ACTIONS(5133),
    [anon_sym___extension__] = ACTIONS(5135),
    [anon_sym___attribute__] = ACTIONS(5135),
    [anon_sym_COLON_COLON] = ACTIONS(5135),
    [anon_sym_LBRACE] = ACTIONS(5135),
    [anon_sym_LBRACK] = ACTIONS(5135),
    [anon_sym_EQ] = ACTIONS(5133),
    [anon_sym_const] = ACTIONS(5133),
    [anon_sym_constexpr] = ACTIONS(5135),
    [anon_sym_volatile] = ACTIONS(5135),
    [anon_sym_restrict] = ACTIONS(5135),
    [anon_sym___restrict__] = ACTIONS(5135),
    [anon_sym__Atomic] = ACTIONS(5135),
    [anon_sym__Noreturn] = ACTIONS(5135),
    [anon_sym_noreturn] = ACTIONS(5135),
    [anon_sym_mutable] = ACTIONS(5135),
    [anon_sym_constinit] = ACTIONS(5135),
    [anon_sym_consteval] = ACTIONS(5135),
    [anon_sym_PROGMEM] = ACTIONS(5135),
    [anon_sym_COLON] = ACTIONS(5133),
    [anon_sym_QMARK] = ACTIONS(5135),
    [anon_sym_STAR_EQ] = ACTIONS(5135),
    [anon_sym_SLASH_EQ] = ACTIONS(5135),
    [anon_sym_PERCENT_EQ] = ACTIONS(5135),
    [anon_sym_PLUS_EQ] = ACTIONS(5135),
    [anon_sym_DASH_EQ] = ACTIONS(5135),
    [anon_sym_LT_LT_EQ] = ACTIONS(5135),
    [anon_sym_GT_GT_EQ] = ACTIONS(5133),
    [anon_sym_AMP_EQ] = ACTIONS(5135),
    [anon_sym_CARET_EQ] = ACTIONS(5135),
    [anon_sym_PIPE_EQ] = ACTIONS(5135),
    [anon_sym_and_eq] = ACTIONS(5135),
    [anon_sym_or_eq] = ACTIONS(5135),
    [anon_sym_xor_eq] = ACTIONS(5135),
    [anon_sym_LT_EQ_GT] = ACTIONS(5135),
    [anon_sym_or] = ACTIONS(5133),
    [anon_sym_and] = ACTIONS(5133),
    [anon_sym_bitor] = ACTIONS(5135),
    [anon_sym_xor] = ACTIONS(5133),
    [anon_sym_bitand] = ACTIONS(5135),
    [anon_sym_not_eq] = ACTIONS(5135),
    [anon_sym_DASH_DASH] = ACTIONS(5135),
    [anon_sym_PLUS_PLUS] = ACTIONS(5135),
    [anon_sym_DOT] = ACTIONS(5133),
    [anon_sym_DOT_STAR] = ACTIONS(5135),
    [anon_sym_DASH_GT] = ACTIONS(5135),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5135),
    [anon_sym_decltype] = ACTIONS(5135),
    [anon_sym_final] = ACTIONS(5135),
    [anon_sym_override] = ACTIONS(5135),
    [anon_sym_GT2] = ACTIONS(5135),
  },
  [2082] = {
    [sym_identifier] = ACTIONS(5425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5427),
    [anon_sym_COMMA] = ACTIONS(5427),
    [anon_sym_RPAREN] = ACTIONS(5427),
    [aux_sym_preproc_if_token2] = ACTIONS(5427),
    [aux_sym_preproc_else_token1] = ACTIONS(5427),
    [aux_sym_preproc_elif_token1] = ACTIONS(5425),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5427),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5427),
    [anon_sym_LPAREN2] = ACTIONS(5427),
    [anon_sym_DASH] = ACTIONS(5425),
    [anon_sym_PLUS] = ACTIONS(5425),
    [anon_sym_STAR] = ACTIONS(5425),
    [anon_sym_SLASH] = ACTIONS(5425),
    [anon_sym_PERCENT] = ACTIONS(5425),
    [anon_sym_PIPE_PIPE] = ACTIONS(5427),
    [anon_sym_AMP_AMP] = ACTIONS(5427),
    [anon_sym_PIPE] = ACTIONS(5425),
    [anon_sym_CARET] = ACTIONS(5425),
    [anon_sym_AMP] = ACTIONS(5425),
    [anon_sym_EQ_EQ] = ACTIONS(5427),
    [anon_sym_BANG_EQ] = ACTIONS(5427),
    [anon_sym_GT] = ACTIONS(5425),
    [anon_sym_GT_EQ] = ACTIONS(5427),
    [anon_sym_LT_EQ] = ACTIONS(5425),
    [anon_sym_LT] = ACTIONS(5425),
    [anon_sym_LT_LT] = ACTIONS(5425),
    [anon_sym_GT_GT] = ACTIONS(5425),
    [anon_sym_SEMI] = ACTIONS(5427),
    [anon_sym_RBRACE] = ACTIONS(5427),
    [anon_sym_LBRACK] = ACTIONS(5427),
    [anon_sym_RBRACK] = ACTIONS(5427),
    [anon_sym_EQ] = ACTIONS(5425),
    [anon_sym_COLON] = ACTIONS(5427),
    [anon_sym_QMARK] = ACTIONS(5427),
    [anon_sym_STAR_EQ] = ACTIONS(5427),
    [anon_sym_SLASH_EQ] = ACTIONS(5427),
    [anon_sym_PERCENT_EQ] = ACTIONS(5427),
    [anon_sym_PLUS_EQ] = ACTIONS(5427),
    [anon_sym_DASH_EQ] = ACTIONS(5427),
    [anon_sym_LT_LT_EQ] = ACTIONS(5427),
    [anon_sym_GT_GT_EQ] = ACTIONS(5427),
    [anon_sym_AMP_EQ] = ACTIONS(5427),
    [anon_sym_CARET_EQ] = ACTIONS(5427),
    [anon_sym_PIPE_EQ] = ACTIONS(5427),
    [anon_sym_and_eq] = ACTIONS(5425),
    [anon_sym_or_eq] = ACTIONS(5425),
    [anon_sym_xor_eq] = ACTIONS(5425),
    [anon_sym_LT_EQ_GT] = ACTIONS(5427),
    [anon_sym_or] = ACTIONS(5425),
    [anon_sym_and] = ACTIONS(5425),
    [anon_sym_bitor] = ACTIONS(5425),
    [anon_sym_xor] = ACTIONS(5425),
    [anon_sym_bitand] = ACTIONS(5425),
    [anon_sym_not_eq] = ACTIONS(5425),
    [anon_sym_DASH_DASH] = ACTIONS(5427),
    [anon_sym_PLUS_PLUS] = ACTIONS(5427),
    [anon_sym_DOT] = ACTIONS(5425),
    [anon_sym_DOT_STAR] = ACTIONS(5427),
    [anon_sym_DASH_GT] = ACTIONS(5427),
    [anon_sym_L_DQUOTE] = ACTIONS(5427),
    [anon_sym_u_DQUOTE] = ACTIONS(5427),
    [anon_sym_U_DQUOTE] = ACTIONS(5427),
    [anon_sym_u8_DQUOTE] = ACTIONS(5427),
    [anon_sym_DQUOTE] = ACTIONS(5427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5427),
    [anon_sym_LR_DQUOTE] = ACTIONS(5427),
    [anon_sym_uR_DQUOTE] = ACTIONS(5427),
    [anon_sym_UR_DQUOTE] = ACTIONS(5427),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5427),
    [sym_literal_suffix] = ACTIONS(5425),
  },
  [2083] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5127),
    [anon_sym_COMMA] = ACTIONS(5127),
    [anon_sym_LPAREN2] = ACTIONS(5127),
    [anon_sym_DASH] = ACTIONS(5125),
    [anon_sym_PLUS] = ACTIONS(5125),
    [anon_sym_STAR] = ACTIONS(5125),
    [anon_sym_SLASH] = ACTIONS(5125),
    [anon_sym_PERCENT] = ACTIONS(5125),
    [anon_sym_PIPE_PIPE] = ACTIONS(5127),
    [anon_sym_AMP_AMP] = ACTIONS(5127),
    [anon_sym_PIPE] = ACTIONS(5125),
    [anon_sym_CARET] = ACTIONS(5125),
    [anon_sym_AMP] = ACTIONS(5125),
    [anon_sym_EQ_EQ] = ACTIONS(5127),
    [anon_sym_BANG_EQ] = ACTIONS(5127),
    [anon_sym_GT] = ACTIONS(5125),
    [anon_sym_GT_EQ] = ACTIONS(5125),
    [anon_sym_LT_EQ] = ACTIONS(5125),
    [anon_sym_LT] = ACTIONS(5125),
    [anon_sym_LT_LT] = ACTIONS(5125),
    [anon_sym_GT_GT] = ACTIONS(5125),
    [anon_sym___extension__] = ACTIONS(5127),
    [anon_sym___attribute__] = ACTIONS(5127),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACE] = ACTIONS(5127),
    [anon_sym_LBRACK] = ACTIONS(5127),
    [anon_sym_EQ] = ACTIONS(5125),
    [anon_sym_const] = ACTIONS(5125),
    [anon_sym_constexpr] = ACTIONS(5127),
    [anon_sym_volatile] = ACTIONS(5127),
    [anon_sym_restrict] = ACTIONS(5127),
    [anon_sym___restrict__] = ACTIONS(5127),
    [anon_sym__Atomic] = ACTIONS(5127),
    [anon_sym__Noreturn] = ACTIONS(5127),
    [anon_sym_noreturn] = ACTIONS(5127),
    [anon_sym_mutable] = ACTIONS(5127),
    [anon_sym_constinit] = ACTIONS(5127),
    [anon_sym_consteval] = ACTIONS(5127),
    [anon_sym_PROGMEM] = ACTIONS(5127),
    [anon_sym_COLON] = ACTIONS(5125),
    [anon_sym_QMARK] = ACTIONS(5127),
    [anon_sym_STAR_EQ] = ACTIONS(5127),
    [anon_sym_SLASH_EQ] = ACTIONS(5127),
    [anon_sym_PERCENT_EQ] = ACTIONS(5127),
    [anon_sym_PLUS_EQ] = ACTIONS(5127),
    [anon_sym_DASH_EQ] = ACTIONS(5127),
    [anon_sym_LT_LT_EQ] = ACTIONS(5127),
    [anon_sym_GT_GT_EQ] = ACTIONS(5125),
    [anon_sym_AMP_EQ] = ACTIONS(5127),
    [anon_sym_CARET_EQ] = ACTIONS(5127),
    [anon_sym_PIPE_EQ] = ACTIONS(5127),
    [anon_sym_and_eq] = ACTIONS(5127),
    [anon_sym_or_eq] = ACTIONS(5127),
    [anon_sym_xor_eq] = ACTIONS(5127),
    [anon_sym_LT_EQ_GT] = ACTIONS(5127),
    [anon_sym_or] = ACTIONS(5125),
    [anon_sym_and] = ACTIONS(5125),
    [anon_sym_bitor] = ACTIONS(5127),
    [anon_sym_xor] = ACTIONS(5125),
    [anon_sym_bitand] = ACTIONS(5127),
    [anon_sym_not_eq] = ACTIONS(5127),
    [anon_sym_DASH_DASH] = ACTIONS(5127),
    [anon_sym_PLUS_PLUS] = ACTIONS(5127),
    [anon_sym_DOT] = ACTIONS(5125),
    [anon_sym_DOT_STAR] = ACTIONS(5127),
    [anon_sym_DASH_GT] = ACTIONS(5127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5127),
    [anon_sym_decltype] = ACTIONS(5127),
    [anon_sym_final] = ACTIONS(5127),
    [anon_sym_override] = ACTIONS(5127),
    [anon_sym_GT2] = ACTIONS(5127),
  },
  [2084] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [aux_sym_preproc_else_token1] = ACTIONS(2917),
    [aux_sym_preproc_elif_token1] = ACTIONS(2917),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_PROGMEM] = ACTIONS(2917),
    [aux_sym_primitive_type_token1] = ACTIONS(2917),
    [anon_sym_byte] = ACTIONS(2917),
    [anon_sym_word] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_friend] = ACTIONS(2917),
    [anon_sym_public] = ACTIONS(2917),
    [anon_sym_private] = ACTIONS(2917),
    [anon_sym_protected] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_catch] = ACTIONS(2917),
  },
  [2085] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5151),
    [anon_sym_COMMA] = ACTIONS(5151),
    [anon_sym_LPAREN2] = ACTIONS(5151),
    [anon_sym_DASH] = ACTIONS(5149),
    [anon_sym_PLUS] = ACTIONS(5149),
    [anon_sym_STAR] = ACTIONS(5149),
    [anon_sym_SLASH] = ACTIONS(5149),
    [anon_sym_PERCENT] = ACTIONS(5149),
    [anon_sym_PIPE_PIPE] = ACTIONS(5151),
    [anon_sym_AMP_AMP] = ACTIONS(5151),
    [anon_sym_PIPE] = ACTIONS(5149),
    [anon_sym_CARET] = ACTIONS(5149),
    [anon_sym_AMP] = ACTIONS(5149),
    [anon_sym_EQ_EQ] = ACTIONS(5151),
    [anon_sym_BANG_EQ] = ACTIONS(5151),
    [anon_sym_GT] = ACTIONS(5149),
    [anon_sym_GT_EQ] = ACTIONS(5149),
    [anon_sym_LT_EQ] = ACTIONS(5149),
    [anon_sym_LT] = ACTIONS(5149),
    [anon_sym_LT_LT] = ACTIONS(5149),
    [anon_sym_GT_GT] = ACTIONS(5149),
    [anon_sym___extension__] = ACTIONS(5151),
    [anon_sym___attribute__] = ACTIONS(5151),
    [anon_sym_COLON_COLON] = ACTIONS(5151),
    [anon_sym_LBRACE] = ACTIONS(5151),
    [anon_sym_LBRACK] = ACTIONS(5151),
    [anon_sym_EQ] = ACTIONS(5149),
    [anon_sym_const] = ACTIONS(5149),
    [anon_sym_constexpr] = ACTIONS(5151),
    [anon_sym_volatile] = ACTIONS(5151),
    [anon_sym_restrict] = ACTIONS(5151),
    [anon_sym___restrict__] = ACTIONS(5151),
    [anon_sym__Atomic] = ACTIONS(5151),
    [anon_sym__Noreturn] = ACTIONS(5151),
    [anon_sym_noreturn] = ACTIONS(5151),
    [anon_sym_mutable] = ACTIONS(5151),
    [anon_sym_constinit] = ACTIONS(5151),
    [anon_sym_consteval] = ACTIONS(5151),
    [anon_sym_PROGMEM] = ACTIONS(5151),
    [anon_sym_COLON] = ACTIONS(5149),
    [anon_sym_QMARK] = ACTIONS(5151),
    [anon_sym_STAR_EQ] = ACTIONS(5151),
    [anon_sym_SLASH_EQ] = ACTIONS(5151),
    [anon_sym_PERCENT_EQ] = ACTIONS(5151),
    [anon_sym_PLUS_EQ] = ACTIONS(5151),
    [anon_sym_DASH_EQ] = ACTIONS(5151),
    [anon_sym_LT_LT_EQ] = ACTIONS(5151),
    [anon_sym_GT_GT_EQ] = ACTIONS(5149),
    [anon_sym_AMP_EQ] = ACTIONS(5151),
    [anon_sym_CARET_EQ] = ACTIONS(5151),
    [anon_sym_PIPE_EQ] = ACTIONS(5151),
    [anon_sym_and_eq] = ACTIONS(5151),
    [anon_sym_or_eq] = ACTIONS(5151),
    [anon_sym_xor_eq] = ACTIONS(5151),
    [anon_sym_LT_EQ_GT] = ACTIONS(5151),
    [anon_sym_or] = ACTIONS(5149),
    [anon_sym_and] = ACTIONS(5149),
    [anon_sym_bitor] = ACTIONS(5151),
    [anon_sym_xor] = ACTIONS(5149),
    [anon_sym_bitand] = ACTIONS(5151),
    [anon_sym_not_eq] = ACTIONS(5151),
    [anon_sym_DASH_DASH] = ACTIONS(5151),
    [anon_sym_PLUS_PLUS] = ACTIONS(5151),
    [anon_sym_DOT] = ACTIONS(5149),
    [anon_sym_DOT_STAR] = ACTIONS(5151),
    [anon_sym_DASH_GT] = ACTIONS(5151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5151),
    [anon_sym_decltype] = ACTIONS(5151),
    [anon_sym_final] = ACTIONS(5151),
    [anon_sym_override] = ACTIONS(5151),
    [anon_sym_GT2] = ACTIONS(5151),
  },
  [2086] = {
    [sym_identifier] = ACTIONS(5429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5431),
    [anon_sym_COMMA] = ACTIONS(5431),
    [anon_sym_RPAREN] = ACTIONS(5431),
    [aux_sym_preproc_if_token2] = ACTIONS(5431),
    [aux_sym_preproc_else_token1] = ACTIONS(5431),
    [aux_sym_preproc_elif_token1] = ACTIONS(5429),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5431),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5431),
    [anon_sym_LPAREN2] = ACTIONS(5431),
    [anon_sym_DASH] = ACTIONS(5429),
    [anon_sym_PLUS] = ACTIONS(5429),
    [anon_sym_STAR] = ACTIONS(5429),
    [anon_sym_SLASH] = ACTIONS(5429),
    [anon_sym_PERCENT] = ACTIONS(5429),
    [anon_sym_PIPE_PIPE] = ACTIONS(5431),
    [anon_sym_AMP_AMP] = ACTIONS(5431),
    [anon_sym_PIPE] = ACTIONS(5429),
    [anon_sym_CARET] = ACTIONS(5429),
    [anon_sym_AMP] = ACTIONS(5429),
    [anon_sym_EQ_EQ] = ACTIONS(5431),
    [anon_sym_BANG_EQ] = ACTIONS(5431),
    [anon_sym_GT] = ACTIONS(5429),
    [anon_sym_GT_EQ] = ACTIONS(5431),
    [anon_sym_LT_EQ] = ACTIONS(5429),
    [anon_sym_LT] = ACTIONS(5429),
    [anon_sym_LT_LT] = ACTIONS(5429),
    [anon_sym_GT_GT] = ACTIONS(5429),
    [anon_sym_SEMI] = ACTIONS(5431),
    [anon_sym_RBRACE] = ACTIONS(5431),
    [anon_sym_LBRACK] = ACTIONS(5431),
    [anon_sym_RBRACK] = ACTIONS(5431),
    [anon_sym_EQ] = ACTIONS(5429),
    [anon_sym_COLON] = ACTIONS(5431),
    [anon_sym_QMARK] = ACTIONS(5431),
    [anon_sym_STAR_EQ] = ACTIONS(5431),
    [anon_sym_SLASH_EQ] = ACTIONS(5431),
    [anon_sym_PERCENT_EQ] = ACTIONS(5431),
    [anon_sym_PLUS_EQ] = ACTIONS(5431),
    [anon_sym_DASH_EQ] = ACTIONS(5431),
    [anon_sym_LT_LT_EQ] = ACTIONS(5431),
    [anon_sym_GT_GT_EQ] = ACTIONS(5431),
    [anon_sym_AMP_EQ] = ACTIONS(5431),
    [anon_sym_CARET_EQ] = ACTIONS(5431),
    [anon_sym_PIPE_EQ] = ACTIONS(5431),
    [anon_sym_and_eq] = ACTIONS(5429),
    [anon_sym_or_eq] = ACTIONS(5429),
    [anon_sym_xor_eq] = ACTIONS(5429),
    [anon_sym_LT_EQ_GT] = ACTIONS(5431),
    [anon_sym_or] = ACTIONS(5429),
    [anon_sym_and] = ACTIONS(5429),
    [anon_sym_bitor] = ACTIONS(5429),
    [anon_sym_xor] = ACTIONS(5429),
    [anon_sym_bitand] = ACTIONS(5429),
    [anon_sym_not_eq] = ACTIONS(5429),
    [anon_sym_DASH_DASH] = ACTIONS(5431),
    [anon_sym_PLUS_PLUS] = ACTIONS(5431),
    [anon_sym_DOT] = ACTIONS(5429),
    [anon_sym_DOT_STAR] = ACTIONS(5431),
    [anon_sym_DASH_GT] = ACTIONS(5431),
    [anon_sym_L_DQUOTE] = ACTIONS(5431),
    [anon_sym_u_DQUOTE] = ACTIONS(5431),
    [anon_sym_U_DQUOTE] = ACTIONS(5431),
    [anon_sym_u8_DQUOTE] = ACTIONS(5431),
    [anon_sym_DQUOTE] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5431),
    [anon_sym_LR_DQUOTE] = ACTIONS(5431),
    [anon_sym_uR_DQUOTE] = ACTIONS(5431),
    [anon_sym_UR_DQUOTE] = ACTIONS(5431),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5431),
    [sym_literal_suffix] = ACTIONS(5429),
  },
  [2087] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5131),
    [anon_sym_COMMA] = ACTIONS(5131),
    [anon_sym_LPAREN2] = ACTIONS(5131),
    [anon_sym_DASH] = ACTIONS(5129),
    [anon_sym_PLUS] = ACTIONS(5129),
    [anon_sym_STAR] = ACTIONS(5129),
    [anon_sym_SLASH] = ACTIONS(5129),
    [anon_sym_PERCENT] = ACTIONS(5129),
    [anon_sym_PIPE_PIPE] = ACTIONS(5131),
    [anon_sym_AMP_AMP] = ACTIONS(5131),
    [anon_sym_PIPE] = ACTIONS(5129),
    [anon_sym_CARET] = ACTIONS(5129),
    [anon_sym_AMP] = ACTIONS(5129),
    [anon_sym_EQ_EQ] = ACTIONS(5131),
    [anon_sym_BANG_EQ] = ACTIONS(5131),
    [anon_sym_GT] = ACTIONS(5129),
    [anon_sym_GT_EQ] = ACTIONS(5129),
    [anon_sym_LT_EQ] = ACTIONS(5129),
    [anon_sym_LT] = ACTIONS(5129),
    [anon_sym_LT_LT] = ACTIONS(5129),
    [anon_sym_GT_GT] = ACTIONS(5129),
    [anon_sym___extension__] = ACTIONS(5131),
    [anon_sym___attribute__] = ACTIONS(5131),
    [anon_sym_COLON_COLON] = ACTIONS(5131),
    [anon_sym_LBRACE] = ACTIONS(5131),
    [anon_sym_LBRACK] = ACTIONS(5131),
    [anon_sym_EQ] = ACTIONS(5129),
    [anon_sym_const] = ACTIONS(5129),
    [anon_sym_constexpr] = ACTIONS(5131),
    [anon_sym_volatile] = ACTIONS(5131),
    [anon_sym_restrict] = ACTIONS(5131),
    [anon_sym___restrict__] = ACTIONS(5131),
    [anon_sym__Atomic] = ACTIONS(5131),
    [anon_sym__Noreturn] = ACTIONS(5131),
    [anon_sym_noreturn] = ACTIONS(5131),
    [anon_sym_mutable] = ACTIONS(5131),
    [anon_sym_constinit] = ACTIONS(5131),
    [anon_sym_consteval] = ACTIONS(5131),
    [anon_sym_PROGMEM] = ACTIONS(5131),
    [anon_sym_COLON] = ACTIONS(5129),
    [anon_sym_QMARK] = ACTIONS(5131),
    [anon_sym_STAR_EQ] = ACTIONS(5131),
    [anon_sym_SLASH_EQ] = ACTIONS(5131),
    [anon_sym_PERCENT_EQ] = ACTIONS(5131),
    [anon_sym_PLUS_EQ] = ACTIONS(5131),
    [anon_sym_DASH_EQ] = ACTIONS(5131),
    [anon_sym_LT_LT_EQ] = ACTIONS(5131),
    [anon_sym_GT_GT_EQ] = ACTIONS(5129),
    [anon_sym_AMP_EQ] = ACTIONS(5131),
    [anon_sym_CARET_EQ] = ACTIONS(5131),
    [anon_sym_PIPE_EQ] = ACTIONS(5131),
    [anon_sym_and_eq] = ACTIONS(5131),
    [anon_sym_or_eq] = ACTIONS(5131),
    [anon_sym_xor_eq] = ACTIONS(5131),
    [anon_sym_LT_EQ_GT] = ACTIONS(5131),
    [anon_sym_or] = ACTIONS(5129),
    [anon_sym_and] = ACTIONS(5129),
    [anon_sym_bitor] = ACTIONS(5131),
    [anon_sym_xor] = ACTIONS(5129),
    [anon_sym_bitand] = ACTIONS(5131),
    [anon_sym_not_eq] = ACTIONS(5131),
    [anon_sym_DASH_DASH] = ACTIONS(5131),
    [anon_sym_PLUS_PLUS] = ACTIONS(5131),
    [anon_sym_DOT] = ACTIONS(5129),
    [anon_sym_DOT_STAR] = ACTIONS(5131),
    [anon_sym_DASH_GT] = ACTIONS(5131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5131),
    [anon_sym_decltype] = ACTIONS(5131),
    [anon_sym_final] = ACTIONS(5131),
    [anon_sym_override] = ACTIONS(5131),
    [anon_sym_GT2] = ACTIONS(5131),
  },
  [2088] = {
    [sym_identifier] = ACTIONS(5433),
    [aux_sym_preproc_def_token1] = ACTIONS(5433),
    [aux_sym_preproc_if_token1] = ACTIONS(5433),
    [aux_sym_preproc_if_token2] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5433),
    [aux_sym_preproc_else_token1] = ACTIONS(5433),
    [aux_sym_preproc_elif_token1] = ACTIONS(5433),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5433),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5433),
    [sym_preproc_directive] = ACTIONS(5433),
    [anon_sym_LPAREN2] = ACTIONS(5435),
    [anon_sym_TILDE] = ACTIONS(5435),
    [anon_sym_STAR] = ACTIONS(5435),
    [anon_sym_AMP_AMP] = ACTIONS(5435),
    [anon_sym_AMP] = ACTIONS(5433),
    [anon_sym___extension__] = ACTIONS(5433),
    [anon_sym_typedef] = ACTIONS(5433),
    [anon_sym_extern] = ACTIONS(5433),
    [anon_sym___attribute__] = ACTIONS(5433),
    [anon_sym_COLON_COLON] = ACTIONS(5435),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5435),
    [anon_sym___declspec] = ACTIONS(5433),
    [anon_sym___based] = ACTIONS(5433),
    [anon_sym_signed] = ACTIONS(5433),
    [anon_sym_unsigned] = ACTIONS(5433),
    [anon_sym_long] = ACTIONS(5433),
    [anon_sym_short] = ACTIONS(5433),
    [anon_sym_LBRACK] = ACTIONS(5433),
    [anon_sym_static] = ACTIONS(5433),
    [anon_sym_register] = ACTIONS(5433),
    [anon_sym_inline] = ACTIONS(5433),
    [anon_sym___inline] = ACTIONS(5433),
    [anon_sym___inline__] = ACTIONS(5433),
    [anon_sym___forceinline] = ACTIONS(5433),
    [anon_sym_thread_local] = ACTIONS(5433),
    [anon_sym___thread] = ACTIONS(5433),
    [anon_sym_const] = ACTIONS(5433),
    [anon_sym_constexpr] = ACTIONS(5433),
    [anon_sym_volatile] = ACTIONS(5433),
    [anon_sym_restrict] = ACTIONS(5433),
    [anon_sym___restrict__] = ACTIONS(5433),
    [anon_sym__Atomic] = ACTIONS(5433),
    [anon_sym__Noreturn] = ACTIONS(5433),
    [anon_sym_noreturn] = ACTIONS(5433),
    [anon_sym_mutable] = ACTIONS(5433),
    [anon_sym_constinit] = ACTIONS(5433),
    [anon_sym_consteval] = ACTIONS(5433),
    [anon_sym_PROGMEM] = ACTIONS(5433),
    [aux_sym_primitive_type_token1] = ACTIONS(5433),
    [anon_sym_byte] = ACTIONS(5433),
    [anon_sym_word] = ACTIONS(5433),
    [anon_sym_enum] = ACTIONS(5433),
    [anon_sym_class] = ACTIONS(5433),
    [anon_sym_struct] = ACTIONS(5433),
    [anon_sym_union] = ACTIONS(5433),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5433),
    [anon_sym_decltype] = ACTIONS(5433),
    [anon_sym_virtual] = ACTIONS(5433),
    [anon_sym_alignas] = ACTIONS(5433),
    [anon_sym_explicit] = ACTIONS(5433),
    [anon_sym_typename] = ACTIONS(5433),
    [anon_sym_template] = ACTIONS(5433),
    [anon_sym_operator] = ACTIONS(5433),
    [anon_sym_friend] = ACTIONS(5433),
    [anon_sym_public] = ACTIONS(5433),
    [anon_sym_private] = ACTIONS(5433),
    [anon_sym_protected] = ACTIONS(5433),
    [anon_sym_using] = ACTIONS(5433),
    [anon_sym_static_assert] = ACTIONS(5433),
  },
  [2089] = {
    [sym_identifier] = ACTIONS(5437),
    [aux_sym_preproc_def_token1] = ACTIONS(5437),
    [aux_sym_preproc_if_token1] = ACTIONS(5437),
    [aux_sym_preproc_if_token2] = ACTIONS(5437),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5437),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5437),
    [aux_sym_preproc_else_token1] = ACTIONS(5437),
    [aux_sym_preproc_elif_token1] = ACTIONS(5437),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5437),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5437),
    [sym_preproc_directive] = ACTIONS(5437),
    [anon_sym_LPAREN2] = ACTIONS(5439),
    [anon_sym_TILDE] = ACTIONS(5439),
    [anon_sym_STAR] = ACTIONS(5439),
    [anon_sym_AMP_AMP] = ACTIONS(5439),
    [anon_sym_AMP] = ACTIONS(5437),
    [anon_sym___extension__] = ACTIONS(5437),
    [anon_sym_typedef] = ACTIONS(5437),
    [anon_sym_extern] = ACTIONS(5437),
    [anon_sym___attribute__] = ACTIONS(5437),
    [anon_sym_COLON_COLON] = ACTIONS(5439),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5439),
    [anon_sym___declspec] = ACTIONS(5437),
    [anon_sym___based] = ACTIONS(5437),
    [anon_sym_signed] = ACTIONS(5437),
    [anon_sym_unsigned] = ACTIONS(5437),
    [anon_sym_long] = ACTIONS(5437),
    [anon_sym_short] = ACTIONS(5437),
    [anon_sym_LBRACK] = ACTIONS(5437),
    [anon_sym_static] = ACTIONS(5437),
    [anon_sym_register] = ACTIONS(5437),
    [anon_sym_inline] = ACTIONS(5437),
    [anon_sym___inline] = ACTIONS(5437),
    [anon_sym___inline__] = ACTIONS(5437),
    [anon_sym___forceinline] = ACTIONS(5437),
    [anon_sym_thread_local] = ACTIONS(5437),
    [anon_sym___thread] = ACTIONS(5437),
    [anon_sym_const] = ACTIONS(5437),
    [anon_sym_constexpr] = ACTIONS(5437),
    [anon_sym_volatile] = ACTIONS(5437),
    [anon_sym_restrict] = ACTIONS(5437),
    [anon_sym___restrict__] = ACTIONS(5437),
    [anon_sym__Atomic] = ACTIONS(5437),
    [anon_sym__Noreturn] = ACTIONS(5437),
    [anon_sym_noreturn] = ACTIONS(5437),
    [anon_sym_mutable] = ACTIONS(5437),
    [anon_sym_constinit] = ACTIONS(5437),
    [anon_sym_consteval] = ACTIONS(5437),
    [anon_sym_PROGMEM] = ACTIONS(5437),
    [aux_sym_primitive_type_token1] = ACTIONS(5437),
    [anon_sym_byte] = ACTIONS(5437),
    [anon_sym_word] = ACTIONS(5437),
    [anon_sym_enum] = ACTIONS(5437),
    [anon_sym_class] = ACTIONS(5437),
    [anon_sym_struct] = ACTIONS(5437),
    [anon_sym_union] = ACTIONS(5437),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5437),
    [anon_sym_decltype] = ACTIONS(5437),
    [anon_sym_virtual] = ACTIONS(5437),
    [anon_sym_alignas] = ACTIONS(5437),
    [anon_sym_explicit] = ACTIONS(5437),
    [anon_sym_typename] = ACTIONS(5437),
    [anon_sym_template] = ACTIONS(5437),
    [anon_sym_operator] = ACTIONS(5437),
    [anon_sym_friend] = ACTIONS(5437),
    [anon_sym_public] = ACTIONS(5437),
    [anon_sym_private] = ACTIONS(5437),
    [anon_sym_protected] = ACTIONS(5437),
    [anon_sym_using] = ACTIONS(5437),
    [anon_sym_static_assert] = ACTIONS(5437),
  },
  [2090] = {
    [sym_identifier] = ACTIONS(3168),
    [aux_sym_preproc_def_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3168),
    [aux_sym_preproc_else_token1] = ACTIONS(3168),
    [aux_sym_preproc_elif_token1] = ACTIONS(3168),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3168),
    [sym_preproc_directive] = ACTIONS(3168),
    [anon_sym_LPAREN2] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym___extension__] = ACTIONS(3168),
    [anon_sym_typedef] = ACTIONS(3168),
    [anon_sym_extern] = ACTIONS(3168),
    [anon_sym___attribute__] = ACTIONS(3168),
    [anon_sym_COLON_COLON] = ACTIONS(3170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3170),
    [anon_sym___declspec] = ACTIONS(3168),
    [anon_sym___based] = ACTIONS(3168),
    [anon_sym_signed] = ACTIONS(3168),
    [anon_sym_unsigned] = ACTIONS(3168),
    [anon_sym_long] = ACTIONS(3168),
    [anon_sym_short] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_register] = ACTIONS(3168),
    [anon_sym_inline] = ACTIONS(3168),
    [anon_sym___inline] = ACTIONS(3168),
    [anon_sym___inline__] = ACTIONS(3168),
    [anon_sym___forceinline] = ACTIONS(3168),
    [anon_sym_thread_local] = ACTIONS(3168),
    [anon_sym___thread] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_constexpr] = ACTIONS(3168),
    [anon_sym_volatile] = ACTIONS(3168),
    [anon_sym_restrict] = ACTIONS(3168),
    [anon_sym___restrict__] = ACTIONS(3168),
    [anon_sym__Atomic] = ACTIONS(3168),
    [anon_sym__Noreturn] = ACTIONS(3168),
    [anon_sym_noreturn] = ACTIONS(3168),
    [anon_sym_mutable] = ACTIONS(3168),
    [anon_sym_constinit] = ACTIONS(3168),
    [anon_sym_consteval] = ACTIONS(3168),
    [anon_sym_PROGMEM] = ACTIONS(3168),
    [aux_sym_primitive_type_token1] = ACTIONS(3168),
    [anon_sym_byte] = ACTIONS(3168),
    [anon_sym_word] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_struct] = ACTIONS(3168),
    [anon_sym_union] = ACTIONS(3168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3168),
    [anon_sym_decltype] = ACTIONS(3168),
    [anon_sym_virtual] = ACTIONS(3168),
    [anon_sym_alignas] = ACTIONS(3168),
    [anon_sym_explicit] = ACTIONS(3168),
    [anon_sym_typename] = ACTIONS(3168),
    [anon_sym_template] = ACTIONS(3168),
    [anon_sym_operator] = ACTIONS(3168),
    [anon_sym_friend] = ACTIONS(3168),
    [anon_sym_public] = ACTIONS(3168),
    [anon_sym_private] = ACTIONS(3168),
    [anon_sym_protected] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_static_assert] = ACTIONS(3168),
  },
  [2091] = {
    [sym__declaration_modifiers] = STATE(3944),
    [sym_attribute_specifier] = STATE(3944),
    [sym_attribute_declaration] = STATE(3944),
    [sym_ms_declspec_modifier] = STATE(3944),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7066),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3944),
    [sym_type_qualifier] = STATE(3944),
    [sym_decltype] = STATE(9281),
    [sym_virtual] = STATE(3944),
    [sym_alignas_specifier] = STATE(3944),
    [sym_explicit_function_specifier] = STATE(3944),
    [sym_operator_cast] = STATE(7353),
    [sym__constructor_specifiers] = STATE(3944),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(9281),
    [sym_template_function] = STATE(6932),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6232),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_operator_cast_identifier] = STATE(7353),
    [sym_operator_name] = STATE(6932),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3944),
    [sym_identifier] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(5443),
    [anon_sym_extern] = ACTIONS(5445),
    [anon_sym___attribute__] = ACTIONS(5447),
    [anon_sym_COLON_COLON] = ACTIONS(5449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5451),
    [anon_sym___declspec] = ACTIONS(5453),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(5445),
    [anon_sym_register] = ACTIONS(5445),
    [anon_sym_inline] = ACTIONS(5445),
    [anon_sym___inline] = ACTIONS(5445),
    [anon_sym___inline__] = ACTIONS(5445),
    [anon_sym___forceinline] = ACTIONS(5445),
    [anon_sym_thread_local] = ACTIONS(5445),
    [anon_sym___thread] = ACTIONS(5445),
    [anon_sym_const] = ACTIONS(5443),
    [anon_sym_constexpr] = ACTIONS(5443),
    [anon_sym_volatile] = ACTIONS(5443),
    [anon_sym_restrict] = ACTIONS(5443),
    [anon_sym___restrict__] = ACTIONS(5443),
    [anon_sym__Atomic] = ACTIONS(5443),
    [anon_sym__Noreturn] = ACTIONS(5443),
    [anon_sym_noreturn] = ACTIONS(5443),
    [anon_sym_mutable] = ACTIONS(5443),
    [anon_sym_constinit] = ACTIONS(5443),
    [anon_sym_consteval] = ACTIONS(5443),
    [anon_sym_PROGMEM] = ACTIONS(5443),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_virtual] = ACTIONS(5455),
    [anon_sym_alignas] = ACTIONS(5457),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(133),
  },
  [2092] = {
    [sym_identifier] = ACTIONS(3397),
    [aux_sym_preproc_def_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token2] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3397),
    [aux_sym_preproc_else_token1] = ACTIONS(3397),
    [aux_sym_preproc_elif_token1] = ACTIONS(3397),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3397),
    [sym_preproc_directive] = ACTIONS(3397),
    [anon_sym_LPAREN2] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_AMP_AMP] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3397),
    [anon_sym___extension__] = ACTIONS(3397),
    [anon_sym_typedef] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym___attribute__] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(3399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym___declspec] = ACTIONS(3397),
    [anon_sym___based] = ACTIONS(3397),
    [anon_sym_signed] = ACTIONS(3397),
    [anon_sym_unsigned] = ACTIONS(3397),
    [anon_sym_long] = ACTIONS(3397),
    [anon_sym_short] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_register] = ACTIONS(3397),
    [anon_sym_inline] = ACTIONS(3397),
    [anon_sym___inline] = ACTIONS(3397),
    [anon_sym___inline__] = ACTIONS(3397),
    [anon_sym___forceinline] = ACTIONS(3397),
    [anon_sym_thread_local] = ACTIONS(3397),
    [anon_sym___thread] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_constexpr] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_restrict] = ACTIONS(3397),
    [anon_sym___restrict__] = ACTIONS(3397),
    [anon_sym__Atomic] = ACTIONS(3397),
    [anon_sym__Noreturn] = ACTIONS(3397),
    [anon_sym_noreturn] = ACTIONS(3397),
    [anon_sym_mutable] = ACTIONS(3397),
    [anon_sym_constinit] = ACTIONS(3397),
    [anon_sym_consteval] = ACTIONS(3397),
    [anon_sym_PROGMEM] = ACTIONS(3397),
    [aux_sym_primitive_type_token1] = ACTIONS(3397),
    [anon_sym_byte] = ACTIONS(3397),
    [anon_sym_word] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_union] = ACTIONS(3397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3397),
    [anon_sym_decltype] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_alignas] = ACTIONS(3397),
    [anon_sym_explicit] = ACTIONS(3397),
    [anon_sym_typename] = ACTIONS(3397),
    [anon_sym_template] = ACTIONS(3397),
    [anon_sym_operator] = ACTIONS(3397),
    [anon_sym_friend] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_static_assert] = ACTIONS(3397),
  },
  [2093] = {
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5993),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7213),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5194),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2094] = {
    [sym_identifier] = ACTIONS(3991),
    [aux_sym_preproc_def_token1] = ACTIONS(3991),
    [aux_sym_preproc_if_token1] = ACTIONS(3991),
    [aux_sym_preproc_if_token2] = ACTIONS(3991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3991),
    [aux_sym_preproc_else_token1] = ACTIONS(3991),
    [aux_sym_preproc_elif_token1] = ACTIONS(3991),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3991),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3991),
    [sym_preproc_directive] = ACTIONS(3991),
    [anon_sym_LPAREN2] = ACTIONS(3989),
    [anon_sym_TILDE] = ACTIONS(3989),
    [anon_sym_STAR] = ACTIONS(3989),
    [anon_sym_AMP_AMP] = ACTIONS(3989),
    [anon_sym_AMP] = ACTIONS(3991),
    [anon_sym___extension__] = ACTIONS(3991),
    [anon_sym_typedef] = ACTIONS(3991),
    [anon_sym_extern] = ACTIONS(3991),
    [anon_sym___attribute__] = ACTIONS(3991),
    [anon_sym_COLON_COLON] = ACTIONS(3989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3989),
    [anon_sym___declspec] = ACTIONS(3991),
    [anon_sym___based] = ACTIONS(3991),
    [anon_sym_signed] = ACTIONS(3991),
    [anon_sym_unsigned] = ACTIONS(3991),
    [anon_sym_long] = ACTIONS(3991),
    [anon_sym_short] = ACTIONS(3991),
    [anon_sym_LBRACK] = ACTIONS(3991),
    [anon_sym_static] = ACTIONS(3991),
    [anon_sym_register] = ACTIONS(3991),
    [anon_sym_inline] = ACTIONS(3991),
    [anon_sym___inline] = ACTIONS(3991),
    [anon_sym___inline__] = ACTIONS(3991),
    [anon_sym___forceinline] = ACTIONS(3991),
    [anon_sym_thread_local] = ACTIONS(3991),
    [anon_sym___thread] = ACTIONS(3991),
    [anon_sym_const] = ACTIONS(3991),
    [anon_sym_constexpr] = ACTIONS(3991),
    [anon_sym_volatile] = ACTIONS(3991),
    [anon_sym_restrict] = ACTIONS(3991),
    [anon_sym___restrict__] = ACTIONS(3991),
    [anon_sym__Atomic] = ACTIONS(3991),
    [anon_sym__Noreturn] = ACTIONS(3991),
    [anon_sym_noreturn] = ACTIONS(3991),
    [anon_sym_mutable] = ACTIONS(3991),
    [anon_sym_constinit] = ACTIONS(3991),
    [anon_sym_consteval] = ACTIONS(3991),
    [anon_sym_PROGMEM] = ACTIONS(3991),
    [aux_sym_primitive_type_token1] = ACTIONS(3991),
    [anon_sym_byte] = ACTIONS(3991),
    [anon_sym_word] = ACTIONS(3991),
    [anon_sym_enum] = ACTIONS(3991),
    [anon_sym_class] = ACTIONS(3991),
    [anon_sym_struct] = ACTIONS(3991),
    [anon_sym_union] = ACTIONS(3991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3991),
    [anon_sym_decltype] = ACTIONS(3991),
    [anon_sym_virtual] = ACTIONS(3991),
    [anon_sym_alignas] = ACTIONS(3991),
    [anon_sym_explicit] = ACTIONS(3991),
    [anon_sym_typename] = ACTIONS(3991),
    [anon_sym_template] = ACTIONS(3991),
    [anon_sym_operator] = ACTIONS(3991),
    [anon_sym_friend] = ACTIONS(3991),
    [anon_sym_public] = ACTIONS(3991),
    [anon_sym_private] = ACTIONS(3991),
    [anon_sym_protected] = ACTIONS(3991),
    [anon_sym_using] = ACTIONS(3991),
    [anon_sym_static_assert] = ACTIONS(3991),
  },
  [2095] = {
    [sym_identifier] = ACTIONS(3365),
    [aux_sym_preproc_def_token1] = ACTIONS(3365),
    [aux_sym_preproc_if_token1] = ACTIONS(3365),
    [aux_sym_preproc_if_token2] = ACTIONS(3365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3365),
    [aux_sym_preproc_else_token1] = ACTIONS(3365),
    [aux_sym_preproc_elif_token1] = ACTIONS(3365),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3365),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3365),
    [sym_preproc_directive] = ACTIONS(3365),
    [anon_sym_LPAREN2] = ACTIONS(3367),
    [anon_sym_TILDE] = ACTIONS(3367),
    [anon_sym_STAR] = ACTIONS(3367),
    [anon_sym_AMP_AMP] = ACTIONS(3367),
    [anon_sym_AMP] = ACTIONS(3365),
    [anon_sym___extension__] = ACTIONS(3365),
    [anon_sym_typedef] = ACTIONS(3365),
    [anon_sym_extern] = ACTIONS(3365),
    [anon_sym___attribute__] = ACTIONS(3365),
    [anon_sym_COLON_COLON] = ACTIONS(3367),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3367),
    [anon_sym___declspec] = ACTIONS(3365),
    [anon_sym___based] = ACTIONS(3365),
    [anon_sym_signed] = ACTIONS(3365),
    [anon_sym_unsigned] = ACTIONS(3365),
    [anon_sym_long] = ACTIONS(3365),
    [anon_sym_short] = ACTIONS(3365),
    [anon_sym_LBRACK] = ACTIONS(3365),
    [anon_sym_static] = ACTIONS(3365),
    [anon_sym_register] = ACTIONS(3365),
    [anon_sym_inline] = ACTIONS(3365),
    [anon_sym___inline] = ACTIONS(3365),
    [anon_sym___inline__] = ACTIONS(3365),
    [anon_sym___forceinline] = ACTIONS(3365),
    [anon_sym_thread_local] = ACTIONS(3365),
    [anon_sym___thread] = ACTIONS(3365),
    [anon_sym_const] = ACTIONS(3365),
    [anon_sym_constexpr] = ACTIONS(3365),
    [anon_sym_volatile] = ACTIONS(3365),
    [anon_sym_restrict] = ACTIONS(3365),
    [anon_sym___restrict__] = ACTIONS(3365),
    [anon_sym__Atomic] = ACTIONS(3365),
    [anon_sym__Noreturn] = ACTIONS(3365),
    [anon_sym_noreturn] = ACTIONS(3365),
    [anon_sym_mutable] = ACTIONS(3365),
    [anon_sym_constinit] = ACTIONS(3365),
    [anon_sym_consteval] = ACTIONS(3365),
    [anon_sym_PROGMEM] = ACTIONS(3365),
    [aux_sym_primitive_type_token1] = ACTIONS(3365),
    [anon_sym_byte] = ACTIONS(3365),
    [anon_sym_word] = ACTIONS(3365),
    [anon_sym_enum] = ACTIONS(3365),
    [anon_sym_class] = ACTIONS(3365),
    [anon_sym_struct] = ACTIONS(3365),
    [anon_sym_union] = ACTIONS(3365),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3365),
    [anon_sym_decltype] = ACTIONS(3365),
    [anon_sym_virtual] = ACTIONS(3365),
    [anon_sym_alignas] = ACTIONS(3365),
    [anon_sym_explicit] = ACTIONS(3365),
    [anon_sym_typename] = ACTIONS(3365),
    [anon_sym_template] = ACTIONS(3365),
    [anon_sym_operator] = ACTIONS(3365),
    [anon_sym_friend] = ACTIONS(3365),
    [anon_sym_public] = ACTIONS(3365),
    [anon_sym_private] = ACTIONS(3365),
    [anon_sym_protected] = ACTIONS(3365),
    [anon_sym_using] = ACTIONS(3365),
    [anon_sym_static_assert] = ACTIONS(3365),
  },
  [2096] = {
    [sym_identifier] = ACTIONS(3417),
    [aux_sym_preproc_def_token1] = ACTIONS(3417),
    [aux_sym_preproc_if_token1] = ACTIONS(3417),
    [aux_sym_preproc_if_token2] = ACTIONS(3417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3417),
    [aux_sym_preproc_else_token1] = ACTIONS(3417),
    [aux_sym_preproc_elif_token1] = ACTIONS(3417),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3417),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3417),
    [sym_preproc_directive] = ACTIONS(3417),
    [anon_sym_LPAREN2] = ACTIONS(3419),
    [anon_sym_TILDE] = ACTIONS(3419),
    [anon_sym_STAR] = ACTIONS(3419),
    [anon_sym_AMP_AMP] = ACTIONS(3419),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym___extension__] = ACTIONS(3417),
    [anon_sym_typedef] = ACTIONS(3417),
    [anon_sym_extern] = ACTIONS(3417),
    [anon_sym___attribute__] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3419),
    [anon_sym___declspec] = ACTIONS(3417),
    [anon_sym___based] = ACTIONS(3417),
    [anon_sym_signed] = ACTIONS(3417),
    [anon_sym_unsigned] = ACTIONS(3417),
    [anon_sym_long] = ACTIONS(3417),
    [anon_sym_short] = ACTIONS(3417),
    [anon_sym_LBRACK] = ACTIONS(3417),
    [anon_sym_static] = ACTIONS(3417),
    [anon_sym_register] = ACTIONS(3417),
    [anon_sym_inline] = ACTIONS(3417),
    [anon_sym___inline] = ACTIONS(3417),
    [anon_sym___inline__] = ACTIONS(3417),
    [anon_sym___forceinline] = ACTIONS(3417),
    [anon_sym_thread_local] = ACTIONS(3417),
    [anon_sym___thread] = ACTIONS(3417),
    [anon_sym_const] = ACTIONS(3417),
    [anon_sym_constexpr] = ACTIONS(3417),
    [anon_sym_volatile] = ACTIONS(3417),
    [anon_sym_restrict] = ACTIONS(3417),
    [anon_sym___restrict__] = ACTIONS(3417),
    [anon_sym__Atomic] = ACTIONS(3417),
    [anon_sym__Noreturn] = ACTIONS(3417),
    [anon_sym_noreturn] = ACTIONS(3417),
    [anon_sym_mutable] = ACTIONS(3417),
    [anon_sym_constinit] = ACTIONS(3417),
    [anon_sym_consteval] = ACTIONS(3417),
    [anon_sym_PROGMEM] = ACTIONS(3417),
    [aux_sym_primitive_type_token1] = ACTIONS(3417),
    [anon_sym_byte] = ACTIONS(3417),
    [anon_sym_word] = ACTIONS(3417),
    [anon_sym_enum] = ACTIONS(3417),
    [anon_sym_class] = ACTIONS(3417),
    [anon_sym_struct] = ACTIONS(3417),
    [anon_sym_union] = ACTIONS(3417),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3417),
    [anon_sym_decltype] = ACTIONS(3417),
    [anon_sym_virtual] = ACTIONS(3417),
    [anon_sym_alignas] = ACTIONS(3417),
    [anon_sym_explicit] = ACTIONS(3417),
    [anon_sym_typename] = ACTIONS(3417),
    [anon_sym_template] = ACTIONS(3417),
    [anon_sym_operator] = ACTIONS(3417),
    [anon_sym_friend] = ACTIONS(3417),
    [anon_sym_public] = ACTIONS(3417),
    [anon_sym_private] = ACTIONS(3417),
    [anon_sym_protected] = ACTIONS(3417),
    [anon_sym_using] = ACTIONS(3417),
    [anon_sym_static_assert] = ACTIONS(3417),
  },
  [2097] = {
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5989),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7213),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5194),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2098] = {
    [sym_identifier] = ACTIONS(5459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5461),
    [anon_sym_COMMA] = ACTIONS(5461),
    [anon_sym_RPAREN] = ACTIONS(5461),
    [anon_sym_LPAREN2] = ACTIONS(5461),
    [anon_sym_DASH] = ACTIONS(5459),
    [anon_sym_PLUS] = ACTIONS(5459),
    [anon_sym_STAR] = ACTIONS(5461),
    [anon_sym_SLASH] = ACTIONS(5459),
    [anon_sym_PERCENT] = ACTIONS(5461),
    [anon_sym_PIPE_PIPE] = ACTIONS(5461),
    [anon_sym_AMP_AMP] = ACTIONS(5461),
    [anon_sym_PIPE] = ACTIONS(5459),
    [anon_sym_CARET] = ACTIONS(5461),
    [anon_sym_AMP] = ACTIONS(5459),
    [anon_sym_EQ_EQ] = ACTIONS(5461),
    [anon_sym_BANG_EQ] = ACTIONS(5461),
    [anon_sym_GT] = ACTIONS(5459),
    [anon_sym_GT_EQ] = ACTIONS(5461),
    [anon_sym_LT_EQ] = ACTIONS(5459),
    [anon_sym_LT] = ACTIONS(5459),
    [anon_sym_LT_LT] = ACTIONS(5461),
    [anon_sym_GT_GT] = ACTIONS(5461),
    [anon_sym_SEMI] = ACTIONS(5461),
    [anon_sym___extension__] = ACTIONS(5459),
    [anon_sym___attribute__] = ACTIONS(5459),
    [anon_sym_COLON_COLON] = ACTIONS(5461),
    [anon_sym___based] = ACTIONS(5459),
    [anon_sym_LBRACE] = ACTIONS(5461),
    [anon_sym_RBRACE] = ACTIONS(5461),
    [anon_sym_signed] = ACTIONS(5459),
    [anon_sym_unsigned] = ACTIONS(5459),
    [anon_sym_long] = ACTIONS(5459),
    [anon_sym_short] = ACTIONS(5459),
    [anon_sym_LBRACK] = ACTIONS(5461),
    [anon_sym_RBRACK] = ACTIONS(5461),
    [anon_sym_const] = ACTIONS(5459),
    [anon_sym_constexpr] = ACTIONS(5459),
    [anon_sym_volatile] = ACTIONS(5459),
    [anon_sym_restrict] = ACTIONS(5459),
    [anon_sym___restrict__] = ACTIONS(5459),
    [anon_sym__Atomic] = ACTIONS(5459),
    [anon_sym__Noreturn] = ACTIONS(5459),
    [anon_sym_noreturn] = ACTIONS(5459),
    [anon_sym_mutable] = ACTIONS(5459),
    [anon_sym_constinit] = ACTIONS(5459),
    [anon_sym_consteval] = ACTIONS(5459),
    [anon_sym_PROGMEM] = ACTIONS(5459),
    [aux_sym_primitive_type_token1] = ACTIONS(5459),
    [anon_sym_byte] = ACTIONS(5459),
    [anon_sym_word] = ACTIONS(5459),
    [anon_sym_COLON] = ACTIONS(5459),
    [anon_sym_QMARK] = ACTIONS(5461),
    [anon_sym_LT_EQ_GT] = ACTIONS(5461),
    [anon_sym_or] = ACTIONS(5459),
    [anon_sym_and] = ACTIONS(5459),
    [anon_sym_bitor] = ACTIONS(5459),
    [anon_sym_xor] = ACTIONS(5459),
    [anon_sym_bitand] = ACTIONS(5459),
    [anon_sym_not_eq] = ACTIONS(5459),
    [anon_sym_DASH_DASH] = ACTIONS(5461),
    [anon_sym_PLUS_PLUS] = ACTIONS(5461),
    [anon_sym_DOT] = ACTIONS(5459),
    [anon_sym_DOT_STAR] = ACTIONS(5461),
    [anon_sym_DASH_GT] = ACTIONS(5461),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5459),
    [anon_sym_decltype] = ACTIONS(5459),
    [anon_sym_final] = ACTIONS(5459),
    [anon_sym_override] = ACTIONS(5459),
    [anon_sym_requires] = ACTIONS(5459),
  },
  [2099] = {
    [sym_identifier] = ACTIONS(3208),
    [aux_sym_preproc_def_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token2] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3208),
    [aux_sym_preproc_else_token1] = ACTIONS(3208),
    [aux_sym_preproc_elif_token1] = ACTIONS(3208),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3208),
    [sym_preproc_directive] = ACTIONS(3208),
    [anon_sym_LPAREN2] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3210),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym___extension__] = ACTIONS(3208),
    [anon_sym_typedef] = ACTIONS(3208),
    [anon_sym_extern] = ACTIONS(3208),
    [anon_sym___attribute__] = ACTIONS(3208),
    [anon_sym_COLON_COLON] = ACTIONS(3210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3210),
    [anon_sym___declspec] = ACTIONS(3208),
    [anon_sym___based] = ACTIONS(3208),
    [anon_sym_signed] = ACTIONS(3208),
    [anon_sym_unsigned] = ACTIONS(3208),
    [anon_sym_long] = ACTIONS(3208),
    [anon_sym_short] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_register] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(3208),
    [anon_sym___inline] = ACTIONS(3208),
    [anon_sym___inline__] = ACTIONS(3208),
    [anon_sym___forceinline] = ACTIONS(3208),
    [anon_sym_thread_local] = ACTIONS(3208),
    [anon_sym___thread] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_constexpr] = ACTIONS(3208),
    [anon_sym_volatile] = ACTIONS(3208),
    [anon_sym_restrict] = ACTIONS(3208),
    [anon_sym___restrict__] = ACTIONS(3208),
    [anon_sym__Atomic] = ACTIONS(3208),
    [anon_sym__Noreturn] = ACTIONS(3208),
    [anon_sym_noreturn] = ACTIONS(3208),
    [anon_sym_mutable] = ACTIONS(3208),
    [anon_sym_constinit] = ACTIONS(3208),
    [anon_sym_consteval] = ACTIONS(3208),
    [anon_sym_PROGMEM] = ACTIONS(3208),
    [aux_sym_primitive_type_token1] = ACTIONS(3208),
    [anon_sym_byte] = ACTIONS(3208),
    [anon_sym_word] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_struct] = ACTIONS(3208),
    [anon_sym_union] = ACTIONS(3208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3208),
    [anon_sym_decltype] = ACTIONS(3208),
    [anon_sym_virtual] = ACTIONS(3208),
    [anon_sym_alignas] = ACTIONS(3208),
    [anon_sym_explicit] = ACTIONS(3208),
    [anon_sym_typename] = ACTIONS(3208),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(3208),
    [anon_sym_friend] = ACTIONS(3208),
    [anon_sym_public] = ACTIONS(3208),
    [anon_sym_private] = ACTIONS(3208),
    [anon_sym_protected] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_static_assert] = ACTIONS(3208),
  },
  [2100] = {
    [sym_identifier] = ACTIONS(3499),
    [aux_sym_preproc_def_token1] = ACTIONS(3499),
    [aux_sym_preproc_if_token1] = ACTIONS(3499),
    [aux_sym_preproc_if_token2] = ACTIONS(3499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3499),
    [aux_sym_preproc_else_token1] = ACTIONS(3499),
    [aux_sym_preproc_elif_token1] = ACTIONS(3499),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3499),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3499),
    [sym_preproc_directive] = ACTIONS(3499),
    [anon_sym_LPAREN2] = ACTIONS(3501),
    [anon_sym_TILDE] = ACTIONS(3501),
    [anon_sym_STAR] = ACTIONS(3501),
    [anon_sym_AMP_AMP] = ACTIONS(3501),
    [anon_sym_AMP] = ACTIONS(3499),
    [anon_sym___extension__] = ACTIONS(3499),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_extern] = ACTIONS(3499),
    [anon_sym___attribute__] = ACTIONS(3499),
    [anon_sym_COLON_COLON] = ACTIONS(3501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3501),
    [anon_sym___declspec] = ACTIONS(3499),
    [anon_sym___based] = ACTIONS(3499),
    [anon_sym_signed] = ACTIONS(3499),
    [anon_sym_unsigned] = ACTIONS(3499),
    [anon_sym_long] = ACTIONS(3499),
    [anon_sym_short] = ACTIONS(3499),
    [anon_sym_LBRACK] = ACTIONS(3499),
    [anon_sym_static] = ACTIONS(3499),
    [anon_sym_register] = ACTIONS(3499),
    [anon_sym_inline] = ACTIONS(3499),
    [anon_sym___inline] = ACTIONS(3499),
    [anon_sym___inline__] = ACTIONS(3499),
    [anon_sym___forceinline] = ACTIONS(3499),
    [anon_sym_thread_local] = ACTIONS(3499),
    [anon_sym___thread] = ACTIONS(3499),
    [anon_sym_const] = ACTIONS(3499),
    [anon_sym_constexpr] = ACTIONS(3499),
    [anon_sym_volatile] = ACTIONS(3499),
    [anon_sym_restrict] = ACTIONS(3499),
    [anon_sym___restrict__] = ACTIONS(3499),
    [anon_sym__Atomic] = ACTIONS(3499),
    [anon_sym__Noreturn] = ACTIONS(3499),
    [anon_sym_noreturn] = ACTIONS(3499),
    [anon_sym_mutable] = ACTIONS(3499),
    [anon_sym_constinit] = ACTIONS(3499),
    [anon_sym_consteval] = ACTIONS(3499),
    [anon_sym_PROGMEM] = ACTIONS(3499),
    [aux_sym_primitive_type_token1] = ACTIONS(3499),
    [anon_sym_byte] = ACTIONS(3499),
    [anon_sym_word] = ACTIONS(3499),
    [anon_sym_enum] = ACTIONS(3499),
    [anon_sym_class] = ACTIONS(3499),
    [anon_sym_struct] = ACTIONS(3499),
    [anon_sym_union] = ACTIONS(3499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3499),
    [anon_sym_decltype] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(3499),
    [anon_sym_alignas] = ACTIONS(3499),
    [anon_sym_explicit] = ACTIONS(3499),
    [anon_sym_typename] = ACTIONS(3499),
    [anon_sym_template] = ACTIONS(3499),
    [anon_sym_operator] = ACTIONS(3499),
    [anon_sym_friend] = ACTIONS(3499),
    [anon_sym_public] = ACTIONS(3499),
    [anon_sym_private] = ACTIONS(3499),
    [anon_sym_protected] = ACTIONS(3499),
    [anon_sym_using] = ACTIONS(3499),
    [anon_sym_static_assert] = ACTIONS(3499),
  },
  [2101] = {
    [sym_identifier] = ACTIONS(3491),
    [aux_sym_preproc_def_token1] = ACTIONS(3491),
    [aux_sym_preproc_if_token1] = ACTIONS(3491),
    [aux_sym_preproc_if_token2] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [aux_sym_preproc_else_token1] = ACTIONS(3491),
    [aux_sym_preproc_elif_token1] = ACTIONS(3491),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3491),
    [anon_sym_LPAREN2] = ACTIONS(3493),
    [anon_sym_TILDE] = ACTIONS(3493),
    [anon_sym_STAR] = ACTIONS(3493),
    [anon_sym_AMP_AMP] = ACTIONS(3493),
    [anon_sym_AMP] = ACTIONS(3491),
    [anon_sym___extension__] = ACTIONS(3491),
    [anon_sym_typedef] = ACTIONS(3491),
    [anon_sym_extern] = ACTIONS(3491),
    [anon_sym___attribute__] = ACTIONS(3491),
    [anon_sym_COLON_COLON] = ACTIONS(3493),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3493),
    [anon_sym___declspec] = ACTIONS(3491),
    [anon_sym___based] = ACTIONS(3491),
    [anon_sym_signed] = ACTIONS(3491),
    [anon_sym_unsigned] = ACTIONS(3491),
    [anon_sym_long] = ACTIONS(3491),
    [anon_sym_short] = ACTIONS(3491),
    [anon_sym_LBRACK] = ACTIONS(3491),
    [anon_sym_static] = ACTIONS(3491),
    [anon_sym_register] = ACTIONS(3491),
    [anon_sym_inline] = ACTIONS(3491),
    [anon_sym___inline] = ACTIONS(3491),
    [anon_sym___inline__] = ACTIONS(3491),
    [anon_sym___forceinline] = ACTIONS(3491),
    [anon_sym_thread_local] = ACTIONS(3491),
    [anon_sym___thread] = ACTIONS(3491),
    [anon_sym_const] = ACTIONS(3491),
    [anon_sym_constexpr] = ACTIONS(3491),
    [anon_sym_volatile] = ACTIONS(3491),
    [anon_sym_restrict] = ACTIONS(3491),
    [anon_sym___restrict__] = ACTIONS(3491),
    [anon_sym__Atomic] = ACTIONS(3491),
    [anon_sym__Noreturn] = ACTIONS(3491),
    [anon_sym_noreturn] = ACTIONS(3491),
    [anon_sym_mutable] = ACTIONS(3491),
    [anon_sym_constinit] = ACTIONS(3491),
    [anon_sym_consteval] = ACTIONS(3491),
    [anon_sym_PROGMEM] = ACTIONS(3491),
    [aux_sym_primitive_type_token1] = ACTIONS(3491),
    [anon_sym_byte] = ACTIONS(3491),
    [anon_sym_word] = ACTIONS(3491),
    [anon_sym_enum] = ACTIONS(3491),
    [anon_sym_class] = ACTIONS(3491),
    [anon_sym_struct] = ACTIONS(3491),
    [anon_sym_union] = ACTIONS(3491),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3491),
    [anon_sym_decltype] = ACTIONS(3491),
    [anon_sym_virtual] = ACTIONS(3491),
    [anon_sym_alignas] = ACTIONS(3491),
    [anon_sym_explicit] = ACTIONS(3491),
    [anon_sym_typename] = ACTIONS(3491),
    [anon_sym_template] = ACTIONS(3491),
    [anon_sym_operator] = ACTIONS(3491),
    [anon_sym_friend] = ACTIONS(3491),
    [anon_sym_public] = ACTIONS(3491),
    [anon_sym_private] = ACTIONS(3491),
    [anon_sym_protected] = ACTIONS(3491),
    [anon_sym_using] = ACTIONS(3491),
    [anon_sym_static_assert] = ACTIONS(3491),
  },
  [2102] = {
    [sym_identifier] = ACTIONS(3036),
    [aux_sym_preproc_def_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token2] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3036),
    [aux_sym_preproc_else_token1] = ACTIONS(3036),
    [aux_sym_preproc_elif_token1] = ACTIONS(3036),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3036),
    [sym_preproc_directive] = ACTIONS(3036),
    [anon_sym_LPAREN2] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym___extension__] = ACTIONS(3036),
    [anon_sym_typedef] = ACTIONS(3036),
    [anon_sym_extern] = ACTIONS(3036),
    [anon_sym___attribute__] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3038),
    [anon_sym___declspec] = ACTIONS(3036),
    [anon_sym___based] = ACTIONS(3036),
    [anon_sym_signed] = ACTIONS(3036),
    [anon_sym_unsigned] = ACTIONS(3036),
    [anon_sym_long] = ACTIONS(3036),
    [anon_sym_short] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3036),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_register] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym___inline] = ACTIONS(3036),
    [anon_sym___inline__] = ACTIONS(3036),
    [anon_sym___forceinline] = ACTIONS(3036),
    [anon_sym_thread_local] = ACTIONS(3036),
    [anon_sym___thread] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(3036),
    [anon_sym_restrict] = ACTIONS(3036),
    [anon_sym___restrict__] = ACTIONS(3036),
    [anon_sym__Atomic] = ACTIONS(3036),
    [anon_sym__Noreturn] = ACTIONS(3036),
    [anon_sym_noreturn] = ACTIONS(3036),
    [anon_sym_mutable] = ACTIONS(3036),
    [anon_sym_constinit] = ACTIONS(3036),
    [anon_sym_consteval] = ACTIONS(3036),
    [anon_sym_PROGMEM] = ACTIONS(3036),
    [aux_sym_primitive_type_token1] = ACTIONS(3036),
    [anon_sym_byte] = ACTIONS(3036),
    [anon_sym_word] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_struct] = ACTIONS(3036),
    [anon_sym_union] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3036),
    [anon_sym_decltype] = ACTIONS(3036),
    [anon_sym_virtual] = ACTIONS(3036),
    [anon_sym_alignas] = ACTIONS(3036),
    [anon_sym_explicit] = ACTIONS(3036),
    [anon_sym_typename] = ACTIONS(3036),
    [anon_sym_template] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_friend] = ACTIONS(3036),
    [anon_sym_public] = ACTIONS(3036),
    [anon_sym_private] = ACTIONS(3036),
    [anon_sym_protected] = ACTIONS(3036),
    [anon_sym_using] = ACTIONS(3036),
    [anon_sym_static_assert] = ACTIONS(3036),
  },
  [2103] = {
    [sym_identifier] = ACTIONS(3184),
    [aux_sym_preproc_def_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token2] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3184),
    [aux_sym_preproc_else_token1] = ACTIONS(3184),
    [aux_sym_preproc_elif_token1] = ACTIONS(3184),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3184),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3184),
    [sym_preproc_directive] = ACTIONS(3184),
    [anon_sym_LPAREN2] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_AMP_AMP] = ACTIONS(3186),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym___extension__] = ACTIONS(3184),
    [anon_sym_typedef] = ACTIONS(3184),
    [anon_sym_extern] = ACTIONS(3184),
    [anon_sym___attribute__] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3186),
    [anon_sym___declspec] = ACTIONS(3184),
    [anon_sym___based] = ACTIONS(3184),
    [anon_sym_signed] = ACTIONS(3184),
    [anon_sym_unsigned] = ACTIONS(3184),
    [anon_sym_long] = ACTIONS(3184),
    [anon_sym_short] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_register] = ACTIONS(3184),
    [anon_sym_inline] = ACTIONS(3184),
    [anon_sym___inline] = ACTIONS(3184),
    [anon_sym___inline__] = ACTIONS(3184),
    [anon_sym___forceinline] = ACTIONS(3184),
    [anon_sym_thread_local] = ACTIONS(3184),
    [anon_sym___thread] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_constexpr] = ACTIONS(3184),
    [anon_sym_volatile] = ACTIONS(3184),
    [anon_sym_restrict] = ACTIONS(3184),
    [anon_sym___restrict__] = ACTIONS(3184),
    [anon_sym__Atomic] = ACTIONS(3184),
    [anon_sym__Noreturn] = ACTIONS(3184),
    [anon_sym_noreturn] = ACTIONS(3184),
    [anon_sym_mutable] = ACTIONS(3184),
    [anon_sym_constinit] = ACTIONS(3184),
    [anon_sym_consteval] = ACTIONS(3184),
    [anon_sym_PROGMEM] = ACTIONS(3184),
    [aux_sym_primitive_type_token1] = ACTIONS(3184),
    [anon_sym_byte] = ACTIONS(3184),
    [anon_sym_word] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_struct] = ACTIONS(3184),
    [anon_sym_union] = ACTIONS(3184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3184),
    [anon_sym_decltype] = ACTIONS(3184),
    [anon_sym_virtual] = ACTIONS(3184),
    [anon_sym_alignas] = ACTIONS(3184),
    [anon_sym_explicit] = ACTIONS(3184),
    [anon_sym_typename] = ACTIONS(3184),
    [anon_sym_template] = ACTIONS(3184),
    [anon_sym_operator] = ACTIONS(3184),
    [anon_sym_friend] = ACTIONS(3184),
    [anon_sym_public] = ACTIONS(3184),
    [anon_sym_private] = ACTIONS(3184),
    [anon_sym_protected] = ACTIONS(3184),
    [anon_sym_using] = ACTIONS(3184),
    [anon_sym_static_assert] = ACTIONS(3184),
  },
  [2104] = {
    [sym_identifier] = ACTIONS(3322),
    [aux_sym_preproc_def_token1] = ACTIONS(3322),
    [aux_sym_preproc_if_token1] = ACTIONS(3322),
    [aux_sym_preproc_if_token2] = ACTIONS(3322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3322),
    [aux_sym_preproc_else_token1] = ACTIONS(3322),
    [aux_sym_preproc_elif_token1] = ACTIONS(3322),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3322),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3322),
    [sym_preproc_directive] = ACTIONS(3322),
    [anon_sym_LPAREN2] = ACTIONS(3324),
    [anon_sym_TILDE] = ACTIONS(3324),
    [anon_sym_STAR] = ACTIONS(3324),
    [anon_sym_AMP_AMP] = ACTIONS(3324),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym___extension__] = ACTIONS(3322),
    [anon_sym_typedef] = ACTIONS(3322),
    [anon_sym_extern] = ACTIONS(3322),
    [anon_sym___attribute__] = ACTIONS(3322),
    [anon_sym_COLON_COLON] = ACTIONS(3324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3324),
    [anon_sym___declspec] = ACTIONS(3322),
    [anon_sym___based] = ACTIONS(3322),
    [anon_sym_signed] = ACTIONS(3322),
    [anon_sym_unsigned] = ACTIONS(3322),
    [anon_sym_long] = ACTIONS(3322),
    [anon_sym_short] = ACTIONS(3322),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_static] = ACTIONS(3322),
    [anon_sym_register] = ACTIONS(3322),
    [anon_sym_inline] = ACTIONS(3322),
    [anon_sym___inline] = ACTIONS(3322),
    [anon_sym___inline__] = ACTIONS(3322),
    [anon_sym___forceinline] = ACTIONS(3322),
    [anon_sym_thread_local] = ACTIONS(3322),
    [anon_sym___thread] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_constexpr] = ACTIONS(3322),
    [anon_sym_volatile] = ACTIONS(3322),
    [anon_sym_restrict] = ACTIONS(3322),
    [anon_sym___restrict__] = ACTIONS(3322),
    [anon_sym__Atomic] = ACTIONS(3322),
    [anon_sym__Noreturn] = ACTIONS(3322),
    [anon_sym_noreturn] = ACTIONS(3322),
    [anon_sym_mutable] = ACTIONS(3322),
    [anon_sym_constinit] = ACTIONS(3322),
    [anon_sym_consteval] = ACTIONS(3322),
    [anon_sym_PROGMEM] = ACTIONS(3322),
    [aux_sym_primitive_type_token1] = ACTIONS(3322),
    [anon_sym_byte] = ACTIONS(3322),
    [anon_sym_word] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3322),
    [anon_sym_struct] = ACTIONS(3322),
    [anon_sym_union] = ACTIONS(3322),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3322),
    [anon_sym_decltype] = ACTIONS(3322),
    [anon_sym_virtual] = ACTIONS(3322),
    [anon_sym_alignas] = ACTIONS(3322),
    [anon_sym_explicit] = ACTIONS(3322),
    [anon_sym_typename] = ACTIONS(3322),
    [anon_sym_template] = ACTIONS(3322),
    [anon_sym_operator] = ACTIONS(3322),
    [anon_sym_friend] = ACTIONS(3322),
    [anon_sym_public] = ACTIONS(3322),
    [anon_sym_private] = ACTIONS(3322),
    [anon_sym_protected] = ACTIONS(3322),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_static_assert] = ACTIONS(3322),
  },
  [2105] = {
    [sym_identifier] = ACTIONS(2261),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [anon_sym_COMMA] = ACTIONS(3026),
    [aux_sym_preproc_if_token1] = ACTIONS(2261),
    [aux_sym_preproc_if_token2] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2261),
    [aux_sym_preproc_else_token1] = ACTIONS(2261),
    [aux_sym_preproc_elif_token1] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2261),
    [anon_sym_LPAREN2] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym___extension__] = ACTIONS(2261),
    [anon_sym_typedef] = ACTIONS(2261),
    [anon_sym_extern] = ACTIONS(2261),
    [anon_sym___attribute__] = ACTIONS(2261),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2259),
    [anon_sym___declspec] = ACTIONS(2261),
    [anon_sym___based] = ACTIONS(2261),
    [anon_sym_signed] = ACTIONS(2261),
    [anon_sym_unsigned] = ACTIONS(2261),
    [anon_sym_long] = ACTIONS(2261),
    [anon_sym_short] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_register] = ACTIONS(2261),
    [anon_sym_inline] = ACTIONS(2261),
    [anon_sym___inline] = ACTIONS(2261),
    [anon_sym___inline__] = ACTIONS(2261),
    [anon_sym___forceinline] = ACTIONS(2261),
    [anon_sym_thread_local] = ACTIONS(2261),
    [anon_sym___thread] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_constexpr] = ACTIONS(2261),
    [anon_sym_volatile] = ACTIONS(2261),
    [anon_sym_restrict] = ACTIONS(2261),
    [anon_sym___restrict__] = ACTIONS(2261),
    [anon_sym__Atomic] = ACTIONS(2261),
    [anon_sym__Noreturn] = ACTIONS(2261),
    [anon_sym_noreturn] = ACTIONS(2261),
    [anon_sym_mutable] = ACTIONS(2261),
    [anon_sym_constinit] = ACTIONS(2261),
    [anon_sym_consteval] = ACTIONS(2261),
    [anon_sym_PROGMEM] = ACTIONS(2261),
    [aux_sym_primitive_type_token1] = ACTIONS(2261),
    [anon_sym_byte] = ACTIONS(2261),
    [anon_sym_word] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_struct] = ACTIONS(2261),
    [anon_sym_union] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2261),
    [anon_sym_decltype] = ACTIONS(2261),
    [anon_sym_virtual] = ACTIONS(2261),
    [anon_sym_alignas] = ACTIONS(2261),
    [anon_sym_explicit] = ACTIONS(2261),
    [anon_sym_typename] = ACTIONS(2261),
    [anon_sym_template] = ACTIONS(2261),
    [anon_sym_operator] = ACTIONS(2261),
    [anon_sym_friend] = ACTIONS(2261),
    [anon_sym_public] = ACTIONS(2261),
    [anon_sym_private] = ACTIONS(2261),
    [anon_sym_protected] = ACTIONS(2261),
    [anon_sym_using] = ACTIONS(2261),
    [anon_sym_static_assert] = ACTIONS(2261),
  },
  [2106] = {
    [sym_identifier] = ACTIONS(3455),
    [aux_sym_preproc_def_token1] = ACTIONS(3455),
    [aux_sym_preproc_if_token1] = ACTIONS(3455),
    [aux_sym_preproc_if_token2] = ACTIONS(3455),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3455),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3455),
    [aux_sym_preproc_else_token1] = ACTIONS(3455),
    [aux_sym_preproc_elif_token1] = ACTIONS(3455),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3455),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3455),
    [sym_preproc_directive] = ACTIONS(3455),
    [anon_sym_LPAREN2] = ACTIONS(3457),
    [anon_sym_TILDE] = ACTIONS(3457),
    [anon_sym_STAR] = ACTIONS(3457),
    [anon_sym_AMP_AMP] = ACTIONS(3457),
    [anon_sym_AMP] = ACTIONS(3455),
    [anon_sym___extension__] = ACTIONS(3455),
    [anon_sym_typedef] = ACTIONS(3455),
    [anon_sym_extern] = ACTIONS(3455),
    [anon_sym___attribute__] = ACTIONS(3455),
    [anon_sym_COLON_COLON] = ACTIONS(3457),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3457),
    [anon_sym___declspec] = ACTIONS(3455),
    [anon_sym___based] = ACTIONS(3455),
    [anon_sym_signed] = ACTIONS(3455),
    [anon_sym_unsigned] = ACTIONS(3455),
    [anon_sym_long] = ACTIONS(3455),
    [anon_sym_short] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(3455),
    [anon_sym_static] = ACTIONS(3455),
    [anon_sym_register] = ACTIONS(3455),
    [anon_sym_inline] = ACTIONS(3455),
    [anon_sym___inline] = ACTIONS(3455),
    [anon_sym___inline__] = ACTIONS(3455),
    [anon_sym___forceinline] = ACTIONS(3455),
    [anon_sym_thread_local] = ACTIONS(3455),
    [anon_sym___thread] = ACTIONS(3455),
    [anon_sym_const] = ACTIONS(3455),
    [anon_sym_constexpr] = ACTIONS(3455),
    [anon_sym_volatile] = ACTIONS(3455),
    [anon_sym_restrict] = ACTIONS(3455),
    [anon_sym___restrict__] = ACTIONS(3455),
    [anon_sym__Atomic] = ACTIONS(3455),
    [anon_sym__Noreturn] = ACTIONS(3455),
    [anon_sym_noreturn] = ACTIONS(3455),
    [anon_sym_mutable] = ACTIONS(3455),
    [anon_sym_constinit] = ACTIONS(3455),
    [anon_sym_consteval] = ACTIONS(3455),
    [anon_sym_PROGMEM] = ACTIONS(3455),
    [aux_sym_primitive_type_token1] = ACTIONS(3455),
    [anon_sym_byte] = ACTIONS(3455),
    [anon_sym_word] = ACTIONS(3455),
    [anon_sym_enum] = ACTIONS(3455),
    [anon_sym_class] = ACTIONS(3455),
    [anon_sym_struct] = ACTIONS(3455),
    [anon_sym_union] = ACTIONS(3455),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3455),
    [anon_sym_virtual] = ACTIONS(3455),
    [anon_sym_alignas] = ACTIONS(3455),
    [anon_sym_explicit] = ACTIONS(3455),
    [anon_sym_typename] = ACTIONS(3455),
    [anon_sym_template] = ACTIONS(3455),
    [anon_sym_operator] = ACTIONS(3455),
    [anon_sym_friend] = ACTIONS(3455),
    [anon_sym_public] = ACTIONS(3455),
    [anon_sym_private] = ACTIONS(3455),
    [anon_sym_protected] = ACTIONS(3455),
    [anon_sym_using] = ACTIONS(3455),
    [anon_sym_static_assert] = ACTIONS(3455),
  },
  [2107] = {
    [sym_identifier] = ACTIONS(3072),
    [aux_sym_preproc_def_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token2] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3072),
    [aux_sym_preproc_else_token1] = ACTIONS(3072),
    [aux_sym_preproc_elif_token1] = ACTIONS(3072),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3072),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3072),
    [sym_preproc_directive] = ACTIONS(3072),
    [anon_sym_LPAREN2] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3074),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym___extension__] = ACTIONS(3072),
    [anon_sym_typedef] = ACTIONS(3072),
    [anon_sym_extern] = ACTIONS(3072),
    [anon_sym___attribute__] = ACTIONS(3072),
    [anon_sym_COLON_COLON] = ACTIONS(3074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3074),
    [anon_sym___declspec] = ACTIONS(3072),
    [anon_sym___based] = ACTIONS(3072),
    [anon_sym_signed] = ACTIONS(3072),
    [anon_sym_unsigned] = ACTIONS(3072),
    [anon_sym_long] = ACTIONS(3072),
    [anon_sym_short] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_register] = ACTIONS(3072),
    [anon_sym_inline] = ACTIONS(3072),
    [anon_sym___inline] = ACTIONS(3072),
    [anon_sym___inline__] = ACTIONS(3072),
    [anon_sym___forceinline] = ACTIONS(3072),
    [anon_sym_thread_local] = ACTIONS(3072),
    [anon_sym___thread] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_constexpr] = ACTIONS(3072),
    [anon_sym_volatile] = ACTIONS(3072),
    [anon_sym_restrict] = ACTIONS(3072),
    [anon_sym___restrict__] = ACTIONS(3072),
    [anon_sym__Atomic] = ACTIONS(3072),
    [anon_sym__Noreturn] = ACTIONS(3072),
    [anon_sym_noreturn] = ACTIONS(3072),
    [anon_sym_mutable] = ACTIONS(3072),
    [anon_sym_constinit] = ACTIONS(3072),
    [anon_sym_consteval] = ACTIONS(3072),
    [anon_sym_PROGMEM] = ACTIONS(3072),
    [aux_sym_primitive_type_token1] = ACTIONS(3072),
    [anon_sym_byte] = ACTIONS(3072),
    [anon_sym_word] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_struct] = ACTIONS(3072),
    [anon_sym_union] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3072),
    [anon_sym_decltype] = ACTIONS(3072),
    [anon_sym_virtual] = ACTIONS(3072),
    [anon_sym_alignas] = ACTIONS(3072),
    [anon_sym_explicit] = ACTIONS(3072),
    [anon_sym_typename] = ACTIONS(3072),
    [anon_sym_template] = ACTIONS(3072),
    [anon_sym_operator] = ACTIONS(3072),
    [anon_sym_friend] = ACTIONS(3072),
    [anon_sym_public] = ACTIONS(3072),
    [anon_sym_private] = ACTIONS(3072),
    [anon_sym_protected] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_static_assert] = ACTIONS(3072),
  },
  [2108] = {
    [sym_identifier] = ACTIONS(3439),
    [aux_sym_preproc_def_token1] = ACTIONS(3439),
    [aux_sym_preproc_if_token1] = ACTIONS(3439),
    [aux_sym_preproc_if_token2] = ACTIONS(3439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3439),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3439),
    [aux_sym_preproc_else_token1] = ACTIONS(3439),
    [aux_sym_preproc_elif_token1] = ACTIONS(3439),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3439),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3439),
    [sym_preproc_directive] = ACTIONS(3439),
    [anon_sym_LPAREN2] = ACTIONS(3441),
    [anon_sym_TILDE] = ACTIONS(3441),
    [anon_sym_STAR] = ACTIONS(3441),
    [anon_sym_AMP_AMP] = ACTIONS(3441),
    [anon_sym_AMP] = ACTIONS(3439),
    [anon_sym___extension__] = ACTIONS(3439),
    [anon_sym_typedef] = ACTIONS(3439),
    [anon_sym_extern] = ACTIONS(3439),
    [anon_sym___attribute__] = ACTIONS(3439),
    [anon_sym_COLON_COLON] = ACTIONS(3441),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3441),
    [anon_sym___declspec] = ACTIONS(3439),
    [anon_sym___based] = ACTIONS(3439),
    [anon_sym_signed] = ACTIONS(3439),
    [anon_sym_unsigned] = ACTIONS(3439),
    [anon_sym_long] = ACTIONS(3439),
    [anon_sym_short] = ACTIONS(3439),
    [anon_sym_LBRACK] = ACTIONS(3439),
    [anon_sym_static] = ACTIONS(3439),
    [anon_sym_register] = ACTIONS(3439),
    [anon_sym_inline] = ACTIONS(3439),
    [anon_sym___inline] = ACTIONS(3439),
    [anon_sym___inline__] = ACTIONS(3439),
    [anon_sym___forceinline] = ACTIONS(3439),
    [anon_sym_thread_local] = ACTIONS(3439),
    [anon_sym___thread] = ACTIONS(3439),
    [anon_sym_const] = ACTIONS(3439),
    [anon_sym_constexpr] = ACTIONS(3439),
    [anon_sym_volatile] = ACTIONS(3439),
    [anon_sym_restrict] = ACTIONS(3439),
    [anon_sym___restrict__] = ACTIONS(3439),
    [anon_sym__Atomic] = ACTIONS(3439),
    [anon_sym__Noreturn] = ACTIONS(3439),
    [anon_sym_noreturn] = ACTIONS(3439),
    [anon_sym_mutable] = ACTIONS(3439),
    [anon_sym_constinit] = ACTIONS(3439),
    [anon_sym_consteval] = ACTIONS(3439),
    [anon_sym_PROGMEM] = ACTIONS(3439),
    [aux_sym_primitive_type_token1] = ACTIONS(3439),
    [anon_sym_byte] = ACTIONS(3439),
    [anon_sym_word] = ACTIONS(3439),
    [anon_sym_enum] = ACTIONS(3439),
    [anon_sym_class] = ACTIONS(3439),
    [anon_sym_struct] = ACTIONS(3439),
    [anon_sym_union] = ACTIONS(3439),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3439),
    [anon_sym_virtual] = ACTIONS(3439),
    [anon_sym_alignas] = ACTIONS(3439),
    [anon_sym_explicit] = ACTIONS(3439),
    [anon_sym_typename] = ACTIONS(3439),
    [anon_sym_template] = ACTIONS(3439),
    [anon_sym_operator] = ACTIONS(3439),
    [anon_sym_friend] = ACTIONS(3439),
    [anon_sym_public] = ACTIONS(3439),
    [anon_sym_private] = ACTIONS(3439),
    [anon_sym_protected] = ACTIONS(3439),
    [anon_sym_using] = ACTIONS(3439),
    [anon_sym_static_assert] = ACTIONS(3439),
  },
  [2109] = {
    [sym__declaration_modifiers] = STATE(3944),
    [sym_attribute_specifier] = STATE(3944),
    [sym_attribute_declaration] = STATE(3944),
    [sym_ms_declspec_modifier] = STATE(3944),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6913),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3944),
    [sym_type_qualifier] = STATE(3944),
    [sym_decltype] = STATE(9281),
    [sym_virtual] = STATE(3944),
    [sym_alignas_specifier] = STATE(3944),
    [sym_explicit_function_specifier] = STATE(3944),
    [sym_operator_cast] = STATE(7364),
    [sym__constructor_specifiers] = STATE(3944),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(9281),
    [sym_template_function] = STATE(6932),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6232),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_operator_cast_identifier] = STATE(7364),
    [sym_operator_name] = STATE(6932),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3944),
    [sym_identifier] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(5443),
    [anon_sym_extern] = ACTIONS(5445),
    [anon_sym___attribute__] = ACTIONS(5447),
    [anon_sym_COLON_COLON] = ACTIONS(5449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5451),
    [anon_sym___declspec] = ACTIONS(5453),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(5445),
    [anon_sym_register] = ACTIONS(5445),
    [anon_sym_inline] = ACTIONS(5445),
    [anon_sym___inline] = ACTIONS(5445),
    [anon_sym___inline__] = ACTIONS(5445),
    [anon_sym___forceinline] = ACTIONS(5445),
    [anon_sym_thread_local] = ACTIONS(5445),
    [anon_sym___thread] = ACTIONS(5445),
    [anon_sym_const] = ACTIONS(5443),
    [anon_sym_constexpr] = ACTIONS(5443),
    [anon_sym_volatile] = ACTIONS(5443),
    [anon_sym_restrict] = ACTIONS(5443),
    [anon_sym___restrict__] = ACTIONS(5443),
    [anon_sym__Atomic] = ACTIONS(5443),
    [anon_sym__Noreturn] = ACTIONS(5443),
    [anon_sym_noreturn] = ACTIONS(5443),
    [anon_sym_mutable] = ACTIONS(5443),
    [anon_sym_constinit] = ACTIONS(5443),
    [anon_sym_consteval] = ACTIONS(5443),
    [anon_sym_PROGMEM] = ACTIONS(5443),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_virtual] = ACTIONS(5455),
    [anon_sym_alignas] = ACTIONS(5457),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(133),
  },
  [2110] = {
    [sym_identifier] = ACTIONS(3427),
    [aux_sym_preproc_def_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token2] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3427),
    [aux_sym_preproc_else_token1] = ACTIONS(3427),
    [aux_sym_preproc_elif_token1] = ACTIONS(3427),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3427),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3427),
    [sym_preproc_directive] = ACTIONS(3427),
    [anon_sym_LPAREN2] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_STAR] = ACTIONS(3429),
    [anon_sym_AMP_AMP] = ACTIONS(3429),
    [anon_sym_AMP] = ACTIONS(3427),
    [anon_sym___extension__] = ACTIONS(3427),
    [anon_sym_typedef] = ACTIONS(3427),
    [anon_sym_extern] = ACTIONS(3427),
    [anon_sym___attribute__] = ACTIONS(3427),
    [anon_sym_COLON_COLON] = ACTIONS(3429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3429),
    [anon_sym___declspec] = ACTIONS(3427),
    [anon_sym___based] = ACTIONS(3427),
    [anon_sym_signed] = ACTIONS(3427),
    [anon_sym_unsigned] = ACTIONS(3427),
    [anon_sym_long] = ACTIONS(3427),
    [anon_sym_short] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_register] = ACTIONS(3427),
    [anon_sym_inline] = ACTIONS(3427),
    [anon_sym___inline] = ACTIONS(3427),
    [anon_sym___inline__] = ACTIONS(3427),
    [anon_sym___forceinline] = ACTIONS(3427),
    [anon_sym_thread_local] = ACTIONS(3427),
    [anon_sym___thread] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_constexpr] = ACTIONS(3427),
    [anon_sym_volatile] = ACTIONS(3427),
    [anon_sym_restrict] = ACTIONS(3427),
    [anon_sym___restrict__] = ACTIONS(3427),
    [anon_sym__Atomic] = ACTIONS(3427),
    [anon_sym__Noreturn] = ACTIONS(3427),
    [anon_sym_noreturn] = ACTIONS(3427),
    [anon_sym_mutable] = ACTIONS(3427),
    [anon_sym_constinit] = ACTIONS(3427),
    [anon_sym_consteval] = ACTIONS(3427),
    [anon_sym_PROGMEM] = ACTIONS(3427),
    [aux_sym_primitive_type_token1] = ACTIONS(3427),
    [anon_sym_byte] = ACTIONS(3427),
    [anon_sym_word] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3427),
    [anon_sym_union] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3427),
    [anon_sym_decltype] = ACTIONS(3427),
    [anon_sym_virtual] = ACTIONS(3427),
    [anon_sym_alignas] = ACTIONS(3427),
    [anon_sym_explicit] = ACTIONS(3427),
    [anon_sym_typename] = ACTIONS(3427),
    [anon_sym_template] = ACTIONS(3427),
    [anon_sym_operator] = ACTIONS(3427),
    [anon_sym_friend] = ACTIONS(3427),
    [anon_sym_public] = ACTIONS(3427),
    [anon_sym_private] = ACTIONS(3427),
    [anon_sym_protected] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_static_assert] = ACTIONS(3427),
  },
  [2111] = {
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5926),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7213),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5194),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2112] = {
    [sym_identifier] = ACTIONS(3427),
    [aux_sym_preproc_def_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token2] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3427),
    [aux_sym_preproc_else_token1] = ACTIONS(3427),
    [aux_sym_preproc_elif_token1] = ACTIONS(3427),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3427),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3427),
    [sym_preproc_directive] = ACTIONS(3427),
    [anon_sym_LPAREN2] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_STAR] = ACTIONS(3429),
    [anon_sym_AMP_AMP] = ACTIONS(3429),
    [anon_sym_AMP] = ACTIONS(3427),
    [anon_sym___extension__] = ACTIONS(3427),
    [anon_sym_typedef] = ACTIONS(3427),
    [anon_sym_extern] = ACTIONS(3427),
    [anon_sym___attribute__] = ACTIONS(3427),
    [anon_sym_COLON_COLON] = ACTIONS(3429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3429),
    [anon_sym___declspec] = ACTIONS(3427),
    [anon_sym___based] = ACTIONS(3427),
    [anon_sym_signed] = ACTIONS(3427),
    [anon_sym_unsigned] = ACTIONS(3427),
    [anon_sym_long] = ACTIONS(3427),
    [anon_sym_short] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_register] = ACTIONS(3427),
    [anon_sym_inline] = ACTIONS(3427),
    [anon_sym___inline] = ACTIONS(3427),
    [anon_sym___inline__] = ACTIONS(3427),
    [anon_sym___forceinline] = ACTIONS(3427),
    [anon_sym_thread_local] = ACTIONS(3427),
    [anon_sym___thread] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_constexpr] = ACTIONS(3427),
    [anon_sym_volatile] = ACTIONS(3427),
    [anon_sym_restrict] = ACTIONS(3427),
    [anon_sym___restrict__] = ACTIONS(3427),
    [anon_sym__Atomic] = ACTIONS(3427),
    [anon_sym__Noreturn] = ACTIONS(3427),
    [anon_sym_noreturn] = ACTIONS(3427),
    [anon_sym_mutable] = ACTIONS(3427),
    [anon_sym_constinit] = ACTIONS(3427),
    [anon_sym_consteval] = ACTIONS(3427),
    [anon_sym_PROGMEM] = ACTIONS(3427),
    [aux_sym_primitive_type_token1] = ACTIONS(3427),
    [anon_sym_byte] = ACTIONS(3427),
    [anon_sym_word] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3427),
    [anon_sym_union] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3427),
    [anon_sym_decltype] = ACTIONS(3427),
    [anon_sym_virtual] = ACTIONS(3427),
    [anon_sym_alignas] = ACTIONS(3427),
    [anon_sym_explicit] = ACTIONS(3427),
    [anon_sym_typename] = ACTIONS(3427),
    [anon_sym_template] = ACTIONS(3427),
    [anon_sym_operator] = ACTIONS(3427),
    [anon_sym_friend] = ACTIONS(3427),
    [anon_sym_public] = ACTIONS(3427),
    [anon_sym_private] = ACTIONS(3427),
    [anon_sym_protected] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_static_assert] = ACTIONS(3427),
  },
  [2113] = {
    [sym_identifier] = ACTIONS(3413),
    [aux_sym_preproc_def_token1] = ACTIONS(3413),
    [aux_sym_preproc_if_token1] = ACTIONS(3413),
    [aux_sym_preproc_if_token2] = ACTIONS(3413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3413),
    [aux_sym_preproc_else_token1] = ACTIONS(3413),
    [aux_sym_preproc_elif_token1] = ACTIONS(3413),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3413),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3413),
    [sym_preproc_directive] = ACTIONS(3413),
    [anon_sym_LPAREN2] = ACTIONS(3415),
    [anon_sym_TILDE] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3415),
    [anon_sym_AMP_AMP] = ACTIONS(3415),
    [anon_sym_AMP] = ACTIONS(3413),
    [anon_sym___extension__] = ACTIONS(3413),
    [anon_sym_typedef] = ACTIONS(3413),
    [anon_sym_extern] = ACTIONS(3413),
    [anon_sym___attribute__] = ACTIONS(3413),
    [anon_sym_COLON_COLON] = ACTIONS(3415),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3415),
    [anon_sym___declspec] = ACTIONS(3413),
    [anon_sym___based] = ACTIONS(3413),
    [anon_sym_signed] = ACTIONS(3413),
    [anon_sym_unsigned] = ACTIONS(3413),
    [anon_sym_long] = ACTIONS(3413),
    [anon_sym_short] = ACTIONS(3413),
    [anon_sym_LBRACK] = ACTIONS(3413),
    [anon_sym_static] = ACTIONS(3413),
    [anon_sym_register] = ACTIONS(3413),
    [anon_sym_inline] = ACTIONS(3413),
    [anon_sym___inline] = ACTIONS(3413),
    [anon_sym___inline__] = ACTIONS(3413),
    [anon_sym___forceinline] = ACTIONS(3413),
    [anon_sym_thread_local] = ACTIONS(3413),
    [anon_sym___thread] = ACTIONS(3413),
    [anon_sym_const] = ACTIONS(3413),
    [anon_sym_constexpr] = ACTIONS(3413),
    [anon_sym_volatile] = ACTIONS(3413),
    [anon_sym_restrict] = ACTIONS(3413),
    [anon_sym___restrict__] = ACTIONS(3413),
    [anon_sym__Atomic] = ACTIONS(3413),
    [anon_sym__Noreturn] = ACTIONS(3413),
    [anon_sym_noreturn] = ACTIONS(3413),
    [anon_sym_mutable] = ACTIONS(3413),
    [anon_sym_constinit] = ACTIONS(3413),
    [anon_sym_consteval] = ACTIONS(3413),
    [anon_sym_PROGMEM] = ACTIONS(3413),
    [aux_sym_primitive_type_token1] = ACTIONS(3413),
    [anon_sym_byte] = ACTIONS(3413),
    [anon_sym_word] = ACTIONS(3413),
    [anon_sym_enum] = ACTIONS(3413),
    [anon_sym_class] = ACTIONS(3413),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3413),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3413),
    [anon_sym_decltype] = ACTIONS(3413),
    [anon_sym_virtual] = ACTIONS(3413),
    [anon_sym_alignas] = ACTIONS(3413),
    [anon_sym_explicit] = ACTIONS(3413),
    [anon_sym_typename] = ACTIONS(3413),
    [anon_sym_template] = ACTIONS(3413),
    [anon_sym_operator] = ACTIONS(3413),
    [anon_sym_friend] = ACTIONS(3413),
    [anon_sym_public] = ACTIONS(3413),
    [anon_sym_private] = ACTIONS(3413),
    [anon_sym_protected] = ACTIONS(3413),
    [anon_sym_using] = ACTIONS(3413),
    [anon_sym_static_assert] = ACTIONS(3413),
  },
  [2114] = {
    [sym_identifier] = ACTIONS(3409),
    [aux_sym_preproc_def_token1] = ACTIONS(3409),
    [aux_sym_preproc_if_token1] = ACTIONS(3409),
    [aux_sym_preproc_if_token2] = ACTIONS(3409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3409),
    [aux_sym_preproc_else_token1] = ACTIONS(3409),
    [aux_sym_preproc_elif_token1] = ACTIONS(3409),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3409),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3409),
    [sym_preproc_directive] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_TILDE] = ACTIONS(3411),
    [anon_sym_STAR] = ACTIONS(3411),
    [anon_sym_AMP_AMP] = ACTIONS(3411),
    [anon_sym_AMP] = ACTIONS(3409),
    [anon_sym___extension__] = ACTIONS(3409),
    [anon_sym_typedef] = ACTIONS(3409),
    [anon_sym_extern] = ACTIONS(3409),
    [anon_sym___attribute__] = ACTIONS(3409),
    [anon_sym_COLON_COLON] = ACTIONS(3411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3411),
    [anon_sym___declspec] = ACTIONS(3409),
    [anon_sym___based] = ACTIONS(3409),
    [anon_sym_signed] = ACTIONS(3409),
    [anon_sym_unsigned] = ACTIONS(3409),
    [anon_sym_long] = ACTIONS(3409),
    [anon_sym_short] = ACTIONS(3409),
    [anon_sym_LBRACK] = ACTIONS(3409),
    [anon_sym_static] = ACTIONS(3409),
    [anon_sym_register] = ACTIONS(3409),
    [anon_sym_inline] = ACTIONS(3409),
    [anon_sym___inline] = ACTIONS(3409),
    [anon_sym___inline__] = ACTIONS(3409),
    [anon_sym___forceinline] = ACTIONS(3409),
    [anon_sym_thread_local] = ACTIONS(3409),
    [anon_sym___thread] = ACTIONS(3409),
    [anon_sym_const] = ACTIONS(3409),
    [anon_sym_constexpr] = ACTIONS(3409),
    [anon_sym_volatile] = ACTIONS(3409),
    [anon_sym_restrict] = ACTIONS(3409),
    [anon_sym___restrict__] = ACTIONS(3409),
    [anon_sym__Atomic] = ACTIONS(3409),
    [anon_sym__Noreturn] = ACTIONS(3409),
    [anon_sym_noreturn] = ACTIONS(3409),
    [anon_sym_mutable] = ACTIONS(3409),
    [anon_sym_constinit] = ACTIONS(3409),
    [anon_sym_consteval] = ACTIONS(3409),
    [anon_sym_PROGMEM] = ACTIONS(3409),
    [aux_sym_primitive_type_token1] = ACTIONS(3409),
    [anon_sym_byte] = ACTIONS(3409),
    [anon_sym_word] = ACTIONS(3409),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3409),
    [anon_sym_struct] = ACTIONS(3409),
    [anon_sym_union] = ACTIONS(3409),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3409),
    [anon_sym_decltype] = ACTIONS(3409),
    [anon_sym_virtual] = ACTIONS(3409),
    [anon_sym_alignas] = ACTIONS(3409),
    [anon_sym_explicit] = ACTIONS(3409),
    [anon_sym_typename] = ACTIONS(3409),
    [anon_sym_template] = ACTIONS(3409),
    [anon_sym_operator] = ACTIONS(3409),
    [anon_sym_friend] = ACTIONS(3409),
    [anon_sym_public] = ACTIONS(3409),
    [anon_sym_private] = ACTIONS(3409),
    [anon_sym_protected] = ACTIONS(3409),
    [anon_sym_using] = ACTIONS(3409),
    [anon_sym_static_assert] = ACTIONS(3409),
  },
  [2115] = {
    [sym_identifier] = ACTIONS(3216),
    [aux_sym_preproc_def_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token2] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3216),
    [aux_sym_preproc_else_token1] = ACTIONS(3216),
    [aux_sym_preproc_elif_token1] = ACTIONS(3216),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3216),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3216),
    [sym_preproc_directive] = ACTIONS(3216),
    [anon_sym_LPAREN2] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3218),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym___extension__] = ACTIONS(3216),
    [anon_sym_typedef] = ACTIONS(3216),
    [anon_sym_extern] = ACTIONS(3216),
    [anon_sym___attribute__] = ACTIONS(3216),
    [anon_sym_COLON_COLON] = ACTIONS(3218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3218),
    [anon_sym___declspec] = ACTIONS(3216),
    [anon_sym___based] = ACTIONS(3216),
    [anon_sym_signed] = ACTIONS(3216),
    [anon_sym_unsigned] = ACTIONS(3216),
    [anon_sym_long] = ACTIONS(3216),
    [anon_sym_short] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_register] = ACTIONS(3216),
    [anon_sym_inline] = ACTIONS(3216),
    [anon_sym___inline] = ACTIONS(3216),
    [anon_sym___inline__] = ACTIONS(3216),
    [anon_sym___forceinline] = ACTIONS(3216),
    [anon_sym_thread_local] = ACTIONS(3216),
    [anon_sym___thread] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_constexpr] = ACTIONS(3216),
    [anon_sym_volatile] = ACTIONS(3216),
    [anon_sym_restrict] = ACTIONS(3216),
    [anon_sym___restrict__] = ACTIONS(3216),
    [anon_sym__Atomic] = ACTIONS(3216),
    [anon_sym__Noreturn] = ACTIONS(3216),
    [anon_sym_noreturn] = ACTIONS(3216),
    [anon_sym_mutable] = ACTIONS(3216),
    [anon_sym_constinit] = ACTIONS(3216),
    [anon_sym_consteval] = ACTIONS(3216),
    [anon_sym_PROGMEM] = ACTIONS(3216),
    [aux_sym_primitive_type_token1] = ACTIONS(3216),
    [anon_sym_byte] = ACTIONS(3216),
    [anon_sym_word] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3216),
    [anon_sym_union] = ACTIONS(3216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3216),
    [anon_sym_decltype] = ACTIONS(3216),
    [anon_sym_virtual] = ACTIONS(3216),
    [anon_sym_alignas] = ACTIONS(3216),
    [anon_sym_explicit] = ACTIONS(3216),
    [anon_sym_typename] = ACTIONS(3216),
    [anon_sym_template] = ACTIONS(3216),
    [anon_sym_operator] = ACTIONS(3216),
    [anon_sym_friend] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_static_assert] = ACTIONS(3216),
  },
  [2116] = {
    [sym_identifier] = ACTIONS(3220),
    [aux_sym_preproc_def_token1] = ACTIONS(3220),
    [aux_sym_preproc_if_token1] = ACTIONS(3220),
    [aux_sym_preproc_if_token2] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3220),
    [aux_sym_preproc_else_token1] = ACTIONS(3220),
    [aux_sym_preproc_elif_token1] = ACTIONS(3220),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3220),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3220),
    [sym_preproc_directive] = ACTIONS(3220),
    [anon_sym_LPAREN2] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_STAR] = ACTIONS(3222),
    [anon_sym_AMP_AMP] = ACTIONS(3222),
    [anon_sym_AMP] = ACTIONS(3220),
    [anon_sym___extension__] = ACTIONS(3220),
    [anon_sym_typedef] = ACTIONS(3220),
    [anon_sym_extern] = ACTIONS(3220),
    [anon_sym___attribute__] = ACTIONS(3220),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3222),
    [anon_sym___declspec] = ACTIONS(3220),
    [anon_sym___based] = ACTIONS(3220),
    [anon_sym_signed] = ACTIONS(3220),
    [anon_sym_unsigned] = ACTIONS(3220),
    [anon_sym_long] = ACTIONS(3220),
    [anon_sym_short] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_static] = ACTIONS(3220),
    [anon_sym_register] = ACTIONS(3220),
    [anon_sym_inline] = ACTIONS(3220),
    [anon_sym___inline] = ACTIONS(3220),
    [anon_sym___inline__] = ACTIONS(3220),
    [anon_sym___forceinline] = ACTIONS(3220),
    [anon_sym_thread_local] = ACTIONS(3220),
    [anon_sym___thread] = ACTIONS(3220),
    [anon_sym_const] = ACTIONS(3220),
    [anon_sym_constexpr] = ACTIONS(3220),
    [anon_sym_volatile] = ACTIONS(3220),
    [anon_sym_restrict] = ACTIONS(3220),
    [anon_sym___restrict__] = ACTIONS(3220),
    [anon_sym__Atomic] = ACTIONS(3220),
    [anon_sym__Noreturn] = ACTIONS(3220),
    [anon_sym_noreturn] = ACTIONS(3220),
    [anon_sym_mutable] = ACTIONS(3220),
    [anon_sym_constinit] = ACTIONS(3220),
    [anon_sym_consteval] = ACTIONS(3220),
    [anon_sym_PROGMEM] = ACTIONS(3220),
    [aux_sym_primitive_type_token1] = ACTIONS(3220),
    [anon_sym_byte] = ACTIONS(3220),
    [anon_sym_word] = ACTIONS(3220),
    [anon_sym_enum] = ACTIONS(3220),
    [anon_sym_class] = ACTIONS(3220),
    [anon_sym_struct] = ACTIONS(3220),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3220),
    [anon_sym_decltype] = ACTIONS(3220),
    [anon_sym_virtual] = ACTIONS(3220),
    [anon_sym_alignas] = ACTIONS(3220),
    [anon_sym_explicit] = ACTIONS(3220),
    [anon_sym_typename] = ACTIONS(3220),
    [anon_sym_template] = ACTIONS(3220),
    [anon_sym_operator] = ACTIONS(3220),
    [anon_sym_friend] = ACTIONS(3220),
    [anon_sym_public] = ACTIONS(3220),
    [anon_sym_private] = ACTIONS(3220),
    [anon_sym_protected] = ACTIONS(3220),
    [anon_sym_using] = ACTIONS(3220),
    [anon_sym_static_assert] = ACTIONS(3220),
  },
  [2117] = {
    [sym_identifier] = ACTIONS(3965),
    [aux_sym_preproc_def_token1] = ACTIONS(3965),
    [aux_sym_preproc_if_token1] = ACTIONS(3965),
    [aux_sym_preproc_if_token2] = ACTIONS(3965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3965),
    [aux_sym_preproc_else_token1] = ACTIONS(3965),
    [aux_sym_preproc_elif_token1] = ACTIONS(3965),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3965),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3965),
    [sym_preproc_directive] = ACTIONS(3965),
    [anon_sym_LPAREN2] = ACTIONS(3963),
    [anon_sym_TILDE] = ACTIONS(3963),
    [anon_sym_STAR] = ACTIONS(3963),
    [anon_sym_AMP_AMP] = ACTIONS(3963),
    [anon_sym_AMP] = ACTIONS(3965),
    [anon_sym___extension__] = ACTIONS(3965),
    [anon_sym_typedef] = ACTIONS(3965),
    [anon_sym_extern] = ACTIONS(3965),
    [anon_sym___attribute__] = ACTIONS(3965),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3963),
    [anon_sym___declspec] = ACTIONS(3965),
    [anon_sym___based] = ACTIONS(3965),
    [anon_sym_signed] = ACTIONS(3965),
    [anon_sym_unsigned] = ACTIONS(3965),
    [anon_sym_long] = ACTIONS(3965),
    [anon_sym_short] = ACTIONS(3965),
    [anon_sym_LBRACK] = ACTIONS(3965),
    [anon_sym_static] = ACTIONS(3965),
    [anon_sym_register] = ACTIONS(3965),
    [anon_sym_inline] = ACTIONS(3965),
    [anon_sym___inline] = ACTIONS(3965),
    [anon_sym___inline__] = ACTIONS(3965),
    [anon_sym___forceinline] = ACTIONS(3965),
    [anon_sym_thread_local] = ACTIONS(3965),
    [anon_sym___thread] = ACTIONS(3965),
    [anon_sym_const] = ACTIONS(3965),
    [anon_sym_constexpr] = ACTIONS(3965),
    [anon_sym_volatile] = ACTIONS(3965),
    [anon_sym_restrict] = ACTIONS(3965),
    [anon_sym___restrict__] = ACTIONS(3965),
    [anon_sym__Atomic] = ACTIONS(3965),
    [anon_sym__Noreturn] = ACTIONS(3965),
    [anon_sym_noreturn] = ACTIONS(3965),
    [anon_sym_mutable] = ACTIONS(3965),
    [anon_sym_constinit] = ACTIONS(3965),
    [anon_sym_consteval] = ACTIONS(3965),
    [anon_sym_PROGMEM] = ACTIONS(3965),
    [aux_sym_primitive_type_token1] = ACTIONS(3965),
    [anon_sym_byte] = ACTIONS(3965),
    [anon_sym_word] = ACTIONS(3965),
    [anon_sym_enum] = ACTIONS(3965),
    [anon_sym_class] = ACTIONS(3965),
    [anon_sym_struct] = ACTIONS(3965),
    [anon_sym_union] = ACTIONS(3965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3965),
    [anon_sym_decltype] = ACTIONS(3965),
    [anon_sym_virtual] = ACTIONS(3965),
    [anon_sym_alignas] = ACTIONS(3965),
    [anon_sym_explicit] = ACTIONS(3965),
    [anon_sym_typename] = ACTIONS(3965),
    [anon_sym_template] = ACTIONS(3965),
    [anon_sym_operator] = ACTIONS(3965),
    [anon_sym_friend] = ACTIONS(3965),
    [anon_sym_public] = ACTIONS(3965),
    [anon_sym_private] = ACTIONS(3965),
    [anon_sym_protected] = ACTIONS(3965),
    [anon_sym_using] = ACTIONS(3965),
    [anon_sym_static_assert] = ACTIONS(3965),
  },
  [2118] = {
    [sym_identifier] = ACTIONS(3389),
    [aux_sym_preproc_def_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token2] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3389),
    [aux_sym_preproc_else_token1] = ACTIONS(3389),
    [aux_sym_preproc_elif_token1] = ACTIONS(3389),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3389),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3389),
    [sym_preproc_directive] = ACTIONS(3389),
    [anon_sym_LPAREN2] = ACTIONS(3391),
    [anon_sym_TILDE] = ACTIONS(3391),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP_AMP] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3389),
    [anon_sym___extension__] = ACTIONS(3389),
    [anon_sym_typedef] = ACTIONS(3389),
    [anon_sym_extern] = ACTIONS(3389),
    [anon_sym___attribute__] = ACTIONS(3389),
    [anon_sym_COLON_COLON] = ACTIONS(3391),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3391),
    [anon_sym___declspec] = ACTIONS(3389),
    [anon_sym___based] = ACTIONS(3389),
    [anon_sym_signed] = ACTIONS(3389),
    [anon_sym_unsigned] = ACTIONS(3389),
    [anon_sym_long] = ACTIONS(3389),
    [anon_sym_short] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_register] = ACTIONS(3389),
    [anon_sym_inline] = ACTIONS(3389),
    [anon_sym___inline] = ACTIONS(3389),
    [anon_sym___inline__] = ACTIONS(3389),
    [anon_sym___forceinline] = ACTIONS(3389),
    [anon_sym_thread_local] = ACTIONS(3389),
    [anon_sym___thread] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_constexpr] = ACTIONS(3389),
    [anon_sym_volatile] = ACTIONS(3389),
    [anon_sym_restrict] = ACTIONS(3389),
    [anon_sym___restrict__] = ACTIONS(3389),
    [anon_sym__Atomic] = ACTIONS(3389),
    [anon_sym__Noreturn] = ACTIONS(3389),
    [anon_sym_noreturn] = ACTIONS(3389),
    [anon_sym_mutable] = ACTIONS(3389),
    [anon_sym_constinit] = ACTIONS(3389),
    [anon_sym_consteval] = ACTIONS(3389),
    [anon_sym_PROGMEM] = ACTIONS(3389),
    [aux_sym_primitive_type_token1] = ACTIONS(3389),
    [anon_sym_byte] = ACTIONS(3389),
    [anon_sym_word] = ACTIONS(3389),
    [anon_sym_enum] = ACTIONS(3389),
    [anon_sym_class] = ACTIONS(3389),
    [anon_sym_struct] = ACTIONS(3389),
    [anon_sym_union] = ACTIONS(3389),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3389),
    [anon_sym_decltype] = ACTIONS(3389),
    [anon_sym_virtual] = ACTIONS(3389),
    [anon_sym_alignas] = ACTIONS(3389),
    [anon_sym_explicit] = ACTIONS(3389),
    [anon_sym_typename] = ACTIONS(3389),
    [anon_sym_template] = ACTIONS(3389),
    [anon_sym_operator] = ACTIONS(3389),
    [anon_sym_friend] = ACTIONS(3389),
    [anon_sym_public] = ACTIONS(3389),
    [anon_sym_private] = ACTIONS(3389),
    [anon_sym_protected] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_static_assert] = ACTIONS(3389),
  },
  [2119] = {
    [sym_identifier] = ACTIONS(3377),
    [aux_sym_preproc_def_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token2] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3377),
    [aux_sym_preproc_else_token1] = ACTIONS(3377),
    [aux_sym_preproc_elif_token1] = ACTIONS(3377),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3377),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3377),
    [sym_preproc_directive] = ACTIONS(3377),
    [anon_sym_LPAREN2] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3379),
    [anon_sym_AMP_AMP] = ACTIONS(3379),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym___extension__] = ACTIONS(3377),
    [anon_sym_typedef] = ACTIONS(3377),
    [anon_sym_extern] = ACTIONS(3377),
    [anon_sym___attribute__] = ACTIONS(3377),
    [anon_sym_COLON_COLON] = ACTIONS(3379),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3379),
    [anon_sym___declspec] = ACTIONS(3377),
    [anon_sym___based] = ACTIONS(3377),
    [anon_sym_signed] = ACTIONS(3377),
    [anon_sym_unsigned] = ACTIONS(3377),
    [anon_sym_long] = ACTIONS(3377),
    [anon_sym_short] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_register] = ACTIONS(3377),
    [anon_sym_inline] = ACTIONS(3377),
    [anon_sym___inline] = ACTIONS(3377),
    [anon_sym___inline__] = ACTIONS(3377),
    [anon_sym___forceinline] = ACTIONS(3377),
    [anon_sym_thread_local] = ACTIONS(3377),
    [anon_sym___thread] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_constexpr] = ACTIONS(3377),
    [anon_sym_volatile] = ACTIONS(3377),
    [anon_sym_restrict] = ACTIONS(3377),
    [anon_sym___restrict__] = ACTIONS(3377),
    [anon_sym__Atomic] = ACTIONS(3377),
    [anon_sym__Noreturn] = ACTIONS(3377),
    [anon_sym_noreturn] = ACTIONS(3377),
    [anon_sym_mutable] = ACTIONS(3377),
    [anon_sym_constinit] = ACTIONS(3377),
    [anon_sym_consteval] = ACTIONS(3377),
    [anon_sym_PROGMEM] = ACTIONS(3377),
    [aux_sym_primitive_type_token1] = ACTIONS(3377),
    [anon_sym_byte] = ACTIONS(3377),
    [anon_sym_word] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_struct] = ACTIONS(3377),
    [anon_sym_union] = ACTIONS(3377),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3377),
    [anon_sym_decltype] = ACTIONS(3377),
    [anon_sym_virtual] = ACTIONS(3377),
    [anon_sym_alignas] = ACTIONS(3377),
    [anon_sym_explicit] = ACTIONS(3377),
    [anon_sym_typename] = ACTIONS(3377),
    [anon_sym_template] = ACTIONS(3377),
    [anon_sym_operator] = ACTIONS(3377),
    [anon_sym_friend] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_static_assert] = ACTIONS(3377),
  },
  [2120] = {
    [sym_identifier] = ACTIONS(3839),
    [aux_sym_preproc_def_token1] = ACTIONS(3839),
    [aux_sym_preproc_if_token1] = ACTIONS(3839),
    [aux_sym_preproc_if_token2] = ACTIONS(3839),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3839),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3839),
    [aux_sym_preproc_else_token1] = ACTIONS(3839),
    [aux_sym_preproc_elif_token1] = ACTIONS(3839),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3839),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3839),
    [sym_preproc_directive] = ACTIONS(3839),
    [anon_sym_LPAREN2] = ACTIONS(3837),
    [anon_sym_TILDE] = ACTIONS(3837),
    [anon_sym_STAR] = ACTIONS(3837),
    [anon_sym_AMP_AMP] = ACTIONS(3837),
    [anon_sym_AMP] = ACTIONS(3839),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_typedef] = ACTIONS(3839),
    [anon_sym_extern] = ACTIONS(3839),
    [anon_sym___attribute__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(3837),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3837),
    [anon_sym___declspec] = ACTIONS(3839),
    [anon_sym___based] = ACTIONS(3839),
    [anon_sym_signed] = ACTIONS(3839),
    [anon_sym_unsigned] = ACTIONS(3839),
    [anon_sym_long] = ACTIONS(3839),
    [anon_sym_short] = ACTIONS(3839),
    [anon_sym_LBRACK] = ACTIONS(3839),
    [anon_sym_static] = ACTIONS(3839),
    [anon_sym_register] = ACTIONS(3839),
    [anon_sym_inline] = ACTIONS(3839),
    [anon_sym___inline] = ACTIONS(3839),
    [anon_sym___inline__] = ACTIONS(3839),
    [anon_sym___forceinline] = ACTIONS(3839),
    [anon_sym_thread_local] = ACTIONS(3839),
    [anon_sym___thread] = ACTIONS(3839),
    [anon_sym_const] = ACTIONS(3839),
    [anon_sym_constexpr] = ACTIONS(3839),
    [anon_sym_volatile] = ACTIONS(3839),
    [anon_sym_restrict] = ACTIONS(3839),
    [anon_sym___restrict__] = ACTIONS(3839),
    [anon_sym__Atomic] = ACTIONS(3839),
    [anon_sym__Noreturn] = ACTIONS(3839),
    [anon_sym_noreturn] = ACTIONS(3839),
    [anon_sym_mutable] = ACTIONS(3839),
    [anon_sym_constinit] = ACTIONS(3839),
    [anon_sym_consteval] = ACTIONS(3839),
    [anon_sym_PROGMEM] = ACTIONS(3839),
    [aux_sym_primitive_type_token1] = ACTIONS(3839),
    [anon_sym_byte] = ACTIONS(3839),
    [anon_sym_word] = ACTIONS(3839),
    [anon_sym_enum] = ACTIONS(3839),
    [anon_sym_class] = ACTIONS(3839),
    [anon_sym_struct] = ACTIONS(3839),
    [anon_sym_union] = ACTIONS(3839),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3839),
    [anon_sym_decltype] = ACTIONS(3839),
    [anon_sym_virtual] = ACTIONS(3839),
    [anon_sym_alignas] = ACTIONS(3839),
    [anon_sym_explicit] = ACTIONS(3839),
    [anon_sym_typename] = ACTIONS(3839),
    [anon_sym_template] = ACTIONS(3839),
    [anon_sym_operator] = ACTIONS(3839),
    [anon_sym_friend] = ACTIONS(3839),
    [anon_sym_public] = ACTIONS(3839),
    [anon_sym_private] = ACTIONS(3839),
    [anon_sym_protected] = ACTIONS(3839),
    [anon_sym_using] = ACTIONS(3839),
    [anon_sym_static_assert] = ACTIONS(3839),
  },
  [2121] = {
    [sym_identifier] = ACTIONS(3308),
    [aux_sym_preproc_def_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token2] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3308),
    [aux_sym_preproc_else_token1] = ACTIONS(3308),
    [aux_sym_preproc_elif_token1] = ACTIONS(3308),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3308),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3308),
    [sym_preproc_directive] = ACTIONS(3308),
    [anon_sym_LPAREN2] = ACTIONS(3310),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_STAR] = ACTIONS(3310),
    [anon_sym_AMP_AMP] = ACTIONS(3310),
    [anon_sym_AMP] = ACTIONS(3308),
    [anon_sym___extension__] = ACTIONS(3308),
    [anon_sym_typedef] = ACTIONS(3308),
    [anon_sym_extern] = ACTIONS(3308),
    [anon_sym___attribute__] = ACTIONS(3308),
    [anon_sym_COLON_COLON] = ACTIONS(3310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3310),
    [anon_sym___declspec] = ACTIONS(3308),
    [anon_sym___based] = ACTIONS(3308),
    [anon_sym_signed] = ACTIONS(3308),
    [anon_sym_unsigned] = ACTIONS(3308),
    [anon_sym_long] = ACTIONS(3308),
    [anon_sym_short] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_register] = ACTIONS(3308),
    [anon_sym_inline] = ACTIONS(3308),
    [anon_sym___inline] = ACTIONS(3308),
    [anon_sym___inline__] = ACTIONS(3308),
    [anon_sym___forceinline] = ACTIONS(3308),
    [anon_sym_thread_local] = ACTIONS(3308),
    [anon_sym___thread] = ACTIONS(3308),
    [anon_sym_const] = ACTIONS(3308),
    [anon_sym_constexpr] = ACTIONS(3308),
    [anon_sym_volatile] = ACTIONS(3308),
    [anon_sym_restrict] = ACTIONS(3308),
    [anon_sym___restrict__] = ACTIONS(3308),
    [anon_sym__Atomic] = ACTIONS(3308),
    [anon_sym__Noreturn] = ACTIONS(3308),
    [anon_sym_noreturn] = ACTIONS(3308),
    [anon_sym_mutable] = ACTIONS(3308),
    [anon_sym_constinit] = ACTIONS(3308),
    [anon_sym_consteval] = ACTIONS(3308),
    [anon_sym_PROGMEM] = ACTIONS(3308),
    [aux_sym_primitive_type_token1] = ACTIONS(3308),
    [anon_sym_byte] = ACTIONS(3308),
    [anon_sym_word] = ACTIONS(3308),
    [anon_sym_enum] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_struct] = ACTIONS(3308),
    [anon_sym_union] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3308),
    [anon_sym_decltype] = ACTIONS(3308),
    [anon_sym_virtual] = ACTIONS(3308),
    [anon_sym_alignas] = ACTIONS(3308),
    [anon_sym_explicit] = ACTIONS(3308),
    [anon_sym_typename] = ACTIONS(3308),
    [anon_sym_template] = ACTIONS(3308),
    [anon_sym_operator] = ACTIONS(3308),
    [anon_sym_friend] = ACTIONS(3308),
    [anon_sym_public] = ACTIONS(3308),
    [anon_sym_private] = ACTIONS(3308),
    [anon_sym_protected] = ACTIONS(3308),
    [anon_sym_using] = ACTIONS(3308),
    [anon_sym_static_assert] = ACTIONS(3308),
  },
  [2122] = {
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5946),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7213),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5194),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2123] = {
    [sym__declaration_modifiers] = STATE(3944),
    [sym_attribute_specifier] = STATE(3944),
    [sym_attribute_declaration] = STATE(3944),
    [sym_ms_declspec_modifier] = STATE(3944),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7055),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3944),
    [sym_type_qualifier] = STATE(3944),
    [sym_decltype] = STATE(9281),
    [sym_virtual] = STATE(3944),
    [sym_alignas_specifier] = STATE(3944),
    [sym_explicit_function_specifier] = STATE(3944),
    [sym_operator_cast] = STATE(7359),
    [sym__constructor_specifiers] = STATE(3944),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(9281),
    [sym_template_function] = STATE(6932),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6232),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_operator_cast_identifier] = STATE(7359),
    [sym_operator_name] = STATE(6932),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3944),
    [sym_identifier] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(5443),
    [anon_sym_extern] = ACTIONS(5445),
    [anon_sym___attribute__] = ACTIONS(5447),
    [anon_sym_COLON_COLON] = ACTIONS(5449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5451),
    [anon_sym___declspec] = ACTIONS(5453),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(5445),
    [anon_sym_register] = ACTIONS(5445),
    [anon_sym_inline] = ACTIONS(5445),
    [anon_sym___inline] = ACTIONS(5445),
    [anon_sym___inline__] = ACTIONS(5445),
    [anon_sym___forceinline] = ACTIONS(5445),
    [anon_sym_thread_local] = ACTIONS(5445),
    [anon_sym___thread] = ACTIONS(5445),
    [anon_sym_const] = ACTIONS(5443),
    [anon_sym_constexpr] = ACTIONS(5443),
    [anon_sym_volatile] = ACTIONS(5443),
    [anon_sym_restrict] = ACTIONS(5443),
    [anon_sym___restrict__] = ACTIONS(5443),
    [anon_sym__Atomic] = ACTIONS(5443),
    [anon_sym__Noreturn] = ACTIONS(5443),
    [anon_sym_noreturn] = ACTIONS(5443),
    [anon_sym_mutable] = ACTIONS(5443),
    [anon_sym_constinit] = ACTIONS(5443),
    [anon_sym_consteval] = ACTIONS(5443),
    [anon_sym_PROGMEM] = ACTIONS(5443),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_virtual] = ACTIONS(5455),
    [anon_sym_alignas] = ACTIONS(5457),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(133),
  },
  [2124] = {
    [sym_identifier] = ACTIONS(3393),
    [aux_sym_preproc_def_token1] = ACTIONS(3393),
    [aux_sym_preproc_if_token1] = ACTIONS(3393),
    [aux_sym_preproc_if_token2] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3393),
    [aux_sym_preproc_else_token1] = ACTIONS(3393),
    [aux_sym_preproc_elif_token1] = ACTIONS(3393),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3393),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3393),
    [sym_preproc_directive] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_TILDE] = ACTIONS(3395),
    [anon_sym_STAR] = ACTIONS(3395),
    [anon_sym_AMP_AMP] = ACTIONS(3395),
    [anon_sym_AMP] = ACTIONS(3393),
    [anon_sym___extension__] = ACTIONS(3393),
    [anon_sym_typedef] = ACTIONS(3393),
    [anon_sym_extern] = ACTIONS(3393),
    [anon_sym___attribute__] = ACTIONS(3393),
    [anon_sym_COLON_COLON] = ACTIONS(3395),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3395),
    [anon_sym___declspec] = ACTIONS(3393),
    [anon_sym___based] = ACTIONS(3393),
    [anon_sym_signed] = ACTIONS(3393),
    [anon_sym_unsigned] = ACTIONS(3393),
    [anon_sym_long] = ACTIONS(3393),
    [anon_sym_short] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(3393),
    [anon_sym_static] = ACTIONS(3393),
    [anon_sym_register] = ACTIONS(3393),
    [anon_sym_inline] = ACTIONS(3393),
    [anon_sym___inline] = ACTIONS(3393),
    [anon_sym___inline__] = ACTIONS(3393),
    [anon_sym___forceinline] = ACTIONS(3393),
    [anon_sym_thread_local] = ACTIONS(3393),
    [anon_sym___thread] = ACTIONS(3393),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_constexpr] = ACTIONS(3393),
    [anon_sym_volatile] = ACTIONS(3393),
    [anon_sym_restrict] = ACTIONS(3393),
    [anon_sym___restrict__] = ACTIONS(3393),
    [anon_sym__Atomic] = ACTIONS(3393),
    [anon_sym__Noreturn] = ACTIONS(3393),
    [anon_sym_noreturn] = ACTIONS(3393),
    [anon_sym_mutable] = ACTIONS(3393),
    [anon_sym_constinit] = ACTIONS(3393),
    [anon_sym_consteval] = ACTIONS(3393),
    [anon_sym_PROGMEM] = ACTIONS(3393),
    [aux_sym_primitive_type_token1] = ACTIONS(3393),
    [anon_sym_byte] = ACTIONS(3393),
    [anon_sym_word] = ACTIONS(3393),
    [anon_sym_enum] = ACTIONS(3393),
    [anon_sym_class] = ACTIONS(3393),
    [anon_sym_struct] = ACTIONS(3393),
    [anon_sym_union] = ACTIONS(3393),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3393),
    [anon_sym_decltype] = ACTIONS(3393),
    [anon_sym_virtual] = ACTIONS(3393),
    [anon_sym_alignas] = ACTIONS(3393),
    [anon_sym_explicit] = ACTIONS(3393),
    [anon_sym_typename] = ACTIONS(3393),
    [anon_sym_template] = ACTIONS(3393),
    [anon_sym_operator] = ACTIONS(3393),
    [anon_sym_friend] = ACTIONS(3393),
    [anon_sym_public] = ACTIONS(3393),
    [anon_sym_private] = ACTIONS(3393),
    [anon_sym_protected] = ACTIONS(3393),
    [anon_sym_using] = ACTIONS(3393),
    [anon_sym_static_assert] = ACTIONS(3393),
  },
  [2125] = {
    [sym_identifier] = ACTIONS(3401),
    [aux_sym_preproc_def_token1] = ACTIONS(3401),
    [aux_sym_preproc_if_token1] = ACTIONS(3401),
    [aux_sym_preproc_if_token2] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3401),
    [aux_sym_preproc_else_token1] = ACTIONS(3401),
    [aux_sym_preproc_elif_token1] = ACTIONS(3401),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3401),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3401),
    [sym_preproc_directive] = ACTIONS(3401),
    [anon_sym_LPAREN2] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_STAR] = ACTIONS(3403),
    [anon_sym_AMP_AMP] = ACTIONS(3403),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym___extension__] = ACTIONS(3401),
    [anon_sym_typedef] = ACTIONS(3401),
    [anon_sym_extern] = ACTIONS(3401),
    [anon_sym___attribute__] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3403),
    [anon_sym___declspec] = ACTIONS(3401),
    [anon_sym___based] = ACTIONS(3401),
    [anon_sym_signed] = ACTIONS(3401),
    [anon_sym_unsigned] = ACTIONS(3401),
    [anon_sym_long] = ACTIONS(3401),
    [anon_sym_short] = ACTIONS(3401),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_static] = ACTIONS(3401),
    [anon_sym_register] = ACTIONS(3401),
    [anon_sym_inline] = ACTIONS(3401),
    [anon_sym___inline] = ACTIONS(3401),
    [anon_sym___inline__] = ACTIONS(3401),
    [anon_sym___forceinline] = ACTIONS(3401),
    [anon_sym_thread_local] = ACTIONS(3401),
    [anon_sym___thread] = ACTIONS(3401),
    [anon_sym_const] = ACTIONS(3401),
    [anon_sym_constexpr] = ACTIONS(3401),
    [anon_sym_volatile] = ACTIONS(3401),
    [anon_sym_restrict] = ACTIONS(3401),
    [anon_sym___restrict__] = ACTIONS(3401),
    [anon_sym__Atomic] = ACTIONS(3401),
    [anon_sym__Noreturn] = ACTIONS(3401),
    [anon_sym_noreturn] = ACTIONS(3401),
    [anon_sym_mutable] = ACTIONS(3401),
    [anon_sym_constinit] = ACTIONS(3401),
    [anon_sym_consteval] = ACTIONS(3401),
    [anon_sym_PROGMEM] = ACTIONS(3401),
    [aux_sym_primitive_type_token1] = ACTIONS(3401),
    [anon_sym_byte] = ACTIONS(3401),
    [anon_sym_word] = ACTIONS(3401),
    [anon_sym_enum] = ACTIONS(3401),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3401),
    [anon_sym_union] = ACTIONS(3401),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3401),
    [anon_sym_decltype] = ACTIONS(3401),
    [anon_sym_virtual] = ACTIONS(3401),
    [anon_sym_alignas] = ACTIONS(3401),
    [anon_sym_explicit] = ACTIONS(3401),
    [anon_sym_typename] = ACTIONS(3401),
    [anon_sym_template] = ACTIONS(3401),
    [anon_sym_operator] = ACTIONS(3401),
    [anon_sym_friend] = ACTIONS(3401),
    [anon_sym_public] = ACTIONS(3401),
    [anon_sym_private] = ACTIONS(3401),
    [anon_sym_protected] = ACTIONS(3401),
    [anon_sym_using] = ACTIONS(3401),
    [anon_sym_static_assert] = ACTIONS(3401),
  },
  [2126] = {
    [sym_identifier] = ACTIONS(5463),
    [aux_sym_preproc_def_token1] = ACTIONS(5463),
    [aux_sym_preproc_if_token1] = ACTIONS(5463),
    [aux_sym_preproc_if_token2] = ACTIONS(5463),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5463),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5463),
    [aux_sym_preproc_else_token1] = ACTIONS(5463),
    [aux_sym_preproc_elif_token1] = ACTIONS(5463),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5463),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5463),
    [sym_preproc_directive] = ACTIONS(5463),
    [anon_sym_LPAREN2] = ACTIONS(5465),
    [anon_sym_TILDE] = ACTIONS(5465),
    [anon_sym_STAR] = ACTIONS(5465),
    [anon_sym_AMP_AMP] = ACTIONS(5465),
    [anon_sym_AMP] = ACTIONS(5463),
    [anon_sym___extension__] = ACTIONS(5463),
    [anon_sym_typedef] = ACTIONS(5463),
    [anon_sym_extern] = ACTIONS(5463),
    [anon_sym___attribute__] = ACTIONS(5463),
    [anon_sym_COLON_COLON] = ACTIONS(5465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5465),
    [anon_sym___declspec] = ACTIONS(5463),
    [anon_sym___based] = ACTIONS(5463),
    [anon_sym_signed] = ACTIONS(5463),
    [anon_sym_unsigned] = ACTIONS(5463),
    [anon_sym_long] = ACTIONS(5463),
    [anon_sym_short] = ACTIONS(5463),
    [anon_sym_LBRACK] = ACTIONS(5463),
    [anon_sym_static] = ACTIONS(5463),
    [anon_sym_register] = ACTIONS(5463),
    [anon_sym_inline] = ACTIONS(5463),
    [anon_sym___inline] = ACTIONS(5463),
    [anon_sym___inline__] = ACTIONS(5463),
    [anon_sym___forceinline] = ACTIONS(5463),
    [anon_sym_thread_local] = ACTIONS(5463),
    [anon_sym___thread] = ACTIONS(5463),
    [anon_sym_const] = ACTIONS(5463),
    [anon_sym_constexpr] = ACTIONS(5463),
    [anon_sym_volatile] = ACTIONS(5463),
    [anon_sym_restrict] = ACTIONS(5463),
    [anon_sym___restrict__] = ACTIONS(5463),
    [anon_sym__Atomic] = ACTIONS(5463),
    [anon_sym__Noreturn] = ACTIONS(5463),
    [anon_sym_noreturn] = ACTIONS(5463),
    [anon_sym_mutable] = ACTIONS(5463),
    [anon_sym_constinit] = ACTIONS(5463),
    [anon_sym_consteval] = ACTIONS(5463),
    [anon_sym_PROGMEM] = ACTIONS(5463),
    [aux_sym_primitive_type_token1] = ACTIONS(5463),
    [anon_sym_byte] = ACTIONS(5463),
    [anon_sym_word] = ACTIONS(5463),
    [anon_sym_enum] = ACTIONS(5463),
    [anon_sym_class] = ACTIONS(5463),
    [anon_sym_struct] = ACTIONS(5463),
    [anon_sym_union] = ACTIONS(5463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5463),
    [anon_sym_decltype] = ACTIONS(5463),
    [anon_sym_virtual] = ACTIONS(5463),
    [anon_sym_alignas] = ACTIONS(5463),
    [anon_sym_explicit] = ACTIONS(5463),
    [anon_sym_typename] = ACTIONS(5463),
    [anon_sym_template] = ACTIONS(5463),
    [anon_sym_operator] = ACTIONS(5463),
    [anon_sym_friend] = ACTIONS(5463),
    [anon_sym_public] = ACTIONS(5463),
    [anon_sym_private] = ACTIONS(5463),
    [anon_sym_protected] = ACTIONS(5463),
    [anon_sym_using] = ACTIONS(5463),
    [anon_sym_static_assert] = ACTIONS(5463),
  },
  [2127] = {
    [sym_identifier] = ACTIONS(5463),
    [aux_sym_preproc_def_token1] = ACTIONS(5463),
    [aux_sym_preproc_if_token1] = ACTIONS(5463),
    [aux_sym_preproc_if_token2] = ACTIONS(5463),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5463),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5463),
    [aux_sym_preproc_else_token1] = ACTIONS(5463),
    [aux_sym_preproc_elif_token1] = ACTIONS(5463),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5463),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5463),
    [sym_preproc_directive] = ACTIONS(5463),
    [anon_sym_LPAREN2] = ACTIONS(5465),
    [anon_sym_TILDE] = ACTIONS(5465),
    [anon_sym_STAR] = ACTIONS(5465),
    [anon_sym_AMP_AMP] = ACTIONS(5465),
    [anon_sym_AMP] = ACTIONS(5463),
    [anon_sym___extension__] = ACTIONS(5463),
    [anon_sym_typedef] = ACTIONS(5463),
    [anon_sym_extern] = ACTIONS(5463),
    [anon_sym___attribute__] = ACTIONS(5463),
    [anon_sym_COLON_COLON] = ACTIONS(5465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5465),
    [anon_sym___declspec] = ACTIONS(5463),
    [anon_sym___based] = ACTIONS(5463),
    [anon_sym_signed] = ACTIONS(5463),
    [anon_sym_unsigned] = ACTIONS(5463),
    [anon_sym_long] = ACTIONS(5463),
    [anon_sym_short] = ACTIONS(5463),
    [anon_sym_LBRACK] = ACTIONS(5463),
    [anon_sym_static] = ACTIONS(5463),
    [anon_sym_register] = ACTIONS(5463),
    [anon_sym_inline] = ACTIONS(5463),
    [anon_sym___inline] = ACTIONS(5463),
    [anon_sym___inline__] = ACTIONS(5463),
    [anon_sym___forceinline] = ACTIONS(5463),
    [anon_sym_thread_local] = ACTIONS(5463),
    [anon_sym___thread] = ACTIONS(5463),
    [anon_sym_const] = ACTIONS(5463),
    [anon_sym_constexpr] = ACTIONS(5463),
    [anon_sym_volatile] = ACTIONS(5463),
    [anon_sym_restrict] = ACTIONS(5463),
    [anon_sym___restrict__] = ACTIONS(5463),
    [anon_sym__Atomic] = ACTIONS(5463),
    [anon_sym__Noreturn] = ACTIONS(5463),
    [anon_sym_noreturn] = ACTIONS(5463),
    [anon_sym_mutable] = ACTIONS(5463),
    [anon_sym_constinit] = ACTIONS(5463),
    [anon_sym_consteval] = ACTIONS(5463),
    [anon_sym_PROGMEM] = ACTIONS(5463),
    [aux_sym_primitive_type_token1] = ACTIONS(5463),
    [anon_sym_byte] = ACTIONS(5463),
    [anon_sym_word] = ACTIONS(5463),
    [anon_sym_enum] = ACTIONS(5463),
    [anon_sym_class] = ACTIONS(5463),
    [anon_sym_struct] = ACTIONS(5463),
    [anon_sym_union] = ACTIONS(5463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5463),
    [anon_sym_decltype] = ACTIONS(5463),
    [anon_sym_virtual] = ACTIONS(5463),
    [anon_sym_alignas] = ACTIONS(5463),
    [anon_sym_explicit] = ACTIONS(5463),
    [anon_sym_typename] = ACTIONS(5463),
    [anon_sym_template] = ACTIONS(5463),
    [anon_sym_operator] = ACTIONS(5463),
    [anon_sym_friend] = ACTIONS(5463),
    [anon_sym_public] = ACTIONS(5463),
    [anon_sym_private] = ACTIONS(5463),
    [anon_sym_protected] = ACTIONS(5463),
    [anon_sym_using] = ACTIONS(5463),
    [anon_sym_static_assert] = ACTIONS(5463),
  },
  [2128] = {
    [sym_attribute_specifier] = STATE(2745),
    [sym_field_declaration_list] = STATE(2634),
    [sym_virtual_specifier] = STATE(7536),
    [sym_base_class_clause] = STATE(8400),
    [sym_identifier] = ACTIONS(5467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5469),
    [anon_sym_COMMA] = ACTIONS(5469),
    [anon_sym_RPAREN] = ACTIONS(5469),
    [aux_sym_preproc_if_token2] = ACTIONS(5469),
    [aux_sym_preproc_else_token1] = ACTIONS(5469),
    [aux_sym_preproc_elif_token1] = ACTIONS(5467),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5469),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5469),
    [anon_sym_LPAREN2] = ACTIONS(5469),
    [anon_sym_DASH] = ACTIONS(5467),
    [anon_sym_PLUS] = ACTIONS(5467),
    [anon_sym_STAR] = ACTIONS(5467),
    [anon_sym_SLASH] = ACTIONS(5467),
    [anon_sym_PERCENT] = ACTIONS(5467),
    [anon_sym_PIPE_PIPE] = ACTIONS(5469),
    [anon_sym_AMP_AMP] = ACTIONS(5469),
    [anon_sym_PIPE] = ACTIONS(5467),
    [anon_sym_CARET] = ACTIONS(5467),
    [anon_sym_AMP] = ACTIONS(5467),
    [anon_sym_EQ_EQ] = ACTIONS(5469),
    [anon_sym_BANG_EQ] = ACTIONS(5469),
    [anon_sym_GT] = ACTIONS(5467),
    [anon_sym_GT_EQ] = ACTIONS(5469),
    [anon_sym_LT_EQ] = ACTIONS(5467),
    [anon_sym_LT] = ACTIONS(5467),
    [anon_sym_LT_LT] = ACTIONS(5467),
    [anon_sym_GT_GT] = ACTIONS(5467),
    [anon_sym_SEMI] = ACTIONS(5469),
    [anon_sym___attribute__] = ACTIONS(5471),
    [anon_sym_LBRACE] = ACTIONS(5473),
    [anon_sym_RBRACE] = ACTIONS(5469),
    [anon_sym_LBRACK] = ACTIONS(5469),
    [anon_sym_RBRACK] = ACTIONS(5469),
    [anon_sym_EQ] = ACTIONS(5467),
    [anon_sym_COLON] = ACTIONS(5475),
    [anon_sym_QMARK] = ACTIONS(5469),
    [anon_sym_STAR_EQ] = ACTIONS(5469),
    [anon_sym_SLASH_EQ] = ACTIONS(5469),
    [anon_sym_PERCENT_EQ] = ACTIONS(5469),
    [anon_sym_PLUS_EQ] = ACTIONS(5469),
    [anon_sym_DASH_EQ] = ACTIONS(5469),
    [anon_sym_LT_LT_EQ] = ACTIONS(5469),
    [anon_sym_GT_GT_EQ] = ACTIONS(5469),
    [anon_sym_AMP_EQ] = ACTIONS(5469),
    [anon_sym_CARET_EQ] = ACTIONS(5469),
    [anon_sym_PIPE_EQ] = ACTIONS(5469),
    [anon_sym_and_eq] = ACTIONS(5467),
    [anon_sym_or_eq] = ACTIONS(5467),
    [anon_sym_xor_eq] = ACTIONS(5467),
    [anon_sym_LT_EQ_GT] = ACTIONS(5469),
    [anon_sym_or] = ACTIONS(5467),
    [anon_sym_and] = ACTIONS(5467),
    [anon_sym_bitor] = ACTIONS(5467),
    [anon_sym_xor] = ACTIONS(5467),
    [anon_sym_bitand] = ACTIONS(5467),
    [anon_sym_not_eq] = ACTIONS(5467),
    [anon_sym_DASH_DASH] = ACTIONS(5469),
    [anon_sym_PLUS_PLUS] = ACTIONS(5469),
    [anon_sym_DOT] = ACTIONS(5467),
    [anon_sym_DOT_STAR] = ACTIONS(5469),
    [anon_sym_DASH_GT] = ACTIONS(5469),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5467),
    [anon_sym_decltype] = ACTIONS(5467),
    [anon_sym_final] = ACTIONS(5477),
    [anon_sym_override] = ACTIONS(5477),
  },
  [2129] = {
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5869),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7213),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5194),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2130] = {
    [sym_identifier] = ACTIONS(3899),
    [aux_sym_preproc_def_token1] = ACTIONS(3899),
    [aux_sym_preproc_if_token1] = ACTIONS(3899),
    [aux_sym_preproc_if_token2] = ACTIONS(3899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3899),
    [aux_sym_preproc_else_token1] = ACTIONS(3899),
    [aux_sym_preproc_elif_token1] = ACTIONS(3899),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3899),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3899),
    [sym_preproc_directive] = ACTIONS(3899),
    [anon_sym_LPAREN2] = ACTIONS(3897),
    [anon_sym_TILDE] = ACTIONS(3897),
    [anon_sym_STAR] = ACTIONS(3897),
    [anon_sym_AMP_AMP] = ACTIONS(3897),
    [anon_sym_AMP] = ACTIONS(3899),
    [anon_sym___extension__] = ACTIONS(3899),
    [anon_sym_typedef] = ACTIONS(3899),
    [anon_sym_extern] = ACTIONS(3899),
    [anon_sym___attribute__] = ACTIONS(3899),
    [anon_sym_COLON_COLON] = ACTIONS(3897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3897),
    [anon_sym___declspec] = ACTIONS(3899),
    [anon_sym___based] = ACTIONS(3899),
    [anon_sym_signed] = ACTIONS(3899),
    [anon_sym_unsigned] = ACTIONS(3899),
    [anon_sym_long] = ACTIONS(3899),
    [anon_sym_short] = ACTIONS(3899),
    [anon_sym_LBRACK] = ACTIONS(3899),
    [anon_sym_static] = ACTIONS(3899),
    [anon_sym_register] = ACTIONS(3899),
    [anon_sym_inline] = ACTIONS(3899),
    [anon_sym___inline] = ACTIONS(3899),
    [anon_sym___inline__] = ACTIONS(3899),
    [anon_sym___forceinline] = ACTIONS(3899),
    [anon_sym_thread_local] = ACTIONS(3899),
    [anon_sym___thread] = ACTIONS(3899),
    [anon_sym_const] = ACTIONS(3899),
    [anon_sym_constexpr] = ACTIONS(3899),
    [anon_sym_volatile] = ACTIONS(3899),
    [anon_sym_restrict] = ACTIONS(3899),
    [anon_sym___restrict__] = ACTIONS(3899),
    [anon_sym__Atomic] = ACTIONS(3899),
    [anon_sym__Noreturn] = ACTIONS(3899),
    [anon_sym_noreturn] = ACTIONS(3899),
    [anon_sym_mutable] = ACTIONS(3899),
    [anon_sym_constinit] = ACTIONS(3899),
    [anon_sym_consteval] = ACTIONS(3899),
    [anon_sym_PROGMEM] = ACTIONS(3899),
    [aux_sym_primitive_type_token1] = ACTIONS(3899),
    [anon_sym_byte] = ACTIONS(3899),
    [anon_sym_word] = ACTIONS(3899),
    [anon_sym_enum] = ACTIONS(3899),
    [anon_sym_class] = ACTIONS(3899),
    [anon_sym_struct] = ACTIONS(3899),
    [anon_sym_union] = ACTIONS(3899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3899),
    [anon_sym_decltype] = ACTIONS(3899),
    [anon_sym_virtual] = ACTIONS(3899),
    [anon_sym_alignas] = ACTIONS(3899),
    [anon_sym_explicit] = ACTIONS(3899),
    [anon_sym_typename] = ACTIONS(3899),
    [anon_sym_template] = ACTIONS(3899),
    [anon_sym_operator] = ACTIONS(3899),
    [anon_sym_friend] = ACTIONS(3899),
    [anon_sym_public] = ACTIONS(3899),
    [anon_sym_private] = ACTIONS(3899),
    [anon_sym_protected] = ACTIONS(3899),
    [anon_sym_using] = ACTIONS(3899),
    [anon_sym_static_assert] = ACTIONS(3899),
  },
  [2131] = {
    [sym_identifier] = ACTIONS(5479),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5481),
    [anon_sym_COMMA] = ACTIONS(5481),
    [anon_sym_RPAREN] = ACTIONS(5481),
    [anon_sym_LPAREN2] = ACTIONS(5481),
    [anon_sym_DASH] = ACTIONS(5479),
    [anon_sym_PLUS] = ACTIONS(5479),
    [anon_sym_STAR] = ACTIONS(5481),
    [anon_sym_SLASH] = ACTIONS(5479),
    [anon_sym_PERCENT] = ACTIONS(5481),
    [anon_sym_PIPE_PIPE] = ACTIONS(5481),
    [anon_sym_AMP_AMP] = ACTIONS(5481),
    [anon_sym_PIPE] = ACTIONS(5479),
    [anon_sym_CARET] = ACTIONS(5481),
    [anon_sym_AMP] = ACTIONS(5479),
    [anon_sym_EQ_EQ] = ACTIONS(5481),
    [anon_sym_BANG_EQ] = ACTIONS(5481),
    [anon_sym_GT] = ACTIONS(5479),
    [anon_sym_GT_EQ] = ACTIONS(5481),
    [anon_sym_LT_EQ] = ACTIONS(5479),
    [anon_sym_LT] = ACTIONS(5479),
    [anon_sym_LT_LT] = ACTIONS(5481),
    [anon_sym_GT_GT] = ACTIONS(5481),
    [anon_sym_SEMI] = ACTIONS(5481),
    [anon_sym___extension__] = ACTIONS(5479),
    [anon_sym___attribute__] = ACTIONS(5479),
    [anon_sym_COLON_COLON] = ACTIONS(5483),
    [anon_sym___based] = ACTIONS(5479),
    [anon_sym_LBRACE] = ACTIONS(5481),
    [anon_sym_RBRACE] = ACTIONS(5481),
    [anon_sym_signed] = ACTIONS(5479),
    [anon_sym_unsigned] = ACTIONS(5479),
    [anon_sym_long] = ACTIONS(5479),
    [anon_sym_short] = ACTIONS(5479),
    [anon_sym_LBRACK] = ACTIONS(5481),
    [anon_sym_RBRACK] = ACTIONS(5481),
    [anon_sym_const] = ACTIONS(5479),
    [anon_sym_constexpr] = ACTIONS(5479),
    [anon_sym_volatile] = ACTIONS(5479),
    [anon_sym_restrict] = ACTIONS(5479),
    [anon_sym___restrict__] = ACTIONS(5479),
    [anon_sym__Atomic] = ACTIONS(5479),
    [anon_sym__Noreturn] = ACTIONS(5479),
    [anon_sym_noreturn] = ACTIONS(5479),
    [anon_sym_mutable] = ACTIONS(5479),
    [anon_sym_constinit] = ACTIONS(5479),
    [anon_sym_consteval] = ACTIONS(5479),
    [anon_sym_PROGMEM] = ACTIONS(5479),
    [aux_sym_primitive_type_token1] = ACTIONS(5479),
    [anon_sym_byte] = ACTIONS(5479),
    [anon_sym_word] = ACTIONS(5479),
    [anon_sym_COLON] = ACTIONS(5479),
    [anon_sym_QMARK] = ACTIONS(5481),
    [anon_sym_LT_EQ_GT] = ACTIONS(5481),
    [anon_sym_or] = ACTIONS(5479),
    [anon_sym_and] = ACTIONS(5479),
    [anon_sym_bitor] = ACTIONS(5479),
    [anon_sym_xor] = ACTIONS(5479),
    [anon_sym_bitand] = ACTIONS(5479),
    [anon_sym_not_eq] = ACTIONS(5479),
    [anon_sym_DASH_DASH] = ACTIONS(5481),
    [anon_sym_PLUS_PLUS] = ACTIONS(5481),
    [anon_sym_DOT] = ACTIONS(5479),
    [anon_sym_DOT_STAR] = ACTIONS(5481),
    [anon_sym_DASH_GT] = ACTIONS(5481),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5479),
    [anon_sym_decltype] = ACTIONS(5479),
    [anon_sym_final] = ACTIONS(5479),
    [anon_sym_override] = ACTIONS(5479),
    [anon_sym_requires] = ACTIONS(5479),
  },
  [2132] = {
    [sym_identifier] = ACTIONS(3192),
    [aux_sym_preproc_def_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token2] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3192),
    [aux_sym_preproc_else_token1] = ACTIONS(3192),
    [aux_sym_preproc_elif_token1] = ACTIONS(3192),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3192),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3192),
    [sym_preproc_directive] = ACTIONS(3192),
    [anon_sym_LPAREN2] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym___extension__] = ACTIONS(3192),
    [anon_sym_typedef] = ACTIONS(3192),
    [anon_sym_extern] = ACTIONS(3192),
    [anon_sym___attribute__] = ACTIONS(3192),
    [anon_sym_COLON_COLON] = ACTIONS(3194),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3194),
    [anon_sym___declspec] = ACTIONS(3192),
    [anon_sym___based] = ACTIONS(3192),
    [anon_sym_signed] = ACTIONS(3192),
    [anon_sym_unsigned] = ACTIONS(3192),
    [anon_sym_long] = ACTIONS(3192),
    [anon_sym_short] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_register] = ACTIONS(3192),
    [anon_sym_inline] = ACTIONS(3192),
    [anon_sym___inline] = ACTIONS(3192),
    [anon_sym___inline__] = ACTIONS(3192),
    [anon_sym___forceinline] = ACTIONS(3192),
    [anon_sym_thread_local] = ACTIONS(3192),
    [anon_sym___thread] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_constexpr] = ACTIONS(3192),
    [anon_sym_volatile] = ACTIONS(3192),
    [anon_sym_restrict] = ACTIONS(3192),
    [anon_sym___restrict__] = ACTIONS(3192),
    [anon_sym__Atomic] = ACTIONS(3192),
    [anon_sym__Noreturn] = ACTIONS(3192),
    [anon_sym_noreturn] = ACTIONS(3192),
    [anon_sym_mutable] = ACTIONS(3192),
    [anon_sym_constinit] = ACTIONS(3192),
    [anon_sym_consteval] = ACTIONS(3192),
    [anon_sym_PROGMEM] = ACTIONS(3192),
    [aux_sym_primitive_type_token1] = ACTIONS(3192),
    [anon_sym_byte] = ACTIONS(3192),
    [anon_sym_word] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_struct] = ACTIONS(3192),
    [anon_sym_union] = ACTIONS(3192),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3192),
    [anon_sym_decltype] = ACTIONS(3192),
    [anon_sym_virtual] = ACTIONS(3192),
    [anon_sym_alignas] = ACTIONS(3192),
    [anon_sym_explicit] = ACTIONS(3192),
    [anon_sym_typename] = ACTIONS(3192),
    [anon_sym_template] = ACTIONS(3192),
    [anon_sym_operator] = ACTIONS(3192),
    [anon_sym_friend] = ACTIONS(3192),
    [anon_sym_public] = ACTIONS(3192),
    [anon_sym_private] = ACTIONS(3192),
    [anon_sym_protected] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_static_assert] = ACTIONS(3192),
  },
  [2133] = {
    [sym_identifier] = ACTIONS(3475),
    [aux_sym_preproc_def_token1] = ACTIONS(3475),
    [aux_sym_preproc_if_token1] = ACTIONS(3475),
    [aux_sym_preproc_if_token2] = ACTIONS(3475),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3475),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3475),
    [aux_sym_preproc_else_token1] = ACTIONS(3475),
    [aux_sym_preproc_elif_token1] = ACTIONS(3475),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3475),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3475),
    [sym_preproc_directive] = ACTIONS(3475),
    [anon_sym_LPAREN2] = ACTIONS(3477),
    [anon_sym_TILDE] = ACTIONS(3477),
    [anon_sym_STAR] = ACTIONS(3477),
    [anon_sym_AMP_AMP] = ACTIONS(3477),
    [anon_sym_AMP] = ACTIONS(3475),
    [anon_sym___extension__] = ACTIONS(3475),
    [anon_sym_typedef] = ACTIONS(3475),
    [anon_sym_extern] = ACTIONS(3475),
    [anon_sym___attribute__] = ACTIONS(3475),
    [anon_sym_COLON_COLON] = ACTIONS(3477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3477),
    [anon_sym___declspec] = ACTIONS(3475),
    [anon_sym___based] = ACTIONS(3475),
    [anon_sym_signed] = ACTIONS(3475),
    [anon_sym_unsigned] = ACTIONS(3475),
    [anon_sym_long] = ACTIONS(3475),
    [anon_sym_short] = ACTIONS(3475),
    [anon_sym_LBRACK] = ACTIONS(3475),
    [anon_sym_static] = ACTIONS(3475),
    [anon_sym_register] = ACTIONS(3475),
    [anon_sym_inline] = ACTIONS(3475),
    [anon_sym___inline] = ACTIONS(3475),
    [anon_sym___inline__] = ACTIONS(3475),
    [anon_sym___forceinline] = ACTIONS(3475),
    [anon_sym_thread_local] = ACTIONS(3475),
    [anon_sym___thread] = ACTIONS(3475),
    [anon_sym_const] = ACTIONS(3475),
    [anon_sym_constexpr] = ACTIONS(3475),
    [anon_sym_volatile] = ACTIONS(3475),
    [anon_sym_restrict] = ACTIONS(3475),
    [anon_sym___restrict__] = ACTIONS(3475),
    [anon_sym__Atomic] = ACTIONS(3475),
    [anon_sym__Noreturn] = ACTIONS(3475),
    [anon_sym_noreturn] = ACTIONS(3475),
    [anon_sym_mutable] = ACTIONS(3475),
    [anon_sym_constinit] = ACTIONS(3475),
    [anon_sym_consteval] = ACTIONS(3475),
    [anon_sym_PROGMEM] = ACTIONS(3475),
    [aux_sym_primitive_type_token1] = ACTIONS(3475),
    [anon_sym_byte] = ACTIONS(3475),
    [anon_sym_word] = ACTIONS(3475),
    [anon_sym_enum] = ACTIONS(3475),
    [anon_sym_class] = ACTIONS(3475),
    [anon_sym_struct] = ACTIONS(3475),
    [anon_sym_union] = ACTIONS(3475),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3475),
    [anon_sym_decltype] = ACTIONS(3475),
    [anon_sym_virtual] = ACTIONS(3475),
    [anon_sym_alignas] = ACTIONS(3475),
    [anon_sym_explicit] = ACTIONS(3475),
    [anon_sym_typename] = ACTIONS(3475),
    [anon_sym_template] = ACTIONS(3475),
    [anon_sym_operator] = ACTIONS(3475),
    [anon_sym_friend] = ACTIONS(3475),
    [anon_sym_public] = ACTIONS(3475),
    [anon_sym_private] = ACTIONS(3475),
    [anon_sym_protected] = ACTIONS(3475),
    [anon_sym_using] = ACTIONS(3475),
    [anon_sym_static_assert] = ACTIONS(3475),
  },
  [2134] = {
    [sym_identifier] = ACTIONS(2261),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [anon_sym_COMMA] = ACTIONS(3026),
    [aux_sym_preproc_if_token1] = ACTIONS(2261),
    [aux_sym_preproc_if_token2] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2261),
    [aux_sym_preproc_else_token1] = ACTIONS(2261),
    [aux_sym_preproc_elif_token1] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2261),
    [anon_sym_LPAREN2] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym___extension__] = ACTIONS(2261),
    [anon_sym_typedef] = ACTIONS(2261),
    [anon_sym_extern] = ACTIONS(2261),
    [anon_sym___attribute__] = ACTIONS(5392),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2259),
    [anon_sym___declspec] = ACTIONS(2261),
    [anon_sym___based] = ACTIONS(2261),
    [anon_sym_signed] = ACTIONS(2261),
    [anon_sym_unsigned] = ACTIONS(2261),
    [anon_sym_long] = ACTIONS(2261),
    [anon_sym_short] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_register] = ACTIONS(2261),
    [anon_sym_inline] = ACTIONS(2261),
    [anon_sym___inline] = ACTIONS(2261),
    [anon_sym___inline__] = ACTIONS(2261),
    [anon_sym___forceinline] = ACTIONS(2261),
    [anon_sym_thread_local] = ACTIONS(2261),
    [anon_sym___thread] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_constexpr] = ACTIONS(2261),
    [anon_sym_volatile] = ACTIONS(2261),
    [anon_sym_restrict] = ACTIONS(2261),
    [anon_sym___restrict__] = ACTIONS(2261),
    [anon_sym__Atomic] = ACTIONS(2261),
    [anon_sym__Noreturn] = ACTIONS(2261),
    [anon_sym_noreturn] = ACTIONS(2261),
    [anon_sym_mutable] = ACTIONS(2261),
    [anon_sym_constinit] = ACTIONS(2261),
    [anon_sym_consteval] = ACTIONS(2261),
    [anon_sym_PROGMEM] = ACTIONS(2261),
    [aux_sym_primitive_type_token1] = ACTIONS(2261),
    [anon_sym_byte] = ACTIONS(2261),
    [anon_sym_word] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_struct] = ACTIONS(2261),
    [anon_sym_union] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2261),
    [anon_sym_decltype] = ACTIONS(2261),
    [anon_sym_virtual] = ACTIONS(2261),
    [anon_sym_alignas] = ACTIONS(2261),
    [anon_sym_explicit] = ACTIONS(2261),
    [anon_sym_typename] = ACTIONS(2261),
    [anon_sym_template] = ACTIONS(2261),
    [anon_sym_operator] = ACTIONS(2261),
    [anon_sym_friend] = ACTIONS(2261),
    [anon_sym_public] = ACTIONS(2261),
    [anon_sym_private] = ACTIONS(2261),
    [anon_sym_protected] = ACTIONS(2261),
    [anon_sym_using] = ACTIONS(2261),
    [anon_sym_static_assert] = ACTIONS(2261),
  },
  [2135] = {
    [sym_identifier] = ACTIONS(5485),
    [aux_sym_preproc_def_token1] = ACTIONS(5485),
    [aux_sym_preproc_if_token1] = ACTIONS(5485),
    [aux_sym_preproc_if_token2] = ACTIONS(5485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5485),
    [aux_sym_preproc_else_token1] = ACTIONS(5485),
    [aux_sym_preproc_elif_token1] = ACTIONS(5485),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5485),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5485),
    [sym_preproc_directive] = ACTIONS(5485),
    [anon_sym_LPAREN2] = ACTIONS(5487),
    [anon_sym_TILDE] = ACTIONS(5487),
    [anon_sym_STAR] = ACTIONS(5487),
    [anon_sym_AMP_AMP] = ACTIONS(5487),
    [anon_sym_AMP] = ACTIONS(5485),
    [anon_sym___extension__] = ACTIONS(5485),
    [anon_sym_typedef] = ACTIONS(5485),
    [anon_sym_extern] = ACTIONS(5485),
    [anon_sym___attribute__] = ACTIONS(5485),
    [anon_sym_COLON_COLON] = ACTIONS(5487),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5487),
    [anon_sym___declspec] = ACTIONS(5485),
    [anon_sym___based] = ACTIONS(5485),
    [anon_sym_signed] = ACTIONS(5485),
    [anon_sym_unsigned] = ACTIONS(5485),
    [anon_sym_long] = ACTIONS(5485),
    [anon_sym_short] = ACTIONS(5485),
    [anon_sym_LBRACK] = ACTIONS(5485),
    [anon_sym_static] = ACTIONS(5485),
    [anon_sym_register] = ACTIONS(5485),
    [anon_sym_inline] = ACTIONS(5485),
    [anon_sym___inline] = ACTIONS(5485),
    [anon_sym___inline__] = ACTIONS(5485),
    [anon_sym___forceinline] = ACTIONS(5485),
    [anon_sym_thread_local] = ACTIONS(5485),
    [anon_sym___thread] = ACTIONS(5485),
    [anon_sym_const] = ACTIONS(5485),
    [anon_sym_constexpr] = ACTIONS(5485),
    [anon_sym_volatile] = ACTIONS(5485),
    [anon_sym_restrict] = ACTIONS(5485),
    [anon_sym___restrict__] = ACTIONS(5485),
    [anon_sym__Atomic] = ACTIONS(5485),
    [anon_sym__Noreturn] = ACTIONS(5485),
    [anon_sym_noreturn] = ACTIONS(5485),
    [anon_sym_mutable] = ACTIONS(5485),
    [anon_sym_constinit] = ACTIONS(5485),
    [anon_sym_consteval] = ACTIONS(5485),
    [anon_sym_PROGMEM] = ACTIONS(5485),
    [aux_sym_primitive_type_token1] = ACTIONS(5485),
    [anon_sym_byte] = ACTIONS(5485),
    [anon_sym_word] = ACTIONS(5485),
    [anon_sym_enum] = ACTIONS(5485),
    [anon_sym_class] = ACTIONS(5485),
    [anon_sym_struct] = ACTIONS(5485),
    [anon_sym_union] = ACTIONS(5485),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5485),
    [anon_sym_decltype] = ACTIONS(5485),
    [anon_sym_virtual] = ACTIONS(5485),
    [anon_sym_alignas] = ACTIONS(5485),
    [anon_sym_explicit] = ACTIONS(5485),
    [anon_sym_typename] = ACTIONS(5485),
    [anon_sym_template] = ACTIONS(5485),
    [anon_sym_operator] = ACTIONS(5485),
    [anon_sym_friend] = ACTIONS(5485),
    [anon_sym_public] = ACTIONS(5485),
    [anon_sym_private] = ACTIONS(5485),
    [anon_sym_protected] = ACTIONS(5485),
    [anon_sym_using] = ACTIONS(5485),
    [anon_sym_static_assert] = ACTIONS(5485),
  },
  [2136] = {
    [sym_identifier] = ACTIONS(5489),
    [aux_sym_preproc_def_token1] = ACTIONS(5489),
    [aux_sym_preproc_if_token1] = ACTIONS(5489),
    [aux_sym_preproc_if_token2] = ACTIONS(5489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5489),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5489),
    [aux_sym_preproc_else_token1] = ACTIONS(5489),
    [aux_sym_preproc_elif_token1] = ACTIONS(5489),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5489),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5489),
    [sym_preproc_directive] = ACTIONS(5489),
    [anon_sym_LPAREN2] = ACTIONS(5491),
    [anon_sym_TILDE] = ACTIONS(5491),
    [anon_sym_STAR] = ACTIONS(5491),
    [anon_sym_AMP_AMP] = ACTIONS(5491),
    [anon_sym_AMP] = ACTIONS(5489),
    [anon_sym___extension__] = ACTIONS(5489),
    [anon_sym_typedef] = ACTIONS(5489),
    [anon_sym_extern] = ACTIONS(5489),
    [anon_sym___attribute__] = ACTIONS(5489),
    [anon_sym_COLON_COLON] = ACTIONS(5491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5491),
    [anon_sym___declspec] = ACTIONS(5489),
    [anon_sym___based] = ACTIONS(5489),
    [anon_sym_signed] = ACTIONS(5489),
    [anon_sym_unsigned] = ACTIONS(5489),
    [anon_sym_long] = ACTIONS(5489),
    [anon_sym_short] = ACTIONS(5489),
    [anon_sym_LBRACK] = ACTIONS(5489),
    [anon_sym_static] = ACTIONS(5489),
    [anon_sym_register] = ACTIONS(5489),
    [anon_sym_inline] = ACTIONS(5489),
    [anon_sym___inline] = ACTIONS(5489),
    [anon_sym___inline__] = ACTIONS(5489),
    [anon_sym___forceinline] = ACTIONS(5489),
    [anon_sym_thread_local] = ACTIONS(5489),
    [anon_sym___thread] = ACTIONS(5489),
    [anon_sym_const] = ACTIONS(5489),
    [anon_sym_constexpr] = ACTIONS(5489),
    [anon_sym_volatile] = ACTIONS(5489),
    [anon_sym_restrict] = ACTIONS(5489),
    [anon_sym___restrict__] = ACTIONS(5489),
    [anon_sym__Atomic] = ACTIONS(5489),
    [anon_sym__Noreturn] = ACTIONS(5489),
    [anon_sym_noreturn] = ACTIONS(5489),
    [anon_sym_mutable] = ACTIONS(5489),
    [anon_sym_constinit] = ACTIONS(5489),
    [anon_sym_consteval] = ACTIONS(5489),
    [anon_sym_PROGMEM] = ACTIONS(5489),
    [aux_sym_primitive_type_token1] = ACTIONS(5489),
    [anon_sym_byte] = ACTIONS(5489),
    [anon_sym_word] = ACTIONS(5489),
    [anon_sym_enum] = ACTIONS(5489),
    [anon_sym_class] = ACTIONS(5489),
    [anon_sym_struct] = ACTIONS(5489),
    [anon_sym_union] = ACTIONS(5489),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5489),
    [anon_sym_decltype] = ACTIONS(5489),
    [anon_sym_virtual] = ACTIONS(5489),
    [anon_sym_alignas] = ACTIONS(5489),
    [anon_sym_explicit] = ACTIONS(5489),
    [anon_sym_typename] = ACTIONS(5489),
    [anon_sym_template] = ACTIONS(5489),
    [anon_sym_operator] = ACTIONS(5489),
    [anon_sym_friend] = ACTIONS(5489),
    [anon_sym_public] = ACTIONS(5489),
    [anon_sym_private] = ACTIONS(5489),
    [anon_sym_protected] = ACTIONS(5489),
    [anon_sym_using] = ACTIONS(5489),
    [anon_sym_static_assert] = ACTIONS(5489),
  },
  [2137] = {
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5904),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7213),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5194),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2138] = {
    [sym__declaration_modifiers] = STATE(3944),
    [sym_attribute_specifier] = STATE(3944),
    [sym_attribute_declaration] = STATE(3944),
    [sym_ms_declspec_modifier] = STATE(3944),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7010),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3944),
    [sym_type_qualifier] = STATE(3944),
    [sym_decltype] = STATE(9281),
    [sym_virtual] = STATE(3944),
    [sym_alignas_specifier] = STATE(3944),
    [sym_explicit_function_specifier] = STATE(3944),
    [sym_operator_cast] = STATE(7371),
    [sym__constructor_specifiers] = STATE(3944),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(9281),
    [sym_template_function] = STATE(6932),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6232),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_operator_cast_identifier] = STATE(7371),
    [sym_operator_name] = STATE(6932),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3944),
    [sym_identifier] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(5443),
    [anon_sym_extern] = ACTIONS(5445),
    [anon_sym___attribute__] = ACTIONS(5447),
    [anon_sym_COLON_COLON] = ACTIONS(5449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5451),
    [anon_sym___declspec] = ACTIONS(5453),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(5445),
    [anon_sym_register] = ACTIONS(5445),
    [anon_sym_inline] = ACTIONS(5445),
    [anon_sym___inline] = ACTIONS(5445),
    [anon_sym___inline__] = ACTIONS(5445),
    [anon_sym___forceinline] = ACTIONS(5445),
    [anon_sym_thread_local] = ACTIONS(5445),
    [anon_sym___thread] = ACTIONS(5445),
    [anon_sym_const] = ACTIONS(5443),
    [anon_sym_constexpr] = ACTIONS(5443),
    [anon_sym_volatile] = ACTIONS(5443),
    [anon_sym_restrict] = ACTIONS(5443),
    [anon_sym___restrict__] = ACTIONS(5443),
    [anon_sym__Atomic] = ACTIONS(5443),
    [anon_sym__Noreturn] = ACTIONS(5443),
    [anon_sym_noreturn] = ACTIONS(5443),
    [anon_sym_mutable] = ACTIONS(5443),
    [anon_sym_constinit] = ACTIONS(5443),
    [anon_sym_consteval] = ACTIONS(5443),
    [anon_sym_PROGMEM] = ACTIONS(5443),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_virtual] = ACTIONS(5455),
    [anon_sym_alignas] = ACTIONS(5457),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(133),
  },
  [2139] = {
    [sym_identifier] = ACTIONS(5149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5151),
    [anon_sym_COMMA] = ACTIONS(5151),
    [anon_sym_RPAREN] = ACTIONS(5151),
    [anon_sym_LPAREN2] = ACTIONS(5151),
    [anon_sym_DASH] = ACTIONS(5149),
    [anon_sym_PLUS] = ACTIONS(5149),
    [anon_sym_STAR] = ACTIONS(5151),
    [anon_sym_SLASH] = ACTIONS(5149),
    [anon_sym_PERCENT] = ACTIONS(5151),
    [anon_sym_PIPE_PIPE] = ACTIONS(5151),
    [anon_sym_AMP_AMP] = ACTIONS(5151),
    [anon_sym_PIPE] = ACTIONS(5149),
    [anon_sym_CARET] = ACTIONS(5151),
    [anon_sym_AMP] = ACTIONS(5149),
    [anon_sym_EQ_EQ] = ACTIONS(5151),
    [anon_sym_BANG_EQ] = ACTIONS(5151),
    [anon_sym_GT] = ACTIONS(5149),
    [anon_sym_GT_EQ] = ACTIONS(5151),
    [anon_sym_LT_EQ] = ACTIONS(5149),
    [anon_sym_LT] = ACTIONS(5149),
    [anon_sym_LT_LT] = ACTIONS(5151),
    [anon_sym_GT_GT] = ACTIONS(5151),
    [anon_sym_SEMI] = ACTIONS(5151),
    [anon_sym___extension__] = ACTIONS(5149),
    [anon_sym___attribute__] = ACTIONS(5149),
    [anon_sym_COLON_COLON] = ACTIONS(5151),
    [anon_sym___based] = ACTIONS(5149),
    [anon_sym_LBRACE] = ACTIONS(5151),
    [anon_sym_RBRACE] = ACTIONS(5151),
    [anon_sym_signed] = ACTIONS(5149),
    [anon_sym_unsigned] = ACTIONS(5149),
    [anon_sym_long] = ACTIONS(5149),
    [anon_sym_short] = ACTIONS(5149),
    [anon_sym_LBRACK] = ACTIONS(5151),
    [anon_sym_RBRACK] = ACTIONS(5151),
    [anon_sym_const] = ACTIONS(5149),
    [anon_sym_constexpr] = ACTIONS(5149),
    [anon_sym_volatile] = ACTIONS(5149),
    [anon_sym_restrict] = ACTIONS(5149),
    [anon_sym___restrict__] = ACTIONS(5149),
    [anon_sym__Atomic] = ACTIONS(5149),
    [anon_sym__Noreturn] = ACTIONS(5149),
    [anon_sym_noreturn] = ACTIONS(5149),
    [anon_sym_mutable] = ACTIONS(5149),
    [anon_sym_constinit] = ACTIONS(5149),
    [anon_sym_consteval] = ACTIONS(5149),
    [anon_sym_PROGMEM] = ACTIONS(5149),
    [aux_sym_primitive_type_token1] = ACTIONS(5149),
    [anon_sym_byte] = ACTIONS(5149),
    [anon_sym_word] = ACTIONS(5149),
    [anon_sym_COLON] = ACTIONS(5149),
    [anon_sym_QMARK] = ACTIONS(5151),
    [anon_sym_LT_EQ_GT] = ACTIONS(5151),
    [anon_sym_or] = ACTIONS(5149),
    [anon_sym_and] = ACTIONS(5149),
    [anon_sym_bitor] = ACTIONS(5149),
    [anon_sym_xor] = ACTIONS(5149),
    [anon_sym_bitand] = ACTIONS(5149),
    [anon_sym_not_eq] = ACTIONS(5149),
    [anon_sym_DASH_DASH] = ACTIONS(5151),
    [anon_sym_PLUS_PLUS] = ACTIONS(5151),
    [anon_sym_DOT] = ACTIONS(5149),
    [anon_sym_DOT_STAR] = ACTIONS(5151),
    [anon_sym_DASH_GT] = ACTIONS(5151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5149),
    [anon_sym_decltype] = ACTIONS(5149),
    [anon_sym_final] = ACTIONS(5149),
    [anon_sym_override] = ACTIONS(5149),
    [anon_sym_requires] = ACTIONS(5149),
  },
  [2140] = {
    [sym_identifier] = ACTIONS(5493),
    [aux_sym_preproc_def_token1] = ACTIONS(5493),
    [aux_sym_preproc_if_token1] = ACTIONS(5493),
    [aux_sym_preproc_if_token2] = ACTIONS(5493),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5493),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5493),
    [aux_sym_preproc_else_token1] = ACTIONS(5493),
    [aux_sym_preproc_elif_token1] = ACTIONS(5493),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5493),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5493),
    [sym_preproc_directive] = ACTIONS(5493),
    [anon_sym_LPAREN2] = ACTIONS(5495),
    [anon_sym_TILDE] = ACTIONS(5495),
    [anon_sym_STAR] = ACTIONS(5495),
    [anon_sym_AMP_AMP] = ACTIONS(5495),
    [anon_sym_AMP] = ACTIONS(5493),
    [anon_sym___extension__] = ACTIONS(5493),
    [anon_sym_typedef] = ACTIONS(5493),
    [anon_sym_extern] = ACTIONS(5493),
    [anon_sym___attribute__] = ACTIONS(5493),
    [anon_sym_COLON_COLON] = ACTIONS(5495),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5495),
    [anon_sym___declspec] = ACTIONS(5493),
    [anon_sym___based] = ACTIONS(5493),
    [anon_sym_signed] = ACTIONS(5493),
    [anon_sym_unsigned] = ACTIONS(5493),
    [anon_sym_long] = ACTIONS(5493),
    [anon_sym_short] = ACTIONS(5493),
    [anon_sym_LBRACK] = ACTIONS(5493),
    [anon_sym_static] = ACTIONS(5493),
    [anon_sym_register] = ACTIONS(5493),
    [anon_sym_inline] = ACTIONS(5493),
    [anon_sym___inline] = ACTIONS(5493),
    [anon_sym___inline__] = ACTIONS(5493),
    [anon_sym___forceinline] = ACTIONS(5493),
    [anon_sym_thread_local] = ACTIONS(5493),
    [anon_sym___thread] = ACTIONS(5493),
    [anon_sym_const] = ACTIONS(5493),
    [anon_sym_constexpr] = ACTIONS(5493),
    [anon_sym_volatile] = ACTIONS(5493),
    [anon_sym_restrict] = ACTIONS(5493),
    [anon_sym___restrict__] = ACTIONS(5493),
    [anon_sym__Atomic] = ACTIONS(5493),
    [anon_sym__Noreturn] = ACTIONS(5493),
    [anon_sym_noreturn] = ACTIONS(5493),
    [anon_sym_mutable] = ACTIONS(5493),
    [anon_sym_constinit] = ACTIONS(5493),
    [anon_sym_consteval] = ACTIONS(5493),
    [anon_sym_PROGMEM] = ACTIONS(5493),
    [aux_sym_primitive_type_token1] = ACTIONS(5493),
    [anon_sym_byte] = ACTIONS(5493),
    [anon_sym_word] = ACTIONS(5493),
    [anon_sym_enum] = ACTIONS(5493),
    [anon_sym_class] = ACTIONS(5493),
    [anon_sym_struct] = ACTIONS(5493),
    [anon_sym_union] = ACTIONS(5493),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5493),
    [anon_sym_decltype] = ACTIONS(5493),
    [anon_sym_virtual] = ACTIONS(5493),
    [anon_sym_alignas] = ACTIONS(5493),
    [anon_sym_explicit] = ACTIONS(5493),
    [anon_sym_typename] = ACTIONS(5493),
    [anon_sym_template] = ACTIONS(5493),
    [anon_sym_operator] = ACTIONS(5493),
    [anon_sym_friend] = ACTIONS(5493),
    [anon_sym_public] = ACTIONS(5493),
    [anon_sym_private] = ACTIONS(5493),
    [anon_sym_protected] = ACTIONS(5493),
    [anon_sym_using] = ACTIONS(5493),
    [anon_sym_static_assert] = ACTIONS(5493),
  },
  [2141] = {
    [sym_identifier] = ACTIONS(5497),
    [aux_sym_preproc_def_token1] = ACTIONS(5497),
    [aux_sym_preproc_if_token1] = ACTIONS(5497),
    [aux_sym_preproc_if_token2] = ACTIONS(5497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5497),
    [aux_sym_preproc_else_token1] = ACTIONS(5497),
    [aux_sym_preproc_elif_token1] = ACTIONS(5497),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5497),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5497),
    [sym_preproc_directive] = ACTIONS(5497),
    [anon_sym_LPAREN2] = ACTIONS(5499),
    [anon_sym_TILDE] = ACTIONS(5499),
    [anon_sym_STAR] = ACTIONS(5499),
    [anon_sym_AMP_AMP] = ACTIONS(5499),
    [anon_sym_AMP] = ACTIONS(5497),
    [anon_sym___extension__] = ACTIONS(5497),
    [anon_sym_typedef] = ACTIONS(5497),
    [anon_sym_extern] = ACTIONS(5497),
    [anon_sym___attribute__] = ACTIONS(5497),
    [anon_sym_COLON_COLON] = ACTIONS(5499),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5499),
    [anon_sym___declspec] = ACTIONS(5497),
    [anon_sym___based] = ACTIONS(5497),
    [anon_sym_signed] = ACTIONS(5497),
    [anon_sym_unsigned] = ACTIONS(5497),
    [anon_sym_long] = ACTIONS(5497),
    [anon_sym_short] = ACTIONS(5497),
    [anon_sym_LBRACK] = ACTIONS(5497),
    [anon_sym_static] = ACTIONS(5497),
    [anon_sym_register] = ACTIONS(5497),
    [anon_sym_inline] = ACTIONS(5497),
    [anon_sym___inline] = ACTIONS(5497),
    [anon_sym___inline__] = ACTIONS(5497),
    [anon_sym___forceinline] = ACTIONS(5497),
    [anon_sym_thread_local] = ACTIONS(5497),
    [anon_sym___thread] = ACTIONS(5497),
    [anon_sym_const] = ACTIONS(5497),
    [anon_sym_constexpr] = ACTIONS(5497),
    [anon_sym_volatile] = ACTIONS(5497),
    [anon_sym_restrict] = ACTIONS(5497),
    [anon_sym___restrict__] = ACTIONS(5497),
    [anon_sym__Atomic] = ACTIONS(5497),
    [anon_sym__Noreturn] = ACTIONS(5497),
    [anon_sym_noreturn] = ACTIONS(5497),
    [anon_sym_mutable] = ACTIONS(5497),
    [anon_sym_constinit] = ACTIONS(5497),
    [anon_sym_consteval] = ACTIONS(5497),
    [anon_sym_PROGMEM] = ACTIONS(5497),
    [aux_sym_primitive_type_token1] = ACTIONS(5497),
    [anon_sym_byte] = ACTIONS(5497),
    [anon_sym_word] = ACTIONS(5497),
    [anon_sym_enum] = ACTIONS(5497),
    [anon_sym_class] = ACTIONS(5497),
    [anon_sym_struct] = ACTIONS(5497),
    [anon_sym_union] = ACTIONS(5497),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5497),
    [anon_sym_decltype] = ACTIONS(5497),
    [anon_sym_virtual] = ACTIONS(5497),
    [anon_sym_alignas] = ACTIONS(5497),
    [anon_sym_explicit] = ACTIONS(5497),
    [anon_sym_typename] = ACTIONS(5497),
    [anon_sym_template] = ACTIONS(5497),
    [anon_sym_operator] = ACTIONS(5497),
    [anon_sym_friend] = ACTIONS(5497),
    [anon_sym_public] = ACTIONS(5497),
    [anon_sym_private] = ACTIONS(5497),
    [anon_sym_protected] = ACTIONS(5497),
    [anon_sym_using] = ACTIONS(5497),
    [anon_sym_static_assert] = ACTIONS(5497),
  },
  [2142] = {
    [sym_identifier] = ACTIONS(5493),
    [aux_sym_preproc_def_token1] = ACTIONS(5493),
    [aux_sym_preproc_if_token1] = ACTIONS(5493),
    [aux_sym_preproc_if_token2] = ACTIONS(5493),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5493),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5493),
    [aux_sym_preproc_else_token1] = ACTIONS(5493),
    [aux_sym_preproc_elif_token1] = ACTIONS(5493),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5493),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5493),
    [sym_preproc_directive] = ACTIONS(5493),
    [anon_sym_LPAREN2] = ACTIONS(5495),
    [anon_sym_TILDE] = ACTIONS(5495),
    [anon_sym_STAR] = ACTIONS(5495),
    [anon_sym_AMP_AMP] = ACTIONS(5495),
    [anon_sym_AMP] = ACTIONS(5493),
    [anon_sym___extension__] = ACTIONS(5493),
    [anon_sym_typedef] = ACTIONS(5493),
    [anon_sym_extern] = ACTIONS(5493),
    [anon_sym___attribute__] = ACTIONS(5493),
    [anon_sym_COLON_COLON] = ACTIONS(5495),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5495),
    [anon_sym___declspec] = ACTIONS(5493),
    [anon_sym___based] = ACTIONS(5493),
    [anon_sym_signed] = ACTIONS(5493),
    [anon_sym_unsigned] = ACTIONS(5493),
    [anon_sym_long] = ACTIONS(5493),
    [anon_sym_short] = ACTIONS(5493),
    [anon_sym_LBRACK] = ACTIONS(5493),
    [anon_sym_static] = ACTIONS(5493),
    [anon_sym_register] = ACTIONS(5493),
    [anon_sym_inline] = ACTIONS(5493),
    [anon_sym___inline] = ACTIONS(5493),
    [anon_sym___inline__] = ACTIONS(5493),
    [anon_sym___forceinline] = ACTIONS(5493),
    [anon_sym_thread_local] = ACTIONS(5493),
    [anon_sym___thread] = ACTIONS(5493),
    [anon_sym_const] = ACTIONS(5493),
    [anon_sym_constexpr] = ACTIONS(5493),
    [anon_sym_volatile] = ACTIONS(5493),
    [anon_sym_restrict] = ACTIONS(5493),
    [anon_sym___restrict__] = ACTIONS(5493),
    [anon_sym__Atomic] = ACTIONS(5493),
    [anon_sym__Noreturn] = ACTIONS(5493),
    [anon_sym_noreturn] = ACTIONS(5493),
    [anon_sym_mutable] = ACTIONS(5493),
    [anon_sym_constinit] = ACTIONS(5493),
    [anon_sym_consteval] = ACTIONS(5493),
    [anon_sym_PROGMEM] = ACTIONS(5493),
    [aux_sym_primitive_type_token1] = ACTIONS(5493),
    [anon_sym_byte] = ACTIONS(5493),
    [anon_sym_word] = ACTIONS(5493),
    [anon_sym_enum] = ACTIONS(5493),
    [anon_sym_class] = ACTIONS(5493),
    [anon_sym_struct] = ACTIONS(5493),
    [anon_sym_union] = ACTIONS(5493),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5493),
    [anon_sym_decltype] = ACTIONS(5493),
    [anon_sym_virtual] = ACTIONS(5493),
    [anon_sym_alignas] = ACTIONS(5493),
    [anon_sym_explicit] = ACTIONS(5493),
    [anon_sym_typename] = ACTIONS(5493),
    [anon_sym_template] = ACTIONS(5493),
    [anon_sym_operator] = ACTIONS(5493),
    [anon_sym_friend] = ACTIONS(5493),
    [anon_sym_public] = ACTIONS(5493),
    [anon_sym_private] = ACTIONS(5493),
    [anon_sym_protected] = ACTIONS(5493),
    [anon_sym_using] = ACTIONS(5493),
    [anon_sym_static_assert] = ACTIONS(5493),
  },
  [2143] = {
    [sym_identifier] = ACTIONS(5497),
    [aux_sym_preproc_def_token1] = ACTIONS(5497),
    [aux_sym_preproc_if_token1] = ACTIONS(5497),
    [aux_sym_preproc_if_token2] = ACTIONS(5497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5497),
    [aux_sym_preproc_else_token1] = ACTIONS(5497),
    [aux_sym_preproc_elif_token1] = ACTIONS(5497),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5497),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5497),
    [sym_preproc_directive] = ACTIONS(5497),
    [anon_sym_LPAREN2] = ACTIONS(5499),
    [anon_sym_TILDE] = ACTIONS(5499),
    [anon_sym_STAR] = ACTIONS(5499),
    [anon_sym_AMP_AMP] = ACTIONS(5499),
    [anon_sym_AMP] = ACTIONS(5497),
    [anon_sym___extension__] = ACTIONS(5497),
    [anon_sym_typedef] = ACTIONS(5497),
    [anon_sym_extern] = ACTIONS(5497),
    [anon_sym___attribute__] = ACTIONS(5497),
    [anon_sym_COLON_COLON] = ACTIONS(5499),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5499),
    [anon_sym___declspec] = ACTIONS(5497),
    [anon_sym___based] = ACTIONS(5497),
    [anon_sym_signed] = ACTIONS(5497),
    [anon_sym_unsigned] = ACTIONS(5497),
    [anon_sym_long] = ACTIONS(5497),
    [anon_sym_short] = ACTIONS(5497),
    [anon_sym_LBRACK] = ACTIONS(5497),
    [anon_sym_static] = ACTIONS(5497),
    [anon_sym_register] = ACTIONS(5497),
    [anon_sym_inline] = ACTIONS(5497),
    [anon_sym___inline] = ACTIONS(5497),
    [anon_sym___inline__] = ACTIONS(5497),
    [anon_sym___forceinline] = ACTIONS(5497),
    [anon_sym_thread_local] = ACTIONS(5497),
    [anon_sym___thread] = ACTIONS(5497),
    [anon_sym_const] = ACTIONS(5497),
    [anon_sym_constexpr] = ACTIONS(5497),
    [anon_sym_volatile] = ACTIONS(5497),
    [anon_sym_restrict] = ACTIONS(5497),
    [anon_sym___restrict__] = ACTIONS(5497),
    [anon_sym__Atomic] = ACTIONS(5497),
    [anon_sym__Noreturn] = ACTIONS(5497),
    [anon_sym_noreturn] = ACTIONS(5497),
    [anon_sym_mutable] = ACTIONS(5497),
    [anon_sym_constinit] = ACTIONS(5497),
    [anon_sym_consteval] = ACTIONS(5497),
    [anon_sym_PROGMEM] = ACTIONS(5497),
    [aux_sym_primitive_type_token1] = ACTIONS(5497),
    [anon_sym_byte] = ACTIONS(5497),
    [anon_sym_word] = ACTIONS(5497),
    [anon_sym_enum] = ACTIONS(5497),
    [anon_sym_class] = ACTIONS(5497),
    [anon_sym_struct] = ACTIONS(5497),
    [anon_sym_union] = ACTIONS(5497),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5497),
    [anon_sym_decltype] = ACTIONS(5497),
    [anon_sym_virtual] = ACTIONS(5497),
    [anon_sym_alignas] = ACTIONS(5497),
    [anon_sym_explicit] = ACTIONS(5497),
    [anon_sym_typename] = ACTIONS(5497),
    [anon_sym_template] = ACTIONS(5497),
    [anon_sym_operator] = ACTIONS(5497),
    [anon_sym_friend] = ACTIONS(5497),
    [anon_sym_public] = ACTIONS(5497),
    [anon_sym_private] = ACTIONS(5497),
    [anon_sym_protected] = ACTIONS(5497),
    [anon_sym_using] = ACTIONS(5497),
    [anon_sym_static_assert] = ACTIONS(5497),
  },
  [2144] = {
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5971),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7213),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5194),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2145] = {
    [sym_identifier] = ACTIONS(5501),
    [aux_sym_preproc_def_token1] = ACTIONS(5501),
    [aux_sym_preproc_if_token1] = ACTIONS(5501),
    [aux_sym_preproc_if_token2] = ACTIONS(5501),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5501),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5501),
    [aux_sym_preproc_else_token1] = ACTIONS(5501),
    [aux_sym_preproc_elif_token1] = ACTIONS(5501),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5501),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5501),
    [sym_preproc_directive] = ACTIONS(5501),
    [anon_sym_LPAREN2] = ACTIONS(5503),
    [anon_sym_TILDE] = ACTIONS(5503),
    [anon_sym_STAR] = ACTIONS(5503),
    [anon_sym_AMP_AMP] = ACTIONS(5503),
    [anon_sym_AMP] = ACTIONS(5501),
    [anon_sym___extension__] = ACTIONS(5501),
    [anon_sym_typedef] = ACTIONS(5501),
    [anon_sym_extern] = ACTIONS(5501),
    [anon_sym___attribute__] = ACTIONS(5501),
    [anon_sym_COLON_COLON] = ACTIONS(5503),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5503),
    [anon_sym___declspec] = ACTIONS(5501),
    [anon_sym___based] = ACTIONS(5501),
    [anon_sym_signed] = ACTIONS(5501),
    [anon_sym_unsigned] = ACTIONS(5501),
    [anon_sym_long] = ACTIONS(5501),
    [anon_sym_short] = ACTIONS(5501),
    [anon_sym_LBRACK] = ACTIONS(5501),
    [anon_sym_static] = ACTIONS(5501),
    [anon_sym_register] = ACTIONS(5501),
    [anon_sym_inline] = ACTIONS(5501),
    [anon_sym___inline] = ACTIONS(5501),
    [anon_sym___inline__] = ACTIONS(5501),
    [anon_sym___forceinline] = ACTIONS(5501),
    [anon_sym_thread_local] = ACTIONS(5501),
    [anon_sym___thread] = ACTIONS(5501),
    [anon_sym_const] = ACTIONS(5501),
    [anon_sym_constexpr] = ACTIONS(5501),
    [anon_sym_volatile] = ACTIONS(5501),
    [anon_sym_restrict] = ACTIONS(5501),
    [anon_sym___restrict__] = ACTIONS(5501),
    [anon_sym__Atomic] = ACTIONS(5501),
    [anon_sym__Noreturn] = ACTIONS(5501),
    [anon_sym_noreturn] = ACTIONS(5501),
    [anon_sym_mutable] = ACTIONS(5501),
    [anon_sym_constinit] = ACTIONS(5501),
    [anon_sym_consteval] = ACTIONS(5501),
    [anon_sym_PROGMEM] = ACTIONS(5501),
    [aux_sym_primitive_type_token1] = ACTIONS(5501),
    [anon_sym_byte] = ACTIONS(5501),
    [anon_sym_word] = ACTIONS(5501),
    [anon_sym_enum] = ACTIONS(5501),
    [anon_sym_class] = ACTIONS(5501),
    [anon_sym_struct] = ACTIONS(5501),
    [anon_sym_union] = ACTIONS(5501),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5501),
    [anon_sym_decltype] = ACTIONS(5501),
    [anon_sym_virtual] = ACTIONS(5501),
    [anon_sym_alignas] = ACTIONS(5501),
    [anon_sym_explicit] = ACTIONS(5501),
    [anon_sym_typename] = ACTIONS(5501),
    [anon_sym_template] = ACTIONS(5501),
    [anon_sym_operator] = ACTIONS(5501),
    [anon_sym_friend] = ACTIONS(5501),
    [anon_sym_public] = ACTIONS(5501),
    [anon_sym_private] = ACTIONS(5501),
    [anon_sym_protected] = ACTIONS(5501),
    [anon_sym_using] = ACTIONS(5501),
    [anon_sym_static_assert] = ACTIONS(5501),
  },
  [2146] = {
    [sym_identifier] = ACTIONS(3200),
    [aux_sym_preproc_def_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token2] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3200),
    [aux_sym_preproc_else_token1] = ACTIONS(3200),
    [aux_sym_preproc_elif_token1] = ACTIONS(3200),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3200),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym___extension__] = ACTIONS(3200),
    [anon_sym_typedef] = ACTIONS(3200),
    [anon_sym_extern] = ACTIONS(3200),
    [anon_sym___attribute__] = ACTIONS(3200),
    [anon_sym_COLON_COLON] = ACTIONS(3202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3202),
    [anon_sym___declspec] = ACTIONS(3200),
    [anon_sym___based] = ACTIONS(3200),
    [anon_sym_signed] = ACTIONS(3200),
    [anon_sym_unsigned] = ACTIONS(3200),
    [anon_sym_long] = ACTIONS(3200),
    [anon_sym_short] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_register] = ACTIONS(3200),
    [anon_sym_inline] = ACTIONS(3200),
    [anon_sym___inline] = ACTIONS(3200),
    [anon_sym___inline__] = ACTIONS(3200),
    [anon_sym___forceinline] = ACTIONS(3200),
    [anon_sym_thread_local] = ACTIONS(3200),
    [anon_sym___thread] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_constexpr] = ACTIONS(3200),
    [anon_sym_volatile] = ACTIONS(3200),
    [anon_sym_restrict] = ACTIONS(3200),
    [anon_sym___restrict__] = ACTIONS(3200),
    [anon_sym__Atomic] = ACTIONS(3200),
    [anon_sym__Noreturn] = ACTIONS(3200),
    [anon_sym_noreturn] = ACTIONS(3200),
    [anon_sym_mutable] = ACTIONS(3200),
    [anon_sym_constinit] = ACTIONS(3200),
    [anon_sym_consteval] = ACTIONS(3200),
    [anon_sym_PROGMEM] = ACTIONS(3200),
    [aux_sym_primitive_type_token1] = ACTIONS(3200),
    [anon_sym_byte] = ACTIONS(3200),
    [anon_sym_word] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_struct] = ACTIONS(3200),
    [anon_sym_union] = ACTIONS(3200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3200),
    [anon_sym_decltype] = ACTIONS(3200),
    [anon_sym_virtual] = ACTIONS(3200),
    [anon_sym_alignas] = ACTIONS(3200),
    [anon_sym_explicit] = ACTIONS(3200),
    [anon_sym_typename] = ACTIONS(3200),
    [anon_sym_template] = ACTIONS(3200),
    [anon_sym_operator] = ACTIONS(3200),
    [anon_sym_friend] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3200),
    [anon_sym_private] = ACTIONS(3200),
    [anon_sym_protected] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_static_assert] = ACTIONS(3200),
  },
  [2147] = {
    [sym_identifier] = ACTIONS(3397),
    [aux_sym_preproc_def_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token2] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3397),
    [aux_sym_preproc_else_token1] = ACTIONS(3397),
    [aux_sym_preproc_elif_token1] = ACTIONS(3397),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3397),
    [sym_preproc_directive] = ACTIONS(3397),
    [anon_sym_LPAREN2] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_AMP_AMP] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3397),
    [anon_sym___extension__] = ACTIONS(3397),
    [anon_sym_typedef] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym___attribute__] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(3399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym___declspec] = ACTIONS(3397),
    [anon_sym___based] = ACTIONS(3397),
    [anon_sym_signed] = ACTIONS(3397),
    [anon_sym_unsigned] = ACTIONS(3397),
    [anon_sym_long] = ACTIONS(3397),
    [anon_sym_short] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_register] = ACTIONS(3397),
    [anon_sym_inline] = ACTIONS(3397),
    [anon_sym___inline] = ACTIONS(3397),
    [anon_sym___inline__] = ACTIONS(3397),
    [anon_sym___forceinline] = ACTIONS(3397),
    [anon_sym_thread_local] = ACTIONS(3397),
    [anon_sym___thread] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_constexpr] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_restrict] = ACTIONS(3397),
    [anon_sym___restrict__] = ACTIONS(3397),
    [anon_sym__Atomic] = ACTIONS(3397),
    [anon_sym__Noreturn] = ACTIONS(3397),
    [anon_sym_noreturn] = ACTIONS(3397),
    [anon_sym_mutable] = ACTIONS(3397),
    [anon_sym_constinit] = ACTIONS(3397),
    [anon_sym_consteval] = ACTIONS(3397),
    [anon_sym_PROGMEM] = ACTIONS(3397),
    [aux_sym_primitive_type_token1] = ACTIONS(3397),
    [anon_sym_byte] = ACTIONS(3397),
    [anon_sym_word] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_union] = ACTIONS(3397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3397),
    [anon_sym_decltype] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_alignas] = ACTIONS(3397),
    [anon_sym_explicit] = ACTIONS(3397),
    [anon_sym_typename] = ACTIONS(3397),
    [anon_sym_template] = ACTIONS(3397),
    [anon_sym_operator] = ACTIONS(3397),
    [anon_sym_friend] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_static_assert] = ACTIONS(3397),
  },
  [2148] = {
    [sym_identifier] = ACTIONS(3316),
    [aux_sym_preproc_def_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token2] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3316),
    [aux_sym_preproc_else_token1] = ACTIONS(3316),
    [aux_sym_preproc_elif_token1] = ACTIONS(3316),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3316),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3316),
    [sym_preproc_directive] = ACTIONS(3316),
    [anon_sym_LPAREN2] = ACTIONS(3318),
    [anon_sym_TILDE] = ACTIONS(3318),
    [anon_sym_STAR] = ACTIONS(3318),
    [anon_sym_AMP_AMP] = ACTIONS(3318),
    [anon_sym_AMP] = ACTIONS(3316),
    [anon_sym___extension__] = ACTIONS(3316),
    [anon_sym_typedef] = ACTIONS(3316),
    [anon_sym_extern] = ACTIONS(3316),
    [anon_sym___attribute__] = ACTIONS(3316),
    [anon_sym_COLON_COLON] = ACTIONS(3318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3318),
    [anon_sym___declspec] = ACTIONS(3316),
    [anon_sym___based] = ACTIONS(3316),
    [anon_sym_signed] = ACTIONS(3316),
    [anon_sym_unsigned] = ACTIONS(3316),
    [anon_sym_long] = ACTIONS(3316),
    [anon_sym_short] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_register] = ACTIONS(3316),
    [anon_sym_inline] = ACTIONS(3316),
    [anon_sym___inline] = ACTIONS(3316),
    [anon_sym___inline__] = ACTIONS(3316),
    [anon_sym___forceinline] = ACTIONS(3316),
    [anon_sym_thread_local] = ACTIONS(3316),
    [anon_sym___thread] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_constexpr] = ACTIONS(3316),
    [anon_sym_volatile] = ACTIONS(3316),
    [anon_sym_restrict] = ACTIONS(3316),
    [anon_sym___restrict__] = ACTIONS(3316),
    [anon_sym__Atomic] = ACTIONS(3316),
    [anon_sym__Noreturn] = ACTIONS(3316),
    [anon_sym_noreturn] = ACTIONS(3316),
    [anon_sym_mutable] = ACTIONS(3316),
    [anon_sym_constinit] = ACTIONS(3316),
    [anon_sym_consteval] = ACTIONS(3316),
    [anon_sym_PROGMEM] = ACTIONS(3316),
    [aux_sym_primitive_type_token1] = ACTIONS(3316),
    [anon_sym_byte] = ACTIONS(3316),
    [anon_sym_word] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_struct] = ACTIONS(3316),
    [anon_sym_union] = ACTIONS(3316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3316),
    [anon_sym_decltype] = ACTIONS(3316),
    [anon_sym_virtual] = ACTIONS(3316),
    [anon_sym_alignas] = ACTIONS(3316),
    [anon_sym_explicit] = ACTIONS(3316),
    [anon_sym_typename] = ACTIONS(3316),
    [anon_sym_template] = ACTIONS(3316),
    [anon_sym_operator] = ACTIONS(3316),
    [anon_sym_friend] = ACTIONS(3316),
    [anon_sym_public] = ACTIONS(3316),
    [anon_sym_private] = ACTIONS(3316),
    [anon_sym_protected] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_static_assert] = ACTIONS(3316),
  },
  [2149] = {
    [sym__declaration_modifiers] = STATE(3944),
    [sym_attribute_specifier] = STATE(3944),
    [sym_attribute_declaration] = STATE(3944),
    [sym_ms_declspec_modifier] = STATE(3944),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6912),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3944),
    [sym_type_qualifier] = STATE(3944),
    [sym_decltype] = STATE(9281),
    [sym_virtual] = STATE(3944),
    [sym_alignas_specifier] = STATE(3944),
    [sym_explicit_function_specifier] = STATE(3944),
    [sym_operator_cast] = STATE(7389),
    [sym__constructor_specifiers] = STATE(3944),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(9281),
    [sym_template_function] = STATE(6932),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6232),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_operator_cast_identifier] = STATE(7389),
    [sym_operator_name] = STATE(6932),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3944),
    [sym_identifier] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(5443),
    [anon_sym_extern] = ACTIONS(5445),
    [anon_sym___attribute__] = ACTIONS(5447),
    [anon_sym_COLON_COLON] = ACTIONS(5449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5451),
    [anon_sym___declspec] = ACTIONS(5453),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(5445),
    [anon_sym_register] = ACTIONS(5445),
    [anon_sym_inline] = ACTIONS(5445),
    [anon_sym___inline] = ACTIONS(5445),
    [anon_sym___inline__] = ACTIONS(5445),
    [anon_sym___forceinline] = ACTIONS(5445),
    [anon_sym_thread_local] = ACTIONS(5445),
    [anon_sym___thread] = ACTIONS(5445),
    [anon_sym_const] = ACTIONS(5443),
    [anon_sym_constexpr] = ACTIONS(5443),
    [anon_sym_volatile] = ACTIONS(5443),
    [anon_sym_restrict] = ACTIONS(5443),
    [anon_sym___restrict__] = ACTIONS(5443),
    [anon_sym__Atomic] = ACTIONS(5443),
    [anon_sym__Noreturn] = ACTIONS(5443),
    [anon_sym_noreturn] = ACTIONS(5443),
    [anon_sym_mutable] = ACTIONS(5443),
    [anon_sym_constinit] = ACTIONS(5443),
    [anon_sym_consteval] = ACTIONS(5443),
    [anon_sym_PROGMEM] = ACTIONS(5443),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_virtual] = ACTIONS(5455),
    [anon_sym_alignas] = ACTIONS(5457),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(133),
  },
  [2150] = {
    [sym__declaration_modifiers] = STATE(3944),
    [sym_attribute_specifier] = STATE(3944),
    [sym_attribute_declaration] = STATE(3944),
    [sym_ms_declspec_modifier] = STATE(3944),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6967),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3944),
    [sym_type_qualifier] = STATE(3944),
    [sym_decltype] = STATE(9281),
    [sym_virtual] = STATE(3944),
    [sym_alignas_specifier] = STATE(3944),
    [sym_explicit_function_specifier] = STATE(3944),
    [sym_operator_cast] = STATE(7362),
    [sym__constructor_specifiers] = STATE(3944),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(9281),
    [sym_template_function] = STATE(6932),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6232),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_operator_cast_identifier] = STATE(7362),
    [sym_operator_name] = STATE(6932),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3944),
    [sym_identifier] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(5443),
    [anon_sym_extern] = ACTIONS(5445),
    [anon_sym___attribute__] = ACTIONS(5447),
    [anon_sym_COLON_COLON] = ACTIONS(5449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5451),
    [anon_sym___declspec] = ACTIONS(5453),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(5445),
    [anon_sym_register] = ACTIONS(5445),
    [anon_sym_inline] = ACTIONS(5445),
    [anon_sym___inline] = ACTIONS(5445),
    [anon_sym___inline__] = ACTIONS(5445),
    [anon_sym___forceinline] = ACTIONS(5445),
    [anon_sym_thread_local] = ACTIONS(5445),
    [anon_sym___thread] = ACTIONS(5445),
    [anon_sym_const] = ACTIONS(5443),
    [anon_sym_constexpr] = ACTIONS(5443),
    [anon_sym_volatile] = ACTIONS(5443),
    [anon_sym_restrict] = ACTIONS(5443),
    [anon_sym___restrict__] = ACTIONS(5443),
    [anon_sym__Atomic] = ACTIONS(5443),
    [anon_sym__Noreturn] = ACTIONS(5443),
    [anon_sym_noreturn] = ACTIONS(5443),
    [anon_sym_mutable] = ACTIONS(5443),
    [anon_sym_constinit] = ACTIONS(5443),
    [anon_sym_consteval] = ACTIONS(5443),
    [anon_sym_PROGMEM] = ACTIONS(5443),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_virtual] = ACTIONS(5455),
    [anon_sym_alignas] = ACTIONS(5457),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(133),
  },
  [2151] = {
    [sym_identifier] = ACTIONS(3515),
    [aux_sym_preproc_def_token1] = ACTIONS(3515),
    [aux_sym_preproc_if_token1] = ACTIONS(3515),
    [aux_sym_preproc_if_token2] = ACTIONS(3515),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3515),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3515),
    [aux_sym_preproc_else_token1] = ACTIONS(3515),
    [aux_sym_preproc_elif_token1] = ACTIONS(3515),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3515),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3515),
    [sym_preproc_directive] = ACTIONS(3515),
    [anon_sym_LPAREN2] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_STAR] = ACTIONS(3517),
    [anon_sym_AMP_AMP] = ACTIONS(3517),
    [anon_sym_AMP] = ACTIONS(3515),
    [anon_sym___extension__] = ACTIONS(3515),
    [anon_sym_typedef] = ACTIONS(3515),
    [anon_sym_extern] = ACTIONS(3515),
    [anon_sym___attribute__] = ACTIONS(3515),
    [anon_sym_COLON_COLON] = ACTIONS(3517),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3517),
    [anon_sym___declspec] = ACTIONS(3515),
    [anon_sym___based] = ACTIONS(3515),
    [anon_sym_signed] = ACTIONS(3515),
    [anon_sym_unsigned] = ACTIONS(3515),
    [anon_sym_long] = ACTIONS(3515),
    [anon_sym_short] = ACTIONS(3515),
    [anon_sym_LBRACK] = ACTIONS(3515),
    [anon_sym_static] = ACTIONS(3515),
    [anon_sym_register] = ACTIONS(3515),
    [anon_sym_inline] = ACTIONS(3515),
    [anon_sym___inline] = ACTIONS(3515),
    [anon_sym___inline__] = ACTIONS(3515),
    [anon_sym___forceinline] = ACTIONS(3515),
    [anon_sym_thread_local] = ACTIONS(3515),
    [anon_sym___thread] = ACTIONS(3515),
    [anon_sym_const] = ACTIONS(3515),
    [anon_sym_constexpr] = ACTIONS(3515),
    [anon_sym_volatile] = ACTIONS(3515),
    [anon_sym_restrict] = ACTIONS(3515),
    [anon_sym___restrict__] = ACTIONS(3515),
    [anon_sym__Atomic] = ACTIONS(3515),
    [anon_sym__Noreturn] = ACTIONS(3515),
    [anon_sym_noreturn] = ACTIONS(3515),
    [anon_sym_mutable] = ACTIONS(3515),
    [anon_sym_constinit] = ACTIONS(3515),
    [anon_sym_consteval] = ACTIONS(3515),
    [anon_sym_PROGMEM] = ACTIONS(3515),
    [aux_sym_primitive_type_token1] = ACTIONS(3515),
    [anon_sym_byte] = ACTIONS(3515),
    [anon_sym_word] = ACTIONS(3515),
    [anon_sym_enum] = ACTIONS(3515),
    [anon_sym_class] = ACTIONS(3515),
    [anon_sym_struct] = ACTIONS(3515),
    [anon_sym_union] = ACTIONS(3515),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3515),
    [anon_sym_decltype] = ACTIONS(3515),
    [anon_sym_virtual] = ACTIONS(3515),
    [anon_sym_alignas] = ACTIONS(3515),
    [anon_sym_explicit] = ACTIONS(3515),
    [anon_sym_typename] = ACTIONS(3515),
    [anon_sym_template] = ACTIONS(3515),
    [anon_sym_operator] = ACTIONS(3515),
    [anon_sym_friend] = ACTIONS(3515),
    [anon_sym_public] = ACTIONS(3515),
    [anon_sym_private] = ACTIONS(3515),
    [anon_sym_protected] = ACTIONS(3515),
    [anon_sym_using] = ACTIONS(3515),
    [anon_sym_static_assert] = ACTIONS(3515),
  },
  [2152] = {
    [sym_identifier] = ACTIONS(5505),
    [aux_sym_preproc_def_token1] = ACTIONS(5505),
    [aux_sym_preproc_if_token1] = ACTIONS(5505),
    [aux_sym_preproc_if_token2] = ACTIONS(5505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5505),
    [aux_sym_preproc_else_token1] = ACTIONS(5505),
    [aux_sym_preproc_elif_token1] = ACTIONS(5505),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5505),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5505),
    [sym_preproc_directive] = ACTIONS(5505),
    [anon_sym_LPAREN2] = ACTIONS(5507),
    [anon_sym_TILDE] = ACTIONS(5507),
    [anon_sym_STAR] = ACTIONS(5507),
    [anon_sym_AMP_AMP] = ACTIONS(5507),
    [anon_sym_AMP] = ACTIONS(5505),
    [anon_sym___extension__] = ACTIONS(5505),
    [anon_sym_typedef] = ACTIONS(5505),
    [anon_sym_extern] = ACTIONS(5505),
    [anon_sym___attribute__] = ACTIONS(5505),
    [anon_sym_COLON_COLON] = ACTIONS(5507),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5507),
    [anon_sym___declspec] = ACTIONS(5505),
    [anon_sym___based] = ACTIONS(5505),
    [anon_sym_signed] = ACTIONS(5505),
    [anon_sym_unsigned] = ACTIONS(5505),
    [anon_sym_long] = ACTIONS(5505),
    [anon_sym_short] = ACTIONS(5505),
    [anon_sym_LBRACK] = ACTIONS(5505),
    [anon_sym_static] = ACTIONS(5505),
    [anon_sym_register] = ACTIONS(5505),
    [anon_sym_inline] = ACTIONS(5505),
    [anon_sym___inline] = ACTIONS(5505),
    [anon_sym___inline__] = ACTIONS(5505),
    [anon_sym___forceinline] = ACTIONS(5505),
    [anon_sym_thread_local] = ACTIONS(5505),
    [anon_sym___thread] = ACTIONS(5505),
    [anon_sym_const] = ACTIONS(5505),
    [anon_sym_constexpr] = ACTIONS(5505),
    [anon_sym_volatile] = ACTIONS(5505),
    [anon_sym_restrict] = ACTIONS(5505),
    [anon_sym___restrict__] = ACTIONS(5505),
    [anon_sym__Atomic] = ACTIONS(5505),
    [anon_sym__Noreturn] = ACTIONS(5505),
    [anon_sym_noreturn] = ACTIONS(5505),
    [anon_sym_mutable] = ACTIONS(5505),
    [anon_sym_constinit] = ACTIONS(5505),
    [anon_sym_consteval] = ACTIONS(5505),
    [anon_sym_PROGMEM] = ACTIONS(5505),
    [aux_sym_primitive_type_token1] = ACTIONS(5505),
    [anon_sym_byte] = ACTIONS(5505),
    [anon_sym_word] = ACTIONS(5505),
    [anon_sym_enum] = ACTIONS(5505),
    [anon_sym_class] = ACTIONS(5505),
    [anon_sym_struct] = ACTIONS(5505),
    [anon_sym_union] = ACTIONS(5505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5505),
    [anon_sym_decltype] = ACTIONS(5505),
    [anon_sym_virtual] = ACTIONS(5505),
    [anon_sym_alignas] = ACTIONS(5505),
    [anon_sym_explicit] = ACTIONS(5505),
    [anon_sym_typename] = ACTIONS(5505),
    [anon_sym_template] = ACTIONS(5505),
    [anon_sym_operator] = ACTIONS(5505),
    [anon_sym_friend] = ACTIONS(5505),
    [anon_sym_public] = ACTIONS(5505),
    [anon_sym_private] = ACTIONS(5505),
    [anon_sym_protected] = ACTIONS(5505),
    [anon_sym_using] = ACTIONS(5505),
    [anon_sym_static_assert] = ACTIONS(5505),
  },
  [2153] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token2] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [aux_sym_preproc_else_token1] = ACTIONS(3162),
    [aux_sym_preproc_elif_token1] = ACTIONS(3162),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_PROGMEM] = ACTIONS(3162),
    [aux_sym_primitive_type_token1] = ACTIONS(3162),
    [anon_sym_byte] = ACTIONS(3162),
    [anon_sym_word] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_friend] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
  },
  [2154] = {
    [sym_identifier] = ACTIONS(3180),
    [aux_sym_preproc_def_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token2] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3180),
    [aux_sym_preproc_else_token1] = ACTIONS(3180),
    [aux_sym_preproc_elif_token1] = ACTIONS(3180),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3180),
    [sym_preproc_directive] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_STAR] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym___extension__] = ACTIONS(3180),
    [anon_sym_typedef] = ACTIONS(3180),
    [anon_sym_extern] = ACTIONS(3180),
    [anon_sym___attribute__] = ACTIONS(3180),
    [anon_sym_COLON_COLON] = ACTIONS(3182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3182),
    [anon_sym___declspec] = ACTIONS(3180),
    [anon_sym___based] = ACTIONS(3180),
    [anon_sym_signed] = ACTIONS(3180),
    [anon_sym_unsigned] = ACTIONS(3180),
    [anon_sym_long] = ACTIONS(3180),
    [anon_sym_short] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_register] = ACTIONS(3180),
    [anon_sym_inline] = ACTIONS(3180),
    [anon_sym___inline] = ACTIONS(3180),
    [anon_sym___inline__] = ACTIONS(3180),
    [anon_sym___forceinline] = ACTIONS(3180),
    [anon_sym_thread_local] = ACTIONS(3180),
    [anon_sym___thread] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_constexpr] = ACTIONS(3180),
    [anon_sym_volatile] = ACTIONS(3180),
    [anon_sym_restrict] = ACTIONS(3180),
    [anon_sym___restrict__] = ACTIONS(3180),
    [anon_sym__Atomic] = ACTIONS(3180),
    [anon_sym__Noreturn] = ACTIONS(3180),
    [anon_sym_noreturn] = ACTIONS(3180),
    [anon_sym_mutable] = ACTIONS(3180),
    [anon_sym_constinit] = ACTIONS(3180),
    [anon_sym_consteval] = ACTIONS(3180),
    [anon_sym_PROGMEM] = ACTIONS(3180),
    [aux_sym_primitive_type_token1] = ACTIONS(3180),
    [anon_sym_byte] = ACTIONS(3180),
    [anon_sym_word] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_struct] = ACTIONS(3180),
    [anon_sym_union] = ACTIONS(3180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3180),
    [anon_sym_decltype] = ACTIONS(3180),
    [anon_sym_virtual] = ACTIONS(3180),
    [anon_sym_alignas] = ACTIONS(3180),
    [anon_sym_explicit] = ACTIONS(3180),
    [anon_sym_typename] = ACTIONS(3180),
    [anon_sym_template] = ACTIONS(3180),
    [anon_sym_operator] = ACTIONS(3180),
    [anon_sym_friend] = ACTIONS(3180),
    [anon_sym_public] = ACTIONS(3180),
    [anon_sym_private] = ACTIONS(3180),
    [anon_sym_protected] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_static_assert] = ACTIONS(3180),
  },
  [2155] = {
    [sym_identifier] = ACTIONS(5509),
    [aux_sym_preproc_def_token1] = ACTIONS(5509),
    [aux_sym_preproc_if_token1] = ACTIONS(5509),
    [aux_sym_preproc_if_token2] = ACTIONS(5509),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5509),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5509),
    [aux_sym_preproc_else_token1] = ACTIONS(5509),
    [aux_sym_preproc_elif_token1] = ACTIONS(5509),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5509),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5509),
    [sym_preproc_directive] = ACTIONS(5509),
    [anon_sym_LPAREN2] = ACTIONS(5511),
    [anon_sym_TILDE] = ACTIONS(5511),
    [anon_sym_STAR] = ACTIONS(5511),
    [anon_sym_AMP_AMP] = ACTIONS(5511),
    [anon_sym_AMP] = ACTIONS(5509),
    [anon_sym___extension__] = ACTIONS(5509),
    [anon_sym_typedef] = ACTIONS(5509),
    [anon_sym_extern] = ACTIONS(5509),
    [anon_sym___attribute__] = ACTIONS(5509),
    [anon_sym_COLON_COLON] = ACTIONS(5511),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5511),
    [anon_sym___declspec] = ACTIONS(5509),
    [anon_sym___based] = ACTIONS(5509),
    [anon_sym_signed] = ACTIONS(5509),
    [anon_sym_unsigned] = ACTIONS(5509),
    [anon_sym_long] = ACTIONS(5509),
    [anon_sym_short] = ACTIONS(5509),
    [anon_sym_LBRACK] = ACTIONS(5509),
    [anon_sym_static] = ACTIONS(5509),
    [anon_sym_register] = ACTIONS(5509),
    [anon_sym_inline] = ACTIONS(5509),
    [anon_sym___inline] = ACTIONS(5509),
    [anon_sym___inline__] = ACTIONS(5509),
    [anon_sym___forceinline] = ACTIONS(5509),
    [anon_sym_thread_local] = ACTIONS(5509),
    [anon_sym___thread] = ACTIONS(5509),
    [anon_sym_const] = ACTIONS(5509),
    [anon_sym_constexpr] = ACTIONS(5509),
    [anon_sym_volatile] = ACTIONS(5509),
    [anon_sym_restrict] = ACTIONS(5509),
    [anon_sym___restrict__] = ACTIONS(5509),
    [anon_sym__Atomic] = ACTIONS(5509),
    [anon_sym__Noreturn] = ACTIONS(5509),
    [anon_sym_noreturn] = ACTIONS(5509),
    [anon_sym_mutable] = ACTIONS(5509),
    [anon_sym_constinit] = ACTIONS(5509),
    [anon_sym_consteval] = ACTIONS(5509),
    [anon_sym_PROGMEM] = ACTIONS(5509),
    [aux_sym_primitive_type_token1] = ACTIONS(5509),
    [anon_sym_byte] = ACTIONS(5509),
    [anon_sym_word] = ACTIONS(5509),
    [anon_sym_enum] = ACTIONS(5509),
    [anon_sym_class] = ACTIONS(5509),
    [anon_sym_struct] = ACTIONS(5509),
    [anon_sym_union] = ACTIONS(5509),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5509),
    [anon_sym_decltype] = ACTIONS(5509),
    [anon_sym_virtual] = ACTIONS(5509),
    [anon_sym_alignas] = ACTIONS(5509),
    [anon_sym_explicit] = ACTIONS(5509),
    [anon_sym_typename] = ACTIONS(5509),
    [anon_sym_template] = ACTIONS(5509),
    [anon_sym_operator] = ACTIONS(5509),
    [anon_sym_friend] = ACTIONS(5509),
    [anon_sym_public] = ACTIONS(5509),
    [anon_sym_private] = ACTIONS(5509),
    [anon_sym_protected] = ACTIONS(5509),
    [anon_sym_using] = ACTIONS(5509),
    [anon_sym_static_assert] = ACTIONS(5509),
  },
  [2156] = {
    [sym_identifier] = ACTIONS(5513),
    [aux_sym_preproc_def_token1] = ACTIONS(5513),
    [aux_sym_preproc_if_token1] = ACTIONS(5513),
    [aux_sym_preproc_if_token2] = ACTIONS(5513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5513),
    [aux_sym_preproc_else_token1] = ACTIONS(5513),
    [aux_sym_preproc_elif_token1] = ACTIONS(5513),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5513),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5513),
    [sym_preproc_directive] = ACTIONS(5513),
    [anon_sym_LPAREN2] = ACTIONS(5515),
    [anon_sym_TILDE] = ACTIONS(5515),
    [anon_sym_STAR] = ACTIONS(5515),
    [anon_sym_AMP_AMP] = ACTIONS(5515),
    [anon_sym_AMP] = ACTIONS(5513),
    [anon_sym___extension__] = ACTIONS(5513),
    [anon_sym_typedef] = ACTIONS(5513),
    [anon_sym_extern] = ACTIONS(5513),
    [anon_sym___attribute__] = ACTIONS(5513),
    [anon_sym_COLON_COLON] = ACTIONS(5515),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5515),
    [anon_sym___declspec] = ACTIONS(5513),
    [anon_sym___based] = ACTIONS(5513),
    [anon_sym_signed] = ACTIONS(5513),
    [anon_sym_unsigned] = ACTIONS(5513),
    [anon_sym_long] = ACTIONS(5513),
    [anon_sym_short] = ACTIONS(5513),
    [anon_sym_LBRACK] = ACTIONS(5513),
    [anon_sym_static] = ACTIONS(5513),
    [anon_sym_register] = ACTIONS(5513),
    [anon_sym_inline] = ACTIONS(5513),
    [anon_sym___inline] = ACTIONS(5513),
    [anon_sym___inline__] = ACTIONS(5513),
    [anon_sym___forceinline] = ACTIONS(5513),
    [anon_sym_thread_local] = ACTIONS(5513),
    [anon_sym___thread] = ACTIONS(5513),
    [anon_sym_const] = ACTIONS(5513),
    [anon_sym_constexpr] = ACTIONS(5513),
    [anon_sym_volatile] = ACTIONS(5513),
    [anon_sym_restrict] = ACTIONS(5513),
    [anon_sym___restrict__] = ACTIONS(5513),
    [anon_sym__Atomic] = ACTIONS(5513),
    [anon_sym__Noreturn] = ACTIONS(5513),
    [anon_sym_noreturn] = ACTIONS(5513),
    [anon_sym_mutable] = ACTIONS(5513),
    [anon_sym_constinit] = ACTIONS(5513),
    [anon_sym_consteval] = ACTIONS(5513),
    [anon_sym_PROGMEM] = ACTIONS(5513),
    [aux_sym_primitive_type_token1] = ACTIONS(5513),
    [anon_sym_byte] = ACTIONS(5513),
    [anon_sym_word] = ACTIONS(5513),
    [anon_sym_enum] = ACTIONS(5513),
    [anon_sym_class] = ACTIONS(5513),
    [anon_sym_struct] = ACTIONS(5513),
    [anon_sym_union] = ACTIONS(5513),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5513),
    [anon_sym_decltype] = ACTIONS(5513),
    [anon_sym_virtual] = ACTIONS(5513),
    [anon_sym_alignas] = ACTIONS(5513),
    [anon_sym_explicit] = ACTIONS(5513),
    [anon_sym_typename] = ACTIONS(5513),
    [anon_sym_template] = ACTIONS(5513),
    [anon_sym_operator] = ACTIONS(5513),
    [anon_sym_friend] = ACTIONS(5513),
    [anon_sym_public] = ACTIONS(5513),
    [anon_sym_private] = ACTIONS(5513),
    [anon_sym_protected] = ACTIONS(5513),
    [anon_sym_using] = ACTIONS(5513),
    [anon_sym_static_assert] = ACTIONS(5513),
  },
  [2157] = {
    [sym_identifier] = ACTIONS(5517),
    [aux_sym_preproc_def_token1] = ACTIONS(5517),
    [aux_sym_preproc_if_token1] = ACTIONS(5517),
    [aux_sym_preproc_if_token2] = ACTIONS(5517),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5517),
    [aux_sym_preproc_else_token1] = ACTIONS(5517),
    [aux_sym_preproc_elif_token1] = ACTIONS(5517),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5517),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5517),
    [sym_preproc_directive] = ACTIONS(5517),
    [anon_sym_LPAREN2] = ACTIONS(5519),
    [anon_sym_TILDE] = ACTIONS(5519),
    [anon_sym_STAR] = ACTIONS(5519),
    [anon_sym_AMP_AMP] = ACTIONS(5519),
    [anon_sym_AMP] = ACTIONS(5517),
    [anon_sym___extension__] = ACTIONS(5517),
    [anon_sym_typedef] = ACTIONS(5517),
    [anon_sym_extern] = ACTIONS(5517),
    [anon_sym___attribute__] = ACTIONS(5517),
    [anon_sym_COLON_COLON] = ACTIONS(5519),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5519),
    [anon_sym___declspec] = ACTIONS(5517),
    [anon_sym___based] = ACTIONS(5517),
    [anon_sym_signed] = ACTIONS(5517),
    [anon_sym_unsigned] = ACTIONS(5517),
    [anon_sym_long] = ACTIONS(5517),
    [anon_sym_short] = ACTIONS(5517),
    [anon_sym_LBRACK] = ACTIONS(5517),
    [anon_sym_static] = ACTIONS(5517),
    [anon_sym_register] = ACTIONS(5517),
    [anon_sym_inline] = ACTIONS(5517),
    [anon_sym___inline] = ACTIONS(5517),
    [anon_sym___inline__] = ACTIONS(5517),
    [anon_sym___forceinline] = ACTIONS(5517),
    [anon_sym_thread_local] = ACTIONS(5517),
    [anon_sym___thread] = ACTIONS(5517),
    [anon_sym_const] = ACTIONS(5517),
    [anon_sym_constexpr] = ACTIONS(5517),
    [anon_sym_volatile] = ACTIONS(5517),
    [anon_sym_restrict] = ACTIONS(5517),
    [anon_sym___restrict__] = ACTIONS(5517),
    [anon_sym__Atomic] = ACTIONS(5517),
    [anon_sym__Noreturn] = ACTIONS(5517),
    [anon_sym_noreturn] = ACTIONS(5517),
    [anon_sym_mutable] = ACTIONS(5517),
    [anon_sym_constinit] = ACTIONS(5517),
    [anon_sym_consteval] = ACTIONS(5517),
    [anon_sym_PROGMEM] = ACTIONS(5517),
    [aux_sym_primitive_type_token1] = ACTIONS(5517),
    [anon_sym_byte] = ACTIONS(5517),
    [anon_sym_word] = ACTIONS(5517),
    [anon_sym_enum] = ACTIONS(5517),
    [anon_sym_class] = ACTIONS(5517),
    [anon_sym_struct] = ACTIONS(5517),
    [anon_sym_union] = ACTIONS(5517),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5517),
    [anon_sym_decltype] = ACTIONS(5517),
    [anon_sym_virtual] = ACTIONS(5517),
    [anon_sym_alignas] = ACTIONS(5517),
    [anon_sym_explicit] = ACTIONS(5517),
    [anon_sym_typename] = ACTIONS(5517),
    [anon_sym_template] = ACTIONS(5517),
    [anon_sym_operator] = ACTIONS(5517),
    [anon_sym_friend] = ACTIONS(5517),
    [anon_sym_public] = ACTIONS(5517),
    [anon_sym_private] = ACTIONS(5517),
    [anon_sym_protected] = ACTIONS(5517),
    [anon_sym_using] = ACTIONS(5517),
    [anon_sym_static_assert] = ACTIONS(5517),
  },
  [2158] = {
    [sym_identifier] = ACTIONS(5521),
    [aux_sym_preproc_def_token1] = ACTIONS(5521),
    [aux_sym_preproc_if_token1] = ACTIONS(5521),
    [aux_sym_preproc_if_token2] = ACTIONS(5521),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5521),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5521),
    [aux_sym_preproc_else_token1] = ACTIONS(5521),
    [aux_sym_preproc_elif_token1] = ACTIONS(5521),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5521),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5521),
    [sym_preproc_directive] = ACTIONS(5521),
    [anon_sym_LPAREN2] = ACTIONS(5523),
    [anon_sym_TILDE] = ACTIONS(5523),
    [anon_sym_STAR] = ACTIONS(5523),
    [anon_sym_AMP_AMP] = ACTIONS(5523),
    [anon_sym_AMP] = ACTIONS(5521),
    [anon_sym___extension__] = ACTIONS(5521),
    [anon_sym_typedef] = ACTIONS(5521),
    [anon_sym_extern] = ACTIONS(5521),
    [anon_sym___attribute__] = ACTIONS(5521),
    [anon_sym_COLON_COLON] = ACTIONS(5523),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5523),
    [anon_sym___declspec] = ACTIONS(5521),
    [anon_sym___based] = ACTIONS(5521),
    [anon_sym_signed] = ACTIONS(5521),
    [anon_sym_unsigned] = ACTIONS(5521),
    [anon_sym_long] = ACTIONS(5521),
    [anon_sym_short] = ACTIONS(5521),
    [anon_sym_LBRACK] = ACTIONS(5521),
    [anon_sym_static] = ACTIONS(5521),
    [anon_sym_register] = ACTIONS(5521),
    [anon_sym_inline] = ACTIONS(5521),
    [anon_sym___inline] = ACTIONS(5521),
    [anon_sym___inline__] = ACTIONS(5521),
    [anon_sym___forceinline] = ACTIONS(5521),
    [anon_sym_thread_local] = ACTIONS(5521),
    [anon_sym___thread] = ACTIONS(5521),
    [anon_sym_const] = ACTIONS(5521),
    [anon_sym_constexpr] = ACTIONS(5521),
    [anon_sym_volatile] = ACTIONS(5521),
    [anon_sym_restrict] = ACTIONS(5521),
    [anon_sym___restrict__] = ACTIONS(5521),
    [anon_sym__Atomic] = ACTIONS(5521),
    [anon_sym__Noreturn] = ACTIONS(5521),
    [anon_sym_noreturn] = ACTIONS(5521),
    [anon_sym_mutable] = ACTIONS(5521),
    [anon_sym_constinit] = ACTIONS(5521),
    [anon_sym_consteval] = ACTIONS(5521),
    [anon_sym_PROGMEM] = ACTIONS(5521),
    [aux_sym_primitive_type_token1] = ACTIONS(5521),
    [anon_sym_byte] = ACTIONS(5521),
    [anon_sym_word] = ACTIONS(5521),
    [anon_sym_enum] = ACTIONS(5521),
    [anon_sym_class] = ACTIONS(5521),
    [anon_sym_struct] = ACTIONS(5521),
    [anon_sym_union] = ACTIONS(5521),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5521),
    [anon_sym_decltype] = ACTIONS(5521),
    [anon_sym_virtual] = ACTIONS(5521),
    [anon_sym_alignas] = ACTIONS(5521),
    [anon_sym_explicit] = ACTIONS(5521),
    [anon_sym_typename] = ACTIONS(5521),
    [anon_sym_template] = ACTIONS(5521),
    [anon_sym_operator] = ACTIONS(5521),
    [anon_sym_friend] = ACTIONS(5521),
    [anon_sym_public] = ACTIONS(5521),
    [anon_sym_private] = ACTIONS(5521),
    [anon_sym_protected] = ACTIONS(5521),
    [anon_sym_using] = ACTIONS(5521),
    [anon_sym_static_assert] = ACTIONS(5521),
  },
  [2159] = {
    [sym_identifier] = ACTIONS(5525),
    [aux_sym_preproc_def_token1] = ACTIONS(5525),
    [aux_sym_preproc_if_token1] = ACTIONS(5525),
    [aux_sym_preproc_if_token2] = ACTIONS(5525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5525),
    [aux_sym_preproc_else_token1] = ACTIONS(5525),
    [aux_sym_preproc_elif_token1] = ACTIONS(5525),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5525),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5525),
    [sym_preproc_directive] = ACTIONS(5525),
    [anon_sym_LPAREN2] = ACTIONS(5527),
    [anon_sym_TILDE] = ACTIONS(5527),
    [anon_sym_STAR] = ACTIONS(5527),
    [anon_sym_AMP_AMP] = ACTIONS(5527),
    [anon_sym_AMP] = ACTIONS(5525),
    [anon_sym___extension__] = ACTIONS(5525),
    [anon_sym_typedef] = ACTIONS(5525),
    [anon_sym_extern] = ACTIONS(5525),
    [anon_sym___attribute__] = ACTIONS(5525),
    [anon_sym_COLON_COLON] = ACTIONS(5527),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5527),
    [anon_sym___declspec] = ACTIONS(5525),
    [anon_sym___based] = ACTIONS(5525),
    [anon_sym_signed] = ACTIONS(5525),
    [anon_sym_unsigned] = ACTIONS(5525),
    [anon_sym_long] = ACTIONS(5525),
    [anon_sym_short] = ACTIONS(5525),
    [anon_sym_LBRACK] = ACTIONS(5525),
    [anon_sym_static] = ACTIONS(5525),
    [anon_sym_register] = ACTIONS(5525),
    [anon_sym_inline] = ACTIONS(5525),
    [anon_sym___inline] = ACTIONS(5525),
    [anon_sym___inline__] = ACTIONS(5525),
    [anon_sym___forceinline] = ACTIONS(5525),
    [anon_sym_thread_local] = ACTIONS(5525),
    [anon_sym___thread] = ACTIONS(5525),
    [anon_sym_const] = ACTIONS(5525),
    [anon_sym_constexpr] = ACTIONS(5525),
    [anon_sym_volatile] = ACTIONS(5525),
    [anon_sym_restrict] = ACTIONS(5525),
    [anon_sym___restrict__] = ACTIONS(5525),
    [anon_sym__Atomic] = ACTIONS(5525),
    [anon_sym__Noreturn] = ACTIONS(5525),
    [anon_sym_noreturn] = ACTIONS(5525),
    [anon_sym_mutable] = ACTIONS(5525),
    [anon_sym_constinit] = ACTIONS(5525),
    [anon_sym_consteval] = ACTIONS(5525),
    [anon_sym_PROGMEM] = ACTIONS(5525),
    [aux_sym_primitive_type_token1] = ACTIONS(5525),
    [anon_sym_byte] = ACTIONS(5525),
    [anon_sym_word] = ACTIONS(5525),
    [anon_sym_enum] = ACTIONS(5525),
    [anon_sym_class] = ACTIONS(5525),
    [anon_sym_struct] = ACTIONS(5525),
    [anon_sym_union] = ACTIONS(5525),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5525),
    [anon_sym_decltype] = ACTIONS(5525),
    [anon_sym_virtual] = ACTIONS(5525),
    [anon_sym_alignas] = ACTIONS(5525),
    [anon_sym_explicit] = ACTIONS(5525),
    [anon_sym_typename] = ACTIONS(5525),
    [anon_sym_template] = ACTIONS(5525),
    [anon_sym_operator] = ACTIONS(5525),
    [anon_sym_friend] = ACTIONS(5525),
    [anon_sym_public] = ACTIONS(5525),
    [anon_sym_private] = ACTIONS(5525),
    [anon_sym_protected] = ACTIONS(5525),
    [anon_sym_using] = ACTIONS(5525),
    [anon_sym_static_assert] = ACTIONS(5525),
  },
  [2160] = {
    [sym_identifier] = ACTIONS(5529),
    [aux_sym_preproc_def_token1] = ACTIONS(5529),
    [aux_sym_preproc_if_token1] = ACTIONS(5529),
    [aux_sym_preproc_if_token2] = ACTIONS(5529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5529),
    [aux_sym_preproc_else_token1] = ACTIONS(5529),
    [aux_sym_preproc_elif_token1] = ACTIONS(5529),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5529),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5529),
    [sym_preproc_directive] = ACTIONS(5529),
    [anon_sym_LPAREN2] = ACTIONS(5531),
    [anon_sym_TILDE] = ACTIONS(5531),
    [anon_sym_STAR] = ACTIONS(5531),
    [anon_sym_AMP_AMP] = ACTIONS(5531),
    [anon_sym_AMP] = ACTIONS(5529),
    [anon_sym___extension__] = ACTIONS(5529),
    [anon_sym_typedef] = ACTIONS(5529),
    [anon_sym_extern] = ACTIONS(5529),
    [anon_sym___attribute__] = ACTIONS(5529),
    [anon_sym_COLON_COLON] = ACTIONS(5531),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5531),
    [anon_sym___declspec] = ACTIONS(5529),
    [anon_sym___based] = ACTIONS(5529),
    [anon_sym_signed] = ACTIONS(5529),
    [anon_sym_unsigned] = ACTIONS(5529),
    [anon_sym_long] = ACTIONS(5529),
    [anon_sym_short] = ACTIONS(5529),
    [anon_sym_LBRACK] = ACTIONS(5529),
    [anon_sym_static] = ACTIONS(5529),
    [anon_sym_register] = ACTIONS(5529),
    [anon_sym_inline] = ACTIONS(5529),
    [anon_sym___inline] = ACTIONS(5529),
    [anon_sym___inline__] = ACTIONS(5529),
    [anon_sym___forceinline] = ACTIONS(5529),
    [anon_sym_thread_local] = ACTIONS(5529),
    [anon_sym___thread] = ACTIONS(5529),
    [anon_sym_const] = ACTIONS(5529),
    [anon_sym_constexpr] = ACTIONS(5529),
    [anon_sym_volatile] = ACTIONS(5529),
    [anon_sym_restrict] = ACTIONS(5529),
    [anon_sym___restrict__] = ACTIONS(5529),
    [anon_sym__Atomic] = ACTIONS(5529),
    [anon_sym__Noreturn] = ACTIONS(5529),
    [anon_sym_noreturn] = ACTIONS(5529),
    [anon_sym_mutable] = ACTIONS(5529),
    [anon_sym_constinit] = ACTIONS(5529),
    [anon_sym_consteval] = ACTIONS(5529),
    [anon_sym_PROGMEM] = ACTIONS(5529),
    [aux_sym_primitive_type_token1] = ACTIONS(5529),
    [anon_sym_byte] = ACTIONS(5529),
    [anon_sym_word] = ACTIONS(5529),
    [anon_sym_enum] = ACTIONS(5529),
    [anon_sym_class] = ACTIONS(5529),
    [anon_sym_struct] = ACTIONS(5529),
    [anon_sym_union] = ACTIONS(5529),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5529),
    [anon_sym_decltype] = ACTIONS(5529),
    [anon_sym_virtual] = ACTIONS(5529),
    [anon_sym_alignas] = ACTIONS(5529),
    [anon_sym_explicit] = ACTIONS(5529),
    [anon_sym_typename] = ACTIONS(5529),
    [anon_sym_template] = ACTIONS(5529),
    [anon_sym_operator] = ACTIONS(5529),
    [anon_sym_friend] = ACTIONS(5529),
    [anon_sym_public] = ACTIONS(5529),
    [anon_sym_private] = ACTIONS(5529),
    [anon_sym_protected] = ACTIONS(5529),
    [anon_sym_using] = ACTIONS(5529),
    [anon_sym_static_assert] = ACTIONS(5529),
  },
  [2161] = {
    [sym_identifier] = ACTIONS(5533),
    [aux_sym_preproc_def_token1] = ACTIONS(5533),
    [aux_sym_preproc_if_token1] = ACTIONS(5533),
    [aux_sym_preproc_if_token2] = ACTIONS(5533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5533),
    [aux_sym_preproc_else_token1] = ACTIONS(5533),
    [aux_sym_preproc_elif_token1] = ACTIONS(5533),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5533),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5533),
    [sym_preproc_directive] = ACTIONS(5533),
    [anon_sym_LPAREN2] = ACTIONS(5535),
    [anon_sym_TILDE] = ACTIONS(5535),
    [anon_sym_STAR] = ACTIONS(5535),
    [anon_sym_AMP_AMP] = ACTIONS(5535),
    [anon_sym_AMP] = ACTIONS(5533),
    [anon_sym___extension__] = ACTIONS(5533),
    [anon_sym_typedef] = ACTIONS(5533),
    [anon_sym_extern] = ACTIONS(5533),
    [anon_sym___attribute__] = ACTIONS(5533),
    [anon_sym_COLON_COLON] = ACTIONS(5535),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5535),
    [anon_sym___declspec] = ACTIONS(5533),
    [anon_sym___based] = ACTIONS(5533),
    [anon_sym_signed] = ACTIONS(5533),
    [anon_sym_unsigned] = ACTIONS(5533),
    [anon_sym_long] = ACTIONS(5533),
    [anon_sym_short] = ACTIONS(5533),
    [anon_sym_LBRACK] = ACTIONS(5533),
    [anon_sym_static] = ACTIONS(5533),
    [anon_sym_register] = ACTIONS(5533),
    [anon_sym_inline] = ACTIONS(5533),
    [anon_sym___inline] = ACTIONS(5533),
    [anon_sym___inline__] = ACTIONS(5533),
    [anon_sym___forceinline] = ACTIONS(5533),
    [anon_sym_thread_local] = ACTIONS(5533),
    [anon_sym___thread] = ACTIONS(5533),
    [anon_sym_const] = ACTIONS(5533),
    [anon_sym_constexpr] = ACTIONS(5533),
    [anon_sym_volatile] = ACTIONS(5533),
    [anon_sym_restrict] = ACTIONS(5533),
    [anon_sym___restrict__] = ACTIONS(5533),
    [anon_sym__Atomic] = ACTIONS(5533),
    [anon_sym__Noreturn] = ACTIONS(5533),
    [anon_sym_noreturn] = ACTIONS(5533),
    [anon_sym_mutable] = ACTIONS(5533),
    [anon_sym_constinit] = ACTIONS(5533),
    [anon_sym_consteval] = ACTIONS(5533),
    [anon_sym_PROGMEM] = ACTIONS(5533),
    [aux_sym_primitive_type_token1] = ACTIONS(5533),
    [anon_sym_byte] = ACTIONS(5533),
    [anon_sym_word] = ACTIONS(5533),
    [anon_sym_enum] = ACTIONS(5533),
    [anon_sym_class] = ACTIONS(5533),
    [anon_sym_struct] = ACTIONS(5533),
    [anon_sym_union] = ACTIONS(5533),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5533),
    [anon_sym_decltype] = ACTIONS(5533),
    [anon_sym_virtual] = ACTIONS(5533),
    [anon_sym_alignas] = ACTIONS(5533),
    [anon_sym_explicit] = ACTIONS(5533),
    [anon_sym_typename] = ACTIONS(5533),
    [anon_sym_template] = ACTIONS(5533),
    [anon_sym_operator] = ACTIONS(5533),
    [anon_sym_friend] = ACTIONS(5533),
    [anon_sym_public] = ACTIONS(5533),
    [anon_sym_private] = ACTIONS(5533),
    [anon_sym_protected] = ACTIONS(5533),
    [anon_sym_using] = ACTIONS(5533),
    [anon_sym_static_assert] = ACTIONS(5533),
  },
  [2162] = {
    [sym_identifier] = ACTIONS(5537),
    [aux_sym_preproc_def_token1] = ACTIONS(5537),
    [aux_sym_preproc_if_token1] = ACTIONS(5537),
    [aux_sym_preproc_if_token2] = ACTIONS(5537),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5537),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5537),
    [aux_sym_preproc_else_token1] = ACTIONS(5537),
    [aux_sym_preproc_elif_token1] = ACTIONS(5537),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5537),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5537),
    [sym_preproc_directive] = ACTIONS(5537),
    [anon_sym_LPAREN2] = ACTIONS(5539),
    [anon_sym_TILDE] = ACTIONS(5539),
    [anon_sym_STAR] = ACTIONS(5539),
    [anon_sym_AMP_AMP] = ACTIONS(5539),
    [anon_sym_AMP] = ACTIONS(5537),
    [anon_sym___extension__] = ACTIONS(5537),
    [anon_sym_typedef] = ACTIONS(5537),
    [anon_sym_extern] = ACTIONS(5537),
    [anon_sym___attribute__] = ACTIONS(5537),
    [anon_sym_COLON_COLON] = ACTIONS(5539),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5539),
    [anon_sym___declspec] = ACTIONS(5537),
    [anon_sym___based] = ACTIONS(5537),
    [anon_sym_signed] = ACTIONS(5537),
    [anon_sym_unsigned] = ACTIONS(5537),
    [anon_sym_long] = ACTIONS(5537),
    [anon_sym_short] = ACTIONS(5537),
    [anon_sym_LBRACK] = ACTIONS(5537),
    [anon_sym_static] = ACTIONS(5537),
    [anon_sym_register] = ACTIONS(5537),
    [anon_sym_inline] = ACTIONS(5537),
    [anon_sym___inline] = ACTIONS(5537),
    [anon_sym___inline__] = ACTIONS(5537),
    [anon_sym___forceinline] = ACTIONS(5537),
    [anon_sym_thread_local] = ACTIONS(5537),
    [anon_sym___thread] = ACTIONS(5537),
    [anon_sym_const] = ACTIONS(5537),
    [anon_sym_constexpr] = ACTIONS(5537),
    [anon_sym_volatile] = ACTIONS(5537),
    [anon_sym_restrict] = ACTIONS(5537),
    [anon_sym___restrict__] = ACTIONS(5537),
    [anon_sym__Atomic] = ACTIONS(5537),
    [anon_sym__Noreturn] = ACTIONS(5537),
    [anon_sym_noreturn] = ACTIONS(5537),
    [anon_sym_mutable] = ACTIONS(5537),
    [anon_sym_constinit] = ACTIONS(5537),
    [anon_sym_consteval] = ACTIONS(5537),
    [anon_sym_PROGMEM] = ACTIONS(5537),
    [aux_sym_primitive_type_token1] = ACTIONS(5537),
    [anon_sym_byte] = ACTIONS(5537),
    [anon_sym_word] = ACTIONS(5537),
    [anon_sym_enum] = ACTIONS(5537),
    [anon_sym_class] = ACTIONS(5537),
    [anon_sym_struct] = ACTIONS(5537),
    [anon_sym_union] = ACTIONS(5537),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5537),
    [anon_sym_decltype] = ACTIONS(5537),
    [anon_sym_virtual] = ACTIONS(5537),
    [anon_sym_alignas] = ACTIONS(5537),
    [anon_sym_explicit] = ACTIONS(5537),
    [anon_sym_typename] = ACTIONS(5537),
    [anon_sym_template] = ACTIONS(5537),
    [anon_sym_operator] = ACTIONS(5537),
    [anon_sym_friend] = ACTIONS(5537),
    [anon_sym_public] = ACTIONS(5537),
    [anon_sym_private] = ACTIONS(5537),
    [anon_sym_protected] = ACTIONS(5537),
    [anon_sym_using] = ACTIONS(5537),
    [anon_sym_static_assert] = ACTIONS(5537),
  },
  [2163] = {
    [sym_identifier] = ACTIONS(5537),
    [aux_sym_preproc_def_token1] = ACTIONS(5537),
    [aux_sym_preproc_if_token1] = ACTIONS(5537),
    [aux_sym_preproc_if_token2] = ACTIONS(5537),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5537),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5537),
    [aux_sym_preproc_else_token1] = ACTIONS(5537),
    [aux_sym_preproc_elif_token1] = ACTIONS(5537),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5537),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5537),
    [sym_preproc_directive] = ACTIONS(5537),
    [anon_sym_LPAREN2] = ACTIONS(5539),
    [anon_sym_TILDE] = ACTIONS(5539),
    [anon_sym_STAR] = ACTIONS(5539),
    [anon_sym_AMP_AMP] = ACTIONS(5539),
    [anon_sym_AMP] = ACTIONS(5537),
    [anon_sym___extension__] = ACTIONS(5537),
    [anon_sym_typedef] = ACTIONS(5537),
    [anon_sym_extern] = ACTIONS(5537),
    [anon_sym___attribute__] = ACTIONS(5537),
    [anon_sym_COLON_COLON] = ACTIONS(5539),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5539),
    [anon_sym___declspec] = ACTIONS(5537),
    [anon_sym___based] = ACTIONS(5537),
    [anon_sym_signed] = ACTIONS(5537),
    [anon_sym_unsigned] = ACTIONS(5537),
    [anon_sym_long] = ACTIONS(5537),
    [anon_sym_short] = ACTIONS(5537),
    [anon_sym_LBRACK] = ACTIONS(5537),
    [anon_sym_static] = ACTIONS(5537),
    [anon_sym_register] = ACTIONS(5537),
    [anon_sym_inline] = ACTIONS(5537),
    [anon_sym___inline] = ACTIONS(5537),
    [anon_sym___inline__] = ACTIONS(5537),
    [anon_sym___forceinline] = ACTIONS(5537),
    [anon_sym_thread_local] = ACTIONS(5537),
    [anon_sym___thread] = ACTIONS(5537),
    [anon_sym_const] = ACTIONS(5537),
    [anon_sym_constexpr] = ACTIONS(5537),
    [anon_sym_volatile] = ACTIONS(5537),
    [anon_sym_restrict] = ACTIONS(5537),
    [anon_sym___restrict__] = ACTIONS(5537),
    [anon_sym__Atomic] = ACTIONS(5537),
    [anon_sym__Noreturn] = ACTIONS(5537),
    [anon_sym_noreturn] = ACTIONS(5537),
    [anon_sym_mutable] = ACTIONS(5537),
    [anon_sym_constinit] = ACTIONS(5537),
    [anon_sym_consteval] = ACTIONS(5537),
    [anon_sym_PROGMEM] = ACTIONS(5537),
    [aux_sym_primitive_type_token1] = ACTIONS(5537),
    [anon_sym_byte] = ACTIONS(5537),
    [anon_sym_word] = ACTIONS(5537),
    [anon_sym_enum] = ACTIONS(5537),
    [anon_sym_class] = ACTIONS(5537),
    [anon_sym_struct] = ACTIONS(5537),
    [anon_sym_union] = ACTIONS(5537),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5537),
    [anon_sym_decltype] = ACTIONS(5537),
    [anon_sym_virtual] = ACTIONS(5537),
    [anon_sym_alignas] = ACTIONS(5537),
    [anon_sym_explicit] = ACTIONS(5537),
    [anon_sym_typename] = ACTIONS(5537),
    [anon_sym_template] = ACTIONS(5537),
    [anon_sym_operator] = ACTIONS(5537),
    [anon_sym_friend] = ACTIONS(5537),
    [anon_sym_public] = ACTIONS(5537),
    [anon_sym_private] = ACTIONS(5537),
    [anon_sym_protected] = ACTIONS(5537),
    [anon_sym_using] = ACTIONS(5537),
    [anon_sym_static_assert] = ACTIONS(5537),
  },
  [2164] = {
    [sym_identifier] = ACTIONS(5533),
    [aux_sym_preproc_def_token1] = ACTIONS(5533),
    [aux_sym_preproc_if_token1] = ACTIONS(5533),
    [aux_sym_preproc_if_token2] = ACTIONS(5533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5533),
    [aux_sym_preproc_else_token1] = ACTIONS(5533),
    [aux_sym_preproc_elif_token1] = ACTIONS(5533),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5533),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5533),
    [sym_preproc_directive] = ACTIONS(5533),
    [anon_sym_LPAREN2] = ACTIONS(5535),
    [anon_sym_TILDE] = ACTIONS(5535),
    [anon_sym_STAR] = ACTIONS(5535),
    [anon_sym_AMP_AMP] = ACTIONS(5535),
    [anon_sym_AMP] = ACTIONS(5533),
    [anon_sym___extension__] = ACTIONS(5533),
    [anon_sym_typedef] = ACTIONS(5533),
    [anon_sym_extern] = ACTIONS(5533),
    [anon_sym___attribute__] = ACTIONS(5533),
    [anon_sym_COLON_COLON] = ACTIONS(5535),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5535),
    [anon_sym___declspec] = ACTIONS(5533),
    [anon_sym___based] = ACTIONS(5533),
    [anon_sym_signed] = ACTIONS(5533),
    [anon_sym_unsigned] = ACTIONS(5533),
    [anon_sym_long] = ACTIONS(5533),
    [anon_sym_short] = ACTIONS(5533),
    [anon_sym_LBRACK] = ACTIONS(5533),
    [anon_sym_static] = ACTIONS(5533),
    [anon_sym_register] = ACTIONS(5533),
    [anon_sym_inline] = ACTIONS(5533),
    [anon_sym___inline] = ACTIONS(5533),
    [anon_sym___inline__] = ACTIONS(5533),
    [anon_sym___forceinline] = ACTIONS(5533),
    [anon_sym_thread_local] = ACTIONS(5533),
    [anon_sym___thread] = ACTIONS(5533),
    [anon_sym_const] = ACTIONS(5533),
    [anon_sym_constexpr] = ACTIONS(5533),
    [anon_sym_volatile] = ACTIONS(5533),
    [anon_sym_restrict] = ACTIONS(5533),
    [anon_sym___restrict__] = ACTIONS(5533),
    [anon_sym__Atomic] = ACTIONS(5533),
    [anon_sym__Noreturn] = ACTIONS(5533),
    [anon_sym_noreturn] = ACTIONS(5533),
    [anon_sym_mutable] = ACTIONS(5533),
    [anon_sym_constinit] = ACTIONS(5533),
    [anon_sym_consteval] = ACTIONS(5533),
    [anon_sym_PROGMEM] = ACTIONS(5533),
    [aux_sym_primitive_type_token1] = ACTIONS(5533),
    [anon_sym_byte] = ACTIONS(5533),
    [anon_sym_word] = ACTIONS(5533),
    [anon_sym_enum] = ACTIONS(5533),
    [anon_sym_class] = ACTIONS(5533),
    [anon_sym_struct] = ACTIONS(5533),
    [anon_sym_union] = ACTIONS(5533),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5533),
    [anon_sym_decltype] = ACTIONS(5533),
    [anon_sym_virtual] = ACTIONS(5533),
    [anon_sym_alignas] = ACTIONS(5533),
    [anon_sym_explicit] = ACTIONS(5533),
    [anon_sym_typename] = ACTIONS(5533),
    [anon_sym_template] = ACTIONS(5533),
    [anon_sym_operator] = ACTIONS(5533),
    [anon_sym_friend] = ACTIONS(5533),
    [anon_sym_public] = ACTIONS(5533),
    [anon_sym_private] = ACTIONS(5533),
    [anon_sym_protected] = ACTIONS(5533),
    [anon_sym_using] = ACTIONS(5533),
    [anon_sym_static_assert] = ACTIONS(5533),
  },
  [2165] = {
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5906),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7213),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5194),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2166] = {
    [sym_identifier] = ACTIONS(5521),
    [aux_sym_preproc_def_token1] = ACTIONS(5521),
    [aux_sym_preproc_if_token1] = ACTIONS(5521),
    [aux_sym_preproc_if_token2] = ACTIONS(5521),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5521),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5521),
    [aux_sym_preproc_else_token1] = ACTIONS(5521),
    [aux_sym_preproc_elif_token1] = ACTIONS(5521),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5521),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5521),
    [sym_preproc_directive] = ACTIONS(5521),
    [anon_sym_LPAREN2] = ACTIONS(5523),
    [anon_sym_TILDE] = ACTIONS(5523),
    [anon_sym_STAR] = ACTIONS(5523),
    [anon_sym_AMP_AMP] = ACTIONS(5523),
    [anon_sym_AMP] = ACTIONS(5521),
    [anon_sym___extension__] = ACTIONS(5521),
    [anon_sym_typedef] = ACTIONS(5521),
    [anon_sym_extern] = ACTIONS(5521),
    [anon_sym___attribute__] = ACTIONS(5521),
    [anon_sym_COLON_COLON] = ACTIONS(5523),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5523),
    [anon_sym___declspec] = ACTIONS(5521),
    [anon_sym___based] = ACTIONS(5521),
    [anon_sym_signed] = ACTIONS(5521),
    [anon_sym_unsigned] = ACTIONS(5521),
    [anon_sym_long] = ACTIONS(5521),
    [anon_sym_short] = ACTIONS(5521),
    [anon_sym_LBRACK] = ACTIONS(5521),
    [anon_sym_static] = ACTIONS(5521),
    [anon_sym_register] = ACTIONS(5521),
    [anon_sym_inline] = ACTIONS(5521),
    [anon_sym___inline] = ACTIONS(5521),
    [anon_sym___inline__] = ACTIONS(5521),
    [anon_sym___forceinline] = ACTIONS(5521),
    [anon_sym_thread_local] = ACTIONS(5521),
    [anon_sym___thread] = ACTIONS(5521),
    [anon_sym_const] = ACTIONS(5521),
    [anon_sym_constexpr] = ACTIONS(5521),
    [anon_sym_volatile] = ACTIONS(5521),
    [anon_sym_restrict] = ACTIONS(5521),
    [anon_sym___restrict__] = ACTIONS(5521),
    [anon_sym__Atomic] = ACTIONS(5521),
    [anon_sym__Noreturn] = ACTIONS(5521),
    [anon_sym_noreturn] = ACTIONS(5521),
    [anon_sym_mutable] = ACTIONS(5521),
    [anon_sym_constinit] = ACTIONS(5521),
    [anon_sym_consteval] = ACTIONS(5521),
    [anon_sym_PROGMEM] = ACTIONS(5521),
    [aux_sym_primitive_type_token1] = ACTIONS(5521),
    [anon_sym_byte] = ACTIONS(5521),
    [anon_sym_word] = ACTIONS(5521),
    [anon_sym_enum] = ACTIONS(5521),
    [anon_sym_class] = ACTIONS(5521),
    [anon_sym_struct] = ACTIONS(5521),
    [anon_sym_union] = ACTIONS(5521),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5521),
    [anon_sym_decltype] = ACTIONS(5521),
    [anon_sym_virtual] = ACTIONS(5521),
    [anon_sym_alignas] = ACTIONS(5521),
    [anon_sym_explicit] = ACTIONS(5521),
    [anon_sym_typename] = ACTIONS(5521),
    [anon_sym_template] = ACTIONS(5521),
    [anon_sym_operator] = ACTIONS(5521),
    [anon_sym_friend] = ACTIONS(5521),
    [anon_sym_public] = ACTIONS(5521),
    [anon_sym_private] = ACTIONS(5521),
    [anon_sym_protected] = ACTIONS(5521),
    [anon_sym_using] = ACTIONS(5521),
    [anon_sym_static_assert] = ACTIONS(5521),
  },
  [2167] = {
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5948),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7213),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5194),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2168] = {
    [sym_identifier] = ACTIONS(5541),
    [aux_sym_preproc_def_token1] = ACTIONS(5541),
    [aux_sym_preproc_if_token1] = ACTIONS(5541),
    [aux_sym_preproc_if_token2] = ACTIONS(5541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5541),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5541),
    [aux_sym_preproc_else_token1] = ACTIONS(5541),
    [aux_sym_preproc_elif_token1] = ACTIONS(5541),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5541),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5541),
    [sym_preproc_directive] = ACTIONS(5541),
    [anon_sym_LPAREN2] = ACTIONS(5543),
    [anon_sym_TILDE] = ACTIONS(5543),
    [anon_sym_STAR] = ACTIONS(5543),
    [anon_sym_AMP_AMP] = ACTIONS(5543),
    [anon_sym_AMP] = ACTIONS(5541),
    [anon_sym___extension__] = ACTIONS(5541),
    [anon_sym_typedef] = ACTIONS(5541),
    [anon_sym_extern] = ACTIONS(5541),
    [anon_sym___attribute__] = ACTIONS(5541),
    [anon_sym_COLON_COLON] = ACTIONS(5543),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5543),
    [anon_sym___declspec] = ACTIONS(5541),
    [anon_sym___based] = ACTIONS(5541),
    [anon_sym_signed] = ACTIONS(5541),
    [anon_sym_unsigned] = ACTIONS(5541),
    [anon_sym_long] = ACTIONS(5541),
    [anon_sym_short] = ACTIONS(5541),
    [anon_sym_LBRACK] = ACTIONS(5541),
    [anon_sym_static] = ACTIONS(5541),
    [anon_sym_register] = ACTIONS(5541),
    [anon_sym_inline] = ACTIONS(5541),
    [anon_sym___inline] = ACTIONS(5541),
    [anon_sym___inline__] = ACTIONS(5541),
    [anon_sym___forceinline] = ACTIONS(5541),
    [anon_sym_thread_local] = ACTIONS(5541),
    [anon_sym___thread] = ACTIONS(5541),
    [anon_sym_const] = ACTIONS(5541),
    [anon_sym_constexpr] = ACTIONS(5541),
    [anon_sym_volatile] = ACTIONS(5541),
    [anon_sym_restrict] = ACTIONS(5541),
    [anon_sym___restrict__] = ACTIONS(5541),
    [anon_sym__Atomic] = ACTIONS(5541),
    [anon_sym__Noreturn] = ACTIONS(5541),
    [anon_sym_noreturn] = ACTIONS(5541),
    [anon_sym_mutable] = ACTIONS(5541),
    [anon_sym_constinit] = ACTIONS(5541),
    [anon_sym_consteval] = ACTIONS(5541),
    [anon_sym_PROGMEM] = ACTIONS(5541),
    [aux_sym_primitive_type_token1] = ACTIONS(5541),
    [anon_sym_byte] = ACTIONS(5541),
    [anon_sym_word] = ACTIONS(5541),
    [anon_sym_enum] = ACTIONS(5541),
    [anon_sym_class] = ACTIONS(5541),
    [anon_sym_struct] = ACTIONS(5541),
    [anon_sym_union] = ACTIONS(5541),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5541),
    [anon_sym_decltype] = ACTIONS(5541),
    [anon_sym_virtual] = ACTIONS(5541),
    [anon_sym_alignas] = ACTIONS(5541),
    [anon_sym_explicit] = ACTIONS(5541),
    [anon_sym_typename] = ACTIONS(5541),
    [anon_sym_template] = ACTIONS(5541),
    [anon_sym_operator] = ACTIONS(5541),
    [anon_sym_friend] = ACTIONS(5541),
    [anon_sym_public] = ACTIONS(5541),
    [anon_sym_private] = ACTIONS(5541),
    [anon_sym_protected] = ACTIONS(5541),
    [anon_sym_using] = ACTIONS(5541),
    [anon_sym_static_assert] = ACTIONS(5541),
  },
  [2169] = {
    [sym_identifier] = ACTIONS(5545),
    [aux_sym_preproc_def_token1] = ACTIONS(5545),
    [aux_sym_preproc_if_token1] = ACTIONS(5545),
    [aux_sym_preproc_if_token2] = ACTIONS(5545),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5545),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5545),
    [aux_sym_preproc_else_token1] = ACTIONS(5545),
    [aux_sym_preproc_elif_token1] = ACTIONS(5545),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5545),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5545),
    [sym_preproc_directive] = ACTIONS(5545),
    [anon_sym_LPAREN2] = ACTIONS(5547),
    [anon_sym_TILDE] = ACTIONS(5547),
    [anon_sym_STAR] = ACTIONS(5547),
    [anon_sym_AMP_AMP] = ACTIONS(5547),
    [anon_sym_AMP] = ACTIONS(5545),
    [anon_sym___extension__] = ACTIONS(5545),
    [anon_sym_typedef] = ACTIONS(5545),
    [anon_sym_extern] = ACTIONS(5545),
    [anon_sym___attribute__] = ACTIONS(5545),
    [anon_sym_COLON_COLON] = ACTIONS(5547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5547),
    [anon_sym___declspec] = ACTIONS(5545),
    [anon_sym___based] = ACTIONS(5545),
    [anon_sym_signed] = ACTIONS(5545),
    [anon_sym_unsigned] = ACTIONS(5545),
    [anon_sym_long] = ACTIONS(5545),
    [anon_sym_short] = ACTIONS(5545),
    [anon_sym_LBRACK] = ACTIONS(5545),
    [anon_sym_static] = ACTIONS(5545),
    [anon_sym_register] = ACTIONS(5545),
    [anon_sym_inline] = ACTIONS(5545),
    [anon_sym___inline] = ACTIONS(5545),
    [anon_sym___inline__] = ACTIONS(5545),
    [anon_sym___forceinline] = ACTIONS(5545),
    [anon_sym_thread_local] = ACTIONS(5545),
    [anon_sym___thread] = ACTIONS(5545),
    [anon_sym_const] = ACTIONS(5545),
    [anon_sym_constexpr] = ACTIONS(5545),
    [anon_sym_volatile] = ACTIONS(5545),
    [anon_sym_restrict] = ACTIONS(5545),
    [anon_sym___restrict__] = ACTIONS(5545),
    [anon_sym__Atomic] = ACTIONS(5545),
    [anon_sym__Noreturn] = ACTIONS(5545),
    [anon_sym_noreturn] = ACTIONS(5545),
    [anon_sym_mutable] = ACTIONS(5545),
    [anon_sym_constinit] = ACTIONS(5545),
    [anon_sym_consteval] = ACTIONS(5545),
    [anon_sym_PROGMEM] = ACTIONS(5545),
    [aux_sym_primitive_type_token1] = ACTIONS(5545),
    [anon_sym_byte] = ACTIONS(5545),
    [anon_sym_word] = ACTIONS(5545),
    [anon_sym_enum] = ACTIONS(5545),
    [anon_sym_class] = ACTIONS(5545),
    [anon_sym_struct] = ACTIONS(5545),
    [anon_sym_union] = ACTIONS(5545),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5545),
    [anon_sym_decltype] = ACTIONS(5545),
    [anon_sym_virtual] = ACTIONS(5545),
    [anon_sym_alignas] = ACTIONS(5545),
    [anon_sym_explicit] = ACTIONS(5545),
    [anon_sym_typename] = ACTIONS(5545),
    [anon_sym_template] = ACTIONS(5545),
    [anon_sym_operator] = ACTIONS(5545),
    [anon_sym_friend] = ACTIONS(5545),
    [anon_sym_public] = ACTIONS(5545),
    [anon_sym_private] = ACTIONS(5545),
    [anon_sym_protected] = ACTIONS(5545),
    [anon_sym_using] = ACTIONS(5545),
    [anon_sym_static_assert] = ACTIONS(5545),
  },
  [2170] = {
    [sym_identifier] = ACTIONS(5549),
    [aux_sym_preproc_def_token1] = ACTIONS(5549),
    [aux_sym_preproc_if_token1] = ACTIONS(5549),
    [aux_sym_preproc_if_token2] = ACTIONS(5549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5549),
    [aux_sym_preproc_else_token1] = ACTIONS(5549),
    [aux_sym_preproc_elif_token1] = ACTIONS(5549),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5549),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5549),
    [sym_preproc_directive] = ACTIONS(5549),
    [anon_sym_LPAREN2] = ACTIONS(5551),
    [anon_sym_TILDE] = ACTIONS(5551),
    [anon_sym_STAR] = ACTIONS(5551),
    [anon_sym_AMP_AMP] = ACTIONS(5551),
    [anon_sym_AMP] = ACTIONS(5549),
    [anon_sym___extension__] = ACTIONS(5549),
    [anon_sym_typedef] = ACTIONS(5549),
    [anon_sym_extern] = ACTIONS(5549),
    [anon_sym___attribute__] = ACTIONS(5549),
    [anon_sym_COLON_COLON] = ACTIONS(5551),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5551),
    [anon_sym___declspec] = ACTIONS(5549),
    [anon_sym___based] = ACTIONS(5549),
    [anon_sym_signed] = ACTIONS(5549),
    [anon_sym_unsigned] = ACTIONS(5549),
    [anon_sym_long] = ACTIONS(5549),
    [anon_sym_short] = ACTIONS(5549),
    [anon_sym_LBRACK] = ACTIONS(5549),
    [anon_sym_static] = ACTIONS(5549),
    [anon_sym_register] = ACTIONS(5549),
    [anon_sym_inline] = ACTIONS(5549),
    [anon_sym___inline] = ACTIONS(5549),
    [anon_sym___inline__] = ACTIONS(5549),
    [anon_sym___forceinline] = ACTIONS(5549),
    [anon_sym_thread_local] = ACTIONS(5549),
    [anon_sym___thread] = ACTIONS(5549),
    [anon_sym_const] = ACTIONS(5549),
    [anon_sym_constexpr] = ACTIONS(5549),
    [anon_sym_volatile] = ACTIONS(5549),
    [anon_sym_restrict] = ACTIONS(5549),
    [anon_sym___restrict__] = ACTIONS(5549),
    [anon_sym__Atomic] = ACTIONS(5549),
    [anon_sym__Noreturn] = ACTIONS(5549),
    [anon_sym_noreturn] = ACTIONS(5549),
    [anon_sym_mutable] = ACTIONS(5549),
    [anon_sym_constinit] = ACTIONS(5549),
    [anon_sym_consteval] = ACTIONS(5549),
    [anon_sym_PROGMEM] = ACTIONS(5549),
    [aux_sym_primitive_type_token1] = ACTIONS(5549),
    [anon_sym_byte] = ACTIONS(5549),
    [anon_sym_word] = ACTIONS(5549),
    [anon_sym_enum] = ACTIONS(5549),
    [anon_sym_class] = ACTIONS(5549),
    [anon_sym_struct] = ACTIONS(5549),
    [anon_sym_union] = ACTIONS(5549),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5549),
    [anon_sym_decltype] = ACTIONS(5549),
    [anon_sym_virtual] = ACTIONS(5549),
    [anon_sym_alignas] = ACTIONS(5549),
    [anon_sym_explicit] = ACTIONS(5549),
    [anon_sym_typename] = ACTIONS(5549),
    [anon_sym_template] = ACTIONS(5549),
    [anon_sym_operator] = ACTIONS(5549),
    [anon_sym_friend] = ACTIONS(5549),
    [anon_sym_public] = ACTIONS(5549),
    [anon_sym_private] = ACTIONS(5549),
    [anon_sym_protected] = ACTIONS(5549),
    [anon_sym_using] = ACTIONS(5549),
    [anon_sym_static_assert] = ACTIONS(5549),
  },
  [2171] = {
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token2] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [aux_sym_preproc_else_token1] = ACTIONS(3040),
    [aux_sym_preproc_elif_token1] = ACTIONS(3040),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_PROGMEM] = ACTIONS(3040),
    [aux_sym_primitive_type_token1] = ACTIONS(3040),
    [anon_sym_byte] = ACTIONS(3040),
    [anon_sym_word] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_friend] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
  },
  [2172] = {
    [sym_identifier] = ACTIONS(5129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5131),
    [anon_sym_COMMA] = ACTIONS(5131),
    [anon_sym_RPAREN] = ACTIONS(5131),
    [anon_sym_LPAREN2] = ACTIONS(5131),
    [anon_sym_DASH] = ACTIONS(5129),
    [anon_sym_PLUS] = ACTIONS(5129),
    [anon_sym_STAR] = ACTIONS(5131),
    [anon_sym_SLASH] = ACTIONS(5129),
    [anon_sym_PERCENT] = ACTIONS(5131),
    [anon_sym_PIPE_PIPE] = ACTIONS(5131),
    [anon_sym_AMP_AMP] = ACTIONS(5131),
    [anon_sym_PIPE] = ACTIONS(5129),
    [anon_sym_CARET] = ACTIONS(5131),
    [anon_sym_AMP] = ACTIONS(5129),
    [anon_sym_EQ_EQ] = ACTIONS(5131),
    [anon_sym_BANG_EQ] = ACTIONS(5131),
    [anon_sym_GT] = ACTIONS(5129),
    [anon_sym_GT_EQ] = ACTIONS(5131),
    [anon_sym_LT_EQ] = ACTIONS(5129),
    [anon_sym_LT] = ACTIONS(5129),
    [anon_sym_LT_LT] = ACTIONS(5131),
    [anon_sym_GT_GT] = ACTIONS(5131),
    [anon_sym_SEMI] = ACTIONS(5131),
    [anon_sym___extension__] = ACTIONS(5129),
    [anon_sym___attribute__] = ACTIONS(5129),
    [anon_sym_COLON_COLON] = ACTIONS(5131),
    [anon_sym___based] = ACTIONS(5129),
    [anon_sym_LBRACE] = ACTIONS(5131),
    [anon_sym_RBRACE] = ACTIONS(5131),
    [anon_sym_signed] = ACTIONS(5129),
    [anon_sym_unsigned] = ACTIONS(5129),
    [anon_sym_long] = ACTIONS(5129),
    [anon_sym_short] = ACTIONS(5129),
    [anon_sym_LBRACK] = ACTIONS(5131),
    [anon_sym_RBRACK] = ACTIONS(5131),
    [anon_sym_const] = ACTIONS(5129),
    [anon_sym_constexpr] = ACTIONS(5129),
    [anon_sym_volatile] = ACTIONS(5129),
    [anon_sym_restrict] = ACTIONS(5129),
    [anon_sym___restrict__] = ACTIONS(5129),
    [anon_sym__Atomic] = ACTIONS(5129),
    [anon_sym__Noreturn] = ACTIONS(5129),
    [anon_sym_noreturn] = ACTIONS(5129),
    [anon_sym_mutable] = ACTIONS(5129),
    [anon_sym_constinit] = ACTIONS(5129),
    [anon_sym_consteval] = ACTIONS(5129),
    [anon_sym_PROGMEM] = ACTIONS(5129),
    [aux_sym_primitive_type_token1] = ACTIONS(5129),
    [anon_sym_byte] = ACTIONS(5129),
    [anon_sym_word] = ACTIONS(5129),
    [anon_sym_COLON] = ACTIONS(5129),
    [anon_sym_QMARK] = ACTIONS(5131),
    [anon_sym_LT_EQ_GT] = ACTIONS(5131),
    [anon_sym_or] = ACTIONS(5129),
    [anon_sym_and] = ACTIONS(5129),
    [anon_sym_bitor] = ACTIONS(5129),
    [anon_sym_xor] = ACTIONS(5129),
    [anon_sym_bitand] = ACTIONS(5129),
    [anon_sym_not_eq] = ACTIONS(5129),
    [anon_sym_DASH_DASH] = ACTIONS(5131),
    [anon_sym_PLUS_PLUS] = ACTIONS(5131),
    [anon_sym_DOT] = ACTIONS(5129),
    [anon_sym_DOT_STAR] = ACTIONS(5131),
    [anon_sym_DASH_GT] = ACTIONS(5131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5129),
    [anon_sym_decltype] = ACTIONS(5129),
    [anon_sym_final] = ACTIONS(5129),
    [anon_sym_override] = ACTIONS(5129),
    [anon_sym_requires] = ACTIONS(5129),
  },
  [2173] = {
    [sym_primitive_type] = STATE(2662),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2223),
    [sym_identifier] = ACTIONS(5553),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5555),
    [anon_sym_COMMA] = ACTIONS(5555),
    [anon_sym_RPAREN] = ACTIONS(5555),
    [anon_sym_LPAREN2] = ACTIONS(5555),
    [anon_sym_DASH] = ACTIONS(5557),
    [anon_sym_PLUS] = ACTIONS(5557),
    [anon_sym_STAR] = ACTIONS(5555),
    [anon_sym_SLASH] = ACTIONS(5557),
    [anon_sym_PERCENT] = ACTIONS(5555),
    [anon_sym_PIPE_PIPE] = ACTIONS(5555),
    [anon_sym_AMP_AMP] = ACTIONS(5555),
    [anon_sym_PIPE] = ACTIONS(5557),
    [anon_sym_CARET] = ACTIONS(5555),
    [anon_sym_AMP] = ACTIONS(5557),
    [anon_sym_EQ_EQ] = ACTIONS(5555),
    [anon_sym_BANG_EQ] = ACTIONS(5555),
    [anon_sym_GT] = ACTIONS(5557),
    [anon_sym_GT_EQ] = ACTIONS(5555),
    [anon_sym_LT_EQ] = ACTIONS(5557),
    [anon_sym_LT] = ACTIONS(5557),
    [anon_sym_LT_LT] = ACTIONS(5555),
    [anon_sym_GT_GT] = ACTIONS(5555),
    [anon_sym_SEMI] = ACTIONS(5555),
    [anon_sym___extension__] = ACTIONS(5557),
    [anon_sym___attribute__] = ACTIONS(5557),
    [anon_sym_LBRACE] = ACTIONS(5555),
    [anon_sym_RBRACE] = ACTIONS(5555),
    [anon_sym_signed] = ACTIONS(5559),
    [anon_sym_unsigned] = ACTIONS(5559),
    [anon_sym_long] = ACTIONS(5559),
    [anon_sym_short] = ACTIONS(5559),
    [anon_sym_LBRACK] = ACTIONS(5555),
    [anon_sym_RBRACK] = ACTIONS(5555),
    [anon_sym_const] = ACTIONS(5557),
    [anon_sym_constexpr] = ACTIONS(5557),
    [anon_sym_volatile] = ACTIONS(5557),
    [anon_sym_restrict] = ACTIONS(5557),
    [anon_sym___restrict__] = ACTIONS(5557),
    [anon_sym__Atomic] = ACTIONS(5557),
    [anon_sym__Noreturn] = ACTIONS(5557),
    [anon_sym_noreturn] = ACTIONS(5557),
    [anon_sym_mutable] = ACTIONS(5557),
    [anon_sym_constinit] = ACTIONS(5557),
    [anon_sym_consteval] = ACTIONS(5557),
    [anon_sym_PROGMEM] = ACTIONS(5557),
    [aux_sym_primitive_type_token1] = ACTIONS(2095),
    [anon_sym_byte] = ACTIONS(2095),
    [anon_sym_word] = ACTIONS(2095),
    [anon_sym_COLON] = ACTIONS(5555),
    [anon_sym_QMARK] = ACTIONS(5555),
    [anon_sym_LT_EQ_GT] = ACTIONS(5555),
    [anon_sym_or] = ACTIONS(5557),
    [anon_sym_and] = ACTIONS(5557),
    [anon_sym_bitor] = ACTIONS(5557),
    [anon_sym_xor] = ACTIONS(5557),
    [anon_sym_bitand] = ACTIONS(5557),
    [anon_sym_not_eq] = ACTIONS(5557),
    [anon_sym_DASH_DASH] = ACTIONS(5555),
    [anon_sym_PLUS_PLUS] = ACTIONS(5555),
    [anon_sym_DOT] = ACTIONS(5557),
    [anon_sym_DOT_STAR] = ACTIONS(5555),
    [anon_sym_DASH_GT] = ACTIONS(5555),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5557),
    [anon_sym_decltype] = ACTIONS(5557),
    [anon_sym_final] = ACTIONS(5557),
    [anon_sym_override] = ACTIONS(5557),
    [anon_sym_requires] = ACTIONS(5557),
  },
  [2174] = {
    [sym_identifier] = ACTIONS(2261),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [aux_sym_preproc_if_token1] = ACTIONS(2261),
    [aux_sym_preproc_if_token2] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2261),
    [aux_sym_preproc_else_token1] = ACTIONS(2261),
    [aux_sym_preproc_elif_token1] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2261),
    [anon_sym_LPAREN2] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym___extension__] = ACTIONS(2261),
    [anon_sym_typedef] = ACTIONS(2261),
    [anon_sym_extern] = ACTIONS(2261),
    [anon_sym___attribute__] = ACTIONS(2261),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2259),
    [anon_sym___declspec] = ACTIONS(2261),
    [anon_sym___based] = ACTIONS(2261),
    [anon_sym_signed] = ACTIONS(2261),
    [anon_sym_unsigned] = ACTIONS(2261),
    [anon_sym_long] = ACTIONS(2261),
    [anon_sym_short] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_register] = ACTIONS(2261),
    [anon_sym_inline] = ACTIONS(2261),
    [anon_sym___inline] = ACTIONS(2261),
    [anon_sym___inline__] = ACTIONS(2261),
    [anon_sym___forceinline] = ACTIONS(2261),
    [anon_sym_thread_local] = ACTIONS(2261),
    [anon_sym___thread] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_constexpr] = ACTIONS(2261),
    [anon_sym_volatile] = ACTIONS(2261),
    [anon_sym_restrict] = ACTIONS(2261),
    [anon_sym___restrict__] = ACTIONS(2261),
    [anon_sym__Atomic] = ACTIONS(2261),
    [anon_sym__Noreturn] = ACTIONS(2261),
    [anon_sym_noreturn] = ACTIONS(2261),
    [anon_sym_mutable] = ACTIONS(2261),
    [anon_sym_constinit] = ACTIONS(2261),
    [anon_sym_consteval] = ACTIONS(2261),
    [anon_sym_PROGMEM] = ACTIONS(2261),
    [aux_sym_primitive_type_token1] = ACTIONS(2261),
    [anon_sym_byte] = ACTIONS(2261),
    [anon_sym_word] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_struct] = ACTIONS(2261),
    [anon_sym_union] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2261),
    [anon_sym_decltype] = ACTIONS(2261),
    [anon_sym_virtual] = ACTIONS(2261),
    [anon_sym_alignas] = ACTIONS(2261),
    [anon_sym_explicit] = ACTIONS(2261),
    [anon_sym_typename] = ACTIONS(2261),
    [anon_sym_template] = ACTIONS(2261),
    [anon_sym_operator] = ACTIONS(2261),
    [anon_sym_friend] = ACTIONS(2261),
    [anon_sym_public] = ACTIONS(2261),
    [anon_sym_private] = ACTIONS(2261),
    [anon_sym_protected] = ACTIONS(2261),
    [anon_sym_using] = ACTIONS(2261),
    [anon_sym_static_assert] = ACTIONS(2261),
    [anon_sym_catch] = ACTIONS(2261),
  },
  [2175] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token2] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [aux_sym_preproc_else_token1] = ACTIONS(3064),
    [aux_sym_preproc_elif_token1] = ACTIONS(3064),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_friend] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
  },
  [2176] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token2] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [aux_sym_preproc_else_token1] = ACTIONS(3064),
    [aux_sym_preproc_elif_token1] = ACTIONS(3064),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_friend] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
  },
  [2177] = {
    [sym_identifier] = ACTIONS(5561),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5563),
    [anon_sym_COMMA] = ACTIONS(5563),
    [anon_sym_RPAREN] = ACTIONS(5563),
    [anon_sym_LPAREN2] = ACTIONS(5563),
    [anon_sym_DASH] = ACTIONS(5561),
    [anon_sym_PLUS] = ACTIONS(5561),
    [anon_sym_STAR] = ACTIONS(5563),
    [anon_sym_SLASH] = ACTIONS(5561),
    [anon_sym_PERCENT] = ACTIONS(5563),
    [anon_sym_PIPE_PIPE] = ACTIONS(5563),
    [anon_sym_AMP_AMP] = ACTIONS(5563),
    [anon_sym_PIPE] = ACTIONS(5561),
    [anon_sym_CARET] = ACTIONS(5563),
    [anon_sym_AMP] = ACTIONS(5561),
    [anon_sym_EQ_EQ] = ACTIONS(5563),
    [anon_sym_BANG_EQ] = ACTIONS(5563),
    [anon_sym_GT] = ACTIONS(5561),
    [anon_sym_GT_EQ] = ACTIONS(5563),
    [anon_sym_LT_EQ] = ACTIONS(5561),
    [anon_sym_LT] = ACTIONS(5561),
    [anon_sym_LT_LT] = ACTIONS(5563),
    [anon_sym_GT_GT] = ACTIONS(5563),
    [anon_sym_SEMI] = ACTIONS(5563),
    [anon_sym___extension__] = ACTIONS(5561),
    [anon_sym___attribute__] = ACTIONS(5561),
    [anon_sym_COLON_COLON] = ACTIONS(5483),
    [anon_sym___based] = ACTIONS(5561),
    [anon_sym_LBRACE] = ACTIONS(5563),
    [anon_sym_RBRACE] = ACTIONS(5563),
    [anon_sym_signed] = ACTIONS(5561),
    [anon_sym_unsigned] = ACTIONS(5561),
    [anon_sym_long] = ACTIONS(5561),
    [anon_sym_short] = ACTIONS(5561),
    [anon_sym_LBRACK] = ACTIONS(5563),
    [anon_sym_RBRACK] = ACTIONS(5563),
    [anon_sym_const] = ACTIONS(5561),
    [anon_sym_constexpr] = ACTIONS(5561),
    [anon_sym_volatile] = ACTIONS(5561),
    [anon_sym_restrict] = ACTIONS(5561),
    [anon_sym___restrict__] = ACTIONS(5561),
    [anon_sym__Atomic] = ACTIONS(5561),
    [anon_sym__Noreturn] = ACTIONS(5561),
    [anon_sym_noreturn] = ACTIONS(5561),
    [anon_sym_mutable] = ACTIONS(5561),
    [anon_sym_constinit] = ACTIONS(5561),
    [anon_sym_consteval] = ACTIONS(5561),
    [anon_sym_PROGMEM] = ACTIONS(5561),
    [aux_sym_primitive_type_token1] = ACTIONS(5561),
    [anon_sym_byte] = ACTIONS(5561),
    [anon_sym_word] = ACTIONS(5561),
    [anon_sym_COLON] = ACTIONS(5561),
    [anon_sym_QMARK] = ACTIONS(5563),
    [anon_sym_LT_EQ_GT] = ACTIONS(5563),
    [anon_sym_or] = ACTIONS(5561),
    [anon_sym_and] = ACTIONS(5561),
    [anon_sym_bitor] = ACTIONS(5561),
    [anon_sym_xor] = ACTIONS(5561),
    [anon_sym_bitand] = ACTIONS(5561),
    [anon_sym_not_eq] = ACTIONS(5561),
    [anon_sym_DASH_DASH] = ACTIONS(5563),
    [anon_sym_PLUS_PLUS] = ACTIONS(5563),
    [anon_sym_DOT] = ACTIONS(5561),
    [anon_sym_DOT_STAR] = ACTIONS(5563),
    [anon_sym_DASH_GT] = ACTIONS(5563),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5561),
    [anon_sym_decltype] = ACTIONS(5561),
    [anon_sym_final] = ACTIONS(5561),
    [anon_sym_override] = ACTIONS(5561),
    [anon_sym_requires] = ACTIONS(5561),
  },
  [2178] = {
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token2] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [aux_sym_preproc_else_token1] = ACTIONS(3052),
    [aux_sym_preproc_elif_token1] = ACTIONS(3052),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_PROGMEM] = ACTIONS(3052),
    [aux_sym_primitive_type_token1] = ACTIONS(3052),
    [anon_sym_byte] = ACTIONS(3052),
    [anon_sym_word] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_friend] = ACTIONS(3052),
    [anon_sym_public] = ACTIONS(3052),
    [anon_sym_private] = ACTIONS(3052),
    [anon_sym_protected] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
  },
  [2179] = {
    [sym__declaration_modifiers] = STATE(3944),
    [sym_attribute_specifier] = STATE(3944),
    [sym_attribute_declaration] = STATE(3944),
    [sym_ms_declspec_modifier] = STATE(3944),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7068),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3944),
    [sym_type_qualifier] = STATE(3944),
    [sym_decltype] = STATE(9281),
    [sym_virtual] = STATE(3944),
    [sym_alignas_specifier] = STATE(3944),
    [sym_explicit_function_specifier] = STATE(3944),
    [sym_operator_cast] = STATE(7389),
    [sym__constructor_specifiers] = STATE(3944),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(9281),
    [sym_template_function] = STATE(6932),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6232),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_operator_cast_identifier] = STATE(7389),
    [sym_operator_name] = STATE(6932),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3944),
    [sym_identifier] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(5443),
    [anon_sym_extern] = ACTIONS(5445),
    [anon_sym___attribute__] = ACTIONS(5447),
    [anon_sym_COLON_COLON] = ACTIONS(5449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5451),
    [anon_sym___declspec] = ACTIONS(5453),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(5445),
    [anon_sym_register] = ACTIONS(5445),
    [anon_sym_inline] = ACTIONS(5445),
    [anon_sym___inline] = ACTIONS(5445),
    [anon_sym___inline__] = ACTIONS(5445),
    [anon_sym___forceinline] = ACTIONS(5445),
    [anon_sym_thread_local] = ACTIONS(5445),
    [anon_sym___thread] = ACTIONS(5445),
    [anon_sym_const] = ACTIONS(5443),
    [anon_sym_constexpr] = ACTIONS(5443),
    [anon_sym_volatile] = ACTIONS(5443),
    [anon_sym_restrict] = ACTIONS(5443),
    [anon_sym___restrict__] = ACTIONS(5443),
    [anon_sym__Atomic] = ACTIONS(5443),
    [anon_sym__Noreturn] = ACTIONS(5443),
    [anon_sym_noreturn] = ACTIONS(5443),
    [anon_sym_mutable] = ACTIONS(5443),
    [anon_sym_constinit] = ACTIONS(5443),
    [anon_sym_consteval] = ACTIONS(5443),
    [anon_sym_PROGMEM] = ACTIONS(5443),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_virtual] = ACTIONS(5455),
    [anon_sym_alignas] = ACTIONS(5457),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(133),
  },
  [2180] = {
    [sym_identifier] = ACTIONS(3421),
    [aux_sym_preproc_def_token1] = ACTIONS(3421),
    [aux_sym_preproc_if_token1] = ACTIONS(3421),
    [aux_sym_preproc_if_token2] = ACTIONS(3421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3421),
    [aux_sym_preproc_else_token1] = ACTIONS(3421),
    [aux_sym_preproc_elif_token1] = ACTIONS(3421),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3421),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3421),
    [sym_preproc_directive] = ACTIONS(3421),
    [anon_sym_LPAREN2] = ACTIONS(3423),
    [anon_sym_TILDE] = ACTIONS(3423),
    [anon_sym_STAR] = ACTIONS(3423),
    [anon_sym_AMP_AMP] = ACTIONS(3423),
    [anon_sym_AMP] = ACTIONS(3421),
    [anon_sym___extension__] = ACTIONS(3421),
    [anon_sym_typedef] = ACTIONS(3421),
    [anon_sym_extern] = ACTIONS(3421),
    [anon_sym___attribute__] = ACTIONS(3421),
    [anon_sym_COLON_COLON] = ACTIONS(3423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3423),
    [anon_sym___declspec] = ACTIONS(3421),
    [anon_sym___based] = ACTIONS(3421),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(3421),
    [anon_sym_static] = ACTIONS(3421),
    [anon_sym_register] = ACTIONS(3421),
    [anon_sym_inline] = ACTIONS(3421),
    [anon_sym___inline] = ACTIONS(3421),
    [anon_sym___inline__] = ACTIONS(3421),
    [anon_sym___forceinline] = ACTIONS(3421),
    [anon_sym_thread_local] = ACTIONS(3421),
    [anon_sym___thread] = ACTIONS(3421),
    [anon_sym_const] = ACTIONS(3421),
    [anon_sym_constexpr] = ACTIONS(3421),
    [anon_sym_volatile] = ACTIONS(3421),
    [anon_sym_restrict] = ACTIONS(3421),
    [anon_sym___restrict__] = ACTIONS(3421),
    [anon_sym__Atomic] = ACTIONS(3421),
    [anon_sym__Noreturn] = ACTIONS(3421),
    [anon_sym_noreturn] = ACTIONS(3421),
    [anon_sym_mutable] = ACTIONS(3421),
    [anon_sym_constinit] = ACTIONS(3421),
    [anon_sym_consteval] = ACTIONS(3421),
    [anon_sym_PROGMEM] = ACTIONS(3421),
    [aux_sym_primitive_type_token1] = ACTIONS(3421),
    [anon_sym_byte] = ACTIONS(3421),
    [anon_sym_word] = ACTIONS(3421),
    [anon_sym_enum] = ACTIONS(3421),
    [anon_sym_class] = ACTIONS(3421),
    [anon_sym_struct] = ACTIONS(3421),
    [anon_sym_union] = ACTIONS(3421),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3421),
    [anon_sym_decltype] = ACTIONS(3421),
    [anon_sym_virtual] = ACTIONS(3421),
    [anon_sym_alignas] = ACTIONS(3421),
    [anon_sym_explicit] = ACTIONS(3421),
    [anon_sym_typename] = ACTIONS(3421),
    [anon_sym_template] = ACTIONS(3421),
    [anon_sym_operator] = ACTIONS(3421),
    [anon_sym_friend] = ACTIONS(3421),
    [anon_sym_public] = ACTIONS(3421),
    [anon_sym_private] = ACTIONS(3421),
    [anon_sym_protected] = ACTIONS(3421),
    [anon_sym_using] = ACTIONS(3421),
    [anon_sym_static_assert] = ACTIONS(3421),
  },
  [2181] = {
    [sym__declaration_modifiers] = STATE(3944),
    [sym_attribute_specifier] = STATE(3944),
    [sym_attribute_declaration] = STATE(3944),
    [sym_ms_declspec_modifier] = STATE(3944),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6889),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3944),
    [sym_type_qualifier] = STATE(3944),
    [sym_decltype] = STATE(9281),
    [sym_virtual] = STATE(3944),
    [sym_alignas_specifier] = STATE(3944),
    [sym_explicit_function_specifier] = STATE(3944),
    [sym_operator_cast] = STATE(7353),
    [sym__constructor_specifiers] = STATE(3944),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(9281),
    [sym_template_function] = STATE(6932),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6232),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_operator_cast_identifier] = STATE(7353),
    [sym_operator_name] = STATE(6932),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3944),
    [sym_identifier] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(5443),
    [anon_sym_extern] = ACTIONS(5445),
    [anon_sym___attribute__] = ACTIONS(5447),
    [anon_sym_COLON_COLON] = ACTIONS(5449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5451),
    [anon_sym___declspec] = ACTIONS(5453),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(5445),
    [anon_sym_register] = ACTIONS(5445),
    [anon_sym_inline] = ACTIONS(5445),
    [anon_sym___inline] = ACTIONS(5445),
    [anon_sym___inline__] = ACTIONS(5445),
    [anon_sym___forceinline] = ACTIONS(5445),
    [anon_sym_thread_local] = ACTIONS(5445),
    [anon_sym___thread] = ACTIONS(5445),
    [anon_sym_const] = ACTIONS(5443),
    [anon_sym_constexpr] = ACTIONS(5443),
    [anon_sym_volatile] = ACTIONS(5443),
    [anon_sym_restrict] = ACTIONS(5443),
    [anon_sym___restrict__] = ACTIONS(5443),
    [anon_sym__Atomic] = ACTIONS(5443),
    [anon_sym__Noreturn] = ACTIONS(5443),
    [anon_sym_noreturn] = ACTIONS(5443),
    [anon_sym_mutable] = ACTIONS(5443),
    [anon_sym_constinit] = ACTIONS(5443),
    [anon_sym_consteval] = ACTIONS(5443),
    [anon_sym_PROGMEM] = ACTIONS(5443),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_virtual] = ACTIONS(5455),
    [anon_sym_alignas] = ACTIONS(5457),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(133),
  },
  [2182] = {
    [sym_identifier] = ACTIONS(2265),
    [aux_sym_preproc_def_token1] = ACTIONS(2265),
    [aux_sym_preproc_if_token1] = ACTIONS(2265),
    [aux_sym_preproc_if_token2] = ACTIONS(2265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2265),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2265),
    [aux_sym_preproc_else_token1] = ACTIONS(2265),
    [aux_sym_preproc_elif_token1] = ACTIONS(2265),
    [sym_preproc_directive] = ACTIONS(2265),
    [anon_sym_LPAREN2] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [anon_sym_STAR] = ACTIONS(2263),
    [anon_sym_AMP_AMP] = ACTIONS(2263),
    [anon_sym_AMP] = ACTIONS(2265),
    [anon_sym_SEMI] = ACTIONS(2263),
    [anon_sym___extension__] = ACTIONS(2265),
    [anon_sym_typedef] = ACTIONS(2265),
    [anon_sym_extern] = ACTIONS(2265),
    [anon_sym___attribute__] = ACTIONS(2265),
    [anon_sym_COLON_COLON] = ACTIONS(2263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2263),
    [anon_sym___declspec] = ACTIONS(2265),
    [anon_sym___based] = ACTIONS(2265),
    [anon_sym_signed] = ACTIONS(2265),
    [anon_sym_unsigned] = ACTIONS(2265),
    [anon_sym_long] = ACTIONS(2265),
    [anon_sym_short] = ACTIONS(2265),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_static] = ACTIONS(2265),
    [anon_sym_register] = ACTIONS(2265),
    [anon_sym_inline] = ACTIONS(2265),
    [anon_sym___inline] = ACTIONS(2265),
    [anon_sym___inline__] = ACTIONS(2265),
    [anon_sym___forceinline] = ACTIONS(2265),
    [anon_sym_thread_local] = ACTIONS(2265),
    [anon_sym___thread] = ACTIONS(2265),
    [anon_sym_const] = ACTIONS(2265),
    [anon_sym_constexpr] = ACTIONS(2265),
    [anon_sym_volatile] = ACTIONS(2265),
    [anon_sym_restrict] = ACTIONS(2265),
    [anon_sym___restrict__] = ACTIONS(2265),
    [anon_sym__Atomic] = ACTIONS(2265),
    [anon_sym__Noreturn] = ACTIONS(2265),
    [anon_sym_noreturn] = ACTIONS(2265),
    [anon_sym_mutable] = ACTIONS(2265),
    [anon_sym_constinit] = ACTIONS(2265),
    [anon_sym_consteval] = ACTIONS(2265),
    [anon_sym_PROGMEM] = ACTIONS(2265),
    [aux_sym_primitive_type_token1] = ACTIONS(2265),
    [anon_sym_byte] = ACTIONS(2265),
    [anon_sym_word] = ACTIONS(2265),
    [anon_sym_enum] = ACTIONS(2265),
    [anon_sym_class] = ACTIONS(2265),
    [anon_sym_struct] = ACTIONS(2265),
    [anon_sym_union] = ACTIONS(2265),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2265),
    [anon_sym_decltype] = ACTIONS(2265),
    [anon_sym_virtual] = ACTIONS(2265),
    [anon_sym_alignas] = ACTIONS(2265),
    [anon_sym_explicit] = ACTIONS(2265),
    [anon_sym_typename] = ACTIONS(2265),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_operator] = ACTIONS(2265),
    [anon_sym_friend] = ACTIONS(2265),
    [anon_sym_public] = ACTIONS(2265),
    [anon_sym_private] = ACTIONS(2265),
    [anon_sym_protected] = ACTIONS(2265),
    [anon_sym_using] = ACTIONS(2265),
    [anon_sym_static_assert] = ACTIONS(2265),
    [anon_sym_catch] = ACTIONS(2265),
  },
  [2183] = {
    [sym_identifier] = ACTIONS(5141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5143),
    [anon_sym_COMMA] = ACTIONS(5143),
    [anon_sym_RPAREN] = ACTIONS(5143),
    [anon_sym_LPAREN2] = ACTIONS(5143),
    [anon_sym_DASH] = ACTIONS(5141),
    [anon_sym_PLUS] = ACTIONS(5141),
    [anon_sym_STAR] = ACTIONS(5143),
    [anon_sym_SLASH] = ACTIONS(5141),
    [anon_sym_PERCENT] = ACTIONS(5143),
    [anon_sym_PIPE_PIPE] = ACTIONS(5143),
    [anon_sym_AMP_AMP] = ACTIONS(5143),
    [anon_sym_PIPE] = ACTIONS(5141),
    [anon_sym_CARET] = ACTIONS(5143),
    [anon_sym_AMP] = ACTIONS(5141),
    [anon_sym_EQ_EQ] = ACTIONS(5143),
    [anon_sym_BANG_EQ] = ACTIONS(5143),
    [anon_sym_GT] = ACTIONS(5141),
    [anon_sym_GT_EQ] = ACTIONS(5143),
    [anon_sym_LT_EQ] = ACTIONS(5141),
    [anon_sym_LT] = ACTIONS(5141),
    [anon_sym_LT_LT] = ACTIONS(5143),
    [anon_sym_GT_GT] = ACTIONS(5143),
    [anon_sym_SEMI] = ACTIONS(5143),
    [anon_sym___extension__] = ACTIONS(5141),
    [anon_sym___attribute__] = ACTIONS(5141),
    [anon_sym_COLON_COLON] = ACTIONS(5143),
    [anon_sym___based] = ACTIONS(5141),
    [anon_sym_LBRACE] = ACTIONS(5143),
    [anon_sym_RBRACE] = ACTIONS(5143),
    [anon_sym_signed] = ACTIONS(5141),
    [anon_sym_unsigned] = ACTIONS(5141),
    [anon_sym_long] = ACTIONS(5141),
    [anon_sym_short] = ACTIONS(5141),
    [anon_sym_LBRACK] = ACTIONS(5143),
    [anon_sym_RBRACK] = ACTIONS(5143),
    [anon_sym_const] = ACTIONS(5141),
    [anon_sym_constexpr] = ACTIONS(5141),
    [anon_sym_volatile] = ACTIONS(5141),
    [anon_sym_restrict] = ACTIONS(5141),
    [anon_sym___restrict__] = ACTIONS(5141),
    [anon_sym__Atomic] = ACTIONS(5141),
    [anon_sym__Noreturn] = ACTIONS(5141),
    [anon_sym_noreturn] = ACTIONS(5141),
    [anon_sym_mutable] = ACTIONS(5141),
    [anon_sym_constinit] = ACTIONS(5141),
    [anon_sym_consteval] = ACTIONS(5141),
    [anon_sym_PROGMEM] = ACTIONS(5141),
    [aux_sym_primitive_type_token1] = ACTIONS(5141),
    [anon_sym_byte] = ACTIONS(5141),
    [anon_sym_word] = ACTIONS(5141),
    [anon_sym_COLON] = ACTIONS(5141),
    [anon_sym_QMARK] = ACTIONS(5143),
    [anon_sym_LT_EQ_GT] = ACTIONS(5143),
    [anon_sym_or] = ACTIONS(5141),
    [anon_sym_and] = ACTIONS(5141),
    [anon_sym_bitor] = ACTIONS(5141),
    [anon_sym_xor] = ACTIONS(5141),
    [anon_sym_bitand] = ACTIONS(5141),
    [anon_sym_not_eq] = ACTIONS(5141),
    [anon_sym_DASH_DASH] = ACTIONS(5143),
    [anon_sym_PLUS_PLUS] = ACTIONS(5143),
    [anon_sym_DOT] = ACTIONS(5141),
    [anon_sym_DOT_STAR] = ACTIONS(5143),
    [anon_sym_DASH_GT] = ACTIONS(5143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5141),
    [anon_sym_decltype] = ACTIONS(5141),
    [anon_sym_final] = ACTIONS(5141),
    [anon_sym_override] = ACTIONS(5141),
    [anon_sym_requires] = ACTIONS(5141),
  },
  [2184] = {
    [sym_identifier] = ACTIONS(5565),
    [aux_sym_preproc_def_token1] = ACTIONS(5565),
    [aux_sym_preproc_if_token1] = ACTIONS(5565),
    [aux_sym_preproc_if_token2] = ACTIONS(5565),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5565),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5565),
    [aux_sym_preproc_else_token1] = ACTIONS(5565),
    [aux_sym_preproc_elif_token1] = ACTIONS(5565),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5565),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5565),
    [sym_preproc_directive] = ACTIONS(5565),
    [anon_sym_LPAREN2] = ACTIONS(5567),
    [anon_sym_TILDE] = ACTIONS(5567),
    [anon_sym_STAR] = ACTIONS(5567),
    [anon_sym_AMP_AMP] = ACTIONS(5567),
    [anon_sym_AMP] = ACTIONS(5565),
    [anon_sym___extension__] = ACTIONS(5565),
    [anon_sym_typedef] = ACTIONS(5565),
    [anon_sym_extern] = ACTIONS(5565),
    [anon_sym___attribute__] = ACTIONS(5565),
    [anon_sym_COLON_COLON] = ACTIONS(5567),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5567),
    [anon_sym___declspec] = ACTIONS(5565),
    [anon_sym___based] = ACTIONS(5565),
    [anon_sym_signed] = ACTIONS(5565),
    [anon_sym_unsigned] = ACTIONS(5565),
    [anon_sym_long] = ACTIONS(5565),
    [anon_sym_short] = ACTIONS(5565),
    [anon_sym_LBRACK] = ACTIONS(5565),
    [anon_sym_static] = ACTIONS(5565),
    [anon_sym_register] = ACTIONS(5565),
    [anon_sym_inline] = ACTIONS(5565),
    [anon_sym___inline] = ACTIONS(5565),
    [anon_sym___inline__] = ACTIONS(5565),
    [anon_sym___forceinline] = ACTIONS(5565),
    [anon_sym_thread_local] = ACTIONS(5565),
    [anon_sym___thread] = ACTIONS(5565),
    [anon_sym_const] = ACTIONS(5565),
    [anon_sym_constexpr] = ACTIONS(5565),
    [anon_sym_volatile] = ACTIONS(5565),
    [anon_sym_restrict] = ACTIONS(5565),
    [anon_sym___restrict__] = ACTIONS(5565),
    [anon_sym__Atomic] = ACTIONS(5565),
    [anon_sym__Noreturn] = ACTIONS(5565),
    [anon_sym_noreturn] = ACTIONS(5565),
    [anon_sym_mutable] = ACTIONS(5565),
    [anon_sym_constinit] = ACTIONS(5565),
    [anon_sym_consteval] = ACTIONS(5565),
    [anon_sym_PROGMEM] = ACTIONS(5565),
    [aux_sym_primitive_type_token1] = ACTIONS(5565),
    [anon_sym_byte] = ACTIONS(5565),
    [anon_sym_word] = ACTIONS(5565),
    [anon_sym_enum] = ACTIONS(5565),
    [anon_sym_class] = ACTIONS(5565),
    [anon_sym_struct] = ACTIONS(5565),
    [anon_sym_union] = ACTIONS(5565),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5565),
    [anon_sym_decltype] = ACTIONS(5565),
    [anon_sym_virtual] = ACTIONS(5565),
    [anon_sym_alignas] = ACTIONS(5565),
    [anon_sym_explicit] = ACTIONS(5565),
    [anon_sym_typename] = ACTIONS(5565),
    [anon_sym_template] = ACTIONS(5565),
    [anon_sym_operator] = ACTIONS(5565),
    [anon_sym_friend] = ACTIONS(5565),
    [anon_sym_public] = ACTIONS(5565),
    [anon_sym_private] = ACTIONS(5565),
    [anon_sym_protected] = ACTIONS(5565),
    [anon_sym_using] = ACTIONS(5565),
    [anon_sym_static_assert] = ACTIONS(5565),
  },
  [2185] = {
    [sym__declaration_modifiers] = STATE(3944),
    [sym_attribute_specifier] = STATE(3944),
    [sym_attribute_declaration] = STATE(3944),
    [sym_ms_declspec_modifier] = STATE(3944),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6933),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3944),
    [sym_type_qualifier] = STATE(3944),
    [sym_decltype] = STATE(9281),
    [sym_virtual] = STATE(3944),
    [sym_alignas_specifier] = STATE(3944),
    [sym_explicit_function_specifier] = STATE(3944),
    [sym_operator_cast] = STATE(7348),
    [sym__constructor_specifiers] = STATE(3944),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(9281),
    [sym_template_function] = STATE(6932),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6232),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_operator_cast_identifier] = STATE(7348),
    [sym_operator_name] = STATE(6932),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3944),
    [sym_identifier] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(5443),
    [anon_sym_extern] = ACTIONS(5445),
    [anon_sym___attribute__] = ACTIONS(5447),
    [anon_sym_COLON_COLON] = ACTIONS(5449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5451),
    [anon_sym___declspec] = ACTIONS(5453),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(5445),
    [anon_sym_register] = ACTIONS(5445),
    [anon_sym_inline] = ACTIONS(5445),
    [anon_sym___inline] = ACTIONS(5445),
    [anon_sym___inline__] = ACTIONS(5445),
    [anon_sym___forceinline] = ACTIONS(5445),
    [anon_sym_thread_local] = ACTIONS(5445),
    [anon_sym___thread] = ACTIONS(5445),
    [anon_sym_const] = ACTIONS(5443),
    [anon_sym_constexpr] = ACTIONS(5443),
    [anon_sym_volatile] = ACTIONS(5443),
    [anon_sym_restrict] = ACTIONS(5443),
    [anon_sym___restrict__] = ACTIONS(5443),
    [anon_sym__Atomic] = ACTIONS(5443),
    [anon_sym__Noreturn] = ACTIONS(5443),
    [anon_sym_noreturn] = ACTIONS(5443),
    [anon_sym_mutable] = ACTIONS(5443),
    [anon_sym_constinit] = ACTIONS(5443),
    [anon_sym_consteval] = ACTIONS(5443),
    [anon_sym_PROGMEM] = ACTIONS(5443),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_virtual] = ACTIONS(5455),
    [anon_sym_alignas] = ACTIONS(5457),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(133),
  },
  [2186] = {
    [sym_identifier] = ACTIONS(5569),
    [aux_sym_preproc_def_token1] = ACTIONS(5569),
    [aux_sym_preproc_if_token1] = ACTIONS(5569),
    [aux_sym_preproc_if_token2] = ACTIONS(5569),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5569),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5569),
    [aux_sym_preproc_else_token1] = ACTIONS(5569),
    [aux_sym_preproc_elif_token1] = ACTIONS(5569),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5569),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5569),
    [sym_preproc_directive] = ACTIONS(5569),
    [anon_sym_LPAREN2] = ACTIONS(5571),
    [anon_sym_TILDE] = ACTIONS(5571),
    [anon_sym_STAR] = ACTIONS(5571),
    [anon_sym_AMP_AMP] = ACTIONS(5571),
    [anon_sym_AMP] = ACTIONS(5569),
    [anon_sym___extension__] = ACTIONS(5569),
    [anon_sym_typedef] = ACTIONS(5569),
    [anon_sym_extern] = ACTIONS(5569),
    [anon_sym___attribute__] = ACTIONS(5569),
    [anon_sym_COLON_COLON] = ACTIONS(5571),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5571),
    [anon_sym___declspec] = ACTIONS(5569),
    [anon_sym___based] = ACTIONS(5569),
    [anon_sym_signed] = ACTIONS(5569),
    [anon_sym_unsigned] = ACTIONS(5569),
    [anon_sym_long] = ACTIONS(5569),
    [anon_sym_short] = ACTIONS(5569),
    [anon_sym_LBRACK] = ACTIONS(5569),
    [anon_sym_static] = ACTIONS(5569),
    [anon_sym_register] = ACTIONS(5569),
    [anon_sym_inline] = ACTIONS(5569),
    [anon_sym___inline] = ACTIONS(5569),
    [anon_sym___inline__] = ACTIONS(5569),
    [anon_sym___forceinline] = ACTIONS(5569),
    [anon_sym_thread_local] = ACTIONS(5569),
    [anon_sym___thread] = ACTIONS(5569),
    [anon_sym_const] = ACTIONS(5569),
    [anon_sym_constexpr] = ACTIONS(5569),
    [anon_sym_volatile] = ACTIONS(5569),
    [anon_sym_restrict] = ACTIONS(5569),
    [anon_sym___restrict__] = ACTIONS(5569),
    [anon_sym__Atomic] = ACTIONS(5569),
    [anon_sym__Noreturn] = ACTIONS(5569),
    [anon_sym_noreturn] = ACTIONS(5569),
    [anon_sym_mutable] = ACTIONS(5569),
    [anon_sym_constinit] = ACTIONS(5569),
    [anon_sym_consteval] = ACTIONS(5569),
    [anon_sym_PROGMEM] = ACTIONS(5569),
    [aux_sym_primitive_type_token1] = ACTIONS(5569),
    [anon_sym_byte] = ACTIONS(5569),
    [anon_sym_word] = ACTIONS(5569),
    [anon_sym_enum] = ACTIONS(5569),
    [anon_sym_class] = ACTIONS(5569),
    [anon_sym_struct] = ACTIONS(5569),
    [anon_sym_union] = ACTIONS(5569),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5569),
    [anon_sym_decltype] = ACTIONS(5569),
    [anon_sym_virtual] = ACTIONS(5569),
    [anon_sym_alignas] = ACTIONS(5569),
    [anon_sym_explicit] = ACTIONS(5569),
    [anon_sym_typename] = ACTIONS(5569),
    [anon_sym_template] = ACTIONS(5569),
    [anon_sym_operator] = ACTIONS(5569),
    [anon_sym_friend] = ACTIONS(5569),
    [anon_sym_public] = ACTIONS(5569),
    [anon_sym_private] = ACTIONS(5569),
    [anon_sym_protected] = ACTIONS(5569),
    [anon_sym_using] = ACTIONS(5569),
    [anon_sym_static_assert] = ACTIONS(5569),
  },
  [2187] = {
    [sym_identifier] = ACTIONS(3495),
    [aux_sym_preproc_def_token1] = ACTIONS(3495),
    [aux_sym_preproc_if_token1] = ACTIONS(3495),
    [aux_sym_preproc_if_token2] = ACTIONS(3495),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3495),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3495),
    [aux_sym_preproc_else_token1] = ACTIONS(3495),
    [aux_sym_preproc_elif_token1] = ACTIONS(3495),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3495),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3495),
    [sym_preproc_directive] = ACTIONS(3495),
    [anon_sym_LPAREN2] = ACTIONS(3497),
    [anon_sym_TILDE] = ACTIONS(3497),
    [anon_sym_STAR] = ACTIONS(3497),
    [anon_sym_AMP_AMP] = ACTIONS(3497),
    [anon_sym_AMP] = ACTIONS(3495),
    [anon_sym___extension__] = ACTIONS(3495),
    [anon_sym_typedef] = ACTIONS(3495),
    [anon_sym_extern] = ACTIONS(3495),
    [anon_sym___attribute__] = ACTIONS(3495),
    [anon_sym_COLON_COLON] = ACTIONS(3497),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3497),
    [anon_sym___declspec] = ACTIONS(3495),
    [anon_sym___based] = ACTIONS(3495),
    [anon_sym_signed] = ACTIONS(3495),
    [anon_sym_unsigned] = ACTIONS(3495),
    [anon_sym_long] = ACTIONS(3495),
    [anon_sym_short] = ACTIONS(3495),
    [anon_sym_LBRACK] = ACTIONS(3495),
    [anon_sym_static] = ACTIONS(3495),
    [anon_sym_register] = ACTIONS(3495),
    [anon_sym_inline] = ACTIONS(3495),
    [anon_sym___inline] = ACTIONS(3495),
    [anon_sym___inline__] = ACTIONS(3495),
    [anon_sym___forceinline] = ACTIONS(3495),
    [anon_sym_thread_local] = ACTIONS(3495),
    [anon_sym___thread] = ACTIONS(3495),
    [anon_sym_const] = ACTIONS(3495),
    [anon_sym_constexpr] = ACTIONS(3495),
    [anon_sym_volatile] = ACTIONS(3495),
    [anon_sym_restrict] = ACTIONS(3495),
    [anon_sym___restrict__] = ACTIONS(3495),
    [anon_sym__Atomic] = ACTIONS(3495),
    [anon_sym__Noreturn] = ACTIONS(3495),
    [anon_sym_noreturn] = ACTIONS(3495),
    [anon_sym_mutable] = ACTIONS(3495),
    [anon_sym_constinit] = ACTIONS(3495),
    [anon_sym_consteval] = ACTIONS(3495),
    [anon_sym_PROGMEM] = ACTIONS(3495),
    [aux_sym_primitive_type_token1] = ACTIONS(3495),
    [anon_sym_byte] = ACTIONS(3495),
    [anon_sym_word] = ACTIONS(3495),
    [anon_sym_enum] = ACTIONS(3495),
    [anon_sym_class] = ACTIONS(3495),
    [anon_sym_struct] = ACTIONS(3495),
    [anon_sym_union] = ACTIONS(3495),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3495),
    [anon_sym_decltype] = ACTIONS(3495),
    [anon_sym_virtual] = ACTIONS(3495),
    [anon_sym_alignas] = ACTIONS(3495),
    [anon_sym_explicit] = ACTIONS(3495),
    [anon_sym_typename] = ACTIONS(3495),
    [anon_sym_template] = ACTIONS(3495),
    [anon_sym_operator] = ACTIONS(3495),
    [anon_sym_friend] = ACTIONS(3495),
    [anon_sym_public] = ACTIONS(3495),
    [anon_sym_private] = ACTIONS(3495),
    [anon_sym_protected] = ACTIONS(3495),
    [anon_sym_using] = ACTIONS(3495),
    [anon_sym_static_assert] = ACTIONS(3495),
  },
  [2188] = {
    [sym_identifier] = ACTIONS(3361),
    [aux_sym_preproc_def_token1] = ACTIONS(3361),
    [aux_sym_preproc_if_token1] = ACTIONS(3361),
    [aux_sym_preproc_if_token2] = ACTIONS(3361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3361),
    [aux_sym_preproc_else_token1] = ACTIONS(3361),
    [aux_sym_preproc_elif_token1] = ACTIONS(3361),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3361),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3361),
    [sym_preproc_directive] = ACTIONS(3361),
    [anon_sym_LPAREN2] = ACTIONS(3363),
    [anon_sym_TILDE] = ACTIONS(3363),
    [anon_sym_STAR] = ACTIONS(3363),
    [anon_sym_AMP_AMP] = ACTIONS(3363),
    [anon_sym_AMP] = ACTIONS(3361),
    [anon_sym___extension__] = ACTIONS(3361),
    [anon_sym_typedef] = ACTIONS(3361),
    [anon_sym_extern] = ACTIONS(3361),
    [anon_sym___attribute__] = ACTIONS(3361),
    [anon_sym_COLON_COLON] = ACTIONS(3363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3363),
    [anon_sym___declspec] = ACTIONS(3361),
    [anon_sym___based] = ACTIONS(3361),
    [anon_sym_signed] = ACTIONS(3361),
    [anon_sym_unsigned] = ACTIONS(3361),
    [anon_sym_long] = ACTIONS(3361),
    [anon_sym_short] = ACTIONS(3361),
    [anon_sym_LBRACK] = ACTIONS(3361),
    [anon_sym_static] = ACTIONS(3361),
    [anon_sym_register] = ACTIONS(3361),
    [anon_sym_inline] = ACTIONS(3361),
    [anon_sym___inline] = ACTIONS(3361),
    [anon_sym___inline__] = ACTIONS(3361),
    [anon_sym___forceinline] = ACTIONS(3361),
    [anon_sym_thread_local] = ACTIONS(3361),
    [anon_sym___thread] = ACTIONS(3361),
    [anon_sym_const] = ACTIONS(3361),
    [anon_sym_constexpr] = ACTIONS(3361),
    [anon_sym_volatile] = ACTIONS(3361),
    [anon_sym_restrict] = ACTIONS(3361),
    [anon_sym___restrict__] = ACTIONS(3361),
    [anon_sym__Atomic] = ACTIONS(3361),
    [anon_sym__Noreturn] = ACTIONS(3361),
    [anon_sym_noreturn] = ACTIONS(3361),
    [anon_sym_mutable] = ACTIONS(3361),
    [anon_sym_constinit] = ACTIONS(3361),
    [anon_sym_consteval] = ACTIONS(3361),
    [anon_sym_PROGMEM] = ACTIONS(3361),
    [aux_sym_primitive_type_token1] = ACTIONS(3361),
    [anon_sym_byte] = ACTIONS(3361),
    [anon_sym_word] = ACTIONS(3361),
    [anon_sym_enum] = ACTIONS(3361),
    [anon_sym_class] = ACTIONS(3361),
    [anon_sym_struct] = ACTIONS(3361),
    [anon_sym_union] = ACTIONS(3361),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3361),
    [anon_sym_decltype] = ACTIONS(3361),
    [anon_sym_virtual] = ACTIONS(3361),
    [anon_sym_alignas] = ACTIONS(3361),
    [anon_sym_explicit] = ACTIONS(3361),
    [anon_sym_typename] = ACTIONS(3361),
    [anon_sym_template] = ACTIONS(3361),
    [anon_sym_operator] = ACTIONS(3361),
    [anon_sym_friend] = ACTIONS(3361),
    [anon_sym_public] = ACTIONS(3361),
    [anon_sym_private] = ACTIONS(3361),
    [anon_sym_protected] = ACTIONS(3361),
    [anon_sym_using] = ACTIONS(3361),
    [anon_sym_static_assert] = ACTIONS(3361),
  },
  [2189] = {
    [sym_identifier] = ACTIONS(5573),
    [aux_sym_preproc_def_token1] = ACTIONS(5573),
    [aux_sym_preproc_if_token1] = ACTIONS(5573),
    [aux_sym_preproc_if_token2] = ACTIONS(5573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5573),
    [aux_sym_preproc_else_token1] = ACTIONS(5573),
    [aux_sym_preproc_elif_token1] = ACTIONS(5573),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5573),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5573),
    [sym_preproc_directive] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(5575),
    [anon_sym_TILDE] = ACTIONS(5575),
    [anon_sym_STAR] = ACTIONS(5575),
    [anon_sym_AMP_AMP] = ACTIONS(5575),
    [anon_sym_AMP] = ACTIONS(5573),
    [anon_sym___extension__] = ACTIONS(5573),
    [anon_sym_typedef] = ACTIONS(5573),
    [anon_sym_extern] = ACTIONS(5573),
    [anon_sym___attribute__] = ACTIONS(5573),
    [anon_sym_COLON_COLON] = ACTIONS(5575),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5575),
    [anon_sym___declspec] = ACTIONS(5573),
    [anon_sym___based] = ACTIONS(5573),
    [anon_sym_signed] = ACTIONS(5573),
    [anon_sym_unsigned] = ACTIONS(5573),
    [anon_sym_long] = ACTIONS(5573),
    [anon_sym_short] = ACTIONS(5573),
    [anon_sym_LBRACK] = ACTIONS(5573),
    [anon_sym_static] = ACTIONS(5573),
    [anon_sym_register] = ACTIONS(5573),
    [anon_sym_inline] = ACTIONS(5573),
    [anon_sym___inline] = ACTIONS(5573),
    [anon_sym___inline__] = ACTIONS(5573),
    [anon_sym___forceinline] = ACTIONS(5573),
    [anon_sym_thread_local] = ACTIONS(5573),
    [anon_sym___thread] = ACTIONS(5573),
    [anon_sym_const] = ACTIONS(5573),
    [anon_sym_constexpr] = ACTIONS(5573),
    [anon_sym_volatile] = ACTIONS(5573),
    [anon_sym_restrict] = ACTIONS(5573),
    [anon_sym___restrict__] = ACTIONS(5573),
    [anon_sym__Atomic] = ACTIONS(5573),
    [anon_sym__Noreturn] = ACTIONS(5573),
    [anon_sym_noreturn] = ACTIONS(5573),
    [anon_sym_mutable] = ACTIONS(5573),
    [anon_sym_constinit] = ACTIONS(5573),
    [anon_sym_consteval] = ACTIONS(5573),
    [anon_sym_PROGMEM] = ACTIONS(5573),
    [aux_sym_primitive_type_token1] = ACTIONS(5573),
    [anon_sym_byte] = ACTIONS(5573),
    [anon_sym_word] = ACTIONS(5573),
    [anon_sym_enum] = ACTIONS(5573),
    [anon_sym_class] = ACTIONS(5573),
    [anon_sym_struct] = ACTIONS(5573),
    [anon_sym_union] = ACTIONS(5573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5573),
    [anon_sym_decltype] = ACTIONS(5573),
    [anon_sym_virtual] = ACTIONS(5573),
    [anon_sym_alignas] = ACTIONS(5573),
    [anon_sym_explicit] = ACTIONS(5573),
    [anon_sym_typename] = ACTIONS(5573),
    [anon_sym_template] = ACTIONS(5573),
    [anon_sym_operator] = ACTIONS(5573),
    [anon_sym_friend] = ACTIONS(5573),
    [anon_sym_public] = ACTIONS(5573),
    [anon_sym_private] = ACTIONS(5573),
    [anon_sym_protected] = ACTIONS(5573),
    [anon_sym_using] = ACTIONS(5573),
    [anon_sym_static_assert] = ACTIONS(5573),
  },
  [2190] = {
    [sym_identifier] = ACTIONS(5573),
    [aux_sym_preproc_def_token1] = ACTIONS(5573),
    [aux_sym_preproc_if_token1] = ACTIONS(5573),
    [aux_sym_preproc_if_token2] = ACTIONS(5573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5573),
    [aux_sym_preproc_else_token1] = ACTIONS(5573),
    [aux_sym_preproc_elif_token1] = ACTIONS(5573),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5573),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5573),
    [sym_preproc_directive] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(5575),
    [anon_sym_TILDE] = ACTIONS(5575),
    [anon_sym_STAR] = ACTIONS(5575),
    [anon_sym_AMP_AMP] = ACTIONS(5575),
    [anon_sym_AMP] = ACTIONS(5573),
    [anon_sym___extension__] = ACTIONS(5573),
    [anon_sym_typedef] = ACTIONS(5573),
    [anon_sym_extern] = ACTIONS(5573),
    [anon_sym___attribute__] = ACTIONS(5573),
    [anon_sym_COLON_COLON] = ACTIONS(5575),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5575),
    [anon_sym___declspec] = ACTIONS(5573),
    [anon_sym___based] = ACTIONS(5573),
    [anon_sym_signed] = ACTIONS(5573),
    [anon_sym_unsigned] = ACTIONS(5573),
    [anon_sym_long] = ACTIONS(5573),
    [anon_sym_short] = ACTIONS(5573),
    [anon_sym_LBRACK] = ACTIONS(5573),
    [anon_sym_static] = ACTIONS(5573),
    [anon_sym_register] = ACTIONS(5573),
    [anon_sym_inline] = ACTIONS(5573),
    [anon_sym___inline] = ACTIONS(5573),
    [anon_sym___inline__] = ACTIONS(5573),
    [anon_sym___forceinline] = ACTIONS(5573),
    [anon_sym_thread_local] = ACTIONS(5573),
    [anon_sym___thread] = ACTIONS(5573),
    [anon_sym_const] = ACTIONS(5573),
    [anon_sym_constexpr] = ACTIONS(5573),
    [anon_sym_volatile] = ACTIONS(5573),
    [anon_sym_restrict] = ACTIONS(5573),
    [anon_sym___restrict__] = ACTIONS(5573),
    [anon_sym__Atomic] = ACTIONS(5573),
    [anon_sym__Noreturn] = ACTIONS(5573),
    [anon_sym_noreturn] = ACTIONS(5573),
    [anon_sym_mutable] = ACTIONS(5573),
    [anon_sym_constinit] = ACTIONS(5573),
    [anon_sym_consteval] = ACTIONS(5573),
    [anon_sym_PROGMEM] = ACTIONS(5573),
    [aux_sym_primitive_type_token1] = ACTIONS(5573),
    [anon_sym_byte] = ACTIONS(5573),
    [anon_sym_word] = ACTIONS(5573),
    [anon_sym_enum] = ACTIONS(5573),
    [anon_sym_class] = ACTIONS(5573),
    [anon_sym_struct] = ACTIONS(5573),
    [anon_sym_union] = ACTIONS(5573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5573),
    [anon_sym_decltype] = ACTIONS(5573),
    [anon_sym_virtual] = ACTIONS(5573),
    [anon_sym_alignas] = ACTIONS(5573),
    [anon_sym_explicit] = ACTIONS(5573),
    [anon_sym_typename] = ACTIONS(5573),
    [anon_sym_template] = ACTIONS(5573),
    [anon_sym_operator] = ACTIONS(5573),
    [anon_sym_friend] = ACTIONS(5573),
    [anon_sym_public] = ACTIONS(5573),
    [anon_sym_private] = ACTIONS(5573),
    [anon_sym_protected] = ACTIONS(5573),
    [anon_sym_using] = ACTIONS(5573),
    [anon_sym_static_assert] = ACTIONS(5573),
  },
  [2191] = {
    [sym__declaration_modifiers] = STATE(2242),
    [sym__declaration_specifiers] = STATE(5938),
    [sym_attribute_specifier] = STATE(2242),
    [sym_attribute_declaration] = STATE(2242),
    [sym_ms_declspec_modifier] = STATE(2242),
    [sym_storage_class_specifier] = STATE(2242),
    [sym_type_qualifier] = STATE(2242),
    [sym__type_specifier] = STATE(3240),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2242),
    [sym_alignas_specifier] = STATE(2242),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7213),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2242),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5194),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2192] = {
    [sym_identifier] = ACTIONS(5577),
    [aux_sym_preproc_def_token1] = ACTIONS(5577),
    [aux_sym_preproc_if_token1] = ACTIONS(5577),
    [aux_sym_preproc_if_token2] = ACTIONS(5577),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5577),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5577),
    [aux_sym_preproc_else_token1] = ACTIONS(5577),
    [aux_sym_preproc_elif_token1] = ACTIONS(5577),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5577),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5577),
    [sym_preproc_directive] = ACTIONS(5577),
    [anon_sym_LPAREN2] = ACTIONS(5579),
    [anon_sym_TILDE] = ACTIONS(5579),
    [anon_sym_STAR] = ACTIONS(5579),
    [anon_sym_AMP_AMP] = ACTIONS(5579),
    [anon_sym_AMP] = ACTIONS(5577),
    [anon_sym___extension__] = ACTIONS(5577),
    [anon_sym_typedef] = ACTIONS(5577),
    [anon_sym_extern] = ACTIONS(5577),
    [anon_sym___attribute__] = ACTIONS(5577),
    [anon_sym_COLON_COLON] = ACTIONS(5579),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5579),
    [anon_sym___declspec] = ACTIONS(5577),
    [anon_sym___based] = ACTIONS(5577),
    [anon_sym_signed] = ACTIONS(5577),
    [anon_sym_unsigned] = ACTIONS(5577),
    [anon_sym_long] = ACTIONS(5577),
    [anon_sym_short] = ACTIONS(5577),
    [anon_sym_LBRACK] = ACTIONS(5577),
    [anon_sym_static] = ACTIONS(5577),
    [anon_sym_register] = ACTIONS(5577),
    [anon_sym_inline] = ACTIONS(5577),
    [anon_sym___inline] = ACTIONS(5577),
    [anon_sym___inline__] = ACTIONS(5577),
    [anon_sym___forceinline] = ACTIONS(5577),
    [anon_sym_thread_local] = ACTIONS(5577),
    [anon_sym___thread] = ACTIONS(5577),
    [anon_sym_const] = ACTIONS(5577),
    [anon_sym_constexpr] = ACTIONS(5577),
    [anon_sym_volatile] = ACTIONS(5577),
    [anon_sym_restrict] = ACTIONS(5577),
    [anon_sym___restrict__] = ACTIONS(5577),
    [anon_sym__Atomic] = ACTIONS(5577),
    [anon_sym__Noreturn] = ACTIONS(5577),
    [anon_sym_noreturn] = ACTIONS(5577),
    [anon_sym_mutable] = ACTIONS(5577),
    [anon_sym_constinit] = ACTIONS(5577),
    [anon_sym_consteval] = ACTIONS(5577),
    [anon_sym_PROGMEM] = ACTIONS(5577),
    [aux_sym_primitive_type_token1] = ACTIONS(5577),
    [anon_sym_byte] = ACTIONS(5577),
    [anon_sym_word] = ACTIONS(5577),
    [anon_sym_enum] = ACTIONS(5577),
    [anon_sym_class] = ACTIONS(5577),
    [anon_sym_struct] = ACTIONS(5577),
    [anon_sym_union] = ACTIONS(5577),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5577),
    [anon_sym_decltype] = ACTIONS(5577),
    [anon_sym_virtual] = ACTIONS(5577),
    [anon_sym_alignas] = ACTIONS(5577),
    [anon_sym_explicit] = ACTIONS(5577),
    [anon_sym_typename] = ACTIONS(5577),
    [anon_sym_template] = ACTIONS(5577),
    [anon_sym_operator] = ACTIONS(5577),
    [anon_sym_friend] = ACTIONS(5577),
    [anon_sym_public] = ACTIONS(5577),
    [anon_sym_private] = ACTIONS(5577),
    [anon_sym_protected] = ACTIONS(5577),
    [anon_sym_using] = ACTIONS(5577),
    [anon_sym_static_assert] = ACTIONS(5577),
  },
  [2193] = {
    [sym_identifier] = ACTIONS(5581),
    [aux_sym_preproc_def_token1] = ACTIONS(5581),
    [aux_sym_preproc_if_token1] = ACTIONS(5581),
    [aux_sym_preproc_if_token2] = ACTIONS(5581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5581),
    [aux_sym_preproc_else_token1] = ACTIONS(5581),
    [aux_sym_preproc_elif_token1] = ACTIONS(5581),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5581),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5581),
    [sym_preproc_directive] = ACTIONS(5581),
    [anon_sym_LPAREN2] = ACTIONS(5583),
    [anon_sym_TILDE] = ACTIONS(5583),
    [anon_sym_STAR] = ACTIONS(5583),
    [anon_sym_AMP_AMP] = ACTIONS(5583),
    [anon_sym_AMP] = ACTIONS(5581),
    [anon_sym___extension__] = ACTIONS(5581),
    [anon_sym_typedef] = ACTIONS(5581),
    [anon_sym_extern] = ACTIONS(5581),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5583),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5583),
    [anon_sym___declspec] = ACTIONS(5581),
    [anon_sym___based] = ACTIONS(5581),
    [anon_sym_signed] = ACTIONS(5581),
    [anon_sym_unsigned] = ACTIONS(5581),
    [anon_sym_long] = ACTIONS(5581),
    [anon_sym_short] = ACTIONS(5581),
    [anon_sym_LBRACK] = ACTIONS(5581),
    [anon_sym_static] = ACTIONS(5581),
    [anon_sym_register] = ACTIONS(5581),
    [anon_sym_inline] = ACTIONS(5581),
    [anon_sym___inline] = ACTIONS(5581),
    [anon_sym___inline__] = ACTIONS(5581),
    [anon_sym___forceinline] = ACTIONS(5581),
    [anon_sym_thread_local] = ACTIONS(5581),
    [anon_sym___thread] = ACTIONS(5581),
    [anon_sym_const] = ACTIONS(5581),
    [anon_sym_constexpr] = ACTIONS(5581),
    [anon_sym_volatile] = ACTIONS(5581),
    [anon_sym_restrict] = ACTIONS(5581),
    [anon_sym___restrict__] = ACTIONS(5581),
    [anon_sym__Atomic] = ACTIONS(5581),
    [anon_sym__Noreturn] = ACTIONS(5581),
    [anon_sym_noreturn] = ACTIONS(5581),
    [anon_sym_mutable] = ACTIONS(5581),
    [anon_sym_constinit] = ACTIONS(5581),
    [anon_sym_consteval] = ACTIONS(5581),
    [anon_sym_PROGMEM] = ACTIONS(5581),
    [aux_sym_primitive_type_token1] = ACTIONS(5581),
    [anon_sym_byte] = ACTIONS(5581),
    [anon_sym_word] = ACTIONS(5581),
    [anon_sym_enum] = ACTIONS(5581),
    [anon_sym_class] = ACTIONS(5581),
    [anon_sym_struct] = ACTIONS(5581),
    [anon_sym_union] = ACTIONS(5581),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5581),
    [anon_sym_decltype] = ACTIONS(5581),
    [anon_sym_virtual] = ACTIONS(5581),
    [anon_sym_alignas] = ACTIONS(5581),
    [anon_sym_explicit] = ACTIONS(5581),
    [anon_sym_typename] = ACTIONS(5581),
    [anon_sym_template] = ACTIONS(5581),
    [anon_sym_operator] = ACTIONS(5581),
    [anon_sym_friend] = ACTIONS(5581),
    [anon_sym_public] = ACTIONS(5581),
    [anon_sym_private] = ACTIONS(5581),
    [anon_sym_protected] = ACTIONS(5581),
    [anon_sym_using] = ACTIONS(5581),
    [anon_sym_static_assert] = ACTIONS(5581),
  },
  [2194] = {
    [sym_identifier] = ACTIONS(5585),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5587),
    [anon_sym_COMMA] = ACTIONS(5587),
    [anon_sym_RPAREN] = ACTIONS(5587),
    [anon_sym_LPAREN2] = ACTIONS(5587),
    [anon_sym_DASH] = ACTIONS(5585),
    [anon_sym_PLUS] = ACTIONS(5585),
    [anon_sym_STAR] = ACTIONS(5587),
    [anon_sym_SLASH] = ACTIONS(5585),
    [anon_sym_PERCENT] = ACTIONS(5587),
    [anon_sym_PIPE_PIPE] = ACTIONS(5587),
    [anon_sym_AMP_AMP] = ACTIONS(5587),
    [anon_sym_PIPE] = ACTIONS(5585),
    [anon_sym_CARET] = ACTIONS(5587),
    [anon_sym_AMP] = ACTIONS(5585),
    [anon_sym_EQ_EQ] = ACTIONS(5587),
    [anon_sym_BANG_EQ] = ACTIONS(5587),
    [anon_sym_GT] = ACTIONS(5585),
    [anon_sym_GT_EQ] = ACTIONS(5587),
    [anon_sym_LT_EQ] = ACTIONS(5585),
    [anon_sym_LT] = ACTIONS(5585),
    [anon_sym_LT_LT] = ACTIONS(5587),
    [anon_sym_GT_GT] = ACTIONS(5587),
    [anon_sym_SEMI] = ACTIONS(5587),
    [anon_sym___extension__] = ACTIONS(5585),
    [anon_sym___attribute__] = ACTIONS(5585),
    [anon_sym_COLON_COLON] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(5585),
    [anon_sym_LBRACE] = ACTIONS(5587),
    [anon_sym_RBRACE] = ACTIONS(5587),
    [anon_sym_signed] = ACTIONS(5585),
    [anon_sym_unsigned] = ACTIONS(5585),
    [anon_sym_long] = ACTIONS(5585),
    [anon_sym_short] = ACTIONS(5585),
    [anon_sym_LBRACK] = ACTIONS(5587),
    [anon_sym_RBRACK] = ACTIONS(5587),
    [anon_sym_const] = ACTIONS(5585),
    [anon_sym_constexpr] = ACTIONS(5585),
    [anon_sym_volatile] = ACTIONS(5585),
    [anon_sym_restrict] = ACTIONS(5585),
    [anon_sym___restrict__] = ACTIONS(5585),
    [anon_sym__Atomic] = ACTIONS(5585),
    [anon_sym__Noreturn] = ACTIONS(5585),
    [anon_sym_noreturn] = ACTIONS(5585),
    [anon_sym_mutable] = ACTIONS(5585),
    [anon_sym_constinit] = ACTIONS(5585),
    [anon_sym_consteval] = ACTIONS(5585),
    [anon_sym_PROGMEM] = ACTIONS(5585),
    [aux_sym_primitive_type_token1] = ACTIONS(5585),
    [anon_sym_byte] = ACTIONS(5585),
    [anon_sym_word] = ACTIONS(5585),
    [anon_sym_COLON] = ACTIONS(5585),
    [anon_sym_QMARK] = ACTIONS(5587),
    [anon_sym_LT_EQ_GT] = ACTIONS(5587),
    [anon_sym_or] = ACTIONS(5585),
    [anon_sym_and] = ACTIONS(5585),
    [anon_sym_bitor] = ACTIONS(5585),
    [anon_sym_xor] = ACTIONS(5585),
    [anon_sym_bitand] = ACTIONS(5585),
    [anon_sym_not_eq] = ACTIONS(5585),
    [anon_sym_DASH_DASH] = ACTIONS(5587),
    [anon_sym_PLUS_PLUS] = ACTIONS(5587),
    [anon_sym_DOT] = ACTIONS(5585),
    [anon_sym_DOT_STAR] = ACTIONS(5587),
    [anon_sym_DASH_GT] = ACTIONS(5587),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5585),
    [anon_sym_decltype] = ACTIONS(5585),
    [anon_sym_final] = ACTIONS(5585),
    [anon_sym_override] = ACTIONS(5585),
    [anon_sym_requires] = ACTIONS(5585),
  },
  [2195] = {
    [sym__declaration_modifiers] = STATE(3944),
    [sym_attribute_specifier] = STATE(3944),
    [sym_attribute_declaration] = STATE(3944),
    [sym_ms_declspec_modifier] = STATE(3944),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(7025),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3944),
    [sym_type_qualifier] = STATE(3944),
    [sym_decltype] = STATE(9281),
    [sym_virtual] = STATE(3944),
    [sym_alignas_specifier] = STATE(3944),
    [sym_explicit_function_specifier] = STATE(3944),
    [sym_operator_cast] = STATE(7344),
    [sym__constructor_specifiers] = STATE(3944),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(9281),
    [sym_template_function] = STATE(6932),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6232),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_operator_cast_identifier] = STATE(7344),
    [sym_operator_name] = STATE(6932),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3944),
    [sym_identifier] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(5443),
    [anon_sym_extern] = ACTIONS(5445),
    [anon_sym___attribute__] = ACTIONS(5447),
    [anon_sym_COLON_COLON] = ACTIONS(5449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5451),
    [anon_sym___declspec] = ACTIONS(5453),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(5445),
    [anon_sym_register] = ACTIONS(5445),
    [anon_sym_inline] = ACTIONS(5445),
    [anon_sym___inline] = ACTIONS(5445),
    [anon_sym___inline__] = ACTIONS(5445),
    [anon_sym___forceinline] = ACTIONS(5445),
    [anon_sym_thread_local] = ACTIONS(5445),
    [anon_sym___thread] = ACTIONS(5445),
    [anon_sym_const] = ACTIONS(5443),
    [anon_sym_constexpr] = ACTIONS(5443),
    [anon_sym_volatile] = ACTIONS(5443),
    [anon_sym_restrict] = ACTIONS(5443),
    [anon_sym___restrict__] = ACTIONS(5443),
    [anon_sym__Atomic] = ACTIONS(5443),
    [anon_sym__Noreturn] = ACTIONS(5443),
    [anon_sym_noreturn] = ACTIONS(5443),
    [anon_sym_mutable] = ACTIONS(5443),
    [anon_sym_constinit] = ACTIONS(5443),
    [anon_sym_consteval] = ACTIONS(5443),
    [anon_sym_PROGMEM] = ACTIONS(5443),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_virtual] = ACTIONS(5455),
    [anon_sym_alignas] = ACTIONS(5457),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(133),
  },
  [2196] = {
    [sym_identifier] = ACTIONS(5589),
    [aux_sym_preproc_def_token1] = ACTIONS(5589),
    [aux_sym_preproc_if_token1] = ACTIONS(5589),
    [aux_sym_preproc_if_token2] = ACTIONS(5589),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5589),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5589),
    [aux_sym_preproc_else_token1] = ACTIONS(5589),
    [aux_sym_preproc_elif_token1] = ACTIONS(5589),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5589),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5589),
    [sym_preproc_directive] = ACTIONS(5589),
    [anon_sym_LPAREN2] = ACTIONS(5591),
    [anon_sym_TILDE] = ACTIONS(5591),
    [anon_sym_STAR] = ACTIONS(5591),
    [anon_sym_AMP_AMP] = ACTIONS(5591),
    [anon_sym_AMP] = ACTIONS(5589),
    [anon_sym___extension__] = ACTIONS(5589),
    [anon_sym_typedef] = ACTIONS(5589),
    [anon_sym_extern] = ACTIONS(5589),
    [anon_sym___attribute__] = ACTIONS(5589),
    [anon_sym_COLON_COLON] = ACTIONS(5591),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5591),
    [anon_sym___declspec] = ACTIONS(5589),
    [anon_sym___based] = ACTIONS(5589),
    [anon_sym_signed] = ACTIONS(5589),
    [anon_sym_unsigned] = ACTIONS(5589),
    [anon_sym_long] = ACTIONS(5589),
    [anon_sym_short] = ACTIONS(5589),
    [anon_sym_LBRACK] = ACTIONS(5589),
    [anon_sym_static] = ACTIONS(5589),
    [anon_sym_register] = ACTIONS(5589),
    [anon_sym_inline] = ACTIONS(5589),
    [anon_sym___inline] = ACTIONS(5589),
    [anon_sym___inline__] = ACTIONS(5589),
    [anon_sym___forceinline] = ACTIONS(5589),
    [anon_sym_thread_local] = ACTIONS(5589),
    [anon_sym___thread] = ACTIONS(5589),
    [anon_sym_const] = ACTIONS(5589),
    [anon_sym_constexpr] = ACTIONS(5589),
    [anon_sym_volatile] = ACTIONS(5589),
    [anon_sym_restrict] = ACTIONS(5589),
    [anon_sym___restrict__] = ACTIONS(5589),
    [anon_sym__Atomic] = ACTIONS(5589),
    [anon_sym__Noreturn] = ACTIONS(5589),
    [anon_sym_noreturn] = ACTIONS(5589),
    [anon_sym_mutable] = ACTIONS(5589),
    [anon_sym_constinit] = ACTIONS(5589),
    [anon_sym_consteval] = ACTIONS(5589),
    [anon_sym_PROGMEM] = ACTIONS(5589),
    [aux_sym_primitive_type_token1] = ACTIONS(5589),
    [anon_sym_byte] = ACTIONS(5589),
    [anon_sym_word] = ACTIONS(5589),
    [anon_sym_enum] = ACTIONS(5589),
    [anon_sym_class] = ACTIONS(5589),
    [anon_sym_struct] = ACTIONS(5589),
    [anon_sym_union] = ACTIONS(5589),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5589),
    [anon_sym_decltype] = ACTIONS(5589),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5589),
    [anon_sym_explicit] = ACTIONS(5589),
    [anon_sym_typename] = ACTIONS(5589),
    [anon_sym_template] = ACTIONS(5589),
    [anon_sym_operator] = ACTIONS(5589),
    [anon_sym_friend] = ACTIONS(5589),
    [anon_sym_public] = ACTIONS(5589),
    [anon_sym_private] = ACTIONS(5589),
    [anon_sym_protected] = ACTIONS(5589),
    [anon_sym_using] = ACTIONS(5589),
    [anon_sym_static_assert] = ACTIONS(5589),
  },
  [2197] = {
    [sym_identifier] = ACTIONS(3435),
    [aux_sym_preproc_def_token1] = ACTIONS(3435),
    [aux_sym_preproc_if_token1] = ACTIONS(3435),
    [aux_sym_preproc_if_token2] = ACTIONS(3435),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3435),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3435),
    [aux_sym_preproc_else_token1] = ACTIONS(3435),
    [aux_sym_preproc_elif_token1] = ACTIONS(3435),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3435),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3435),
    [sym_preproc_directive] = ACTIONS(3435),
    [anon_sym_LPAREN2] = ACTIONS(3437),
    [anon_sym_TILDE] = ACTIONS(3437),
    [anon_sym_STAR] = ACTIONS(3437),
    [anon_sym_AMP_AMP] = ACTIONS(3437),
    [anon_sym_AMP] = ACTIONS(3435),
    [anon_sym___extension__] = ACTIONS(3435),
    [anon_sym_typedef] = ACTIONS(3435),
    [anon_sym_extern] = ACTIONS(3435),
    [anon_sym___attribute__] = ACTIONS(3435),
    [anon_sym_COLON_COLON] = ACTIONS(3437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3437),
    [anon_sym___declspec] = ACTIONS(3435),
    [anon_sym___based] = ACTIONS(3435),
    [anon_sym_signed] = ACTIONS(3435),
    [anon_sym_unsigned] = ACTIONS(3435),
    [anon_sym_long] = ACTIONS(3435),
    [anon_sym_short] = ACTIONS(3435),
    [anon_sym_LBRACK] = ACTIONS(3435),
    [anon_sym_static] = ACTIONS(3435),
    [anon_sym_register] = ACTIONS(3435),
    [anon_sym_inline] = ACTIONS(3435),
    [anon_sym___inline] = ACTIONS(3435),
    [anon_sym___inline__] = ACTIONS(3435),
    [anon_sym___forceinline] = ACTIONS(3435),
    [anon_sym_thread_local] = ACTIONS(3435),
    [anon_sym___thread] = ACTIONS(3435),
    [anon_sym_const] = ACTIONS(3435),
    [anon_sym_constexpr] = ACTIONS(3435),
    [anon_sym_volatile] = ACTIONS(3435),
    [anon_sym_restrict] = ACTIONS(3435),
    [anon_sym___restrict__] = ACTIONS(3435),
    [anon_sym__Atomic] = ACTIONS(3435),
    [anon_sym__Noreturn] = ACTIONS(3435),
    [anon_sym_noreturn] = ACTIONS(3435),
    [anon_sym_mutable] = ACTIONS(3435),
    [anon_sym_constinit] = ACTIONS(3435),
    [anon_sym_consteval] = ACTIONS(3435),
    [anon_sym_PROGMEM] = ACTIONS(3435),
    [aux_sym_primitive_type_token1] = ACTIONS(3435),
    [anon_sym_byte] = ACTIONS(3435),
    [anon_sym_word] = ACTIONS(3435),
    [anon_sym_enum] = ACTIONS(3435),
    [anon_sym_class] = ACTIONS(3435),
    [anon_sym_struct] = ACTIONS(3435),
    [anon_sym_union] = ACTIONS(3435),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3435),
    [anon_sym_decltype] = ACTIONS(3435),
    [anon_sym_virtual] = ACTIONS(3435),
    [anon_sym_alignas] = ACTIONS(3435),
    [anon_sym_explicit] = ACTIONS(3435),
    [anon_sym_typename] = ACTIONS(3435),
    [anon_sym_template] = ACTIONS(3435),
    [anon_sym_operator] = ACTIONS(3435),
    [anon_sym_friend] = ACTIONS(3435),
    [anon_sym_public] = ACTIONS(3435),
    [anon_sym_private] = ACTIONS(3435),
    [anon_sym_protected] = ACTIONS(3435),
    [anon_sym_using] = ACTIONS(3435),
    [anon_sym_static_assert] = ACTIONS(3435),
  },
  [2198] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token2] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [aux_sym_preproc_else_token1] = ACTIONS(3076),
    [aux_sym_preproc_elif_token1] = ACTIONS(3076),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_friend] = ACTIONS(3076),
    [anon_sym_public] = ACTIONS(3076),
    [anon_sym_private] = ACTIONS(3076),
    [anon_sym_protected] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
  },
  [2199] = {
    [sym__declaration_modifiers] = STATE(3944),
    [sym_attribute_specifier] = STATE(3944),
    [sym_attribute_declaration] = STATE(3944),
    [sym_ms_declspec_modifier] = STATE(3944),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6906),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3944),
    [sym_type_qualifier] = STATE(3944),
    [sym_decltype] = STATE(9281),
    [sym_virtual] = STATE(3944),
    [sym_alignas_specifier] = STATE(3944),
    [sym_explicit_function_specifier] = STATE(3944),
    [sym_operator_cast] = STATE(7368),
    [sym__constructor_specifiers] = STATE(3944),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(9281),
    [sym_template_function] = STATE(6932),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6232),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_operator_cast_identifier] = STATE(7368),
    [sym_operator_name] = STATE(6932),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3944),
    [sym_identifier] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(5443),
    [anon_sym_extern] = ACTIONS(5445),
    [anon_sym___attribute__] = ACTIONS(5447),
    [anon_sym_COLON_COLON] = ACTIONS(5449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5451),
    [anon_sym___declspec] = ACTIONS(5453),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(5445),
    [anon_sym_register] = ACTIONS(5445),
    [anon_sym_inline] = ACTIONS(5445),
    [anon_sym___inline] = ACTIONS(5445),
    [anon_sym___inline__] = ACTIONS(5445),
    [anon_sym___forceinline] = ACTIONS(5445),
    [anon_sym_thread_local] = ACTIONS(5445),
    [anon_sym___thread] = ACTIONS(5445),
    [anon_sym_const] = ACTIONS(5443),
    [anon_sym_constexpr] = ACTIONS(5443),
    [anon_sym_volatile] = ACTIONS(5443),
    [anon_sym_restrict] = ACTIONS(5443),
    [anon_sym___restrict__] = ACTIONS(5443),
    [anon_sym__Atomic] = ACTIONS(5443),
    [anon_sym__Noreturn] = ACTIONS(5443),
    [anon_sym_noreturn] = ACTIONS(5443),
    [anon_sym_mutable] = ACTIONS(5443),
    [anon_sym_constinit] = ACTIONS(5443),
    [anon_sym_consteval] = ACTIONS(5443),
    [anon_sym_PROGMEM] = ACTIONS(5443),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_virtual] = ACTIONS(5455),
    [anon_sym_alignas] = ACTIONS(5457),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(133),
  },
  [2200] = {
    [sym__declaration_modifiers] = STATE(3944),
    [sym_attribute_specifier] = STATE(3944),
    [sym_attribute_declaration] = STATE(3944),
    [sym_ms_declspec_modifier] = STATE(3944),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6879),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3944),
    [sym_type_qualifier] = STATE(3944),
    [sym_decltype] = STATE(9281),
    [sym_virtual] = STATE(3944),
    [sym_alignas_specifier] = STATE(3944),
    [sym_explicit_function_specifier] = STATE(3944),
    [sym_operator_cast] = STATE(7344),
    [sym__constructor_specifiers] = STATE(3944),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(9281),
    [sym_template_function] = STATE(6932),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6232),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_operator_cast_identifier] = STATE(7344),
    [sym_operator_name] = STATE(6932),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3944),
    [sym_identifier] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(5443),
    [anon_sym_extern] = ACTIONS(5445),
    [anon_sym___attribute__] = ACTIONS(5447),
    [anon_sym_COLON_COLON] = ACTIONS(5449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5451),
    [anon_sym___declspec] = ACTIONS(5453),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(5445),
    [anon_sym_register] = ACTIONS(5445),
    [anon_sym_inline] = ACTIONS(5445),
    [anon_sym___inline] = ACTIONS(5445),
    [anon_sym___inline__] = ACTIONS(5445),
    [anon_sym___forceinline] = ACTIONS(5445),
    [anon_sym_thread_local] = ACTIONS(5445),
    [anon_sym___thread] = ACTIONS(5445),
    [anon_sym_const] = ACTIONS(5443),
    [anon_sym_constexpr] = ACTIONS(5443),
    [anon_sym_volatile] = ACTIONS(5443),
    [anon_sym_restrict] = ACTIONS(5443),
    [anon_sym___restrict__] = ACTIONS(5443),
    [anon_sym__Atomic] = ACTIONS(5443),
    [anon_sym__Noreturn] = ACTIONS(5443),
    [anon_sym_noreturn] = ACTIONS(5443),
    [anon_sym_mutable] = ACTIONS(5443),
    [anon_sym_constinit] = ACTIONS(5443),
    [anon_sym_consteval] = ACTIONS(5443),
    [anon_sym_PROGMEM] = ACTIONS(5443),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_virtual] = ACTIONS(5455),
    [anon_sym_alignas] = ACTIONS(5457),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(133),
  },
  [2201] = {
    [sym_identifier] = ACTIONS(5145),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5147),
    [anon_sym_COMMA] = ACTIONS(5147),
    [anon_sym_RPAREN] = ACTIONS(5147),
    [anon_sym_LPAREN2] = ACTIONS(5147),
    [anon_sym_DASH] = ACTIONS(5145),
    [anon_sym_PLUS] = ACTIONS(5145),
    [anon_sym_STAR] = ACTIONS(5147),
    [anon_sym_SLASH] = ACTIONS(5145),
    [anon_sym_PERCENT] = ACTIONS(5147),
    [anon_sym_PIPE_PIPE] = ACTIONS(5147),
    [anon_sym_AMP_AMP] = ACTIONS(5147),
    [anon_sym_PIPE] = ACTIONS(5145),
    [anon_sym_CARET] = ACTIONS(5147),
    [anon_sym_AMP] = ACTIONS(5145),
    [anon_sym_EQ_EQ] = ACTIONS(5147),
    [anon_sym_BANG_EQ] = ACTIONS(5147),
    [anon_sym_GT] = ACTIONS(5145),
    [anon_sym_GT_EQ] = ACTIONS(5147),
    [anon_sym_LT_EQ] = ACTIONS(5145),
    [anon_sym_LT] = ACTIONS(5145),
    [anon_sym_LT_LT] = ACTIONS(5147),
    [anon_sym_GT_GT] = ACTIONS(5147),
    [anon_sym_SEMI] = ACTIONS(5147),
    [anon_sym___extension__] = ACTIONS(5145),
    [anon_sym___attribute__] = ACTIONS(5145),
    [anon_sym_COLON_COLON] = ACTIONS(5147),
    [anon_sym___based] = ACTIONS(5145),
    [anon_sym_LBRACE] = ACTIONS(5147),
    [anon_sym_RBRACE] = ACTIONS(5147),
    [anon_sym_signed] = ACTIONS(5145),
    [anon_sym_unsigned] = ACTIONS(5145),
    [anon_sym_long] = ACTIONS(5145),
    [anon_sym_short] = ACTIONS(5145),
    [anon_sym_LBRACK] = ACTIONS(5147),
    [anon_sym_RBRACK] = ACTIONS(5147),
    [anon_sym_const] = ACTIONS(5145),
    [anon_sym_constexpr] = ACTIONS(5145),
    [anon_sym_volatile] = ACTIONS(5145),
    [anon_sym_restrict] = ACTIONS(5145),
    [anon_sym___restrict__] = ACTIONS(5145),
    [anon_sym__Atomic] = ACTIONS(5145),
    [anon_sym__Noreturn] = ACTIONS(5145),
    [anon_sym_noreturn] = ACTIONS(5145),
    [anon_sym_mutable] = ACTIONS(5145),
    [anon_sym_constinit] = ACTIONS(5145),
    [anon_sym_consteval] = ACTIONS(5145),
    [anon_sym_PROGMEM] = ACTIONS(5145),
    [aux_sym_primitive_type_token1] = ACTIONS(5145),
    [anon_sym_byte] = ACTIONS(5145),
    [anon_sym_word] = ACTIONS(5145),
    [anon_sym_COLON] = ACTIONS(5145),
    [anon_sym_QMARK] = ACTIONS(5147),
    [anon_sym_LT_EQ_GT] = ACTIONS(5147),
    [anon_sym_or] = ACTIONS(5145),
    [anon_sym_and] = ACTIONS(5145),
    [anon_sym_bitor] = ACTIONS(5145),
    [anon_sym_xor] = ACTIONS(5145),
    [anon_sym_bitand] = ACTIONS(5145),
    [anon_sym_not_eq] = ACTIONS(5145),
    [anon_sym_DASH_DASH] = ACTIONS(5147),
    [anon_sym_PLUS_PLUS] = ACTIONS(5147),
    [anon_sym_DOT] = ACTIONS(5145),
    [anon_sym_DOT_STAR] = ACTIONS(5147),
    [anon_sym_DASH_GT] = ACTIONS(5147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5145),
    [anon_sym_decltype] = ACTIONS(5145),
    [anon_sym_final] = ACTIONS(5145),
    [anon_sym_override] = ACTIONS(5145),
    [anon_sym_requires] = ACTIONS(5145),
  },
  [2202] = {
    [sym_identifier] = ACTIONS(5593),
    [aux_sym_preproc_def_token1] = ACTIONS(5593),
    [aux_sym_preproc_if_token1] = ACTIONS(5593),
    [aux_sym_preproc_if_token2] = ACTIONS(5593),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5593),
    [aux_sym_preproc_else_token1] = ACTIONS(5593),
    [aux_sym_preproc_elif_token1] = ACTIONS(5593),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5593),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5593),
    [sym_preproc_directive] = ACTIONS(5593),
    [anon_sym_LPAREN2] = ACTIONS(5595),
    [anon_sym_TILDE] = ACTIONS(5595),
    [anon_sym_STAR] = ACTIONS(5595),
    [anon_sym_AMP_AMP] = ACTIONS(5595),
    [anon_sym_AMP] = ACTIONS(5593),
    [anon_sym___extension__] = ACTIONS(5593),
    [anon_sym_typedef] = ACTIONS(5593),
    [anon_sym_extern] = ACTIONS(5593),
    [anon_sym___attribute__] = ACTIONS(5593),
    [anon_sym_COLON_COLON] = ACTIONS(5595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5595),
    [anon_sym___declspec] = ACTIONS(5593),
    [anon_sym___based] = ACTIONS(5593),
    [anon_sym_signed] = ACTIONS(5593),
    [anon_sym_unsigned] = ACTIONS(5593),
    [anon_sym_long] = ACTIONS(5593),
    [anon_sym_short] = ACTIONS(5593),
    [anon_sym_LBRACK] = ACTIONS(5593),
    [anon_sym_static] = ACTIONS(5593),
    [anon_sym_register] = ACTIONS(5593),
    [anon_sym_inline] = ACTIONS(5593),
    [anon_sym___inline] = ACTIONS(5593),
    [anon_sym___inline__] = ACTIONS(5593),
    [anon_sym___forceinline] = ACTIONS(5593),
    [anon_sym_thread_local] = ACTIONS(5593),
    [anon_sym___thread] = ACTIONS(5593),
    [anon_sym_const] = ACTIONS(5593),
    [anon_sym_constexpr] = ACTIONS(5593),
    [anon_sym_volatile] = ACTIONS(5593),
    [anon_sym_restrict] = ACTIONS(5593),
    [anon_sym___restrict__] = ACTIONS(5593),
    [anon_sym__Atomic] = ACTIONS(5593),
    [anon_sym__Noreturn] = ACTIONS(5593),
    [anon_sym_noreturn] = ACTIONS(5593),
    [anon_sym_mutable] = ACTIONS(5593),
    [anon_sym_constinit] = ACTIONS(5593),
    [anon_sym_consteval] = ACTIONS(5593),
    [anon_sym_PROGMEM] = ACTIONS(5593),
    [aux_sym_primitive_type_token1] = ACTIONS(5593),
    [anon_sym_byte] = ACTIONS(5593),
    [anon_sym_word] = ACTIONS(5593),
    [anon_sym_enum] = ACTIONS(5593),
    [anon_sym_class] = ACTIONS(5593),
    [anon_sym_struct] = ACTIONS(5593),
    [anon_sym_union] = ACTIONS(5593),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5593),
    [anon_sym_decltype] = ACTIONS(5593),
    [anon_sym_virtual] = ACTIONS(5593),
    [anon_sym_alignas] = ACTIONS(5593),
    [anon_sym_explicit] = ACTIONS(5593),
    [anon_sym_typename] = ACTIONS(5593),
    [anon_sym_template] = ACTIONS(5593),
    [anon_sym_operator] = ACTIONS(5593),
    [anon_sym_friend] = ACTIONS(5593),
    [anon_sym_public] = ACTIONS(5593),
    [anon_sym_private] = ACTIONS(5593),
    [anon_sym_protected] = ACTIONS(5593),
    [anon_sym_using] = ACTIONS(5593),
    [anon_sym_static_assert] = ACTIONS(5593),
  },
  [2203] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token2] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [aux_sym_preproc_else_token1] = ACTIONS(3076),
    [aux_sym_preproc_elif_token1] = ACTIONS(3076),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_friend] = ACTIONS(3076),
    [anon_sym_public] = ACTIONS(3076),
    [anon_sym_private] = ACTIONS(3076),
    [anon_sym_protected] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
  },
  [2204] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(4299),
    [sym_raw_string_literal] = STATE(2984),
    [sym_identifier] = ACTIONS(4454),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [aux_sym_preproc_if_token2] = ACTIONS(4446),
    [aux_sym_preproc_else_token1] = ACTIONS(4446),
    [aux_sym_preproc_elif_token1] = ACTIONS(4454),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4446),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5597),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(5600),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(5602),
    [anon_sym_SLASH_EQ] = ACTIONS(5602),
    [anon_sym_PERCENT_EQ] = ACTIONS(5602),
    [anon_sym_PLUS_EQ] = ACTIONS(5602),
    [anon_sym_DASH_EQ] = ACTIONS(5602),
    [anon_sym_LT_LT_EQ] = ACTIONS(5602),
    [anon_sym_GT_GT_EQ] = ACTIONS(5602),
    [anon_sym_AMP_EQ] = ACTIONS(5602),
    [anon_sym_CARET_EQ] = ACTIONS(5602),
    [anon_sym_PIPE_EQ] = ACTIONS(5602),
    [anon_sym_and_eq] = ACTIONS(5600),
    [anon_sym_or_eq] = ACTIONS(5600),
    [anon_sym_xor_eq] = ACTIONS(5600),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4454),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4454),
    [anon_sym_not_eq] = ACTIONS(4454),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [2205] = {
    [sym_identifier] = ACTIONS(5137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5139),
    [anon_sym_COMMA] = ACTIONS(5139),
    [anon_sym_RPAREN] = ACTIONS(5139),
    [anon_sym_LPAREN2] = ACTIONS(5139),
    [anon_sym_DASH] = ACTIONS(5137),
    [anon_sym_PLUS] = ACTIONS(5137),
    [anon_sym_STAR] = ACTIONS(5139),
    [anon_sym_SLASH] = ACTIONS(5137),
    [anon_sym_PERCENT] = ACTIONS(5139),
    [anon_sym_PIPE_PIPE] = ACTIONS(5139),
    [anon_sym_AMP_AMP] = ACTIONS(5139),
    [anon_sym_PIPE] = ACTIONS(5137),
    [anon_sym_CARET] = ACTIONS(5139),
    [anon_sym_AMP] = ACTIONS(5137),
    [anon_sym_EQ_EQ] = ACTIONS(5139),
    [anon_sym_BANG_EQ] = ACTIONS(5139),
    [anon_sym_GT] = ACTIONS(5137),
    [anon_sym_GT_EQ] = ACTIONS(5139),
    [anon_sym_LT_EQ] = ACTIONS(5137),
    [anon_sym_LT] = ACTIONS(5137),
    [anon_sym_LT_LT] = ACTIONS(5139),
    [anon_sym_GT_GT] = ACTIONS(5139),
    [anon_sym_SEMI] = ACTIONS(5139),
    [anon_sym___extension__] = ACTIONS(5137),
    [anon_sym___attribute__] = ACTIONS(5137),
    [anon_sym_COLON_COLON] = ACTIONS(5139),
    [anon_sym___based] = ACTIONS(5137),
    [anon_sym_LBRACE] = ACTIONS(5139),
    [anon_sym_RBRACE] = ACTIONS(5139),
    [anon_sym_signed] = ACTIONS(5137),
    [anon_sym_unsigned] = ACTIONS(5137),
    [anon_sym_long] = ACTIONS(5137),
    [anon_sym_short] = ACTIONS(5137),
    [anon_sym_LBRACK] = ACTIONS(5139),
    [anon_sym_RBRACK] = ACTIONS(5139),
    [anon_sym_const] = ACTIONS(5137),
    [anon_sym_constexpr] = ACTIONS(5137),
    [anon_sym_volatile] = ACTIONS(5137),
    [anon_sym_restrict] = ACTIONS(5137),
    [anon_sym___restrict__] = ACTIONS(5137),
    [anon_sym__Atomic] = ACTIONS(5137),
    [anon_sym__Noreturn] = ACTIONS(5137),
    [anon_sym_noreturn] = ACTIONS(5137),
    [anon_sym_mutable] = ACTIONS(5137),
    [anon_sym_constinit] = ACTIONS(5137),
    [anon_sym_consteval] = ACTIONS(5137),
    [anon_sym_PROGMEM] = ACTIONS(5137),
    [aux_sym_primitive_type_token1] = ACTIONS(5137),
    [anon_sym_byte] = ACTIONS(5137),
    [anon_sym_word] = ACTIONS(5137),
    [anon_sym_COLON] = ACTIONS(5137),
    [anon_sym_QMARK] = ACTIONS(5139),
    [anon_sym_LT_EQ_GT] = ACTIONS(5139),
    [anon_sym_or] = ACTIONS(5137),
    [anon_sym_and] = ACTIONS(5137),
    [anon_sym_bitor] = ACTIONS(5137),
    [anon_sym_xor] = ACTIONS(5137),
    [anon_sym_bitand] = ACTIONS(5137),
    [anon_sym_not_eq] = ACTIONS(5137),
    [anon_sym_DASH_DASH] = ACTIONS(5139),
    [anon_sym_PLUS_PLUS] = ACTIONS(5139),
    [anon_sym_DOT] = ACTIONS(5137),
    [anon_sym_DOT_STAR] = ACTIONS(5139),
    [anon_sym_DASH_GT] = ACTIONS(5139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5137),
    [anon_sym_decltype] = ACTIONS(5137),
    [anon_sym_final] = ACTIONS(5137),
    [anon_sym_override] = ACTIONS(5137),
    [anon_sym_requires] = ACTIONS(5137),
  },
  [2206] = {
    [sym_identifier] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token2] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [aux_sym_preproc_else_token1] = ACTIONS(3176),
    [aux_sym_preproc_elif_token1] = ACTIONS(3176),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3178),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym___extension__] = ACTIONS(3176),
    [anon_sym_typedef] = ACTIONS(3176),
    [anon_sym_extern] = ACTIONS(3176),
    [anon_sym___attribute__] = ACTIONS(3176),
    [anon_sym_COLON_COLON] = ACTIONS(3178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3178),
    [anon_sym___declspec] = ACTIONS(3176),
    [anon_sym___based] = ACTIONS(3176),
    [anon_sym_signed] = ACTIONS(3176),
    [anon_sym_unsigned] = ACTIONS(3176),
    [anon_sym_long] = ACTIONS(3176),
    [anon_sym_short] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_register] = ACTIONS(3176),
    [anon_sym_inline] = ACTIONS(3176),
    [anon_sym___inline] = ACTIONS(3176),
    [anon_sym___inline__] = ACTIONS(3176),
    [anon_sym___forceinline] = ACTIONS(3176),
    [anon_sym_thread_local] = ACTIONS(3176),
    [anon_sym___thread] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_constexpr] = ACTIONS(3176),
    [anon_sym_volatile] = ACTIONS(3176),
    [anon_sym_restrict] = ACTIONS(3176),
    [anon_sym___restrict__] = ACTIONS(3176),
    [anon_sym__Atomic] = ACTIONS(3176),
    [anon_sym__Noreturn] = ACTIONS(3176),
    [anon_sym_noreturn] = ACTIONS(3176),
    [anon_sym_mutable] = ACTIONS(3176),
    [anon_sym_constinit] = ACTIONS(3176),
    [anon_sym_consteval] = ACTIONS(3176),
    [anon_sym_PROGMEM] = ACTIONS(3176),
    [aux_sym_primitive_type_token1] = ACTIONS(3176),
    [anon_sym_byte] = ACTIONS(3176),
    [anon_sym_word] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_struct] = ACTIONS(3176),
    [anon_sym_union] = ACTIONS(3176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3176),
    [anon_sym_decltype] = ACTIONS(3176),
    [anon_sym_virtual] = ACTIONS(3176),
    [anon_sym_alignas] = ACTIONS(3176),
    [anon_sym_explicit] = ACTIONS(3176),
    [anon_sym_typename] = ACTIONS(3176),
    [anon_sym_template] = ACTIONS(3176),
    [anon_sym_operator] = ACTIONS(3176),
    [anon_sym_friend] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_static_assert] = ACTIONS(3176),
  },
  [2207] = {
    [sym_identifier] = ACTIONS(5604),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5606),
    [anon_sym_COMMA] = ACTIONS(5606),
    [anon_sym_RPAREN] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_STAR] = ACTIONS(5606),
    [anon_sym_SLASH] = ACTIONS(5604),
    [anon_sym_PERCENT] = ACTIONS(5606),
    [anon_sym_PIPE_PIPE] = ACTIONS(5606),
    [anon_sym_AMP_AMP] = ACTIONS(5606),
    [anon_sym_PIPE] = ACTIONS(5604),
    [anon_sym_CARET] = ACTIONS(5606),
    [anon_sym_AMP] = ACTIONS(5604),
    [anon_sym_EQ_EQ] = ACTIONS(5606),
    [anon_sym_BANG_EQ] = ACTIONS(5606),
    [anon_sym_GT] = ACTIONS(5604),
    [anon_sym_GT_EQ] = ACTIONS(5606),
    [anon_sym_LT_EQ] = ACTIONS(5604),
    [anon_sym_LT] = ACTIONS(5604),
    [anon_sym_LT_LT] = ACTIONS(5606),
    [anon_sym_GT_GT] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5606),
    [anon_sym___extension__] = ACTIONS(5604),
    [anon_sym___attribute__] = ACTIONS(5604),
    [anon_sym_COLON_COLON] = ACTIONS(5483),
    [anon_sym___based] = ACTIONS(5604),
    [anon_sym_LBRACE] = ACTIONS(5606),
    [anon_sym_RBRACE] = ACTIONS(5606),
    [anon_sym_signed] = ACTIONS(5604),
    [anon_sym_unsigned] = ACTIONS(5604),
    [anon_sym_long] = ACTIONS(5604),
    [anon_sym_short] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5606),
    [anon_sym_RBRACK] = ACTIONS(5606),
    [anon_sym_const] = ACTIONS(5604),
    [anon_sym_constexpr] = ACTIONS(5604),
    [anon_sym_volatile] = ACTIONS(5604),
    [anon_sym_restrict] = ACTIONS(5604),
    [anon_sym___restrict__] = ACTIONS(5604),
    [anon_sym__Atomic] = ACTIONS(5604),
    [anon_sym__Noreturn] = ACTIONS(5604),
    [anon_sym_noreturn] = ACTIONS(5604),
    [anon_sym_mutable] = ACTIONS(5604),
    [anon_sym_constinit] = ACTIONS(5604),
    [anon_sym_consteval] = ACTIONS(5604),
    [anon_sym_PROGMEM] = ACTIONS(5604),
    [aux_sym_primitive_type_token1] = ACTIONS(5604),
    [anon_sym_byte] = ACTIONS(5604),
    [anon_sym_word] = ACTIONS(5604),
    [anon_sym_COLON] = ACTIONS(5604),
    [anon_sym_QMARK] = ACTIONS(5606),
    [anon_sym_LT_EQ_GT] = ACTIONS(5606),
    [anon_sym_or] = ACTIONS(5604),
    [anon_sym_and] = ACTIONS(5604),
    [anon_sym_bitor] = ACTIONS(5604),
    [anon_sym_xor] = ACTIONS(5604),
    [anon_sym_bitand] = ACTIONS(5604),
    [anon_sym_not_eq] = ACTIONS(5604),
    [anon_sym_DASH_DASH] = ACTIONS(5606),
    [anon_sym_PLUS_PLUS] = ACTIONS(5606),
    [anon_sym_DOT] = ACTIONS(5604),
    [anon_sym_DOT_STAR] = ACTIONS(5606),
    [anon_sym_DASH_GT] = ACTIONS(5606),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5604),
    [anon_sym_decltype] = ACTIONS(5604),
    [anon_sym_final] = ACTIONS(5604),
    [anon_sym_override] = ACTIONS(5604),
    [anon_sym_requires] = ACTIONS(5604),
  },
  [2208] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5165),
    [anon_sym_COMMA] = ACTIONS(5165),
    [anon_sym_RPAREN] = ACTIONS(5155),
    [anon_sym_LPAREN2] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5160),
    [anon_sym_PLUS] = ACTIONS(5160),
    [anon_sym_STAR] = ACTIONS(5162),
    [anon_sym_SLASH] = ACTIONS(5160),
    [anon_sym_PERCENT] = ACTIONS(5160),
    [anon_sym_PIPE_PIPE] = ACTIONS(5165),
    [anon_sym_AMP_AMP] = ACTIONS(5155),
    [anon_sym_PIPE] = ACTIONS(5160),
    [anon_sym_CARET] = ACTIONS(5160),
    [anon_sym_AMP] = ACTIONS(5162),
    [anon_sym_EQ_EQ] = ACTIONS(5165),
    [anon_sym_BANG_EQ] = ACTIONS(5165),
    [anon_sym_GT] = ACTIONS(5160),
    [anon_sym_GT_EQ] = ACTIONS(5165),
    [anon_sym_LT_EQ] = ACTIONS(5160),
    [anon_sym_LT] = ACTIONS(5160),
    [anon_sym_LT_LT] = ACTIONS(5160),
    [anon_sym_GT_GT] = ACTIONS(5160),
    [anon_sym_SEMI] = ACTIONS(5165),
    [anon_sym___extension__] = ACTIONS(5158),
    [anon_sym_COLON_COLON] = ACTIONS(5158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5165),
    [anon_sym_LBRACE] = ACTIONS(5158),
    [anon_sym_LBRACK] = ACTIONS(5162),
    [anon_sym_EQ] = ACTIONS(5160),
    [anon_sym_const] = ACTIONS(5153),
    [anon_sym_constexpr] = ACTIONS(5158),
    [anon_sym_volatile] = ACTIONS(5158),
    [anon_sym_restrict] = ACTIONS(5158),
    [anon_sym___restrict__] = ACTIONS(5158),
    [anon_sym__Atomic] = ACTIONS(5158),
    [anon_sym__Noreturn] = ACTIONS(5158),
    [anon_sym_noreturn] = ACTIONS(5158),
    [anon_sym_mutable] = ACTIONS(5158),
    [anon_sym_constinit] = ACTIONS(5158),
    [anon_sym_consteval] = ACTIONS(5158),
    [anon_sym_PROGMEM] = ACTIONS(5158),
    [anon_sym_QMARK] = ACTIONS(5165),
    [anon_sym_STAR_EQ] = ACTIONS(5165),
    [anon_sym_SLASH_EQ] = ACTIONS(5165),
    [anon_sym_PERCENT_EQ] = ACTIONS(5165),
    [anon_sym_PLUS_EQ] = ACTIONS(5165),
    [anon_sym_DASH_EQ] = ACTIONS(5165),
    [anon_sym_LT_LT_EQ] = ACTIONS(5165),
    [anon_sym_GT_GT_EQ] = ACTIONS(5165),
    [anon_sym_AMP_EQ] = ACTIONS(5165),
    [anon_sym_CARET_EQ] = ACTIONS(5165),
    [anon_sym_PIPE_EQ] = ACTIONS(5165),
    [anon_sym_and_eq] = ACTIONS(5165),
    [anon_sym_or_eq] = ACTIONS(5165),
    [anon_sym_xor_eq] = ACTIONS(5165),
    [anon_sym_LT_EQ_GT] = ACTIONS(5165),
    [anon_sym_or] = ACTIONS(5160),
    [anon_sym_and] = ACTIONS(5160),
    [anon_sym_bitor] = ACTIONS(5165),
    [anon_sym_xor] = ACTIONS(5160),
    [anon_sym_bitand] = ACTIONS(5165),
    [anon_sym_not_eq] = ACTIONS(5165),
    [anon_sym_DASH_DASH] = ACTIONS(5165),
    [anon_sym_PLUS_PLUS] = ACTIONS(5165),
    [anon_sym_DOT] = ACTIONS(5160),
    [anon_sym_DOT_STAR] = ACTIONS(5165),
    [anon_sym_DASH_GT] = ACTIONS(5160),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5158),
    [anon_sym_decltype] = ACTIONS(5158),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5165),
  },
  [2209] = {
    [sym__declaration_modifiers] = STATE(3944),
    [sym_attribute_specifier] = STATE(3944),
    [sym_attribute_declaration] = STATE(3944),
    [sym_ms_declspec_modifier] = STATE(3944),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6884),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3944),
    [sym_type_qualifier] = STATE(3944),
    [sym_decltype] = STATE(9281),
    [sym_virtual] = STATE(3944),
    [sym_alignas_specifier] = STATE(3944),
    [sym_explicit_function_specifier] = STATE(3944),
    [sym_operator_cast] = STATE(7359),
    [sym__constructor_specifiers] = STATE(3944),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(9281),
    [sym_template_function] = STATE(6932),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6232),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_operator_cast_identifier] = STATE(7359),
    [sym_operator_name] = STATE(6932),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3944),
    [sym_identifier] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(5443),
    [anon_sym_extern] = ACTIONS(5445),
    [anon_sym___attribute__] = ACTIONS(5447),
    [anon_sym_COLON_COLON] = ACTIONS(5449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5451),
    [anon_sym___declspec] = ACTIONS(5453),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(5445),
    [anon_sym_register] = ACTIONS(5445),
    [anon_sym_inline] = ACTIONS(5445),
    [anon_sym___inline] = ACTIONS(5445),
    [anon_sym___inline__] = ACTIONS(5445),
    [anon_sym___forceinline] = ACTIONS(5445),
    [anon_sym_thread_local] = ACTIONS(5445),
    [anon_sym___thread] = ACTIONS(5445),
    [anon_sym_const] = ACTIONS(5443),
    [anon_sym_constexpr] = ACTIONS(5443),
    [anon_sym_volatile] = ACTIONS(5443),
    [anon_sym_restrict] = ACTIONS(5443),
    [anon_sym___restrict__] = ACTIONS(5443),
    [anon_sym__Atomic] = ACTIONS(5443),
    [anon_sym__Noreturn] = ACTIONS(5443),
    [anon_sym_noreturn] = ACTIONS(5443),
    [anon_sym_mutable] = ACTIONS(5443),
    [anon_sym_constinit] = ACTIONS(5443),
    [anon_sym_consteval] = ACTIONS(5443),
    [anon_sym_PROGMEM] = ACTIONS(5443),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_virtual] = ACTIONS(5455),
    [anon_sym_alignas] = ACTIONS(5457),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(133),
  },
  [2210] = {
    [sym__declaration_modifiers] = STATE(3944),
    [sym_attribute_specifier] = STATE(3944),
    [sym_attribute_declaration] = STATE(3944),
    [sym_ms_declspec_modifier] = STATE(3944),
    [sym_ms_based_modifier] = STATE(9424),
    [sym__declarator] = STATE(7331),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_function_declarator] = STATE(6990),
    [sym_array_declarator] = STATE(6932),
    [sym_storage_class_specifier] = STATE(3944),
    [sym_type_qualifier] = STATE(3944),
    [sym_decltype] = STATE(9281),
    [sym_virtual] = STATE(3944),
    [sym_alignas_specifier] = STATE(3944),
    [sym_explicit_function_specifier] = STATE(3944),
    [sym_operator_cast] = STATE(7371),
    [sym__constructor_specifiers] = STATE(3944),
    [sym_reference_declarator] = STATE(6932),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym_template_type] = STATE(9281),
    [sym_template_function] = STATE(6932),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6232),
    [sym_qualified_identifier] = STATE(6932),
    [sym_qualified_operator_cast_identifier] = STATE(7371),
    [sym_operator_name] = STATE(6932),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3944),
    [sym_identifier] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(5443),
    [anon_sym_extern] = ACTIONS(5445),
    [anon_sym___attribute__] = ACTIONS(5447),
    [anon_sym_COLON_COLON] = ACTIONS(5449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5451),
    [anon_sym___declspec] = ACTIONS(5453),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(5445),
    [anon_sym_register] = ACTIONS(5445),
    [anon_sym_inline] = ACTIONS(5445),
    [anon_sym___inline] = ACTIONS(5445),
    [anon_sym___inline__] = ACTIONS(5445),
    [anon_sym___forceinline] = ACTIONS(5445),
    [anon_sym_thread_local] = ACTIONS(5445),
    [anon_sym___thread] = ACTIONS(5445),
    [anon_sym_const] = ACTIONS(5443),
    [anon_sym_constexpr] = ACTIONS(5443),
    [anon_sym_volatile] = ACTIONS(5443),
    [anon_sym_restrict] = ACTIONS(5443),
    [anon_sym___restrict__] = ACTIONS(5443),
    [anon_sym__Atomic] = ACTIONS(5443),
    [anon_sym__Noreturn] = ACTIONS(5443),
    [anon_sym_noreturn] = ACTIONS(5443),
    [anon_sym_mutable] = ACTIONS(5443),
    [anon_sym_constinit] = ACTIONS(5443),
    [anon_sym_consteval] = ACTIONS(5443),
    [anon_sym_PROGMEM] = ACTIONS(5443),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_virtual] = ACTIONS(5455),
    [anon_sym_alignas] = ACTIONS(5457),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_operator] = ACTIONS(133),
  },
  [2211] = {
    [sym_identifier] = ACTIONS(3511),
    [aux_sym_preproc_def_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token2] = ACTIONS(3511),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3511),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3511),
    [aux_sym_preproc_else_token1] = ACTIONS(3511),
    [aux_sym_preproc_elif_token1] = ACTIONS(3511),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3511),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3511),
    [sym_preproc_directive] = ACTIONS(3511),
    [anon_sym_LPAREN2] = ACTIONS(3513),
    [anon_sym_TILDE] = ACTIONS(3513),
    [anon_sym_STAR] = ACTIONS(3513),
    [anon_sym_AMP_AMP] = ACTIONS(3513),
    [anon_sym_AMP] = ACTIONS(3511),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_typedef] = ACTIONS(3511),
    [anon_sym_extern] = ACTIONS(3511),
    [anon_sym___attribute__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3513),
    [anon_sym___declspec] = ACTIONS(3511),
    [anon_sym___based] = ACTIONS(3511),
    [anon_sym_signed] = ACTIONS(3511),
    [anon_sym_unsigned] = ACTIONS(3511),
    [anon_sym_long] = ACTIONS(3511),
    [anon_sym_short] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(3511),
    [anon_sym_static] = ACTIONS(3511),
    [anon_sym_register] = ACTIONS(3511),
    [anon_sym_inline] = ACTIONS(3511),
    [anon_sym___inline] = ACTIONS(3511),
    [anon_sym___inline__] = ACTIONS(3511),
    [anon_sym___forceinline] = ACTIONS(3511),
    [anon_sym_thread_local] = ACTIONS(3511),
    [anon_sym___thread] = ACTIONS(3511),
    [anon_sym_const] = ACTIONS(3511),
    [anon_sym_constexpr] = ACTIONS(3511),
    [anon_sym_volatile] = ACTIONS(3511),
    [anon_sym_restrict] = ACTIONS(3511),
    [anon_sym___restrict__] = ACTIONS(3511),
    [anon_sym__Atomic] = ACTIONS(3511),
    [anon_sym__Noreturn] = ACTIONS(3511),
    [anon_sym_noreturn] = ACTIONS(3511),
    [anon_sym_mutable] = ACTIONS(3511),
    [anon_sym_constinit] = ACTIONS(3511),
    [anon_sym_consteval] = ACTIONS(3511),
    [anon_sym_PROGMEM] = ACTIONS(3511),
    [aux_sym_primitive_type_token1] = ACTIONS(3511),
    [anon_sym_byte] = ACTIONS(3511),
    [anon_sym_word] = ACTIONS(3511),
    [anon_sym_enum] = ACTIONS(3511),
    [anon_sym_class] = ACTIONS(3511),
    [anon_sym_struct] = ACTIONS(3511),
    [anon_sym_union] = ACTIONS(3511),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3511),
    [anon_sym_decltype] = ACTIONS(3511),
    [anon_sym_virtual] = ACTIONS(3511),
    [anon_sym_alignas] = ACTIONS(3511),
    [anon_sym_explicit] = ACTIONS(3511),
    [anon_sym_typename] = ACTIONS(3511),
    [anon_sym_template] = ACTIONS(3511),
    [anon_sym_operator] = ACTIONS(3511),
    [anon_sym_friend] = ACTIONS(3511),
    [anon_sym_public] = ACTIONS(3511),
    [anon_sym_private] = ACTIONS(3511),
    [anon_sym_protected] = ACTIONS(3511),
    [anon_sym_using] = ACTIONS(3511),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [2212] = {
    [sym_identifier] = ACTIONS(5133),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5135),
    [anon_sym_COMMA] = ACTIONS(5135),
    [anon_sym_RPAREN] = ACTIONS(5135),
    [anon_sym_LPAREN2] = ACTIONS(5135),
    [anon_sym_DASH] = ACTIONS(5133),
    [anon_sym_PLUS] = ACTIONS(5133),
    [anon_sym_STAR] = ACTIONS(5135),
    [anon_sym_SLASH] = ACTIONS(5133),
    [anon_sym_PERCENT] = ACTIONS(5135),
    [anon_sym_PIPE_PIPE] = ACTIONS(5135),
    [anon_sym_AMP_AMP] = ACTIONS(5135),
    [anon_sym_PIPE] = ACTIONS(5133),
    [anon_sym_CARET] = ACTIONS(5135),
    [anon_sym_AMP] = ACTIONS(5133),
    [anon_sym_EQ_EQ] = ACTIONS(5135),
    [anon_sym_BANG_EQ] = ACTIONS(5135),
    [anon_sym_GT] = ACTIONS(5133),
    [anon_sym_GT_EQ] = ACTIONS(5135),
    [anon_sym_LT_EQ] = ACTIONS(5133),
    [anon_sym_LT] = ACTIONS(5133),
    [anon_sym_LT_LT] = ACTIONS(5135),
    [anon_sym_GT_GT] = ACTIONS(5135),
    [anon_sym_SEMI] = ACTIONS(5135),
    [anon_sym___extension__] = ACTIONS(5133),
    [anon_sym___attribute__] = ACTIONS(5133),
    [anon_sym_COLON_COLON] = ACTIONS(5135),
    [anon_sym___based] = ACTIONS(5133),
    [anon_sym_LBRACE] = ACTIONS(5135),
    [anon_sym_RBRACE] = ACTIONS(5135),
    [anon_sym_signed] = ACTIONS(5133),
    [anon_sym_unsigned] = ACTIONS(5133),
    [anon_sym_long] = ACTIONS(5133),
    [anon_sym_short] = ACTIONS(5133),
    [anon_sym_LBRACK] = ACTIONS(5135),
    [anon_sym_RBRACK] = ACTIONS(5135),
    [anon_sym_const] = ACTIONS(5133),
    [anon_sym_constexpr] = ACTIONS(5133),
    [anon_sym_volatile] = ACTIONS(5133),
    [anon_sym_restrict] = ACTIONS(5133),
    [anon_sym___restrict__] = ACTIONS(5133),
    [anon_sym__Atomic] = ACTIONS(5133),
    [anon_sym__Noreturn] = ACTIONS(5133),
    [anon_sym_noreturn] = ACTIONS(5133),
    [anon_sym_mutable] = ACTIONS(5133),
    [anon_sym_constinit] = ACTIONS(5133),
    [anon_sym_consteval] = ACTIONS(5133),
    [anon_sym_PROGMEM] = ACTIONS(5133),
    [aux_sym_primitive_type_token1] = ACTIONS(5133),
    [anon_sym_byte] = ACTIONS(5133),
    [anon_sym_word] = ACTIONS(5133),
    [anon_sym_COLON] = ACTIONS(5133),
    [anon_sym_QMARK] = ACTIONS(5135),
    [anon_sym_LT_EQ_GT] = ACTIONS(5135),
    [anon_sym_or] = ACTIONS(5133),
    [anon_sym_and] = ACTIONS(5133),
    [anon_sym_bitor] = ACTIONS(5133),
    [anon_sym_xor] = ACTIONS(5133),
    [anon_sym_bitand] = ACTIONS(5133),
    [anon_sym_not_eq] = ACTIONS(5133),
    [anon_sym_DASH_DASH] = ACTIONS(5135),
    [anon_sym_PLUS_PLUS] = ACTIONS(5135),
    [anon_sym_DOT] = ACTIONS(5133),
    [anon_sym_DOT_STAR] = ACTIONS(5135),
    [anon_sym_DASH_GT] = ACTIONS(5135),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5133),
    [anon_sym_decltype] = ACTIONS(5133),
    [anon_sym_final] = ACTIONS(5133),
    [anon_sym_override] = ACTIONS(5133),
    [anon_sym_requires] = ACTIONS(5133),
  },
  [2213] = {
    [sym_identifier] = ACTIONS(5604),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5606),
    [anon_sym_COMMA] = ACTIONS(5606),
    [anon_sym_RPAREN] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_STAR] = ACTIONS(5606),
    [anon_sym_SLASH] = ACTIONS(5604),
    [anon_sym_PERCENT] = ACTIONS(5606),
    [anon_sym_PIPE_PIPE] = ACTIONS(5606),
    [anon_sym_AMP_AMP] = ACTIONS(5606),
    [anon_sym_PIPE] = ACTIONS(5604),
    [anon_sym_CARET] = ACTIONS(5606),
    [anon_sym_AMP] = ACTIONS(5604),
    [anon_sym_EQ_EQ] = ACTIONS(5606),
    [anon_sym_BANG_EQ] = ACTIONS(5606),
    [anon_sym_GT] = ACTIONS(5604),
    [anon_sym_GT_EQ] = ACTIONS(5606),
    [anon_sym_LT_EQ] = ACTIONS(5604),
    [anon_sym_LT] = ACTIONS(5604),
    [anon_sym_LT_LT] = ACTIONS(5606),
    [anon_sym_GT_GT] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5606),
    [anon_sym___extension__] = ACTIONS(5604),
    [anon_sym___attribute__] = ACTIONS(5604),
    [anon_sym_COLON_COLON] = ACTIONS(5483),
    [anon_sym___based] = ACTIONS(5604),
    [anon_sym_LBRACE] = ACTIONS(5606),
    [anon_sym_RBRACE] = ACTIONS(5606),
    [anon_sym_signed] = ACTIONS(5604),
    [anon_sym_unsigned] = ACTIONS(5604),
    [anon_sym_long] = ACTIONS(5604),
    [anon_sym_short] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5606),
    [anon_sym_RBRACK] = ACTIONS(5606),
    [anon_sym_const] = ACTIONS(5604),
    [anon_sym_constexpr] = ACTIONS(5604),
    [anon_sym_volatile] = ACTIONS(5604),
    [anon_sym_restrict] = ACTIONS(5604),
    [anon_sym___restrict__] = ACTIONS(5604),
    [anon_sym__Atomic] = ACTIONS(5604),
    [anon_sym__Noreturn] = ACTIONS(5604),
    [anon_sym_noreturn] = ACTIONS(5604),
    [anon_sym_mutable] = ACTIONS(5604),
    [anon_sym_constinit] = ACTIONS(5604),
    [anon_sym_consteval] = ACTIONS(5604),
    [anon_sym_PROGMEM] = ACTIONS(5604),
    [aux_sym_primitive_type_token1] = ACTIONS(5604),
    [anon_sym_byte] = ACTIONS(5604),
    [anon_sym_word] = ACTIONS(5604),
    [anon_sym_COLON] = ACTIONS(5604),
    [anon_sym_QMARK] = ACTIONS(5606),
    [anon_sym_LT_EQ_GT] = ACTIONS(5606),
    [anon_sym_or] = ACTIONS(5604),
    [anon_sym_and] = ACTIONS(5604),
    [anon_sym_bitor] = ACTIONS(5604),
    [anon_sym_xor] = ACTIONS(5604),
    [anon_sym_bitand] = ACTIONS(5604),
    [anon_sym_not_eq] = ACTIONS(5604),
    [anon_sym_DASH_DASH] = ACTIONS(5606),
    [anon_sym_PLUS_PLUS] = ACTIONS(5606),
    [anon_sym_DOT] = ACTIONS(5604),
    [anon_sym_DOT_STAR] = ACTIONS(5606),
    [anon_sym_DASH_GT] = ACTIONS(5606),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5604),
    [anon_sym_decltype] = ACTIONS(5604),
    [anon_sym_final] = ACTIONS(5604),
    [anon_sym_override] = ACTIONS(5604),
    [anon_sym_requires] = ACTIONS(5604),
  },
  [2214] = {
    [sym_identifier] = ACTIONS(5125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5127),
    [anon_sym_COMMA] = ACTIONS(5127),
    [anon_sym_RPAREN] = ACTIONS(5127),
    [anon_sym_LPAREN2] = ACTIONS(5127),
    [anon_sym_DASH] = ACTIONS(5125),
    [anon_sym_PLUS] = ACTIONS(5125),
    [anon_sym_STAR] = ACTIONS(5127),
    [anon_sym_SLASH] = ACTIONS(5125),
    [anon_sym_PERCENT] = ACTIONS(5127),
    [anon_sym_PIPE_PIPE] = ACTIONS(5127),
    [anon_sym_AMP_AMP] = ACTIONS(5127),
    [anon_sym_PIPE] = ACTIONS(5125),
    [anon_sym_CARET] = ACTIONS(5127),
    [anon_sym_AMP] = ACTIONS(5125),
    [anon_sym_EQ_EQ] = ACTIONS(5127),
    [anon_sym_BANG_EQ] = ACTIONS(5127),
    [anon_sym_GT] = ACTIONS(5125),
    [anon_sym_GT_EQ] = ACTIONS(5127),
    [anon_sym_LT_EQ] = ACTIONS(5125),
    [anon_sym_LT] = ACTIONS(5125),
    [anon_sym_LT_LT] = ACTIONS(5127),
    [anon_sym_GT_GT] = ACTIONS(5127),
    [anon_sym_SEMI] = ACTIONS(5127),
    [anon_sym___extension__] = ACTIONS(5125),
    [anon_sym___attribute__] = ACTIONS(5125),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym___based] = ACTIONS(5125),
    [anon_sym_LBRACE] = ACTIONS(5127),
    [anon_sym_RBRACE] = ACTIONS(5127),
    [anon_sym_signed] = ACTIONS(5125),
    [anon_sym_unsigned] = ACTIONS(5125),
    [anon_sym_long] = ACTIONS(5125),
    [anon_sym_short] = ACTIONS(5125),
    [anon_sym_LBRACK] = ACTIONS(5127),
    [anon_sym_RBRACK] = ACTIONS(5127),
    [anon_sym_const] = ACTIONS(5125),
    [anon_sym_constexpr] = ACTIONS(5125),
    [anon_sym_volatile] = ACTIONS(5125),
    [anon_sym_restrict] = ACTIONS(5125),
    [anon_sym___restrict__] = ACTIONS(5125),
    [anon_sym__Atomic] = ACTIONS(5125),
    [anon_sym__Noreturn] = ACTIONS(5125),
    [anon_sym_noreturn] = ACTIONS(5125),
    [anon_sym_mutable] = ACTIONS(5125),
    [anon_sym_constinit] = ACTIONS(5125),
    [anon_sym_consteval] = ACTIONS(5125),
    [anon_sym_PROGMEM] = ACTIONS(5125),
    [aux_sym_primitive_type_token1] = ACTIONS(5125),
    [anon_sym_byte] = ACTIONS(5125),
    [anon_sym_word] = ACTIONS(5125),
    [anon_sym_COLON] = ACTIONS(5125),
    [anon_sym_QMARK] = ACTIONS(5127),
    [anon_sym_LT_EQ_GT] = ACTIONS(5127),
    [anon_sym_or] = ACTIONS(5125),
    [anon_sym_and] = ACTIONS(5125),
    [anon_sym_bitor] = ACTIONS(5125),
    [anon_sym_xor] = ACTIONS(5125),
    [anon_sym_bitand] = ACTIONS(5125),
    [anon_sym_not_eq] = ACTIONS(5125),
    [anon_sym_DASH_DASH] = ACTIONS(5127),
    [anon_sym_PLUS_PLUS] = ACTIONS(5127),
    [anon_sym_DOT] = ACTIONS(5125),
    [anon_sym_DOT_STAR] = ACTIONS(5127),
    [anon_sym_DASH_GT] = ACTIONS(5127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5125),
    [anon_sym_decltype] = ACTIONS(5125),
    [anon_sym_final] = ACTIONS(5125),
    [anon_sym_override] = ACTIONS(5125),
    [anon_sym_requires] = ACTIONS(5125),
  },
  [2215] = {
    [sym_identifier] = ACTIONS(3278),
    [aux_sym_preproc_def_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token2] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3278),
    [aux_sym_preproc_else_token1] = ACTIONS(3278),
    [aux_sym_preproc_elif_token1] = ACTIONS(3278),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3278),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3278),
    [sym_preproc_directive] = ACTIONS(3278),
    [anon_sym_LPAREN2] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3278),
    [anon_sym___extension__] = ACTIONS(3278),
    [anon_sym_typedef] = ACTIONS(3278),
    [anon_sym_extern] = ACTIONS(3278),
    [anon_sym___attribute__] = ACTIONS(3278),
    [anon_sym_COLON_COLON] = ACTIONS(3280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3280),
    [anon_sym___declspec] = ACTIONS(3278),
    [anon_sym___based] = ACTIONS(3278),
    [anon_sym_signed] = ACTIONS(3278),
    [anon_sym_unsigned] = ACTIONS(3278),
    [anon_sym_long] = ACTIONS(3278),
    [anon_sym_short] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_register] = ACTIONS(3278),
    [anon_sym_inline] = ACTIONS(3278),
    [anon_sym___inline] = ACTIONS(3278),
    [anon_sym___inline__] = ACTIONS(3278),
    [anon_sym___forceinline] = ACTIONS(3278),
    [anon_sym_thread_local] = ACTIONS(3278),
    [anon_sym___thread] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_constexpr] = ACTIONS(3278),
    [anon_sym_volatile] = ACTIONS(3278),
    [anon_sym_restrict] = ACTIONS(3278),
    [anon_sym___restrict__] = ACTIONS(3278),
    [anon_sym__Atomic] = ACTIONS(3278),
    [anon_sym__Noreturn] = ACTIONS(3278),
    [anon_sym_noreturn] = ACTIONS(3278),
    [anon_sym_mutable] = ACTIONS(3278),
    [anon_sym_constinit] = ACTIONS(3278),
    [anon_sym_consteval] = ACTIONS(3278),
    [anon_sym_PROGMEM] = ACTIONS(3278),
    [aux_sym_primitive_type_token1] = ACTIONS(3278),
    [anon_sym_byte] = ACTIONS(3278),
    [anon_sym_word] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_struct] = ACTIONS(3278),
    [anon_sym_union] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3278),
    [anon_sym_decltype] = ACTIONS(3278),
    [anon_sym_virtual] = ACTIONS(3278),
    [anon_sym_alignas] = ACTIONS(3278),
    [anon_sym_explicit] = ACTIONS(3278),
    [anon_sym_typename] = ACTIONS(3278),
    [anon_sym_template] = ACTIONS(3278),
    [anon_sym_operator] = ACTIONS(3278),
    [anon_sym_friend] = ACTIONS(3278),
    [anon_sym_public] = ACTIONS(3278),
    [anon_sym_private] = ACTIONS(3278),
    [anon_sym_protected] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_static_assert] = ACTIONS(3278),
  },
  [2216] = {
    [sym_identifier] = ACTIONS(5608),
    [aux_sym_preproc_def_token1] = ACTIONS(5608),
    [aux_sym_preproc_if_token1] = ACTIONS(5608),
    [aux_sym_preproc_if_token2] = ACTIONS(5608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5608),
    [aux_sym_preproc_else_token1] = ACTIONS(5608),
    [aux_sym_preproc_elif_token1] = ACTIONS(5608),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5608),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5608),
    [sym_preproc_directive] = ACTIONS(5608),
    [anon_sym_LPAREN2] = ACTIONS(5610),
    [anon_sym_TILDE] = ACTIONS(5610),
    [anon_sym_STAR] = ACTIONS(5610),
    [anon_sym_AMP_AMP] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(5608),
    [anon_sym___extension__] = ACTIONS(5608),
    [anon_sym_typedef] = ACTIONS(5608),
    [anon_sym_extern] = ACTIONS(5608),
    [anon_sym___attribute__] = ACTIONS(5608),
    [anon_sym_COLON_COLON] = ACTIONS(5610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5610),
    [anon_sym___declspec] = ACTIONS(5608),
    [anon_sym___based] = ACTIONS(5608),
    [anon_sym_signed] = ACTIONS(5608),
    [anon_sym_unsigned] = ACTIONS(5608),
    [anon_sym_long] = ACTIONS(5608),
    [anon_sym_short] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [anon_sym_static] = ACTIONS(5608),
    [anon_sym_register] = ACTIONS(5608),
    [anon_sym_inline] = ACTIONS(5608),
    [anon_sym___inline] = ACTIONS(5608),
    [anon_sym___inline__] = ACTIONS(5608),
    [anon_sym___forceinline] = ACTIONS(5608),
    [anon_sym_thread_local] = ACTIONS(5608),
    [anon_sym___thread] = ACTIONS(5608),
    [anon_sym_const] = ACTIONS(5608),
    [anon_sym_constexpr] = ACTIONS(5608),
    [anon_sym_volatile] = ACTIONS(5608),
    [anon_sym_restrict] = ACTIONS(5608),
    [anon_sym___restrict__] = ACTIONS(5608),
    [anon_sym__Atomic] = ACTIONS(5608),
    [anon_sym__Noreturn] = ACTIONS(5608),
    [anon_sym_noreturn] = ACTIONS(5608),
    [anon_sym_mutable] = ACTIONS(5608),
    [anon_sym_constinit] = ACTIONS(5608),
    [anon_sym_consteval] = ACTIONS(5608),
    [anon_sym_PROGMEM] = ACTIONS(5608),
    [aux_sym_primitive_type_token1] = ACTIONS(5608),
    [anon_sym_byte] = ACTIONS(5608),
    [anon_sym_word] = ACTIONS(5608),
    [anon_sym_enum] = ACTIONS(5608),
    [anon_sym_class] = ACTIONS(5608),
    [anon_sym_struct] = ACTIONS(5608),
    [anon_sym_union] = ACTIONS(5608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5608),
    [anon_sym_decltype] = ACTIONS(5608),
    [anon_sym_virtual] = ACTIONS(5608),
    [anon_sym_alignas] = ACTIONS(5608),
    [anon_sym_explicit] = ACTIONS(5608),
    [anon_sym_typename] = ACTIONS(5608),
    [anon_sym_template] = ACTIONS(5608),
    [anon_sym_operator] = ACTIONS(5608),
    [anon_sym_friend] = ACTIONS(5608),
    [anon_sym_public] = ACTIONS(5608),
    [anon_sym_private] = ACTIONS(5608),
    [anon_sym_protected] = ACTIONS(5608),
    [anon_sym_using] = ACTIONS(5608),
    [anon_sym_static_assert] = ACTIONS(5608),
  },
  [2217] = {
    [sym_decltype_auto] = STATE(2238),
    [sym_identifier] = ACTIONS(5612),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5614),
    [anon_sym_COMMA] = ACTIONS(5614),
    [anon_sym_RPAREN] = ACTIONS(5614),
    [anon_sym_LPAREN2] = ACTIONS(5614),
    [anon_sym_DASH] = ACTIONS(5612),
    [anon_sym_PLUS] = ACTIONS(5612),
    [anon_sym_STAR] = ACTIONS(5614),
    [anon_sym_SLASH] = ACTIONS(5612),
    [anon_sym_PERCENT] = ACTIONS(5614),
    [anon_sym_PIPE_PIPE] = ACTIONS(5614),
    [anon_sym_AMP_AMP] = ACTIONS(5614),
    [anon_sym_PIPE] = ACTIONS(5612),
    [anon_sym_CARET] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(5612),
    [anon_sym_EQ_EQ] = ACTIONS(5614),
    [anon_sym_BANG_EQ] = ACTIONS(5614),
    [anon_sym_GT] = ACTIONS(5612),
    [anon_sym_GT_EQ] = ACTIONS(5614),
    [anon_sym_LT_EQ] = ACTIONS(5612),
    [anon_sym_LT] = ACTIONS(5612),
    [anon_sym_LT_LT] = ACTIONS(5614),
    [anon_sym_GT_GT] = ACTIONS(5614),
    [anon_sym_SEMI] = ACTIONS(5614),
    [anon_sym___extension__] = ACTIONS(5612),
    [anon_sym___attribute__] = ACTIONS(5612),
    [anon_sym___based] = ACTIONS(5612),
    [anon_sym_LBRACE] = ACTIONS(5614),
    [anon_sym_RBRACE] = ACTIONS(5614),
    [anon_sym_signed] = ACTIONS(5612),
    [anon_sym_unsigned] = ACTIONS(5612),
    [anon_sym_long] = ACTIONS(5612),
    [anon_sym_short] = ACTIONS(5612),
    [anon_sym_LBRACK] = ACTIONS(5614),
    [anon_sym_RBRACK] = ACTIONS(5614),
    [anon_sym_const] = ACTIONS(5612),
    [anon_sym_constexpr] = ACTIONS(5612),
    [anon_sym_volatile] = ACTIONS(5612),
    [anon_sym_restrict] = ACTIONS(5612),
    [anon_sym___restrict__] = ACTIONS(5612),
    [anon_sym__Atomic] = ACTIONS(5612),
    [anon_sym__Noreturn] = ACTIONS(5612),
    [anon_sym_noreturn] = ACTIONS(5612),
    [anon_sym_mutable] = ACTIONS(5612),
    [anon_sym_constinit] = ACTIONS(5612),
    [anon_sym_consteval] = ACTIONS(5612),
    [anon_sym_PROGMEM] = ACTIONS(5612),
    [aux_sym_primitive_type_token1] = ACTIONS(5612),
    [anon_sym_byte] = ACTIONS(5612),
    [anon_sym_word] = ACTIONS(5612),
    [anon_sym_COLON] = ACTIONS(5614),
    [anon_sym_QMARK] = ACTIONS(5614),
    [anon_sym_LT_EQ_GT] = ACTIONS(5614),
    [anon_sym_or] = ACTIONS(5612),
    [anon_sym_and] = ACTIONS(5612),
    [anon_sym_bitor] = ACTIONS(5612),
    [anon_sym_xor] = ACTIONS(5612),
    [anon_sym_bitand] = ACTIONS(5612),
    [anon_sym_not_eq] = ACTIONS(5612),
    [anon_sym_DASH_DASH] = ACTIONS(5614),
    [anon_sym_PLUS_PLUS] = ACTIONS(5614),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_DOT_STAR] = ACTIONS(5614),
    [anon_sym_DASH_GT] = ACTIONS(5614),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5616),
    [anon_sym_decltype] = ACTIONS(5618),
    [anon_sym_final] = ACTIONS(5612),
    [anon_sym_override] = ACTIONS(5612),
    [anon_sym_requires] = ACTIONS(5612),
  },
  [2218] = {
    [sym_template_argument_list] = STATE(2208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5107),
    [anon_sym_COMMA] = ACTIONS(5107),
    [anon_sym_RPAREN] = ACTIONS(5109),
    [anon_sym_LPAREN2] = ACTIONS(5109),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_STAR] = ACTIONS(5116),
    [anon_sym_SLASH] = ACTIONS(5114),
    [anon_sym_PERCENT] = ACTIONS(5114),
    [anon_sym_PIPE_PIPE] = ACTIONS(5107),
    [anon_sym_AMP_AMP] = ACTIONS(5109),
    [anon_sym_PIPE] = ACTIONS(5114),
    [anon_sym_CARET] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(5116),
    [anon_sym_EQ_EQ] = ACTIONS(5107),
    [anon_sym_BANG_EQ] = ACTIONS(5107),
    [anon_sym_GT] = ACTIONS(5114),
    [anon_sym_GT_EQ] = ACTIONS(5107),
    [anon_sym_LT_EQ] = ACTIONS(5114),
    [anon_sym_LT] = ACTIONS(5122),
    [anon_sym_LT_LT] = ACTIONS(5114),
    [anon_sym_GT_GT] = ACTIONS(5114),
    [anon_sym___extension__] = ACTIONS(5112),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5107),
    [anon_sym_LBRACE] = ACTIONS(5112),
    [anon_sym_LBRACK] = ACTIONS(5116),
    [anon_sym_EQ] = ACTIONS(5114),
    [anon_sym_const] = ACTIONS(5105),
    [anon_sym_constexpr] = ACTIONS(5112),
    [anon_sym_volatile] = ACTIONS(5112),
    [anon_sym_restrict] = ACTIONS(5112),
    [anon_sym___restrict__] = ACTIONS(5112),
    [anon_sym__Atomic] = ACTIONS(5112),
    [anon_sym__Noreturn] = ACTIONS(5112),
    [anon_sym_noreturn] = ACTIONS(5112),
    [anon_sym_mutable] = ACTIONS(5112),
    [anon_sym_constinit] = ACTIONS(5112),
    [anon_sym_consteval] = ACTIONS(5112),
    [anon_sym_PROGMEM] = ACTIONS(5112),
    [anon_sym_QMARK] = ACTIONS(5107),
    [anon_sym_STAR_EQ] = ACTIONS(5107),
    [anon_sym_SLASH_EQ] = ACTIONS(5107),
    [anon_sym_PERCENT_EQ] = ACTIONS(5107),
    [anon_sym_PLUS_EQ] = ACTIONS(5107),
    [anon_sym_DASH_EQ] = ACTIONS(5107),
    [anon_sym_LT_LT_EQ] = ACTIONS(5107),
    [anon_sym_GT_GT_EQ] = ACTIONS(5107),
    [anon_sym_AMP_EQ] = ACTIONS(5107),
    [anon_sym_CARET_EQ] = ACTIONS(5107),
    [anon_sym_PIPE_EQ] = ACTIONS(5107),
    [anon_sym_and_eq] = ACTIONS(5107),
    [anon_sym_or_eq] = ACTIONS(5107),
    [anon_sym_xor_eq] = ACTIONS(5107),
    [anon_sym_LT_EQ_GT] = ACTIONS(5107),
    [anon_sym_or] = ACTIONS(5114),
    [anon_sym_and] = ACTIONS(5114),
    [anon_sym_bitor] = ACTIONS(5107),
    [anon_sym_xor] = ACTIONS(5114),
    [anon_sym_bitand] = ACTIONS(5107),
    [anon_sym_not_eq] = ACTIONS(5107),
    [anon_sym_DASH_DASH] = ACTIONS(5107),
    [anon_sym_PLUS_PLUS] = ACTIONS(5107),
    [anon_sym_DOT] = ACTIONS(5114),
    [anon_sym_DOT_STAR] = ACTIONS(5107),
    [anon_sym_DASH_GT] = ACTIONS(5114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5112),
    [anon_sym_decltype] = ACTIONS(5112),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5107),
  },
  [2219] = {
    [sym_catch_clause] = STATE(2245),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2245),
    [sym_identifier] = ACTIONS(2841),
    [aux_sym_preproc_def_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token1] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2841),
    [sym_preproc_directive] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_TILDE] = ACTIONS(2843),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym___extension__] = ACTIONS(2841),
    [anon_sym_typedef] = ACTIONS(2841),
    [anon_sym_extern] = ACTIONS(2841),
    [anon_sym___attribute__] = ACTIONS(2841),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2843),
    [anon_sym___declspec] = ACTIONS(2841),
    [anon_sym___based] = ACTIONS(2841),
    [anon_sym_RBRACE] = ACTIONS(2843),
    [anon_sym_signed] = ACTIONS(2841),
    [anon_sym_unsigned] = ACTIONS(2841),
    [anon_sym_long] = ACTIONS(2841),
    [anon_sym_short] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_static] = ACTIONS(2841),
    [anon_sym_register] = ACTIONS(2841),
    [anon_sym_inline] = ACTIONS(2841),
    [anon_sym___inline] = ACTIONS(2841),
    [anon_sym___inline__] = ACTIONS(2841),
    [anon_sym___forceinline] = ACTIONS(2841),
    [anon_sym_thread_local] = ACTIONS(2841),
    [anon_sym___thread] = ACTIONS(2841),
    [anon_sym_const] = ACTIONS(2841),
    [anon_sym_constexpr] = ACTIONS(2841),
    [anon_sym_volatile] = ACTIONS(2841),
    [anon_sym_restrict] = ACTIONS(2841),
    [anon_sym___restrict__] = ACTIONS(2841),
    [anon_sym__Atomic] = ACTIONS(2841),
    [anon_sym__Noreturn] = ACTIONS(2841),
    [anon_sym_noreturn] = ACTIONS(2841),
    [anon_sym_mutable] = ACTIONS(2841),
    [anon_sym_constinit] = ACTIONS(2841),
    [anon_sym_consteval] = ACTIONS(2841),
    [anon_sym_PROGMEM] = ACTIONS(2841),
    [aux_sym_primitive_type_token1] = ACTIONS(2841),
    [anon_sym_byte] = ACTIONS(2841),
    [anon_sym_word] = ACTIONS(2841),
    [anon_sym_enum] = ACTIONS(2841),
    [anon_sym_class] = ACTIONS(2841),
    [anon_sym_struct] = ACTIONS(2841),
    [anon_sym_union] = ACTIONS(2841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2841),
    [anon_sym_decltype] = ACTIONS(2841),
    [anon_sym_virtual] = ACTIONS(2841),
    [anon_sym_alignas] = ACTIONS(2841),
    [anon_sym_explicit] = ACTIONS(2841),
    [anon_sym_typename] = ACTIONS(2841),
    [anon_sym_template] = ACTIONS(2841),
    [anon_sym_operator] = ACTIONS(2841),
    [anon_sym_friend] = ACTIONS(2841),
    [anon_sym_public] = ACTIONS(2841),
    [anon_sym_private] = ACTIONS(2841),
    [anon_sym_protected] = ACTIONS(2841),
    [anon_sym_using] = ACTIONS(2841),
    [anon_sym_static_assert] = ACTIONS(2841),
    [anon_sym_catch] = ACTIONS(5620),
  },
  [2220] = {
    [sym_identifier] = ACTIONS(5622),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5624),
    [anon_sym_COMMA] = ACTIONS(5624),
    [anon_sym_RPAREN] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_STAR] = ACTIONS(5624),
    [anon_sym_SLASH] = ACTIONS(5622),
    [anon_sym_PERCENT] = ACTIONS(5624),
    [anon_sym_PIPE_PIPE] = ACTIONS(5624),
    [anon_sym_AMP_AMP] = ACTIONS(5624),
    [anon_sym_PIPE] = ACTIONS(5622),
    [anon_sym_CARET] = ACTIONS(5624),
    [anon_sym_AMP] = ACTIONS(5622),
    [anon_sym_EQ_EQ] = ACTIONS(5624),
    [anon_sym_BANG_EQ] = ACTIONS(5624),
    [anon_sym_GT] = ACTIONS(5622),
    [anon_sym_GT_EQ] = ACTIONS(5624),
    [anon_sym_LT_EQ] = ACTIONS(5622),
    [anon_sym_LT] = ACTIONS(5622),
    [anon_sym_LT_LT] = ACTIONS(5624),
    [anon_sym_GT_GT] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5624),
    [anon_sym___extension__] = ACTIONS(5622),
    [anon_sym___attribute__] = ACTIONS(5622),
    [anon_sym___based] = ACTIONS(5622),
    [anon_sym_LBRACE] = ACTIONS(5624),
    [anon_sym_RBRACE] = ACTIONS(5624),
    [anon_sym_signed] = ACTIONS(5622),
    [anon_sym_unsigned] = ACTIONS(5622),
    [anon_sym_long] = ACTIONS(5622),
    [anon_sym_short] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5624),
    [anon_sym_RBRACK] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5622),
    [anon_sym_constexpr] = ACTIONS(5622),
    [anon_sym_volatile] = ACTIONS(5622),
    [anon_sym_restrict] = ACTIONS(5622),
    [anon_sym___restrict__] = ACTIONS(5622),
    [anon_sym__Atomic] = ACTIONS(5622),
    [anon_sym__Noreturn] = ACTIONS(5622),
    [anon_sym_noreturn] = ACTIONS(5622),
    [anon_sym_mutable] = ACTIONS(5622),
    [anon_sym_constinit] = ACTIONS(5622),
    [anon_sym_consteval] = ACTIONS(5622),
    [anon_sym_PROGMEM] = ACTIONS(5622),
    [aux_sym_primitive_type_token1] = ACTIONS(5622),
    [anon_sym_byte] = ACTIONS(5622),
    [anon_sym_word] = ACTIONS(5622),
    [anon_sym_COLON] = ACTIONS(5624),
    [anon_sym_QMARK] = ACTIONS(5624),
    [anon_sym_LT_EQ_GT] = ACTIONS(5624),
    [anon_sym_or] = ACTIONS(5622),
    [anon_sym_and] = ACTIONS(5622),
    [anon_sym_bitor] = ACTIONS(5622),
    [anon_sym_xor] = ACTIONS(5622),
    [anon_sym_bitand] = ACTIONS(5622),
    [anon_sym_not_eq] = ACTIONS(5622),
    [anon_sym_DASH_DASH] = ACTIONS(5624),
    [anon_sym_PLUS_PLUS] = ACTIONS(5624),
    [anon_sym_DOT] = ACTIONS(5622),
    [anon_sym_DOT_STAR] = ACTIONS(5624),
    [anon_sym_DASH_GT] = ACTIONS(5624),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5622),
    [anon_sym_decltype] = ACTIONS(5622),
    [anon_sym_final] = ACTIONS(5622),
    [anon_sym_override] = ACTIONS(5622),
    [anon_sym_requires] = ACTIONS(5622),
  },
  [2221] = {
    [sym_identifier] = ACTIONS(5626),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5628),
    [anon_sym_COMMA] = ACTIONS(5628),
    [anon_sym_RPAREN] = ACTIONS(5628),
    [anon_sym_LPAREN2] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5626),
    [anon_sym_PLUS] = ACTIONS(5626),
    [anon_sym_STAR] = ACTIONS(5628),
    [anon_sym_SLASH] = ACTIONS(5626),
    [anon_sym_PERCENT] = ACTIONS(5628),
    [anon_sym_PIPE_PIPE] = ACTIONS(5628),
    [anon_sym_AMP_AMP] = ACTIONS(5628),
    [anon_sym_PIPE] = ACTIONS(5626),
    [anon_sym_CARET] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(5626),
    [anon_sym_EQ_EQ] = ACTIONS(5628),
    [anon_sym_BANG_EQ] = ACTIONS(5628),
    [anon_sym_GT] = ACTIONS(5626),
    [anon_sym_GT_EQ] = ACTIONS(5628),
    [anon_sym_LT_EQ] = ACTIONS(5626),
    [anon_sym_LT] = ACTIONS(5626),
    [anon_sym_LT_LT] = ACTIONS(5628),
    [anon_sym_GT_GT] = ACTIONS(5628),
    [anon_sym_SEMI] = ACTIONS(5628),
    [anon_sym___extension__] = ACTIONS(5626),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___based] = ACTIONS(5626),
    [anon_sym_LBRACE] = ACTIONS(5628),
    [anon_sym_RBRACE] = ACTIONS(5628),
    [anon_sym_signed] = ACTIONS(5626),
    [anon_sym_unsigned] = ACTIONS(5626),
    [anon_sym_long] = ACTIONS(5626),
    [anon_sym_short] = ACTIONS(5626),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [anon_sym_RBRACK] = ACTIONS(5628),
    [anon_sym_const] = ACTIONS(5626),
    [anon_sym_constexpr] = ACTIONS(5626),
    [anon_sym_volatile] = ACTIONS(5626),
    [anon_sym_restrict] = ACTIONS(5626),
    [anon_sym___restrict__] = ACTIONS(5626),
    [anon_sym__Atomic] = ACTIONS(5626),
    [anon_sym__Noreturn] = ACTIONS(5626),
    [anon_sym_noreturn] = ACTIONS(5626),
    [anon_sym_mutable] = ACTIONS(5626),
    [anon_sym_constinit] = ACTIONS(5626),
    [anon_sym_consteval] = ACTIONS(5626),
    [anon_sym_PROGMEM] = ACTIONS(5626),
    [aux_sym_primitive_type_token1] = ACTIONS(5626),
    [anon_sym_byte] = ACTIONS(5626),
    [anon_sym_word] = ACTIONS(5626),
    [anon_sym_COLON] = ACTIONS(5628),
    [anon_sym_QMARK] = ACTIONS(5628),
    [anon_sym_LT_EQ_GT] = ACTIONS(5628),
    [anon_sym_or] = ACTIONS(5626),
    [anon_sym_and] = ACTIONS(5626),
    [anon_sym_bitor] = ACTIONS(5626),
    [anon_sym_xor] = ACTIONS(5626),
    [anon_sym_bitand] = ACTIONS(5626),
    [anon_sym_not_eq] = ACTIONS(5626),
    [anon_sym_DASH_DASH] = ACTIONS(5628),
    [anon_sym_PLUS_PLUS] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5626),
    [anon_sym_DOT_STAR] = ACTIONS(5628),
    [anon_sym_DASH_GT] = ACTIONS(5628),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5626),
    [anon_sym_decltype] = ACTIONS(5626),
    [anon_sym_final] = ACTIONS(5626),
    [anon_sym_override] = ACTIONS(5626),
    [anon_sym_requires] = ACTIONS(5626),
  },
  [2222] = {
    [sym__declaration_modifiers] = STATE(3679),
    [sym_attribute_specifier] = STATE(3679),
    [sym_attribute_declaration] = STATE(3679),
    [sym_ms_declspec_modifier] = STATE(3679),
    [sym_storage_class_specifier] = STATE(3679),
    [sym_type_qualifier] = STATE(3679),
    [sym__type_specifier] = STATE(4710),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(3979),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3679),
    [sym_alignas_specifier] = STATE(3679),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7217),
    [sym_qualified_type_identifier] = STATE(3265),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3679),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3274),
    [sym_identifier] = ACTIONS(4031),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4037),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(4039),
    [anon_sym_unsigned] = ACTIONS(4039),
    [anon_sym_long] = ACTIONS(4039),
    [anon_sym_short] = ACTIONS(4039),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(4041),
    [anon_sym_class] = ACTIONS(4043),
    [anon_sym_struct] = ACTIONS(4045),
    [anon_sym_union] = ACTIONS(4047),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(4049),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2223] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2045),
    [sym_identifier] = ACTIONS(5374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5630),
    [anon_sym_COMMA] = ACTIONS(5630),
    [anon_sym_RPAREN] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [anon_sym_DASH] = ACTIONS(5633),
    [anon_sym_PLUS] = ACTIONS(5633),
    [anon_sym_STAR] = ACTIONS(5630),
    [anon_sym_SLASH] = ACTIONS(5633),
    [anon_sym_PERCENT] = ACTIONS(5630),
    [anon_sym_PIPE_PIPE] = ACTIONS(5630),
    [anon_sym_AMP_AMP] = ACTIONS(5630),
    [anon_sym_PIPE] = ACTIONS(5633),
    [anon_sym_CARET] = ACTIONS(5630),
    [anon_sym_AMP] = ACTIONS(5633),
    [anon_sym_EQ_EQ] = ACTIONS(5630),
    [anon_sym_BANG_EQ] = ACTIONS(5630),
    [anon_sym_GT] = ACTIONS(5633),
    [anon_sym_GT_EQ] = ACTIONS(5630),
    [anon_sym_LT_EQ] = ACTIONS(5633),
    [anon_sym_LT] = ACTIONS(5633),
    [anon_sym_LT_LT] = ACTIONS(5630),
    [anon_sym_GT_GT] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5630),
    [anon_sym___extension__] = ACTIONS(5633),
    [anon_sym___attribute__] = ACTIONS(5633),
    [anon_sym_LBRACE] = ACTIONS(5630),
    [anon_sym_RBRACE] = ACTIONS(5630),
    [anon_sym_signed] = ACTIONS(5378),
    [anon_sym_unsigned] = ACTIONS(5378),
    [anon_sym_long] = ACTIONS(5378),
    [anon_sym_short] = ACTIONS(5378),
    [anon_sym_LBRACK] = ACTIONS(5630),
    [anon_sym_RBRACK] = ACTIONS(5630),
    [anon_sym_const] = ACTIONS(5633),
    [anon_sym_constexpr] = ACTIONS(5633),
    [anon_sym_volatile] = ACTIONS(5633),
    [anon_sym_restrict] = ACTIONS(5633),
    [anon_sym___restrict__] = ACTIONS(5633),
    [anon_sym__Atomic] = ACTIONS(5633),
    [anon_sym__Noreturn] = ACTIONS(5633),
    [anon_sym_noreturn] = ACTIONS(5633),
    [anon_sym_mutable] = ACTIONS(5633),
    [anon_sym_constinit] = ACTIONS(5633),
    [anon_sym_consteval] = ACTIONS(5633),
    [anon_sym_PROGMEM] = ACTIONS(5633),
    [aux_sym_primitive_type_token1] = ACTIONS(5374),
    [anon_sym_byte] = ACTIONS(5374),
    [anon_sym_word] = ACTIONS(5374),
    [anon_sym_COLON] = ACTIONS(5630),
    [anon_sym_QMARK] = ACTIONS(5630),
    [anon_sym_LT_EQ_GT] = ACTIONS(5630),
    [anon_sym_or] = ACTIONS(5633),
    [anon_sym_and] = ACTIONS(5633),
    [anon_sym_bitor] = ACTIONS(5633),
    [anon_sym_xor] = ACTIONS(5633),
    [anon_sym_bitand] = ACTIONS(5633),
    [anon_sym_not_eq] = ACTIONS(5633),
    [anon_sym_DASH_DASH] = ACTIONS(5630),
    [anon_sym_PLUS_PLUS] = ACTIONS(5630),
    [anon_sym_DOT] = ACTIONS(5633),
    [anon_sym_DOT_STAR] = ACTIONS(5630),
    [anon_sym_DASH_GT] = ACTIONS(5630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5633),
    [anon_sym_decltype] = ACTIONS(5633),
    [anon_sym_final] = ACTIONS(5633),
    [anon_sym_override] = ACTIONS(5633),
    [anon_sym_requires] = ACTIONS(5633),
  },
  [2224] = {
    [sym_identifier] = ACTIONS(5636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5638),
    [anon_sym_COMMA] = ACTIONS(5638),
    [anon_sym_RPAREN] = ACTIONS(5638),
    [anon_sym_LPAREN2] = ACTIONS(5638),
    [anon_sym_DASH] = ACTIONS(5636),
    [anon_sym_PLUS] = ACTIONS(5636),
    [anon_sym_STAR] = ACTIONS(5638),
    [anon_sym_SLASH] = ACTIONS(5636),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [anon_sym_PIPE_PIPE] = ACTIONS(5638),
    [anon_sym_AMP_AMP] = ACTIONS(5638),
    [anon_sym_PIPE] = ACTIONS(5636),
    [anon_sym_CARET] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5636),
    [anon_sym_EQ_EQ] = ACTIONS(5638),
    [anon_sym_BANG_EQ] = ACTIONS(5638),
    [anon_sym_GT] = ACTIONS(5636),
    [anon_sym_GT_EQ] = ACTIONS(5638),
    [anon_sym_LT_EQ] = ACTIONS(5636),
    [anon_sym_LT] = ACTIONS(5636),
    [anon_sym_LT_LT] = ACTIONS(5638),
    [anon_sym_GT_GT] = ACTIONS(5638),
    [anon_sym_SEMI] = ACTIONS(5638),
    [anon_sym___extension__] = ACTIONS(5636),
    [anon_sym___attribute__] = ACTIONS(5636),
    [anon_sym___based] = ACTIONS(5636),
    [anon_sym_LBRACE] = ACTIONS(5638),
    [anon_sym_RBRACE] = ACTIONS(5638),
    [anon_sym_signed] = ACTIONS(5636),
    [anon_sym_unsigned] = ACTIONS(5636),
    [anon_sym_long] = ACTIONS(5636),
    [anon_sym_short] = ACTIONS(5636),
    [anon_sym_LBRACK] = ACTIONS(5638),
    [anon_sym_RBRACK] = ACTIONS(5638),
    [anon_sym_const] = ACTIONS(5636),
    [anon_sym_constexpr] = ACTIONS(5636),
    [anon_sym_volatile] = ACTIONS(5636),
    [anon_sym_restrict] = ACTIONS(5636),
    [anon_sym___restrict__] = ACTIONS(5636),
    [anon_sym__Atomic] = ACTIONS(5636),
    [anon_sym__Noreturn] = ACTIONS(5636),
    [anon_sym_noreturn] = ACTIONS(5636),
    [anon_sym_mutable] = ACTIONS(5636),
    [anon_sym_constinit] = ACTIONS(5636),
    [anon_sym_consteval] = ACTIONS(5636),
    [anon_sym_PROGMEM] = ACTIONS(5636),
    [aux_sym_primitive_type_token1] = ACTIONS(5636),
    [anon_sym_byte] = ACTIONS(5636),
    [anon_sym_word] = ACTIONS(5636),
    [anon_sym_COLON] = ACTIONS(5638),
    [anon_sym_QMARK] = ACTIONS(5638),
    [anon_sym_LT_EQ_GT] = ACTIONS(5638),
    [anon_sym_or] = ACTIONS(5636),
    [anon_sym_and] = ACTIONS(5636),
    [anon_sym_bitor] = ACTIONS(5636),
    [anon_sym_xor] = ACTIONS(5636),
    [anon_sym_bitand] = ACTIONS(5636),
    [anon_sym_not_eq] = ACTIONS(5636),
    [anon_sym_DASH_DASH] = ACTIONS(5638),
    [anon_sym_PLUS_PLUS] = ACTIONS(5638),
    [anon_sym_DOT] = ACTIONS(5636),
    [anon_sym_DOT_STAR] = ACTIONS(5638),
    [anon_sym_DASH_GT] = ACTIONS(5638),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5636),
    [anon_sym_decltype] = ACTIONS(5636),
    [anon_sym_final] = ACTIONS(5636),
    [anon_sym_override] = ACTIONS(5636),
    [anon_sym_requires] = ACTIONS(5636),
  },
  [2225] = {
    [sym_identifier] = ACTIONS(5604),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5606),
    [anon_sym_COMMA] = ACTIONS(5606),
    [anon_sym_RPAREN] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_STAR] = ACTIONS(5606),
    [anon_sym_SLASH] = ACTIONS(5604),
    [anon_sym_PERCENT] = ACTIONS(5606),
    [anon_sym_PIPE_PIPE] = ACTIONS(5606),
    [anon_sym_AMP_AMP] = ACTIONS(5606),
    [anon_sym_PIPE] = ACTIONS(5604),
    [anon_sym_CARET] = ACTIONS(5606),
    [anon_sym_AMP] = ACTIONS(5604),
    [anon_sym_EQ_EQ] = ACTIONS(5606),
    [anon_sym_BANG_EQ] = ACTIONS(5606),
    [anon_sym_GT] = ACTIONS(5604),
    [anon_sym_GT_EQ] = ACTIONS(5606),
    [anon_sym_LT_EQ] = ACTIONS(5604),
    [anon_sym_LT] = ACTIONS(5604),
    [anon_sym_LT_LT] = ACTIONS(5606),
    [anon_sym_GT_GT] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5606),
    [anon_sym___extension__] = ACTIONS(5604),
    [anon_sym___attribute__] = ACTIONS(5604),
    [anon_sym___based] = ACTIONS(5604),
    [anon_sym_LBRACE] = ACTIONS(5606),
    [anon_sym_RBRACE] = ACTIONS(5606),
    [anon_sym_signed] = ACTIONS(5604),
    [anon_sym_unsigned] = ACTIONS(5604),
    [anon_sym_long] = ACTIONS(5604),
    [anon_sym_short] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5606),
    [anon_sym_RBRACK] = ACTIONS(5606),
    [anon_sym_const] = ACTIONS(5604),
    [anon_sym_constexpr] = ACTIONS(5604),
    [anon_sym_volatile] = ACTIONS(5604),
    [anon_sym_restrict] = ACTIONS(5604),
    [anon_sym___restrict__] = ACTIONS(5604),
    [anon_sym__Atomic] = ACTIONS(5604),
    [anon_sym__Noreturn] = ACTIONS(5604),
    [anon_sym_noreturn] = ACTIONS(5604),
    [anon_sym_mutable] = ACTIONS(5604),
    [anon_sym_constinit] = ACTIONS(5604),
    [anon_sym_consteval] = ACTIONS(5604),
    [anon_sym_PROGMEM] = ACTIONS(5604),
    [aux_sym_primitive_type_token1] = ACTIONS(5604),
    [anon_sym_byte] = ACTIONS(5604),
    [anon_sym_word] = ACTIONS(5604),
    [anon_sym_COLON] = ACTIONS(5606),
    [anon_sym_QMARK] = ACTIONS(5606),
    [anon_sym_LT_EQ_GT] = ACTIONS(5606),
    [anon_sym_or] = ACTIONS(5604),
    [anon_sym_and] = ACTIONS(5604),
    [anon_sym_bitor] = ACTIONS(5604),
    [anon_sym_xor] = ACTIONS(5604),
    [anon_sym_bitand] = ACTIONS(5604),
    [anon_sym_not_eq] = ACTIONS(5604),
    [anon_sym_DASH_DASH] = ACTIONS(5606),
    [anon_sym_PLUS_PLUS] = ACTIONS(5606),
    [anon_sym_DOT] = ACTIONS(5604),
    [anon_sym_DOT_STAR] = ACTIONS(5606),
    [anon_sym_DASH_GT] = ACTIONS(5606),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5604),
    [anon_sym_decltype] = ACTIONS(5604),
    [anon_sym_final] = ACTIONS(5604),
    [anon_sym_override] = ACTIONS(5604),
    [anon_sym_requires] = ACTIONS(5604),
  },
  [2226] = {
    [sym_identifier] = ACTIONS(5640),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5642),
    [anon_sym_COMMA] = ACTIONS(5642),
    [anon_sym_RPAREN] = ACTIONS(5642),
    [anon_sym_LPAREN2] = ACTIONS(5642),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_STAR] = ACTIONS(5642),
    [anon_sym_SLASH] = ACTIONS(5640),
    [anon_sym_PERCENT] = ACTIONS(5642),
    [anon_sym_PIPE_PIPE] = ACTIONS(5642),
    [anon_sym_AMP_AMP] = ACTIONS(5642),
    [anon_sym_PIPE] = ACTIONS(5640),
    [anon_sym_CARET] = ACTIONS(5642),
    [anon_sym_AMP] = ACTIONS(5640),
    [anon_sym_EQ_EQ] = ACTIONS(5642),
    [anon_sym_BANG_EQ] = ACTIONS(5642),
    [anon_sym_GT] = ACTIONS(5640),
    [anon_sym_GT_EQ] = ACTIONS(5642),
    [anon_sym_LT_EQ] = ACTIONS(5640),
    [anon_sym_LT] = ACTIONS(5640),
    [anon_sym_LT_LT] = ACTIONS(5642),
    [anon_sym_GT_GT] = ACTIONS(5642),
    [anon_sym_SEMI] = ACTIONS(5642),
    [anon_sym___extension__] = ACTIONS(5640),
    [anon_sym___attribute__] = ACTIONS(5640),
    [anon_sym___based] = ACTIONS(5640),
    [anon_sym_LBRACE] = ACTIONS(5642),
    [anon_sym_RBRACE] = ACTIONS(5642),
    [anon_sym_signed] = ACTIONS(5640),
    [anon_sym_unsigned] = ACTIONS(5640),
    [anon_sym_long] = ACTIONS(5640),
    [anon_sym_short] = ACTIONS(5640),
    [anon_sym_LBRACK] = ACTIONS(5642),
    [anon_sym_RBRACK] = ACTIONS(5642),
    [anon_sym_const] = ACTIONS(5640),
    [anon_sym_constexpr] = ACTIONS(5640),
    [anon_sym_volatile] = ACTIONS(5640),
    [anon_sym_restrict] = ACTIONS(5640),
    [anon_sym___restrict__] = ACTIONS(5640),
    [anon_sym__Atomic] = ACTIONS(5640),
    [anon_sym__Noreturn] = ACTIONS(5640),
    [anon_sym_noreturn] = ACTIONS(5640),
    [anon_sym_mutable] = ACTIONS(5640),
    [anon_sym_constinit] = ACTIONS(5640),
    [anon_sym_consteval] = ACTIONS(5640),
    [anon_sym_PROGMEM] = ACTIONS(5640),
    [aux_sym_primitive_type_token1] = ACTIONS(5640),
    [anon_sym_byte] = ACTIONS(5640),
    [anon_sym_word] = ACTIONS(5640),
    [anon_sym_COLON] = ACTIONS(5642),
    [anon_sym_QMARK] = ACTIONS(5642),
    [anon_sym_LT_EQ_GT] = ACTIONS(5642),
    [anon_sym_or] = ACTIONS(5640),
    [anon_sym_and] = ACTIONS(5640),
    [anon_sym_bitor] = ACTIONS(5640),
    [anon_sym_xor] = ACTIONS(5640),
    [anon_sym_bitand] = ACTIONS(5640),
    [anon_sym_not_eq] = ACTIONS(5640),
    [anon_sym_DASH_DASH] = ACTIONS(5642),
    [anon_sym_PLUS_PLUS] = ACTIONS(5642),
    [anon_sym_DOT] = ACTIONS(5640),
    [anon_sym_DOT_STAR] = ACTIONS(5642),
    [anon_sym_DASH_GT] = ACTIONS(5642),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5640),
    [anon_sym_decltype] = ACTIONS(5640),
    [anon_sym_final] = ACTIONS(5640),
    [anon_sym_override] = ACTIONS(5640),
    [anon_sym_requires] = ACTIONS(5640),
  },
  [2227] = {
    [sym_identifier] = ACTIONS(5644),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5646),
    [anon_sym_COMMA] = ACTIONS(5646),
    [anon_sym_RPAREN] = ACTIONS(5646),
    [anon_sym_LPAREN2] = ACTIONS(5646),
    [anon_sym_DASH] = ACTIONS(5644),
    [anon_sym_PLUS] = ACTIONS(5644),
    [anon_sym_STAR] = ACTIONS(5646),
    [anon_sym_SLASH] = ACTIONS(5644),
    [anon_sym_PERCENT] = ACTIONS(5646),
    [anon_sym_PIPE_PIPE] = ACTIONS(5646),
    [anon_sym_AMP_AMP] = ACTIONS(5646),
    [anon_sym_PIPE] = ACTIONS(5644),
    [anon_sym_CARET] = ACTIONS(5646),
    [anon_sym_AMP] = ACTIONS(5644),
    [anon_sym_EQ_EQ] = ACTIONS(5646),
    [anon_sym_BANG_EQ] = ACTIONS(5646),
    [anon_sym_GT] = ACTIONS(5644),
    [anon_sym_GT_EQ] = ACTIONS(5646),
    [anon_sym_LT_EQ] = ACTIONS(5644),
    [anon_sym_LT] = ACTIONS(5644),
    [anon_sym_LT_LT] = ACTIONS(5646),
    [anon_sym_GT_GT] = ACTIONS(5646),
    [anon_sym_SEMI] = ACTIONS(5646),
    [anon_sym___extension__] = ACTIONS(5644),
    [anon_sym___attribute__] = ACTIONS(5644),
    [anon_sym___based] = ACTIONS(5644),
    [anon_sym_LBRACE] = ACTIONS(5646),
    [anon_sym_RBRACE] = ACTIONS(5646),
    [anon_sym_signed] = ACTIONS(5644),
    [anon_sym_unsigned] = ACTIONS(5644),
    [anon_sym_long] = ACTIONS(5644),
    [anon_sym_short] = ACTIONS(5644),
    [anon_sym_LBRACK] = ACTIONS(5646),
    [anon_sym_RBRACK] = ACTIONS(5646),
    [anon_sym_const] = ACTIONS(5644),
    [anon_sym_constexpr] = ACTIONS(5644),
    [anon_sym_volatile] = ACTIONS(5644),
    [anon_sym_restrict] = ACTIONS(5644),
    [anon_sym___restrict__] = ACTIONS(5644),
    [anon_sym__Atomic] = ACTIONS(5644),
    [anon_sym__Noreturn] = ACTIONS(5644),
    [anon_sym_noreturn] = ACTIONS(5644),
    [anon_sym_mutable] = ACTIONS(5644),
    [anon_sym_constinit] = ACTIONS(5644),
    [anon_sym_consteval] = ACTIONS(5644),
    [anon_sym_PROGMEM] = ACTIONS(5644),
    [aux_sym_primitive_type_token1] = ACTIONS(5644),
    [anon_sym_byte] = ACTIONS(5644),
    [anon_sym_word] = ACTIONS(5644),
    [anon_sym_COLON] = ACTIONS(5646),
    [anon_sym_QMARK] = ACTIONS(5646),
    [anon_sym_LT_EQ_GT] = ACTIONS(5646),
    [anon_sym_or] = ACTIONS(5644),
    [anon_sym_and] = ACTIONS(5644),
    [anon_sym_bitor] = ACTIONS(5644),
    [anon_sym_xor] = ACTIONS(5644),
    [anon_sym_bitand] = ACTIONS(5644),
    [anon_sym_not_eq] = ACTIONS(5644),
    [anon_sym_DASH_DASH] = ACTIONS(5646),
    [anon_sym_PLUS_PLUS] = ACTIONS(5646),
    [anon_sym_DOT] = ACTIONS(5644),
    [anon_sym_DOT_STAR] = ACTIONS(5646),
    [anon_sym_DASH_GT] = ACTIONS(5646),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5644),
    [anon_sym_decltype] = ACTIONS(5644),
    [anon_sym_final] = ACTIONS(5644),
    [anon_sym_override] = ACTIONS(5644),
    [anon_sym_requires] = ACTIONS(5644),
  },
  [2228] = {
    [sym_identifier] = ACTIONS(5648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5650),
    [anon_sym_COMMA] = ACTIONS(5650),
    [anon_sym_RPAREN] = ACTIONS(5650),
    [anon_sym_LPAREN2] = ACTIONS(5650),
    [anon_sym_DASH] = ACTIONS(5648),
    [anon_sym_PLUS] = ACTIONS(5648),
    [anon_sym_STAR] = ACTIONS(5650),
    [anon_sym_SLASH] = ACTIONS(5648),
    [anon_sym_PERCENT] = ACTIONS(5650),
    [anon_sym_PIPE_PIPE] = ACTIONS(5650),
    [anon_sym_AMP_AMP] = ACTIONS(5650),
    [anon_sym_PIPE] = ACTIONS(5648),
    [anon_sym_CARET] = ACTIONS(5650),
    [anon_sym_AMP] = ACTIONS(5648),
    [anon_sym_EQ_EQ] = ACTIONS(5650),
    [anon_sym_BANG_EQ] = ACTIONS(5650),
    [anon_sym_GT] = ACTIONS(5648),
    [anon_sym_GT_EQ] = ACTIONS(5650),
    [anon_sym_LT_EQ] = ACTIONS(5648),
    [anon_sym_LT] = ACTIONS(5648),
    [anon_sym_LT_LT] = ACTIONS(5650),
    [anon_sym_GT_GT] = ACTIONS(5650),
    [anon_sym_SEMI] = ACTIONS(5650),
    [anon_sym___extension__] = ACTIONS(5648),
    [anon_sym___attribute__] = ACTIONS(5648),
    [anon_sym___based] = ACTIONS(5648),
    [anon_sym_LBRACE] = ACTIONS(5650),
    [anon_sym_RBRACE] = ACTIONS(5650),
    [anon_sym_signed] = ACTIONS(5648),
    [anon_sym_unsigned] = ACTIONS(5648),
    [anon_sym_long] = ACTIONS(5648),
    [anon_sym_short] = ACTIONS(5648),
    [anon_sym_LBRACK] = ACTIONS(5650),
    [anon_sym_RBRACK] = ACTIONS(5650),
    [anon_sym_const] = ACTIONS(5648),
    [anon_sym_constexpr] = ACTIONS(5648),
    [anon_sym_volatile] = ACTIONS(5648),
    [anon_sym_restrict] = ACTIONS(5648),
    [anon_sym___restrict__] = ACTIONS(5648),
    [anon_sym__Atomic] = ACTIONS(5648),
    [anon_sym__Noreturn] = ACTIONS(5648),
    [anon_sym_noreturn] = ACTIONS(5648),
    [anon_sym_mutable] = ACTIONS(5648),
    [anon_sym_constinit] = ACTIONS(5648),
    [anon_sym_consteval] = ACTIONS(5648),
    [anon_sym_PROGMEM] = ACTIONS(5648),
    [aux_sym_primitive_type_token1] = ACTIONS(5648),
    [anon_sym_byte] = ACTIONS(5648),
    [anon_sym_word] = ACTIONS(5648),
    [anon_sym_COLON] = ACTIONS(5650),
    [anon_sym_QMARK] = ACTIONS(5650),
    [anon_sym_LT_EQ_GT] = ACTIONS(5650),
    [anon_sym_or] = ACTIONS(5648),
    [anon_sym_and] = ACTIONS(5648),
    [anon_sym_bitor] = ACTIONS(5648),
    [anon_sym_xor] = ACTIONS(5648),
    [anon_sym_bitand] = ACTIONS(5648),
    [anon_sym_not_eq] = ACTIONS(5648),
    [anon_sym_DASH_DASH] = ACTIONS(5650),
    [anon_sym_PLUS_PLUS] = ACTIONS(5650),
    [anon_sym_DOT] = ACTIONS(5648),
    [anon_sym_DOT_STAR] = ACTIONS(5650),
    [anon_sym_DASH_GT] = ACTIONS(5650),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5648),
    [anon_sym_decltype] = ACTIONS(5648),
    [anon_sym_final] = ACTIONS(5648),
    [anon_sym_override] = ACTIONS(5648),
    [anon_sym_requires] = ACTIONS(5648),
  },
  [2229] = {
    [sym_identifier] = ACTIONS(5652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5654),
    [anon_sym_COMMA] = ACTIONS(5654),
    [anon_sym_RPAREN] = ACTIONS(5654),
    [anon_sym_LPAREN2] = ACTIONS(5654),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_STAR] = ACTIONS(5654),
    [anon_sym_SLASH] = ACTIONS(5652),
    [anon_sym_PERCENT] = ACTIONS(5654),
    [anon_sym_PIPE_PIPE] = ACTIONS(5654),
    [anon_sym_AMP_AMP] = ACTIONS(5654),
    [anon_sym_PIPE] = ACTIONS(5652),
    [anon_sym_CARET] = ACTIONS(5654),
    [anon_sym_AMP] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5654),
    [anon_sym_BANG_EQ] = ACTIONS(5654),
    [anon_sym_GT] = ACTIONS(5652),
    [anon_sym_GT_EQ] = ACTIONS(5654),
    [anon_sym_LT_EQ] = ACTIONS(5652),
    [anon_sym_LT] = ACTIONS(5652),
    [anon_sym_LT_LT] = ACTIONS(5654),
    [anon_sym_GT_GT] = ACTIONS(5654),
    [anon_sym_SEMI] = ACTIONS(5654),
    [anon_sym___extension__] = ACTIONS(5652),
    [anon_sym___attribute__] = ACTIONS(5652),
    [anon_sym___based] = ACTIONS(5652),
    [anon_sym_LBRACE] = ACTIONS(5654),
    [anon_sym_RBRACE] = ACTIONS(5654),
    [anon_sym_signed] = ACTIONS(5652),
    [anon_sym_unsigned] = ACTIONS(5652),
    [anon_sym_long] = ACTIONS(5652),
    [anon_sym_short] = ACTIONS(5652),
    [anon_sym_LBRACK] = ACTIONS(5654),
    [anon_sym_RBRACK] = ACTIONS(5654),
    [anon_sym_const] = ACTIONS(5652),
    [anon_sym_constexpr] = ACTIONS(5652),
    [anon_sym_volatile] = ACTIONS(5652),
    [anon_sym_restrict] = ACTIONS(5652),
    [anon_sym___restrict__] = ACTIONS(5652),
    [anon_sym__Atomic] = ACTIONS(5652),
    [anon_sym__Noreturn] = ACTIONS(5652),
    [anon_sym_noreturn] = ACTIONS(5652),
    [anon_sym_mutable] = ACTIONS(5652),
    [anon_sym_constinit] = ACTIONS(5652),
    [anon_sym_consteval] = ACTIONS(5652),
    [anon_sym_PROGMEM] = ACTIONS(5652),
    [aux_sym_primitive_type_token1] = ACTIONS(5652),
    [anon_sym_byte] = ACTIONS(5652),
    [anon_sym_word] = ACTIONS(5652),
    [anon_sym_COLON] = ACTIONS(5654),
    [anon_sym_QMARK] = ACTIONS(5654),
    [anon_sym_LT_EQ_GT] = ACTIONS(5654),
    [anon_sym_or] = ACTIONS(5652),
    [anon_sym_and] = ACTIONS(5652),
    [anon_sym_bitor] = ACTIONS(5652),
    [anon_sym_xor] = ACTIONS(5652),
    [anon_sym_bitand] = ACTIONS(5652),
    [anon_sym_not_eq] = ACTIONS(5652),
    [anon_sym_DASH_DASH] = ACTIONS(5654),
    [anon_sym_PLUS_PLUS] = ACTIONS(5654),
    [anon_sym_DOT] = ACTIONS(5652),
    [anon_sym_DOT_STAR] = ACTIONS(5654),
    [anon_sym_DASH_GT] = ACTIONS(5654),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5652),
    [anon_sym_decltype] = ACTIONS(5652),
    [anon_sym_final] = ACTIONS(5652),
    [anon_sym_override] = ACTIONS(5652),
    [anon_sym_requires] = ACTIONS(5652),
  },
  [2230] = {
    [sym_catch_clause] = STATE(2253),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2253),
    [sym_identifier] = ACTIONS(2854),
    [aux_sym_preproc_def_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token2] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2854),
    [sym_preproc_directive] = ACTIONS(2854),
    [anon_sym_LPAREN2] = ACTIONS(2856),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_STAR] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2854),
    [anon_sym_typedef] = ACTIONS(2854),
    [anon_sym_extern] = ACTIONS(2854),
    [anon_sym___attribute__] = ACTIONS(2854),
    [anon_sym_COLON_COLON] = ACTIONS(2856),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2856),
    [anon_sym___declspec] = ACTIONS(2854),
    [anon_sym___based] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2854),
    [anon_sym_unsigned] = ACTIONS(2854),
    [anon_sym_long] = ACTIONS(2854),
    [anon_sym_short] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_register] = ACTIONS(2854),
    [anon_sym_inline] = ACTIONS(2854),
    [anon_sym___inline] = ACTIONS(2854),
    [anon_sym___inline__] = ACTIONS(2854),
    [anon_sym___forceinline] = ACTIONS(2854),
    [anon_sym_thread_local] = ACTIONS(2854),
    [anon_sym___thread] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_constexpr] = ACTIONS(2854),
    [anon_sym_volatile] = ACTIONS(2854),
    [anon_sym_restrict] = ACTIONS(2854),
    [anon_sym___restrict__] = ACTIONS(2854),
    [anon_sym__Atomic] = ACTIONS(2854),
    [anon_sym__Noreturn] = ACTIONS(2854),
    [anon_sym_noreturn] = ACTIONS(2854),
    [anon_sym_mutable] = ACTIONS(2854),
    [anon_sym_constinit] = ACTIONS(2854),
    [anon_sym_consteval] = ACTIONS(2854),
    [anon_sym_PROGMEM] = ACTIONS(2854),
    [aux_sym_primitive_type_token1] = ACTIONS(2854),
    [anon_sym_byte] = ACTIONS(2854),
    [anon_sym_word] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_struct] = ACTIONS(2854),
    [anon_sym_union] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2854),
    [anon_sym_decltype] = ACTIONS(2854),
    [anon_sym_virtual] = ACTIONS(2854),
    [anon_sym_alignas] = ACTIONS(2854),
    [anon_sym_explicit] = ACTIONS(2854),
    [anon_sym_typename] = ACTIONS(2854),
    [anon_sym_template] = ACTIONS(2854),
    [anon_sym_operator] = ACTIONS(2854),
    [anon_sym_friend] = ACTIONS(2854),
    [anon_sym_public] = ACTIONS(2854),
    [anon_sym_private] = ACTIONS(2854),
    [anon_sym_protected] = ACTIONS(2854),
    [anon_sym_using] = ACTIONS(2854),
    [anon_sym_static_assert] = ACTIONS(2854),
    [anon_sym_catch] = ACTIONS(5656),
  },
  [2231] = {
    [sym_identifier] = ACTIONS(5658),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5660),
    [anon_sym_COMMA] = ACTIONS(5660),
    [anon_sym_RPAREN] = ACTIONS(5660),
    [anon_sym_LPAREN2] = ACTIONS(5660),
    [anon_sym_DASH] = ACTIONS(5658),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_STAR] = ACTIONS(5660),
    [anon_sym_SLASH] = ACTIONS(5658),
    [anon_sym_PERCENT] = ACTIONS(5660),
    [anon_sym_PIPE_PIPE] = ACTIONS(5660),
    [anon_sym_AMP_AMP] = ACTIONS(5660),
    [anon_sym_PIPE] = ACTIONS(5658),
    [anon_sym_CARET] = ACTIONS(5660),
    [anon_sym_AMP] = ACTIONS(5658),
    [anon_sym_EQ_EQ] = ACTIONS(5660),
    [anon_sym_BANG_EQ] = ACTIONS(5660),
    [anon_sym_GT] = ACTIONS(5658),
    [anon_sym_GT_EQ] = ACTIONS(5660),
    [anon_sym_LT_EQ] = ACTIONS(5658),
    [anon_sym_LT] = ACTIONS(5658),
    [anon_sym_LT_LT] = ACTIONS(5660),
    [anon_sym_GT_GT] = ACTIONS(5660),
    [anon_sym_SEMI] = ACTIONS(5660),
    [anon_sym___extension__] = ACTIONS(5658),
    [anon_sym___attribute__] = ACTIONS(5658),
    [anon_sym___based] = ACTIONS(5658),
    [anon_sym_LBRACE] = ACTIONS(5660),
    [anon_sym_RBRACE] = ACTIONS(5660),
    [anon_sym_signed] = ACTIONS(5658),
    [anon_sym_unsigned] = ACTIONS(5658),
    [anon_sym_long] = ACTIONS(5658),
    [anon_sym_short] = ACTIONS(5658),
    [anon_sym_LBRACK] = ACTIONS(5660),
    [anon_sym_RBRACK] = ACTIONS(5660),
    [anon_sym_const] = ACTIONS(5658),
    [anon_sym_constexpr] = ACTIONS(5658),
    [anon_sym_volatile] = ACTIONS(5658),
    [anon_sym_restrict] = ACTIONS(5658),
    [anon_sym___restrict__] = ACTIONS(5658),
    [anon_sym__Atomic] = ACTIONS(5658),
    [anon_sym__Noreturn] = ACTIONS(5658),
    [anon_sym_noreturn] = ACTIONS(5658),
    [anon_sym_mutable] = ACTIONS(5658),
    [anon_sym_constinit] = ACTIONS(5658),
    [anon_sym_consteval] = ACTIONS(5658),
    [anon_sym_PROGMEM] = ACTIONS(5658),
    [aux_sym_primitive_type_token1] = ACTIONS(5658),
    [anon_sym_byte] = ACTIONS(5658),
    [anon_sym_word] = ACTIONS(5658),
    [anon_sym_COLON] = ACTIONS(5660),
    [anon_sym_QMARK] = ACTIONS(5660),
    [anon_sym_LT_EQ_GT] = ACTIONS(5660),
    [anon_sym_or] = ACTIONS(5658),
    [anon_sym_and] = ACTIONS(5658),
    [anon_sym_bitor] = ACTIONS(5658),
    [anon_sym_xor] = ACTIONS(5658),
    [anon_sym_bitand] = ACTIONS(5658),
    [anon_sym_not_eq] = ACTIONS(5658),
    [anon_sym_DASH_DASH] = ACTIONS(5660),
    [anon_sym_PLUS_PLUS] = ACTIONS(5660),
    [anon_sym_DOT] = ACTIONS(5658),
    [anon_sym_DOT_STAR] = ACTIONS(5660),
    [anon_sym_DASH_GT] = ACTIONS(5660),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5658),
    [anon_sym_decltype] = ACTIONS(5658),
    [anon_sym_final] = ACTIONS(5658),
    [anon_sym_override] = ACTIONS(5658),
    [anon_sym_requires] = ACTIONS(5658),
  },
  [2232] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [aux_sym_preproc_else_token1] = ACTIONS(2917),
    [aux_sym_preproc_elif_token1] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_PROGMEM] = ACTIONS(2917),
    [aux_sym_primitive_type_token1] = ACTIONS(2917),
    [anon_sym_byte] = ACTIONS(2917),
    [anon_sym_word] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_friend] = ACTIONS(2917),
    [anon_sym_public] = ACTIONS(2917),
    [anon_sym_private] = ACTIONS(2917),
    [anon_sym_protected] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_catch] = ACTIONS(2917),
  },
  [2233] = {
    [sym__declaration_modifiers] = STATE(3679),
    [sym_attribute_specifier] = STATE(3679),
    [sym_attribute_declaration] = STATE(3679),
    [sym_ms_declspec_modifier] = STATE(3679),
    [sym_storage_class_specifier] = STATE(3679),
    [sym_type_qualifier] = STATE(3679),
    [sym__type_specifier] = STATE(3193),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3679),
    [sym_alignas_specifier] = STATE(3679),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7213),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3679),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5194),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(3258),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3266),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2234] = {
    [sym_identifier] = ACTIONS(5662),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5664),
    [anon_sym_COMMA] = ACTIONS(5664),
    [anon_sym_RPAREN] = ACTIONS(5664),
    [anon_sym_LPAREN2] = ACTIONS(5664),
    [anon_sym_DASH] = ACTIONS(5662),
    [anon_sym_PLUS] = ACTIONS(5662),
    [anon_sym_STAR] = ACTIONS(5664),
    [anon_sym_SLASH] = ACTIONS(5662),
    [anon_sym_PERCENT] = ACTIONS(5664),
    [anon_sym_PIPE_PIPE] = ACTIONS(5664),
    [anon_sym_AMP_AMP] = ACTIONS(5664),
    [anon_sym_PIPE] = ACTIONS(5662),
    [anon_sym_CARET] = ACTIONS(5664),
    [anon_sym_AMP] = ACTIONS(5662),
    [anon_sym_EQ_EQ] = ACTIONS(5664),
    [anon_sym_BANG_EQ] = ACTIONS(5664),
    [anon_sym_GT] = ACTIONS(5662),
    [anon_sym_GT_EQ] = ACTIONS(5664),
    [anon_sym_LT_EQ] = ACTIONS(5662),
    [anon_sym_LT] = ACTIONS(5662),
    [anon_sym_LT_LT] = ACTIONS(5664),
    [anon_sym_GT_GT] = ACTIONS(5664),
    [anon_sym_SEMI] = ACTIONS(5664),
    [anon_sym___extension__] = ACTIONS(5662),
    [anon_sym___attribute__] = ACTIONS(5662),
    [anon_sym___based] = ACTIONS(5662),
    [anon_sym_LBRACE] = ACTIONS(5664),
    [anon_sym_RBRACE] = ACTIONS(5664),
    [anon_sym_signed] = ACTIONS(5662),
    [anon_sym_unsigned] = ACTIONS(5662),
    [anon_sym_long] = ACTIONS(5662),
    [anon_sym_short] = ACTIONS(5662),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [anon_sym_RBRACK] = ACTIONS(5664),
    [anon_sym_const] = ACTIONS(5662),
    [anon_sym_constexpr] = ACTIONS(5662),
    [anon_sym_volatile] = ACTIONS(5662),
    [anon_sym_restrict] = ACTIONS(5662),
    [anon_sym___restrict__] = ACTIONS(5662),
    [anon_sym__Atomic] = ACTIONS(5662),
    [anon_sym__Noreturn] = ACTIONS(5662),
    [anon_sym_noreturn] = ACTIONS(5662),
    [anon_sym_mutable] = ACTIONS(5662),
    [anon_sym_constinit] = ACTIONS(5662),
    [anon_sym_consteval] = ACTIONS(5662),
    [anon_sym_PROGMEM] = ACTIONS(5662),
    [aux_sym_primitive_type_token1] = ACTIONS(5662),
    [anon_sym_byte] = ACTIONS(5662),
    [anon_sym_word] = ACTIONS(5662),
    [anon_sym_COLON] = ACTIONS(5664),
    [anon_sym_QMARK] = ACTIONS(5664),
    [anon_sym_LT_EQ_GT] = ACTIONS(5664),
    [anon_sym_or] = ACTIONS(5662),
    [anon_sym_and] = ACTIONS(5662),
    [anon_sym_bitor] = ACTIONS(5662),
    [anon_sym_xor] = ACTIONS(5662),
    [anon_sym_bitand] = ACTIONS(5662),
    [anon_sym_not_eq] = ACTIONS(5662),
    [anon_sym_DASH_DASH] = ACTIONS(5664),
    [anon_sym_PLUS_PLUS] = ACTIONS(5664),
    [anon_sym_DOT] = ACTIONS(5662),
    [anon_sym_DOT_STAR] = ACTIONS(5664),
    [anon_sym_DASH_GT] = ACTIONS(5664),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5662),
    [anon_sym_decltype] = ACTIONS(5662),
    [anon_sym_final] = ACTIONS(5662),
    [anon_sym_override] = ACTIONS(5662),
    [anon_sym_requires] = ACTIONS(5662),
  },
  [2235] = {
    [sym_identifier] = ACTIONS(5666),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5668),
    [anon_sym_COMMA] = ACTIONS(5668),
    [anon_sym_RPAREN] = ACTIONS(5668),
    [anon_sym_LPAREN2] = ACTIONS(5668),
    [anon_sym_DASH] = ACTIONS(5666),
    [anon_sym_PLUS] = ACTIONS(5666),
    [anon_sym_STAR] = ACTIONS(5668),
    [anon_sym_SLASH] = ACTIONS(5666),
    [anon_sym_PERCENT] = ACTIONS(5668),
    [anon_sym_PIPE_PIPE] = ACTIONS(5668),
    [anon_sym_AMP_AMP] = ACTIONS(5668),
    [anon_sym_PIPE] = ACTIONS(5666),
    [anon_sym_CARET] = ACTIONS(5668),
    [anon_sym_AMP] = ACTIONS(5666),
    [anon_sym_EQ_EQ] = ACTIONS(5668),
    [anon_sym_BANG_EQ] = ACTIONS(5668),
    [anon_sym_GT] = ACTIONS(5666),
    [anon_sym_GT_EQ] = ACTIONS(5668),
    [anon_sym_LT_EQ] = ACTIONS(5666),
    [anon_sym_LT] = ACTIONS(5666),
    [anon_sym_LT_LT] = ACTIONS(5668),
    [anon_sym_GT_GT] = ACTIONS(5668),
    [anon_sym_SEMI] = ACTIONS(5668),
    [anon_sym___extension__] = ACTIONS(5666),
    [anon_sym___attribute__] = ACTIONS(5666),
    [anon_sym___based] = ACTIONS(5666),
    [anon_sym_LBRACE] = ACTIONS(5668),
    [anon_sym_RBRACE] = ACTIONS(5668),
    [anon_sym_signed] = ACTIONS(5666),
    [anon_sym_unsigned] = ACTIONS(5666),
    [anon_sym_long] = ACTIONS(5666),
    [anon_sym_short] = ACTIONS(5666),
    [anon_sym_LBRACK] = ACTIONS(5668),
    [anon_sym_RBRACK] = ACTIONS(5668),
    [anon_sym_const] = ACTIONS(5666),
    [anon_sym_constexpr] = ACTIONS(5666),
    [anon_sym_volatile] = ACTIONS(5666),
    [anon_sym_restrict] = ACTIONS(5666),
    [anon_sym___restrict__] = ACTIONS(5666),
    [anon_sym__Atomic] = ACTIONS(5666),
    [anon_sym__Noreturn] = ACTIONS(5666),
    [anon_sym_noreturn] = ACTIONS(5666),
    [anon_sym_mutable] = ACTIONS(5666),
    [anon_sym_constinit] = ACTIONS(5666),
    [anon_sym_consteval] = ACTIONS(5666),
    [anon_sym_PROGMEM] = ACTIONS(5666),
    [aux_sym_primitive_type_token1] = ACTIONS(5666),
    [anon_sym_byte] = ACTIONS(5666),
    [anon_sym_word] = ACTIONS(5666),
    [anon_sym_COLON] = ACTIONS(5668),
    [anon_sym_QMARK] = ACTIONS(5668),
    [anon_sym_LT_EQ_GT] = ACTIONS(5668),
    [anon_sym_or] = ACTIONS(5666),
    [anon_sym_and] = ACTIONS(5666),
    [anon_sym_bitor] = ACTIONS(5666),
    [anon_sym_xor] = ACTIONS(5666),
    [anon_sym_bitand] = ACTIONS(5666),
    [anon_sym_not_eq] = ACTIONS(5666),
    [anon_sym_DASH_DASH] = ACTIONS(5668),
    [anon_sym_PLUS_PLUS] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(5666),
    [anon_sym_DOT_STAR] = ACTIONS(5668),
    [anon_sym_DASH_GT] = ACTIONS(5668),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5666),
    [anon_sym_decltype] = ACTIONS(5666),
    [anon_sym_final] = ACTIONS(5666),
    [anon_sym_override] = ACTIONS(5666),
    [anon_sym_requires] = ACTIONS(5666),
  },
  [2236] = {
    [sym_identifier] = ACTIONS(3405),
    [aux_sym_preproc_def_token1] = ACTIONS(3405),
    [aux_sym_preproc_if_token1] = ACTIONS(3405),
    [aux_sym_preproc_if_token2] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3405),
    [aux_sym_preproc_else_token1] = ACTIONS(3405),
    [aux_sym_preproc_elif_token1] = ACTIONS(3405),
    [sym_preproc_directive] = ACTIONS(3405),
    [anon_sym_LPAREN2] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3407),
    [anon_sym_STAR] = ACTIONS(3407),
    [anon_sym_AMP_AMP] = ACTIONS(3407),
    [anon_sym_AMP] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(5670),
    [anon_sym___extension__] = ACTIONS(3405),
    [anon_sym_typedef] = ACTIONS(3405),
    [anon_sym_extern] = ACTIONS(3405),
    [anon_sym___attribute__] = ACTIONS(3405),
    [anon_sym_COLON_COLON] = ACTIONS(3407),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3407),
    [anon_sym___declspec] = ACTIONS(3405),
    [anon_sym___based] = ACTIONS(3405),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_register] = ACTIONS(3405),
    [anon_sym_inline] = ACTIONS(3405),
    [anon_sym___inline] = ACTIONS(3405),
    [anon_sym___inline__] = ACTIONS(3405),
    [anon_sym___forceinline] = ACTIONS(3405),
    [anon_sym_thread_local] = ACTIONS(3405),
    [anon_sym___thread] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_constexpr] = ACTIONS(3405),
    [anon_sym_volatile] = ACTIONS(3405),
    [anon_sym_restrict] = ACTIONS(3405),
    [anon_sym___restrict__] = ACTIONS(3405),
    [anon_sym__Atomic] = ACTIONS(3405),
    [anon_sym__Noreturn] = ACTIONS(3405),
    [anon_sym_noreturn] = ACTIONS(3405),
    [anon_sym_mutable] = ACTIONS(3405),
    [anon_sym_constinit] = ACTIONS(3405),
    [anon_sym_consteval] = ACTIONS(3405),
    [anon_sym_PROGMEM] = ACTIONS(3405),
    [aux_sym_primitive_type_token1] = ACTIONS(3405),
    [anon_sym_byte] = ACTIONS(3405),
    [anon_sym_word] = ACTIONS(3405),
    [anon_sym_enum] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_struct] = ACTIONS(3405),
    [anon_sym_union] = ACTIONS(3405),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3405),
    [anon_sym_decltype] = ACTIONS(3405),
    [anon_sym_virtual] = ACTIONS(3405),
    [anon_sym_alignas] = ACTIONS(3405),
    [anon_sym_explicit] = ACTIONS(3405),
    [anon_sym_typename] = ACTIONS(3405),
    [anon_sym_template] = ACTIONS(3405),
    [anon_sym_operator] = ACTIONS(3405),
    [anon_sym_friend] = ACTIONS(3405),
    [anon_sym_public] = ACTIONS(3405),
    [anon_sym_private] = ACTIONS(3405),
    [anon_sym_protected] = ACTIONS(3405),
    [anon_sym_using] = ACTIONS(3405),
    [anon_sym_static_assert] = ACTIONS(3405),
  },
  [2237] = {
    [sym_identifier] = ACTIONS(3447),
    [aux_sym_preproc_def_token1] = ACTIONS(3447),
    [aux_sym_preproc_if_token1] = ACTIONS(3447),
    [aux_sym_preproc_if_token2] = ACTIONS(3447),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3447),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3447),
    [aux_sym_preproc_else_token1] = ACTIONS(3447),
    [aux_sym_preproc_elif_token1] = ACTIONS(3447),
    [sym_preproc_directive] = ACTIONS(3447),
    [anon_sym_LPAREN2] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_STAR] = ACTIONS(3449),
    [anon_sym_AMP_AMP] = ACTIONS(3449),
    [anon_sym_AMP] = ACTIONS(3447),
    [anon_sym_SEMI] = ACTIONS(5672),
    [anon_sym___extension__] = ACTIONS(3447),
    [anon_sym_typedef] = ACTIONS(3447),
    [anon_sym_extern] = ACTIONS(3447),
    [anon_sym___attribute__] = ACTIONS(3447),
    [anon_sym_COLON_COLON] = ACTIONS(3449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3449),
    [anon_sym___declspec] = ACTIONS(3447),
    [anon_sym___based] = ACTIONS(3447),
    [anon_sym_signed] = ACTIONS(3447),
    [anon_sym_unsigned] = ACTIONS(3447),
    [anon_sym_long] = ACTIONS(3447),
    [anon_sym_short] = ACTIONS(3447),
    [anon_sym_LBRACK] = ACTIONS(3447),
    [anon_sym_static] = ACTIONS(3447),
    [anon_sym_register] = ACTIONS(3447),
    [anon_sym_inline] = ACTIONS(3447),
    [anon_sym___inline] = ACTIONS(3447),
    [anon_sym___inline__] = ACTIONS(3447),
    [anon_sym___forceinline] = ACTIONS(3447),
    [anon_sym_thread_local] = ACTIONS(3447),
    [anon_sym___thread] = ACTIONS(3447),
    [anon_sym_const] = ACTIONS(3447),
    [anon_sym_constexpr] = ACTIONS(3447),
    [anon_sym_volatile] = ACTIONS(3447),
    [anon_sym_restrict] = ACTIONS(3447),
    [anon_sym___restrict__] = ACTIONS(3447),
    [anon_sym__Atomic] = ACTIONS(3447),
    [anon_sym__Noreturn] = ACTIONS(3447),
    [anon_sym_noreturn] = ACTIONS(3447),
    [anon_sym_mutable] = ACTIONS(3447),
    [anon_sym_constinit] = ACTIONS(3447),
    [anon_sym_consteval] = ACTIONS(3447),
    [anon_sym_PROGMEM] = ACTIONS(3447),
    [aux_sym_primitive_type_token1] = ACTIONS(3447),
    [anon_sym_byte] = ACTIONS(3447),
    [anon_sym_word] = ACTIONS(3447),
    [anon_sym_enum] = ACTIONS(3447),
    [anon_sym_class] = ACTIONS(3447),
    [anon_sym_struct] = ACTIONS(3447),
    [anon_sym_union] = ACTIONS(3447),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3447),
    [anon_sym_decltype] = ACTIONS(3447),
    [anon_sym_virtual] = ACTIONS(3447),
    [anon_sym_alignas] = ACTIONS(3447),
    [anon_sym_explicit] = ACTIONS(3447),
    [anon_sym_typename] = ACTIONS(3447),
    [anon_sym_template] = ACTIONS(3447),
    [anon_sym_operator] = ACTIONS(3447),
    [anon_sym_friend] = ACTIONS(3447),
    [anon_sym_public] = ACTIONS(3447),
    [anon_sym_private] = ACTIONS(3447),
    [anon_sym_protected] = ACTIONS(3447),
    [anon_sym_using] = ACTIONS(3447),
    [anon_sym_static_assert] = ACTIONS(3447),
  },
  [2238] = {
    [sym_identifier] = ACTIONS(5674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5676),
    [anon_sym_COMMA] = ACTIONS(5676),
    [anon_sym_RPAREN] = ACTIONS(5676),
    [anon_sym_LPAREN2] = ACTIONS(5676),
    [anon_sym_DASH] = ACTIONS(5674),
    [anon_sym_PLUS] = ACTIONS(5674),
    [anon_sym_STAR] = ACTIONS(5676),
    [anon_sym_SLASH] = ACTIONS(5674),
    [anon_sym_PERCENT] = ACTIONS(5676),
    [anon_sym_PIPE_PIPE] = ACTIONS(5676),
    [anon_sym_AMP_AMP] = ACTIONS(5676),
    [anon_sym_PIPE] = ACTIONS(5674),
    [anon_sym_CARET] = ACTIONS(5676),
    [anon_sym_AMP] = ACTIONS(5674),
    [anon_sym_EQ_EQ] = ACTIONS(5676),
    [anon_sym_BANG_EQ] = ACTIONS(5676),
    [anon_sym_GT] = ACTIONS(5674),
    [anon_sym_GT_EQ] = ACTIONS(5676),
    [anon_sym_LT_EQ] = ACTIONS(5674),
    [anon_sym_LT] = ACTIONS(5674),
    [anon_sym_LT_LT] = ACTIONS(5676),
    [anon_sym_GT_GT] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(5676),
    [anon_sym___extension__] = ACTIONS(5674),
    [anon_sym___attribute__] = ACTIONS(5674),
    [anon_sym___based] = ACTIONS(5674),
    [anon_sym_LBRACE] = ACTIONS(5676),
    [anon_sym_RBRACE] = ACTIONS(5676),
    [anon_sym_signed] = ACTIONS(5674),
    [anon_sym_unsigned] = ACTIONS(5674),
    [anon_sym_long] = ACTIONS(5674),
    [anon_sym_short] = ACTIONS(5674),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_RBRACK] = ACTIONS(5676),
    [anon_sym_const] = ACTIONS(5674),
    [anon_sym_constexpr] = ACTIONS(5674),
    [anon_sym_volatile] = ACTIONS(5674),
    [anon_sym_restrict] = ACTIONS(5674),
    [anon_sym___restrict__] = ACTIONS(5674),
    [anon_sym__Atomic] = ACTIONS(5674),
    [anon_sym__Noreturn] = ACTIONS(5674),
    [anon_sym_noreturn] = ACTIONS(5674),
    [anon_sym_mutable] = ACTIONS(5674),
    [anon_sym_constinit] = ACTIONS(5674),
    [anon_sym_consteval] = ACTIONS(5674),
    [anon_sym_PROGMEM] = ACTIONS(5674),
    [aux_sym_primitive_type_token1] = ACTIONS(5674),
    [anon_sym_byte] = ACTIONS(5674),
    [anon_sym_word] = ACTIONS(5674),
    [anon_sym_COLON] = ACTIONS(5676),
    [anon_sym_QMARK] = ACTIONS(5676),
    [anon_sym_LT_EQ_GT] = ACTIONS(5676),
    [anon_sym_or] = ACTIONS(5674),
    [anon_sym_and] = ACTIONS(5674),
    [anon_sym_bitor] = ACTIONS(5674),
    [anon_sym_xor] = ACTIONS(5674),
    [anon_sym_bitand] = ACTIONS(5674),
    [anon_sym_not_eq] = ACTIONS(5674),
    [anon_sym_DASH_DASH] = ACTIONS(5676),
    [anon_sym_PLUS_PLUS] = ACTIONS(5676),
    [anon_sym_DOT] = ACTIONS(5674),
    [anon_sym_DOT_STAR] = ACTIONS(5676),
    [anon_sym_DASH_GT] = ACTIONS(5676),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5674),
    [anon_sym_decltype] = ACTIONS(5674),
    [anon_sym_final] = ACTIONS(5674),
    [anon_sym_override] = ACTIONS(5674),
    [anon_sym_requires] = ACTIONS(5674),
  },
  [2239] = {
    [sym_identifier] = ACTIONS(5658),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5660),
    [anon_sym_COMMA] = ACTIONS(5660),
    [anon_sym_RPAREN] = ACTIONS(5660),
    [anon_sym_LPAREN2] = ACTIONS(5660),
    [anon_sym_DASH] = ACTIONS(5658),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_STAR] = ACTIONS(5660),
    [anon_sym_SLASH] = ACTIONS(5658),
    [anon_sym_PERCENT] = ACTIONS(5660),
    [anon_sym_PIPE_PIPE] = ACTIONS(5660),
    [anon_sym_AMP_AMP] = ACTIONS(5660),
    [anon_sym_PIPE] = ACTIONS(5658),
    [anon_sym_CARET] = ACTIONS(5660),
    [anon_sym_AMP] = ACTIONS(5658),
    [anon_sym_EQ_EQ] = ACTIONS(5660),
    [anon_sym_BANG_EQ] = ACTIONS(5660),
    [anon_sym_GT] = ACTIONS(5658),
    [anon_sym_GT_EQ] = ACTIONS(5660),
    [anon_sym_LT_EQ] = ACTIONS(5658),
    [anon_sym_LT] = ACTIONS(5658),
    [anon_sym_LT_LT] = ACTIONS(5660),
    [anon_sym_GT_GT] = ACTIONS(5660),
    [anon_sym_SEMI] = ACTIONS(5660),
    [anon_sym___extension__] = ACTIONS(5658),
    [anon_sym___attribute__] = ACTIONS(5658),
    [anon_sym___based] = ACTIONS(5658),
    [anon_sym_LBRACE] = ACTIONS(5660),
    [anon_sym_RBRACE] = ACTIONS(5660),
    [anon_sym_signed] = ACTIONS(5658),
    [anon_sym_unsigned] = ACTIONS(5658),
    [anon_sym_long] = ACTIONS(5658),
    [anon_sym_short] = ACTIONS(5658),
    [anon_sym_LBRACK] = ACTIONS(5660),
    [anon_sym_RBRACK] = ACTIONS(5660),
    [anon_sym_const] = ACTIONS(5658),
    [anon_sym_constexpr] = ACTIONS(5658),
    [anon_sym_volatile] = ACTIONS(5658),
    [anon_sym_restrict] = ACTIONS(5658),
    [anon_sym___restrict__] = ACTIONS(5658),
    [anon_sym__Atomic] = ACTIONS(5658),
    [anon_sym__Noreturn] = ACTIONS(5658),
    [anon_sym_noreturn] = ACTIONS(5658),
    [anon_sym_mutable] = ACTIONS(5658),
    [anon_sym_constinit] = ACTIONS(5658),
    [anon_sym_consteval] = ACTIONS(5658),
    [anon_sym_PROGMEM] = ACTIONS(5658),
    [aux_sym_primitive_type_token1] = ACTIONS(5658),
    [anon_sym_byte] = ACTIONS(5658),
    [anon_sym_word] = ACTIONS(5658),
    [anon_sym_COLON] = ACTIONS(5660),
    [anon_sym_QMARK] = ACTIONS(5660),
    [anon_sym_LT_EQ_GT] = ACTIONS(5660),
    [anon_sym_or] = ACTIONS(5658),
    [anon_sym_and] = ACTIONS(5658),
    [anon_sym_bitor] = ACTIONS(5658),
    [anon_sym_xor] = ACTIONS(5658),
    [anon_sym_bitand] = ACTIONS(5658),
    [anon_sym_not_eq] = ACTIONS(5658),
    [anon_sym_DASH_DASH] = ACTIONS(5660),
    [anon_sym_PLUS_PLUS] = ACTIONS(5660),
    [anon_sym_DOT] = ACTIONS(5658),
    [anon_sym_DOT_STAR] = ACTIONS(5660),
    [anon_sym_DASH_GT] = ACTIONS(5660),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5658),
    [anon_sym_decltype] = ACTIONS(5658),
    [anon_sym_final] = ACTIONS(5658),
    [anon_sym_override] = ACTIONS(5658),
    [anon_sym_requires] = ACTIONS(5658),
  },
  [2240] = {
    [sym_catch_clause] = STATE(2253),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2253),
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token2] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [anon_sym_PROGMEM] = ACTIONS(2858),
    [aux_sym_primitive_type_token1] = ACTIONS(2858),
    [anon_sym_byte] = ACTIONS(2858),
    [anon_sym_word] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [anon_sym_virtual] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_friend] = ACTIONS(2858),
    [anon_sym_public] = ACTIONS(2858),
    [anon_sym_private] = ACTIONS(2858),
    [anon_sym_protected] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
    [anon_sym_catch] = ACTIONS(5656),
  },
  [2241] = {
    [sym__declaration_modifiers] = STATE(3679),
    [sym_attribute_specifier] = STATE(3679),
    [sym_attribute_declaration] = STATE(3679),
    [sym_ms_declspec_modifier] = STATE(3679),
    [sym_storage_class_specifier] = STATE(3679),
    [sym_type_qualifier] = STATE(3679),
    [sym__type_specifier] = STATE(3193),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3679),
    [sym_alignas_specifier] = STATE(3679),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7177),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3679),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5091),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2023),
    [anon_sym_struct] = ACTIONS(2025),
    [anon_sym_union] = ACTIONS(2027),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(2053),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2242] = {
    [sym__declaration_modifiers] = STATE(3679),
    [sym_attribute_specifier] = STATE(3679),
    [sym_attribute_declaration] = STATE(3679),
    [sym_ms_declspec_modifier] = STATE(3679),
    [sym_storage_class_specifier] = STATE(3679),
    [sym_type_qualifier] = STATE(3679),
    [sym__type_specifier] = STATE(3193),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_primitive_type] = STATE(4004),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3663),
    [sym_decltype] = STATE(3455),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(3679),
    [sym_alignas_specifier] = STATE(3679),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3455),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(7213),
    [sym_qualified_type_identifier] = STATE(4606),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3679),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3238),
    [sym_identifier] = ACTIONS(5194),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1999),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_PROGMEM] = ACTIONS(61),
    [aux_sym_primitive_type_token1] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(63),
    [anon_sym_word] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [anon_sym_virtual] = ACTIONS(123),
    [anon_sym_alignas] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1436),
  },
  [2243] = {
    [sym_identifier] = ACTIONS(5678),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5680),
    [anon_sym_COMMA] = ACTIONS(5680),
    [anon_sym_RPAREN] = ACTIONS(5680),
    [anon_sym_LPAREN2] = ACTIONS(5680),
    [anon_sym_DASH] = ACTIONS(5678),
    [anon_sym_PLUS] = ACTIONS(5678),
    [anon_sym_STAR] = ACTIONS(5680),
    [anon_sym_SLASH] = ACTIONS(5678),
    [anon_sym_PERCENT] = ACTIONS(5680),
    [anon_sym_PIPE_PIPE] = ACTIONS(5680),
    [anon_sym_AMP_AMP] = ACTIONS(5680),
    [anon_sym_PIPE] = ACTIONS(5678),
    [anon_sym_CARET] = ACTIONS(5680),
    [anon_sym_AMP] = ACTIONS(5678),
    [anon_sym_EQ_EQ] = ACTIONS(5680),
    [anon_sym_BANG_EQ] = ACTIONS(5680),
    [anon_sym_GT] = ACTIONS(5678),
    [anon_sym_GT_EQ] = ACTIONS(5680),
    [anon_sym_LT_EQ] = ACTIONS(5678),
    [anon_sym_LT] = ACTIONS(5678),
    [anon_sym_LT_LT] = ACTIONS(5680),
    [anon_sym_GT_GT] = ACTIONS(5680),
    [anon_sym_SEMI] = ACTIONS(5680),
    [anon_sym___extension__] = ACTIONS(5678),
    [anon_sym___attribute__] = ACTIONS(5678),
    [anon_sym___based] = ACTIONS(5678),
    [anon_sym_LBRACE] = ACTIONS(5680),
    [anon_sym_RBRACE] = ACTIONS(5680),
    [anon_sym_signed] = ACTIONS(5678),
    [anon_sym_unsigned] = ACTIONS(5678),
    [anon_sym_long] = ACTIONS(5678),
    [anon_sym_short] = ACTIONS(5678),
    [anon_sym_LBRACK] = ACTIONS(5680),
    [anon_sym_RBRACK] = ACTIONS(5680),
    [anon_sym_const] = ACTIONS(5678),
    [anon_sym_constexpr] = ACTIONS(5678),
    [anon_sym_volatile] = ACTIONS(5678),
    [anon_sym_restrict] = ACTIONS(5678),
    [anon_sym___restrict__] = ACTIONS(5678),
    [anon_sym__Atomic] = ACTIONS(5678),
    [anon_sym__Noreturn] = ACTIONS(5678),
    [anon_sym_noreturn] = ACTIONS(5678),
    [anon_sym_mutable] = ACTIONS(5678),
    [anon_sym_constinit] = ACTIONS(5678),
    [anon_sym_consteval] = ACTIONS(5678),
    [anon_sym_PROGMEM] = ACTIONS(5678),
    [aux_sym_primitive_type_token1] = ACTIONS(5678),
    [anon_sym_byte] = ACTIONS(5678),
    [anon_sym_word] = ACTIONS(5678),
    [anon_sym_COLON] = ACTIONS(5680),
    [anon_sym_QMARK] = ACTIONS(5680),
    [anon_sym_LT_EQ_GT] = ACTIONS(5680),
    [anon_sym_or] = ACTIONS(5678),
    [anon_sym_and] = ACTIONS(5678),
    [anon_sym_bitor] = ACTIONS(5678),
    [anon_sym_xor] = ACTIONS(5678),
    [anon_sym_bitand] = ACTIONS(5678),
    [anon_sym_not_eq] = ACTIONS(5678),
    [anon_sym_DASH_DASH] = ACTIONS(5680),
    [anon_sym_PLUS_PLUS] = ACTIONS(5680),
    [anon_sym_DOT] = ACTIONS(5678),
    [anon_sym_DOT_STAR] = ACTIONS(5680),
    [anon_sym_DASH_GT] = ACTIONS(5680),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5678),
    [anon_sym_decltype] = ACTIONS(5678),
    [anon_sym_final] = ACTIONS(5678),
    [anon_sym_override] = ACTIONS(5678),
    [anon_sym_requires] = ACTIONS(5678),
  },
  [2244] = {
    [sym_identifier] = ACTIONS(5682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5684),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_RPAREN] = ACTIONS(5684),
    [anon_sym_LPAREN2] = ACTIONS(5684),
    [anon_sym_TILDE] = ACTIONS(5684),
    [anon_sym_STAR] = ACTIONS(5684),
    [anon_sym_AMP_AMP] = ACTIONS(5684),
    [anon_sym_AMP] = ACTIONS(5682),
    [anon_sym_SEMI] = ACTIONS(5684),
    [anon_sym___extension__] = ACTIONS(5682),
    [anon_sym_extern] = ACTIONS(5682),
    [anon_sym___attribute__] = ACTIONS(5682),
    [anon_sym_COLON_COLON] = ACTIONS(5684),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5684),
    [anon_sym___declspec] = ACTIONS(5682),
    [anon_sym___based] = ACTIONS(5682),
    [anon_sym_LBRACE] = ACTIONS(5684),
    [anon_sym_signed] = ACTIONS(5682),
    [anon_sym_unsigned] = ACTIONS(5682),
    [anon_sym_long] = ACTIONS(5682),
    [anon_sym_short] = ACTIONS(5682),
    [anon_sym_LBRACK] = ACTIONS(5682),
    [anon_sym_EQ] = ACTIONS(5684),
    [anon_sym_static] = ACTIONS(5682),
    [anon_sym_register] = ACTIONS(5682),
    [anon_sym_inline] = ACTIONS(5682),
    [anon_sym___inline] = ACTIONS(5682),
    [anon_sym___inline__] = ACTIONS(5682),
    [anon_sym___forceinline] = ACTIONS(5682),
    [anon_sym_thread_local] = ACTIONS(5682),
    [anon_sym___thread] = ACTIONS(5682),
    [anon_sym_const] = ACTIONS(5682),
    [anon_sym_constexpr] = ACTIONS(5682),
    [anon_sym_volatile] = ACTIONS(5682),
    [anon_sym_restrict] = ACTIONS(5682),
    [anon_sym___restrict__] = ACTIONS(5682),
    [anon_sym__Atomic] = ACTIONS(5682),
    [anon_sym__Noreturn] = ACTIONS(5682),
    [anon_sym_noreturn] = ACTIONS(5682),
    [anon_sym_mutable] = ACTIONS(5682),
    [anon_sym_constinit] = ACTIONS(5682),
    [anon_sym_consteval] = ACTIONS(5682),
    [anon_sym_PROGMEM] = ACTIONS(5682),
    [aux_sym_primitive_type_token1] = ACTIONS(5682),
    [anon_sym_byte] = ACTIONS(5682),
    [anon_sym_word] = ACTIONS(5682),
    [anon_sym_enum] = ACTIONS(5682),
    [anon_sym_class] = ACTIONS(5682),
    [anon_sym_struct] = ACTIONS(5682),
    [anon_sym_union] = ACTIONS(5682),
    [anon_sym_asm] = ACTIONS(5682),
    [anon_sym___asm__] = ACTIONS(5682),
    [anon_sym_DASH_GT] = ACTIONS(5684),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5682),
    [anon_sym_decltype] = ACTIONS(5682),
    [anon_sym_final] = ACTIONS(5682),
    [anon_sym_override] = ACTIONS(5682),
    [anon_sym_virtual] = ACTIONS(5682),
    [anon_sym_alignas] = ACTIONS(5682),
    [anon_sym_explicit] = ACTIONS(5682),
    [anon_sym_typename] = ACTIONS(5682),
    [anon_sym_template] = ACTIONS(5682),
    [anon_sym_GT2] = ACTIONS(5684),
    [anon_sym_operator] = ACTIONS(5682),
    [anon_sym_try] = ACTIONS(5682),
    [anon_sym_noexcept] = ACTIONS(5682),
    [anon_sym_throw] = ACTIONS(5682),
    [anon_sym_requires] = ACTIONS(5682),
  },
  [2245] = {
    [sym_catch_clause] = STATE(2245),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2245),
    [sym_identifier] = ACTIONS(2847),
    [aux_sym_preproc_def_token1] = ACTIONS(2847),
    [aux_sym_preproc_if_token1] = ACTIONS(2847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2847),
    [sym_preproc_directive] = ACTIONS(2847),
    [anon_sym_LPAREN2] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2849),
    [anon_sym_STAR] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2849),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym___extension__] = ACTIONS(2847),
    [anon_sym_typedef] = ACTIONS(2847),
    [anon_sym_extern] = ACTIONS(2847),
    [anon_sym___attribute__] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(2849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2849),
    [anon_sym___declspec] = ACTIONS(2847),
    [anon_sym___based] = ACTIONS(2847),
    [anon_sym_RBRACE] = ACTIONS(2849),
    [anon_sym_signed] = ACTIONS(2847),
    [anon_sym_unsigned] = ACTIONS(2847),
    [anon_sym_long] = ACTIONS(2847),
    [anon_sym_short] = ACTIONS(2847),
    [anon_sym_LBRACK] = ACTIONS(2847),
    [anon_sym_static] = ACTIONS(2847),
    [anon_sym_register] = ACTIONS(2847),
    [anon_sym_inline] = ACTIONS(2847),
    [anon_sym___inline] = ACTIONS(2847),
    [anon_sym___inline__] = ACTIONS(2847),
    [anon_sym___forceinline] = ACTIONS(2847),
    [anon_sym_thread_local] = ACTIONS(2847),
    [anon_sym___thread] = ACTIONS(2847),
    [anon_sym_const] = ACTIONS(2847),
    [anon_sym_constexpr] = ACTIONS(2847),
    [anon_sym_volatile] = ACTIONS(2847),
    [anon_sym_restrict] = ACTIONS(2847),
    [anon_sym___restrict__] = ACTIONS(2847),
    [anon_sym__Atomic] = ACTIONS(2847),
    [anon_sym__Noreturn] = ACTIONS(2847),
    [anon_sym_noreturn] = ACTIONS(2847),
    [anon_sym_mutable] = ACTIONS(2847),
    [anon_sym_constinit] = ACTIONS(2847),
    [anon_sym_consteval] = ACTIONS(2847),
    [anon_sym_PROGMEM] = ACTIONS(2847),
    [aux_sym_primitive_type_token1] = ACTIONS(2847),
    [anon_sym_byte] = ACTIONS(2847),
    [anon_sym_word] = ACTIONS(2847),
    [anon_sym_enum] = ACTIONS(2847),
    [anon_sym_class] = ACTIONS(2847),
    [anon_sym_struct] = ACTIONS(2847),
    [anon_sym_union] = ACTIONS(2847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2847),
    [anon_sym_decltype] = ACTIONS(2847),
    [anon_sym_virtual] = ACTIONS(2847),
    [anon_sym_alignas] = ACTIONS(2847),
    [anon_sym_explicit] = ACTIONS(2847),
    [anon_sym_typename] = ACTIONS(2847),
    [anon_sym_template] = ACTIONS(2847),
    [anon_sym_operator] = ACTIONS(2847),
    [anon_sym_friend] = ACTIONS(2847),
    [anon_sym_public] = ACTIONS(2847),
    [anon_sym_private] = ACTIONS(2847),
    [anon_sym_protected] = ACTIONS(2847),
    [anon_sym_using] = ACTIONS(2847),
    [anon_sym_static_assert] = ACTIONS(2847),
    [anon_sym_catch] = ACTIONS(5686),
  },
  [2246] = {
    [sym_identifier] = ACTIONS(5689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5691),
    [anon_sym_COMMA] = ACTIONS(5691),
    [anon_sym_RPAREN] = ACTIONS(5691),
    [anon_sym_LPAREN2] = ACTIONS(5691),
    [anon_sym_DASH] = ACTIONS(5689),
    [anon_sym_PLUS] = ACTIONS(5689),
    [anon_sym_STAR] = ACTIONS(5691),
    [anon_sym_SLASH] = ACTIONS(5689),
    [anon_sym_PERCENT] = ACTIONS(5691),
    [anon_sym_PIPE_PIPE] = ACTIONS(5691),
    [anon_sym_AMP_AMP] = ACTIONS(5691),
    [anon_sym_PIPE] = ACTIONS(5689),
    [anon_sym_CARET] = ACTIONS(5691),
    [anon_sym_AMP] = ACTIONS(5689),
    [anon_sym_EQ_EQ] = ACTIONS(5691),
    [anon_sym_BANG_EQ] = ACTIONS(5691),
    [anon_sym_GT] = ACTIONS(5689),
    [anon_sym_GT_EQ] = ACTIONS(5691),
    [anon_sym_LT_EQ] = ACTIONS(5689),
    [anon_sym_LT] = ACTIONS(5689),
    [anon_sym_LT_LT] = ACTIONS(5691),
    [anon_sym_GT_GT] = ACTIONS(5691),
    [anon_sym_SEMI] = ACTIONS(5691),
    [anon_sym___extension__] = ACTIONS(5689),
    [anon_sym___attribute__] = ACTIONS(5689),
    [anon_sym___based] = ACTIONS(5689),
    [anon_sym_LBRACE] = ACTIONS(5691),
    [anon_sym_RBRACE] = ACTIONS(5691),
    [anon_sym_signed] = ACTIONS(5689),
    [anon_sym_unsigned] = ACTIONS(5689),
    [anon_sym_long] = ACTIONS(5689),
    [anon_sym_short] = ACTIONS(5689),
    [anon_sym_LBRACK] = ACTIONS(5691),
    [anon_sym_RBRACK] = ACTIONS(5691),
    [anon_sym_const] = ACTIONS(5689),
    [anon_sym_constexpr] = ACTIONS(5689),
    [anon_sym_volatile] = ACTIONS(5689),
    [anon_sym_restrict] = ACTIONS(5689),
    [anon_sym___restrict__] = ACTIONS(5689),
    [anon_sym__Atomic] = ACTIONS(5689),
    [anon_sym__Noreturn] = ACTIONS(5689),
    [anon_sym_noreturn] = ACTIONS(5689),
    [anon_sym_mutable] = ACTIONS(5689),
    [anon_sym_constinit] = ACTIONS(5689),
    [anon_sym_consteval] = ACTIONS(5689),
    [anon_sym_PROGMEM] = ACTIONS(5689),
    [aux_sym_primitive_type_token1] = ACTIONS(5689),
    [anon_sym_byte] = ACTIONS(5689),
    [anon_sym_word] = ACTIONS(5689),
    [anon_sym_COLON] = ACTIONS(5691),
    [anon_sym_QMARK] = ACTIONS(5691),
    [anon_sym_LT_EQ_GT] = ACTIONS(5691),
    [anon_sym_or] = ACTIONS(5689),
    [anon_sym_and] = ACTIONS(5689),
    [anon_sym_bitor] = ACTIONS(5689),
    [anon_sym_xor] = ACTIONS(5689),
    [anon_sym_bitand] = ACTIONS(5689),
    [anon_sym_not_eq] = ACTIONS(5689),
    [anon_sym_DASH_DASH] = ACTIONS(5691),
    [anon_sym_PLUS_PLUS] = ACTIONS(5691),
    [anon_sym_DOT] = ACTIONS(5689),
    [anon_sym_DOT_STAR] = ACTIONS(5691),
    [anon_sym_DASH_GT] = ACTIONS(5691),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5689),
    [anon_sym_decltype] = ACTIONS(5689),
    [anon_sym_final] = ACTIONS(5689),
    [anon_sym_override] = ACTIONS(5689),
    [anon_sym_requires] = ACTIONS(5689),
  },
  [2247] = {
    [sym_identifier] = ACTIONS(3302),
    [anon_sym_LPAREN2] = ACTIONS(3304),
    [anon_sym_BANG] = ACTIONS(3304),
    [anon_sym_TILDE] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3302),
    [anon_sym_PLUS] = ACTIONS(3302),
    [anon_sym_STAR] = ACTIONS(3304),
    [anon_sym_AMP] = ACTIONS(3304),
    [anon_sym___extension__] = ACTIONS(3302),
    [anon_sym_COLON_COLON] = ACTIONS(3304),
    [anon_sym_LBRACK] = ACTIONS(3304),
    [anon_sym_RBRACK] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3302),
    [anon_sym_constexpr] = ACTIONS(3302),
    [anon_sym_volatile] = ACTIONS(3302),
    [anon_sym_restrict] = ACTIONS(3302),
    [anon_sym___restrict__] = ACTIONS(3302),
    [anon_sym__Atomic] = ACTIONS(3302),
    [anon_sym__Noreturn] = ACTIONS(3302),
    [anon_sym_noreturn] = ACTIONS(3302),
    [anon_sym_mutable] = ACTIONS(3302),
    [anon_sym_constinit] = ACTIONS(3302),
    [anon_sym_consteval] = ACTIONS(3302),
    [anon_sym_PROGMEM] = ACTIONS(3302),
    [aux_sym_primitive_type_token1] = ACTIONS(3302),
    [anon_sym_byte] = ACTIONS(3302),
    [anon_sym_word] = ACTIONS(3302),
    [anon_sym_not] = ACTIONS(3302),
    [anon_sym_compl] = ACTIONS(3302),
    [anon_sym_DASH_DASH] = ACTIONS(3304),
    [anon_sym_PLUS_PLUS] = ACTIONS(3304),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(3302),
    [anon_sym___alignof] = ACTIONS(3302),
    [anon_sym__alignof] = ACTIONS(3302),
    [anon_sym_alignof] = ACTIONS(3302),
    [anon_sym__Alignof] = ACTIONS(3302),
    [anon_sym_offsetof] = ACTIONS(3302),
    [anon_sym__Generic] = ACTIONS(3302),
    [anon_sym_asm] = ACTIONS(3302),
    [anon_sym___asm__] = ACTIONS(3302),
    [aux_sym_number_literal_token1] = ACTIONS(3304),
    [aux_sym_number_literal_token2] = ACTIONS(3302),
    [anon_sym_L_SQUOTE] = ACTIONS(3304),
    [anon_sym_u_SQUOTE] = ACTIONS(3304),
    [anon_sym_U_SQUOTE] = ACTIONS(3304),
    [anon_sym_u8_SQUOTE] = ACTIONS(3304),
    [anon_sym_SQUOTE] = ACTIONS(3304),
    [anon_sym_L_DQUOTE] = ACTIONS(3304),
    [anon_sym_u_DQUOTE] = ACTIONS(3304),
    [anon_sym_U_DQUOTE] = ACTIONS(3304),
    [anon_sym_u8_DQUOTE] = ACTIONS(3304),
    [anon_sym_DQUOTE] = ACTIONS(3304),
    [sym_true] = ACTIONS(3302),
    [sym_false] = ACTIONS(3302),
    [anon_sym_NULL] = ACTIONS(3302),
    [anon_sym_nullptr] = ACTIONS(3302),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3302),
    [anon_sym_template] = ACTIONS(3302),
    [anon_sym_delete] = ACTIONS(3302),
    [anon_sym_R_DQUOTE] = ACTIONS(3304),
    [anon_sym_LR_DQUOTE] = ACTIONS(3304),
    [anon_sym_uR_DQUOTE] = ACTIONS(3304),
    [anon_sym_UR_DQUOTE] = ACTIONS(3304),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3304),
    [anon_sym_co_await] = ACTIONS(3302),
    [anon_sym_new] = ACTIONS(3302),
    [anon_sym_requires] = ACTIONS(3302),
    [sym_this] = ACTIONS(3302),
  },
  [2248] = {
    [sym_identifier] = ACTIONS(3302),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3304),
    [anon_sym_COMMA] = ACTIONS(3304),
    [anon_sym_RPAREN] = ACTIONS(3304),
    [anon_sym_LPAREN2] = ACTIONS(3304),
    [anon_sym_TILDE] = ACTIONS(3304),
    [anon_sym_STAR] = ACTIONS(3304),
    [anon_sym_AMP_AMP] = ACTIONS(3304),
    [anon_sym_AMP] = ACTIONS(3302),
    [anon_sym_SEMI] = ACTIONS(3304),
    [anon_sym___extension__] = ACTIONS(3302),
    [anon_sym_extern] = ACTIONS(3302),
    [anon_sym___attribute__] = ACTIONS(3302),
    [anon_sym_COLON_COLON] = ACTIONS(3304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3304),
    [anon_sym___declspec] = ACTIONS(3302),
    [anon_sym___based] = ACTIONS(3302),
    [anon_sym_LBRACE] = ACTIONS(3304),
    [anon_sym_signed] = ACTIONS(3302),
    [anon_sym_unsigned] = ACTIONS(3302),
    [anon_sym_long] = ACTIONS(3302),
    [anon_sym_short] = ACTIONS(3302),
    [anon_sym_LBRACK] = ACTIONS(3302),
    [anon_sym_EQ] = ACTIONS(3304),
    [anon_sym_static] = ACTIONS(3302),
    [anon_sym_register] = ACTIONS(3302),
    [anon_sym_inline] = ACTIONS(3302),
    [anon_sym___inline] = ACTIONS(3302),
    [anon_sym___inline__] = ACTIONS(3302),
    [anon_sym___forceinline] = ACTIONS(3302),
    [anon_sym_thread_local] = ACTIONS(3302),
    [anon_sym___thread] = ACTIONS(3302),
    [anon_sym_const] = ACTIONS(3302),
    [anon_sym_constexpr] = ACTIONS(3302),
    [anon_sym_volatile] = ACTIONS(3302),
    [anon_sym_restrict] = ACTIONS(3302),
    [anon_sym___restrict__] = ACTIONS(3302),
    [anon_sym__Atomic] = ACTIONS(3302),
    [anon_sym__Noreturn] = ACTIONS(3302),
    [anon_sym_noreturn] = ACTIONS(3302),
    [anon_sym_mutable] = ACTIONS(3302),
    [anon_sym_constinit] = ACTIONS(3302),
    [anon_sym_consteval] = ACTIONS(3302),
    [anon_sym_PROGMEM] = ACTIONS(3302),
    [aux_sym_primitive_type_token1] = ACTIONS(3302),
    [anon_sym_byte] = ACTIONS(3302),
    [anon_sym_word] = ACTIONS(3302),
    [anon_sym_enum] = ACTIONS(3302),
    [anon_sym_class] = ACTIONS(3302),
    [anon_sym_struct] = ACTIONS(3302),
    [anon_sym_union] = ACTIONS(3302),
    [anon_sym_asm] = ACTIONS(3302),
    [anon_sym___asm__] = ACTIONS(3302),
    [anon_sym_DASH_GT] = ACTIONS(3304),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3302),
    [anon_sym_decltype] = ACTIONS(3302),
    [anon_sym_final] = ACTIONS(3302),
    [anon_sym_override] = ACTIONS(3302),
    [anon_sym_virtual] = ACTIONS(3302),
    [anon_sym_alignas] = ACTIONS(3302),
    [anon_sym_explicit] = ACTIONS(3302),
    [anon_sym_typename] = ACTIONS(3302),
    [anon_sym_template] = ACTIONS(3302),
    [anon_sym_GT2] = ACTIONS(3304),
    [anon_sym_operator] = ACTIONS(3302),
    [anon_sym_try] = ACTIONS(3302),
    [anon_sym_noexcept] = ACTIONS(3302),
    [anon_sym_throw] = ACTIONS(3302),
    [anon_sym_requires] = ACTIONS(3302),
  },
  [2249] = {
    [sym_identifier] = ACTIONS(5693),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5695),
    [anon_sym_COMMA] = ACTIONS(5695),
    [anon_sym_RPAREN] = ACTIONS(5695),
    [anon_sym_LPAREN2] = ACTIONS(5695),
    [anon_sym_DASH] = ACTIONS(5693),
    [anon_sym_PLUS] = ACTIONS(5693),
    [anon_sym_STAR] = ACTIONS(5695),
    [anon_sym_SLASH] = ACTIONS(5693),
    [anon_sym_PERCENT] = ACTIONS(5695),
    [anon_sym_PIPE_PIPE] = ACTIONS(5695),
    [anon_sym_AMP_AMP] = ACTIONS(5695),
    [anon_sym_PIPE] = ACTIONS(5693),
    [anon_sym_CARET] = ACTIONS(5695),
    [anon_sym_AMP] = ACTIONS(5693),
    [anon_sym_EQ_EQ] = ACTIONS(5695),
    [anon_sym_BANG_EQ] = ACTIONS(5695),
    [anon_sym_GT] = ACTIONS(5693),
    [anon_sym_GT_EQ] = ACTIONS(5695),
    [anon_sym_LT_EQ] = ACTIONS(5693),
    [anon_sym_LT] = ACTIONS(5693),
    [anon_sym_LT_LT] = ACTIONS(5695),
    [anon_sym_GT_GT] = ACTIONS(5695),
    [anon_sym_SEMI] = ACTIONS(5695),
    [anon_sym___extension__] = ACTIONS(5693),
    [anon_sym___attribute__] = ACTIONS(5693),
    [anon_sym___based] = ACTIONS(5693),
    [anon_sym_LBRACE] = ACTIONS(5695),
    [anon_sym_RBRACE] = ACTIONS(5695),
    [anon_sym_signed] = ACTIONS(5693),
    [anon_sym_unsigned] = ACTIONS(5693),
    [anon_sym_long] = ACTIONS(5693),
    [anon_sym_short] = ACTIONS(5693),
    [anon_sym_LBRACK] = ACTIONS(5695),
    [anon_sym_RBRACK] = ACTIONS(5695),
    [anon_sym_const] = ACTIONS(5693),
    [anon_sym_constexpr] = ACTIONS(5693),
    [anon_sym_volatile] = ACTIONS(5693),
    [anon_sym_restrict] = ACTIONS(5693),
    [anon_sym___restrict__] = ACTIONS(5693),
    [anon_sym__Atomic] = ACTIONS(5693),
    [anon_sym__Noreturn] = ACTIONS(5693),
    [anon_sym_noreturn] = ACTIONS(5693),
    [anon_sym_mutable] = ACTIONS(5693),
    [anon_sym_constinit] = ACTIONS(5693),
    [anon_sym_consteval] = ACTIONS(5693),
    [anon_sym_PROGMEM] = ACTIONS(5693),
    [aux_sym_primitive_type_token1] = ACTIONS(5693),
    [anon_sym_byte] = ACTIONS(5693),
    [anon_sym_word] = ACTIONS(5693),
    [anon_sym_COLON] = ACTIONS(5695),
    [anon_sym_QMARK] = ACTIONS(5695),
    [anon_sym_LT_EQ_GT] = ACTIONS(5695),
    [anon_sym_or] = ACTIONS(5693),
    [anon_sym_and] = ACTIONS(5693),
    [anon_sym_bitor] = ACTIONS(5693),
    [anon_sym_xor] = ACTIONS(5693),
    [anon_sym_bitand] = ACTIONS(5693),
    [anon_sym_not_eq] = ACTIONS(5693),
    [anon_sym_DASH_DASH] = ACTIONS(5695),
    [anon_sym_PLUS_PLUS] = ACTIONS(5695),
    [anon_sym_DOT] = ACTIONS(5693),
    [anon_sym_DOT_STAR] = ACTIONS(5695),
    [anon_sym_DASH_GT] = ACTIONS(5695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5693),
    [anon_sym_decltype] = ACTIONS(5693),
    [anon_sym_final] = ACTIONS(5693),
    [anon_sym_override] = ACTIONS(5693),
    [anon_sym_requires] = ACTIONS(5693),
  },
  [2250] = {
    [sym_identifier] = ACTIONS(5479),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5481),
    [anon_sym_COMMA] = ACTIONS(5481),
    [anon_sym_RPAREN] = ACTIONS(5481),
    [anon_sym_LPAREN2] = ACTIONS(5481),
    [anon_sym_DASH] = ACTIONS(5479),
    [anon_sym_PLUS] = ACTIONS(5479),
    [anon_sym_STAR] = ACTIONS(5481),
    [anon_sym_SLASH] = ACTIONS(5479),
    [anon_sym_PERCENT] = ACTIONS(5481),
    [anon_sym_PIPE_PIPE] = ACTIONS(5481),
    [anon_sym_AMP_AMP] = ACTIONS(5481),
    [anon_sym_PIPE] = ACTIONS(5479),
    [anon_sym_CARET] = ACTIONS(5481),
    [anon_sym_AMP] = ACTIONS(5479),
    [anon_sym_EQ_EQ] = ACTIONS(5481),
    [anon_sym_BANG_EQ] = ACTIONS(5481),
    [anon_sym_GT] = ACTIONS(5479),
    [anon_sym_GT_EQ] = ACTIONS(5481),
    [anon_sym_LT_EQ] = ACTIONS(5479),
    [anon_sym_LT] = ACTIONS(5479),
    [anon_sym_LT_LT] = ACTIONS(5481),
    [anon_sym_GT_GT] = ACTIONS(5481),
    [anon_sym_SEMI] = ACTIONS(5481),
    [anon_sym___extension__] = ACTIONS(5479),
    [anon_sym___attribute__] = ACTIONS(5479),
    [anon_sym___based] = ACTIONS(5479),
    [anon_sym_LBRACE] = ACTIONS(5481),
    [anon_sym_RBRACE] = ACTIONS(5481),
    [anon_sym_signed] = ACTIONS(5479),
    [anon_sym_unsigned] = ACTIONS(5479),
    [anon_sym_long] = ACTIONS(5479),
    [anon_sym_short] = ACTIONS(5479),
    [anon_sym_LBRACK] = ACTIONS(5481),
    [anon_sym_RBRACK] = ACTIONS(5481),
    [anon_sym_const] = ACTIONS(5479),
    [anon_sym_constexpr] = ACTIONS(5479),
    [anon_sym_volatile] = ACTIONS(5479),
    [anon_sym_restrict] = ACTIONS(5479),
    [anon_sym___restrict__] = ACTIONS(5479),
    [anon_sym__Atomic] = ACTIONS(5479),
    [anon_sym__Noreturn] = ACTIONS(5479),
    [anon_sym_noreturn] = ACTIONS(5479),
    [anon_sym_mutable] = ACTIONS(5479),
    [anon_sym_constinit] = ACTIONS(5479),
    [anon_sym_consteval] = ACTIONS(5479),
    [anon_sym_PROGMEM] = ACTIONS(5479),
    [aux_sym_primitive_type_token1] = ACTIONS(5479),
    [anon_sym_byte] = ACTIONS(5479),
    [anon_sym_word] = ACTIONS(5479),
    [anon_sym_COLON] = ACTIONS(5481),
    [anon_sym_QMARK] = ACTIONS(5481),
    [anon_sym_LT_EQ_GT] = ACTIONS(5481),
    [anon_sym_or] = ACTIONS(5479),
    [anon_sym_and] = ACTIONS(5479),
    [anon_sym_bitor] = ACTIONS(5479),
    [anon_sym_xor] = ACTIONS(5479),
    [anon_sym_bitand] = ACTIONS(5479),
    [anon_sym_not_eq] = ACTIONS(5479),
    [anon_sym_DASH_DASH] = ACTIONS(5481),
    [anon_sym_PLUS_PLUS] = ACTIONS(5481),
    [anon_sym_DOT] = ACTIONS(5479),
    [anon_sym_DOT_STAR] = ACTIONS(5481),
    [anon_sym_DASH_GT] = ACTIONS(5481),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5479),
    [anon_sym_decltype] = ACTIONS(5479),
    [anon_sym_final] = ACTIONS(5479),
    [anon_sym_override] = ACTIONS(5479),
    [anon_sym_requires] = ACTIONS(5479),
  },
  [2251] = {
    [sym_identifier] = ACTIONS(3373),
    [aux_sym_preproc_def_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token2] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3373),
    [aux_sym_preproc_else_token1] = ACTIONS(3373),
    [aux_sym_preproc_elif_token1] = ACTIONS(3373),
    [sym_preproc_directive] = ACTIONS(3373),
    [anon_sym_LPAREN2] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_STAR] = ACTIONS(3375),
    [anon_sym_AMP_AMP] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(5697),
    [anon_sym___extension__] = ACTIONS(3373),
    [anon_sym_typedef] = ACTIONS(3373),
    [anon_sym_extern] = ACTIONS(3373),
    [anon_sym___attribute__] = ACTIONS(3373),
    [anon_sym_COLON_COLON] = ACTIONS(3375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3375),
    [anon_sym___declspec] = ACTIONS(3373),
    [anon_sym___based] = ACTIONS(3373),
    [anon_sym_signed] = ACTIONS(3373),
    [anon_sym_unsigned] = ACTIONS(3373),
    [anon_sym_long] = ACTIONS(3373),
    [anon_sym_short] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_register] = ACTIONS(3373),
    [anon_sym_inline] = ACTIONS(3373),
    [anon_sym___inline] = ACTIONS(3373),
    [anon_sym___inline__] = ACTIONS(3373),
    [anon_sym___forceinline] = ACTIONS(3373),
    [anon_sym_thread_local] = ACTIONS(3373),
    [anon_sym___thread] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_constexpr] = ACTIONS(3373),
    [anon_sym_volatile] = ACTIONS(3373),
    [anon_sym_restrict] = ACTIONS(3373),
    [anon_sym___restrict__] = ACTIONS(3373),
    [anon_sym__Atomic] = ACTIONS(3373),
    [anon_sym__Noreturn] = ACTIONS(3373),
    [anon_sym_noreturn] = ACTIONS(3373),
    [anon_sym_mutable] = ACTIONS(3373),
    [anon_sym_constinit] = ACTIONS(3373),
    [anon_sym_consteval] = ACTIONS(3373),
    [anon_sym_PROGMEM] = ACTIONS(3373),
    [aux_sym_primitive_type_token1] = ACTIONS(3373),
    [anon_sym_byte] = ACTIONS(3373),
    [anon_sym_word] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_struct] = ACTIONS(3373),
    [anon_sym_union] = ACTIONS(3373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3373),
    [anon_sym_decltype] = ACTIONS(3373),
    [anon_sym_virtual] = ACTIONS(3373),
    [anon_sym_alignas] = ACTIONS(3373),
    [anon_sym_explicit] = ACTIONS(3373),
    [anon_sym_typename] = ACTIONS(3373),
    [anon_sym_template] = ACTIONS(3373),
    [anon_sym_operator] = ACTIONS(3373),
    [anon_sym_friend] = ACTIONS(3373),
    [anon_sym_public] = ACTIONS(3373),
    [anon_sym_private] = ACTIONS(3373),
    [anon_sym_protected] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_static_assert] = ACTIONS(3373),
  },
  [2252] = {
    [sym_identifier] = ACTIONS(5699),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5701),
    [anon_sym_COMMA] = ACTIONS(5701),
    [anon_sym_RPAREN] = ACTIONS(5701),
    [anon_sym_LPAREN2] = ACTIONS(5701),
    [anon_sym_DASH] = ACTIONS(5699),
    [anon_sym_PLUS] = ACTIONS(5699),
    [anon_sym_STAR] = ACTIONS(5701),
    [anon_sym_SLASH] = ACTIONS(5699),
    [anon_sym_PERCENT] = ACTIONS(5701),
    [anon_sym_PIPE_PIPE] = ACTIONS(5701),
    [anon_sym_AMP_AMP] = ACTIONS(5701),
    [anon_sym_PIPE] = ACTIONS(5699),
    [anon_sym_CARET] = ACTIONS(5701),
    [anon_sym_AMP] = ACTIONS(5699),
    [anon_sym_EQ_EQ] = ACTIONS(5701),
    [anon_sym_BANG_EQ] = ACTIONS(5701),
    [anon_sym_GT] = ACTIONS(5699),
    [anon_sym_GT_EQ] = ACTIONS(5701),
    [anon_sym_LT_EQ] = ACTIONS(5699),
    [anon_sym_LT] = ACTIONS(5699),
    [anon_sym_LT_LT] = ACTIONS(5701),
    [anon_sym_GT_GT] = ACTIONS(5701),
    [anon_sym_SEMI] = ACTIONS(5701),
    [anon_sym___extension__] = ACTIONS(5699),
    [anon_sym___attribute__] = ACTIONS(5699),
    [anon_sym___based] = ACTIONS(5699),
    [anon_sym_LBRACE] = ACTIONS(5701),
    [anon_sym_RBRACE] = ACTIONS(5701),
    [anon_sym_signed] = ACTIONS(5699),
    [anon_sym_unsigned] = ACTIONS(5699),
    [anon_sym_long] = ACTIONS(5699),
    [anon_sym_short] = ACTIONS(5699),
    [anon_sym_LBRACK] = ACTIONS(5701),
    [anon_sym_RBRACK] = ACTIONS(5701),
    [anon_sym_const] = ACTIONS(5699),
    [anon_sym_constexpr] = ACTIONS(5699),
    [anon_sym_volatile] = ACTIONS(5699),
    [anon_sym_restrict] = ACTIONS(5699),
    [anon_sym___restrict__] = ACTIONS(5699),
    [anon_sym__Atomic] = ACTIONS(5699),
    [anon_sym__Noreturn] = ACTIONS(5699),
    [anon_sym_noreturn] = ACTIONS(5699),
    [anon_sym_mutable] = ACTIONS(5699),
    [anon_sym_constinit] = ACTIONS(5699),
    [anon_sym_consteval] = ACTIONS(5699),
    [anon_sym_PROGMEM] = ACTIONS(5699),
    [aux_sym_primitive_type_token1] = ACTIONS(5699),
    [anon_sym_byte] = ACTIONS(5699),
    [anon_sym_word] = ACTIONS(5699),
    [anon_sym_COLON] = ACTIONS(5701),
    [anon_sym_QMARK] = ACTIONS(5701),
    [anon_sym_LT_EQ_GT] = ACTIONS(5701),
    [anon_sym_or] = ACTIONS(5699),
    [anon_sym_and] = ACTIONS(5699),
    [anon_sym_bitor] = ACTIONS(5699),
    [anon_sym_xor] = ACTIONS(5699),
    [anon_sym_bitand] = ACTIONS(5699),
    [anon_sym_not_eq] = ACTIONS(5699),
    [anon_sym_DASH_DASH] = ACTIONS(5701),
    [anon_sym_PLUS_PLUS] = ACTIONS(5701),
    [anon_sym_DOT] = ACTIONS(5699),
    [anon_sym_DOT_STAR] = ACTIONS(5701),
    [anon_sym_DASH_GT] = ACTIONS(5701),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5699),
    [anon_sym_decltype] = ACTIONS(5699),
    [anon_sym_final] = ACTIONS(5699),
    [anon_sym_override] = ACTIONS(5699),
    [anon_sym_requires] = ACTIONS(5699),
  },
  [2253] = {
    [sym_catch_clause] = STATE(2253),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2253),
    [sym_identifier] = ACTIONS(2847),
    [aux_sym_preproc_def_token1] = ACTIONS(2847),
    [aux_sym_preproc_if_token1] = ACTIONS(2847),
    [aux_sym_preproc_if_token2] = ACTIONS(2847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2847),
    [sym_preproc_directive] = ACTIONS(2847),
    [anon_sym_LPAREN2] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2849),
    [anon_sym_STAR] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2849),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym___extension__] = ACTIONS(2847),
    [anon_sym_typedef] = ACTIONS(2847),
    [anon_sym_extern] = ACTIONS(2847),
    [anon_sym___attribute__] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(2849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2849),
    [anon_sym___declspec] = ACTIONS(2847),
    [anon_sym___based] = ACTIONS(2847),
    [anon_sym_signed] = ACTIONS(2847),
    [anon_sym_unsigned] = ACTIONS(2847),
    [anon_sym_long] = ACTIONS(2847),
    [anon_sym_short] = ACTIONS(2847),
    [anon_sym_LBRACK] = ACTIONS(2847),
    [anon_sym_static] = ACTIONS(2847),
    [anon_sym_register] = ACTIONS(2847),
    [anon_sym_inline] = ACTIONS(2847),
    [anon_sym___inline] = ACTIONS(2847),
    [anon_sym___inline__] = ACTIONS(2847),
    [anon_sym___forceinline] = ACTIONS(2847),
    [anon_sym_thread_local] = ACTIONS(2847),
    [anon_sym___thread] = ACTIONS(2847),
    [anon_sym_const] = ACTIONS(2847),
    [anon_sym_constexpr] = ACTIONS(2847),
    [anon_sym_volatile] = ACTIONS(2847),
    [anon_sym_restrict] = ACTIONS(2847),
    [anon_sym___restrict__] = ACTIONS(2847),
    [anon_sym__Atomic] = ACTIONS(2847),
    [anon_sym__Noreturn] = ACTIONS(2847),
    [anon_sym_noreturn] = ACTIONS(2847),
    [anon_sym_mutable] = ACTIONS(2847),
    [anon_sym_constinit] = ACTIONS(2847),
    [anon_sym_consteval] = ACTIONS(2847),
    [anon_sym_PROGMEM] = ACTIONS(2847),
    [aux_sym_primitive_type_token1] = ACTIONS(2847),
    [anon_sym_byte] = ACTIONS(2847),
    [anon_sym_word] = ACTIONS(2847),
    [anon_sym_enum] = ACTIONS(2847),
    [anon_sym_class] = ACTIONS(2847),
    [anon_sym_struct] = ACTIONS(2847),
    [anon_sym_union] = ACTIONS(2847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2847),
    [anon_sym_decltype] = ACTIONS(2847),
    [anon_sym_virtual] = ACTIONS(2847),
    [anon_sym_alignas] = ACTIONS(2847),
    [anon_sym_explicit] = ACTIONS(2847),
    [anon_sym_typename] = ACTIONS(2847),
    [anon_sym_template] = ACTIONS(2847),
    [anon_sym_operator] = ACTIONS(2847),
    [anon_sym_friend] = ACTIONS(2847),
    [anon_sym_public] = ACTIONS(2847),
    [anon_sym_private] = ACTIONS(2847),
    [anon_sym_protected] = ACTIONS(2847),
    [anon_sym_using] = ACTIONS(2847),
    [anon_sym_static_assert] = ACTIONS(2847),
    [anon_sym_catch] = ACTIONS(5703),
  },
  [2254] = {
    [sym_identifier] = ACTIONS(5706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5708),
    [anon_sym_COMMA] = ACTIONS(5708),
    [anon_sym_RPAREN] = ACTIONS(5708),
    [anon_sym_LPAREN2] = ACTIONS(5708),
    [anon_sym_DASH] = ACTIONS(5706),
    [anon_sym_PLUS] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5708),
    [anon_sym_SLASH] = ACTIONS(5706),
    [anon_sym_PERCENT] = ACTIONS(5708),
    [anon_sym_PIPE_PIPE] = ACTIONS(5708),
    [anon_sym_AMP_AMP] = ACTIONS(5708),
    [anon_sym_PIPE] = ACTIONS(5706),
    [anon_sym_CARET] = ACTIONS(5708),
    [anon_sym_AMP] = ACTIONS(5706),
    [anon_sym_EQ_EQ] = ACTIONS(5708),
    [anon_sym_BANG_EQ] = ACTIONS(5708),
    [anon_sym_GT] = ACTIONS(5706),
    [anon_sym_GT_EQ] = ACTIONS(5708),
    [anon_sym_LT_EQ] = ACTIONS(5706),
    [anon_sym_LT] = ACTIONS(5706),
    [anon_sym_LT_LT] = ACTIONS(5708),
    [anon_sym_GT_GT] = ACTIONS(5708),
    [anon_sym_SEMI] = ACTIONS(5708),
    [anon_sym___extension__] = ACTIONS(5706),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym___based] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_RBRACE] = ACTIONS(5708),
    [anon_sym_signed] = ACTIONS(5706),
    [anon_sym_unsigned] = ACTIONS(5706),
    [anon_sym_long] = ACTIONS(5706),
    [anon_sym_short] = ACTIONS(5706),
    [anon_sym_LBRACK] = ACTIONS(5708),
    [anon_sym_RBRACK] = ACTIONS(5708),
    [anon_sym_const] = ACTIONS(5706),
    [anon_sym_constexpr] = ACTIONS(5706),
    [anon_sym_volatile] = ACTIONS(5706),
    [anon_sym_restrict] = ACTIONS(5706),
    [anon_sym___restrict__] = ACTIONS(5706),
    [anon_sym__Atomic] = ACTIONS(5706),
    [anon_sym__Noreturn] = ACTIONS(5706),
    [anon_sym_noreturn] = ACTIONS(5706),
    [anon_sym_mutable] = ACTIONS(5706),
    [anon_sym_constinit] = ACTIONS(5706),
    [anon_sym_consteval] = ACTIONS(5706),
    [anon_sym_PROGMEM] = ACTIONS(5706),
    [aux_sym_primitive_type_token1] = ACTIONS(5706),
    [anon_sym_byte] = ACTIONS(5706),
    [anon_sym_word] = ACTIONS(5706),
    [anon_sym_COLON] = ACTIONS(5708),
    [anon_sym_QMARK] = ACTIONS(5708),
    [anon_sym_LT_EQ_GT] = ACTIONS(5708),
    [anon_sym_or] = ACTIONS(5706),
    [anon_sym_and] = ACTIONS(5706),
    [anon_sym_bitor] = ACTIONS(5706),
    [anon_sym_xor] = ACTIONS(5706),
    [anon_sym_bitand] = ACTIONS(5706),
    [anon_sym_not_eq] = ACTIONS(5706),
    [anon_sym_DASH_DASH] = ACTIONS(5708),
    [anon_sym_PLUS_PLUS] = ACTIONS(5708),
    [anon_sym_DOT] = ACTIONS(5706),
    [anon_sym_DOT_STAR] = ACTIONS(5708),
    [anon_sym_DASH_GT] = ACTIONS(5708),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5706),
    [anon_sym_decltype] = ACTIONS(5706),
    [anon_sym_final] = ACTIONS(5706),
    [anon_sym_override] = ACTIONS(5706),
    [anon_sym_requires] = ACTIONS(5706),
  },
  [2255] = {
    [sym_catch_clause] = STATE(2245),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2245),
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym_RBRACE] = ACTIONS(2860),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [anon_sym_PROGMEM] = ACTIONS(2858),
    [aux_sym_primitive_type_token1] = ACTIONS(2858),
    [anon_sym_byte] = ACTIONS(2858),
    [anon_sym_word] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [anon_sym_virtual] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_friend] = ACTIONS(2858),
    [anon_sym_public] = ACTIONS(2858),
    [anon_sym_private] = ACTIONS(2858),
    [anon_sym_protected] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
    [anon_sym_catch] = ACTIONS(5620),
  },
  [2256] = {
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5712),
    [anon_sym_COMMA] = ACTIONS(5712),
    [anon_sym_RPAREN] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_DASH] = ACTIONS(5710),
    [anon_sym_PLUS] = ACTIONS(5710),
    [anon_sym_STAR] = ACTIONS(5712),
    [anon_sym_SLASH] = ACTIONS(5710),
    [anon_sym_PERCENT] = ACTIONS(5712),
    [anon_sym_PIPE_PIPE] = ACTIONS(5712),
    [anon_sym_AMP_AMP] = ACTIONS(5712),
    [anon_sym_PIPE] = ACTIONS(5710),
    [anon_sym_CARET] = ACTIONS(5712),
    [anon_sym_AMP] = ACTIONS(5710),
    [anon_sym_EQ_EQ] = ACTIONS(5712),
    [anon_sym_BANG_EQ] = ACTIONS(5712),
    [anon_sym_GT] = ACTIONS(5710),
    [anon_sym_GT_EQ] = ACTIONS(5712),
    [anon_sym_LT_EQ] = ACTIONS(5710),
    [anon_sym_LT] = ACTIONS(5710),
    [anon_sym_LT_LT] = ACTIONS(5712),
    [anon_sym_GT_GT] = ACTIONS(5712),
    [anon_sym_SEMI] = ACTIONS(5712),
    [anon_sym___extension__] = ACTIONS(5710),
    [anon_sym___attribute__] = ACTIONS(5710),
    [anon_sym___based] = ACTIONS(5710),
    [anon_sym_LBRACE] = ACTIONS(5712),
    [anon_sym_RBRACE] = ACTIONS(5712),
    [anon_sym_signed] = ACTIONS(5710),
    [anon_sym_unsigned] = ACTIONS(5710),
    [anon_sym_long] = ACTIONS(5710),
    [anon_sym_short] = ACTIONS(5710),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_RBRACK] = ACTIONS(5712),
    [anon_sym_const] = ACTIONS(5710),
    [anon_sym_constexpr] = ACTIONS(5710),
    [anon_sym_volatile] = ACTIONS(5710),
    [anon_sym_restrict] = ACTIONS(5710),
    [anon_sym___restrict__] = ACTIONS(5710),
    [anon_sym__Atomic] = ACTIONS(5710),
    [anon_sym__Noreturn] = ACTIONS(5710),
    [anon_sym_noreturn] = ACTIONS(5710),
    [anon_sym_mutable] = ACTIONS(5710),
    [anon_sym_constinit] = ACTIONS(5710),
    [anon_sym_consteval] = ACTIONS(5710),
    [anon_sym_PROGMEM] = ACTIONS(5710),
    [aux_sym_primitive_type_token1] = ACTIONS(5710),
    [anon_sym_byte] = ACTIONS(5710),
    [anon_sym_word] = ACTIONS(5710),
    [anon_sym_COLON] = ACTIONS(5712),
    [anon_sym_QMARK] = ACTIONS(5712),
    [anon_sym_LT_EQ_GT] = ACTIONS(5712),
    [anon_sym_or] = ACTIONS(5710),
    [anon_sym_and] = ACTIONS(5710),
    [anon_sym_bitor] = ACTIONS(5710),
    [anon_sym_xor] = ACTIONS(5710),
    [anon_sym_bitand] = ACTIONS(5710),
    [anon_sym_not_eq] = ACTIONS(5710),
    [anon_sym_DASH_DASH] = ACTIONS(5712),
    [anon_sym_PLUS_PLUS] = ACTIONS(5712),
    [anon_sym_DOT] = ACTIONS(5710),
    [anon_sym_DOT_STAR] = ACTIONS(5712),
    [anon_sym_DASH_GT] = ACTIONS(5712),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5710),
    [anon_sym_decltype] = ACTIONS(5710),
    [anon_sym_final] = ACTIONS(5710),
    [anon_sym_override] = ACTIONS(5710),
    [anon_sym_requires] = ACTIONS(5710),
  },
  [2257] = {
    [sym_identifier] = ACTIONS(5714),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5716),
    [anon_sym_COMMA] = ACTIONS(5716),
    [anon_sym_RPAREN] = ACTIONS(5716),
    [anon_sym_LPAREN2] = ACTIONS(5716),
    [anon_sym_DASH] = ACTIONS(5714),
    [anon_sym_PLUS] = ACTIONS(5714),
    [anon_sym_STAR] = ACTIONS(5716),
    [anon_sym_SLASH] = ACTIONS(5714),
    [anon_sym_PERCENT] = ACTIONS(5716),
    [anon_sym_PIPE_PIPE] = ACTIONS(5716),
    [anon_sym_AMP_AMP] = ACTIONS(5716),
    [anon_sym_PIPE] = ACTIONS(5714),
    [anon_sym_CARET] = ACTIONS(5716),
    [anon_sym_AMP] = ACTIONS(5714),
    [anon_sym_EQ_EQ] = ACTIONS(5716),
    [anon_sym_BANG_EQ] = ACTIONS(5716),
    [anon_sym_GT] = ACTIONS(5714),
    [anon_sym_GT_EQ] = ACTIONS(5716),
    [anon_sym_LT_EQ] = ACTIONS(5714),
    [anon_sym_LT] = ACTIONS(5714),
    [anon_sym_LT_LT] = ACTIONS(5716),
    [anon_sym_GT_GT] = ACTIONS(5716),
    [anon_sym_SEMI] = ACTIONS(5716),
    [anon_sym___extension__] = ACTIONS(5714),
    [anon_sym___attribute__] = ACTIONS(5714),
    [anon_sym___based] = ACTIONS(5714),
    [anon_sym_LBRACE] = ACTIONS(5716),
    [anon_sym_RBRACE] = ACTIONS(5716),
    [anon_sym_signed] = ACTIONS(5714),
    [anon_sym_unsigned] = ACTIONS(5714),
    [anon_sym_long] = ACTIONS(5714),
    [anon_sym_short] = ACTIONS(5714),
    [anon_sym_LBRACK] = ACTIONS(5716),
    [anon_sym_RBRACK] = ACTIONS(5716),
    [anon_sym_const] = ACTIONS(5714),
    [anon_sym_constexpr] = ACTIONS(5714),
    [anon_sym_volatile] = ACTIONS(5714),
    [anon_sym_restrict] = ACTIONS(5714),
    [anon_sym___restrict__] = ACTIONS(5714),
    [anon_sym__Atomic] = ACTIONS(5714),
    [anon_sym__Noreturn] = ACTIONS(5714),
    [anon_sym_noreturn] = ACTIONS(5714),
    [anon_sym_mutable] = ACTIONS(5714),
    [anon_sym_constinit] = ACTIONS(5714),
    [anon_sym_consteval] = ACTIONS(5714),
    [anon_sym_PROGMEM] = ACTIONS(5714),
    [aux_sym_primitive_type_token1] = ACTIONS(5714),
    [anon_sym_byte] = ACTIONS(5714),
    [anon_sym_word] = ACTIONS(5714),
    [anon_sym_COLON] = ACTIONS(5716),
    [anon_sym_QMARK] = ACTIONS(5716),
    [anon_sym_LT_EQ_GT] = ACTIONS(5716),
    [anon_sym_or] = ACTIONS(5714),
    [anon_sym_and] = ACTIONS(5714),
    [anon_sym_bitor] = ACTIONS(5714),
    [anon_sym_xor] = ACTIONS(5714),
    [anon_sym_bitand] = ACTIONS(5714),
    [anon_sym_not_eq] = ACTIONS(5714),
    [anon_sym_DASH_DASH] = ACTIONS(5716),
    [anon_sym_PLUS_PLUS] = ACTIONS(5716),
    [anon_sym_DOT] = ACTIONS(5714),
    [anon_sym_DOT_STAR] = ACTIONS(5716),
    [anon_sym_DASH_GT] = ACTIONS(5716),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5714),
    [anon_sym_decltype] = ACTIONS(5714),
    [anon_sym_final] = ACTIONS(5714),
    [anon_sym_override] = ACTIONS(5714),
    [anon_sym_requires] = ACTIONS(5714),
  },
  [2258] = {
    [sym_identifier] = ACTIONS(5622),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5624),
    [anon_sym_COMMA] = ACTIONS(5624),
    [anon_sym_RPAREN] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_STAR] = ACTIONS(5624),
    [anon_sym_SLASH] = ACTIONS(5622),
    [anon_sym_PERCENT] = ACTIONS(5624),
    [anon_sym_PIPE_PIPE] = ACTIONS(5624),
    [anon_sym_AMP_AMP] = ACTIONS(5624),
    [anon_sym_PIPE] = ACTIONS(5622),
    [anon_sym_CARET] = ACTIONS(5624),
    [anon_sym_AMP] = ACTIONS(5622),
    [anon_sym_EQ_EQ] = ACTIONS(5624),
    [anon_sym_BANG_EQ] = ACTIONS(5624),
    [anon_sym_GT] = ACTIONS(5622),
    [anon_sym_GT_EQ] = ACTIONS(5624),
    [anon_sym_LT_EQ] = ACTIONS(5622),
    [anon_sym_LT] = ACTIONS(5622),
    [anon_sym_LT_LT] = ACTIONS(5624),
    [anon_sym_GT_GT] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5624),
    [anon_sym___extension__] = ACTIONS(5622),
    [anon_sym___attribute__] = ACTIONS(5622),
    [anon_sym___based] = ACTIONS(5622),
    [anon_sym_LBRACE] = ACTIONS(5624),
    [anon_sym_RBRACE] = ACTIONS(5624),
    [anon_sym_signed] = ACTIONS(5622),
    [anon_sym_unsigned] = ACTIONS(5622),
    [anon_sym_long] = ACTIONS(5622),
    [anon_sym_short] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5624),
    [anon_sym_RBRACK] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5622),
    [anon_sym_constexpr] = ACTIONS(5622),
    [anon_sym_volatile] = ACTIONS(5622),
    [anon_sym_restrict] = ACTIONS(5622),
    [anon_sym___restrict__] = ACTIONS(5622),
    [anon_sym__Atomic] = ACTIONS(5622),
    [anon_sym__Noreturn] = ACTIONS(5622),
    [anon_sym_noreturn] = ACTIONS(5622),
    [anon_sym_mutable] = ACTIONS(5622),
    [anon_sym_constinit] = ACTIONS(5622),
    [anon_sym_consteval] = ACTIONS(5622),
    [anon_sym_PROGMEM] = ACTIONS(5622),
    [aux_sym_primitive_type_token1] = ACTIONS(5622),
    [anon_sym_byte] = ACTIONS(5622),
    [anon_sym_word] = ACTIONS(5622),
    [anon_sym_COLON] = ACTIONS(5624),
    [anon_sym_QMARK] = ACTIONS(5624),
    [anon_sym_LT_EQ_GT] = ACTIONS(5624),
    [anon_sym_or] = ACTIONS(5622),
    [anon_sym_and] = ACTIONS(5622),
    [anon_sym_bitor] = ACTIONS(5622),
    [anon_sym_xor] = ACTIONS(5622),
    [anon_sym_bitand] = ACTIONS(5622),
    [anon_sym_not_eq] = ACTIONS(5622),
    [anon_sym_DASH_DASH] = ACTIONS(5624),
    [anon_sym_PLUS_PLUS] = ACTIONS(5624),
    [anon_sym_DOT] = ACTIONS(5622),
    [anon_sym_DOT_STAR] = ACTIONS(5624),
    [anon_sym_DASH_GT] = ACTIONS(5624),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5622),
    [anon_sym_decltype] = ACTIONS(5622),
    [anon_sym_final] = ACTIONS(5622),
    [anon_sym_override] = ACTIONS(5622),
    [anon_sym_requires] = ACTIONS(5622),
  },
  [2259] = {
    [sym_identifier] = ACTIONS(5622),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5624),
    [anon_sym_COMMA] = ACTIONS(5624),
    [anon_sym_RPAREN] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_STAR] = ACTIONS(5624),
    [anon_sym_SLASH] = ACTIONS(5622),
    [anon_sym_PERCENT] = ACTIONS(5624),
    [anon_sym_PIPE_PIPE] = ACTIONS(5624),
    [anon_sym_AMP_AMP] = ACTIONS(5624),
    [anon_sym_PIPE] = ACTIONS(5622),
    [anon_sym_CARET] = ACTIONS(5624),
    [anon_sym_AMP] = ACTIONS(5622),
    [anon_sym_EQ_EQ] = ACTIONS(5624),
    [anon_sym_BANG_EQ] = ACTIONS(5624),
    [anon_sym_GT] = ACTIONS(5622),
    [anon_sym_GT_EQ] = ACTIONS(5624),
    [anon_sym_LT_EQ] = ACTIONS(5622),
    [anon_sym_LT] = ACTIONS(5622),
    [anon_sym_LT_LT] = ACTIONS(5624),
    [anon_sym_GT_GT] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5624),
    [anon_sym___extension__] = ACTIONS(5622),
    [anon_sym___attribute__] = ACTIONS(5622),
    [anon_sym___based] = ACTIONS(5622),
    [anon_sym_LBRACE] = ACTIONS(5624),
    [anon_sym_RBRACE] = ACTIONS(5624),
    [anon_sym_signed] = ACTIONS(5622),
    [anon_sym_unsigned] = ACTIONS(5622),
    [anon_sym_long] = ACTIONS(5622),
    [anon_sym_short] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5624),
    [anon_sym_RBRACK] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5622),
    [anon_sym_constexpr] = ACTIONS(5622),
    [anon_sym_volatile] = ACTIONS(5622),
    [anon_sym_restrict] = ACTIONS(5622),
    [anon_sym___restrict__] = ACTIONS(5622),
    [anon_sym__Atomic] = ACTIONS(5622),
    [anon_sym__Noreturn] = ACTIONS(5622),
    [anon_sym_noreturn] = ACTIONS(5622),
    [anon_sym_mutable] = ACTIONS(5622),
    [anon_sym_constinit] = ACTIONS(5622),
    [anon_sym_consteval] = ACTIONS(5622),
    [anon_sym_PROGMEM] = ACTIONS(5622),
    [aux_sym_primitive_type_token1] = ACTIONS(5622),
    [anon_sym_byte] = ACTIONS(5622),
    [anon_sym_word] = ACTIONS(5622),
    [anon_sym_COLON] = ACTIONS(5624),
    [anon_sym_QMARK] = ACTIONS(5624),
    [anon_sym_LT_EQ_GT] = ACTIONS(5624),
    [anon_sym_or] = ACTIONS(5622),
    [anon_sym_and] = ACTIONS(5622),
    [anon_sym_bitor] = ACTIONS(5622),
    [anon_sym_xor] = ACTIONS(5622),
    [anon_sym_bitand] = ACTIONS(5622),
    [anon_sym_not_eq] = ACTIONS(5622),
    [anon_sym_DASH_DASH] = ACTIONS(5624),
    [anon_sym_PLUS_PLUS] = ACTIONS(5624),
    [anon_sym_DOT] = ACTIONS(5622),
    [anon_sym_DOT_STAR] = ACTIONS(5624),
    [anon_sym_DASH_GT] = ACTIONS(5624),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5622),
    [anon_sym_decltype] = ACTIONS(5622),
    [anon_sym_final] = ACTIONS(5622),
    [anon_sym_override] = ACTIONS(5622),
    [anon_sym_requires] = ACTIONS(5622),
  },
  [2260] = {
    [sym_identifier] = ACTIONS(5718),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5720),
    [anon_sym_COMMA] = ACTIONS(5720),
    [anon_sym_RPAREN] = ACTIONS(5720),
    [anon_sym_LPAREN2] = ACTIONS(5720),
    [anon_sym_DASH] = ACTIONS(5718),
    [anon_sym_PLUS] = ACTIONS(5718),
    [anon_sym_STAR] = ACTIONS(5720),
    [anon_sym_SLASH] = ACTIONS(5718),
    [anon_sym_PERCENT] = ACTIONS(5720),
    [anon_sym_PIPE_PIPE] = ACTIONS(5720),
    [anon_sym_AMP_AMP] = ACTIONS(5720),
    [anon_sym_PIPE] = ACTIONS(5718),
    [anon_sym_CARET] = ACTIONS(5720),
    [anon_sym_AMP] = ACTIONS(5718),
    [anon_sym_EQ_EQ] = ACTIONS(5720),
    [anon_sym_BANG_EQ] = ACTIONS(5720),
    [anon_sym_GT] = ACTIONS(5718),
    [anon_sym_GT_EQ] = ACTIONS(5720),
    [anon_sym_LT_EQ] = ACTIONS(5718),
    [anon_sym_LT] = ACTIONS(5718),
    [anon_sym_LT_LT] = ACTIONS(5720),
    [anon_sym_GT_GT] = ACTIONS(5720),
    [anon_sym_SEMI] = ACTIONS(5720),
    [anon_sym___extension__] = ACTIONS(5718),
    [anon_sym___attribute__] = ACTIONS(5718),
    [anon_sym___based] = ACTIONS(5718),
    [anon_sym_LBRACE] = ACTIONS(5720),
    [anon_sym_RBRACE] = ACTIONS(5720),
    [anon_sym_signed] = ACTIONS(5718),
    [anon_sym_unsigned] = ACTIONS(5718),
    [anon_sym_long] = ACTIONS(5718),
    [anon_sym_short] = ACTIONS(5718),
    [anon_sym_LBRACK] = ACTIONS(5720),
    [anon_sym_RBRACK] = ACTIONS(5720),
    [anon_sym_const] = ACTIONS(5718),
    [anon_sym_constexpr] = ACTIONS(5718),
    [anon_sym_volatile] = ACTIONS(5718),
    [anon_sym_restrict] = ACTIONS(5718),
    [anon_sym___restrict__] = ACTIONS(5718),
    [anon_sym__Atomic] = ACTIONS(5718),
    [anon_sym__Noreturn] = ACTIONS(5718),
    [anon_sym_noreturn] = ACTIONS(5718),
    [anon_sym_mutable] = ACTIONS(5718),
    [anon_sym_constinit] = ACTIONS(5718),
    [anon_sym_consteval] = ACTIONS(5718),
    [anon_sym_PROGMEM] = ACTIONS(5718),
    [aux_sym_primitive_type_token1] = ACTIONS(5718),
    [anon_sym_byte] = ACTIONS(5718),
    [anon_sym_word] = ACTIONS(5718),
    [anon_sym_COLON] = ACTIONS(5720),
    [anon_sym_QMARK] = ACTIONS(5720),
    [anon_sym_LT_EQ_GT] = ACTIONS(5720),
    [anon_sym_or] = ACTIONS(5718),
    [anon_sym_and] = ACTIONS(5718),
    [anon_sym_bitor] = ACTIONS(5718),
    [anon_sym_xor] = ACTIONS(5718),
    [anon_sym_bitand] = ACTIONS(5718),
    [anon_sym_not_eq] = ACTIONS(5718),
    [anon_sym_DASH_DASH] = ACTIONS(5720),
    [anon_sym_PLUS_PLUS] = ACTIONS(5720),
    [anon_sym_DOT] = ACTIONS(5718),
    [anon_sym_DOT_STAR] = ACTIONS(5720),
    [anon_sym_DASH_GT] = ACTIONS(5720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5718),
    [anon_sym_decltype] = ACTIONS(5718),
    [anon_sym_final] = ACTIONS(5718),
    [anon_sym_override] = ACTIONS(5718),
    [anon_sym_requires] = ACTIONS(5718),
  },
  [2261] = {
    [sym_identifier] = ACTIONS(5722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5724),
    [anon_sym_COMMA] = ACTIONS(5724),
    [anon_sym_RPAREN] = ACTIONS(5724),
    [anon_sym_LPAREN2] = ACTIONS(5724),
    [anon_sym_DASH] = ACTIONS(5722),
    [anon_sym_PLUS] = ACTIONS(5722),
    [anon_sym_STAR] = ACTIONS(5724),
    [anon_sym_SLASH] = ACTIONS(5722),
    [anon_sym_PERCENT] = ACTIONS(5724),
    [anon_sym_PIPE_PIPE] = ACTIONS(5724),
    [anon_sym_AMP_AMP] = ACTIONS(5724),
    [anon_sym_PIPE] = ACTIONS(5722),
    [anon_sym_CARET] = ACTIONS(5724),
    [anon_sym_AMP] = ACTIONS(5722),
    [anon_sym_EQ_EQ] = ACTIONS(5724),
    [anon_sym_BANG_EQ] = ACTIONS(5724),
    [anon_sym_GT] = ACTIONS(5722),
    [anon_sym_GT_EQ] = ACTIONS(5724),
    [anon_sym_LT_EQ] = ACTIONS(5722),
    [anon_sym_LT] = ACTIONS(5722),
    [anon_sym_LT_LT] = ACTIONS(5724),
    [anon_sym_GT_GT] = ACTIONS(5724),
    [anon_sym_SEMI] = ACTIONS(5724),
    [anon_sym___extension__] = ACTIONS(5722),
    [anon_sym___attribute__] = ACTIONS(5722),
    [anon_sym___based] = ACTIONS(5722),
    [anon_sym_LBRACE] = ACTIONS(5724),
    [anon_sym_RBRACE] = ACTIONS(5724),
    [anon_sym_signed] = ACTIONS(5722),
    [anon_sym_unsigned] = ACTIONS(5722),
    [anon_sym_long] = ACTIONS(5722),
    [anon_sym_short] = ACTIONS(5722),
    [anon_sym_LBRACK] = ACTIONS(5724),
    [anon_sym_RBRACK] = ACTIONS(5724),
    [anon_sym_const] = ACTIONS(5722),
    [anon_sym_constexpr] = ACTIONS(5722),
    [anon_sym_volatile] = ACTIONS(5722),
    [anon_sym_restrict] = ACTIONS(5722),
    [anon_sym___restrict__] = ACTIONS(5722),
    [anon_sym__Atomic] = ACTIONS(5722),
    [anon_sym__Noreturn] = ACTIONS(5722),
    [anon_sym_noreturn] = ACTIONS(5722),
    [anon_sym_mutable] = ACTIONS(5722),
    [anon_sym_constinit] = ACTIONS(5722),
    [anon_sym_consteval] = ACTIONS(5722),
    [anon_sym_PROGMEM] = ACTIONS(5722),
    [aux_sym_primitive_type_token1] = ACTIONS(5722),
    [anon_sym_byte] = ACTIONS(5722),
    [anon_sym_word] = ACTIONS(5722),
    [anon_sym_COLON] = ACTIONS(5724),
    [anon_sym_QMARK] = ACTIONS(5724),
    [anon_sym_LT_EQ_GT] = ACTIONS(5724),
    [anon_sym_or] = ACTIONS(5722),
    [anon_sym_and] = ACTIONS(5722),
    [anon_sym_bitor] = ACTIONS(5722),
    [anon_sym_xor] = ACTIONS(5722),
    [anon_sym_bitand] = ACTIONS(5722),
    [anon_sym_not_eq] = ACTIONS(5722),
    [anon_sym_DASH_DASH] = ACTIONS(5724),
    [anon_sym_PLUS_PLUS] = ACTIONS(5724),
    [anon_sym_DOT] = ACTIONS(5722),
    [anon_sym_DOT_STAR] = ACTIONS(5724),
    [anon_sym_DASH_GT] = ACTIONS(5724),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5722),
    [anon_sym_decltype] = ACTIONS(5722),
    [anon_sym_final] = ACTIONS(5722),
    [anon_sym_override] = ACTIONS(5722),
    [anon_sym_requires] = ACTIONS(5722),
  },
  [2262] = {
    [sym_identifier] = ACTIONS(5726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5728),
    [anon_sym_COMMA] = ACTIONS(5728),
    [anon_sym_RPAREN] = ACTIONS(5728),
    [anon_sym_LPAREN2] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5726),
    [anon_sym_STAR] = ACTIONS(5728),
    [anon_sym_SLASH] = ACTIONS(5726),
    [anon_sym_PERCENT] = ACTIONS(5728),
    [anon_sym_PIPE_PIPE] = ACTIONS(5728),
    [anon_sym_AMP_AMP] = ACTIONS(5728),
    [anon_sym_PIPE] = ACTIONS(5726),
    [anon_sym_CARET] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(5726),
    [anon_sym_EQ_EQ] = ACTIONS(5728),
    [anon_sym_BANG_EQ] = ACTIONS(5728),
    [anon_sym_GT] = ACTIONS(5726),
    [anon_sym_GT_EQ] = ACTIONS(5728),
    [anon_sym_LT_EQ] = ACTIONS(5726),
    [anon_sym_LT] = ACTIONS(5726),
    [anon_sym_LT_LT] = ACTIONS(5728),
    [anon_sym_GT_GT] = ACTIONS(5728),
    [anon_sym_SEMI] = ACTIONS(5728),
    [anon_sym___extension__] = ACTIONS(5726),
    [anon_sym___attribute__] = ACTIONS(5726),
    [anon_sym___based] = ACTIONS(5726),
    [anon_sym_LBRACE] = ACTIONS(5728),
    [anon_sym_RBRACE] = ACTIONS(5728),
    [anon_sym_signed] = ACTIONS(5726),
    [anon_sym_unsigned] = ACTIONS(5726),
    [anon_sym_long] = ACTIONS(5726),
    [anon_sym_short] = ACTIONS(5726),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [anon_sym_RBRACK] = ACTIONS(5728),
    [anon_sym_const] = ACTIONS(5726),
    [anon_sym_constexpr] = ACTIONS(5726),
    [anon_sym_volatile] = ACTIONS(5726),
    [anon_sym_restrict] = ACTIONS(5726),
    [anon_sym___restrict__] = ACTIONS(5726),
    [anon_sym__Atomic] = ACTIONS(5726),
    [anon_sym__Noreturn] = ACTIONS(5726),
    [anon_sym_noreturn] = ACTIONS(5726),
    [anon_sym_mutable] = ACTIONS(5726),
    [anon_sym_constinit] = ACTIONS(5726),
    [anon_sym_consteval] = ACTIONS(5726),
    [anon_sym_PROGMEM] = ACTIONS(5726),
    [aux_sym_primitive_type_token1] = ACTIONS(5726),
    [anon_sym_byte] = ACTIONS(5726),
    [anon_sym_word] = ACTIONS(5726),
    [anon_sym_COLON] = ACTIONS(5728),
    [anon_sym_QMARK] = ACTIONS(5728),
    [anon_sym_LT_EQ_GT] = ACTIONS(5728),
    [anon_sym_or] = ACTIONS(5726),
    [anon_sym_and] = ACTIONS(5726),
    [anon_sym_bitor] = ACTIONS(5726),
    [anon_sym_xor] = ACTIONS(5726),
    [anon_sym_bitand] = ACTIONS(5726),
    [anon_sym_not_eq] = ACTIONS(5726),
    [anon_sym_DASH_DASH] = ACTIONS(5728),
    [anon_sym_PLUS_PLUS] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_DOT_STAR] = ACTIONS(5728),
    [anon_sym_DASH_GT] = ACTIONS(5728),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5726),
    [anon_sym_decltype] = ACTIONS(5726),
    [anon_sym_final] = ACTIONS(5726),
    [anon_sym_override] = ACTIONS(5726),
    [anon_sym_requires] = ACTIONS(5726),
  },
  [2263] = {
    [sym_identifier] = ACTIONS(5730),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5732),
    [anon_sym_COMMA] = ACTIONS(5732),
    [anon_sym_RPAREN] = ACTIONS(5732),
    [anon_sym_LPAREN2] = ACTIONS(5732),
    [anon_sym_DASH] = ACTIONS(5730),
    [anon_sym_PLUS] = ACTIONS(5730),
    [anon_sym_STAR] = ACTIONS(5732),
    [anon_sym_SLASH] = ACTIONS(5730),
    [anon_sym_PERCENT] = ACTIONS(5732),
    [anon_sym_PIPE_PIPE] = ACTIONS(5732),
    [anon_sym_AMP_AMP] = ACTIONS(5732),
    [anon_sym_PIPE] = ACTIONS(5730),
    [anon_sym_CARET] = ACTIONS(5732),
    [anon_sym_AMP] = ACTIONS(5730),
    [anon_sym_EQ_EQ] = ACTIONS(5732),
    [anon_sym_BANG_EQ] = ACTIONS(5732),
    [anon_sym_GT] = ACTIONS(5730),
    [anon_sym_GT_EQ] = ACTIONS(5732),
    [anon_sym_LT_EQ] = ACTIONS(5730),
    [anon_sym_LT] = ACTIONS(5730),
    [anon_sym_LT_LT] = ACTIONS(5732),
    [anon_sym_GT_GT] = ACTIONS(5732),
    [anon_sym_SEMI] = ACTIONS(5732),
    [anon_sym___extension__] = ACTIONS(5730),
    [anon_sym___attribute__] = ACTIONS(5730),
    [anon_sym___based] = ACTIONS(5730),
    [anon_sym_LBRACE] = ACTIONS(5732),
    [anon_sym_RBRACE] = ACTIONS(5732),
    [anon_sym_signed] = ACTIONS(5730),
    [anon_sym_unsigned] = ACTIONS(5730),
    [anon_sym_long] = ACTIONS(5730),
    [anon_sym_short] = ACTIONS(5730),
    [anon_sym_LBRACK] = ACTIONS(5732),
    [anon_sym_RBRACK] = ACTIONS(5732),
    [anon_sym_const] = ACTIONS(5730),
    [anon_sym_constexpr] = ACTIONS(5730),
    [anon_sym_volatile] = ACTIONS(5730),
    [anon_sym_restrict] = ACTIONS(5730),
    [anon_sym___restrict__] = ACTIONS(5730),
    [anon_sym__Atomic] = ACTIONS(5730),
    [anon_sym__Noreturn] = ACTIONS(5730),
    [anon_sym_noreturn] = ACTIONS(5730),
    [anon_sym_mutable] = ACTIONS(5730),
    [anon_sym_constinit] = ACTIONS(5730),
    [anon_sym_consteval] = ACTIONS(5730),
    [anon_sym_PROGMEM] = ACTIONS(5730),
    [aux_sym_primitive_type_token1] = ACTIONS(5730),
    [anon_sym_byte] = ACTIONS(5730),
    [anon_sym_word] = ACTIONS(5730),
    [anon_sym_COLON] = ACTIONS(5732),
    [anon_sym_QMARK] = ACTIONS(5732),
    [anon_sym_LT_EQ_GT] = ACTIONS(5732),
    [anon_sym_or] = ACTIONS(5730),
    [anon_sym_and] = ACTIONS(5730),
    [anon_sym_bitor] = ACTIONS(5730),
    [anon_sym_xor] = ACTIONS(5730),
    [anon_sym_bitand] = ACTIONS(5730),
    [anon_sym_not_eq] = ACTIONS(5730),
    [anon_sym_DASH_DASH] = ACTIONS(5732),
    [anon_sym_PLUS_PLUS] = ACTIONS(5732),
    [anon_sym_DOT] = ACTIONS(5730),
    [anon_sym_DOT_STAR] = ACTIONS(5732),
    [anon_sym_DASH_GT] = ACTIONS(5732),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5730),
    [anon_sym_decltype] = ACTIONS(5730),
    [anon_sym_final] = ACTIONS(5730),
    [anon_sym_override] = ACTIONS(5730),
    [anon_sym_requires] = ACTIONS(5730),
  },
  [2264] = {
    [sym_template_argument_list] = STATE(2319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5107),
    [anon_sym_COMMA] = ACTIONS(5107),
    [anon_sym_RPAREN] = ACTIONS(5109),
    [anon_sym_LPAREN2] = ACTIONS(5109),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_STAR] = ACTIONS(5116),
    [anon_sym_SLASH] = ACTIONS(5114),
    [anon_sym_PERCENT] = ACTIONS(5114),
    [anon_sym_PIPE_PIPE] = ACTIONS(5107),
    [anon_sym_AMP_AMP] = ACTIONS(5109),
    [anon_sym_PIPE] = ACTIONS(5114),
    [anon_sym_CARET] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(5116),
    [anon_sym_EQ_EQ] = ACTIONS(5107),
    [anon_sym_BANG_EQ] = ACTIONS(5107),
    [anon_sym_GT] = ACTIONS(5114),
    [anon_sym_GT_EQ] = ACTIONS(5107),
    [anon_sym_LT_EQ] = ACTIONS(5114),
    [anon_sym_LT] = ACTIONS(5734),
    [anon_sym_LT_LT] = ACTIONS(5114),
    [anon_sym_GT_GT] = ACTIONS(5114),
    [anon_sym___extension__] = ACTIONS(5112),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(5112),
    [anon_sym_LBRACK] = ACTIONS(5109),
    [anon_sym_EQ] = ACTIONS(5114),
    [anon_sym_const] = ACTIONS(5105),
    [anon_sym_constexpr] = ACTIONS(5112),
    [anon_sym_volatile] = ACTIONS(5112),
    [anon_sym_restrict] = ACTIONS(5112),
    [anon_sym___restrict__] = ACTIONS(5112),
    [anon_sym__Atomic] = ACTIONS(5112),
    [anon_sym__Noreturn] = ACTIONS(5112),
    [anon_sym_noreturn] = ACTIONS(5112),
    [anon_sym_mutable] = ACTIONS(5112),
    [anon_sym_constinit] = ACTIONS(5112),
    [anon_sym_consteval] = ACTIONS(5112),
    [anon_sym_PROGMEM] = ACTIONS(5112),
    [anon_sym_QMARK] = ACTIONS(5107),
    [anon_sym_STAR_EQ] = ACTIONS(5107),
    [anon_sym_SLASH_EQ] = ACTIONS(5107),
    [anon_sym_PERCENT_EQ] = ACTIONS(5107),
    [anon_sym_PLUS_EQ] = ACTIONS(5107),
    [anon_sym_DASH_EQ] = ACTIONS(5107),
    [anon_sym_LT_LT_EQ] = ACTIONS(5107),
    [anon_sym_GT_GT_EQ] = ACTIONS(5107),
    [anon_sym_AMP_EQ] = ACTIONS(5107),
    [anon_sym_CARET_EQ] = ACTIONS(5107),
    [anon_sym_PIPE_EQ] = ACTIONS(5107),
    [anon_sym_and_eq] = ACTIONS(5107),
    [anon_sym_or_eq] = ACTIONS(5107),
    [anon_sym_xor_eq] = ACTIONS(5107),
    [anon_sym_LT_EQ_GT] = ACTIONS(5107),
    [anon_sym_or] = ACTIONS(5114),
    [anon_sym_and] = ACTIONS(5114),
    [anon_sym_bitor] = ACTIONS(5107),
    [anon_sym_xor] = ACTIONS(5114),
    [anon_sym_bitand] = ACTIONS(5107),
    [anon_sym_not_eq] = ACTIONS(5107),
    [anon_sym_DASH_DASH] = ACTIONS(5107),
    [anon_sym_PLUS_PLUS] = ACTIONS(5107),
    [anon_sym_DOT] = ACTIONS(5114),
    [anon_sym_DOT_STAR] = ACTIONS(5107),
    [anon_sym_DASH_GT] = ACTIONS(5114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5112),
    [anon_sym_decltype] = ACTIONS(5112),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5107),
  },
  [2265] = {
    [sym_identifier] = ACTIONS(5737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5739),
    [anon_sym_COMMA] = ACTIONS(5739),
    [anon_sym_RPAREN] = ACTIONS(5739),
    [anon_sym_LPAREN2] = ACTIONS(5739),
    [anon_sym_DASH] = ACTIONS(5737),
    [anon_sym_PLUS] = ACTIONS(5737),
    [anon_sym_STAR] = ACTIONS(5739),
    [anon_sym_SLASH] = ACTIONS(5737),
    [anon_sym_PERCENT] = ACTIONS(5739),
    [anon_sym_PIPE_PIPE] = ACTIONS(5739),
    [anon_sym_AMP_AMP] = ACTIONS(5739),
    [anon_sym_PIPE] = ACTIONS(5737),
    [anon_sym_CARET] = ACTIONS(5739),
    [anon_sym_AMP] = ACTIONS(5737),
    [anon_sym_EQ_EQ] = ACTIONS(5739),
    [anon_sym_BANG_EQ] = ACTIONS(5739),
    [anon_sym_GT] = ACTIONS(5737),
    [anon_sym_GT_EQ] = ACTIONS(5739),
    [anon_sym_LT_EQ] = ACTIONS(5737),
    [anon_sym_LT] = ACTIONS(5737),
    [anon_sym_LT_LT] = ACTIONS(5739),
    [anon_sym_GT_GT] = ACTIONS(5739),
    [anon_sym_SEMI] = ACTIONS(5739),
    [anon_sym___extension__] = ACTIONS(5737),
    [anon_sym___attribute__] = ACTIONS(5737),
    [anon_sym___based] = ACTIONS(5737),
    [anon_sym_LBRACE] = ACTIONS(5739),
    [anon_sym_RBRACE] = ACTIONS(5739),
    [anon_sym_signed] = ACTIONS(5737),
    [anon_sym_unsigned] = ACTIONS(5737),
    [anon_sym_long] = ACTIONS(5737),
    [anon_sym_short] = ACTIONS(5737),
    [anon_sym_LBRACK] = ACTIONS(5739),
    [anon_sym_RBRACK] = ACTIONS(5739),
    [anon_sym_const] = ACTIONS(5737),
    [anon_sym_constexpr] = ACTIONS(5737),
    [anon_sym_volatile] = ACTIONS(5737),
    [anon_sym_restrict] = ACTIONS(5737),
    [anon_sym___restrict__] = ACTIONS(5737),
    [anon_sym__Atomic] = ACTIONS(5737),
    [anon_sym__Noreturn] = ACTIONS(5737),
    [anon_sym_noreturn] = ACTIONS(5737),
    [anon_sym_mutable] = ACTIONS(5737),
    [anon_sym_constinit] = ACTIONS(5737),
    [anon_sym_consteval] = ACTIONS(5737),
    [anon_sym_PROGMEM] = ACTIONS(5737),
    [aux_sym_primitive_type_token1] = ACTIONS(5737),
    [anon_sym_byte] = ACTIONS(5737),
    [anon_sym_word] = ACTIONS(5737),
    [anon_sym_COLON] = ACTIONS(5739),
    [anon_sym_QMARK] = ACTIONS(5739),
    [anon_sym_LT_EQ_GT] = ACTIONS(5739),
    [anon_sym_or] = ACTIONS(5737),
    [anon_sym_and] = ACTIONS(5737),
    [anon_sym_bitor] = ACTIONS(5737),
    [anon_sym_xor] = ACTIONS(5737),
    [anon_sym_bitand] = ACTIONS(5737),
    [anon_sym_not_eq] = ACTIONS(5737),
    [anon_sym_DASH_DASH] = ACTIONS(5739),
    [anon_sym_PLUS_PLUS] = ACTIONS(5739),
    [anon_sym_DOT] = ACTIONS(5737),
    [anon_sym_DOT_STAR] = ACTIONS(5739),
    [anon_sym_DASH_GT] = ACTIONS(5739),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5737),
    [anon_sym_decltype] = ACTIONS(5737),
    [anon_sym_final] = ACTIONS(5737),
    [anon_sym_override] = ACTIONS(5737),
    [anon_sym_requires] = ACTIONS(5737),
  },
  [2266] = {
    [sym_identifier] = ACTIONS(5741),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5743),
    [anon_sym_COMMA] = ACTIONS(5743),
    [anon_sym_RPAREN] = ACTIONS(5743),
    [anon_sym_LPAREN2] = ACTIONS(5743),
    [anon_sym_DASH] = ACTIONS(5741),
    [anon_sym_PLUS] = ACTIONS(5741),
    [anon_sym_STAR] = ACTIONS(5743),
    [anon_sym_SLASH] = ACTIONS(5741),
    [anon_sym_PERCENT] = ACTIONS(5743),
    [anon_sym_PIPE_PIPE] = ACTIONS(5743),
    [anon_sym_AMP_AMP] = ACTIONS(5743),
    [anon_sym_PIPE] = ACTIONS(5741),
    [anon_sym_CARET] = ACTIONS(5743),
    [anon_sym_AMP] = ACTIONS(5741),
    [anon_sym_EQ_EQ] = ACTIONS(5743),
    [anon_sym_BANG_EQ] = ACTIONS(5743),
    [anon_sym_GT] = ACTIONS(5741),
    [anon_sym_GT_EQ] = ACTIONS(5743),
    [anon_sym_LT_EQ] = ACTIONS(5741),
    [anon_sym_LT] = ACTIONS(5741),
    [anon_sym_LT_LT] = ACTIONS(5743),
    [anon_sym_GT_GT] = ACTIONS(5743),
    [anon_sym_SEMI] = ACTIONS(5743),
    [anon_sym___extension__] = ACTIONS(5741),
    [anon_sym___attribute__] = ACTIONS(5741),
    [anon_sym___based] = ACTIONS(5741),
    [anon_sym_LBRACE] = ACTIONS(5743),
    [anon_sym_RBRACE] = ACTIONS(5743),
    [anon_sym_signed] = ACTIONS(5741),
    [anon_sym_unsigned] = ACTIONS(5741),
    [anon_sym_long] = ACTIONS(5741),
    [anon_sym_short] = ACTIONS(5741),
    [anon_sym_LBRACK] = ACTIONS(5743),
    [anon_sym_RBRACK] = ACTIONS(5743),
    [anon_sym_const] = ACTIONS(5741),
    [anon_sym_constexpr] = ACTIONS(5741),
    [anon_sym_volatile] = ACTIONS(5741),
    [anon_sym_restrict] = ACTIONS(5741),
    [anon_sym___restrict__] = ACTIONS(5741),
    [anon_sym__Atomic] = ACTIONS(5741),
    [anon_sym__Noreturn] = ACTIONS(5741),
    [anon_sym_noreturn] = ACTIONS(5741),
    [anon_sym_mutable] = ACTIONS(5741),
    [anon_sym_constinit] = ACTIONS(5741),
    [anon_sym_consteval] = ACTIONS(5741),
    [anon_sym_PROGMEM] = ACTIONS(5741),
    [aux_sym_primitive_type_token1] = ACTIONS(5741),
    [anon_sym_byte] = ACTIONS(5741),
    [anon_sym_word] = ACTIONS(5741),
    [anon_sym_COLON] = ACTIONS(5743),
    [anon_sym_QMARK] = ACTIONS(5743),
    [anon_sym_LT_EQ_GT] = ACTIONS(5743),
    [anon_sym_or] = ACTIONS(5741),
    [anon_sym_and] = ACTIONS(5741),
    [anon_sym_bitor] = ACTIONS(5741),
    [anon_sym_xor] = ACTIONS(5741),
    [anon_sym_bitand] = ACTIONS(5741),
    [anon_sym_not_eq] = ACTIONS(5741),
    [anon_sym_DASH_DASH] = ACTIONS(5743),
    [anon_sym_PLUS_PLUS] = ACTIONS(5743),
    [anon_sym_DOT] = ACTIONS(5741),
    [anon_sym_DOT_STAR] = ACTIONS(5743),
    [anon_sym_DASH_GT] = ACTIONS(5743),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5741),
    [anon_sym_decltype] = ACTIONS(5741),
    [anon_sym_final] = ACTIONS(5741),
    [anon_sym_override] = ACTIONS(5741),
    [anon_sym_requires] = ACTIONS(5741),
  },
  [2267] = {
    [sym_identifier] = ACTIONS(5745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5747),
    [anon_sym_COMMA] = ACTIONS(5747),
    [anon_sym_RPAREN] = ACTIONS(5747),
    [anon_sym_LPAREN2] = ACTIONS(5747),
    [anon_sym_DASH] = ACTIONS(5745),
    [anon_sym_PLUS] = ACTIONS(5745),
    [anon_sym_STAR] = ACTIONS(5747),
    [anon_sym_SLASH] = ACTIONS(5745),
    [anon_sym_PERCENT] = ACTIONS(5747),
    [anon_sym_PIPE_PIPE] = ACTIONS(5747),
    [anon_sym_AMP_AMP] = ACTIONS(5747),
    [anon_sym_PIPE] = ACTIONS(5745),
    [anon_sym_CARET] = ACTIONS(5747),
    [anon_sym_AMP] = ACTIONS(5745),
    [anon_sym_EQ_EQ] = ACTIONS(5747),
    [anon_sym_BANG_EQ] = ACTIONS(5747),
    [anon_sym_GT] = ACTIONS(5745),
    [anon_sym_GT_EQ] = ACTIONS(5747),
    [anon_sym_LT_EQ] = ACTIONS(5745),
    [anon_sym_LT] = ACTIONS(5745),
    [anon_sym_LT_LT] = ACTIONS(5747),
    [anon_sym_GT_GT] = ACTIONS(5747),
    [anon_sym_SEMI] = ACTIONS(5747),
    [anon_sym___extension__] = ACTIONS(5745),
    [anon_sym___attribute__] = ACTIONS(5745),
    [anon_sym___based] = ACTIONS(5745),
    [anon_sym_LBRACE] = ACTIONS(5747),
    [anon_sym_RBRACE] = ACTIONS(5747),
    [anon_sym_signed] = ACTIONS(5745),
    [anon_sym_unsigned] = ACTIONS(5745),
    [anon_sym_long] = ACTIONS(5745),
    [anon_sym_short] = ACTIONS(5745),
    [anon_sym_LBRACK] = ACTIONS(5747),
    [anon_sym_RBRACK] = ACTIONS(5747),
    [anon_sym_const] = ACTIONS(5745),
    [anon_sym_constexpr] = ACTIONS(5745),
    [anon_sym_volatile] = ACTIONS(5745),
    [anon_sym_restrict] = ACTIONS(5745),
    [anon_sym___restrict__] = ACTIONS(5745),
    [anon_sym__Atomic] = ACTIONS(5745),
    [anon_sym__Noreturn] = ACTIONS(5745),
    [anon_sym_noreturn] = ACTIONS(5745),
    [anon_sym_mutable] = ACTIONS(5745),
    [anon_sym_constinit] = ACTIONS(5745),
    [anon_sym_consteval] = ACTIONS(5745),
    [anon_sym_PROGMEM] = ACTIONS(5745),
    [aux_sym_primitive_type_token1] = ACTIONS(5745),
    [anon_sym_byte] = ACTIONS(5745),
    [anon_sym_word] = ACTIONS(5745),
    [anon_sym_COLON] = ACTIONS(5747),
    [anon_sym_QMARK] = ACTIONS(5747),
    [anon_sym_LT_EQ_GT] = ACTIONS(5747),
    [anon_sym_or] = ACTIONS(5745),
    [anon_sym_and] = ACTIONS(5745),
    [anon_sym_bitor] = ACTIONS(5745),
    [anon_sym_xor] = ACTIONS(5745),
    [anon_sym_bitand] = ACTIONS(5745),
    [anon_sym_not_eq] = ACTIONS(5745),
    [anon_sym_DASH_DASH] = ACTIONS(5747),
    [anon_sym_PLUS_PLUS] = ACTIONS(5747),
    [anon_sym_DOT] = ACTIONS(5745),
    [anon_sym_DOT_STAR] = ACTIONS(5747),
    [anon_sym_DASH_GT] = ACTIONS(5747),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5745),
    [anon_sym_decltype] = ACTIONS(5745),
    [anon_sym_final] = ACTIONS(5745),
    [anon_sym_override] = ACTIONS(5745),
    [anon_sym_requires] = ACTIONS(5745),
  },
  [2268] = {
    [sym_identifier] = ACTIONS(5749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5751),
    [anon_sym_COMMA] = ACTIONS(5751),
    [anon_sym_RPAREN] = ACTIONS(5751),
    [anon_sym_LPAREN2] = ACTIONS(5751),
    [anon_sym_DASH] = ACTIONS(5749),
    [anon_sym_PLUS] = ACTIONS(5749),
    [anon_sym_STAR] = ACTIONS(5751),
    [anon_sym_SLASH] = ACTIONS(5749),
    [anon_sym_PERCENT] = ACTIONS(5751),
    [anon_sym_PIPE_PIPE] = ACTIONS(5751),
    [anon_sym_AMP_AMP] = ACTIONS(5751),
    [anon_sym_PIPE] = ACTIONS(5749),
    [anon_sym_CARET] = ACTIONS(5751),
    [anon_sym_AMP] = ACTIONS(5749),
    [anon_sym_EQ_EQ] = ACTIONS(5751),
    [anon_sym_BANG_EQ] = ACTIONS(5751),
    [anon_sym_GT] = ACTIONS(5749),
    [anon_sym_GT_EQ] = ACTIONS(5751),
    [anon_sym_LT_EQ] = ACTIONS(5749),
    [anon_sym_LT] = ACTIONS(5749),
    [anon_sym_LT_LT] = ACTIONS(5751),
    [anon_sym_GT_GT] = ACTIONS(5751),
    [anon_sym_SEMI] = ACTIONS(5751),
    [anon_sym___extension__] = ACTIONS(5749),
    [anon_sym___attribute__] = ACTIONS(5749),
    [anon_sym___based] = ACTIONS(5749),
    [anon_sym_LBRACE] = ACTIONS(5751),
    [anon_sym_RBRACE] = ACTIONS(5751),
    [anon_sym_signed] = ACTIONS(5749),
    [anon_sym_unsigned] = ACTIONS(5749),
    [anon_sym_long] = ACTIONS(5749),
    [anon_sym_short] = ACTIONS(5749),
    [anon_sym_LBRACK] = ACTIONS(5751),
    [anon_sym_RBRACK] = ACTIONS(5751),
    [anon_sym_const] = ACTIONS(5749),
    [anon_sym_constexpr] = ACTIONS(5749),
    [anon_sym_volatile] = ACTIONS(5749),
    [anon_sym_restrict] = ACTIONS(5749),
    [anon_sym___restrict__] = ACTIONS(5749),
    [anon_sym__Atomic] = ACTIONS(5749),
    [anon_sym__Noreturn] = ACTIONS(5749),
    [anon_sym_noreturn] = ACTIONS(5749),
    [anon_sym_mutable] = ACTIONS(5749),
    [anon_sym_constinit] = ACTIONS(5749),
    [anon_sym_consteval] = ACTIONS(5749),
    [anon_sym_PROGMEM] = ACTIONS(5749),
    [aux_sym_primitive_type_token1] = ACTIONS(5749),
    [anon_sym_byte] = ACTIONS(5749),
    [anon_sym_word] = ACTIONS(5749),
    [anon_sym_COLON] = ACTIONS(5751),
    [anon_sym_QMARK] = ACTIONS(5751),
    [anon_sym_LT_EQ_GT] = ACTIONS(5751),
    [anon_sym_or] = ACTIONS(5749),
    [anon_sym_and] = ACTIONS(5749),
    [anon_sym_bitor] = ACTIONS(5749),
    [anon_sym_xor] = ACTIONS(5749),
    [anon_sym_bitand] = ACTIONS(5749),
    [anon_sym_not_eq] = ACTIONS(5749),
    [anon_sym_DASH_DASH] = ACTIONS(5751),
    [anon_sym_PLUS_PLUS] = ACTIONS(5751),
    [anon_sym_DOT] = ACTIONS(5749),
    [anon_sym_DOT_STAR] = ACTIONS(5751),
    [anon_sym_DASH_GT] = ACTIONS(5751),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5749),
    [anon_sym_decltype] = ACTIONS(5749),
    [anon_sym_final] = ACTIONS(5749),
    [anon_sym_override] = ACTIONS(5749),
    [anon_sym_requires] = ACTIONS(5749),
  },
  [2269] = {
    [sym_identifier] = ACTIONS(5753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5755),
    [anon_sym_COMMA] = ACTIONS(5755),
    [anon_sym_RPAREN] = ACTIONS(5755),
    [anon_sym_LPAREN2] = ACTIONS(5755),
    [anon_sym_DASH] = ACTIONS(5753),
    [anon_sym_PLUS] = ACTIONS(5753),
    [anon_sym_STAR] = ACTIONS(5755),
    [anon_sym_SLASH] = ACTIONS(5753),
    [anon_sym_PERCENT] = ACTIONS(5755),
    [anon_sym_PIPE_PIPE] = ACTIONS(5755),
    [anon_sym_AMP_AMP] = ACTIONS(5755),
    [anon_sym_PIPE] = ACTIONS(5753),
    [anon_sym_CARET] = ACTIONS(5755),
    [anon_sym_AMP] = ACTIONS(5753),
    [anon_sym_EQ_EQ] = ACTIONS(5755),
    [anon_sym_BANG_EQ] = ACTIONS(5755),
    [anon_sym_GT] = ACTIONS(5753),
    [anon_sym_GT_EQ] = ACTIONS(5755),
    [anon_sym_LT_EQ] = ACTIONS(5753),
    [anon_sym_LT] = ACTIONS(5753),
    [anon_sym_LT_LT] = ACTIONS(5755),
    [anon_sym_GT_GT] = ACTIONS(5755),
    [anon_sym_SEMI] = ACTIONS(5755),
    [anon_sym___extension__] = ACTIONS(5753),
    [anon_sym___attribute__] = ACTIONS(5753),
    [anon_sym___based] = ACTIONS(5753),
    [anon_sym_LBRACE] = ACTIONS(5755),
    [anon_sym_RBRACE] = ACTIONS(5755),
    [anon_sym_signed] = ACTIONS(5753),
    [anon_sym_unsigned] = ACTIONS(5753),
    [anon_sym_long] = ACTIONS(5753),
    [anon_sym_short] = ACTIONS(5753),
    [anon_sym_LBRACK] = ACTIONS(5755),
    [anon_sym_RBRACK] = ACTIONS(5755),
    [anon_sym_const] = ACTIONS(5753),
    [anon_sym_constexpr] = ACTIONS(5753),
    [anon_sym_volatile] = ACTIONS(5753),
    [anon_sym_restrict] = ACTIONS(5753),
    [anon_sym___restrict__] = ACTIONS(5753),
    [anon_sym__Atomic] = ACTIONS(5753),
    [anon_sym__Noreturn] = ACTIONS(5753),
    [anon_sym_noreturn] = ACTIONS(5753),
    [anon_sym_mutable] = ACTIONS(5753),
    [anon_sym_constinit] = ACTIONS(5753),
    [anon_sym_consteval] = ACTIONS(5753),
    [anon_sym_PROGMEM] = ACTIONS(5753),
    [aux_sym_primitive_type_token1] = ACTIONS(5753),
    [anon_sym_byte] = ACTIONS(5753),
    [anon_sym_word] = ACTIONS(5753),
    [anon_sym_COLON] = ACTIONS(5755),
    [anon_sym_QMARK] = ACTIONS(5755),
    [anon_sym_LT_EQ_GT] = ACTIONS(5755),
    [anon_sym_or] = ACTIONS(5753),
    [anon_sym_and] = ACTIONS(5753),
    [anon_sym_bitor] = ACTIONS(5753),
    [anon_sym_xor] = ACTIONS(5753),
    [anon_sym_bitand] = ACTIONS(5753),
    [anon_sym_not_eq] = ACTIONS(5753),
    [anon_sym_DASH_DASH] = ACTIONS(5755),
    [anon_sym_PLUS_PLUS] = ACTIONS(5755),
    [anon_sym_DOT] = ACTIONS(5753),
    [anon_sym_DOT_STAR] = ACTIONS(5755),
    [anon_sym_DASH_GT] = ACTIONS(5755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5753),
    [anon_sym_decltype] = ACTIONS(5753),
    [anon_sym_final] = ACTIONS(5753),
    [anon_sym_override] = ACTIONS(5753),
    [anon_sym_requires] = ACTIONS(5753),
  },
  [2270] = {
    [sym_identifier] = ACTIONS(3385),
    [aux_sym_preproc_def_token1] = ACTIONS(3385),
    [aux_sym_preproc_if_token1] = ACTIONS(3385),
    [aux_sym_preproc_if_token2] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3385),
    [aux_sym_preproc_else_token1] = ACTIONS(3385),
    [aux_sym_preproc_elif_token1] = ACTIONS(3385),
    [sym_preproc_directive] = ACTIONS(3385),
    [anon_sym_LPAREN2] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_STAR] = ACTIONS(3387),
    [anon_sym_AMP_AMP] = ACTIONS(3387),
    [anon_sym_AMP] = ACTIONS(3385),
    [anon_sym_SEMI] = ACTIONS(5757),
    [anon_sym___extension__] = ACTIONS(3385),
    [anon_sym_typedef] = ACTIONS(3385),
    [anon_sym_extern] = ACTIONS(3385),
    [anon_sym___attribute__] = ACTIONS(3385),
    [anon_sym_COLON_COLON] = ACTIONS(3387),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3387),
    [anon_sym___declspec] = ACTIONS(3385),
    [anon_sym___based] = ACTIONS(3385),
    [anon_sym_signed] = ACTIONS(3385),
    [anon_sym_unsigned] = ACTIONS(3385),
    [anon_sym_long] = ACTIONS(3385),
    [anon_sym_short] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3385),
    [anon_sym_static] = ACTIONS(3385),
    [anon_sym_register] = ACTIONS(3385),
    [anon_sym_inline] = ACTIONS(3385),
    [anon_sym___inline] = ACTIONS(3385),
    [anon_sym___inline__] = ACTIONS(3385),
    [anon_sym___forceinline] = ACTIONS(3385),
    [anon_sym_thread_local] = ACTIONS(3385),
    [anon_sym___thread] = ACTIONS(3385),
    [anon_sym_const] = ACTIONS(3385),
    [anon_sym_constexpr] = ACTIONS(3385),
    [anon_sym_volatile] = ACTIONS(3385),
    [anon_sym_restrict] = ACTIONS(3385),
    [anon_sym___restrict__] = ACTIONS(3385),
    [anon_sym__Atomic] = ACTIONS(3385),
    [anon_sym__Noreturn] = ACTIONS(3385),
    [anon_sym_noreturn] = ACTIONS(3385),
    [anon_sym_mutable] = ACTIONS(3385),
    [anon_sym_constinit] = ACTIONS(3385),
    [anon_sym_consteval] = ACTIONS(3385),
    [anon_sym_PROGMEM] = ACTIONS(3385),
    [aux_sym_primitive_type_token1] = ACTIONS(3385),
    [anon_sym_byte] = ACTIONS(3385),
    [anon_sym_word] = ACTIONS(3385),
    [anon_sym_enum] = ACTIONS(3385),
    [anon_sym_class] = ACTIONS(3385),
    [anon_sym_struct] = ACTIONS(3385),
    [anon_sym_union] = ACTIONS(3385),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3385),
    [anon_sym_decltype] = ACTIONS(3385),
    [anon_sym_virtual] = ACTIONS(3385),
    [anon_sym_alignas] = ACTIONS(3385),
    [anon_sym_explicit] = ACTIONS(3385),
    [anon_sym_typename] = ACTIONS(3385),
    [anon_sym_template] = ACTIONS(3385),
    [anon_sym_operator] = ACTIONS(3385),
    [anon_sym_friend] = ACTIONS(3385),
    [anon_sym_public] = ACTIONS(3385),
    [anon_sym_private] = ACTIONS(3385),
    [anon_sym_protected] = ACTIONS(3385),
    [anon_sym_using] = ACTIONS(3385),
    [anon_sym_static_assert] = ACTIONS(3385),
  },
  [2271] = {
    [sym_catch_clause] = STATE(2245),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2245),
    [sym_identifier] = ACTIONS(2854),
    [aux_sym_preproc_def_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2854),
    [sym_preproc_directive] = ACTIONS(2854),
    [anon_sym_LPAREN2] = ACTIONS(2856),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_STAR] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2854),
    [anon_sym_typedef] = ACTIONS(2854),
    [anon_sym_extern] = ACTIONS(2854),
    [anon_sym___attribute__] = ACTIONS(2854),
    [anon_sym_COLON_COLON] = ACTIONS(2856),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2856),
    [anon_sym___declspec] = ACTIONS(2854),
    [anon_sym___based] = ACTIONS(2854),
    [anon_sym_RBRACE] = ACTIONS(2856),
    [anon_sym_signed] = ACTIONS(2854),
    [anon_sym_unsigned] = ACTIONS(2854),
    [anon_sym_long] = ACTIONS(2854),
    [anon_sym_short] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_register] = ACTIONS(2854),
    [anon_sym_inline] = ACTIONS(2854),
    [anon_sym___inline] = ACTIONS(2854),
    [anon_sym___inline__] = ACTIONS(2854),
    [anon_sym___forceinline] = ACTIONS(2854),
    [anon_sym_thread_local] = ACTIONS(2854),
    [anon_sym___thread] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_constexpr] = ACTIONS(2854),
    [anon_sym_volatile] = ACTIONS(2854),
    [anon_sym_restrict] = ACTIONS(2854),
    [anon_sym___restrict__] = ACTIONS(2854),
    [anon_sym__Atomic] = ACTIONS(2854),
    [anon_sym__Noreturn] = ACTIONS(2854),
    [anon_sym_noreturn] = ACTIONS(2854),
    [anon_sym_mutable] = ACTIONS(2854),
    [anon_sym_constinit] = ACTIONS(2854),
    [anon_sym_consteval] = ACTIONS(2854),
    [anon_sym_PROGMEM] = ACTIONS(2854),
    [aux_sym_primitive_type_token1] = ACTIONS(2854),
    [anon_sym_byte] = ACTIONS(2854),
    [anon_sym_word] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_struct] = ACTIONS(2854),
    [anon_sym_union] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2854),
    [anon_sym_decltype] = ACTIONS(2854),
    [anon_sym_virtual] = ACTIONS(2854),
    [anon_sym_alignas] = ACTIONS(2854),
    [anon_sym_explicit] = ACTIONS(2854),
    [anon_sym_typename] = ACTIONS(2854),
    [anon_sym_template] = ACTIONS(2854),
    [anon_sym_operator] = ACTIONS(2854),
    [anon_sym_friend] = ACTIONS(2854),
    [anon_sym_public] = ACTIONS(2854),
    [anon_sym_private] = ACTIONS(2854),
    [anon_sym_protected] = ACTIONS(2854),
    [anon_sym_using] = ACTIONS(2854),
    [anon_sym_static_assert] = ACTIONS(2854),
    [anon_sym_catch] = ACTIONS(5620),
  },
  [2272] = {
    [sym_identifier] = ACTIONS(5759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5761),
    [anon_sym_COMMA] = ACTIONS(5761),
    [anon_sym_RPAREN] = ACTIONS(5761),
    [anon_sym_LPAREN2] = ACTIONS(5761),
    [anon_sym_DASH] = ACTIONS(5759),
    [anon_sym_PLUS] = ACTIONS(5759),
    [anon_sym_STAR] = ACTIONS(5761),
    [anon_sym_SLASH] = ACTIONS(5759),
    [anon_sym_PERCENT] = ACTIONS(5761),
    [anon_sym_PIPE_PIPE] = ACTIONS(5761),
    [anon_sym_AMP_AMP] = ACTIONS(5761),
    [anon_sym_PIPE] = ACTIONS(5759),
    [anon_sym_CARET] = ACTIONS(5761),
    [anon_sym_AMP] = ACTIONS(5759),
    [anon_sym_EQ_EQ] = ACTIONS(5761),
    [anon_sym_BANG_EQ] = ACTIONS(5761),
    [anon_sym_GT] = ACTIONS(5759),
    [anon_sym_GT_EQ] = ACTIONS(5761),
    [anon_sym_LT_EQ] = ACTIONS(5759),
    [anon_sym_LT] = ACTIONS(5759),
    [anon_sym_LT_LT] = ACTIONS(5761),
    [anon_sym_GT_GT] = ACTIONS(5761),
    [anon_sym_SEMI] = ACTIONS(5761),
    [anon_sym___extension__] = ACTIONS(5759),
    [anon_sym___attribute__] = ACTIONS(5759),
    [anon_sym___based] = ACTIONS(5759),
    [anon_sym_LBRACE] = ACTIONS(5761),
    [anon_sym_RBRACE] = ACTIONS(5761),
    [anon_sym_signed] = ACTIONS(5759),
    [anon_sym_unsigned] = ACTIONS(5759),
    [anon_sym_long] = ACTIONS(5759),
    [anon_sym_short] = ACTIONS(5759),
    [anon_sym_LBRACK] = ACTIONS(5761),
    [anon_sym_RBRACK] = ACTIONS(5761),
    [anon_sym_const] = ACTIONS(5759),
    [anon_sym_constexpr] = ACTIONS(5759),
    [anon_sym_volatile] = ACTIONS(5759),
    [anon_sym_restrict] = ACTIONS(5759),
    [anon_sym___restrict__] = ACTIONS(5759),
    [anon_sym__Atomic] = ACTIONS(5759),
    [anon_sym__Noreturn] = ACTIONS(5759),
    [anon_sym_noreturn] = ACTIONS(5759),
    [anon_sym_mutable] = ACTIONS(5759),
    [anon_sym_constinit] = ACTIONS(5759),
    [anon_sym_consteval] = ACTIONS(5759),
    [anon_sym_PROGMEM] = ACTIONS(5759),
    [aux_sym_primitive_type_token1] = ACTIONS(5759),
    [anon_sym_byte] = ACTIONS(5759),
    [anon_sym_word] = ACTIONS(5759),
    [anon_sym_COLON] = ACTIONS(5761),
    [anon_sym_QMARK] = ACTIONS(5761),
    [anon_sym_LT_EQ_GT] = ACTIONS(5761),
    [anon_sym_or] = ACTIONS(5759),
    [anon_sym_and] = ACTIONS(5759),
    [anon_sym_bitor] = ACTIONS(5759),
    [anon_sym_xor] = ACTIONS(5759),
    [anon_sym_bitand] = ACTIONS(5759),
    [anon_sym_not_eq] = ACTIONS(5759),
    [anon_sym_DASH_DASH] = ACTIONS(5761),
    [anon_sym_PLUS_PLUS] = ACTIONS(5761),
    [anon_sym_DOT] = ACTIONS(5759),
    [anon_sym_DOT_STAR] = ACTIONS(5761),
    [anon_sym_DASH_GT] = ACTIONS(5761),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5759),
    [anon_sym_decltype] = ACTIONS(5759),
    [anon_sym_final] = ACTIONS(5759),
    [anon_sym_override] = ACTIONS(5759),
    [anon_sym_requires] = ACTIONS(5759),
  },
  [2273] = {
    [sym_identifier] = ACTIONS(5763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5765),
    [anon_sym_COMMA] = ACTIONS(5765),
    [anon_sym_RPAREN] = ACTIONS(5765),
    [anon_sym_LPAREN2] = ACTIONS(5765),
    [anon_sym_DASH] = ACTIONS(5763),
    [anon_sym_PLUS] = ACTIONS(5763),
    [anon_sym_STAR] = ACTIONS(5765),
    [anon_sym_SLASH] = ACTIONS(5763),
    [anon_sym_PERCENT] = ACTIONS(5765),
    [anon_sym_PIPE_PIPE] = ACTIONS(5765),
    [anon_sym_AMP_AMP] = ACTIONS(5765),
    [anon_sym_PIPE] = ACTIONS(5763),
    [anon_sym_CARET] = ACTIONS(5765),
    [anon_sym_AMP] = ACTIONS(5763),
    [anon_sym_EQ_EQ] = ACTIONS(5765),
    [anon_sym_BANG_EQ] = ACTIONS(5765),
    [anon_sym_GT] = ACTIONS(5763),
    [anon_sym_GT_EQ] = ACTIONS(5765),
    [anon_sym_LT_EQ] = ACTIONS(5763),
    [anon_sym_LT] = ACTIONS(5763),
    [anon_sym_LT_LT] = ACTIONS(5765),
    [anon_sym_GT_GT] = ACTIONS(5765),
    [anon_sym_SEMI] = ACTIONS(5765),
    [anon_sym___extension__] = ACTIONS(5763),
    [anon_sym___attribute__] = ACTIONS(5763),
    [anon_sym___based] = ACTIONS(5763),
    [anon_sym_LBRACE] = ACTIONS(5765),
    [anon_sym_RBRACE] = ACTIONS(5765),
    [anon_sym_signed] = ACTIONS(5763),
    [anon_sym_unsigned] = ACTIONS(5763),
    [anon_sym_long] = ACTIONS(5763),
    [anon_sym_short] = ACTIONS(5763),
    [anon_sym_LBRACK] = ACTIONS(5765),
    [anon_sym_RBRACK] = ACTIONS(5765),
    [anon_sym_const] = ACTIONS(5763),
    [anon_sym_constexpr] = ACTIONS(5763),
    [anon_sym_volatile] = ACTIONS(5763),
    [anon_sym_restrict] = ACTIONS(5763),
    [anon_sym___restrict__] = ACTIONS(5763),
    [anon_sym__Atomic] = ACTIONS(5763),
    [anon_sym__Noreturn] = ACTIONS(5763),
    [anon_sym_noreturn] = ACTIONS(5763),
    [anon_sym_mutable] = ACTIONS(5763),
    [anon_sym_constinit] = ACTIONS(5763),
    [anon_sym_consteval] = ACTIONS(5763),
    [anon_sym_PROGMEM] = ACTIONS(5763),
    [aux_sym_primitive_type_token1] = ACTIONS(5763),
    [anon_sym_byte] = ACTIONS(5763),
    [anon_sym_word] = ACTIONS(5763),
    [anon_sym_COLON] = ACTIONS(5765),
    [anon_sym_QMARK] = ACTIONS(5765),
    [anon_sym_LT_EQ_GT] = ACTIONS(5765),
    [anon_sym_or] = ACTIONS(5763),
    [anon_sym_and] = ACTIONS(5763),
    [anon_sym_bitor] = ACTIONS(5763),
    [anon_sym_xor] = ACTIONS(5763),
    [anon_sym_bitand] = ACTIONS(5763),
    [anon_sym_not_eq] = ACTIONS(5763),
    [anon_sym_DASH_DASH] = ACTIONS(5765),
    [anon_sym_PLUS_PLUS] = ACTIONS(5765),
    [anon_sym_DOT] = ACTIONS(5763),
    [anon_sym_DOT_STAR] = ACTIONS(5765),
    [anon_sym_DASH_GT] = ACTIONS(5765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5763),
    [anon_sym_decltype] = ACTIONS(5763),
    [anon_sym_final] = ACTIONS(5763),
    [anon_sym_override] = ACTIONS(5763),
    [anon_sym_requires] = ACTIONS(5763),
  },
  [2274] = {
    [sym_identifier] = ACTIONS(5767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5769),
    [anon_sym_COMMA] = ACTIONS(5769),
    [anon_sym_RPAREN] = ACTIONS(5769),
    [anon_sym_LPAREN2] = ACTIONS(5769),
    [anon_sym_DASH] = ACTIONS(5767),
    [anon_sym_PLUS] = ACTIONS(5767),
    [anon_sym_STAR] = ACTIONS(5769),
    [anon_sym_SLASH] = ACTIONS(5767),
    [anon_sym_PERCENT] = ACTIONS(5769),
    [anon_sym_PIPE_PIPE] = ACTIONS(5769),
    [anon_sym_AMP_AMP] = ACTIONS(5769),
    [anon_sym_PIPE] = ACTIONS(5767),
    [anon_sym_CARET] = ACTIONS(5769),
    [anon_sym_AMP] = ACTIONS(5767),
    [anon_sym_EQ_EQ] = ACTIONS(5769),
    [anon_sym_BANG_EQ] = ACTIONS(5769),
    [anon_sym_GT] = ACTIONS(5767),
    [anon_sym_GT_EQ] = ACTIONS(5769),
    [anon_sym_LT_EQ] = ACTIONS(5767),
    [anon_sym_LT] = ACTIONS(5767),
    [anon_sym_LT_LT] = ACTIONS(5769),
    [anon_sym_GT_GT] = ACTIONS(5769),
    [anon_sym_SEMI] = ACTIONS(5769),
    [anon_sym___extension__] = ACTIONS(5767),
    [anon_sym___attribute__] = ACTIONS(5767),
    [anon_sym___based] = ACTIONS(5767),
    [anon_sym_LBRACE] = ACTIONS(5769),
    [anon_sym_RBRACE] = ACTIONS(5769),
    [anon_sym_signed] = ACTIONS(5767),
    [anon_sym_unsigned] = ACTIONS(5767),
    [anon_sym_long] = ACTIONS(5767),
    [anon_sym_short] = ACTIONS(5767),
    [anon_sym_LBRACK] = ACTIONS(5769),
    [anon_sym_RBRACK] = ACTIONS(5769),
    [anon_sym_const] = ACTIONS(5767),
    [anon_sym_constexpr] = ACTIONS(5767),
    [anon_sym_volatile] = ACTIONS(5767),
    [anon_sym_restrict] = ACTIONS(5767),
    [anon_sym___restrict__] = ACTIONS(5767),
    [anon_sym__Atomic] = ACTIONS(5767),
    [anon_sym__Noreturn] = ACTIONS(5767),
    [anon_sym_noreturn] = ACTIONS(5767),
    [anon_sym_mutable] = ACTIONS(5767),
    [anon_sym_constinit] = ACTIONS(5767),
    [anon_sym_consteval] = ACTIONS(5767),
    [anon_sym_PROGMEM] = ACTIONS(5767),
    [aux_sym_primitive_type_token1] = ACTIONS(5767),
    [anon_sym_byte] = ACTIONS(5767),
    [anon_sym_word] = ACTIONS(5767),
    [anon_sym_COLON] = ACTIONS(5769),
    [anon_sym_QMARK] = ACTIONS(5769),
    [anon_sym_LT_EQ_GT] = ACTIONS(5769),
    [anon_sym_or] = ACTIONS(5767),
    [anon_sym_and] = ACTIONS(5767),
    [anon_sym_bitor] = ACTIONS(5767),
    [anon_sym_xor] = ACTIONS(5767),
    [anon_sym_bitand] = ACTIONS(5767),
    [anon_sym_not_eq] = ACTIONS(5767),
    [anon_sym_DASH_DASH] = ACTIONS(5769),
    [anon_sym_PLUS_PLUS] = ACTIONS(5769),
    [anon_sym_DOT] = ACTIONS(5767),
    [anon_sym_DOT_STAR] = ACTIONS(5769),
    [anon_sym_DASH_GT] = ACTIONS(5769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5767),
    [anon_sym_decltype] = ACTIONS(5767),
    [anon_sym_final] = ACTIONS(5767),
    [anon_sym_override] = ACTIONS(5767),
    [anon_sym_requires] = ACTIONS(5767),
  },
  [2275] = {
    [sym_identifier] = ACTIONS(5771),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5773),
    [anon_sym_COMMA] = ACTIONS(5773),
    [anon_sym_RPAREN] = ACTIONS(5773),
    [anon_sym_LPAREN2] = ACTIONS(5773),
    [anon_sym_DASH] = ACTIONS(5771),
    [anon_sym_PLUS] = ACTIONS(5771),
    [anon_sym_STAR] = ACTIONS(5773),
    [anon_sym_SLASH] = ACTIONS(5771),
    [anon_sym_PERCENT] = ACTIONS(5773),
    [anon_sym_PIPE_PIPE] = ACTIONS(5773),
    [anon_sym_AMP_AMP] = ACTIONS(5773),
    [anon_sym_PIPE] = ACTIONS(5771),
    [anon_sym_CARET] = ACTIONS(5773),
    [anon_sym_AMP] = ACTIONS(5771),
    [anon_sym_EQ_EQ] = ACTIONS(5773),
    [anon_sym_BANG_EQ] = ACTIONS(5773),
    [anon_sym_GT] = ACTIONS(5771),
    [anon_sym_GT_EQ] = ACTIONS(5773),
    [anon_sym_LT_EQ] = ACTIONS(5771),
    [anon_sym_LT] = ACTIONS(5771),
    [anon_sym_LT_LT] = ACTIONS(5773),
    [anon_sym_GT_GT] = ACTIONS(5773),
    [anon_sym_SEMI] = ACTIONS(5773),
    [anon_sym___extension__] = ACTIONS(5771),
    [anon_sym___attribute__] = ACTIONS(5771),
    [anon_sym___based] = ACTIONS(5771),
    [anon_sym_LBRACE] = ACTIONS(5773),
    [anon_sym_RBRACE] = ACTIONS(5773),
    [anon_sym_signed] = ACTIONS(5771),
    [anon_sym_unsigned] = ACTIONS(5771),
    [anon_sym_long] = ACTIONS(5771),
    [anon_sym_short] = ACTIONS(5771),
    [anon_sym_LBRACK] = ACTIONS(5773),
    [anon_sym_RBRACK] = ACTIONS(5773),
    [anon_sym_const] = ACTIONS(5771),
    [anon_sym_constexpr] = ACTIONS(5771),
    [anon_sym_volatile] = ACTIONS(5771),
    [anon_sym_restrict] = ACTIONS(5771),
    [anon_sym___restrict__] = ACTIONS(5771),
    [anon_sym__Atomic] = ACTIONS(5771),
    [anon_sym__Noreturn] = ACTIONS(5771),
    [anon_sym_noreturn] = ACTIONS(5771),
    [anon_sym_mutable] = ACTIONS(5771),
    [anon_sym_constinit] = ACTIONS(5771),
    [anon_sym_consteval] = ACTIONS(5771),
    [anon_sym_PROGMEM] = ACTIONS(5771),
    [aux_sym_primitive_type_token1] = ACTIONS(5771),
    [anon_sym_byte] = ACTIONS(5771),
    [anon_sym_word] = ACTIONS(5771),
    [anon_sym_COLON] = ACTIONS(5773),
    [anon_sym_QMARK] = ACTIONS(5773),
    [anon_sym_LT_EQ_GT] = ACTIONS(5773),
    [anon_sym_or] = ACTIONS(5771),
    [anon_sym_and] = ACTIONS(5771),
    [anon_sym_bitor] = ACTIONS(5771),
    [anon_sym_xor] = ACTIONS(5771),
    [anon_sym_bitand] = ACTIONS(5771),
    [anon_sym_not_eq] = ACTIONS(5771),
    [anon_sym_DASH_DASH] = ACTIONS(5773),
    [anon_sym_PLUS_PLUS] = ACTIONS(5773),
    [anon_sym_DOT] = ACTIONS(5771),
    [anon_sym_DOT_STAR] = ACTIONS(5773),
    [anon_sym_DASH_GT] = ACTIONS(5773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5771),
    [anon_sym_decltype] = ACTIONS(5771),
    [anon_sym_final] = ACTIONS(5771),
    [anon_sym_override] = ACTIONS(5771),
    [anon_sym_requires] = ACTIONS(5771),
  },
  [2276] = {
    [sym_identifier] = ACTIONS(5775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5777),
    [anon_sym_COMMA] = ACTIONS(5777),
    [anon_sym_RPAREN] = ACTIONS(5777),
    [anon_sym_LPAREN2] = ACTIONS(5777),
    [anon_sym_DASH] = ACTIONS(5775),
    [anon_sym_PLUS] = ACTIONS(5775),
    [anon_sym_STAR] = ACTIONS(5777),
    [anon_sym_SLASH] = ACTIONS(5775),
    [anon_sym_PERCENT] = ACTIONS(5777),
    [anon_sym_PIPE_PIPE] = ACTIONS(5777),
    [anon_sym_AMP_AMP] = ACTIONS(5777),
    [anon_sym_PIPE] = ACTIONS(5775),
    [anon_sym_CARET] = ACTIONS(5777),
    [anon_sym_AMP] = ACTIONS(5775),
    [anon_sym_EQ_EQ] = ACTIONS(5777),
    [anon_sym_BANG_EQ] = ACTIONS(5777),
    [anon_sym_GT] = ACTIONS(5775),
    [anon_sym_GT_EQ] = ACTIONS(5777),
    [anon_sym_LT_EQ] = ACTIONS(5775),
    [anon_sym_LT] = ACTIONS(5775),
    [anon_sym_LT_LT] = ACTIONS(5777),
    [anon_sym_GT_GT] = ACTIONS(5777),
    [anon_sym_SEMI] = ACTIONS(5777),
    [anon_sym___extension__] = ACTIONS(5775),
    [anon_sym___attribute__] = ACTIONS(5775),
    [anon_sym___based] = ACTIONS(5775),
    [anon_sym_LBRACE] = ACTIONS(5777),
    [anon_sym_RBRACE] = ACTIONS(5777),
    [anon_sym_signed] = ACTIONS(5775),
    [anon_sym_unsigned] = ACTIONS(5775),
    [anon_sym_long] = ACTIONS(5775),
    [anon_sym_short] = ACTIONS(5775),
    [anon_sym_LBRACK] = ACTIONS(5777),
    [anon_sym_RBRACK] = ACTIONS(5777),
    [anon_sym_const] = ACTIONS(5775),
    [anon_sym_constexpr] = ACTIONS(5775),
    [anon_sym_volatile] = ACTIONS(5775),
    [anon_sym_restrict] = ACTIONS(5775),
    [anon_sym___restrict__] = ACTIONS(5775),
    [anon_sym__Atomic] = ACTIONS(5775),
    [anon_sym__Noreturn] = ACTIONS(5775),
    [anon_sym_noreturn] = ACTIONS(5775),
    [anon_sym_mutable] = ACTIONS(5775),
    [anon_sym_constinit] = ACTIONS(5775),
    [anon_sym_consteval] = ACTIONS(5775),
    [anon_sym_PROGMEM] = ACTIONS(5775),
    [aux_sym_primitive_type_token1] = ACTIONS(5775),
    [anon_sym_byte] = ACTIONS(5775),
    [anon_sym_word] = ACTIONS(5775),
    [anon_sym_COLON] = ACTIONS(5777),
    [anon_sym_QMARK] = ACTIONS(5777),
    [anon_sym_LT_EQ_GT] = ACTIONS(5777),
    [anon_sym_or] = ACTIONS(5775),
    [anon_sym_and] = ACTIONS(5775),
    [anon_sym_bitor] = ACTIONS(5775),
    [anon_sym_xor] = ACTIONS(5775),
    [anon_sym_bitand] = ACTIONS(5775),
    [anon_sym_not_eq] = ACTIONS(5775),
    [anon_sym_DASH_DASH] = ACTIONS(5777),
    [anon_sym_PLUS_PLUS] = ACTIONS(5777),
    [anon_sym_DOT] = ACTIONS(5775),
    [anon_sym_DOT_STAR] = ACTIONS(5777),
    [anon_sym_DASH_GT] = ACTIONS(5777),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5775),
    [anon_sym_decltype] = ACTIONS(5775),
    [anon_sym_final] = ACTIONS(5775),
    [anon_sym_override] = ACTIONS(5775),
    [anon_sym_requires] = ACTIONS(5775),
  },
  [2277] = {
    [sym_identifier] = ACTIONS(5779),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5781),
    [anon_sym_COMMA] = ACTIONS(5781),
    [anon_sym_RPAREN] = ACTIONS(5781),
    [anon_sym_LPAREN2] = ACTIONS(5781),
    [anon_sym_DASH] = ACTIONS(5779),
    [anon_sym_PLUS] = ACTIONS(5779),
    [anon_sym_STAR] = ACTIONS(5781),
    [anon_sym_SLASH] = ACTIONS(5779),
    [anon_sym_PERCENT] = ACTIONS(5781),
    [anon_sym_PIPE_PIPE] = ACTIONS(5781),
    [anon_sym_AMP_AMP] = ACTIONS(5781),
    [anon_sym_PIPE] = ACTIONS(5779),
    [anon_sym_CARET] = ACTIONS(5781),
    [anon_sym_AMP] = ACTIONS(5779),
    [anon_sym_EQ_EQ] = ACTIONS(5781),
    [anon_sym_BANG_EQ] = ACTIONS(5781),
    [anon_sym_GT] = ACTIONS(5779),
    [anon_sym_GT_EQ] = ACTIONS(5781),
    [anon_sym_LT_EQ] = ACTIONS(5779),
    [anon_sym_LT] = ACTIONS(5779),
    [anon_sym_LT_LT] = ACTIONS(5781),
    [anon_sym_GT_GT] = ACTIONS(5781),
    [anon_sym_SEMI] = ACTIONS(5781),
    [anon_sym___extension__] = ACTIONS(5779),
    [anon_sym___attribute__] = ACTIONS(5779),
    [anon_sym___based] = ACTIONS(5779),
    [anon_sym_LBRACE] = ACTIONS(5781),
    [anon_sym_RBRACE] = ACTIONS(5781),
    [anon_sym_signed] = ACTIONS(5779),
    [anon_sym_unsigned] = ACTIONS(5779),
    [anon_sym_long] = ACTIONS(5779),
    [anon_sym_short] = ACTIONS(5779),
    [anon_sym_LBRACK] = ACTIONS(5781),
    [anon_sym_RBRACK] = ACTIONS(5781),
    [anon_sym_const] = ACTIONS(5779),
    [anon_sym_constexpr] = ACTIONS(5779),
    [anon_sym_volatile] = ACTIONS(5779),
    [anon_sym_restrict] = ACTIONS(5779),
    [anon_sym___restrict__] = ACTIONS(5779),
    [anon_sym__Atomic] = ACTIONS(5779),
    [anon_sym__Noreturn] = ACTIONS(5779),
    [anon_sym_noreturn] = ACTIONS(5779),
    [anon_sym_mutable] = ACTIONS(5779),
    [anon_sym_constinit] = ACTIONS(5779),
    [anon_sym_consteval] = ACTIONS(5779),
    [anon_sym_PROGMEM] = ACTIONS(5779),
    [aux_sym_primitive_type_token1] = ACTIONS(5779),
    [anon_sym_byte] = ACTIONS(5779),
    [anon_sym_word] = ACTIONS(5779),
    [anon_sym_COLON] = ACTIONS(5781),
    [anon_sym_QMARK] = ACTIONS(5781),
    [anon_sym_LT_EQ_GT] = ACTIONS(5781),
    [anon_sym_or] = ACTIONS(5779),
    [anon_sym_and] = ACTIONS(5779),
    [anon_sym_bitor] = ACTIONS(5779),
    [anon_sym_xor] = ACTIONS(5779),
    [anon_sym_bitand] = ACTIONS(5779),
    [anon_sym_not_eq] = ACTIONS(5779),
    [anon_sym_DASH_DASH] = ACTIONS(5781),
    [anon_sym_PLUS_PLUS] = ACTIONS(5781),
    [anon_sym_DOT] = ACTIONS(5779),
    [anon_sym_DOT_STAR] = ACTIONS(5781),
    [anon_sym_DASH_GT] = ACTIONS(5781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5779),
    [anon_sym_decltype] = ACTIONS(5779),
    [anon_sym_final] = ACTIONS(5779),
    [anon_sym_override] = ACTIONS(5779),
    [anon_sym_requires] = ACTIONS(5779),
  },
  [2278] = {
    [sym_catch_clause] = STATE(2253),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2253),
    [sym_identifier] = ACTIONS(2841),
    [aux_sym_preproc_def_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token1] = ACTIONS(2841),
    [aux_sym_preproc_if_token2] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2841),
    [sym_preproc_directive] = ACTIONS(2841),
    [anon_sym_LPAREN2] = ACTIONS(2843),
    [anon_sym_TILDE] = ACTIONS(2843),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym___extension__] = ACTIONS(2841),
    [anon_sym_typedef] = ACTIONS(2841),
    [anon_sym_extern] = ACTIONS(2841),
    [anon_sym___attribute__] = ACTIONS(2841),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2843),
    [anon_sym___declspec] = ACTIONS(2841),
    [anon_sym___based] = ACTIONS(2841),
    [anon_sym_signed] = ACTIONS(2841),
    [anon_sym_unsigned] = ACTIONS(2841),
    [anon_sym_long] = ACTIONS(2841),
    [anon_sym_short] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_static] = ACTIONS(2841),
    [anon_sym_register] = ACTIONS(2841),
    [anon_sym_inline] = ACTIONS(2841),
    [anon_sym___inline] = ACTIONS(2841),
    [anon_sym___inline__] = ACTIONS(2841),
    [anon_sym___forceinline] = ACTIONS(2841),
    [anon_sym_thread_local] = ACTIONS(2841),
    [anon_sym___thread] = ACTIONS(2841),
    [anon_sym_const] = ACTIONS(2841),
    [anon_sym_constexpr] = ACTIONS(2841),
    [anon_sym_volatile] = ACTIONS(2841),
    [anon_sym_restrict] = ACTIONS(2841),
    [anon_sym___restrict__] = ACTIONS(2841),
    [anon_sym__Atomic] = ACTIONS(2841),
    [anon_sym__Noreturn] = ACTIONS(2841),
    [anon_sym_noreturn] = ACTIONS(2841),
    [anon_sym_mutable] = ACTIONS(2841),
    [anon_sym_constinit] = ACTIONS(2841),
    [anon_sym_consteval] = ACTIONS(2841),
    [anon_sym_PROGMEM] = ACTIONS(2841),
    [aux_sym_primitive_type_token1] = ACTIONS(2841),
    [anon_sym_byte] = ACTIONS(2841),
    [anon_sym_word] = ACTIONS(2841),
    [anon_sym_enum] = ACTIONS(2841),
    [anon_sym_class] = ACTIONS(2841),
    [anon_sym_struct] = ACTIONS(2841),
    [anon_sym_union] = ACTIONS(2841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2841),
    [anon_sym_decltype] = ACTIONS(2841),
    [anon_sym_virtual] = ACTIONS(2841),
    [anon_sym_alignas] = ACTIONS(2841),
    [anon_sym_explicit] = ACTIONS(2841),
    [anon_sym_typename] = ACTIONS(2841),
    [anon_sym_template] = ACTIONS(2841),
    [anon_sym_operator] = ACTIONS(2841),
    [anon_sym_friend] = ACTIONS(2841),
    [anon_sym_public] = ACTIONS(2841),
    [anon_sym_private] = ACTIONS(2841),
    [anon_sym_protected] = ACTIONS(2841),
    [anon_sym_using] = ACTIONS(2841),
    [anon_sym_static_assert] = ACTIONS(2841),
    [anon_sym_catch] = ACTIONS(5656),
  },
  [2279] = {
    [sym_identifier] = ACTIONS(5783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5785),
    [anon_sym_COMMA] = ACTIONS(5785),
    [anon_sym_RPAREN] = ACTIONS(5785),
    [anon_sym_LPAREN2] = ACTIONS(5785),
    [anon_sym_DASH] = ACTIONS(5783),
    [anon_sym_PLUS] = ACTIONS(5783),
    [anon_sym_STAR] = ACTIONS(5785),
    [anon_sym_SLASH] = ACTIONS(5783),
    [anon_sym_PERCENT] = ACTIONS(5785),
    [anon_sym_PIPE_PIPE] = ACTIONS(5785),
    [anon_sym_AMP_AMP] = ACTIONS(5785),
    [anon_sym_PIPE] = ACTIONS(5783),
    [anon_sym_CARET] = ACTIONS(5785),
    [anon_sym_AMP] = ACTIONS(5783),
    [anon_sym_EQ_EQ] = ACTIONS(5785),
    [anon_sym_BANG_EQ] = ACTIONS(5785),
    [anon_sym_GT] = ACTIONS(5783),
    [anon_sym_GT_EQ] = ACTIONS(5785),
    [anon_sym_LT_EQ] = ACTIONS(5783),
    [anon_sym_LT] = ACTIONS(5783),
    [anon_sym_LT_LT] = ACTIONS(5785),
    [anon_sym_GT_GT] = ACTIONS(5785),
    [anon_sym_SEMI] = ACTIONS(5785),
    [anon_sym___extension__] = ACTIONS(5783),
    [anon_sym___attribute__] = ACTIONS(5783),
    [anon_sym___based] = ACTIONS(5783),
    [anon_sym_LBRACE] = ACTIONS(5785),
    [anon_sym_RBRACE] = ACTIONS(5785),
    [anon_sym_signed] = ACTIONS(5783),
    [anon_sym_unsigned] = ACTIONS(5783),
    [anon_sym_long] = ACTIONS(5783),
    [anon_sym_short] = ACTIONS(5783),
    [anon_sym_LBRACK] = ACTIONS(5785),
    [anon_sym_RBRACK] = ACTIONS(5785),
    [anon_sym_const] = ACTIONS(5783),
    [anon_sym_constexpr] = ACTIONS(5783),
    [anon_sym_volatile] = ACTIONS(5783),
    [anon_sym_restrict] = ACTIONS(5783),
    [anon_sym___restrict__] = ACTIONS(5783),
    [anon_sym__Atomic] = ACTIONS(5783),
    [anon_sym__Noreturn] = ACTIONS(5783),
    [anon_sym_noreturn] = ACTIONS(5783),
    [anon_sym_mutable] = ACTIONS(5783),
    [anon_sym_constinit] = ACTIONS(5783),
    [anon_sym_consteval] = ACTIONS(5783),
    [anon_sym_PROGMEM] = ACTIONS(5783),
    [aux_sym_primitive_type_token1] = ACTIONS(5783),
    [anon_sym_byte] = ACTIONS(5783),
    [anon_sym_word] = ACTIONS(5783),
    [anon_sym_COLON] = ACTIONS(5785),
    [anon_sym_QMARK] = ACTIONS(5785),
    [anon_sym_LT_EQ_GT] = ACTIONS(5785),
    [anon_sym_or] = ACTIONS(5783),
    [anon_sym_and] = ACTIONS(5783),
    [anon_sym_bitor] = ACTIONS(5783),
    [anon_sym_xor] = ACTIONS(5783),
    [anon_sym_bitand] = ACTIONS(5783),
    [anon_sym_not_eq] = ACTIONS(5783),
    [anon_sym_DASH_DASH] = ACTIONS(5785),
    [anon_sym_PLUS_PLUS] = ACTIONS(5785),
    [anon_sym_DOT] = ACTIONS(5783),
    [anon_sym_DOT_STAR] = ACTIONS(5785),
    [anon_sym_DASH_GT] = ACTIONS(5785),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5783),
    [anon_sym_decltype] = ACTIONS(5783),
    [anon_sym_final] = ACTIONS(5783),
    [anon_sym_override] = ACTIONS(5783),
    [anon_sym_requires] = ACTIONS(5783),
  },
  [2280] = {
    [sym_identifier] = ACTIONS(3401),
    [aux_sym_preproc_def_token1] = ACTIONS(3401),
    [aux_sym_preproc_if_token1] = ACTIONS(3401),
    [aux_sym_preproc_if_token2] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3401),
    [aux_sym_preproc_else_token1] = ACTIONS(3401),
    [aux_sym_preproc_elif_token1] = ACTIONS(3401),
    [sym_preproc_directive] = ACTIONS(3401),
    [anon_sym_LPAREN2] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_STAR] = ACTIONS(3403),
    [anon_sym_AMP_AMP] = ACTIONS(3403),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym___extension__] = ACTIONS(3401),
    [anon_sym_typedef] = ACTIONS(3401),
    [anon_sym_extern] = ACTIONS(3401),
    [anon_sym___attribute__] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3403),
    [anon_sym___declspec] = ACTIONS(3401),
    [anon_sym___based] = ACTIONS(3401),
    [anon_sym_signed] = ACTIONS(3401),
    [anon_sym_unsigned] = ACTIONS(3401),
    [anon_sym_long] = ACTIONS(3401),
    [anon_sym_short] = ACTIONS(3401),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_static] = ACTIONS(3401),
    [anon_sym_register] = ACTIONS(3401),
    [anon_sym_inline] = ACTIONS(3401),
    [anon_sym___inline] = ACTIONS(3401),
    [anon_sym___inline__] = ACTIONS(3401),
    [anon_sym___forceinline] = ACTIONS(3401),
    [anon_sym_thread_local] = ACTIONS(3401),
    [anon_sym___thread] = ACTIONS(3401),
    [anon_sym_const] = ACTIONS(3401),
    [anon_sym_constexpr] = ACTIONS(3401),
    [anon_sym_volatile] = ACTIONS(3401),
    [anon_sym_restrict] = ACTIONS(3401),
    [anon_sym___restrict__] = ACTIONS(3401),
    [anon_sym__Atomic] = ACTIONS(3401),
    [anon_sym__Noreturn] = ACTIONS(3401),
    [anon_sym_noreturn] = ACTIONS(3401),
    [anon_sym_mutable] = ACTIONS(3401),
    [anon_sym_constinit] = ACTIONS(3401),
    [anon_sym_consteval] = ACTIONS(3401),
    [anon_sym_PROGMEM] = ACTIONS(3401),
    [aux_sym_primitive_type_token1] = ACTIONS(3401),
    [anon_sym_byte] = ACTIONS(3401),
    [anon_sym_word] = ACTIONS(3401),
    [anon_sym_enum] = ACTIONS(3401),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3401),
    [anon_sym_union] = ACTIONS(3401),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3401),
    [anon_sym_decltype] = ACTIONS(3401),
    [anon_sym_virtual] = ACTIONS(3401),
    [anon_sym_alignas] = ACTIONS(3401),
    [anon_sym_explicit] = ACTIONS(3401),
    [anon_sym_typename] = ACTIONS(3401),
    [anon_sym_template] = ACTIONS(3401),
    [anon_sym_operator] = ACTIONS(3401),
    [anon_sym_friend] = ACTIONS(3401),
    [anon_sym_public] = ACTIONS(3401),
    [anon_sym_private] = ACTIONS(3401),
    [anon_sym_protected] = ACTIONS(3401),
    [anon_sym_using] = ACTIONS(3401),
    [anon_sym_static_assert] = ACTIONS(3401),
  },
  [2281] = {
    [sym_identifier] = ACTIONS(3495),
    [aux_sym_preproc_def_token1] = ACTIONS(3495),
    [aux_sym_preproc_if_token1] = ACTIONS(3495),
    [aux_sym_preproc_if_token2] = ACTIONS(3495),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3495),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3495),
    [aux_sym_preproc_else_token1] = ACTIONS(3495),
    [aux_sym_preproc_elif_token1] = ACTIONS(3495),
    [sym_preproc_directive] = ACTIONS(3495),
    [anon_sym_LPAREN2] = ACTIONS(3497),
    [anon_sym_TILDE] = ACTIONS(3497),
    [anon_sym_STAR] = ACTIONS(3497),
    [anon_sym_AMP_AMP] = ACTIONS(3497),
    [anon_sym_AMP] = ACTIONS(3495),
    [anon_sym___extension__] = ACTIONS(3495),
    [anon_sym_typedef] = ACTIONS(3495),
    [anon_sym_extern] = ACTIONS(3495),
    [anon_sym___attribute__] = ACTIONS(3495),
    [anon_sym_COLON_COLON] = ACTIONS(3497),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3497),
    [anon_sym___declspec] = ACTIONS(3495),
    [anon_sym___based] = ACTIONS(3495),
    [anon_sym_signed] = ACTIONS(3495),
    [anon_sym_unsigned] = ACTIONS(3495),
    [anon_sym_long] = ACTIONS(3495),
    [anon_sym_short] = ACTIONS(3495),
    [anon_sym_LBRACK] = ACTIONS(3495),
    [anon_sym_static] = ACTIONS(3495),
    [anon_sym_register] = ACTIONS(3495),
    [anon_sym_inline] = ACTIONS(3495),
    [anon_sym___inline] = ACTIONS(3495),
    [anon_sym___inline__] = ACTIONS(3495),
    [anon_sym___forceinline] = ACTIONS(3495),
    [anon_sym_thread_local] = ACTIONS(3495),
    [anon_sym___thread] = ACTIONS(3495),
    [anon_sym_const] = ACTIONS(3495),
    [anon_sym_constexpr] = ACTIONS(3495),
    [anon_sym_volatile] = ACTIONS(3495),
    [anon_sym_restrict] = ACTIONS(3495),
    [anon_sym___restrict__] = ACTIONS(3495),
    [anon_sym__Atomic] = ACTIONS(3495),
    [anon_sym__Noreturn] = ACTIONS(3495),
    [anon_sym_noreturn] = ACTIONS(3495),
    [anon_sym_mutable] = ACTIONS(3495),
    [anon_sym_constinit] = ACTIONS(3495),
    [anon_sym_consteval] = ACTIONS(3495),
    [anon_sym_PROGMEM] = ACTIONS(3495),
    [aux_sym_primitive_type_token1] = ACTIONS(3495),
    [anon_sym_byte] = ACTIONS(3495),
    [anon_sym_word] = ACTIONS(3495),
    [anon_sym_enum] = ACTIONS(3495),
    [anon_sym_class] = ACTIONS(3495),
    [anon_sym_struct] = ACTIONS(3495),
    [anon_sym_union] = ACTIONS(3495),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3495),
    [anon_sym_decltype] = ACTIONS(3495),
    [anon_sym_virtual] = ACTIONS(3495),
    [anon_sym_alignas] = ACTIONS(3495),
    [anon_sym_explicit] = ACTIONS(3495),
    [anon_sym_typename] = ACTIONS(3495),
    [anon_sym_template] = ACTIONS(3495),
    [anon_sym_operator] = ACTIONS(3495),
    [anon_sym_friend] = ACTIONS(3495),
    [anon_sym_public] = ACTIONS(3495),
    [anon_sym_private] = ACTIONS(3495),
    [anon_sym_protected] = ACTIONS(3495),
    [anon_sym_using] = ACTIONS(3495),
    [anon_sym_static_assert] = ACTIONS(3495),
  },
  [2282] = {
    [sym_identifier] = ACTIONS(3455),
    [aux_sym_preproc_def_token1] = ACTIONS(3455),
    [aux_sym_preproc_if_token1] = ACTIONS(3455),
    [aux_sym_preproc_if_token2] = ACTIONS(3455),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3455),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3455),
    [aux_sym_preproc_else_token1] = ACTIONS(3455),
    [aux_sym_preproc_elif_token1] = ACTIONS(3455),
    [sym_preproc_directive] = ACTIONS(3455),
    [anon_sym_LPAREN2] = ACTIONS(3457),
    [anon_sym_TILDE] = ACTIONS(3457),
    [anon_sym_STAR] = ACTIONS(3457),
    [anon_sym_AMP_AMP] = ACTIONS(3457),
    [anon_sym_AMP] = ACTIONS(3455),
    [anon_sym___extension__] = ACTIONS(3455),
    [anon_sym_typedef] = ACTIONS(3455),
    [anon_sym_extern] = ACTIONS(3455),
    [anon_sym___attribute__] = ACTIONS(3455),
    [anon_sym_COLON_COLON] = ACTIONS(3457),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3457),
    [anon_sym___declspec] = ACTIONS(3455),
    [anon_sym___based] = ACTIONS(3455),
    [anon_sym_signed] = ACTIONS(3455),
    [anon_sym_unsigned] = ACTIONS(3455),
    [anon_sym_long] = ACTIONS(3455),
    [anon_sym_short] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(3455),
    [anon_sym_static] = ACTIONS(3455),
    [anon_sym_register] = ACTIONS(3455),
    [anon_sym_inline] = ACTIONS(3455),
    [anon_sym___inline] = ACTIONS(3455),
    [anon_sym___inline__] = ACTIONS(3455),
    [anon_sym___forceinline] = ACTIONS(3455),
    [anon_sym_thread_local] = ACTIONS(3455),
    [anon_sym___thread] = ACTIONS(3455),
    [anon_sym_const] = ACTIONS(3455),
    [anon_sym_constexpr] = ACTIONS(3455),
    [anon_sym_volatile] = ACTIONS(3455),
    [anon_sym_restrict] = ACTIONS(3455),
    [anon_sym___restrict__] = ACTIONS(3455),
    [anon_sym__Atomic] = ACTIONS(3455),
    [anon_sym__Noreturn] = ACTIONS(3455),
    [anon_sym_noreturn] = ACTIONS(3455),
    [anon_sym_mutable] = ACTIONS(3455),
    [anon_sym_constinit] = ACTIONS(3455),
    [anon_sym_consteval] = ACTIONS(3455),
    [anon_sym_PROGMEM] = ACTIONS(3455),
    [aux_sym_primitive_type_token1] = ACTIONS(3455),
    [anon_sym_byte] = ACTIONS(3455),
    [anon_sym_word] = ACTIONS(3455),
    [anon_sym_enum] = ACTIONS(3455),
    [anon_sym_class] = ACTIONS(3455),
    [anon_sym_struct] = ACTIONS(3455),
    [anon_sym_union] = ACTIONS(3455),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3455),
    [anon_sym_virtual] = ACTIONS(3455),
    [anon_sym_alignas] = ACTIONS(3455),
    [anon_sym_explicit] = ACTIONS(3455),
    [anon_sym_typename] = ACTIONS(3455),
    [anon_sym_template] = ACTIONS(3455),
    [anon_sym_operator] = ACTIONS(3455),
    [anon_sym_friend] = ACTIONS(3455),
    [anon_sym_public] = ACTIONS(3455),
    [anon_sym_private] = ACTIONS(3455),
    [anon_sym_protected] = ACTIONS(3455),
    [anon_sym_using] = ACTIONS(3455),
    [anon_sym_static_assert] = ACTIONS(3455),
  },
  [2283] = {
    [sym_identifier] = ACTIONS(3216),
    [aux_sym_preproc_def_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token2] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3216),
    [aux_sym_preproc_else_token1] = ACTIONS(3216),
    [aux_sym_preproc_elif_token1] = ACTIONS(3216),
    [sym_preproc_directive] = ACTIONS(3216),
    [anon_sym_LPAREN2] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3218),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym___extension__] = ACTIONS(3216),
    [anon_sym_typedef] = ACTIONS(3216),
    [anon_sym_extern] = ACTIONS(3216),
    [anon_sym___attribute__] = ACTIONS(3216),
    [anon_sym_COLON_COLON] = ACTIONS(3218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3218),
    [anon_sym___declspec] = ACTIONS(3216),
    [anon_sym___based] = ACTIONS(3216),
    [anon_sym_signed] = ACTIONS(3216),
    [anon_sym_unsigned] = ACTIONS(3216),
    [anon_sym_long] = ACTIONS(3216),
    [anon_sym_short] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_register] = ACTIONS(3216),
    [anon_sym_inline] = ACTIONS(3216),
    [anon_sym___inline] = ACTIONS(3216),
    [anon_sym___inline__] = ACTIONS(3216),
    [anon_sym___forceinline] = ACTIONS(3216),
    [anon_sym_thread_local] = ACTIONS(3216),
    [anon_sym___thread] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_constexpr] = ACTIONS(3216),
    [anon_sym_volatile] = ACTIONS(3216),
    [anon_sym_restrict] = ACTIONS(3216),
    [anon_sym___restrict__] = ACTIONS(3216),
    [anon_sym__Atomic] = ACTIONS(3216),
    [anon_sym__Noreturn] = ACTIONS(3216),
    [anon_sym_noreturn] = ACTIONS(3216),
    [anon_sym_mutable] = ACTIONS(3216),
    [anon_sym_constinit] = ACTIONS(3216),
    [anon_sym_consteval] = ACTIONS(3216),
    [anon_sym_PROGMEM] = ACTIONS(3216),
    [aux_sym_primitive_type_token1] = ACTIONS(3216),
    [anon_sym_byte] = ACTIONS(3216),
    [anon_sym_word] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3216),
    [anon_sym_union] = ACTIONS(3216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3216),
    [anon_sym_decltype] = ACTIONS(3216),
    [anon_sym_virtual] = ACTIONS(3216),
    [anon_sym_alignas] = ACTIONS(3216),
    [anon_sym_explicit] = ACTIONS(3216),
    [anon_sym_typename] = ACTIONS(3216),
    [anon_sym_template] = ACTIONS(3216),
    [anon_sym_operator] = ACTIONS(3216),
    [anon_sym_friend] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_static_assert] = ACTIONS(3216),
  },
  [2284] = {
    [sym_identifier] = ACTIONS(3220),
    [aux_sym_preproc_def_token1] = ACTIONS(3220),
    [aux_sym_preproc_if_token1] = ACTIONS(3220),
    [aux_sym_preproc_if_token2] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3220),
    [aux_sym_preproc_else_token1] = ACTIONS(3220),
    [aux_sym_preproc_elif_token1] = ACTIONS(3220),
    [sym_preproc_directive] = ACTIONS(3220),
    [anon_sym_LPAREN2] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_STAR] = ACTIONS(3222),
    [anon_sym_AMP_AMP] = ACTIONS(3222),
    [anon_sym_AMP] = ACTIONS(3220),
    [anon_sym___extension__] = ACTIONS(3220),
    [anon_sym_typedef] = ACTIONS(3220),
    [anon_sym_extern] = ACTIONS(3220),
    [anon_sym___attribute__] = ACTIONS(3220),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3222),
    [anon_sym___declspec] = ACTIONS(3220),
    [anon_sym___based] = ACTIONS(3220),
    [anon_sym_signed] = ACTIONS(3220),
    [anon_sym_unsigned] = ACTIONS(3220),
    [anon_sym_long] = ACTIONS(3220),
    [anon_sym_short] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_static] = ACTIONS(3220),
    [anon_sym_register] = ACTIONS(3220),
    [anon_sym_inline] = ACTIONS(3220),
    [anon_sym___inline] = ACTIONS(3220),
    [anon_sym___inline__] = ACTIONS(3220),
    [anon_sym___forceinline] = ACTIONS(3220),
    [anon_sym_thread_local] = ACTIONS(3220),
    [anon_sym___thread] = ACTIONS(3220),
    [anon_sym_const] = ACTIONS(3220),
    [anon_sym_constexpr] = ACTIONS(3220),
    [anon_sym_volatile] = ACTIONS(3220),
    [anon_sym_restrict] = ACTIONS(3220),
    [anon_sym___restrict__] = ACTIONS(3220),
    [anon_sym__Atomic] = ACTIONS(3220),
    [anon_sym__Noreturn] = ACTIONS(3220),
    [anon_sym_noreturn] = ACTIONS(3220),
    [anon_sym_mutable] = ACTIONS(3220),
    [anon_sym_constinit] = ACTIONS(3220),
    [anon_sym_consteval] = ACTIONS(3220),
    [anon_sym_PROGMEM] = ACTIONS(3220),
    [aux_sym_primitive_type_token1] = ACTIONS(3220),
    [anon_sym_byte] = ACTIONS(3220),
    [anon_sym_word] = ACTIONS(3220),
    [anon_sym_enum] = ACTIONS(3220),
    [anon_sym_class] = ACTIONS(3220),
    [anon_sym_struct] = ACTIONS(3220),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3220),
    [anon_sym_decltype] = ACTIONS(3220),
    [anon_sym_virtual] = ACTIONS(3220),
    [anon_sym_alignas] = ACTIONS(3220),
    [anon_sym_explicit] = ACTIONS(3220),
    [anon_sym_typename] = ACTIONS(3220),
    [anon_sym_template] = ACTIONS(3220),
    [anon_sym_operator] = ACTIONS(3220),
    [anon_sym_friend] = ACTIONS(3220),
    [anon_sym_public] = ACTIONS(3220),
    [anon_sym_private] = ACTIONS(3220),
    [anon_sym_protected] = ACTIONS(3220),
    [anon_sym_using] = ACTIONS(3220),
    [anon_sym_static_assert] = ACTIONS(3220),
  },
  [2285] = {
    [sym_argument_list] = STATE(2868),
    [sym_initializer_list] = STATE(2868),
    [sym_decltype_auto] = STATE(2720),
    [sym_new_declarator] = STATE(2698),
    [sym_identifier] = ACTIONS(5787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5789),
    [anon_sym_COMMA] = ACTIONS(5789),
    [anon_sym_RPAREN] = ACTIONS(5789),
    [aux_sym_preproc_if_token2] = ACTIONS(5789),
    [aux_sym_preproc_else_token1] = ACTIONS(5789),
    [aux_sym_preproc_elif_token1] = ACTIONS(5787),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5789),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5789),
    [anon_sym_LPAREN2] = ACTIONS(5791),
    [anon_sym_DASH] = ACTIONS(5787),
    [anon_sym_PLUS] = ACTIONS(5787),
    [anon_sym_STAR] = ACTIONS(5787),
    [anon_sym_SLASH] = ACTIONS(5787),
    [anon_sym_PERCENT] = ACTIONS(5787),
    [anon_sym_PIPE_PIPE] = ACTIONS(5789),
    [anon_sym_AMP_AMP] = ACTIONS(5789),
    [anon_sym_PIPE] = ACTIONS(5787),
    [anon_sym_CARET] = ACTIONS(5787),
    [anon_sym_AMP] = ACTIONS(5787),
    [anon_sym_EQ_EQ] = ACTIONS(5789),
    [anon_sym_BANG_EQ] = ACTIONS(5789),
    [anon_sym_GT] = ACTIONS(5787),
    [anon_sym_GT_EQ] = ACTIONS(5789),
    [anon_sym_LT_EQ] = ACTIONS(5787),
    [anon_sym_LT] = ACTIONS(5787),
    [anon_sym_LT_LT] = ACTIONS(5787),
    [anon_sym_GT_GT] = ACTIONS(5787),
    [anon_sym_SEMI] = ACTIONS(5789),
    [anon_sym___attribute__] = ACTIONS(5787),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_RBRACE] = ACTIONS(5789),
    [anon_sym_LBRACK] = ACTIONS(5793),
    [anon_sym_RBRACK] = ACTIONS(5789),
    [anon_sym_EQ] = ACTIONS(5787),
    [anon_sym_COLON] = ACTIONS(5789),
    [anon_sym_QMARK] = ACTIONS(5789),
    [anon_sym_STAR_EQ] = ACTIONS(5789),
    [anon_sym_SLASH_EQ] = ACTIONS(5789),
    [anon_sym_PERCENT_EQ] = ACTIONS(5789),
    [anon_sym_PLUS_EQ] = ACTIONS(5789),
    [anon_sym_DASH_EQ] = ACTIONS(5789),
    [anon_sym_LT_LT_EQ] = ACTIONS(5789),
    [anon_sym_GT_GT_EQ] = ACTIONS(5789),
    [anon_sym_AMP_EQ] = ACTIONS(5789),
    [anon_sym_CARET_EQ] = ACTIONS(5789),
    [anon_sym_PIPE_EQ] = ACTIONS(5789),
    [anon_sym_and_eq] = ACTIONS(5787),
    [anon_sym_or_eq] = ACTIONS(5787),
    [anon_sym_xor_eq] = ACTIONS(5787),
    [anon_sym_LT_EQ_GT] = ACTIONS(5789),
    [anon_sym_or] = ACTIONS(5787),
    [anon_sym_and] = ACTIONS(5787),
    [anon_sym_bitor] = ACTIONS(5787),
    [anon_sym_xor] = ACTIONS(5787),
    [anon_sym_bitand] = ACTIONS(5787),
    [anon_sym_not_eq] = ACTIONS(5787),
    [anon_sym_DASH_DASH] = ACTIONS(5789),
    [anon_sym_PLUS_PLUS] = ACTIONS(5789),
    [anon_sym_DOT] = ACTIONS(5787),
    [anon_sym_DOT_STAR] = ACTIONS(5789),
    [anon_sym_DASH_GT] = ACTIONS(5789),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5795),
    [anon_sym_decltype] = ACTIONS(5797),
  },
  [2286] = {
    [sym_identifier] = ACTIONS(3377),
    [aux_sym_preproc_def_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token2] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3377),
    [aux_sym_preproc_else_token1] = ACTIONS(3377),
    [aux_sym_preproc_elif_token1] = ACTIONS(3377),
    [sym_preproc_directive] = ACTIONS(3377),
    [anon_sym_LPAREN2] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3379),
    [anon_sym_AMP_AMP] = ACTIONS(3379),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym___extension__] = ACTIONS(3377),
    [anon_sym_typedef] = ACTIONS(3377),
    [anon_sym_extern] = ACTIONS(3377),
    [anon_sym___attribute__] = ACTIONS(3377),
    [anon_sym_COLON_COLON] = ACTIONS(3379),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3379),
    [anon_sym___declspec] = ACTIONS(3377),
    [anon_sym___based] = ACTIONS(3377),
    [anon_sym_signed] = ACTIONS(3377),
    [anon_sym_unsigned] = ACTIONS(3377),
    [anon_sym_long] = ACTIONS(3377),
    [anon_sym_short] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_register] = ACTIONS(3377),
    [anon_sym_inline] = ACTIONS(3377),
    [anon_sym___inline] = ACTIONS(3377),
    [anon_sym___inline__] = ACTIONS(3377),
    [anon_sym___forceinline] = ACTIONS(3377),
    [anon_sym_thread_local] = ACTIONS(3377),
    [anon_sym___thread] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_constexpr] = ACTIONS(3377),
    [anon_sym_volatile] = ACTIONS(3377),
    [anon_sym_restrict] = ACTIONS(3377),
    [anon_sym___restrict__] = ACTIONS(3377),
    [anon_sym__Atomic] = ACTIONS(3377),
    [anon_sym__Noreturn] = ACTIONS(3377),
    [anon_sym_noreturn] = ACTIONS(3377),
    [anon_sym_mutable] = ACTIONS(3377),
    [anon_sym_constinit] = ACTIONS(3377),
    [anon_sym_consteval] = ACTIONS(3377),
    [anon_sym_PROGMEM] = ACTIONS(3377),
    [aux_sym_primitive_type_token1] = ACTIONS(3377),
    [anon_sym_byte] = ACTIONS(3377),
    [anon_sym_word] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_struct] = ACTIONS(3377),
    [anon_sym_union] = ACTIONS(3377),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3377),
    [anon_sym_decltype] = ACTIONS(3377),
    [anon_sym_virtual] = ACTIONS(3377),
    [anon_sym_alignas] = ACTIONS(3377),
    [anon_sym_explicit] = ACTIONS(3377),
    [anon_sym_typename] = ACTIONS(3377),
    [anon_sym_template] = ACTIONS(3377),
    [anon_sym_operator] = ACTIONS(3377),
    [anon_sym_friend] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_static_assert] = ACTIONS(3377),
  },
  [2287] = {
    [sym_identifier] = ACTIONS(3308),
    [aux_sym_preproc_def_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token2] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3308),
    [aux_sym_preproc_else_token1] = ACTIONS(3308),
    [aux_sym_preproc_elif_token1] = ACTIONS(3308),
    [sym_preproc_directive] = ACTIONS(3308),
    [anon_sym_LPAREN2] = ACTIONS(3310),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_STAR] = ACTIONS(3310),
    [anon_sym_AMP_AMP] = ACTIONS(3310),
    [anon_sym_AMP] = ACTIONS(3308),
    [anon_sym___extension__] = ACTIONS(3308),
    [anon_sym_typedef] = ACTIONS(3308),
    [anon_sym_extern] = ACTIONS(3308),
    [anon_sym___attribute__] = ACTIONS(3308),
    [anon_sym_COLON_COLON] = ACTIONS(3310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3310),
    [anon_sym___declspec] = ACTIONS(3308),
    [anon_sym___based] = ACTIONS(3308),
    [anon_sym_signed] = ACTIONS(3308),
    [anon_sym_unsigned] = ACTIONS(3308),
    [anon_sym_long] = ACTIONS(3308),
    [anon_sym_short] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_register] = ACTIONS(3308),
    [anon_sym_inline] = ACTIONS(3308),
    [anon_sym___inline] = ACTIONS(3308),
    [anon_sym___inline__] = ACTIONS(3308),
    [anon_sym___forceinline] = ACTIONS(3308),
    [anon_sym_thread_local] = ACTIONS(3308),
    [anon_sym___thread] = ACTIONS(3308),
    [anon_sym_const] = ACTIONS(3308),
    [anon_sym_constexpr] = ACTIONS(3308),
    [anon_sym_volatile] = ACTIONS(3308),
    [anon_sym_restrict] = ACTIONS(3308),
    [anon_sym___restrict__] = ACTIONS(3308),
    [anon_sym__Atomic] = ACTIONS(3308),
    [anon_sym__Noreturn] = ACTIONS(3308),
    [anon_sym_noreturn] = ACTIONS(3308),
    [anon_sym_mutable] = ACTIONS(3308),
    [anon_sym_constinit] = ACTIONS(3308),
    [anon_sym_consteval] = ACTIONS(3308),
    [anon_sym_PROGMEM] = ACTIONS(3308),
    [aux_sym_primitive_type_token1] = ACTIONS(3308),
    [anon_sym_byte] = ACTIONS(3308),
    [anon_sym_word] = ACTIONS(3308),
    [anon_sym_enum] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_struct] = ACTIONS(3308),
    [anon_sym_union] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3308),
    [anon_sym_decltype] = ACTIONS(3308),
    [anon_sym_virtual] = ACTIONS(3308),
    [anon_sym_alignas] = ACTIONS(3308),
    [anon_sym_explicit] = ACTIONS(3308),
    [anon_sym_typename] = ACTIONS(3308),
    [anon_sym_template] = ACTIONS(3308),
    [anon_sym_operator] = ACTIONS(3308),
    [anon_sym_friend] = ACTIONS(3308),
    [anon_sym_public] = ACTIONS(3308),
    [anon_sym_private] = ACTIONS(3308),
    [anon_sym_protected] = ACTIONS(3308),
    [anon_sym_using] = ACTIONS(3308),
    [anon_sym_static_assert] = ACTIONS(3308),
  },
  [2288] = {
    [sym_identifier] = ACTIONS(5497),
    [aux_sym_preproc_def_token1] = ACTIONS(5497),
    [aux_sym_preproc_if_token1] = ACTIONS(5497),
    [aux_sym_preproc_if_token2] = ACTIONS(5497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5497),
    [aux_sym_preproc_else_token1] = ACTIONS(5497),
    [aux_sym_preproc_elif_token1] = ACTIONS(5497),
    [sym_preproc_directive] = ACTIONS(5497),
    [anon_sym_LPAREN2] = ACTIONS(5499),
    [anon_sym_TILDE] = ACTIONS(5499),
    [anon_sym_STAR] = ACTIONS(5499),
    [anon_sym_AMP_AMP] = ACTIONS(5499),
    [anon_sym_AMP] = ACTIONS(5497),
    [anon_sym___extension__] = ACTIONS(5497),
    [anon_sym_typedef] = ACTIONS(5497),
    [anon_sym_extern] = ACTIONS(5497),
    [anon_sym___attribute__] = ACTIONS(5497),
    [anon_sym_COLON_COLON] = ACTIONS(5499),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5499),
    [anon_sym___declspec] = ACTIONS(5497),
    [anon_sym___based] = ACTIONS(5497),
    [anon_sym_signed] = ACTIONS(5497),
    [anon_sym_unsigned] = ACTIONS(5497),
    [anon_sym_long] = ACTIONS(5497),
    [anon_sym_short] = ACTIONS(5497),
    [anon_sym_LBRACK] = ACTIONS(5497),
    [anon_sym_static] = ACTIONS(5497),
    [anon_sym_register] = ACTIONS(5497),
    [anon_sym_inline] = ACTIONS(5497),
    [anon_sym___inline] = ACTIONS(5497),
    [anon_sym___inline__] = ACTIONS(5497),
    [anon_sym___forceinline] = ACTIONS(5497),
    [anon_sym_thread_local] = ACTIONS(5497),
    [anon_sym___thread] = ACTIONS(5497),
    [anon_sym_const] = ACTIONS(5497),
    [anon_sym_constexpr] = ACTIONS(5497),
    [anon_sym_volatile] = ACTIONS(5497),
    [anon_sym_restrict] = ACTIONS(5497),
    [anon_sym___restrict__] = ACTIONS(5497),
    [anon_sym__Atomic] = ACTIONS(5497),
    [anon_sym__Noreturn] = ACTIONS(5497),
    [anon_sym_noreturn] = ACTIONS(5497),
    [anon_sym_mutable] = ACTIONS(5497),
    [anon_sym_constinit] = ACTIONS(5497),
    [anon_sym_consteval] = ACTIONS(5497),
    [anon_sym_PROGMEM] = ACTIONS(5497),
    [aux_sym_primitive_type_token1] = ACTIONS(5497),
    [anon_sym_byte] = ACTIONS(5497),
    [anon_sym_word] = ACTIONS(5497),
    [anon_sym_enum] = ACTIONS(5497),
    [anon_sym_class] = ACTIONS(5497),
    [anon_sym_struct] = ACTIONS(5497),
    [anon_sym_union] = ACTIONS(5497),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5497),
    [anon_sym_decltype] = ACTIONS(5497),
    [anon_sym_virtual] = ACTIONS(5497),
    [anon_sym_alignas] = ACTIONS(5497),
    [anon_sym_explicit] = ACTIONS(5497),
    [anon_sym_typename] = ACTIONS(5497),
    [anon_sym_template] = ACTIONS(5497),
    [anon_sym_operator] = ACTIONS(5497),
    [anon_sym_friend] = ACTIONS(5497),
    [anon_sym_public] = ACTIONS(5497),
    [anon_sym_private] = ACTIONS(5497),
    [anon_sym_protected] = ACTIONS(5497),
    [anon_sym_using] = ACTIONS(5497),
    [anon_sym_static_assert] = ACTIONS(5497),
  },
  [2289] = {
    [sym_identifier] = ACTIONS(5501),
    [aux_sym_preproc_def_token1] = ACTIONS(5501),
    [aux_sym_preproc_if_token1] = ACTIONS(5501),
    [aux_sym_preproc_if_token2] = ACTIONS(5501),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5501),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5501),
    [aux_sym_preproc_else_token1] = ACTIONS(5501),
    [aux_sym_preproc_elif_token1] = ACTIONS(5501),
    [sym_preproc_directive] = ACTIONS(5501),
    [anon_sym_LPAREN2] = ACTIONS(5503),
    [anon_sym_TILDE] = ACTIONS(5503),
    [anon_sym_STAR] = ACTIONS(5503),
    [anon_sym_AMP_AMP] = ACTIONS(5503),
    [anon_sym_AMP] = ACTIONS(5501),
    [anon_sym___extension__] = ACTIONS(5501),
    [anon_sym_typedef] = ACTIONS(5501),
    [anon_sym_extern] = ACTIONS(5501),
    [anon_sym___attribute__] = ACTIONS(5501),
    [anon_sym_COLON_COLON] = ACTIONS(5503),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5503),
    [anon_sym___declspec] = ACTIONS(5501),
    [anon_sym___based] = ACTIONS(5501),
    [anon_sym_signed] = ACTIONS(5501),
    [anon_sym_unsigned] = ACTIONS(5501),
    [anon_sym_long] = ACTIONS(5501),
    [anon_sym_short] = ACTIONS(5501),
    [anon_sym_LBRACK] = ACTIONS(5501),
    [anon_sym_static] = ACTIONS(5501),
    [anon_sym_register] = ACTIONS(5501),
    [anon_sym_inline] = ACTIONS(5501),
    [anon_sym___inline] = ACTIONS(5501),
    [anon_sym___inline__] = ACTIONS(5501),
    [anon_sym___forceinline] = ACTIONS(5501),
    [anon_sym_thread_local] = ACTIONS(5501),
    [anon_sym___thread] = ACTIONS(5501),
    [anon_sym_const] = ACTIONS(5501),
    [anon_sym_constexpr] = ACTIONS(5501),
    [anon_sym_volatile] = ACTIONS(5501),
    [anon_sym_restrict] = ACTIONS(5501),
    [anon_sym___restrict__] = ACTIONS(5501),
    [anon_sym__Atomic] = ACTIONS(5501),
    [anon_sym__Noreturn] = ACTIONS(5501),
    [anon_sym_noreturn] = ACTIONS(5501),
    [anon_sym_mutable] = ACTIONS(5501),
    [anon_sym_constinit] = ACTIONS(5501),
    [anon_sym_consteval] = ACTIONS(5501),
    [anon_sym_PROGMEM] = ACTIONS(5501),
    [aux_sym_primitive_type_token1] = ACTIONS(5501),
    [anon_sym_byte] = ACTIONS(5501),
    [anon_sym_word] = ACTIONS(5501),
    [anon_sym_enum] = ACTIONS(5501),
    [anon_sym_class] = ACTIONS(5501),
    [anon_sym_struct] = ACTIONS(5501),
    [anon_sym_union] = ACTIONS(5501),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5501),
    [anon_sym_decltype] = ACTIONS(5501),
    [anon_sym_virtual] = ACTIONS(5501),
    [anon_sym_alignas] = ACTIONS(5501),
    [anon_sym_explicit] = ACTIONS(5501),
    [anon_sym_typename] = ACTIONS(5501),
    [anon_sym_template] = ACTIONS(5501),
    [anon_sym_operator] = ACTIONS(5501),
    [anon_sym_friend] = ACTIONS(5501),
    [anon_sym_public] = ACTIONS(5501),
    [anon_sym_private] = ACTIONS(5501),
    [anon_sym_protected] = ACTIONS(5501),
    [anon_sym_using] = ACTIONS(5501),
    [anon_sym_static_assert] = ACTIONS(5501),
  },
  [2290] = {
    [sym_identifier] = ACTIONS(3439),
    [aux_sym_preproc_def_token1] = ACTIONS(3439),
    [aux_sym_preproc_if_token1] = ACTIONS(3439),
    [aux_sym_preproc_if_token2] = ACTIONS(3439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3439),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3439),
    [aux_sym_preproc_else_token1] = ACTIONS(3439),
    [aux_sym_preproc_elif_token1] = ACTIONS(3439),
    [sym_preproc_directive] = ACTIONS(3439),
    [anon_sym_LPAREN2] = ACTIONS(3441),
    [anon_sym_TILDE] = ACTIONS(3441),
    [anon_sym_STAR] = ACTIONS(3441),
    [anon_sym_AMP_AMP] = ACTIONS(3441),
    [anon_sym_AMP] = ACTIONS(3439),
    [anon_sym___extension__] = ACTIONS(3439),
    [anon_sym_typedef] = ACTIONS(3439),
    [anon_sym_extern] = ACTIONS(3439),
    [anon_sym___attribute__] = ACTIONS(3439),
    [anon_sym_COLON_COLON] = ACTIONS(3441),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3441),
    [anon_sym___declspec] = ACTIONS(3439),
    [anon_sym___based] = ACTIONS(3439),
    [anon_sym_signed] = ACTIONS(3439),
    [anon_sym_unsigned] = ACTIONS(3439),
    [anon_sym_long] = ACTIONS(3439),
    [anon_sym_short] = ACTIONS(3439),
    [anon_sym_LBRACK] = ACTIONS(3439),
    [anon_sym_static] = ACTIONS(3439),
    [anon_sym_register] = ACTIONS(3439),
    [anon_sym_inline] = ACTIONS(3439),
    [anon_sym___inline] = ACTIONS(3439),
    [anon_sym___inline__] = ACTIONS(3439),
    [anon_sym___forceinline] = ACTIONS(3439),
    [anon_sym_thread_local] = ACTIONS(3439),
    [anon_sym___thread] = ACTIONS(3439),
    [anon_sym_const] = ACTIONS(3439),
    [anon_sym_constexpr] = ACTIONS(3439),
    [anon_sym_volatile] = ACTIONS(3439),
    [anon_sym_restrict] = ACTIONS(3439),
    [anon_sym___restrict__] = ACTIONS(3439),
    [anon_sym__Atomic] = ACTIONS(3439),
    [anon_sym__Noreturn] = ACTIONS(3439),
    [anon_sym_noreturn] = ACTIONS(3439),
    [anon_sym_mutable] = ACTIONS(3439),
    [anon_sym_constinit] = ACTIONS(3439),
    [anon_sym_consteval] = ACTIONS(3439),
    [anon_sym_PROGMEM] = ACTIONS(3439),
    [aux_sym_primitive_type_token1] = ACTIONS(3439),
    [anon_sym_byte] = ACTIONS(3439),
    [anon_sym_word] = ACTIONS(3439),
    [anon_sym_enum] = ACTIONS(3439),
    [anon_sym_class] = ACTIONS(3439),
    [anon_sym_struct] = ACTIONS(3439),
    [anon_sym_union] = ACTIONS(3439),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3439),
    [anon_sym_virtual] = ACTIONS(3439),
    [anon_sym_alignas] = ACTIONS(3439),
    [anon_sym_explicit] = ACTIONS(3439),
    [anon_sym_typename] = ACTIONS(3439),
    [anon_sym_template] = ACTIONS(3439),
    [anon_sym_operator] = ACTIONS(3439),
    [anon_sym_friend] = ACTIONS(3439),
    [anon_sym_public] = ACTIONS(3439),
    [anon_sym_private] = ACTIONS(3439),
    [anon_sym_protected] = ACTIONS(3439),
    [anon_sym_using] = ACTIONS(3439),
    [anon_sym_static_assert] = ACTIONS(3439),
  },
  [2291] = {
    [sym_identifier] = ACTIONS(5505),
    [aux_sym_preproc_def_token1] = ACTIONS(5505),
    [aux_sym_preproc_if_token1] = ACTIONS(5505),
    [aux_sym_preproc_if_token2] = ACTIONS(5505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5505),
    [aux_sym_preproc_else_token1] = ACTIONS(5505),
    [aux_sym_preproc_elif_token1] = ACTIONS(5505),
    [sym_preproc_directive] = ACTIONS(5505),
    [anon_sym_LPAREN2] = ACTIONS(5507),
    [anon_sym_TILDE] = ACTIONS(5507),
    [anon_sym_STAR] = ACTIONS(5507),
    [anon_sym_AMP_AMP] = ACTIONS(5507),
    [anon_sym_AMP] = ACTIONS(5505),
    [anon_sym___extension__] = ACTIONS(5505),
    [anon_sym_typedef] = ACTIONS(5505),
    [anon_sym_extern] = ACTIONS(5505),
    [anon_sym___attribute__] = ACTIONS(5505),
    [anon_sym_COLON_COLON] = ACTIONS(5507),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5507),
    [anon_sym___declspec] = ACTIONS(5505),
    [anon_sym___based] = ACTIONS(5505),
    [anon_sym_signed] = ACTIONS(5505),
    [anon_sym_unsigned] = ACTIONS(5505),
    [anon_sym_long] = ACTIONS(5505),
    [anon_sym_short] = ACTIONS(5505),
    [anon_sym_LBRACK] = ACTIONS(5505),
    [anon_sym_static] = ACTIONS(5505),
    [anon_sym_register] = ACTIONS(5505),
    [anon_sym_inline] = ACTIONS(5505),
    [anon_sym___inline] = ACTIONS(5505),
    [anon_sym___inline__] = ACTIONS(5505),
    [anon_sym___forceinline] = ACTIONS(5505),
    [anon_sym_thread_local] = ACTIONS(5505),
    [anon_sym___thread] = ACTIONS(5505),
    [anon_sym_const] = ACTIONS(5505),
    [anon_sym_constexpr] = ACTIONS(5505),
    [anon_sym_volatile] = ACTIONS(5505),
    [anon_sym_restrict] = ACTIONS(5505),
    [anon_sym___restrict__] = ACTIONS(5505),
    [anon_sym__Atomic] = ACTIONS(5505),
    [anon_sym__Noreturn] = ACTIONS(5505),
    [anon_sym_noreturn] = ACTIONS(5505),
    [anon_sym_mutable] = ACTIONS(5505),
    [anon_sym_constinit] = ACTIONS(5505),
    [anon_sym_consteval] = ACTIONS(5505),
    [anon_sym_PROGMEM] = ACTIONS(5505),
    [aux_sym_primitive_type_token1] = ACTIONS(5505),
    [anon_sym_byte] = ACTIONS(5505),
    [anon_sym_word] = ACTIONS(5505),
    [anon_sym_enum] = ACTIONS(5505),
    [anon_sym_class] = ACTIONS(5505),
    [anon_sym_struct] = ACTIONS(5505),
    [anon_sym_union] = ACTIONS(5505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5505),
    [anon_sym_decltype] = ACTIONS(5505),
    [anon_sym_virtual] = ACTIONS(5505),
    [anon_sym_alignas] = ACTIONS(5505),
    [anon_sym_explicit] = ACTIONS(5505),
    [anon_sym_typename] = ACTIONS(5505),
    [anon_sym_template] = ACTIONS(5505),
    [anon_sym_operator] = ACTIONS(5505),
    [anon_sym_friend] = ACTIONS(5505),
    [anon_sym_public] = ACTIONS(5505),
    [anon_sym_private] = ACTIONS(5505),
    [anon_sym_protected] = ACTIONS(5505),
    [anon_sym_using] = ACTIONS(5505),
    [anon_sym_static_assert] = ACTIONS(5505),
  },
  [2292] = {
    [sym_identifier] = ACTIONS(5437),
    [aux_sym_preproc_def_token1] = ACTIONS(5437),
    [aux_sym_preproc_if_token1] = ACTIONS(5437),
    [aux_sym_preproc_if_token2] = ACTIONS(5437),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5437),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5437),
    [aux_sym_preproc_else_token1] = ACTIONS(5437),
    [aux_sym_preproc_elif_token1] = ACTIONS(5437),
    [sym_preproc_directive] = ACTIONS(5437),
    [anon_sym_LPAREN2] = ACTIONS(5439),
    [anon_sym_TILDE] = ACTIONS(5439),
    [anon_sym_STAR] = ACTIONS(5439),
    [anon_sym_AMP_AMP] = ACTIONS(5439),
    [anon_sym_AMP] = ACTIONS(5437),
    [anon_sym___extension__] = ACTIONS(5437),
    [anon_sym_typedef] = ACTIONS(5437),
    [anon_sym_extern] = ACTIONS(5437),
    [anon_sym___attribute__] = ACTIONS(5437),
    [anon_sym_COLON_COLON] = ACTIONS(5439),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5439),
    [anon_sym___declspec] = ACTIONS(5437),
    [anon_sym___based] = ACTIONS(5437),
    [anon_sym_signed] = ACTIONS(5437),
    [anon_sym_unsigned] = ACTIONS(5437),
    [anon_sym_long] = ACTIONS(5437),
    [anon_sym_short] = ACTIONS(5437),
    [anon_sym_LBRACK] = ACTIONS(5437),
    [anon_sym_static] = ACTIONS(5437),
    [anon_sym_register] = ACTIONS(5437),
    [anon_sym_inline] = ACTIONS(5437),
    [anon_sym___inline] = ACTIONS(5437),
    [anon_sym___inline__] = ACTIONS(5437),
    [anon_sym___forceinline] = ACTIONS(5437),
    [anon_sym_thread_local] = ACTIONS(5437),
    [anon_sym___thread] = ACTIONS(5437),
    [anon_sym_const] = ACTIONS(5437),
    [anon_sym_constexpr] = ACTIONS(5437),
    [anon_sym_volatile] = ACTIONS(5437),
    [anon_sym_restrict] = ACTIONS(5437),
    [anon_sym___restrict__] = ACTIONS(5437),
    [anon_sym__Atomic] = ACTIONS(5437),
    [anon_sym__Noreturn] = ACTIONS(5437),
    [anon_sym_noreturn] = ACTIONS(5437),
    [anon_sym_mutable] = ACTIONS(5437),
    [anon_sym_constinit] = ACTIONS(5437),
    [anon_sym_consteval] = ACTIONS(5437),
    [anon_sym_PROGMEM] = ACTIONS(5437),
    [aux_sym_primitive_type_token1] = ACTIONS(5437),
    [anon_sym_byte] = ACTIONS(5437),
    [anon_sym_word] = ACTIONS(5437),
    [anon_sym_enum] = ACTIONS(5437),
    [anon_sym_class] = ACTIONS(5437),
    [anon_sym_struct] = ACTIONS(5437),
    [anon_sym_union] = ACTIONS(5437),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5437),
    [anon_sym_decltype] = ACTIONS(5437),
    [anon_sym_virtual] = ACTIONS(5437),
    [anon_sym_alignas] = ACTIONS(5437),
    [anon_sym_explicit] = ACTIONS(5437),
    [anon_sym_typename] = ACTIONS(5437),
    [anon_sym_template] = ACTIONS(5437),
    [anon_sym_operator] = ACTIONS(5437),
    [anon_sym_friend] = ACTIONS(5437),
    [anon_sym_public] = ACTIONS(5437),
    [anon_sym_private] = ACTIONS(5437),
    [anon_sym_protected] = ACTIONS(5437),
    [anon_sym_using] = ACTIONS(5437),
    [anon_sym_static_assert] = ACTIONS(5437),
  },
  [2293] = {
    [sym_string_literal] = STATE(2418),
    [sym_template_argument_list] = STATE(3323),
    [sym_raw_string_literal] = STATE(2418),
    [sym_identifier] = ACTIONS(4454),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [aux_sym_preproc_if_token2] = ACTIONS(4446),
    [aux_sym_preproc_else_token1] = ACTIONS(4446),
    [aux_sym_preproc_elif_token1] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5799),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(4454),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4446),
    [anon_sym_SLASH_EQ] = ACTIONS(4446),
    [anon_sym_PERCENT_EQ] = ACTIONS(4446),
    [anon_sym_PLUS_EQ] = ACTIONS(4446),
    [anon_sym_DASH_EQ] = ACTIONS(4446),
    [anon_sym_LT_LT_EQ] = ACTIONS(4446),
    [anon_sym_GT_GT_EQ] = ACTIONS(4446),
    [anon_sym_AMP_EQ] = ACTIONS(4446),
    [anon_sym_CARET_EQ] = ACTIONS(4446),
    [anon_sym_PIPE_EQ] = ACTIONS(4446),
    [anon_sym_and_eq] = ACTIONS(4454),
    [anon_sym_or_eq] = ACTIONS(4454),
    [anon_sym_xor_eq] = ACTIONS(4454),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4454),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4454),
    [anon_sym_not_eq] = ACTIONS(4454),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
  },
  [2294] = {
    [sym_identifier] = ACTIONS(3475),
    [aux_sym_preproc_def_token1] = ACTIONS(3475),
    [aux_sym_preproc_if_token1] = ACTIONS(3475),
    [aux_sym_preproc_if_token2] = ACTIONS(3475),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3475),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3475),
    [aux_sym_preproc_else_token1] = ACTIONS(3475),
    [aux_sym_preproc_elif_token1] = ACTIONS(3475),
    [sym_preproc_directive] = ACTIONS(3475),
    [anon_sym_LPAREN2] = ACTIONS(3477),
    [anon_sym_TILDE] = ACTIONS(3477),
    [anon_sym_STAR] = ACTIONS(3477),
    [anon_sym_AMP_AMP] = ACTIONS(3477),
    [anon_sym_AMP] = ACTIONS(3475),
    [anon_sym___extension__] = ACTIONS(3475),
    [anon_sym_typedef] = ACTIONS(3475),
    [anon_sym_extern] = ACTIONS(3475),
    [anon_sym___attribute__] = ACTIONS(3475),
    [anon_sym_COLON_COLON] = ACTIONS(3477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3477),
    [anon_sym___declspec] = ACTIONS(3475),
    [anon_sym___based] = ACTIONS(3475),
    [anon_sym_signed] = ACTIONS(3475),
    [anon_sym_unsigned] = ACTIONS(3475),
    [anon_sym_long] = ACTIONS(3475),
    [anon_sym_short] = ACTIONS(3475),
    [anon_sym_LBRACK] = ACTIONS(3475),
    [anon_sym_static] = ACTIONS(3475),
    [anon_sym_register] = ACTIONS(3475),
    [anon_sym_inline] = ACTIONS(3475),
    [anon_sym___inline] = ACTIONS(3475),
    [anon_sym___inline__] = ACTIONS(3475),
    [anon_sym___forceinline] = ACTIONS(3475),
    [anon_sym_thread_local] = ACTIONS(3475),
    [anon_sym___thread] = ACTIONS(3475),
    [anon_sym_const] = ACTIONS(3475),
    [anon_sym_constexpr] = ACTIONS(3475),
    [anon_sym_volatile] = ACTIONS(3475),
    [anon_sym_restrict] = ACTIONS(3475),
    [anon_sym___restrict__] = ACTIONS(3475),
    [anon_sym__Atomic] = ACTIONS(3475),
    [anon_sym__Noreturn] = ACTIONS(3475),
    [anon_sym_noreturn] = ACTIONS(3475),
    [anon_sym_mutable] = ACTIONS(3475),
    [anon_sym_constinit] = ACTIONS(3475),
    [anon_sym_consteval] = ACTIONS(3475),
    [anon_sym_PROGMEM] = ACTIONS(3475),
    [aux_sym_primitive_type_token1] = ACTIONS(3475),
    [anon_sym_byte] = ACTIONS(3475),
    [anon_sym_word] = ACTIONS(3475),
    [anon_sym_enum] = ACTIONS(3475),
    [anon_sym_class] = ACTIONS(3475),
    [anon_sym_struct] = ACTIONS(3475),
    [anon_sym_union] = ACTIONS(3475),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3475),
    [anon_sym_decltype] = ACTIONS(3475),
    [anon_sym_virtual] = ACTIONS(3475),
    [anon_sym_alignas] = ACTIONS(3475),
    [anon_sym_explicit] = ACTIONS(3475),
    [anon_sym_typename] = ACTIONS(3475),
    [anon_sym_template] = ACTIONS(3475),
    [anon_sym_operator] = ACTIONS(3475),
    [anon_sym_friend] = ACTIONS(3475),
    [anon_sym_public] = ACTIONS(3475),
    [anon_sym_private] = ACTIONS(3475),
    [anon_sym_protected] = ACTIONS(3475),
    [anon_sym_using] = ACTIONS(3475),
    [anon_sym_static_assert] = ACTIONS(3475),
  },
  [2295] = {
    [sym_identifier] = ACTIONS(3427),
    [aux_sym_preproc_def_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token2] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3427),
    [aux_sym_preproc_else_token1] = ACTIONS(3427),
    [aux_sym_preproc_elif_token1] = ACTIONS(3427),
    [sym_preproc_directive] = ACTIONS(3427),
    [anon_sym_LPAREN2] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_STAR] = ACTIONS(3429),
    [anon_sym_AMP_AMP] = ACTIONS(3429),
    [anon_sym_AMP] = ACTIONS(3427),
    [anon_sym___extension__] = ACTIONS(3427),
    [anon_sym_typedef] = ACTIONS(3427),
    [anon_sym_extern] = ACTIONS(3427),
    [anon_sym___attribute__] = ACTIONS(3427),
    [anon_sym_COLON_COLON] = ACTIONS(3429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3429),
    [anon_sym___declspec] = ACTIONS(3427),
    [anon_sym___based] = ACTIONS(3427),
    [anon_sym_signed] = ACTIONS(3427),
    [anon_sym_unsigned] = ACTIONS(3427),
    [anon_sym_long] = ACTIONS(3427),
    [anon_sym_short] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_register] = ACTIONS(3427),
    [anon_sym_inline] = ACTIONS(3427),
    [anon_sym___inline] = ACTIONS(3427),
    [anon_sym___inline__] = ACTIONS(3427),
    [anon_sym___forceinline] = ACTIONS(3427),
    [anon_sym_thread_local] = ACTIONS(3427),
    [anon_sym___thread] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_constexpr] = ACTIONS(3427),
    [anon_sym_volatile] = ACTIONS(3427),
    [anon_sym_restrict] = ACTIONS(3427),
    [anon_sym___restrict__] = ACTIONS(3427),
    [anon_sym__Atomic] = ACTIONS(3427),
    [anon_sym__Noreturn] = ACTIONS(3427),
    [anon_sym_noreturn] = ACTIONS(3427),
    [anon_sym_mutable] = ACTIONS(3427),
    [anon_sym_constinit] = ACTIONS(3427),
    [anon_sym_consteval] = ACTIONS(3427),
    [anon_sym_PROGMEM] = ACTIONS(3427),
    [aux_sym_primitive_type_token1] = ACTIONS(3427),
    [anon_sym_byte] = ACTIONS(3427),
    [anon_sym_word] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3427),
    [anon_sym_union] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3427),
    [anon_sym_decltype] = ACTIONS(3427),
    [anon_sym_virtual] = ACTIONS(3427),
    [anon_sym_alignas] = ACTIONS(3427),
    [anon_sym_explicit] = ACTIONS(3427),
    [anon_sym_typename] = ACTIONS(3427),
    [anon_sym_template] = ACTIONS(3427),
    [anon_sym_operator] = ACTIONS(3427),
    [anon_sym_friend] = ACTIONS(3427),
    [anon_sym_public] = ACTIONS(3427),
    [anon_sym_private] = ACTIONS(3427),
    [anon_sym_protected] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_static_assert] = ACTIONS(3427),
  },
  [2296] = {
    [sym_identifier] = ACTIONS(3427),
    [aux_sym_preproc_def_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token2] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3427),
    [aux_sym_preproc_else_token1] = ACTIONS(3427),
    [aux_sym_preproc_elif_token1] = ACTIONS(3427),
    [sym_preproc_directive] = ACTIONS(3427),
    [anon_sym_LPAREN2] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_STAR] = ACTIONS(3429),
    [anon_sym_AMP_AMP] = ACTIONS(3429),
    [anon_sym_AMP] = ACTIONS(3427),
    [anon_sym___extension__] = ACTIONS(3427),
    [anon_sym_typedef] = ACTIONS(3427),
    [anon_sym_extern] = ACTIONS(3427),
    [anon_sym___attribute__] = ACTIONS(3427),
    [anon_sym_COLON_COLON] = ACTIONS(3429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3429),
    [anon_sym___declspec] = ACTIONS(3427),
    [anon_sym___based] = ACTIONS(3427),
    [anon_sym_signed] = ACTIONS(3427),
    [anon_sym_unsigned] = ACTIONS(3427),
    [anon_sym_long] = ACTIONS(3427),
    [anon_sym_short] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_register] = ACTIONS(3427),
    [anon_sym_inline] = ACTIONS(3427),
    [anon_sym___inline] = ACTIONS(3427),
    [anon_sym___inline__] = ACTIONS(3427),
    [anon_sym___forceinline] = ACTIONS(3427),
    [anon_sym_thread_local] = ACTIONS(3427),
    [anon_sym___thread] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_constexpr] = ACTIONS(3427),
    [anon_sym_volatile] = ACTIONS(3427),
    [anon_sym_restrict] = ACTIONS(3427),
    [anon_sym___restrict__] = ACTIONS(3427),
    [anon_sym__Atomic] = ACTIONS(3427),
    [anon_sym__Noreturn] = ACTIONS(3427),
    [anon_sym_noreturn] = ACTIONS(3427),
    [anon_sym_mutable] = ACTIONS(3427),
    [anon_sym_constinit] = ACTIONS(3427),
    [anon_sym_consteval] = ACTIONS(3427),
    [anon_sym_PROGMEM] = ACTIONS(3427),
    [aux_sym_primitive_type_token1] = ACTIONS(3427),
    [anon_sym_byte] = ACTIONS(3427),
    [anon_sym_word] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3427),
    [anon_sym_union] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3427),
    [anon_sym_decltype] = ACTIONS(3427),
    [anon_sym_virtual] = ACTIONS(3427),
    [anon_sym_alignas] = ACTIONS(3427),
    [anon_sym_explicit] = ACTIONS(3427),
    [anon_sym_typename] = ACTIONS(3427),
    [anon_sym_template] = ACTIONS(3427),
    [anon_sym_operator] = ACTIONS(3427),
    [anon_sym_friend] = ACTIONS(3427),
    [anon_sym_public] = ACTIONS(3427),
    [anon_sym_private] = ACTIONS(3427),
    [anon_sym_protected] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_static_assert] = ACTIONS(3427),
  },
  [2297] = {
    [sym_identifier] = ACTIONS(2261),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [aux_sym_preproc_if_token1] = ACTIONS(2261),
    [aux_sym_preproc_if_token2] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2261),
    [anon_sym_LPAREN2] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym___extension__] = ACTIONS(2261),
    [anon_sym_typedef] = ACTIONS(2261),
    [anon_sym_extern] = ACTIONS(2261),
    [anon_sym___attribute__] = ACTIONS(2261),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2259),
    [anon_sym___declspec] = ACTIONS(2261),
    [anon_sym___based] = ACTIONS(2261),
    [anon_sym_signed] = ACTIONS(2261),
    [anon_sym_unsigned] = ACTIONS(2261),
    [anon_sym_long] = ACTIONS(2261),
    [anon_sym_short] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_register] = ACTIONS(2261),
    [anon_sym_inline] = ACTIONS(2261),
    [anon_sym___inline] = ACTIONS(2261),
    [anon_sym___inline__] = ACTIONS(2261),
    [anon_sym___forceinline] = ACTIONS(2261),
    [anon_sym_thread_local] = ACTIONS(2261),
    [anon_sym___thread] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_constexpr] = ACTIONS(2261),
    [anon_sym_volatile] = ACTIONS(2261),
    [anon_sym_restrict] = ACTIONS(2261),
    [anon_sym___restrict__] = ACTIONS(2261),
    [anon_sym__Atomic] = ACTIONS(2261),
    [anon_sym__Noreturn] = ACTIONS(2261),
    [anon_sym_noreturn] = ACTIONS(2261),
    [anon_sym_mutable] = ACTIONS(2261),
    [anon_sym_constinit] = ACTIONS(2261),
    [anon_sym_consteval] = ACTIONS(2261),
    [anon_sym_PROGMEM] = ACTIONS(2261),
    [aux_sym_primitive_type_token1] = ACTIONS(2261),
    [anon_sym_byte] = ACTIONS(2261),
    [anon_sym_word] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_struct] = ACTIONS(2261),
    [anon_sym_union] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2261),
    [anon_sym_decltype] = ACTIONS(2261),
    [anon_sym_virtual] = ACTIONS(2261),
    [anon_sym_alignas] = ACTIONS(2261),
    [anon_sym_explicit] = ACTIONS(2261),
    [anon_sym_typename] = ACTIONS(2261),
    [anon_sym_template] = ACTIONS(2261),
    [anon_sym_operator] = ACTIONS(2261),
    [anon_sym_friend] = ACTIONS(2261),
    [anon_sym_public] = ACTIONS(2261),
    [anon_sym_private] = ACTIONS(2261),
    [anon_sym_protected] = ACTIONS(2261),
    [anon_sym_using] = ACTIONS(2261),
    [anon_sym_static_assert] = ACTIONS(2261),
    [anon_sym_catch] = ACTIONS(2261),
  },
  [2298] = {
    [sym_identifier] = ACTIONS(5433),
    [aux_sym_preproc_def_token1] = ACTIONS(5433),
    [aux_sym_preproc_if_token1] = ACTIONS(5433),
    [aux_sym_preproc_if_token2] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5433),
    [aux_sym_preproc_else_token1] = ACTIONS(5433),
    [aux_sym_preproc_elif_token1] = ACTIONS(5433),
    [sym_preproc_directive] = ACTIONS(5433),
    [anon_sym_LPAREN2] = ACTIONS(5435),
    [anon_sym_TILDE] = ACTIONS(5435),
    [anon_sym_STAR] = ACTIONS(5435),
    [anon_sym_AMP_AMP] = ACTIONS(5435),
    [anon_sym_AMP] = ACTIONS(5433),
    [anon_sym___extension__] = ACTIONS(5433),
    [anon_sym_typedef] = ACTIONS(5433),
    [anon_sym_extern] = ACTIONS(5433),
    [anon_sym___attribute__] = ACTIONS(5433),
    [anon_sym_COLON_COLON] = ACTIONS(5435),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5435),
    [anon_sym___declspec] = ACTIONS(5433),
    [anon_sym___based] = ACTIONS(5433),
    [anon_sym_signed] = ACTIONS(5433),
    [anon_sym_unsigned] = ACTIONS(5433),
    [anon_sym_long] = ACTIONS(5433),
    [anon_sym_short] = ACTIONS(5433),
    [anon_sym_LBRACK] = ACTIONS(5433),
    [anon_sym_static] = ACTIONS(5433),
    [anon_sym_register] = ACTIONS(5433),
    [anon_sym_inline] = ACTIONS(5433),
    [anon_sym___inline] = ACTIONS(5433),
    [anon_sym___inline__] = ACTIONS(5433),
    [anon_sym___forceinline] = ACTIONS(5433),
    [anon_sym_thread_local] = ACTIONS(5433),
    [anon_sym___thread] = ACTIONS(5433),
    [anon_sym_const] = ACTIONS(5433),
    [anon_sym_constexpr] = ACTIONS(5433),
    [anon_sym_volatile] = ACTIONS(5433),
    [anon_sym_restrict] = ACTIONS(5433),
    [anon_sym___restrict__] = ACTIONS(5433),
    [anon_sym__Atomic] = ACTIONS(5433),
    [anon_sym__Noreturn] = ACTIONS(5433),
    [anon_sym_noreturn] = ACTIONS(5433),
    [anon_sym_mutable] = ACTIONS(5433),
    [anon_sym_constinit] = ACTIONS(5433),
    [anon_sym_consteval] = ACTIONS(5433),
    [anon_sym_PROGMEM] = ACTIONS(5433),
    [aux_sym_primitive_type_token1] = ACTIONS(5433),
    [anon_sym_byte] = ACTIONS(5433),
    [anon_sym_word] = ACTIONS(5433),
    [anon_sym_enum] = ACTIONS(5433),
    [anon_sym_class] = ACTIONS(5433),
    [anon_sym_struct] = ACTIONS(5433),
    [anon_sym_union] = ACTIONS(5433),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5433),
    [anon_sym_decltype] = ACTIONS(5433),
    [anon_sym_virtual] = ACTIONS(5433),
    [anon_sym_alignas] = ACTIONS(5433),
    [anon_sym_explicit] = ACTIONS(5433),
    [anon_sym_typename] = ACTIONS(5433),
    [anon_sym_template] = ACTIONS(5433),
    [anon_sym_operator] = ACTIONS(5433),
    [anon_sym_friend] = ACTIONS(5433),
    [anon_sym_public] = ACTIONS(5433),
    [anon_sym_private] = ACTIONS(5433),
    [anon_sym_protected] = ACTIONS(5433),
    [anon_sym_using] = ACTIONS(5433),
    [anon_sym_static_assert] = ACTIONS(5433),
  },
  [2299] = {
    [sym_identifier] = ACTIONS(5509),
    [aux_sym_preproc_def_token1] = ACTIONS(5509),
    [aux_sym_preproc_if_token1] = ACTIONS(5509),
    [aux_sym_preproc_if_token2] = ACTIONS(5509),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5509),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5509),
    [aux_sym_preproc_else_token1] = ACTIONS(5509),
    [aux_sym_preproc_elif_token1] = ACTIONS(5509),
    [sym_preproc_directive] = ACTIONS(5509),
    [anon_sym_LPAREN2] = ACTIONS(5511),
    [anon_sym_TILDE] = ACTIONS(5511),
    [anon_sym_STAR] = ACTIONS(5511),
    [anon_sym_AMP_AMP] = ACTIONS(5511),
    [anon_sym_AMP] = ACTIONS(5509),
    [anon_sym___extension__] = ACTIONS(5509),
    [anon_sym_typedef] = ACTIONS(5509),
    [anon_sym_extern] = ACTIONS(5509),
    [anon_sym___attribute__] = ACTIONS(5509),
    [anon_sym_COLON_COLON] = ACTIONS(5511),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5511),
    [anon_sym___declspec] = ACTIONS(5509),
    [anon_sym___based] = ACTIONS(5509),
    [anon_sym_signed] = ACTIONS(5509),
    [anon_sym_unsigned] = ACTIONS(5509),
    [anon_sym_long] = ACTIONS(5509),
    [anon_sym_short] = ACTIONS(5509),
    [anon_sym_LBRACK] = ACTIONS(5509),
    [anon_sym_static] = ACTIONS(5509),
    [anon_sym_register] = ACTIONS(5509),
    [anon_sym_inline] = ACTIONS(5509),
    [anon_sym___inline] = ACTIONS(5509),
    [anon_sym___inline__] = ACTIONS(5509),
    [anon_sym___forceinline] = ACTIONS(5509),
    [anon_sym_thread_local] = ACTIONS(5509),
    [anon_sym___thread] = ACTIONS(5509),
    [anon_sym_const] = ACTIONS(5509),
    [anon_sym_constexpr] = ACTIONS(5509),
    [anon_sym_volatile] = ACTIONS(5509),
    [anon_sym_restrict] = ACTIONS(5509),
    [anon_sym___restrict__] = ACTIONS(5509),
    [anon_sym__Atomic] = ACTIONS(5509),
    [anon_sym__Noreturn] = ACTIONS(5509),
    [anon_sym_noreturn] = ACTIONS(5509),
    [anon_sym_mutable] = ACTIONS(5509),
    [anon_sym_constinit] = ACTIONS(5509),
    [anon_sym_consteval] = ACTIONS(5509),
    [anon_sym_PROGMEM] = ACTIONS(5509),
    [aux_sym_primitive_type_token1] = ACTIONS(5509),
    [anon_sym_byte] = ACTIONS(5509),
    [anon_sym_word] = ACTIONS(5509),
    [anon_sym_enum] = ACTIONS(5509),
    [anon_sym_class] = ACTIONS(5509),
    [anon_sym_struct] = ACTIONS(5509),
    [anon_sym_union] = ACTIONS(5509),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5509),
    [anon_sym_decltype] = ACTIONS(5509),
    [anon_sym_virtual] = ACTIONS(5509),
    [anon_sym_alignas] = ACTIONS(5509),
    [anon_sym_explicit] = ACTIONS(5509),
    [anon_sym_typename] = ACTIONS(5509),
    [anon_sym_template] = ACTIONS(5509),
    [anon_sym_operator] = ACTIONS(5509),
    [anon_sym_friend] = ACTIONS(5509),
    [anon_sym_public] = ACTIONS(5509),
    [anon_sym_private] = ACTIONS(5509),
    [anon_sym_protected] = ACTIONS(5509),
    [anon_sym_using] = ACTIONS(5509),
    [anon_sym_static_assert] = ACTIONS(5509),
  },
  [2300] = {
    [sym_identifier] = ACTIONS(5513),
    [aux_sym_preproc_def_token1] = ACTIONS(5513),
    [aux_sym_preproc_if_token1] = ACTIONS(5513),
    [aux_sym_preproc_if_token2] = ACTIONS(5513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5513),
    [aux_sym_preproc_else_token1] = ACTIONS(5513),
    [aux_sym_preproc_elif_token1] = ACTIONS(5513),
    [sym_preproc_directive] = ACTIONS(5513),
    [anon_sym_LPAREN2] = ACTIONS(5515),
    [anon_sym_TILDE] = ACTIONS(5515),
    [anon_sym_STAR] = ACTIONS(5515),
    [anon_sym_AMP_AMP] = ACTIONS(5515),
    [anon_sym_AMP] = ACTIONS(5513),
    [anon_sym___extension__] = ACTIONS(5513),
    [anon_sym_typedef] = ACTIONS(5513),
    [anon_sym_extern] = ACTIONS(5513),
    [anon_sym___attribute__] = ACTIONS(5513),
    [anon_sym_COLON_COLON] = ACTIONS(5515),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5515),
    [anon_sym___declspec] = ACTIONS(5513),
    [anon_sym___based] = ACTIONS(5513),
    [anon_sym_signed] = ACTIONS(5513),
    [anon_sym_unsigned] = ACTIONS(5513),
    [anon_sym_long] = ACTIONS(5513),
    [anon_sym_short] = ACTIONS(5513),
    [anon_sym_LBRACK] = ACTIONS(5513),
    [anon_sym_static] = ACTIONS(5513),
    [anon_sym_register] = ACTIONS(5513),
    [anon_sym_inline] = ACTIONS(5513),
    [anon_sym___inline] = ACTIONS(5513),
    [anon_sym___inline__] = ACTIONS(5513),
    [anon_sym___forceinline] = ACTIONS(5513),
    [anon_sym_thread_local] = ACTIONS(5513),
    [anon_sym___thread] = ACTIONS(5513),
    [anon_sym_const] = ACTIONS(5513),
    [anon_sym_constexpr] = ACTIONS(5513),
    [anon_sym_volatile] = ACTIONS(5513),
    [anon_sym_restrict] = ACTIONS(5513),
    [anon_sym___restrict__] = ACTIONS(5513),
    [anon_sym__Atomic] = ACTIONS(5513),
    [anon_sym__Noreturn] = ACTIONS(5513),
    [anon_sym_noreturn] = ACTIONS(5513),
    [anon_sym_mutable] = ACTIONS(5513),
    [anon_sym_constinit] = ACTIONS(5513),
    [anon_sym_consteval] = ACTIONS(5513),
    [anon_sym_PROGMEM] = ACTIONS(5513),
    [aux_sym_primitive_type_token1] = ACTIONS(5513),
    [anon_sym_byte] = ACTIONS(5513),
    [anon_sym_word] = ACTIONS(5513),
    [anon_sym_enum] = ACTIONS(5513),
    [anon_sym_class] = ACTIONS(5513),
    [anon_sym_struct] = ACTIONS(5513),
    [anon_sym_union] = ACTIONS(5513),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5513),
    [anon_sym_decltype] = ACTIONS(5513),
    [anon_sym_virtual] = ACTIONS(5513),
    [anon_sym_alignas] = ACTIONS(5513),
    [anon_sym_explicit] = ACTIONS(5513),
    [anon_sym_typename] = ACTIONS(5513),
    [anon_sym_template] = ACTIONS(5513),
    [anon_sym_operator] = ACTIONS(5513),
    [anon_sym_friend] = ACTIONS(5513),
    [anon_sym_public] = ACTIONS(5513),
    [anon_sym_private] = ACTIONS(5513),
    [anon_sym_protected] = ACTIONS(5513),
    [anon_sym_using] = ACTIONS(5513),
    [anon_sym_static_assert] = ACTIONS(5513),
  },
  [2301] = {
    [sym_identifier] = ACTIONS(3413),
    [aux_sym_preproc_def_token1] = ACTIONS(3413),
    [aux_sym_preproc_if_token1] = ACTIONS(3413),
    [aux_sym_preproc_if_token2] = ACTIONS(3413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3413),
    [aux_sym_preproc_else_token1] = ACTIONS(3413),
    [aux_sym_preproc_elif_token1] = ACTIONS(3413),
    [sym_preproc_directive] = ACTIONS(3413),
    [anon_sym_LPAREN2] = ACTIONS(3415),
    [anon_sym_TILDE] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3415),
    [anon_sym_AMP_AMP] = ACTIONS(3415),
    [anon_sym_AMP] = ACTIONS(3413),
    [anon_sym___extension__] = ACTIONS(3413),
    [anon_sym_typedef] = ACTIONS(3413),
    [anon_sym_extern] = ACTIONS(3413),
    [anon_sym___attribute__] = ACTIONS(3413),
    [anon_sym_COLON_COLON] = ACTIONS(3415),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3415),
    [anon_sym___declspec] = ACTIONS(3413),
    [anon_sym___based] = ACTIONS(3413),
    [anon_sym_signed] = ACTIONS(3413),
    [anon_sym_unsigned] = ACTIONS(3413),
    [anon_sym_long] = ACTIONS(3413),
    [anon_sym_short] = ACTIONS(3413),
    [anon_sym_LBRACK] = ACTIONS(3413),
    [anon_sym_static] = ACTIONS(3413),
    [anon_sym_register] = ACTIONS(3413),
    [anon_sym_inline] = ACTIONS(3413),
    [anon_sym___inline] = ACTIONS(3413),
    [anon_sym___inline__] = ACTIONS(3413),
    [anon_sym___forceinline] = ACTIONS(3413),
    [anon_sym_thread_local] = ACTIONS(3413),
    [anon_sym___thread] = ACTIONS(3413),
    [anon_sym_const] = ACTIONS(3413),
    [anon_sym_constexpr] = ACTIONS(3413),
    [anon_sym_volatile] = ACTIONS(3413),
    [anon_sym_restrict] = ACTIONS(3413),
    [anon_sym___restrict__] = ACTIONS(3413),
    [anon_sym__Atomic] = ACTIONS(3413),
    [anon_sym__Noreturn] = ACTIONS(3413),
    [anon_sym_noreturn] = ACTIONS(3413),
    [anon_sym_mutable] = ACTIONS(3413),
    [anon_sym_constinit] = ACTIONS(3413),
    [anon_sym_consteval] = ACTIONS(3413),
    [anon_sym_PROGMEM] = ACTIONS(3413),
    [aux_sym_primitive_type_token1] = ACTIONS(3413),
    [anon_sym_byte] = ACTIONS(3413),
    [anon_sym_word] = ACTIONS(3413),
    [anon_sym_enum] = ACTIONS(3413),
    [anon_sym_class] = ACTIONS(3413),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3413),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3413),
    [anon_sym_decltype] = ACTIONS(3413),
    [anon_sym_virtual] = ACTIONS(3413),
    [anon_sym_alignas] = ACTIONS(3413),
    [anon_sym_explicit] = ACTIONS(3413),
    [anon_sym_typename] = ACTIONS(3413),
    [anon_sym_template] = ACTIONS(3413),
    [anon_sym_operator] = ACTIONS(3413),
    [anon_sym_friend] = ACTIONS(3413),
    [anon_sym_public] = ACTIONS(3413),
    [anon_sym_private] = ACTIONS(3413),
    [anon_sym_protected] = ACTIONS(3413),
    [anon_sym_using] = ACTIONS(3413),
    [anon_sym_static_assert] = ACTIONS(3413),
  },
  [2302] = {
    [sym_identifier] = ACTIONS(3409),
    [aux_sym_preproc_def_token1] = ACTIONS(3409),
    [aux_sym_preproc_if_token1] = ACTIONS(3409),
    [aux_sym_preproc_if_token2] = ACTIONS(3409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3409),
    [aux_sym_preproc_else_token1] = ACTIONS(3409),
    [aux_sym_preproc_elif_token1] = ACTIONS(3409),
    [sym_preproc_directive] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_TILDE] = ACTIONS(3411),
    [anon_sym_STAR] = ACTIONS(3411),
    [anon_sym_AMP_AMP] = ACTIONS(3411),
    [anon_sym_AMP] = ACTIONS(3409),
    [anon_sym___extension__] = ACTIONS(3409),
    [anon_sym_typedef] = ACTIONS(3409),
    [anon_sym_extern] = ACTIONS(3409),
    [anon_sym___attribute__] = ACTIONS(3409),
    [anon_sym_COLON_COLON] = ACTIONS(3411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3411),
    [anon_sym___declspec] = ACTIONS(3409),
    [anon_sym___based] = ACTIONS(3409),
    [anon_sym_signed] = ACTIONS(3409),
    [anon_sym_unsigned] = ACTIONS(3409),
    [anon_sym_long] = ACTIONS(3409),
    [anon_sym_short] = ACTIONS(3409),
    [anon_sym_LBRACK] = ACTIONS(3409),
    [anon_sym_static] = ACTIONS(3409),
    [anon_sym_register] = ACTIONS(3409),
    [anon_sym_inline] = ACTIONS(3409),
    [anon_sym___inline] = ACTIONS(3409),
    [anon_sym___inline__] = ACTIONS(3409),
    [anon_sym___forceinline] = ACTIONS(3409),
    [anon_sym_thread_local] = ACTIONS(3409),
    [anon_sym___thread] = ACTIONS(3409),
    [anon_sym_const] = ACTIONS(3409),
    [anon_sym_constexpr] = ACTIONS(3409),
    [anon_sym_volatile] = ACTIONS(3409),
    [anon_sym_restrict] = ACTIONS(3409),
    [anon_sym___restrict__] = ACTIONS(3409),
    [anon_sym__Atomic] = ACTIONS(3409),
    [anon_sym__Noreturn] = ACTIONS(3409),
    [anon_sym_noreturn] = ACTIONS(3409),
    [anon_sym_mutable] = ACTIONS(3409),
    [anon_sym_constinit] = ACTIONS(3409),
    [anon_sym_consteval] = ACTIONS(3409),
    [anon_sym_PROGMEM] = ACTIONS(3409),
    [aux_sym_primitive_type_token1] = ACTIONS(3409),
    [anon_sym_byte] = ACTIONS(3409),
    [anon_sym_word] = ACTIONS(3409),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3409),
    [anon_sym_struct] = ACTIONS(3409),
    [anon_sym_union] = ACTIONS(3409),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3409),
    [anon_sym_decltype] = ACTIONS(3409),
    [anon_sym_virtual] = ACTIONS(3409),
    [anon_sym_alignas] = ACTIONS(3409),
    [anon_sym_explicit] = ACTIONS(3409),
    [anon_sym_typename] = ACTIONS(3409),
    [anon_sym_template] = ACTIONS(3409),
    [anon_sym_operator] = ACTIONS(3409),
    [anon_sym_friend] = ACTIONS(3409),
    [anon_sym_public] = ACTIONS(3409),
    [anon_sym_private] = ACTIONS(3409),
    [anon_sym_protected] = ACTIONS(3409),
    [anon_sym_using] = ACTIONS(3409),
    [anon_sym_static_assert] = ACTIONS(3409),
  },
  [2303] = {
    [sym_string_literal] = STATE(2043),
    [sym_raw_string_literal] = STATE(2043),
    [sym_identifier] = ACTIONS(4454),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [aux_sym_preproc_if_token2] = ACTIONS(4446),
    [aux_sym_preproc_else_token1] = ACTIONS(4446),
    [aux_sym_preproc_elif_token1] = ACTIONS(4454),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4446),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(4454),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(4454),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4446),
    [anon_sym_SLASH_EQ] = ACTIONS(4446),
    [anon_sym_PERCENT_EQ] = ACTIONS(4446),
    [anon_sym_PLUS_EQ] = ACTIONS(4446),
    [anon_sym_DASH_EQ] = ACTIONS(4446),
    [anon_sym_LT_LT_EQ] = ACTIONS(4446),
    [anon_sym_GT_GT_EQ] = ACTIONS(4446),
    [anon_sym_AMP_EQ] = ACTIONS(4446),
    [anon_sym_CARET_EQ] = ACTIONS(4446),
    [anon_sym_PIPE_EQ] = ACTIONS(4446),
    [anon_sym_and_eq] = ACTIONS(4454),
    [anon_sym_or_eq] = ACTIONS(4454),
    [anon_sym_xor_eq] = ACTIONS(4454),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4454),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4454),
    [anon_sym_not_eq] = ACTIONS(4454),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [sym_literal_suffix] = ACTIONS(5802),
  },
  [2304] = {
    [sym_string_literal] = STATE(2043),
    [sym_raw_string_literal] = STATE(2043),
    [sym_identifier] = ACTIONS(5804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5806),
    [anon_sym_COMMA] = ACTIONS(5806),
    [aux_sym_preproc_if_token2] = ACTIONS(5806),
    [aux_sym_preproc_else_token1] = ACTIONS(5806),
    [aux_sym_preproc_elif_token1] = ACTIONS(5804),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5806),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5806),
    [anon_sym_LPAREN2] = ACTIONS(5806),
    [anon_sym_DASH] = ACTIONS(5804),
    [anon_sym_PLUS] = ACTIONS(5804),
    [anon_sym_STAR] = ACTIONS(5804),
    [anon_sym_SLASH] = ACTIONS(5804),
    [anon_sym_PERCENT] = ACTIONS(5804),
    [anon_sym_PIPE_PIPE] = ACTIONS(5806),
    [anon_sym_AMP_AMP] = ACTIONS(5806),
    [anon_sym_PIPE] = ACTIONS(5804),
    [anon_sym_CARET] = ACTIONS(5804),
    [anon_sym_AMP] = ACTIONS(5804),
    [anon_sym_EQ_EQ] = ACTIONS(5806),
    [anon_sym_BANG_EQ] = ACTIONS(5806),
    [anon_sym_GT] = ACTIONS(5804),
    [anon_sym_GT_EQ] = ACTIONS(5806),
    [anon_sym_LT_EQ] = ACTIONS(5804),
    [anon_sym_LT] = ACTIONS(5804),
    [anon_sym_LT_LT] = ACTIONS(5804),
    [anon_sym_GT_GT] = ACTIONS(5804),
    [anon_sym_LBRACK] = ACTIONS(5806),
    [anon_sym_EQ] = ACTIONS(5804),
    [anon_sym_QMARK] = ACTIONS(5806),
    [anon_sym_STAR_EQ] = ACTIONS(5806),
    [anon_sym_SLASH_EQ] = ACTIONS(5806),
    [anon_sym_PERCENT_EQ] = ACTIONS(5806),
    [anon_sym_PLUS_EQ] = ACTIONS(5806),
    [anon_sym_DASH_EQ] = ACTIONS(5806),
    [anon_sym_LT_LT_EQ] = ACTIONS(5806),
    [anon_sym_GT_GT_EQ] = ACTIONS(5806),
    [anon_sym_AMP_EQ] = ACTIONS(5806),
    [anon_sym_CARET_EQ] = ACTIONS(5806),
    [anon_sym_PIPE_EQ] = ACTIONS(5806),
    [anon_sym_and_eq] = ACTIONS(5804),
    [anon_sym_or_eq] = ACTIONS(5804),
    [anon_sym_xor_eq] = ACTIONS(5804),
    [anon_sym_LT_EQ_GT] = ACTIONS(5806),
    [anon_sym_or] = ACTIONS(5804),
    [anon_sym_and] = ACTIONS(5804),
    [anon_sym_bitor] = ACTIONS(5804),
    [anon_sym_xor] = ACTIONS(5804),
    [anon_sym_bitand] = ACTIONS(5804),
    [anon_sym_not_eq] = ACTIONS(5804),
    [anon_sym_DASH_DASH] = ACTIONS(5806),
    [anon_sym_PLUS_PLUS] = ACTIONS(5806),
    [anon_sym_DOT] = ACTIONS(5804),
    [anon_sym_DOT_STAR] = ACTIONS(5806),
    [anon_sym_DASH_GT] = ACTIONS(5806),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [sym_literal_suffix] = ACTIONS(5802),
  },
  [2305] = {
    [sym_identifier] = ACTIONS(2265),
    [aux_sym_preproc_def_token1] = ACTIONS(2265),
    [aux_sym_preproc_if_token1] = ACTIONS(2265),
    [aux_sym_preproc_if_token2] = ACTIONS(2265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2265),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2265),
    [sym_preproc_directive] = ACTIONS(2265),
    [anon_sym_LPAREN2] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [anon_sym_STAR] = ACTIONS(2263),
    [anon_sym_AMP_AMP] = ACTIONS(2263),
    [anon_sym_AMP] = ACTIONS(2265),
    [anon_sym_SEMI] = ACTIONS(2263),
    [anon_sym___extension__] = ACTIONS(2265),
    [anon_sym_typedef] = ACTIONS(2265),
    [anon_sym_extern] = ACTIONS(2265),
    [anon_sym___attribute__] = ACTIONS(2265),
    [anon_sym_COLON_COLON] = ACTIONS(2263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2263),
    [anon_sym___declspec] = ACTIONS(2265),
    [anon_sym___based] = ACTIONS(2265),
    [anon_sym_signed] = ACTIONS(2265),
    [anon_sym_unsigned] = ACTIONS(2265),
    [anon_sym_long] = ACTIONS(2265),
    [anon_sym_short] = ACTIONS(2265),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_static] = ACTIONS(2265),
    [anon_sym_register] = ACTIONS(2265),
    [anon_sym_inline] = ACTIONS(2265),
    [anon_sym___inline] = ACTIONS(2265),
    [anon_sym___inline__] = ACTIONS(2265),
    [anon_sym___forceinline] = ACTIONS(2265),
    [anon_sym_thread_local] = ACTIONS(2265),
    [anon_sym___thread] = ACTIONS(2265),
    [anon_sym_const] = ACTIONS(2265),
    [anon_sym_constexpr] = ACTIONS(2265),
    [anon_sym_volatile] = ACTIONS(2265),
    [anon_sym_restrict] = ACTIONS(2265),
    [anon_sym___restrict__] = ACTIONS(2265),
    [anon_sym__Atomic] = ACTIONS(2265),
    [anon_sym__Noreturn] = ACTIONS(2265),
    [anon_sym_noreturn] = ACTIONS(2265),
    [anon_sym_mutable] = ACTIONS(2265),
    [anon_sym_constinit] = ACTIONS(2265),
    [anon_sym_consteval] = ACTIONS(2265),
    [anon_sym_PROGMEM] = ACTIONS(2265),
    [aux_sym_primitive_type_token1] = ACTIONS(2265),
    [anon_sym_byte] = ACTIONS(2265),
    [anon_sym_word] = ACTIONS(2265),
    [anon_sym_enum] = ACTIONS(2265),
    [anon_sym_class] = ACTIONS(2265),
    [anon_sym_struct] = ACTIONS(2265),
    [anon_sym_union] = ACTIONS(2265),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2265),
    [anon_sym_decltype] = ACTIONS(2265),
    [anon_sym_virtual] = ACTIONS(2265),
    [anon_sym_alignas] = ACTIONS(2265),
    [anon_sym_explicit] = ACTIONS(2265),
    [anon_sym_typename] = ACTIONS(2265),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_operator] = ACTIONS(2265),
    [anon_sym_friend] = ACTIONS(2265),
    [anon_sym_public] = ACTIONS(2265),
    [anon_sym_private] = ACTIONS(2265),
    [anon_sym_protected] = ACTIONS(2265),
    [anon_sym_using] = ACTIONS(2265),
    [anon_sym_static_assert] = ACTIONS(2265),
    [anon_sym_catch] = ACTIONS(2265),
  },
  [2306] = {
    [sym_identifier] = ACTIONS(3184),
    [aux_sym_preproc_def_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token2] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3184),
    [aux_sym_preproc_else_token1] = ACTIONS(3184),
    [aux_sym_preproc_elif_token1] = ACTIONS(3184),
    [sym_preproc_directive] = ACTIONS(3184),
    [anon_sym_LPAREN2] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_AMP_AMP] = ACTIONS(3186),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym___extension__] = ACTIONS(3184),
    [anon_sym_typedef] = ACTIONS(3184),
    [anon_sym_extern] = ACTIONS(3184),
    [anon_sym___attribute__] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3186),
    [anon_sym___declspec] = ACTIONS(3184),
    [anon_sym___based] = ACTIONS(3184),
    [anon_sym_signed] = ACTIONS(3184),
    [anon_sym_unsigned] = ACTIONS(3184),
    [anon_sym_long] = ACTIONS(3184),
    [anon_sym_short] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_register] = ACTIONS(3184),
    [anon_sym_inline] = ACTIONS(3184),
    [anon_sym___inline] = ACTIONS(3184),
    [anon_sym___inline__] = ACTIONS(3184),
    [anon_sym___forceinline] = ACTIONS(3184),
    [anon_sym_thread_local] = ACTIONS(3184),
    [anon_sym___thread] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_constexpr] = ACTIONS(3184),
    [anon_sym_volatile] = ACTIONS(3184),
    [anon_sym_restrict] = ACTIONS(3184),
    [anon_sym___restrict__] = ACTIONS(3184),
    [anon_sym__Atomic] = ACTIONS(3184),
    [anon_sym__Noreturn] = ACTIONS(3184),
    [anon_sym_noreturn] = ACTIONS(3184),
    [anon_sym_mutable] = ACTIONS(3184),
    [anon_sym_constinit] = ACTIONS(3184),
    [anon_sym_consteval] = ACTIONS(3184),
    [anon_sym_PROGMEM] = ACTIONS(3184),
    [aux_sym_primitive_type_token1] = ACTIONS(3184),
    [anon_sym_byte] = ACTIONS(3184),
    [anon_sym_word] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_struct] = ACTIONS(3184),
    [anon_sym_union] = ACTIONS(3184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3184),
    [anon_sym_decltype] = ACTIONS(3184),
    [anon_sym_virtual] = ACTIONS(3184),
    [anon_sym_alignas] = ACTIONS(3184),
    [anon_sym_explicit] = ACTIONS(3184),
    [anon_sym_typename] = ACTIONS(3184),
    [anon_sym_template] = ACTIONS(3184),
    [anon_sym_operator] = ACTIONS(3184),
    [anon_sym_friend] = ACTIONS(3184),
    [anon_sym_public] = ACTIONS(3184),
    [anon_sym_private] = ACTIONS(3184),
    [anon_sym_protected] = ACTIONS(3184),
    [anon_sym_using] = ACTIONS(3184),
    [anon_sym_static_assert] = ACTIONS(3184),
  },
  [2307] = {
    [sym_primitive_type] = STATE(2730),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2397),
    [sym_identifier] = ACTIONS(5808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5555),
    [anon_sym_COMMA] = ACTIONS(5555),
    [aux_sym_preproc_if_token2] = ACTIONS(5555),
    [aux_sym_preproc_else_token1] = ACTIONS(5555),
    [aux_sym_preproc_elif_token1] = ACTIONS(5557),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5555),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5555),
    [anon_sym_LPAREN2] = ACTIONS(5555),
    [anon_sym_DASH] = ACTIONS(5557),
    [anon_sym_PLUS] = ACTIONS(5557),
    [anon_sym_STAR] = ACTIONS(5557),
    [anon_sym_SLASH] = ACTIONS(5557),
    [anon_sym_PERCENT] = ACTIONS(5557),
    [anon_sym_PIPE_PIPE] = ACTIONS(5555),
    [anon_sym_AMP_AMP] = ACTIONS(5555),
    [anon_sym_PIPE] = ACTIONS(5557),
    [anon_sym_CARET] = ACTIONS(5557),
    [anon_sym_AMP] = ACTIONS(5557),
    [anon_sym_EQ_EQ] = ACTIONS(5555),
    [anon_sym_BANG_EQ] = ACTIONS(5555),
    [anon_sym_GT] = ACTIONS(5557),
    [anon_sym_GT_EQ] = ACTIONS(5555),
    [anon_sym_LT_EQ] = ACTIONS(5557),
    [anon_sym_LT] = ACTIONS(5557),
    [anon_sym_LT_LT] = ACTIONS(5557),
    [anon_sym_GT_GT] = ACTIONS(5557),
    [anon_sym___attribute__] = ACTIONS(5557),
    [anon_sym_LBRACE] = ACTIONS(5555),
    [anon_sym_signed] = ACTIONS(5811),
    [anon_sym_unsigned] = ACTIONS(5811),
    [anon_sym_long] = ACTIONS(5811),
    [anon_sym_short] = ACTIONS(5811),
    [anon_sym_LBRACK] = ACTIONS(5555),
    [anon_sym_EQ] = ACTIONS(5557),
    [aux_sym_primitive_type_token1] = ACTIONS(5813),
    [anon_sym_byte] = ACTIONS(5813),
    [anon_sym_word] = ACTIONS(5813),
    [anon_sym_QMARK] = ACTIONS(5555),
    [anon_sym_STAR_EQ] = ACTIONS(5555),
    [anon_sym_SLASH_EQ] = ACTIONS(5555),
    [anon_sym_PERCENT_EQ] = ACTIONS(5555),
    [anon_sym_PLUS_EQ] = ACTIONS(5555),
    [anon_sym_DASH_EQ] = ACTIONS(5555),
    [anon_sym_LT_LT_EQ] = ACTIONS(5555),
    [anon_sym_GT_GT_EQ] = ACTIONS(5555),
    [anon_sym_AMP_EQ] = ACTIONS(5555),
    [anon_sym_CARET_EQ] = ACTIONS(5555),
    [anon_sym_PIPE_EQ] = ACTIONS(5555),
    [anon_sym_and_eq] = ACTIONS(5557),
    [anon_sym_or_eq] = ACTIONS(5557),
    [anon_sym_xor_eq] = ACTIONS(5557),
    [anon_sym_LT_EQ_GT] = ACTIONS(5555),
    [anon_sym_or] = ACTIONS(5557),
    [anon_sym_and] = ACTIONS(5557),
    [anon_sym_bitor] = ACTIONS(5557),
    [anon_sym_xor] = ACTIONS(5557),
    [anon_sym_bitand] = ACTIONS(5557),
    [anon_sym_not_eq] = ACTIONS(5557),
    [anon_sym_DASH_DASH] = ACTIONS(5555),
    [anon_sym_PLUS_PLUS] = ACTIONS(5555),
    [anon_sym_DOT] = ACTIONS(5557),
    [anon_sym_DOT_STAR] = ACTIONS(5555),
    [anon_sym_DASH_GT] = ACTIONS(5555),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5557),
    [anon_sym_decltype] = ACTIONS(5557),
  },
  [2308] = {
    [sym_identifier] = ACTIONS(2261),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [anon_sym_COMMA] = ACTIONS(3026),
    [aux_sym_preproc_if_token1] = ACTIONS(2261),
    [aux_sym_preproc_if_token2] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2261),
    [anon_sym_LPAREN2] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym___extension__] = ACTIONS(2261),
    [anon_sym_typedef] = ACTIONS(2261),
    [anon_sym_extern] = ACTIONS(2261),
    [anon_sym___attribute__] = ACTIONS(5392),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2259),
    [anon_sym___declspec] = ACTIONS(2261),
    [anon_sym___based] = ACTIONS(2261),
    [anon_sym_signed] = ACTIONS(2261),
    [anon_sym_unsigned] = ACTIONS(2261),
    [anon_sym_long] = ACTIONS(2261),
    [anon_sym_short] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_register] = ACTIONS(2261),
    [anon_sym_inline] = ACTIONS(2261),
    [anon_sym___inline] = ACTIONS(2261),
    [anon_sym___inline__] = ACTIONS(2261),
    [anon_sym___forceinline] = ACTIONS(2261),
    [anon_sym_thread_local] = ACTIONS(2261),
    [anon_sym___thread] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_constexpr] = ACTIONS(2261),
    [anon_sym_volatile] = ACTIONS(2261),
    [anon_sym_restrict] = ACTIONS(2261),
    [anon_sym___restrict__] = ACTIONS(2261),
    [anon_sym__Atomic] = ACTIONS(2261),
    [anon_sym__Noreturn] = ACTIONS(2261),
    [anon_sym_noreturn] = ACTIONS(2261),
    [anon_sym_mutable] = ACTIONS(2261),
    [anon_sym_constinit] = ACTIONS(2261),
    [anon_sym_consteval] = ACTIONS(2261),
    [anon_sym_PROGMEM] = ACTIONS(2261),
    [aux_sym_primitive_type_token1] = ACTIONS(2261),
    [anon_sym_byte] = ACTIONS(2261),
    [anon_sym_word] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_struct] = ACTIONS(2261),
    [anon_sym_union] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2261),
    [anon_sym_decltype] = ACTIONS(2261),
    [anon_sym_virtual] = ACTIONS(2261),
    [anon_sym_alignas] = ACTIONS(2261),
    [anon_sym_explicit] = ACTIONS(2261),
    [anon_sym_typename] = ACTIONS(2261),
    [anon_sym_template] = ACTIONS(2261),
    [anon_sym_operator] = ACTIONS(2261),
    [anon_sym_friend] = ACTIONS(2261),
    [anon_sym_public] = ACTIONS(2261),
    [anon_sym_private] = ACTIONS(2261),
    [anon_sym_protected] = ACTIONS(2261),
    [anon_sym_using] = ACTIONS(2261),
    [anon_sym_static_assert] = ACTIONS(2261),
  },
  [2309] = {
    [sym_identifier] = ACTIONS(3435),
    [aux_sym_preproc_def_token1] = ACTIONS(3435),
    [aux_sym_preproc_if_token1] = ACTIONS(3435),
    [aux_sym_preproc_if_token2] = ACTIONS(3435),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3435),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3435),
    [aux_sym_preproc_else_token1] = ACTIONS(3435),
    [aux_sym_preproc_elif_token1] = ACTIONS(3435),
    [sym_preproc_directive] = ACTIONS(3435),
    [anon_sym_LPAREN2] = ACTIONS(3437),
    [anon_sym_TILDE] = ACTIONS(3437),
    [anon_sym_STAR] = ACTIONS(3437),
    [anon_sym_AMP_AMP] = ACTIONS(3437),
    [anon_sym_AMP] = ACTIONS(3435),
    [anon_sym___extension__] = ACTIONS(3435),
    [anon_sym_typedef] = ACTIONS(3435),
    [anon_sym_extern] = ACTIONS(3435),
    [anon_sym___attribute__] = ACTIONS(3435),
    [anon_sym_COLON_COLON] = ACTIONS(3437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3437),
    [anon_sym___declspec] = ACTIONS(3435),
    [anon_sym___based] = ACTIONS(3435),
    [anon_sym_signed] = ACTIONS(3435),
    [anon_sym_unsigned] = ACTIONS(3435),
    [anon_sym_long] = ACTIONS(3435),
    [anon_sym_short] = ACTIONS(3435),
    [anon_sym_LBRACK] = ACTIONS(3435),
    [anon_sym_static] = ACTIONS(3435),
    [anon_sym_register] = ACTIONS(3435),
    [anon_sym_inline] = ACTIONS(3435),
    [anon_sym___inline] = ACTIONS(3435),
    [anon_sym___inline__] = ACTIONS(3435),
    [anon_sym___forceinline] = ACTIONS(3435),
    [anon_sym_thread_local] = ACTIONS(3435),
    [anon_sym___thread] = ACTIONS(3435),
    [anon_sym_const] = ACTIONS(3435),
    [anon_sym_constexpr] = ACTIONS(3435),
    [anon_sym_volatile] = ACTIONS(3435),
    [anon_sym_restrict] = ACTIONS(3435),
    [anon_sym___restrict__] = ACTIONS(3435),
    [anon_sym__Atomic] = ACTIONS(3435),
    [anon_sym__Noreturn] = ACTIONS(3435),
    [anon_sym_noreturn] = ACTIONS(3435),
    [anon_sym_mutable] = ACTIONS(3435),
    [anon_sym_constinit] = ACTIONS(3435),
    [anon_sym_consteval] = ACTIONS(3435),
    [anon_sym_PROGMEM] = ACTIONS(3435),
    [aux_sym_primitive_type_token1] = ACTIONS(3435),
    [anon_sym_byte] = ACTIONS(3435),
    [anon_sym_word] = ACTIONS(3435),
    [anon_sym_enum] = ACTIONS(3435),
    [anon_sym_class] = ACTIONS(3435),
    [anon_sym_struct] = ACTIONS(3435),
    [anon_sym_union] = ACTIONS(3435),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3435),
    [anon_sym_decltype] = ACTIONS(3435),
    [anon_sym_virtual] = ACTIONS(3435),
    [anon_sym_alignas] = ACTIONS(3435),
    [anon_sym_explicit] = ACTIONS(3435),
    [anon_sym_typename] = ACTIONS(3435),
    [anon_sym_template] = ACTIONS(3435),
    [anon_sym_operator] = ACTIONS(3435),
    [anon_sym_friend] = ACTIONS(3435),
    [anon_sym_public] = ACTIONS(3435),
    [anon_sym_private] = ACTIONS(3435),
    [anon_sym_protected] = ACTIONS(3435),
    [anon_sym_using] = ACTIONS(3435),
    [anon_sym_static_assert] = ACTIONS(3435),
  },
  [2310] = {
    [sym_identifier] = ACTIONS(3965),
    [aux_sym_preproc_def_token1] = ACTIONS(3965),
    [aux_sym_preproc_if_token1] = ACTIONS(3965),
    [aux_sym_preproc_if_token2] = ACTIONS(3965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3965),
    [aux_sym_preproc_else_token1] = ACTIONS(3965),
    [aux_sym_preproc_elif_token1] = ACTIONS(3965),
    [sym_preproc_directive] = ACTIONS(3965),
    [anon_sym_LPAREN2] = ACTIONS(3963),
    [anon_sym_TILDE] = ACTIONS(3963),
    [anon_sym_STAR] = ACTIONS(3963),
    [anon_sym_AMP_AMP] = ACTIONS(3963),
    [anon_sym_AMP] = ACTIONS(3965),
    [anon_sym___extension__] = ACTIONS(3965),
    [anon_sym_typedef] = ACTIONS(3965),
    [anon_sym_extern] = ACTIONS(3965),
    [anon_sym___attribute__] = ACTIONS(3965),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3963),
    [anon_sym___declspec] = ACTIONS(3965),
    [anon_sym___based] = ACTIONS(3965),
    [anon_sym_signed] = ACTIONS(3965),
    [anon_sym_unsigned] = ACTIONS(3965),
    [anon_sym_long] = ACTIONS(3965),
    [anon_sym_short] = ACTIONS(3965),
    [anon_sym_LBRACK] = ACTIONS(3965),
    [anon_sym_static] = ACTIONS(3965),
    [anon_sym_register] = ACTIONS(3965),
    [anon_sym_inline] = ACTIONS(3965),
    [anon_sym___inline] = ACTIONS(3965),
    [anon_sym___inline__] = ACTIONS(3965),
    [anon_sym___forceinline] = ACTIONS(3965),
    [anon_sym_thread_local] = ACTIONS(3965),
    [anon_sym___thread] = ACTIONS(3965),
    [anon_sym_const] = ACTIONS(3965),
    [anon_sym_constexpr] = ACTIONS(3965),
    [anon_sym_volatile] = ACTIONS(3965),
    [anon_sym_restrict] = ACTIONS(3965),
    [anon_sym___restrict__] = ACTIONS(3965),
    [anon_sym__Atomic] = ACTIONS(3965),
    [anon_sym__Noreturn] = ACTIONS(3965),
    [anon_sym_noreturn] = ACTIONS(3965),
    [anon_sym_mutable] = ACTIONS(3965),
    [anon_sym_constinit] = ACTIONS(3965),
    [anon_sym_consteval] = ACTIONS(3965),
    [anon_sym_PROGMEM] = ACTIONS(3965),
    [aux_sym_primitive_type_token1] = ACTIONS(3965),
    [anon_sym_byte] = ACTIONS(3965),
    [anon_sym_word] = ACTIONS(3965),
    [anon_sym_enum] = ACTIONS(3965),
    [anon_sym_class] = ACTIONS(3965),
    [anon_sym_struct] = ACTIONS(3965),
    [anon_sym_union] = ACTIONS(3965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3965),
    [anon_sym_decltype] = ACTIONS(3965),
    [anon_sym_virtual] = ACTIONS(3965),
    [anon_sym_alignas] = ACTIONS(3965),
    [anon_sym_explicit] = ACTIONS(3965),
    [anon_sym_typename] = ACTIONS(3965),
    [anon_sym_template] = ACTIONS(3965),
    [anon_sym_operator] = ACTIONS(3965),
    [anon_sym_friend] = ACTIONS(3965),
    [anon_sym_public] = ACTIONS(3965),
    [anon_sym_private] = ACTIONS(3965),
    [anon_sym_protected] = ACTIONS(3965),
    [anon_sym_using] = ACTIONS(3965),
    [anon_sym_static_assert] = ACTIONS(3965),
  },
  [2311] = {
    [sym_identifier] = ACTIONS(3036),
    [aux_sym_preproc_def_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token2] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3036),
    [aux_sym_preproc_else_token1] = ACTIONS(3036),
    [aux_sym_preproc_elif_token1] = ACTIONS(3036),
    [sym_preproc_directive] = ACTIONS(3036),
    [anon_sym_LPAREN2] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym___extension__] = ACTIONS(3036),
    [anon_sym_typedef] = ACTIONS(3036),
    [anon_sym_extern] = ACTIONS(3036),
    [anon_sym___attribute__] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3038),
    [anon_sym___declspec] = ACTIONS(3036),
    [anon_sym___based] = ACTIONS(3036),
    [anon_sym_signed] = ACTIONS(3036),
    [anon_sym_unsigned] = ACTIONS(3036),
    [anon_sym_long] = ACTIONS(3036),
    [anon_sym_short] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3036),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_register] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym___inline] = ACTIONS(3036),
    [anon_sym___inline__] = ACTIONS(3036),
    [anon_sym___forceinline] = ACTIONS(3036),
    [anon_sym_thread_local] = ACTIONS(3036),
    [anon_sym___thread] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(3036),
    [anon_sym_restrict] = ACTIONS(3036),
    [anon_sym___restrict__] = ACTIONS(3036),
    [anon_sym__Atomic] = ACTIONS(3036),
    [anon_sym__Noreturn] = ACTIONS(3036),
    [anon_sym_noreturn] = ACTIONS(3036),
    [anon_sym_mutable] = ACTIONS(3036),
    [anon_sym_constinit] = ACTIONS(3036),
    [anon_sym_consteval] = ACTIONS(3036),
    [anon_sym_PROGMEM] = ACTIONS(3036),
    [aux_sym_primitive_type_token1] = ACTIONS(3036),
    [anon_sym_byte] = ACTIONS(3036),
    [anon_sym_word] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_struct] = ACTIONS(3036),
    [anon_sym_union] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3036),
    [anon_sym_decltype] = ACTIONS(3036),
    [anon_sym_virtual] = ACTIONS(3036),
    [anon_sym_alignas] = ACTIONS(3036),
    [anon_sym_explicit] = ACTIONS(3036),
    [anon_sym_typename] = ACTIONS(3036),
    [anon_sym_template] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_friend] = ACTIONS(3036),
    [anon_sym_public] = ACTIONS(3036),
    [anon_sym_private] = ACTIONS(3036),
    [anon_sym_protected] = ACTIONS(3036),
    [anon_sym_using] = ACTIONS(3036),
    [anon_sym_static_assert] = ACTIONS(3036),
  },
  [2312] = {
    [sym_string_literal] = STATE(3536),
    [sym_template_argument_list] = STATE(4885),
    [sym_raw_string_literal] = STATE(3536),
    [sym_identifier] = ACTIONS(4454),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [aux_sym_preproc_if_token2] = ACTIONS(4446),
    [aux_sym_preproc_else_token1] = ACTIONS(4446),
    [aux_sym_preproc_elif_token1] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5815),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(5818),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(5820),
    [anon_sym_SLASH_EQ] = ACTIONS(5820),
    [anon_sym_PERCENT_EQ] = ACTIONS(5820),
    [anon_sym_PLUS_EQ] = ACTIONS(5820),
    [anon_sym_DASH_EQ] = ACTIONS(5820),
    [anon_sym_LT_LT_EQ] = ACTIONS(5820),
    [anon_sym_GT_GT_EQ] = ACTIONS(5820),
    [anon_sym_AMP_EQ] = ACTIONS(5820),
    [anon_sym_CARET_EQ] = ACTIONS(5820),
    [anon_sym_PIPE_EQ] = ACTIONS(5820),
    [anon_sym_and_eq] = ACTIONS(5818),
    [anon_sym_or_eq] = ACTIONS(5818),
    [anon_sym_xor_eq] = ACTIONS(5818),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4454),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4454),
    [anon_sym_not_eq] = ACTIONS(4454),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3737),
    [anon_sym_u_DQUOTE] = ACTIONS(3737),
    [anon_sym_U_DQUOTE] = ACTIONS(3737),
    [anon_sym_u8_DQUOTE] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3737),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3745),
    [anon_sym_LR_DQUOTE] = ACTIONS(3745),
    [anon_sym_uR_DQUOTE] = ACTIONS(3745),
    [anon_sym_UR_DQUOTE] = ACTIONS(3745),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3745),
  },
  [2313] = {
    [sym_identifier] = ACTIONS(5521),
    [aux_sym_preproc_def_token1] = ACTIONS(5521),
    [aux_sym_preproc_if_token1] = ACTIONS(5521),
    [aux_sym_preproc_if_token2] = ACTIONS(5521),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5521),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5521),
    [aux_sym_preproc_else_token1] = ACTIONS(5521),
    [aux_sym_preproc_elif_token1] = ACTIONS(5521),
    [sym_preproc_directive] = ACTIONS(5521),
    [anon_sym_LPAREN2] = ACTIONS(5523),
    [anon_sym_TILDE] = ACTIONS(5523),
    [anon_sym_STAR] = ACTIONS(5523),
    [anon_sym_AMP_AMP] = ACTIONS(5523),
    [anon_sym_AMP] = ACTIONS(5521),
    [anon_sym___extension__] = ACTIONS(5521),
    [anon_sym_typedef] = ACTIONS(5521),
    [anon_sym_extern] = ACTIONS(5521),
    [anon_sym___attribute__] = ACTIONS(5521),
    [anon_sym_COLON_COLON] = ACTIONS(5523),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5523),
    [anon_sym___declspec] = ACTIONS(5521),
    [anon_sym___based] = ACTIONS(5521),
    [anon_sym_signed] = ACTIONS(5521),
    [anon_sym_unsigned] = ACTIONS(5521),
    [anon_sym_long] = ACTIONS(5521),
    [anon_sym_short] = ACTIONS(5521),
    [anon_sym_LBRACK] = ACTIONS(5521),
    [anon_sym_static] = ACTIONS(5521),
    [anon_sym_register] = ACTIONS(5521),
    [anon_sym_inline] = ACTIONS(5521),
    [anon_sym___inline] = ACTIONS(5521),
    [anon_sym___inline__] = ACTIONS(5521),
    [anon_sym___forceinline] = ACTIONS(5521),
    [anon_sym_thread_local] = ACTIONS(5521),
    [anon_sym___thread] = ACTIONS(5521),
    [anon_sym_const] = ACTIONS(5521),
    [anon_sym_constexpr] = ACTIONS(5521),
    [anon_sym_volatile] = ACTIONS(5521),
    [anon_sym_restrict] = ACTIONS(5521),
    [anon_sym___restrict__] = ACTIONS(5521),
    [anon_sym__Atomic] = ACTIONS(5521),
    [anon_sym__Noreturn] = ACTIONS(5521),
    [anon_sym_noreturn] = ACTIONS(5521),
    [anon_sym_mutable] = ACTIONS(5521),
    [anon_sym_constinit] = ACTIONS(5521),
    [anon_sym_consteval] = ACTIONS(5521),
    [anon_sym_PROGMEM] = ACTIONS(5521),
    [aux_sym_primitive_type_token1] = ACTIONS(5521),
    [anon_sym_byte] = ACTIONS(5521),
    [anon_sym_word] = ACTIONS(5521),
    [anon_sym_enum] = ACTIONS(5521),
    [anon_sym_class] = ACTIONS(5521),
    [anon_sym_struct] = ACTIONS(5521),
    [anon_sym_union] = ACTIONS(5521),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5521),
    [anon_sym_decltype] = ACTIONS(5521),
    [anon_sym_virtual] = ACTIONS(5521),
    [anon_sym_alignas] = ACTIONS(5521),
    [anon_sym_explicit] = ACTIONS(5521),
    [anon_sym_typename] = ACTIONS(5521),
    [anon_sym_template] = ACTIONS(5521),
    [anon_sym_operator] = ACTIONS(5521),
    [anon_sym_friend] = ACTIONS(5521),
    [anon_sym_public] = ACTIONS(5521),
    [anon_sym_private] = ACTIONS(5521),
    [anon_sym_protected] = ACTIONS(5521),
    [anon_sym_using] = ACTIONS(5521),
    [anon_sym_static_assert] = ACTIONS(5521),
  },
  [2314] = {
    [sym_identifier] = ACTIONS(5589),
    [aux_sym_preproc_def_token1] = ACTIONS(5589),
    [aux_sym_preproc_if_token1] = ACTIONS(5589),
    [aux_sym_preproc_if_token2] = ACTIONS(5589),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5589),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5589),
    [aux_sym_preproc_else_token1] = ACTIONS(5589),
    [aux_sym_preproc_elif_token1] = ACTIONS(5589),
    [sym_preproc_directive] = ACTIONS(5589),
    [anon_sym_LPAREN2] = ACTIONS(5591),
    [anon_sym_TILDE] = ACTIONS(5591),
    [anon_sym_STAR] = ACTIONS(5591),
    [anon_sym_AMP_AMP] = ACTIONS(5591),
    [anon_sym_AMP] = ACTIONS(5589),
    [anon_sym___extension__] = ACTIONS(5589),
    [anon_sym_typedef] = ACTIONS(5589),
    [anon_sym_extern] = ACTIONS(5589),
    [anon_sym___attribute__] = ACTIONS(5589),
    [anon_sym_COLON_COLON] = ACTIONS(5591),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5591),
    [anon_sym___declspec] = ACTIONS(5589),
    [anon_sym___based] = ACTIONS(5589),
    [anon_sym_signed] = ACTIONS(5589),
    [anon_sym_unsigned] = ACTIONS(5589),
    [anon_sym_long] = ACTIONS(5589),
    [anon_sym_short] = ACTIONS(5589),
    [anon_sym_LBRACK] = ACTIONS(5589),
    [anon_sym_static] = ACTIONS(5589),
    [anon_sym_register] = ACTIONS(5589),
    [anon_sym_inline] = ACTIONS(5589),
    [anon_sym___inline] = ACTIONS(5589),
    [anon_sym___inline__] = ACTIONS(5589),
    [anon_sym___forceinline] = ACTIONS(5589),
    [anon_sym_thread_local] = ACTIONS(5589),
    [anon_sym___thread] = ACTIONS(5589),
    [anon_sym_const] = ACTIONS(5589),
    [anon_sym_constexpr] = ACTIONS(5589),
    [anon_sym_volatile] = ACTIONS(5589),
    [anon_sym_restrict] = ACTIONS(5589),
    [anon_sym___restrict__] = ACTIONS(5589),
    [anon_sym__Atomic] = ACTIONS(5589),
    [anon_sym__Noreturn] = ACTIONS(5589),
    [anon_sym_noreturn] = ACTIONS(5589),
    [anon_sym_mutable] = ACTIONS(5589),
    [anon_sym_constinit] = ACTIONS(5589),
    [anon_sym_consteval] = ACTIONS(5589),
    [anon_sym_PROGMEM] = ACTIONS(5589),
    [aux_sym_primitive_type_token1] = ACTIONS(5589),
    [anon_sym_byte] = ACTIONS(5589),
    [anon_sym_word] = ACTIONS(5589),
    [anon_sym_enum] = ACTIONS(5589),
    [anon_sym_class] = ACTIONS(5589),
    [anon_sym_struct] = ACTIONS(5589),
    [anon_sym_union] = ACTIONS(5589),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5589),
    [anon_sym_decltype] = ACTIONS(5589),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5589),
    [anon_sym_explicit] = ACTIONS(5589),
    [anon_sym_typename] = ACTIONS(5589),
    [anon_sym_template] = ACTIONS(5589),
    [anon_sym_operator] = ACTIONS(5589),
    [anon_sym_friend] = ACTIONS(5589),
    [anon_sym_public] = ACTIONS(5589),
    [anon_sym_private] = ACTIONS(5589),
    [anon_sym_protected] = ACTIONS(5589),
    [anon_sym_using] = ACTIONS(5589),
    [anon_sym_static_assert] = ACTIONS(5589),
  },
  [2315] = {
    [sym_identifier] = ACTIONS(3278),
    [aux_sym_preproc_def_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token2] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3278),
    [aux_sym_preproc_else_token1] = ACTIONS(3278),
    [aux_sym_preproc_elif_token1] = ACTIONS(3278),
    [sym_preproc_directive] = ACTIONS(3278),
    [anon_sym_LPAREN2] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3278),
    [anon_sym___extension__] = ACTIONS(3278),
    [anon_sym_typedef] = ACTIONS(3278),
    [anon_sym_extern] = ACTIONS(3278),
    [anon_sym___attribute__] = ACTIONS(3278),
    [anon_sym_COLON_COLON] = ACTIONS(3280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3280),
    [anon_sym___declspec] = ACTIONS(3278),
    [anon_sym___based] = ACTIONS(3278),
    [anon_sym_signed] = ACTIONS(3278),
    [anon_sym_unsigned] = ACTIONS(3278),
    [anon_sym_long] = ACTIONS(3278),
    [anon_sym_short] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_register] = ACTIONS(3278),
    [anon_sym_inline] = ACTIONS(3278),
    [anon_sym___inline] = ACTIONS(3278),
    [anon_sym___inline__] = ACTIONS(3278),
    [anon_sym___forceinline] = ACTIONS(3278),
    [anon_sym_thread_local] = ACTIONS(3278),
    [anon_sym___thread] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_constexpr] = ACTIONS(3278),
    [anon_sym_volatile] = ACTIONS(3278),
    [anon_sym_restrict] = ACTIONS(3278),
    [anon_sym___restrict__] = ACTIONS(3278),
    [anon_sym__Atomic] = ACTIONS(3278),
    [anon_sym__Noreturn] = ACTIONS(3278),
    [anon_sym_noreturn] = ACTIONS(3278),
    [anon_sym_mutable] = ACTIONS(3278),
    [anon_sym_constinit] = ACTIONS(3278),
    [anon_sym_consteval] = ACTIONS(3278),
    [anon_sym_PROGMEM] = ACTIONS(3278),
    [aux_sym_primitive_type_token1] = ACTIONS(3278),
    [anon_sym_byte] = ACTIONS(3278),
    [anon_sym_word] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_struct] = ACTIONS(3278),
    [anon_sym_union] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3278),
    [anon_sym_decltype] = ACTIONS(3278),
    [anon_sym_virtual] = ACTIONS(3278),
    [anon_sym_alignas] = ACTIONS(3278),
    [anon_sym_explicit] = ACTIONS(3278),
    [anon_sym_typename] = ACTIONS(3278),
    [anon_sym_template] = ACTIONS(3278),
    [anon_sym_operator] = ACTIONS(3278),
    [anon_sym_friend] = ACTIONS(3278),
    [anon_sym_public] = ACTIONS(3278),
    [anon_sym_private] = ACTIONS(3278),
    [anon_sym_protected] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_static_assert] = ACTIONS(3278),
  },
  [2316] = {
    [sym_identifier] = ACTIONS(3389),
    [aux_sym_preproc_def_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token2] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3389),
    [aux_sym_preproc_else_token1] = ACTIONS(3389),
    [aux_sym_preproc_elif_token1] = ACTIONS(3389),
    [sym_preproc_directive] = ACTIONS(3389),
    [anon_sym_LPAREN2] = ACTIONS(3391),
    [anon_sym_TILDE] = ACTIONS(3391),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP_AMP] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3389),
    [anon_sym___extension__] = ACTIONS(3389),
    [anon_sym_typedef] = ACTIONS(3389),
    [anon_sym_extern] = ACTIONS(3389),
    [anon_sym___attribute__] = ACTIONS(3389),
    [anon_sym_COLON_COLON] = ACTIONS(3391),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3391),
    [anon_sym___declspec] = ACTIONS(3389),
    [anon_sym___based] = ACTIONS(3389),
    [anon_sym_signed] = ACTIONS(3389),
    [anon_sym_unsigned] = ACTIONS(3389),
    [anon_sym_long] = ACTIONS(3389),
    [anon_sym_short] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_register] = ACTIONS(3389),
    [anon_sym_inline] = ACTIONS(3389),
    [anon_sym___inline] = ACTIONS(3389),
    [anon_sym___inline__] = ACTIONS(3389),
    [anon_sym___forceinline] = ACTIONS(3389),
    [anon_sym_thread_local] = ACTIONS(3389),
    [anon_sym___thread] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_constexpr] = ACTIONS(3389),
    [anon_sym_volatile] = ACTIONS(3389),
    [anon_sym_restrict] = ACTIONS(3389),
    [anon_sym___restrict__] = ACTIONS(3389),
    [anon_sym__Atomic] = ACTIONS(3389),
    [anon_sym__Noreturn] = ACTIONS(3389),
    [anon_sym_noreturn] = ACTIONS(3389),
    [anon_sym_mutable] = ACTIONS(3389),
    [anon_sym_constinit] = ACTIONS(3389),
    [anon_sym_consteval] = ACTIONS(3389),
    [anon_sym_PROGMEM] = ACTIONS(3389),
    [aux_sym_primitive_type_token1] = ACTIONS(3389),
    [anon_sym_byte] = ACTIONS(3389),
    [anon_sym_word] = ACTIONS(3389),
    [anon_sym_enum] = ACTIONS(3389),
    [anon_sym_class] = ACTIONS(3389),
    [anon_sym_struct] = ACTIONS(3389),
    [anon_sym_union] = ACTIONS(3389),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3389),
    [anon_sym_decltype] = ACTIONS(3389),
    [anon_sym_virtual] = ACTIONS(3389),
    [anon_sym_alignas] = ACTIONS(3389),
    [anon_sym_explicit] = ACTIONS(3389),
    [anon_sym_typename] = ACTIONS(3389),
    [anon_sym_template] = ACTIONS(3389),
    [anon_sym_operator] = ACTIONS(3389),
    [anon_sym_friend] = ACTIONS(3389),
    [anon_sym_public] = ACTIONS(3389),
    [anon_sym_private] = ACTIONS(3389),
    [anon_sym_protected] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_static_assert] = ACTIONS(3389),
  },
  [2317] = {
    [sym_identifier] = ACTIONS(3839),
    [aux_sym_preproc_def_token1] = ACTIONS(3839),
    [aux_sym_preproc_if_token1] = ACTIONS(3839),
    [aux_sym_preproc_if_token2] = ACTIONS(3839),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3839),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3839),
    [aux_sym_preproc_else_token1] = ACTIONS(3839),
    [aux_sym_preproc_elif_token1] = ACTIONS(3839),
    [sym_preproc_directive] = ACTIONS(3839),
    [anon_sym_LPAREN2] = ACTIONS(3837),
    [anon_sym_TILDE] = ACTIONS(3837),
    [anon_sym_STAR] = ACTIONS(3837),
    [anon_sym_AMP_AMP] = ACTIONS(3837),
    [anon_sym_AMP] = ACTIONS(3839),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_typedef] = ACTIONS(3839),
    [anon_sym_extern] = ACTIONS(3839),
    [anon_sym___attribute__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(3837),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3837),
    [anon_sym___declspec] = ACTIONS(3839),
    [anon_sym___based] = ACTIONS(3839),
    [anon_sym_signed] = ACTIONS(3839),
    [anon_sym_unsigned] = ACTIONS(3839),
    [anon_sym_long] = ACTIONS(3839),
    [anon_sym_short] = ACTIONS(3839),
    [anon_sym_LBRACK] = ACTIONS(3839),
    [anon_sym_static] = ACTIONS(3839),
    [anon_sym_register] = ACTIONS(3839),
    [anon_sym_inline] = ACTIONS(3839),
    [anon_sym___inline] = ACTIONS(3839),
    [anon_sym___inline__] = ACTIONS(3839),
    [anon_sym___forceinline] = ACTIONS(3839),
    [anon_sym_thread_local] = ACTIONS(3839),
    [anon_sym___thread] = ACTIONS(3839),
    [anon_sym_const] = ACTIONS(3839),
    [anon_sym_constexpr] = ACTIONS(3839),
    [anon_sym_volatile] = ACTIONS(3839),
    [anon_sym_restrict] = ACTIONS(3839),
    [anon_sym___restrict__] = ACTIONS(3839),
    [anon_sym__Atomic] = ACTIONS(3839),
    [anon_sym__Noreturn] = ACTIONS(3839),
    [anon_sym_noreturn] = ACTIONS(3839),
    [anon_sym_mutable] = ACTIONS(3839),
    [anon_sym_constinit] = ACTIONS(3839),
    [anon_sym_consteval] = ACTIONS(3839),
    [anon_sym_PROGMEM] = ACTIONS(3839),
    [aux_sym_primitive_type_token1] = ACTIONS(3839),
    [anon_sym_byte] = ACTIONS(3839),
    [anon_sym_word] = ACTIONS(3839),
    [anon_sym_enum] = ACTIONS(3839),
    [anon_sym_class] = ACTIONS(3839),
    [anon_sym_struct] = ACTIONS(3839),
    [anon_sym_union] = ACTIONS(3839),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3839),
    [anon_sym_decltype] = ACTIONS(3839),
    [anon_sym_virtual] = ACTIONS(3839),
    [anon_sym_alignas] = ACTIONS(3839),
    [anon_sym_explicit] = ACTIONS(3839),
    [anon_sym_typename] = ACTIONS(3839),
    [anon_sym_template] = ACTIONS(3839),
    [anon_sym_operator] = ACTIONS(3839),
    [anon_sym_friend] = ACTIONS(3839),
    [anon_sym_public] = ACTIONS(3839),
    [anon_sym_private] = ACTIONS(3839),
    [anon_sym_protected] = ACTIONS(3839),
    [anon_sym_using] = ACTIONS(3839),
    [anon_sym_static_assert] = ACTIONS(3839),
  },
  [2318] = {
    [sym_identifier] = ACTIONS(5689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5691),
    [anon_sym_COMMA] = ACTIONS(5691),
    [anon_sym_RPAREN] = ACTIONS(5691),
    [aux_sym_preproc_if_token2] = ACTIONS(5691),
    [aux_sym_preproc_else_token1] = ACTIONS(5691),
    [aux_sym_preproc_elif_token1] = ACTIONS(5689),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5691),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5691),
    [anon_sym_LPAREN2] = ACTIONS(5691),
    [anon_sym_DASH] = ACTIONS(5689),
    [anon_sym_PLUS] = ACTIONS(5689),
    [anon_sym_STAR] = ACTIONS(5689),
    [anon_sym_SLASH] = ACTIONS(5689),
    [anon_sym_PERCENT] = ACTIONS(5689),
    [anon_sym_PIPE_PIPE] = ACTIONS(5691),
    [anon_sym_AMP_AMP] = ACTIONS(5691),
    [anon_sym_PIPE] = ACTIONS(5689),
    [anon_sym_CARET] = ACTIONS(5689),
    [anon_sym_AMP] = ACTIONS(5689),
    [anon_sym_EQ_EQ] = ACTIONS(5691),
    [anon_sym_BANG_EQ] = ACTIONS(5691),
    [anon_sym_GT] = ACTIONS(5689),
    [anon_sym_GT_EQ] = ACTIONS(5691),
    [anon_sym_LT_EQ] = ACTIONS(5689),
    [anon_sym_LT] = ACTIONS(5689),
    [anon_sym_LT_LT] = ACTIONS(5689),
    [anon_sym_GT_GT] = ACTIONS(5689),
    [anon_sym_SEMI] = ACTIONS(5691),
    [anon_sym___attribute__] = ACTIONS(5689),
    [anon_sym_LBRACE] = ACTIONS(5691),
    [anon_sym_RBRACE] = ACTIONS(5691),
    [anon_sym_signed] = ACTIONS(5689),
    [anon_sym_unsigned] = ACTIONS(5689),
    [anon_sym_long] = ACTIONS(5689),
    [anon_sym_short] = ACTIONS(5689),
    [anon_sym_LBRACK] = ACTIONS(5691),
    [anon_sym_RBRACK] = ACTIONS(5691),
    [anon_sym_EQ] = ACTIONS(5689),
    [anon_sym_COLON] = ACTIONS(5691),
    [anon_sym_QMARK] = ACTIONS(5691),
    [anon_sym_STAR_EQ] = ACTIONS(5691),
    [anon_sym_SLASH_EQ] = ACTIONS(5691),
    [anon_sym_PERCENT_EQ] = ACTIONS(5691),
    [anon_sym_PLUS_EQ] = ACTIONS(5691),
    [anon_sym_DASH_EQ] = ACTIONS(5691),
    [anon_sym_LT_LT_EQ] = ACTIONS(5691),
    [anon_sym_GT_GT_EQ] = ACTIONS(5691),
    [anon_sym_AMP_EQ] = ACTIONS(5691),
    [anon_sym_CARET_EQ] = ACTIONS(5691),
    [anon_sym_PIPE_EQ] = ACTIONS(5691),
    [anon_sym_and_eq] = ACTIONS(5689),
    [anon_sym_or_eq] = ACTIONS(5689),
    [anon_sym_xor_eq] = ACTIONS(5689),
    [anon_sym_LT_EQ_GT] = ACTIONS(5691),
    [anon_sym_or] = ACTIONS(5689),
    [anon_sym_and] = ACTIONS(5689),
    [anon_sym_bitor] = ACTIONS(5689),
    [anon_sym_xor] = ACTIONS(5689),
    [anon_sym_bitand] = ACTIONS(5689),
    [anon_sym_not_eq] = ACTIONS(5689),
    [anon_sym_DASH_DASH] = ACTIONS(5691),
    [anon_sym_PLUS_PLUS] = ACTIONS(5691),
    [anon_sym_DOT] = ACTIONS(5689),
    [anon_sym_DOT_STAR] = ACTIONS(5691),
    [anon_sym_DASH_GT] = ACTIONS(5691),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5689),
    [anon_sym_decltype] = ACTIONS(5689),
  },
  [2319] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5165),
    [anon_sym_COMMA] = ACTIONS(5165),
    [anon_sym_RPAREN] = ACTIONS(5155),
    [anon_sym_LPAREN2] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5160),
    [anon_sym_PLUS] = ACTIONS(5160),
    [anon_sym_STAR] = ACTIONS(5162),
    [anon_sym_SLASH] = ACTIONS(5160),
    [anon_sym_PERCENT] = ACTIONS(5160),
    [anon_sym_PIPE_PIPE] = ACTIONS(5165),
    [anon_sym_AMP_AMP] = ACTIONS(5155),
    [anon_sym_PIPE] = ACTIONS(5160),
    [anon_sym_CARET] = ACTIONS(5160),
    [anon_sym_AMP] = ACTIONS(5162),
    [anon_sym_EQ_EQ] = ACTIONS(5165),
    [anon_sym_BANG_EQ] = ACTIONS(5165),
    [anon_sym_GT] = ACTIONS(5160),
    [anon_sym_GT_EQ] = ACTIONS(5165),
    [anon_sym_LT_EQ] = ACTIONS(5160),
    [anon_sym_LT] = ACTIONS(5160),
    [anon_sym_LT_LT] = ACTIONS(5160),
    [anon_sym_GT_GT] = ACTIONS(5160),
    [anon_sym___extension__] = ACTIONS(5158),
    [anon_sym_COLON_COLON] = ACTIONS(5158),
    [anon_sym_LBRACE] = ACTIONS(5158),
    [anon_sym_LBRACK] = ACTIONS(5155),
    [anon_sym_EQ] = ACTIONS(5160),
    [anon_sym_const] = ACTIONS(5153),
    [anon_sym_constexpr] = ACTIONS(5158),
    [anon_sym_volatile] = ACTIONS(5158),
    [anon_sym_restrict] = ACTIONS(5158),
    [anon_sym___restrict__] = ACTIONS(5158),
    [anon_sym__Atomic] = ACTIONS(5158),
    [anon_sym__Noreturn] = ACTIONS(5158),
    [anon_sym_noreturn] = ACTIONS(5158),
    [anon_sym_mutable] = ACTIONS(5158),
    [anon_sym_constinit] = ACTIONS(5158),
    [anon_sym_consteval] = ACTIONS(5158),
    [anon_sym_PROGMEM] = ACTIONS(5158),
    [anon_sym_QMARK] = ACTIONS(5165),
    [anon_sym_STAR_EQ] = ACTIONS(5165),
    [anon_sym_SLASH_EQ] = ACTIONS(5165),
    [anon_sym_PERCENT_EQ] = ACTIONS(5165),
    [anon_sym_PLUS_EQ] = ACTIONS(5165),
    [anon_sym_DASH_EQ] = ACTIONS(5165),
    [anon_sym_LT_LT_EQ] = ACTIONS(5165),
    [anon_sym_GT_GT_EQ] = ACTIONS(5165),
    [anon_sym_AMP_EQ] = ACTIONS(5165),
    [anon_sym_CARET_EQ] = ACTIONS(5165),
    [anon_sym_PIPE_EQ] = ACTIONS(5165),
    [anon_sym_and_eq] = ACTIONS(5165),
    [anon_sym_or_eq] = ACTIONS(5165),
    [anon_sym_xor_eq] = ACTIONS(5165),
    [anon_sym_LT_EQ_GT] = ACTIONS(5165),
    [anon_sym_or] = ACTIONS(5160),
    [anon_sym_and] = ACTIONS(5160),
    [anon_sym_bitor] = ACTIONS(5165),
    [anon_sym_xor] = ACTIONS(5160),
    [anon_sym_bitand] = ACTIONS(5165),
    [anon_sym_not_eq] = ACTIONS(5165),
    [anon_sym_DASH_DASH] = ACTIONS(5165),
    [anon_sym_PLUS_PLUS] = ACTIONS(5165),
    [anon_sym_DOT] = ACTIONS(5160),
    [anon_sym_DOT_STAR] = ACTIONS(5165),
    [anon_sym_DASH_GT] = ACTIONS(5160),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5158),
    [anon_sym_decltype] = ACTIONS(5158),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5165),
  },
  [2320] = {
    [sym_identifier] = ACTIONS(5581),
    [aux_sym_preproc_def_token1] = ACTIONS(5581),
    [aux_sym_preproc_if_token1] = ACTIONS(5581),
    [aux_sym_preproc_if_token2] = ACTIONS(5581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5581),
    [aux_sym_preproc_else_token1] = ACTIONS(5581),
    [aux_sym_preproc_elif_token1] = ACTIONS(5581),
    [sym_preproc_directive] = ACTIONS(5581),
    [anon_sym_LPAREN2] = ACTIONS(5583),
    [anon_sym_TILDE] = ACTIONS(5583),
    [anon_sym_STAR] = ACTIONS(5583),
    [anon_sym_AMP_AMP] = ACTIONS(5583),
    [anon_sym_AMP] = ACTIONS(5581),
    [anon_sym___extension__] = ACTIONS(5581),
    [anon_sym_typedef] = ACTIONS(5581),
    [anon_sym_extern] = ACTIONS(5581),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5583),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5583),
    [anon_sym___declspec] = ACTIONS(5581),
    [anon_sym___based] = ACTIONS(5581),
    [anon_sym_signed] = ACTIONS(5581),
    [anon_sym_unsigned] = ACTIONS(5581),
    [anon_sym_long] = ACTIONS(5581),
    [anon_sym_short] = ACTIONS(5581),
    [anon_sym_LBRACK] = ACTIONS(5581),
    [anon_sym_static] = ACTIONS(5581),
    [anon_sym_register] = ACTIONS(5581),
    [anon_sym_inline] = ACTIONS(5581),
    [anon_sym___inline] = ACTIONS(5581),
    [anon_sym___inline__] = ACTIONS(5581),
    [anon_sym___forceinline] = ACTIONS(5581),
    [anon_sym_thread_local] = ACTIONS(5581),
    [anon_sym___thread] = ACTIONS(5581),
    [anon_sym_const] = ACTIONS(5581),
    [anon_sym_constexpr] = ACTIONS(5581),
    [anon_sym_volatile] = ACTIONS(5581),
    [anon_sym_restrict] = ACTIONS(5581),
    [anon_sym___restrict__] = ACTIONS(5581),
    [anon_sym__Atomic] = ACTIONS(5581),
    [anon_sym__Noreturn] = ACTIONS(5581),
    [anon_sym_noreturn] = ACTIONS(5581),
    [anon_sym_mutable] = ACTIONS(5581),
    [anon_sym_constinit] = ACTIONS(5581),
    [anon_sym_consteval] = ACTIONS(5581),
    [anon_sym_PROGMEM] = ACTIONS(5581),
    [aux_sym_primitive_type_token1] = ACTIONS(5581),
    [anon_sym_byte] = ACTIONS(5581),
    [anon_sym_word] = ACTIONS(5581),
    [anon_sym_enum] = ACTIONS(5581),
    [anon_sym_class] = ACTIONS(5581),
    [anon_sym_struct] = ACTIONS(5581),
    [anon_sym_union] = ACTIONS(5581),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5581),
    [anon_sym_decltype] = ACTIONS(5581),
    [anon_sym_virtual] = ACTIONS(5581),
    [anon_sym_alignas] = ACTIONS(5581),
    [anon_sym_explicit] = ACTIONS(5581),
    [anon_sym_typename] = ACTIONS(5581),
    [anon_sym_template] = ACTIONS(5581),
    [anon_sym_operator] = ACTIONS(5581),
    [anon_sym_friend] = ACTIONS(5581),
    [anon_sym_public] = ACTIONS(5581),
    [anon_sym_private] = ACTIONS(5581),
    [anon_sym_protected] = ACTIONS(5581),
    [anon_sym_using] = ACTIONS(5581),
    [anon_sym_static_assert] = ACTIONS(5581),
  },
  [2321] = {
    [sym_identifier] = ACTIONS(3365),
    [aux_sym_preproc_def_token1] = ACTIONS(3365),
    [aux_sym_preproc_if_token1] = ACTIONS(3365),
    [aux_sym_preproc_if_token2] = ACTIONS(3365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3365),
    [aux_sym_preproc_else_token1] = ACTIONS(3365),
    [aux_sym_preproc_elif_token1] = ACTIONS(3365),
    [sym_preproc_directive] = ACTIONS(3365),
    [anon_sym_LPAREN2] = ACTIONS(3367),
    [anon_sym_TILDE] = ACTIONS(3367),
    [anon_sym_STAR] = ACTIONS(3367),
    [anon_sym_AMP_AMP] = ACTIONS(3367),
    [anon_sym_AMP] = ACTIONS(3365),
    [anon_sym___extension__] = ACTIONS(3365),
    [anon_sym_typedef] = ACTIONS(3365),
    [anon_sym_extern] = ACTIONS(3365),
    [anon_sym___attribute__] = ACTIONS(3365),
    [anon_sym_COLON_COLON] = ACTIONS(3367),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3367),
    [anon_sym___declspec] = ACTIONS(3365),
    [anon_sym___based] = ACTIONS(3365),
    [anon_sym_signed] = ACTIONS(3365),
    [anon_sym_unsigned] = ACTIONS(3365),
    [anon_sym_long] = ACTIONS(3365),
    [anon_sym_short] = ACTIONS(3365),
    [anon_sym_LBRACK] = ACTIONS(3365),
    [anon_sym_static] = ACTIONS(3365),
    [anon_sym_register] = ACTIONS(3365),
    [anon_sym_inline] = ACTIONS(3365),
    [anon_sym___inline] = ACTIONS(3365),
    [anon_sym___inline__] = ACTIONS(3365),
    [anon_sym___forceinline] = ACTIONS(3365),
    [anon_sym_thread_local] = ACTIONS(3365),
    [anon_sym___thread] = ACTIONS(3365),
    [anon_sym_const] = ACTIONS(3365),
    [anon_sym_constexpr] = ACTIONS(3365),
    [anon_sym_volatile] = ACTIONS(3365),
    [anon_sym_restrict] = ACTIONS(3365),
    [anon_sym___restrict__] = ACTIONS(3365),
    [anon_sym__Atomic] = ACTIONS(3365),
    [anon_sym__Noreturn] = ACTIONS(3365),
    [anon_sym_noreturn] = ACTIONS(3365),
    [anon_sym_mutable] = ACTIONS(3365),
    [anon_sym_constinit] = ACTIONS(3365),
    [anon_sym_consteval] = ACTIONS(3365),
    [anon_sym_PROGMEM] = ACTIONS(3365),
    [aux_sym_primitive_type_token1] = ACTIONS(3365),
    [anon_sym_byte] = ACTIONS(3365),
    [anon_sym_word] = ACTIONS(3365),
    [anon_sym_enum] = ACTIONS(3365),
    [anon_sym_class] = ACTIONS(3365),
    [anon_sym_struct] = ACTIONS(3365),
    [anon_sym_union] = ACTIONS(3365),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3365),
    [anon_sym_decltype] = ACTIONS(3365),
    [anon_sym_virtual] = ACTIONS(3365),
    [anon_sym_alignas] = ACTIONS(3365),
    [anon_sym_explicit] = ACTIONS(3365),
    [anon_sym_typename] = ACTIONS(3365),
    [anon_sym_template] = ACTIONS(3365),
    [anon_sym_operator] = ACTIONS(3365),
    [anon_sym_friend] = ACTIONS(3365),
    [anon_sym_public] = ACTIONS(3365),
    [anon_sym_private] = ACTIONS(3365),
    [anon_sym_protected] = ACTIONS(3365),
    [anon_sym_using] = ACTIONS(3365),
    [anon_sym_static_assert] = ACTIONS(3365),
  },
  [2322] = {
    [sym_identifier] = ACTIONS(2261),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [anon_sym_COMMA] = ACTIONS(3026),
    [aux_sym_preproc_if_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2261),
    [anon_sym_LPAREN2] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym___extension__] = ACTIONS(2261),
    [anon_sym_typedef] = ACTIONS(2261),
    [anon_sym_extern] = ACTIONS(2261),
    [anon_sym___attribute__] = ACTIONS(5392),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2259),
    [anon_sym___declspec] = ACTIONS(2261),
    [anon_sym___based] = ACTIONS(2261),
    [anon_sym_RBRACE] = ACTIONS(2259),
    [anon_sym_signed] = ACTIONS(2261),
    [anon_sym_unsigned] = ACTIONS(2261),
    [anon_sym_long] = ACTIONS(2261),
    [anon_sym_short] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_register] = ACTIONS(2261),
    [anon_sym_inline] = ACTIONS(2261),
    [anon_sym___inline] = ACTIONS(2261),
    [anon_sym___inline__] = ACTIONS(2261),
    [anon_sym___forceinline] = ACTIONS(2261),
    [anon_sym_thread_local] = ACTIONS(2261),
    [anon_sym___thread] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_constexpr] = ACTIONS(2261),
    [anon_sym_volatile] = ACTIONS(2261),
    [anon_sym_restrict] = ACTIONS(2261),
    [anon_sym___restrict__] = ACTIONS(2261),
    [anon_sym__Atomic] = ACTIONS(2261),
    [anon_sym__Noreturn] = ACTIONS(2261),
    [anon_sym_noreturn] = ACTIONS(2261),
    [anon_sym_mutable] = ACTIONS(2261),
    [anon_sym_constinit] = ACTIONS(2261),
    [anon_sym_consteval] = ACTIONS(2261),
    [anon_sym_PROGMEM] = ACTIONS(2261),
    [aux_sym_primitive_type_token1] = ACTIONS(2261),
    [anon_sym_byte] = ACTIONS(2261),
    [anon_sym_word] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_struct] = ACTIONS(2261),
    [anon_sym_union] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2261),
    [anon_sym_decltype] = ACTIONS(2261),
    [anon_sym_virtual] = ACTIONS(2261),
    [anon_sym_alignas] = ACTIONS(2261),
    [anon_sym_explicit] = ACTIONS(2261),
    [anon_sym_typename] = ACTIONS(2261),
    [anon_sym_template] = ACTIONS(2261),
    [anon_sym_operator] = ACTIONS(2261),
    [anon_sym_friend] = ACTIONS(2261),
    [anon_sym_public] = ACTIONS(2261),
    [anon_sym_private] = ACTIONS(2261),
    [anon_sym_protected] = ACTIONS(2261),
    [anon_sym_using] = ACTIONS(2261),
    [anon_sym_static_assert] = ACTIONS(2261),
  },
  [2323] = {
    [sym_identifier] = ACTIONS(2261),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [anon_sym_COMMA] = ACTIONS(3026),
    [aux_sym_preproc_if_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2261),
    [anon_sym_LPAREN2] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym___extension__] = ACTIONS(2261),
    [anon_sym_typedef] = ACTIONS(2261),
    [anon_sym_extern] = ACTIONS(2261),
    [anon_sym___attribute__] = ACTIONS(2261),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2259),
    [anon_sym___declspec] = ACTIONS(2261),
    [anon_sym___based] = ACTIONS(2261),
    [anon_sym_RBRACE] = ACTIONS(2259),
    [anon_sym_signed] = ACTIONS(2261),
    [anon_sym_unsigned] = ACTIONS(2261),
    [anon_sym_long] = ACTIONS(2261),
    [anon_sym_short] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_register] = ACTIONS(2261),
    [anon_sym_inline] = ACTIONS(2261),
    [anon_sym___inline] = ACTIONS(2261),
    [anon_sym___inline__] = ACTIONS(2261),
    [anon_sym___forceinline] = ACTIONS(2261),
    [anon_sym_thread_local] = ACTIONS(2261),
    [anon_sym___thread] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_constexpr] = ACTIONS(2261),
    [anon_sym_volatile] = ACTIONS(2261),
    [anon_sym_restrict] = ACTIONS(2261),
    [anon_sym___restrict__] = ACTIONS(2261),
    [anon_sym__Atomic] = ACTIONS(2261),
    [anon_sym__Noreturn] = ACTIONS(2261),
    [anon_sym_noreturn] = ACTIONS(2261),
    [anon_sym_mutable] = ACTIONS(2261),
    [anon_sym_constinit] = ACTIONS(2261),
    [anon_sym_consteval] = ACTIONS(2261),
    [anon_sym_PROGMEM] = ACTIONS(2261),
    [aux_sym_primitive_type_token1] = ACTIONS(2261),
    [anon_sym_byte] = ACTIONS(2261),
    [anon_sym_word] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_struct] = ACTIONS(2261),
    [anon_sym_union] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2261),
    [anon_sym_decltype] = ACTIONS(2261),
    [anon_sym_virtual] = ACTIONS(2261),
    [anon_sym_alignas] = ACTIONS(2261),
    [anon_sym_explicit] = ACTIONS(2261),
    [anon_sym_typename] = ACTIONS(2261),
    [anon_sym_template] = ACTIONS(2261),
    [anon_sym_operator] = ACTIONS(2261),
    [anon_sym_friend] = ACTIONS(2261),
    [anon_sym_public] = ACTIONS(2261),
    [anon_sym_private] = ACTIONS(2261),
    [anon_sym_protected] = ACTIONS(2261),
    [anon_sym_using] = ACTIONS(2261),
    [anon_sym_static_assert] = ACTIONS(2261),
  },
  [2324] = {
    [sym_identifier] = ACTIONS(3192),
    [aux_sym_preproc_def_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token2] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3192),
    [aux_sym_preproc_else_token1] = ACTIONS(3192),
    [aux_sym_preproc_elif_token1] = ACTIONS(3192),
    [sym_preproc_directive] = ACTIONS(3192),
    [anon_sym_LPAREN2] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym___extension__] = ACTIONS(3192),
    [anon_sym_typedef] = ACTIONS(3192),
    [anon_sym_extern] = ACTIONS(3192),
    [anon_sym___attribute__] = ACTIONS(3192),
    [anon_sym_COLON_COLON] = ACTIONS(3194),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3194),
    [anon_sym___declspec] = ACTIONS(3192),
    [anon_sym___based] = ACTIONS(3192),
    [anon_sym_signed] = ACTIONS(3192),
    [anon_sym_unsigned] = ACTIONS(3192),
    [anon_sym_long] = ACTIONS(3192),
    [anon_sym_short] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_register] = ACTIONS(3192),
    [anon_sym_inline] = ACTIONS(3192),
    [anon_sym___inline] = ACTIONS(3192),
    [anon_sym___inline__] = ACTIONS(3192),
    [anon_sym___forceinline] = ACTIONS(3192),
    [anon_sym_thread_local] = ACTIONS(3192),
    [anon_sym___thread] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_constexpr] = ACTIONS(3192),
    [anon_sym_volatile] = ACTIONS(3192),
    [anon_sym_restrict] = ACTIONS(3192),
    [anon_sym___restrict__] = ACTIONS(3192),
    [anon_sym__Atomic] = ACTIONS(3192),
    [anon_sym__Noreturn] = ACTIONS(3192),
    [anon_sym_noreturn] = ACTIONS(3192),
    [anon_sym_mutable] = ACTIONS(3192),
    [anon_sym_constinit] = ACTIONS(3192),
    [anon_sym_consteval] = ACTIONS(3192),
    [anon_sym_PROGMEM] = ACTIONS(3192),
    [aux_sym_primitive_type_token1] = ACTIONS(3192),
    [anon_sym_byte] = ACTIONS(3192),
    [anon_sym_word] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_struct] = ACTIONS(3192),
    [anon_sym_union] = ACTIONS(3192),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3192),
    [anon_sym_decltype] = ACTIONS(3192),
    [anon_sym_virtual] = ACTIONS(3192),
    [anon_sym_alignas] = ACTIONS(3192),
    [anon_sym_explicit] = ACTIONS(3192),
    [anon_sym_typename] = ACTIONS(3192),
    [anon_sym_template] = ACTIONS(3192),
    [anon_sym_operator] = ACTIONS(3192),
    [anon_sym_friend] = ACTIONS(3192),
    [anon_sym_public] = ACTIONS(3192),
    [anon_sym_private] = ACTIONS(3192),
    [anon_sym_protected] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_static_assert] = ACTIONS(3192),
  },
  [2325] = {
    [sym_identifier] = ACTIONS(3200),
    [aux_sym_preproc_def_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token2] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3200),
    [aux_sym_preproc_else_token1] = ACTIONS(3200),
    [aux_sym_preproc_elif_token1] = ACTIONS(3200),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym___extension__] = ACTIONS(3200),
    [anon_sym_typedef] = ACTIONS(3200),
    [anon_sym_extern] = ACTIONS(3200),
    [anon_sym___attribute__] = ACTIONS(3200),
    [anon_sym_COLON_COLON] = ACTIONS(3202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3202),
    [anon_sym___declspec] = ACTIONS(3200),
    [anon_sym___based] = ACTIONS(3200),
    [anon_sym_signed] = ACTIONS(3200),
    [anon_sym_unsigned] = ACTIONS(3200),
    [anon_sym_long] = ACTIONS(3200),
    [anon_sym_short] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_register] = ACTIONS(3200),
    [anon_sym_inline] = ACTIONS(3200),
    [anon_sym___inline] = ACTIONS(3200),
    [anon_sym___inline__] = ACTIONS(3200),
    [anon_sym___forceinline] = ACTIONS(3200),
    [anon_sym_thread_local] = ACTIONS(3200),
    [anon_sym___thread] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_constexpr] = ACTIONS(3200),
    [anon_sym_volatile] = ACTIONS(3200),
    [anon_sym_restrict] = ACTIONS(3200),
    [anon_sym___restrict__] = ACTIONS(3200),
    [anon_sym__Atomic] = ACTIONS(3200),
    [anon_sym__Noreturn] = ACTIONS(3200),
    [anon_sym_noreturn] = ACTIONS(3200),
    [anon_sym_mutable] = ACTIONS(3200),
    [anon_sym_constinit] = ACTIONS(3200),
    [anon_sym_consteval] = ACTIONS(3200),
    [anon_sym_PROGMEM] = ACTIONS(3200),
    [aux_sym_primitive_type_token1] = ACTIONS(3200),
    [anon_sym_byte] = ACTIONS(3200),
    [anon_sym_word] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_struct] = ACTIONS(3200),
    [anon_sym_union] = ACTIONS(3200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3200),
    [anon_sym_decltype] = ACTIONS(3200),
    [anon_sym_virtual] = ACTIONS(3200),
    [anon_sym_alignas] = ACTIONS(3200),
    [anon_sym_explicit] = ACTIONS(3200),
    [anon_sym_typename] = ACTIONS(3200),
    [anon_sym_template] = ACTIONS(3200),
    [anon_sym_operator] = ACTIONS(3200),
    [anon_sym_friend] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3200),
    [anon_sym_private] = ACTIONS(3200),
    [anon_sym_protected] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_static_assert] = ACTIONS(3200),
  },
  [2326] = {
    [sym_identifier] = ACTIONS(5577),
    [aux_sym_preproc_def_token1] = ACTIONS(5577),
    [aux_sym_preproc_if_token1] = ACTIONS(5577),
    [aux_sym_preproc_if_token2] = ACTIONS(5577),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5577),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5577),
    [aux_sym_preproc_else_token1] = ACTIONS(5577),
    [aux_sym_preproc_elif_token1] = ACTIONS(5577),
    [sym_preproc_directive] = ACTIONS(5577),
    [anon_sym_LPAREN2] = ACTIONS(5579),
    [anon_sym_TILDE] = ACTIONS(5579),
    [anon_sym_STAR] = ACTIONS(5579),
    [anon_sym_AMP_AMP] = ACTIONS(5579),
    [anon_sym_AMP] = ACTIONS(5577),
    [anon_sym___extension__] = ACTIONS(5577),
    [anon_sym_typedef] = ACTIONS(5577),
    [anon_sym_extern] = ACTIONS(5577),
    [anon_sym___attribute__] = ACTIONS(5577),
    [anon_sym_COLON_COLON] = ACTIONS(5579),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5579),
    [anon_sym___declspec] = ACTIONS(5577),
    [anon_sym___based] = ACTIONS(5577),
    [anon_sym_signed] = ACTIONS(5577),
    [anon_sym_unsigned] = ACTIONS(5577),
    [anon_sym_long] = ACTIONS(5577),
    [anon_sym_short] = ACTIONS(5577),
    [anon_sym_LBRACK] = ACTIONS(5577),
    [anon_sym_static] = ACTIONS(5577),
    [anon_sym_register] = ACTIONS(5577),
    [anon_sym_inline] = ACTIONS(5577),
    [anon_sym___inline] = ACTIONS(5577),
    [anon_sym___inline__] = ACTIONS(5577),
    [anon_sym___forceinline] = ACTIONS(5577),
    [anon_sym_thread_local] = ACTIONS(5577),
    [anon_sym___thread] = ACTIONS(5577),
    [anon_sym_const] = ACTIONS(5577),
    [anon_sym_constexpr] = ACTIONS(5577),
    [anon_sym_volatile] = ACTIONS(5577),
    [anon_sym_restrict] = ACTIONS(5577),
    [anon_sym___restrict__] = ACTIONS(5577),
    [anon_sym__Atomic] = ACTIONS(5577),
    [anon_sym__Noreturn] = ACTIONS(5577),
    [anon_sym_noreturn] = ACTIONS(5577),
    [anon_sym_mutable] = ACTIONS(5577),
    [anon_sym_constinit] = ACTIONS(5577),
    [anon_sym_consteval] = ACTIONS(5577),
    [anon_sym_PROGMEM] = ACTIONS(5577),
    [aux_sym_primitive_type_token1] = ACTIONS(5577),
    [anon_sym_byte] = ACTIONS(5577),
    [anon_sym_word] = ACTIONS(5577),
    [anon_sym_enum] = ACTIONS(5577),
    [anon_sym_class] = ACTIONS(5577),
    [anon_sym_struct] = ACTIONS(5577),
    [anon_sym_union] = ACTIONS(5577),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5577),
    [anon_sym_decltype] = ACTIONS(5577),
    [anon_sym_virtual] = ACTIONS(5577),
    [anon_sym_alignas] = ACTIONS(5577),
    [anon_sym_explicit] = ACTIONS(5577),
    [anon_sym_typename] = ACTIONS(5577),
    [anon_sym_template] = ACTIONS(5577),
    [anon_sym_operator] = ACTIONS(5577),
    [anon_sym_friend] = ACTIONS(5577),
    [anon_sym_public] = ACTIONS(5577),
    [anon_sym_private] = ACTIONS(5577),
    [anon_sym_protected] = ACTIONS(5577),
    [anon_sym_using] = ACTIONS(5577),
    [anon_sym_static_assert] = ACTIONS(5577),
  },
  [2327] = {
    [sym_identifier] = ACTIONS(3393),
    [aux_sym_preproc_def_token1] = ACTIONS(3393),
    [aux_sym_preproc_if_token1] = ACTIONS(3393),
    [aux_sym_preproc_if_token2] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3393),
    [aux_sym_preproc_else_token1] = ACTIONS(3393),
    [aux_sym_preproc_elif_token1] = ACTIONS(3393),
    [sym_preproc_directive] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_TILDE] = ACTIONS(3395),
    [anon_sym_STAR] = ACTIONS(3395),
    [anon_sym_AMP_AMP] = ACTIONS(3395),
    [anon_sym_AMP] = ACTIONS(3393),
    [anon_sym___extension__] = ACTIONS(3393),
    [anon_sym_typedef] = ACTIONS(3393),
    [anon_sym_extern] = ACTIONS(3393),
    [anon_sym___attribute__] = ACTIONS(3393),
    [anon_sym_COLON_COLON] = ACTIONS(3395),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3395),
    [anon_sym___declspec] = ACTIONS(3393),
    [anon_sym___based] = ACTIONS(3393),
    [anon_sym_signed] = ACTIONS(3393),
    [anon_sym_unsigned] = ACTIONS(3393),
    [anon_sym_long] = ACTIONS(3393),
    [anon_sym_short] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(3393),
    [anon_sym_static] = ACTIONS(3393),
    [anon_sym_register] = ACTIONS(3393),
    [anon_sym_inline] = ACTIONS(3393),
    [anon_sym___inline] = ACTIONS(3393),
    [anon_sym___inline__] = ACTIONS(3393),
    [anon_sym___forceinline] = ACTIONS(3393),
    [anon_sym_thread_local] = ACTIONS(3393),
    [anon_sym___thread] = ACTIONS(3393),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_constexpr] = ACTIONS(3393),
    [anon_sym_volatile] = ACTIONS(3393),
    [anon_sym_restrict] = ACTIONS(3393),
    [anon_sym___restrict__] = ACTIONS(3393),
    [anon_sym__Atomic] = ACTIONS(3393),
    [anon_sym__Noreturn] = ACTIONS(3393),
    [anon_sym_noreturn] = ACTIONS(3393),
    [anon_sym_mutable] = ACTIONS(3393),
    [anon_sym_constinit] = ACTIONS(3393),
    [anon_sym_consteval] = ACTIONS(3393),
    [anon_sym_PROGMEM] = ACTIONS(3393),
    [aux_sym_primitive_type_token1] = ACTIONS(3393),
    [anon_sym_byte] = ACTIONS(3393),
    [anon_sym_word] = ACTIONS(3393),
    [anon_sym_enum] = ACTIONS(3393),
    [anon_sym_class] = ACTIONS(3393),
    [anon_sym_struct] = ACTIONS(3393),
    [anon_sym_union] = ACTIONS(3393),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3393),
    [anon_sym_decltype] = ACTIONS(3393),
    [anon_sym_virtual] = ACTIONS(3393),
    [anon_sym_alignas] = ACTIONS(3393),
    [anon_sym_explicit] = ACTIONS(3393),
    [anon_sym_typename] = ACTIONS(3393),
    [anon_sym_template] = ACTIONS(3393),
    [anon_sym_operator] = ACTIONS(3393),
    [anon_sym_friend] = ACTIONS(3393),
    [anon_sym_public] = ACTIONS(3393),
    [anon_sym_private] = ACTIONS(3393),
    [anon_sym_protected] = ACTIONS(3393),
    [anon_sym_using] = ACTIONS(3393),
    [anon_sym_static_assert] = ACTIONS(3393),
  },
  [2328] = {
    [sym_identifier] = ACTIONS(5573),
    [aux_sym_preproc_def_token1] = ACTIONS(5573),
    [aux_sym_preproc_if_token1] = ACTIONS(5573),
    [aux_sym_preproc_if_token2] = ACTIONS(5573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5573),
    [aux_sym_preproc_else_token1] = ACTIONS(5573),
    [aux_sym_preproc_elif_token1] = ACTIONS(5573),
    [sym_preproc_directive] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(5575),
    [anon_sym_TILDE] = ACTIONS(5575),
    [anon_sym_STAR] = ACTIONS(5575),
    [anon_sym_AMP_AMP] = ACTIONS(5575),
    [anon_sym_AMP] = ACTIONS(5573),
    [anon_sym___extension__] = ACTIONS(5573),
    [anon_sym_typedef] = ACTIONS(5573),
    [anon_sym_extern] = ACTIONS(5573),
    [anon_sym___attribute__] = ACTIONS(5573),
    [anon_sym_COLON_COLON] = ACTIONS(5575),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5575),
    [anon_sym___declspec] = ACTIONS(5573),
    [anon_sym___based] = ACTIONS(5573),
    [anon_sym_signed] = ACTIONS(5573),
    [anon_sym_unsigned] = ACTIONS(5573),
    [anon_sym_long] = ACTIONS(5573),
    [anon_sym_short] = ACTIONS(5573),
    [anon_sym_LBRACK] = ACTIONS(5573),
    [anon_sym_static] = ACTIONS(5573),
    [anon_sym_register] = ACTIONS(5573),
    [anon_sym_inline] = ACTIONS(5573),
    [anon_sym___inline] = ACTIONS(5573),
    [anon_sym___inline__] = ACTIONS(5573),
    [anon_sym___forceinline] = ACTIONS(5573),
    [anon_sym_thread_local] = ACTIONS(5573),
    [anon_sym___thread] = ACTIONS(5573),
    [anon_sym_const] = ACTIONS(5573),
    [anon_sym_constexpr] = ACTIONS(5573),
    [anon_sym_volatile] = ACTIONS(5573),
    [anon_sym_restrict] = ACTIONS(5573),
    [anon_sym___restrict__] = ACTIONS(5573),
    [anon_sym__Atomic] = ACTIONS(5573),
    [anon_sym__Noreturn] = ACTIONS(5573),
    [anon_sym_noreturn] = ACTIONS(5573),
    [anon_sym_mutable] = ACTIONS(5573),
    [anon_sym_constinit] = ACTIONS(5573),
    [anon_sym_consteval] = ACTIONS(5573),
    [anon_sym_PROGMEM] = ACTIONS(5573),
    [aux_sym_primitive_type_token1] = ACTIONS(5573),
    [anon_sym_byte] = ACTIONS(5573),
    [anon_sym_word] = ACTIONS(5573),
    [anon_sym_enum] = ACTIONS(5573),
    [anon_sym_class] = ACTIONS(5573),
    [anon_sym_struct] = ACTIONS(5573),
    [anon_sym_union] = ACTIONS(5573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5573),
    [anon_sym_decltype] = ACTIONS(5573),
    [anon_sym_virtual] = ACTIONS(5573),
    [anon_sym_alignas] = ACTIONS(5573),
    [anon_sym_explicit] = ACTIONS(5573),
    [anon_sym_typename] = ACTIONS(5573),
    [anon_sym_template] = ACTIONS(5573),
    [anon_sym_operator] = ACTIONS(5573),
    [anon_sym_friend] = ACTIONS(5573),
    [anon_sym_public] = ACTIONS(5573),
    [anon_sym_private] = ACTIONS(5573),
    [anon_sym_protected] = ACTIONS(5573),
    [anon_sym_using] = ACTIONS(5573),
    [anon_sym_static_assert] = ACTIONS(5573),
  },
  [2329] = {
    [sym_template_argument_list] = STATE(2423),
    [sym_identifier] = ACTIONS(5822),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4470),
    [anon_sym_COMMA] = ACTIONS(4470),
    [anon_sym_RPAREN] = ACTIONS(4470),
    [aux_sym_preproc_if_token2] = ACTIONS(4470),
    [aux_sym_preproc_else_token1] = ACTIONS(4470),
    [aux_sym_preproc_elif_token1] = ACTIONS(5822),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4470),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4470),
    [anon_sym_LPAREN2] = ACTIONS(4470),
    [anon_sym_DASH] = ACTIONS(5822),
    [anon_sym_PLUS] = ACTIONS(5822),
    [anon_sym_STAR] = ACTIONS(5822),
    [anon_sym_SLASH] = ACTIONS(5822),
    [anon_sym_PERCENT] = ACTIONS(5822),
    [anon_sym_PIPE_PIPE] = ACTIONS(4470),
    [anon_sym_AMP_AMP] = ACTIONS(4470),
    [anon_sym_PIPE] = ACTIONS(5822),
    [anon_sym_CARET] = ACTIONS(5822),
    [anon_sym_AMP] = ACTIONS(5822),
    [anon_sym_EQ_EQ] = ACTIONS(4470),
    [anon_sym_BANG_EQ] = ACTIONS(4470),
    [anon_sym_GT] = ACTIONS(5822),
    [anon_sym_GT_EQ] = ACTIONS(4470),
    [anon_sym_LT_EQ] = ACTIONS(5822),
    [anon_sym_LT] = ACTIONS(5824),
    [anon_sym_LT_LT] = ACTIONS(5822),
    [anon_sym_GT_GT] = ACTIONS(5822),
    [anon_sym_SEMI] = ACTIONS(4470),
    [anon_sym___attribute__] = ACTIONS(5822),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_RBRACE] = ACTIONS(4470),
    [anon_sym_LBRACK] = ACTIONS(4470),
    [anon_sym_RBRACK] = ACTIONS(4470),
    [anon_sym_EQ] = ACTIONS(5822),
    [anon_sym_COLON] = ACTIONS(5822),
    [anon_sym_QMARK] = ACTIONS(4470),
    [anon_sym_STAR_EQ] = ACTIONS(4470),
    [anon_sym_SLASH_EQ] = ACTIONS(4470),
    [anon_sym_PERCENT_EQ] = ACTIONS(4470),
    [anon_sym_PLUS_EQ] = ACTIONS(4470),
    [anon_sym_DASH_EQ] = ACTIONS(4470),
    [anon_sym_LT_LT_EQ] = ACTIONS(4470),
    [anon_sym_GT_GT_EQ] = ACTIONS(4470),
    [anon_sym_AMP_EQ] = ACTIONS(4470),
    [anon_sym_CARET_EQ] = ACTIONS(4470),
    [anon_sym_PIPE_EQ] = ACTIONS(4470),
    [anon_sym_and_eq] = ACTIONS(5822),
    [anon_sym_or_eq] = ACTIONS(5822),
    [anon_sym_xor_eq] = ACTIONS(5822),
    [anon_sym_LT_EQ_GT] = ACTIONS(4470),
    [anon_sym_or] = ACTIONS(5822),
    [anon_sym_and] = ACTIONS(5822),
    [anon_sym_bitor] = ACTIONS(5822),
    [anon_sym_xor] = ACTIONS(5822),
    [anon_sym_bitand] = ACTIONS(5822),
    [anon_sym_not_eq] = ACTIONS(5822),
    [anon_sym_DASH_DASH] = ACTIONS(4470),
    [anon_sym_PLUS_PLUS] = ACTIONS(4470),
    [anon_sym_DOT] = ACTIONS(5822),
    [anon_sym_DOT_STAR] = ACTIONS(4470),
    [anon_sym_DASH_GT] = ACTIONS(4470),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5822),
    [anon_sym_decltype] = ACTIONS(5822),
    [anon_sym_final] = ACTIONS(5822),
    [anon_sym_override] = ACTIONS(5822),
  },
  [2330] = {
    [sym_identifier] = ACTIONS(3511),
    [aux_sym_preproc_def_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token2] = ACTIONS(3511),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3511),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3511),
    [aux_sym_preproc_else_token1] = ACTIONS(3511),
    [aux_sym_preproc_elif_token1] = ACTIONS(3511),
    [sym_preproc_directive] = ACTIONS(3511),
    [anon_sym_LPAREN2] = ACTIONS(3513),
    [anon_sym_TILDE] = ACTIONS(3513),
    [anon_sym_STAR] = ACTIONS(3513),
    [anon_sym_AMP_AMP] = ACTIONS(3513),
    [anon_sym_AMP] = ACTIONS(3511),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_typedef] = ACTIONS(3511),
    [anon_sym_extern] = ACTIONS(3511),
    [anon_sym___attribute__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3513),
    [anon_sym___declspec] = ACTIONS(3511),
    [anon_sym___based] = ACTIONS(3511),
    [anon_sym_signed] = ACTIONS(3511),
    [anon_sym_unsigned] = ACTIONS(3511),
    [anon_sym_long] = ACTIONS(3511),
    [anon_sym_short] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(3511),
    [anon_sym_static] = ACTIONS(3511),
    [anon_sym_register] = ACTIONS(3511),
    [anon_sym_inline] = ACTIONS(3511),
    [anon_sym___inline] = ACTIONS(3511),
    [anon_sym___inline__] = ACTIONS(3511),
    [anon_sym___forceinline] = ACTIONS(3511),
    [anon_sym_thread_local] = ACTIONS(3511),
    [anon_sym___thread] = ACTIONS(3511),
    [anon_sym_const] = ACTIONS(3511),
    [anon_sym_constexpr] = ACTIONS(3511),
    [anon_sym_volatile] = ACTIONS(3511),
    [anon_sym_restrict] = ACTIONS(3511),
    [anon_sym___restrict__] = ACTIONS(3511),
    [anon_sym__Atomic] = ACTIONS(3511),
    [anon_sym__Noreturn] = ACTIONS(3511),
    [anon_sym_noreturn] = ACTIONS(3511),
    [anon_sym_mutable] = ACTIONS(3511),
    [anon_sym_constinit] = ACTIONS(3511),
    [anon_sym_consteval] = ACTIONS(3511),
    [anon_sym_PROGMEM] = ACTIONS(3511),
    [aux_sym_primitive_type_token1] = ACTIONS(3511),
    [anon_sym_byte] = ACTIONS(3511),
    [anon_sym_word] = ACTIONS(3511),
    [anon_sym_enum] = ACTIONS(3511),
    [anon_sym_class] = ACTIONS(3511),
    [anon_sym_struct] = ACTIONS(3511),
    [anon_sym_union] = ACTIONS(3511),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3511),
    [anon_sym_decltype] = ACTIONS(3511),
    [anon_sym_virtual] = ACTIONS(3511),
    [anon_sym_alignas] = ACTIONS(3511),
    [anon_sym_explicit] = ACTIONS(3511),
    [anon_sym_typename] = ACTIONS(3511),
    [anon_sym_template] = ACTIONS(3511),
    [anon_sym_operator] = ACTIONS(3511),
    [anon_sym_friend] = ACTIONS(3511),
    [anon_sym_public] = ACTIONS(3511),
    [anon_sym_private] = ACTIONS(3511),
    [anon_sym_protected] = ACTIONS(3511),
    [anon_sym_using] = ACTIONS(3511),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [2331] = {
    [sym_identifier] = ACTIONS(3899),
    [aux_sym_preproc_def_token1] = ACTIONS(3899),
    [aux_sym_preproc_if_token1] = ACTIONS(3899),
    [aux_sym_preproc_if_token2] = ACTIONS(3899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3899),
    [aux_sym_preproc_else_token1] = ACTIONS(3899),
    [aux_sym_preproc_elif_token1] = ACTIONS(3899),
    [sym_preproc_directive] = ACTIONS(3899),
    [anon_sym_LPAREN2] = ACTIONS(3897),
    [anon_sym_TILDE] = ACTIONS(3897),
    [anon_sym_STAR] = ACTIONS(3897),
    [anon_sym_AMP_AMP] = ACTIONS(3897),
    [anon_sym_AMP] = ACTIONS(3899),
    [anon_sym___extension__] = ACTIONS(3899),
    [anon_sym_typedef] = ACTIONS(3899),
    [anon_sym_extern] = ACTIONS(3899),
    [anon_sym___attribute__] = ACTIONS(3899),
    [anon_sym_COLON_COLON] = ACTIONS(3897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3897),
    [anon_sym___declspec] = ACTIONS(3899),
    [anon_sym___based] = ACTIONS(3899),
    [anon_sym_signed] = ACTIONS(3899),
    [anon_sym_unsigned] = ACTIONS(3899),
    [anon_sym_long] = ACTIONS(3899),
    [anon_sym_short] = ACTIONS(3899),
    [anon_sym_LBRACK] = ACTIONS(3899),
    [anon_sym_static] = ACTIONS(3899),
    [anon_sym_register] = ACTIONS(3899),
    [anon_sym_inline] = ACTIONS(3899),
    [anon_sym___inline] = ACTIONS(3899),
    [anon_sym___inline__] = ACTIONS(3899),
    [anon_sym___forceinline] = ACTIONS(3899),
    [anon_sym_thread_local] = ACTIONS(3899),
    [anon_sym___thread] = ACTIONS(3899),
    [anon_sym_const] = ACTIONS(3899),
    [anon_sym_constexpr] = ACTIONS(3899),
    [anon_sym_volatile] = ACTIONS(3899),
    [anon_sym_restrict] = ACTIONS(3899),
    [anon_sym___restrict__] = ACTIONS(3899),
    [anon_sym__Atomic] = ACTIONS(3899),
    [anon_sym__Noreturn] = ACTIONS(3899),
    [anon_sym_noreturn] = ACTIONS(3899),
    [anon_sym_mutable] = ACTIONS(3899),
    [anon_sym_constinit] = ACTIONS(3899),
    [anon_sym_consteval] = ACTIONS(3899),
    [anon_sym_PROGMEM] = ACTIONS(3899),
    [aux_sym_primitive_type_token1] = ACTIONS(3899),
    [anon_sym_byte] = ACTIONS(3899),
    [anon_sym_word] = ACTIONS(3899),
    [anon_sym_enum] = ACTIONS(3899),
    [anon_sym_class] = ACTIONS(3899),
    [anon_sym_struct] = ACTIONS(3899),
    [anon_sym_union] = ACTIONS(3899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3899),
    [anon_sym_decltype] = ACTIONS(3899),
    [anon_sym_virtual] = ACTIONS(3899),
    [anon_sym_alignas] = ACTIONS(3899),
    [anon_sym_explicit] = ACTIONS(3899),
    [anon_sym_typename] = ACTIONS(3899),
    [anon_sym_template] = ACTIONS(3899),
    [anon_sym_operator] = ACTIONS(3899),
    [anon_sym_friend] = ACTIONS(3899),
    [anon_sym_public] = ACTIONS(3899),
    [anon_sym_private] = ACTIONS(3899),
    [anon_sym_protected] = ACTIONS(3899),
    [anon_sym_using] = ACTIONS(3899),
    [anon_sym_static_assert] = ACTIONS(3899),
  },
  [2332] = {
    [sym_identifier] = ACTIONS(3180),
    [aux_sym_preproc_def_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token2] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3180),
    [aux_sym_preproc_else_token1] = ACTIONS(3180),
    [aux_sym_preproc_elif_token1] = ACTIONS(3180),
    [sym_preproc_directive] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_STAR] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym___extension__] = ACTIONS(3180),
    [anon_sym_typedef] = ACTIONS(3180),
    [anon_sym_extern] = ACTIONS(3180),
    [anon_sym___attribute__] = ACTIONS(3180),
    [anon_sym_COLON_COLON] = ACTIONS(3182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3182),
    [anon_sym___declspec] = ACTIONS(3180),
    [anon_sym___based] = ACTIONS(3180),
    [anon_sym_signed] = ACTIONS(3180),
    [anon_sym_unsigned] = ACTIONS(3180),
    [anon_sym_long] = ACTIONS(3180),
    [anon_sym_short] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_register] = ACTIONS(3180),
    [anon_sym_inline] = ACTIONS(3180),
    [anon_sym___inline] = ACTIONS(3180),
    [anon_sym___inline__] = ACTIONS(3180),
    [anon_sym___forceinline] = ACTIONS(3180),
    [anon_sym_thread_local] = ACTIONS(3180),
    [anon_sym___thread] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_constexpr] = ACTIONS(3180),
    [anon_sym_volatile] = ACTIONS(3180),
    [anon_sym_restrict] = ACTIONS(3180),
    [anon_sym___restrict__] = ACTIONS(3180),
    [anon_sym__Atomic] = ACTIONS(3180),
    [anon_sym__Noreturn] = ACTIONS(3180),
    [anon_sym_noreturn] = ACTIONS(3180),
    [anon_sym_mutable] = ACTIONS(3180),
    [anon_sym_constinit] = ACTIONS(3180),
    [anon_sym_consteval] = ACTIONS(3180),
    [anon_sym_PROGMEM] = ACTIONS(3180),
    [aux_sym_primitive_type_token1] = ACTIONS(3180),
    [anon_sym_byte] = ACTIONS(3180),
    [anon_sym_word] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_struct] = ACTIONS(3180),
    [anon_sym_union] = ACTIONS(3180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3180),
    [anon_sym_decltype] = ACTIONS(3180),
    [anon_sym_virtual] = ACTIONS(3180),
    [anon_sym_alignas] = ACTIONS(3180),
    [anon_sym_explicit] = ACTIONS(3180),
    [anon_sym_typename] = ACTIONS(3180),
    [anon_sym_template] = ACTIONS(3180),
    [anon_sym_operator] = ACTIONS(3180),
    [anon_sym_friend] = ACTIONS(3180),
    [anon_sym_public] = ACTIONS(3180),
    [anon_sym_private] = ACTIONS(3180),
    [anon_sym_protected] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_static_assert] = ACTIONS(3180),
  },
  [2333] = {
    [sym_identifier] = ACTIONS(3322),
    [aux_sym_preproc_def_token1] = ACTIONS(3322),
    [aux_sym_preproc_if_token1] = ACTIONS(3322),
    [aux_sym_preproc_if_token2] = ACTIONS(3322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3322),
    [aux_sym_preproc_else_token1] = ACTIONS(3322),
    [aux_sym_preproc_elif_token1] = ACTIONS(3322),
    [sym_preproc_directive] = ACTIONS(3322),
    [anon_sym_LPAREN2] = ACTIONS(3324),
    [anon_sym_TILDE] = ACTIONS(3324),
    [anon_sym_STAR] = ACTIONS(3324),
    [anon_sym_AMP_AMP] = ACTIONS(3324),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym___extension__] = ACTIONS(3322),
    [anon_sym_typedef] = ACTIONS(3322),
    [anon_sym_extern] = ACTIONS(3322),
    [anon_sym___attribute__] = ACTIONS(3322),
    [anon_sym_COLON_COLON] = ACTIONS(3324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3324),
    [anon_sym___declspec] = ACTIONS(3322),
    [anon_sym___based] = ACTIONS(3322),
    [anon_sym_signed] = ACTIONS(3322),
    [anon_sym_unsigned] = ACTIONS(3322),
    [anon_sym_long] = ACTIONS(3322),
    [anon_sym_short] = ACTIONS(3322),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_static] = ACTIONS(3322),
    [anon_sym_register] = ACTIONS(3322),
    [anon_sym_inline] = ACTIONS(3322),
    [anon_sym___inline] = ACTIONS(3322),
    [anon_sym___inline__] = ACTIONS(3322),
    [anon_sym___forceinline] = ACTIONS(3322),
    [anon_sym_thread_local] = ACTIONS(3322),
    [anon_sym___thread] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_constexpr] = ACTIONS(3322),
    [anon_sym_volatile] = ACTIONS(3322),
    [anon_sym_restrict] = ACTIONS(3322),
    [anon_sym___restrict__] = ACTIONS(3322),
    [anon_sym__Atomic] = ACTIONS(3322),
    [anon_sym__Noreturn] = ACTIONS(3322),
    [anon_sym_noreturn] = ACTIONS(3322),
    [anon_sym_mutable] = ACTIONS(3322),
    [anon_sym_constinit] = ACTIONS(3322),
    [anon_sym_consteval] = ACTIONS(3322),
    [anon_sym_PROGMEM] = ACTIONS(3322),
    [aux_sym_primitive_type_token1] = ACTIONS(3322),
    [anon_sym_byte] = ACTIONS(3322),
    [anon_sym_word] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3322),
    [anon_sym_struct] = ACTIONS(3322),
    [anon_sym_union] = ACTIONS(3322),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3322),
    [anon_sym_decltype] = ACTIONS(3322),
    [anon_sym_virtual] = ACTIONS(3322),
    [anon_sym_alignas] = ACTIONS(3322),
    [anon_sym_explicit] = ACTIONS(3322),
    [anon_sym_typename] = ACTIONS(3322),
    [anon_sym_template] = ACTIONS(3322),
    [anon_sym_operator] = ACTIONS(3322),
    [anon_sym_friend] = ACTIONS(3322),
    [anon_sym_public] = ACTIONS(3322),
    [anon_sym_private] = ACTIONS(3322),
    [anon_sym_protected] = ACTIONS(3322),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_static_assert] = ACTIONS(3322),
  },
  [2334] = {
    [sym_identifier] = ACTIONS(3515),
    [aux_sym_preproc_def_token1] = ACTIONS(3515),
    [aux_sym_preproc_if_token1] = ACTIONS(3515),
    [aux_sym_preproc_if_token2] = ACTIONS(3515),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3515),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3515),
    [aux_sym_preproc_else_token1] = ACTIONS(3515),
    [aux_sym_preproc_elif_token1] = ACTIONS(3515),
    [sym_preproc_directive] = ACTIONS(3515),
    [anon_sym_LPAREN2] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_STAR] = ACTIONS(3517),
    [anon_sym_AMP_AMP] = ACTIONS(3517),
    [anon_sym_AMP] = ACTIONS(3515),
    [anon_sym___extension__] = ACTIONS(3515),
    [anon_sym_typedef] = ACTIONS(3515),
    [anon_sym_extern] = ACTIONS(3515),
    [anon_sym___attribute__] = ACTIONS(3515),
    [anon_sym_COLON_COLON] = ACTIONS(3517),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3517),
    [anon_sym___declspec] = ACTIONS(3515),
    [anon_sym___based] = ACTIONS(3515),
    [anon_sym_signed] = ACTIONS(3515),
    [anon_sym_unsigned] = ACTIONS(3515),
    [anon_sym_long] = ACTIONS(3515),
    [anon_sym_short] = ACTIONS(3515),
    [anon_sym_LBRACK] = ACTIONS(3515),
    [anon_sym_static] = ACTIONS(3515),
    [anon_sym_register] = ACTIONS(3515),
    [anon_sym_inline] = ACTIONS(3515),
    [anon_sym___inline] = ACTIONS(3515),
    [anon_sym___inline__] = ACTIONS(3515),
    [anon_sym___forceinline] = ACTIONS(3515),
    [anon_sym_thread_local] = ACTIONS(3515),
    [anon_sym___thread] = ACTIONS(3515),
    [anon_sym_const] = ACTIONS(3515),
    [anon_sym_constexpr] = ACTIONS(3515),
    [anon_sym_volatile] = ACTIONS(3515),
    [anon_sym_restrict] = ACTIONS(3515),
    [anon_sym___restrict__] = ACTIONS(3515),
    [anon_sym__Atomic] = ACTIONS(3515),
    [anon_sym__Noreturn] = ACTIONS(3515),
    [anon_sym_noreturn] = ACTIONS(3515),
    [anon_sym_mutable] = ACTIONS(3515),
    [anon_sym_constinit] = ACTIONS(3515),
    [anon_sym_consteval] = ACTIONS(3515),
    [anon_sym_PROGMEM] = ACTIONS(3515),
    [aux_sym_primitive_type_token1] = ACTIONS(3515),
    [anon_sym_byte] = ACTIONS(3515),
    [anon_sym_word] = ACTIONS(3515),
    [anon_sym_enum] = ACTIONS(3515),
    [anon_sym_class] = ACTIONS(3515),
    [anon_sym_struct] = ACTIONS(3515),
    [anon_sym_union] = ACTIONS(3515),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3515),
    [anon_sym_decltype] = ACTIONS(3515),
    [anon_sym_virtual] = ACTIONS(3515),
    [anon_sym_alignas] = ACTIONS(3515),
    [anon_sym_explicit] = ACTIONS(3515),
    [anon_sym_typename] = ACTIONS(3515),
    [anon_sym_template] = ACTIONS(3515),
    [anon_sym_operator] = ACTIONS(3515),
    [anon_sym_friend] = ACTIONS(3515),
    [anon_sym_public] = ACTIONS(3515),
    [anon_sym_private] = ACTIONS(3515),
    [anon_sym_protected] = ACTIONS(3515),
    [anon_sym_using] = ACTIONS(3515),
    [anon_sym_static_assert] = ACTIONS(3515),
  },
  [2335] = {
    [sym_identifier] = ACTIONS(2261),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [aux_sym_preproc_if_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2261),
    [anon_sym_LPAREN2] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym___extension__] = ACTIONS(2261),
    [anon_sym_typedef] = ACTIONS(2261),
    [anon_sym_extern] = ACTIONS(2261),
    [anon_sym___attribute__] = ACTIONS(2261),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2259),
    [anon_sym___declspec] = ACTIONS(2261),
    [anon_sym___based] = ACTIONS(2261),
    [anon_sym_RBRACE] = ACTIONS(2259),
    [anon_sym_signed] = ACTIONS(2261),
    [anon_sym_unsigned] = ACTIONS(2261),
    [anon_sym_long] = ACTIONS(2261),
    [anon_sym_short] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_register] = ACTIONS(2261),
    [anon_sym_inline] = ACTIONS(2261),
    [anon_sym___inline] = ACTIONS(2261),
    [anon_sym___inline__] = ACTIONS(2261),
    [anon_sym___forceinline] = ACTIONS(2261),
    [anon_sym_thread_local] = ACTIONS(2261),
    [anon_sym___thread] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_constexpr] = ACTIONS(2261),
    [anon_sym_volatile] = ACTIONS(2261),
    [anon_sym_restrict] = ACTIONS(2261),
    [anon_sym___restrict__] = ACTIONS(2261),
    [anon_sym__Atomic] = ACTIONS(2261),
    [anon_sym__Noreturn] = ACTIONS(2261),
    [anon_sym_noreturn] = ACTIONS(2261),
    [anon_sym_mutable] = ACTIONS(2261),
    [anon_sym_constinit] = ACTIONS(2261),
    [anon_sym_consteval] = ACTIONS(2261),
    [anon_sym_PROGMEM] = ACTIONS(2261),
    [aux_sym_primitive_type_token1] = ACTIONS(2261),
    [anon_sym_byte] = ACTIONS(2261),
    [anon_sym_word] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_struct] = ACTIONS(2261),
    [anon_sym_union] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2261),
    [anon_sym_decltype] = ACTIONS(2261),
    [anon_sym_virtual] = ACTIONS(2261),
    [anon_sym_alignas] = ACTIONS(2261),
    [anon_sym_explicit] = ACTIONS(2261),
    [anon_sym_typename] = ACTIONS(2261),
    [anon_sym_template] = ACTIONS(2261),
    [anon_sym_operator] = ACTIONS(2261),
    [anon_sym_friend] = ACTIONS(2261),
    [anon_sym_public] = ACTIONS(2261),
    [anon_sym_private] = ACTIONS(2261),
    [anon_sym_protected] = ACTIONS(2261),
    [anon_sym_using] = ACTIONS(2261),
    [anon_sym_static_assert] = ACTIONS(2261),
    [anon_sym_catch] = ACTIONS(2261),
  },
  [2336] = {
    [sym_identifier] = ACTIONS(2265),
    [aux_sym_preproc_def_token1] = ACTIONS(2265),
    [aux_sym_preproc_if_token1] = ACTIONS(2265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2265),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2265),
    [sym_preproc_directive] = ACTIONS(2265),
    [anon_sym_LPAREN2] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [anon_sym_STAR] = ACTIONS(2263),
    [anon_sym_AMP_AMP] = ACTIONS(2263),
    [anon_sym_AMP] = ACTIONS(2265),
    [anon_sym_SEMI] = ACTIONS(2263),
    [anon_sym___extension__] = ACTIONS(2265),
    [anon_sym_typedef] = ACTIONS(2265),
    [anon_sym_extern] = ACTIONS(2265),
    [anon_sym___attribute__] = ACTIONS(2265),
    [anon_sym_COLON_COLON] = ACTIONS(2263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2263),
    [anon_sym___declspec] = ACTIONS(2265),
    [anon_sym___based] = ACTIONS(2265),
    [anon_sym_RBRACE] = ACTIONS(2263),
    [anon_sym_signed] = ACTIONS(2265),
    [anon_sym_unsigned] = ACTIONS(2265),
    [anon_sym_long] = ACTIONS(2265),
    [anon_sym_short] = ACTIONS(2265),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_static] = ACTIONS(2265),
    [anon_sym_register] = ACTIONS(2265),
    [anon_sym_inline] = ACTIONS(2265),
    [anon_sym___inline] = ACTIONS(2265),
    [anon_sym___inline__] = ACTIONS(2265),
    [anon_sym___forceinline] = ACTIONS(2265),
    [anon_sym_thread_local] = ACTIONS(2265),
    [anon_sym___thread] = ACTIONS(2265),
    [anon_sym_const] = ACTIONS(2265),
    [anon_sym_constexpr] = ACTIONS(2265),
    [anon_sym_volatile] = ACTIONS(2265),
    [anon_sym_restrict] = ACTIONS(2265),
    [anon_sym___restrict__] = ACTIONS(2265),
    [anon_sym__Atomic] = ACTIONS(2265),
    [anon_sym__Noreturn] = ACTIONS(2265),
    [anon_sym_noreturn] = ACTIONS(2265),
    [anon_sym_mutable] = ACTIONS(2265),
    [anon_sym_constinit] = ACTIONS(2265),
    [anon_sym_consteval] = ACTIONS(2265),
    [anon_sym_PROGMEM] = ACTIONS(2265),
    [aux_sym_primitive_type_token1] = ACTIONS(2265),
    [anon_sym_byte] = ACTIONS(2265),
    [anon_sym_word] = ACTIONS(2265),
    [anon_sym_enum] = ACTIONS(2265),
    [anon_sym_class] = ACTIONS(2265),
    [anon_sym_struct] = ACTIONS(2265),
    [anon_sym_union] = ACTIONS(2265),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2265),
    [anon_sym_decltype] = ACTIONS(2265),
    [anon_sym_virtual] = ACTIONS(2265),
    [anon_sym_alignas] = ACTIONS(2265),
    [anon_sym_explicit] = ACTIONS(2265),
    [anon_sym_typename] = ACTIONS(2265),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_operator] = ACTIONS(2265),
    [anon_sym_friend] = ACTIONS(2265),
    [anon_sym_public] = ACTIONS(2265),
    [anon_sym_private] = ACTIONS(2265),
    [anon_sym_protected] = ACTIONS(2265),
    [anon_sym_using] = ACTIONS(2265),
    [anon_sym_static_assert] = ACTIONS(2265),
    [anon_sym_catch] = ACTIONS(2265),
  },
  [2337] = {
    [sym_template_argument_list] = STATE(2423),
    [sym_identifier] = ACTIONS(5105),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5112),
    [anon_sym_COMMA] = ACTIONS(5112),
    [anon_sym_RPAREN] = ACTIONS(5112),
    [aux_sym_preproc_if_token2] = ACTIONS(5112),
    [aux_sym_preproc_else_token1] = ACTIONS(5112),
    [aux_sym_preproc_elif_token1] = ACTIONS(5105),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_DASH] = ACTIONS(5105),
    [anon_sym_PLUS] = ACTIONS(5105),
    [anon_sym_STAR] = ACTIONS(5105),
    [anon_sym_SLASH] = ACTIONS(5105),
    [anon_sym_PERCENT] = ACTIONS(5105),
    [anon_sym_PIPE_PIPE] = ACTIONS(5112),
    [anon_sym_AMP_AMP] = ACTIONS(5112),
    [anon_sym_PIPE] = ACTIONS(5105),
    [anon_sym_CARET] = ACTIONS(5105),
    [anon_sym_AMP] = ACTIONS(5105),
    [anon_sym_EQ_EQ] = ACTIONS(5112),
    [anon_sym_BANG_EQ] = ACTIONS(5112),
    [anon_sym_GT] = ACTIONS(5105),
    [anon_sym_GT_EQ] = ACTIONS(5112),
    [anon_sym_LT_EQ] = ACTIONS(5105),
    [anon_sym_LT] = ACTIONS(5826),
    [anon_sym_LT_LT] = ACTIONS(5105),
    [anon_sym_GT_GT] = ACTIONS(5105),
    [anon_sym_SEMI] = ACTIONS(5112),
    [anon_sym___attribute__] = ACTIONS(5105),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(5112),
    [anon_sym_RBRACE] = ACTIONS(5112),
    [anon_sym_LBRACK] = ACTIONS(5112),
    [anon_sym_RBRACK] = ACTIONS(5112),
    [anon_sym_EQ] = ACTIONS(5105),
    [anon_sym_COLON] = ACTIONS(5105),
    [anon_sym_QMARK] = ACTIONS(5112),
    [anon_sym_STAR_EQ] = ACTIONS(5112),
    [anon_sym_SLASH_EQ] = ACTIONS(5112),
    [anon_sym_PERCENT_EQ] = ACTIONS(5112),
    [anon_sym_PLUS_EQ] = ACTIONS(5112),
    [anon_sym_DASH_EQ] = ACTIONS(5112),
    [anon_sym_LT_LT_EQ] = ACTIONS(5112),
    [anon_sym_GT_GT_EQ] = ACTIONS(5112),
    [anon_sym_AMP_EQ] = ACTIONS(5112),
    [anon_sym_CARET_EQ] = ACTIONS(5112),
    [anon_sym_PIPE_EQ] = ACTIONS(5112),
    [anon_sym_and_eq] = ACTIONS(5105),
    [anon_sym_or_eq] = ACTIONS(5105),
    [anon_sym_xor_eq] = ACTIONS(5105),
    [anon_sym_LT_EQ_GT] = ACTIONS(5112),
    [anon_sym_or] = ACTIONS(5105),
    [anon_sym_and] = ACTIONS(5105),
    [anon_sym_bitor] = ACTIONS(5105),
    [anon_sym_xor] = ACTIONS(5105),
    [anon_sym_bitand] = ACTIONS(5105),
    [anon_sym_not_eq] = ACTIONS(5105),
    [anon_sym_DASH_DASH] = ACTIONS(5112),
    [anon_sym_PLUS_PLUS] = ACTIONS(5112),
    [anon_sym_DOT] = ACTIONS(5105),
    [anon_sym_DOT_STAR] = ACTIONS(5112),
    [anon_sym_DASH_GT] = ACTIONS(5112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5105),
    [anon_sym_decltype] = ACTIONS(5105),
    [anon_sym_final] = ACTIONS(5105),
    [anon_sym_override] = ACTIONS(5105),
  },
  [2338] = {
    [sym_identifier] = ACTIONS(5521),
    [aux_sym_preproc_def_token1] = ACTIONS(5521),
    [aux_sym_preproc_if_token1] = ACTIONS(5521),
    [aux_sym_preproc_if_token2] = ACTIONS(5521),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5521),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5521),
    [aux_sym_preproc_else_token1] = ACTIONS(5521),
    [aux_sym_preproc_elif_token1] = ACTIONS(5521),
    [sym_preproc_directive] = ACTIONS(5521),
    [anon_sym_LPAREN2] = ACTIONS(5523),
    [anon_sym_TILDE] = ACTIONS(5523),
    [anon_sym_STAR] = ACTIONS(5523),
    [anon_sym_AMP_AMP] = ACTIONS(5523),
    [anon_sym_AMP] = ACTIONS(5521),
    [anon_sym___extension__] = ACTIONS(5521),
    [anon_sym_typedef] = ACTIONS(5521),
    [anon_sym_extern] = ACTIONS(5521),
    [anon_sym___attribute__] = ACTIONS(5521),
    [anon_sym_COLON_COLON] = ACTIONS(5523),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5523),
    [anon_sym___declspec] = ACTIONS(5521),
    [anon_sym___based] = ACTIONS(5521),
    [anon_sym_signed] = ACTIONS(5521),
    [anon_sym_unsigned] = ACTIONS(5521),
    [anon_sym_long] = ACTIONS(5521),
    [anon_sym_short] = ACTIONS(5521),
    [anon_sym_LBRACK] = ACTIONS(5521),
    [anon_sym_static] = ACTIONS(5521),
    [anon_sym_register] = ACTIONS(5521),
    [anon_sym_inline] = ACTIONS(5521),
    [anon_sym___inline] = ACTIONS(5521),
    [anon_sym___inline__] = ACTIONS(5521),
    [anon_sym___forceinline] = ACTIONS(5521),
    [anon_sym_thread_local] = ACTIONS(5521),
    [anon_sym___thread] = ACTIONS(5521),
    [anon_sym_const] = ACTIONS(5521),
    [anon_sym_constexpr] = ACTIONS(5521),
    [anon_sym_volatile] = ACTIONS(5521),
    [anon_sym_restrict] = ACTIONS(5521),
    [anon_sym___restrict__] = ACTIONS(5521),
    [anon_sym__Atomic] = ACTIONS(5521),
    [anon_sym__Noreturn] = ACTIONS(5521),
    [anon_sym_noreturn] = ACTIONS(5521),
    [anon_sym_mutable] = ACTIONS(5521),
    [anon_sym_constinit] = ACTIONS(5521),
    [anon_sym_consteval] = ACTIONS(5521),
    [anon_sym_PROGMEM] = ACTIONS(5521),
    [aux_sym_primitive_type_token1] = ACTIONS(5521),
    [anon_sym_byte] = ACTIONS(5521),
    [anon_sym_word] = ACTIONS(5521),
    [anon_sym_enum] = ACTIONS(5521),
    [anon_sym_class] = ACTIONS(5521),
    [anon_sym_struct] = ACTIONS(5521),
    [anon_sym_union] = ACTIONS(5521),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5521),
    [anon_sym_decltype] = ACTIONS(5521),
    [anon_sym_virtual] = ACTIONS(5521),
    [anon_sym_alignas] = ACTIONS(5521),
    [anon_sym_explicit] = ACTIONS(5521),
    [anon_sym_typename] = ACTIONS(5521),
    [anon_sym_template] = ACTIONS(5521),
    [anon_sym_operator] = ACTIONS(5521),
    [anon_sym_friend] = ACTIONS(5521),
    [anon_sym_public] = ACTIONS(5521),
    [anon_sym_private] = ACTIONS(5521),
    [anon_sym_protected] = ACTIONS(5521),
    [anon_sym_using] = ACTIONS(5521),
    [anon_sym_static_assert] = ACTIONS(5521),
  },
  [2339] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token2] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [aux_sym_preproc_else_token1] = ACTIONS(3076),
    [aux_sym_preproc_elif_token1] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_friend] = ACTIONS(3076),
    [anon_sym_public] = ACTIONS(3076),
    [anon_sym_private] = ACTIONS(3076),
    [anon_sym_protected] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
  },
  [2340] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token2] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [aux_sym_preproc_else_token1] = ACTIONS(3076),
    [aux_sym_preproc_elif_token1] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_friend] = ACTIONS(3076),
    [anon_sym_public] = ACTIONS(3076),
    [anon_sym_private] = ACTIONS(3076),
    [anon_sym_protected] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
  },
  [2341] = {
    [sym_argument_list] = STATE(2977),
    [sym_initializer_list] = STATE(2977),
    [sym_decltype_auto] = STATE(2720),
    [sym_new_declarator] = STATE(2705),
    [sym_identifier] = ACTIONS(5829),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5831),
    [anon_sym_COMMA] = ACTIONS(5831),
    [anon_sym_RPAREN] = ACTIONS(5831),
    [aux_sym_preproc_if_token2] = ACTIONS(5831),
    [aux_sym_preproc_else_token1] = ACTIONS(5831),
    [aux_sym_preproc_elif_token1] = ACTIONS(5829),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5831),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5831),
    [anon_sym_LPAREN2] = ACTIONS(5791),
    [anon_sym_DASH] = ACTIONS(5829),
    [anon_sym_PLUS] = ACTIONS(5829),
    [anon_sym_STAR] = ACTIONS(5829),
    [anon_sym_SLASH] = ACTIONS(5829),
    [anon_sym_PERCENT] = ACTIONS(5829),
    [anon_sym_PIPE_PIPE] = ACTIONS(5831),
    [anon_sym_AMP_AMP] = ACTIONS(5831),
    [anon_sym_PIPE] = ACTIONS(5829),
    [anon_sym_CARET] = ACTIONS(5829),
    [anon_sym_AMP] = ACTIONS(5829),
    [anon_sym_EQ_EQ] = ACTIONS(5831),
    [anon_sym_BANG_EQ] = ACTIONS(5831),
    [anon_sym_GT] = ACTIONS(5829),
    [anon_sym_GT_EQ] = ACTIONS(5831),
    [anon_sym_LT_EQ] = ACTIONS(5829),
    [anon_sym_LT] = ACTIONS(5829),
    [anon_sym_LT_LT] = ACTIONS(5829),
    [anon_sym_GT_GT] = ACTIONS(5829),
    [anon_sym_SEMI] = ACTIONS(5831),
    [anon_sym___attribute__] = ACTIONS(5829),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_RBRACE] = ACTIONS(5831),
    [anon_sym_LBRACK] = ACTIONS(5793),
    [anon_sym_RBRACK] = ACTIONS(5831),
    [anon_sym_EQ] = ACTIONS(5829),
    [anon_sym_COLON] = ACTIONS(5831),
    [anon_sym_QMARK] = ACTIONS(5831),
    [anon_sym_STAR_EQ] = ACTIONS(5831),
    [anon_sym_SLASH_EQ] = ACTIONS(5831),
    [anon_sym_PERCENT_EQ] = ACTIONS(5831),
    [anon_sym_PLUS_EQ] = ACTIONS(5831),
    [anon_sym_DASH_EQ] = ACTIONS(5831),
    [anon_sym_LT_LT_EQ] = ACTIONS(5831),
    [anon_sym_GT_GT_EQ] = ACTIONS(5831),
    [anon_sym_AMP_EQ] = ACTIONS(5831),
    [anon_sym_CARET_EQ] = ACTIONS(5831),
    [anon_sym_PIPE_EQ] = ACTIONS(5831),
    [anon_sym_and_eq] = ACTIONS(5829),
    [anon_sym_or_eq] = ACTIONS(5829),
    [anon_sym_xor_eq] = ACTIONS(5829),
    [anon_sym_LT_EQ_GT] = ACTIONS(5831),
    [anon_sym_or] = ACTIONS(5829),
    [anon_sym_and] = ACTIONS(5829),
    [anon_sym_bitor] = ACTIONS(5829),
    [anon_sym_xor] = ACTIONS(5829),
    [anon_sym_bitand] = ACTIONS(5829),
    [anon_sym_not_eq] = ACTIONS(5829),
    [anon_sym_DASH_DASH] = ACTIONS(5831),
    [anon_sym_PLUS_PLUS] = ACTIONS(5831),
    [anon_sym_DOT] = ACTIONS(5829),
    [anon_sym_DOT_STAR] = ACTIONS(5831),
    [anon_sym_DASH_GT] = ACTIONS(5831),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5795),
    [anon_sym_decltype] = ACTIONS(5797),
  },
  [2342] = {
    [sym_identifier] = ACTIONS(5541),
    [aux_sym_preproc_def_token1] = ACTIONS(5541),
    [aux_sym_preproc_if_token1] = ACTIONS(5541),
    [aux_sym_preproc_if_token2] = ACTIONS(5541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5541),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5541),
    [aux_sym_preproc_else_token1] = ACTIONS(5541),
    [aux_sym_preproc_elif_token1] = ACTIONS(5541),
    [sym_preproc_directive] = ACTIONS(5541),
    [anon_sym_LPAREN2] = ACTIONS(5543),
    [anon_sym_TILDE] = ACTIONS(5543),
    [anon_sym_STAR] = ACTIONS(5543),
    [anon_sym_AMP_AMP] = ACTIONS(5543),
    [anon_sym_AMP] = ACTIONS(5541),
    [anon_sym___extension__] = ACTIONS(5541),
    [anon_sym_typedef] = ACTIONS(5541),
    [anon_sym_extern] = ACTIONS(5541),
    [anon_sym___attribute__] = ACTIONS(5541),
    [anon_sym_COLON_COLON] = ACTIONS(5543),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5543),
    [anon_sym___declspec] = ACTIONS(5541),
    [anon_sym___based] = ACTIONS(5541),
    [anon_sym_signed] = ACTIONS(5541),
    [anon_sym_unsigned] = ACTIONS(5541),
    [anon_sym_long] = ACTIONS(5541),
    [anon_sym_short] = ACTIONS(5541),
    [anon_sym_LBRACK] = ACTIONS(5541),
    [anon_sym_static] = ACTIONS(5541),
    [anon_sym_register] = ACTIONS(5541),
    [anon_sym_inline] = ACTIONS(5541),
    [anon_sym___inline] = ACTIONS(5541),
    [anon_sym___inline__] = ACTIONS(5541),
    [anon_sym___forceinline] = ACTIONS(5541),
    [anon_sym_thread_local] = ACTIONS(5541),
    [anon_sym___thread] = ACTIONS(5541),
    [anon_sym_const] = ACTIONS(5541),
    [anon_sym_constexpr] = ACTIONS(5541),
    [anon_sym_volatile] = ACTIONS(5541),
    [anon_sym_restrict] = ACTIONS(5541),
    [anon_sym___restrict__] = ACTIONS(5541),
    [anon_sym__Atomic] = ACTIONS(5541),
    [anon_sym__Noreturn] = ACTIONS(5541),
    [anon_sym_noreturn] = ACTIONS(5541),
    [anon_sym_mutable] = ACTIONS(5541),
    [anon_sym_constinit] = ACTIONS(5541),
    [anon_sym_consteval] = ACTIONS(5541),
    [anon_sym_PROGMEM] = ACTIONS(5541),
    [aux_sym_primitive_type_token1] = ACTIONS(5541),
    [anon_sym_byte] = ACTIONS(5541),
    [anon_sym_word] = ACTIONS(5541),
    [anon_sym_enum] = ACTIONS(5541),
    [anon_sym_class] = ACTIONS(5541),
    [anon_sym_struct] = ACTIONS(5541),
    [anon_sym_union] = ACTIONS(5541),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5541),
    [anon_sym_decltype] = ACTIONS(5541),
    [anon_sym_virtual] = ACTIONS(5541),
    [anon_sym_alignas] = ACTIONS(5541),
    [anon_sym_explicit] = ACTIONS(5541),
    [anon_sym_typename] = ACTIONS(5541),
    [anon_sym_template] = ACTIONS(5541),
    [anon_sym_operator] = ACTIONS(5541),
    [anon_sym_friend] = ACTIONS(5541),
    [anon_sym_public] = ACTIONS(5541),
    [anon_sym_private] = ACTIONS(5541),
    [anon_sym_protected] = ACTIONS(5541),
    [anon_sym_using] = ACTIONS(5541),
    [anon_sym_static_assert] = ACTIONS(5541),
  },
  [2343] = {
    [sym_argument_list] = STATE(2947),
    [sym_initializer_list] = STATE(2947),
    [sym_decltype_auto] = STATE(2720),
    [sym_new_declarator] = STATE(2692),
    [sym_identifier] = ACTIONS(5833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5835),
    [anon_sym_COMMA] = ACTIONS(5835),
    [anon_sym_RPAREN] = ACTIONS(5835),
    [aux_sym_preproc_if_token2] = ACTIONS(5835),
    [aux_sym_preproc_else_token1] = ACTIONS(5835),
    [aux_sym_preproc_elif_token1] = ACTIONS(5833),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5835),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5835),
    [anon_sym_LPAREN2] = ACTIONS(5791),
    [anon_sym_DASH] = ACTIONS(5833),
    [anon_sym_PLUS] = ACTIONS(5833),
    [anon_sym_STAR] = ACTIONS(5833),
    [anon_sym_SLASH] = ACTIONS(5833),
    [anon_sym_PERCENT] = ACTIONS(5833),
    [anon_sym_PIPE_PIPE] = ACTIONS(5835),
    [anon_sym_AMP_AMP] = ACTIONS(5835),
    [anon_sym_PIPE] = ACTIONS(5833),
    [anon_sym_CARET] = ACTIONS(5833),
    [anon_sym_AMP] = ACTIONS(5833),
    [anon_sym_EQ_EQ] = ACTIONS(5835),
    [anon_sym_BANG_EQ] = ACTIONS(5835),
    [anon_sym_GT] = ACTIONS(5833),
    [anon_sym_GT_EQ] = ACTIONS(5835),
    [anon_sym_LT_EQ] = ACTIONS(5833),
    [anon_sym_LT] = ACTIONS(5833),
    [anon_sym_LT_LT] = ACTIONS(5833),
    [anon_sym_GT_GT] = ACTIONS(5833),
    [anon_sym_SEMI] = ACTIONS(5835),
    [anon_sym___attribute__] = ACTIONS(5833),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_RBRACE] = ACTIONS(5835),
    [anon_sym_LBRACK] = ACTIONS(5793),
    [anon_sym_RBRACK] = ACTIONS(5835),
    [anon_sym_EQ] = ACTIONS(5833),
    [anon_sym_COLON] = ACTIONS(5835),
    [anon_sym_QMARK] = ACTIONS(5835),
    [anon_sym_STAR_EQ] = ACTIONS(5835),
    [anon_sym_SLASH_EQ] = ACTIONS(5835),
    [anon_sym_PERCENT_EQ] = ACTIONS(5835),
    [anon_sym_PLUS_EQ] = ACTIONS(5835),
    [anon_sym_DASH_EQ] = ACTIONS(5835),
    [anon_sym_LT_LT_EQ] = ACTIONS(5835),
    [anon_sym_GT_GT_EQ] = ACTIONS(5835),
    [anon_sym_AMP_EQ] = ACTIONS(5835),
    [anon_sym_CARET_EQ] = ACTIONS(5835),
    [anon_sym_PIPE_EQ] = ACTIONS(5835),
    [anon_sym_and_eq] = ACTIONS(5833),
    [anon_sym_or_eq] = ACTIONS(5833),
    [anon_sym_xor_eq] = ACTIONS(5833),
    [anon_sym_LT_EQ_GT] = ACTIONS(5835),
    [anon_sym_or] = ACTIONS(5833),
    [anon_sym_and] = ACTIONS(5833),
    [anon_sym_bitor] = ACTIONS(5833),
    [anon_sym_xor] = ACTIONS(5833),
    [anon_sym_bitand] = ACTIONS(5833),
    [anon_sym_not_eq] = ACTIONS(5833),
    [anon_sym_DASH_DASH] = ACTIONS(5835),
    [anon_sym_PLUS_PLUS] = ACTIONS(5835),
    [anon_sym_DOT] = ACTIONS(5833),
    [anon_sym_DOT_STAR] = ACTIONS(5835),
    [anon_sym_DASH_GT] = ACTIONS(5835),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5795),
    [anon_sym_decltype] = ACTIONS(5797),
  },
  [2344] = {
    [sym_identifier] = ACTIONS(5533),
    [aux_sym_preproc_def_token1] = ACTIONS(5533),
    [aux_sym_preproc_if_token1] = ACTIONS(5533),
    [aux_sym_preproc_if_token2] = ACTIONS(5533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5533),
    [aux_sym_preproc_else_token1] = ACTIONS(5533),
    [aux_sym_preproc_elif_token1] = ACTIONS(5533),
    [sym_preproc_directive] = ACTIONS(5533),
    [anon_sym_LPAREN2] = ACTIONS(5535),
    [anon_sym_TILDE] = ACTIONS(5535),
    [anon_sym_STAR] = ACTIONS(5535),
    [anon_sym_AMP_AMP] = ACTIONS(5535),
    [anon_sym_AMP] = ACTIONS(5533),
    [anon_sym___extension__] = ACTIONS(5533),
    [anon_sym_typedef] = ACTIONS(5533),
    [anon_sym_extern] = ACTIONS(5533),
    [anon_sym___attribute__] = ACTIONS(5533),
    [anon_sym_COLON_COLON] = ACTIONS(5535),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5535),
    [anon_sym___declspec] = ACTIONS(5533),
    [anon_sym___based] = ACTIONS(5533),
    [anon_sym_signed] = ACTIONS(5533),
    [anon_sym_unsigned] = ACTIONS(5533),
    [anon_sym_long] = ACTIONS(5533),
    [anon_sym_short] = ACTIONS(5533),
    [anon_sym_LBRACK] = ACTIONS(5533),
    [anon_sym_static] = ACTIONS(5533),
    [anon_sym_register] = ACTIONS(5533),
    [anon_sym_inline] = ACTIONS(5533),
    [anon_sym___inline] = ACTIONS(5533),
    [anon_sym___inline__] = ACTIONS(5533),
    [anon_sym___forceinline] = ACTIONS(5533),
    [anon_sym_thread_local] = ACTIONS(5533),
    [anon_sym___thread] = ACTIONS(5533),
    [anon_sym_const] = ACTIONS(5533),
    [anon_sym_constexpr] = ACTIONS(5533),
    [anon_sym_volatile] = ACTIONS(5533),
    [anon_sym_restrict] = ACTIONS(5533),
    [anon_sym___restrict__] = ACTIONS(5533),
    [anon_sym__Atomic] = ACTIONS(5533),
    [anon_sym__Noreturn] = ACTIONS(5533),
    [anon_sym_noreturn] = ACTIONS(5533),
    [anon_sym_mutable] = ACTIONS(5533),
    [anon_sym_constinit] = ACTIONS(5533),
    [anon_sym_consteval] = ACTIONS(5533),
    [anon_sym_PROGMEM] = ACTIONS(5533),
    [aux_sym_primitive_type_token1] = ACTIONS(5533),
    [anon_sym_byte] = ACTIONS(5533),
    [anon_sym_word] = ACTIONS(5533),
    [anon_sym_enum] = ACTIONS(5533),
    [anon_sym_class] = ACTIONS(5533),
    [anon_sym_struct] = ACTIONS(5533),
    [anon_sym_union] = ACTIONS(5533),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5533),
    [anon_sym_decltype] = ACTIONS(5533),
    [anon_sym_virtual] = ACTIONS(5533),
    [anon_sym_alignas] = ACTIONS(5533),
    [anon_sym_explicit] = ACTIONS(5533),
    [anon_sym_typename] = ACTIONS(5533),
    [anon_sym_template] = ACTIONS(5533),
    [anon_sym_operator] = ACTIONS(5533),
    [anon_sym_friend] = ACTIONS(5533),
    [anon_sym_public] = ACTIONS(5533),
    [anon_sym_private] = ACTIONS(5533),
    [anon_sym_protected] = ACTIONS(5533),
    [anon_sym_using] = ACTIONS(5533),
    [anon_sym_static_assert] = ACTIONS(5533),
  },
  [2345] = {
    [sym_identifier] = ACTIONS(5573),
    [aux_sym_preproc_def_token1] = ACTIONS(5573),
    [aux_sym_preproc_if_token1] = ACTIONS(5573),
    [aux_sym_preproc_if_token2] = ACTIONS(5573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5573),
    [aux_sym_preproc_else_token1] = ACTIONS(5573),
    [aux_sym_preproc_elif_token1] = ACTIONS(5573),
    [sym_preproc_directive] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(5575),
    [anon_sym_TILDE] = ACTIONS(5575),
    [anon_sym_STAR] = ACTIONS(5575),
    [anon_sym_AMP_AMP] = ACTIONS(5575),
    [anon_sym_AMP] = ACTIONS(5573),
    [anon_sym___extension__] = ACTIONS(5573),
    [anon_sym_typedef] = ACTIONS(5573),
    [anon_sym_extern] = ACTIONS(5573),
    [anon_sym___attribute__] = ACTIONS(5573),
    [anon_sym_COLON_COLON] = ACTIONS(5575),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5575),
    [anon_sym___declspec] = ACTIONS(5573),
    [anon_sym___based] = ACTIONS(5573),
    [anon_sym_signed] = ACTIONS(5573),
    [anon_sym_unsigned] = ACTIONS(5573),
    [anon_sym_long] = ACTIONS(5573),
    [anon_sym_short] = ACTIONS(5573),
    [anon_sym_LBRACK] = ACTIONS(5573),
    [anon_sym_static] = ACTIONS(5573),
    [anon_sym_register] = ACTIONS(5573),
    [anon_sym_inline] = ACTIONS(5573),
    [anon_sym___inline] = ACTIONS(5573),
    [anon_sym___inline__] = ACTIONS(5573),
    [anon_sym___forceinline] = ACTIONS(5573),
    [anon_sym_thread_local] = ACTIONS(5573),
    [anon_sym___thread] = ACTIONS(5573),
    [anon_sym_const] = ACTIONS(5573),
    [anon_sym_constexpr] = ACTIONS(5573),
    [anon_sym_volatile] = ACTIONS(5573),
    [anon_sym_restrict] = ACTIONS(5573),
    [anon_sym___restrict__] = ACTIONS(5573),
    [anon_sym__Atomic] = ACTIONS(5573),
    [anon_sym__Noreturn] = ACTIONS(5573),
    [anon_sym_noreturn] = ACTIONS(5573),
    [anon_sym_mutable] = ACTIONS(5573),
    [anon_sym_constinit] = ACTIONS(5573),
    [anon_sym_consteval] = ACTIONS(5573),
    [anon_sym_PROGMEM] = ACTIONS(5573),
    [aux_sym_primitive_type_token1] = ACTIONS(5573),
    [anon_sym_byte] = ACTIONS(5573),
    [anon_sym_word] = ACTIONS(5573),
    [anon_sym_enum] = ACTIONS(5573),
    [anon_sym_class] = ACTIONS(5573),
    [anon_sym_struct] = ACTIONS(5573),
    [anon_sym_union] = ACTIONS(5573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5573),
    [anon_sym_decltype] = ACTIONS(5573),
    [anon_sym_virtual] = ACTIONS(5573),
    [anon_sym_alignas] = ACTIONS(5573),
    [anon_sym_explicit] = ACTIONS(5573),
    [anon_sym_typename] = ACTIONS(5573),
    [anon_sym_template] = ACTIONS(5573),
    [anon_sym_operator] = ACTIONS(5573),
    [anon_sym_friend] = ACTIONS(5573),
    [anon_sym_public] = ACTIONS(5573),
    [anon_sym_private] = ACTIONS(5573),
    [anon_sym_protected] = ACTIONS(5573),
    [anon_sym_using] = ACTIONS(5573),
    [anon_sym_static_assert] = ACTIONS(5573),
  },
  [2346] = {
    [sym_identifier] = ACTIONS(5569),
    [aux_sym_preproc_def_token1] = ACTIONS(5569),
    [aux_sym_preproc_if_token1] = ACTIONS(5569),
    [aux_sym_preproc_if_token2] = ACTIONS(5569),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5569),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5569),
    [aux_sym_preproc_else_token1] = ACTIONS(5569),
    [aux_sym_preproc_elif_token1] = ACTIONS(5569),
    [sym_preproc_directive] = ACTIONS(5569),
    [anon_sym_LPAREN2] = ACTIONS(5571),
    [anon_sym_TILDE] = ACTIONS(5571),
    [anon_sym_STAR] = ACTIONS(5571),
    [anon_sym_AMP_AMP] = ACTIONS(5571),
    [anon_sym_AMP] = ACTIONS(5569),
    [anon_sym___extension__] = ACTIONS(5569),
    [anon_sym_typedef] = ACTIONS(5569),
    [anon_sym_extern] = ACTIONS(5569),
    [anon_sym___attribute__] = ACTIONS(5569),
    [anon_sym_COLON_COLON] = ACTIONS(5571),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5571),
    [anon_sym___declspec] = ACTIONS(5569),
    [anon_sym___based] = ACTIONS(5569),
    [anon_sym_signed] = ACTIONS(5569),
    [anon_sym_unsigned] = ACTIONS(5569),
    [anon_sym_long] = ACTIONS(5569),
    [anon_sym_short] = ACTIONS(5569),
    [anon_sym_LBRACK] = ACTIONS(5569),
    [anon_sym_static] = ACTIONS(5569),
    [anon_sym_register] = ACTIONS(5569),
    [anon_sym_inline] = ACTIONS(5569),
    [anon_sym___inline] = ACTIONS(5569),
    [anon_sym___inline__] = ACTIONS(5569),
    [anon_sym___forceinline] = ACTIONS(5569),
    [anon_sym_thread_local] = ACTIONS(5569),
    [anon_sym___thread] = ACTIONS(5569),
    [anon_sym_const] = ACTIONS(5569),
    [anon_sym_constexpr] = ACTIONS(5569),
    [anon_sym_volatile] = ACTIONS(5569),
    [anon_sym_restrict] = ACTIONS(5569),
    [anon_sym___restrict__] = ACTIONS(5569),
    [anon_sym__Atomic] = ACTIONS(5569),
    [anon_sym__Noreturn] = ACTIONS(5569),
    [anon_sym_noreturn] = ACTIONS(5569),
    [anon_sym_mutable] = ACTIONS(5569),
    [anon_sym_constinit] = ACTIONS(5569),
    [anon_sym_consteval] = ACTIONS(5569),
    [anon_sym_PROGMEM] = ACTIONS(5569),
    [aux_sym_primitive_type_token1] = ACTIONS(5569),
    [anon_sym_byte] = ACTIONS(5569),
    [anon_sym_word] = ACTIONS(5569),
    [anon_sym_enum] = ACTIONS(5569),
    [anon_sym_class] = ACTIONS(5569),
    [anon_sym_struct] = ACTIONS(5569),
    [anon_sym_union] = ACTIONS(5569),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5569),
    [anon_sym_decltype] = ACTIONS(5569),
    [anon_sym_virtual] = ACTIONS(5569),
    [anon_sym_alignas] = ACTIONS(5569),
    [anon_sym_explicit] = ACTIONS(5569),
    [anon_sym_typename] = ACTIONS(5569),
    [anon_sym_template] = ACTIONS(5569),
    [anon_sym_operator] = ACTIONS(5569),
    [anon_sym_friend] = ACTIONS(5569),
    [anon_sym_public] = ACTIONS(5569),
    [anon_sym_private] = ACTIONS(5569),
    [anon_sym_protected] = ACTIONS(5569),
    [anon_sym_using] = ACTIONS(5569),
    [anon_sym_static_assert] = ACTIONS(5569),
  },
  [2347] = {
    [sym_identifier] = ACTIONS(5537),
    [aux_sym_preproc_def_token1] = ACTIONS(5537),
    [aux_sym_preproc_if_token1] = ACTIONS(5537),
    [aux_sym_preproc_if_token2] = ACTIONS(5537),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5537),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5537),
    [aux_sym_preproc_else_token1] = ACTIONS(5537),
    [aux_sym_preproc_elif_token1] = ACTIONS(5537),
    [sym_preproc_directive] = ACTIONS(5537),
    [anon_sym_LPAREN2] = ACTIONS(5539),
    [anon_sym_TILDE] = ACTIONS(5539),
    [anon_sym_STAR] = ACTIONS(5539),
    [anon_sym_AMP_AMP] = ACTIONS(5539),
    [anon_sym_AMP] = ACTIONS(5537),
    [anon_sym___extension__] = ACTIONS(5537),
    [anon_sym_typedef] = ACTIONS(5537),
    [anon_sym_extern] = ACTIONS(5537),
    [anon_sym___attribute__] = ACTIONS(5537),
    [anon_sym_COLON_COLON] = ACTIONS(5539),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5539),
    [anon_sym___declspec] = ACTIONS(5537),
    [anon_sym___based] = ACTIONS(5537),
    [anon_sym_signed] = ACTIONS(5537),
    [anon_sym_unsigned] = ACTIONS(5537),
    [anon_sym_long] = ACTIONS(5537),
    [anon_sym_short] = ACTIONS(5537),
    [anon_sym_LBRACK] = ACTIONS(5537),
    [anon_sym_static] = ACTIONS(5537),
    [anon_sym_register] = ACTIONS(5537),
    [anon_sym_inline] = ACTIONS(5537),
    [anon_sym___inline] = ACTIONS(5537),
    [anon_sym___inline__] = ACTIONS(5537),
    [anon_sym___forceinline] = ACTIONS(5537),
    [anon_sym_thread_local] = ACTIONS(5537),
    [anon_sym___thread] = ACTIONS(5537),
    [anon_sym_const] = ACTIONS(5537),
    [anon_sym_constexpr] = ACTIONS(5537),
    [anon_sym_volatile] = ACTIONS(5537),
    [anon_sym_restrict] = ACTIONS(5537),
    [anon_sym___restrict__] = ACTIONS(5537),
    [anon_sym__Atomic] = ACTIONS(5537),
    [anon_sym__Noreturn] = ACTIONS(5537),
    [anon_sym_noreturn] = ACTIONS(5537),
    [anon_sym_mutable] = ACTIONS(5537),
    [anon_sym_constinit] = ACTIONS(5537),
    [anon_sym_consteval] = ACTIONS(5537),
    [anon_sym_PROGMEM] = ACTIONS(5537),
    [aux_sym_primitive_type_token1] = ACTIONS(5537),
    [anon_sym_byte] = ACTIONS(5537),
    [anon_sym_word] = ACTIONS(5537),
    [anon_sym_enum] = ACTIONS(5537),
    [anon_sym_class] = ACTIONS(5537),
    [anon_sym_struct] = ACTIONS(5537),
    [anon_sym_union] = ACTIONS(5537),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5537),
    [anon_sym_decltype] = ACTIONS(5537),
    [anon_sym_virtual] = ACTIONS(5537),
    [anon_sym_alignas] = ACTIONS(5537),
    [anon_sym_explicit] = ACTIONS(5537),
    [anon_sym_typename] = ACTIONS(5537),
    [anon_sym_template] = ACTIONS(5537),
    [anon_sym_operator] = ACTIONS(5537),
    [anon_sym_friend] = ACTIONS(5537),
    [anon_sym_public] = ACTIONS(5537),
    [anon_sym_private] = ACTIONS(5537),
    [anon_sym_protected] = ACTIONS(5537),
    [anon_sym_using] = ACTIONS(5537),
    [anon_sym_static_assert] = ACTIONS(5537),
  },
  [2348] = {
    [sym_identifier] = ACTIONS(5463),
    [aux_sym_preproc_def_token1] = ACTIONS(5463),
    [aux_sym_preproc_if_token1] = ACTIONS(5463),
    [aux_sym_preproc_if_token2] = ACTIONS(5463),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5463),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5463),
    [aux_sym_preproc_else_token1] = ACTIONS(5463),
    [aux_sym_preproc_elif_token1] = ACTIONS(5463),
    [sym_preproc_directive] = ACTIONS(5463),
    [anon_sym_LPAREN2] = ACTIONS(5465),
    [anon_sym_TILDE] = ACTIONS(5465),
    [anon_sym_STAR] = ACTIONS(5465),
    [anon_sym_AMP_AMP] = ACTIONS(5465),
    [anon_sym_AMP] = ACTIONS(5463),
    [anon_sym___extension__] = ACTIONS(5463),
    [anon_sym_typedef] = ACTIONS(5463),
    [anon_sym_extern] = ACTIONS(5463),
    [anon_sym___attribute__] = ACTIONS(5463),
    [anon_sym_COLON_COLON] = ACTIONS(5465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5465),
    [anon_sym___declspec] = ACTIONS(5463),
    [anon_sym___based] = ACTIONS(5463),
    [anon_sym_signed] = ACTIONS(5463),
    [anon_sym_unsigned] = ACTIONS(5463),
    [anon_sym_long] = ACTIONS(5463),
    [anon_sym_short] = ACTIONS(5463),
    [anon_sym_LBRACK] = ACTIONS(5463),
    [anon_sym_static] = ACTIONS(5463),
    [anon_sym_register] = ACTIONS(5463),
    [anon_sym_inline] = ACTIONS(5463),
    [anon_sym___inline] = ACTIONS(5463),
    [anon_sym___inline__] = ACTIONS(5463),
    [anon_sym___forceinline] = ACTIONS(5463),
    [anon_sym_thread_local] = ACTIONS(5463),
    [anon_sym___thread] = ACTIONS(5463),
    [anon_sym_const] = ACTIONS(5463),
    [anon_sym_constexpr] = ACTIONS(5463),
    [anon_sym_volatile] = ACTIONS(5463),
    [anon_sym_restrict] = ACTIONS(5463),
    [anon_sym___restrict__] = ACTIONS(5463),
    [anon_sym__Atomic] = ACTIONS(5463),
    [anon_sym__Noreturn] = ACTIONS(5463),
    [anon_sym_noreturn] = ACTIONS(5463),
    [anon_sym_mutable] = ACTIONS(5463),
    [anon_sym_constinit] = ACTIONS(5463),
    [anon_sym_consteval] = ACTIONS(5463),
    [anon_sym_PROGMEM] = ACTIONS(5463),
    [aux_sym_primitive_type_token1] = ACTIONS(5463),
    [anon_sym_byte] = ACTIONS(5463),
    [anon_sym_word] = ACTIONS(5463),
    [anon_sym_enum] = ACTIONS(5463),
    [anon_sym_class] = ACTIONS(5463),
    [anon_sym_struct] = ACTIONS(5463),
    [anon_sym_union] = ACTIONS(5463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5463),
    [anon_sym_decltype] = ACTIONS(5463),
    [anon_sym_virtual] = ACTIONS(5463),
    [anon_sym_alignas] = ACTIONS(5463),
    [anon_sym_explicit] = ACTIONS(5463),
    [anon_sym_typename] = ACTIONS(5463),
    [anon_sym_template] = ACTIONS(5463),
    [anon_sym_operator] = ACTIONS(5463),
    [anon_sym_friend] = ACTIONS(5463),
    [anon_sym_public] = ACTIONS(5463),
    [anon_sym_private] = ACTIONS(5463),
    [anon_sym_protected] = ACTIONS(5463),
    [anon_sym_using] = ACTIONS(5463),
    [anon_sym_static_assert] = ACTIONS(5463),
  },
  [2349] = {
    [sym_identifier] = ACTIONS(5537),
    [aux_sym_preproc_def_token1] = ACTIONS(5537),
    [aux_sym_preproc_if_token1] = ACTIONS(5537),
    [aux_sym_preproc_if_token2] = ACTIONS(5537),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5537),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5537),
    [aux_sym_preproc_else_token1] = ACTIONS(5537),
    [aux_sym_preproc_elif_token1] = ACTIONS(5537),
    [sym_preproc_directive] = ACTIONS(5537),
    [anon_sym_LPAREN2] = ACTIONS(5539),
    [anon_sym_TILDE] = ACTIONS(5539),
    [anon_sym_STAR] = ACTIONS(5539),
    [anon_sym_AMP_AMP] = ACTIONS(5539),
    [anon_sym_AMP] = ACTIONS(5537),
    [anon_sym___extension__] = ACTIONS(5537),
    [anon_sym_typedef] = ACTIONS(5537),
    [anon_sym_extern] = ACTIONS(5537),
    [anon_sym___attribute__] = ACTIONS(5537),
    [anon_sym_COLON_COLON] = ACTIONS(5539),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5539),
    [anon_sym___declspec] = ACTIONS(5537),
    [anon_sym___based] = ACTIONS(5537),
    [anon_sym_signed] = ACTIONS(5537),
    [anon_sym_unsigned] = ACTIONS(5537),
    [anon_sym_long] = ACTIONS(5537),
    [anon_sym_short] = ACTIONS(5537),
    [anon_sym_LBRACK] = ACTIONS(5537),
    [anon_sym_static] = ACTIONS(5537),
    [anon_sym_register] = ACTIONS(5537),
    [anon_sym_inline] = ACTIONS(5537),
    [anon_sym___inline] = ACTIONS(5537),
    [anon_sym___inline__] = ACTIONS(5537),
    [anon_sym___forceinline] = ACTIONS(5537),
    [anon_sym_thread_local] = ACTIONS(5537),
    [anon_sym___thread] = ACTIONS(5537),
    [anon_sym_const] = ACTIONS(5537),
    [anon_sym_constexpr] = ACTIONS(5537),
    [anon_sym_volatile] = ACTIONS(5537),
    [anon_sym_restrict] = ACTIONS(5537),
    [anon_sym___restrict__] = ACTIONS(5537),
    [anon_sym__Atomic] = ACTIONS(5537),
    [anon_sym__Noreturn] = ACTIONS(5537),
    [anon_sym_noreturn] = ACTIONS(5537),
    [anon_sym_mutable] = ACTIONS(5537),
    [anon_sym_constinit] = ACTIONS(5537),
    [anon_sym_consteval] = ACTIONS(5537),
    [anon_sym_PROGMEM] = ACTIONS(5537),
    [aux_sym_primitive_type_token1] = ACTIONS(5537),
    [anon_sym_byte] = ACTIONS(5537),
    [anon_sym_word] = ACTIONS(5537),
    [anon_sym_enum] = ACTIONS(5537),
    [anon_sym_class] = ACTIONS(5537),
    [anon_sym_struct] = ACTIONS(5537),
    [anon_sym_union] = ACTIONS(5537),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5537),
    [anon_sym_decltype] = ACTIONS(5537),
    [anon_sym_virtual] = ACTIONS(5537),
    [anon_sym_alignas] = ACTIONS(5537),
    [anon_sym_explicit] = ACTIONS(5537),
    [anon_sym_typename] = ACTIONS(5537),
    [anon_sym_template] = ACTIONS(5537),
    [anon_sym_operator] = ACTIONS(5537),
    [anon_sym_friend] = ACTIONS(5537),
    [anon_sym_public] = ACTIONS(5537),
    [anon_sym_private] = ACTIONS(5537),
    [anon_sym_protected] = ACTIONS(5537),
    [anon_sym_using] = ACTIONS(5537),
    [anon_sym_static_assert] = ACTIONS(5537),
  },
  [2350] = {
    [sym_identifier] = ACTIONS(5533),
    [aux_sym_preproc_def_token1] = ACTIONS(5533),
    [aux_sym_preproc_if_token1] = ACTIONS(5533),
    [aux_sym_preproc_if_token2] = ACTIONS(5533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5533),
    [aux_sym_preproc_else_token1] = ACTIONS(5533),
    [aux_sym_preproc_elif_token1] = ACTIONS(5533),
    [sym_preproc_directive] = ACTIONS(5533),
    [anon_sym_LPAREN2] = ACTIONS(5535),
    [anon_sym_TILDE] = ACTIONS(5535),
    [anon_sym_STAR] = ACTIONS(5535),
    [anon_sym_AMP_AMP] = ACTIONS(5535),
    [anon_sym_AMP] = ACTIONS(5533),
    [anon_sym___extension__] = ACTIONS(5533),
    [anon_sym_typedef] = ACTIONS(5533),
    [anon_sym_extern] = ACTIONS(5533),
    [anon_sym___attribute__] = ACTIONS(5533),
    [anon_sym_COLON_COLON] = ACTIONS(5535),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5535),
    [anon_sym___declspec] = ACTIONS(5533),
    [anon_sym___based] = ACTIONS(5533),
    [anon_sym_signed] = ACTIONS(5533),
    [anon_sym_unsigned] = ACTIONS(5533),
    [anon_sym_long] = ACTIONS(5533),
    [anon_sym_short] = ACTIONS(5533),
    [anon_sym_LBRACK] = ACTIONS(5533),
    [anon_sym_static] = ACTIONS(5533),
    [anon_sym_register] = ACTIONS(5533),
    [anon_sym_inline] = ACTIONS(5533),
    [anon_sym___inline] = ACTIONS(5533),
    [anon_sym___inline__] = ACTIONS(5533),
    [anon_sym___forceinline] = ACTIONS(5533),
    [anon_sym_thread_local] = ACTIONS(5533),
    [anon_sym___thread] = ACTIONS(5533),
    [anon_sym_const] = ACTIONS(5533),
    [anon_sym_constexpr] = ACTIONS(5533),
    [anon_sym_volatile] = ACTIONS(5533),
    [anon_sym_restrict] = ACTIONS(5533),
    [anon_sym___restrict__] = ACTIONS(5533),
    [anon_sym__Atomic] = ACTIONS(5533),
    [anon_sym__Noreturn] = ACTIONS(5533),
    [anon_sym_noreturn] = ACTIONS(5533),
    [anon_sym_mutable] = ACTIONS(5533),
    [anon_sym_constinit] = ACTIONS(5533),
    [anon_sym_consteval] = ACTIONS(5533),
    [anon_sym_PROGMEM] = ACTIONS(5533),
    [aux_sym_primitive_type_token1] = ACTIONS(5533),
    [anon_sym_byte] = ACTIONS(5533),
    [anon_sym_word] = ACTIONS(5533),
    [anon_sym_enum] = ACTIONS(5533),
    [anon_sym_class] = ACTIONS(5533),
    [anon_sym_struct] = ACTIONS(5533),
    [anon_sym_union] = ACTIONS(5533),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5533),
    [anon_sym_decltype] = ACTIONS(5533),
    [anon_sym_virtual] = ACTIONS(5533),
    [anon_sym_alignas] = ACTIONS(5533),
    [anon_sym_explicit] = ACTIONS(5533),
    [anon_sym_typename] = ACTIONS(5533),
    [anon_sym_template] = ACTIONS(5533),
    [anon_sym_operator] = ACTIONS(5533),
    [anon_sym_friend] = ACTIONS(5533),
    [anon_sym_public] = ACTIONS(5533),
    [anon_sym_private] = ACTIONS(5533),
    [anon_sym_protected] = ACTIONS(5533),
    [anon_sym_using] = ACTIONS(5533),
    [anon_sym_static_assert] = ACTIONS(5533),
  },
  [2351] = {
    [sym_identifier] = ACTIONS(5529),
    [aux_sym_preproc_def_token1] = ACTIONS(5529),
    [aux_sym_preproc_if_token1] = ACTIONS(5529),
    [aux_sym_preproc_if_token2] = ACTIONS(5529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5529),
    [aux_sym_preproc_else_token1] = ACTIONS(5529),
    [aux_sym_preproc_elif_token1] = ACTIONS(5529),
    [sym_preproc_directive] = ACTIONS(5529),
    [anon_sym_LPAREN2] = ACTIONS(5531),
    [anon_sym_TILDE] = ACTIONS(5531),
    [anon_sym_STAR] = ACTIONS(5531),
    [anon_sym_AMP_AMP] = ACTIONS(5531),
    [anon_sym_AMP] = ACTIONS(5529),
    [anon_sym___extension__] = ACTIONS(5529),
    [anon_sym_typedef] = ACTIONS(5529),
    [anon_sym_extern] = ACTIONS(5529),
    [anon_sym___attribute__] = ACTIONS(5529),
    [anon_sym_COLON_COLON] = ACTIONS(5531),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5531),
    [anon_sym___declspec] = ACTIONS(5529),
    [anon_sym___based] = ACTIONS(5529),
    [anon_sym_signed] = ACTIONS(5529),
    [anon_sym_unsigned] = ACTIONS(5529),
    [anon_sym_long] = ACTIONS(5529),
    [anon_sym_short] = ACTIONS(5529),
    [anon_sym_LBRACK] = ACTIONS(5529),
    [anon_sym_static] = ACTIONS(5529),
    [anon_sym_register] = ACTIONS(5529),
    [anon_sym_inline] = ACTIONS(5529),
    [anon_sym___inline] = ACTIONS(5529),
    [anon_sym___inline__] = ACTIONS(5529),
    [anon_sym___forceinline] = ACTIONS(5529),
    [anon_sym_thread_local] = ACTIONS(5529),
    [anon_sym___thread] = ACTIONS(5529),
    [anon_sym_const] = ACTIONS(5529),
    [anon_sym_constexpr] = ACTIONS(5529),
    [anon_sym_volatile] = ACTIONS(5529),
    [anon_sym_restrict] = ACTIONS(5529),
    [anon_sym___restrict__] = ACTIONS(5529),
    [anon_sym__Atomic] = ACTIONS(5529),
    [anon_sym__Noreturn] = ACTIONS(5529),
    [anon_sym_noreturn] = ACTIONS(5529),
    [anon_sym_mutable] = ACTIONS(5529),
    [anon_sym_constinit] = ACTIONS(5529),
    [anon_sym_consteval] = ACTIONS(5529),
    [anon_sym_PROGMEM] = ACTIONS(5529),
    [aux_sym_primitive_type_token1] = ACTIONS(5529),
    [anon_sym_byte] = ACTIONS(5529),
    [anon_sym_word] = ACTIONS(5529),
    [anon_sym_enum] = ACTIONS(5529),
    [anon_sym_class] = ACTIONS(5529),
    [anon_sym_struct] = ACTIONS(5529),
    [anon_sym_union] = ACTIONS(5529),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5529),
    [anon_sym_decltype] = ACTIONS(5529),
    [anon_sym_virtual] = ACTIONS(5529),
    [anon_sym_alignas] = ACTIONS(5529),
    [anon_sym_explicit] = ACTIONS(5529),
    [anon_sym_typename] = ACTIONS(5529),
    [anon_sym_template] = ACTIONS(5529),
    [anon_sym_operator] = ACTIONS(5529),
    [anon_sym_friend] = ACTIONS(5529),
    [anon_sym_public] = ACTIONS(5529),
    [anon_sym_private] = ACTIONS(5529),
    [anon_sym_protected] = ACTIONS(5529),
    [anon_sym_using] = ACTIONS(5529),
    [anon_sym_static_assert] = ACTIONS(5529),
  },
  [2352] = {
    [sym_identifier] = ACTIONS(5525),
    [aux_sym_preproc_def_token1] = ACTIONS(5525),
    [aux_sym_preproc_if_token1] = ACTIONS(5525),
    [aux_sym_preproc_if_token2] = ACTIONS(5525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5525),
    [aux_sym_preproc_else_token1] = ACTIONS(5525),
    [aux_sym_preproc_elif_token1] = ACTIONS(5525),
    [sym_preproc_directive] = ACTIONS(5525),
    [anon_sym_LPAREN2] = ACTIONS(5527),
    [anon_sym_TILDE] = ACTIONS(5527),
    [anon_sym_STAR] = ACTIONS(5527),
    [anon_sym_AMP_AMP] = ACTIONS(5527),
    [anon_sym_AMP] = ACTIONS(5525),
    [anon_sym___extension__] = ACTIONS(5525),
    [anon_sym_typedef] = ACTIONS(5525),
    [anon_sym_extern] = ACTIONS(5525),
    [anon_sym___attribute__] = ACTIONS(5525),
    [anon_sym_COLON_COLON] = ACTIONS(5527),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5527),
    [anon_sym___declspec] = ACTIONS(5525),
    [anon_sym___based] = ACTIONS(5525),
    [anon_sym_signed] = ACTIONS(5525),
    [anon_sym_unsigned] = ACTIONS(5525),
    [anon_sym_long] = ACTIONS(5525),
    [anon_sym_short] = ACTIONS(5525),
    [anon_sym_LBRACK] = ACTIONS(5525),
    [anon_sym_static] = ACTIONS(5525),
    [anon_sym_register] = ACTIONS(5525),
    [anon_sym_inline] = ACTIONS(5525),
    [anon_sym___inline] = ACTIONS(5525),
    [anon_sym___inline__] = ACTIONS(5525),
    [anon_sym___forceinline] = ACTIONS(5525),
    [anon_sym_thread_local] = ACTIONS(5525),
    [anon_sym___thread] = ACTIONS(5525),
    [anon_sym_const] = ACTIONS(5525),
    [anon_sym_constexpr] = ACTIONS(5525),
    [anon_sym_volatile] = ACTIONS(5525),
    [anon_sym_restrict] = ACTIONS(5525),
    [anon_sym___restrict__] = ACTIONS(5525),
    [anon_sym__Atomic] = ACTIONS(5525),
    [anon_sym__Noreturn] = ACTIONS(5525),
    [anon_sym_noreturn] = ACTIONS(5525),
    [anon_sym_mutable] = ACTIONS(5525),
    [anon_sym_constinit] = ACTIONS(5525),
    [anon_sym_consteval] = ACTIONS(5525),
    [anon_sym_PROGMEM] = ACTIONS(5525),
    [aux_sym_primitive_type_token1] = ACTIONS(5525),
    [anon_sym_byte] = ACTIONS(5525),
    [anon_sym_word] = ACTIONS(5525),
    [anon_sym_enum] = ACTIONS(5525),
    [anon_sym_class] = ACTIONS(5525),
    [anon_sym_struct] = ACTIONS(5525),
    [anon_sym_union] = ACTIONS(5525),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5525),
    [anon_sym_decltype] = ACTIONS(5525),
    [anon_sym_virtual] = ACTIONS(5525),
    [anon_sym_alignas] = ACTIONS(5525),
    [anon_sym_explicit] = ACTIONS(5525),
    [anon_sym_typename] = ACTIONS(5525),
    [anon_sym_template] = ACTIONS(5525),
    [anon_sym_operator] = ACTIONS(5525),
    [anon_sym_friend] = ACTIONS(5525),
    [anon_sym_public] = ACTIONS(5525),
    [anon_sym_private] = ACTIONS(5525),
    [anon_sym_protected] = ACTIONS(5525),
    [anon_sym_using] = ACTIONS(5525),
    [anon_sym_static_assert] = ACTIONS(5525),
  },
  [2353] = {
    [sym_identifier] = ACTIONS(5565),
    [aux_sym_preproc_def_token1] = ACTIONS(5565),
    [aux_sym_preproc_if_token1] = ACTIONS(5565),
    [aux_sym_preproc_if_token2] = ACTIONS(5565),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5565),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5565),
    [aux_sym_preproc_else_token1] = ACTIONS(5565),
    [aux_sym_preproc_elif_token1] = ACTIONS(5565),
    [sym_preproc_directive] = ACTIONS(5565),
    [anon_sym_LPAREN2] = ACTIONS(5567),
    [anon_sym_TILDE] = ACTIONS(5567),
    [anon_sym_STAR] = ACTIONS(5567),
    [anon_sym_AMP_AMP] = ACTIONS(5567),
    [anon_sym_AMP] = ACTIONS(5565),
    [anon_sym___extension__] = ACTIONS(5565),
    [anon_sym_typedef] = ACTIONS(5565),
    [anon_sym_extern] = ACTIONS(5565),
    [anon_sym___attribute__] = ACTIONS(5565),
    [anon_sym_COLON_COLON] = ACTIONS(5567),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5567),
    [anon_sym___declspec] = ACTIONS(5565),
    [anon_sym___based] = ACTIONS(5565),
    [anon_sym_signed] = ACTIONS(5565),
    [anon_sym_unsigned] = ACTIONS(5565),
    [anon_sym_long] = ACTIONS(5565),
    [anon_sym_short] = ACTIONS(5565),
    [anon_sym_LBRACK] = ACTIONS(5565),
    [anon_sym_static] = ACTIONS(5565),
    [anon_sym_register] = ACTIONS(5565),
    [anon_sym_inline] = ACTIONS(5565),
    [anon_sym___inline] = ACTIONS(5565),
    [anon_sym___inline__] = ACTIONS(5565),
    [anon_sym___forceinline] = ACTIONS(5565),
    [anon_sym_thread_local] = ACTIONS(5565),
    [anon_sym___thread] = ACTIONS(5565),
    [anon_sym_const] = ACTIONS(5565),
    [anon_sym_constexpr] = ACTIONS(5565),
    [anon_sym_volatile] = ACTIONS(5565),
    [anon_sym_restrict] = ACTIONS(5565),
    [anon_sym___restrict__] = ACTIONS(5565),
    [anon_sym__Atomic] = ACTIONS(5565),
    [anon_sym__Noreturn] = ACTIONS(5565),
    [anon_sym_noreturn] = ACTIONS(5565),
    [anon_sym_mutable] = ACTIONS(5565),
    [anon_sym_constinit] = ACTIONS(5565),
    [anon_sym_consteval] = ACTIONS(5565),
    [anon_sym_PROGMEM] = ACTIONS(5565),
    [aux_sym_primitive_type_token1] = ACTIONS(5565),
    [anon_sym_byte] = ACTIONS(5565),
    [anon_sym_word] = ACTIONS(5565),
    [anon_sym_enum] = ACTIONS(5565),
    [anon_sym_class] = ACTIONS(5565),
    [anon_sym_struct] = ACTIONS(5565),
    [anon_sym_union] = ACTIONS(5565),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5565),
    [anon_sym_decltype] = ACTIONS(5565),
    [anon_sym_virtual] = ACTIONS(5565),
    [anon_sym_alignas] = ACTIONS(5565),
    [anon_sym_explicit] = ACTIONS(5565),
    [anon_sym_typename] = ACTIONS(5565),
    [anon_sym_template] = ACTIONS(5565),
    [anon_sym_operator] = ACTIONS(5565),
    [anon_sym_friend] = ACTIONS(5565),
    [anon_sym_public] = ACTIONS(5565),
    [anon_sym_private] = ACTIONS(5565),
    [anon_sym_protected] = ACTIONS(5565),
    [anon_sym_using] = ACTIONS(5565),
    [anon_sym_static_assert] = ACTIONS(5565),
  },
  [2354] = {
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token2] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [aux_sym_preproc_else_token1] = ACTIONS(3040),
    [aux_sym_preproc_elif_token1] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_PROGMEM] = ACTIONS(3040),
    [aux_sym_primitive_type_token1] = ACTIONS(3040),
    [anon_sym_byte] = ACTIONS(3040),
    [anon_sym_word] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_friend] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
  },
  [2355] = {
    [sym_identifier] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token2] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [aux_sym_preproc_else_token1] = ACTIONS(3176),
    [aux_sym_preproc_elif_token1] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3178),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym___extension__] = ACTIONS(3176),
    [anon_sym_typedef] = ACTIONS(3176),
    [anon_sym_extern] = ACTIONS(3176),
    [anon_sym___attribute__] = ACTIONS(3176),
    [anon_sym_COLON_COLON] = ACTIONS(3178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3178),
    [anon_sym___declspec] = ACTIONS(3176),
    [anon_sym___based] = ACTIONS(3176),
    [anon_sym_signed] = ACTIONS(3176),
    [anon_sym_unsigned] = ACTIONS(3176),
    [anon_sym_long] = ACTIONS(3176),
    [anon_sym_short] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_register] = ACTIONS(3176),
    [anon_sym_inline] = ACTIONS(3176),
    [anon_sym___inline] = ACTIONS(3176),
    [anon_sym___inline__] = ACTIONS(3176),
    [anon_sym___forceinline] = ACTIONS(3176),
    [anon_sym_thread_local] = ACTIONS(3176),
    [anon_sym___thread] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_constexpr] = ACTIONS(3176),
    [anon_sym_volatile] = ACTIONS(3176),
    [anon_sym_restrict] = ACTIONS(3176),
    [anon_sym___restrict__] = ACTIONS(3176),
    [anon_sym__Atomic] = ACTIONS(3176),
    [anon_sym__Noreturn] = ACTIONS(3176),
    [anon_sym_noreturn] = ACTIONS(3176),
    [anon_sym_mutable] = ACTIONS(3176),
    [anon_sym_constinit] = ACTIONS(3176),
    [anon_sym_consteval] = ACTIONS(3176),
    [anon_sym_PROGMEM] = ACTIONS(3176),
    [aux_sym_primitive_type_token1] = ACTIONS(3176),
    [anon_sym_byte] = ACTIONS(3176),
    [anon_sym_word] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_struct] = ACTIONS(3176),
    [anon_sym_union] = ACTIONS(3176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3176),
    [anon_sym_decltype] = ACTIONS(3176),
    [anon_sym_virtual] = ACTIONS(3176),
    [anon_sym_alignas] = ACTIONS(3176),
    [anon_sym_explicit] = ACTIONS(3176),
    [anon_sym_typename] = ACTIONS(3176),
    [anon_sym_template] = ACTIONS(3176),
    [anon_sym_operator] = ACTIONS(3176),
    [anon_sym_friend] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_static_assert] = ACTIONS(3176),
  },
  [2356] = {
    [sym_primitive_type] = STATE(2766),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2402),
    [sym_identifier] = ACTIONS(5837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5555),
    [anon_sym_COMMA] = ACTIONS(5555),
    [anon_sym_RPAREN] = ACTIONS(5555),
    [anon_sym_LPAREN2] = ACTIONS(5555),
    [anon_sym_DASH] = ACTIONS(5557),
    [anon_sym_PLUS] = ACTIONS(5557),
    [anon_sym_STAR] = ACTIONS(5557),
    [anon_sym_SLASH] = ACTIONS(5557),
    [anon_sym_PERCENT] = ACTIONS(5557),
    [anon_sym_PIPE_PIPE] = ACTIONS(5555),
    [anon_sym_AMP_AMP] = ACTIONS(5555),
    [anon_sym_PIPE] = ACTIONS(5557),
    [anon_sym_CARET] = ACTIONS(5557),
    [anon_sym_AMP] = ACTIONS(5557),
    [anon_sym_EQ_EQ] = ACTIONS(5555),
    [anon_sym_BANG_EQ] = ACTIONS(5555),
    [anon_sym_GT] = ACTIONS(5557),
    [anon_sym_GT_EQ] = ACTIONS(5555),
    [anon_sym_LT_EQ] = ACTIONS(5557),
    [anon_sym_LT] = ACTIONS(5557),
    [anon_sym_LT_LT] = ACTIONS(5557),
    [anon_sym_GT_GT] = ACTIONS(5557),
    [anon_sym_SEMI] = ACTIONS(5555),
    [anon_sym___attribute__] = ACTIONS(5557),
    [anon_sym_LBRACE] = ACTIONS(5555),
    [anon_sym_RBRACE] = ACTIONS(5555),
    [anon_sym_signed] = ACTIONS(5839),
    [anon_sym_unsigned] = ACTIONS(5839),
    [anon_sym_long] = ACTIONS(5839),
    [anon_sym_short] = ACTIONS(5839),
    [anon_sym_LBRACK] = ACTIONS(5555),
    [anon_sym_RBRACK] = ACTIONS(5555),
    [anon_sym_EQ] = ACTIONS(5557),
    [aux_sym_primitive_type_token1] = ACTIONS(5813),
    [anon_sym_byte] = ACTIONS(5813),
    [anon_sym_word] = ACTIONS(5813),
    [anon_sym_COLON] = ACTIONS(5555),
    [anon_sym_QMARK] = ACTIONS(5555),
    [anon_sym_STAR_EQ] = ACTIONS(5555),
    [anon_sym_SLASH_EQ] = ACTIONS(5555),
    [anon_sym_PERCENT_EQ] = ACTIONS(5555),
    [anon_sym_PLUS_EQ] = ACTIONS(5555),
    [anon_sym_DASH_EQ] = ACTIONS(5555),
    [anon_sym_LT_LT_EQ] = ACTIONS(5555),
    [anon_sym_GT_GT_EQ] = ACTIONS(5555),
    [anon_sym_AMP_EQ] = ACTIONS(5555),
    [anon_sym_CARET_EQ] = ACTIONS(5555),
    [anon_sym_PIPE_EQ] = ACTIONS(5555),
    [anon_sym_and_eq] = ACTIONS(5557),
    [anon_sym_or_eq] = ACTIONS(5557),
    [anon_sym_xor_eq] = ACTIONS(5557),
    [anon_sym_LT_EQ_GT] = ACTIONS(5555),
    [anon_sym_or] = ACTIONS(5557),
    [anon_sym_and] = ACTIONS(5557),
    [anon_sym_bitor] = ACTIONS(5557),
    [anon_sym_xor] = ACTIONS(5557),
    [anon_sym_bitand] = ACTIONS(5557),
    [anon_sym_not_eq] = ACTIONS(5557),
    [anon_sym_DASH_DASH] = ACTIONS(5555),
    [anon_sym_PLUS_PLUS] = ACTIONS(5555),
    [anon_sym_DOT] = ACTIONS(5557),
    [anon_sym_DOT_STAR] = ACTIONS(5555),
    [anon_sym_DASH_GT] = ACTIONS(5555),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5557),
    [anon_sym_decltype] = ACTIONS(5557),
  },
  [2357] = {
    [sym_identifier] = ACTIONS(5463),
    [aux_sym_preproc_def_token1] = ACTIONS(5463),
    [aux_sym_preproc_if_token1] = ACTIONS(5463),
    [aux_sym_preproc_if_token2] = ACTIONS(5463),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5463),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5463),
    [aux_sym_preproc_else_token1] = ACTIONS(5463),
    [aux_sym_preproc_elif_token1] = ACTIONS(5463),
    [sym_preproc_directive] = ACTIONS(5463),
    [anon_sym_LPAREN2] = ACTIONS(5465),
    [anon_sym_TILDE] = ACTIONS(5465),
    [anon_sym_STAR] = ACTIONS(5465),
    [anon_sym_AMP_AMP] = ACTIONS(5465),
    [anon_sym_AMP] = ACTIONS(5463),
    [anon_sym___extension__] = ACTIONS(5463),
    [anon_sym_typedef] = ACTIONS(5463),
    [anon_sym_extern] = ACTIONS(5463),
    [anon_sym___attribute__] = ACTIONS(5463),
    [anon_sym_COLON_COLON] = ACTIONS(5465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5465),
    [anon_sym___declspec] = ACTIONS(5463),
    [anon_sym___based] = ACTIONS(5463),
    [anon_sym_signed] = ACTIONS(5463),
    [anon_sym_unsigned] = ACTIONS(5463),
    [anon_sym_long] = ACTIONS(5463),
    [anon_sym_short] = ACTIONS(5463),
    [anon_sym_LBRACK] = ACTIONS(5463),
    [anon_sym_static] = ACTIONS(5463),
    [anon_sym_register] = ACTIONS(5463),
    [anon_sym_inline] = ACTIONS(5463),
    [anon_sym___inline] = ACTIONS(5463),
    [anon_sym___inline__] = ACTIONS(5463),
    [anon_sym___forceinline] = ACTIONS(5463),
    [anon_sym_thread_local] = ACTIONS(5463),
    [anon_sym___thread] = ACTIONS(5463),
    [anon_sym_const] = ACTIONS(5463),
    [anon_sym_constexpr] = ACTIONS(5463),
    [anon_sym_volatile] = ACTIONS(5463),
    [anon_sym_restrict] = ACTIONS(5463),
    [anon_sym___restrict__] = ACTIONS(5463),
    [anon_sym__Atomic] = ACTIONS(5463),
    [anon_sym__Noreturn] = ACTIONS(5463),
    [anon_sym_noreturn] = ACTIONS(5463),
    [anon_sym_mutable] = ACTIONS(5463),
    [anon_sym_constinit] = ACTIONS(5463),
    [anon_sym_consteval] = ACTIONS(5463),
    [anon_sym_PROGMEM] = ACTIONS(5463),
    [aux_sym_primitive_type_token1] = ACTIONS(5463),
    [anon_sym_byte] = ACTIONS(5463),
    [anon_sym_word] = ACTIONS(5463),
    [anon_sym_enum] = ACTIONS(5463),
    [anon_sym_class] = ACTIONS(5463),
    [anon_sym_struct] = ACTIONS(5463),
    [anon_sym_union] = ACTIONS(5463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5463),
    [anon_sym_decltype] = ACTIONS(5463),
    [anon_sym_virtual] = ACTIONS(5463),
    [anon_sym_alignas] = ACTIONS(5463),
    [anon_sym_explicit] = ACTIONS(5463),
    [anon_sym_typename] = ACTIONS(5463),
    [anon_sym_template] = ACTIONS(5463),
    [anon_sym_operator] = ACTIONS(5463),
    [anon_sym_friend] = ACTIONS(5463),
    [anon_sym_public] = ACTIONS(5463),
    [anon_sym_private] = ACTIONS(5463),
    [anon_sym_protected] = ACTIONS(5463),
    [anon_sym_using] = ACTIONS(5463),
    [anon_sym_static_assert] = ACTIONS(5463),
  },
  [2358] = {
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token2] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [aux_sym_preproc_else_token1] = ACTIONS(3052),
    [aux_sym_preproc_elif_token1] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_PROGMEM] = ACTIONS(3052),
    [aux_sym_primitive_type_token1] = ACTIONS(3052),
    [anon_sym_byte] = ACTIONS(3052),
    [anon_sym_word] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_friend] = ACTIONS(3052),
    [anon_sym_public] = ACTIONS(3052),
    [anon_sym_private] = ACTIONS(3052),
    [anon_sym_protected] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
  },
  [2359] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token2] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [aux_sym_preproc_else_token1] = ACTIONS(3064),
    [aux_sym_preproc_elif_token1] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_friend] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
  },
  [2360] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token2] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [aux_sym_preproc_else_token1] = ACTIONS(3064),
    [aux_sym_preproc_elif_token1] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_friend] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
  },
  [2361] = {
    [sym_identifier] = ACTIONS(5517),
    [aux_sym_preproc_def_token1] = ACTIONS(5517),
    [aux_sym_preproc_if_token1] = ACTIONS(5517),
    [aux_sym_preproc_if_token2] = ACTIONS(5517),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5517),
    [aux_sym_preproc_else_token1] = ACTIONS(5517),
    [aux_sym_preproc_elif_token1] = ACTIONS(5517),
    [sym_preproc_directive] = ACTIONS(5517),
    [anon_sym_LPAREN2] = ACTIONS(5519),
    [anon_sym_TILDE] = ACTIONS(5519),
    [anon_sym_STAR] = ACTIONS(5519),
    [anon_sym_AMP_AMP] = ACTIONS(5519),
    [anon_sym_AMP] = ACTIONS(5517),
    [anon_sym___extension__] = ACTIONS(5517),
    [anon_sym_typedef] = ACTIONS(5517),
    [anon_sym_extern] = ACTIONS(5517),
    [anon_sym___attribute__] = ACTIONS(5517),
    [anon_sym_COLON_COLON] = ACTIONS(5519),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5519),
    [anon_sym___declspec] = ACTIONS(5517),
    [anon_sym___based] = ACTIONS(5517),
    [anon_sym_signed] = ACTIONS(5517),
    [anon_sym_unsigned] = ACTIONS(5517),
    [anon_sym_long] = ACTIONS(5517),
    [anon_sym_short] = ACTIONS(5517),
    [anon_sym_LBRACK] = ACTIONS(5517),
    [anon_sym_static] = ACTIONS(5517),
    [anon_sym_register] = ACTIONS(5517),
    [anon_sym_inline] = ACTIONS(5517),
    [anon_sym___inline] = ACTIONS(5517),
    [anon_sym___inline__] = ACTIONS(5517),
    [anon_sym___forceinline] = ACTIONS(5517),
    [anon_sym_thread_local] = ACTIONS(5517),
    [anon_sym___thread] = ACTIONS(5517),
    [anon_sym_const] = ACTIONS(5517),
    [anon_sym_constexpr] = ACTIONS(5517),
    [anon_sym_volatile] = ACTIONS(5517),
    [anon_sym_restrict] = ACTIONS(5517),
    [anon_sym___restrict__] = ACTIONS(5517),
    [anon_sym__Atomic] = ACTIONS(5517),
    [anon_sym__Noreturn] = ACTIONS(5517),
    [anon_sym_noreturn] = ACTIONS(5517),
    [anon_sym_mutable] = ACTIONS(5517),
    [anon_sym_constinit] = ACTIONS(5517),
    [anon_sym_consteval] = ACTIONS(5517),
    [anon_sym_PROGMEM] = ACTIONS(5517),
    [aux_sym_primitive_type_token1] = ACTIONS(5517),
    [anon_sym_byte] = ACTIONS(5517),
    [anon_sym_word] = ACTIONS(5517),
    [anon_sym_enum] = ACTIONS(5517),
    [anon_sym_class] = ACTIONS(5517),
    [anon_sym_struct] = ACTIONS(5517),
    [anon_sym_union] = ACTIONS(5517),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5517),
    [anon_sym_decltype] = ACTIONS(5517),
    [anon_sym_virtual] = ACTIONS(5517),
    [anon_sym_alignas] = ACTIONS(5517),
    [anon_sym_explicit] = ACTIONS(5517),
    [anon_sym_typename] = ACTIONS(5517),
    [anon_sym_template] = ACTIONS(5517),
    [anon_sym_operator] = ACTIONS(5517),
    [anon_sym_friend] = ACTIONS(5517),
    [anon_sym_public] = ACTIONS(5517),
    [anon_sym_private] = ACTIONS(5517),
    [anon_sym_protected] = ACTIONS(5517),
    [anon_sym_using] = ACTIONS(5517),
    [anon_sym_static_assert] = ACTIONS(5517),
  },
  [2362] = {
    [sym_identifier] = ACTIONS(5549),
    [aux_sym_preproc_def_token1] = ACTIONS(5549),
    [aux_sym_preproc_if_token1] = ACTIONS(5549),
    [aux_sym_preproc_if_token2] = ACTIONS(5549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5549),
    [aux_sym_preproc_else_token1] = ACTIONS(5549),
    [aux_sym_preproc_elif_token1] = ACTIONS(5549),
    [sym_preproc_directive] = ACTIONS(5549),
    [anon_sym_LPAREN2] = ACTIONS(5551),
    [anon_sym_TILDE] = ACTIONS(5551),
    [anon_sym_STAR] = ACTIONS(5551),
    [anon_sym_AMP_AMP] = ACTIONS(5551),
    [anon_sym_AMP] = ACTIONS(5549),
    [anon_sym___extension__] = ACTIONS(5549),
    [anon_sym_typedef] = ACTIONS(5549),
    [anon_sym_extern] = ACTIONS(5549),
    [anon_sym___attribute__] = ACTIONS(5549),
    [anon_sym_COLON_COLON] = ACTIONS(5551),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5551),
    [anon_sym___declspec] = ACTIONS(5549),
    [anon_sym___based] = ACTIONS(5549),
    [anon_sym_signed] = ACTIONS(5549),
    [anon_sym_unsigned] = ACTIONS(5549),
    [anon_sym_long] = ACTIONS(5549),
    [anon_sym_short] = ACTIONS(5549),
    [anon_sym_LBRACK] = ACTIONS(5549),
    [anon_sym_static] = ACTIONS(5549),
    [anon_sym_register] = ACTIONS(5549),
    [anon_sym_inline] = ACTIONS(5549),
    [anon_sym___inline] = ACTIONS(5549),
    [anon_sym___inline__] = ACTIONS(5549),
    [anon_sym___forceinline] = ACTIONS(5549),
    [anon_sym_thread_local] = ACTIONS(5549),
    [anon_sym___thread] = ACTIONS(5549),
    [anon_sym_const] = ACTIONS(5549),
    [anon_sym_constexpr] = ACTIONS(5549),
    [anon_sym_volatile] = ACTIONS(5549),
    [anon_sym_restrict] = ACTIONS(5549),
    [anon_sym___restrict__] = ACTIONS(5549),
    [anon_sym__Atomic] = ACTIONS(5549),
    [anon_sym__Noreturn] = ACTIONS(5549),
    [anon_sym_noreturn] = ACTIONS(5549),
    [anon_sym_mutable] = ACTIONS(5549),
    [anon_sym_constinit] = ACTIONS(5549),
    [anon_sym_consteval] = ACTIONS(5549),
    [anon_sym_PROGMEM] = ACTIONS(5549),
    [aux_sym_primitive_type_token1] = ACTIONS(5549),
    [anon_sym_byte] = ACTIONS(5549),
    [anon_sym_word] = ACTIONS(5549),
    [anon_sym_enum] = ACTIONS(5549),
    [anon_sym_class] = ACTIONS(5549),
    [anon_sym_struct] = ACTIONS(5549),
    [anon_sym_union] = ACTIONS(5549),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5549),
    [anon_sym_decltype] = ACTIONS(5549),
    [anon_sym_virtual] = ACTIONS(5549),
    [anon_sym_alignas] = ACTIONS(5549),
    [anon_sym_explicit] = ACTIONS(5549),
    [anon_sym_typename] = ACTIONS(5549),
    [anon_sym_template] = ACTIONS(5549),
    [anon_sym_operator] = ACTIONS(5549),
    [anon_sym_friend] = ACTIONS(5549),
    [anon_sym_public] = ACTIONS(5549),
    [anon_sym_private] = ACTIONS(5549),
    [anon_sym_protected] = ACTIONS(5549),
    [anon_sym_using] = ACTIONS(5549),
    [anon_sym_static_assert] = ACTIONS(5549),
  },
  [2363] = {
    [sym_identifier] = ACTIONS(3491),
    [aux_sym_preproc_def_token1] = ACTIONS(3491),
    [aux_sym_preproc_if_token1] = ACTIONS(3491),
    [aux_sym_preproc_if_token2] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [aux_sym_preproc_else_token1] = ACTIONS(3491),
    [aux_sym_preproc_elif_token1] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3491),
    [anon_sym_LPAREN2] = ACTIONS(3493),
    [anon_sym_TILDE] = ACTIONS(3493),
    [anon_sym_STAR] = ACTIONS(3493),
    [anon_sym_AMP_AMP] = ACTIONS(3493),
    [anon_sym_AMP] = ACTIONS(3491),
    [anon_sym___extension__] = ACTIONS(3491),
    [anon_sym_typedef] = ACTIONS(3491),
    [anon_sym_extern] = ACTIONS(3491),
    [anon_sym___attribute__] = ACTIONS(3491),
    [anon_sym_COLON_COLON] = ACTIONS(3493),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3493),
    [anon_sym___declspec] = ACTIONS(3491),
    [anon_sym___based] = ACTIONS(3491),
    [anon_sym_signed] = ACTIONS(3491),
    [anon_sym_unsigned] = ACTIONS(3491),
    [anon_sym_long] = ACTIONS(3491),
    [anon_sym_short] = ACTIONS(3491),
    [anon_sym_LBRACK] = ACTIONS(3491),
    [anon_sym_static] = ACTIONS(3491),
    [anon_sym_register] = ACTIONS(3491),
    [anon_sym_inline] = ACTIONS(3491),
    [anon_sym___inline] = ACTIONS(3491),
    [anon_sym___inline__] = ACTIONS(3491),
    [anon_sym___forceinline] = ACTIONS(3491),
    [anon_sym_thread_local] = ACTIONS(3491),
    [anon_sym___thread] = ACTIONS(3491),
    [anon_sym_const] = ACTIONS(3491),
    [anon_sym_constexpr] = ACTIONS(3491),
    [anon_sym_volatile] = ACTIONS(3491),
    [anon_sym_restrict] = ACTIONS(3491),
    [anon_sym___restrict__] = ACTIONS(3491),
    [anon_sym__Atomic] = ACTIONS(3491),
    [anon_sym__Noreturn] = ACTIONS(3491),
    [anon_sym_noreturn] = ACTIONS(3491),
    [anon_sym_mutable] = ACTIONS(3491),
    [anon_sym_constinit] = ACTIONS(3491),
    [anon_sym_consteval] = ACTIONS(3491),
    [anon_sym_PROGMEM] = ACTIONS(3491),
    [aux_sym_primitive_type_token1] = ACTIONS(3491),
    [anon_sym_byte] = ACTIONS(3491),
    [anon_sym_word] = ACTIONS(3491),
    [anon_sym_enum] = ACTIONS(3491),
    [anon_sym_class] = ACTIONS(3491),
    [anon_sym_struct] = ACTIONS(3491),
    [anon_sym_union] = ACTIONS(3491),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3491),
    [anon_sym_decltype] = ACTIONS(3491),
    [anon_sym_virtual] = ACTIONS(3491),
    [anon_sym_alignas] = ACTIONS(3491),
    [anon_sym_explicit] = ACTIONS(3491),
    [anon_sym_typename] = ACTIONS(3491),
    [anon_sym_template] = ACTIONS(3491),
    [anon_sym_operator] = ACTIONS(3491),
    [anon_sym_friend] = ACTIONS(3491),
    [anon_sym_public] = ACTIONS(3491),
    [anon_sym_private] = ACTIONS(3491),
    [anon_sym_protected] = ACTIONS(3491),
    [anon_sym_using] = ACTIONS(3491),
    [anon_sym_static_assert] = ACTIONS(3491),
  },
  [2364] = {
    [sym_identifier] = ACTIONS(3499),
    [aux_sym_preproc_def_token1] = ACTIONS(3499),
    [aux_sym_preproc_if_token1] = ACTIONS(3499),
    [aux_sym_preproc_if_token2] = ACTIONS(3499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3499),
    [aux_sym_preproc_else_token1] = ACTIONS(3499),
    [aux_sym_preproc_elif_token1] = ACTIONS(3499),
    [sym_preproc_directive] = ACTIONS(3499),
    [anon_sym_LPAREN2] = ACTIONS(3501),
    [anon_sym_TILDE] = ACTIONS(3501),
    [anon_sym_STAR] = ACTIONS(3501),
    [anon_sym_AMP_AMP] = ACTIONS(3501),
    [anon_sym_AMP] = ACTIONS(3499),
    [anon_sym___extension__] = ACTIONS(3499),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_extern] = ACTIONS(3499),
    [anon_sym___attribute__] = ACTIONS(3499),
    [anon_sym_COLON_COLON] = ACTIONS(3501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3501),
    [anon_sym___declspec] = ACTIONS(3499),
    [anon_sym___based] = ACTIONS(3499),
    [anon_sym_signed] = ACTIONS(3499),
    [anon_sym_unsigned] = ACTIONS(3499),
    [anon_sym_long] = ACTIONS(3499),
    [anon_sym_short] = ACTIONS(3499),
    [anon_sym_LBRACK] = ACTIONS(3499),
    [anon_sym_static] = ACTIONS(3499),
    [anon_sym_register] = ACTIONS(3499),
    [anon_sym_inline] = ACTIONS(3499),
    [anon_sym___inline] = ACTIONS(3499),
    [anon_sym___inline__] = ACTIONS(3499),
    [anon_sym___forceinline] = ACTIONS(3499),
    [anon_sym_thread_local] = ACTIONS(3499),
    [anon_sym___thread] = ACTIONS(3499),
    [anon_sym_const] = ACTIONS(3499),
    [anon_sym_constexpr] = ACTIONS(3499),
    [anon_sym_volatile] = ACTIONS(3499),
    [anon_sym_restrict] = ACTIONS(3499),
    [anon_sym___restrict__] = ACTIONS(3499),
    [anon_sym__Atomic] = ACTIONS(3499),
    [anon_sym__Noreturn] = ACTIONS(3499),
    [anon_sym_noreturn] = ACTIONS(3499),
    [anon_sym_mutable] = ACTIONS(3499),
    [anon_sym_constinit] = ACTIONS(3499),
    [anon_sym_consteval] = ACTIONS(3499),
    [anon_sym_PROGMEM] = ACTIONS(3499),
    [aux_sym_primitive_type_token1] = ACTIONS(3499),
    [anon_sym_byte] = ACTIONS(3499),
    [anon_sym_word] = ACTIONS(3499),
    [anon_sym_enum] = ACTIONS(3499),
    [anon_sym_class] = ACTIONS(3499),
    [anon_sym_struct] = ACTIONS(3499),
    [anon_sym_union] = ACTIONS(3499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3499),
    [anon_sym_decltype] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(3499),
    [anon_sym_alignas] = ACTIONS(3499),
    [anon_sym_explicit] = ACTIONS(3499),
    [anon_sym_typename] = ACTIONS(3499),
    [anon_sym_template] = ACTIONS(3499),
    [anon_sym_operator] = ACTIONS(3499),
    [anon_sym_friend] = ACTIONS(3499),
    [anon_sym_public] = ACTIONS(3499),
    [anon_sym_private] = ACTIONS(3499),
    [anon_sym_protected] = ACTIONS(3499),
    [anon_sym_using] = ACTIONS(3499),
    [anon_sym_static_assert] = ACTIONS(3499),
  },
  [2365] = {
    [sym_identifier] = ACTIONS(3208),
    [aux_sym_preproc_def_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token2] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3208),
    [aux_sym_preproc_else_token1] = ACTIONS(3208),
    [aux_sym_preproc_elif_token1] = ACTIONS(3208),
    [sym_preproc_directive] = ACTIONS(3208),
    [anon_sym_LPAREN2] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3210),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym___extension__] = ACTIONS(3208),
    [anon_sym_typedef] = ACTIONS(3208),
    [anon_sym_extern] = ACTIONS(3208),
    [anon_sym___attribute__] = ACTIONS(3208),
    [anon_sym_COLON_COLON] = ACTIONS(3210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3210),
    [anon_sym___declspec] = ACTIONS(3208),
    [anon_sym___based] = ACTIONS(3208),
    [anon_sym_signed] = ACTIONS(3208),
    [anon_sym_unsigned] = ACTIONS(3208),
    [anon_sym_long] = ACTIONS(3208),
    [anon_sym_short] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_register] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(3208),
    [anon_sym___inline] = ACTIONS(3208),
    [anon_sym___inline__] = ACTIONS(3208),
    [anon_sym___forceinline] = ACTIONS(3208),
    [anon_sym_thread_local] = ACTIONS(3208),
    [anon_sym___thread] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_constexpr] = ACTIONS(3208),
    [anon_sym_volatile] = ACTIONS(3208),
    [anon_sym_restrict] = ACTIONS(3208),
    [anon_sym___restrict__] = ACTIONS(3208),
    [anon_sym__Atomic] = ACTIONS(3208),
    [anon_sym__Noreturn] = ACTIONS(3208),
    [anon_sym_noreturn] = ACTIONS(3208),
    [anon_sym_mutable] = ACTIONS(3208),
    [anon_sym_constinit] = ACTIONS(3208),
    [anon_sym_consteval] = ACTIONS(3208),
    [anon_sym_PROGMEM] = ACTIONS(3208),
    [aux_sym_primitive_type_token1] = ACTIONS(3208),
    [anon_sym_byte] = ACTIONS(3208),
    [anon_sym_word] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_struct] = ACTIONS(3208),
    [anon_sym_union] = ACTIONS(3208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3208),
    [anon_sym_decltype] = ACTIONS(3208),
    [anon_sym_virtual] = ACTIONS(3208),
    [anon_sym_alignas] = ACTIONS(3208),
    [anon_sym_explicit] = ACTIONS(3208),
    [anon_sym_typename] = ACTIONS(3208),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(3208),
    [anon_sym_friend] = ACTIONS(3208),
    [anon_sym_public] = ACTIONS(3208),
    [anon_sym_private] = ACTIONS(3208),
    [anon_sym_protected] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_static_assert] = ACTIONS(3208),
  },
  [2366] = {
    [sym_identifier] = ACTIONS(5485),
    [aux_sym_preproc_def_token1] = ACTIONS(5485),
    [aux_sym_preproc_if_token1] = ACTIONS(5485),
    [aux_sym_preproc_if_token2] = ACTIONS(5485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5485),
    [aux_sym_preproc_else_token1] = ACTIONS(5485),
    [aux_sym_preproc_elif_token1] = ACTIONS(5485),
    [sym_preproc_directive] = ACTIONS(5485),
    [anon_sym_LPAREN2] = ACTIONS(5487),
    [anon_sym_TILDE] = ACTIONS(5487),
    [anon_sym_STAR] = ACTIONS(5487),
    [anon_sym_AMP_AMP] = ACTIONS(5487),
    [anon_sym_AMP] = ACTIONS(5485),
    [anon_sym___extension__] = ACTIONS(5485),
    [anon_sym_typedef] = ACTIONS(5485),
    [anon_sym_extern] = ACTIONS(5485),
    [anon_sym___attribute__] = ACTIONS(5485),
    [anon_sym_COLON_COLON] = ACTIONS(5487),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5487),
    [anon_sym___declspec] = ACTIONS(5485),
    [anon_sym___based] = ACTIONS(5485),
    [anon_sym_signed] = ACTIONS(5485),
    [anon_sym_unsigned] = ACTIONS(5485),
    [anon_sym_long] = ACTIONS(5485),
    [anon_sym_short] = ACTIONS(5485),
    [anon_sym_LBRACK] = ACTIONS(5485),
    [anon_sym_static] = ACTIONS(5485),
    [anon_sym_register] = ACTIONS(5485),
    [anon_sym_inline] = ACTIONS(5485),
    [anon_sym___inline] = ACTIONS(5485),
    [anon_sym___inline__] = ACTIONS(5485),
    [anon_sym___forceinline] = ACTIONS(5485),
    [anon_sym_thread_local] = ACTIONS(5485),
    [anon_sym___thread] = ACTIONS(5485),
    [anon_sym_const] = ACTIONS(5485),
    [anon_sym_constexpr] = ACTIONS(5485),
    [anon_sym_volatile] = ACTIONS(5485),
    [anon_sym_restrict] = ACTIONS(5485),
    [anon_sym___restrict__] = ACTIONS(5485),
    [anon_sym__Atomic] = ACTIONS(5485),
    [anon_sym__Noreturn] = ACTIONS(5485),
    [anon_sym_noreturn] = ACTIONS(5485),
    [anon_sym_mutable] = ACTIONS(5485),
    [anon_sym_constinit] = ACTIONS(5485),
    [anon_sym_consteval] = ACTIONS(5485),
    [anon_sym_PROGMEM] = ACTIONS(5485),
    [aux_sym_primitive_type_token1] = ACTIONS(5485),
    [anon_sym_byte] = ACTIONS(5485),
    [anon_sym_word] = ACTIONS(5485),
    [anon_sym_enum] = ACTIONS(5485),
    [anon_sym_class] = ACTIONS(5485),
    [anon_sym_struct] = ACTIONS(5485),
    [anon_sym_union] = ACTIONS(5485),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5485),
    [anon_sym_decltype] = ACTIONS(5485),
    [anon_sym_virtual] = ACTIONS(5485),
    [anon_sym_alignas] = ACTIONS(5485),
    [anon_sym_explicit] = ACTIONS(5485),
    [anon_sym_typename] = ACTIONS(5485),
    [anon_sym_template] = ACTIONS(5485),
    [anon_sym_operator] = ACTIONS(5485),
    [anon_sym_friend] = ACTIONS(5485),
    [anon_sym_public] = ACTIONS(5485),
    [anon_sym_private] = ACTIONS(5485),
    [anon_sym_protected] = ACTIONS(5485),
    [anon_sym_using] = ACTIONS(5485),
    [anon_sym_static_assert] = ACTIONS(5485),
  },
  [2367] = {
    [sym_identifier] = ACTIONS(5608),
    [aux_sym_preproc_def_token1] = ACTIONS(5608),
    [aux_sym_preproc_if_token1] = ACTIONS(5608),
    [aux_sym_preproc_if_token2] = ACTIONS(5608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5608),
    [aux_sym_preproc_else_token1] = ACTIONS(5608),
    [aux_sym_preproc_elif_token1] = ACTIONS(5608),
    [sym_preproc_directive] = ACTIONS(5608),
    [anon_sym_LPAREN2] = ACTIONS(5610),
    [anon_sym_TILDE] = ACTIONS(5610),
    [anon_sym_STAR] = ACTIONS(5610),
    [anon_sym_AMP_AMP] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(5608),
    [anon_sym___extension__] = ACTIONS(5608),
    [anon_sym_typedef] = ACTIONS(5608),
    [anon_sym_extern] = ACTIONS(5608),
    [anon_sym___attribute__] = ACTIONS(5608),
    [anon_sym_COLON_COLON] = ACTIONS(5610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5610),
    [anon_sym___declspec] = ACTIONS(5608),
    [anon_sym___based] = ACTIONS(5608),
    [anon_sym_signed] = ACTIONS(5608),
    [anon_sym_unsigned] = ACTIONS(5608),
    [anon_sym_long] = ACTIONS(5608),
    [anon_sym_short] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [anon_sym_static] = ACTIONS(5608),
    [anon_sym_register] = ACTIONS(5608),
    [anon_sym_inline] = ACTIONS(5608),
    [anon_sym___inline] = ACTIONS(5608),
    [anon_sym___inline__] = ACTIONS(5608),
    [anon_sym___forceinline] = ACTIONS(5608),
    [anon_sym_thread_local] = ACTIONS(5608),
    [anon_sym___thread] = ACTIONS(5608),
    [anon_sym_const] = ACTIONS(5608),
    [anon_sym_constexpr] = ACTIONS(5608),
    [anon_sym_volatile] = ACTIONS(5608),
    [anon_sym_restrict] = ACTIONS(5608),
    [anon_sym___restrict__] = ACTIONS(5608),
    [anon_sym__Atomic] = ACTIONS(5608),
    [anon_sym__Noreturn] = ACTIONS(5608),
    [anon_sym_noreturn] = ACTIONS(5608),
    [anon_sym_mutable] = ACTIONS(5608),
    [anon_sym_constinit] = ACTIONS(5608),
    [anon_sym_consteval] = ACTIONS(5608),
    [anon_sym_PROGMEM] = ACTIONS(5608),
    [aux_sym_primitive_type_token1] = ACTIONS(5608),
    [anon_sym_byte] = ACTIONS(5608),
    [anon_sym_word] = ACTIONS(5608),
    [anon_sym_enum] = ACTIONS(5608),
    [anon_sym_class] = ACTIONS(5608),
    [anon_sym_struct] = ACTIONS(5608),
    [anon_sym_union] = ACTIONS(5608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5608),
    [anon_sym_decltype] = ACTIONS(5608),
    [anon_sym_virtual] = ACTIONS(5608),
    [anon_sym_alignas] = ACTIONS(5608),
    [anon_sym_explicit] = ACTIONS(5608),
    [anon_sym_typename] = ACTIONS(5608),
    [anon_sym_template] = ACTIONS(5608),
    [anon_sym_operator] = ACTIONS(5608),
    [anon_sym_friend] = ACTIONS(5608),
    [anon_sym_public] = ACTIONS(5608),
    [anon_sym_private] = ACTIONS(5608),
    [anon_sym_protected] = ACTIONS(5608),
    [anon_sym_using] = ACTIONS(5608),
    [anon_sym_static_assert] = ACTIONS(5608),
  },
  [2368] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token2] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [aux_sym_preproc_else_token1] = ACTIONS(3162),
    [aux_sym_preproc_elif_token1] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_PROGMEM] = ACTIONS(3162),
    [aux_sym_primitive_type_token1] = ACTIONS(3162),
    [anon_sym_byte] = ACTIONS(3162),
    [anon_sym_word] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_friend] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
  },
  [2369] = {
    [sym_identifier] = ACTIONS(5545),
    [aux_sym_preproc_def_token1] = ACTIONS(5545),
    [aux_sym_preproc_if_token1] = ACTIONS(5545),
    [aux_sym_preproc_if_token2] = ACTIONS(5545),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5545),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5545),
    [aux_sym_preproc_else_token1] = ACTIONS(5545),
    [aux_sym_preproc_elif_token1] = ACTIONS(5545),
    [sym_preproc_directive] = ACTIONS(5545),
    [anon_sym_LPAREN2] = ACTIONS(5547),
    [anon_sym_TILDE] = ACTIONS(5547),
    [anon_sym_STAR] = ACTIONS(5547),
    [anon_sym_AMP_AMP] = ACTIONS(5547),
    [anon_sym_AMP] = ACTIONS(5545),
    [anon_sym___extension__] = ACTIONS(5545),
    [anon_sym_typedef] = ACTIONS(5545),
    [anon_sym_extern] = ACTIONS(5545),
    [anon_sym___attribute__] = ACTIONS(5545),
    [anon_sym_COLON_COLON] = ACTIONS(5547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5547),
    [anon_sym___declspec] = ACTIONS(5545),
    [anon_sym___based] = ACTIONS(5545),
    [anon_sym_signed] = ACTIONS(5545),
    [anon_sym_unsigned] = ACTIONS(5545),
    [anon_sym_long] = ACTIONS(5545),
    [anon_sym_short] = ACTIONS(5545),
    [anon_sym_LBRACK] = ACTIONS(5545),
    [anon_sym_static] = ACTIONS(5545),
    [anon_sym_register] = ACTIONS(5545),
    [anon_sym_inline] = ACTIONS(5545),
    [anon_sym___inline] = ACTIONS(5545),
    [anon_sym___inline__] = ACTIONS(5545),
    [anon_sym___forceinline] = ACTIONS(5545),
    [anon_sym_thread_local] = ACTIONS(5545),
    [anon_sym___thread] = ACTIONS(5545),
    [anon_sym_const] = ACTIONS(5545),
    [anon_sym_constexpr] = ACTIONS(5545),
    [anon_sym_volatile] = ACTIONS(5545),
    [anon_sym_restrict] = ACTIONS(5545),
    [anon_sym___restrict__] = ACTIONS(5545),
    [anon_sym__Atomic] = ACTIONS(5545),
    [anon_sym__Noreturn] = ACTIONS(5545),
    [anon_sym_noreturn] = ACTIONS(5545),
    [anon_sym_mutable] = ACTIONS(5545),
    [anon_sym_constinit] = ACTIONS(5545),
    [anon_sym_consteval] = ACTIONS(5545),
    [anon_sym_PROGMEM] = ACTIONS(5545),
    [aux_sym_primitive_type_token1] = ACTIONS(5545),
    [anon_sym_byte] = ACTIONS(5545),
    [anon_sym_word] = ACTIONS(5545),
    [anon_sym_enum] = ACTIONS(5545),
    [anon_sym_class] = ACTIONS(5545),
    [anon_sym_struct] = ACTIONS(5545),
    [anon_sym_union] = ACTIONS(5545),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5545),
    [anon_sym_decltype] = ACTIONS(5545),
    [anon_sym_virtual] = ACTIONS(5545),
    [anon_sym_alignas] = ACTIONS(5545),
    [anon_sym_explicit] = ACTIONS(5545),
    [anon_sym_typename] = ACTIONS(5545),
    [anon_sym_template] = ACTIONS(5545),
    [anon_sym_operator] = ACTIONS(5545),
    [anon_sym_friend] = ACTIONS(5545),
    [anon_sym_public] = ACTIONS(5545),
    [anon_sym_private] = ACTIONS(5545),
    [anon_sym_protected] = ACTIONS(5545),
    [anon_sym_using] = ACTIONS(5545),
    [anon_sym_static_assert] = ACTIONS(5545),
  },
  [2370] = {
    [sym_identifier] = ACTIONS(3168),
    [aux_sym_preproc_def_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3168),
    [aux_sym_preproc_else_token1] = ACTIONS(3168),
    [aux_sym_preproc_elif_token1] = ACTIONS(3168),
    [sym_preproc_directive] = ACTIONS(3168),
    [anon_sym_LPAREN2] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym___extension__] = ACTIONS(3168),
    [anon_sym_typedef] = ACTIONS(3168),
    [anon_sym_extern] = ACTIONS(3168),
    [anon_sym___attribute__] = ACTIONS(3168),
    [anon_sym_COLON_COLON] = ACTIONS(3170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3170),
    [anon_sym___declspec] = ACTIONS(3168),
    [anon_sym___based] = ACTIONS(3168),
    [anon_sym_signed] = ACTIONS(3168),
    [anon_sym_unsigned] = ACTIONS(3168),
    [anon_sym_long] = ACTIONS(3168),
    [anon_sym_short] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_register] = ACTIONS(3168),
    [anon_sym_inline] = ACTIONS(3168),
    [anon_sym___inline] = ACTIONS(3168),
    [anon_sym___inline__] = ACTIONS(3168),
    [anon_sym___forceinline] = ACTIONS(3168),
    [anon_sym_thread_local] = ACTIONS(3168),
    [anon_sym___thread] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_constexpr] = ACTIONS(3168),
    [anon_sym_volatile] = ACTIONS(3168),
    [anon_sym_restrict] = ACTIONS(3168),
    [anon_sym___restrict__] = ACTIONS(3168),
    [anon_sym__Atomic] = ACTIONS(3168),
    [anon_sym__Noreturn] = ACTIONS(3168),
    [anon_sym_noreturn] = ACTIONS(3168),
    [anon_sym_mutable] = ACTIONS(3168),
    [anon_sym_constinit] = ACTIONS(3168),
    [anon_sym_consteval] = ACTIONS(3168),
    [anon_sym_PROGMEM] = ACTIONS(3168),
    [aux_sym_primitive_type_token1] = ACTIONS(3168),
    [anon_sym_byte] = ACTIONS(3168),
    [anon_sym_word] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_struct] = ACTIONS(3168),
    [anon_sym_union] = ACTIONS(3168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3168),
    [anon_sym_decltype] = ACTIONS(3168),
    [anon_sym_virtual] = ACTIONS(3168),
    [anon_sym_alignas] = ACTIONS(3168),
    [anon_sym_explicit] = ACTIONS(3168),
    [anon_sym_typename] = ACTIONS(3168),
    [anon_sym_template] = ACTIONS(3168),
    [anon_sym_operator] = ACTIONS(3168),
    [anon_sym_friend] = ACTIONS(3168),
    [anon_sym_public] = ACTIONS(3168),
    [anon_sym_private] = ACTIONS(3168),
    [anon_sym_protected] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_static_assert] = ACTIONS(3168),
  },
  [2371] = {
    [sym_identifier] = ACTIONS(2261),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [anon_sym_COMMA] = ACTIONS(3026),
    [aux_sym_preproc_if_token1] = ACTIONS(2261),
    [aux_sym_preproc_if_token2] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2261),
    [anon_sym_LPAREN2] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym___extension__] = ACTIONS(2261),
    [anon_sym_typedef] = ACTIONS(2261),
    [anon_sym_extern] = ACTIONS(2261),
    [anon_sym___attribute__] = ACTIONS(2261),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2259),
    [anon_sym___declspec] = ACTIONS(2261),
    [anon_sym___based] = ACTIONS(2261),
    [anon_sym_signed] = ACTIONS(2261),
    [anon_sym_unsigned] = ACTIONS(2261),
    [anon_sym_long] = ACTIONS(2261),
    [anon_sym_short] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_register] = ACTIONS(2261),
    [anon_sym_inline] = ACTIONS(2261),
    [anon_sym___inline] = ACTIONS(2261),
    [anon_sym___inline__] = ACTIONS(2261),
    [anon_sym___forceinline] = ACTIONS(2261),
    [anon_sym_thread_local] = ACTIONS(2261),
    [anon_sym___thread] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_constexpr] = ACTIONS(2261),
    [anon_sym_volatile] = ACTIONS(2261),
    [anon_sym_restrict] = ACTIONS(2261),
    [anon_sym___restrict__] = ACTIONS(2261),
    [anon_sym__Atomic] = ACTIONS(2261),
    [anon_sym__Noreturn] = ACTIONS(2261),
    [anon_sym_noreturn] = ACTIONS(2261),
    [anon_sym_mutable] = ACTIONS(2261),
    [anon_sym_constinit] = ACTIONS(2261),
    [anon_sym_consteval] = ACTIONS(2261),
    [anon_sym_PROGMEM] = ACTIONS(2261),
    [aux_sym_primitive_type_token1] = ACTIONS(2261),
    [anon_sym_byte] = ACTIONS(2261),
    [anon_sym_word] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_struct] = ACTIONS(2261),
    [anon_sym_union] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2261),
    [anon_sym_decltype] = ACTIONS(2261),
    [anon_sym_virtual] = ACTIONS(2261),
    [anon_sym_alignas] = ACTIONS(2261),
    [anon_sym_explicit] = ACTIONS(2261),
    [anon_sym_typename] = ACTIONS(2261),
    [anon_sym_template] = ACTIONS(2261),
    [anon_sym_operator] = ACTIONS(2261),
    [anon_sym_friend] = ACTIONS(2261),
    [anon_sym_public] = ACTIONS(2261),
    [anon_sym_private] = ACTIONS(2261),
    [anon_sym_protected] = ACTIONS(2261),
    [anon_sym_using] = ACTIONS(2261),
    [anon_sym_static_assert] = ACTIONS(2261),
  },
  [2372] = {
    [sym_identifier] = ACTIONS(5489),
    [aux_sym_preproc_def_token1] = ACTIONS(5489),
    [aux_sym_preproc_if_token1] = ACTIONS(5489),
    [aux_sym_preproc_if_token2] = ACTIONS(5489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5489),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5489),
    [aux_sym_preproc_else_token1] = ACTIONS(5489),
    [aux_sym_preproc_elif_token1] = ACTIONS(5489),
    [sym_preproc_directive] = ACTIONS(5489),
    [anon_sym_LPAREN2] = ACTIONS(5491),
    [anon_sym_TILDE] = ACTIONS(5491),
    [anon_sym_STAR] = ACTIONS(5491),
    [anon_sym_AMP_AMP] = ACTIONS(5491),
    [anon_sym_AMP] = ACTIONS(5489),
    [anon_sym___extension__] = ACTIONS(5489),
    [anon_sym_typedef] = ACTIONS(5489),
    [anon_sym_extern] = ACTIONS(5489),
    [anon_sym___attribute__] = ACTIONS(5489),
    [anon_sym_COLON_COLON] = ACTIONS(5491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5491),
    [anon_sym___declspec] = ACTIONS(5489),
    [anon_sym___based] = ACTIONS(5489),
    [anon_sym_signed] = ACTIONS(5489),
    [anon_sym_unsigned] = ACTIONS(5489),
    [anon_sym_long] = ACTIONS(5489),
    [anon_sym_short] = ACTIONS(5489),
    [anon_sym_LBRACK] = ACTIONS(5489),
    [anon_sym_static] = ACTIONS(5489),
    [anon_sym_register] = ACTIONS(5489),
    [anon_sym_inline] = ACTIONS(5489),
    [anon_sym___inline] = ACTIONS(5489),
    [anon_sym___inline__] = ACTIONS(5489),
    [anon_sym___forceinline] = ACTIONS(5489),
    [anon_sym_thread_local] = ACTIONS(5489),
    [anon_sym___thread] = ACTIONS(5489),
    [anon_sym_const] = ACTIONS(5489),
    [anon_sym_constexpr] = ACTIONS(5489),
    [anon_sym_volatile] = ACTIONS(5489),
    [anon_sym_restrict] = ACTIONS(5489),
    [anon_sym___restrict__] = ACTIONS(5489),
    [anon_sym__Atomic] = ACTIONS(5489),
    [anon_sym__Noreturn] = ACTIONS(5489),
    [anon_sym_noreturn] = ACTIONS(5489),
    [anon_sym_mutable] = ACTIONS(5489),
    [anon_sym_constinit] = ACTIONS(5489),
    [anon_sym_consteval] = ACTIONS(5489),
    [anon_sym_PROGMEM] = ACTIONS(5489),
    [aux_sym_primitive_type_token1] = ACTIONS(5489),
    [anon_sym_byte] = ACTIONS(5489),
    [anon_sym_word] = ACTIONS(5489),
    [anon_sym_enum] = ACTIONS(5489),
    [anon_sym_class] = ACTIONS(5489),
    [anon_sym_struct] = ACTIONS(5489),
    [anon_sym_union] = ACTIONS(5489),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5489),
    [anon_sym_decltype] = ACTIONS(5489),
    [anon_sym_virtual] = ACTIONS(5489),
    [anon_sym_alignas] = ACTIONS(5489),
    [anon_sym_explicit] = ACTIONS(5489),
    [anon_sym_typename] = ACTIONS(5489),
    [anon_sym_template] = ACTIONS(5489),
    [anon_sym_operator] = ACTIONS(5489),
    [anon_sym_friend] = ACTIONS(5489),
    [anon_sym_public] = ACTIONS(5489),
    [anon_sym_private] = ACTIONS(5489),
    [anon_sym_protected] = ACTIONS(5489),
    [anon_sym_using] = ACTIONS(5489),
    [anon_sym_static_assert] = ACTIONS(5489),
  },
  [2373] = {
    [sym_identifier] = ACTIONS(3417),
    [aux_sym_preproc_def_token1] = ACTIONS(3417),
    [aux_sym_preproc_if_token1] = ACTIONS(3417),
    [aux_sym_preproc_if_token2] = ACTIONS(3417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3417),
    [aux_sym_preproc_else_token1] = ACTIONS(3417),
    [aux_sym_preproc_elif_token1] = ACTIONS(3417),
    [sym_preproc_directive] = ACTIONS(3417),
    [anon_sym_LPAREN2] = ACTIONS(3419),
    [anon_sym_TILDE] = ACTIONS(3419),
    [anon_sym_STAR] = ACTIONS(3419),
    [anon_sym_AMP_AMP] = ACTIONS(3419),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym___extension__] = ACTIONS(3417),
    [anon_sym_typedef] = ACTIONS(3417),
    [anon_sym_extern] = ACTIONS(3417),
    [anon_sym___attribute__] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3419),
    [anon_sym___declspec] = ACTIONS(3417),
    [anon_sym___based] = ACTIONS(3417),
    [anon_sym_signed] = ACTIONS(3417),
    [anon_sym_unsigned] = ACTIONS(3417),
    [anon_sym_long] = ACTIONS(3417),
    [anon_sym_short] = ACTIONS(3417),
    [anon_sym_LBRACK] = ACTIONS(3417),
    [anon_sym_static] = ACTIONS(3417),
    [anon_sym_register] = ACTIONS(3417),
    [anon_sym_inline] = ACTIONS(3417),
    [anon_sym___inline] = ACTIONS(3417),
    [anon_sym___inline__] = ACTIONS(3417),
    [anon_sym___forceinline] = ACTIONS(3417),
    [anon_sym_thread_local] = ACTIONS(3417),
    [anon_sym___thread] = ACTIONS(3417),
    [anon_sym_const] = ACTIONS(3417),
    [anon_sym_constexpr] = ACTIONS(3417),
    [anon_sym_volatile] = ACTIONS(3417),
    [anon_sym_restrict] = ACTIONS(3417),
    [anon_sym___restrict__] = ACTIONS(3417),
    [anon_sym__Atomic] = ACTIONS(3417),
    [anon_sym__Noreturn] = ACTIONS(3417),
    [anon_sym_noreturn] = ACTIONS(3417),
    [anon_sym_mutable] = ACTIONS(3417),
    [anon_sym_constinit] = ACTIONS(3417),
    [anon_sym_consteval] = ACTIONS(3417),
    [anon_sym_PROGMEM] = ACTIONS(3417),
    [aux_sym_primitive_type_token1] = ACTIONS(3417),
    [anon_sym_byte] = ACTIONS(3417),
    [anon_sym_word] = ACTIONS(3417),
    [anon_sym_enum] = ACTIONS(3417),
    [anon_sym_class] = ACTIONS(3417),
    [anon_sym_struct] = ACTIONS(3417),
    [anon_sym_union] = ACTIONS(3417),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3417),
    [anon_sym_decltype] = ACTIONS(3417),
    [anon_sym_virtual] = ACTIONS(3417),
    [anon_sym_alignas] = ACTIONS(3417),
    [anon_sym_explicit] = ACTIONS(3417),
    [anon_sym_typename] = ACTIONS(3417),
    [anon_sym_template] = ACTIONS(3417),
    [anon_sym_operator] = ACTIONS(3417),
    [anon_sym_friend] = ACTIONS(3417),
    [anon_sym_public] = ACTIONS(3417),
    [anon_sym_private] = ACTIONS(3417),
    [anon_sym_protected] = ACTIONS(3417),
    [anon_sym_using] = ACTIONS(3417),
    [anon_sym_static_assert] = ACTIONS(3417),
  },
  [2374] = {
    [sym_identifier] = ACTIONS(3421),
    [aux_sym_preproc_def_token1] = ACTIONS(3421),
    [aux_sym_preproc_if_token1] = ACTIONS(3421),
    [aux_sym_preproc_if_token2] = ACTIONS(3421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3421),
    [aux_sym_preproc_else_token1] = ACTIONS(3421),
    [aux_sym_preproc_elif_token1] = ACTIONS(3421),
    [sym_preproc_directive] = ACTIONS(3421),
    [anon_sym_LPAREN2] = ACTIONS(3423),
    [anon_sym_TILDE] = ACTIONS(3423),
    [anon_sym_STAR] = ACTIONS(3423),
    [anon_sym_AMP_AMP] = ACTIONS(3423),
    [anon_sym_AMP] = ACTIONS(3421),
    [anon_sym___extension__] = ACTIONS(3421),
    [anon_sym_typedef] = ACTIONS(3421),
    [anon_sym_extern] = ACTIONS(3421),
    [anon_sym___attribute__] = ACTIONS(3421),
    [anon_sym_COLON_COLON] = ACTIONS(3423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3423),
    [anon_sym___declspec] = ACTIONS(3421),
    [anon_sym___based] = ACTIONS(3421),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(3421),
    [anon_sym_static] = ACTIONS(3421),
    [anon_sym_register] = ACTIONS(3421),
    [anon_sym_inline] = ACTIONS(3421),
    [anon_sym___inline] = ACTIONS(3421),
    [anon_sym___inline__] = ACTIONS(3421),
    [anon_sym___forceinline] = ACTIONS(3421),
    [anon_sym_thread_local] = ACTIONS(3421),
    [anon_sym___thread] = ACTIONS(3421),
    [anon_sym_const] = ACTIONS(3421),
    [anon_sym_constexpr] = ACTIONS(3421),
    [anon_sym_volatile] = ACTIONS(3421),
    [anon_sym_restrict] = ACTIONS(3421),
    [anon_sym___restrict__] = ACTIONS(3421),
    [anon_sym__Atomic] = ACTIONS(3421),
    [anon_sym__Noreturn] = ACTIONS(3421),
    [anon_sym_noreturn] = ACTIONS(3421),
    [anon_sym_mutable] = ACTIONS(3421),
    [anon_sym_constinit] = ACTIONS(3421),
    [anon_sym_consteval] = ACTIONS(3421),
    [anon_sym_PROGMEM] = ACTIONS(3421),
    [aux_sym_primitive_type_token1] = ACTIONS(3421),
    [anon_sym_byte] = ACTIONS(3421),
    [anon_sym_word] = ACTIONS(3421),
    [anon_sym_enum] = ACTIONS(3421),
    [anon_sym_class] = ACTIONS(3421),
    [anon_sym_struct] = ACTIONS(3421),
    [anon_sym_union] = ACTIONS(3421),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3421),
    [anon_sym_decltype] = ACTIONS(3421),
    [anon_sym_virtual] = ACTIONS(3421),
    [anon_sym_alignas] = ACTIONS(3421),
    [anon_sym_explicit] = ACTIONS(3421),
    [anon_sym_typename] = ACTIONS(3421),
    [anon_sym_template] = ACTIONS(3421),
    [anon_sym_operator] = ACTIONS(3421),
    [anon_sym_friend] = ACTIONS(3421),
    [anon_sym_public] = ACTIONS(3421),
    [anon_sym_private] = ACTIONS(3421),
    [anon_sym_protected] = ACTIONS(3421),
    [anon_sym_using] = ACTIONS(3421),
    [anon_sym_static_assert] = ACTIONS(3421),
  },
  [2375] = {
    [sym_identifier] = ACTIONS(3991),
    [aux_sym_preproc_def_token1] = ACTIONS(3991),
    [aux_sym_preproc_if_token1] = ACTIONS(3991),
    [aux_sym_preproc_if_token2] = ACTIONS(3991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3991),
    [aux_sym_preproc_else_token1] = ACTIONS(3991),
    [aux_sym_preproc_elif_token1] = ACTIONS(3991),
    [sym_preproc_directive] = ACTIONS(3991),
    [anon_sym_LPAREN2] = ACTIONS(3989),
    [anon_sym_TILDE] = ACTIONS(3989),
    [anon_sym_STAR] = ACTIONS(3989),
    [anon_sym_AMP_AMP] = ACTIONS(3989),
    [anon_sym_AMP] = ACTIONS(3991),
    [anon_sym___extension__] = ACTIONS(3991),
    [anon_sym_typedef] = ACTIONS(3991),
    [anon_sym_extern] = ACTIONS(3991),
    [anon_sym___attribute__] = ACTIONS(3991),
    [anon_sym_COLON_COLON] = ACTIONS(3989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3989),
    [anon_sym___declspec] = ACTIONS(3991),
    [anon_sym___based] = ACTIONS(3991),
    [anon_sym_signed] = ACTIONS(3991),
    [anon_sym_unsigned] = ACTIONS(3991),
    [anon_sym_long] = ACTIONS(3991),
    [anon_sym_short] = ACTIONS(3991),
    [anon_sym_LBRACK] = ACTIONS(3991),
    [anon_sym_static] = ACTIONS(3991),
    [anon_sym_register] = ACTIONS(3991),
    [anon_sym_inline] = ACTIONS(3991),
    [anon_sym___inline] = ACTIONS(3991),
    [anon_sym___inline__] = ACTIONS(3991),
    [anon_sym___forceinline] = ACTIONS(3991),
    [anon_sym_thread_local] = ACTIONS(3991),
    [anon_sym___thread] = ACTIONS(3991),
    [anon_sym_const] = ACTIONS(3991),
    [anon_sym_constexpr] = ACTIONS(3991),
    [anon_sym_volatile] = ACTIONS(3991),
    [anon_sym_restrict] = ACTIONS(3991),
    [anon_sym___restrict__] = ACTIONS(3991),
    [anon_sym__Atomic] = ACTIONS(3991),
    [anon_sym__Noreturn] = ACTIONS(3991),
    [anon_sym_noreturn] = ACTIONS(3991),
    [anon_sym_mutable] = ACTIONS(3991),
    [anon_sym_constinit] = ACTIONS(3991),
    [anon_sym_consteval] = ACTIONS(3991),
    [anon_sym_PROGMEM] = ACTIONS(3991),
    [aux_sym_primitive_type_token1] = ACTIONS(3991),
    [anon_sym_byte] = ACTIONS(3991),
    [anon_sym_word] = ACTIONS(3991),
    [anon_sym_enum] = ACTIONS(3991),
    [anon_sym_class] = ACTIONS(3991),
    [anon_sym_struct] = ACTIONS(3991),
    [anon_sym_union] = ACTIONS(3991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3991),
    [anon_sym_decltype] = ACTIONS(3991),
    [anon_sym_virtual] = ACTIONS(3991),
    [anon_sym_alignas] = ACTIONS(3991),
    [anon_sym_explicit] = ACTIONS(3991),
    [anon_sym_typename] = ACTIONS(3991),
    [anon_sym_template] = ACTIONS(3991),
    [anon_sym_operator] = ACTIONS(3991),
    [anon_sym_friend] = ACTIONS(3991),
    [anon_sym_public] = ACTIONS(3991),
    [anon_sym_private] = ACTIONS(3991),
    [anon_sym_protected] = ACTIONS(3991),
    [anon_sym_using] = ACTIONS(3991),
    [anon_sym_static_assert] = ACTIONS(3991),
  },
  [2376] = {
    [sym_identifier] = ACTIONS(3397),
    [aux_sym_preproc_def_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token2] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3397),
    [aux_sym_preproc_else_token1] = ACTIONS(3397),
    [aux_sym_preproc_elif_token1] = ACTIONS(3397),
    [sym_preproc_directive] = ACTIONS(3397),
    [anon_sym_LPAREN2] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_AMP_AMP] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3397),
    [anon_sym___extension__] = ACTIONS(3397),
    [anon_sym_typedef] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym___attribute__] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(3399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym___declspec] = ACTIONS(3397),
    [anon_sym___based] = ACTIONS(3397),
    [anon_sym_signed] = ACTIONS(3397),
    [anon_sym_unsigned] = ACTIONS(3397),
    [anon_sym_long] = ACTIONS(3397),
    [anon_sym_short] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_register] = ACTIONS(3397),
    [anon_sym_inline] = ACTIONS(3397),
    [anon_sym___inline] = ACTIONS(3397),
    [anon_sym___inline__] = ACTIONS(3397),
    [anon_sym___forceinline] = ACTIONS(3397),
    [anon_sym_thread_local] = ACTIONS(3397),
    [anon_sym___thread] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_constexpr] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_restrict] = ACTIONS(3397),
    [anon_sym___restrict__] = ACTIONS(3397),
    [anon_sym__Atomic] = ACTIONS(3397),
    [anon_sym__Noreturn] = ACTIONS(3397),
    [anon_sym_noreturn] = ACTIONS(3397),
    [anon_sym_mutable] = ACTIONS(3397),
    [anon_sym_constinit] = ACTIONS(3397),
    [anon_sym_consteval] = ACTIONS(3397),
    [anon_sym_PROGMEM] = ACTIONS(3397),
    [aux_sym_primitive_type_token1] = ACTIONS(3397),
    [anon_sym_byte] = ACTIONS(3397),
    [anon_sym_word] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_union] = ACTIONS(3397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3397),
    [anon_sym_decltype] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_alignas] = ACTIONS(3397),
    [anon_sym_explicit] = ACTIONS(3397),
    [anon_sym_typename] = ACTIONS(3397),
    [anon_sym_template] = ACTIONS(3397),
    [anon_sym_operator] = ACTIONS(3397),
    [anon_sym_friend] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_static_assert] = ACTIONS(3397),
  },
  [2377] = {
    [sym_identifier] = ACTIONS(3397),
    [aux_sym_preproc_def_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token2] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3397),
    [aux_sym_preproc_else_token1] = ACTIONS(3397),
    [aux_sym_preproc_elif_token1] = ACTIONS(3397),
    [sym_preproc_directive] = ACTIONS(3397),
    [anon_sym_LPAREN2] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_AMP_AMP] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3397),
    [anon_sym___extension__] = ACTIONS(3397),
    [anon_sym_typedef] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym___attribute__] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(3399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym___declspec] = ACTIONS(3397),
    [anon_sym___based] = ACTIONS(3397),
    [anon_sym_signed] = ACTIONS(3397),
    [anon_sym_unsigned] = ACTIONS(3397),
    [anon_sym_long] = ACTIONS(3397),
    [anon_sym_short] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_register] = ACTIONS(3397),
    [anon_sym_inline] = ACTIONS(3397),
    [anon_sym___inline] = ACTIONS(3397),
    [anon_sym___inline__] = ACTIONS(3397),
    [anon_sym___forceinline] = ACTIONS(3397),
    [anon_sym_thread_local] = ACTIONS(3397),
    [anon_sym___thread] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_constexpr] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_restrict] = ACTIONS(3397),
    [anon_sym___restrict__] = ACTIONS(3397),
    [anon_sym__Atomic] = ACTIONS(3397),
    [anon_sym__Noreturn] = ACTIONS(3397),
    [anon_sym_noreturn] = ACTIONS(3397),
    [anon_sym_mutable] = ACTIONS(3397),
    [anon_sym_constinit] = ACTIONS(3397),
    [anon_sym_consteval] = ACTIONS(3397),
    [anon_sym_PROGMEM] = ACTIONS(3397),
    [aux_sym_primitive_type_token1] = ACTIONS(3397),
    [anon_sym_byte] = ACTIONS(3397),
    [anon_sym_word] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_union] = ACTIONS(3397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3397),
    [anon_sym_decltype] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_alignas] = ACTIONS(3397),
    [anon_sym_explicit] = ACTIONS(3397),
    [anon_sym_typename] = ACTIONS(3397),
    [anon_sym_template] = ACTIONS(3397),
    [anon_sym_operator] = ACTIONS(3397),
    [anon_sym_friend] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_static_assert] = ACTIONS(3397),
  },
  [2378] = {
    [sym_identifier] = ACTIONS(3072),
    [aux_sym_preproc_def_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token2] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3072),
    [aux_sym_preproc_else_token1] = ACTIONS(3072),
    [aux_sym_preproc_elif_token1] = ACTIONS(3072),
    [sym_preproc_directive] = ACTIONS(3072),
    [anon_sym_LPAREN2] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3074),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym___extension__] = ACTIONS(3072),
    [anon_sym_typedef] = ACTIONS(3072),
    [anon_sym_extern] = ACTIONS(3072),
    [anon_sym___attribute__] = ACTIONS(3072),
    [anon_sym_COLON_COLON] = ACTIONS(3074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3074),
    [anon_sym___declspec] = ACTIONS(3072),
    [anon_sym___based] = ACTIONS(3072),
    [anon_sym_signed] = ACTIONS(3072),
    [anon_sym_unsigned] = ACTIONS(3072),
    [anon_sym_long] = ACTIONS(3072),
    [anon_sym_short] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_register] = ACTIONS(3072),
    [anon_sym_inline] = ACTIONS(3072),
    [anon_sym___inline] = ACTIONS(3072),
    [anon_sym___inline__] = ACTIONS(3072),
    [anon_sym___forceinline] = ACTIONS(3072),
    [anon_sym_thread_local] = ACTIONS(3072),
    [anon_sym___thread] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_constexpr] = ACTIONS(3072),
    [anon_sym_volatile] = ACTIONS(3072),
    [anon_sym_restrict] = ACTIONS(3072),
    [anon_sym___restrict__] = ACTIONS(3072),
    [anon_sym__Atomic] = ACTIONS(3072),
    [anon_sym__Noreturn] = ACTIONS(3072),
    [anon_sym_noreturn] = ACTIONS(3072),
    [anon_sym_mutable] = ACTIONS(3072),
    [anon_sym_constinit] = ACTIONS(3072),
    [anon_sym_consteval] = ACTIONS(3072),
    [anon_sym_PROGMEM] = ACTIONS(3072),
    [aux_sym_primitive_type_token1] = ACTIONS(3072),
    [anon_sym_byte] = ACTIONS(3072),
    [anon_sym_word] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_struct] = ACTIONS(3072),
    [anon_sym_union] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3072),
    [anon_sym_decltype] = ACTIONS(3072),
    [anon_sym_virtual] = ACTIONS(3072),
    [anon_sym_alignas] = ACTIONS(3072),
    [anon_sym_explicit] = ACTIONS(3072),
    [anon_sym_typename] = ACTIONS(3072),
    [anon_sym_template] = ACTIONS(3072),
    [anon_sym_operator] = ACTIONS(3072),
    [anon_sym_friend] = ACTIONS(3072),
    [anon_sym_public] = ACTIONS(3072),
    [anon_sym_private] = ACTIONS(3072),
    [anon_sym_protected] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_static_assert] = ACTIONS(3072),
  },
  [2379] = {
    [sym_identifier] = ACTIONS(3361),
    [aux_sym_preproc_def_token1] = ACTIONS(3361),
    [aux_sym_preproc_if_token1] = ACTIONS(3361),
    [aux_sym_preproc_if_token2] = ACTIONS(3361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3361),
    [aux_sym_preproc_else_token1] = ACTIONS(3361),
    [aux_sym_preproc_elif_token1] = ACTIONS(3361),
    [sym_preproc_directive] = ACTIONS(3361),
    [anon_sym_LPAREN2] = ACTIONS(3363),
    [anon_sym_TILDE] = ACTIONS(3363),
    [anon_sym_STAR] = ACTIONS(3363),
    [anon_sym_AMP_AMP] = ACTIONS(3363),
    [anon_sym_AMP] = ACTIONS(3361),
    [anon_sym___extension__] = ACTIONS(3361),
    [anon_sym_typedef] = ACTIONS(3361),
    [anon_sym_extern] = ACTIONS(3361),
    [anon_sym___attribute__] = ACTIONS(3361),
    [anon_sym_COLON_COLON] = ACTIONS(3363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3363),
    [anon_sym___declspec] = ACTIONS(3361),
    [anon_sym___based] = ACTIONS(3361),
    [anon_sym_signed] = ACTIONS(3361),
    [anon_sym_unsigned] = ACTIONS(3361),
    [anon_sym_long] = ACTIONS(3361),
    [anon_sym_short] = ACTIONS(3361),
    [anon_sym_LBRACK] = ACTIONS(3361),
    [anon_sym_static] = ACTIONS(3361),
    [anon_sym_register] = ACTIONS(3361),
    [anon_sym_inline] = ACTIONS(3361),
    [anon_sym___inline] = ACTIONS(3361),
    [anon_sym___inline__] = ACTIONS(3361),
    [anon_sym___forceinline] = ACTIONS(3361),
    [anon_sym_thread_local] = ACTIONS(3361),
    [anon_sym___thread] = ACTIONS(3361),
    [anon_sym_const] = ACTIONS(3361),
    [anon_sym_constexpr] = ACTIONS(3361),
    [anon_sym_volatile] = ACTIONS(3361),
    [anon_sym_restrict] = ACTIONS(3361),
    [anon_sym___restrict__] = ACTIONS(3361),
    [anon_sym__Atomic] = ACTIONS(3361),
    [anon_sym__Noreturn] = ACTIONS(3361),
    [anon_sym_noreturn] = ACTIONS(3361),
    [anon_sym_mutable] = ACTIONS(3361),
    [anon_sym_constinit] = ACTIONS(3361),
    [anon_sym_consteval] = ACTIONS(3361),
    [anon_sym_PROGMEM] = ACTIONS(3361),
    [aux_sym_primitive_type_token1] = ACTIONS(3361),
    [anon_sym_byte] = ACTIONS(3361),
    [anon_sym_word] = ACTIONS(3361),
    [anon_sym_enum] = ACTIONS(3361),
    [anon_sym_class] = ACTIONS(3361),
    [anon_sym_struct] = ACTIONS(3361),
    [anon_sym_union] = ACTIONS(3361),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3361),
    [anon_sym_decltype] = ACTIONS(3361),
    [anon_sym_virtual] = ACTIONS(3361),
    [anon_sym_alignas] = ACTIONS(3361),
    [anon_sym_explicit] = ACTIONS(3361),
    [anon_sym_typename] = ACTIONS(3361),
    [anon_sym_template] = ACTIONS(3361),
    [anon_sym_operator] = ACTIONS(3361),
    [anon_sym_friend] = ACTIONS(3361),
    [anon_sym_public] = ACTIONS(3361),
    [anon_sym_private] = ACTIONS(3361),
    [anon_sym_protected] = ACTIONS(3361),
    [anon_sym_using] = ACTIONS(3361),
    [anon_sym_static_assert] = ACTIONS(3361),
  },
  [2380] = {
    [sym_argument_list] = STATE(2912),
    [sym_initializer_list] = STATE(2912),
    [sym_decltype_auto] = STATE(2720),
    [sym_new_declarator] = STATE(2753),
    [sym_identifier] = ACTIONS(5841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5843),
    [anon_sym_COMMA] = ACTIONS(5843),
    [anon_sym_RPAREN] = ACTIONS(5843),
    [aux_sym_preproc_if_token2] = ACTIONS(5843),
    [aux_sym_preproc_else_token1] = ACTIONS(5843),
    [aux_sym_preproc_elif_token1] = ACTIONS(5841),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5843),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5843),
    [anon_sym_LPAREN2] = ACTIONS(5791),
    [anon_sym_DASH] = ACTIONS(5841),
    [anon_sym_PLUS] = ACTIONS(5841),
    [anon_sym_STAR] = ACTIONS(5841),
    [anon_sym_SLASH] = ACTIONS(5841),
    [anon_sym_PERCENT] = ACTIONS(5841),
    [anon_sym_PIPE_PIPE] = ACTIONS(5843),
    [anon_sym_AMP_AMP] = ACTIONS(5843),
    [anon_sym_PIPE] = ACTIONS(5841),
    [anon_sym_CARET] = ACTIONS(5841),
    [anon_sym_AMP] = ACTIONS(5841),
    [anon_sym_EQ_EQ] = ACTIONS(5843),
    [anon_sym_BANG_EQ] = ACTIONS(5843),
    [anon_sym_GT] = ACTIONS(5841),
    [anon_sym_GT_EQ] = ACTIONS(5843),
    [anon_sym_LT_EQ] = ACTIONS(5841),
    [anon_sym_LT] = ACTIONS(5841),
    [anon_sym_LT_LT] = ACTIONS(5841),
    [anon_sym_GT_GT] = ACTIONS(5841),
    [anon_sym_SEMI] = ACTIONS(5843),
    [anon_sym___attribute__] = ACTIONS(5841),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_RBRACE] = ACTIONS(5843),
    [anon_sym_LBRACK] = ACTIONS(5793),
    [anon_sym_RBRACK] = ACTIONS(5843),
    [anon_sym_EQ] = ACTIONS(5841),
    [anon_sym_COLON] = ACTIONS(5843),
    [anon_sym_QMARK] = ACTIONS(5843),
    [anon_sym_STAR_EQ] = ACTIONS(5843),
    [anon_sym_SLASH_EQ] = ACTIONS(5843),
    [anon_sym_PERCENT_EQ] = ACTIONS(5843),
    [anon_sym_PLUS_EQ] = ACTIONS(5843),
    [anon_sym_DASH_EQ] = ACTIONS(5843),
    [anon_sym_LT_LT_EQ] = ACTIONS(5843),
    [anon_sym_GT_GT_EQ] = ACTIONS(5843),
    [anon_sym_AMP_EQ] = ACTIONS(5843),
    [anon_sym_CARET_EQ] = ACTIONS(5843),
    [anon_sym_PIPE_EQ] = ACTIONS(5843),
    [anon_sym_and_eq] = ACTIONS(5841),
    [anon_sym_or_eq] = ACTIONS(5841),
    [anon_sym_xor_eq] = ACTIONS(5841),
    [anon_sym_LT_EQ_GT] = ACTIONS(5843),
    [anon_sym_or] = ACTIONS(5841),
    [anon_sym_and] = ACTIONS(5841),
    [anon_sym_bitor] = ACTIONS(5841),
    [anon_sym_xor] = ACTIONS(5841),
    [anon_sym_bitand] = ACTIONS(5841),
    [anon_sym_not_eq] = ACTIONS(5841),
    [anon_sym_DASH_DASH] = ACTIONS(5843),
    [anon_sym_PLUS_PLUS] = ACTIONS(5843),
    [anon_sym_DOT] = ACTIONS(5841),
    [anon_sym_DOT_STAR] = ACTIONS(5843),
    [anon_sym_DASH_GT] = ACTIONS(5843),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5795),
    [anon_sym_decltype] = ACTIONS(5797),
  },
  [2381] = {
    [sym_identifier] = ACTIONS(5593),
    [aux_sym_preproc_def_token1] = ACTIONS(5593),
    [aux_sym_preproc_if_token1] = ACTIONS(5593),
    [aux_sym_preproc_if_token2] = ACTIONS(5593),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5593),
    [aux_sym_preproc_else_token1] = ACTIONS(5593),
    [aux_sym_preproc_elif_token1] = ACTIONS(5593),
    [sym_preproc_directive] = ACTIONS(5593),
    [anon_sym_LPAREN2] = ACTIONS(5595),
    [anon_sym_TILDE] = ACTIONS(5595),
    [anon_sym_STAR] = ACTIONS(5595),
    [anon_sym_AMP_AMP] = ACTIONS(5595),
    [anon_sym_AMP] = ACTIONS(5593),
    [anon_sym___extension__] = ACTIONS(5593),
    [anon_sym_typedef] = ACTIONS(5593),
    [anon_sym_extern] = ACTIONS(5593),
    [anon_sym___attribute__] = ACTIONS(5593),
    [anon_sym_COLON_COLON] = ACTIONS(5595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5595),
    [anon_sym___declspec] = ACTIONS(5593),
    [anon_sym___based] = ACTIONS(5593),
    [anon_sym_signed] = ACTIONS(5593),
    [anon_sym_unsigned] = ACTIONS(5593),
    [anon_sym_long] = ACTIONS(5593),
    [anon_sym_short] = ACTIONS(5593),
    [anon_sym_LBRACK] = ACTIONS(5593),
    [anon_sym_static] = ACTIONS(5593),
    [anon_sym_register] = ACTIONS(5593),
    [anon_sym_inline] = ACTIONS(5593),
    [anon_sym___inline] = ACTIONS(5593),
    [anon_sym___inline__] = ACTIONS(5593),
    [anon_sym___forceinline] = ACTIONS(5593),
    [anon_sym_thread_local] = ACTIONS(5593),
    [anon_sym___thread] = ACTIONS(5593),
    [anon_sym_const] = ACTIONS(5593),
    [anon_sym_constexpr] = ACTIONS(5593),
    [anon_sym_volatile] = ACTIONS(5593),
    [anon_sym_restrict] = ACTIONS(5593),
    [anon_sym___restrict__] = ACTIONS(5593),
    [anon_sym__Atomic] = ACTIONS(5593),
    [anon_sym__Noreturn] = ACTIONS(5593),
    [anon_sym_noreturn] = ACTIONS(5593),
    [anon_sym_mutable] = ACTIONS(5593),
    [anon_sym_constinit] = ACTIONS(5593),
    [anon_sym_consteval] = ACTIONS(5593),
    [anon_sym_PROGMEM] = ACTIONS(5593),
    [aux_sym_primitive_type_token1] = ACTIONS(5593),
    [anon_sym_byte] = ACTIONS(5593),
    [anon_sym_word] = ACTIONS(5593),
    [anon_sym_enum] = ACTIONS(5593),
    [anon_sym_class] = ACTIONS(5593),
    [anon_sym_struct] = ACTIONS(5593),
    [anon_sym_union] = ACTIONS(5593),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5593),
    [anon_sym_decltype] = ACTIONS(5593),
    [anon_sym_virtual] = ACTIONS(5593),
    [anon_sym_alignas] = ACTIONS(5593),
    [anon_sym_explicit] = ACTIONS(5593),
    [anon_sym_typename] = ACTIONS(5593),
    [anon_sym_template] = ACTIONS(5593),
    [anon_sym_operator] = ACTIONS(5593),
    [anon_sym_friend] = ACTIONS(5593),
    [anon_sym_public] = ACTIONS(5593),
    [anon_sym_private] = ACTIONS(5593),
    [anon_sym_protected] = ACTIONS(5593),
    [anon_sym_using] = ACTIONS(5593),
    [anon_sym_static_assert] = ACTIONS(5593),
  },
  [2382] = {
    [sym_identifier] = ACTIONS(5493),
    [aux_sym_preproc_def_token1] = ACTIONS(5493),
    [aux_sym_preproc_if_token1] = ACTIONS(5493),
    [aux_sym_preproc_if_token2] = ACTIONS(5493),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5493),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5493),
    [aux_sym_preproc_else_token1] = ACTIONS(5493),
    [aux_sym_preproc_elif_token1] = ACTIONS(5493),
    [sym_preproc_directive] = ACTIONS(5493),
    [anon_sym_LPAREN2] = ACTIONS(5495),
    [anon_sym_TILDE] = ACTIONS(5495),
    [anon_sym_STAR] = ACTIONS(5495),
    [anon_sym_AMP_AMP] = ACTIONS(5495),
    [anon_sym_AMP] = ACTIONS(5493),
    [anon_sym___extension__] = ACTIONS(5493),
    [anon_sym_typedef] = ACTIONS(5493),
    [anon_sym_extern] = ACTIONS(5493),
    [anon_sym___attribute__] = ACTIONS(5493),
    [anon_sym_COLON_COLON] = ACTIONS(5495),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5495),
    [anon_sym___declspec] = ACTIONS(5493),
    [anon_sym___based] = ACTIONS(5493),
    [anon_sym_signed] = ACTIONS(5493),
    [anon_sym_unsigned] = ACTIONS(5493),
    [anon_sym_long] = ACTIONS(5493),
    [anon_sym_short] = ACTIONS(5493),
    [anon_sym_LBRACK] = ACTIONS(5493),
    [anon_sym_static] = ACTIONS(5493),
    [anon_sym_register] = ACTIONS(5493),
    [anon_sym_inline] = ACTIONS(5493),
    [anon_sym___inline] = ACTIONS(5493),
    [anon_sym___inline__] = ACTIONS(5493),
    [anon_sym___forceinline] = ACTIONS(5493),
    [anon_sym_thread_local] = ACTIONS(5493),
    [anon_sym___thread] = ACTIONS(5493),
    [anon_sym_const] = ACTIONS(5493),
    [anon_sym_constexpr] = ACTIONS(5493),
    [anon_sym_volatile] = ACTIONS(5493),
    [anon_sym_restrict] = ACTIONS(5493),
    [anon_sym___restrict__] = ACTIONS(5493),
    [anon_sym__Atomic] = ACTIONS(5493),
    [anon_sym__Noreturn] = ACTIONS(5493),
    [anon_sym_noreturn] = ACTIONS(5493),
    [anon_sym_mutable] = ACTIONS(5493),
    [anon_sym_constinit] = ACTIONS(5493),
    [anon_sym_consteval] = ACTIONS(5493),
    [anon_sym_PROGMEM] = ACTIONS(5493),
    [aux_sym_primitive_type_token1] = ACTIONS(5493),
    [anon_sym_byte] = ACTIONS(5493),
    [anon_sym_word] = ACTIONS(5493),
    [anon_sym_enum] = ACTIONS(5493),
    [anon_sym_class] = ACTIONS(5493),
    [anon_sym_struct] = ACTIONS(5493),
    [anon_sym_union] = ACTIONS(5493),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5493),
    [anon_sym_decltype] = ACTIONS(5493),
    [anon_sym_virtual] = ACTIONS(5493),
    [anon_sym_alignas] = ACTIONS(5493),
    [anon_sym_explicit] = ACTIONS(5493),
    [anon_sym_typename] = ACTIONS(5493),
    [anon_sym_template] = ACTIONS(5493),
    [anon_sym_operator] = ACTIONS(5493),
    [anon_sym_friend] = ACTIONS(5493),
    [anon_sym_public] = ACTIONS(5493),
    [anon_sym_private] = ACTIONS(5493),
    [anon_sym_protected] = ACTIONS(5493),
    [anon_sym_using] = ACTIONS(5493),
    [anon_sym_static_assert] = ACTIONS(5493),
  },
  [2383] = {
    [sym_identifier] = ACTIONS(3316),
    [aux_sym_preproc_def_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token2] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3316),
    [aux_sym_preproc_else_token1] = ACTIONS(3316),
    [aux_sym_preproc_elif_token1] = ACTIONS(3316),
    [sym_preproc_directive] = ACTIONS(3316),
    [anon_sym_LPAREN2] = ACTIONS(3318),
    [anon_sym_TILDE] = ACTIONS(3318),
    [anon_sym_STAR] = ACTIONS(3318),
    [anon_sym_AMP_AMP] = ACTIONS(3318),
    [anon_sym_AMP] = ACTIONS(3316),
    [anon_sym___extension__] = ACTIONS(3316),
    [anon_sym_typedef] = ACTIONS(3316),
    [anon_sym_extern] = ACTIONS(3316),
    [anon_sym___attribute__] = ACTIONS(3316),
    [anon_sym_COLON_COLON] = ACTIONS(3318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3318),
    [anon_sym___declspec] = ACTIONS(3316),
    [anon_sym___based] = ACTIONS(3316),
    [anon_sym_signed] = ACTIONS(3316),
    [anon_sym_unsigned] = ACTIONS(3316),
    [anon_sym_long] = ACTIONS(3316),
    [anon_sym_short] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_register] = ACTIONS(3316),
    [anon_sym_inline] = ACTIONS(3316),
    [anon_sym___inline] = ACTIONS(3316),
    [anon_sym___inline__] = ACTIONS(3316),
    [anon_sym___forceinline] = ACTIONS(3316),
    [anon_sym_thread_local] = ACTIONS(3316),
    [anon_sym___thread] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_constexpr] = ACTIONS(3316),
    [anon_sym_volatile] = ACTIONS(3316),
    [anon_sym_restrict] = ACTIONS(3316),
    [anon_sym___restrict__] = ACTIONS(3316),
    [anon_sym__Atomic] = ACTIONS(3316),
    [anon_sym__Noreturn] = ACTIONS(3316),
    [anon_sym_noreturn] = ACTIONS(3316),
    [anon_sym_mutable] = ACTIONS(3316),
    [anon_sym_constinit] = ACTIONS(3316),
    [anon_sym_consteval] = ACTIONS(3316),
    [anon_sym_PROGMEM] = ACTIONS(3316),
    [aux_sym_primitive_type_token1] = ACTIONS(3316),
    [anon_sym_byte] = ACTIONS(3316),
    [anon_sym_word] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_struct] = ACTIONS(3316),
    [anon_sym_union] = ACTIONS(3316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3316),
    [anon_sym_decltype] = ACTIONS(3316),
    [anon_sym_virtual] = ACTIONS(3316),
    [anon_sym_alignas] = ACTIONS(3316),
    [anon_sym_explicit] = ACTIONS(3316),
    [anon_sym_typename] = ACTIONS(3316),
    [anon_sym_template] = ACTIONS(3316),
    [anon_sym_operator] = ACTIONS(3316),
    [anon_sym_friend] = ACTIONS(3316),
    [anon_sym_public] = ACTIONS(3316),
    [anon_sym_private] = ACTIONS(3316),
    [anon_sym_protected] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_static_assert] = ACTIONS(3316),
  },
  [2384] = {
    [sym_identifier] = ACTIONS(5497),
    [aux_sym_preproc_def_token1] = ACTIONS(5497),
    [aux_sym_preproc_if_token1] = ACTIONS(5497),
    [aux_sym_preproc_if_token2] = ACTIONS(5497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5497),
    [aux_sym_preproc_else_token1] = ACTIONS(5497),
    [aux_sym_preproc_elif_token1] = ACTIONS(5497),
    [sym_preproc_directive] = ACTIONS(5497),
    [anon_sym_LPAREN2] = ACTIONS(5499),
    [anon_sym_TILDE] = ACTIONS(5499),
    [anon_sym_STAR] = ACTIONS(5499),
    [anon_sym_AMP_AMP] = ACTIONS(5499),
    [anon_sym_AMP] = ACTIONS(5497),
    [anon_sym___extension__] = ACTIONS(5497),
    [anon_sym_typedef] = ACTIONS(5497),
    [anon_sym_extern] = ACTIONS(5497),
    [anon_sym___attribute__] = ACTIONS(5497),
    [anon_sym_COLON_COLON] = ACTIONS(5499),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5499),
    [anon_sym___declspec] = ACTIONS(5497),
    [anon_sym___based] = ACTIONS(5497),
    [anon_sym_signed] = ACTIONS(5497),
    [anon_sym_unsigned] = ACTIONS(5497),
    [anon_sym_long] = ACTIONS(5497),
    [anon_sym_short] = ACTIONS(5497),
    [anon_sym_LBRACK] = ACTIONS(5497),
    [anon_sym_static] = ACTIONS(5497),
    [anon_sym_register] = ACTIONS(5497),
    [anon_sym_inline] = ACTIONS(5497),
    [anon_sym___inline] = ACTIONS(5497),
    [anon_sym___inline__] = ACTIONS(5497),
    [anon_sym___forceinline] = ACTIONS(5497),
    [anon_sym_thread_local] = ACTIONS(5497),
    [anon_sym___thread] = ACTIONS(5497),
    [anon_sym_const] = ACTIONS(5497),
    [anon_sym_constexpr] = ACTIONS(5497),
    [anon_sym_volatile] = ACTIONS(5497),
    [anon_sym_restrict] = ACTIONS(5497),
    [anon_sym___restrict__] = ACTIONS(5497),
    [anon_sym__Atomic] = ACTIONS(5497),
    [anon_sym__Noreturn] = ACTIONS(5497),
    [anon_sym_noreturn] = ACTIONS(5497),
    [anon_sym_mutable] = ACTIONS(5497),
    [anon_sym_constinit] = ACTIONS(5497),
    [anon_sym_consteval] = ACTIONS(5497),
    [anon_sym_PROGMEM] = ACTIONS(5497),
    [aux_sym_primitive_type_token1] = ACTIONS(5497),
    [anon_sym_byte] = ACTIONS(5497),
    [anon_sym_word] = ACTIONS(5497),
    [anon_sym_enum] = ACTIONS(5497),
    [anon_sym_class] = ACTIONS(5497),
    [anon_sym_struct] = ACTIONS(5497),
    [anon_sym_union] = ACTIONS(5497),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5497),
    [anon_sym_decltype] = ACTIONS(5497),
    [anon_sym_virtual] = ACTIONS(5497),
    [anon_sym_alignas] = ACTIONS(5497),
    [anon_sym_explicit] = ACTIONS(5497),
    [anon_sym_typename] = ACTIONS(5497),
    [anon_sym_template] = ACTIONS(5497),
    [anon_sym_operator] = ACTIONS(5497),
    [anon_sym_friend] = ACTIONS(5497),
    [anon_sym_public] = ACTIONS(5497),
    [anon_sym_private] = ACTIONS(5497),
    [anon_sym_protected] = ACTIONS(5497),
    [anon_sym_using] = ACTIONS(5497),
    [anon_sym_static_assert] = ACTIONS(5497),
  },
  [2385] = {
    [sym_identifier] = ACTIONS(5493),
    [aux_sym_preproc_def_token1] = ACTIONS(5493),
    [aux_sym_preproc_if_token1] = ACTIONS(5493),
    [aux_sym_preproc_if_token2] = ACTIONS(5493),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5493),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5493),
    [aux_sym_preproc_else_token1] = ACTIONS(5493),
    [aux_sym_preproc_elif_token1] = ACTIONS(5493),
    [sym_preproc_directive] = ACTIONS(5493),
    [anon_sym_LPAREN2] = ACTIONS(5495),
    [anon_sym_TILDE] = ACTIONS(5495),
    [anon_sym_STAR] = ACTIONS(5495),
    [anon_sym_AMP_AMP] = ACTIONS(5495),
    [anon_sym_AMP] = ACTIONS(5493),
    [anon_sym___extension__] = ACTIONS(5493),
    [anon_sym_typedef] = ACTIONS(5493),
    [anon_sym_extern] = ACTIONS(5493),
    [anon_sym___attribute__] = ACTIONS(5493),
    [anon_sym_COLON_COLON] = ACTIONS(5495),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5495),
    [anon_sym___declspec] = ACTIONS(5493),
    [anon_sym___based] = ACTIONS(5493),
    [anon_sym_signed] = ACTIONS(5493),
    [anon_sym_unsigned] = ACTIONS(5493),
    [anon_sym_long] = ACTIONS(5493),
    [anon_sym_short] = ACTIONS(5493),
    [anon_sym_LBRACK] = ACTIONS(5493),
    [anon_sym_static] = ACTIONS(5493),
    [anon_sym_register] = ACTIONS(5493),
    [anon_sym_inline] = ACTIONS(5493),
    [anon_sym___inline] = ACTIONS(5493),
    [anon_sym___inline__] = ACTIONS(5493),
    [anon_sym___forceinline] = ACTIONS(5493),
    [anon_sym_thread_local] = ACTIONS(5493),
    [anon_sym___thread] = ACTIONS(5493),
    [anon_sym_const] = ACTIONS(5493),
    [anon_sym_constexpr] = ACTIONS(5493),
    [anon_sym_volatile] = ACTIONS(5493),
    [anon_sym_restrict] = ACTIONS(5493),
    [anon_sym___restrict__] = ACTIONS(5493),
    [anon_sym__Atomic] = ACTIONS(5493),
    [anon_sym__Noreturn] = ACTIONS(5493),
    [anon_sym_noreturn] = ACTIONS(5493),
    [anon_sym_mutable] = ACTIONS(5493),
    [anon_sym_constinit] = ACTIONS(5493),
    [anon_sym_consteval] = ACTIONS(5493),
    [anon_sym_PROGMEM] = ACTIONS(5493),
    [aux_sym_primitive_type_token1] = ACTIONS(5493),
    [anon_sym_byte] = ACTIONS(5493),
    [anon_sym_word] = ACTIONS(5493),
    [anon_sym_enum] = ACTIONS(5493),
    [anon_sym_class] = ACTIONS(5493),
    [anon_sym_struct] = ACTIONS(5493),
    [anon_sym_union] = ACTIONS(5493),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5493),
    [anon_sym_decltype] = ACTIONS(5493),
    [anon_sym_virtual] = ACTIONS(5493),
    [anon_sym_alignas] = ACTIONS(5493),
    [anon_sym_explicit] = ACTIONS(5493),
    [anon_sym_typename] = ACTIONS(5493),
    [anon_sym_template] = ACTIONS(5493),
    [anon_sym_operator] = ACTIONS(5493),
    [anon_sym_friend] = ACTIONS(5493),
    [anon_sym_public] = ACTIONS(5493),
    [anon_sym_private] = ACTIONS(5493),
    [anon_sym_protected] = ACTIONS(5493),
    [anon_sym_using] = ACTIONS(5493),
    [anon_sym_static_assert] = ACTIONS(5493),
  },
  [2386] = {
    [sym_template_argument_list] = STATE(2408),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5109),
    [anon_sym_COMMA] = ACTIONS(5109),
    [anon_sym_LPAREN2] = ACTIONS(5109),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_STAR] = ACTIONS(5116),
    [anon_sym_SLASH] = ACTIONS(5114),
    [anon_sym_PERCENT] = ACTIONS(5114),
    [anon_sym_PIPE_PIPE] = ACTIONS(5107),
    [anon_sym_AMP_AMP] = ACTIONS(5109),
    [anon_sym_PIPE] = ACTIONS(5114),
    [anon_sym_CARET] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(5116),
    [anon_sym_EQ_EQ] = ACTIONS(5107),
    [anon_sym_BANG_EQ] = ACTIONS(5107),
    [anon_sym_GT] = ACTIONS(5114),
    [anon_sym_GT_EQ] = ACTIONS(5114),
    [anon_sym_LT_EQ] = ACTIONS(5114),
    [anon_sym_LT] = ACTIONS(5845),
    [anon_sym_LT_LT] = ACTIONS(5114),
    [anon_sym_GT_GT] = ACTIONS(5114),
    [anon_sym___extension__] = ACTIONS(5112),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(5112),
    [anon_sym_LBRACK] = ACTIONS(5109),
    [anon_sym_EQ] = ACTIONS(5114),
    [anon_sym_const] = ACTIONS(5105),
    [anon_sym_constexpr] = ACTIONS(5112),
    [anon_sym_volatile] = ACTIONS(5112),
    [anon_sym_restrict] = ACTIONS(5112),
    [anon_sym___restrict__] = ACTIONS(5112),
    [anon_sym__Atomic] = ACTIONS(5112),
    [anon_sym__Noreturn] = ACTIONS(5112),
    [anon_sym_noreturn] = ACTIONS(5112),
    [anon_sym_mutable] = ACTIONS(5112),
    [anon_sym_constinit] = ACTIONS(5112),
    [anon_sym_consteval] = ACTIONS(5112),
    [anon_sym_PROGMEM] = ACTIONS(5112),
    [anon_sym_QMARK] = ACTIONS(5107),
    [anon_sym_STAR_EQ] = ACTIONS(5107),
    [anon_sym_SLASH_EQ] = ACTIONS(5107),
    [anon_sym_PERCENT_EQ] = ACTIONS(5107),
    [anon_sym_PLUS_EQ] = ACTIONS(5107),
    [anon_sym_DASH_EQ] = ACTIONS(5107),
    [anon_sym_LT_LT_EQ] = ACTIONS(5107),
    [anon_sym_GT_GT_EQ] = ACTIONS(5114),
    [anon_sym_AMP_EQ] = ACTIONS(5107),
    [anon_sym_CARET_EQ] = ACTIONS(5107),
    [anon_sym_PIPE_EQ] = ACTIONS(5107),
    [anon_sym_and_eq] = ACTIONS(5107),
    [anon_sym_or_eq] = ACTIONS(5107),
    [anon_sym_xor_eq] = ACTIONS(5107),
    [anon_sym_LT_EQ_GT] = ACTIONS(5107),
    [anon_sym_or] = ACTIONS(5114),
    [anon_sym_and] = ACTIONS(5114),
    [anon_sym_bitor] = ACTIONS(5107),
    [anon_sym_xor] = ACTIONS(5114),
    [anon_sym_bitand] = ACTIONS(5107),
    [anon_sym_not_eq] = ACTIONS(5107),
    [anon_sym_DASH_DASH] = ACTIONS(5107),
    [anon_sym_PLUS_PLUS] = ACTIONS(5107),
    [anon_sym_DOT] = ACTIONS(5114),
    [anon_sym_DOT_STAR] = ACTIONS(5107),
    [anon_sym_DASH_GT] = ACTIONS(5107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5112),
    [anon_sym_decltype] = ACTIONS(5112),
    [anon_sym_GT2] = ACTIONS(5109),
  },
  [2387] = {
    [sym_identifier] = ACTIONS(3447),
    [aux_sym_preproc_def_token1] = ACTIONS(3447),
    [aux_sym_preproc_if_token1] = ACTIONS(3447),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3447),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3447),
    [sym_preproc_directive] = ACTIONS(3447),
    [anon_sym_LPAREN2] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_STAR] = ACTIONS(3449),
    [anon_sym_AMP_AMP] = ACTIONS(3449),
    [anon_sym_AMP] = ACTIONS(3447),
    [anon_sym_SEMI] = ACTIONS(5848),
    [anon_sym___extension__] = ACTIONS(3447),
    [anon_sym_typedef] = ACTIONS(3447),
    [anon_sym_extern] = ACTIONS(3447),
    [anon_sym___attribute__] = ACTIONS(3447),
    [anon_sym_COLON_COLON] = ACTIONS(3449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3449),
    [anon_sym___declspec] = ACTIONS(3447),
    [anon_sym___based] = ACTIONS(3447),
    [anon_sym_RBRACE] = ACTIONS(3449),
    [anon_sym_signed] = ACTIONS(3447),
    [anon_sym_unsigned] = ACTIONS(3447),
    [anon_sym_long] = ACTIONS(3447),
    [anon_sym_short] = ACTIONS(3447),
    [anon_sym_LBRACK] = ACTIONS(3447),
    [anon_sym_static] = ACTIONS(3447),
    [anon_sym_register] = ACTIONS(3447),
    [anon_sym_inline] = ACTIONS(3447),
    [anon_sym___inline] = ACTIONS(3447),
    [anon_sym___inline__] = ACTIONS(3447),
    [anon_sym___forceinline] = ACTIONS(3447),
    [anon_sym_thread_local] = ACTIONS(3447),
    [anon_sym___thread] = ACTIONS(3447),
    [anon_sym_const] = ACTIONS(3447),
    [anon_sym_constexpr] = ACTIONS(3447),
    [anon_sym_volatile] = ACTIONS(3447),
    [anon_sym_restrict] = ACTIONS(3447),
    [anon_sym___restrict__] = ACTIONS(3447),
    [anon_sym__Atomic] = ACTIONS(3447),
    [anon_sym__Noreturn] = ACTIONS(3447),
    [anon_sym_noreturn] = ACTIONS(3447),
    [anon_sym_mutable] = ACTIONS(3447),
    [anon_sym_constinit] = ACTIONS(3447),
    [anon_sym_consteval] = ACTIONS(3447),
    [anon_sym_PROGMEM] = ACTIONS(3447),
    [aux_sym_primitive_type_token1] = ACTIONS(3447),
    [anon_sym_byte] = ACTIONS(3447),
    [anon_sym_word] = ACTIONS(3447),
    [anon_sym_enum] = ACTIONS(3447),
    [anon_sym_class] = ACTIONS(3447),
    [anon_sym_struct] = ACTIONS(3447),
    [anon_sym_union] = ACTIONS(3447),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3447),
    [anon_sym_decltype] = ACTIONS(3447),
    [anon_sym_virtual] = ACTIONS(3447),
    [anon_sym_alignas] = ACTIONS(3447),
    [anon_sym_explicit] = ACTIONS(3447),
    [anon_sym_typename] = ACTIONS(3447),
    [anon_sym_template] = ACTIONS(3447),
    [anon_sym_operator] = ACTIONS(3447),
    [anon_sym_friend] = ACTIONS(3447),
    [anon_sym_public] = ACTIONS(3447),
    [anon_sym_private] = ACTIONS(3447),
    [anon_sym_protected] = ACTIONS(3447),
    [anon_sym_using] = ACTIONS(3447),
    [anon_sym_static_assert] = ACTIONS(3447),
  },
  [2388] = {
    [sym_identifier] = ACTIONS(5141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5143),
    [anon_sym_COMMA] = ACTIONS(5143),
    [anon_sym_RPAREN] = ACTIONS(5143),
    [aux_sym_preproc_if_token2] = ACTIONS(5143),
    [aux_sym_preproc_else_token1] = ACTIONS(5143),
    [aux_sym_preproc_elif_token1] = ACTIONS(5141),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5143),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5143),
    [anon_sym_LPAREN2] = ACTIONS(5143),
    [anon_sym_DASH] = ACTIONS(5141),
    [anon_sym_PLUS] = ACTIONS(5141),
    [anon_sym_STAR] = ACTIONS(5141),
    [anon_sym_SLASH] = ACTIONS(5141),
    [anon_sym_PERCENT] = ACTIONS(5141),
    [anon_sym_PIPE_PIPE] = ACTIONS(5143),
    [anon_sym_AMP_AMP] = ACTIONS(5143),
    [anon_sym_PIPE] = ACTIONS(5141),
    [anon_sym_CARET] = ACTIONS(5141),
    [anon_sym_AMP] = ACTIONS(5141),
    [anon_sym_EQ_EQ] = ACTIONS(5143),
    [anon_sym_BANG_EQ] = ACTIONS(5143),
    [anon_sym_GT] = ACTIONS(5141),
    [anon_sym_GT_EQ] = ACTIONS(5143),
    [anon_sym_LT_EQ] = ACTIONS(5141),
    [anon_sym_LT] = ACTIONS(5141),
    [anon_sym_LT_LT] = ACTIONS(5141),
    [anon_sym_GT_GT] = ACTIONS(5141),
    [anon_sym_SEMI] = ACTIONS(5143),
    [anon_sym___attribute__] = ACTIONS(5141),
    [anon_sym_COLON_COLON] = ACTIONS(5143),
    [anon_sym_LBRACE] = ACTIONS(5143),
    [anon_sym_RBRACE] = ACTIONS(5143),
    [anon_sym_LBRACK] = ACTIONS(5143),
    [anon_sym_RBRACK] = ACTIONS(5143),
    [anon_sym_EQ] = ACTIONS(5141),
    [anon_sym_COLON] = ACTIONS(5141),
    [anon_sym_QMARK] = ACTIONS(5143),
    [anon_sym_STAR_EQ] = ACTIONS(5143),
    [anon_sym_SLASH_EQ] = ACTIONS(5143),
    [anon_sym_PERCENT_EQ] = ACTIONS(5143),
    [anon_sym_PLUS_EQ] = ACTIONS(5143),
    [anon_sym_DASH_EQ] = ACTIONS(5143),
    [anon_sym_LT_LT_EQ] = ACTIONS(5143),
    [anon_sym_GT_GT_EQ] = ACTIONS(5143),
    [anon_sym_AMP_EQ] = ACTIONS(5143),
    [anon_sym_CARET_EQ] = ACTIONS(5143),
    [anon_sym_PIPE_EQ] = ACTIONS(5143),
    [anon_sym_and_eq] = ACTIONS(5141),
    [anon_sym_or_eq] = ACTIONS(5141),
    [anon_sym_xor_eq] = ACTIONS(5141),
    [anon_sym_LT_EQ_GT] = ACTIONS(5143),
    [anon_sym_or] = ACTIONS(5141),
    [anon_sym_and] = ACTIONS(5141),
    [anon_sym_bitor] = ACTIONS(5141),
    [anon_sym_xor] = ACTIONS(5141),
    [anon_sym_bitand] = ACTIONS(5141),
    [anon_sym_not_eq] = ACTIONS(5141),
    [anon_sym_DASH_DASH] = ACTIONS(5143),
    [anon_sym_PLUS_PLUS] = ACTIONS(5143),
    [anon_sym_DOT] = ACTIONS(5141),
    [anon_sym_DOT_STAR] = ACTIONS(5143),
    [anon_sym_DASH_GT] = ACTIONS(5143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5141),
    [anon_sym_decltype] = ACTIONS(5141),
    [anon_sym_final] = ACTIONS(5141),
    [anon_sym_override] = ACTIONS(5141),
  },
  [2389] = {
    [sym_identifier] = ACTIONS(3373),
    [aux_sym_preproc_def_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token2] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3373),
    [sym_preproc_directive] = ACTIONS(3373),
    [anon_sym_LPAREN2] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_STAR] = ACTIONS(3375),
    [anon_sym_AMP_AMP] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(5850),
    [anon_sym___extension__] = ACTIONS(3373),
    [anon_sym_typedef] = ACTIONS(3373),
    [anon_sym_extern] = ACTIONS(3373),
    [anon_sym___attribute__] = ACTIONS(3373),
    [anon_sym_COLON_COLON] = ACTIONS(3375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3375),
    [anon_sym___declspec] = ACTIONS(3373),
    [anon_sym___based] = ACTIONS(3373),
    [anon_sym_signed] = ACTIONS(3373),
    [anon_sym_unsigned] = ACTIONS(3373),
    [anon_sym_long] = ACTIONS(3373),
    [anon_sym_short] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_register] = ACTIONS(3373),
    [anon_sym_inline] = ACTIONS(3373),
    [anon_sym___inline] = ACTIONS(3373),
    [anon_sym___inline__] = ACTIONS(3373),
    [anon_sym___forceinline] = ACTIONS(3373),
    [anon_sym_thread_local] = ACTIONS(3373),
    [anon_sym___thread] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_constexpr] = ACTIONS(3373),
    [anon_sym_volatile] = ACTIONS(3373),
    [anon_sym_restrict] = ACTIONS(3373),
    [anon_sym___restrict__] = ACTIONS(3373),
    [anon_sym__Atomic] = ACTIONS(3373),
    [anon_sym__Noreturn] = ACTIONS(3373),
    [anon_sym_noreturn] = ACTIONS(3373),
    [anon_sym_mutable] = ACTIONS(3373),
    [anon_sym_constinit] = ACTIONS(3373),
    [anon_sym_consteval] = ACTIONS(3373),
    [anon_sym_PROGMEM] = ACTIONS(3373),
    [aux_sym_primitive_type_token1] = ACTIONS(3373),
    [anon_sym_byte] = ACTIONS(3373),
    [anon_sym_word] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_struct] = ACTIONS(3373),
    [anon_sym_union] = ACTIONS(3373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3373),
    [anon_sym_decltype] = ACTIONS(3373),
    [anon_sym_virtual] = ACTIONS(3373),
    [anon_sym_alignas] = ACTIONS(3373),
    [anon_sym_explicit] = ACTIONS(3373),
    [anon_sym_typename] = ACTIONS(3373),
    [anon_sym_template] = ACTIONS(3373),
    [anon_sym_operator] = ACTIONS(3373),
    [anon_sym_friend] = ACTIONS(3373),
    [anon_sym_public] = ACTIONS(3373),
    [anon_sym_private] = ACTIONS(3373),
    [anon_sym_protected] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_static_assert] = ACTIONS(3373),
  },
  [2390] = {
    [sym_identifier] = ACTIONS(3447),
    [aux_sym_preproc_def_token1] = ACTIONS(3447),
    [aux_sym_preproc_if_token1] = ACTIONS(3447),
    [aux_sym_preproc_if_token2] = ACTIONS(3447),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3447),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3447),
    [sym_preproc_directive] = ACTIONS(3447),
    [anon_sym_LPAREN2] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_STAR] = ACTIONS(3449),
    [anon_sym_AMP_AMP] = ACTIONS(3449),
    [anon_sym_AMP] = ACTIONS(3447),
    [anon_sym_SEMI] = ACTIONS(5852),
    [anon_sym___extension__] = ACTIONS(3447),
    [anon_sym_typedef] = ACTIONS(3447),
    [anon_sym_extern] = ACTIONS(3447),
    [anon_sym___attribute__] = ACTIONS(3447),
    [anon_sym_COLON_COLON] = ACTIONS(3449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3449),
    [anon_sym___declspec] = ACTIONS(3447),
    [anon_sym___based] = ACTIONS(3447),
    [anon_sym_signed] = ACTIONS(3447),
    [anon_sym_unsigned] = ACTIONS(3447),
    [anon_sym_long] = ACTIONS(3447),
    [anon_sym_short] = ACTIONS(3447),
    [anon_sym_LBRACK] = ACTIONS(3447),
    [anon_sym_static] = ACTIONS(3447),
    [anon_sym_register] = ACTIONS(3447),
    [anon_sym_inline] = ACTIONS(3447),
    [anon_sym___inline] = ACTIONS(3447),
    [anon_sym___inline__] = ACTIONS(3447),
    [anon_sym___forceinline] = ACTIONS(3447),
    [anon_sym_thread_local] = ACTIONS(3447),
    [anon_sym___thread] = ACTIONS(3447),
    [anon_sym_const] = ACTIONS(3447),
    [anon_sym_constexpr] = ACTIONS(3447),
    [anon_sym_volatile] = ACTIONS(3447),
    [anon_sym_restrict] = ACTIONS(3447),
    [anon_sym___restrict__] = ACTIONS(3447),
    [anon_sym__Atomic] = ACTIONS(3447),
    [anon_sym__Noreturn] = ACTIONS(3447),
    [anon_sym_noreturn] = ACTIONS(3447),
    [anon_sym_mutable] = ACTIONS(3447),
    [anon_sym_constinit] = ACTIONS(3447),
    [anon_sym_consteval] = ACTIONS(3447),
    [anon_sym_PROGMEM] = ACTIONS(3447),
    [aux_sym_primitive_type_token1] = ACTIONS(3447),
    [anon_sym_byte] = ACTIONS(3447),
    [anon_sym_word] = ACTIONS(3447),
    [anon_sym_enum] = ACTIONS(3447),
    [anon_sym_class] = ACTIONS(3447),
    [anon_sym_struct] = ACTIONS(3447),
    [anon_sym_union] = ACTIONS(3447),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3447),
    [anon_sym_decltype] = ACTIONS(3447),
    [anon_sym_virtual] = ACTIONS(3447),
    [anon_sym_alignas] = ACTIONS(3447),
    [anon_sym_explicit] = ACTIONS(3447),
    [anon_sym_typename] = ACTIONS(3447),
    [anon_sym_template] = ACTIONS(3447),
    [anon_sym_operator] = ACTIONS(3447),
    [anon_sym_friend] = ACTIONS(3447),
    [anon_sym_public] = ACTIONS(3447),
    [anon_sym_private] = ACTIONS(3447),
    [anon_sym_protected] = ACTIONS(3447),
    [anon_sym_using] = ACTIONS(3447),
    [anon_sym_static_assert] = ACTIONS(3447),
  },
  [2391] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(4299),
    [sym_raw_string_literal] = STATE(2984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4446),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_RBRACE] = ACTIONS(4446),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(4478),
    [anon_sym_COLON] = ACTIONS(4519),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4482),
    [anon_sym_SLASH_EQ] = ACTIONS(4482),
    [anon_sym_PERCENT_EQ] = ACTIONS(4482),
    [anon_sym_PLUS_EQ] = ACTIONS(4482),
    [anon_sym_DASH_EQ] = ACTIONS(4482),
    [anon_sym_LT_LT_EQ] = ACTIONS(4482),
    [anon_sym_GT_GT_EQ] = ACTIONS(4482),
    [anon_sym_AMP_EQ] = ACTIONS(4482),
    [anon_sym_CARET_EQ] = ACTIONS(4482),
    [anon_sym_PIPE_EQ] = ACTIONS(4482),
    [anon_sym_and_eq] = ACTIONS(4482),
    [anon_sym_or_eq] = ACTIONS(4482),
    [anon_sym_xor_eq] = ACTIONS(4482),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [2392] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(4299),
    [sym_raw_string_literal] = STATE(2984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4446),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_RBRACE] = ACTIONS(4446),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(4478),
    [anon_sym_COLON] = ACTIONS(5857),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4482),
    [anon_sym_SLASH_EQ] = ACTIONS(4482),
    [anon_sym_PERCENT_EQ] = ACTIONS(4482),
    [anon_sym_PLUS_EQ] = ACTIONS(4482),
    [anon_sym_DASH_EQ] = ACTIONS(4482),
    [anon_sym_LT_LT_EQ] = ACTIONS(4482),
    [anon_sym_GT_GT_EQ] = ACTIONS(4482),
    [anon_sym_AMP_EQ] = ACTIONS(4482),
    [anon_sym_CARET_EQ] = ACTIONS(4482),
    [anon_sym_PIPE_EQ] = ACTIONS(4482),
    [anon_sym_and_eq] = ACTIONS(4482),
    [anon_sym_or_eq] = ACTIONS(4482),
    [anon_sym_xor_eq] = ACTIONS(4482),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [2393] = {
    [sym_string_literal] = STATE(2043),
    [sym_raw_string_literal] = STATE(2043),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_RPAREN] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(4454),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4446),
    [anon_sym_RBRACE] = ACTIONS(4446),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_RBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(4454),
    [anon_sym_COLON] = ACTIONS(4446),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4446),
    [anon_sym_SLASH_EQ] = ACTIONS(4446),
    [anon_sym_PERCENT_EQ] = ACTIONS(4446),
    [anon_sym_PLUS_EQ] = ACTIONS(4446),
    [anon_sym_DASH_EQ] = ACTIONS(4446),
    [anon_sym_LT_LT_EQ] = ACTIONS(4446),
    [anon_sym_GT_GT_EQ] = ACTIONS(4446),
    [anon_sym_AMP_EQ] = ACTIONS(4446),
    [anon_sym_CARET_EQ] = ACTIONS(4446),
    [anon_sym_PIPE_EQ] = ACTIONS(4446),
    [anon_sym_and_eq] = ACTIONS(4454),
    [anon_sym_or_eq] = ACTIONS(4454),
    [anon_sym_xor_eq] = ACTIONS(4454),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4454),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4454),
    [anon_sym_not_eq] = ACTIONS(4454),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [sym_literal_suffix] = ACTIONS(5802),
  },
  [2394] = {
    [sym_identifier] = ACTIONS(3405),
    [aux_sym_preproc_def_token1] = ACTIONS(3405),
    [aux_sym_preproc_if_token1] = ACTIONS(3405),
    [aux_sym_preproc_if_token2] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3405),
    [sym_preproc_directive] = ACTIONS(3405),
    [anon_sym_LPAREN2] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3407),
    [anon_sym_STAR] = ACTIONS(3407),
    [anon_sym_AMP_AMP] = ACTIONS(3407),
    [anon_sym_AMP] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(5859),
    [anon_sym___extension__] = ACTIONS(3405),
    [anon_sym_typedef] = ACTIONS(3405),
    [anon_sym_extern] = ACTIONS(3405),
    [anon_sym___attribute__] = ACTIONS(3405),
    [anon_sym_COLON_COLON] = ACTIONS(3407),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3407),
    [anon_sym___declspec] = ACTIONS(3405),
    [anon_sym___based] = ACTIONS(3405),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_register] = ACTIONS(3405),
    [anon_sym_inline] = ACTIONS(3405),
    [anon_sym___inline] = ACTIONS(3405),
    [anon_sym___inline__] = ACTIONS(3405),
    [anon_sym___forceinline] = ACTIONS(3405),
    [anon_sym_thread_local] = ACTIONS(3405),
    [anon_sym___thread] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_constexpr] = ACTIONS(3405),
    [anon_sym_volatile] = ACTIONS(3405),
    [anon_sym_restrict] = ACTIONS(3405),
    [anon_sym___restrict__] = ACTIONS(3405),
    [anon_sym__Atomic] = ACTIONS(3405),
    [anon_sym__Noreturn] = ACTIONS(3405),
    [anon_sym_noreturn] = ACTIONS(3405),
    [anon_sym_mutable] = ACTIONS(3405),
    [anon_sym_constinit] = ACTIONS(3405),
    [anon_sym_consteval] = ACTIONS(3405),
    [anon_sym_PROGMEM] = ACTIONS(3405),
    [aux_sym_primitive_type_token1] = ACTIONS(3405),
    [anon_sym_byte] = ACTIONS(3405),
    [anon_sym_word] = ACTIONS(3405),
    [anon_sym_enum] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_struct] = ACTIONS(3405),
    [anon_sym_union] = ACTIONS(3405),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3405),
    [anon_sym_decltype] = ACTIONS(3405),
    [anon_sym_virtual] = ACTIONS(3405),
    [anon_sym_alignas] = ACTIONS(3405),
    [anon_sym_explicit] = ACTIONS(3405),
    [anon_sym_typename] = ACTIONS(3405),
    [anon_sym_template] = ACTIONS(3405),
    [anon_sym_operator] = ACTIONS(3405),
    [anon_sym_friend] = ACTIONS(3405),
    [anon_sym_public] = ACTIONS(3405),
    [anon_sym_private] = ACTIONS(3405),
    [anon_sym_protected] = ACTIONS(3405),
    [anon_sym_using] = ACTIONS(3405),
    [anon_sym_static_assert] = ACTIONS(3405),
  },
  [2395] = {
    [sym_identifier] = ACTIONS(3385),
    [aux_sym_preproc_def_token1] = ACTIONS(3385),
    [aux_sym_preproc_if_token1] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3385),
    [sym_preproc_directive] = ACTIONS(3385),
    [anon_sym_LPAREN2] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_STAR] = ACTIONS(3387),
    [anon_sym_AMP_AMP] = ACTIONS(3387),
    [anon_sym_AMP] = ACTIONS(3385),
    [anon_sym_SEMI] = ACTIONS(5861),
    [anon_sym___extension__] = ACTIONS(3385),
    [anon_sym_typedef] = ACTIONS(3385),
    [anon_sym_extern] = ACTIONS(3385),
    [anon_sym___attribute__] = ACTIONS(3385),
    [anon_sym_COLON_COLON] = ACTIONS(3387),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3387),
    [anon_sym___declspec] = ACTIONS(3385),
    [anon_sym___based] = ACTIONS(3385),
    [anon_sym_RBRACE] = ACTIONS(3387),
    [anon_sym_signed] = ACTIONS(3385),
    [anon_sym_unsigned] = ACTIONS(3385),
    [anon_sym_long] = ACTIONS(3385),
    [anon_sym_short] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3385),
    [anon_sym_static] = ACTIONS(3385),
    [anon_sym_register] = ACTIONS(3385),
    [anon_sym_inline] = ACTIONS(3385),
    [anon_sym___inline] = ACTIONS(3385),
    [anon_sym___inline__] = ACTIONS(3385),
    [anon_sym___forceinline] = ACTIONS(3385),
    [anon_sym_thread_local] = ACTIONS(3385),
    [anon_sym___thread] = ACTIONS(3385),
    [anon_sym_const] = ACTIONS(3385),
    [anon_sym_constexpr] = ACTIONS(3385),
    [anon_sym_volatile] = ACTIONS(3385),
    [anon_sym_restrict] = ACTIONS(3385),
    [anon_sym___restrict__] = ACTIONS(3385),
    [anon_sym__Atomic] = ACTIONS(3385),
    [anon_sym__Noreturn] = ACTIONS(3385),
    [anon_sym_noreturn] = ACTIONS(3385),
    [anon_sym_mutable] = ACTIONS(3385),
    [anon_sym_constinit] = ACTIONS(3385),
    [anon_sym_consteval] = ACTIONS(3385),
    [anon_sym_PROGMEM] = ACTIONS(3385),
    [aux_sym_primitive_type_token1] = ACTIONS(3385),
    [anon_sym_byte] = ACTIONS(3385),
    [anon_sym_word] = ACTIONS(3385),
    [anon_sym_enum] = ACTIONS(3385),
    [anon_sym_class] = ACTIONS(3385),
    [anon_sym_struct] = ACTIONS(3385),
    [anon_sym_union] = ACTIONS(3385),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3385),
    [anon_sym_decltype] = ACTIONS(3385),
    [anon_sym_virtual] = ACTIONS(3385),
    [anon_sym_alignas] = ACTIONS(3385),
    [anon_sym_explicit] = ACTIONS(3385),
    [anon_sym_typename] = ACTIONS(3385),
    [anon_sym_template] = ACTIONS(3385),
    [anon_sym_operator] = ACTIONS(3385),
    [anon_sym_friend] = ACTIONS(3385),
    [anon_sym_public] = ACTIONS(3385),
    [anon_sym_private] = ACTIONS(3385),
    [anon_sym_protected] = ACTIONS(3385),
    [anon_sym_using] = ACTIONS(3385),
    [anon_sym_static_assert] = ACTIONS(3385),
  },
  [2396] = {
    [sym_identifier] = ACTIONS(3385),
    [aux_sym_preproc_def_token1] = ACTIONS(3385),
    [aux_sym_preproc_if_token1] = ACTIONS(3385),
    [aux_sym_preproc_if_token2] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3385),
    [sym_preproc_directive] = ACTIONS(3385),
    [anon_sym_LPAREN2] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_STAR] = ACTIONS(3387),
    [anon_sym_AMP_AMP] = ACTIONS(3387),
    [anon_sym_AMP] = ACTIONS(3385),
    [anon_sym_SEMI] = ACTIONS(5863),
    [anon_sym___extension__] = ACTIONS(3385),
    [anon_sym_typedef] = ACTIONS(3385),
    [anon_sym_extern] = ACTIONS(3385),
    [anon_sym___attribute__] = ACTIONS(3385),
    [anon_sym_COLON_COLON] = ACTIONS(3387),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3387),
    [anon_sym___declspec] = ACTIONS(3385),
    [anon_sym___based] = ACTIONS(3385),
    [anon_sym_signed] = ACTIONS(3385),
    [anon_sym_unsigned] = ACTIONS(3385),
    [anon_sym_long] = ACTIONS(3385),
    [anon_sym_short] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3385),
    [anon_sym_static] = ACTIONS(3385),
    [anon_sym_register] = ACTIONS(3385),
    [anon_sym_inline] = ACTIONS(3385),
    [anon_sym___inline] = ACTIONS(3385),
    [anon_sym___inline__] = ACTIONS(3385),
    [anon_sym___forceinline] = ACTIONS(3385),
    [anon_sym_thread_local] = ACTIONS(3385),
    [anon_sym___thread] = ACTIONS(3385),
    [anon_sym_const] = ACTIONS(3385),
    [anon_sym_constexpr] = ACTIONS(3385),
    [anon_sym_volatile] = ACTIONS(3385),
    [anon_sym_restrict] = ACTIONS(3385),
    [anon_sym___restrict__] = ACTIONS(3385),
    [anon_sym__Atomic] = ACTIONS(3385),
    [anon_sym__Noreturn] = ACTIONS(3385),
    [anon_sym_noreturn] = ACTIONS(3385),
    [anon_sym_mutable] = ACTIONS(3385),
    [anon_sym_constinit] = ACTIONS(3385),
    [anon_sym_consteval] = ACTIONS(3385),
    [anon_sym_PROGMEM] = ACTIONS(3385),
    [aux_sym_primitive_type_token1] = ACTIONS(3385),
    [anon_sym_byte] = ACTIONS(3385),
    [anon_sym_word] = ACTIONS(3385),
    [anon_sym_enum] = ACTIONS(3385),
    [anon_sym_class] = ACTIONS(3385),
    [anon_sym_struct] = ACTIONS(3385),
    [anon_sym_union] = ACTIONS(3385),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3385),
    [anon_sym_decltype] = ACTIONS(3385),
    [anon_sym_virtual] = ACTIONS(3385),
    [anon_sym_alignas] = ACTIONS(3385),
    [anon_sym_explicit] = ACTIONS(3385),
    [anon_sym_typename] = ACTIONS(3385),
    [anon_sym_template] = ACTIONS(3385),
    [anon_sym_operator] = ACTIONS(3385),
    [anon_sym_friend] = ACTIONS(3385),
    [anon_sym_public] = ACTIONS(3385),
    [anon_sym_private] = ACTIONS(3385),
    [anon_sym_protected] = ACTIONS(3385),
    [anon_sym_using] = ACTIONS(3385),
    [anon_sym_static_assert] = ACTIONS(3385),
  },
  [2397] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2060),
    [sym_identifier] = ACTIONS(5633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5630),
    [anon_sym_COMMA] = ACTIONS(5630),
    [aux_sym_preproc_if_token2] = ACTIONS(5630),
    [aux_sym_preproc_else_token1] = ACTIONS(5630),
    [aux_sym_preproc_elif_token1] = ACTIONS(5633),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [anon_sym_DASH] = ACTIONS(5633),
    [anon_sym_PLUS] = ACTIONS(5633),
    [anon_sym_STAR] = ACTIONS(5633),
    [anon_sym_SLASH] = ACTIONS(5633),
    [anon_sym_PERCENT] = ACTIONS(5633),
    [anon_sym_PIPE_PIPE] = ACTIONS(5630),
    [anon_sym_AMP_AMP] = ACTIONS(5630),
    [anon_sym_PIPE] = ACTIONS(5633),
    [anon_sym_CARET] = ACTIONS(5633),
    [anon_sym_AMP] = ACTIONS(5633),
    [anon_sym_EQ_EQ] = ACTIONS(5630),
    [anon_sym_BANG_EQ] = ACTIONS(5630),
    [anon_sym_GT] = ACTIONS(5633),
    [anon_sym_GT_EQ] = ACTIONS(5630),
    [anon_sym_LT_EQ] = ACTIONS(5633),
    [anon_sym_LT] = ACTIONS(5633),
    [anon_sym_LT_LT] = ACTIONS(5633),
    [anon_sym_GT_GT] = ACTIONS(5633),
    [anon_sym___attribute__] = ACTIONS(5633),
    [anon_sym_LBRACE] = ACTIONS(5630),
    [anon_sym_signed] = ACTIONS(5394),
    [anon_sym_unsigned] = ACTIONS(5394),
    [anon_sym_long] = ACTIONS(5394),
    [anon_sym_short] = ACTIONS(5394),
    [anon_sym_LBRACK] = ACTIONS(5630),
    [anon_sym_EQ] = ACTIONS(5633),
    [aux_sym_primitive_type_token1] = ACTIONS(5374),
    [anon_sym_byte] = ACTIONS(5374),
    [anon_sym_word] = ACTIONS(5374),
    [anon_sym_QMARK] = ACTIONS(5630),
    [anon_sym_STAR_EQ] = ACTIONS(5630),
    [anon_sym_SLASH_EQ] = ACTIONS(5630),
    [anon_sym_PERCENT_EQ] = ACTIONS(5630),
    [anon_sym_PLUS_EQ] = ACTIONS(5630),
    [anon_sym_DASH_EQ] = ACTIONS(5630),
    [anon_sym_LT_LT_EQ] = ACTIONS(5630),
    [anon_sym_GT_GT_EQ] = ACTIONS(5630),
    [anon_sym_AMP_EQ] = ACTIONS(5630),
    [anon_sym_CARET_EQ] = ACTIONS(5630),
    [anon_sym_PIPE_EQ] = ACTIONS(5630),
    [anon_sym_and_eq] = ACTIONS(5633),
    [anon_sym_or_eq] = ACTIONS(5633),
    [anon_sym_xor_eq] = ACTIONS(5633),
    [anon_sym_LT_EQ_GT] = ACTIONS(5630),
    [anon_sym_or] = ACTIONS(5633),
    [anon_sym_and] = ACTIONS(5633),
    [anon_sym_bitor] = ACTIONS(5633),
    [anon_sym_xor] = ACTIONS(5633),
    [anon_sym_bitand] = ACTIONS(5633),
    [anon_sym_not_eq] = ACTIONS(5633),
    [anon_sym_DASH_DASH] = ACTIONS(5630),
    [anon_sym_PLUS_PLUS] = ACTIONS(5630),
    [anon_sym_DOT] = ACTIONS(5633),
    [anon_sym_DOT_STAR] = ACTIONS(5630),
    [anon_sym_DASH_GT] = ACTIONS(5630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5633),
    [anon_sym_decltype] = ACTIONS(5633),
  },
  [2398] = {
    [sym_template_argument_list] = STATE(2014),
    [sym_identifier] = ACTIONS(5105),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_TILDE] = ACTIONS(5112),
    [anon_sym_STAR] = ACTIONS(5112),
    [anon_sym_PIPE_PIPE] = ACTIONS(5112),
    [anon_sym_AMP_AMP] = ACTIONS(5112),
    [anon_sym_AMP] = ACTIONS(5105),
    [anon_sym_LT] = ACTIONS(5865),
    [anon_sym___extension__] = ACTIONS(5105),
    [anon_sym_extern] = ACTIONS(5105),
    [anon_sym___attribute__] = ACTIONS(5105),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5112),
    [anon_sym___declspec] = ACTIONS(5105),
    [anon_sym___based] = ACTIONS(5105),
    [anon_sym___cdecl] = ACTIONS(5105),
    [anon_sym___clrcall] = ACTIONS(5105),
    [anon_sym___stdcall] = ACTIONS(5105),
    [anon_sym___fastcall] = ACTIONS(5105),
    [anon_sym___thiscall] = ACTIONS(5105),
    [anon_sym___vectorcall] = ACTIONS(5105),
    [anon_sym_signed] = ACTIONS(5105),
    [anon_sym_unsigned] = ACTIONS(5105),
    [anon_sym_long] = ACTIONS(5105),
    [anon_sym_short] = ACTIONS(5105),
    [anon_sym_LBRACK] = ACTIONS(5105),
    [anon_sym_static] = ACTIONS(5105),
    [anon_sym_register] = ACTIONS(5105),
    [anon_sym_inline] = ACTIONS(5105),
    [anon_sym___inline] = ACTIONS(5105),
    [anon_sym___inline__] = ACTIONS(5105),
    [anon_sym___forceinline] = ACTIONS(5105),
    [anon_sym_thread_local] = ACTIONS(5105),
    [anon_sym___thread] = ACTIONS(5105),
    [anon_sym_const] = ACTIONS(5105),
    [anon_sym_constexpr] = ACTIONS(5105),
    [anon_sym_volatile] = ACTIONS(5105),
    [anon_sym_restrict] = ACTIONS(5105),
    [anon_sym___restrict__] = ACTIONS(5105),
    [anon_sym__Atomic] = ACTIONS(5105),
    [anon_sym__Noreturn] = ACTIONS(5105),
    [anon_sym_noreturn] = ACTIONS(5105),
    [anon_sym_mutable] = ACTIONS(5105),
    [anon_sym_constinit] = ACTIONS(5105),
    [anon_sym_consteval] = ACTIONS(5105),
    [anon_sym_PROGMEM] = ACTIONS(5105),
    [aux_sym_primitive_type_token1] = ACTIONS(5105),
    [anon_sym_byte] = ACTIONS(5105),
    [anon_sym_word] = ACTIONS(5105),
    [anon_sym_enum] = ACTIONS(5105),
    [anon_sym_class] = ACTIONS(5105),
    [anon_sym_struct] = ACTIONS(5105),
    [anon_sym_union] = ACTIONS(5105),
    [anon_sym_or] = ACTIONS(5105),
    [anon_sym_and] = ACTIONS(5105),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5105),
    [anon_sym_decltype] = ACTIONS(5105),
    [anon_sym_virtual] = ACTIONS(5105),
    [anon_sym_alignas] = ACTIONS(5105),
    [anon_sym_explicit] = ACTIONS(5105),
    [anon_sym_typename] = ACTIONS(5105),
    [anon_sym_template] = ACTIONS(5105),
    [anon_sym_operator] = ACTIONS(5105),
    [anon_sym_friend] = ACTIONS(5105),
    [anon_sym_using] = ACTIONS(5105),
    [anon_sym_concept] = ACTIONS(5105),
  },
  [2399] = {
    [sym_string_literal] = STATE(2520),
    [sym_template_argument_list] = STATE(3733),
    [sym_raw_string_literal] = STATE(2520),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_RPAREN] = ACTIONS(5867),
    [anon_sym_LPAREN2] = ACTIONS(5867),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5178),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5867),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_LBRACK] = ACTIONS(5869),
    [anon_sym_EQ] = ACTIONS(4454),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4446),
    [anon_sym_SLASH_EQ] = ACTIONS(4446),
    [anon_sym_PERCENT_EQ] = ACTIONS(4446),
    [anon_sym_PLUS_EQ] = ACTIONS(4446),
    [anon_sym_DASH_EQ] = ACTIONS(4446),
    [anon_sym_LT_LT_EQ] = ACTIONS(4446),
    [anon_sym_GT_GT_EQ] = ACTIONS(4446),
    [anon_sym_AMP_EQ] = ACTIONS(4446),
    [anon_sym_CARET_EQ] = ACTIONS(4446),
    [anon_sym_PIPE_EQ] = ACTIONS(4446),
    [anon_sym_and_eq] = ACTIONS(4446),
    [anon_sym_or_eq] = ACTIONS(4446),
    [anon_sym_xor_eq] = ACTIONS(4446),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4454),
    [anon_sym_L_DQUOTE] = ACTIONS(5174),
    [anon_sym_u_DQUOTE] = ACTIONS(5174),
    [anon_sym_U_DQUOTE] = ACTIONS(5174),
    [anon_sym_u8_DQUOTE] = ACTIONS(5174),
    [anon_sym_DQUOTE] = ACTIONS(5174),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5176),
    [anon_sym_LR_DQUOTE] = ACTIONS(5176),
    [anon_sym_uR_DQUOTE] = ACTIONS(5176),
    [anon_sym_UR_DQUOTE] = ACTIONS(5176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5176),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4446),
  },
  [2400] = {
    [sym_string_literal] = STATE(2043),
    [sym_template_argument_list] = STATE(2768),
    [sym_raw_string_literal] = STATE(2043),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(5867),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5330),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4446),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5867),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_RBRACE] = ACTIONS(4446),
    [anon_sym_LBRACK] = ACTIONS(5869),
    [anon_sym_EQ] = ACTIONS(4454),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4446),
    [anon_sym_SLASH_EQ] = ACTIONS(4446),
    [anon_sym_PERCENT_EQ] = ACTIONS(4446),
    [anon_sym_PLUS_EQ] = ACTIONS(4446),
    [anon_sym_DASH_EQ] = ACTIONS(4446),
    [anon_sym_LT_LT_EQ] = ACTIONS(4446),
    [anon_sym_GT_GT_EQ] = ACTIONS(4446),
    [anon_sym_AMP_EQ] = ACTIONS(4446),
    [anon_sym_CARET_EQ] = ACTIONS(4446),
    [anon_sym_PIPE_EQ] = ACTIONS(4446),
    [anon_sym_and_eq] = ACTIONS(4446),
    [anon_sym_or_eq] = ACTIONS(4446),
    [anon_sym_xor_eq] = ACTIONS(4446),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
  },
  [2401] = {
    [sym_string_literal] = STATE(2520),
    [sym_template_argument_list] = STATE(3488),
    [sym_raw_string_literal] = STATE(2520),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_RPAREN] = ACTIONS(5871),
    [anon_sym_LPAREN2] = ACTIONS(5871),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5167),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5170),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_LBRACK] = ACTIONS(5874),
    [anon_sym_EQ] = ACTIONS(4454),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4446),
    [anon_sym_SLASH_EQ] = ACTIONS(4446),
    [anon_sym_PERCENT_EQ] = ACTIONS(4446),
    [anon_sym_PLUS_EQ] = ACTIONS(4446),
    [anon_sym_DASH_EQ] = ACTIONS(4446),
    [anon_sym_LT_LT_EQ] = ACTIONS(4446),
    [anon_sym_GT_GT_EQ] = ACTIONS(4446),
    [anon_sym_AMP_EQ] = ACTIONS(4446),
    [anon_sym_CARET_EQ] = ACTIONS(4446),
    [anon_sym_PIPE_EQ] = ACTIONS(4446),
    [anon_sym_and_eq] = ACTIONS(4446),
    [anon_sym_or_eq] = ACTIONS(4446),
    [anon_sym_xor_eq] = ACTIONS(4446),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4454),
    [anon_sym_L_DQUOTE] = ACTIONS(5174),
    [anon_sym_u_DQUOTE] = ACTIONS(5174),
    [anon_sym_U_DQUOTE] = ACTIONS(5174),
    [anon_sym_u8_DQUOTE] = ACTIONS(5174),
    [anon_sym_DQUOTE] = ACTIONS(5174),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5176),
    [anon_sym_LR_DQUOTE] = ACTIONS(5176),
    [anon_sym_uR_DQUOTE] = ACTIONS(5176),
    [anon_sym_UR_DQUOTE] = ACTIONS(5176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5176),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4446),
  },
  [2402] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2060),
    [sym_identifier] = ACTIONS(5374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5630),
    [anon_sym_COMMA] = ACTIONS(5630),
    [anon_sym_RPAREN] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [anon_sym_DASH] = ACTIONS(5633),
    [anon_sym_PLUS] = ACTIONS(5633),
    [anon_sym_STAR] = ACTIONS(5633),
    [anon_sym_SLASH] = ACTIONS(5633),
    [anon_sym_PERCENT] = ACTIONS(5633),
    [anon_sym_PIPE_PIPE] = ACTIONS(5630),
    [anon_sym_AMP_AMP] = ACTIONS(5630),
    [anon_sym_PIPE] = ACTIONS(5633),
    [anon_sym_CARET] = ACTIONS(5633),
    [anon_sym_AMP] = ACTIONS(5633),
    [anon_sym_EQ_EQ] = ACTIONS(5630),
    [anon_sym_BANG_EQ] = ACTIONS(5630),
    [anon_sym_GT] = ACTIONS(5633),
    [anon_sym_GT_EQ] = ACTIONS(5630),
    [anon_sym_LT_EQ] = ACTIONS(5633),
    [anon_sym_LT] = ACTIONS(5633),
    [anon_sym_LT_LT] = ACTIONS(5633),
    [anon_sym_GT_GT] = ACTIONS(5633),
    [anon_sym_SEMI] = ACTIONS(5630),
    [anon_sym___attribute__] = ACTIONS(5633),
    [anon_sym_LBRACE] = ACTIONS(5630),
    [anon_sym_RBRACE] = ACTIONS(5630),
    [anon_sym_signed] = ACTIONS(5394),
    [anon_sym_unsigned] = ACTIONS(5394),
    [anon_sym_long] = ACTIONS(5394),
    [anon_sym_short] = ACTIONS(5394),
    [anon_sym_LBRACK] = ACTIONS(5630),
    [anon_sym_RBRACK] = ACTIONS(5630),
    [anon_sym_EQ] = ACTIONS(5633),
    [aux_sym_primitive_type_token1] = ACTIONS(5374),
    [anon_sym_byte] = ACTIONS(5374),
    [anon_sym_word] = ACTIONS(5374),
    [anon_sym_COLON] = ACTIONS(5630),
    [anon_sym_QMARK] = ACTIONS(5630),
    [anon_sym_STAR_EQ] = ACTIONS(5630),
    [anon_sym_SLASH_EQ] = ACTIONS(5630),
    [anon_sym_PERCENT_EQ] = ACTIONS(5630),
    [anon_sym_PLUS_EQ] = ACTIONS(5630),
    [anon_sym_DASH_EQ] = ACTIONS(5630),
    [anon_sym_LT_LT_EQ] = ACTIONS(5630),
    [anon_sym_GT_GT_EQ] = ACTIONS(5630),
    [anon_sym_AMP_EQ] = ACTIONS(5630),
    [anon_sym_CARET_EQ] = ACTIONS(5630),
    [anon_sym_PIPE_EQ] = ACTIONS(5630),
    [anon_sym_and_eq] = ACTIONS(5633),
    [anon_sym_or_eq] = ACTIONS(5633),
    [anon_sym_xor_eq] = ACTIONS(5633),
    [anon_sym_LT_EQ_GT] = ACTIONS(5630),
    [anon_sym_or] = ACTIONS(5633),
    [anon_sym_and] = ACTIONS(5633),
    [anon_sym_bitor] = ACTIONS(5633),
    [anon_sym_xor] = ACTIONS(5633),
    [anon_sym_bitand] = ACTIONS(5633),
    [anon_sym_not_eq] = ACTIONS(5633),
    [anon_sym_DASH_DASH] = ACTIONS(5630),
    [anon_sym_PLUS_PLUS] = ACTIONS(5630),
    [anon_sym_DOT] = ACTIONS(5633),
    [anon_sym_DOT_STAR] = ACTIONS(5630),
    [anon_sym_DASH_GT] = ACTIONS(5630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5633),
    [anon_sym_decltype] = ACTIONS(5633),
  },
  [2403] = {
    [sym_identifier] = ACTIONS(3373),
    [aux_sym_preproc_def_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token1] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3373),
    [sym_preproc_directive] = ACTIONS(3373),
    [anon_sym_LPAREN2] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_STAR] = ACTIONS(3375),
    [anon_sym_AMP_AMP] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(5877),
    [anon_sym___extension__] = ACTIONS(3373),
    [anon_sym_typedef] = ACTIONS(3373),
    [anon_sym_extern] = ACTIONS(3373),
    [anon_sym___attribute__] = ACTIONS(3373),
    [anon_sym_COLON_COLON] = ACTIONS(3375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3375),
    [anon_sym___declspec] = ACTIONS(3373),
    [anon_sym___based] = ACTIONS(3373),
    [anon_sym_RBRACE] = ACTIONS(3375),
    [anon_sym_signed] = ACTIONS(3373),
    [anon_sym_unsigned] = ACTIONS(3373),
    [anon_sym_long] = ACTIONS(3373),
    [anon_sym_short] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_register] = ACTIONS(3373),
    [anon_sym_inline] = ACTIONS(3373),
    [anon_sym___inline] = ACTIONS(3373),
    [anon_sym___inline__] = ACTIONS(3373),
    [anon_sym___forceinline] = ACTIONS(3373),
    [anon_sym_thread_local] = ACTIONS(3373),
    [anon_sym___thread] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_constexpr] = ACTIONS(3373),
    [anon_sym_volatile] = ACTIONS(3373),
    [anon_sym_restrict] = ACTIONS(3373),
    [anon_sym___restrict__] = ACTIONS(3373),
    [anon_sym__Atomic] = ACTIONS(3373),
    [anon_sym__Noreturn] = ACTIONS(3373),
    [anon_sym_noreturn] = ACTIONS(3373),
    [anon_sym_mutable] = ACTIONS(3373),
    [anon_sym_constinit] = ACTIONS(3373),
    [anon_sym_consteval] = ACTIONS(3373),
    [anon_sym_PROGMEM] = ACTIONS(3373),
    [aux_sym_primitive_type_token1] = ACTIONS(3373),
    [anon_sym_byte] = ACTIONS(3373),
    [anon_sym_word] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_struct] = ACTIONS(3373),
    [anon_sym_union] = ACTIONS(3373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3373),
    [anon_sym_decltype] = ACTIONS(3373),
    [anon_sym_virtual] = ACTIONS(3373),
    [anon_sym_alignas] = ACTIONS(3373),
    [anon_sym_explicit] = ACTIONS(3373),
    [anon_sym_typename] = ACTIONS(3373),
    [anon_sym_template] = ACTIONS(3373),
    [anon_sym_operator] = ACTIONS(3373),
    [anon_sym_friend] = ACTIONS(3373),
    [anon_sym_public] = ACTIONS(3373),
    [anon_sym_private] = ACTIONS(3373),
    [anon_sym_protected] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_static_assert] = ACTIONS(3373),
  },
  [2404] = {
    [sym_string_literal] = STATE(2043),
    [sym_raw_string_literal] = STATE(2043),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5806),
    [anon_sym_COMMA] = ACTIONS(5806),
    [anon_sym_RPAREN] = ACTIONS(5806),
    [anon_sym_LPAREN2] = ACTIONS(5806),
    [anon_sym_DASH] = ACTIONS(5804),
    [anon_sym_PLUS] = ACTIONS(5804),
    [anon_sym_STAR] = ACTIONS(5804),
    [anon_sym_SLASH] = ACTIONS(5804),
    [anon_sym_PERCENT] = ACTIONS(5804),
    [anon_sym_PIPE_PIPE] = ACTIONS(5806),
    [anon_sym_AMP_AMP] = ACTIONS(5806),
    [anon_sym_PIPE] = ACTIONS(5804),
    [anon_sym_CARET] = ACTIONS(5804),
    [anon_sym_AMP] = ACTIONS(5804),
    [anon_sym_EQ_EQ] = ACTIONS(5806),
    [anon_sym_BANG_EQ] = ACTIONS(5806),
    [anon_sym_GT] = ACTIONS(5804),
    [anon_sym_GT_EQ] = ACTIONS(5806),
    [anon_sym_LT_EQ] = ACTIONS(5804),
    [anon_sym_LT] = ACTIONS(5804),
    [anon_sym_LT_LT] = ACTIONS(5804),
    [anon_sym_GT_GT] = ACTIONS(5804),
    [anon_sym_SEMI] = ACTIONS(5806),
    [anon_sym_RBRACE] = ACTIONS(5806),
    [anon_sym_LBRACK] = ACTIONS(5806),
    [anon_sym_RBRACK] = ACTIONS(5806),
    [anon_sym_EQ] = ACTIONS(5804),
    [anon_sym_COLON] = ACTIONS(5806),
    [anon_sym_QMARK] = ACTIONS(5806),
    [anon_sym_STAR_EQ] = ACTIONS(5806),
    [anon_sym_SLASH_EQ] = ACTIONS(5806),
    [anon_sym_PERCENT_EQ] = ACTIONS(5806),
    [anon_sym_PLUS_EQ] = ACTIONS(5806),
    [anon_sym_DASH_EQ] = ACTIONS(5806),
    [anon_sym_LT_LT_EQ] = ACTIONS(5806),
    [anon_sym_GT_GT_EQ] = ACTIONS(5806),
    [anon_sym_AMP_EQ] = ACTIONS(5806),
    [anon_sym_CARET_EQ] = ACTIONS(5806),
    [anon_sym_PIPE_EQ] = ACTIONS(5806),
    [anon_sym_and_eq] = ACTIONS(5804),
    [anon_sym_or_eq] = ACTIONS(5804),
    [anon_sym_xor_eq] = ACTIONS(5804),
    [anon_sym_LT_EQ_GT] = ACTIONS(5806),
    [anon_sym_or] = ACTIONS(5804),
    [anon_sym_and] = ACTIONS(5804),
    [anon_sym_bitor] = ACTIONS(5804),
    [anon_sym_xor] = ACTIONS(5804),
    [anon_sym_bitand] = ACTIONS(5804),
    [anon_sym_not_eq] = ACTIONS(5804),
    [anon_sym_DASH_DASH] = ACTIONS(5806),
    [anon_sym_PLUS_PLUS] = ACTIONS(5806),
    [anon_sym_DOT] = ACTIONS(5804),
    [anon_sym_DOT_STAR] = ACTIONS(5806),
    [anon_sym_DASH_GT] = ACTIONS(5806),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
    [sym_literal_suffix] = ACTIONS(5802),
  },
  [2405] = {
    [sym_identifier] = ACTIONS(5153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5158),
    [anon_sym_COMMA] = ACTIONS(5158),
    [anon_sym_RPAREN] = ACTIONS(5158),
    [aux_sym_preproc_if_token2] = ACTIONS(5158),
    [aux_sym_preproc_else_token1] = ACTIONS(5158),
    [aux_sym_preproc_elif_token1] = ACTIONS(5153),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5158),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5158),
    [anon_sym_LPAREN2] = ACTIONS(5158),
    [anon_sym_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(5153),
    [anon_sym_STAR] = ACTIONS(5158),
    [anon_sym_SLASH] = ACTIONS(5153),
    [anon_sym_PERCENT] = ACTIONS(5158),
    [anon_sym_PIPE_PIPE] = ACTIONS(5158),
    [anon_sym_AMP_AMP] = ACTIONS(5158),
    [anon_sym_PIPE] = ACTIONS(5153),
    [anon_sym_CARET] = ACTIONS(5158),
    [anon_sym_AMP] = ACTIONS(5153),
    [anon_sym_EQ_EQ] = ACTIONS(5158),
    [anon_sym_BANG_EQ] = ACTIONS(5158),
    [anon_sym_GT] = ACTIONS(5153),
    [anon_sym_GT_EQ] = ACTIONS(5158),
    [anon_sym_LT_EQ] = ACTIONS(5153),
    [anon_sym_LT] = ACTIONS(5153),
    [anon_sym_LT_LT] = ACTIONS(5158),
    [anon_sym_GT_GT] = ACTIONS(5158),
    [anon_sym_SEMI] = ACTIONS(5158),
    [anon_sym___extension__] = ACTIONS(5153),
    [anon_sym___attribute__] = ACTIONS(5153),
    [anon_sym_COLON_COLON] = ACTIONS(5158),
    [anon_sym_LBRACE] = ACTIONS(5158),
    [anon_sym_RBRACE] = ACTIONS(5158),
    [anon_sym_LBRACK] = ACTIONS(5158),
    [anon_sym_RBRACK] = ACTIONS(5158),
    [anon_sym_const] = ACTIONS(5153),
    [anon_sym_constexpr] = ACTIONS(5153),
    [anon_sym_volatile] = ACTIONS(5153),
    [anon_sym_restrict] = ACTIONS(5153),
    [anon_sym___restrict__] = ACTIONS(5153),
    [anon_sym__Atomic] = ACTIONS(5153),
    [anon_sym__Noreturn] = ACTIONS(5153),
    [anon_sym_noreturn] = ACTIONS(5153),
    [anon_sym_mutable] = ACTIONS(5153),
    [anon_sym_constinit] = ACTIONS(5153),
    [anon_sym_consteval] = ACTIONS(5153),
    [anon_sym_PROGMEM] = ACTIONS(5153),
    [anon_sym_COLON] = ACTIONS(5153),
    [anon_sym_QMARK] = ACTIONS(5158),
    [anon_sym_LT_EQ_GT] = ACTIONS(5158),
    [anon_sym_or] = ACTIONS(5153),
    [anon_sym_and] = ACTIONS(5153),
    [anon_sym_bitor] = ACTIONS(5153),
    [anon_sym_xor] = ACTIONS(5153),
    [anon_sym_bitand] = ACTIONS(5153),
    [anon_sym_not_eq] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5158),
    [anon_sym_PLUS_PLUS] = ACTIONS(5158),
    [anon_sym_DOT] = ACTIONS(5153),
    [anon_sym_DOT_STAR] = ACTIONS(5158),
    [anon_sym_DASH_GT] = ACTIONS(5158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5153),
    [anon_sym_decltype] = ACTIONS(5153),
    [anon_sym_final] = ACTIONS(5153),
    [anon_sym_override] = ACTIONS(5153),
    [anon_sym_requires] = ACTIONS(5153),
  },
  [2406] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym_RBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_PROGMEM] = ACTIONS(2917),
    [aux_sym_primitive_type_token1] = ACTIONS(2917),
    [anon_sym_byte] = ACTIONS(2917),
    [anon_sym_word] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_friend] = ACTIONS(2917),
    [anon_sym_public] = ACTIONS(2917),
    [anon_sym_private] = ACTIONS(2917),
    [anon_sym_protected] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_catch] = ACTIONS(2917),
  },
  [2407] = {
    [sym_identifier] = ACTIONS(5137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5139),
    [anon_sym_COMMA] = ACTIONS(5139),
    [anon_sym_RPAREN] = ACTIONS(5139),
    [aux_sym_preproc_if_token2] = ACTIONS(5139),
    [aux_sym_preproc_else_token1] = ACTIONS(5139),
    [aux_sym_preproc_elif_token1] = ACTIONS(5137),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5139),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5139),
    [anon_sym_LPAREN2] = ACTIONS(5139),
    [anon_sym_DASH] = ACTIONS(5137),
    [anon_sym_PLUS] = ACTIONS(5137),
    [anon_sym_STAR] = ACTIONS(5137),
    [anon_sym_SLASH] = ACTIONS(5137),
    [anon_sym_PERCENT] = ACTIONS(5137),
    [anon_sym_PIPE_PIPE] = ACTIONS(5139),
    [anon_sym_AMP_AMP] = ACTIONS(5139),
    [anon_sym_PIPE] = ACTIONS(5137),
    [anon_sym_CARET] = ACTIONS(5137),
    [anon_sym_AMP] = ACTIONS(5137),
    [anon_sym_EQ_EQ] = ACTIONS(5139),
    [anon_sym_BANG_EQ] = ACTIONS(5139),
    [anon_sym_GT] = ACTIONS(5137),
    [anon_sym_GT_EQ] = ACTIONS(5139),
    [anon_sym_LT_EQ] = ACTIONS(5137),
    [anon_sym_LT] = ACTIONS(5137),
    [anon_sym_LT_LT] = ACTIONS(5137),
    [anon_sym_GT_GT] = ACTIONS(5137),
    [anon_sym_SEMI] = ACTIONS(5139),
    [anon_sym___attribute__] = ACTIONS(5137),
    [anon_sym_COLON_COLON] = ACTIONS(5139),
    [anon_sym_LBRACE] = ACTIONS(5139),
    [anon_sym_RBRACE] = ACTIONS(5139),
    [anon_sym_LBRACK] = ACTIONS(5139),
    [anon_sym_RBRACK] = ACTIONS(5139),
    [anon_sym_EQ] = ACTIONS(5137),
    [anon_sym_COLON] = ACTIONS(5137),
    [anon_sym_QMARK] = ACTIONS(5139),
    [anon_sym_STAR_EQ] = ACTIONS(5139),
    [anon_sym_SLASH_EQ] = ACTIONS(5139),
    [anon_sym_PERCENT_EQ] = ACTIONS(5139),
    [anon_sym_PLUS_EQ] = ACTIONS(5139),
    [anon_sym_DASH_EQ] = ACTIONS(5139),
    [anon_sym_LT_LT_EQ] = ACTIONS(5139),
    [anon_sym_GT_GT_EQ] = ACTIONS(5139),
    [anon_sym_AMP_EQ] = ACTIONS(5139),
    [anon_sym_CARET_EQ] = ACTIONS(5139),
    [anon_sym_PIPE_EQ] = ACTIONS(5139),
    [anon_sym_and_eq] = ACTIONS(5137),
    [anon_sym_or_eq] = ACTIONS(5137),
    [anon_sym_xor_eq] = ACTIONS(5137),
    [anon_sym_LT_EQ_GT] = ACTIONS(5139),
    [anon_sym_or] = ACTIONS(5137),
    [anon_sym_and] = ACTIONS(5137),
    [anon_sym_bitor] = ACTIONS(5137),
    [anon_sym_xor] = ACTIONS(5137),
    [anon_sym_bitand] = ACTIONS(5137),
    [anon_sym_not_eq] = ACTIONS(5137),
    [anon_sym_DASH_DASH] = ACTIONS(5139),
    [anon_sym_PLUS_PLUS] = ACTIONS(5139),
    [anon_sym_DOT] = ACTIONS(5137),
    [anon_sym_DOT_STAR] = ACTIONS(5139),
    [anon_sym_DASH_GT] = ACTIONS(5139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5137),
    [anon_sym_decltype] = ACTIONS(5137),
    [anon_sym_final] = ACTIONS(5137),
    [anon_sym_override] = ACTIONS(5137),
  },
  [2408] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5155),
    [anon_sym_COMMA] = ACTIONS(5155),
    [anon_sym_LPAREN2] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5160),
    [anon_sym_PLUS] = ACTIONS(5160),
    [anon_sym_STAR] = ACTIONS(5162),
    [anon_sym_SLASH] = ACTIONS(5160),
    [anon_sym_PERCENT] = ACTIONS(5160),
    [anon_sym_PIPE_PIPE] = ACTIONS(5165),
    [anon_sym_AMP_AMP] = ACTIONS(5155),
    [anon_sym_PIPE] = ACTIONS(5160),
    [anon_sym_CARET] = ACTIONS(5160),
    [anon_sym_AMP] = ACTIONS(5162),
    [anon_sym_EQ_EQ] = ACTIONS(5165),
    [anon_sym_BANG_EQ] = ACTIONS(5165),
    [anon_sym_GT] = ACTIONS(5160),
    [anon_sym_GT_EQ] = ACTIONS(5160),
    [anon_sym_LT_EQ] = ACTIONS(5160),
    [anon_sym_LT] = ACTIONS(5160),
    [anon_sym_LT_LT] = ACTIONS(5160),
    [anon_sym_GT_GT] = ACTIONS(5160),
    [anon_sym___extension__] = ACTIONS(5158),
    [anon_sym_COLON_COLON] = ACTIONS(5158),
    [anon_sym_LBRACE] = ACTIONS(5158),
    [anon_sym_LBRACK] = ACTIONS(5155),
    [anon_sym_EQ] = ACTIONS(5160),
    [anon_sym_const] = ACTIONS(5153),
    [anon_sym_constexpr] = ACTIONS(5158),
    [anon_sym_volatile] = ACTIONS(5158),
    [anon_sym_restrict] = ACTIONS(5158),
    [anon_sym___restrict__] = ACTIONS(5158),
    [anon_sym__Atomic] = ACTIONS(5158),
    [anon_sym__Noreturn] = ACTIONS(5158),
    [anon_sym_noreturn] = ACTIONS(5158),
    [anon_sym_mutable] = ACTIONS(5158),
    [anon_sym_constinit] = ACTIONS(5158),
    [anon_sym_consteval] = ACTIONS(5158),
    [anon_sym_PROGMEM] = ACTIONS(5158),
    [anon_sym_QMARK] = ACTIONS(5165),
    [anon_sym_STAR_EQ] = ACTIONS(5165),
    [anon_sym_SLASH_EQ] = ACTIONS(5165),
    [anon_sym_PERCENT_EQ] = ACTIONS(5165),
    [anon_sym_PLUS_EQ] = ACTIONS(5165),
    [anon_sym_DASH_EQ] = ACTIONS(5165),
    [anon_sym_LT_LT_EQ] = ACTIONS(5165),
    [anon_sym_GT_GT_EQ] = ACTIONS(5160),
    [anon_sym_AMP_EQ] = ACTIONS(5165),
    [anon_sym_CARET_EQ] = ACTIONS(5165),
    [anon_sym_PIPE_EQ] = ACTIONS(5165),
    [anon_sym_and_eq] = ACTIONS(5165),
    [anon_sym_or_eq] = ACTIONS(5165),
    [anon_sym_xor_eq] = ACTIONS(5165),
    [anon_sym_LT_EQ_GT] = ACTIONS(5165),
    [anon_sym_or] = ACTIONS(5160),
    [anon_sym_and] = ACTIONS(5160),
    [anon_sym_bitor] = ACTIONS(5165),
    [anon_sym_xor] = ACTIONS(5160),
    [anon_sym_bitand] = ACTIONS(5165),
    [anon_sym_not_eq] = ACTIONS(5165),
    [anon_sym_DASH_DASH] = ACTIONS(5165),
    [anon_sym_PLUS_PLUS] = ACTIONS(5165),
    [anon_sym_DOT] = ACTIONS(5160),
    [anon_sym_DOT_STAR] = ACTIONS(5165),
    [anon_sym_DASH_GT] = ACTIONS(5165),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5158),
    [anon_sym_decltype] = ACTIONS(5158),
    [anon_sym_GT2] = ACTIONS(5155),
  },
  [2409] = {
    [sym_string_literal] = STATE(2043),
    [sym_template_argument_list] = STATE(3269),
    [sym_raw_string_literal] = STATE(2043),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(5871),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5879),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4446),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5170),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_RBRACE] = ACTIONS(4446),
    [anon_sym_LBRACK] = ACTIONS(5874),
    [anon_sym_EQ] = ACTIONS(4454),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4446),
    [anon_sym_SLASH_EQ] = ACTIONS(4446),
    [anon_sym_PERCENT_EQ] = ACTIONS(4446),
    [anon_sym_PLUS_EQ] = ACTIONS(4446),
    [anon_sym_DASH_EQ] = ACTIONS(4446),
    [anon_sym_LT_LT_EQ] = ACTIONS(4446),
    [anon_sym_GT_GT_EQ] = ACTIONS(4446),
    [anon_sym_AMP_EQ] = ACTIONS(4446),
    [anon_sym_CARET_EQ] = ACTIONS(4446),
    [anon_sym_PIPE_EQ] = ACTIONS(4446),
    [anon_sym_and_eq] = ACTIONS(4446),
    [anon_sym_or_eq] = ACTIONS(4446),
    [anon_sym_xor_eq] = ACTIONS(4446),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(2175),
    [anon_sym_u_DQUOTE] = ACTIONS(2175),
    [anon_sym_U_DQUOTE] = ACTIONS(2175),
    [anon_sym_u8_DQUOTE] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2185),
    [anon_sym_LR_DQUOTE] = ACTIONS(2185),
    [anon_sym_uR_DQUOTE] = ACTIONS(2185),
    [anon_sym_UR_DQUOTE] = ACTIONS(2185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2185),
  },
  [2410] = {
    [sym_identifier] = ACTIONS(5561),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5563),
    [anon_sym_COMMA] = ACTIONS(5563),
    [anon_sym_RPAREN] = ACTIONS(5563),
    [aux_sym_preproc_if_token2] = ACTIONS(5563),
    [aux_sym_preproc_else_token1] = ACTIONS(5563),
    [aux_sym_preproc_elif_token1] = ACTIONS(5561),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5563),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5563),
    [anon_sym_LPAREN2] = ACTIONS(5563),
    [anon_sym_DASH] = ACTIONS(5561),
    [anon_sym_PLUS] = ACTIONS(5561),
    [anon_sym_STAR] = ACTIONS(5561),
    [anon_sym_SLASH] = ACTIONS(5561),
    [anon_sym_PERCENT] = ACTIONS(5561),
    [anon_sym_PIPE_PIPE] = ACTIONS(5563),
    [anon_sym_AMP_AMP] = ACTIONS(5563),
    [anon_sym_PIPE] = ACTIONS(5561),
    [anon_sym_CARET] = ACTIONS(5561),
    [anon_sym_AMP] = ACTIONS(5561),
    [anon_sym_EQ_EQ] = ACTIONS(5563),
    [anon_sym_BANG_EQ] = ACTIONS(5563),
    [anon_sym_GT] = ACTIONS(5561),
    [anon_sym_GT_EQ] = ACTIONS(5563),
    [anon_sym_LT_EQ] = ACTIONS(5561),
    [anon_sym_LT] = ACTIONS(5561),
    [anon_sym_LT_LT] = ACTIONS(5561),
    [anon_sym_GT_GT] = ACTIONS(5561),
    [anon_sym_SEMI] = ACTIONS(5563),
    [anon_sym___attribute__] = ACTIONS(5561),
    [anon_sym_COLON_COLON] = ACTIONS(5483),
    [anon_sym_LBRACE] = ACTIONS(5563),
    [anon_sym_RBRACE] = ACTIONS(5563),
    [anon_sym_LBRACK] = ACTIONS(5563),
    [anon_sym_RBRACK] = ACTIONS(5563),
    [anon_sym_EQ] = ACTIONS(5561),
    [anon_sym_COLON] = ACTIONS(5561),
    [anon_sym_QMARK] = ACTIONS(5563),
    [anon_sym_STAR_EQ] = ACTIONS(5563),
    [anon_sym_SLASH_EQ] = ACTIONS(5563),
    [anon_sym_PERCENT_EQ] = ACTIONS(5563),
    [anon_sym_PLUS_EQ] = ACTIONS(5563),
    [anon_sym_DASH_EQ] = ACTIONS(5563),
    [anon_sym_LT_LT_EQ] = ACTIONS(5563),
    [anon_sym_GT_GT_EQ] = ACTIONS(5563),
    [anon_sym_AMP_EQ] = ACTIONS(5563),
    [anon_sym_CARET_EQ] = ACTIONS(5563),
    [anon_sym_PIPE_EQ] = ACTIONS(5563),
    [anon_sym_and_eq] = ACTIONS(5561),
    [anon_sym_or_eq] = ACTIONS(5561),
    [anon_sym_xor_eq] = ACTIONS(5561),
    [anon_sym_LT_EQ_GT] = ACTIONS(5563),
    [anon_sym_or] = ACTIONS(5561),
    [anon_sym_and] = ACTIONS(5561),
    [anon_sym_bitor] = ACTIONS(5561),
    [anon_sym_xor] = ACTIONS(5561),
    [anon_sym_bitand] = ACTIONS(5561),
    [anon_sym_not_eq] = ACTIONS(5561),
    [anon_sym_DASH_DASH] = ACTIONS(5563),
    [anon_sym_PLUS_PLUS] = ACTIONS(5563),
    [anon_sym_DOT] = ACTIONS(5561),
    [anon_sym_DOT_STAR] = ACTIONS(5563),
    [anon_sym_DASH_GT] = ACTIONS(5563),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5561),
    [anon_sym_decltype] = ACTIONS(5561),
    [anon_sym_final] = ACTIONS(5561),
    [anon_sym_override] = ACTIONS(5561),
  },
  [2411] = {
    [sym_string_literal] = STATE(2411),
    [sym_raw_string_literal] = STATE(2411),
    [aux_sym_concatenated_string_repeat1] = STATE(2411),
    [sym_identifier] = ACTIONS(5882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5356),
    [anon_sym_COMMA] = ACTIONS(5356),
    [aux_sym_preproc_if_token2] = ACTIONS(5356),
    [aux_sym_preproc_else_token1] = ACTIONS(5356),
    [aux_sym_preproc_elif_token1] = ACTIONS(5356),
    [anon_sym_LPAREN2] = ACTIONS(5356),
    [anon_sym_DASH] = ACTIONS(5358),
    [anon_sym_PLUS] = ACTIONS(5358),
    [anon_sym_STAR] = ACTIONS(5358),
    [anon_sym_SLASH] = ACTIONS(5358),
    [anon_sym_PERCENT] = ACTIONS(5358),
    [anon_sym_PIPE_PIPE] = ACTIONS(5356),
    [anon_sym_AMP_AMP] = ACTIONS(5356),
    [anon_sym_PIPE] = ACTIONS(5358),
    [anon_sym_CARET] = ACTIONS(5358),
    [anon_sym_AMP] = ACTIONS(5358),
    [anon_sym_EQ_EQ] = ACTIONS(5356),
    [anon_sym_BANG_EQ] = ACTIONS(5356),
    [anon_sym_GT] = ACTIONS(5358),
    [anon_sym_GT_EQ] = ACTIONS(5356),
    [anon_sym_LT_EQ] = ACTIONS(5358),
    [anon_sym_LT] = ACTIONS(5358),
    [anon_sym_LT_LT] = ACTIONS(5358),
    [anon_sym_GT_GT] = ACTIONS(5358),
    [anon_sym_LBRACK] = ACTIONS(5356),
    [anon_sym_EQ] = ACTIONS(5358),
    [anon_sym_QMARK] = ACTIONS(5356),
    [anon_sym_STAR_EQ] = ACTIONS(5356),
    [anon_sym_SLASH_EQ] = ACTIONS(5356),
    [anon_sym_PERCENT_EQ] = ACTIONS(5356),
    [anon_sym_PLUS_EQ] = ACTIONS(5356),
    [anon_sym_DASH_EQ] = ACTIONS(5356),
    [anon_sym_LT_LT_EQ] = ACTIONS(5356),
    [anon_sym_GT_GT_EQ] = ACTIONS(5356),
    [anon_sym_AMP_EQ] = ACTIONS(5356),
    [anon_sym_CARET_EQ] = ACTIONS(5356),
    [anon_sym_PIPE_EQ] = ACTIONS(5356),
    [anon_sym_and_eq] = ACTIONS(5358),
    [anon_sym_or_eq] = ACTIONS(5358),
    [anon_sym_xor_eq] = ACTIONS(5358),
    [anon_sym_LT_EQ_GT] = ACTIONS(5356),
    [anon_sym_or] = ACTIONS(5358),
    [anon_sym_and] = ACTIONS(5358),
    [anon_sym_bitor] = ACTIONS(5358),
    [anon_sym_xor] = ACTIONS(5358),
    [anon_sym_bitand] = ACTIONS(5358),
    [anon_sym_not_eq] = ACTIONS(5358),
    [anon_sym_DASH_DASH] = ACTIONS(5356),
    [anon_sym_PLUS_PLUS] = ACTIONS(5356),
    [anon_sym_DOT] = ACTIONS(5358),
    [anon_sym_DOT_STAR] = ACTIONS(5356),
    [anon_sym_DASH_GT] = ACTIONS(5356),
    [anon_sym_L_DQUOTE] = ACTIONS(5885),
    [anon_sym_u_DQUOTE] = ACTIONS(5885),
    [anon_sym_U_DQUOTE] = ACTIONS(5885),
    [anon_sym_u8_DQUOTE] = ACTIONS(5885),
    [anon_sym_DQUOTE] = ACTIONS(5885),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5888),
    [anon_sym_LR_DQUOTE] = ACTIONS(5888),
    [anon_sym_uR_DQUOTE] = ACTIONS(5888),
    [anon_sym_UR_DQUOTE] = ACTIONS(5888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5888),
    [sym_literal_suffix] = ACTIONS(5358),
  },
  [2412] = {
    [sym_identifier] = ACTIONS(5125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5127),
    [anon_sym_COMMA] = ACTIONS(5127),
    [anon_sym_RPAREN] = ACTIONS(5127),
    [aux_sym_preproc_if_token2] = ACTIONS(5127),
    [aux_sym_preproc_else_token1] = ACTIONS(5127),
    [aux_sym_preproc_elif_token1] = ACTIONS(5125),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5127),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5127),
    [anon_sym_LPAREN2] = ACTIONS(5127),
    [anon_sym_DASH] = ACTIONS(5125),
    [anon_sym_PLUS] = ACTIONS(5125),
    [anon_sym_STAR] = ACTIONS(5125),
    [anon_sym_SLASH] = ACTIONS(5125),
    [anon_sym_PERCENT] = ACTIONS(5125),
    [anon_sym_PIPE_PIPE] = ACTIONS(5127),
    [anon_sym_AMP_AMP] = ACTIONS(5127),
    [anon_sym_PIPE] = ACTIONS(5125),
    [anon_sym_CARET] = ACTIONS(5125),
    [anon_sym_AMP] = ACTIONS(5125),
    [anon_sym_EQ_EQ] = ACTIONS(5127),
    [anon_sym_BANG_EQ] = ACTIONS(5127),
    [anon_sym_GT] = ACTIONS(5125),
    [anon_sym_GT_EQ] = ACTIONS(5127),
    [anon_sym_LT_EQ] = ACTIONS(5125),
    [anon_sym_LT] = ACTIONS(5125),
    [anon_sym_LT_LT] = ACTIONS(5125),
    [anon_sym_GT_GT] = ACTIONS(5125),
    [anon_sym_SEMI] = ACTIONS(5127),
    [anon_sym___attribute__] = ACTIONS(5125),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACE] = ACTIONS(5127),
    [anon_sym_RBRACE] = ACTIONS(5127),
    [anon_sym_LBRACK] = ACTIONS(5127),
    [anon_sym_RBRACK] = ACTIONS(5127),
    [anon_sym_EQ] = ACTIONS(5125),
    [anon_sym_COLON] = ACTIONS(5125),
    [anon_sym_QMARK] = ACTIONS(5127),
    [anon_sym_STAR_EQ] = ACTIONS(5127),
    [anon_sym_SLASH_EQ] = ACTIONS(5127),
    [anon_sym_PERCENT_EQ] = ACTIONS(5127),
    [anon_sym_PLUS_EQ] = ACTIONS(5127),
    [anon_sym_DASH_EQ] = ACTIONS(5127),
    [anon_sym_LT_LT_EQ] = ACTIONS(5127),
    [anon_sym_GT_GT_EQ] = ACTIONS(5127),
    [anon_sym_AMP_EQ] = ACTIONS(5127),
    [anon_sym_CARET_EQ] = ACTIONS(5127),
    [anon_sym_PIPE_EQ] = ACTIONS(5127),
    [anon_sym_and_eq] = ACTIONS(5125),
    [anon_sym_or_eq] = ACTIONS(5125),
    [anon_sym_xor_eq] = ACTIONS(5125),
    [anon_sym_LT_EQ_GT] = ACTIONS(5127),
    [anon_sym_or] = ACTIONS(5125),
    [anon_sym_and] = ACTIONS(5125),
    [anon_sym_bitor] = ACTIONS(5125),
    [anon_sym_xor] = ACTIONS(5125),
    [anon_sym_bitand] = ACTIONS(5125),
    [anon_sym_not_eq] = ACTIONS(5125),
    [anon_sym_DASH_DASH] = ACTIONS(5127),
    [anon_sym_PLUS_PLUS] = ACTIONS(5127),
    [anon_sym_DOT] = ACTIONS(5125),
    [anon_sym_DOT_STAR] = ACTIONS(5127),
    [anon_sym_DASH_GT] = ACTIONS(5127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5125),
    [anon_sym_decltype] = ACTIONS(5125),
    [anon_sym_final] = ACTIONS(5125),
    [anon_sym_override] = ACTIONS(5125),
  },
  [2413] = {
    [sym_identifier] = ACTIONS(5133),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5135),
    [anon_sym_COMMA] = ACTIONS(5135),
    [anon_sym_RPAREN] = ACTIONS(5135),
    [aux_sym_preproc_if_token2] = ACTIONS(5135),
    [aux_sym_preproc_else_token1] = ACTIONS(5135),
    [aux_sym_preproc_elif_token1] = ACTIONS(5133),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5135),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5135),
    [anon_sym_LPAREN2] = ACTIONS(5135),
    [anon_sym_DASH] = ACTIONS(5133),
    [anon_sym_PLUS] = ACTIONS(5133),
    [anon_sym_STAR] = ACTIONS(5133),
    [anon_sym_SLASH] = ACTIONS(5133),
    [anon_sym_PERCENT] = ACTIONS(5133),
    [anon_sym_PIPE_PIPE] = ACTIONS(5135),
    [anon_sym_AMP_AMP] = ACTIONS(5135),
    [anon_sym_PIPE] = ACTIONS(5133),
    [anon_sym_CARET] = ACTIONS(5133),
    [anon_sym_AMP] = ACTIONS(5133),
    [anon_sym_EQ_EQ] = ACTIONS(5135),
    [anon_sym_BANG_EQ] = ACTIONS(5135),
    [anon_sym_GT] = ACTIONS(5133),
    [anon_sym_GT_EQ] = ACTIONS(5135),
    [anon_sym_LT_EQ] = ACTIONS(5133),
    [anon_sym_LT] = ACTIONS(5133),
    [anon_sym_LT_LT] = ACTIONS(5133),
    [anon_sym_GT_GT] = ACTIONS(5133),
    [anon_sym_SEMI] = ACTIONS(5135),
    [anon_sym___attribute__] = ACTIONS(5133),
    [anon_sym_COLON_COLON] = ACTIONS(5135),
    [anon_sym_LBRACE] = ACTIONS(5135),
    [anon_sym_RBRACE] = ACTIONS(5135),
    [anon_sym_LBRACK] = ACTIONS(5135),
    [anon_sym_RBRACK] = ACTIONS(5135),
    [anon_sym_EQ] = ACTIONS(5133),
    [anon_sym_COLON] = ACTIONS(5133),
    [anon_sym_QMARK] = ACTIONS(5135),
    [anon_sym_STAR_EQ] = ACTIONS(5135),
    [anon_sym_SLASH_EQ] = ACTIONS(5135),
    [anon_sym_PERCENT_EQ] = ACTIONS(5135),
    [anon_sym_PLUS_EQ] = ACTIONS(5135),
    [anon_sym_DASH_EQ] = ACTIONS(5135),
    [anon_sym_LT_LT_EQ] = ACTIONS(5135),
    [anon_sym_GT_GT_EQ] = ACTIONS(5135),
    [anon_sym_AMP_EQ] = ACTIONS(5135),
    [anon_sym_CARET_EQ] = ACTIONS(5135),
    [anon_sym_PIPE_EQ] = ACTIONS(5135),
    [anon_sym_and_eq] = ACTIONS(5133),
    [anon_sym_or_eq] = ACTIONS(5133),
    [anon_sym_xor_eq] = ACTIONS(5133),
    [anon_sym_LT_EQ_GT] = ACTIONS(5135),
    [anon_sym_or] = ACTIONS(5133),
    [anon_sym_and] = ACTIONS(5133),
    [anon_sym_bitor] = ACTIONS(5133),
    [anon_sym_xor] = ACTIONS(5133),
    [anon_sym_bitand] = ACTIONS(5133),
    [anon_sym_not_eq] = ACTIONS(5133),
    [anon_sym_DASH_DASH] = ACTIONS(5135),
    [anon_sym_PLUS_PLUS] = ACTIONS(5135),
    [anon_sym_DOT] = ACTIONS(5133),
    [anon_sym_DOT_STAR] = ACTIONS(5135),
    [anon_sym_DASH_GT] = ACTIONS(5135),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5133),
    [anon_sym_decltype] = ACTIONS(5133),
    [anon_sym_final] = ACTIONS(5133),
    [anon_sym_override] = ACTIONS(5133),
  },
  [2414] = {
    [sym_identifier] = ACTIONS(5604),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5606),
    [anon_sym_COMMA] = ACTIONS(5606),
    [anon_sym_RPAREN] = ACTIONS(5606),
    [aux_sym_preproc_if_token2] = ACTIONS(5606),
    [aux_sym_preproc_else_token1] = ACTIONS(5606),
    [aux_sym_preproc_elif_token1] = ACTIONS(5604),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_STAR] = ACTIONS(5604),
    [anon_sym_SLASH] = ACTIONS(5604),
    [anon_sym_PERCENT] = ACTIONS(5604),
    [anon_sym_PIPE_PIPE] = ACTIONS(5606),
    [anon_sym_AMP_AMP] = ACTIONS(5606),
    [anon_sym_PIPE] = ACTIONS(5604),
    [anon_sym_CARET] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(5604),
    [anon_sym_EQ_EQ] = ACTIONS(5606),
    [anon_sym_BANG_EQ] = ACTIONS(5606),
    [anon_sym_GT] = ACTIONS(5604),
    [anon_sym_GT_EQ] = ACTIONS(5606),
    [anon_sym_LT_EQ] = ACTIONS(5604),
    [anon_sym_LT] = ACTIONS(5604),
    [anon_sym_LT_LT] = ACTIONS(5604),
    [anon_sym_GT_GT] = ACTIONS(5604),
    [anon_sym_SEMI] = ACTIONS(5606),
    [anon_sym___attribute__] = ACTIONS(5604),
    [anon_sym_COLON_COLON] = ACTIONS(5483),
    [anon_sym_LBRACE] = ACTIONS(5606),
    [anon_sym_RBRACE] = ACTIONS(5606),
    [anon_sym_LBRACK] = ACTIONS(5606),
    [anon_sym_RBRACK] = ACTIONS(5606),
    [anon_sym_EQ] = ACTIONS(5604),
    [anon_sym_COLON] = ACTIONS(5604),
    [anon_sym_QMARK] = ACTIONS(5606),
    [anon_sym_STAR_EQ] = ACTIONS(5606),
    [anon_sym_SLASH_EQ] = ACTIONS(5606),
    [anon_sym_PERCENT_EQ] = ACTIONS(5606),
    [anon_sym_PLUS_EQ] = ACTIONS(5606),
    [anon_sym_DASH_EQ] = ACTIONS(5606),
    [anon_sym_LT_LT_EQ] = ACTIONS(5606),
    [anon_sym_GT_GT_EQ] = ACTIONS(5606),
    [anon_sym_AMP_EQ] = ACTIONS(5606),
    [anon_sym_CARET_EQ] = ACTIONS(5606),
    [anon_sym_PIPE_EQ] = ACTIONS(5606),
    [anon_sym_and_eq] = ACTIONS(5604),
    [anon_sym_or_eq] = ACTIONS(5604),
    [anon_sym_xor_eq] = ACTIONS(5604),
    [anon_sym_LT_EQ_GT] = ACTIONS(5606),
    [anon_sym_or] = ACTIONS(5604),
    [anon_sym_and] = ACTIONS(5604),
    [anon_sym_bitor] = ACTIONS(5604),
    [anon_sym_xor] = ACTIONS(5604),
    [anon_sym_bitand] = ACTIONS(5604),
    [anon_sym_not_eq] = ACTIONS(5604),
    [anon_sym_DASH_DASH] = ACTIONS(5606),
    [anon_sym_PLUS_PLUS] = ACTIONS(5606),
    [anon_sym_DOT] = ACTIONS(5604),
    [anon_sym_DOT_STAR] = ACTIONS(5606),
    [anon_sym_DASH_GT] = ACTIONS(5606),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5604),
    [anon_sym_decltype] = ACTIONS(5604),
    [anon_sym_final] = ACTIONS(5604),
    [anon_sym_override] = ACTIONS(5604),
  },
  [2415] = {
    [sym_identifier] = ACTIONS(5604),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5606),
    [anon_sym_COMMA] = ACTIONS(5606),
    [anon_sym_RPAREN] = ACTIONS(5606),
    [aux_sym_preproc_if_token2] = ACTIONS(5606),
    [aux_sym_preproc_else_token1] = ACTIONS(5606),
    [aux_sym_preproc_elif_token1] = ACTIONS(5604),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_STAR] = ACTIONS(5604),
    [anon_sym_SLASH] = ACTIONS(5604),
    [anon_sym_PERCENT] = ACTIONS(5604),
    [anon_sym_PIPE_PIPE] = ACTIONS(5606),
    [anon_sym_AMP_AMP] = ACTIONS(5606),
    [anon_sym_PIPE] = ACTIONS(5604),
    [anon_sym_CARET] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(5604),
    [anon_sym_EQ_EQ] = ACTIONS(5606),
    [anon_sym_BANG_EQ] = ACTIONS(5606),
    [anon_sym_GT] = ACTIONS(5604),
    [anon_sym_GT_EQ] = ACTIONS(5606),
    [anon_sym_LT_EQ] = ACTIONS(5604),
    [anon_sym_LT] = ACTIONS(5604),
    [anon_sym_LT_LT] = ACTIONS(5604),
    [anon_sym_GT_GT] = ACTIONS(5604),
    [anon_sym_SEMI] = ACTIONS(5606),
    [anon_sym___attribute__] = ACTIONS(5604),
    [anon_sym_COLON_COLON] = ACTIONS(5483),
    [anon_sym_LBRACE] = ACTIONS(5606),
    [anon_sym_RBRACE] = ACTIONS(5606),
    [anon_sym_LBRACK] = ACTIONS(5606),
    [anon_sym_RBRACK] = ACTIONS(5606),
    [anon_sym_EQ] = ACTIONS(5604),
    [anon_sym_COLON] = ACTIONS(5604),
    [anon_sym_QMARK] = ACTIONS(5606),
    [anon_sym_STAR_EQ] = ACTIONS(5606),
    [anon_sym_SLASH_EQ] = ACTIONS(5606),
    [anon_sym_PERCENT_EQ] = ACTIONS(5606),
    [anon_sym_PLUS_EQ] = ACTIONS(5606),
    [anon_sym_DASH_EQ] = ACTIONS(5606),
    [anon_sym_LT_LT_EQ] = ACTIONS(5606),
    [anon_sym_GT_GT_EQ] = ACTIONS(5606),
    [anon_sym_AMP_EQ] = ACTIONS(5606),
    [anon_sym_CARET_EQ] = ACTIONS(5606),
    [anon_sym_PIPE_EQ] = ACTIONS(5606),
    [anon_sym_and_eq] = ACTIONS(5604),
    [anon_sym_or_eq] = ACTIONS(5604),
    [anon_sym_xor_eq] = ACTIONS(5604),
    [anon_sym_LT_EQ_GT] = ACTIONS(5606),
    [anon_sym_or] = ACTIONS(5604),
    [anon_sym_and] = ACTIONS(5604),
    [anon_sym_bitor] = ACTIONS(5604),
    [anon_sym_xor] = ACTIONS(5604),
    [anon_sym_bitand] = ACTIONS(5604),
    [anon_sym_not_eq] = ACTIONS(5604),
    [anon_sym_DASH_DASH] = ACTIONS(5606),
    [anon_sym_PLUS_PLUS] = ACTIONS(5606),
    [anon_sym_DOT] = ACTIONS(5604),
    [anon_sym_DOT_STAR] = ACTIONS(5606),
    [anon_sym_DASH_GT] = ACTIONS(5606),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5604),
    [anon_sym_decltype] = ACTIONS(5604),
    [anon_sym_final] = ACTIONS(5604),
    [anon_sym_override] = ACTIONS(5604),
  },
  [2416] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_PROGMEM] = ACTIONS(2917),
    [aux_sym_primitive_type_token1] = ACTIONS(2917),
    [anon_sym_byte] = ACTIONS(2917),
    [anon_sym_word] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_friend] = ACTIONS(2917),
    [anon_sym_public] = ACTIONS(2917),
    [anon_sym_private] = ACTIONS(2917),
    [anon_sym_protected] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_catch] = ACTIONS(2917),
  },
  [2417] = {
    [sym_template_argument_list] = STATE(2014),
    [sym_identifier] = ACTIONS(5822),
    [anon_sym_LPAREN2] = ACTIONS(4470),
    [anon_sym_TILDE] = ACTIONS(4470),
    [anon_sym_STAR] = ACTIONS(4470),
    [anon_sym_PIPE_PIPE] = ACTIONS(4470),
    [anon_sym_AMP_AMP] = ACTIONS(4470),
    [anon_sym_AMP] = ACTIONS(5822),
    [anon_sym_LT] = ACTIONS(5865),
    [anon_sym___extension__] = ACTIONS(5822),
    [anon_sym_extern] = ACTIONS(5822),
    [anon_sym___attribute__] = ACTIONS(5822),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4470),
    [anon_sym___declspec] = ACTIONS(5822),
    [anon_sym___based] = ACTIONS(5822),
    [anon_sym___cdecl] = ACTIONS(5822),
    [anon_sym___clrcall] = ACTIONS(5822),
    [anon_sym___stdcall] = ACTIONS(5822),
    [anon_sym___fastcall] = ACTIONS(5822),
    [anon_sym___thiscall] = ACTIONS(5822),
    [anon_sym___vectorcall] = ACTIONS(5822),
    [anon_sym_signed] = ACTIONS(5822),
    [anon_sym_unsigned] = ACTIONS(5822),
    [anon_sym_long] = ACTIONS(5822),
    [anon_sym_short] = ACTIONS(5822),
    [anon_sym_LBRACK] = ACTIONS(5822),
    [anon_sym_static] = ACTIONS(5822),
    [anon_sym_register] = ACTIONS(5822),
    [anon_sym_inline] = ACTIONS(5822),
    [anon_sym___inline] = ACTIONS(5822),
    [anon_sym___inline__] = ACTIONS(5822),
    [anon_sym___forceinline] = ACTIONS(5822),
    [anon_sym_thread_local] = ACTIONS(5822),
    [anon_sym___thread] = ACTIONS(5822),
    [anon_sym_const] = ACTIONS(5822),
    [anon_sym_constexpr] = ACTIONS(5822),
    [anon_sym_volatile] = ACTIONS(5822),
    [anon_sym_restrict] = ACTIONS(5822),
    [anon_sym___restrict__] = ACTIONS(5822),
    [anon_sym__Atomic] = ACTIONS(5822),
    [anon_sym__Noreturn] = ACTIONS(5822),
    [anon_sym_noreturn] = ACTIONS(5822),
    [anon_sym_mutable] = ACTIONS(5822),
    [anon_sym_constinit] = ACTIONS(5822),
    [anon_sym_consteval] = ACTIONS(5822),
    [anon_sym_PROGMEM] = ACTIONS(5822),
    [aux_sym_primitive_type_token1] = ACTIONS(5822),
    [anon_sym_byte] = ACTIONS(5822),
    [anon_sym_word] = ACTIONS(5822),
    [anon_sym_enum] = ACTIONS(5822),
    [anon_sym_class] = ACTIONS(5822),
    [anon_sym_struct] = ACTIONS(5822),
    [anon_sym_union] = ACTIONS(5822),
    [anon_sym_or] = ACTIONS(5822),
    [anon_sym_and] = ACTIONS(5822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5822),
    [anon_sym_decltype] = ACTIONS(5822),
    [anon_sym_virtual] = ACTIONS(5822),
    [anon_sym_alignas] = ACTIONS(5822),
    [anon_sym_explicit] = ACTIONS(5822),
    [anon_sym_typename] = ACTIONS(5822),
    [anon_sym_template] = ACTIONS(5822),
    [anon_sym_operator] = ACTIONS(5822),
    [anon_sym_friend] = ACTIONS(5822),
    [anon_sym_using] = ACTIONS(5822),
    [anon_sym_concept] = ACTIONS(5822),
  },
  [2418] = {
    [sym_string_literal] = STATE(2422),
    [sym_raw_string_literal] = STATE(2422),
    [aux_sym_concatenated_string_repeat1] = STATE(2422),
    [sym_identifier] = ACTIONS(5891),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5368),
    [anon_sym_COMMA] = ACTIONS(5368),
    [aux_sym_preproc_if_token2] = ACTIONS(5368),
    [aux_sym_preproc_else_token1] = ACTIONS(5368),
    [aux_sym_preproc_elif_token1] = ACTIONS(5368),
    [anon_sym_LPAREN2] = ACTIONS(5368),
    [anon_sym_DASH] = ACTIONS(5370),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_STAR] = ACTIONS(5370),
    [anon_sym_SLASH] = ACTIONS(5370),
    [anon_sym_PERCENT] = ACTIONS(5370),
    [anon_sym_PIPE_PIPE] = ACTIONS(5368),
    [anon_sym_AMP_AMP] = ACTIONS(5368),
    [anon_sym_PIPE] = ACTIONS(5370),
    [anon_sym_CARET] = ACTIONS(5370),
    [anon_sym_AMP] = ACTIONS(5370),
    [anon_sym_EQ_EQ] = ACTIONS(5368),
    [anon_sym_BANG_EQ] = ACTIONS(5368),
    [anon_sym_GT] = ACTIONS(5370),
    [anon_sym_GT_EQ] = ACTIONS(5368),
    [anon_sym_LT_EQ] = ACTIONS(5370),
    [anon_sym_LT] = ACTIONS(5370),
    [anon_sym_LT_LT] = ACTIONS(5370),
    [anon_sym_GT_GT] = ACTIONS(5370),
    [anon_sym_LBRACK] = ACTIONS(5368),
    [anon_sym_EQ] = ACTIONS(5370),
    [anon_sym_QMARK] = ACTIONS(5368),
    [anon_sym_STAR_EQ] = ACTIONS(5368),
    [anon_sym_SLASH_EQ] = ACTIONS(5368),
    [anon_sym_PERCENT_EQ] = ACTIONS(5368),
    [anon_sym_PLUS_EQ] = ACTIONS(5368),
    [anon_sym_DASH_EQ] = ACTIONS(5368),
    [anon_sym_LT_LT_EQ] = ACTIONS(5368),
    [anon_sym_GT_GT_EQ] = ACTIONS(5368),
    [anon_sym_AMP_EQ] = ACTIONS(5368),
    [anon_sym_CARET_EQ] = ACTIONS(5368),
    [anon_sym_PIPE_EQ] = ACTIONS(5368),
    [anon_sym_and_eq] = ACTIONS(5370),
    [anon_sym_or_eq] = ACTIONS(5370),
    [anon_sym_xor_eq] = ACTIONS(5370),
    [anon_sym_LT_EQ_GT] = ACTIONS(5368),
    [anon_sym_or] = ACTIONS(5370),
    [anon_sym_and] = ACTIONS(5370),
    [anon_sym_bitor] = ACTIONS(5370),
    [anon_sym_xor] = ACTIONS(5370),
    [anon_sym_bitand] = ACTIONS(5370),
    [anon_sym_not_eq] = ACTIONS(5370),
    [anon_sym_DASH_DASH] = ACTIONS(5368),
    [anon_sym_PLUS_PLUS] = ACTIONS(5368),
    [anon_sym_DOT] = ACTIONS(5370),
    [anon_sym_DOT_STAR] = ACTIONS(5368),
    [anon_sym_DASH_GT] = ACTIONS(5368),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [sym_literal_suffix] = ACTIONS(5370),
  },
  [2419] = {
    [sym_identifier] = ACTIONS(5585),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5587),
    [anon_sym_COMMA] = ACTIONS(5587),
    [anon_sym_RPAREN] = ACTIONS(5587),
    [aux_sym_preproc_if_token2] = ACTIONS(5587),
    [aux_sym_preproc_else_token1] = ACTIONS(5587),
    [aux_sym_preproc_elif_token1] = ACTIONS(5585),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5587),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5587),
    [anon_sym_LPAREN2] = ACTIONS(5587),
    [anon_sym_DASH] = ACTIONS(5585),
    [anon_sym_PLUS] = ACTIONS(5585),
    [anon_sym_STAR] = ACTIONS(5585),
    [anon_sym_SLASH] = ACTIONS(5585),
    [anon_sym_PERCENT] = ACTIONS(5585),
    [anon_sym_PIPE_PIPE] = ACTIONS(5587),
    [anon_sym_AMP_AMP] = ACTIONS(5587),
    [anon_sym_PIPE] = ACTIONS(5585),
    [anon_sym_CARET] = ACTIONS(5585),
    [anon_sym_AMP] = ACTIONS(5585),
    [anon_sym_EQ_EQ] = ACTIONS(5587),
    [anon_sym_BANG_EQ] = ACTIONS(5587),
    [anon_sym_GT] = ACTIONS(5585),
    [anon_sym_GT_EQ] = ACTIONS(5587),
    [anon_sym_LT_EQ] = ACTIONS(5585),
    [anon_sym_LT] = ACTIONS(5585),
    [anon_sym_LT_LT] = ACTIONS(5585),
    [anon_sym_GT_GT] = ACTIONS(5585),
    [anon_sym_SEMI] = ACTIONS(5587),
    [anon_sym___attribute__] = ACTIONS(5585),
    [anon_sym_COLON_COLON] = ACTIONS(5587),
    [anon_sym_LBRACE] = ACTIONS(5587),
    [anon_sym_RBRACE] = ACTIONS(5587),
    [anon_sym_LBRACK] = ACTIONS(5587),
    [anon_sym_RBRACK] = ACTIONS(5587),
    [anon_sym_EQ] = ACTIONS(5585),
    [anon_sym_COLON] = ACTIONS(5585),
    [anon_sym_QMARK] = ACTIONS(5587),
    [anon_sym_STAR_EQ] = ACTIONS(5587),
    [anon_sym_SLASH_EQ] = ACTIONS(5587),
    [anon_sym_PERCENT_EQ] = ACTIONS(5587),
    [anon_sym_PLUS_EQ] = ACTIONS(5587),
    [anon_sym_DASH_EQ] = ACTIONS(5587),
    [anon_sym_LT_LT_EQ] = ACTIONS(5587),
    [anon_sym_GT_GT_EQ] = ACTIONS(5587),
    [anon_sym_AMP_EQ] = ACTIONS(5587),
    [anon_sym_CARET_EQ] = ACTIONS(5587),
    [anon_sym_PIPE_EQ] = ACTIONS(5587),
    [anon_sym_and_eq] = ACTIONS(5585),
    [anon_sym_or_eq] = ACTIONS(5585),
    [anon_sym_xor_eq] = ACTIONS(5585),
    [anon_sym_LT_EQ_GT] = ACTIONS(5587),
    [anon_sym_or] = ACTIONS(5585),
    [anon_sym_and] = ACTIONS(5585),
    [anon_sym_bitor] = ACTIONS(5585),
    [anon_sym_xor] = ACTIONS(5585),
    [anon_sym_bitand] = ACTIONS(5585),
    [anon_sym_not_eq] = ACTIONS(5585),
    [anon_sym_DASH_DASH] = ACTIONS(5587),
    [anon_sym_PLUS_PLUS] = ACTIONS(5587),
    [anon_sym_DOT] = ACTIONS(5585),
    [anon_sym_DOT_STAR] = ACTIONS(5587),
    [anon_sym_DASH_GT] = ACTIONS(5587),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5585),
    [anon_sym_decltype] = ACTIONS(5585),
    [anon_sym_final] = ACTIONS(5585),
    [anon_sym_override] = ACTIONS(5585),
  },
  [2420] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(4299),
    [sym_raw_string_literal] = STATE(2984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(5867),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4446),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5867),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_RBRACE] = ACTIONS(4446),
    [anon_sym_LBRACK] = ACTIONS(5869),
    [anon_sym_EQ] = ACTIONS(4478),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4482),
    [anon_sym_SLASH_EQ] = ACTIONS(4482),
    [anon_sym_PERCENT_EQ] = ACTIONS(4482),
    [anon_sym_PLUS_EQ] = ACTIONS(4482),
    [anon_sym_DASH_EQ] = ACTIONS(4482),
    [anon_sym_LT_LT_EQ] = ACTIONS(4482),
    [anon_sym_GT_GT_EQ] = ACTIONS(4482),
    [anon_sym_AMP_EQ] = ACTIONS(4482),
    [anon_sym_CARET_EQ] = ACTIONS(4482),
    [anon_sym_PIPE_EQ] = ACTIONS(4482),
    [anon_sym_and_eq] = ACTIONS(4482),
    [anon_sym_or_eq] = ACTIONS(4482),
    [anon_sym_xor_eq] = ACTIONS(4482),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [2421] = {
    [sym_identifier] = ACTIONS(5129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5131),
    [anon_sym_COMMA] = ACTIONS(5131),
    [anon_sym_RPAREN] = ACTIONS(5131),
    [aux_sym_preproc_if_token2] = ACTIONS(5131),
    [aux_sym_preproc_else_token1] = ACTIONS(5131),
    [aux_sym_preproc_elif_token1] = ACTIONS(5129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5131),
    [anon_sym_LPAREN2] = ACTIONS(5131),
    [anon_sym_DASH] = ACTIONS(5129),
    [anon_sym_PLUS] = ACTIONS(5129),
    [anon_sym_STAR] = ACTIONS(5129),
    [anon_sym_SLASH] = ACTIONS(5129),
    [anon_sym_PERCENT] = ACTIONS(5129),
    [anon_sym_PIPE_PIPE] = ACTIONS(5131),
    [anon_sym_AMP_AMP] = ACTIONS(5131),
    [anon_sym_PIPE] = ACTIONS(5129),
    [anon_sym_CARET] = ACTIONS(5129),
    [anon_sym_AMP] = ACTIONS(5129),
    [anon_sym_EQ_EQ] = ACTIONS(5131),
    [anon_sym_BANG_EQ] = ACTIONS(5131),
    [anon_sym_GT] = ACTIONS(5129),
    [anon_sym_GT_EQ] = ACTIONS(5131),
    [anon_sym_LT_EQ] = ACTIONS(5129),
    [anon_sym_LT] = ACTIONS(5129),
    [anon_sym_LT_LT] = ACTIONS(5129),
    [anon_sym_GT_GT] = ACTIONS(5129),
    [anon_sym_SEMI] = ACTIONS(5131),
    [anon_sym___attribute__] = ACTIONS(5129),
    [anon_sym_COLON_COLON] = ACTIONS(5131),
    [anon_sym_LBRACE] = ACTIONS(5131),
    [anon_sym_RBRACE] = ACTIONS(5131),
    [anon_sym_LBRACK] = ACTIONS(5131),
    [anon_sym_RBRACK] = ACTIONS(5131),
    [anon_sym_EQ] = ACTIONS(5129),
    [anon_sym_COLON] = ACTIONS(5129),
    [anon_sym_QMARK] = ACTIONS(5131),
    [anon_sym_STAR_EQ] = ACTIONS(5131),
    [anon_sym_SLASH_EQ] = ACTIONS(5131),
    [anon_sym_PERCENT_EQ] = ACTIONS(5131),
    [anon_sym_PLUS_EQ] = ACTIONS(5131),
    [anon_sym_DASH_EQ] = ACTIONS(5131),
    [anon_sym_LT_LT_EQ] = ACTIONS(5131),
    [anon_sym_GT_GT_EQ] = ACTIONS(5131),
    [anon_sym_AMP_EQ] = ACTIONS(5131),
    [anon_sym_CARET_EQ] = ACTIONS(5131),
    [anon_sym_PIPE_EQ] = ACTIONS(5131),
    [anon_sym_and_eq] = ACTIONS(5129),
    [anon_sym_or_eq] = ACTIONS(5129),
    [anon_sym_xor_eq] = ACTIONS(5129),
    [anon_sym_LT_EQ_GT] = ACTIONS(5131),
    [anon_sym_or] = ACTIONS(5129),
    [anon_sym_and] = ACTIONS(5129),
    [anon_sym_bitor] = ACTIONS(5129),
    [anon_sym_xor] = ACTIONS(5129),
    [anon_sym_bitand] = ACTIONS(5129),
    [anon_sym_not_eq] = ACTIONS(5129),
    [anon_sym_DASH_DASH] = ACTIONS(5131),
    [anon_sym_PLUS_PLUS] = ACTIONS(5131),
    [anon_sym_DOT] = ACTIONS(5129),
    [anon_sym_DOT_STAR] = ACTIONS(5131),
    [anon_sym_DASH_GT] = ACTIONS(5131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5129),
    [anon_sym_decltype] = ACTIONS(5129),
    [anon_sym_final] = ACTIONS(5129),
    [anon_sym_override] = ACTIONS(5129),
  },
  [2422] = {
    [sym_string_literal] = STATE(2411),
    [sym_raw_string_literal] = STATE(2411),
    [aux_sym_concatenated_string_repeat1] = STATE(2411),
    [sym_identifier] = ACTIONS(5893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5383),
    [anon_sym_COMMA] = ACTIONS(5383),
    [aux_sym_preproc_if_token2] = ACTIONS(5383),
    [aux_sym_preproc_else_token1] = ACTIONS(5383),
    [aux_sym_preproc_elif_token1] = ACTIONS(5383),
    [anon_sym_LPAREN2] = ACTIONS(5383),
    [anon_sym_DASH] = ACTIONS(5385),
    [anon_sym_PLUS] = ACTIONS(5385),
    [anon_sym_STAR] = ACTIONS(5385),
    [anon_sym_SLASH] = ACTIONS(5385),
    [anon_sym_PERCENT] = ACTIONS(5385),
    [anon_sym_PIPE_PIPE] = ACTIONS(5383),
    [anon_sym_AMP_AMP] = ACTIONS(5383),
    [anon_sym_PIPE] = ACTIONS(5385),
    [anon_sym_CARET] = ACTIONS(5385),
    [anon_sym_AMP] = ACTIONS(5385),
    [anon_sym_EQ_EQ] = ACTIONS(5383),
    [anon_sym_BANG_EQ] = ACTIONS(5383),
    [anon_sym_GT] = ACTIONS(5385),
    [anon_sym_GT_EQ] = ACTIONS(5383),
    [anon_sym_LT_EQ] = ACTIONS(5385),
    [anon_sym_LT] = ACTIONS(5385),
    [anon_sym_LT_LT] = ACTIONS(5385),
    [anon_sym_GT_GT] = ACTIONS(5385),
    [anon_sym_LBRACK] = ACTIONS(5383),
    [anon_sym_EQ] = ACTIONS(5385),
    [anon_sym_QMARK] = ACTIONS(5383),
    [anon_sym_STAR_EQ] = ACTIONS(5383),
    [anon_sym_SLASH_EQ] = ACTIONS(5383),
    [anon_sym_PERCENT_EQ] = ACTIONS(5383),
    [anon_sym_PLUS_EQ] = ACTIONS(5383),
    [anon_sym_DASH_EQ] = ACTIONS(5383),
    [anon_sym_LT_LT_EQ] = ACTIONS(5383),
    [anon_sym_GT_GT_EQ] = ACTIONS(5383),
    [anon_sym_AMP_EQ] = ACTIONS(5383),
    [anon_sym_CARET_EQ] = ACTIONS(5383),
    [anon_sym_PIPE_EQ] = ACTIONS(5383),
    [anon_sym_and_eq] = ACTIONS(5385),
    [anon_sym_or_eq] = ACTIONS(5385),
    [anon_sym_xor_eq] = ACTIONS(5385),
    [anon_sym_LT_EQ_GT] = ACTIONS(5383),
    [anon_sym_or] = ACTIONS(5385),
    [anon_sym_and] = ACTIONS(5385),
    [anon_sym_bitor] = ACTIONS(5385),
    [anon_sym_xor] = ACTIONS(5385),
    [anon_sym_bitand] = ACTIONS(5385),
    [anon_sym_not_eq] = ACTIONS(5385),
    [anon_sym_DASH_DASH] = ACTIONS(5383),
    [anon_sym_PLUS_PLUS] = ACTIONS(5383),
    [anon_sym_DOT] = ACTIONS(5385),
    [anon_sym_DOT_STAR] = ACTIONS(5383),
    [anon_sym_DASH_GT] = ACTIONS(5383),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [sym_literal_suffix] = ACTIONS(5385),
  },
  [2423] = {
    [sym_identifier] = ACTIONS(5153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5158),
    [anon_sym_COMMA] = ACTIONS(5158),
    [anon_sym_RPAREN] = ACTIONS(5158),
    [aux_sym_preproc_if_token2] = ACTIONS(5158),
    [aux_sym_preproc_else_token1] = ACTIONS(5158),
    [aux_sym_preproc_elif_token1] = ACTIONS(5153),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5158),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5158),
    [anon_sym_LPAREN2] = ACTIONS(5158),
    [anon_sym_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(5153),
    [anon_sym_STAR] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(5153),
    [anon_sym_PERCENT] = ACTIONS(5153),
    [anon_sym_PIPE_PIPE] = ACTIONS(5158),
    [anon_sym_AMP_AMP] = ACTIONS(5158),
    [anon_sym_PIPE] = ACTIONS(5153),
    [anon_sym_CARET] = ACTIONS(5153),
    [anon_sym_AMP] = ACTIONS(5153),
    [anon_sym_EQ_EQ] = ACTIONS(5158),
    [anon_sym_BANG_EQ] = ACTIONS(5158),
    [anon_sym_GT] = ACTIONS(5153),
    [anon_sym_GT_EQ] = ACTIONS(5158),
    [anon_sym_LT_EQ] = ACTIONS(5153),
    [anon_sym_LT] = ACTIONS(5153),
    [anon_sym_LT_LT] = ACTIONS(5153),
    [anon_sym_GT_GT] = ACTIONS(5153),
    [anon_sym_SEMI] = ACTIONS(5158),
    [anon_sym___attribute__] = ACTIONS(5153),
    [anon_sym_COLON_COLON] = ACTIONS(5158),
    [anon_sym_LBRACE] = ACTIONS(5158),
    [anon_sym_RBRACE] = ACTIONS(5158),
    [anon_sym_LBRACK] = ACTIONS(5158),
    [anon_sym_RBRACK] = ACTIONS(5158),
    [anon_sym_EQ] = ACTIONS(5153),
    [anon_sym_COLON] = ACTIONS(5153),
    [anon_sym_QMARK] = ACTIONS(5158),
    [anon_sym_STAR_EQ] = ACTIONS(5158),
    [anon_sym_SLASH_EQ] = ACTIONS(5158),
    [anon_sym_PERCENT_EQ] = ACTIONS(5158),
    [anon_sym_PLUS_EQ] = ACTIONS(5158),
    [anon_sym_DASH_EQ] = ACTIONS(5158),
    [anon_sym_LT_LT_EQ] = ACTIONS(5158),
    [anon_sym_GT_GT_EQ] = ACTIONS(5158),
    [anon_sym_AMP_EQ] = ACTIONS(5158),
    [anon_sym_CARET_EQ] = ACTIONS(5158),
    [anon_sym_PIPE_EQ] = ACTIONS(5158),
    [anon_sym_and_eq] = ACTIONS(5153),
    [anon_sym_or_eq] = ACTIONS(5153),
    [anon_sym_xor_eq] = ACTIONS(5153),
    [anon_sym_LT_EQ_GT] = ACTIONS(5158),
    [anon_sym_or] = ACTIONS(5153),
    [anon_sym_and] = ACTIONS(5153),
    [anon_sym_bitor] = ACTIONS(5153),
    [anon_sym_xor] = ACTIONS(5153),
    [anon_sym_bitand] = ACTIONS(5153),
    [anon_sym_not_eq] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5158),
    [anon_sym_PLUS_PLUS] = ACTIONS(5158),
    [anon_sym_DOT] = ACTIONS(5153),
    [anon_sym_DOT_STAR] = ACTIONS(5158),
    [anon_sym_DASH_GT] = ACTIONS(5158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5153),
    [anon_sym_decltype] = ACTIONS(5153),
    [anon_sym_final] = ACTIONS(5153),
    [anon_sym_override] = ACTIONS(5153),
  },
  [2424] = {
    [sym_identifier] = ACTIONS(3405),
    [aux_sym_preproc_def_token1] = ACTIONS(3405),
    [aux_sym_preproc_if_token1] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3405),
    [sym_preproc_directive] = ACTIONS(3405),
    [anon_sym_LPAREN2] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3407),
    [anon_sym_STAR] = ACTIONS(3407),
    [anon_sym_AMP_AMP] = ACTIONS(3407),
    [anon_sym_AMP] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(5895),
    [anon_sym___extension__] = ACTIONS(3405),
    [anon_sym_typedef] = ACTIONS(3405),
    [anon_sym_extern] = ACTIONS(3405),
    [anon_sym___attribute__] = ACTIONS(3405),
    [anon_sym_COLON_COLON] = ACTIONS(3407),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3407),
    [anon_sym___declspec] = ACTIONS(3405),
    [anon_sym___based] = ACTIONS(3405),
    [anon_sym_RBRACE] = ACTIONS(3407),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_register] = ACTIONS(3405),
    [anon_sym_inline] = ACTIONS(3405),
    [anon_sym___inline] = ACTIONS(3405),
    [anon_sym___inline__] = ACTIONS(3405),
    [anon_sym___forceinline] = ACTIONS(3405),
    [anon_sym_thread_local] = ACTIONS(3405),
    [anon_sym___thread] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_constexpr] = ACTIONS(3405),
    [anon_sym_volatile] = ACTIONS(3405),
    [anon_sym_restrict] = ACTIONS(3405),
    [anon_sym___restrict__] = ACTIONS(3405),
    [anon_sym__Atomic] = ACTIONS(3405),
    [anon_sym__Noreturn] = ACTIONS(3405),
    [anon_sym_noreturn] = ACTIONS(3405),
    [anon_sym_mutable] = ACTIONS(3405),
    [anon_sym_constinit] = ACTIONS(3405),
    [anon_sym_consteval] = ACTIONS(3405),
    [anon_sym_PROGMEM] = ACTIONS(3405),
    [aux_sym_primitive_type_token1] = ACTIONS(3405),
    [anon_sym_byte] = ACTIONS(3405),
    [anon_sym_word] = ACTIONS(3405),
    [anon_sym_enum] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_struct] = ACTIONS(3405),
    [anon_sym_union] = ACTIONS(3405),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3405),
    [anon_sym_decltype] = ACTIONS(3405),
    [anon_sym_virtual] = ACTIONS(3405),
    [anon_sym_alignas] = ACTIONS(3405),
    [anon_sym_explicit] = ACTIONS(3405),
    [anon_sym_typename] = ACTIONS(3405),
    [anon_sym_template] = ACTIONS(3405),
    [anon_sym_operator] = ACTIONS(3405),
    [anon_sym_friend] = ACTIONS(3405),
    [anon_sym_public] = ACTIONS(3405),
    [anon_sym_private] = ACTIONS(3405),
    [anon_sym_protected] = ACTIONS(3405),
    [anon_sym_using] = ACTIONS(3405),
    [anon_sym_static_assert] = ACTIONS(3405),
  },
  [2425] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(4299),
    [sym_raw_string_literal] = STATE(2984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_RPAREN] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4446),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_RBRACE] = ACTIONS(4446),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(4478),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4482),
    [anon_sym_SLASH_EQ] = ACTIONS(4482),
    [anon_sym_PERCENT_EQ] = ACTIONS(4482),
    [anon_sym_PLUS_EQ] = ACTIONS(4482),
    [anon_sym_DASH_EQ] = ACTIONS(4482),
    [anon_sym_LT_LT_EQ] = ACTIONS(4482),
    [anon_sym_GT_GT_EQ] = ACTIONS(4482),
    [anon_sym_AMP_EQ] = ACTIONS(4482),
    [anon_sym_CARET_EQ] = ACTIONS(4482),
    [anon_sym_PIPE_EQ] = ACTIONS(4482),
    [anon_sym_and_eq] = ACTIONS(4482),
    [anon_sym_or_eq] = ACTIONS(4482),
    [anon_sym_xor_eq] = ACTIONS(4482),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [2426] = {
    [sym_identifier] = ACTIONS(5149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5151),
    [anon_sym_COMMA] = ACTIONS(5151),
    [anon_sym_RPAREN] = ACTIONS(5151),
    [aux_sym_preproc_if_token2] = ACTIONS(5151),
    [aux_sym_preproc_else_token1] = ACTIONS(5151),
    [aux_sym_preproc_elif_token1] = ACTIONS(5149),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5151),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5151),
    [anon_sym_LPAREN2] = ACTIONS(5151),
    [anon_sym_DASH] = ACTIONS(5149),
    [anon_sym_PLUS] = ACTIONS(5149),
    [anon_sym_STAR] = ACTIONS(5149),
    [anon_sym_SLASH] = ACTIONS(5149),
    [anon_sym_PERCENT] = ACTIONS(5149),
    [anon_sym_PIPE_PIPE] = ACTIONS(5151),
    [anon_sym_AMP_AMP] = ACTIONS(5151),
    [anon_sym_PIPE] = ACTIONS(5149),
    [anon_sym_CARET] = ACTIONS(5149),
    [anon_sym_AMP] = ACTIONS(5149),
    [anon_sym_EQ_EQ] = ACTIONS(5151),
    [anon_sym_BANG_EQ] = ACTIONS(5151),
    [anon_sym_GT] = ACTIONS(5149),
    [anon_sym_GT_EQ] = ACTIONS(5151),
    [anon_sym_LT_EQ] = ACTIONS(5149),
    [anon_sym_LT] = ACTIONS(5149),
    [anon_sym_LT_LT] = ACTIONS(5149),
    [anon_sym_GT_GT] = ACTIONS(5149),
    [anon_sym_SEMI] = ACTIONS(5151),
    [anon_sym___attribute__] = ACTIONS(5149),
    [anon_sym_COLON_COLON] = ACTIONS(5151),
    [anon_sym_LBRACE] = ACTIONS(5151),
    [anon_sym_RBRACE] = ACTIONS(5151),
    [anon_sym_LBRACK] = ACTIONS(5151),
    [anon_sym_RBRACK] = ACTIONS(5151),
    [anon_sym_EQ] = ACTIONS(5149),
    [anon_sym_COLON] = ACTIONS(5149),
    [anon_sym_QMARK] = ACTIONS(5151),
    [anon_sym_STAR_EQ] = ACTIONS(5151),
    [anon_sym_SLASH_EQ] = ACTIONS(5151),
    [anon_sym_PERCENT_EQ] = ACTIONS(5151),
    [anon_sym_PLUS_EQ] = ACTIONS(5151),
    [anon_sym_DASH_EQ] = ACTIONS(5151),
    [anon_sym_LT_LT_EQ] = ACTIONS(5151),
    [anon_sym_GT_GT_EQ] = ACTIONS(5151),
    [anon_sym_AMP_EQ] = ACTIONS(5151),
    [anon_sym_CARET_EQ] = ACTIONS(5151),
    [anon_sym_PIPE_EQ] = ACTIONS(5151),
    [anon_sym_and_eq] = ACTIONS(5149),
    [anon_sym_or_eq] = ACTIONS(5149),
    [anon_sym_xor_eq] = ACTIONS(5149),
    [anon_sym_LT_EQ_GT] = ACTIONS(5151),
    [anon_sym_or] = ACTIONS(5149),
    [anon_sym_and] = ACTIONS(5149),
    [anon_sym_bitor] = ACTIONS(5149),
    [anon_sym_xor] = ACTIONS(5149),
    [anon_sym_bitand] = ACTIONS(5149),
    [anon_sym_not_eq] = ACTIONS(5149),
    [anon_sym_DASH_DASH] = ACTIONS(5151),
    [anon_sym_PLUS_PLUS] = ACTIONS(5151),
    [anon_sym_DOT] = ACTIONS(5149),
    [anon_sym_DOT_STAR] = ACTIONS(5151),
    [anon_sym_DASH_GT] = ACTIONS(5151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5149),
    [anon_sym_decltype] = ACTIONS(5149),
    [anon_sym_final] = ACTIONS(5149),
    [anon_sym_override] = ACTIONS(5149),
  },
  [2427] = {
    [sym_identifier] = ACTIONS(5145),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5147),
    [anon_sym_COMMA] = ACTIONS(5147),
    [anon_sym_RPAREN] = ACTIONS(5147),
    [aux_sym_preproc_if_token2] = ACTIONS(5147),
    [aux_sym_preproc_else_token1] = ACTIONS(5147),
    [aux_sym_preproc_elif_token1] = ACTIONS(5145),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5147),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5147),
    [anon_sym_LPAREN2] = ACTIONS(5147),
    [anon_sym_DASH] = ACTIONS(5145),
    [anon_sym_PLUS] = ACTIONS(5145),
    [anon_sym_STAR] = ACTIONS(5145),
    [anon_sym_SLASH] = ACTIONS(5145),
    [anon_sym_PERCENT] = ACTIONS(5145),
    [anon_sym_PIPE_PIPE] = ACTIONS(5147),
    [anon_sym_AMP_AMP] = ACTIONS(5147),
    [anon_sym_PIPE] = ACTIONS(5145),
    [anon_sym_CARET] = ACTIONS(5145),
    [anon_sym_AMP] = ACTIONS(5145),
    [anon_sym_EQ_EQ] = ACTIONS(5147),
    [anon_sym_BANG_EQ] = ACTIONS(5147),
    [anon_sym_GT] = ACTIONS(5145),
    [anon_sym_GT_EQ] = ACTIONS(5147),
    [anon_sym_LT_EQ] = ACTIONS(5145),
    [anon_sym_LT] = ACTIONS(5145),
    [anon_sym_LT_LT] = ACTIONS(5145),
    [anon_sym_GT_GT] = ACTIONS(5145),
    [anon_sym_SEMI] = ACTIONS(5147),
    [anon_sym___attribute__] = ACTIONS(5145),
    [anon_sym_COLON_COLON] = ACTIONS(5147),
    [anon_sym_LBRACE] = ACTIONS(5147),
    [anon_sym_RBRACE] = ACTIONS(5147),
    [anon_sym_LBRACK] = ACTIONS(5147),
    [anon_sym_RBRACK] = ACTIONS(5147),
    [anon_sym_EQ] = ACTIONS(5145),
    [anon_sym_COLON] = ACTIONS(5145),
    [anon_sym_QMARK] = ACTIONS(5147),
    [anon_sym_STAR_EQ] = ACTIONS(5147),
    [anon_sym_SLASH_EQ] = ACTIONS(5147),
    [anon_sym_PERCENT_EQ] = ACTIONS(5147),
    [anon_sym_PLUS_EQ] = ACTIONS(5147),
    [anon_sym_DASH_EQ] = ACTIONS(5147),
    [anon_sym_LT_LT_EQ] = ACTIONS(5147),
    [anon_sym_GT_GT_EQ] = ACTIONS(5147),
    [anon_sym_AMP_EQ] = ACTIONS(5147),
    [anon_sym_CARET_EQ] = ACTIONS(5147),
    [anon_sym_PIPE_EQ] = ACTIONS(5147),
    [anon_sym_and_eq] = ACTIONS(5145),
    [anon_sym_or_eq] = ACTIONS(5145),
    [anon_sym_xor_eq] = ACTIONS(5145),
    [anon_sym_LT_EQ_GT] = ACTIONS(5147),
    [anon_sym_or] = ACTIONS(5145),
    [anon_sym_and] = ACTIONS(5145),
    [anon_sym_bitor] = ACTIONS(5145),
    [anon_sym_xor] = ACTIONS(5145),
    [anon_sym_bitand] = ACTIONS(5145),
    [anon_sym_not_eq] = ACTIONS(5145),
    [anon_sym_DASH_DASH] = ACTIONS(5147),
    [anon_sym_PLUS_PLUS] = ACTIONS(5147),
    [anon_sym_DOT] = ACTIONS(5145),
    [anon_sym_DOT_STAR] = ACTIONS(5147),
    [anon_sym_DASH_GT] = ACTIONS(5147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5145),
    [anon_sym_decltype] = ACTIONS(5145),
    [anon_sym_final] = ACTIONS(5145),
    [anon_sym_override] = ACTIONS(5145),
  },
  [2428] = {
    [sym_identifier] = ACTIONS(5463),
    [aux_sym_preproc_def_token1] = ACTIONS(5463),
    [aux_sym_preproc_if_token1] = ACTIONS(5463),
    [aux_sym_preproc_if_token2] = ACTIONS(5463),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5463),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5463),
    [sym_preproc_directive] = ACTIONS(5463),
    [anon_sym_LPAREN2] = ACTIONS(5465),
    [anon_sym_TILDE] = ACTIONS(5465),
    [anon_sym_STAR] = ACTIONS(5465),
    [anon_sym_AMP_AMP] = ACTIONS(5465),
    [anon_sym_AMP] = ACTIONS(5463),
    [anon_sym___extension__] = ACTIONS(5463),
    [anon_sym_typedef] = ACTIONS(5463),
    [anon_sym_extern] = ACTIONS(5463),
    [anon_sym___attribute__] = ACTIONS(5463),
    [anon_sym_COLON_COLON] = ACTIONS(5465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5465),
    [anon_sym___declspec] = ACTIONS(5463),
    [anon_sym___based] = ACTIONS(5463),
    [anon_sym_signed] = ACTIONS(5463),
    [anon_sym_unsigned] = ACTIONS(5463),
    [anon_sym_long] = ACTIONS(5463),
    [anon_sym_short] = ACTIONS(5463),
    [anon_sym_LBRACK] = ACTIONS(5463),
    [anon_sym_static] = ACTIONS(5463),
    [anon_sym_register] = ACTIONS(5463),
    [anon_sym_inline] = ACTIONS(5463),
    [anon_sym___inline] = ACTIONS(5463),
    [anon_sym___inline__] = ACTIONS(5463),
    [anon_sym___forceinline] = ACTIONS(5463),
    [anon_sym_thread_local] = ACTIONS(5463),
    [anon_sym___thread] = ACTIONS(5463),
    [anon_sym_const] = ACTIONS(5463),
    [anon_sym_constexpr] = ACTIONS(5463),
    [anon_sym_volatile] = ACTIONS(5463),
    [anon_sym_restrict] = ACTIONS(5463),
    [anon_sym___restrict__] = ACTIONS(5463),
    [anon_sym__Atomic] = ACTIONS(5463),
    [anon_sym__Noreturn] = ACTIONS(5463),
    [anon_sym_noreturn] = ACTIONS(5463),
    [anon_sym_mutable] = ACTIONS(5463),
    [anon_sym_constinit] = ACTIONS(5463),
    [anon_sym_consteval] = ACTIONS(5463),
    [anon_sym_PROGMEM] = ACTIONS(5463),
    [aux_sym_primitive_type_token1] = ACTIONS(5463),
    [anon_sym_byte] = ACTIONS(5463),
    [anon_sym_word] = ACTIONS(5463),
    [anon_sym_enum] = ACTIONS(5463),
    [anon_sym_class] = ACTIONS(5463),
    [anon_sym_struct] = ACTIONS(5463),
    [anon_sym_union] = ACTIONS(5463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5463),
    [anon_sym_decltype] = ACTIONS(5463),
    [anon_sym_virtual] = ACTIONS(5463),
    [anon_sym_alignas] = ACTIONS(5463),
    [anon_sym_explicit] = ACTIONS(5463),
    [anon_sym_typename] = ACTIONS(5463),
    [anon_sym_template] = ACTIONS(5463),
    [anon_sym_operator] = ACTIONS(5463),
    [anon_sym_friend] = ACTIONS(5463),
    [anon_sym_public] = ACTIONS(5463),
    [anon_sym_private] = ACTIONS(5463),
    [anon_sym_protected] = ACTIONS(5463),
    [anon_sym_using] = ACTIONS(5463),
    [anon_sym_static_assert] = ACTIONS(5463),
  },
  [2429] = {
    [sym_identifier] = ACTIONS(3393),
    [aux_sym_preproc_def_token1] = ACTIONS(3393),
    [aux_sym_preproc_if_token1] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3393),
    [sym_preproc_directive] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_TILDE] = ACTIONS(3395),
    [anon_sym_STAR] = ACTIONS(3395),
    [anon_sym_AMP_AMP] = ACTIONS(3395),
    [anon_sym_AMP] = ACTIONS(3393),
    [anon_sym___extension__] = ACTIONS(3393),
    [anon_sym_typedef] = ACTIONS(3393),
    [anon_sym_extern] = ACTIONS(3393),
    [anon_sym___attribute__] = ACTIONS(3393),
    [anon_sym_COLON_COLON] = ACTIONS(3395),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3395),
    [anon_sym___declspec] = ACTIONS(3393),
    [anon_sym___based] = ACTIONS(3393),
    [anon_sym_RBRACE] = ACTIONS(3395),
    [anon_sym_signed] = ACTIONS(3393),
    [anon_sym_unsigned] = ACTIONS(3393),
    [anon_sym_long] = ACTIONS(3393),
    [anon_sym_short] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(3393),
    [anon_sym_static] = ACTIONS(3393),
    [anon_sym_register] = ACTIONS(3393),
    [anon_sym_inline] = ACTIONS(3393),
    [anon_sym___inline] = ACTIONS(3393),
    [anon_sym___inline__] = ACTIONS(3393),
    [anon_sym___forceinline] = ACTIONS(3393),
    [anon_sym_thread_local] = ACTIONS(3393),
    [anon_sym___thread] = ACTIONS(3393),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_constexpr] = ACTIONS(3393),
    [anon_sym_volatile] = ACTIONS(3393),
    [anon_sym_restrict] = ACTIONS(3393),
    [anon_sym___restrict__] = ACTIONS(3393),
    [anon_sym__Atomic] = ACTIONS(3393),
    [anon_sym__Noreturn] = ACTIONS(3393),
    [anon_sym_noreturn] = ACTIONS(3393),
    [anon_sym_mutable] = ACTIONS(3393),
    [anon_sym_constinit] = ACTIONS(3393),
    [anon_sym_consteval] = ACTIONS(3393),
    [anon_sym_PROGMEM] = ACTIONS(3393),
    [aux_sym_primitive_type_token1] = ACTIONS(3393),
    [anon_sym_byte] = ACTIONS(3393),
    [anon_sym_word] = ACTIONS(3393),
    [anon_sym_enum] = ACTIONS(3393),
    [anon_sym_class] = ACTIONS(3393),
    [anon_sym_struct] = ACTIONS(3393),
    [anon_sym_union] = ACTIONS(3393),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3393),
    [anon_sym_decltype] = ACTIONS(3393),
    [anon_sym_virtual] = ACTIONS(3393),
    [anon_sym_alignas] = ACTIONS(3393),
    [anon_sym_explicit] = ACTIONS(3393),
    [anon_sym_typename] = ACTIONS(3393),
    [anon_sym_template] = ACTIONS(3393),
    [anon_sym_operator] = ACTIONS(3393),
    [anon_sym_friend] = ACTIONS(3393),
    [anon_sym_public] = ACTIONS(3393),
    [anon_sym_private] = ACTIONS(3393),
    [anon_sym_protected] = ACTIONS(3393),
    [anon_sym_using] = ACTIONS(3393),
    [anon_sym_static_assert] = ACTIONS(3393),
  },
  [2430] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token2] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_PROGMEM] = ACTIONS(3162),
    [aux_sym_primitive_type_token1] = ACTIONS(3162),
    [anon_sym_byte] = ACTIONS(3162),
    [anon_sym_word] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_friend] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
  },
  [2431] = {
    [sym_string_literal] = STATE(2418),
    [sym_raw_string_literal] = STATE(2418),
    [sym_identifier] = ACTIONS(4454),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [aux_sym_preproc_if_token2] = ACTIONS(4446),
    [aux_sym_preproc_else_token1] = ACTIONS(4446),
    [aux_sym_preproc_elif_token1] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(4454),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(4454),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4446),
    [anon_sym_SLASH_EQ] = ACTIONS(4446),
    [anon_sym_PERCENT_EQ] = ACTIONS(4446),
    [anon_sym_PLUS_EQ] = ACTIONS(4446),
    [anon_sym_DASH_EQ] = ACTIONS(4446),
    [anon_sym_LT_LT_EQ] = ACTIONS(4446),
    [anon_sym_GT_GT_EQ] = ACTIONS(4446),
    [anon_sym_AMP_EQ] = ACTIONS(4446),
    [anon_sym_CARET_EQ] = ACTIONS(4446),
    [anon_sym_PIPE_EQ] = ACTIONS(4446),
    [anon_sym_and_eq] = ACTIONS(4454),
    [anon_sym_or_eq] = ACTIONS(4454),
    [anon_sym_xor_eq] = ACTIONS(4454),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4454),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4454),
    [anon_sym_not_eq] = ACTIONS(4454),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [sym_literal_suffix] = ACTIONS(5897),
  },
  [2432] = {
    [sym_identifier] = ACTIONS(3168),
    [aux_sym_preproc_def_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3168),
    [sym_preproc_directive] = ACTIONS(3168),
    [anon_sym_LPAREN2] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym___extension__] = ACTIONS(3168),
    [anon_sym_typedef] = ACTIONS(3168),
    [anon_sym_extern] = ACTIONS(3168),
    [anon_sym___attribute__] = ACTIONS(3168),
    [anon_sym_COLON_COLON] = ACTIONS(3170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3170),
    [anon_sym___declspec] = ACTIONS(3168),
    [anon_sym___based] = ACTIONS(3168),
    [anon_sym_signed] = ACTIONS(3168),
    [anon_sym_unsigned] = ACTIONS(3168),
    [anon_sym_long] = ACTIONS(3168),
    [anon_sym_short] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_register] = ACTIONS(3168),
    [anon_sym_inline] = ACTIONS(3168),
    [anon_sym___inline] = ACTIONS(3168),
    [anon_sym___inline__] = ACTIONS(3168),
    [anon_sym___forceinline] = ACTIONS(3168),
    [anon_sym_thread_local] = ACTIONS(3168),
    [anon_sym___thread] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_constexpr] = ACTIONS(3168),
    [anon_sym_volatile] = ACTIONS(3168),
    [anon_sym_restrict] = ACTIONS(3168),
    [anon_sym___restrict__] = ACTIONS(3168),
    [anon_sym__Atomic] = ACTIONS(3168),
    [anon_sym__Noreturn] = ACTIONS(3168),
    [anon_sym_noreturn] = ACTIONS(3168),
    [anon_sym_mutable] = ACTIONS(3168),
    [anon_sym_constinit] = ACTIONS(3168),
    [anon_sym_consteval] = ACTIONS(3168),
    [anon_sym_PROGMEM] = ACTIONS(3168),
    [aux_sym_primitive_type_token1] = ACTIONS(3168),
    [anon_sym_byte] = ACTIONS(3168),
    [anon_sym_word] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_struct] = ACTIONS(3168),
    [anon_sym_union] = ACTIONS(3168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3168),
    [anon_sym_decltype] = ACTIONS(3168),
    [anon_sym_virtual] = ACTIONS(3168),
    [anon_sym_alignas] = ACTIONS(3168),
    [anon_sym_explicit] = ACTIONS(3168),
    [anon_sym_typename] = ACTIONS(3168),
    [anon_sym_template] = ACTIONS(3168),
    [anon_sym_operator] = ACTIONS(3168),
    [anon_sym_friend] = ACTIONS(3168),
    [anon_sym_public] = ACTIONS(3168),
    [anon_sym_private] = ACTIONS(3168),
    [anon_sym_protected] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_static_assert] = ACTIONS(3168),
  },
  [2433] = {
    [sym_identifier] = ACTIONS(3475),
    [aux_sym_preproc_def_token1] = ACTIONS(3475),
    [aux_sym_preproc_if_token1] = ACTIONS(3475),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3475),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3475),
    [sym_preproc_directive] = ACTIONS(3475),
    [anon_sym_LPAREN2] = ACTIONS(3477),
    [anon_sym_TILDE] = ACTIONS(3477),
    [anon_sym_STAR] = ACTIONS(3477),
    [anon_sym_AMP_AMP] = ACTIONS(3477),
    [anon_sym_AMP] = ACTIONS(3475),
    [anon_sym___extension__] = ACTIONS(3475),
    [anon_sym_typedef] = ACTIONS(3475),
    [anon_sym_extern] = ACTIONS(3475),
    [anon_sym___attribute__] = ACTIONS(3475),
    [anon_sym_COLON_COLON] = ACTIONS(3477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3477),
    [anon_sym___declspec] = ACTIONS(3475),
    [anon_sym___based] = ACTIONS(3475),
    [anon_sym_RBRACE] = ACTIONS(3477),
    [anon_sym_signed] = ACTIONS(3475),
    [anon_sym_unsigned] = ACTIONS(3475),
    [anon_sym_long] = ACTIONS(3475),
    [anon_sym_short] = ACTIONS(3475),
    [anon_sym_LBRACK] = ACTIONS(3475),
    [anon_sym_static] = ACTIONS(3475),
    [anon_sym_register] = ACTIONS(3475),
    [anon_sym_inline] = ACTIONS(3475),
    [anon_sym___inline] = ACTIONS(3475),
    [anon_sym___inline__] = ACTIONS(3475),
    [anon_sym___forceinline] = ACTIONS(3475),
    [anon_sym_thread_local] = ACTIONS(3475),
    [anon_sym___thread] = ACTIONS(3475),
    [anon_sym_const] = ACTIONS(3475),
    [anon_sym_constexpr] = ACTIONS(3475),
    [anon_sym_volatile] = ACTIONS(3475),
    [anon_sym_restrict] = ACTIONS(3475),
    [anon_sym___restrict__] = ACTIONS(3475),
    [anon_sym__Atomic] = ACTIONS(3475),
    [anon_sym__Noreturn] = ACTIONS(3475),
    [anon_sym_noreturn] = ACTIONS(3475),
    [anon_sym_mutable] = ACTIONS(3475),
    [anon_sym_constinit] = ACTIONS(3475),
    [anon_sym_consteval] = ACTIONS(3475),
    [anon_sym_PROGMEM] = ACTIONS(3475),
    [aux_sym_primitive_type_token1] = ACTIONS(3475),
    [anon_sym_byte] = ACTIONS(3475),
    [anon_sym_word] = ACTIONS(3475),
    [anon_sym_enum] = ACTIONS(3475),
    [anon_sym_class] = ACTIONS(3475),
    [anon_sym_struct] = ACTIONS(3475),
    [anon_sym_union] = ACTIONS(3475),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3475),
    [anon_sym_decltype] = ACTIONS(3475),
    [anon_sym_virtual] = ACTIONS(3475),
    [anon_sym_alignas] = ACTIONS(3475),
    [anon_sym_explicit] = ACTIONS(3475),
    [anon_sym_typename] = ACTIONS(3475),
    [anon_sym_template] = ACTIONS(3475),
    [anon_sym_operator] = ACTIONS(3475),
    [anon_sym_friend] = ACTIONS(3475),
    [anon_sym_public] = ACTIONS(3475),
    [anon_sym_private] = ACTIONS(3475),
    [anon_sym_protected] = ACTIONS(3475),
    [anon_sym_using] = ACTIONS(3475),
    [anon_sym_static_assert] = ACTIONS(3475),
  },
  [2434] = {
    [sym_identifier] = ACTIONS(5537),
    [aux_sym_preproc_def_token1] = ACTIONS(5537),
    [aux_sym_preproc_if_token1] = ACTIONS(5537),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5537),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5537),
    [sym_preproc_directive] = ACTIONS(5537),
    [anon_sym_LPAREN2] = ACTIONS(5539),
    [anon_sym_TILDE] = ACTIONS(5539),
    [anon_sym_STAR] = ACTIONS(5539),
    [anon_sym_AMP_AMP] = ACTIONS(5539),
    [anon_sym_AMP] = ACTIONS(5537),
    [anon_sym___extension__] = ACTIONS(5537),
    [anon_sym_typedef] = ACTIONS(5537),
    [anon_sym_extern] = ACTIONS(5537),
    [anon_sym___attribute__] = ACTIONS(5537),
    [anon_sym_COLON_COLON] = ACTIONS(5539),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5539),
    [anon_sym___declspec] = ACTIONS(5537),
    [anon_sym___based] = ACTIONS(5537),
    [anon_sym_RBRACE] = ACTIONS(5539),
    [anon_sym_signed] = ACTIONS(5537),
    [anon_sym_unsigned] = ACTIONS(5537),
    [anon_sym_long] = ACTIONS(5537),
    [anon_sym_short] = ACTIONS(5537),
    [anon_sym_LBRACK] = ACTIONS(5537),
    [anon_sym_static] = ACTIONS(5537),
    [anon_sym_register] = ACTIONS(5537),
    [anon_sym_inline] = ACTIONS(5537),
    [anon_sym___inline] = ACTIONS(5537),
    [anon_sym___inline__] = ACTIONS(5537),
    [anon_sym___forceinline] = ACTIONS(5537),
    [anon_sym_thread_local] = ACTIONS(5537),
    [anon_sym___thread] = ACTIONS(5537),
    [anon_sym_const] = ACTIONS(5537),
    [anon_sym_constexpr] = ACTIONS(5537),
    [anon_sym_volatile] = ACTIONS(5537),
    [anon_sym_restrict] = ACTIONS(5537),
    [anon_sym___restrict__] = ACTIONS(5537),
    [anon_sym__Atomic] = ACTIONS(5537),
    [anon_sym__Noreturn] = ACTIONS(5537),
    [anon_sym_noreturn] = ACTIONS(5537),
    [anon_sym_mutable] = ACTIONS(5537),
    [anon_sym_constinit] = ACTIONS(5537),
    [anon_sym_consteval] = ACTIONS(5537),
    [anon_sym_PROGMEM] = ACTIONS(5537),
    [aux_sym_primitive_type_token1] = ACTIONS(5537),
    [anon_sym_byte] = ACTIONS(5537),
    [anon_sym_word] = ACTIONS(5537),
    [anon_sym_enum] = ACTIONS(5537),
    [anon_sym_class] = ACTIONS(5537),
    [anon_sym_struct] = ACTIONS(5537),
    [anon_sym_union] = ACTIONS(5537),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5537),
    [anon_sym_decltype] = ACTIONS(5537),
    [anon_sym_virtual] = ACTIONS(5537),
    [anon_sym_alignas] = ACTIONS(5537),
    [anon_sym_explicit] = ACTIONS(5537),
    [anon_sym_typename] = ACTIONS(5537),
    [anon_sym_template] = ACTIONS(5537),
    [anon_sym_operator] = ACTIONS(5537),
    [anon_sym_friend] = ACTIONS(5537),
    [anon_sym_public] = ACTIONS(5537),
    [anon_sym_private] = ACTIONS(5537),
    [anon_sym_protected] = ACTIONS(5537),
    [anon_sym_using] = ACTIONS(5537),
    [anon_sym_static_assert] = ACTIONS(5537),
  },
  [2435] = {
    [sym_identifier] = ACTIONS(5604),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5606),
    [anon_sym_COMMA] = ACTIONS(5606),
    [anon_sym_RPAREN] = ACTIONS(5606),
    [aux_sym_preproc_if_token2] = ACTIONS(5606),
    [aux_sym_preproc_else_token1] = ACTIONS(5606),
    [aux_sym_preproc_elif_token1] = ACTIONS(5604),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_STAR] = ACTIONS(5604),
    [anon_sym_SLASH] = ACTIONS(5604),
    [anon_sym_PERCENT] = ACTIONS(5604),
    [anon_sym_PIPE_PIPE] = ACTIONS(5606),
    [anon_sym_AMP_AMP] = ACTIONS(5606),
    [anon_sym_PIPE] = ACTIONS(5604),
    [anon_sym_CARET] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(5604),
    [anon_sym_EQ_EQ] = ACTIONS(5606),
    [anon_sym_BANG_EQ] = ACTIONS(5606),
    [anon_sym_GT] = ACTIONS(5604),
    [anon_sym_GT_EQ] = ACTIONS(5606),
    [anon_sym_LT_EQ] = ACTIONS(5604),
    [anon_sym_LT] = ACTIONS(5604),
    [anon_sym_LT_LT] = ACTIONS(5604),
    [anon_sym_GT_GT] = ACTIONS(5604),
    [anon_sym_SEMI] = ACTIONS(5606),
    [anon_sym___attribute__] = ACTIONS(5604),
    [anon_sym_LBRACE] = ACTIONS(5606),
    [anon_sym_RBRACE] = ACTIONS(5606),
    [anon_sym_LBRACK] = ACTIONS(5606),
    [anon_sym_RBRACK] = ACTIONS(5606),
    [anon_sym_EQ] = ACTIONS(5604),
    [anon_sym_COLON] = ACTIONS(5606),
    [anon_sym_QMARK] = ACTIONS(5606),
    [anon_sym_STAR_EQ] = ACTIONS(5606),
    [anon_sym_SLASH_EQ] = ACTIONS(5606),
    [anon_sym_PERCENT_EQ] = ACTIONS(5606),
    [anon_sym_PLUS_EQ] = ACTIONS(5606),
    [anon_sym_DASH_EQ] = ACTIONS(5606),
    [anon_sym_LT_LT_EQ] = ACTIONS(5606),
    [anon_sym_GT_GT_EQ] = ACTIONS(5606),
    [anon_sym_AMP_EQ] = ACTIONS(5606),
    [anon_sym_CARET_EQ] = ACTIONS(5606),
    [anon_sym_PIPE_EQ] = ACTIONS(5606),
    [anon_sym_and_eq] = ACTIONS(5604),
    [anon_sym_or_eq] = ACTIONS(5604),
    [anon_sym_xor_eq] = ACTIONS(5604),
    [anon_sym_LT_EQ_GT] = ACTIONS(5606),
    [anon_sym_or] = ACTIONS(5604),
    [anon_sym_and] = ACTIONS(5604),
    [anon_sym_bitor] = ACTIONS(5604),
    [anon_sym_xor] = ACTIONS(5604),
    [anon_sym_bitand] = ACTIONS(5604),
    [anon_sym_not_eq] = ACTIONS(5604),
    [anon_sym_DASH_DASH] = ACTIONS(5606),
    [anon_sym_PLUS_PLUS] = ACTIONS(5606),
    [anon_sym_DOT] = ACTIONS(5604),
    [anon_sym_DOT_STAR] = ACTIONS(5606),
    [anon_sym_DASH_GT] = ACTIONS(5606),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5604),
    [anon_sym_decltype] = ACTIONS(5604),
    [anon_sym_final] = ACTIONS(5604),
    [anon_sym_override] = ACTIONS(5604),
  },
  [2436] = {
    [sym_identifier] = ACTIONS(3322),
    [aux_sym_preproc_def_token1] = ACTIONS(3322),
    [aux_sym_preproc_if_token1] = ACTIONS(3322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3322),
    [sym_preproc_directive] = ACTIONS(3322),
    [anon_sym_LPAREN2] = ACTIONS(3324),
    [anon_sym_TILDE] = ACTIONS(3324),
    [anon_sym_STAR] = ACTIONS(3324),
    [anon_sym_AMP_AMP] = ACTIONS(3324),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym___extension__] = ACTIONS(3322),
    [anon_sym_typedef] = ACTIONS(3322),
    [anon_sym_extern] = ACTIONS(3322),
    [anon_sym___attribute__] = ACTIONS(3322),
    [anon_sym_COLON_COLON] = ACTIONS(3324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3324),
    [anon_sym___declspec] = ACTIONS(3322),
    [anon_sym___based] = ACTIONS(3322),
    [anon_sym_RBRACE] = ACTIONS(3324),
    [anon_sym_signed] = ACTIONS(3322),
    [anon_sym_unsigned] = ACTIONS(3322),
    [anon_sym_long] = ACTIONS(3322),
    [anon_sym_short] = ACTIONS(3322),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_static] = ACTIONS(3322),
    [anon_sym_register] = ACTIONS(3322),
    [anon_sym_inline] = ACTIONS(3322),
    [anon_sym___inline] = ACTIONS(3322),
    [anon_sym___inline__] = ACTIONS(3322),
    [anon_sym___forceinline] = ACTIONS(3322),
    [anon_sym_thread_local] = ACTIONS(3322),
    [anon_sym___thread] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_constexpr] = ACTIONS(3322),
    [anon_sym_volatile] = ACTIONS(3322),
    [anon_sym_restrict] = ACTIONS(3322),
    [anon_sym___restrict__] = ACTIONS(3322),
    [anon_sym__Atomic] = ACTIONS(3322),
    [anon_sym__Noreturn] = ACTIONS(3322),
    [anon_sym_noreturn] = ACTIONS(3322),
    [anon_sym_mutable] = ACTIONS(3322),
    [anon_sym_constinit] = ACTIONS(3322),
    [anon_sym_consteval] = ACTIONS(3322),
    [anon_sym_PROGMEM] = ACTIONS(3322),
    [aux_sym_primitive_type_token1] = ACTIONS(3322),
    [anon_sym_byte] = ACTIONS(3322),
    [anon_sym_word] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3322),
    [anon_sym_struct] = ACTIONS(3322),
    [anon_sym_union] = ACTIONS(3322),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3322),
    [anon_sym_decltype] = ACTIONS(3322),
    [anon_sym_virtual] = ACTIONS(3322),
    [anon_sym_alignas] = ACTIONS(3322),
    [anon_sym_explicit] = ACTIONS(3322),
    [anon_sym_typename] = ACTIONS(3322),
    [anon_sym_template] = ACTIONS(3322),
    [anon_sym_operator] = ACTIONS(3322),
    [anon_sym_friend] = ACTIONS(3322),
    [anon_sym_public] = ACTIONS(3322),
    [anon_sym_private] = ACTIONS(3322),
    [anon_sym_protected] = ACTIONS(3322),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_static_assert] = ACTIONS(3322),
  },
  [2437] = {
    [sym_identifier] = ACTIONS(3184),
    [aux_sym_preproc_def_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3184),
    [sym_preproc_directive] = ACTIONS(3184),
    [anon_sym_LPAREN2] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_AMP_AMP] = ACTIONS(3186),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym___extension__] = ACTIONS(3184),
    [anon_sym_typedef] = ACTIONS(3184),
    [anon_sym_extern] = ACTIONS(3184),
    [anon_sym___attribute__] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3186),
    [anon_sym___declspec] = ACTIONS(3184),
    [anon_sym___based] = ACTIONS(3184),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_signed] = ACTIONS(3184),
    [anon_sym_unsigned] = ACTIONS(3184),
    [anon_sym_long] = ACTIONS(3184),
    [anon_sym_short] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_register] = ACTIONS(3184),
    [anon_sym_inline] = ACTIONS(3184),
    [anon_sym___inline] = ACTIONS(3184),
    [anon_sym___inline__] = ACTIONS(3184),
    [anon_sym___forceinline] = ACTIONS(3184),
    [anon_sym_thread_local] = ACTIONS(3184),
    [anon_sym___thread] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_constexpr] = ACTIONS(3184),
    [anon_sym_volatile] = ACTIONS(3184),
    [anon_sym_restrict] = ACTIONS(3184),
    [anon_sym___restrict__] = ACTIONS(3184),
    [anon_sym__Atomic] = ACTIONS(3184),
    [anon_sym__Noreturn] = ACTIONS(3184),
    [anon_sym_noreturn] = ACTIONS(3184),
    [anon_sym_mutable] = ACTIONS(3184),
    [anon_sym_constinit] = ACTIONS(3184),
    [anon_sym_consteval] = ACTIONS(3184),
    [anon_sym_PROGMEM] = ACTIONS(3184),
    [aux_sym_primitive_type_token1] = ACTIONS(3184),
    [anon_sym_byte] = ACTIONS(3184),
    [anon_sym_word] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_struct] = ACTIONS(3184),
    [anon_sym_union] = ACTIONS(3184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3184),
    [anon_sym_decltype] = ACTIONS(3184),
    [anon_sym_virtual] = ACTIONS(3184),
    [anon_sym_alignas] = ACTIONS(3184),
    [anon_sym_explicit] = ACTIONS(3184),
    [anon_sym_typename] = ACTIONS(3184),
    [anon_sym_template] = ACTIONS(3184),
    [anon_sym_operator] = ACTIONS(3184),
    [anon_sym_friend] = ACTIONS(3184),
    [anon_sym_public] = ACTIONS(3184),
    [anon_sym_private] = ACTIONS(3184),
    [anon_sym_protected] = ACTIONS(3184),
    [anon_sym_using] = ACTIONS(3184),
    [anon_sym_static_assert] = ACTIONS(3184),
  },
  [2438] = {
    [sym_identifier] = ACTIONS(5533),
    [aux_sym_preproc_def_token1] = ACTIONS(5533),
    [aux_sym_preproc_if_token1] = ACTIONS(5533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5533),
    [sym_preproc_directive] = ACTIONS(5533),
    [anon_sym_LPAREN2] = ACTIONS(5535),
    [anon_sym_TILDE] = ACTIONS(5535),
    [anon_sym_STAR] = ACTIONS(5535),
    [anon_sym_AMP_AMP] = ACTIONS(5535),
    [anon_sym_AMP] = ACTIONS(5533),
    [anon_sym___extension__] = ACTIONS(5533),
    [anon_sym_typedef] = ACTIONS(5533),
    [anon_sym_extern] = ACTIONS(5533),
    [anon_sym___attribute__] = ACTIONS(5533),
    [anon_sym_COLON_COLON] = ACTIONS(5535),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5535),
    [anon_sym___declspec] = ACTIONS(5533),
    [anon_sym___based] = ACTIONS(5533),
    [anon_sym_RBRACE] = ACTIONS(5535),
    [anon_sym_signed] = ACTIONS(5533),
    [anon_sym_unsigned] = ACTIONS(5533),
    [anon_sym_long] = ACTIONS(5533),
    [anon_sym_short] = ACTIONS(5533),
    [anon_sym_LBRACK] = ACTIONS(5533),
    [anon_sym_static] = ACTIONS(5533),
    [anon_sym_register] = ACTIONS(5533),
    [anon_sym_inline] = ACTIONS(5533),
    [anon_sym___inline] = ACTIONS(5533),
    [anon_sym___inline__] = ACTIONS(5533),
    [anon_sym___forceinline] = ACTIONS(5533),
    [anon_sym_thread_local] = ACTIONS(5533),
    [anon_sym___thread] = ACTIONS(5533),
    [anon_sym_const] = ACTIONS(5533),
    [anon_sym_constexpr] = ACTIONS(5533),
    [anon_sym_volatile] = ACTIONS(5533),
    [anon_sym_restrict] = ACTIONS(5533),
    [anon_sym___restrict__] = ACTIONS(5533),
    [anon_sym__Atomic] = ACTIONS(5533),
    [anon_sym__Noreturn] = ACTIONS(5533),
    [anon_sym_noreturn] = ACTIONS(5533),
    [anon_sym_mutable] = ACTIONS(5533),
    [anon_sym_constinit] = ACTIONS(5533),
    [anon_sym_consteval] = ACTIONS(5533),
    [anon_sym_PROGMEM] = ACTIONS(5533),
    [aux_sym_primitive_type_token1] = ACTIONS(5533),
    [anon_sym_byte] = ACTIONS(5533),
    [anon_sym_word] = ACTIONS(5533),
    [anon_sym_enum] = ACTIONS(5533),
    [anon_sym_class] = ACTIONS(5533),
    [anon_sym_struct] = ACTIONS(5533),
    [anon_sym_union] = ACTIONS(5533),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5533),
    [anon_sym_decltype] = ACTIONS(5533),
    [anon_sym_virtual] = ACTIONS(5533),
    [anon_sym_alignas] = ACTIONS(5533),
    [anon_sym_explicit] = ACTIONS(5533),
    [anon_sym_typename] = ACTIONS(5533),
    [anon_sym_template] = ACTIONS(5533),
    [anon_sym_operator] = ACTIONS(5533),
    [anon_sym_friend] = ACTIONS(5533),
    [anon_sym_public] = ACTIONS(5533),
    [anon_sym_private] = ACTIONS(5533),
    [anon_sym_protected] = ACTIONS(5533),
    [anon_sym_using] = ACTIONS(5533),
    [anon_sym_static_assert] = ACTIONS(5533),
  },
  [2439] = {
    [sym_identifier] = ACTIONS(3036),
    [aux_sym_preproc_def_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token2] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3036),
    [sym_preproc_directive] = ACTIONS(3036),
    [anon_sym_LPAREN2] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym___extension__] = ACTIONS(3036),
    [anon_sym_typedef] = ACTIONS(3036),
    [anon_sym_extern] = ACTIONS(3036),
    [anon_sym___attribute__] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3038),
    [anon_sym___declspec] = ACTIONS(3036),
    [anon_sym___based] = ACTIONS(3036),
    [anon_sym_signed] = ACTIONS(3036),
    [anon_sym_unsigned] = ACTIONS(3036),
    [anon_sym_long] = ACTIONS(3036),
    [anon_sym_short] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3036),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_register] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym___inline] = ACTIONS(3036),
    [anon_sym___inline__] = ACTIONS(3036),
    [anon_sym___forceinline] = ACTIONS(3036),
    [anon_sym_thread_local] = ACTIONS(3036),
    [anon_sym___thread] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(3036),
    [anon_sym_restrict] = ACTIONS(3036),
    [anon_sym___restrict__] = ACTIONS(3036),
    [anon_sym__Atomic] = ACTIONS(3036),
    [anon_sym__Noreturn] = ACTIONS(3036),
    [anon_sym_noreturn] = ACTIONS(3036),
    [anon_sym_mutable] = ACTIONS(3036),
    [anon_sym_constinit] = ACTIONS(3036),
    [anon_sym_consteval] = ACTIONS(3036),
    [anon_sym_PROGMEM] = ACTIONS(3036),
    [aux_sym_primitive_type_token1] = ACTIONS(3036),
    [anon_sym_byte] = ACTIONS(3036),
    [anon_sym_word] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_struct] = ACTIONS(3036),
    [anon_sym_union] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3036),
    [anon_sym_decltype] = ACTIONS(3036),
    [anon_sym_virtual] = ACTIONS(3036),
    [anon_sym_alignas] = ACTIONS(3036),
    [anon_sym_explicit] = ACTIONS(3036),
    [anon_sym_typename] = ACTIONS(3036),
    [anon_sym_template] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_friend] = ACTIONS(3036),
    [anon_sym_public] = ACTIONS(3036),
    [anon_sym_private] = ACTIONS(3036),
    [anon_sym_protected] = ACTIONS(3036),
    [anon_sym_using] = ACTIONS(3036),
    [anon_sym_static_assert] = ACTIONS(3036),
  },
  [2440] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(4299),
    [sym_raw_string_literal] = STATE(2984),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(7900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(5899),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_RBRACK] = ACTIONS(5902),
    [anon_sym_EQ] = ACTIONS(5905),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(5907),
    [anon_sym_SLASH_EQ] = ACTIONS(5907),
    [anon_sym_PERCENT_EQ] = ACTIONS(5907),
    [anon_sym_PLUS_EQ] = ACTIONS(5907),
    [anon_sym_DASH_EQ] = ACTIONS(5907),
    [anon_sym_LT_LT_EQ] = ACTIONS(5907),
    [anon_sym_GT_GT_EQ] = ACTIONS(5907),
    [anon_sym_AMP_EQ] = ACTIONS(5907),
    [anon_sym_CARET_EQ] = ACTIONS(5907),
    [anon_sym_PIPE_EQ] = ACTIONS(5907),
    [anon_sym_and_eq] = ACTIONS(5907),
    [anon_sym_or_eq] = ACTIONS(5907),
    [anon_sym_xor_eq] = ACTIONS(5907),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [2441] = {
    [sym_identifier] = ACTIONS(5529),
    [aux_sym_preproc_def_token1] = ACTIONS(5529),
    [aux_sym_preproc_if_token1] = ACTIONS(5529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5529),
    [sym_preproc_directive] = ACTIONS(5529),
    [anon_sym_LPAREN2] = ACTIONS(5531),
    [anon_sym_TILDE] = ACTIONS(5531),
    [anon_sym_STAR] = ACTIONS(5531),
    [anon_sym_AMP_AMP] = ACTIONS(5531),
    [anon_sym_AMP] = ACTIONS(5529),
    [anon_sym___extension__] = ACTIONS(5529),
    [anon_sym_typedef] = ACTIONS(5529),
    [anon_sym_extern] = ACTIONS(5529),
    [anon_sym___attribute__] = ACTIONS(5529),
    [anon_sym_COLON_COLON] = ACTIONS(5531),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5531),
    [anon_sym___declspec] = ACTIONS(5529),
    [anon_sym___based] = ACTIONS(5529),
    [anon_sym_RBRACE] = ACTIONS(5531),
    [anon_sym_signed] = ACTIONS(5529),
    [anon_sym_unsigned] = ACTIONS(5529),
    [anon_sym_long] = ACTIONS(5529),
    [anon_sym_short] = ACTIONS(5529),
    [anon_sym_LBRACK] = ACTIONS(5529),
    [anon_sym_static] = ACTIONS(5529),
    [anon_sym_register] = ACTIONS(5529),
    [anon_sym_inline] = ACTIONS(5529),
    [anon_sym___inline] = ACTIONS(5529),
    [anon_sym___inline__] = ACTIONS(5529),
    [anon_sym___forceinline] = ACTIONS(5529),
    [anon_sym_thread_local] = ACTIONS(5529),
    [anon_sym___thread] = ACTIONS(5529),
    [anon_sym_const] = ACTIONS(5529),
    [anon_sym_constexpr] = ACTIONS(5529),
    [anon_sym_volatile] = ACTIONS(5529),
    [anon_sym_restrict] = ACTIONS(5529),
    [anon_sym___restrict__] = ACTIONS(5529),
    [anon_sym__Atomic] = ACTIONS(5529),
    [anon_sym__Noreturn] = ACTIONS(5529),
    [anon_sym_noreturn] = ACTIONS(5529),
    [anon_sym_mutable] = ACTIONS(5529),
    [anon_sym_constinit] = ACTIONS(5529),
    [anon_sym_consteval] = ACTIONS(5529),
    [anon_sym_PROGMEM] = ACTIONS(5529),
    [aux_sym_primitive_type_token1] = ACTIONS(5529),
    [anon_sym_byte] = ACTIONS(5529),
    [anon_sym_word] = ACTIONS(5529),
    [anon_sym_enum] = ACTIONS(5529),
    [anon_sym_class] = ACTIONS(5529),
    [anon_sym_struct] = ACTIONS(5529),
    [anon_sym_union] = ACTIONS(5529),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5529),
    [anon_sym_decltype] = ACTIONS(5529),
    [anon_sym_virtual] = ACTIONS(5529),
    [anon_sym_alignas] = ACTIONS(5529),
    [anon_sym_explicit] = ACTIONS(5529),
    [anon_sym_typename] = ACTIONS(5529),
    [anon_sym_template] = ACTIONS(5529),
    [anon_sym_operator] = ACTIONS(5529),
    [anon_sym_friend] = ACTIONS(5529),
    [anon_sym_public] = ACTIONS(5529),
    [anon_sym_private] = ACTIONS(5529),
    [anon_sym_protected] = ACTIONS(5529),
    [anon_sym_using] = ACTIONS(5529),
    [anon_sym_static_assert] = ACTIONS(5529),
  },
  [2442] = {
    [sym_identifier] = ACTIONS(5525),
    [aux_sym_preproc_def_token1] = ACTIONS(5525),
    [aux_sym_preproc_if_token1] = ACTIONS(5525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5525),
    [sym_preproc_directive] = ACTIONS(5525),
    [anon_sym_LPAREN2] = ACTIONS(5527),
    [anon_sym_TILDE] = ACTIONS(5527),
    [anon_sym_STAR] = ACTIONS(5527),
    [anon_sym_AMP_AMP] = ACTIONS(5527),
    [anon_sym_AMP] = ACTIONS(5525),
    [anon_sym___extension__] = ACTIONS(5525),
    [anon_sym_typedef] = ACTIONS(5525),
    [anon_sym_extern] = ACTIONS(5525),
    [anon_sym___attribute__] = ACTIONS(5525),
    [anon_sym_COLON_COLON] = ACTIONS(5527),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5527),
    [anon_sym___declspec] = ACTIONS(5525),
    [anon_sym___based] = ACTIONS(5525),
    [anon_sym_RBRACE] = ACTIONS(5527),
    [anon_sym_signed] = ACTIONS(5525),
    [anon_sym_unsigned] = ACTIONS(5525),
    [anon_sym_long] = ACTIONS(5525),
    [anon_sym_short] = ACTIONS(5525),
    [anon_sym_LBRACK] = ACTIONS(5525),
    [anon_sym_static] = ACTIONS(5525),
    [anon_sym_register] = ACTIONS(5525),
    [anon_sym_inline] = ACTIONS(5525),
    [anon_sym___inline] = ACTIONS(5525),
    [anon_sym___inline__] = ACTIONS(5525),
    [anon_sym___forceinline] = ACTIONS(5525),
    [anon_sym_thread_local] = ACTIONS(5525),
    [anon_sym___thread] = ACTIONS(5525),
    [anon_sym_const] = ACTIONS(5525),
    [anon_sym_constexpr] = ACTIONS(5525),
    [anon_sym_volatile] = ACTIONS(5525),
    [anon_sym_restrict] = ACTIONS(5525),
    [anon_sym___restrict__] = ACTIONS(5525),
    [anon_sym__Atomic] = ACTIONS(5525),
    [anon_sym__Noreturn] = ACTIONS(5525),
    [anon_sym_noreturn] = ACTIONS(5525),
    [anon_sym_mutable] = ACTIONS(5525),
    [anon_sym_constinit] = ACTIONS(5525),
    [anon_sym_consteval] = ACTIONS(5525),
    [anon_sym_PROGMEM] = ACTIONS(5525),
    [aux_sym_primitive_type_token1] = ACTIONS(5525),
    [anon_sym_byte] = ACTIONS(5525),
    [anon_sym_word] = ACTIONS(5525),
    [anon_sym_enum] = ACTIONS(5525),
    [anon_sym_class] = ACTIONS(5525),
    [anon_sym_struct] = ACTIONS(5525),
    [anon_sym_union] = ACTIONS(5525),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5525),
    [anon_sym_decltype] = ACTIONS(5525),
    [anon_sym_virtual] = ACTIONS(5525),
    [anon_sym_alignas] = ACTIONS(5525),
    [anon_sym_explicit] = ACTIONS(5525),
    [anon_sym_typename] = ACTIONS(5525),
    [anon_sym_template] = ACTIONS(5525),
    [anon_sym_operator] = ACTIONS(5525),
    [anon_sym_friend] = ACTIONS(5525),
    [anon_sym_public] = ACTIONS(5525),
    [anon_sym_private] = ACTIONS(5525),
    [anon_sym_protected] = ACTIONS(5525),
    [anon_sym_using] = ACTIONS(5525),
    [anon_sym_static_assert] = ACTIONS(5525),
  },
  [2443] = {
    [sym_identifier] = ACTIONS(5589),
    [aux_sym_preproc_def_token1] = ACTIONS(5589),
    [aux_sym_preproc_if_token1] = ACTIONS(5589),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5589),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5589),
    [sym_preproc_directive] = ACTIONS(5589),
    [anon_sym_LPAREN2] = ACTIONS(5591),
    [anon_sym_TILDE] = ACTIONS(5591),
    [anon_sym_STAR] = ACTIONS(5591),
    [anon_sym_AMP_AMP] = ACTIONS(5591),
    [anon_sym_AMP] = ACTIONS(5589),
    [anon_sym___extension__] = ACTIONS(5589),
    [anon_sym_typedef] = ACTIONS(5589),
    [anon_sym_extern] = ACTIONS(5589),
    [anon_sym___attribute__] = ACTIONS(5589),
    [anon_sym_COLON_COLON] = ACTIONS(5591),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5591),
    [anon_sym___declspec] = ACTIONS(5589),
    [anon_sym___based] = ACTIONS(5589),
    [anon_sym_RBRACE] = ACTIONS(5591),
    [anon_sym_signed] = ACTIONS(5589),
    [anon_sym_unsigned] = ACTIONS(5589),
    [anon_sym_long] = ACTIONS(5589),
    [anon_sym_short] = ACTIONS(5589),
    [anon_sym_LBRACK] = ACTIONS(5589),
    [anon_sym_static] = ACTIONS(5589),
    [anon_sym_register] = ACTIONS(5589),
    [anon_sym_inline] = ACTIONS(5589),
    [anon_sym___inline] = ACTIONS(5589),
    [anon_sym___inline__] = ACTIONS(5589),
    [anon_sym___forceinline] = ACTIONS(5589),
    [anon_sym_thread_local] = ACTIONS(5589),
    [anon_sym___thread] = ACTIONS(5589),
    [anon_sym_const] = ACTIONS(5589),
    [anon_sym_constexpr] = ACTIONS(5589),
    [anon_sym_volatile] = ACTIONS(5589),
    [anon_sym_restrict] = ACTIONS(5589),
    [anon_sym___restrict__] = ACTIONS(5589),
    [anon_sym__Atomic] = ACTIONS(5589),
    [anon_sym__Noreturn] = ACTIONS(5589),
    [anon_sym_noreturn] = ACTIONS(5589),
    [anon_sym_mutable] = ACTIONS(5589),
    [anon_sym_constinit] = ACTIONS(5589),
    [anon_sym_consteval] = ACTIONS(5589),
    [anon_sym_PROGMEM] = ACTIONS(5589),
    [aux_sym_primitive_type_token1] = ACTIONS(5589),
    [anon_sym_byte] = ACTIONS(5589),
    [anon_sym_word] = ACTIONS(5589),
    [anon_sym_enum] = ACTIONS(5589),
    [anon_sym_class] = ACTIONS(5589),
    [anon_sym_struct] = ACTIONS(5589),
    [anon_sym_union] = ACTIONS(5589),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5589),
    [anon_sym_decltype] = ACTIONS(5589),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5589),
    [anon_sym_explicit] = ACTIONS(5589),
    [anon_sym_typename] = ACTIONS(5589),
    [anon_sym_template] = ACTIONS(5589),
    [anon_sym_operator] = ACTIONS(5589),
    [anon_sym_friend] = ACTIONS(5589),
    [anon_sym_public] = ACTIONS(5589),
    [anon_sym_private] = ACTIONS(5589),
    [anon_sym_protected] = ACTIONS(5589),
    [anon_sym_using] = ACTIONS(5589),
    [anon_sym_static_assert] = ACTIONS(5589),
  },
  [2444] = {
    [sym_attribute_specifier] = STATE(2722),
    [sym_enumerator_list] = STATE(2664),
    [sym_identifier] = ACTIONS(5909),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5911),
    [anon_sym_COMMA] = ACTIONS(5911),
    [anon_sym_RPAREN] = ACTIONS(5911),
    [aux_sym_preproc_if_token2] = ACTIONS(5911),
    [aux_sym_preproc_else_token1] = ACTIONS(5911),
    [aux_sym_preproc_elif_token1] = ACTIONS(5909),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5911),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5911),
    [anon_sym_LPAREN2] = ACTIONS(5911),
    [anon_sym_DASH] = ACTIONS(5909),
    [anon_sym_PLUS] = ACTIONS(5909),
    [anon_sym_STAR] = ACTIONS(5909),
    [anon_sym_SLASH] = ACTIONS(5909),
    [anon_sym_PERCENT] = ACTIONS(5909),
    [anon_sym_PIPE_PIPE] = ACTIONS(5911),
    [anon_sym_AMP_AMP] = ACTIONS(5911),
    [anon_sym_PIPE] = ACTIONS(5909),
    [anon_sym_CARET] = ACTIONS(5909),
    [anon_sym_AMP] = ACTIONS(5909),
    [anon_sym_EQ_EQ] = ACTIONS(5911),
    [anon_sym_BANG_EQ] = ACTIONS(5911),
    [anon_sym_GT] = ACTIONS(5909),
    [anon_sym_GT_EQ] = ACTIONS(5911),
    [anon_sym_LT_EQ] = ACTIONS(5909),
    [anon_sym_LT] = ACTIONS(5909),
    [anon_sym_LT_LT] = ACTIONS(5909),
    [anon_sym_GT_GT] = ACTIONS(5909),
    [anon_sym_SEMI] = ACTIONS(5911),
    [anon_sym___attribute__] = ACTIONS(5471),
    [anon_sym_LBRACE] = ACTIONS(5913),
    [anon_sym_RBRACE] = ACTIONS(5911),
    [anon_sym_LBRACK] = ACTIONS(5911),
    [anon_sym_RBRACK] = ACTIONS(5911),
    [anon_sym_EQ] = ACTIONS(5909),
    [anon_sym_COLON] = ACTIONS(5911),
    [anon_sym_QMARK] = ACTIONS(5911),
    [anon_sym_STAR_EQ] = ACTIONS(5911),
    [anon_sym_SLASH_EQ] = ACTIONS(5911),
    [anon_sym_PERCENT_EQ] = ACTIONS(5911),
    [anon_sym_PLUS_EQ] = ACTIONS(5911),
    [anon_sym_DASH_EQ] = ACTIONS(5911),
    [anon_sym_LT_LT_EQ] = ACTIONS(5911),
    [anon_sym_GT_GT_EQ] = ACTIONS(5911),
    [anon_sym_AMP_EQ] = ACTIONS(5911),
    [anon_sym_CARET_EQ] = ACTIONS(5911),
    [anon_sym_PIPE_EQ] = ACTIONS(5911),
    [anon_sym_and_eq] = ACTIONS(5909),
    [anon_sym_or_eq] = ACTIONS(5909),
    [anon_sym_xor_eq] = ACTIONS(5909),
    [anon_sym_LT_EQ_GT] = ACTIONS(5911),
    [anon_sym_or] = ACTIONS(5909),
    [anon_sym_and] = ACTIONS(5909),
    [anon_sym_bitor] = ACTIONS(5909),
    [anon_sym_xor] = ACTIONS(5909),
    [anon_sym_bitand] = ACTIONS(5909),
    [anon_sym_not_eq] = ACTIONS(5909),
    [anon_sym_DASH_DASH] = ACTIONS(5911),
    [anon_sym_PLUS_PLUS] = ACTIONS(5911),
    [anon_sym_DOT] = ACTIONS(5909),
    [anon_sym_DOT_STAR] = ACTIONS(5911),
    [anon_sym_DASH_GT] = ACTIONS(5911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5909),
    [anon_sym_decltype] = ACTIONS(5909),
  },
  [2445] = {
    [sym_identifier] = ACTIONS(3401),
    [aux_sym_preproc_def_token1] = ACTIONS(3401),
    [aux_sym_preproc_if_token1] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3401),
    [sym_preproc_directive] = ACTIONS(3401),
    [anon_sym_LPAREN2] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_STAR] = ACTIONS(3403),
    [anon_sym_AMP_AMP] = ACTIONS(3403),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym___extension__] = ACTIONS(3401),
    [anon_sym_typedef] = ACTIONS(3401),
    [anon_sym_extern] = ACTIONS(3401),
    [anon_sym___attribute__] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3403),
    [anon_sym___declspec] = ACTIONS(3401),
    [anon_sym___based] = ACTIONS(3401),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3401),
    [anon_sym_unsigned] = ACTIONS(3401),
    [anon_sym_long] = ACTIONS(3401),
    [anon_sym_short] = ACTIONS(3401),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_static] = ACTIONS(3401),
    [anon_sym_register] = ACTIONS(3401),
    [anon_sym_inline] = ACTIONS(3401),
    [anon_sym___inline] = ACTIONS(3401),
    [anon_sym___inline__] = ACTIONS(3401),
    [anon_sym___forceinline] = ACTIONS(3401),
    [anon_sym_thread_local] = ACTIONS(3401),
    [anon_sym___thread] = ACTIONS(3401),
    [anon_sym_const] = ACTIONS(3401),
    [anon_sym_constexpr] = ACTIONS(3401),
    [anon_sym_volatile] = ACTIONS(3401),
    [anon_sym_restrict] = ACTIONS(3401),
    [anon_sym___restrict__] = ACTIONS(3401),
    [anon_sym__Atomic] = ACTIONS(3401),
    [anon_sym__Noreturn] = ACTIONS(3401),
    [anon_sym_noreturn] = ACTIONS(3401),
    [anon_sym_mutable] = ACTIONS(3401),
    [anon_sym_constinit] = ACTIONS(3401),
    [anon_sym_consteval] = ACTIONS(3401),
    [anon_sym_PROGMEM] = ACTIONS(3401),
    [aux_sym_primitive_type_token1] = ACTIONS(3401),
    [anon_sym_byte] = ACTIONS(3401),
    [anon_sym_word] = ACTIONS(3401),
    [anon_sym_enum] = ACTIONS(3401),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3401),
    [anon_sym_union] = ACTIONS(3401),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3401),
    [anon_sym_decltype] = ACTIONS(3401),
    [anon_sym_virtual] = ACTIONS(3401),
    [anon_sym_alignas] = ACTIONS(3401),
    [anon_sym_explicit] = ACTIONS(3401),
    [anon_sym_typename] = ACTIONS(3401),
    [anon_sym_template] = ACTIONS(3401),
    [anon_sym_operator] = ACTIONS(3401),
    [anon_sym_friend] = ACTIONS(3401),
    [anon_sym_public] = ACTIONS(3401),
    [anon_sym_private] = ACTIONS(3401),
    [anon_sym_protected] = ACTIONS(3401),
    [anon_sym_using] = ACTIONS(3401),
    [anon_sym_static_assert] = ACTIONS(3401),
  },
  [2446] = {
    [sym_identifier] = ACTIONS(3397),
    [aux_sym_preproc_def_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3397),
    [sym_preproc_directive] = ACTIONS(3397),
    [anon_sym_LPAREN2] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_AMP_AMP] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3397),
    [anon_sym___extension__] = ACTIONS(3397),
    [anon_sym_typedef] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym___attribute__] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(3399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym___declspec] = ACTIONS(3397),
    [anon_sym___based] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3399),
    [anon_sym_signed] = ACTIONS(3397),
    [anon_sym_unsigned] = ACTIONS(3397),
    [anon_sym_long] = ACTIONS(3397),
    [anon_sym_short] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_register] = ACTIONS(3397),
    [anon_sym_inline] = ACTIONS(3397),
    [anon_sym___inline] = ACTIONS(3397),
    [anon_sym___inline__] = ACTIONS(3397),
    [anon_sym___forceinline] = ACTIONS(3397),
    [anon_sym_thread_local] = ACTIONS(3397),
    [anon_sym___thread] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_constexpr] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_restrict] = ACTIONS(3397),
    [anon_sym___restrict__] = ACTIONS(3397),
    [anon_sym__Atomic] = ACTIONS(3397),
    [anon_sym__Noreturn] = ACTIONS(3397),
    [anon_sym_noreturn] = ACTIONS(3397),
    [anon_sym_mutable] = ACTIONS(3397),
    [anon_sym_constinit] = ACTIONS(3397),
    [anon_sym_consteval] = ACTIONS(3397),
    [anon_sym_PROGMEM] = ACTIONS(3397),
    [aux_sym_primitive_type_token1] = ACTIONS(3397),
    [anon_sym_byte] = ACTIONS(3397),
    [anon_sym_word] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_union] = ACTIONS(3397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3397),
    [anon_sym_decltype] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_alignas] = ACTIONS(3397),
    [anon_sym_explicit] = ACTIONS(3397),
    [anon_sym_typename] = ACTIONS(3397),
    [anon_sym_template] = ACTIONS(3397),
    [anon_sym_operator] = ACTIONS(3397),
    [anon_sym_friend] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_static_assert] = ACTIONS(3397),
  },
  [2447] = {
    [sym_identifier] = ACTIONS(5581),
    [aux_sym_preproc_def_token1] = ACTIONS(5581),
    [aux_sym_preproc_if_token1] = ACTIONS(5581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5581),
    [sym_preproc_directive] = ACTIONS(5581),
    [anon_sym_LPAREN2] = ACTIONS(5583),
    [anon_sym_TILDE] = ACTIONS(5583),
    [anon_sym_STAR] = ACTIONS(5583),
    [anon_sym_AMP_AMP] = ACTIONS(5583),
    [anon_sym_AMP] = ACTIONS(5581),
    [anon_sym___extension__] = ACTIONS(5581),
    [anon_sym_typedef] = ACTIONS(5581),
    [anon_sym_extern] = ACTIONS(5581),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5583),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5583),
    [anon_sym___declspec] = ACTIONS(5581),
    [anon_sym___based] = ACTIONS(5581),
    [anon_sym_RBRACE] = ACTIONS(5583),
    [anon_sym_signed] = ACTIONS(5581),
    [anon_sym_unsigned] = ACTIONS(5581),
    [anon_sym_long] = ACTIONS(5581),
    [anon_sym_short] = ACTIONS(5581),
    [anon_sym_LBRACK] = ACTIONS(5581),
    [anon_sym_static] = ACTIONS(5581),
    [anon_sym_register] = ACTIONS(5581),
    [anon_sym_inline] = ACTIONS(5581),
    [anon_sym___inline] = ACTIONS(5581),
    [anon_sym___inline__] = ACTIONS(5581),
    [anon_sym___forceinline] = ACTIONS(5581),
    [anon_sym_thread_local] = ACTIONS(5581),
    [anon_sym___thread] = ACTIONS(5581),
    [anon_sym_const] = ACTIONS(5581),
    [anon_sym_constexpr] = ACTIONS(5581),
    [anon_sym_volatile] = ACTIONS(5581),
    [anon_sym_restrict] = ACTIONS(5581),
    [anon_sym___restrict__] = ACTIONS(5581),
    [anon_sym__Atomic] = ACTIONS(5581),
    [anon_sym__Noreturn] = ACTIONS(5581),
    [anon_sym_noreturn] = ACTIONS(5581),
    [anon_sym_mutable] = ACTIONS(5581),
    [anon_sym_constinit] = ACTIONS(5581),
    [anon_sym_consteval] = ACTIONS(5581),
    [anon_sym_PROGMEM] = ACTIONS(5581),
    [aux_sym_primitive_type_token1] = ACTIONS(5581),
    [anon_sym_byte] = ACTIONS(5581),
    [anon_sym_word] = ACTIONS(5581),
    [anon_sym_enum] = ACTIONS(5581),
    [anon_sym_class] = ACTIONS(5581),
    [anon_sym_struct] = ACTIONS(5581),
    [anon_sym_union] = ACTIONS(5581),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5581),
    [anon_sym_decltype] = ACTIONS(5581),
    [anon_sym_virtual] = ACTIONS(5581),
    [anon_sym_alignas] = ACTIONS(5581),
    [anon_sym_explicit] = ACTIONS(5581),
    [anon_sym_typename] = ACTIONS(5581),
    [anon_sym_template] = ACTIONS(5581),
    [anon_sym_operator] = ACTIONS(5581),
    [anon_sym_friend] = ACTIONS(5581),
    [anon_sym_public] = ACTIONS(5581),
    [anon_sym_private] = ACTIONS(5581),
    [anon_sym_protected] = ACTIONS(5581),
    [anon_sym_using] = ACTIONS(5581),
    [anon_sym_static_assert] = ACTIONS(5581),
  },
  [2448] = {
    [sym_identifier] = ACTIONS(5577),
    [aux_sym_preproc_def_token1] = ACTIONS(5577),
    [aux_sym_preproc_if_token1] = ACTIONS(5577),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5577),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5577),
    [sym_preproc_directive] = ACTIONS(5577),
    [anon_sym_LPAREN2] = ACTIONS(5579),
    [anon_sym_TILDE] = ACTIONS(5579),
    [anon_sym_STAR] = ACTIONS(5579),
    [anon_sym_AMP_AMP] = ACTIONS(5579),
    [anon_sym_AMP] = ACTIONS(5577),
    [anon_sym___extension__] = ACTIONS(5577),
    [anon_sym_typedef] = ACTIONS(5577),
    [anon_sym_extern] = ACTIONS(5577),
    [anon_sym___attribute__] = ACTIONS(5577),
    [anon_sym_COLON_COLON] = ACTIONS(5579),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5579),
    [anon_sym___declspec] = ACTIONS(5577),
    [anon_sym___based] = ACTIONS(5577),
    [anon_sym_RBRACE] = ACTIONS(5579),
    [anon_sym_signed] = ACTIONS(5577),
    [anon_sym_unsigned] = ACTIONS(5577),
    [anon_sym_long] = ACTIONS(5577),
    [anon_sym_short] = ACTIONS(5577),
    [anon_sym_LBRACK] = ACTIONS(5577),
    [anon_sym_static] = ACTIONS(5577),
    [anon_sym_register] = ACTIONS(5577),
    [anon_sym_inline] = ACTIONS(5577),
    [anon_sym___inline] = ACTIONS(5577),
    [anon_sym___inline__] = ACTIONS(5577),
    [anon_sym___forceinline] = ACTIONS(5577),
    [anon_sym_thread_local] = ACTIONS(5577),
    [anon_sym___thread] = ACTIONS(5577),
    [anon_sym_const] = ACTIONS(5577),
    [anon_sym_constexpr] = ACTIONS(5577),
    [anon_sym_volatile] = ACTIONS(5577),
    [anon_sym_restrict] = ACTIONS(5577),
    [anon_sym___restrict__] = ACTIONS(5577),
    [anon_sym__Atomic] = ACTIONS(5577),
    [anon_sym__Noreturn] = ACTIONS(5577),
    [anon_sym_noreturn] = ACTIONS(5577),
    [anon_sym_mutable] = ACTIONS(5577),
    [anon_sym_constinit] = ACTIONS(5577),
    [anon_sym_consteval] = ACTIONS(5577),
    [anon_sym_PROGMEM] = ACTIONS(5577),
    [aux_sym_primitive_type_token1] = ACTIONS(5577),
    [anon_sym_byte] = ACTIONS(5577),
    [anon_sym_word] = ACTIONS(5577),
    [anon_sym_enum] = ACTIONS(5577),
    [anon_sym_class] = ACTIONS(5577),
    [anon_sym_struct] = ACTIONS(5577),
    [anon_sym_union] = ACTIONS(5577),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5577),
    [anon_sym_decltype] = ACTIONS(5577),
    [anon_sym_virtual] = ACTIONS(5577),
    [anon_sym_alignas] = ACTIONS(5577),
    [anon_sym_explicit] = ACTIONS(5577),
    [anon_sym_typename] = ACTIONS(5577),
    [anon_sym_template] = ACTIONS(5577),
    [anon_sym_operator] = ACTIONS(5577),
    [anon_sym_friend] = ACTIONS(5577),
    [anon_sym_public] = ACTIONS(5577),
    [anon_sym_private] = ACTIONS(5577),
    [anon_sym_protected] = ACTIONS(5577),
    [anon_sym_using] = ACTIONS(5577),
    [anon_sym_static_assert] = ACTIONS(5577),
  },
  [2449] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(4299),
    [sym_raw_string_literal] = STATE(2984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4446),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(4478),
    [anon_sym_COLON] = ACTIONS(4515),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4482),
    [anon_sym_SLASH_EQ] = ACTIONS(4482),
    [anon_sym_PERCENT_EQ] = ACTIONS(4482),
    [anon_sym_PLUS_EQ] = ACTIONS(4482),
    [anon_sym_DASH_EQ] = ACTIONS(4482),
    [anon_sym_LT_LT_EQ] = ACTIONS(4482),
    [anon_sym_GT_GT_EQ] = ACTIONS(4482),
    [anon_sym_AMP_EQ] = ACTIONS(4482),
    [anon_sym_CARET_EQ] = ACTIONS(4482),
    [anon_sym_PIPE_EQ] = ACTIONS(4482),
    [anon_sym_and_eq] = ACTIONS(4482),
    [anon_sym_or_eq] = ACTIONS(4482),
    [anon_sym_xor_eq] = ACTIONS(4482),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [2450] = {
    [sym_identifier] = ACTIONS(3397),
    [aux_sym_preproc_def_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3397),
    [sym_preproc_directive] = ACTIONS(3397),
    [anon_sym_LPAREN2] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_AMP_AMP] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3397),
    [anon_sym___extension__] = ACTIONS(3397),
    [anon_sym_typedef] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym___attribute__] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(3399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym___declspec] = ACTIONS(3397),
    [anon_sym___based] = ACTIONS(3397),
    [anon_sym_RBRACE] = ACTIONS(3399),
    [anon_sym_signed] = ACTIONS(3397),
    [anon_sym_unsigned] = ACTIONS(3397),
    [anon_sym_long] = ACTIONS(3397),
    [anon_sym_short] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_register] = ACTIONS(3397),
    [anon_sym_inline] = ACTIONS(3397),
    [anon_sym___inline] = ACTIONS(3397),
    [anon_sym___inline__] = ACTIONS(3397),
    [anon_sym___forceinline] = ACTIONS(3397),
    [anon_sym_thread_local] = ACTIONS(3397),
    [anon_sym___thread] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_constexpr] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_restrict] = ACTIONS(3397),
    [anon_sym___restrict__] = ACTIONS(3397),
    [anon_sym__Atomic] = ACTIONS(3397),
    [anon_sym__Noreturn] = ACTIONS(3397),
    [anon_sym_noreturn] = ACTIONS(3397),
    [anon_sym_mutable] = ACTIONS(3397),
    [anon_sym_constinit] = ACTIONS(3397),
    [anon_sym_consteval] = ACTIONS(3397),
    [anon_sym_PROGMEM] = ACTIONS(3397),
    [aux_sym_primitive_type_token1] = ACTIONS(3397),
    [anon_sym_byte] = ACTIONS(3397),
    [anon_sym_word] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_union] = ACTIONS(3397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3397),
    [anon_sym_decltype] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_alignas] = ACTIONS(3397),
    [anon_sym_explicit] = ACTIONS(3397),
    [anon_sym_typename] = ACTIONS(3397),
    [anon_sym_template] = ACTIONS(3397),
    [anon_sym_operator] = ACTIONS(3397),
    [anon_sym_friend] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_static_assert] = ACTIONS(3397),
  },
  [2451] = {
    [sym_identifier] = ACTIONS(3316),
    [aux_sym_preproc_def_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token1] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3316),
    [sym_preproc_directive] = ACTIONS(3316),
    [anon_sym_LPAREN2] = ACTIONS(3318),
    [anon_sym_TILDE] = ACTIONS(3318),
    [anon_sym_STAR] = ACTIONS(3318),
    [anon_sym_AMP_AMP] = ACTIONS(3318),
    [anon_sym_AMP] = ACTIONS(3316),
    [anon_sym___extension__] = ACTIONS(3316),
    [anon_sym_typedef] = ACTIONS(3316),
    [anon_sym_extern] = ACTIONS(3316),
    [anon_sym___attribute__] = ACTIONS(3316),
    [anon_sym_COLON_COLON] = ACTIONS(3318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3318),
    [anon_sym___declspec] = ACTIONS(3316),
    [anon_sym___based] = ACTIONS(3316),
    [anon_sym_RBRACE] = ACTIONS(3318),
    [anon_sym_signed] = ACTIONS(3316),
    [anon_sym_unsigned] = ACTIONS(3316),
    [anon_sym_long] = ACTIONS(3316),
    [anon_sym_short] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_register] = ACTIONS(3316),
    [anon_sym_inline] = ACTIONS(3316),
    [anon_sym___inline] = ACTIONS(3316),
    [anon_sym___inline__] = ACTIONS(3316),
    [anon_sym___forceinline] = ACTIONS(3316),
    [anon_sym_thread_local] = ACTIONS(3316),
    [anon_sym___thread] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_constexpr] = ACTIONS(3316),
    [anon_sym_volatile] = ACTIONS(3316),
    [anon_sym_restrict] = ACTIONS(3316),
    [anon_sym___restrict__] = ACTIONS(3316),
    [anon_sym__Atomic] = ACTIONS(3316),
    [anon_sym__Noreturn] = ACTIONS(3316),
    [anon_sym_noreturn] = ACTIONS(3316),
    [anon_sym_mutable] = ACTIONS(3316),
    [anon_sym_constinit] = ACTIONS(3316),
    [anon_sym_consteval] = ACTIONS(3316),
    [anon_sym_PROGMEM] = ACTIONS(3316),
    [aux_sym_primitive_type_token1] = ACTIONS(3316),
    [anon_sym_byte] = ACTIONS(3316),
    [anon_sym_word] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_struct] = ACTIONS(3316),
    [anon_sym_union] = ACTIONS(3316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3316),
    [anon_sym_decltype] = ACTIONS(3316),
    [anon_sym_virtual] = ACTIONS(3316),
    [anon_sym_alignas] = ACTIONS(3316),
    [anon_sym_explicit] = ACTIONS(3316),
    [anon_sym_typename] = ACTIONS(3316),
    [anon_sym_template] = ACTIONS(3316),
    [anon_sym_operator] = ACTIONS(3316),
    [anon_sym_friend] = ACTIONS(3316),
    [anon_sym_public] = ACTIONS(3316),
    [anon_sym_private] = ACTIONS(3316),
    [anon_sym_protected] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_static_assert] = ACTIONS(3316),
  },
  [2452] = {
    [sym_identifier] = ACTIONS(5573),
    [aux_sym_preproc_def_token1] = ACTIONS(5573),
    [aux_sym_preproc_if_token1] = ACTIONS(5573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5573),
    [sym_preproc_directive] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(5575),
    [anon_sym_TILDE] = ACTIONS(5575),
    [anon_sym_STAR] = ACTIONS(5575),
    [anon_sym_AMP_AMP] = ACTIONS(5575),
    [anon_sym_AMP] = ACTIONS(5573),
    [anon_sym___extension__] = ACTIONS(5573),
    [anon_sym_typedef] = ACTIONS(5573),
    [anon_sym_extern] = ACTIONS(5573),
    [anon_sym___attribute__] = ACTIONS(5573),
    [anon_sym_COLON_COLON] = ACTIONS(5575),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5575),
    [anon_sym___declspec] = ACTIONS(5573),
    [anon_sym___based] = ACTIONS(5573),
    [anon_sym_RBRACE] = ACTIONS(5575),
    [anon_sym_signed] = ACTIONS(5573),
    [anon_sym_unsigned] = ACTIONS(5573),
    [anon_sym_long] = ACTIONS(5573),
    [anon_sym_short] = ACTIONS(5573),
    [anon_sym_LBRACK] = ACTIONS(5573),
    [anon_sym_static] = ACTIONS(5573),
    [anon_sym_register] = ACTIONS(5573),
    [anon_sym_inline] = ACTIONS(5573),
    [anon_sym___inline] = ACTIONS(5573),
    [anon_sym___inline__] = ACTIONS(5573),
    [anon_sym___forceinline] = ACTIONS(5573),
    [anon_sym_thread_local] = ACTIONS(5573),
    [anon_sym___thread] = ACTIONS(5573),
    [anon_sym_const] = ACTIONS(5573),
    [anon_sym_constexpr] = ACTIONS(5573),
    [anon_sym_volatile] = ACTIONS(5573),
    [anon_sym_restrict] = ACTIONS(5573),
    [anon_sym___restrict__] = ACTIONS(5573),
    [anon_sym__Atomic] = ACTIONS(5573),
    [anon_sym__Noreturn] = ACTIONS(5573),
    [anon_sym_noreturn] = ACTIONS(5573),
    [anon_sym_mutable] = ACTIONS(5573),
    [anon_sym_constinit] = ACTIONS(5573),
    [anon_sym_consteval] = ACTIONS(5573),
    [anon_sym_PROGMEM] = ACTIONS(5573),
    [aux_sym_primitive_type_token1] = ACTIONS(5573),
    [anon_sym_byte] = ACTIONS(5573),
    [anon_sym_word] = ACTIONS(5573),
    [anon_sym_enum] = ACTIONS(5573),
    [anon_sym_class] = ACTIONS(5573),
    [anon_sym_struct] = ACTIONS(5573),
    [anon_sym_union] = ACTIONS(5573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5573),
    [anon_sym_decltype] = ACTIONS(5573),
    [anon_sym_virtual] = ACTIONS(5573),
    [anon_sym_alignas] = ACTIONS(5573),
    [anon_sym_explicit] = ACTIONS(5573),
    [anon_sym_typename] = ACTIONS(5573),
    [anon_sym_template] = ACTIONS(5573),
    [anon_sym_operator] = ACTIONS(5573),
    [anon_sym_friend] = ACTIONS(5573),
    [anon_sym_public] = ACTIONS(5573),
    [anon_sym_private] = ACTIONS(5573),
    [anon_sym_protected] = ACTIONS(5573),
    [anon_sym_using] = ACTIONS(5573),
    [anon_sym_static_assert] = ACTIONS(5573),
  },
  [2453] = {
    [sym_identifier] = ACTIONS(5573),
    [aux_sym_preproc_def_token1] = ACTIONS(5573),
    [aux_sym_preproc_if_token1] = ACTIONS(5573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5573),
    [sym_preproc_directive] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(5575),
    [anon_sym_TILDE] = ACTIONS(5575),
    [anon_sym_STAR] = ACTIONS(5575),
    [anon_sym_AMP_AMP] = ACTIONS(5575),
    [anon_sym_AMP] = ACTIONS(5573),
    [anon_sym___extension__] = ACTIONS(5573),
    [anon_sym_typedef] = ACTIONS(5573),
    [anon_sym_extern] = ACTIONS(5573),
    [anon_sym___attribute__] = ACTIONS(5573),
    [anon_sym_COLON_COLON] = ACTIONS(5575),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5575),
    [anon_sym___declspec] = ACTIONS(5573),
    [anon_sym___based] = ACTIONS(5573),
    [anon_sym_RBRACE] = ACTIONS(5575),
    [anon_sym_signed] = ACTIONS(5573),
    [anon_sym_unsigned] = ACTIONS(5573),
    [anon_sym_long] = ACTIONS(5573),
    [anon_sym_short] = ACTIONS(5573),
    [anon_sym_LBRACK] = ACTIONS(5573),
    [anon_sym_static] = ACTIONS(5573),
    [anon_sym_register] = ACTIONS(5573),
    [anon_sym_inline] = ACTIONS(5573),
    [anon_sym___inline] = ACTIONS(5573),
    [anon_sym___inline__] = ACTIONS(5573),
    [anon_sym___forceinline] = ACTIONS(5573),
    [anon_sym_thread_local] = ACTIONS(5573),
    [anon_sym___thread] = ACTIONS(5573),
    [anon_sym_const] = ACTIONS(5573),
    [anon_sym_constexpr] = ACTIONS(5573),
    [anon_sym_volatile] = ACTIONS(5573),
    [anon_sym_restrict] = ACTIONS(5573),
    [anon_sym___restrict__] = ACTIONS(5573),
    [anon_sym__Atomic] = ACTIONS(5573),
    [anon_sym__Noreturn] = ACTIONS(5573),
    [anon_sym_noreturn] = ACTIONS(5573),
    [anon_sym_mutable] = ACTIONS(5573),
    [anon_sym_constinit] = ACTIONS(5573),
    [anon_sym_consteval] = ACTIONS(5573),
    [anon_sym_PROGMEM] = ACTIONS(5573),
    [aux_sym_primitive_type_token1] = ACTIONS(5573),
    [anon_sym_byte] = ACTIONS(5573),
    [anon_sym_word] = ACTIONS(5573),
    [anon_sym_enum] = ACTIONS(5573),
    [anon_sym_class] = ACTIONS(5573),
    [anon_sym_struct] = ACTIONS(5573),
    [anon_sym_union] = ACTIONS(5573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5573),
    [anon_sym_decltype] = ACTIONS(5573),
    [anon_sym_virtual] = ACTIONS(5573),
    [anon_sym_alignas] = ACTIONS(5573),
    [anon_sym_explicit] = ACTIONS(5573),
    [anon_sym_typename] = ACTIONS(5573),
    [anon_sym_template] = ACTIONS(5573),
    [anon_sym_operator] = ACTIONS(5573),
    [anon_sym_friend] = ACTIONS(5573),
    [anon_sym_public] = ACTIONS(5573),
    [anon_sym_private] = ACTIONS(5573),
    [anon_sym_protected] = ACTIONS(5573),
    [anon_sym_using] = ACTIONS(5573),
    [anon_sym_static_assert] = ACTIONS(5573),
  },
  [2454] = {
    [sym_identifier] = ACTIONS(5569),
    [aux_sym_preproc_def_token1] = ACTIONS(5569),
    [aux_sym_preproc_if_token1] = ACTIONS(5569),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5569),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5569),
    [sym_preproc_directive] = ACTIONS(5569),
    [anon_sym_LPAREN2] = ACTIONS(5571),
    [anon_sym_TILDE] = ACTIONS(5571),
    [anon_sym_STAR] = ACTIONS(5571),
    [anon_sym_AMP_AMP] = ACTIONS(5571),
    [anon_sym_AMP] = ACTIONS(5569),
    [anon_sym___extension__] = ACTIONS(5569),
    [anon_sym_typedef] = ACTIONS(5569),
    [anon_sym_extern] = ACTIONS(5569),
    [anon_sym___attribute__] = ACTIONS(5569),
    [anon_sym_COLON_COLON] = ACTIONS(5571),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5571),
    [anon_sym___declspec] = ACTIONS(5569),
    [anon_sym___based] = ACTIONS(5569),
    [anon_sym_RBRACE] = ACTIONS(5571),
    [anon_sym_signed] = ACTIONS(5569),
    [anon_sym_unsigned] = ACTIONS(5569),
    [anon_sym_long] = ACTIONS(5569),
    [anon_sym_short] = ACTIONS(5569),
    [anon_sym_LBRACK] = ACTIONS(5569),
    [anon_sym_static] = ACTIONS(5569),
    [anon_sym_register] = ACTIONS(5569),
    [anon_sym_inline] = ACTIONS(5569),
    [anon_sym___inline] = ACTIONS(5569),
    [anon_sym___inline__] = ACTIONS(5569),
    [anon_sym___forceinline] = ACTIONS(5569),
    [anon_sym_thread_local] = ACTIONS(5569),
    [anon_sym___thread] = ACTIONS(5569),
    [anon_sym_const] = ACTIONS(5569),
    [anon_sym_constexpr] = ACTIONS(5569),
    [anon_sym_volatile] = ACTIONS(5569),
    [anon_sym_restrict] = ACTIONS(5569),
    [anon_sym___restrict__] = ACTIONS(5569),
    [anon_sym__Atomic] = ACTIONS(5569),
    [anon_sym__Noreturn] = ACTIONS(5569),
    [anon_sym_noreturn] = ACTIONS(5569),
    [anon_sym_mutable] = ACTIONS(5569),
    [anon_sym_constinit] = ACTIONS(5569),
    [anon_sym_consteval] = ACTIONS(5569),
    [anon_sym_PROGMEM] = ACTIONS(5569),
    [aux_sym_primitive_type_token1] = ACTIONS(5569),
    [anon_sym_byte] = ACTIONS(5569),
    [anon_sym_word] = ACTIONS(5569),
    [anon_sym_enum] = ACTIONS(5569),
    [anon_sym_class] = ACTIONS(5569),
    [anon_sym_struct] = ACTIONS(5569),
    [anon_sym_union] = ACTIONS(5569),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5569),
    [anon_sym_decltype] = ACTIONS(5569),
    [anon_sym_virtual] = ACTIONS(5569),
    [anon_sym_alignas] = ACTIONS(5569),
    [anon_sym_explicit] = ACTIONS(5569),
    [anon_sym_typename] = ACTIONS(5569),
    [anon_sym_template] = ACTIONS(5569),
    [anon_sym_operator] = ACTIONS(5569),
    [anon_sym_friend] = ACTIONS(5569),
    [anon_sym_public] = ACTIONS(5569),
    [anon_sym_private] = ACTIONS(5569),
    [anon_sym_protected] = ACTIONS(5569),
    [anon_sym_using] = ACTIONS(5569),
    [anon_sym_static_assert] = ACTIONS(5569),
  },
  [2455] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(4299),
    [sym_raw_string_literal] = STATE(2984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4446),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(4478),
    [anon_sym_COLON] = ACTIONS(4521),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4482),
    [anon_sym_SLASH_EQ] = ACTIONS(4482),
    [anon_sym_PERCENT_EQ] = ACTIONS(4482),
    [anon_sym_PLUS_EQ] = ACTIONS(4482),
    [anon_sym_DASH_EQ] = ACTIONS(4482),
    [anon_sym_LT_LT_EQ] = ACTIONS(4482),
    [anon_sym_GT_GT_EQ] = ACTIONS(4482),
    [anon_sym_AMP_EQ] = ACTIONS(4482),
    [anon_sym_CARET_EQ] = ACTIONS(4482),
    [anon_sym_PIPE_EQ] = ACTIONS(4482),
    [anon_sym_and_eq] = ACTIONS(4482),
    [anon_sym_or_eq] = ACTIONS(4482),
    [anon_sym_xor_eq] = ACTIONS(4482),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [2456] = {
    [sym_identifier] = ACTIONS(3361),
    [aux_sym_preproc_def_token1] = ACTIONS(3361),
    [aux_sym_preproc_if_token1] = ACTIONS(3361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3361),
    [sym_preproc_directive] = ACTIONS(3361),
    [anon_sym_LPAREN2] = ACTIONS(3363),
    [anon_sym_TILDE] = ACTIONS(3363),
    [anon_sym_STAR] = ACTIONS(3363),
    [anon_sym_AMP_AMP] = ACTIONS(3363),
    [anon_sym_AMP] = ACTIONS(3361),
    [anon_sym___extension__] = ACTIONS(3361),
    [anon_sym_typedef] = ACTIONS(3361),
    [anon_sym_extern] = ACTIONS(3361),
    [anon_sym___attribute__] = ACTIONS(3361),
    [anon_sym_COLON_COLON] = ACTIONS(3363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3363),
    [anon_sym___declspec] = ACTIONS(3361),
    [anon_sym___based] = ACTIONS(3361),
    [anon_sym_RBRACE] = ACTIONS(3363),
    [anon_sym_signed] = ACTIONS(3361),
    [anon_sym_unsigned] = ACTIONS(3361),
    [anon_sym_long] = ACTIONS(3361),
    [anon_sym_short] = ACTIONS(3361),
    [anon_sym_LBRACK] = ACTIONS(3361),
    [anon_sym_static] = ACTIONS(3361),
    [anon_sym_register] = ACTIONS(3361),
    [anon_sym_inline] = ACTIONS(3361),
    [anon_sym___inline] = ACTIONS(3361),
    [anon_sym___inline__] = ACTIONS(3361),
    [anon_sym___forceinline] = ACTIONS(3361),
    [anon_sym_thread_local] = ACTIONS(3361),
    [anon_sym___thread] = ACTIONS(3361),
    [anon_sym_const] = ACTIONS(3361),
    [anon_sym_constexpr] = ACTIONS(3361),
    [anon_sym_volatile] = ACTIONS(3361),
    [anon_sym_restrict] = ACTIONS(3361),
    [anon_sym___restrict__] = ACTIONS(3361),
    [anon_sym__Atomic] = ACTIONS(3361),
    [anon_sym__Noreturn] = ACTIONS(3361),
    [anon_sym_noreturn] = ACTIONS(3361),
    [anon_sym_mutable] = ACTIONS(3361),
    [anon_sym_constinit] = ACTIONS(3361),
    [anon_sym_consteval] = ACTIONS(3361),
    [anon_sym_PROGMEM] = ACTIONS(3361),
    [aux_sym_primitive_type_token1] = ACTIONS(3361),
    [anon_sym_byte] = ACTIONS(3361),
    [anon_sym_word] = ACTIONS(3361),
    [anon_sym_enum] = ACTIONS(3361),
    [anon_sym_class] = ACTIONS(3361),
    [anon_sym_struct] = ACTIONS(3361),
    [anon_sym_union] = ACTIONS(3361),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3361),
    [anon_sym_decltype] = ACTIONS(3361),
    [anon_sym_virtual] = ACTIONS(3361),
    [anon_sym_alignas] = ACTIONS(3361),
    [anon_sym_explicit] = ACTIONS(3361),
    [anon_sym_typename] = ACTIONS(3361),
    [anon_sym_template] = ACTIONS(3361),
    [anon_sym_operator] = ACTIONS(3361),
    [anon_sym_friend] = ACTIONS(3361),
    [anon_sym_public] = ACTIONS(3361),
    [anon_sym_private] = ACTIONS(3361),
    [anon_sym_protected] = ACTIONS(3361),
    [anon_sym_using] = ACTIONS(3361),
    [anon_sym_static_assert] = ACTIONS(3361),
  },
  [2457] = {
    [sym_identifier] = ACTIONS(5565),
    [aux_sym_preproc_def_token1] = ACTIONS(5565),
    [aux_sym_preproc_if_token1] = ACTIONS(5565),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5565),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5565),
    [sym_preproc_directive] = ACTIONS(5565),
    [anon_sym_LPAREN2] = ACTIONS(5567),
    [anon_sym_TILDE] = ACTIONS(5567),
    [anon_sym_STAR] = ACTIONS(5567),
    [anon_sym_AMP_AMP] = ACTIONS(5567),
    [anon_sym_AMP] = ACTIONS(5565),
    [anon_sym___extension__] = ACTIONS(5565),
    [anon_sym_typedef] = ACTIONS(5565),
    [anon_sym_extern] = ACTIONS(5565),
    [anon_sym___attribute__] = ACTIONS(5565),
    [anon_sym_COLON_COLON] = ACTIONS(5567),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5567),
    [anon_sym___declspec] = ACTIONS(5565),
    [anon_sym___based] = ACTIONS(5565),
    [anon_sym_RBRACE] = ACTIONS(5567),
    [anon_sym_signed] = ACTIONS(5565),
    [anon_sym_unsigned] = ACTIONS(5565),
    [anon_sym_long] = ACTIONS(5565),
    [anon_sym_short] = ACTIONS(5565),
    [anon_sym_LBRACK] = ACTIONS(5565),
    [anon_sym_static] = ACTIONS(5565),
    [anon_sym_register] = ACTIONS(5565),
    [anon_sym_inline] = ACTIONS(5565),
    [anon_sym___inline] = ACTIONS(5565),
    [anon_sym___inline__] = ACTIONS(5565),
    [anon_sym___forceinline] = ACTIONS(5565),
    [anon_sym_thread_local] = ACTIONS(5565),
    [anon_sym___thread] = ACTIONS(5565),
    [anon_sym_const] = ACTIONS(5565),
    [anon_sym_constexpr] = ACTIONS(5565),
    [anon_sym_volatile] = ACTIONS(5565),
    [anon_sym_restrict] = ACTIONS(5565),
    [anon_sym___restrict__] = ACTIONS(5565),
    [anon_sym__Atomic] = ACTIONS(5565),
    [anon_sym__Noreturn] = ACTIONS(5565),
    [anon_sym_noreturn] = ACTIONS(5565),
    [anon_sym_mutable] = ACTIONS(5565),
    [anon_sym_constinit] = ACTIONS(5565),
    [anon_sym_consteval] = ACTIONS(5565),
    [anon_sym_PROGMEM] = ACTIONS(5565),
    [aux_sym_primitive_type_token1] = ACTIONS(5565),
    [anon_sym_byte] = ACTIONS(5565),
    [anon_sym_word] = ACTIONS(5565),
    [anon_sym_enum] = ACTIONS(5565),
    [anon_sym_class] = ACTIONS(5565),
    [anon_sym_struct] = ACTIONS(5565),
    [anon_sym_union] = ACTIONS(5565),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5565),
    [anon_sym_decltype] = ACTIONS(5565),
    [anon_sym_virtual] = ACTIONS(5565),
    [anon_sym_alignas] = ACTIONS(5565),
    [anon_sym_explicit] = ACTIONS(5565),
    [anon_sym_typename] = ACTIONS(5565),
    [anon_sym_template] = ACTIONS(5565),
    [anon_sym_operator] = ACTIONS(5565),
    [anon_sym_friend] = ACTIONS(5565),
    [anon_sym_public] = ACTIONS(5565),
    [anon_sym_private] = ACTIONS(5565),
    [anon_sym_protected] = ACTIONS(5565),
    [anon_sym_using] = ACTIONS(5565),
    [anon_sym_static_assert] = ACTIONS(5565),
  },
  [2458] = {
    [sym_identifier] = ACTIONS(3192),
    [aux_sym_preproc_def_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token1] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3192),
    [sym_preproc_directive] = ACTIONS(3192),
    [anon_sym_LPAREN2] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym___extension__] = ACTIONS(3192),
    [anon_sym_typedef] = ACTIONS(3192),
    [anon_sym_extern] = ACTIONS(3192),
    [anon_sym___attribute__] = ACTIONS(3192),
    [anon_sym_COLON_COLON] = ACTIONS(3194),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3194),
    [anon_sym___declspec] = ACTIONS(3192),
    [anon_sym___based] = ACTIONS(3192),
    [anon_sym_RBRACE] = ACTIONS(3194),
    [anon_sym_signed] = ACTIONS(3192),
    [anon_sym_unsigned] = ACTIONS(3192),
    [anon_sym_long] = ACTIONS(3192),
    [anon_sym_short] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_register] = ACTIONS(3192),
    [anon_sym_inline] = ACTIONS(3192),
    [anon_sym___inline] = ACTIONS(3192),
    [anon_sym___inline__] = ACTIONS(3192),
    [anon_sym___forceinline] = ACTIONS(3192),
    [anon_sym_thread_local] = ACTIONS(3192),
    [anon_sym___thread] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_constexpr] = ACTIONS(3192),
    [anon_sym_volatile] = ACTIONS(3192),
    [anon_sym_restrict] = ACTIONS(3192),
    [anon_sym___restrict__] = ACTIONS(3192),
    [anon_sym__Atomic] = ACTIONS(3192),
    [anon_sym__Noreturn] = ACTIONS(3192),
    [anon_sym_noreturn] = ACTIONS(3192),
    [anon_sym_mutable] = ACTIONS(3192),
    [anon_sym_constinit] = ACTIONS(3192),
    [anon_sym_consteval] = ACTIONS(3192),
    [anon_sym_PROGMEM] = ACTIONS(3192),
    [aux_sym_primitive_type_token1] = ACTIONS(3192),
    [anon_sym_byte] = ACTIONS(3192),
    [anon_sym_word] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_struct] = ACTIONS(3192),
    [anon_sym_union] = ACTIONS(3192),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3192),
    [anon_sym_decltype] = ACTIONS(3192),
    [anon_sym_virtual] = ACTIONS(3192),
    [anon_sym_alignas] = ACTIONS(3192),
    [anon_sym_explicit] = ACTIONS(3192),
    [anon_sym_typename] = ACTIONS(3192),
    [anon_sym_template] = ACTIONS(3192),
    [anon_sym_operator] = ACTIONS(3192),
    [anon_sym_friend] = ACTIONS(3192),
    [anon_sym_public] = ACTIONS(3192),
    [anon_sym_private] = ACTIONS(3192),
    [anon_sym_protected] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_static_assert] = ACTIONS(3192),
  },
  [2459] = {
    [sym_primitive_type] = STATE(2877),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2650),
    [sym_identifier] = ACTIONS(5915),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5555),
    [anon_sym_COMMA] = ACTIONS(5555),
    [anon_sym_LPAREN2] = ACTIONS(5555),
    [anon_sym_DASH] = ACTIONS(5557),
    [anon_sym_PLUS] = ACTIONS(5557),
    [anon_sym_STAR] = ACTIONS(5555),
    [anon_sym_SLASH] = ACTIONS(5557),
    [anon_sym_PERCENT] = ACTIONS(5555),
    [anon_sym_PIPE_PIPE] = ACTIONS(5555),
    [anon_sym_AMP_AMP] = ACTIONS(5555),
    [anon_sym_PIPE] = ACTIONS(5557),
    [anon_sym_CARET] = ACTIONS(5555),
    [anon_sym_AMP] = ACTIONS(5557),
    [anon_sym_EQ_EQ] = ACTIONS(5555),
    [anon_sym_BANG_EQ] = ACTIONS(5555),
    [anon_sym_GT] = ACTIONS(5557),
    [anon_sym_GT_EQ] = ACTIONS(5557),
    [anon_sym_LT_EQ] = ACTIONS(5557),
    [anon_sym_LT] = ACTIONS(5557),
    [anon_sym_LT_LT] = ACTIONS(5555),
    [anon_sym_GT_GT] = ACTIONS(5557),
    [anon_sym___extension__] = ACTIONS(5557),
    [anon_sym___attribute__] = ACTIONS(5557),
    [anon_sym_LBRACE] = ACTIONS(5555),
    [anon_sym_signed] = ACTIONS(5917),
    [anon_sym_unsigned] = ACTIONS(5917),
    [anon_sym_long] = ACTIONS(5917),
    [anon_sym_short] = ACTIONS(5917),
    [anon_sym_LBRACK] = ACTIONS(5555),
    [anon_sym_const] = ACTIONS(5557),
    [anon_sym_constexpr] = ACTIONS(5557),
    [anon_sym_volatile] = ACTIONS(5557),
    [anon_sym_restrict] = ACTIONS(5557),
    [anon_sym___restrict__] = ACTIONS(5557),
    [anon_sym__Atomic] = ACTIONS(5557),
    [anon_sym__Noreturn] = ACTIONS(5557),
    [anon_sym_noreturn] = ACTIONS(5557),
    [anon_sym_mutable] = ACTIONS(5557),
    [anon_sym_constinit] = ACTIONS(5557),
    [anon_sym_consteval] = ACTIONS(5557),
    [anon_sym_PROGMEM] = ACTIONS(5557),
    [aux_sym_primitive_type_token1] = ACTIONS(2970),
    [anon_sym_byte] = ACTIONS(2970),
    [anon_sym_word] = ACTIONS(2970),
    [anon_sym_QMARK] = ACTIONS(5555),
    [anon_sym_LT_EQ_GT] = ACTIONS(5555),
    [anon_sym_or] = ACTIONS(5557),
    [anon_sym_and] = ACTIONS(5557),
    [anon_sym_bitor] = ACTIONS(5557),
    [anon_sym_xor] = ACTIONS(5557),
    [anon_sym_bitand] = ACTIONS(5557),
    [anon_sym_not_eq] = ACTIONS(5557),
    [anon_sym_DASH_DASH] = ACTIONS(5555),
    [anon_sym_PLUS_PLUS] = ACTIONS(5555),
    [anon_sym_DOT] = ACTIONS(5557),
    [anon_sym_DOT_STAR] = ACTIONS(5555),
    [anon_sym_DASH_GT] = ACTIONS(5555),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5557),
    [anon_sym_decltype] = ACTIONS(5557),
    [anon_sym_final] = ACTIONS(5557),
    [anon_sym_override] = ACTIONS(5557),
    [anon_sym_GT2] = ACTIONS(5555),
    [anon_sym_requires] = ACTIONS(5557),
  },
  [2460] = {
    [sym_identifier] = ACTIONS(5517),
    [aux_sym_preproc_def_token1] = ACTIONS(5517),
    [aux_sym_preproc_if_token1] = ACTIONS(5517),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5517),
    [sym_preproc_directive] = ACTIONS(5517),
    [anon_sym_LPAREN2] = ACTIONS(5519),
    [anon_sym_TILDE] = ACTIONS(5519),
    [anon_sym_STAR] = ACTIONS(5519),
    [anon_sym_AMP_AMP] = ACTIONS(5519),
    [anon_sym_AMP] = ACTIONS(5517),
    [anon_sym___extension__] = ACTIONS(5517),
    [anon_sym_typedef] = ACTIONS(5517),
    [anon_sym_extern] = ACTIONS(5517),
    [anon_sym___attribute__] = ACTIONS(5517),
    [anon_sym_COLON_COLON] = ACTIONS(5519),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5519),
    [anon_sym___declspec] = ACTIONS(5517),
    [anon_sym___based] = ACTIONS(5517),
    [anon_sym_RBRACE] = ACTIONS(5519),
    [anon_sym_signed] = ACTIONS(5517),
    [anon_sym_unsigned] = ACTIONS(5517),
    [anon_sym_long] = ACTIONS(5517),
    [anon_sym_short] = ACTIONS(5517),
    [anon_sym_LBRACK] = ACTIONS(5517),
    [anon_sym_static] = ACTIONS(5517),
    [anon_sym_register] = ACTIONS(5517),
    [anon_sym_inline] = ACTIONS(5517),
    [anon_sym___inline] = ACTIONS(5517),
    [anon_sym___inline__] = ACTIONS(5517),
    [anon_sym___forceinline] = ACTIONS(5517),
    [anon_sym_thread_local] = ACTIONS(5517),
    [anon_sym___thread] = ACTIONS(5517),
    [anon_sym_const] = ACTIONS(5517),
    [anon_sym_constexpr] = ACTIONS(5517),
    [anon_sym_volatile] = ACTIONS(5517),
    [anon_sym_restrict] = ACTIONS(5517),
    [anon_sym___restrict__] = ACTIONS(5517),
    [anon_sym__Atomic] = ACTIONS(5517),
    [anon_sym__Noreturn] = ACTIONS(5517),
    [anon_sym_noreturn] = ACTIONS(5517),
    [anon_sym_mutable] = ACTIONS(5517),
    [anon_sym_constinit] = ACTIONS(5517),
    [anon_sym_consteval] = ACTIONS(5517),
    [anon_sym_PROGMEM] = ACTIONS(5517),
    [aux_sym_primitive_type_token1] = ACTIONS(5517),
    [anon_sym_byte] = ACTIONS(5517),
    [anon_sym_word] = ACTIONS(5517),
    [anon_sym_enum] = ACTIONS(5517),
    [anon_sym_class] = ACTIONS(5517),
    [anon_sym_struct] = ACTIONS(5517),
    [anon_sym_union] = ACTIONS(5517),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5517),
    [anon_sym_decltype] = ACTIONS(5517),
    [anon_sym_virtual] = ACTIONS(5517),
    [anon_sym_alignas] = ACTIONS(5517),
    [anon_sym_explicit] = ACTIONS(5517),
    [anon_sym_typename] = ACTIONS(5517),
    [anon_sym_template] = ACTIONS(5517),
    [anon_sym_operator] = ACTIONS(5517),
    [anon_sym_friend] = ACTIONS(5517),
    [anon_sym_public] = ACTIONS(5517),
    [anon_sym_private] = ACTIONS(5517),
    [anon_sym_protected] = ACTIONS(5517),
    [anon_sym_using] = ACTIONS(5517),
    [anon_sym_static_assert] = ACTIONS(5517),
  },
  [2461] = {
    [sym_identifier] = ACTIONS(5479),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5481),
    [anon_sym_COMMA] = ACTIONS(5481),
    [anon_sym_RPAREN] = ACTIONS(5481),
    [aux_sym_preproc_if_token2] = ACTIONS(5481),
    [aux_sym_preproc_else_token1] = ACTIONS(5481),
    [aux_sym_preproc_elif_token1] = ACTIONS(5479),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5481),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5481),
    [anon_sym_LPAREN2] = ACTIONS(5481),
    [anon_sym_DASH] = ACTIONS(5479),
    [anon_sym_PLUS] = ACTIONS(5479),
    [anon_sym_STAR] = ACTIONS(5481),
    [anon_sym_SLASH] = ACTIONS(5479),
    [anon_sym_PERCENT] = ACTIONS(5481),
    [anon_sym_PIPE_PIPE] = ACTIONS(5481),
    [anon_sym_AMP_AMP] = ACTIONS(5481),
    [anon_sym_PIPE] = ACTIONS(5479),
    [anon_sym_CARET] = ACTIONS(5481),
    [anon_sym_AMP] = ACTIONS(5479),
    [anon_sym_EQ_EQ] = ACTIONS(5481),
    [anon_sym_BANG_EQ] = ACTIONS(5481),
    [anon_sym_GT] = ACTIONS(5479),
    [anon_sym_GT_EQ] = ACTIONS(5481),
    [anon_sym_LT_EQ] = ACTIONS(5479),
    [anon_sym_LT] = ACTIONS(5479),
    [anon_sym_LT_LT] = ACTIONS(5481),
    [anon_sym_GT_GT] = ACTIONS(5481),
    [anon_sym_SEMI] = ACTIONS(5481),
    [anon_sym___extension__] = ACTIONS(5479),
    [anon_sym___attribute__] = ACTIONS(5479),
    [anon_sym_LBRACE] = ACTIONS(5481),
    [anon_sym_RBRACE] = ACTIONS(5481),
    [anon_sym_LBRACK] = ACTIONS(5481),
    [anon_sym_RBRACK] = ACTIONS(5481),
    [anon_sym_const] = ACTIONS(5479),
    [anon_sym_constexpr] = ACTIONS(5479),
    [anon_sym_volatile] = ACTIONS(5479),
    [anon_sym_restrict] = ACTIONS(5479),
    [anon_sym___restrict__] = ACTIONS(5479),
    [anon_sym__Atomic] = ACTIONS(5479),
    [anon_sym__Noreturn] = ACTIONS(5479),
    [anon_sym_noreturn] = ACTIONS(5479),
    [anon_sym_mutable] = ACTIONS(5479),
    [anon_sym_constinit] = ACTIONS(5479),
    [anon_sym_consteval] = ACTIONS(5479),
    [anon_sym_PROGMEM] = ACTIONS(5479),
    [anon_sym_COLON] = ACTIONS(5481),
    [anon_sym_QMARK] = ACTIONS(5481),
    [anon_sym_LT_EQ_GT] = ACTIONS(5481),
    [anon_sym_or] = ACTIONS(5479),
    [anon_sym_and] = ACTIONS(5479),
    [anon_sym_bitor] = ACTIONS(5479),
    [anon_sym_xor] = ACTIONS(5479),
    [anon_sym_bitand] = ACTIONS(5479),
    [anon_sym_not_eq] = ACTIONS(5479),
    [anon_sym_DASH_DASH] = ACTIONS(5481),
    [anon_sym_PLUS_PLUS] = ACTIONS(5481),
    [anon_sym_DOT] = ACTIONS(5479),
    [anon_sym_DOT_STAR] = ACTIONS(5481),
    [anon_sym_DASH_GT] = ACTIONS(5481),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5479),
    [anon_sym_decltype] = ACTIONS(5479),
    [anon_sym_final] = ACTIONS(5479),
    [anon_sym_override] = ACTIONS(5479),
    [anon_sym_requires] = ACTIONS(5479),
  },
  [2462] = {
    [sym_identifier] = ACTIONS(3991),
    [aux_sym_preproc_def_token1] = ACTIONS(3991),
    [aux_sym_preproc_if_token1] = ACTIONS(3991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3991),
    [sym_preproc_directive] = ACTIONS(3991),
    [anon_sym_LPAREN2] = ACTIONS(3989),
    [anon_sym_TILDE] = ACTIONS(3989),
    [anon_sym_STAR] = ACTIONS(3989),
    [anon_sym_AMP_AMP] = ACTIONS(3989),
    [anon_sym_AMP] = ACTIONS(3991),
    [anon_sym___extension__] = ACTIONS(3991),
    [anon_sym_typedef] = ACTIONS(3991),
    [anon_sym_extern] = ACTIONS(3991),
    [anon_sym___attribute__] = ACTIONS(3991),
    [anon_sym_COLON_COLON] = ACTIONS(3989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3989),
    [anon_sym___declspec] = ACTIONS(3991),
    [anon_sym___based] = ACTIONS(3991),
    [anon_sym_RBRACE] = ACTIONS(3989),
    [anon_sym_signed] = ACTIONS(3991),
    [anon_sym_unsigned] = ACTIONS(3991),
    [anon_sym_long] = ACTIONS(3991),
    [anon_sym_short] = ACTIONS(3991),
    [anon_sym_LBRACK] = ACTIONS(3991),
    [anon_sym_static] = ACTIONS(3991),
    [anon_sym_register] = ACTIONS(3991),
    [anon_sym_inline] = ACTIONS(3991),
    [anon_sym___inline] = ACTIONS(3991),
    [anon_sym___inline__] = ACTIONS(3991),
    [anon_sym___forceinline] = ACTIONS(3991),
    [anon_sym_thread_local] = ACTIONS(3991),
    [anon_sym___thread] = ACTIONS(3991),
    [anon_sym_const] = ACTIONS(3991),
    [anon_sym_constexpr] = ACTIONS(3991),
    [anon_sym_volatile] = ACTIONS(3991),
    [anon_sym_restrict] = ACTIONS(3991),
    [anon_sym___restrict__] = ACTIONS(3991),
    [anon_sym__Atomic] = ACTIONS(3991),
    [anon_sym__Noreturn] = ACTIONS(3991),
    [anon_sym_noreturn] = ACTIONS(3991),
    [anon_sym_mutable] = ACTIONS(3991),
    [anon_sym_constinit] = ACTIONS(3991),
    [anon_sym_consteval] = ACTIONS(3991),
    [anon_sym_PROGMEM] = ACTIONS(3991),
    [aux_sym_primitive_type_token1] = ACTIONS(3991),
    [anon_sym_byte] = ACTIONS(3991),
    [anon_sym_word] = ACTIONS(3991),
    [anon_sym_enum] = ACTIONS(3991),
    [anon_sym_class] = ACTIONS(3991),
    [anon_sym_struct] = ACTIONS(3991),
    [anon_sym_union] = ACTIONS(3991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3991),
    [anon_sym_decltype] = ACTIONS(3991),
    [anon_sym_virtual] = ACTIONS(3991),
    [anon_sym_alignas] = ACTIONS(3991),
    [anon_sym_explicit] = ACTIONS(3991),
    [anon_sym_typename] = ACTIONS(3991),
    [anon_sym_template] = ACTIONS(3991),
    [anon_sym_operator] = ACTIONS(3991),
    [anon_sym_friend] = ACTIONS(3991),
    [anon_sym_public] = ACTIONS(3991),
    [anon_sym_private] = ACTIONS(3991),
    [anon_sym_protected] = ACTIONS(3991),
    [anon_sym_using] = ACTIONS(3991),
    [anon_sym_static_assert] = ACTIONS(3991),
  },
  [2463] = {
    [sym_identifier] = ACTIONS(3421),
    [aux_sym_preproc_def_token1] = ACTIONS(3421),
    [aux_sym_preproc_if_token1] = ACTIONS(3421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3421),
    [sym_preproc_directive] = ACTIONS(3421),
    [anon_sym_LPAREN2] = ACTIONS(3423),
    [anon_sym_TILDE] = ACTIONS(3423),
    [anon_sym_STAR] = ACTIONS(3423),
    [anon_sym_AMP_AMP] = ACTIONS(3423),
    [anon_sym_AMP] = ACTIONS(3421),
    [anon_sym___extension__] = ACTIONS(3421),
    [anon_sym_typedef] = ACTIONS(3421),
    [anon_sym_extern] = ACTIONS(3421),
    [anon_sym___attribute__] = ACTIONS(3421),
    [anon_sym_COLON_COLON] = ACTIONS(3423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3423),
    [anon_sym___declspec] = ACTIONS(3421),
    [anon_sym___based] = ACTIONS(3421),
    [anon_sym_RBRACE] = ACTIONS(3423),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(3421),
    [anon_sym_static] = ACTIONS(3421),
    [anon_sym_register] = ACTIONS(3421),
    [anon_sym_inline] = ACTIONS(3421),
    [anon_sym___inline] = ACTIONS(3421),
    [anon_sym___inline__] = ACTIONS(3421),
    [anon_sym___forceinline] = ACTIONS(3421),
    [anon_sym_thread_local] = ACTIONS(3421),
    [anon_sym___thread] = ACTIONS(3421),
    [anon_sym_const] = ACTIONS(3421),
    [anon_sym_constexpr] = ACTIONS(3421),
    [anon_sym_volatile] = ACTIONS(3421),
    [anon_sym_restrict] = ACTIONS(3421),
    [anon_sym___restrict__] = ACTIONS(3421),
    [anon_sym__Atomic] = ACTIONS(3421),
    [anon_sym__Noreturn] = ACTIONS(3421),
    [anon_sym_noreturn] = ACTIONS(3421),
    [anon_sym_mutable] = ACTIONS(3421),
    [anon_sym_constinit] = ACTIONS(3421),
    [anon_sym_consteval] = ACTIONS(3421),
    [anon_sym_PROGMEM] = ACTIONS(3421),
    [aux_sym_primitive_type_token1] = ACTIONS(3421),
    [anon_sym_byte] = ACTIONS(3421),
    [anon_sym_word] = ACTIONS(3421),
    [anon_sym_enum] = ACTIONS(3421),
    [anon_sym_class] = ACTIONS(3421),
    [anon_sym_struct] = ACTIONS(3421),
    [anon_sym_union] = ACTIONS(3421),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3421),
    [anon_sym_decltype] = ACTIONS(3421),
    [anon_sym_virtual] = ACTIONS(3421),
    [anon_sym_alignas] = ACTIONS(3421),
    [anon_sym_explicit] = ACTIONS(3421),
    [anon_sym_typename] = ACTIONS(3421),
    [anon_sym_template] = ACTIONS(3421),
    [anon_sym_operator] = ACTIONS(3421),
    [anon_sym_friend] = ACTIONS(3421),
    [anon_sym_public] = ACTIONS(3421),
    [anon_sym_private] = ACTIONS(3421),
    [anon_sym_protected] = ACTIONS(3421),
    [anon_sym_using] = ACTIONS(3421),
    [anon_sym_static_assert] = ACTIONS(3421),
  },
  [2464] = {
    [sym_identifier] = ACTIONS(5497),
    [aux_sym_preproc_def_token1] = ACTIONS(5497),
    [aux_sym_preproc_if_token1] = ACTIONS(5497),
    [aux_sym_preproc_if_token2] = ACTIONS(5497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5497),
    [sym_preproc_directive] = ACTIONS(5497),
    [anon_sym_LPAREN2] = ACTIONS(5499),
    [anon_sym_TILDE] = ACTIONS(5499),
    [anon_sym_STAR] = ACTIONS(5499),
    [anon_sym_AMP_AMP] = ACTIONS(5499),
    [anon_sym_AMP] = ACTIONS(5497),
    [anon_sym___extension__] = ACTIONS(5497),
    [anon_sym_typedef] = ACTIONS(5497),
    [anon_sym_extern] = ACTIONS(5497),
    [anon_sym___attribute__] = ACTIONS(5497),
    [anon_sym_COLON_COLON] = ACTIONS(5499),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5499),
    [anon_sym___declspec] = ACTIONS(5497),
    [anon_sym___based] = ACTIONS(5497),
    [anon_sym_signed] = ACTIONS(5497),
    [anon_sym_unsigned] = ACTIONS(5497),
    [anon_sym_long] = ACTIONS(5497),
    [anon_sym_short] = ACTIONS(5497),
    [anon_sym_LBRACK] = ACTIONS(5497),
    [anon_sym_static] = ACTIONS(5497),
    [anon_sym_register] = ACTIONS(5497),
    [anon_sym_inline] = ACTIONS(5497),
    [anon_sym___inline] = ACTIONS(5497),
    [anon_sym___inline__] = ACTIONS(5497),
    [anon_sym___forceinline] = ACTIONS(5497),
    [anon_sym_thread_local] = ACTIONS(5497),
    [anon_sym___thread] = ACTIONS(5497),
    [anon_sym_const] = ACTIONS(5497),
    [anon_sym_constexpr] = ACTIONS(5497),
    [anon_sym_volatile] = ACTIONS(5497),
    [anon_sym_restrict] = ACTIONS(5497),
    [anon_sym___restrict__] = ACTIONS(5497),
    [anon_sym__Atomic] = ACTIONS(5497),
    [anon_sym__Noreturn] = ACTIONS(5497),
    [anon_sym_noreturn] = ACTIONS(5497),
    [anon_sym_mutable] = ACTIONS(5497),
    [anon_sym_constinit] = ACTIONS(5497),
    [anon_sym_consteval] = ACTIONS(5497),
    [anon_sym_PROGMEM] = ACTIONS(5497),
    [aux_sym_primitive_type_token1] = ACTIONS(5497),
    [anon_sym_byte] = ACTIONS(5497),
    [anon_sym_word] = ACTIONS(5497),
    [anon_sym_enum] = ACTIONS(5497),
    [anon_sym_class] = ACTIONS(5497),
    [anon_sym_struct] = ACTIONS(5497),
    [anon_sym_union] = ACTIONS(5497),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5497),
    [anon_sym_decltype] = ACTIONS(5497),
    [anon_sym_virtual] = ACTIONS(5497),
    [anon_sym_alignas] = ACTIONS(5497),
    [anon_sym_explicit] = ACTIONS(5497),
    [anon_sym_typename] = ACTIONS(5497),
    [anon_sym_template] = ACTIONS(5497),
    [anon_sym_operator] = ACTIONS(5497),
    [anon_sym_friend] = ACTIONS(5497),
    [anon_sym_public] = ACTIONS(5497),
    [anon_sym_private] = ACTIONS(5497),
    [anon_sym_protected] = ACTIONS(5497),
    [anon_sym_using] = ACTIONS(5497),
    [anon_sym_static_assert] = ACTIONS(5497),
  },
  [2465] = {
    [sym_identifier] = ACTIONS(3417),
    [aux_sym_preproc_def_token1] = ACTIONS(3417),
    [aux_sym_preproc_if_token1] = ACTIONS(3417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3417),
    [sym_preproc_directive] = ACTIONS(3417),
    [anon_sym_LPAREN2] = ACTIONS(3419),
    [anon_sym_TILDE] = ACTIONS(3419),
    [anon_sym_STAR] = ACTIONS(3419),
    [anon_sym_AMP_AMP] = ACTIONS(3419),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym___extension__] = ACTIONS(3417),
    [anon_sym_typedef] = ACTIONS(3417),
    [anon_sym_extern] = ACTIONS(3417),
    [anon_sym___attribute__] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3419),
    [anon_sym___declspec] = ACTIONS(3417),
    [anon_sym___based] = ACTIONS(3417),
    [anon_sym_RBRACE] = ACTIONS(3419),
    [anon_sym_signed] = ACTIONS(3417),
    [anon_sym_unsigned] = ACTIONS(3417),
    [anon_sym_long] = ACTIONS(3417),
    [anon_sym_short] = ACTIONS(3417),
    [anon_sym_LBRACK] = ACTIONS(3417),
    [anon_sym_static] = ACTIONS(3417),
    [anon_sym_register] = ACTIONS(3417),
    [anon_sym_inline] = ACTIONS(3417),
    [anon_sym___inline] = ACTIONS(3417),
    [anon_sym___inline__] = ACTIONS(3417),
    [anon_sym___forceinline] = ACTIONS(3417),
    [anon_sym_thread_local] = ACTIONS(3417),
    [anon_sym___thread] = ACTIONS(3417),
    [anon_sym_const] = ACTIONS(3417),
    [anon_sym_constexpr] = ACTIONS(3417),
    [anon_sym_volatile] = ACTIONS(3417),
    [anon_sym_restrict] = ACTIONS(3417),
    [anon_sym___restrict__] = ACTIONS(3417),
    [anon_sym__Atomic] = ACTIONS(3417),
    [anon_sym__Noreturn] = ACTIONS(3417),
    [anon_sym_noreturn] = ACTIONS(3417),
    [anon_sym_mutable] = ACTIONS(3417),
    [anon_sym_constinit] = ACTIONS(3417),
    [anon_sym_consteval] = ACTIONS(3417),
    [anon_sym_PROGMEM] = ACTIONS(3417),
    [aux_sym_primitive_type_token1] = ACTIONS(3417),
    [anon_sym_byte] = ACTIONS(3417),
    [anon_sym_word] = ACTIONS(3417),
    [anon_sym_enum] = ACTIONS(3417),
    [anon_sym_class] = ACTIONS(3417),
    [anon_sym_struct] = ACTIONS(3417),
    [anon_sym_union] = ACTIONS(3417),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3417),
    [anon_sym_decltype] = ACTIONS(3417),
    [anon_sym_virtual] = ACTIONS(3417),
    [anon_sym_alignas] = ACTIONS(3417),
    [anon_sym_explicit] = ACTIONS(3417),
    [anon_sym_typename] = ACTIONS(3417),
    [anon_sym_template] = ACTIONS(3417),
    [anon_sym_operator] = ACTIONS(3417),
    [anon_sym_friend] = ACTIONS(3417),
    [anon_sym_public] = ACTIONS(3417),
    [anon_sym_private] = ACTIONS(3417),
    [anon_sym_protected] = ACTIONS(3417),
    [anon_sym_using] = ACTIONS(3417),
    [anon_sym_static_assert] = ACTIONS(3417),
  },
  [2466] = {
    [sym_identifier] = ACTIONS(3072),
    [aux_sym_preproc_def_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token2] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3072),
    [sym_preproc_directive] = ACTIONS(3072),
    [anon_sym_LPAREN2] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3074),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym___extension__] = ACTIONS(3072),
    [anon_sym_typedef] = ACTIONS(3072),
    [anon_sym_extern] = ACTIONS(3072),
    [anon_sym___attribute__] = ACTIONS(3072),
    [anon_sym_COLON_COLON] = ACTIONS(3074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3074),
    [anon_sym___declspec] = ACTIONS(3072),
    [anon_sym___based] = ACTIONS(3072),
    [anon_sym_signed] = ACTIONS(3072),
    [anon_sym_unsigned] = ACTIONS(3072),
    [anon_sym_long] = ACTIONS(3072),
    [anon_sym_short] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_register] = ACTIONS(3072),
    [anon_sym_inline] = ACTIONS(3072),
    [anon_sym___inline] = ACTIONS(3072),
    [anon_sym___inline__] = ACTIONS(3072),
    [anon_sym___forceinline] = ACTIONS(3072),
    [anon_sym_thread_local] = ACTIONS(3072),
    [anon_sym___thread] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_constexpr] = ACTIONS(3072),
    [anon_sym_volatile] = ACTIONS(3072),
    [anon_sym_restrict] = ACTIONS(3072),
    [anon_sym___restrict__] = ACTIONS(3072),
    [anon_sym__Atomic] = ACTIONS(3072),
    [anon_sym__Noreturn] = ACTIONS(3072),
    [anon_sym_noreturn] = ACTIONS(3072),
    [anon_sym_mutable] = ACTIONS(3072),
    [anon_sym_constinit] = ACTIONS(3072),
    [anon_sym_consteval] = ACTIONS(3072),
    [anon_sym_PROGMEM] = ACTIONS(3072),
    [aux_sym_primitive_type_token1] = ACTIONS(3072),
    [anon_sym_byte] = ACTIONS(3072),
    [anon_sym_word] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_struct] = ACTIONS(3072),
    [anon_sym_union] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3072),
    [anon_sym_decltype] = ACTIONS(3072),
    [anon_sym_virtual] = ACTIONS(3072),
    [anon_sym_alignas] = ACTIONS(3072),
    [anon_sym_explicit] = ACTIONS(3072),
    [anon_sym_typename] = ACTIONS(3072),
    [anon_sym_template] = ACTIONS(3072),
    [anon_sym_operator] = ACTIONS(3072),
    [anon_sym_friend] = ACTIONS(3072),
    [anon_sym_public] = ACTIONS(3072),
    [anon_sym_private] = ACTIONS(3072),
    [anon_sym_protected] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_static_assert] = ACTIONS(3072),
  },
  [2467] = {
    [sym_identifier] = ACTIONS(3208),
    [aux_sym_preproc_def_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3208),
    [sym_preproc_directive] = ACTIONS(3208),
    [anon_sym_LPAREN2] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3210),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym___extension__] = ACTIONS(3208),
    [anon_sym_typedef] = ACTIONS(3208),
    [anon_sym_extern] = ACTIONS(3208),
    [anon_sym___attribute__] = ACTIONS(3208),
    [anon_sym_COLON_COLON] = ACTIONS(3210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3210),
    [anon_sym___declspec] = ACTIONS(3208),
    [anon_sym___based] = ACTIONS(3208),
    [anon_sym_RBRACE] = ACTIONS(3210),
    [anon_sym_signed] = ACTIONS(3208),
    [anon_sym_unsigned] = ACTIONS(3208),
    [anon_sym_long] = ACTIONS(3208),
    [anon_sym_short] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_register] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(3208),
    [anon_sym___inline] = ACTIONS(3208),
    [anon_sym___inline__] = ACTIONS(3208),
    [anon_sym___forceinline] = ACTIONS(3208),
    [anon_sym_thread_local] = ACTIONS(3208),
    [anon_sym___thread] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_constexpr] = ACTIONS(3208),
    [anon_sym_volatile] = ACTIONS(3208),
    [anon_sym_restrict] = ACTIONS(3208),
    [anon_sym___restrict__] = ACTIONS(3208),
    [anon_sym__Atomic] = ACTIONS(3208),
    [anon_sym__Noreturn] = ACTIONS(3208),
    [anon_sym_noreturn] = ACTIONS(3208),
    [anon_sym_mutable] = ACTIONS(3208),
    [anon_sym_constinit] = ACTIONS(3208),
    [anon_sym_consteval] = ACTIONS(3208),
    [anon_sym_PROGMEM] = ACTIONS(3208),
    [aux_sym_primitive_type_token1] = ACTIONS(3208),
    [anon_sym_byte] = ACTIONS(3208),
    [anon_sym_word] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_struct] = ACTIONS(3208),
    [anon_sym_union] = ACTIONS(3208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3208),
    [anon_sym_decltype] = ACTIONS(3208),
    [anon_sym_virtual] = ACTIONS(3208),
    [anon_sym_alignas] = ACTIONS(3208),
    [anon_sym_explicit] = ACTIONS(3208),
    [anon_sym_typename] = ACTIONS(3208),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(3208),
    [anon_sym_friend] = ACTIONS(3208),
    [anon_sym_public] = ACTIONS(3208),
    [anon_sym_private] = ACTIONS(3208),
    [anon_sym_protected] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_static_assert] = ACTIONS(3208),
  },
  [2468] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_friend] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
  },
  [2469] = {
    [sym_identifier] = ACTIONS(3499),
    [aux_sym_preproc_def_token1] = ACTIONS(3499),
    [aux_sym_preproc_if_token1] = ACTIONS(3499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3499),
    [sym_preproc_directive] = ACTIONS(3499),
    [anon_sym_LPAREN2] = ACTIONS(3501),
    [anon_sym_TILDE] = ACTIONS(3501),
    [anon_sym_STAR] = ACTIONS(3501),
    [anon_sym_AMP_AMP] = ACTIONS(3501),
    [anon_sym_AMP] = ACTIONS(3499),
    [anon_sym___extension__] = ACTIONS(3499),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_extern] = ACTIONS(3499),
    [anon_sym___attribute__] = ACTIONS(3499),
    [anon_sym_COLON_COLON] = ACTIONS(3501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3501),
    [anon_sym___declspec] = ACTIONS(3499),
    [anon_sym___based] = ACTIONS(3499),
    [anon_sym_RBRACE] = ACTIONS(3501),
    [anon_sym_signed] = ACTIONS(3499),
    [anon_sym_unsigned] = ACTIONS(3499),
    [anon_sym_long] = ACTIONS(3499),
    [anon_sym_short] = ACTIONS(3499),
    [anon_sym_LBRACK] = ACTIONS(3499),
    [anon_sym_static] = ACTIONS(3499),
    [anon_sym_register] = ACTIONS(3499),
    [anon_sym_inline] = ACTIONS(3499),
    [anon_sym___inline] = ACTIONS(3499),
    [anon_sym___inline__] = ACTIONS(3499),
    [anon_sym___forceinline] = ACTIONS(3499),
    [anon_sym_thread_local] = ACTIONS(3499),
    [anon_sym___thread] = ACTIONS(3499),
    [anon_sym_const] = ACTIONS(3499),
    [anon_sym_constexpr] = ACTIONS(3499),
    [anon_sym_volatile] = ACTIONS(3499),
    [anon_sym_restrict] = ACTIONS(3499),
    [anon_sym___restrict__] = ACTIONS(3499),
    [anon_sym__Atomic] = ACTIONS(3499),
    [anon_sym__Noreturn] = ACTIONS(3499),
    [anon_sym_noreturn] = ACTIONS(3499),
    [anon_sym_mutable] = ACTIONS(3499),
    [anon_sym_constinit] = ACTIONS(3499),
    [anon_sym_consteval] = ACTIONS(3499),
    [anon_sym_PROGMEM] = ACTIONS(3499),
    [aux_sym_primitive_type_token1] = ACTIONS(3499),
    [anon_sym_byte] = ACTIONS(3499),
    [anon_sym_word] = ACTIONS(3499),
    [anon_sym_enum] = ACTIONS(3499),
    [anon_sym_class] = ACTIONS(3499),
    [anon_sym_struct] = ACTIONS(3499),
    [anon_sym_union] = ACTIONS(3499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3499),
    [anon_sym_decltype] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(3499),
    [anon_sym_alignas] = ACTIONS(3499),
    [anon_sym_explicit] = ACTIONS(3499),
    [anon_sym_typename] = ACTIONS(3499),
    [anon_sym_template] = ACTIONS(3499),
    [anon_sym_operator] = ACTIONS(3499),
    [anon_sym_friend] = ACTIONS(3499),
    [anon_sym_public] = ACTIONS(3499),
    [anon_sym_private] = ACTIONS(3499),
    [anon_sym_protected] = ACTIONS(3499),
    [anon_sym_using] = ACTIONS(3499),
    [anon_sym_static_assert] = ACTIONS(3499),
  },
  [2470] = {
    [sym_string_literal] = STATE(2470),
    [sym_raw_string_literal] = STATE(2470),
    [aux_sym_concatenated_string_repeat1] = STATE(2470),
    [sym_identifier] = ACTIONS(5919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5356),
    [anon_sym_COMMA] = ACTIONS(5356),
    [anon_sym_RPAREN] = ACTIONS(5356),
    [anon_sym_LPAREN2] = ACTIONS(5356),
    [anon_sym_DASH] = ACTIONS(5358),
    [anon_sym_PLUS] = ACTIONS(5358),
    [anon_sym_STAR] = ACTIONS(5358),
    [anon_sym_SLASH] = ACTIONS(5358),
    [anon_sym_PERCENT] = ACTIONS(5358),
    [anon_sym_PIPE_PIPE] = ACTIONS(5356),
    [anon_sym_AMP_AMP] = ACTIONS(5356),
    [anon_sym_PIPE] = ACTIONS(5358),
    [anon_sym_CARET] = ACTIONS(5358),
    [anon_sym_AMP] = ACTIONS(5358),
    [anon_sym_EQ_EQ] = ACTIONS(5356),
    [anon_sym_BANG_EQ] = ACTIONS(5356),
    [anon_sym_GT] = ACTIONS(5358),
    [anon_sym_GT_EQ] = ACTIONS(5356),
    [anon_sym_LT_EQ] = ACTIONS(5358),
    [anon_sym_LT] = ACTIONS(5358),
    [anon_sym_LT_LT] = ACTIONS(5358),
    [anon_sym_GT_GT] = ACTIONS(5358),
    [anon_sym_LBRACK] = ACTIONS(5356),
    [anon_sym_EQ] = ACTIONS(5358),
    [anon_sym_QMARK] = ACTIONS(5356),
    [anon_sym_STAR_EQ] = ACTIONS(5356),
    [anon_sym_SLASH_EQ] = ACTIONS(5356),
    [anon_sym_PERCENT_EQ] = ACTIONS(5356),
    [anon_sym_PLUS_EQ] = ACTIONS(5356),
    [anon_sym_DASH_EQ] = ACTIONS(5356),
    [anon_sym_LT_LT_EQ] = ACTIONS(5356),
    [anon_sym_GT_GT_EQ] = ACTIONS(5356),
    [anon_sym_AMP_EQ] = ACTIONS(5356),
    [anon_sym_CARET_EQ] = ACTIONS(5356),
    [anon_sym_PIPE_EQ] = ACTIONS(5356),
    [anon_sym_and_eq] = ACTIONS(5358),
    [anon_sym_or_eq] = ACTIONS(5358),
    [anon_sym_xor_eq] = ACTIONS(5358),
    [anon_sym_LT_EQ_GT] = ACTIONS(5356),
    [anon_sym_or] = ACTIONS(5358),
    [anon_sym_and] = ACTIONS(5358),
    [anon_sym_bitor] = ACTIONS(5358),
    [anon_sym_xor] = ACTIONS(5358),
    [anon_sym_bitand] = ACTIONS(5358),
    [anon_sym_not_eq] = ACTIONS(5358),
    [anon_sym_DASH_DASH] = ACTIONS(5356),
    [anon_sym_PLUS_PLUS] = ACTIONS(5356),
    [anon_sym_DOT] = ACTIONS(5358),
    [anon_sym_DOT_STAR] = ACTIONS(5356),
    [anon_sym_DASH_GT] = ACTIONS(5358),
    [anon_sym_L_DQUOTE] = ACTIONS(5922),
    [anon_sym_u_DQUOTE] = ACTIONS(5922),
    [anon_sym_U_DQUOTE] = ACTIONS(5922),
    [anon_sym_u8_DQUOTE] = ACTIONS(5922),
    [anon_sym_DQUOTE] = ACTIONS(5922),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5925),
    [anon_sym_LR_DQUOTE] = ACTIONS(5925),
    [anon_sym_uR_DQUOTE] = ACTIONS(5925),
    [anon_sym_UR_DQUOTE] = ACTIONS(5925),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5925),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5356),
    [sym_literal_suffix] = ACTIONS(5358),
  },
  [2471] = {
    [sym_identifier] = ACTIONS(3491),
    [aux_sym_preproc_def_token1] = ACTIONS(3491),
    [aux_sym_preproc_if_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3491),
    [anon_sym_LPAREN2] = ACTIONS(3493),
    [anon_sym_TILDE] = ACTIONS(3493),
    [anon_sym_STAR] = ACTIONS(3493),
    [anon_sym_AMP_AMP] = ACTIONS(3493),
    [anon_sym_AMP] = ACTIONS(3491),
    [anon_sym___extension__] = ACTIONS(3491),
    [anon_sym_typedef] = ACTIONS(3491),
    [anon_sym_extern] = ACTIONS(3491),
    [anon_sym___attribute__] = ACTIONS(3491),
    [anon_sym_COLON_COLON] = ACTIONS(3493),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3493),
    [anon_sym___declspec] = ACTIONS(3491),
    [anon_sym___based] = ACTIONS(3491),
    [anon_sym_RBRACE] = ACTIONS(3493),
    [anon_sym_signed] = ACTIONS(3491),
    [anon_sym_unsigned] = ACTIONS(3491),
    [anon_sym_long] = ACTIONS(3491),
    [anon_sym_short] = ACTIONS(3491),
    [anon_sym_LBRACK] = ACTIONS(3491),
    [anon_sym_static] = ACTIONS(3491),
    [anon_sym_register] = ACTIONS(3491),
    [anon_sym_inline] = ACTIONS(3491),
    [anon_sym___inline] = ACTIONS(3491),
    [anon_sym___inline__] = ACTIONS(3491),
    [anon_sym___forceinline] = ACTIONS(3491),
    [anon_sym_thread_local] = ACTIONS(3491),
    [anon_sym___thread] = ACTIONS(3491),
    [anon_sym_const] = ACTIONS(3491),
    [anon_sym_constexpr] = ACTIONS(3491),
    [anon_sym_volatile] = ACTIONS(3491),
    [anon_sym_restrict] = ACTIONS(3491),
    [anon_sym___restrict__] = ACTIONS(3491),
    [anon_sym__Atomic] = ACTIONS(3491),
    [anon_sym__Noreturn] = ACTIONS(3491),
    [anon_sym_noreturn] = ACTIONS(3491),
    [anon_sym_mutable] = ACTIONS(3491),
    [anon_sym_constinit] = ACTIONS(3491),
    [anon_sym_consteval] = ACTIONS(3491),
    [anon_sym_PROGMEM] = ACTIONS(3491),
    [aux_sym_primitive_type_token1] = ACTIONS(3491),
    [anon_sym_byte] = ACTIONS(3491),
    [anon_sym_word] = ACTIONS(3491),
    [anon_sym_enum] = ACTIONS(3491),
    [anon_sym_class] = ACTIONS(3491),
    [anon_sym_struct] = ACTIONS(3491),
    [anon_sym_union] = ACTIONS(3491),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3491),
    [anon_sym_decltype] = ACTIONS(3491),
    [anon_sym_virtual] = ACTIONS(3491),
    [anon_sym_alignas] = ACTIONS(3491),
    [anon_sym_explicit] = ACTIONS(3491),
    [anon_sym_typename] = ACTIONS(3491),
    [anon_sym_template] = ACTIONS(3491),
    [anon_sym_operator] = ACTIONS(3491),
    [anon_sym_friend] = ACTIONS(3491),
    [anon_sym_public] = ACTIONS(3491),
    [anon_sym_private] = ACTIONS(3491),
    [anon_sym_protected] = ACTIONS(3491),
    [anon_sym_using] = ACTIONS(3491),
    [anon_sym_static_assert] = ACTIONS(3491),
  },
  [2472] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(4299),
    [sym_raw_string_literal] = STATE(2984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4446),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(4478),
    [anon_sym_COLON] = ACTIONS(4527),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4482),
    [anon_sym_SLASH_EQ] = ACTIONS(4482),
    [anon_sym_PERCENT_EQ] = ACTIONS(4482),
    [anon_sym_PLUS_EQ] = ACTIONS(4482),
    [anon_sym_DASH_EQ] = ACTIONS(4482),
    [anon_sym_LT_LT_EQ] = ACTIONS(4482),
    [anon_sym_GT_GT_EQ] = ACTIONS(4482),
    [anon_sym_AMP_EQ] = ACTIONS(4482),
    [anon_sym_CARET_EQ] = ACTIONS(4482),
    [anon_sym_PIPE_EQ] = ACTIONS(4482),
    [anon_sym_and_eq] = ACTIONS(4482),
    [anon_sym_or_eq] = ACTIONS(4482),
    [anon_sym_xor_eq] = ACTIONS(4482),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [2473] = {
    [sym_identifier] = ACTIONS(3036),
    [aux_sym_preproc_def_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3036),
    [sym_preproc_directive] = ACTIONS(3036),
    [anon_sym_LPAREN2] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym___extension__] = ACTIONS(3036),
    [anon_sym_typedef] = ACTIONS(3036),
    [anon_sym_extern] = ACTIONS(3036),
    [anon_sym___attribute__] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3038),
    [anon_sym___declspec] = ACTIONS(3036),
    [anon_sym___based] = ACTIONS(3036),
    [anon_sym_RBRACE] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3036),
    [anon_sym_unsigned] = ACTIONS(3036),
    [anon_sym_long] = ACTIONS(3036),
    [anon_sym_short] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3036),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_register] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym___inline] = ACTIONS(3036),
    [anon_sym___inline__] = ACTIONS(3036),
    [anon_sym___forceinline] = ACTIONS(3036),
    [anon_sym_thread_local] = ACTIONS(3036),
    [anon_sym___thread] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(3036),
    [anon_sym_restrict] = ACTIONS(3036),
    [anon_sym___restrict__] = ACTIONS(3036),
    [anon_sym__Atomic] = ACTIONS(3036),
    [anon_sym__Noreturn] = ACTIONS(3036),
    [anon_sym_noreturn] = ACTIONS(3036),
    [anon_sym_mutable] = ACTIONS(3036),
    [anon_sym_constinit] = ACTIONS(3036),
    [anon_sym_consteval] = ACTIONS(3036),
    [anon_sym_PROGMEM] = ACTIONS(3036),
    [aux_sym_primitive_type_token1] = ACTIONS(3036),
    [anon_sym_byte] = ACTIONS(3036),
    [anon_sym_word] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_struct] = ACTIONS(3036),
    [anon_sym_union] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3036),
    [anon_sym_decltype] = ACTIONS(3036),
    [anon_sym_virtual] = ACTIONS(3036),
    [anon_sym_alignas] = ACTIONS(3036),
    [anon_sym_explicit] = ACTIONS(3036),
    [anon_sym_typename] = ACTIONS(3036),
    [anon_sym_template] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_friend] = ACTIONS(3036),
    [anon_sym_public] = ACTIONS(3036),
    [anon_sym_private] = ACTIONS(3036),
    [anon_sym_protected] = ACTIONS(3036),
    [anon_sym_using] = ACTIONS(3036),
    [anon_sym_static_assert] = ACTIONS(3036),
  },
  [2474] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token2] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_friend] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
  },
  [2475] = {
    [sym_identifier] = ACTIONS(5682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5684),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_RPAREN] = ACTIONS(5684),
    [aux_sym_preproc_if_token2] = ACTIONS(5684),
    [aux_sym_preproc_else_token1] = ACTIONS(5684),
    [aux_sym_preproc_elif_token1] = ACTIONS(5682),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5684),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5684),
    [anon_sym_LPAREN2] = ACTIONS(5684),
    [anon_sym_DASH] = ACTIONS(5682),
    [anon_sym_PLUS] = ACTIONS(5682),
    [anon_sym_STAR] = ACTIONS(5684),
    [anon_sym_SLASH] = ACTIONS(5682),
    [anon_sym_PERCENT] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE] = ACTIONS(5684),
    [anon_sym_AMP_AMP] = ACTIONS(5684),
    [anon_sym_PIPE] = ACTIONS(5682),
    [anon_sym_CARET] = ACTIONS(5684),
    [anon_sym_AMP] = ACTIONS(5682),
    [anon_sym_EQ_EQ] = ACTIONS(5684),
    [anon_sym_BANG_EQ] = ACTIONS(5684),
    [anon_sym_GT] = ACTIONS(5682),
    [anon_sym_GT_EQ] = ACTIONS(5684),
    [anon_sym_LT_EQ] = ACTIONS(5682),
    [anon_sym_LT] = ACTIONS(5682),
    [anon_sym_LT_LT] = ACTIONS(5684),
    [anon_sym_GT_GT] = ACTIONS(5684),
    [anon_sym_SEMI] = ACTIONS(5684),
    [anon_sym___extension__] = ACTIONS(5682),
    [anon_sym___attribute__] = ACTIONS(5682),
    [anon_sym_LBRACE] = ACTIONS(5684),
    [anon_sym_RBRACE] = ACTIONS(5684),
    [anon_sym_LBRACK] = ACTIONS(5684),
    [anon_sym_RBRACK] = ACTIONS(5684),
    [anon_sym_const] = ACTIONS(5682),
    [anon_sym_constexpr] = ACTIONS(5682),
    [anon_sym_volatile] = ACTIONS(5682),
    [anon_sym_restrict] = ACTIONS(5682),
    [anon_sym___restrict__] = ACTIONS(5682),
    [anon_sym__Atomic] = ACTIONS(5682),
    [anon_sym__Noreturn] = ACTIONS(5682),
    [anon_sym_noreturn] = ACTIONS(5682),
    [anon_sym_mutable] = ACTIONS(5682),
    [anon_sym_constinit] = ACTIONS(5682),
    [anon_sym_consteval] = ACTIONS(5682),
    [anon_sym_PROGMEM] = ACTIONS(5682),
    [anon_sym_COLON] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(5684),
    [anon_sym_LT_EQ_GT] = ACTIONS(5684),
    [anon_sym_or] = ACTIONS(5682),
    [anon_sym_and] = ACTIONS(5682),
    [anon_sym_bitor] = ACTIONS(5682),
    [anon_sym_xor] = ACTIONS(5682),
    [anon_sym_bitand] = ACTIONS(5682),
    [anon_sym_not_eq] = ACTIONS(5682),
    [anon_sym_DASH_DASH] = ACTIONS(5684),
    [anon_sym_PLUS_PLUS] = ACTIONS(5684),
    [anon_sym_DOT] = ACTIONS(5682),
    [anon_sym_DOT_STAR] = ACTIONS(5684),
    [anon_sym_DASH_GT] = ACTIONS(5684),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5682),
    [anon_sym_decltype] = ACTIONS(5682),
    [anon_sym_final] = ACTIONS(5682),
    [anon_sym_override] = ACTIONS(5682),
    [anon_sym_requires] = ACTIONS(5682),
  },
  [2476] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token2] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_friend] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
  },
  [2477] = {
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token2] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_PROGMEM] = ACTIONS(3052),
    [aux_sym_primitive_type_token1] = ACTIONS(3052),
    [anon_sym_byte] = ACTIONS(3052),
    [anon_sym_word] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_friend] = ACTIONS(3052),
    [anon_sym_public] = ACTIONS(3052),
    [anon_sym_private] = ACTIONS(3052),
    [anon_sym_protected] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
  },
  [2478] = {
    [sym_attribute_specifier] = STATE(2693),
    [sym_enumerator_list] = STATE(2676),
    [sym_identifier] = ACTIONS(5928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5930),
    [anon_sym_COMMA] = ACTIONS(5930),
    [anon_sym_RPAREN] = ACTIONS(5930),
    [aux_sym_preproc_if_token2] = ACTIONS(5930),
    [aux_sym_preproc_else_token1] = ACTIONS(5930),
    [aux_sym_preproc_elif_token1] = ACTIONS(5928),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5930),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5930),
    [anon_sym_LPAREN2] = ACTIONS(5930),
    [anon_sym_DASH] = ACTIONS(5928),
    [anon_sym_PLUS] = ACTIONS(5928),
    [anon_sym_STAR] = ACTIONS(5928),
    [anon_sym_SLASH] = ACTIONS(5928),
    [anon_sym_PERCENT] = ACTIONS(5928),
    [anon_sym_PIPE_PIPE] = ACTIONS(5930),
    [anon_sym_AMP_AMP] = ACTIONS(5930),
    [anon_sym_PIPE] = ACTIONS(5928),
    [anon_sym_CARET] = ACTIONS(5928),
    [anon_sym_AMP] = ACTIONS(5928),
    [anon_sym_EQ_EQ] = ACTIONS(5930),
    [anon_sym_BANG_EQ] = ACTIONS(5930),
    [anon_sym_GT] = ACTIONS(5928),
    [anon_sym_GT_EQ] = ACTIONS(5930),
    [anon_sym_LT_EQ] = ACTIONS(5928),
    [anon_sym_LT] = ACTIONS(5928),
    [anon_sym_LT_LT] = ACTIONS(5928),
    [anon_sym_GT_GT] = ACTIONS(5928),
    [anon_sym_SEMI] = ACTIONS(5930),
    [anon_sym___attribute__] = ACTIONS(5471),
    [anon_sym_LBRACE] = ACTIONS(5913),
    [anon_sym_RBRACE] = ACTIONS(5930),
    [anon_sym_LBRACK] = ACTIONS(5930),
    [anon_sym_RBRACK] = ACTIONS(5930),
    [anon_sym_EQ] = ACTIONS(5928),
    [anon_sym_COLON] = ACTIONS(5930),
    [anon_sym_QMARK] = ACTIONS(5930),
    [anon_sym_STAR_EQ] = ACTIONS(5930),
    [anon_sym_SLASH_EQ] = ACTIONS(5930),
    [anon_sym_PERCENT_EQ] = ACTIONS(5930),
    [anon_sym_PLUS_EQ] = ACTIONS(5930),
    [anon_sym_DASH_EQ] = ACTIONS(5930),
    [anon_sym_LT_LT_EQ] = ACTIONS(5930),
    [anon_sym_GT_GT_EQ] = ACTIONS(5930),
    [anon_sym_AMP_EQ] = ACTIONS(5930),
    [anon_sym_CARET_EQ] = ACTIONS(5930),
    [anon_sym_PIPE_EQ] = ACTIONS(5930),
    [anon_sym_and_eq] = ACTIONS(5928),
    [anon_sym_or_eq] = ACTIONS(5928),
    [anon_sym_xor_eq] = ACTIONS(5928),
    [anon_sym_LT_EQ_GT] = ACTIONS(5930),
    [anon_sym_or] = ACTIONS(5928),
    [anon_sym_and] = ACTIONS(5928),
    [anon_sym_bitor] = ACTIONS(5928),
    [anon_sym_xor] = ACTIONS(5928),
    [anon_sym_bitand] = ACTIONS(5928),
    [anon_sym_not_eq] = ACTIONS(5928),
    [anon_sym_DASH_DASH] = ACTIONS(5930),
    [anon_sym_PLUS_PLUS] = ACTIONS(5930),
    [anon_sym_DOT] = ACTIONS(5928),
    [anon_sym_DOT_STAR] = ACTIONS(5930),
    [anon_sym_DASH_GT] = ACTIONS(5930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5928),
    [anon_sym_decltype] = ACTIONS(5928),
  },
  [2479] = {
    [sym_identifier] = ACTIONS(5485),
    [aux_sym_preproc_def_token1] = ACTIONS(5485),
    [aux_sym_preproc_if_token1] = ACTIONS(5485),
    [aux_sym_preproc_if_token2] = ACTIONS(5485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5485),
    [sym_preproc_directive] = ACTIONS(5485),
    [anon_sym_LPAREN2] = ACTIONS(5487),
    [anon_sym_TILDE] = ACTIONS(5487),
    [anon_sym_STAR] = ACTIONS(5487),
    [anon_sym_AMP_AMP] = ACTIONS(5487),
    [anon_sym_AMP] = ACTIONS(5485),
    [anon_sym___extension__] = ACTIONS(5485),
    [anon_sym_typedef] = ACTIONS(5485),
    [anon_sym_extern] = ACTIONS(5485),
    [anon_sym___attribute__] = ACTIONS(5485),
    [anon_sym_COLON_COLON] = ACTIONS(5487),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5487),
    [anon_sym___declspec] = ACTIONS(5485),
    [anon_sym___based] = ACTIONS(5485),
    [anon_sym_signed] = ACTIONS(5485),
    [anon_sym_unsigned] = ACTIONS(5485),
    [anon_sym_long] = ACTIONS(5485),
    [anon_sym_short] = ACTIONS(5485),
    [anon_sym_LBRACK] = ACTIONS(5485),
    [anon_sym_static] = ACTIONS(5485),
    [anon_sym_register] = ACTIONS(5485),
    [anon_sym_inline] = ACTIONS(5485),
    [anon_sym___inline] = ACTIONS(5485),
    [anon_sym___inline__] = ACTIONS(5485),
    [anon_sym___forceinline] = ACTIONS(5485),
    [anon_sym_thread_local] = ACTIONS(5485),
    [anon_sym___thread] = ACTIONS(5485),
    [anon_sym_const] = ACTIONS(5485),
    [anon_sym_constexpr] = ACTIONS(5485),
    [anon_sym_volatile] = ACTIONS(5485),
    [anon_sym_restrict] = ACTIONS(5485),
    [anon_sym___restrict__] = ACTIONS(5485),
    [anon_sym__Atomic] = ACTIONS(5485),
    [anon_sym__Noreturn] = ACTIONS(5485),
    [anon_sym_noreturn] = ACTIONS(5485),
    [anon_sym_mutable] = ACTIONS(5485),
    [anon_sym_constinit] = ACTIONS(5485),
    [anon_sym_consteval] = ACTIONS(5485),
    [anon_sym_PROGMEM] = ACTIONS(5485),
    [aux_sym_primitive_type_token1] = ACTIONS(5485),
    [anon_sym_byte] = ACTIONS(5485),
    [anon_sym_word] = ACTIONS(5485),
    [anon_sym_enum] = ACTIONS(5485),
    [anon_sym_class] = ACTIONS(5485),
    [anon_sym_struct] = ACTIONS(5485),
    [anon_sym_union] = ACTIONS(5485),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5485),
    [anon_sym_decltype] = ACTIONS(5485),
    [anon_sym_virtual] = ACTIONS(5485),
    [anon_sym_alignas] = ACTIONS(5485),
    [anon_sym_explicit] = ACTIONS(5485),
    [anon_sym_typename] = ACTIONS(5485),
    [anon_sym_template] = ACTIONS(5485),
    [anon_sym_operator] = ACTIONS(5485),
    [anon_sym_friend] = ACTIONS(5485),
    [anon_sym_public] = ACTIONS(5485),
    [anon_sym_private] = ACTIONS(5485),
    [anon_sym_protected] = ACTIONS(5485),
    [anon_sym_using] = ACTIONS(5485),
    [anon_sym_static_assert] = ACTIONS(5485),
  },
  [2480] = {
    [sym_identifier] = ACTIONS(5608),
    [aux_sym_preproc_def_token1] = ACTIONS(5608),
    [aux_sym_preproc_if_token1] = ACTIONS(5608),
    [aux_sym_preproc_if_token2] = ACTIONS(5608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5608),
    [sym_preproc_directive] = ACTIONS(5608),
    [anon_sym_LPAREN2] = ACTIONS(5610),
    [anon_sym_TILDE] = ACTIONS(5610),
    [anon_sym_STAR] = ACTIONS(5610),
    [anon_sym_AMP_AMP] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(5608),
    [anon_sym___extension__] = ACTIONS(5608),
    [anon_sym_typedef] = ACTIONS(5608),
    [anon_sym_extern] = ACTIONS(5608),
    [anon_sym___attribute__] = ACTIONS(5608),
    [anon_sym_COLON_COLON] = ACTIONS(5610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5610),
    [anon_sym___declspec] = ACTIONS(5608),
    [anon_sym___based] = ACTIONS(5608),
    [anon_sym_signed] = ACTIONS(5608),
    [anon_sym_unsigned] = ACTIONS(5608),
    [anon_sym_long] = ACTIONS(5608),
    [anon_sym_short] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [anon_sym_static] = ACTIONS(5608),
    [anon_sym_register] = ACTIONS(5608),
    [anon_sym_inline] = ACTIONS(5608),
    [anon_sym___inline] = ACTIONS(5608),
    [anon_sym___inline__] = ACTIONS(5608),
    [anon_sym___forceinline] = ACTIONS(5608),
    [anon_sym_thread_local] = ACTIONS(5608),
    [anon_sym___thread] = ACTIONS(5608),
    [anon_sym_const] = ACTIONS(5608),
    [anon_sym_constexpr] = ACTIONS(5608),
    [anon_sym_volatile] = ACTIONS(5608),
    [anon_sym_restrict] = ACTIONS(5608),
    [anon_sym___restrict__] = ACTIONS(5608),
    [anon_sym__Atomic] = ACTIONS(5608),
    [anon_sym__Noreturn] = ACTIONS(5608),
    [anon_sym_noreturn] = ACTIONS(5608),
    [anon_sym_mutable] = ACTIONS(5608),
    [anon_sym_constinit] = ACTIONS(5608),
    [anon_sym_consteval] = ACTIONS(5608),
    [anon_sym_PROGMEM] = ACTIONS(5608),
    [aux_sym_primitive_type_token1] = ACTIONS(5608),
    [anon_sym_byte] = ACTIONS(5608),
    [anon_sym_word] = ACTIONS(5608),
    [anon_sym_enum] = ACTIONS(5608),
    [anon_sym_class] = ACTIONS(5608),
    [anon_sym_struct] = ACTIONS(5608),
    [anon_sym_union] = ACTIONS(5608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5608),
    [anon_sym_decltype] = ACTIONS(5608),
    [anon_sym_virtual] = ACTIONS(5608),
    [anon_sym_alignas] = ACTIONS(5608),
    [anon_sym_explicit] = ACTIONS(5608),
    [anon_sym_typename] = ACTIONS(5608),
    [anon_sym_template] = ACTIONS(5608),
    [anon_sym_operator] = ACTIONS(5608),
    [anon_sym_friend] = ACTIONS(5608),
    [anon_sym_public] = ACTIONS(5608),
    [anon_sym_private] = ACTIONS(5608),
    [anon_sym_protected] = ACTIONS(5608),
    [anon_sym_using] = ACTIONS(5608),
    [anon_sym_static_assert] = ACTIONS(5608),
  },
  [2481] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym_RBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_friend] = ACTIONS(3076),
    [anon_sym_public] = ACTIONS(3076),
    [anon_sym_private] = ACTIONS(3076),
    [anon_sym_protected] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
  },
  [2482] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym_RBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_friend] = ACTIONS(3076),
    [anon_sym_public] = ACTIONS(3076),
    [anon_sym_private] = ACTIONS(3076),
    [anon_sym_protected] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
  },
  [2483] = {
    [sym_identifier] = ACTIONS(3455),
    [aux_sym_preproc_def_token1] = ACTIONS(3455),
    [aux_sym_preproc_if_token1] = ACTIONS(3455),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3455),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3455),
    [sym_preproc_directive] = ACTIONS(3455),
    [anon_sym_LPAREN2] = ACTIONS(3457),
    [anon_sym_TILDE] = ACTIONS(3457),
    [anon_sym_STAR] = ACTIONS(3457),
    [anon_sym_AMP_AMP] = ACTIONS(3457),
    [anon_sym_AMP] = ACTIONS(3455),
    [anon_sym___extension__] = ACTIONS(3455),
    [anon_sym_typedef] = ACTIONS(3455),
    [anon_sym_extern] = ACTIONS(3455),
    [anon_sym___attribute__] = ACTIONS(3455),
    [anon_sym_COLON_COLON] = ACTIONS(3457),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3457),
    [anon_sym___declspec] = ACTIONS(3455),
    [anon_sym___based] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(3457),
    [anon_sym_signed] = ACTIONS(3455),
    [anon_sym_unsigned] = ACTIONS(3455),
    [anon_sym_long] = ACTIONS(3455),
    [anon_sym_short] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(3455),
    [anon_sym_static] = ACTIONS(3455),
    [anon_sym_register] = ACTIONS(3455),
    [anon_sym_inline] = ACTIONS(3455),
    [anon_sym___inline] = ACTIONS(3455),
    [anon_sym___inline__] = ACTIONS(3455),
    [anon_sym___forceinline] = ACTIONS(3455),
    [anon_sym_thread_local] = ACTIONS(3455),
    [anon_sym___thread] = ACTIONS(3455),
    [anon_sym_const] = ACTIONS(3455),
    [anon_sym_constexpr] = ACTIONS(3455),
    [anon_sym_volatile] = ACTIONS(3455),
    [anon_sym_restrict] = ACTIONS(3455),
    [anon_sym___restrict__] = ACTIONS(3455),
    [anon_sym__Atomic] = ACTIONS(3455),
    [anon_sym__Noreturn] = ACTIONS(3455),
    [anon_sym_noreturn] = ACTIONS(3455),
    [anon_sym_mutable] = ACTIONS(3455),
    [anon_sym_constinit] = ACTIONS(3455),
    [anon_sym_consteval] = ACTIONS(3455),
    [anon_sym_PROGMEM] = ACTIONS(3455),
    [aux_sym_primitive_type_token1] = ACTIONS(3455),
    [anon_sym_byte] = ACTIONS(3455),
    [anon_sym_word] = ACTIONS(3455),
    [anon_sym_enum] = ACTIONS(3455),
    [anon_sym_class] = ACTIONS(3455),
    [anon_sym_struct] = ACTIONS(3455),
    [anon_sym_union] = ACTIONS(3455),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3455),
    [anon_sym_virtual] = ACTIONS(3455),
    [anon_sym_alignas] = ACTIONS(3455),
    [anon_sym_explicit] = ACTIONS(3455),
    [anon_sym_typename] = ACTIONS(3455),
    [anon_sym_template] = ACTIONS(3455),
    [anon_sym_operator] = ACTIONS(3455),
    [anon_sym_friend] = ACTIONS(3455),
    [anon_sym_public] = ACTIONS(3455),
    [anon_sym_private] = ACTIONS(3455),
    [anon_sym_protected] = ACTIONS(3455),
    [anon_sym_using] = ACTIONS(3455),
    [anon_sym_static_assert] = ACTIONS(3455),
  },
  [2484] = {
    [sym_identifier] = ACTIONS(3439),
    [aux_sym_preproc_def_token1] = ACTIONS(3439),
    [aux_sym_preproc_if_token1] = ACTIONS(3439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3439),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3439),
    [sym_preproc_directive] = ACTIONS(3439),
    [anon_sym_LPAREN2] = ACTIONS(3441),
    [anon_sym_TILDE] = ACTIONS(3441),
    [anon_sym_STAR] = ACTIONS(3441),
    [anon_sym_AMP_AMP] = ACTIONS(3441),
    [anon_sym_AMP] = ACTIONS(3439),
    [anon_sym___extension__] = ACTIONS(3439),
    [anon_sym_typedef] = ACTIONS(3439),
    [anon_sym_extern] = ACTIONS(3439),
    [anon_sym___attribute__] = ACTIONS(3439),
    [anon_sym_COLON_COLON] = ACTIONS(3441),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3441),
    [anon_sym___declspec] = ACTIONS(3439),
    [anon_sym___based] = ACTIONS(3439),
    [anon_sym_RBRACE] = ACTIONS(3441),
    [anon_sym_signed] = ACTIONS(3439),
    [anon_sym_unsigned] = ACTIONS(3439),
    [anon_sym_long] = ACTIONS(3439),
    [anon_sym_short] = ACTIONS(3439),
    [anon_sym_LBRACK] = ACTIONS(3439),
    [anon_sym_static] = ACTIONS(3439),
    [anon_sym_register] = ACTIONS(3439),
    [anon_sym_inline] = ACTIONS(3439),
    [anon_sym___inline] = ACTIONS(3439),
    [anon_sym___inline__] = ACTIONS(3439),
    [anon_sym___forceinline] = ACTIONS(3439),
    [anon_sym_thread_local] = ACTIONS(3439),
    [anon_sym___thread] = ACTIONS(3439),
    [anon_sym_const] = ACTIONS(3439),
    [anon_sym_constexpr] = ACTIONS(3439),
    [anon_sym_volatile] = ACTIONS(3439),
    [anon_sym_restrict] = ACTIONS(3439),
    [anon_sym___restrict__] = ACTIONS(3439),
    [anon_sym__Atomic] = ACTIONS(3439),
    [anon_sym__Noreturn] = ACTIONS(3439),
    [anon_sym_noreturn] = ACTIONS(3439),
    [anon_sym_mutable] = ACTIONS(3439),
    [anon_sym_constinit] = ACTIONS(3439),
    [anon_sym_consteval] = ACTIONS(3439),
    [anon_sym_PROGMEM] = ACTIONS(3439),
    [aux_sym_primitive_type_token1] = ACTIONS(3439),
    [anon_sym_byte] = ACTIONS(3439),
    [anon_sym_word] = ACTIONS(3439),
    [anon_sym_enum] = ACTIONS(3439),
    [anon_sym_class] = ACTIONS(3439),
    [anon_sym_struct] = ACTIONS(3439),
    [anon_sym_union] = ACTIONS(3439),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3439),
    [anon_sym_virtual] = ACTIONS(3439),
    [anon_sym_alignas] = ACTIONS(3439),
    [anon_sym_explicit] = ACTIONS(3439),
    [anon_sym_typename] = ACTIONS(3439),
    [anon_sym_template] = ACTIONS(3439),
    [anon_sym_operator] = ACTIONS(3439),
    [anon_sym_friend] = ACTIONS(3439),
    [anon_sym_public] = ACTIONS(3439),
    [anon_sym_private] = ACTIONS(3439),
    [anon_sym_protected] = ACTIONS(3439),
    [anon_sym_using] = ACTIONS(3439),
    [anon_sym_static_assert] = ACTIONS(3439),
  },
  [2485] = {
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym_RBRACE] = ACTIONS(3054),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_PROGMEM] = ACTIONS(3052),
    [aux_sym_primitive_type_token1] = ACTIONS(3052),
    [anon_sym_byte] = ACTIONS(3052),
    [anon_sym_word] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_friend] = ACTIONS(3052),
    [anon_sym_public] = ACTIONS(3052),
    [anon_sym_private] = ACTIONS(3052),
    [anon_sym_protected] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
  },
  [2486] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_friend] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
  },
  [2487] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token2] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_friend] = ACTIONS(3076),
    [anon_sym_public] = ACTIONS(3076),
    [anon_sym_private] = ACTIONS(3076),
    [anon_sym_protected] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
  },
  [2488] = {
    [sym_identifier] = ACTIONS(3413),
    [aux_sym_preproc_def_token1] = ACTIONS(3413),
    [aux_sym_preproc_if_token1] = ACTIONS(3413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3413),
    [sym_preproc_directive] = ACTIONS(3413),
    [anon_sym_LPAREN2] = ACTIONS(3415),
    [anon_sym_TILDE] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3415),
    [anon_sym_AMP_AMP] = ACTIONS(3415),
    [anon_sym_AMP] = ACTIONS(3413),
    [anon_sym___extension__] = ACTIONS(3413),
    [anon_sym_typedef] = ACTIONS(3413),
    [anon_sym_extern] = ACTIONS(3413),
    [anon_sym___attribute__] = ACTIONS(3413),
    [anon_sym_COLON_COLON] = ACTIONS(3415),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3415),
    [anon_sym___declspec] = ACTIONS(3413),
    [anon_sym___based] = ACTIONS(3413),
    [anon_sym_RBRACE] = ACTIONS(3415),
    [anon_sym_signed] = ACTIONS(3413),
    [anon_sym_unsigned] = ACTIONS(3413),
    [anon_sym_long] = ACTIONS(3413),
    [anon_sym_short] = ACTIONS(3413),
    [anon_sym_LBRACK] = ACTIONS(3413),
    [anon_sym_static] = ACTIONS(3413),
    [anon_sym_register] = ACTIONS(3413),
    [anon_sym_inline] = ACTIONS(3413),
    [anon_sym___inline] = ACTIONS(3413),
    [anon_sym___inline__] = ACTIONS(3413),
    [anon_sym___forceinline] = ACTIONS(3413),
    [anon_sym_thread_local] = ACTIONS(3413),
    [anon_sym___thread] = ACTIONS(3413),
    [anon_sym_const] = ACTIONS(3413),
    [anon_sym_constexpr] = ACTIONS(3413),
    [anon_sym_volatile] = ACTIONS(3413),
    [anon_sym_restrict] = ACTIONS(3413),
    [anon_sym___restrict__] = ACTIONS(3413),
    [anon_sym__Atomic] = ACTIONS(3413),
    [anon_sym__Noreturn] = ACTIONS(3413),
    [anon_sym_noreturn] = ACTIONS(3413),
    [anon_sym_mutable] = ACTIONS(3413),
    [anon_sym_constinit] = ACTIONS(3413),
    [anon_sym_consteval] = ACTIONS(3413),
    [anon_sym_PROGMEM] = ACTIONS(3413),
    [aux_sym_primitive_type_token1] = ACTIONS(3413),
    [anon_sym_byte] = ACTIONS(3413),
    [anon_sym_word] = ACTIONS(3413),
    [anon_sym_enum] = ACTIONS(3413),
    [anon_sym_class] = ACTIONS(3413),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3413),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3413),
    [anon_sym_decltype] = ACTIONS(3413),
    [anon_sym_virtual] = ACTIONS(3413),
    [anon_sym_alignas] = ACTIONS(3413),
    [anon_sym_explicit] = ACTIONS(3413),
    [anon_sym_typename] = ACTIONS(3413),
    [anon_sym_template] = ACTIONS(3413),
    [anon_sym_operator] = ACTIONS(3413),
    [anon_sym_friend] = ACTIONS(3413),
    [anon_sym_public] = ACTIONS(3413),
    [anon_sym_private] = ACTIONS(3413),
    [anon_sym_protected] = ACTIONS(3413),
    [anon_sym_using] = ACTIONS(3413),
    [anon_sym_static_assert] = ACTIONS(3413),
  },
  [2489] = {
    [sym_identifier] = ACTIONS(3409),
    [aux_sym_preproc_def_token1] = ACTIONS(3409),
    [aux_sym_preproc_if_token1] = ACTIONS(3409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3409),
    [sym_preproc_directive] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_TILDE] = ACTIONS(3411),
    [anon_sym_STAR] = ACTIONS(3411),
    [anon_sym_AMP_AMP] = ACTIONS(3411),
    [anon_sym_AMP] = ACTIONS(3409),
    [anon_sym___extension__] = ACTIONS(3409),
    [anon_sym_typedef] = ACTIONS(3409),
    [anon_sym_extern] = ACTIONS(3409),
    [anon_sym___attribute__] = ACTIONS(3409),
    [anon_sym_COLON_COLON] = ACTIONS(3411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3411),
    [anon_sym___declspec] = ACTIONS(3409),
    [anon_sym___based] = ACTIONS(3409),
    [anon_sym_RBRACE] = ACTIONS(3411),
    [anon_sym_signed] = ACTIONS(3409),
    [anon_sym_unsigned] = ACTIONS(3409),
    [anon_sym_long] = ACTIONS(3409),
    [anon_sym_short] = ACTIONS(3409),
    [anon_sym_LBRACK] = ACTIONS(3409),
    [anon_sym_static] = ACTIONS(3409),
    [anon_sym_register] = ACTIONS(3409),
    [anon_sym_inline] = ACTIONS(3409),
    [anon_sym___inline] = ACTIONS(3409),
    [anon_sym___inline__] = ACTIONS(3409),
    [anon_sym___forceinline] = ACTIONS(3409),
    [anon_sym_thread_local] = ACTIONS(3409),
    [anon_sym___thread] = ACTIONS(3409),
    [anon_sym_const] = ACTIONS(3409),
    [anon_sym_constexpr] = ACTIONS(3409),
    [anon_sym_volatile] = ACTIONS(3409),
    [anon_sym_restrict] = ACTIONS(3409),
    [anon_sym___restrict__] = ACTIONS(3409),
    [anon_sym__Atomic] = ACTIONS(3409),
    [anon_sym__Noreturn] = ACTIONS(3409),
    [anon_sym_noreturn] = ACTIONS(3409),
    [anon_sym_mutable] = ACTIONS(3409),
    [anon_sym_constinit] = ACTIONS(3409),
    [anon_sym_consteval] = ACTIONS(3409),
    [anon_sym_PROGMEM] = ACTIONS(3409),
    [aux_sym_primitive_type_token1] = ACTIONS(3409),
    [anon_sym_byte] = ACTIONS(3409),
    [anon_sym_word] = ACTIONS(3409),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3409),
    [anon_sym_struct] = ACTIONS(3409),
    [anon_sym_union] = ACTIONS(3409),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3409),
    [anon_sym_decltype] = ACTIONS(3409),
    [anon_sym_virtual] = ACTIONS(3409),
    [anon_sym_alignas] = ACTIONS(3409),
    [anon_sym_explicit] = ACTIONS(3409),
    [anon_sym_typename] = ACTIONS(3409),
    [anon_sym_template] = ACTIONS(3409),
    [anon_sym_operator] = ACTIONS(3409),
    [anon_sym_friend] = ACTIONS(3409),
    [anon_sym_public] = ACTIONS(3409),
    [anon_sym_private] = ACTIONS(3409),
    [anon_sym_protected] = ACTIONS(3409),
    [anon_sym_using] = ACTIONS(3409),
    [anon_sym_static_assert] = ACTIONS(3409),
  },
  [2490] = {
    [sym_string_literal] = STATE(2470),
    [sym_raw_string_literal] = STATE(2470),
    [aux_sym_concatenated_string_repeat1] = STATE(2470),
    [sym_identifier] = ACTIONS(5932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5383),
    [anon_sym_COMMA] = ACTIONS(5383),
    [anon_sym_RPAREN] = ACTIONS(5383),
    [anon_sym_LPAREN2] = ACTIONS(5383),
    [anon_sym_DASH] = ACTIONS(5385),
    [anon_sym_PLUS] = ACTIONS(5385),
    [anon_sym_STAR] = ACTIONS(5385),
    [anon_sym_SLASH] = ACTIONS(5385),
    [anon_sym_PERCENT] = ACTIONS(5385),
    [anon_sym_PIPE_PIPE] = ACTIONS(5383),
    [anon_sym_AMP_AMP] = ACTIONS(5383),
    [anon_sym_PIPE] = ACTIONS(5385),
    [anon_sym_CARET] = ACTIONS(5385),
    [anon_sym_AMP] = ACTIONS(5385),
    [anon_sym_EQ_EQ] = ACTIONS(5383),
    [anon_sym_BANG_EQ] = ACTIONS(5383),
    [anon_sym_GT] = ACTIONS(5385),
    [anon_sym_GT_EQ] = ACTIONS(5383),
    [anon_sym_LT_EQ] = ACTIONS(5385),
    [anon_sym_LT] = ACTIONS(5385),
    [anon_sym_LT_LT] = ACTIONS(5385),
    [anon_sym_GT_GT] = ACTIONS(5385),
    [anon_sym_LBRACK] = ACTIONS(5383),
    [anon_sym_EQ] = ACTIONS(5385),
    [anon_sym_QMARK] = ACTIONS(5383),
    [anon_sym_STAR_EQ] = ACTIONS(5383),
    [anon_sym_SLASH_EQ] = ACTIONS(5383),
    [anon_sym_PERCENT_EQ] = ACTIONS(5383),
    [anon_sym_PLUS_EQ] = ACTIONS(5383),
    [anon_sym_DASH_EQ] = ACTIONS(5383),
    [anon_sym_LT_LT_EQ] = ACTIONS(5383),
    [anon_sym_GT_GT_EQ] = ACTIONS(5383),
    [anon_sym_AMP_EQ] = ACTIONS(5383),
    [anon_sym_CARET_EQ] = ACTIONS(5383),
    [anon_sym_PIPE_EQ] = ACTIONS(5383),
    [anon_sym_and_eq] = ACTIONS(5385),
    [anon_sym_or_eq] = ACTIONS(5385),
    [anon_sym_xor_eq] = ACTIONS(5385),
    [anon_sym_LT_EQ_GT] = ACTIONS(5383),
    [anon_sym_or] = ACTIONS(5385),
    [anon_sym_and] = ACTIONS(5385),
    [anon_sym_bitor] = ACTIONS(5385),
    [anon_sym_xor] = ACTIONS(5385),
    [anon_sym_bitand] = ACTIONS(5385),
    [anon_sym_not_eq] = ACTIONS(5385),
    [anon_sym_DASH_DASH] = ACTIONS(5383),
    [anon_sym_PLUS_PLUS] = ACTIONS(5383),
    [anon_sym_DOT] = ACTIONS(5385),
    [anon_sym_DOT_STAR] = ACTIONS(5383),
    [anon_sym_DASH_GT] = ACTIONS(5385),
    [anon_sym_L_DQUOTE] = ACTIONS(5174),
    [anon_sym_u_DQUOTE] = ACTIONS(5174),
    [anon_sym_U_DQUOTE] = ACTIONS(5174),
    [anon_sym_u8_DQUOTE] = ACTIONS(5174),
    [anon_sym_DQUOTE] = ACTIONS(5174),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5176),
    [anon_sym_LR_DQUOTE] = ACTIONS(5176),
    [anon_sym_uR_DQUOTE] = ACTIONS(5176),
    [anon_sym_UR_DQUOTE] = ACTIONS(5176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5176),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5383),
    [sym_literal_suffix] = ACTIONS(5385),
  },
  [2491] = {
    [sym_identifier] = ACTIONS(3072),
    [aux_sym_preproc_def_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3072),
    [sym_preproc_directive] = ACTIONS(3072),
    [anon_sym_LPAREN2] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3074),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym___extension__] = ACTIONS(3072),
    [anon_sym_typedef] = ACTIONS(3072),
    [anon_sym_extern] = ACTIONS(3072),
    [anon_sym___attribute__] = ACTIONS(3072),
    [anon_sym_COLON_COLON] = ACTIONS(3074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3074),
    [anon_sym___declspec] = ACTIONS(3072),
    [anon_sym___based] = ACTIONS(3072),
    [anon_sym_RBRACE] = ACTIONS(3074),
    [anon_sym_signed] = ACTIONS(3072),
    [anon_sym_unsigned] = ACTIONS(3072),
    [anon_sym_long] = ACTIONS(3072),
    [anon_sym_short] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_register] = ACTIONS(3072),
    [anon_sym_inline] = ACTIONS(3072),
    [anon_sym___inline] = ACTIONS(3072),
    [anon_sym___inline__] = ACTIONS(3072),
    [anon_sym___forceinline] = ACTIONS(3072),
    [anon_sym_thread_local] = ACTIONS(3072),
    [anon_sym___thread] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_constexpr] = ACTIONS(3072),
    [anon_sym_volatile] = ACTIONS(3072),
    [anon_sym_restrict] = ACTIONS(3072),
    [anon_sym___restrict__] = ACTIONS(3072),
    [anon_sym__Atomic] = ACTIONS(3072),
    [anon_sym__Noreturn] = ACTIONS(3072),
    [anon_sym_noreturn] = ACTIONS(3072),
    [anon_sym_mutable] = ACTIONS(3072),
    [anon_sym_constinit] = ACTIONS(3072),
    [anon_sym_consteval] = ACTIONS(3072),
    [anon_sym_PROGMEM] = ACTIONS(3072),
    [aux_sym_primitive_type_token1] = ACTIONS(3072),
    [anon_sym_byte] = ACTIONS(3072),
    [anon_sym_word] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_struct] = ACTIONS(3072),
    [anon_sym_union] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3072),
    [anon_sym_decltype] = ACTIONS(3072),
    [anon_sym_virtual] = ACTIONS(3072),
    [anon_sym_alignas] = ACTIONS(3072),
    [anon_sym_explicit] = ACTIONS(3072),
    [anon_sym_typename] = ACTIONS(3072),
    [anon_sym_template] = ACTIONS(3072),
    [anon_sym_operator] = ACTIONS(3072),
    [anon_sym_friend] = ACTIONS(3072),
    [anon_sym_public] = ACTIONS(3072),
    [anon_sym_private] = ACTIONS(3072),
    [anon_sym_protected] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_static_assert] = ACTIONS(3072),
  },
  [2492] = {
    [sym_identifier] = ACTIONS(3965),
    [aux_sym_preproc_def_token1] = ACTIONS(3965),
    [aux_sym_preproc_if_token1] = ACTIONS(3965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3965),
    [sym_preproc_directive] = ACTIONS(3965),
    [anon_sym_LPAREN2] = ACTIONS(3963),
    [anon_sym_TILDE] = ACTIONS(3963),
    [anon_sym_STAR] = ACTIONS(3963),
    [anon_sym_AMP_AMP] = ACTIONS(3963),
    [anon_sym_AMP] = ACTIONS(3965),
    [anon_sym___extension__] = ACTIONS(3965),
    [anon_sym_typedef] = ACTIONS(3965),
    [anon_sym_extern] = ACTIONS(3965),
    [anon_sym___attribute__] = ACTIONS(3965),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3963),
    [anon_sym___declspec] = ACTIONS(3965),
    [anon_sym___based] = ACTIONS(3965),
    [anon_sym_RBRACE] = ACTIONS(3963),
    [anon_sym_signed] = ACTIONS(3965),
    [anon_sym_unsigned] = ACTIONS(3965),
    [anon_sym_long] = ACTIONS(3965),
    [anon_sym_short] = ACTIONS(3965),
    [anon_sym_LBRACK] = ACTIONS(3965),
    [anon_sym_static] = ACTIONS(3965),
    [anon_sym_register] = ACTIONS(3965),
    [anon_sym_inline] = ACTIONS(3965),
    [anon_sym___inline] = ACTIONS(3965),
    [anon_sym___inline__] = ACTIONS(3965),
    [anon_sym___forceinline] = ACTIONS(3965),
    [anon_sym_thread_local] = ACTIONS(3965),
    [anon_sym___thread] = ACTIONS(3965),
    [anon_sym_const] = ACTIONS(3965),
    [anon_sym_constexpr] = ACTIONS(3965),
    [anon_sym_volatile] = ACTIONS(3965),
    [anon_sym_restrict] = ACTIONS(3965),
    [anon_sym___restrict__] = ACTIONS(3965),
    [anon_sym__Atomic] = ACTIONS(3965),
    [anon_sym__Noreturn] = ACTIONS(3965),
    [anon_sym_noreturn] = ACTIONS(3965),
    [anon_sym_mutable] = ACTIONS(3965),
    [anon_sym_constinit] = ACTIONS(3965),
    [anon_sym_consteval] = ACTIONS(3965),
    [anon_sym_PROGMEM] = ACTIONS(3965),
    [aux_sym_primitive_type_token1] = ACTIONS(3965),
    [anon_sym_byte] = ACTIONS(3965),
    [anon_sym_word] = ACTIONS(3965),
    [anon_sym_enum] = ACTIONS(3965),
    [anon_sym_class] = ACTIONS(3965),
    [anon_sym_struct] = ACTIONS(3965),
    [anon_sym_union] = ACTIONS(3965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3965),
    [anon_sym_decltype] = ACTIONS(3965),
    [anon_sym_virtual] = ACTIONS(3965),
    [anon_sym_alignas] = ACTIONS(3965),
    [anon_sym_explicit] = ACTIONS(3965),
    [anon_sym_typename] = ACTIONS(3965),
    [anon_sym_template] = ACTIONS(3965),
    [anon_sym_operator] = ACTIONS(3965),
    [anon_sym_friend] = ACTIONS(3965),
    [anon_sym_public] = ACTIONS(3965),
    [anon_sym_private] = ACTIONS(3965),
    [anon_sym_protected] = ACTIONS(3965),
    [anon_sym_using] = ACTIONS(3965),
    [anon_sym_static_assert] = ACTIONS(3965),
  },
  [2493] = {
    [sym_identifier] = ACTIONS(3389),
    [aux_sym_preproc_def_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token1] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3389),
    [sym_preproc_directive] = ACTIONS(3389),
    [anon_sym_LPAREN2] = ACTIONS(3391),
    [anon_sym_TILDE] = ACTIONS(3391),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP_AMP] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3389),
    [anon_sym___extension__] = ACTIONS(3389),
    [anon_sym_typedef] = ACTIONS(3389),
    [anon_sym_extern] = ACTIONS(3389),
    [anon_sym___attribute__] = ACTIONS(3389),
    [anon_sym_COLON_COLON] = ACTIONS(3391),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3391),
    [anon_sym___declspec] = ACTIONS(3389),
    [anon_sym___based] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3391),
    [anon_sym_signed] = ACTIONS(3389),
    [anon_sym_unsigned] = ACTIONS(3389),
    [anon_sym_long] = ACTIONS(3389),
    [anon_sym_short] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_register] = ACTIONS(3389),
    [anon_sym_inline] = ACTIONS(3389),
    [anon_sym___inline] = ACTIONS(3389),
    [anon_sym___inline__] = ACTIONS(3389),
    [anon_sym___forceinline] = ACTIONS(3389),
    [anon_sym_thread_local] = ACTIONS(3389),
    [anon_sym___thread] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_constexpr] = ACTIONS(3389),
    [anon_sym_volatile] = ACTIONS(3389),
    [anon_sym_restrict] = ACTIONS(3389),
    [anon_sym___restrict__] = ACTIONS(3389),
    [anon_sym__Atomic] = ACTIONS(3389),
    [anon_sym__Noreturn] = ACTIONS(3389),
    [anon_sym_noreturn] = ACTIONS(3389),
    [anon_sym_mutable] = ACTIONS(3389),
    [anon_sym_constinit] = ACTIONS(3389),
    [anon_sym_consteval] = ACTIONS(3389),
    [anon_sym_PROGMEM] = ACTIONS(3389),
    [aux_sym_primitive_type_token1] = ACTIONS(3389),
    [anon_sym_byte] = ACTIONS(3389),
    [anon_sym_word] = ACTIONS(3389),
    [anon_sym_enum] = ACTIONS(3389),
    [anon_sym_class] = ACTIONS(3389),
    [anon_sym_struct] = ACTIONS(3389),
    [anon_sym_union] = ACTIONS(3389),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3389),
    [anon_sym_decltype] = ACTIONS(3389),
    [anon_sym_virtual] = ACTIONS(3389),
    [anon_sym_alignas] = ACTIONS(3389),
    [anon_sym_explicit] = ACTIONS(3389),
    [anon_sym_typename] = ACTIONS(3389),
    [anon_sym_template] = ACTIONS(3389),
    [anon_sym_operator] = ACTIONS(3389),
    [anon_sym_friend] = ACTIONS(3389),
    [anon_sym_public] = ACTIONS(3389),
    [anon_sym_private] = ACTIONS(3389),
    [anon_sym_protected] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_static_assert] = ACTIONS(3389),
  },
  [2494] = {
    [sym_identifier] = ACTIONS(3278),
    [aux_sym_preproc_def_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3278),
    [sym_preproc_directive] = ACTIONS(3278),
    [anon_sym_LPAREN2] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3278),
    [anon_sym___extension__] = ACTIONS(3278),
    [anon_sym_typedef] = ACTIONS(3278),
    [anon_sym_extern] = ACTIONS(3278),
    [anon_sym___attribute__] = ACTIONS(3278),
    [anon_sym_COLON_COLON] = ACTIONS(3280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3280),
    [anon_sym___declspec] = ACTIONS(3278),
    [anon_sym___based] = ACTIONS(3278),
    [anon_sym_RBRACE] = ACTIONS(3280),
    [anon_sym_signed] = ACTIONS(3278),
    [anon_sym_unsigned] = ACTIONS(3278),
    [anon_sym_long] = ACTIONS(3278),
    [anon_sym_short] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_register] = ACTIONS(3278),
    [anon_sym_inline] = ACTIONS(3278),
    [anon_sym___inline] = ACTIONS(3278),
    [anon_sym___inline__] = ACTIONS(3278),
    [anon_sym___forceinline] = ACTIONS(3278),
    [anon_sym_thread_local] = ACTIONS(3278),
    [anon_sym___thread] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_constexpr] = ACTIONS(3278),
    [anon_sym_volatile] = ACTIONS(3278),
    [anon_sym_restrict] = ACTIONS(3278),
    [anon_sym___restrict__] = ACTIONS(3278),
    [anon_sym__Atomic] = ACTIONS(3278),
    [anon_sym__Noreturn] = ACTIONS(3278),
    [anon_sym_noreturn] = ACTIONS(3278),
    [anon_sym_mutable] = ACTIONS(3278),
    [anon_sym_constinit] = ACTIONS(3278),
    [anon_sym_consteval] = ACTIONS(3278),
    [anon_sym_PROGMEM] = ACTIONS(3278),
    [aux_sym_primitive_type_token1] = ACTIONS(3278),
    [anon_sym_byte] = ACTIONS(3278),
    [anon_sym_word] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_struct] = ACTIONS(3278),
    [anon_sym_union] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3278),
    [anon_sym_decltype] = ACTIONS(3278),
    [anon_sym_virtual] = ACTIONS(3278),
    [anon_sym_alignas] = ACTIONS(3278),
    [anon_sym_explicit] = ACTIONS(3278),
    [anon_sym_typename] = ACTIONS(3278),
    [anon_sym_template] = ACTIONS(3278),
    [anon_sym_operator] = ACTIONS(3278),
    [anon_sym_friend] = ACTIONS(3278),
    [anon_sym_public] = ACTIONS(3278),
    [anon_sym_private] = ACTIONS(3278),
    [anon_sym_protected] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_static_assert] = ACTIONS(3278),
  },
  [2495] = {
    [sym_identifier] = ACTIONS(5485),
    [aux_sym_preproc_def_token1] = ACTIONS(5485),
    [aux_sym_preproc_if_token1] = ACTIONS(5485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5485),
    [sym_preproc_directive] = ACTIONS(5485),
    [anon_sym_LPAREN2] = ACTIONS(5487),
    [anon_sym_TILDE] = ACTIONS(5487),
    [anon_sym_STAR] = ACTIONS(5487),
    [anon_sym_AMP_AMP] = ACTIONS(5487),
    [anon_sym_AMP] = ACTIONS(5485),
    [anon_sym___extension__] = ACTIONS(5485),
    [anon_sym_typedef] = ACTIONS(5485),
    [anon_sym_extern] = ACTIONS(5485),
    [anon_sym___attribute__] = ACTIONS(5485),
    [anon_sym_COLON_COLON] = ACTIONS(5487),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5487),
    [anon_sym___declspec] = ACTIONS(5485),
    [anon_sym___based] = ACTIONS(5485),
    [anon_sym_RBRACE] = ACTIONS(5487),
    [anon_sym_signed] = ACTIONS(5485),
    [anon_sym_unsigned] = ACTIONS(5485),
    [anon_sym_long] = ACTIONS(5485),
    [anon_sym_short] = ACTIONS(5485),
    [anon_sym_LBRACK] = ACTIONS(5485),
    [anon_sym_static] = ACTIONS(5485),
    [anon_sym_register] = ACTIONS(5485),
    [anon_sym_inline] = ACTIONS(5485),
    [anon_sym___inline] = ACTIONS(5485),
    [anon_sym___inline__] = ACTIONS(5485),
    [anon_sym___forceinline] = ACTIONS(5485),
    [anon_sym_thread_local] = ACTIONS(5485),
    [anon_sym___thread] = ACTIONS(5485),
    [anon_sym_const] = ACTIONS(5485),
    [anon_sym_constexpr] = ACTIONS(5485),
    [anon_sym_volatile] = ACTIONS(5485),
    [anon_sym_restrict] = ACTIONS(5485),
    [anon_sym___restrict__] = ACTIONS(5485),
    [anon_sym__Atomic] = ACTIONS(5485),
    [anon_sym__Noreturn] = ACTIONS(5485),
    [anon_sym_noreturn] = ACTIONS(5485),
    [anon_sym_mutable] = ACTIONS(5485),
    [anon_sym_constinit] = ACTIONS(5485),
    [anon_sym_consteval] = ACTIONS(5485),
    [anon_sym_PROGMEM] = ACTIONS(5485),
    [aux_sym_primitive_type_token1] = ACTIONS(5485),
    [anon_sym_byte] = ACTIONS(5485),
    [anon_sym_word] = ACTIONS(5485),
    [anon_sym_enum] = ACTIONS(5485),
    [anon_sym_class] = ACTIONS(5485),
    [anon_sym_struct] = ACTIONS(5485),
    [anon_sym_union] = ACTIONS(5485),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5485),
    [anon_sym_decltype] = ACTIONS(5485),
    [anon_sym_virtual] = ACTIONS(5485),
    [anon_sym_alignas] = ACTIONS(5485),
    [anon_sym_explicit] = ACTIONS(5485),
    [anon_sym_typename] = ACTIONS(5485),
    [anon_sym_template] = ACTIONS(5485),
    [anon_sym_operator] = ACTIONS(5485),
    [anon_sym_friend] = ACTIONS(5485),
    [anon_sym_public] = ACTIONS(5485),
    [anon_sym_private] = ACTIONS(5485),
    [anon_sym_protected] = ACTIONS(5485),
    [anon_sym_using] = ACTIONS(5485),
    [anon_sym_static_assert] = ACTIONS(5485),
  },
  [2496] = {
    [sym_string_literal] = STATE(2418),
    [sym_raw_string_literal] = STATE(2418),
    [sym_identifier] = ACTIONS(5804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5806),
    [anon_sym_COMMA] = ACTIONS(5806),
    [aux_sym_preproc_if_token2] = ACTIONS(5806),
    [aux_sym_preproc_else_token1] = ACTIONS(5806),
    [aux_sym_preproc_elif_token1] = ACTIONS(5806),
    [anon_sym_LPAREN2] = ACTIONS(5806),
    [anon_sym_DASH] = ACTIONS(5804),
    [anon_sym_PLUS] = ACTIONS(5804),
    [anon_sym_STAR] = ACTIONS(5804),
    [anon_sym_SLASH] = ACTIONS(5804),
    [anon_sym_PERCENT] = ACTIONS(5804),
    [anon_sym_PIPE_PIPE] = ACTIONS(5806),
    [anon_sym_AMP_AMP] = ACTIONS(5806),
    [anon_sym_PIPE] = ACTIONS(5804),
    [anon_sym_CARET] = ACTIONS(5804),
    [anon_sym_AMP] = ACTIONS(5804),
    [anon_sym_EQ_EQ] = ACTIONS(5806),
    [anon_sym_BANG_EQ] = ACTIONS(5806),
    [anon_sym_GT] = ACTIONS(5804),
    [anon_sym_GT_EQ] = ACTIONS(5806),
    [anon_sym_LT_EQ] = ACTIONS(5804),
    [anon_sym_LT] = ACTIONS(5804),
    [anon_sym_LT_LT] = ACTIONS(5804),
    [anon_sym_GT_GT] = ACTIONS(5804),
    [anon_sym_LBRACK] = ACTIONS(5806),
    [anon_sym_EQ] = ACTIONS(5804),
    [anon_sym_QMARK] = ACTIONS(5806),
    [anon_sym_STAR_EQ] = ACTIONS(5806),
    [anon_sym_SLASH_EQ] = ACTIONS(5806),
    [anon_sym_PERCENT_EQ] = ACTIONS(5806),
    [anon_sym_PLUS_EQ] = ACTIONS(5806),
    [anon_sym_DASH_EQ] = ACTIONS(5806),
    [anon_sym_LT_LT_EQ] = ACTIONS(5806),
    [anon_sym_GT_GT_EQ] = ACTIONS(5806),
    [anon_sym_AMP_EQ] = ACTIONS(5806),
    [anon_sym_CARET_EQ] = ACTIONS(5806),
    [anon_sym_PIPE_EQ] = ACTIONS(5806),
    [anon_sym_and_eq] = ACTIONS(5804),
    [anon_sym_or_eq] = ACTIONS(5804),
    [anon_sym_xor_eq] = ACTIONS(5804),
    [anon_sym_LT_EQ_GT] = ACTIONS(5806),
    [anon_sym_or] = ACTIONS(5804),
    [anon_sym_and] = ACTIONS(5804),
    [anon_sym_bitor] = ACTIONS(5804),
    [anon_sym_xor] = ACTIONS(5804),
    [anon_sym_bitand] = ACTIONS(5804),
    [anon_sym_not_eq] = ACTIONS(5804),
    [anon_sym_DASH_DASH] = ACTIONS(5806),
    [anon_sym_PLUS_PLUS] = ACTIONS(5806),
    [anon_sym_DOT] = ACTIONS(5804),
    [anon_sym_DOT_STAR] = ACTIONS(5806),
    [anon_sym_DASH_GT] = ACTIONS(5806),
    [anon_sym_L_DQUOTE] = ACTIONS(2243),
    [anon_sym_u_DQUOTE] = ACTIONS(2243),
    [anon_sym_U_DQUOTE] = ACTIONS(2243),
    [anon_sym_u8_DQUOTE] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2251),
    [anon_sym_LR_DQUOTE] = ACTIONS(2251),
    [anon_sym_uR_DQUOTE] = ACTIONS(2251),
    [anon_sym_UR_DQUOTE] = ACTIONS(2251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2251),
    [sym_literal_suffix] = ACTIONS(5897),
  },
  [2497] = {
    [sym_identifier] = ACTIONS(3839),
    [aux_sym_preproc_def_token1] = ACTIONS(3839),
    [aux_sym_preproc_if_token1] = ACTIONS(3839),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3839),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3839),
    [sym_preproc_directive] = ACTIONS(3839),
    [anon_sym_LPAREN2] = ACTIONS(3837),
    [anon_sym_TILDE] = ACTIONS(3837),
    [anon_sym_STAR] = ACTIONS(3837),
    [anon_sym_AMP_AMP] = ACTIONS(3837),
    [anon_sym_AMP] = ACTIONS(3839),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_typedef] = ACTIONS(3839),
    [anon_sym_extern] = ACTIONS(3839),
    [anon_sym___attribute__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(3837),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3837),
    [anon_sym___declspec] = ACTIONS(3839),
    [anon_sym___based] = ACTIONS(3839),
    [anon_sym_RBRACE] = ACTIONS(3837),
    [anon_sym_signed] = ACTIONS(3839),
    [anon_sym_unsigned] = ACTIONS(3839),
    [anon_sym_long] = ACTIONS(3839),
    [anon_sym_short] = ACTIONS(3839),
    [anon_sym_LBRACK] = ACTIONS(3839),
    [anon_sym_static] = ACTIONS(3839),
    [anon_sym_register] = ACTIONS(3839),
    [anon_sym_inline] = ACTIONS(3839),
    [anon_sym___inline] = ACTIONS(3839),
    [anon_sym___inline__] = ACTIONS(3839),
    [anon_sym___forceinline] = ACTIONS(3839),
    [anon_sym_thread_local] = ACTIONS(3839),
    [anon_sym___thread] = ACTIONS(3839),
    [anon_sym_const] = ACTIONS(3839),
    [anon_sym_constexpr] = ACTIONS(3839),
    [anon_sym_volatile] = ACTIONS(3839),
    [anon_sym_restrict] = ACTIONS(3839),
    [anon_sym___restrict__] = ACTIONS(3839),
    [anon_sym__Atomic] = ACTIONS(3839),
    [anon_sym__Noreturn] = ACTIONS(3839),
    [anon_sym_noreturn] = ACTIONS(3839),
    [anon_sym_mutable] = ACTIONS(3839),
    [anon_sym_constinit] = ACTIONS(3839),
    [anon_sym_consteval] = ACTIONS(3839),
    [anon_sym_PROGMEM] = ACTIONS(3839),
    [aux_sym_primitive_type_token1] = ACTIONS(3839),
    [anon_sym_byte] = ACTIONS(3839),
    [anon_sym_word] = ACTIONS(3839),
    [anon_sym_enum] = ACTIONS(3839),
    [anon_sym_class] = ACTIONS(3839),
    [anon_sym_struct] = ACTIONS(3839),
    [anon_sym_union] = ACTIONS(3839),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3839),
    [anon_sym_decltype] = ACTIONS(3839),
    [anon_sym_virtual] = ACTIONS(3839),
    [anon_sym_alignas] = ACTIONS(3839),
    [anon_sym_explicit] = ACTIONS(3839),
    [anon_sym_typename] = ACTIONS(3839),
    [anon_sym_template] = ACTIONS(3839),
    [anon_sym_operator] = ACTIONS(3839),
    [anon_sym_friend] = ACTIONS(3839),
    [anon_sym_public] = ACTIONS(3839),
    [anon_sym_private] = ACTIONS(3839),
    [anon_sym_protected] = ACTIONS(3839),
    [anon_sym_using] = ACTIONS(3839),
    [anon_sym_static_assert] = ACTIONS(3839),
  },
  [2498] = {
    [sym_identifier] = ACTIONS(3220),
    [aux_sym_preproc_def_token1] = ACTIONS(3220),
    [aux_sym_preproc_if_token1] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3220),
    [sym_preproc_directive] = ACTIONS(3220),
    [anon_sym_LPAREN2] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_STAR] = ACTIONS(3222),
    [anon_sym_AMP_AMP] = ACTIONS(3222),
    [anon_sym_AMP] = ACTIONS(3220),
    [anon_sym___extension__] = ACTIONS(3220),
    [anon_sym_typedef] = ACTIONS(3220),
    [anon_sym_extern] = ACTIONS(3220),
    [anon_sym___attribute__] = ACTIONS(3220),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3222),
    [anon_sym___declspec] = ACTIONS(3220),
    [anon_sym___based] = ACTIONS(3220),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_signed] = ACTIONS(3220),
    [anon_sym_unsigned] = ACTIONS(3220),
    [anon_sym_long] = ACTIONS(3220),
    [anon_sym_short] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_static] = ACTIONS(3220),
    [anon_sym_register] = ACTIONS(3220),
    [anon_sym_inline] = ACTIONS(3220),
    [anon_sym___inline] = ACTIONS(3220),
    [anon_sym___inline__] = ACTIONS(3220),
    [anon_sym___forceinline] = ACTIONS(3220),
    [anon_sym_thread_local] = ACTIONS(3220),
    [anon_sym___thread] = ACTIONS(3220),
    [anon_sym_const] = ACTIONS(3220),
    [anon_sym_constexpr] = ACTIONS(3220),
    [anon_sym_volatile] = ACTIONS(3220),
    [anon_sym_restrict] = ACTIONS(3220),
    [anon_sym___restrict__] = ACTIONS(3220),
    [anon_sym__Atomic] = ACTIONS(3220),
    [anon_sym__Noreturn] = ACTIONS(3220),
    [anon_sym_noreturn] = ACTIONS(3220),
    [anon_sym_mutable] = ACTIONS(3220),
    [anon_sym_constinit] = ACTIONS(3220),
    [anon_sym_consteval] = ACTIONS(3220),
    [anon_sym_PROGMEM] = ACTIONS(3220),
    [aux_sym_primitive_type_token1] = ACTIONS(3220),
    [anon_sym_byte] = ACTIONS(3220),
    [anon_sym_word] = ACTIONS(3220),
    [anon_sym_enum] = ACTIONS(3220),
    [anon_sym_class] = ACTIONS(3220),
    [anon_sym_struct] = ACTIONS(3220),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3220),
    [anon_sym_decltype] = ACTIONS(3220),
    [anon_sym_virtual] = ACTIONS(3220),
    [anon_sym_alignas] = ACTIONS(3220),
    [anon_sym_explicit] = ACTIONS(3220),
    [anon_sym_typename] = ACTIONS(3220),
    [anon_sym_template] = ACTIONS(3220),
    [anon_sym_operator] = ACTIONS(3220),
    [anon_sym_friend] = ACTIONS(3220),
    [anon_sym_public] = ACTIONS(3220),
    [anon_sym_private] = ACTIONS(3220),
    [anon_sym_protected] = ACTIONS(3220),
    [anon_sym_using] = ACTIONS(3220),
    [anon_sym_static_assert] = ACTIONS(3220),
  },
  [2499] = {
    [sym_identifier] = ACTIONS(3365),
    [aux_sym_preproc_def_token1] = ACTIONS(3365),
    [aux_sym_preproc_if_token1] = ACTIONS(3365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3365),
    [sym_preproc_directive] = ACTIONS(3365),
    [anon_sym_LPAREN2] = ACTIONS(3367),
    [anon_sym_TILDE] = ACTIONS(3367),
    [anon_sym_STAR] = ACTIONS(3367),
    [anon_sym_AMP_AMP] = ACTIONS(3367),
    [anon_sym_AMP] = ACTIONS(3365),
    [anon_sym___extension__] = ACTIONS(3365),
    [anon_sym_typedef] = ACTIONS(3365),
    [anon_sym_extern] = ACTIONS(3365),
    [anon_sym___attribute__] = ACTIONS(3365),
    [anon_sym_COLON_COLON] = ACTIONS(3367),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3367),
    [anon_sym___declspec] = ACTIONS(3365),
    [anon_sym___based] = ACTIONS(3365),
    [anon_sym_RBRACE] = ACTIONS(3367),
    [anon_sym_signed] = ACTIONS(3365),
    [anon_sym_unsigned] = ACTIONS(3365),
    [anon_sym_long] = ACTIONS(3365),
    [anon_sym_short] = ACTIONS(3365),
    [anon_sym_LBRACK] = ACTIONS(3365),
    [anon_sym_static] = ACTIONS(3365),
    [anon_sym_register] = ACTIONS(3365),
    [anon_sym_inline] = ACTIONS(3365),
    [anon_sym___inline] = ACTIONS(3365),
    [anon_sym___inline__] = ACTIONS(3365),
    [anon_sym___forceinline] = ACTIONS(3365),
    [anon_sym_thread_local] = ACTIONS(3365),
    [anon_sym___thread] = ACTIONS(3365),
    [anon_sym_const] = ACTIONS(3365),
    [anon_sym_constexpr] = ACTIONS(3365),
    [anon_sym_volatile] = ACTIONS(3365),
    [anon_sym_restrict] = ACTIONS(3365),
    [anon_sym___restrict__] = ACTIONS(3365),
    [anon_sym__Atomic] = ACTIONS(3365),
    [anon_sym__Noreturn] = ACTIONS(3365),
    [anon_sym_noreturn] = ACTIONS(3365),
    [anon_sym_mutable] = ACTIONS(3365),
    [anon_sym_constinit] = ACTIONS(3365),
    [anon_sym_consteval] = ACTIONS(3365),
    [anon_sym_PROGMEM] = ACTIONS(3365),
    [aux_sym_primitive_type_token1] = ACTIONS(3365),
    [anon_sym_byte] = ACTIONS(3365),
    [anon_sym_word] = ACTIONS(3365),
    [anon_sym_enum] = ACTIONS(3365),
    [anon_sym_class] = ACTIONS(3365),
    [anon_sym_struct] = ACTIONS(3365),
    [anon_sym_union] = ACTIONS(3365),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3365),
    [anon_sym_decltype] = ACTIONS(3365),
    [anon_sym_virtual] = ACTIONS(3365),
    [anon_sym_alignas] = ACTIONS(3365),
    [anon_sym_explicit] = ACTIONS(3365),
    [anon_sym_typename] = ACTIONS(3365),
    [anon_sym_template] = ACTIONS(3365),
    [anon_sym_operator] = ACTIONS(3365),
    [anon_sym_friend] = ACTIONS(3365),
    [anon_sym_public] = ACTIONS(3365),
    [anon_sym_private] = ACTIONS(3365),
    [anon_sym_protected] = ACTIONS(3365),
    [anon_sym_using] = ACTIONS(3365),
    [anon_sym_static_assert] = ACTIONS(3365),
  },
  [2500] = {
    [sym_identifier] = ACTIONS(3435),
    [aux_sym_preproc_def_token1] = ACTIONS(3435),
    [aux_sym_preproc_if_token1] = ACTIONS(3435),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3435),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3435),
    [sym_preproc_directive] = ACTIONS(3435),
    [anon_sym_LPAREN2] = ACTIONS(3437),
    [anon_sym_TILDE] = ACTIONS(3437),
    [anon_sym_STAR] = ACTIONS(3437),
    [anon_sym_AMP_AMP] = ACTIONS(3437),
    [anon_sym_AMP] = ACTIONS(3435),
    [anon_sym___extension__] = ACTIONS(3435),
    [anon_sym_typedef] = ACTIONS(3435),
    [anon_sym_extern] = ACTIONS(3435),
    [anon_sym___attribute__] = ACTIONS(3435),
    [anon_sym_COLON_COLON] = ACTIONS(3437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3437),
    [anon_sym___declspec] = ACTIONS(3435),
    [anon_sym___based] = ACTIONS(3435),
    [anon_sym_RBRACE] = ACTIONS(3437),
    [anon_sym_signed] = ACTIONS(3435),
    [anon_sym_unsigned] = ACTIONS(3435),
    [anon_sym_long] = ACTIONS(3435),
    [anon_sym_short] = ACTIONS(3435),
    [anon_sym_LBRACK] = ACTIONS(3435),
    [anon_sym_static] = ACTIONS(3435),
    [anon_sym_register] = ACTIONS(3435),
    [anon_sym_inline] = ACTIONS(3435),
    [anon_sym___inline] = ACTIONS(3435),
    [anon_sym___inline__] = ACTIONS(3435),
    [anon_sym___forceinline] = ACTIONS(3435),
    [anon_sym_thread_local] = ACTIONS(3435),
    [anon_sym___thread] = ACTIONS(3435),
    [anon_sym_const] = ACTIONS(3435),
    [anon_sym_constexpr] = ACTIONS(3435),
    [anon_sym_volatile] = ACTIONS(3435),
    [anon_sym_restrict] = ACTIONS(3435),
    [anon_sym___restrict__] = ACTIONS(3435),
    [anon_sym__Atomic] = ACTIONS(3435),
    [anon_sym__Noreturn] = ACTIONS(3435),
    [anon_sym_noreturn] = ACTIONS(3435),
    [anon_sym_mutable] = ACTIONS(3435),
    [anon_sym_constinit] = ACTIONS(3435),
    [anon_sym_consteval] = ACTIONS(3435),
    [anon_sym_PROGMEM] = ACTIONS(3435),
    [aux_sym_primitive_type_token1] = ACTIONS(3435),
    [anon_sym_byte] = ACTIONS(3435),
    [anon_sym_word] = ACTIONS(3435),
    [anon_sym_enum] = ACTIONS(3435),
    [anon_sym_class] = ACTIONS(3435),
    [anon_sym_struct] = ACTIONS(3435),
    [anon_sym_union] = ACTIONS(3435),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3435),
    [anon_sym_decltype] = ACTIONS(3435),
    [anon_sym_virtual] = ACTIONS(3435),
    [anon_sym_alignas] = ACTIONS(3435),
    [anon_sym_explicit] = ACTIONS(3435),
    [anon_sym_typename] = ACTIONS(3435),
    [anon_sym_template] = ACTIONS(3435),
    [anon_sym_operator] = ACTIONS(3435),
    [anon_sym_friend] = ACTIONS(3435),
    [anon_sym_public] = ACTIONS(3435),
    [anon_sym_private] = ACTIONS(3435),
    [anon_sym_protected] = ACTIONS(3435),
    [anon_sym_using] = ACTIONS(3435),
    [anon_sym_static_assert] = ACTIONS(3435),
  },
  [2501] = {
    [sym_identifier] = ACTIONS(5608),
    [aux_sym_preproc_def_token1] = ACTIONS(5608),
    [aux_sym_preproc_if_token1] = ACTIONS(5608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5608),
    [sym_preproc_directive] = ACTIONS(5608),
    [anon_sym_LPAREN2] = ACTIONS(5610),
    [anon_sym_TILDE] = ACTIONS(5610),
    [anon_sym_STAR] = ACTIONS(5610),
    [anon_sym_AMP_AMP] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(5608),
    [anon_sym___extension__] = ACTIONS(5608),
    [anon_sym_typedef] = ACTIONS(5608),
    [anon_sym_extern] = ACTIONS(5608),
    [anon_sym___attribute__] = ACTIONS(5608),
    [anon_sym_COLON_COLON] = ACTIONS(5610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5610),
    [anon_sym___declspec] = ACTIONS(5608),
    [anon_sym___based] = ACTIONS(5608),
    [anon_sym_RBRACE] = ACTIONS(5610),
    [anon_sym_signed] = ACTIONS(5608),
    [anon_sym_unsigned] = ACTIONS(5608),
    [anon_sym_long] = ACTIONS(5608),
    [anon_sym_short] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [anon_sym_static] = ACTIONS(5608),
    [anon_sym_register] = ACTIONS(5608),
    [anon_sym_inline] = ACTIONS(5608),
    [anon_sym___inline] = ACTIONS(5608),
    [anon_sym___inline__] = ACTIONS(5608),
    [anon_sym___forceinline] = ACTIONS(5608),
    [anon_sym_thread_local] = ACTIONS(5608),
    [anon_sym___thread] = ACTIONS(5608),
    [anon_sym_const] = ACTIONS(5608),
    [anon_sym_constexpr] = ACTIONS(5608),
    [anon_sym_volatile] = ACTIONS(5608),
    [anon_sym_restrict] = ACTIONS(5608),
    [anon_sym___restrict__] = ACTIONS(5608),
    [anon_sym__Atomic] = ACTIONS(5608),
    [anon_sym__Noreturn] = ACTIONS(5608),
    [anon_sym_noreturn] = ACTIONS(5608),
    [anon_sym_mutable] = ACTIONS(5608),
    [anon_sym_constinit] = ACTIONS(5608),
    [anon_sym_consteval] = ACTIONS(5608),
    [anon_sym_PROGMEM] = ACTIONS(5608),
    [aux_sym_primitive_type_token1] = ACTIONS(5608),
    [anon_sym_byte] = ACTIONS(5608),
    [anon_sym_word] = ACTIONS(5608),
    [anon_sym_enum] = ACTIONS(5608),
    [anon_sym_class] = ACTIONS(5608),
    [anon_sym_struct] = ACTIONS(5608),
    [anon_sym_union] = ACTIONS(5608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5608),
    [anon_sym_decltype] = ACTIONS(5608),
    [anon_sym_virtual] = ACTIONS(5608),
    [anon_sym_alignas] = ACTIONS(5608),
    [anon_sym_explicit] = ACTIONS(5608),
    [anon_sym_typename] = ACTIONS(5608),
    [anon_sym_template] = ACTIONS(5608),
    [anon_sym_operator] = ACTIONS(5608),
    [anon_sym_friend] = ACTIONS(5608),
    [anon_sym_public] = ACTIONS(5608),
    [anon_sym_private] = ACTIONS(5608),
    [anon_sym_protected] = ACTIONS(5608),
    [anon_sym_using] = ACTIONS(5608),
    [anon_sym_static_assert] = ACTIONS(5608),
  },
  [2502] = {
    [sym_identifier] = ACTIONS(3168),
    [aux_sym_preproc_def_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3168),
    [sym_preproc_directive] = ACTIONS(3168),
    [anon_sym_LPAREN2] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym___extension__] = ACTIONS(3168),
    [anon_sym_typedef] = ACTIONS(3168),
    [anon_sym_extern] = ACTIONS(3168),
    [anon_sym___attribute__] = ACTIONS(3168),
    [anon_sym_COLON_COLON] = ACTIONS(3170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3170),
    [anon_sym___declspec] = ACTIONS(3168),
    [anon_sym___based] = ACTIONS(3168),
    [anon_sym_RBRACE] = ACTIONS(3170),
    [anon_sym_signed] = ACTIONS(3168),
    [anon_sym_unsigned] = ACTIONS(3168),
    [anon_sym_long] = ACTIONS(3168),
    [anon_sym_short] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_register] = ACTIONS(3168),
    [anon_sym_inline] = ACTIONS(3168),
    [anon_sym___inline] = ACTIONS(3168),
    [anon_sym___inline__] = ACTIONS(3168),
    [anon_sym___forceinline] = ACTIONS(3168),
    [anon_sym_thread_local] = ACTIONS(3168),
    [anon_sym___thread] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_constexpr] = ACTIONS(3168),
    [anon_sym_volatile] = ACTIONS(3168),
    [anon_sym_restrict] = ACTIONS(3168),
    [anon_sym___restrict__] = ACTIONS(3168),
    [anon_sym__Atomic] = ACTIONS(3168),
    [anon_sym__Noreturn] = ACTIONS(3168),
    [anon_sym_noreturn] = ACTIONS(3168),
    [anon_sym_mutable] = ACTIONS(3168),
    [anon_sym_constinit] = ACTIONS(3168),
    [anon_sym_consteval] = ACTIONS(3168),
    [anon_sym_PROGMEM] = ACTIONS(3168),
    [aux_sym_primitive_type_token1] = ACTIONS(3168),
    [anon_sym_byte] = ACTIONS(3168),
    [anon_sym_word] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_struct] = ACTIONS(3168),
    [anon_sym_union] = ACTIONS(3168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3168),
    [anon_sym_decltype] = ACTIONS(3168),
    [anon_sym_virtual] = ACTIONS(3168),
    [anon_sym_alignas] = ACTIONS(3168),
    [anon_sym_explicit] = ACTIONS(3168),
    [anon_sym_typename] = ACTIONS(3168),
    [anon_sym_template] = ACTIONS(3168),
    [anon_sym_operator] = ACTIONS(3168),
    [anon_sym_friend] = ACTIONS(3168),
    [anon_sym_public] = ACTIONS(3168),
    [anon_sym_private] = ACTIONS(3168),
    [anon_sym_protected] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_static_assert] = ACTIONS(3168),
  },
  [2503] = {
    [sym_string_literal] = STATE(2550),
    [sym_template_argument_list] = STATE(2768),
    [sym_raw_string_literal] = STATE(2550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5330),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4446),
    [anon_sym___attribute__] = ACTIONS(4446),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(4454),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4446),
    [anon_sym_SLASH_EQ] = ACTIONS(4446),
    [anon_sym_PERCENT_EQ] = ACTIONS(4446),
    [anon_sym_PLUS_EQ] = ACTIONS(4446),
    [anon_sym_DASH_EQ] = ACTIONS(4446),
    [anon_sym_LT_LT_EQ] = ACTIONS(4446),
    [anon_sym_GT_GT_EQ] = ACTIONS(4446),
    [anon_sym_AMP_EQ] = ACTIONS(4446),
    [anon_sym_CARET_EQ] = ACTIONS(4446),
    [anon_sym_PIPE_EQ] = ACTIONS(4446),
    [anon_sym_and_eq] = ACTIONS(4446),
    [anon_sym_or_eq] = ACTIONS(4446),
    [anon_sym_xor_eq] = ACTIONS(4446),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(5934),
    [anon_sym_u_DQUOTE] = ACTIONS(5934),
    [anon_sym_U_DQUOTE] = ACTIONS(5934),
    [anon_sym_u8_DQUOTE] = ACTIONS(5934),
    [anon_sym_DQUOTE] = ACTIONS(5934),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5936),
    [anon_sym_LR_DQUOTE] = ACTIONS(5936),
    [anon_sym_uR_DQUOTE] = ACTIONS(5936),
    [anon_sym_UR_DQUOTE] = ACTIONS(5936),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5936),
  },
  [2504] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_PROGMEM] = ACTIONS(3162),
    [aux_sym_primitive_type_token1] = ACTIONS(3162),
    [anon_sym_byte] = ACTIONS(3162),
    [anon_sym_word] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_friend] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
  },
  [2505] = {
    [sym_identifier] = ACTIONS(5463),
    [aux_sym_preproc_def_token1] = ACTIONS(5463),
    [aux_sym_preproc_if_token1] = ACTIONS(5463),
    [aux_sym_preproc_if_token2] = ACTIONS(5463),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5463),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5463),
    [sym_preproc_directive] = ACTIONS(5463),
    [anon_sym_LPAREN2] = ACTIONS(5465),
    [anon_sym_TILDE] = ACTIONS(5465),
    [anon_sym_STAR] = ACTIONS(5465),
    [anon_sym_AMP_AMP] = ACTIONS(5465),
    [anon_sym_AMP] = ACTIONS(5463),
    [anon_sym___extension__] = ACTIONS(5463),
    [anon_sym_typedef] = ACTIONS(5463),
    [anon_sym_extern] = ACTIONS(5463),
    [anon_sym___attribute__] = ACTIONS(5463),
    [anon_sym_COLON_COLON] = ACTIONS(5465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5465),
    [anon_sym___declspec] = ACTIONS(5463),
    [anon_sym___based] = ACTIONS(5463),
    [anon_sym_signed] = ACTIONS(5463),
    [anon_sym_unsigned] = ACTIONS(5463),
    [anon_sym_long] = ACTIONS(5463),
    [anon_sym_short] = ACTIONS(5463),
    [anon_sym_LBRACK] = ACTIONS(5463),
    [anon_sym_static] = ACTIONS(5463),
    [anon_sym_register] = ACTIONS(5463),
    [anon_sym_inline] = ACTIONS(5463),
    [anon_sym___inline] = ACTIONS(5463),
    [anon_sym___inline__] = ACTIONS(5463),
    [anon_sym___forceinline] = ACTIONS(5463),
    [anon_sym_thread_local] = ACTIONS(5463),
    [anon_sym___thread] = ACTIONS(5463),
    [anon_sym_const] = ACTIONS(5463),
    [anon_sym_constexpr] = ACTIONS(5463),
    [anon_sym_volatile] = ACTIONS(5463),
    [anon_sym_restrict] = ACTIONS(5463),
    [anon_sym___restrict__] = ACTIONS(5463),
    [anon_sym__Atomic] = ACTIONS(5463),
    [anon_sym__Noreturn] = ACTIONS(5463),
    [anon_sym_noreturn] = ACTIONS(5463),
    [anon_sym_mutable] = ACTIONS(5463),
    [anon_sym_constinit] = ACTIONS(5463),
    [anon_sym_consteval] = ACTIONS(5463),
    [anon_sym_PROGMEM] = ACTIONS(5463),
    [aux_sym_primitive_type_token1] = ACTIONS(5463),
    [anon_sym_byte] = ACTIONS(5463),
    [anon_sym_word] = ACTIONS(5463),
    [anon_sym_enum] = ACTIONS(5463),
    [anon_sym_class] = ACTIONS(5463),
    [anon_sym_struct] = ACTIONS(5463),
    [anon_sym_union] = ACTIONS(5463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5463),
    [anon_sym_decltype] = ACTIONS(5463),
    [anon_sym_virtual] = ACTIONS(5463),
    [anon_sym_alignas] = ACTIONS(5463),
    [anon_sym_explicit] = ACTIONS(5463),
    [anon_sym_typename] = ACTIONS(5463),
    [anon_sym_template] = ACTIONS(5463),
    [anon_sym_operator] = ACTIONS(5463),
    [anon_sym_friend] = ACTIONS(5463),
    [anon_sym_public] = ACTIONS(5463),
    [anon_sym_private] = ACTIONS(5463),
    [anon_sym_protected] = ACTIONS(5463),
    [anon_sym_using] = ACTIONS(5463),
    [anon_sym_static_assert] = ACTIONS(5463),
  },
  [2506] = {
    [sym_identifier] = ACTIONS(3511),
    [aux_sym_preproc_def_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token2] = ACTIONS(3511),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3511),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3511),
    [sym_preproc_directive] = ACTIONS(3511),
    [anon_sym_LPAREN2] = ACTIONS(3513),
    [anon_sym_TILDE] = ACTIONS(3513),
    [anon_sym_STAR] = ACTIONS(3513),
    [anon_sym_AMP_AMP] = ACTIONS(3513),
    [anon_sym_AMP] = ACTIONS(3511),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_typedef] = ACTIONS(3511),
    [anon_sym_extern] = ACTIONS(3511),
    [anon_sym___attribute__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3513),
    [anon_sym___declspec] = ACTIONS(3511),
    [anon_sym___based] = ACTIONS(3511),
    [anon_sym_signed] = ACTIONS(3511),
    [anon_sym_unsigned] = ACTIONS(3511),
    [anon_sym_long] = ACTIONS(3511),
    [anon_sym_short] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(3511),
    [anon_sym_static] = ACTIONS(3511),
    [anon_sym_register] = ACTIONS(3511),
    [anon_sym_inline] = ACTIONS(3511),
    [anon_sym___inline] = ACTIONS(3511),
    [anon_sym___inline__] = ACTIONS(3511),
    [anon_sym___forceinline] = ACTIONS(3511),
    [anon_sym_thread_local] = ACTIONS(3511),
    [anon_sym___thread] = ACTIONS(3511),
    [anon_sym_const] = ACTIONS(3511),
    [anon_sym_constexpr] = ACTIONS(3511),
    [anon_sym_volatile] = ACTIONS(3511),
    [anon_sym_restrict] = ACTIONS(3511),
    [anon_sym___restrict__] = ACTIONS(3511),
    [anon_sym__Atomic] = ACTIONS(3511),
    [anon_sym__Noreturn] = ACTIONS(3511),
    [anon_sym_noreturn] = ACTIONS(3511),
    [anon_sym_mutable] = ACTIONS(3511),
    [anon_sym_constinit] = ACTIONS(3511),
    [anon_sym_consteval] = ACTIONS(3511),
    [anon_sym_PROGMEM] = ACTIONS(3511),
    [aux_sym_primitive_type_token1] = ACTIONS(3511),
    [anon_sym_byte] = ACTIONS(3511),
    [anon_sym_word] = ACTIONS(3511),
    [anon_sym_enum] = ACTIONS(3511),
    [anon_sym_class] = ACTIONS(3511),
    [anon_sym_struct] = ACTIONS(3511),
    [anon_sym_union] = ACTIONS(3511),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3511),
    [anon_sym_decltype] = ACTIONS(3511),
    [anon_sym_virtual] = ACTIONS(3511),
    [anon_sym_alignas] = ACTIONS(3511),
    [anon_sym_explicit] = ACTIONS(3511),
    [anon_sym_typename] = ACTIONS(3511),
    [anon_sym_template] = ACTIONS(3511),
    [anon_sym_operator] = ACTIONS(3511),
    [anon_sym_friend] = ACTIONS(3511),
    [anon_sym_public] = ACTIONS(3511),
    [anon_sym_private] = ACTIONS(3511),
    [anon_sym_protected] = ACTIONS(3511),
    [anon_sym_using] = ACTIONS(3511),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [2507] = {
    [sym_identifier] = ACTIONS(5549),
    [aux_sym_preproc_def_token1] = ACTIONS(5549),
    [aux_sym_preproc_if_token1] = ACTIONS(5549),
    [aux_sym_preproc_if_token2] = ACTIONS(5549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5549),
    [sym_preproc_directive] = ACTIONS(5549),
    [anon_sym_LPAREN2] = ACTIONS(5551),
    [anon_sym_TILDE] = ACTIONS(5551),
    [anon_sym_STAR] = ACTIONS(5551),
    [anon_sym_AMP_AMP] = ACTIONS(5551),
    [anon_sym_AMP] = ACTIONS(5549),
    [anon_sym___extension__] = ACTIONS(5549),
    [anon_sym_typedef] = ACTIONS(5549),
    [anon_sym_extern] = ACTIONS(5549),
    [anon_sym___attribute__] = ACTIONS(5549),
    [anon_sym_COLON_COLON] = ACTIONS(5551),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5551),
    [anon_sym___declspec] = ACTIONS(5549),
    [anon_sym___based] = ACTIONS(5549),
    [anon_sym_signed] = ACTIONS(5549),
    [anon_sym_unsigned] = ACTIONS(5549),
    [anon_sym_long] = ACTIONS(5549),
    [anon_sym_short] = ACTIONS(5549),
    [anon_sym_LBRACK] = ACTIONS(5549),
    [anon_sym_static] = ACTIONS(5549),
    [anon_sym_register] = ACTIONS(5549),
    [anon_sym_inline] = ACTIONS(5549),
    [anon_sym___inline] = ACTIONS(5549),
    [anon_sym___inline__] = ACTIONS(5549),
    [anon_sym___forceinline] = ACTIONS(5549),
    [anon_sym_thread_local] = ACTIONS(5549),
    [anon_sym___thread] = ACTIONS(5549),
    [anon_sym_const] = ACTIONS(5549),
    [anon_sym_constexpr] = ACTIONS(5549),
    [anon_sym_volatile] = ACTIONS(5549),
    [anon_sym_restrict] = ACTIONS(5549),
    [anon_sym___restrict__] = ACTIONS(5549),
    [anon_sym__Atomic] = ACTIONS(5549),
    [anon_sym__Noreturn] = ACTIONS(5549),
    [anon_sym_noreturn] = ACTIONS(5549),
    [anon_sym_mutable] = ACTIONS(5549),
    [anon_sym_constinit] = ACTIONS(5549),
    [anon_sym_consteval] = ACTIONS(5549),
    [anon_sym_PROGMEM] = ACTIONS(5549),
    [aux_sym_primitive_type_token1] = ACTIONS(5549),
    [anon_sym_byte] = ACTIONS(5549),
    [anon_sym_word] = ACTIONS(5549),
    [anon_sym_enum] = ACTIONS(5549),
    [anon_sym_class] = ACTIONS(5549),
    [anon_sym_struct] = ACTIONS(5549),
    [anon_sym_union] = ACTIONS(5549),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5549),
    [anon_sym_decltype] = ACTIONS(5549),
    [anon_sym_virtual] = ACTIONS(5549),
    [anon_sym_alignas] = ACTIONS(5549),
    [anon_sym_explicit] = ACTIONS(5549),
    [anon_sym_typename] = ACTIONS(5549),
    [anon_sym_template] = ACTIONS(5549),
    [anon_sym_operator] = ACTIONS(5549),
    [anon_sym_friend] = ACTIONS(5549),
    [anon_sym_public] = ACTIONS(5549),
    [anon_sym_private] = ACTIONS(5549),
    [anon_sym_protected] = ACTIONS(5549),
    [anon_sym_using] = ACTIONS(5549),
    [anon_sym_static_assert] = ACTIONS(5549),
  },
  [2508] = {
    [sym_identifier] = ACTIONS(5593),
    [aux_sym_preproc_def_token1] = ACTIONS(5593),
    [aux_sym_preproc_if_token1] = ACTIONS(5593),
    [aux_sym_preproc_if_token2] = ACTIONS(5593),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5593),
    [sym_preproc_directive] = ACTIONS(5593),
    [anon_sym_LPAREN2] = ACTIONS(5595),
    [anon_sym_TILDE] = ACTIONS(5595),
    [anon_sym_STAR] = ACTIONS(5595),
    [anon_sym_AMP_AMP] = ACTIONS(5595),
    [anon_sym_AMP] = ACTIONS(5593),
    [anon_sym___extension__] = ACTIONS(5593),
    [anon_sym_typedef] = ACTIONS(5593),
    [anon_sym_extern] = ACTIONS(5593),
    [anon_sym___attribute__] = ACTIONS(5593),
    [anon_sym_COLON_COLON] = ACTIONS(5595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5595),
    [anon_sym___declspec] = ACTIONS(5593),
    [anon_sym___based] = ACTIONS(5593),
    [anon_sym_signed] = ACTIONS(5593),
    [anon_sym_unsigned] = ACTIONS(5593),
    [anon_sym_long] = ACTIONS(5593),
    [anon_sym_short] = ACTIONS(5593),
    [anon_sym_LBRACK] = ACTIONS(5593),
    [anon_sym_static] = ACTIONS(5593),
    [anon_sym_register] = ACTIONS(5593),
    [anon_sym_inline] = ACTIONS(5593),
    [anon_sym___inline] = ACTIONS(5593),
    [anon_sym___inline__] = ACTIONS(5593),
    [anon_sym___forceinline] = ACTIONS(5593),
    [anon_sym_thread_local] = ACTIONS(5593),
    [anon_sym___thread] = ACTIONS(5593),
    [anon_sym_const] = ACTIONS(5593),
    [anon_sym_constexpr] = ACTIONS(5593),
    [anon_sym_volatile] = ACTIONS(5593),
    [anon_sym_restrict] = ACTIONS(5593),
    [anon_sym___restrict__] = ACTIONS(5593),
    [anon_sym__Atomic] = ACTIONS(5593),
    [anon_sym__Noreturn] = ACTIONS(5593),
    [anon_sym_noreturn] = ACTIONS(5593),
    [anon_sym_mutable] = ACTIONS(5593),
    [anon_sym_constinit] = ACTIONS(5593),
    [anon_sym_consteval] = ACTIONS(5593),
    [anon_sym_PROGMEM] = ACTIONS(5593),
    [aux_sym_primitive_type_token1] = ACTIONS(5593),
    [anon_sym_byte] = ACTIONS(5593),
    [anon_sym_word] = ACTIONS(5593),
    [anon_sym_enum] = ACTIONS(5593),
    [anon_sym_class] = ACTIONS(5593),
    [anon_sym_struct] = ACTIONS(5593),
    [anon_sym_union] = ACTIONS(5593),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5593),
    [anon_sym_decltype] = ACTIONS(5593),
    [anon_sym_virtual] = ACTIONS(5593),
    [anon_sym_alignas] = ACTIONS(5593),
    [anon_sym_explicit] = ACTIONS(5593),
    [anon_sym_typename] = ACTIONS(5593),
    [anon_sym_template] = ACTIONS(5593),
    [anon_sym_operator] = ACTIONS(5593),
    [anon_sym_friend] = ACTIONS(5593),
    [anon_sym_public] = ACTIONS(5593),
    [anon_sym_private] = ACTIONS(5593),
    [anon_sym_protected] = ACTIONS(5593),
    [anon_sym_using] = ACTIONS(5593),
    [anon_sym_static_assert] = ACTIONS(5593),
  },
  [2509] = {
    [sym_identifier] = ACTIONS(5493),
    [aux_sym_preproc_def_token1] = ACTIONS(5493),
    [aux_sym_preproc_if_token1] = ACTIONS(5493),
    [aux_sym_preproc_if_token2] = ACTIONS(5493),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5493),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5493),
    [sym_preproc_directive] = ACTIONS(5493),
    [anon_sym_LPAREN2] = ACTIONS(5495),
    [anon_sym_TILDE] = ACTIONS(5495),
    [anon_sym_STAR] = ACTIONS(5495),
    [anon_sym_AMP_AMP] = ACTIONS(5495),
    [anon_sym_AMP] = ACTIONS(5493),
    [anon_sym___extension__] = ACTIONS(5493),
    [anon_sym_typedef] = ACTIONS(5493),
    [anon_sym_extern] = ACTIONS(5493),
    [anon_sym___attribute__] = ACTIONS(5493),
    [anon_sym_COLON_COLON] = ACTIONS(5495),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5495),
    [anon_sym___declspec] = ACTIONS(5493),
    [anon_sym___based] = ACTIONS(5493),
    [anon_sym_signed] = ACTIONS(5493),
    [anon_sym_unsigned] = ACTIONS(5493),
    [anon_sym_long] = ACTIONS(5493),
    [anon_sym_short] = ACTIONS(5493),
    [anon_sym_LBRACK] = ACTIONS(5493),
    [anon_sym_static] = ACTIONS(5493),
    [anon_sym_register] = ACTIONS(5493),
    [anon_sym_inline] = ACTIONS(5493),
    [anon_sym___inline] = ACTIONS(5493),
    [anon_sym___inline__] = ACTIONS(5493),
    [anon_sym___forceinline] = ACTIONS(5493),
    [anon_sym_thread_local] = ACTIONS(5493),
    [anon_sym___thread] = ACTIONS(5493),
    [anon_sym_const] = ACTIONS(5493),
    [anon_sym_constexpr] = ACTIONS(5493),
    [anon_sym_volatile] = ACTIONS(5493),
    [anon_sym_restrict] = ACTIONS(5493),
    [anon_sym___restrict__] = ACTIONS(5493),
    [anon_sym__Atomic] = ACTIONS(5493),
    [anon_sym__Noreturn] = ACTIONS(5493),
    [anon_sym_noreturn] = ACTIONS(5493),
    [anon_sym_mutable] = ACTIONS(5493),
    [anon_sym_constinit] = ACTIONS(5493),
    [anon_sym_consteval] = ACTIONS(5493),
    [anon_sym_PROGMEM] = ACTIONS(5493),
    [aux_sym_primitive_type_token1] = ACTIONS(5493),
    [anon_sym_byte] = ACTIONS(5493),
    [anon_sym_word] = ACTIONS(5493),
    [anon_sym_enum] = ACTIONS(5493),
    [anon_sym_class] = ACTIONS(5493),
    [anon_sym_struct] = ACTIONS(5493),
    [anon_sym_union] = ACTIONS(5493),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5493),
    [anon_sym_decltype] = ACTIONS(5493),
    [anon_sym_virtual] = ACTIONS(5493),
    [anon_sym_alignas] = ACTIONS(5493),
    [anon_sym_explicit] = ACTIONS(5493),
    [anon_sym_typename] = ACTIONS(5493),
    [anon_sym_template] = ACTIONS(5493),
    [anon_sym_operator] = ACTIONS(5493),
    [anon_sym_friend] = ACTIONS(5493),
    [anon_sym_public] = ACTIONS(5493),
    [anon_sym_private] = ACTIONS(5493),
    [anon_sym_protected] = ACTIONS(5493),
    [anon_sym_using] = ACTIONS(5493),
    [anon_sym_static_assert] = ACTIONS(5493),
  },
  [2510] = {
    [sym_identifier] = ACTIONS(5517),
    [aux_sym_preproc_def_token1] = ACTIONS(5517),
    [aux_sym_preproc_if_token1] = ACTIONS(5517),
    [aux_sym_preproc_if_token2] = ACTIONS(5517),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5517),
    [sym_preproc_directive] = ACTIONS(5517),
    [anon_sym_LPAREN2] = ACTIONS(5519),
    [anon_sym_TILDE] = ACTIONS(5519),
    [anon_sym_STAR] = ACTIONS(5519),
    [anon_sym_AMP_AMP] = ACTIONS(5519),
    [anon_sym_AMP] = ACTIONS(5517),
    [anon_sym___extension__] = ACTIONS(5517),
    [anon_sym_typedef] = ACTIONS(5517),
    [anon_sym_extern] = ACTIONS(5517),
    [anon_sym___attribute__] = ACTIONS(5517),
    [anon_sym_COLON_COLON] = ACTIONS(5519),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5519),
    [anon_sym___declspec] = ACTIONS(5517),
    [anon_sym___based] = ACTIONS(5517),
    [anon_sym_signed] = ACTIONS(5517),
    [anon_sym_unsigned] = ACTIONS(5517),
    [anon_sym_long] = ACTIONS(5517),
    [anon_sym_short] = ACTIONS(5517),
    [anon_sym_LBRACK] = ACTIONS(5517),
    [anon_sym_static] = ACTIONS(5517),
    [anon_sym_register] = ACTIONS(5517),
    [anon_sym_inline] = ACTIONS(5517),
    [anon_sym___inline] = ACTIONS(5517),
    [anon_sym___inline__] = ACTIONS(5517),
    [anon_sym___forceinline] = ACTIONS(5517),
    [anon_sym_thread_local] = ACTIONS(5517),
    [anon_sym___thread] = ACTIONS(5517),
    [anon_sym_const] = ACTIONS(5517),
    [anon_sym_constexpr] = ACTIONS(5517),
    [anon_sym_volatile] = ACTIONS(5517),
    [anon_sym_restrict] = ACTIONS(5517),
    [anon_sym___restrict__] = ACTIONS(5517),
    [anon_sym__Atomic] = ACTIONS(5517),
    [anon_sym__Noreturn] = ACTIONS(5517),
    [anon_sym_noreturn] = ACTIONS(5517),
    [anon_sym_mutable] = ACTIONS(5517),
    [anon_sym_constinit] = ACTIONS(5517),
    [anon_sym_consteval] = ACTIONS(5517),
    [anon_sym_PROGMEM] = ACTIONS(5517),
    [aux_sym_primitive_type_token1] = ACTIONS(5517),
    [anon_sym_byte] = ACTIONS(5517),
    [anon_sym_word] = ACTIONS(5517),
    [anon_sym_enum] = ACTIONS(5517),
    [anon_sym_class] = ACTIONS(5517),
    [anon_sym_struct] = ACTIONS(5517),
    [anon_sym_union] = ACTIONS(5517),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5517),
    [anon_sym_decltype] = ACTIONS(5517),
    [anon_sym_virtual] = ACTIONS(5517),
    [anon_sym_alignas] = ACTIONS(5517),
    [anon_sym_explicit] = ACTIONS(5517),
    [anon_sym_typename] = ACTIONS(5517),
    [anon_sym_template] = ACTIONS(5517),
    [anon_sym_operator] = ACTIONS(5517),
    [anon_sym_friend] = ACTIONS(5517),
    [anon_sym_public] = ACTIONS(5517),
    [anon_sym_private] = ACTIONS(5517),
    [anon_sym_protected] = ACTIONS(5517),
    [anon_sym_using] = ACTIONS(5517),
    [anon_sym_static_assert] = ACTIONS(5517),
  },
  [2511] = {
    [sym_identifier] = ACTIONS(5525),
    [aux_sym_preproc_def_token1] = ACTIONS(5525),
    [aux_sym_preproc_if_token1] = ACTIONS(5525),
    [aux_sym_preproc_if_token2] = ACTIONS(5525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5525),
    [sym_preproc_directive] = ACTIONS(5525),
    [anon_sym_LPAREN2] = ACTIONS(5527),
    [anon_sym_TILDE] = ACTIONS(5527),
    [anon_sym_STAR] = ACTIONS(5527),
    [anon_sym_AMP_AMP] = ACTIONS(5527),
    [anon_sym_AMP] = ACTIONS(5525),
    [anon_sym___extension__] = ACTIONS(5525),
    [anon_sym_typedef] = ACTIONS(5525),
    [anon_sym_extern] = ACTIONS(5525),
    [anon_sym___attribute__] = ACTIONS(5525),
    [anon_sym_COLON_COLON] = ACTIONS(5527),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5527),
    [anon_sym___declspec] = ACTIONS(5525),
    [anon_sym___based] = ACTIONS(5525),
    [anon_sym_signed] = ACTIONS(5525),
    [anon_sym_unsigned] = ACTIONS(5525),
    [anon_sym_long] = ACTIONS(5525),
    [anon_sym_short] = ACTIONS(5525),
    [anon_sym_LBRACK] = ACTIONS(5525),
    [anon_sym_static] = ACTIONS(5525),
    [anon_sym_register] = ACTIONS(5525),
    [anon_sym_inline] = ACTIONS(5525),
    [anon_sym___inline] = ACTIONS(5525),
    [anon_sym___inline__] = ACTIONS(5525),
    [anon_sym___forceinline] = ACTIONS(5525),
    [anon_sym_thread_local] = ACTIONS(5525),
    [anon_sym___thread] = ACTIONS(5525),
    [anon_sym_const] = ACTIONS(5525),
    [anon_sym_constexpr] = ACTIONS(5525),
    [anon_sym_volatile] = ACTIONS(5525),
    [anon_sym_restrict] = ACTIONS(5525),
    [anon_sym___restrict__] = ACTIONS(5525),
    [anon_sym__Atomic] = ACTIONS(5525),
    [anon_sym__Noreturn] = ACTIONS(5525),
    [anon_sym_noreturn] = ACTIONS(5525),
    [anon_sym_mutable] = ACTIONS(5525),
    [anon_sym_constinit] = ACTIONS(5525),
    [anon_sym_consteval] = ACTIONS(5525),
    [anon_sym_PROGMEM] = ACTIONS(5525),
    [aux_sym_primitive_type_token1] = ACTIONS(5525),
    [anon_sym_byte] = ACTIONS(5525),
    [anon_sym_word] = ACTIONS(5525),
    [anon_sym_enum] = ACTIONS(5525),
    [anon_sym_class] = ACTIONS(5525),
    [anon_sym_struct] = ACTIONS(5525),
    [anon_sym_union] = ACTIONS(5525),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5525),
    [anon_sym_decltype] = ACTIONS(5525),
    [anon_sym_virtual] = ACTIONS(5525),
    [anon_sym_alignas] = ACTIONS(5525),
    [anon_sym_explicit] = ACTIONS(5525),
    [anon_sym_typename] = ACTIONS(5525),
    [anon_sym_template] = ACTIONS(5525),
    [anon_sym_operator] = ACTIONS(5525),
    [anon_sym_friend] = ACTIONS(5525),
    [anon_sym_public] = ACTIONS(5525),
    [anon_sym_private] = ACTIONS(5525),
    [anon_sym_protected] = ACTIONS(5525),
    [anon_sym_using] = ACTIONS(5525),
    [anon_sym_static_assert] = ACTIONS(5525),
  },
  [2512] = {
    [sym_identifier] = ACTIONS(5529),
    [aux_sym_preproc_def_token1] = ACTIONS(5529),
    [aux_sym_preproc_if_token1] = ACTIONS(5529),
    [aux_sym_preproc_if_token2] = ACTIONS(5529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5529),
    [sym_preproc_directive] = ACTIONS(5529),
    [anon_sym_LPAREN2] = ACTIONS(5531),
    [anon_sym_TILDE] = ACTIONS(5531),
    [anon_sym_STAR] = ACTIONS(5531),
    [anon_sym_AMP_AMP] = ACTIONS(5531),
    [anon_sym_AMP] = ACTIONS(5529),
    [anon_sym___extension__] = ACTIONS(5529),
    [anon_sym_typedef] = ACTIONS(5529),
    [anon_sym_extern] = ACTIONS(5529),
    [anon_sym___attribute__] = ACTIONS(5529),
    [anon_sym_COLON_COLON] = ACTIONS(5531),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5531),
    [anon_sym___declspec] = ACTIONS(5529),
    [anon_sym___based] = ACTIONS(5529),
    [anon_sym_signed] = ACTIONS(5529),
    [anon_sym_unsigned] = ACTIONS(5529),
    [anon_sym_long] = ACTIONS(5529),
    [anon_sym_short] = ACTIONS(5529),
    [anon_sym_LBRACK] = ACTIONS(5529),
    [anon_sym_static] = ACTIONS(5529),
    [anon_sym_register] = ACTIONS(5529),
    [anon_sym_inline] = ACTIONS(5529),
    [anon_sym___inline] = ACTIONS(5529),
    [anon_sym___inline__] = ACTIONS(5529),
    [anon_sym___forceinline] = ACTIONS(5529),
    [anon_sym_thread_local] = ACTIONS(5529),
    [anon_sym___thread] = ACTIONS(5529),
    [anon_sym_const] = ACTIONS(5529),
    [anon_sym_constexpr] = ACTIONS(5529),
    [anon_sym_volatile] = ACTIONS(5529),
    [anon_sym_restrict] = ACTIONS(5529),
    [anon_sym___restrict__] = ACTIONS(5529),
    [anon_sym__Atomic] = ACTIONS(5529),
    [anon_sym__Noreturn] = ACTIONS(5529),
    [anon_sym_noreturn] = ACTIONS(5529),
    [anon_sym_mutable] = ACTIONS(5529),
    [anon_sym_constinit] = ACTIONS(5529),
    [anon_sym_consteval] = ACTIONS(5529),
    [anon_sym_PROGMEM] = ACTIONS(5529),
    [aux_sym_primitive_type_token1] = ACTIONS(5529),
    [anon_sym_byte] = ACTIONS(5529),
    [anon_sym_word] = ACTIONS(5529),
    [anon_sym_enum] = ACTIONS(5529),
    [anon_sym_class] = ACTIONS(5529),
    [anon_sym_struct] = ACTIONS(5529),
    [anon_sym_union] = ACTIONS(5529),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5529),
    [anon_sym_decltype] = ACTIONS(5529),
    [anon_sym_virtual] = ACTIONS(5529),
    [anon_sym_alignas] = ACTIONS(5529),
    [anon_sym_explicit] = ACTIONS(5529),
    [anon_sym_typename] = ACTIONS(5529),
    [anon_sym_template] = ACTIONS(5529),
    [anon_sym_operator] = ACTIONS(5529),
    [anon_sym_friend] = ACTIONS(5529),
    [anon_sym_public] = ACTIONS(5529),
    [anon_sym_private] = ACTIONS(5529),
    [anon_sym_protected] = ACTIONS(5529),
    [anon_sym_using] = ACTIONS(5529),
    [anon_sym_static_assert] = ACTIONS(5529),
  },
  [2513] = {
    [sym_identifier] = ACTIONS(5533),
    [aux_sym_preproc_def_token1] = ACTIONS(5533),
    [aux_sym_preproc_if_token1] = ACTIONS(5533),
    [aux_sym_preproc_if_token2] = ACTIONS(5533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5533),
    [sym_preproc_directive] = ACTIONS(5533),
    [anon_sym_LPAREN2] = ACTIONS(5535),
    [anon_sym_TILDE] = ACTIONS(5535),
    [anon_sym_STAR] = ACTIONS(5535),
    [anon_sym_AMP_AMP] = ACTIONS(5535),
    [anon_sym_AMP] = ACTIONS(5533),
    [anon_sym___extension__] = ACTIONS(5533),
    [anon_sym_typedef] = ACTIONS(5533),
    [anon_sym_extern] = ACTIONS(5533),
    [anon_sym___attribute__] = ACTIONS(5533),
    [anon_sym_COLON_COLON] = ACTIONS(5535),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5535),
    [anon_sym___declspec] = ACTIONS(5533),
    [anon_sym___based] = ACTIONS(5533),
    [anon_sym_signed] = ACTIONS(5533),
    [anon_sym_unsigned] = ACTIONS(5533),
    [anon_sym_long] = ACTIONS(5533),
    [anon_sym_short] = ACTIONS(5533),
    [anon_sym_LBRACK] = ACTIONS(5533),
    [anon_sym_static] = ACTIONS(5533),
    [anon_sym_register] = ACTIONS(5533),
    [anon_sym_inline] = ACTIONS(5533),
    [anon_sym___inline] = ACTIONS(5533),
    [anon_sym___inline__] = ACTIONS(5533),
    [anon_sym___forceinline] = ACTIONS(5533),
    [anon_sym_thread_local] = ACTIONS(5533),
    [anon_sym___thread] = ACTIONS(5533),
    [anon_sym_const] = ACTIONS(5533),
    [anon_sym_constexpr] = ACTIONS(5533),
    [anon_sym_volatile] = ACTIONS(5533),
    [anon_sym_restrict] = ACTIONS(5533),
    [anon_sym___restrict__] = ACTIONS(5533),
    [anon_sym__Atomic] = ACTIONS(5533),
    [anon_sym__Noreturn] = ACTIONS(5533),
    [anon_sym_noreturn] = ACTIONS(5533),
    [anon_sym_mutable] = ACTIONS(5533),
    [anon_sym_constinit] = ACTIONS(5533),
    [anon_sym_consteval] = ACTIONS(5533),
    [anon_sym_PROGMEM] = ACTIONS(5533),
    [aux_sym_primitive_type_token1] = ACTIONS(5533),
    [anon_sym_byte] = ACTIONS(5533),
    [anon_sym_word] = ACTIONS(5533),
    [anon_sym_enum] = ACTIONS(5533),
    [anon_sym_class] = ACTIONS(5533),
    [anon_sym_struct] = ACTIONS(5533),
    [anon_sym_union] = ACTIONS(5533),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5533),
    [anon_sym_decltype] = ACTIONS(5533),
    [anon_sym_virtual] = ACTIONS(5533),
    [anon_sym_alignas] = ACTIONS(5533),
    [anon_sym_explicit] = ACTIONS(5533),
    [anon_sym_typename] = ACTIONS(5533),
    [anon_sym_template] = ACTIONS(5533),
    [anon_sym_operator] = ACTIONS(5533),
    [anon_sym_friend] = ACTIONS(5533),
    [anon_sym_public] = ACTIONS(5533),
    [anon_sym_private] = ACTIONS(5533),
    [anon_sym_protected] = ACTIONS(5533),
    [anon_sym_using] = ACTIONS(5533),
    [anon_sym_static_assert] = ACTIONS(5533),
  },
  [2514] = {
    [sym_identifier] = ACTIONS(5537),
    [aux_sym_preproc_def_token1] = ACTIONS(5537),
    [aux_sym_preproc_if_token1] = ACTIONS(5537),
    [aux_sym_preproc_if_token2] = ACTIONS(5537),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5537),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5537),
    [sym_preproc_directive] = ACTIONS(5537),
    [anon_sym_LPAREN2] = ACTIONS(5539),
    [anon_sym_TILDE] = ACTIONS(5539),
    [anon_sym_STAR] = ACTIONS(5539),
    [anon_sym_AMP_AMP] = ACTIONS(5539),
    [anon_sym_AMP] = ACTIONS(5537),
    [anon_sym___extension__] = ACTIONS(5537),
    [anon_sym_typedef] = ACTIONS(5537),
    [anon_sym_extern] = ACTIONS(5537),
    [anon_sym___attribute__] = ACTIONS(5537),
    [anon_sym_COLON_COLON] = ACTIONS(5539),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5539),
    [anon_sym___declspec] = ACTIONS(5537),
    [anon_sym___based] = ACTIONS(5537),
    [anon_sym_signed] = ACTIONS(5537),
    [anon_sym_unsigned] = ACTIONS(5537),
    [anon_sym_long] = ACTIONS(5537),
    [anon_sym_short] = ACTIONS(5537),
    [anon_sym_LBRACK] = ACTIONS(5537),
    [anon_sym_static] = ACTIONS(5537),
    [anon_sym_register] = ACTIONS(5537),
    [anon_sym_inline] = ACTIONS(5537),
    [anon_sym___inline] = ACTIONS(5537),
    [anon_sym___inline__] = ACTIONS(5537),
    [anon_sym___forceinline] = ACTIONS(5537),
    [anon_sym_thread_local] = ACTIONS(5537),
    [anon_sym___thread] = ACTIONS(5537),
    [anon_sym_const] = ACTIONS(5537),
    [anon_sym_constexpr] = ACTIONS(5537),
    [anon_sym_volatile] = ACTIONS(5537),
    [anon_sym_restrict] = ACTIONS(5537),
    [anon_sym___restrict__] = ACTIONS(5537),
    [anon_sym__Atomic] = ACTIONS(5537),
    [anon_sym__Noreturn] = ACTIONS(5537),
    [anon_sym_noreturn] = ACTIONS(5537),
    [anon_sym_mutable] = ACTIONS(5537),
    [anon_sym_constinit] = ACTIONS(5537),
    [anon_sym_consteval] = ACTIONS(5537),
    [anon_sym_PROGMEM] = ACTIONS(5537),
    [aux_sym_primitive_type_token1] = ACTIONS(5537),
    [anon_sym_byte] = ACTIONS(5537),
    [anon_sym_word] = ACTIONS(5537),
    [anon_sym_enum] = ACTIONS(5537),
    [anon_sym_class] = ACTIONS(5537),
    [anon_sym_struct] = ACTIONS(5537),
    [anon_sym_union] = ACTIONS(5537),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5537),
    [anon_sym_decltype] = ACTIONS(5537),
    [anon_sym_virtual] = ACTIONS(5537),
    [anon_sym_alignas] = ACTIONS(5537),
    [anon_sym_explicit] = ACTIONS(5537),
    [anon_sym_typename] = ACTIONS(5537),
    [anon_sym_template] = ACTIONS(5537),
    [anon_sym_operator] = ACTIONS(5537),
    [anon_sym_friend] = ACTIONS(5537),
    [anon_sym_public] = ACTIONS(5537),
    [anon_sym_private] = ACTIONS(5537),
    [anon_sym_protected] = ACTIONS(5537),
    [anon_sym_using] = ACTIONS(5537),
    [anon_sym_static_assert] = ACTIONS(5537),
  },
  [2515] = {
    [sym_identifier] = ACTIONS(5537),
    [aux_sym_preproc_def_token1] = ACTIONS(5537),
    [aux_sym_preproc_if_token1] = ACTIONS(5537),
    [aux_sym_preproc_if_token2] = ACTIONS(5537),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5537),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5537),
    [sym_preproc_directive] = ACTIONS(5537),
    [anon_sym_LPAREN2] = ACTIONS(5539),
    [anon_sym_TILDE] = ACTIONS(5539),
    [anon_sym_STAR] = ACTIONS(5539),
    [anon_sym_AMP_AMP] = ACTIONS(5539),
    [anon_sym_AMP] = ACTIONS(5537),
    [anon_sym___extension__] = ACTIONS(5537),
    [anon_sym_typedef] = ACTIONS(5537),
    [anon_sym_extern] = ACTIONS(5537),
    [anon_sym___attribute__] = ACTIONS(5537),
    [anon_sym_COLON_COLON] = ACTIONS(5539),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5539),
    [anon_sym___declspec] = ACTIONS(5537),
    [anon_sym___based] = ACTIONS(5537),
    [anon_sym_signed] = ACTIONS(5537),
    [anon_sym_unsigned] = ACTIONS(5537),
    [anon_sym_long] = ACTIONS(5537),
    [anon_sym_short] = ACTIONS(5537),
    [anon_sym_LBRACK] = ACTIONS(5537),
    [anon_sym_static] = ACTIONS(5537),
    [anon_sym_register] = ACTIONS(5537),
    [anon_sym_inline] = ACTIONS(5537),
    [anon_sym___inline] = ACTIONS(5537),
    [anon_sym___inline__] = ACTIONS(5537),
    [anon_sym___forceinline] = ACTIONS(5537),
    [anon_sym_thread_local] = ACTIONS(5537),
    [anon_sym___thread] = ACTIONS(5537),
    [anon_sym_const] = ACTIONS(5537),
    [anon_sym_constexpr] = ACTIONS(5537),
    [anon_sym_volatile] = ACTIONS(5537),
    [anon_sym_restrict] = ACTIONS(5537),
    [anon_sym___restrict__] = ACTIONS(5537),
    [anon_sym__Atomic] = ACTIONS(5537),
    [anon_sym__Noreturn] = ACTIONS(5537),
    [anon_sym_noreturn] = ACTIONS(5537),
    [anon_sym_mutable] = ACTIONS(5537),
    [anon_sym_constinit] = ACTIONS(5537),
    [anon_sym_consteval] = ACTIONS(5537),
    [anon_sym_PROGMEM] = ACTIONS(5537),
    [aux_sym_primitive_type_token1] = ACTIONS(5537),
    [anon_sym_byte] = ACTIONS(5537),
    [anon_sym_word] = ACTIONS(5537),
    [anon_sym_enum] = ACTIONS(5537),
    [anon_sym_class] = ACTIONS(5537),
    [anon_sym_struct] = ACTIONS(5537),
    [anon_sym_union] = ACTIONS(5537),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5537),
    [anon_sym_decltype] = ACTIONS(5537),
    [anon_sym_virtual] = ACTIONS(5537),
    [anon_sym_alignas] = ACTIONS(5537),
    [anon_sym_explicit] = ACTIONS(5537),
    [anon_sym_typename] = ACTIONS(5537),
    [anon_sym_template] = ACTIONS(5537),
    [anon_sym_operator] = ACTIONS(5537),
    [anon_sym_friend] = ACTIONS(5537),
    [anon_sym_public] = ACTIONS(5537),
    [anon_sym_private] = ACTIONS(5537),
    [anon_sym_protected] = ACTIONS(5537),
    [anon_sym_using] = ACTIONS(5537),
    [anon_sym_static_assert] = ACTIONS(5537),
  },
  [2516] = {
    [sym_identifier] = ACTIONS(5533),
    [aux_sym_preproc_def_token1] = ACTIONS(5533),
    [aux_sym_preproc_if_token1] = ACTIONS(5533),
    [aux_sym_preproc_if_token2] = ACTIONS(5533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5533),
    [sym_preproc_directive] = ACTIONS(5533),
    [anon_sym_LPAREN2] = ACTIONS(5535),
    [anon_sym_TILDE] = ACTIONS(5535),
    [anon_sym_STAR] = ACTIONS(5535),
    [anon_sym_AMP_AMP] = ACTIONS(5535),
    [anon_sym_AMP] = ACTIONS(5533),
    [anon_sym___extension__] = ACTIONS(5533),
    [anon_sym_typedef] = ACTIONS(5533),
    [anon_sym_extern] = ACTIONS(5533),
    [anon_sym___attribute__] = ACTIONS(5533),
    [anon_sym_COLON_COLON] = ACTIONS(5535),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5535),
    [anon_sym___declspec] = ACTIONS(5533),
    [anon_sym___based] = ACTIONS(5533),
    [anon_sym_signed] = ACTIONS(5533),
    [anon_sym_unsigned] = ACTIONS(5533),
    [anon_sym_long] = ACTIONS(5533),
    [anon_sym_short] = ACTIONS(5533),
    [anon_sym_LBRACK] = ACTIONS(5533),
    [anon_sym_static] = ACTIONS(5533),
    [anon_sym_register] = ACTIONS(5533),
    [anon_sym_inline] = ACTIONS(5533),
    [anon_sym___inline] = ACTIONS(5533),
    [anon_sym___inline__] = ACTIONS(5533),
    [anon_sym___forceinline] = ACTIONS(5533),
    [anon_sym_thread_local] = ACTIONS(5533),
    [anon_sym___thread] = ACTIONS(5533),
    [anon_sym_const] = ACTIONS(5533),
    [anon_sym_constexpr] = ACTIONS(5533),
    [anon_sym_volatile] = ACTIONS(5533),
    [anon_sym_restrict] = ACTIONS(5533),
    [anon_sym___restrict__] = ACTIONS(5533),
    [anon_sym__Atomic] = ACTIONS(5533),
    [anon_sym__Noreturn] = ACTIONS(5533),
    [anon_sym_noreturn] = ACTIONS(5533),
    [anon_sym_mutable] = ACTIONS(5533),
    [anon_sym_constinit] = ACTIONS(5533),
    [anon_sym_consteval] = ACTIONS(5533),
    [anon_sym_PROGMEM] = ACTIONS(5533),
    [aux_sym_primitive_type_token1] = ACTIONS(5533),
    [anon_sym_byte] = ACTIONS(5533),
    [anon_sym_word] = ACTIONS(5533),
    [anon_sym_enum] = ACTIONS(5533),
    [anon_sym_class] = ACTIONS(5533),
    [anon_sym_struct] = ACTIONS(5533),
    [anon_sym_union] = ACTIONS(5533),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5533),
    [anon_sym_decltype] = ACTIONS(5533),
    [anon_sym_virtual] = ACTIONS(5533),
    [anon_sym_alignas] = ACTIONS(5533),
    [anon_sym_explicit] = ACTIONS(5533),
    [anon_sym_typename] = ACTIONS(5533),
    [anon_sym_template] = ACTIONS(5533),
    [anon_sym_operator] = ACTIONS(5533),
    [anon_sym_friend] = ACTIONS(5533),
    [anon_sym_public] = ACTIONS(5533),
    [anon_sym_private] = ACTIONS(5533),
    [anon_sym_protected] = ACTIONS(5533),
    [anon_sym_using] = ACTIONS(5533),
    [anon_sym_static_assert] = ACTIONS(5533),
  },
  [2517] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token2] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_friend] = ACTIONS(3076),
    [anon_sym_public] = ACTIONS(3076),
    [anon_sym_private] = ACTIONS(3076),
    [anon_sym_protected] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
  },
  [2518] = {
    [sym_identifier] = ACTIONS(5577),
    [aux_sym_preproc_def_token1] = ACTIONS(5577),
    [aux_sym_preproc_if_token1] = ACTIONS(5577),
    [aux_sym_preproc_if_token2] = ACTIONS(5577),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5577),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5577),
    [sym_preproc_directive] = ACTIONS(5577),
    [anon_sym_LPAREN2] = ACTIONS(5579),
    [anon_sym_TILDE] = ACTIONS(5579),
    [anon_sym_STAR] = ACTIONS(5579),
    [anon_sym_AMP_AMP] = ACTIONS(5579),
    [anon_sym_AMP] = ACTIONS(5577),
    [anon_sym___extension__] = ACTIONS(5577),
    [anon_sym_typedef] = ACTIONS(5577),
    [anon_sym_extern] = ACTIONS(5577),
    [anon_sym___attribute__] = ACTIONS(5577),
    [anon_sym_COLON_COLON] = ACTIONS(5579),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5579),
    [anon_sym___declspec] = ACTIONS(5577),
    [anon_sym___based] = ACTIONS(5577),
    [anon_sym_signed] = ACTIONS(5577),
    [anon_sym_unsigned] = ACTIONS(5577),
    [anon_sym_long] = ACTIONS(5577),
    [anon_sym_short] = ACTIONS(5577),
    [anon_sym_LBRACK] = ACTIONS(5577),
    [anon_sym_static] = ACTIONS(5577),
    [anon_sym_register] = ACTIONS(5577),
    [anon_sym_inline] = ACTIONS(5577),
    [anon_sym___inline] = ACTIONS(5577),
    [anon_sym___inline__] = ACTIONS(5577),
    [anon_sym___forceinline] = ACTIONS(5577),
    [anon_sym_thread_local] = ACTIONS(5577),
    [anon_sym___thread] = ACTIONS(5577),
    [anon_sym_const] = ACTIONS(5577),
    [anon_sym_constexpr] = ACTIONS(5577),
    [anon_sym_volatile] = ACTIONS(5577),
    [anon_sym_restrict] = ACTIONS(5577),
    [anon_sym___restrict__] = ACTIONS(5577),
    [anon_sym__Atomic] = ACTIONS(5577),
    [anon_sym__Noreturn] = ACTIONS(5577),
    [anon_sym_noreturn] = ACTIONS(5577),
    [anon_sym_mutable] = ACTIONS(5577),
    [anon_sym_constinit] = ACTIONS(5577),
    [anon_sym_consteval] = ACTIONS(5577),
    [anon_sym_PROGMEM] = ACTIONS(5577),
    [aux_sym_primitive_type_token1] = ACTIONS(5577),
    [anon_sym_byte] = ACTIONS(5577),
    [anon_sym_word] = ACTIONS(5577),
    [anon_sym_enum] = ACTIONS(5577),
    [anon_sym_class] = ACTIONS(5577),
    [anon_sym_struct] = ACTIONS(5577),
    [anon_sym_union] = ACTIONS(5577),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5577),
    [anon_sym_decltype] = ACTIONS(5577),
    [anon_sym_virtual] = ACTIONS(5577),
    [anon_sym_alignas] = ACTIONS(5577),
    [anon_sym_explicit] = ACTIONS(5577),
    [anon_sym_typename] = ACTIONS(5577),
    [anon_sym_template] = ACTIONS(5577),
    [anon_sym_operator] = ACTIONS(5577),
    [anon_sym_friend] = ACTIONS(5577),
    [anon_sym_public] = ACTIONS(5577),
    [anon_sym_private] = ACTIONS(5577),
    [anon_sym_protected] = ACTIONS(5577),
    [anon_sym_using] = ACTIONS(5577),
    [anon_sym_static_assert] = ACTIONS(5577),
  },
  [2519] = {
    [sym_string_literal] = STATE(3826),
    [sym_template_argument_list] = STATE(4299),
    [sym_raw_string_literal] = STATE(3826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4446),
    [anon_sym___attribute__] = ACTIONS(4446),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(5938),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(5940),
    [anon_sym_SLASH_EQ] = ACTIONS(5940),
    [anon_sym_PERCENT_EQ] = ACTIONS(5940),
    [anon_sym_PLUS_EQ] = ACTIONS(5940),
    [anon_sym_DASH_EQ] = ACTIONS(5940),
    [anon_sym_LT_LT_EQ] = ACTIONS(5940),
    [anon_sym_GT_GT_EQ] = ACTIONS(5940),
    [anon_sym_AMP_EQ] = ACTIONS(5940),
    [anon_sym_CARET_EQ] = ACTIONS(5940),
    [anon_sym_PIPE_EQ] = ACTIONS(5940),
    [anon_sym_and_eq] = ACTIONS(5940),
    [anon_sym_or_eq] = ACTIONS(5940),
    [anon_sym_xor_eq] = ACTIONS(5940),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(5942),
    [anon_sym_u_DQUOTE] = ACTIONS(5942),
    [anon_sym_U_DQUOTE] = ACTIONS(5942),
    [anon_sym_u8_DQUOTE] = ACTIONS(5942),
    [anon_sym_DQUOTE] = ACTIONS(5942),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5944),
    [anon_sym_LR_DQUOTE] = ACTIONS(5944),
    [anon_sym_uR_DQUOTE] = ACTIONS(5944),
    [anon_sym_UR_DQUOTE] = ACTIONS(5944),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5944),
  },
  [2520] = {
    [sym_string_literal] = STATE(2490),
    [sym_raw_string_literal] = STATE(2490),
    [aux_sym_concatenated_string_repeat1] = STATE(2490),
    [sym_identifier] = ACTIONS(5946),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5368),
    [anon_sym_COMMA] = ACTIONS(5368),
    [anon_sym_RPAREN] = ACTIONS(5368),
    [anon_sym_LPAREN2] = ACTIONS(5368),
    [anon_sym_DASH] = ACTIONS(5370),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_STAR] = ACTIONS(5370),
    [anon_sym_SLASH] = ACTIONS(5370),
    [anon_sym_PERCENT] = ACTIONS(5370),
    [anon_sym_PIPE_PIPE] = ACTIONS(5368),
    [anon_sym_AMP_AMP] = ACTIONS(5368),
    [anon_sym_PIPE] = ACTIONS(5370),
    [anon_sym_CARET] = ACTIONS(5370),
    [anon_sym_AMP] = ACTIONS(5370),
    [anon_sym_EQ_EQ] = ACTIONS(5368),
    [anon_sym_BANG_EQ] = ACTIONS(5368),
    [anon_sym_GT] = ACTIONS(5370),
    [anon_sym_GT_EQ] = ACTIONS(5368),
    [anon_sym_LT_EQ] = ACTIONS(5370),
    [anon_sym_LT] = ACTIONS(5370),
    [anon_sym_LT_LT] = ACTIONS(5370),
    [anon_sym_GT_GT] = ACTIONS(5370),
    [anon_sym_LBRACK] = ACTIONS(5368),
    [anon_sym_EQ] = ACTIONS(5370),
    [anon_sym_QMARK] = ACTIONS(5368),
    [anon_sym_STAR_EQ] = ACTIONS(5368),
    [anon_sym_SLASH_EQ] = ACTIONS(5368),
    [anon_sym_PERCENT_EQ] = ACTIONS(5368),
    [anon_sym_PLUS_EQ] = ACTIONS(5368),
    [anon_sym_DASH_EQ] = ACTIONS(5368),
    [anon_sym_LT_LT_EQ] = ACTIONS(5368),
    [anon_sym_GT_GT_EQ] = ACTIONS(5368),
    [anon_sym_AMP_EQ] = ACTIONS(5368),
    [anon_sym_CARET_EQ] = ACTIONS(5368),
    [anon_sym_PIPE_EQ] = ACTIONS(5368),
    [anon_sym_and_eq] = ACTIONS(5370),
    [anon_sym_or_eq] = ACTIONS(5370),
    [anon_sym_xor_eq] = ACTIONS(5370),
    [anon_sym_LT_EQ_GT] = ACTIONS(5368),
    [anon_sym_or] = ACTIONS(5370),
    [anon_sym_and] = ACTIONS(5370),
    [anon_sym_bitor] = ACTIONS(5370),
    [anon_sym_xor] = ACTIONS(5370),
    [anon_sym_bitand] = ACTIONS(5370),
    [anon_sym_not_eq] = ACTIONS(5370),
    [anon_sym_DASH_DASH] = ACTIONS(5368),
    [anon_sym_PLUS_PLUS] = ACTIONS(5368),
    [anon_sym_DOT] = ACTIONS(5370),
    [anon_sym_DOT_STAR] = ACTIONS(5368),
    [anon_sym_DASH_GT] = ACTIONS(5370),
    [anon_sym_L_DQUOTE] = ACTIONS(5174),
    [anon_sym_u_DQUOTE] = ACTIONS(5174),
    [anon_sym_U_DQUOTE] = ACTIONS(5174),
    [anon_sym_u8_DQUOTE] = ACTIONS(5174),
    [anon_sym_DQUOTE] = ACTIONS(5174),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5176),
    [anon_sym_LR_DQUOTE] = ACTIONS(5176),
    [anon_sym_uR_DQUOTE] = ACTIONS(5176),
    [anon_sym_UR_DQUOTE] = ACTIONS(5176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5176),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5368),
    [sym_literal_suffix] = ACTIONS(5370),
  },
  [2521] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(4299),
    [sym_raw_string_literal] = STATE(2984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4446),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(4478),
    [anon_sym_COLON] = ACTIONS(4500),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4482),
    [anon_sym_SLASH_EQ] = ACTIONS(4482),
    [anon_sym_PERCENT_EQ] = ACTIONS(4482),
    [anon_sym_PLUS_EQ] = ACTIONS(4482),
    [anon_sym_DASH_EQ] = ACTIONS(4482),
    [anon_sym_LT_LT_EQ] = ACTIONS(4482),
    [anon_sym_GT_GT_EQ] = ACTIONS(4482),
    [anon_sym_AMP_EQ] = ACTIONS(4482),
    [anon_sym_CARET_EQ] = ACTIONS(4482),
    [anon_sym_PIPE_EQ] = ACTIONS(4482),
    [anon_sym_and_eq] = ACTIONS(4482),
    [anon_sym_or_eq] = ACTIONS(4482),
    [anon_sym_xor_eq] = ACTIONS(4482),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [2522] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(4299),
    [sym_raw_string_literal] = STATE(2984),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(7900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(5948),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_RBRACK] = ACTIONS(5902),
    [anon_sym_EQ] = ACTIONS(5905),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(5907),
    [anon_sym_SLASH_EQ] = ACTIONS(5907),
    [anon_sym_PERCENT_EQ] = ACTIONS(5907),
    [anon_sym_PLUS_EQ] = ACTIONS(5907),
    [anon_sym_DASH_EQ] = ACTIONS(5907),
    [anon_sym_LT_LT_EQ] = ACTIONS(5907),
    [anon_sym_GT_GT_EQ] = ACTIONS(5907),
    [anon_sym_AMP_EQ] = ACTIONS(5907),
    [anon_sym_CARET_EQ] = ACTIONS(5907),
    [anon_sym_PIPE_EQ] = ACTIONS(5907),
    [anon_sym_and_eq] = ACTIONS(5907),
    [anon_sym_or_eq] = ACTIONS(5907),
    [anon_sym_xor_eq] = ACTIONS(5907),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [2523] = {
    [sym_identifier] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3178),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym___extension__] = ACTIONS(3176),
    [anon_sym_typedef] = ACTIONS(3176),
    [anon_sym_extern] = ACTIONS(3176),
    [anon_sym___attribute__] = ACTIONS(3176),
    [anon_sym_COLON_COLON] = ACTIONS(3178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3178),
    [anon_sym___declspec] = ACTIONS(3176),
    [anon_sym___based] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3178),
    [anon_sym_signed] = ACTIONS(3176),
    [anon_sym_unsigned] = ACTIONS(3176),
    [anon_sym_long] = ACTIONS(3176),
    [anon_sym_short] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_register] = ACTIONS(3176),
    [anon_sym_inline] = ACTIONS(3176),
    [anon_sym___inline] = ACTIONS(3176),
    [anon_sym___inline__] = ACTIONS(3176),
    [anon_sym___forceinline] = ACTIONS(3176),
    [anon_sym_thread_local] = ACTIONS(3176),
    [anon_sym___thread] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_constexpr] = ACTIONS(3176),
    [anon_sym_volatile] = ACTIONS(3176),
    [anon_sym_restrict] = ACTIONS(3176),
    [anon_sym___restrict__] = ACTIONS(3176),
    [anon_sym__Atomic] = ACTIONS(3176),
    [anon_sym__Noreturn] = ACTIONS(3176),
    [anon_sym_noreturn] = ACTIONS(3176),
    [anon_sym_mutable] = ACTIONS(3176),
    [anon_sym_constinit] = ACTIONS(3176),
    [anon_sym_consteval] = ACTIONS(3176),
    [anon_sym_PROGMEM] = ACTIONS(3176),
    [aux_sym_primitive_type_token1] = ACTIONS(3176),
    [anon_sym_byte] = ACTIONS(3176),
    [anon_sym_word] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_struct] = ACTIONS(3176),
    [anon_sym_union] = ACTIONS(3176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3176),
    [anon_sym_decltype] = ACTIONS(3176),
    [anon_sym_virtual] = ACTIONS(3176),
    [anon_sym_alignas] = ACTIONS(3176),
    [anon_sym_explicit] = ACTIONS(3176),
    [anon_sym_typename] = ACTIONS(3176),
    [anon_sym_template] = ACTIONS(3176),
    [anon_sym_operator] = ACTIONS(3176),
    [anon_sym_friend] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_static_assert] = ACTIONS(3176),
  },
  [2524] = {
    [sym_identifier] = ACTIONS(3495),
    [aux_sym_preproc_def_token1] = ACTIONS(3495),
    [aux_sym_preproc_if_token1] = ACTIONS(3495),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3495),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3495),
    [sym_preproc_directive] = ACTIONS(3495),
    [anon_sym_LPAREN2] = ACTIONS(3497),
    [anon_sym_TILDE] = ACTIONS(3497),
    [anon_sym_STAR] = ACTIONS(3497),
    [anon_sym_AMP_AMP] = ACTIONS(3497),
    [anon_sym_AMP] = ACTIONS(3495),
    [anon_sym___extension__] = ACTIONS(3495),
    [anon_sym_typedef] = ACTIONS(3495),
    [anon_sym_extern] = ACTIONS(3495),
    [anon_sym___attribute__] = ACTIONS(3495),
    [anon_sym_COLON_COLON] = ACTIONS(3497),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3497),
    [anon_sym___declspec] = ACTIONS(3495),
    [anon_sym___based] = ACTIONS(3495),
    [anon_sym_RBRACE] = ACTIONS(3497),
    [anon_sym_signed] = ACTIONS(3495),
    [anon_sym_unsigned] = ACTIONS(3495),
    [anon_sym_long] = ACTIONS(3495),
    [anon_sym_short] = ACTIONS(3495),
    [anon_sym_LBRACK] = ACTIONS(3495),
    [anon_sym_static] = ACTIONS(3495),
    [anon_sym_register] = ACTIONS(3495),
    [anon_sym_inline] = ACTIONS(3495),
    [anon_sym___inline] = ACTIONS(3495),
    [anon_sym___inline__] = ACTIONS(3495),
    [anon_sym___forceinline] = ACTIONS(3495),
    [anon_sym_thread_local] = ACTIONS(3495),
    [anon_sym___thread] = ACTIONS(3495),
    [anon_sym_const] = ACTIONS(3495),
    [anon_sym_constexpr] = ACTIONS(3495),
    [anon_sym_volatile] = ACTIONS(3495),
    [anon_sym_restrict] = ACTIONS(3495),
    [anon_sym___restrict__] = ACTIONS(3495),
    [anon_sym__Atomic] = ACTIONS(3495),
    [anon_sym__Noreturn] = ACTIONS(3495),
    [anon_sym_noreturn] = ACTIONS(3495),
    [anon_sym_mutable] = ACTIONS(3495),
    [anon_sym_constinit] = ACTIONS(3495),
    [anon_sym_consteval] = ACTIONS(3495),
    [anon_sym_PROGMEM] = ACTIONS(3495),
    [aux_sym_primitive_type_token1] = ACTIONS(3495),
    [anon_sym_byte] = ACTIONS(3495),
    [anon_sym_word] = ACTIONS(3495),
    [anon_sym_enum] = ACTIONS(3495),
    [anon_sym_class] = ACTIONS(3495),
    [anon_sym_struct] = ACTIONS(3495),
    [anon_sym_union] = ACTIONS(3495),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3495),
    [anon_sym_decltype] = ACTIONS(3495),
    [anon_sym_virtual] = ACTIONS(3495),
    [anon_sym_alignas] = ACTIONS(3495),
    [anon_sym_explicit] = ACTIONS(3495),
    [anon_sym_typename] = ACTIONS(3495),
    [anon_sym_template] = ACTIONS(3495),
    [anon_sym_operator] = ACTIONS(3495),
    [anon_sym_friend] = ACTIONS(3495),
    [anon_sym_public] = ACTIONS(3495),
    [anon_sym_private] = ACTIONS(3495),
    [anon_sym_protected] = ACTIONS(3495),
    [anon_sym_using] = ACTIONS(3495),
    [anon_sym_static_assert] = ACTIONS(3495),
  },
  [2525] = {
    [sym_identifier] = ACTIONS(3216),
    [aux_sym_preproc_def_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3216),
    [sym_preproc_directive] = ACTIONS(3216),
    [anon_sym_LPAREN2] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3218),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym___extension__] = ACTIONS(3216),
    [anon_sym_typedef] = ACTIONS(3216),
    [anon_sym_extern] = ACTIONS(3216),
    [anon_sym___attribute__] = ACTIONS(3216),
    [anon_sym_COLON_COLON] = ACTIONS(3218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3218),
    [anon_sym___declspec] = ACTIONS(3216),
    [anon_sym___based] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3218),
    [anon_sym_signed] = ACTIONS(3216),
    [anon_sym_unsigned] = ACTIONS(3216),
    [anon_sym_long] = ACTIONS(3216),
    [anon_sym_short] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_register] = ACTIONS(3216),
    [anon_sym_inline] = ACTIONS(3216),
    [anon_sym___inline] = ACTIONS(3216),
    [anon_sym___inline__] = ACTIONS(3216),
    [anon_sym___forceinline] = ACTIONS(3216),
    [anon_sym_thread_local] = ACTIONS(3216),
    [anon_sym___thread] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_constexpr] = ACTIONS(3216),
    [anon_sym_volatile] = ACTIONS(3216),
    [anon_sym_restrict] = ACTIONS(3216),
    [anon_sym___restrict__] = ACTIONS(3216),
    [anon_sym__Atomic] = ACTIONS(3216),
    [anon_sym__Noreturn] = ACTIONS(3216),
    [anon_sym_noreturn] = ACTIONS(3216),
    [anon_sym_mutable] = ACTIONS(3216),
    [anon_sym_constinit] = ACTIONS(3216),
    [anon_sym_consteval] = ACTIONS(3216),
    [anon_sym_PROGMEM] = ACTIONS(3216),
    [aux_sym_primitive_type_token1] = ACTIONS(3216),
    [anon_sym_byte] = ACTIONS(3216),
    [anon_sym_word] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3216),
    [anon_sym_union] = ACTIONS(3216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3216),
    [anon_sym_decltype] = ACTIONS(3216),
    [anon_sym_virtual] = ACTIONS(3216),
    [anon_sym_alignas] = ACTIONS(3216),
    [anon_sym_explicit] = ACTIONS(3216),
    [anon_sym_typename] = ACTIONS(3216),
    [anon_sym_template] = ACTIONS(3216),
    [anon_sym_operator] = ACTIONS(3216),
    [anon_sym_friend] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_static_assert] = ACTIONS(3216),
  },
  [2526] = {
    [sym_identifier] = ACTIONS(3427),
    [aux_sym_preproc_def_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token1] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3427),
    [sym_preproc_directive] = ACTIONS(3427),
    [anon_sym_LPAREN2] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_STAR] = ACTIONS(3429),
    [anon_sym_AMP_AMP] = ACTIONS(3429),
    [anon_sym_AMP] = ACTIONS(3427),
    [anon_sym___extension__] = ACTIONS(3427),
    [anon_sym_typedef] = ACTIONS(3427),
    [anon_sym_extern] = ACTIONS(3427),
    [anon_sym___attribute__] = ACTIONS(3427),
    [anon_sym_COLON_COLON] = ACTIONS(3429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3429),
    [anon_sym___declspec] = ACTIONS(3427),
    [anon_sym___based] = ACTIONS(3427),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_signed] = ACTIONS(3427),
    [anon_sym_unsigned] = ACTIONS(3427),
    [anon_sym_long] = ACTIONS(3427),
    [anon_sym_short] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_register] = ACTIONS(3427),
    [anon_sym_inline] = ACTIONS(3427),
    [anon_sym___inline] = ACTIONS(3427),
    [anon_sym___inline__] = ACTIONS(3427),
    [anon_sym___forceinline] = ACTIONS(3427),
    [anon_sym_thread_local] = ACTIONS(3427),
    [anon_sym___thread] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_constexpr] = ACTIONS(3427),
    [anon_sym_volatile] = ACTIONS(3427),
    [anon_sym_restrict] = ACTIONS(3427),
    [anon_sym___restrict__] = ACTIONS(3427),
    [anon_sym__Atomic] = ACTIONS(3427),
    [anon_sym__Noreturn] = ACTIONS(3427),
    [anon_sym_noreturn] = ACTIONS(3427),
    [anon_sym_mutable] = ACTIONS(3427),
    [anon_sym_constinit] = ACTIONS(3427),
    [anon_sym_consteval] = ACTIONS(3427),
    [anon_sym_PROGMEM] = ACTIONS(3427),
    [aux_sym_primitive_type_token1] = ACTIONS(3427),
    [anon_sym_byte] = ACTIONS(3427),
    [anon_sym_word] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3427),
    [anon_sym_union] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3427),
    [anon_sym_decltype] = ACTIONS(3427),
    [anon_sym_virtual] = ACTIONS(3427),
    [anon_sym_alignas] = ACTIONS(3427),
    [anon_sym_explicit] = ACTIONS(3427),
    [anon_sym_typename] = ACTIONS(3427),
    [anon_sym_template] = ACTIONS(3427),
    [anon_sym_operator] = ACTIONS(3427),
    [anon_sym_friend] = ACTIONS(3427),
    [anon_sym_public] = ACTIONS(3427),
    [anon_sym_private] = ACTIONS(3427),
    [anon_sym_protected] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_static_assert] = ACTIONS(3427),
  },
  [2527] = {
    [sym_identifier] = ACTIONS(3427),
    [aux_sym_preproc_def_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token1] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3427),
    [sym_preproc_directive] = ACTIONS(3427),
    [anon_sym_LPAREN2] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_STAR] = ACTIONS(3429),
    [anon_sym_AMP_AMP] = ACTIONS(3429),
    [anon_sym_AMP] = ACTIONS(3427),
    [anon_sym___extension__] = ACTIONS(3427),
    [anon_sym_typedef] = ACTIONS(3427),
    [anon_sym_extern] = ACTIONS(3427),
    [anon_sym___attribute__] = ACTIONS(3427),
    [anon_sym_COLON_COLON] = ACTIONS(3429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3429),
    [anon_sym___declspec] = ACTIONS(3427),
    [anon_sym___based] = ACTIONS(3427),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_signed] = ACTIONS(3427),
    [anon_sym_unsigned] = ACTIONS(3427),
    [anon_sym_long] = ACTIONS(3427),
    [anon_sym_short] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_register] = ACTIONS(3427),
    [anon_sym_inline] = ACTIONS(3427),
    [anon_sym___inline] = ACTIONS(3427),
    [anon_sym___inline__] = ACTIONS(3427),
    [anon_sym___forceinline] = ACTIONS(3427),
    [anon_sym_thread_local] = ACTIONS(3427),
    [anon_sym___thread] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_constexpr] = ACTIONS(3427),
    [anon_sym_volatile] = ACTIONS(3427),
    [anon_sym_restrict] = ACTIONS(3427),
    [anon_sym___restrict__] = ACTIONS(3427),
    [anon_sym__Atomic] = ACTIONS(3427),
    [anon_sym__Noreturn] = ACTIONS(3427),
    [anon_sym_noreturn] = ACTIONS(3427),
    [anon_sym_mutable] = ACTIONS(3427),
    [anon_sym_constinit] = ACTIONS(3427),
    [anon_sym_consteval] = ACTIONS(3427),
    [anon_sym_PROGMEM] = ACTIONS(3427),
    [aux_sym_primitive_type_token1] = ACTIONS(3427),
    [anon_sym_byte] = ACTIONS(3427),
    [anon_sym_word] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3427),
    [anon_sym_union] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3427),
    [anon_sym_decltype] = ACTIONS(3427),
    [anon_sym_virtual] = ACTIONS(3427),
    [anon_sym_alignas] = ACTIONS(3427),
    [anon_sym_explicit] = ACTIONS(3427),
    [anon_sym_typename] = ACTIONS(3427),
    [anon_sym_template] = ACTIONS(3427),
    [anon_sym_operator] = ACTIONS(3427),
    [anon_sym_friend] = ACTIONS(3427),
    [anon_sym_public] = ACTIONS(3427),
    [anon_sym_private] = ACTIONS(3427),
    [anon_sym_protected] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_static_assert] = ACTIONS(3427),
  },
  [2528] = {
    [sym_string_literal] = STATE(2520),
    [sym_template_argument_list] = STATE(3733),
    [sym_raw_string_literal] = STATE(2520),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_RPAREN] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5178),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(4454),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4446),
    [anon_sym_SLASH_EQ] = ACTIONS(4446),
    [anon_sym_PERCENT_EQ] = ACTIONS(4446),
    [anon_sym_PLUS_EQ] = ACTIONS(4446),
    [anon_sym_DASH_EQ] = ACTIONS(4446),
    [anon_sym_LT_LT_EQ] = ACTIONS(4446),
    [anon_sym_GT_GT_EQ] = ACTIONS(4446),
    [anon_sym_AMP_EQ] = ACTIONS(4446),
    [anon_sym_CARET_EQ] = ACTIONS(4446),
    [anon_sym_PIPE_EQ] = ACTIONS(4446),
    [anon_sym_and_eq] = ACTIONS(4446),
    [anon_sym_or_eq] = ACTIONS(4446),
    [anon_sym_xor_eq] = ACTIONS(4446),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4454),
    [anon_sym_L_DQUOTE] = ACTIONS(5174),
    [anon_sym_u_DQUOTE] = ACTIONS(5174),
    [anon_sym_U_DQUOTE] = ACTIONS(5174),
    [anon_sym_u8_DQUOTE] = ACTIONS(5174),
    [anon_sym_DQUOTE] = ACTIONS(5174),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5176),
    [anon_sym_LR_DQUOTE] = ACTIONS(5176),
    [anon_sym_uR_DQUOTE] = ACTIONS(5176),
    [anon_sym_UR_DQUOTE] = ACTIONS(5176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5176),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4446),
  },
  [2529] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(4299),
    [sym_raw_string_literal] = STATE(2984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4446),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(4478),
    [anon_sym_COLON] = ACTIONS(5950),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4482),
    [anon_sym_SLASH_EQ] = ACTIONS(4482),
    [anon_sym_PERCENT_EQ] = ACTIONS(4482),
    [anon_sym_PLUS_EQ] = ACTIONS(4482),
    [anon_sym_DASH_EQ] = ACTIONS(4482),
    [anon_sym_LT_LT_EQ] = ACTIONS(4482),
    [anon_sym_GT_GT_EQ] = ACTIONS(4482),
    [anon_sym_AMP_EQ] = ACTIONS(4482),
    [anon_sym_CARET_EQ] = ACTIONS(4482),
    [anon_sym_PIPE_EQ] = ACTIONS(4482),
    [anon_sym_and_eq] = ACTIONS(4482),
    [anon_sym_or_eq] = ACTIONS(4482),
    [anon_sym_xor_eq] = ACTIONS(4482),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [2530] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(4299),
    [sym_raw_string_literal] = STATE(2984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4446),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(4478),
    [anon_sym_COLON] = ACTIONS(4517),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4482),
    [anon_sym_SLASH_EQ] = ACTIONS(4482),
    [anon_sym_PERCENT_EQ] = ACTIONS(4482),
    [anon_sym_PLUS_EQ] = ACTIONS(4482),
    [anon_sym_DASH_EQ] = ACTIONS(4482),
    [anon_sym_LT_LT_EQ] = ACTIONS(4482),
    [anon_sym_GT_GT_EQ] = ACTIONS(4482),
    [anon_sym_AMP_EQ] = ACTIONS(4482),
    [anon_sym_CARET_EQ] = ACTIONS(4482),
    [anon_sym_PIPE_EQ] = ACTIONS(4482),
    [anon_sym_and_eq] = ACTIONS(4482),
    [anon_sym_or_eq] = ACTIONS(4482),
    [anon_sym_xor_eq] = ACTIONS(4482),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [2531] = {
    [sym_identifier] = ACTIONS(3899),
    [aux_sym_preproc_def_token1] = ACTIONS(3899),
    [aux_sym_preproc_if_token1] = ACTIONS(3899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3899),
    [sym_preproc_directive] = ACTIONS(3899),
    [anon_sym_LPAREN2] = ACTIONS(3897),
    [anon_sym_TILDE] = ACTIONS(3897),
    [anon_sym_STAR] = ACTIONS(3897),
    [anon_sym_AMP_AMP] = ACTIONS(3897),
    [anon_sym_AMP] = ACTIONS(3899),
    [anon_sym___extension__] = ACTIONS(3899),
    [anon_sym_typedef] = ACTIONS(3899),
    [anon_sym_extern] = ACTIONS(3899),
    [anon_sym___attribute__] = ACTIONS(3899),
    [anon_sym_COLON_COLON] = ACTIONS(3897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3897),
    [anon_sym___declspec] = ACTIONS(3899),
    [anon_sym___based] = ACTIONS(3899),
    [anon_sym_RBRACE] = ACTIONS(3897),
    [anon_sym_signed] = ACTIONS(3899),
    [anon_sym_unsigned] = ACTIONS(3899),
    [anon_sym_long] = ACTIONS(3899),
    [anon_sym_short] = ACTIONS(3899),
    [anon_sym_LBRACK] = ACTIONS(3899),
    [anon_sym_static] = ACTIONS(3899),
    [anon_sym_register] = ACTIONS(3899),
    [anon_sym_inline] = ACTIONS(3899),
    [anon_sym___inline] = ACTIONS(3899),
    [anon_sym___inline__] = ACTIONS(3899),
    [anon_sym___forceinline] = ACTIONS(3899),
    [anon_sym_thread_local] = ACTIONS(3899),
    [anon_sym___thread] = ACTIONS(3899),
    [anon_sym_const] = ACTIONS(3899),
    [anon_sym_constexpr] = ACTIONS(3899),
    [anon_sym_volatile] = ACTIONS(3899),
    [anon_sym_restrict] = ACTIONS(3899),
    [anon_sym___restrict__] = ACTIONS(3899),
    [anon_sym__Atomic] = ACTIONS(3899),
    [anon_sym__Noreturn] = ACTIONS(3899),
    [anon_sym_noreturn] = ACTIONS(3899),
    [anon_sym_mutable] = ACTIONS(3899),
    [anon_sym_constinit] = ACTIONS(3899),
    [anon_sym_consteval] = ACTIONS(3899),
    [anon_sym_PROGMEM] = ACTIONS(3899),
    [aux_sym_primitive_type_token1] = ACTIONS(3899),
    [anon_sym_byte] = ACTIONS(3899),
    [anon_sym_word] = ACTIONS(3899),
    [anon_sym_enum] = ACTIONS(3899),
    [anon_sym_class] = ACTIONS(3899),
    [anon_sym_struct] = ACTIONS(3899),
    [anon_sym_union] = ACTIONS(3899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3899),
    [anon_sym_decltype] = ACTIONS(3899),
    [anon_sym_virtual] = ACTIONS(3899),
    [anon_sym_alignas] = ACTIONS(3899),
    [anon_sym_explicit] = ACTIONS(3899),
    [anon_sym_typename] = ACTIONS(3899),
    [anon_sym_template] = ACTIONS(3899),
    [anon_sym_operator] = ACTIONS(3899),
    [anon_sym_friend] = ACTIONS(3899),
    [anon_sym_public] = ACTIONS(3899),
    [anon_sym_private] = ACTIONS(3899),
    [anon_sym_protected] = ACTIONS(3899),
    [anon_sym_using] = ACTIONS(3899),
    [anon_sym_static_assert] = ACTIONS(3899),
  },
  [2532] = {
    [sym_identifier] = ACTIONS(3180),
    [aux_sym_preproc_def_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3180),
    [sym_preproc_directive] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_STAR] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym___extension__] = ACTIONS(3180),
    [anon_sym_typedef] = ACTIONS(3180),
    [anon_sym_extern] = ACTIONS(3180),
    [anon_sym___attribute__] = ACTIONS(3180),
    [anon_sym_COLON_COLON] = ACTIONS(3182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3182),
    [anon_sym___declspec] = ACTIONS(3180),
    [anon_sym___based] = ACTIONS(3180),
    [anon_sym_RBRACE] = ACTIONS(3182),
    [anon_sym_signed] = ACTIONS(3180),
    [anon_sym_unsigned] = ACTIONS(3180),
    [anon_sym_long] = ACTIONS(3180),
    [anon_sym_short] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_register] = ACTIONS(3180),
    [anon_sym_inline] = ACTIONS(3180),
    [anon_sym___inline] = ACTIONS(3180),
    [anon_sym___inline__] = ACTIONS(3180),
    [anon_sym___forceinline] = ACTIONS(3180),
    [anon_sym_thread_local] = ACTIONS(3180),
    [anon_sym___thread] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_constexpr] = ACTIONS(3180),
    [anon_sym_volatile] = ACTIONS(3180),
    [anon_sym_restrict] = ACTIONS(3180),
    [anon_sym___restrict__] = ACTIONS(3180),
    [anon_sym__Atomic] = ACTIONS(3180),
    [anon_sym__Noreturn] = ACTIONS(3180),
    [anon_sym_noreturn] = ACTIONS(3180),
    [anon_sym_mutable] = ACTIONS(3180),
    [anon_sym_constinit] = ACTIONS(3180),
    [anon_sym_consteval] = ACTIONS(3180),
    [anon_sym_PROGMEM] = ACTIONS(3180),
    [aux_sym_primitive_type_token1] = ACTIONS(3180),
    [anon_sym_byte] = ACTIONS(3180),
    [anon_sym_word] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_struct] = ACTIONS(3180),
    [anon_sym_union] = ACTIONS(3180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3180),
    [anon_sym_decltype] = ACTIONS(3180),
    [anon_sym_virtual] = ACTIONS(3180),
    [anon_sym_alignas] = ACTIONS(3180),
    [anon_sym_explicit] = ACTIONS(3180),
    [anon_sym_typename] = ACTIONS(3180),
    [anon_sym_template] = ACTIONS(3180),
    [anon_sym_operator] = ACTIONS(3180),
    [anon_sym_friend] = ACTIONS(3180),
    [anon_sym_public] = ACTIONS(3180),
    [anon_sym_private] = ACTIONS(3180),
    [anon_sym_protected] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_static_assert] = ACTIONS(3180),
  },
  [2533] = {
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym_RBRACE] = ACTIONS(3042),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_PROGMEM] = ACTIONS(3040),
    [aux_sym_primitive_type_token1] = ACTIONS(3040),
    [anon_sym_byte] = ACTIONS(3040),
    [anon_sym_word] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_friend] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
  },
  [2534] = {
    [sym_identifier] = ACTIONS(5589),
    [aux_sym_preproc_def_token1] = ACTIONS(5589),
    [aux_sym_preproc_if_token1] = ACTIONS(5589),
    [aux_sym_preproc_if_token2] = ACTIONS(5589),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5589),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5589),
    [sym_preproc_directive] = ACTIONS(5589),
    [anon_sym_LPAREN2] = ACTIONS(5591),
    [anon_sym_TILDE] = ACTIONS(5591),
    [anon_sym_STAR] = ACTIONS(5591),
    [anon_sym_AMP_AMP] = ACTIONS(5591),
    [anon_sym_AMP] = ACTIONS(5589),
    [anon_sym___extension__] = ACTIONS(5589),
    [anon_sym_typedef] = ACTIONS(5589),
    [anon_sym_extern] = ACTIONS(5589),
    [anon_sym___attribute__] = ACTIONS(5589),
    [anon_sym_COLON_COLON] = ACTIONS(5591),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5591),
    [anon_sym___declspec] = ACTIONS(5589),
    [anon_sym___based] = ACTIONS(5589),
    [anon_sym_signed] = ACTIONS(5589),
    [anon_sym_unsigned] = ACTIONS(5589),
    [anon_sym_long] = ACTIONS(5589),
    [anon_sym_short] = ACTIONS(5589),
    [anon_sym_LBRACK] = ACTIONS(5589),
    [anon_sym_static] = ACTIONS(5589),
    [anon_sym_register] = ACTIONS(5589),
    [anon_sym_inline] = ACTIONS(5589),
    [anon_sym___inline] = ACTIONS(5589),
    [anon_sym___inline__] = ACTIONS(5589),
    [anon_sym___forceinline] = ACTIONS(5589),
    [anon_sym_thread_local] = ACTIONS(5589),
    [anon_sym___thread] = ACTIONS(5589),
    [anon_sym_const] = ACTIONS(5589),
    [anon_sym_constexpr] = ACTIONS(5589),
    [anon_sym_volatile] = ACTIONS(5589),
    [anon_sym_restrict] = ACTIONS(5589),
    [anon_sym___restrict__] = ACTIONS(5589),
    [anon_sym__Atomic] = ACTIONS(5589),
    [anon_sym__Noreturn] = ACTIONS(5589),
    [anon_sym_noreturn] = ACTIONS(5589),
    [anon_sym_mutable] = ACTIONS(5589),
    [anon_sym_constinit] = ACTIONS(5589),
    [anon_sym_consteval] = ACTIONS(5589),
    [anon_sym_PROGMEM] = ACTIONS(5589),
    [aux_sym_primitive_type_token1] = ACTIONS(5589),
    [anon_sym_byte] = ACTIONS(5589),
    [anon_sym_word] = ACTIONS(5589),
    [anon_sym_enum] = ACTIONS(5589),
    [anon_sym_class] = ACTIONS(5589),
    [anon_sym_struct] = ACTIONS(5589),
    [anon_sym_union] = ACTIONS(5589),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5589),
    [anon_sym_decltype] = ACTIONS(5589),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5589),
    [anon_sym_explicit] = ACTIONS(5589),
    [anon_sym_typename] = ACTIONS(5589),
    [anon_sym_template] = ACTIONS(5589),
    [anon_sym_operator] = ACTIONS(5589),
    [anon_sym_friend] = ACTIONS(5589),
    [anon_sym_public] = ACTIONS(5589),
    [anon_sym_private] = ACTIONS(5589),
    [anon_sym_protected] = ACTIONS(5589),
    [anon_sym_using] = ACTIONS(5589),
    [anon_sym_static_assert] = ACTIONS(5589),
  },
  [2535] = {
    [sym_identifier] = ACTIONS(5581),
    [aux_sym_preproc_def_token1] = ACTIONS(5581),
    [aux_sym_preproc_if_token1] = ACTIONS(5581),
    [aux_sym_preproc_if_token2] = ACTIONS(5581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5581),
    [sym_preproc_directive] = ACTIONS(5581),
    [anon_sym_LPAREN2] = ACTIONS(5583),
    [anon_sym_TILDE] = ACTIONS(5583),
    [anon_sym_STAR] = ACTIONS(5583),
    [anon_sym_AMP_AMP] = ACTIONS(5583),
    [anon_sym_AMP] = ACTIONS(5581),
    [anon_sym___extension__] = ACTIONS(5581),
    [anon_sym_typedef] = ACTIONS(5581),
    [anon_sym_extern] = ACTIONS(5581),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5583),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5583),
    [anon_sym___declspec] = ACTIONS(5581),
    [anon_sym___based] = ACTIONS(5581),
    [anon_sym_signed] = ACTIONS(5581),
    [anon_sym_unsigned] = ACTIONS(5581),
    [anon_sym_long] = ACTIONS(5581),
    [anon_sym_short] = ACTIONS(5581),
    [anon_sym_LBRACK] = ACTIONS(5581),
    [anon_sym_static] = ACTIONS(5581),
    [anon_sym_register] = ACTIONS(5581),
    [anon_sym_inline] = ACTIONS(5581),
    [anon_sym___inline] = ACTIONS(5581),
    [anon_sym___inline__] = ACTIONS(5581),
    [anon_sym___forceinline] = ACTIONS(5581),
    [anon_sym_thread_local] = ACTIONS(5581),
    [anon_sym___thread] = ACTIONS(5581),
    [anon_sym_const] = ACTIONS(5581),
    [anon_sym_constexpr] = ACTIONS(5581),
    [anon_sym_volatile] = ACTIONS(5581),
    [anon_sym_restrict] = ACTIONS(5581),
    [anon_sym___restrict__] = ACTIONS(5581),
    [anon_sym__Atomic] = ACTIONS(5581),
    [anon_sym__Noreturn] = ACTIONS(5581),
    [anon_sym_noreturn] = ACTIONS(5581),
    [anon_sym_mutable] = ACTIONS(5581),
    [anon_sym_constinit] = ACTIONS(5581),
    [anon_sym_consteval] = ACTIONS(5581),
    [anon_sym_PROGMEM] = ACTIONS(5581),
    [aux_sym_primitive_type_token1] = ACTIONS(5581),
    [anon_sym_byte] = ACTIONS(5581),
    [anon_sym_word] = ACTIONS(5581),
    [anon_sym_enum] = ACTIONS(5581),
    [anon_sym_class] = ACTIONS(5581),
    [anon_sym_struct] = ACTIONS(5581),
    [anon_sym_union] = ACTIONS(5581),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5581),
    [anon_sym_decltype] = ACTIONS(5581),
    [anon_sym_virtual] = ACTIONS(5581),
    [anon_sym_alignas] = ACTIONS(5581),
    [anon_sym_explicit] = ACTIONS(5581),
    [anon_sym_typename] = ACTIONS(5581),
    [anon_sym_template] = ACTIONS(5581),
    [anon_sym_operator] = ACTIONS(5581),
    [anon_sym_friend] = ACTIONS(5581),
    [anon_sym_public] = ACTIONS(5581),
    [anon_sym_private] = ACTIONS(5581),
    [anon_sym_protected] = ACTIONS(5581),
    [anon_sym_using] = ACTIONS(5581),
    [anon_sym_static_assert] = ACTIONS(5581),
  },
  [2536] = {
    [sym_identifier] = ACTIONS(5493),
    [aux_sym_preproc_def_token1] = ACTIONS(5493),
    [aux_sym_preproc_if_token1] = ACTIONS(5493),
    [aux_sym_preproc_if_token2] = ACTIONS(5493),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5493),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5493),
    [sym_preproc_directive] = ACTIONS(5493),
    [anon_sym_LPAREN2] = ACTIONS(5495),
    [anon_sym_TILDE] = ACTIONS(5495),
    [anon_sym_STAR] = ACTIONS(5495),
    [anon_sym_AMP_AMP] = ACTIONS(5495),
    [anon_sym_AMP] = ACTIONS(5493),
    [anon_sym___extension__] = ACTIONS(5493),
    [anon_sym_typedef] = ACTIONS(5493),
    [anon_sym_extern] = ACTIONS(5493),
    [anon_sym___attribute__] = ACTIONS(5493),
    [anon_sym_COLON_COLON] = ACTIONS(5495),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5495),
    [anon_sym___declspec] = ACTIONS(5493),
    [anon_sym___based] = ACTIONS(5493),
    [anon_sym_signed] = ACTIONS(5493),
    [anon_sym_unsigned] = ACTIONS(5493),
    [anon_sym_long] = ACTIONS(5493),
    [anon_sym_short] = ACTIONS(5493),
    [anon_sym_LBRACK] = ACTIONS(5493),
    [anon_sym_static] = ACTIONS(5493),
    [anon_sym_register] = ACTIONS(5493),
    [anon_sym_inline] = ACTIONS(5493),
    [anon_sym___inline] = ACTIONS(5493),
    [anon_sym___inline__] = ACTIONS(5493),
    [anon_sym___forceinline] = ACTIONS(5493),
    [anon_sym_thread_local] = ACTIONS(5493),
    [anon_sym___thread] = ACTIONS(5493),
    [anon_sym_const] = ACTIONS(5493),
    [anon_sym_constexpr] = ACTIONS(5493),
    [anon_sym_volatile] = ACTIONS(5493),
    [anon_sym_restrict] = ACTIONS(5493),
    [anon_sym___restrict__] = ACTIONS(5493),
    [anon_sym__Atomic] = ACTIONS(5493),
    [anon_sym__Noreturn] = ACTIONS(5493),
    [anon_sym_noreturn] = ACTIONS(5493),
    [anon_sym_mutable] = ACTIONS(5493),
    [anon_sym_constinit] = ACTIONS(5493),
    [anon_sym_consteval] = ACTIONS(5493),
    [anon_sym_PROGMEM] = ACTIONS(5493),
    [aux_sym_primitive_type_token1] = ACTIONS(5493),
    [anon_sym_byte] = ACTIONS(5493),
    [anon_sym_word] = ACTIONS(5493),
    [anon_sym_enum] = ACTIONS(5493),
    [anon_sym_class] = ACTIONS(5493),
    [anon_sym_struct] = ACTIONS(5493),
    [anon_sym_union] = ACTIONS(5493),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5493),
    [anon_sym_decltype] = ACTIONS(5493),
    [anon_sym_virtual] = ACTIONS(5493),
    [anon_sym_alignas] = ACTIONS(5493),
    [anon_sym_explicit] = ACTIONS(5493),
    [anon_sym_typename] = ACTIONS(5493),
    [anon_sym_template] = ACTIONS(5493),
    [anon_sym_operator] = ACTIONS(5493),
    [anon_sym_friend] = ACTIONS(5493),
    [anon_sym_public] = ACTIONS(5493),
    [anon_sym_private] = ACTIONS(5493),
    [anon_sym_protected] = ACTIONS(5493),
    [anon_sym_using] = ACTIONS(5493),
    [anon_sym_static_assert] = ACTIONS(5493),
  },
  [2537] = {
    [sym_identifier] = ACTIONS(3377),
    [aux_sym_preproc_def_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token1] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3377),
    [sym_preproc_directive] = ACTIONS(3377),
    [anon_sym_LPAREN2] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3379),
    [anon_sym_AMP_AMP] = ACTIONS(3379),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym___extension__] = ACTIONS(3377),
    [anon_sym_typedef] = ACTIONS(3377),
    [anon_sym_extern] = ACTIONS(3377),
    [anon_sym___attribute__] = ACTIONS(3377),
    [anon_sym_COLON_COLON] = ACTIONS(3379),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3379),
    [anon_sym___declspec] = ACTIONS(3377),
    [anon_sym___based] = ACTIONS(3377),
    [anon_sym_RBRACE] = ACTIONS(3379),
    [anon_sym_signed] = ACTIONS(3377),
    [anon_sym_unsigned] = ACTIONS(3377),
    [anon_sym_long] = ACTIONS(3377),
    [anon_sym_short] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_register] = ACTIONS(3377),
    [anon_sym_inline] = ACTIONS(3377),
    [anon_sym___inline] = ACTIONS(3377),
    [anon_sym___inline__] = ACTIONS(3377),
    [anon_sym___forceinline] = ACTIONS(3377),
    [anon_sym_thread_local] = ACTIONS(3377),
    [anon_sym___thread] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_constexpr] = ACTIONS(3377),
    [anon_sym_volatile] = ACTIONS(3377),
    [anon_sym_restrict] = ACTIONS(3377),
    [anon_sym___restrict__] = ACTIONS(3377),
    [anon_sym__Atomic] = ACTIONS(3377),
    [anon_sym__Noreturn] = ACTIONS(3377),
    [anon_sym_noreturn] = ACTIONS(3377),
    [anon_sym_mutable] = ACTIONS(3377),
    [anon_sym_constinit] = ACTIONS(3377),
    [anon_sym_consteval] = ACTIONS(3377),
    [anon_sym_PROGMEM] = ACTIONS(3377),
    [aux_sym_primitive_type_token1] = ACTIONS(3377),
    [anon_sym_byte] = ACTIONS(3377),
    [anon_sym_word] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_struct] = ACTIONS(3377),
    [anon_sym_union] = ACTIONS(3377),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3377),
    [anon_sym_decltype] = ACTIONS(3377),
    [anon_sym_virtual] = ACTIONS(3377),
    [anon_sym_alignas] = ACTIONS(3377),
    [anon_sym_explicit] = ACTIONS(3377),
    [anon_sym_typename] = ACTIONS(3377),
    [anon_sym_template] = ACTIONS(3377),
    [anon_sym_operator] = ACTIONS(3377),
    [anon_sym_friend] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_static_assert] = ACTIONS(3377),
  },
  [2538] = {
    [sym_identifier] = ACTIONS(5573),
    [aux_sym_preproc_def_token1] = ACTIONS(5573),
    [aux_sym_preproc_if_token1] = ACTIONS(5573),
    [aux_sym_preproc_if_token2] = ACTIONS(5573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5573),
    [sym_preproc_directive] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(5575),
    [anon_sym_TILDE] = ACTIONS(5575),
    [anon_sym_STAR] = ACTIONS(5575),
    [anon_sym_AMP_AMP] = ACTIONS(5575),
    [anon_sym_AMP] = ACTIONS(5573),
    [anon_sym___extension__] = ACTIONS(5573),
    [anon_sym_typedef] = ACTIONS(5573),
    [anon_sym_extern] = ACTIONS(5573),
    [anon_sym___attribute__] = ACTIONS(5573),
    [anon_sym_COLON_COLON] = ACTIONS(5575),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5575),
    [anon_sym___declspec] = ACTIONS(5573),
    [anon_sym___based] = ACTIONS(5573),
    [anon_sym_signed] = ACTIONS(5573),
    [anon_sym_unsigned] = ACTIONS(5573),
    [anon_sym_long] = ACTIONS(5573),
    [anon_sym_short] = ACTIONS(5573),
    [anon_sym_LBRACK] = ACTIONS(5573),
    [anon_sym_static] = ACTIONS(5573),
    [anon_sym_register] = ACTIONS(5573),
    [anon_sym_inline] = ACTIONS(5573),
    [anon_sym___inline] = ACTIONS(5573),
    [anon_sym___inline__] = ACTIONS(5573),
    [anon_sym___forceinline] = ACTIONS(5573),
    [anon_sym_thread_local] = ACTIONS(5573),
    [anon_sym___thread] = ACTIONS(5573),
    [anon_sym_const] = ACTIONS(5573),
    [anon_sym_constexpr] = ACTIONS(5573),
    [anon_sym_volatile] = ACTIONS(5573),
    [anon_sym_restrict] = ACTIONS(5573),
    [anon_sym___restrict__] = ACTIONS(5573),
    [anon_sym__Atomic] = ACTIONS(5573),
    [anon_sym__Noreturn] = ACTIONS(5573),
    [anon_sym_noreturn] = ACTIONS(5573),
    [anon_sym_mutable] = ACTIONS(5573),
    [anon_sym_constinit] = ACTIONS(5573),
    [anon_sym_consteval] = ACTIONS(5573),
    [anon_sym_PROGMEM] = ACTIONS(5573),
    [aux_sym_primitive_type_token1] = ACTIONS(5573),
    [anon_sym_byte] = ACTIONS(5573),
    [anon_sym_word] = ACTIONS(5573),
    [anon_sym_enum] = ACTIONS(5573),
    [anon_sym_class] = ACTIONS(5573),
    [anon_sym_struct] = ACTIONS(5573),
    [anon_sym_union] = ACTIONS(5573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5573),
    [anon_sym_decltype] = ACTIONS(5573),
    [anon_sym_virtual] = ACTIONS(5573),
    [anon_sym_alignas] = ACTIONS(5573),
    [anon_sym_explicit] = ACTIONS(5573),
    [anon_sym_typename] = ACTIONS(5573),
    [anon_sym_template] = ACTIONS(5573),
    [anon_sym_operator] = ACTIONS(5573),
    [anon_sym_friend] = ACTIONS(5573),
    [anon_sym_public] = ACTIONS(5573),
    [anon_sym_private] = ACTIONS(5573),
    [anon_sym_protected] = ACTIONS(5573),
    [anon_sym_using] = ACTIONS(5573),
    [anon_sym_static_assert] = ACTIONS(5573),
  },
  [2539] = {
    [sym_identifier] = ACTIONS(5463),
    [aux_sym_preproc_def_token1] = ACTIONS(5463),
    [aux_sym_preproc_if_token1] = ACTIONS(5463),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5463),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5463),
    [sym_preproc_directive] = ACTIONS(5463),
    [anon_sym_LPAREN2] = ACTIONS(5465),
    [anon_sym_TILDE] = ACTIONS(5465),
    [anon_sym_STAR] = ACTIONS(5465),
    [anon_sym_AMP_AMP] = ACTIONS(5465),
    [anon_sym_AMP] = ACTIONS(5463),
    [anon_sym___extension__] = ACTIONS(5463),
    [anon_sym_typedef] = ACTIONS(5463),
    [anon_sym_extern] = ACTIONS(5463),
    [anon_sym___attribute__] = ACTIONS(5463),
    [anon_sym_COLON_COLON] = ACTIONS(5465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5465),
    [anon_sym___declspec] = ACTIONS(5463),
    [anon_sym___based] = ACTIONS(5463),
    [anon_sym_RBRACE] = ACTIONS(5465),
    [anon_sym_signed] = ACTIONS(5463),
    [anon_sym_unsigned] = ACTIONS(5463),
    [anon_sym_long] = ACTIONS(5463),
    [anon_sym_short] = ACTIONS(5463),
    [anon_sym_LBRACK] = ACTIONS(5463),
    [anon_sym_static] = ACTIONS(5463),
    [anon_sym_register] = ACTIONS(5463),
    [anon_sym_inline] = ACTIONS(5463),
    [anon_sym___inline] = ACTIONS(5463),
    [anon_sym___inline__] = ACTIONS(5463),
    [anon_sym___forceinline] = ACTIONS(5463),
    [anon_sym_thread_local] = ACTIONS(5463),
    [anon_sym___thread] = ACTIONS(5463),
    [anon_sym_const] = ACTIONS(5463),
    [anon_sym_constexpr] = ACTIONS(5463),
    [anon_sym_volatile] = ACTIONS(5463),
    [anon_sym_restrict] = ACTIONS(5463),
    [anon_sym___restrict__] = ACTIONS(5463),
    [anon_sym__Atomic] = ACTIONS(5463),
    [anon_sym__Noreturn] = ACTIONS(5463),
    [anon_sym_noreturn] = ACTIONS(5463),
    [anon_sym_mutable] = ACTIONS(5463),
    [anon_sym_constinit] = ACTIONS(5463),
    [anon_sym_consteval] = ACTIONS(5463),
    [anon_sym_PROGMEM] = ACTIONS(5463),
    [aux_sym_primitive_type_token1] = ACTIONS(5463),
    [anon_sym_byte] = ACTIONS(5463),
    [anon_sym_word] = ACTIONS(5463),
    [anon_sym_enum] = ACTIONS(5463),
    [anon_sym_class] = ACTIONS(5463),
    [anon_sym_struct] = ACTIONS(5463),
    [anon_sym_union] = ACTIONS(5463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5463),
    [anon_sym_decltype] = ACTIONS(5463),
    [anon_sym_virtual] = ACTIONS(5463),
    [anon_sym_alignas] = ACTIONS(5463),
    [anon_sym_explicit] = ACTIONS(5463),
    [anon_sym_typename] = ACTIONS(5463),
    [anon_sym_template] = ACTIONS(5463),
    [anon_sym_operator] = ACTIONS(5463),
    [anon_sym_friend] = ACTIONS(5463),
    [anon_sym_public] = ACTIONS(5463),
    [anon_sym_private] = ACTIONS(5463),
    [anon_sym_protected] = ACTIONS(5463),
    [anon_sym_using] = ACTIONS(5463),
    [anon_sym_static_assert] = ACTIONS(5463),
  },
  [2540] = {
    [sym_identifier] = ACTIONS(5463),
    [aux_sym_preproc_def_token1] = ACTIONS(5463),
    [aux_sym_preproc_if_token1] = ACTIONS(5463),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5463),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5463),
    [sym_preproc_directive] = ACTIONS(5463),
    [anon_sym_LPAREN2] = ACTIONS(5465),
    [anon_sym_TILDE] = ACTIONS(5465),
    [anon_sym_STAR] = ACTIONS(5465),
    [anon_sym_AMP_AMP] = ACTIONS(5465),
    [anon_sym_AMP] = ACTIONS(5463),
    [anon_sym___extension__] = ACTIONS(5463),
    [anon_sym_typedef] = ACTIONS(5463),
    [anon_sym_extern] = ACTIONS(5463),
    [anon_sym___attribute__] = ACTIONS(5463),
    [anon_sym_COLON_COLON] = ACTIONS(5465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5465),
    [anon_sym___declspec] = ACTIONS(5463),
    [anon_sym___based] = ACTIONS(5463),
    [anon_sym_RBRACE] = ACTIONS(5465),
    [anon_sym_signed] = ACTIONS(5463),
    [anon_sym_unsigned] = ACTIONS(5463),
    [anon_sym_long] = ACTIONS(5463),
    [anon_sym_short] = ACTIONS(5463),
    [anon_sym_LBRACK] = ACTIONS(5463),
    [anon_sym_static] = ACTIONS(5463),
    [anon_sym_register] = ACTIONS(5463),
    [anon_sym_inline] = ACTIONS(5463),
    [anon_sym___inline] = ACTIONS(5463),
    [anon_sym___inline__] = ACTIONS(5463),
    [anon_sym___forceinline] = ACTIONS(5463),
    [anon_sym_thread_local] = ACTIONS(5463),
    [anon_sym___thread] = ACTIONS(5463),
    [anon_sym_const] = ACTIONS(5463),
    [anon_sym_constexpr] = ACTIONS(5463),
    [anon_sym_volatile] = ACTIONS(5463),
    [anon_sym_restrict] = ACTIONS(5463),
    [anon_sym___restrict__] = ACTIONS(5463),
    [anon_sym__Atomic] = ACTIONS(5463),
    [anon_sym__Noreturn] = ACTIONS(5463),
    [anon_sym_noreturn] = ACTIONS(5463),
    [anon_sym_mutable] = ACTIONS(5463),
    [anon_sym_constinit] = ACTIONS(5463),
    [anon_sym_consteval] = ACTIONS(5463),
    [anon_sym_PROGMEM] = ACTIONS(5463),
    [aux_sym_primitive_type_token1] = ACTIONS(5463),
    [anon_sym_byte] = ACTIONS(5463),
    [anon_sym_word] = ACTIONS(5463),
    [anon_sym_enum] = ACTIONS(5463),
    [anon_sym_class] = ACTIONS(5463),
    [anon_sym_struct] = ACTIONS(5463),
    [anon_sym_union] = ACTIONS(5463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5463),
    [anon_sym_decltype] = ACTIONS(5463),
    [anon_sym_virtual] = ACTIONS(5463),
    [anon_sym_alignas] = ACTIONS(5463),
    [anon_sym_explicit] = ACTIONS(5463),
    [anon_sym_typename] = ACTIONS(5463),
    [anon_sym_template] = ACTIONS(5463),
    [anon_sym_operator] = ACTIONS(5463),
    [anon_sym_friend] = ACTIONS(5463),
    [anon_sym_public] = ACTIONS(5463),
    [anon_sym_private] = ACTIONS(5463),
    [anon_sym_protected] = ACTIONS(5463),
    [anon_sym_using] = ACTIONS(5463),
    [anon_sym_static_assert] = ACTIONS(5463),
  },
  [2541] = {
    [sym_identifier] = ACTIONS(5573),
    [aux_sym_preproc_def_token1] = ACTIONS(5573),
    [aux_sym_preproc_if_token1] = ACTIONS(5573),
    [aux_sym_preproc_if_token2] = ACTIONS(5573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5573),
    [sym_preproc_directive] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(5575),
    [anon_sym_TILDE] = ACTIONS(5575),
    [anon_sym_STAR] = ACTIONS(5575),
    [anon_sym_AMP_AMP] = ACTIONS(5575),
    [anon_sym_AMP] = ACTIONS(5573),
    [anon_sym___extension__] = ACTIONS(5573),
    [anon_sym_typedef] = ACTIONS(5573),
    [anon_sym_extern] = ACTIONS(5573),
    [anon_sym___attribute__] = ACTIONS(5573),
    [anon_sym_COLON_COLON] = ACTIONS(5575),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5575),
    [anon_sym___declspec] = ACTIONS(5573),
    [anon_sym___based] = ACTIONS(5573),
    [anon_sym_signed] = ACTIONS(5573),
    [anon_sym_unsigned] = ACTIONS(5573),
    [anon_sym_long] = ACTIONS(5573),
    [anon_sym_short] = ACTIONS(5573),
    [anon_sym_LBRACK] = ACTIONS(5573),
    [anon_sym_static] = ACTIONS(5573),
    [anon_sym_register] = ACTIONS(5573),
    [anon_sym_inline] = ACTIONS(5573),
    [anon_sym___inline] = ACTIONS(5573),
    [anon_sym___inline__] = ACTIONS(5573),
    [anon_sym___forceinline] = ACTIONS(5573),
    [anon_sym_thread_local] = ACTIONS(5573),
    [anon_sym___thread] = ACTIONS(5573),
    [anon_sym_const] = ACTIONS(5573),
    [anon_sym_constexpr] = ACTIONS(5573),
    [anon_sym_volatile] = ACTIONS(5573),
    [anon_sym_restrict] = ACTIONS(5573),
    [anon_sym___restrict__] = ACTIONS(5573),
    [anon_sym__Atomic] = ACTIONS(5573),
    [anon_sym__Noreturn] = ACTIONS(5573),
    [anon_sym_noreturn] = ACTIONS(5573),
    [anon_sym_mutable] = ACTIONS(5573),
    [anon_sym_constinit] = ACTIONS(5573),
    [anon_sym_consteval] = ACTIONS(5573),
    [anon_sym_PROGMEM] = ACTIONS(5573),
    [aux_sym_primitive_type_token1] = ACTIONS(5573),
    [anon_sym_byte] = ACTIONS(5573),
    [anon_sym_word] = ACTIONS(5573),
    [anon_sym_enum] = ACTIONS(5573),
    [anon_sym_class] = ACTIONS(5573),
    [anon_sym_struct] = ACTIONS(5573),
    [anon_sym_union] = ACTIONS(5573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5573),
    [anon_sym_decltype] = ACTIONS(5573),
    [anon_sym_virtual] = ACTIONS(5573),
    [anon_sym_alignas] = ACTIONS(5573),
    [anon_sym_explicit] = ACTIONS(5573),
    [anon_sym_typename] = ACTIONS(5573),
    [anon_sym_template] = ACTIONS(5573),
    [anon_sym_operator] = ACTIONS(5573),
    [anon_sym_friend] = ACTIONS(5573),
    [anon_sym_public] = ACTIONS(5573),
    [anon_sym_private] = ACTIONS(5573),
    [anon_sym_protected] = ACTIONS(5573),
    [anon_sym_using] = ACTIONS(5573),
    [anon_sym_static_assert] = ACTIONS(5573),
  },
  [2542] = {
    [sym_identifier] = ACTIONS(5569),
    [aux_sym_preproc_def_token1] = ACTIONS(5569),
    [aux_sym_preproc_if_token1] = ACTIONS(5569),
    [aux_sym_preproc_if_token2] = ACTIONS(5569),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5569),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5569),
    [sym_preproc_directive] = ACTIONS(5569),
    [anon_sym_LPAREN2] = ACTIONS(5571),
    [anon_sym_TILDE] = ACTIONS(5571),
    [anon_sym_STAR] = ACTIONS(5571),
    [anon_sym_AMP_AMP] = ACTIONS(5571),
    [anon_sym_AMP] = ACTIONS(5569),
    [anon_sym___extension__] = ACTIONS(5569),
    [anon_sym_typedef] = ACTIONS(5569),
    [anon_sym_extern] = ACTIONS(5569),
    [anon_sym___attribute__] = ACTIONS(5569),
    [anon_sym_COLON_COLON] = ACTIONS(5571),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5571),
    [anon_sym___declspec] = ACTIONS(5569),
    [anon_sym___based] = ACTIONS(5569),
    [anon_sym_signed] = ACTIONS(5569),
    [anon_sym_unsigned] = ACTIONS(5569),
    [anon_sym_long] = ACTIONS(5569),
    [anon_sym_short] = ACTIONS(5569),
    [anon_sym_LBRACK] = ACTIONS(5569),
    [anon_sym_static] = ACTIONS(5569),
    [anon_sym_register] = ACTIONS(5569),
    [anon_sym_inline] = ACTIONS(5569),
    [anon_sym___inline] = ACTIONS(5569),
    [anon_sym___inline__] = ACTIONS(5569),
    [anon_sym___forceinline] = ACTIONS(5569),
    [anon_sym_thread_local] = ACTIONS(5569),
    [anon_sym___thread] = ACTIONS(5569),
    [anon_sym_const] = ACTIONS(5569),
    [anon_sym_constexpr] = ACTIONS(5569),
    [anon_sym_volatile] = ACTIONS(5569),
    [anon_sym_restrict] = ACTIONS(5569),
    [anon_sym___restrict__] = ACTIONS(5569),
    [anon_sym__Atomic] = ACTIONS(5569),
    [anon_sym__Noreturn] = ACTIONS(5569),
    [anon_sym_noreturn] = ACTIONS(5569),
    [anon_sym_mutable] = ACTIONS(5569),
    [anon_sym_constinit] = ACTIONS(5569),
    [anon_sym_consteval] = ACTIONS(5569),
    [anon_sym_PROGMEM] = ACTIONS(5569),
    [aux_sym_primitive_type_token1] = ACTIONS(5569),
    [anon_sym_byte] = ACTIONS(5569),
    [anon_sym_word] = ACTIONS(5569),
    [anon_sym_enum] = ACTIONS(5569),
    [anon_sym_class] = ACTIONS(5569),
    [anon_sym_struct] = ACTIONS(5569),
    [anon_sym_union] = ACTIONS(5569),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5569),
    [anon_sym_decltype] = ACTIONS(5569),
    [anon_sym_virtual] = ACTIONS(5569),
    [anon_sym_alignas] = ACTIONS(5569),
    [anon_sym_explicit] = ACTIONS(5569),
    [anon_sym_typename] = ACTIONS(5569),
    [anon_sym_template] = ACTIONS(5569),
    [anon_sym_operator] = ACTIONS(5569),
    [anon_sym_friend] = ACTIONS(5569),
    [anon_sym_public] = ACTIONS(5569),
    [anon_sym_private] = ACTIONS(5569),
    [anon_sym_protected] = ACTIONS(5569),
    [anon_sym_using] = ACTIONS(5569),
    [anon_sym_static_assert] = ACTIONS(5569),
  },
  [2543] = {
    [sym_identifier] = ACTIONS(5565),
    [aux_sym_preproc_def_token1] = ACTIONS(5565),
    [aux_sym_preproc_if_token1] = ACTIONS(5565),
    [aux_sym_preproc_if_token2] = ACTIONS(5565),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5565),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5565),
    [sym_preproc_directive] = ACTIONS(5565),
    [anon_sym_LPAREN2] = ACTIONS(5567),
    [anon_sym_TILDE] = ACTIONS(5567),
    [anon_sym_STAR] = ACTIONS(5567),
    [anon_sym_AMP_AMP] = ACTIONS(5567),
    [anon_sym_AMP] = ACTIONS(5565),
    [anon_sym___extension__] = ACTIONS(5565),
    [anon_sym_typedef] = ACTIONS(5565),
    [anon_sym_extern] = ACTIONS(5565),
    [anon_sym___attribute__] = ACTIONS(5565),
    [anon_sym_COLON_COLON] = ACTIONS(5567),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5567),
    [anon_sym___declspec] = ACTIONS(5565),
    [anon_sym___based] = ACTIONS(5565),
    [anon_sym_signed] = ACTIONS(5565),
    [anon_sym_unsigned] = ACTIONS(5565),
    [anon_sym_long] = ACTIONS(5565),
    [anon_sym_short] = ACTIONS(5565),
    [anon_sym_LBRACK] = ACTIONS(5565),
    [anon_sym_static] = ACTIONS(5565),
    [anon_sym_register] = ACTIONS(5565),
    [anon_sym_inline] = ACTIONS(5565),
    [anon_sym___inline] = ACTIONS(5565),
    [anon_sym___inline__] = ACTIONS(5565),
    [anon_sym___forceinline] = ACTIONS(5565),
    [anon_sym_thread_local] = ACTIONS(5565),
    [anon_sym___thread] = ACTIONS(5565),
    [anon_sym_const] = ACTIONS(5565),
    [anon_sym_constexpr] = ACTIONS(5565),
    [anon_sym_volatile] = ACTIONS(5565),
    [anon_sym_restrict] = ACTIONS(5565),
    [anon_sym___restrict__] = ACTIONS(5565),
    [anon_sym__Atomic] = ACTIONS(5565),
    [anon_sym__Noreturn] = ACTIONS(5565),
    [anon_sym_noreturn] = ACTIONS(5565),
    [anon_sym_mutable] = ACTIONS(5565),
    [anon_sym_constinit] = ACTIONS(5565),
    [anon_sym_consteval] = ACTIONS(5565),
    [anon_sym_PROGMEM] = ACTIONS(5565),
    [aux_sym_primitive_type_token1] = ACTIONS(5565),
    [anon_sym_byte] = ACTIONS(5565),
    [anon_sym_word] = ACTIONS(5565),
    [anon_sym_enum] = ACTIONS(5565),
    [anon_sym_class] = ACTIONS(5565),
    [anon_sym_struct] = ACTIONS(5565),
    [anon_sym_union] = ACTIONS(5565),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5565),
    [anon_sym_decltype] = ACTIONS(5565),
    [anon_sym_virtual] = ACTIONS(5565),
    [anon_sym_alignas] = ACTIONS(5565),
    [anon_sym_explicit] = ACTIONS(5565),
    [anon_sym_typename] = ACTIONS(5565),
    [anon_sym_template] = ACTIONS(5565),
    [anon_sym_operator] = ACTIONS(5565),
    [anon_sym_friend] = ACTIONS(5565),
    [anon_sym_public] = ACTIONS(5565),
    [anon_sym_private] = ACTIONS(5565),
    [anon_sym_protected] = ACTIONS(5565),
    [anon_sym_using] = ACTIONS(5565),
    [anon_sym_static_assert] = ACTIONS(5565),
  },
  [2544] = {
    [sym_identifier] = ACTIONS(3511),
    [aux_sym_preproc_def_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token1] = ACTIONS(3511),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3511),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3511),
    [sym_preproc_directive] = ACTIONS(3511),
    [anon_sym_LPAREN2] = ACTIONS(3513),
    [anon_sym_TILDE] = ACTIONS(3513),
    [anon_sym_STAR] = ACTIONS(3513),
    [anon_sym_AMP_AMP] = ACTIONS(3513),
    [anon_sym_AMP] = ACTIONS(3511),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_typedef] = ACTIONS(3511),
    [anon_sym_extern] = ACTIONS(3511),
    [anon_sym___attribute__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3513),
    [anon_sym___declspec] = ACTIONS(3511),
    [anon_sym___based] = ACTIONS(3511),
    [anon_sym_RBRACE] = ACTIONS(3513),
    [anon_sym_signed] = ACTIONS(3511),
    [anon_sym_unsigned] = ACTIONS(3511),
    [anon_sym_long] = ACTIONS(3511),
    [anon_sym_short] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(3511),
    [anon_sym_static] = ACTIONS(3511),
    [anon_sym_register] = ACTIONS(3511),
    [anon_sym_inline] = ACTIONS(3511),
    [anon_sym___inline] = ACTIONS(3511),
    [anon_sym___inline__] = ACTIONS(3511),
    [anon_sym___forceinline] = ACTIONS(3511),
    [anon_sym_thread_local] = ACTIONS(3511),
    [anon_sym___thread] = ACTIONS(3511),
    [anon_sym_const] = ACTIONS(3511),
    [anon_sym_constexpr] = ACTIONS(3511),
    [anon_sym_volatile] = ACTIONS(3511),
    [anon_sym_restrict] = ACTIONS(3511),
    [anon_sym___restrict__] = ACTIONS(3511),
    [anon_sym__Atomic] = ACTIONS(3511),
    [anon_sym__Noreturn] = ACTIONS(3511),
    [anon_sym_noreturn] = ACTIONS(3511),
    [anon_sym_mutable] = ACTIONS(3511),
    [anon_sym_constinit] = ACTIONS(3511),
    [anon_sym_consteval] = ACTIONS(3511),
    [anon_sym_PROGMEM] = ACTIONS(3511),
    [aux_sym_primitive_type_token1] = ACTIONS(3511),
    [anon_sym_byte] = ACTIONS(3511),
    [anon_sym_word] = ACTIONS(3511),
    [anon_sym_enum] = ACTIONS(3511),
    [anon_sym_class] = ACTIONS(3511),
    [anon_sym_struct] = ACTIONS(3511),
    [anon_sym_union] = ACTIONS(3511),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3511),
    [anon_sym_decltype] = ACTIONS(3511),
    [anon_sym_virtual] = ACTIONS(3511),
    [anon_sym_alignas] = ACTIONS(3511),
    [anon_sym_explicit] = ACTIONS(3511),
    [anon_sym_typename] = ACTIONS(3511),
    [anon_sym_template] = ACTIONS(3511),
    [anon_sym_operator] = ACTIONS(3511),
    [anon_sym_friend] = ACTIONS(3511),
    [anon_sym_public] = ACTIONS(3511),
    [anon_sym_private] = ACTIONS(3511),
    [anon_sym_protected] = ACTIONS(3511),
    [anon_sym_using] = ACTIONS(3511),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [2545] = {
    [sym_identifier] = ACTIONS(3475),
    [aux_sym_preproc_def_token1] = ACTIONS(3475),
    [aux_sym_preproc_if_token1] = ACTIONS(3475),
    [aux_sym_preproc_if_token2] = ACTIONS(3475),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3475),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3475),
    [sym_preproc_directive] = ACTIONS(3475),
    [anon_sym_LPAREN2] = ACTIONS(3477),
    [anon_sym_TILDE] = ACTIONS(3477),
    [anon_sym_STAR] = ACTIONS(3477),
    [anon_sym_AMP_AMP] = ACTIONS(3477),
    [anon_sym_AMP] = ACTIONS(3475),
    [anon_sym___extension__] = ACTIONS(3475),
    [anon_sym_typedef] = ACTIONS(3475),
    [anon_sym_extern] = ACTIONS(3475),
    [anon_sym___attribute__] = ACTIONS(3475),
    [anon_sym_COLON_COLON] = ACTIONS(3477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3477),
    [anon_sym___declspec] = ACTIONS(3475),
    [anon_sym___based] = ACTIONS(3475),
    [anon_sym_signed] = ACTIONS(3475),
    [anon_sym_unsigned] = ACTIONS(3475),
    [anon_sym_long] = ACTIONS(3475),
    [anon_sym_short] = ACTIONS(3475),
    [anon_sym_LBRACK] = ACTIONS(3475),
    [anon_sym_static] = ACTIONS(3475),
    [anon_sym_register] = ACTIONS(3475),
    [anon_sym_inline] = ACTIONS(3475),
    [anon_sym___inline] = ACTIONS(3475),
    [anon_sym___inline__] = ACTIONS(3475),
    [anon_sym___forceinline] = ACTIONS(3475),
    [anon_sym_thread_local] = ACTIONS(3475),
    [anon_sym___thread] = ACTIONS(3475),
    [anon_sym_const] = ACTIONS(3475),
    [anon_sym_constexpr] = ACTIONS(3475),
    [anon_sym_volatile] = ACTIONS(3475),
    [anon_sym_restrict] = ACTIONS(3475),
    [anon_sym___restrict__] = ACTIONS(3475),
    [anon_sym__Atomic] = ACTIONS(3475),
    [anon_sym__Noreturn] = ACTIONS(3475),
    [anon_sym_noreturn] = ACTIONS(3475),
    [anon_sym_mutable] = ACTIONS(3475),
    [anon_sym_constinit] = ACTIONS(3475),
    [anon_sym_consteval] = ACTIONS(3475),
    [anon_sym_PROGMEM] = ACTIONS(3475),
    [aux_sym_primitive_type_token1] = ACTIONS(3475),
    [anon_sym_byte] = ACTIONS(3475),
    [anon_sym_word] = ACTIONS(3475),
    [anon_sym_enum] = ACTIONS(3475),
    [anon_sym_class] = ACTIONS(3475),
    [anon_sym_struct] = ACTIONS(3475),
    [anon_sym_union] = ACTIONS(3475),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3475),
    [anon_sym_decltype] = ACTIONS(3475),
    [anon_sym_virtual] = ACTIONS(3475),
    [anon_sym_alignas] = ACTIONS(3475),
    [anon_sym_explicit] = ACTIONS(3475),
    [anon_sym_typename] = ACTIONS(3475),
    [anon_sym_template] = ACTIONS(3475),
    [anon_sym_operator] = ACTIONS(3475),
    [anon_sym_friend] = ACTIONS(3475),
    [anon_sym_public] = ACTIONS(3475),
    [anon_sym_private] = ACTIONS(3475),
    [anon_sym_protected] = ACTIONS(3475),
    [anon_sym_using] = ACTIONS(3475),
    [anon_sym_static_assert] = ACTIONS(3475),
  },
  [2546] = {
    [sym_identifier] = ACTIONS(5489),
    [aux_sym_preproc_def_token1] = ACTIONS(5489),
    [aux_sym_preproc_if_token1] = ACTIONS(5489),
    [aux_sym_preproc_if_token2] = ACTIONS(5489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5489),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5489),
    [sym_preproc_directive] = ACTIONS(5489),
    [anon_sym_LPAREN2] = ACTIONS(5491),
    [anon_sym_TILDE] = ACTIONS(5491),
    [anon_sym_STAR] = ACTIONS(5491),
    [anon_sym_AMP_AMP] = ACTIONS(5491),
    [anon_sym_AMP] = ACTIONS(5489),
    [anon_sym___extension__] = ACTIONS(5489),
    [anon_sym_typedef] = ACTIONS(5489),
    [anon_sym_extern] = ACTIONS(5489),
    [anon_sym___attribute__] = ACTIONS(5489),
    [anon_sym_COLON_COLON] = ACTIONS(5491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5491),
    [anon_sym___declspec] = ACTIONS(5489),
    [anon_sym___based] = ACTIONS(5489),
    [anon_sym_signed] = ACTIONS(5489),
    [anon_sym_unsigned] = ACTIONS(5489),
    [anon_sym_long] = ACTIONS(5489),
    [anon_sym_short] = ACTIONS(5489),
    [anon_sym_LBRACK] = ACTIONS(5489),
    [anon_sym_static] = ACTIONS(5489),
    [anon_sym_register] = ACTIONS(5489),
    [anon_sym_inline] = ACTIONS(5489),
    [anon_sym___inline] = ACTIONS(5489),
    [anon_sym___inline__] = ACTIONS(5489),
    [anon_sym___forceinline] = ACTIONS(5489),
    [anon_sym_thread_local] = ACTIONS(5489),
    [anon_sym___thread] = ACTIONS(5489),
    [anon_sym_const] = ACTIONS(5489),
    [anon_sym_constexpr] = ACTIONS(5489),
    [anon_sym_volatile] = ACTIONS(5489),
    [anon_sym_restrict] = ACTIONS(5489),
    [anon_sym___restrict__] = ACTIONS(5489),
    [anon_sym__Atomic] = ACTIONS(5489),
    [anon_sym__Noreturn] = ACTIONS(5489),
    [anon_sym_noreturn] = ACTIONS(5489),
    [anon_sym_mutable] = ACTIONS(5489),
    [anon_sym_constinit] = ACTIONS(5489),
    [anon_sym_consteval] = ACTIONS(5489),
    [anon_sym_PROGMEM] = ACTIONS(5489),
    [aux_sym_primitive_type_token1] = ACTIONS(5489),
    [anon_sym_byte] = ACTIONS(5489),
    [anon_sym_word] = ACTIONS(5489),
    [anon_sym_enum] = ACTIONS(5489),
    [anon_sym_class] = ACTIONS(5489),
    [anon_sym_struct] = ACTIONS(5489),
    [anon_sym_union] = ACTIONS(5489),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5489),
    [anon_sym_decltype] = ACTIONS(5489),
    [anon_sym_virtual] = ACTIONS(5489),
    [anon_sym_alignas] = ACTIONS(5489),
    [anon_sym_explicit] = ACTIONS(5489),
    [anon_sym_typename] = ACTIONS(5489),
    [anon_sym_template] = ACTIONS(5489),
    [anon_sym_operator] = ACTIONS(5489),
    [anon_sym_friend] = ACTIONS(5489),
    [anon_sym_public] = ACTIONS(5489),
    [anon_sym_private] = ACTIONS(5489),
    [anon_sym_protected] = ACTIONS(5489),
    [anon_sym_using] = ACTIONS(5489),
    [anon_sym_static_assert] = ACTIONS(5489),
  },
  [2547] = {
    [sym_identifier] = ACTIONS(5545),
    [aux_sym_preproc_def_token1] = ACTIONS(5545),
    [aux_sym_preproc_if_token1] = ACTIONS(5545),
    [aux_sym_preproc_if_token2] = ACTIONS(5545),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5545),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5545),
    [sym_preproc_directive] = ACTIONS(5545),
    [anon_sym_LPAREN2] = ACTIONS(5547),
    [anon_sym_TILDE] = ACTIONS(5547),
    [anon_sym_STAR] = ACTIONS(5547),
    [anon_sym_AMP_AMP] = ACTIONS(5547),
    [anon_sym_AMP] = ACTIONS(5545),
    [anon_sym___extension__] = ACTIONS(5545),
    [anon_sym_typedef] = ACTIONS(5545),
    [anon_sym_extern] = ACTIONS(5545),
    [anon_sym___attribute__] = ACTIONS(5545),
    [anon_sym_COLON_COLON] = ACTIONS(5547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5547),
    [anon_sym___declspec] = ACTIONS(5545),
    [anon_sym___based] = ACTIONS(5545),
    [anon_sym_signed] = ACTIONS(5545),
    [anon_sym_unsigned] = ACTIONS(5545),
    [anon_sym_long] = ACTIONS(5545),
    [anon_sym_short] = ACTIONS(5545),
    [anon_sym_LBRACK] = ACTIONS(5545),
    [anon_sym_static] = ACTIONS(5545),
    [anon_sym_register] = ACTIONS(5545),
    [anon_sym_inline] = ACTIONS(5545),
    [anon_sym___inline] = ACTIONS(5545),
    [anon_sym___inline__] = ACTIONS(5545),
    [anon_sym___forceinline] = ACTIONS(5545),
    [anon_sym_thread_local] = ACTIONS(5545),
    [anon_sym___thread] = ACTIONS(5545),
    [anon_sym_const] = ACTIONS(5545),
    [anon_sym_constexpr] = ACTIONS(5545),
    [anon_sym_volatile] = ACTIONS(5545),
    [anon_sym_restrict] = ACTIONS(5545),
    [anon_sym___restrict__] = ACTIONS(5545),
    [anon_sym__Atomic] = ACTIONS(5545),
    [anon_sym__Noreturn] = ACTIONS(5545),
    [anon_sym_noreturn] = ACTIONS(5545),
    [anon_sym_mutable] = ACTIONS(5545),
    [anon_sym_constinit] = ACTIONS(5545),
    [anon_sym_consteval] = ACTIONS(5545),
    [anon_sym_PROGMEM] = ACTIONS(5545),
    [aux_sym_primitive_type_token1] = ACTIONS(5545),
    [anon_sym_byte] = ACTIONS(5545),
    [anon_sym_word] = ACTIONS(5545),
    [anon_sym_enum] = ACTIONS(5545),
    [anon_sym_class] = ACTIONS(5545),
    [anon_sym_struct] = ACTIONS(5545),
    [anon_sym_union] = ACTIONS(5545),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5545),
    [anon_sym_decltype] = ACTIONS(5545),
    [anon_sym_virtual] = ACTIONS(5545),
    [anon_sym_alignas] = ACTIONS(5545),
    [anon_sym_explicit] = ACTIONS(5545),
    [anon_sym_typename] = ACTIONS(5545),
    [anon_sym_template] = ACTIONS(5545),
    [anon_sym_operator] = ACTIONS(5545),
    [anon_sym_friend] = ACTIONS(5545),
    [anon_sym_public] = ACTIONS(5545),
    [anon_sym_private] = ACTIONS(5545),
    [anon_sym_protected] = ACTIONS(5545),
    [anon_sym_using] = ACTIONS(5545),
    [anon_sym_static_assert] = ACTIONS(5545),
  },
  [2548] = {
    [sym_identifier] = ACTIONS(5541),
    [aux_sym_preproc_def_token1] = ACTIONS(5541),
    [aux_sym_preproc_if_token1] = ACTIONS(5541),
    [aux_sym_preproc_if_token2] = ACTIONS(5541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5541),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5541),
    [sym_preproc_directive] = ACTIONS(5541),
    [anon_sym_LPAREN2] = ACTIONS(5543),
    [anon_sym_TILDE] = ACTIONS(5543),
    [anon_sym_STAR] = ACTIONS(5543),
    [anon_sym_AMP_AMP] = ACTIONS(5543),
    [anon_sym_AMP] = ACTIONS(5541),
    [anon_sym___extension__] = ACTIONS(5541),
    [anon_sym_typedef] = ACTIONS(5541),
    [anon_sym_extern] = ACTIONS(5541),
    [anon_sym___attribute__] = ACTIONS(5541),
    [anon_sym_COLON_COLON] = ACTIONS(5543),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5543),
    [anon_sym___declspec] = ACTIONS(5541),
    [anon_sym___based] = ACTIONS(5541),
    [anon_sym_signed] = ACTIONS(5541),
    [anon_sym_unsigned] = ACTIONS(5541),
    [anon_sym_long] = ACTIONS(5541),
    [anon_sym_short] = ACTIONS(5541),
    [anon_sym_LBRACK] = ACTIONS(5541),
    [anon_sym_static] = ACTIONS(5541),
    [anon_sym_register] = ACTIONS(5541),
    [anon_sym_inline] = ACTIONS(5541),
    [anon_sym___inline] = ACTIONS(5541),
    [anon_sym___inline__] = ACTIONS(5541),
    [anon_sym___forceinline] = ACTIONS(5541),
    [anon_sym_thread_local] = ACTIONS(5541),
    [anon_sym___thread] = ACTIONS(5541),
    [anon_sym_const] = ACTIONS(5541),
    [anon_sym_constexpr] = ACTIONS(5541),
    [anon_sym_volatile] = ACTIONS(5541),
    [anon_sym_restrict] = ACTIONS(5541),
    [anon_sym___restrict__] = ACTIONS(5541),
    [anon_sym__Atomic] = ACTIONS(5541),
    [anon_sym__Noreturn] = ACTIONS(5541),
    [anon_sym_noreturn] = ACTIONS(5541),
    [anon_sym_mutable] = ACTIONS(5541),
    [anon_sym_constinit] = ACTIONS(5541),
    [anon_sym_consteval] = ACTIONS(5541),
    [anon_sym_PROGMEM] = ACTIONS(5541),
    [aux_sym_primitive_type_token1] = ACTIONS(5541),
    [anon_sym_byte] = ACTIONS(5541),
    [anon_sym_word] = ACTIONS(5541),
    [anon_sym_enum] = ACTIONS(5541),
    [anon_sym_class] = ACTIONS(5541),
    [anon_sym_struct] = ACTIONS(5541),
    [anon_sym_union] = ACTIONS(5541),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5541),
    [anon_sym_decltype] = ACTIONS(5541),
    [anon_sym_virtual] = ACTIONS(5541),
    [anon_sym_alignas] = ACTIONS(5541),
    [anon_sym_explicit] = ACTIONS(5541),
    [anon_sym_typename] = ACTIONS(5541),
    [anon_sym_template] = ACTIONS(5541),
    [anon_sym_operator] = ACTIONS(5541),
    [anon_sym_friend] = ACTIONS(5541),
    [anon_sym_public] = ACTIONS(5541),
    [anon_sym_private] = ACTIONS(5541),
    [anon_sym_protected] = ACTIONS(5541),
    [anon_sym_using] = ACTIONS(5541),
    [anon_sym_static_assert] = ACTIONS(5541),
  },
  [2549] = {
    [sym_identifier] = ACTIONS(3308),
    [aux_sym_preproc_def_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token1] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3308),
    [sym_preproc_directive] = ACTIONS(3308),
    [anon_sym_LPAREN2] = ACTIONS(3310),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_STAR] = ACTIONS(3310),
    [anon_sym_AMP_AMP] = ACTIONS(3310),
    [anon_sym_AMP] = ACTIONS(3308),
    [anon_sym___extension__] = ACTIONS(3308),
    [anon_sym_typedef] = ACTIONS(3308),
    [anon_sym_extern] = ACTIONS(3308),
    [anon_sym___attribute__] = ACTIONS(3308),
    [anon_sym_COLON_COLON] = ACTIONS(3310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3310),
    [anon_sym___declspec] = ACTIONS(3308),
    [anon_sym___based] = ACTIONS(3308),
    [anon_sym_RBRACE] = ACTIONS(3310),
    [anon_sym_signed] = ACTIONS(3308),
    [anon_sym_unsigned] = ACTIONS(3308),
    [anon_sym_long] = ACTIONS(3308),
    [anon_sym_short] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_register] = ACTIONS(3308),
    [anon_sym_inline] = ACTIONS(3308),
    [anon_sym___inline] = ACTIONS(3308),
    [anon_sym___inline__] = ACTIONS(3308),
    [anon_sym___forceinline] = ACTIONS(3308),
    [anon_sym_thread_local] = ACTIONS(3308),
    [anon_sym___thread] = ACTIONS(3308),
    [anon_sym_const] = ACTIONS(3308),
    [anon_sym_constexpr] = ACTIONS(3308),
    [anon_sym_volatile] = ACTIONS(3308),
    [anon_sym_restrict] = ACTIONS(3308),
    [anon_sym___restrict__] = ACTIONS(3308),
    [anon_sym__Atomic] = ACTIONS(3308),
    [anon_sym__Noreturn] = ACTIONS(3308),
    [anon_sym_noreturn] = ACTIONS(3308),
    [anon_sym_mutable] = ACTIONS(3308),
    [anon_sym_constinit] = ACTIONS(3308),
    [anon_sym_consteval] = ACTIONS(3308),
    [anon_sym_PROGMEM] = ACTIONS(3308),
    [aux_sym_primitive_type_token1] = ACTIONS(3308),
    [anon_sym_byte] = ACTIONS(3308),
    [anon_sym_word] = ACTIONS(3308),
    [anon_sym_enum] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_struct] = ACTIONS(3308),
    [anon_sym_union] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3308),
    [anon_sym_decltype] = ACTIONS(3308),
    [anon_sym_virtual] = ACTIONS(3308),
    [anon_sym_alignas] = ACTIONS(3308),
    [anon_sym_explicit] = ACTIONS(3308),
    [anon_sym_typename] = ACTIONS(3308),
    [anon_sym_template] = ACTIONS(3308),
    [anon_sym_operator] = ACTIONS(3308),
    [anon_sym_friend] = ACTIONS(3308),
    [anon_sym_public] = ACTIONS(3308),
    [anon_sym_private] = ACTIONS(3308),
    [anon_sym_protected] = ACTIONS(3308),
    [anon_sym_using] = ACTIONS(3308),
    [anon_sym_static_assert] = ACTIONS(3308),
  },
  [2550] = {
    [sym_string_literal] = STATE(2567),
    [sym_raw_string_literal] = STATE(2567),
    [aux_sym_concatenated_string_repeat1] = STATE(2567),
    [sym_identifier] = ACTIONS(5952),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5368),
    [anon_sym_COMMA] = ACTIONS(5368),
    [anon_sym_LPAREN2] = ACTIONS(5368),
    [anon_sym_DASH] = ACTIONS(5370),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_STAR] = ACTIONS(5370),
    [anon_sym_SLASH] = ACTIONS(5370),
    [anon_sym_PERCENT] = ACTIONS(5370),
    [anon_sym_PIPE_PIPE] = ACTIONS(5368),
    [anon_sym_AMP_AMP] = ACTIONS(5368),
    [anon_sym_PIPE] = ACTIONS(5370),
    [anon_sym_CARET] = ACTIONS(5370),
    [anon_sym_AMP] = ACTIONS(5370),
    [anon_sym_EQ_EQ] = ACTIONS(5368),
    [anon_sym_BANG_EQ] = ACTIONS(5368),
    [anon_sym_GT] = ACTIONS(5370),
    [anon_sym_GT_EQ] = ACTIONS(5368),
    [anon_sym_LT_EQ] = ACTIONS(5370),
    [anon_sym_LT] = ACTIONS(5370),
    [anon_sym_LT_LT] = ACTIONS(5370),
    [anon_sym_GT_GT] = ACTIONS(5370),
    [anon_sym_SEMI] = ACTIONS(5368),
    [anon_sym___attribute__] = ACTIONS(5370),
    [anon_sym_LBRACK] = ACTIONS(5368),
    [anon_sym_EQ] = ACTIONS(5370),
    [anon_sym_QMARK] = ACTIONS(5368),
    [anon_sym_STAR_EQ] = ACTIONS(5368),
    [anon_sym_SLASH_EQ] = ACTIONS(5368),
    [anon_sym_PERCENT_EQ] = ACTIONS(5368),
    [anon_sym_PLUS_EQ] = ACTIONS(5368),
    [anon_sym_DASH_EQ] = ACTIONS(5368),
    [anon_sym_LT_LT_EQ] = ACTIONS(5368),
    [anon_sym_GT_GT_EQ] = ACTIONS(5368),
    [anon_sym_AMP_EQ] = ACTIONS(5368),
    [anon_sym_CARET_EQ] = ACTIONS(5368),
    [anon_sym_PIPE_EQ] = ACTIONS(5368),
    [anon_sym_and_eq] = ACTIONS(5370),
    [anon_sym_or_eq] = ACTIONS(5370),
    [anon_sym_xor_eq] = ACTIONS(5370),
    [anon_sym_LT_EQ_GT] = ACTIONS(5368),
    [anon_sym_or] = ACTIONS(5370),
    [anon_sym_and] = ACTIONS(5370),
    [anon_sym_bitor] = ACTIONS(5370),
    [anon_sym_xor] = ACTIONS(5370),
    [anon_sym_bitand] = ACTIONS(5370),
    [anon_sym_not_eq] = ACTIONS(5370),
    [anon_sym_DASH_DASH] = ACTIONS(5368),
    [anon_sym_PLUS_PLUS] = ACTIONS(5368),
    [anon_sym_DOT] = ACTIONS(5370),
    [anon_sym_DOT_STAR] = ACTIONS(5368),
    [anon_sym_DASH_GT] = ACTIONS(5368),
    [anon_sym_L_DQUOTE] = ACTIONS(5934),
    [anon_sym_u_DQUOTE] = ACTIONS(5934),
    [anon_sym_U_DQUOTE] = ACTIONS(5934),
    [anon_sym_u8_DQUOTE] = ACTIONS(5934),
    [anon_sym_DQUOTE] = ACTIONS(5934),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5936),
    [anon_sym_LR_DQUOTE] = ACTIONS(5936),
    [anon_sym_uR_DQUOTE] = ACTIONS(5936),
    [anon_sym_UR_DQUOTE] = ACTIONS(5936),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5936),
    [sym_literal_suffix] = ACTIONS(5370),
  },
  [2551] = {
    [sym_identifier] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token2] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3178),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym___extension__] = ACTIONS(3176),
    [anon_sym_typedef] = ACTIONS(3176),
    [anon_sym_extern] = ACTIONS(3176),
    [anon_sym___attribute__] = ACTIONS(3176),
    [anon_sym_COLON_COLON] = ACTIONS(3178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3178),
    [anon_sym___declspec] = ACTIONS(3176),
    [anon_sym___based] = ACTIONS(3176),
    [anon_sym_signed] = ACTIONS(3176),
    [anon_sym_unsigned] = ACTIONS(3176),
    [anon_sym_long] = ACTIONS(3176),
    [anon_sym_short] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_register] = ACTIONS(3176),
    [anon_sym_inline] = ACTIONS(3176),
    [anon_sym___inline] = ACTIONS(3176),
    [anon_sym___inline__] = ACTIONS(3176),
    [anon_sym___forceinline] = ACTIONS(3176),
    [anon_sym_thread_local] = ACTIONS(3176),
    [anon_sym___thread] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_constexpr] = ACTIONS(3176),
    [anon_sym_volatile] = ACTIONS(3176),
    [anon_sym_restrict] = ACTIONS(3176),
    [anon_sym___restrict__] = ACTIONS(3176),
    [anon_sym__Atomic] = ACTIONS(3176),
    [anon_sym__Noreturn] = ACTIONS(3176),
    [anon_sym_noreturn] = ACTIONS(3176),
    [anon_sym_mutable] = ACTIONS(3176),
    [anon_sym_constinit] = ACTIONS(3176),
    [anon_sym_consteval] = ACTIONS(3176),
    [anon_sym_PROGMEM] = ACTIONS(3176),
    [aux_sym_primitive_type_token1] = ACTIONS(3176),
    [anon_sym_byte] = ACTIONS(3176),
    [anon_sym_word] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_struct] = ACTIONS(3176),
    [anon_sym_union] = ACTIONS(3176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3176),
    [anon_sym_decltype] = ACTIONS(3176),
    [anon_sym_virtual] = ACTIONS(3176),
    [anon_sym_alignas] = ACTIONS(3176),
    [anon_sym_explicit] = ACTIONS(3176),
    [anon_sym_typename] = ACTIONS(3176),
    [anon_sym_template] = ACTIONS(3176),
    [anon_sym_operator] = ACTIONS(3176),
    [anon_sym_friend] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_static_assert] = ACTIONS(3176),
  },
  [2552] = {
    [sym_identifier] = ACTIONS(3308),
    [aux_sym_preproc_def_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token2] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3308),
    [sym_preproc_directive] = ACTIONS(3308),
    [anon_sym_LPAREN2] = ACTIONS(3310),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_STAR] = ACTIONS(3310),
    [anon_sym_AMP_AMP] = ACTIONS(3310),
    [anon_sym_AMP] = ACTIONS(3308),
    [anon_sym___extension__] = ACTIONS(3308),
    [anon_sym_typedef] = ACTIONS(3308),
    [anon_sym_extern] = ACTIONS(3308),
    [anon_sym___attribute__] = ACTIONS(3308),
    [anon_sym_COLON_COLON] = ACTIONS(3310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3310),
    [anon_sym___declspec] = ACTIONS(3308),
    [anon_sym___based] = ACTIONS(3308),
    [anon_sym_signed] = ACTIONS(3308),
    [anon_sym_unsigned] = ACTIONS(3308),
    [anon_sym_long] = ACTIONS(3308),
    [anon_sym_short] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_register] = ACTIONS(3308),
    [anon_sym_inline] = ACTIONS(3308),
    [anon_sym___inline] = ACTIONS(3308),
    [anon_sym___inline__] = ACTIONS(3308),
    [anon_sym___forceinline] = ACTIONS(3308),
    [anon_sym_thread_local] = ACTIONS(3308),
    [anon_sym___thread] = ACTIONS(3308),
    [anon_sym_const] = ACTIONS(3308),
    [anon_sym_constexpr] = ACTIONS(3308),
    [anon_sym_volatile] = ACTIONS(3308),
    [anon_sym_restrict] = ACTIONS(3308),
    [anon_sym___restrict__] = ACTIONS(3308),
    [anon_sym__Atomic] = ACTIONS(3308),
    [anon_sym__Noreturn] = ACTIONS(3308),
    [anon_sym_noreturn] = ACTIONS(3308),
    [anon_sym_mutable] = ACTIONS(3308),
    [anon_sym_constinit] = ACTIONS(3308),
    [anon_sym_consteval] = ACTIONS(3308),
    [anon_sym_PROGMEM] = ACTIONS(3308),
    [aux_sym_primitive_type_token1] = ACTIONS(3308),
    [anon_sym_byte] = ACTIONS(3308),
    [anon_sym_word] = ACTIONS(3308),
    [anon_sym_enum] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_struct] = ACTIONS(3308),
    [anon_sym_union] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3308),
    [anon_sym_decltype] = ACTIONS(3308),
    [anon_sym_virtual] = ACTIONS(3308),
    [anon_sym_alignas] = ACTIONS(3308),
    [anon_sym_explicit] = ACTIONS(3308),
    [anon_sym_typename] = ACTIONS(3308),
    [anon_sym_template] = ACTIONS(3308),
    [anon_sym_operator] = ACTIONS(3308),
    [anon_sym_friend] = ACTIONS(3308),
    [anon_sym_public] = ACTIONS(3308),
    [anon_sym_private] = ACTIONS(3308),
    [anon_sym_protected] = ACTIONS(3308),
    [anon_sym_using] = ACTIONS(3308),
    [anon_sym_static_assert] = ACTIONS(3308),
  },
  [2553] = {
    [sym_identifier] = ACTIONS(3377),
    [aux_sym_preproc_def_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token2] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3377),
    [sym_preproc_directive] = ACTIONS(3377),
    [anon_sym_LPAREN2] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3379),
    [anon_sym_AMP_AMP] = ACTIONS(3379),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym___extension__] = ACTIONS(3377),
    [anon_sym_typedef] = ACTIONS(3377),
    [anon_sym_extern] = ACTIONS(3377),
    [anon_sym___attribute__] = ACTIONS(3377),
    [anon_sym_COLON_COLON] = ACTIONS(3379),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3379),
    [anon_sym___declspec] = ACTIONS(3377),
    [anon_sym___based] = ACTIONS(3377),
    [anon_sym_signed] = ACTIONS(3377),
    [anon_sym_unsigned] = ACTIONS(3377),
    [anon_sym_long] = ACTIONS(3377),
    [anon_sym_short] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_register] = ACTIONS(3377),
    [anon_sym_inline] = ACTIONS(3377),
    [anon_sym___inline] = ACTIONS(3377),
    [anon_sym___inline__] = ACTIONS(3377),
    [anon_sym___forceinline] = ACTIONS(3377),
    [anon_sym_thread_local] = ACTIONS(3377),
    [anon_sym___thread] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_constexpr] = ACTIONS(3377),
    [anon_sym_volatile] = ACTIONS(3377),
    [anon_sym_restrict] = ACTIONS(3377),
    [anon_sym___restrict__] = ACTIONS(3377),
    [anon_sym__Atomic] = ACTIONS(3377),
    [anon_sym__Noreturn] = ACTIONS(3377),
    [anon_sym_noreturn] = ACTIONS(3377),
    [anon_sym_mutable] = ACTIONS(3377),
    [anon_sym_constinit] = ACTIONS(3377),
    [anon_sym_consteval] = ACTIONS(3377),
    [anon_sym_PROGMEM] = ACTIONS(3377),
    [aux_sym_primitive_type_token1] = ACTIONS(3377),
    [anon_sym_byte] = ACTIONS(3377),
    [anon_sym_word] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_struct] = ACTIONS(3377),
    [anon_sym_union] = ACTIONS(3377),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3377),
    [anon_sym_decltype] = ACTIONS(3377),
    [anon_sym_virtual] = ACTIONS(3377),
    [anon_sym_alignas] = ACTIONS(3377),
    [anon_sym_explicit] = ACTIONS(3377),
    [anon_sym_typename] = ACTIONS(3377),
    [anon_sym_template] = ACTIONS(3377),
    [anon_sym_operator] = ACTIONS(3377),
    [anon_sym_friend] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_static_assert] = ACTIONS(3377),
  },
  [2554] = {
    [sym_identifier] = ACTIONS(3220),
    [aux_sym_preproc_def_token1] = ACTIONS(3220),
    [aux_sym_preproc_if_token1] = ACTIONS(3220),
    [aux_sym_preproc_if_token2] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3220),
    [sym_preproc_directive] = ACTIONS(3220),
    [anon_sym_LPAREN2] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_STAR] = ACTIONS(3222),
    [anon_sym_AMP_AMP] = ACTIONS(3222),
    [anon_sym_AMP] = ACTIONS(3220),
    [anon_sym___extension__] = ACTIONS(3220),
    [anon_sym_typedef] = ACTIONS(3220),
    [anon_sym_extern] = ACTIONS(3220),
    [anon_sym___attribute__] = ACTIONS(3220),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3222),
    [anon_sym___declspec] = ACTIONS(3220),
    [anon_sym___based] = ACTIONS(3220),
    [anon_sym_signed] = ACTIONS(3220),
    [anon_sym_unsigned] = ACTIONS(3220),
    [anon_sym_long] = ACTIONS(3220),
    [anon_sym_short] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_static] = ACTIONS(3220),
    [anon_sym_register] = ACTIONS(3220),
    [anon_sym_inline] = ACTIONS(3220),
    [anon_sym___inline] = ACTIONS(3220),
    [anon_sym___inline__] = ACTIONS(3220),
    [anon_sym___forceinline] = ACTIONS(3220),
    [anon_sym_thread_local] = ACTIONS(3220),
    [anon_sym___thread] = ACTIONS(3220),
    [anon_sym_const] = ACTIONS(3220),
    [anon_sym_constexpr] = ACTIONS(3220),
    [anon_sym_volatile] = ACTIONS(3220),
    [anon_sym_restrict] = ACTIONS(3220),
    [anon_sym___restrict__] = ACTIONS(3220),
    [anon_sym__Atomic] = ACTIONS(3220),
    [anon_sym__Noreturn] = ACTIONS(3220),
    [anon_sym_noreturn] = ACTIONS(3220),
    [anon_sym_mutable] = ACTIONS(3220),
    [anon_sym_constinit] = ACTIONS(3220),
    [anon_sym_consteval] = ACTIONS(3220),
    [anon_sym_PROGMEM] = ACTIONS(3220),
    [aux_sym_primitive_type_token1] = ACTIONS(3220),
    [anon_sym_byte] = ACTIONS(3220),
    [anon_sym_word] = ACTIONS(3220),
    [anon_sym_enum] = ACTIONS(3220),
    [anon_sym_class] = ACTIONS(3220),
    [anon_sym_struct] = ACTIONS(3220),
    [anon_sym_union] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3220),
    [anon_sym_decltype] = ACTIONS(3220),
    [anon_sym_virtual] = ACTIONS(3220),
    [anon_sym_alignas] = ACTIONS(3220),
    [anon_sym_explicit] = ACTIONS(3220),
    [anon_sym_typename] = ACTIONS(3220),
    [anon_sym_template] = ACTIONS(3220),
    [anon_sym_operator] = ACTIONS(3220),
    [anon_sym_friend] = ACTIONS(3220),
    [anon_sym_public] = ACTIONS(3220),
    [anon_sym_private] = ACTIONS(3220),
    [anon_sym_protected] = ACTIONS(3220),
    [anon_sym_using] = ACTIONS(3220),
    [anon_sym_static_assert] = ACTIONS(3220),
  },
  [2555] = {
    [sym_identifier] = ACTIONS(3216),
    [aux_sym_preproc_def_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token2] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3216),
    [sym_preproc_directive] = ACTIONS(3216),
    [anon_sym_LPAREN2] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3218),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym___extension__] = ACTIONS(3216),
    [anon_sym_typedef] = ACTIONS(3216),
    [anon_sym_extern] = ACTIONS(3216),
    [anon_sym___attribute__] = ACTIONS(3216),
    [anon_sym_COLON_COLON] = ACTIONS(3218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3218),
    [anon_sym___declspec] = ACTIONS(3216),
    [anon_sym___based] = ACTIONS(3216),
    [anon_sym_signed] = ACTIONS(3216),
    [anon_sym_unsigned] = ACTIONS(3216),
    [anon_sym_long] = ACTIONS(3216),
    [anon_sym_short] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_register] = ACTIONS(3216),
    [anon_sym_inline] = ACTIONS(3216),
    [anon_sym___inline] = ACTIONS(3216),
    [anon_sym___inline__] = ACTIONS(3216),
    [anon_sym___forceinline] = ACTIONS(3216),
    [anon_sym_thread_local] = ACTIONS(3216),
    [anon_sym___thread] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_constexpr] = ACTIONS(3216),
    [anon_sym_volatile] = ACTIONS(3216),
    [anon_sym_restrict] = ACTIONS(3216),
    [anon_sym___restrict__] = ACTIONS(3216),
    [anon_sym__Atomic] = ACTIONS(3216),
    [anon_sym__Noreturn] = ACTIONS(3216),
    [anon_sym_noreturn] = ACTIONS(3216),
    [anon_sym_mutable] = ACTIONS(3216),
    [anon_sym_constinit] = ACTIONS(3216),
    [anon_sym_consteval] = ACTIONS(3216),
    [anon_sym_PROGMEM] = ACTIONS(3216),
    [aux_sym_primitive_type_token1] = ACTIONS(3216),
    [anon_sym_byte] = ACTIONS(3216),
    [anon_sym_word] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3216),
    [anon_sym_union] = ACTIONS(3216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3216),
    [anon_sym_decltype] = ACTIONS(3216),
    [anon_sym_virtual] = ACTIONS(3216),
    [anon_sym_alignas] = ACTIONS(3216),
    [anon_sym_explicit] = ACTIONS(3216),
    [anon_sym_typename] = ACTIONS(3216),
    [anon_sym_template] = ACTIONS(3216),
    [anon_sym_operator] = ACTIONS(3216),
    [anon_sym_friend] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_static_assert] = ACTIONS(3216),
  },
  [2556] = {
    [sym_identifier] = ACTIONS(5521),
    [aux_sym_preproc_def_token1] = ACTIONS(5521),
    [aux_sym_preproc_if_token1] = ACTIONS(5521),
    [aux_sym_preproc_if_token2] = ACTIONS(5521),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5521),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5521),
    [sym_preproc_directive] = ACTIONS(5521),
    [anon_sym_LPAREN2] = ACTIONS(5523),
    [anon_sym_TILDE] = ACTIONS(5523),
    [anon_sym_STAR] = ACTIONS(5523),
    [anon_sym_AMP_AMP] = ACTIONS(5523),
    [anon_sym_AMP] = ACTIONS(5521),
    [anon_sym___extension__] = ACTIONS(5521),
    [anon_sym_typedef] = ACTIONS(5521),
    [anon_sym_extern] = ACTIONS(5521),
    [anon_sym___attribute__] = ACTIONS(5521),
    [anon_sym_COLON_COLON] = ACTIONS(5523),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5523),
    [anon_sym___declspec] = ACTIONS(5521),
    [anon_sym___based] = ACTIONS(5521),
    [anon_sym_signed] = ACTIONS(5521),
    [anon_sym_unsigned] = ACTIONS(5521),
    [anon_sym_long] = ACTIONS(5521),
    [anon_sym_short] = ACTIONS(5521),
    [anon_sym_LBRACK] = ACTIONS(5521),
    [anon_sym_static] = ACTIONS(5521),
    [anon_sym_register] = ACTIONS(5521),
    [anon_sym_inline] = ACTIONS(5521),
    [anon_sym___inline] = ACTIONS(5521),
    [anon_sym___inline__] = ACTIONS(5521),
    [anon_sym___forceinline] = ACTIONS(5521),
    [anon_sym_thread_local] = ACTIONS(5521),
    [anon_sym___thread] = ACTIONS(5521),
    [anon_sym_const] = ACTIONS(5521),
    [anon_sym_constexpr] = ACTIONS(5521),
    [anon_sym_volatile] = ACTIONS(5521),
    [anon_sym_restrict] = ACTIONS(5521),
    [anon_sym___restrict__] = ACTIONS(5521),
    [anon_sym__Atomic] = ACTIONS(5521),
    [anon_sym__Noreturn] = ACTIONS(5521),
    [anon_sym_noreturn] = ACTIONS(5521),
    [anon_sym_mutable] = ACTIONS(5521),
    [anon_sym_constinit] = ACTIONS(5521),
    [anon_sym_consteval] = ACTIONS(5521),
    [anon_sym_PROGMEM] = ACTIONS(5521),
    [aux_sym_primitive_type_token1] = ACTIONS(5521),
    [anon_sym_byte] = ACTIONS(5521),
    [anon_sym_word] = ACTIONS(5521),
    [anon_sym_enum] = ACTIONS(5521),
    [anon_sym_class] = ACTIONS(5521),
    [anon_sym_struct] = ACTIONS(5521),
    [anon_sym_union] = ACTIONS(5521),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5521),
    [anon_sym_decltype] = ACTIONS(5521),
    [anon_sym_virtual] = ACTIONS(5521),
    [anon_sym_alignas] = ACTIONS(5521),
    [anon_sym_explicit] = ACTIONS(5521),
    [anon_sym_typename] = ACTIONS(5521),
    [anon_sym_template] = ACTIONS(5521),
    [anon_sym_operator] = ACTIONS(5521),
    [anon_sym_friend] = ACTIONS(5521),
    [anon_sym_public] = ACTIONS(5521),
    [anon_sym_private] = ACTIONS(5521),
    [anon_sym_protected] = ACTIONS(5521),
    [anon_sym_using] = ACTIONS(5521),
    [anon_sym_static_assert] = ACTIONS(5521),
  },
  [2557] = {
    [sym_identifier] = ACTIONS(3322),
    [aux_sym_preproc_def_token1] = ACTIONS(3322),
    [aux_sym_preproc_if_token1] = ACTIONS(3322),
    [aux_sym_preproc_if_token2] = ACTIONS(3322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3322),
    [sym_preproc_directive] = ACTIONS(3322),
    [anon_sym_LPAREN2] = ACTIONS(3324),
    [anon_sym_TILDE] = ACTIONS(3324),
    [anon_sym_STAR] = ACTIONS(3324),
    [anon_sym_AMP_AMP] = ACTIONS(3324),
    [anon_sym_AMP] = ACTIONS(3322),
    [anon_sym___extension__] = ACTIONS(3322),
    [anon_sym_typedef] = ACTIONS(3322),
    [anon_sym_extern] = ACTIONS(3322),
    [anon_sym___attribute__] = ACTIONS(3322),
    [anon_sym_COLON_COLON] = ACTIONS(3324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3324),
    [anon_sym___declspec] = ACTIONS(3322),
    [anon_sym___based] = ACTIONS(3322),
    [anon_sym_signed] = ACTIONS(3322),
    [anon_sym_unsigned] = ACTIONS(3322),
    [anon_sym_long] = ACTIONS(3322),
    [anon_sym_short] = ACTIONS(3322),
    [anon_sym_LBRACK] = ACTIONS(3322),
    [anon_sym_static] = ACTIONS(3322),
    [anon_sym_register] = ACTIONS(3322),
    [anon_sym_inline] = ACTIONS(3322),
    [anon_sym___inline] = ACTIONS(3322),
    [anon_sym___inline__] = ACTIONS(3322),
    [anon_sym___forceinline] = ACTIONS(3322),
    [anon_sym_thread_local] = ACTIONS(3322),
    [anon_sym___thread] = ACTIONS(3322),
    [anon_sym_const] = ACTIONS(3322),
    [anon_sym_constexpr] = ACTIONS(3322),
    [anon_sym_volatile] = ACTIONS(3322),
    [anon_sym_restrict] = ACTIONS(3322),
    [anon_sym___restrict__] = ACTIONS(3322),
    [anon_sym__Atomic] = ACTIONS(3322),
    [anon_sym__Noreturn] = ACTIONS(3322),
    [anon_sym_noreturn] = ACTIONS(3322),
    [anon_sym_mutable] = ACTIONS(3322),
    [anon_sym_constinit] = ACTIONS(3322),
    [anon_sym_consteval] = ACTIONS(3322),
    [anon_sym_PROGMEM] = ACTIONS(3322),
    [aux_sym_primitive_type_token1] = ACTIONS(3322),
    [anon_sym_byte] = ACTIONS(3322),
    [anon_sym_word] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(3322),
    [anon_sym_class] = ACTIONS(3322),
    [anon_sym_struct] = ACTIONS(3322),
    [anon_sym_union] = ACTIONS(3322),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3322),
    [anon_sym_decltype] = ACTIONS(3322),
    [anon_sym_virtual] = ACTIONS(3322),
    [anon_sym_alignas] = ACTIONS(3322),
    [anon_sym_explicit] = ACTIONS(3322),
    [anon_sym_typename] = ACTIONS(3322),
    [anon_sym_template] = ACTIONS(3322),
    [anon_sym_operator] = ACTIONS(3322),
    [anon_sym_friend] = ACTIONS(3322),
    [anon_sym_public] = ACTIONS(3322),
    [anon_sym_private] = ACTIONS(3322),
    [anon_sym_protected] = ACTIONS(3322),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_static_assert] = ACTIONS(3322),
  },
  [2558] = {
    [sym_identifier] = ACTIONS(3184),
    [aux_sym_preproc_def_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token2] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3184),
    [sym_preproc_directive] = ACTIONS(3184),
    [anon_sym_LPAREN2] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_AMP_AMP] = ACTIONS(3186),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym___extension__] = ACTIONS(3184),
    [anon_sym_typedef] = ACTIONS(3184),
    [anon_sym_extern] = ACTIONS(3184),
    [anon_sym___attribute__] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3186),
    [anon_sym___declspec] = ACTIONS(3184),
    [anon_sym___based] = ACTIONS(3184),
    [anon_sym_signed] = ACTIONS(3184),
    [anon_sym_unsigned] = ACTIONS(3184),
    [anon_sym_long] = ACTIONS(3184),
    [anon_sym_short] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_register] = ACTIONS(3184),
    [anon_sym_inline] = ACTIONS(3184),
    [anon_sym___inline] = ACTIONS(3184),
    [anon_sym___inline__] = ACTIONS(3184),
    [anon_sym___forceinline] = ACTIONS(3184),
    [anon_sym_thread_local] = ACTIONS(3184),
    [anon_sym___thread] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_constexpr] = ACTIONS(3184),
    [anon_sym_volatile] = ACTIONS(3184),
    [anon_sym_restrict] = ACTIONS(3184),
    [anon_sym___restrict__] = ACTIONS(3184),
    [anon_sym__Atomic] = ACTIONS(3184),
    [anon_sym__Noreturn] = ACTIONS(3184),
    [anon_sym_noreturn] = ACTIONS(3184),
    [anon_sym_mutable] = ACTIONS(3184),
    [anon_sym_constinit] = ACTIONS(3184),
    [anon_sym_consteval] = ACTIONS(3184),
    [anon_sym_PROGMEM] = ACTIONS(3184),
    [aux_sym_primitive_type_token1] = ACTIONS(3184),
    [anon_sym_byte] = ACTIONS(3184),
    [anon_sym_word] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_struct] = ACTIONS(3184),
    [anon_sym_union] = ACTIONS(3184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3184),
    [anon_sym_decltype] = ACTIONS(3184),
    [anon_sym_virtual] = ACTIONS(3184),
    [anon_sym_alignas] = ACTIONS(3184),
    [anon_sym_explicit] = ACTIONS(3184),
    [anon_sym_typename] = ACTIONS(3184),
    [anon_sym_template] = ACTIONS(3184),
    [anon_sym_operator] = ACTIONS(3184),
    [anon_sym_friend] = ACTIONS(3184),
    [anon_sym_public] = ACTIONS(3184),
    [anon_sym_private] = ACTIONS(3184),
    [anon_sym_protected] = ACTIONS(3184),
    [anon_sym_using] = ACTIONS(3184),
    [anon_sym_static_assert] = ACTIONS(3184),
  },
  [2559] = {
    [sym_identifier] = ACTIONS(5521),
    [aux_sym_preproc_def_token1] = ACTIONS(5521),
    [aux_sym_preproc_if_token1] = ACTIONS(5521),
    [aux_sym_preproc_if_token2] = ACTIONS(5521),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5521),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5521),
    [sym_preproc_directive] = ACTIONS(5521),
    [anon_sym_LPAREN2] = ACTIONS(5523),
    [anon_sym_TILDE] = ACTIONS(5523),
    [anon_sym_STAR] = ACTIONS(5523),
    [anon_sym_AMP_AMP] = ACTIONS(5523),
    [anon_sym_AMP] = ACTIONS(5521),
    [anon_sym___extension__] = ACTIONS(5521),
    [anon_sym_typedef] = ACTIONS(5521),
    [anon_sym_extern] = ACTIONS(5521),
    [anon_sym___attribute__] = ACTIONS(5521),
    [anon_sym_COLON_COLON] = ACTIONS(5523),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5523),
    [anon_sym___declspec] = ACTIONS(5521),
    [anon_sym___based] = ACTIONS(5521),
    [anon_sym_signed] = ACTIONS(5521),
    [anon_sym_unsigned] = ACTIONS(5521),
    [anon_sym_long] = ACTIONS(5521),
    [anon_sym_short] = ACTIONS(5521),
    [anon_sym_LBRACK] = ACTIONS(5521),
    [anon_sym_static] = ACTIONS(5521),
    [anon_sym_register] = ACTIONS(5521),
    [anon_sym_inline] = ACTIONS(5521),
    [anon_sym___inline] = ACTIONS(5521),
    [anon_sym___inline__] = ACTIONS(5521),
    [anon_sym___forceinline] = ACTIONS(5521),
    [anon_sym_thread_local] = ACTIONS(5521),
    [anon_sym___thread] = ACTIONS(5521),
    [anon_sym_const] = ACTIONS(5521),
    [anon_sym_constexpr] = ACTIONS(5521),
    [anon_sym_volatile] = ACTIONS(5521),
    [anon_sym_restrict] = ACTIONS(5521),
    [anon_sym___restrict__] = ACTIONS(5521),
    [anon_sym__Atomic] = ACTIONS(5521),
    [anon_sym__Noreturn] = ACTIONS(5521),
    [anon_sym_noreturn] = ACTIONS(5521),
    [anon_sym_mutable] = ACTIONS(5521),
    [anon_sym_constinit] = ACTIONS(5521),
    [anon_sym_consteval] = ACTIONS(5521),
    [anon_sym_PROGMEM] = ACTIONS(5521),
    [aux_sym_primitive_type_token1] = ACTIONS(5521),
    [anon_sym_byte] = ACTIONS(5521),
    [anon_sym_word] = ACTIONS(5521),
    [anon_sym_enum] = ACTIONS(5521),
    [anon_sym_class] = ACTIONS(5521),
    [anon_sym_struct] = ACTIONS(5521),
    [anon_sym_union] = ACTIONS(5521),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5521),
    [anon_sym_decltype] = ACTIONS(5521),
    [anon_sym_virtual] = ACTIONS(5521),
    [anon_sym_alignas] = ACTIONS(5521),
    [anon_sym_explicit] = ACTIONS(5521),
    [anon_sym_typename] = ACTIONS(5521),
    [anon_sym_template] = ACTIONS(5521),
    [anon_sym_operator] = ACTIONS(5521),
    [anon_sym_friend] = ACTIONS(5521),
    [anon_sym_public] = ACTIONS(5521),
    [anon_sym_private] = ACTIONS(5521),
    [anon_sym_protected] = ACTIONS(5521),
    [anon_sym_using] = ACTIONS(5521),
    [anon_sym_static_assert] = ACTIONS(5521),
  },
  [2560] = {
    [sym_identifier] = ACTIONS(5513),
    [aux_sym_preproc_def_token1] = ACTIONS(5513),
    [aux_sym_preproc_if_token1] = ACTIONS(5513),
    [aux_sym_preproc_if_token2] = ACTIONS(5513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5513),
    [sym_preproc_directive] = ACTIONS(5513),
    [anon_sym_LPAREN2] = ACTIONS(5515),
    [anon_sym_TILDE] = ACTIONS(5515),
    [anon_sym_STAR] = ACTIONS(5515),
    [anon_sym_AMP_AMP] = ACTIONS(5515),
    [anon_sym_AMP] = ACTIONS(5513),
    [anon_sym___extension__] = ACTIONS(5513),
    [anon_sym_typedef] = ACTIONS(5513),
    [anon_sym_extern] = ACTIONS(5513),
    [anon_sym___attribute__] = ACTIONS(5513),
    [anon_sym_COLON_COLON] = ACTIONS(5515),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5515),
    [anon_sym___declspec] = ACTIONS(5513),
    [anon_sym___based] = ACTIONS(5513),
    [anon_sym_signed] = ACTIONS(5513),
    [anon_sym_unsigned] = ACTIONS(5513),
    [anon_sym_long] = ACTIONS(5513),
    [anon_sym_short] = ACTIONS(5513),
    [anon_sym_LBRACK] = ACTIONS(5513),
    [anon_sym_static] = ACTIONS(5513),
    [anon_sym_register] = ACTIONS(5513),
    [anon_sym_inline] = ACTIONS(5513),
    [anon_sym___inline] = ACTIONS(5513),
    [anon_sym___inline__] = ACTIONS(5513),
    [anon_sym___forceinline] = ACTIONS(5513),
    [anon_sym_thread_local] = ACTIONS(5513),
    [anon_sym___thread] = ACTIONS(5513),
    [anon_sym_const] = ACTIONS(5513),
    [anon_sym_constexpr] = ACTIONS(5513),
    [anon_sym_volatile] = ACTIONS(5513),
    [anon_sym_restrict] = ACTIONS(5513),
    [anon_sym___restrict__] = ACTIONS(5513),
    [anon_sym__Atomic] = ACTIONS(5513),
    [anon_sym__Noreturn] = ACTIONS(5513),
    [anon_sym_noreturn] = ACTIONS(5513),
    [anon_sym_mutable] = ACTIONS(5513),
    [anon_sym_constinit] = ACTIONS(5513),
    [anon_sym_consteval] = ACTIONS(5513),
    [anon_sym_PROGMEM] = ACTIONS(5513),
    [aux_sym_primitive_type_token1] = ACTIONS(5513),
    [anon_sym_byte] = ACTIONS(5513),
    [anon_sym_word] = ACTIONS(5513),
    [anon_sym_enum] = ACTIONS(5513),
    [anon_sym_class] = ACTIONS(5513),
    [anon_sym_struct] = ACTIONS(5513),
    [anon_sym_union] = ACTIONS(5513),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5513),
    [anon_sym_decltype] = ACTIONS(5513),
    [anon_sym_virtual] = ACTIONS(5513),
    [anon_sym_alignas] = ACTIONS(5513),
    [anon_sym_explicit] = ACTIONS(5513),
    [anon_sym_typename] = ACTIONS(5513),
    [anon_sym_template] = ACTIONS(5513),
    [anon_sym_operator] = ACTIONS(5513),
    [anon_sym_friend] = ACTIONS(5513),
    [anon_sym_public] = ACTIONS(5513),
    [anon_sym_private] = ACTIONS(5513),
    [anon_sym_protected] = ACTIONS(5513),
    [anon_sym_using] = ACTIONS(5513),
    [anon_sym_static_assert] = ACTIONS(5513),
  },
  [2561] = {
    [sym_identifier] = ACTIONS(5549),
    [aux_sym_preproc_def_token1] = ACTIONS(5549),
    [aux_sym_preproc_if_token1] = ACTIONS(5549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5549),
    [sym_preproc_directive] = ACTIONS(5549),
    [anon_sym_LPAREN2] = ACTIONS(5551),
    [anon_sym_TILDE] = ACTIONS(5551),
    [anon_sym_STAR] = ACTIONS(5551),
    [anon_sym_AMP_AMP] = ACTIONS(5551),
    [anon_sym_AMP] = ACTIONS(5549),
    [anon_sym___extension__] = ACTIONS(5549),
    [anon_sym_typedef] = ACTIONS(5549),
    [anon_sym_extern] = ACTIONS(5549),
    [anon_sym___attribute__] = ACTIONS(5549),
    [anon_sym_COLON_COLON] = ACTIONS(5551),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5551),
    [anon_sym___declspec] = ACTIONS(5549),
    [anon_sym___based] = ACTIONS(5549),
    [anon_sym_RBRACE] = ACTIONS(5551),
    [anon_sym_signed] = ACTIONS(5549),
    [anon_sym_unsigned] = ACTIONS(5549),
    [anon_sym_long] = ACTIONS(5549),
    [anon_sym_short] = ACTIONS(5549),
    [anon_sym_LBRACK] = ACTIONS(5549),
    [anon_sym_static] = ACTIONS(5549),
    [anon_sym_register] = ACTIONS(5549),
    [anon_sym_inline] = ACTIONS(5549),
    [anon_sym___inline] = ACTIONS(5549),
    [anon_sym___inline__] = ACTIONS(5549),
    [anon_sym___forceinline] = ACTIONS(5549),
    [anon_sym_thread_local] = ACTIONS(5549),
    [anon_sym___thread] = ACTIONS(5549),
    [anon_sym_const] = ACTIONS(5549),
    [anon_sym_constexpr] = ACTIONS(5549),
    [anon_sym_volatile] = ACTIONS(5549),
    [anon_sym_restrict] = ACTIONS(5549),
    [anon_sym___restrict__] = ACTIONS(5549),
    [anon_sym__Atomic] = ACTIONS(5549),
    [anon_sym__Noreturn] = ACTIONS(5549),
    [anon_sym_noreturn] = ACTIONS(5549),
    [anon_sym_mutable] = ACTIONS(5549),
    [anon_sym_constinit] = ACTIONS(5549),
    [anon_sym_consteval] = ACTIONS(5549),
    [anon_sym_PROGMEM] = ACTIONS(5549),
    [aux_sym_primitive_type_token1] = ACTIONS(5549),
    [anon_sym_byte] = ACTIONS(5549),
    [anon_sym_word] = ACTIONS(5549),
    [anon_sym_enum] = ACTIONS(5549),
    [anon_sym_class] = ACTIONS(5549),
    [anon_sym_struct] = ACTIONS(5549),
    [anon_sym_union] = ACTIONS(5549),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5549),
    [anon_sym_decltype] = ACTIONS(5549),
    [anon_sym_virtual] = ACTIONS(5549),
    [anon_sym_alignas] = ACTIONS(5549),
    [anon_sym_explicit] = ACTIONS(5549),
    [anon_sym_typename] = ACTIONS(5549),
    [anon_sym_template] = ACTIONS(5549),
    [anon_sym_operator] = ACTIONS(5549),
    [anon_sym_friend] = ACTIONS(5549),
    [anon_sym_public] = ACTIONS(5549),
    [anon_sym_private] = ACTIONS(5549),
    [anon_sym_protected] = ACTIONS(5549),
    [anon_sym_using] = ACTIONS(5549),
    [anon_sym_static_assert] = ACTIONS(5549),
  },
  [2562] = {
    [sym_identifier] = ACTIONS(5593),
    [aux_sym_preproc_def_token1] = ACTIONS(5593),
    [aux_sym_preproc_if_token1] = ACTIONS(5593),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5593),
    [sym_preproc_directive] = ACTIONS(5593),
    [anon_sym_LPAREN2] = ACTIONS(5595),
    [anon_sym_TILDE] = ACTIONS(5595),
    [anon_sym_STAR] = ACTIONS(5595),
    [anon_sym_AMP_AMP] = ACTIONS(5595),
    [anon_sym_AMP] = ACTIONS(5593),
    [anon_sym___extension__] = ACTIONS(5593),
    [anon_sym_typedef] = ACTIONS(5593),
    [anon_sym_extern] = ACTIONS(5593),
    [anon_sym___attribute__] = ACTIONS(5593),
    [anon_sym_COLON_COLON] = ACTIONS(5595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5595),
    [anon_sym___declspec] = ACTIONS(5593),
    [anon_sym___based] = ACTIONS(5593),
    [anon_sym_RBRACE] = ACTIONS(5595),
    [anon_sym_signed] = ACTIONS(5593),
    [anon_sym_unsigned] = ACTIONS(5593),
    [anon_sym_long] = ACTIONS(5593),
    [anon_sym_short] = ACTIONS(5593),
    [anon_sym_LBRACK] = ACTIONS(5593),
    [anon_sym_static] = ACTIONS(5593),
    [anon_sym_register] = ACTIONS(5593),
    [anon_sym_inline] = ACTIONS(5593),
    [anon_sym___inline] = ACTIONS(5593),
    [anon_sym___inline__] = ACTIONS(5593),
    [anon_sym___forceinline] = ACTIONS(5593),
    [anon_sym_thread_local] = ACTIONS(5593),
    [anon_sym___thread] = ACTIONS(5593),
    [anon_sym_const] = ACTIONS(5593),
    [anon_sym_constexpr] = ACTIONS(5593),
    [anon_sym_volatile] = ACTIONS(5593),
    [anon_sym_restrict] = ACTIONS(5593),
    [anon_sym___restrict__] = ACTIONS(5593),
    [anon_sym__Atomic] = ACTIONS(5593),
    [anon_sym__Noreturn] = ACTIONS(5593),
    [anon_sym_noreturn] = ACTIONS(5593),
    [anon_sym_mutable] = ACTIONS(5593),
    [anon_sym_constinit] = ACTIONS(5593),
    [anon_sym_consteval] = ACTIONS(5593),
    [anon_sym_PROGMEM] = ACTIONS(5593),
    [aux_sym_primitive_type_token1] = ACTIONS(5593),
    [anon_sym_byte] = ACTIONS(5593),
    [anon_sym_word] = ACTIONS(5593),
    [anon_sym_enum] = ACTIONS(5593),
    [anon_sym_class] = ACTIONS(5593),
    [anon_sym_struct] = ACTIONS(5593),
    [anon_sym_union] = ACTIONS(5593),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5593),
    [anon_sym_decltype] = ACTIONS(5593),
    [anon_sym_virtual] = ACTIONS(5593),
    [anon_sym_alignas] = ACTIONS(5593),
    [anon_sym_explicit] = ACTIONS(5593),
    [anon_sym_typename] = ACTIONS(5593),
    [anon_sym_template] = ACTIONS(5593),
    [anon_sym_operator] = ACTIONS(5593),
    [anon_sym_friend] = ACTIONS(5593),
    [anon_sym_public] = ACTIONS(5593),
    [anon_sym_private] = ACTIONS(5593),
    [anon_sym_protected] = ACTIONS(5593),
    [anon_sym_using] = ACTIONS(5593),
    [anon_sym_static_assert] = ACTIONS(5593),
  },
  [2563] = {
    [sym_identifier] = ACTIONS(5493),
    [aux_sym_preproc_def_token1] = ACTIONS(5493),
    [aux_sym_preproc_if_token1] = ACTIONS(5493),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5493),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5493),
    [sym_preproc_directive] = ACTIONS(5493),
    [anon_sym_LPAREN2] = ACTIONS(5495),
    [anon_sym_TILDE] = ACTIONS(5495),
    [anon_sym_STAR] = ACTIONS(5495),
    [anon_sym_AMP_AMP] = ACTIONS(5495),
    [anon_sym_AMP] = ACTIONS(5493),
    [anon_sym___extension__] = ACTIONS(5493),
    [anon_sym_typedef] = ACTIONS(5493),
    [anon_sym_extern] = ACTIONS(5493),
    [anon_sym___attribute__] = ACTIONS(5493),
    [anon_sym_COLON_COLON] = ACTIONS(5495),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5495),
    [anon_sym___declspec] = ACTIONS(5493),
    [anon_sym___based] = ACTIONS(5493),
    [anon_sym_RBRACE] = ACTIONS(5495),
    [anon_sym_signed] = ACTIONS(5493),
    [anon_sym_unsigned] = ACTIONS(5493),
    [anon_sym_long] = ACTIONS(5493),
    [anon_sym_short] = ACTIONS(5493),
    [anon_sym_LBRACK] = ACTIONS(5493),
    [anon_sym_static] = ACTIONS(5493),
    [anon_sym_register] = ACTIONS(5493),
    [anon_sym_inline] = ACTIONS(5493),
    [anon_sym___inline] = ACTIONS(5493),
    [anon_sym___inline__] = ACTIONS(5493),
    [anon_sym___forceinline] = ACTIONS(5493),
    [anon_sym_thread_local] = ACTIONS(5493),
    [anon_sym___thread] = ACTIONS(5493),
    [anon_sym_const] = ACTIONS(5493),
    [anon_sym_constexpr] = ACTIONS(5493),
    [anon_sym_volatile] = ACTIONS(5493),
    [anon_sym_restrict] = ACTIONS(5493),
    [anon_sym___restrict__] = ACTIONS(5493),
    [anon_sym__Atomic] = ACTIONS(5493),
    [anon_sym__Noreturn] = ACTIONS(5493),
    [anon_sym_noreturn] = ACTIONS(5493),
    [anon_sym_mutable] = ACTIONS(5493),
    [anon_sym_constinit] = ACTIONS(5493),
    [anon_sym_consteval] = ACTIONS(5493),
    [anon_sym_PROGMEM] = ACTIONS(5493),
    [aux_sym_primitive_type_token1] = ACTIONS(5493),
    [anon_sym_byte] = ACTIONS(5493),
    [anon_sym_word] = ACTIONS(5493),
    [anon_sym_enum] = ACTIONS(5493),
    [anon_sym_class] = ACTIONS(5493),
    [anon_sym_struct] = ACTIONS(5493),
    [anon_sym_union] = ACTIONS(5493),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5493),
    [anon_sym_decltype] = ACTIONS(5493),
    [anon_sym_virtual] = ACTIONS(5493),
    [anon_sym_alignas] = ACTIONS(5493),
    [anon_sym_explicit] = ACTIONS(5493),
    [anon_sym_typename] = ACTIONS(5493),
    [anon_sym_template] = ACTIONS(5493),
    [anon_sym_operator] = ACTIONS(5493),
    [anon_sym_friend] = ACTIONS(5493),
    [anon_sym_public] = ACTIONS(5493),
    [anon_sym_private] = ACTIONS(5493),
    [anon_sym_protected] = ACTIONS(5493),
    [anon_sym_using] = ACTIONS(5493),
    [anon_sym_static_assert] = ACTIONS(5493),
  },
  [2564] = {
    [sym_identifier] = ACTIONS(5497),
    [aux_sym_preproc_def_token1] = ACTIONS(5497),
    [aux_sym_preproc_if_token1] = ACTIONS(5497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5497),
    [sym_preproc_directive] = ACTIONS(5497),
    [anon_sym_LPAREN2] = ACTIONS(5499),
    [anon_sym_TILDE] = ACTIONS(5499),
    [anon_sym_STAR] = ACTIONS(5499),
    [anon_sym_AMP_AMP] = ACTIONS(5499),
    [anon_sym_AMP] = ACTIONS(5497),
    [anon_sym___extension__] = ACTIONS(5497),
    [anon_sym_typedef] = ACTIONS(5497),
    [anon_sym_extern] = ACTIONS(5497),
    [anon_sym___attribute__] = ACTIONS(5497),
    [anon_sym_COLON_COLON] = ACTIONS(5499),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5499),
    [anon_sym___declspec] = ACTIONS(5497),
    [anon_sym___based] = ACTIONS(5497),
    [anon_sym_RBRACE] = ACTIONS(5499),
    [anon_sym_signed] = ACTIONS(5497),
    [anon_sym_unsigned] = ACTIONS(5497),
    [anon_sym_long] = ACTIONS(5497),
    [anon_sym_short] = ACTIONS(5497),
    [anon_sym_LBRACK] = ACTIONS(5497),
    [anon_sym_static] = ACTIONS(5497),
    [anon_sym_register] = ACTIONS(5497),
    [anon_sym_inline] = ACTIONS(5497),
    [anon_sym___inline] = ACTIONS(5497),
    [anon_sym___inline__] = ACTIONS(5497),
    [anon_sym___forceinline] = ACTIONS(5497),
    [anon_sym_thread_local] = ACTIONS(5497),
    [anon_sym___thread] = ACTIONS(5497),
    [anon_sym_const] = ACTIONS(5497),
    [anon_sym_constexpr] = ACTIONS(5497),
    [anon_sym_volatile] = ACTIONS(5497),
    [anon_sym_restrict] = ACTIONS(5497),
    [anon_sym___restrict__] = ACTIONS(5497),
    [anon_sym__Atomic] = ACTIONS(5497),
    [anon_sym__Noreturn] = ACTIONS(5497),
    [anon_sym_noreturn] = ACTIONS(5497),
    [anon_sym_mutable] = ACTIONS(5497),
    [anon_sym_constinit] = ACTIONS(5497),
    [anon_sym_consteval] = ACTIONS(5497),
    [anon_sym_PROGMEM] = ACTIONS(5497),
    [aux_sym_primitive_type_token1] = ACTIONS(5497),
    [anon_sym_byte] = ACTIONS(5497),
    [anon_sym_word] = ACTIONS(5497),
    [anon_sym_enum] = ACTIONS(5497),
    [anon_sym_class] = ACTIONS(5497),
    [anon_sym_struct] = ACTIONS(5497),
    [anon_sym_union] = ACTIONS(5497),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5497),
    [anon_sym_decltype] = ACTIONS(5497),
    [anon_sym_virtual] = ACTIONS(5497),
    [anon_sym_alignas] = ACTIONS(5497),
    [anon_sym_explicit] = ACTIONS(5497),
    [anon_sym_typename] = ACTIONS(5497),
    [anon_sym_template] = ACTIONS(5497),
    [anon_sym_operator] = ACTIONS(5497),
    [anon_sym_friend] = ACTIONS(5497),
    [anon_sym_public] = ACTIONS(5497),
    [anon_sym_private] = ACTIONS(5497),
    [anon_sym_protected] = ACTIONS(5497),
    [anon_sym_using] = ACTIONS(5497),
    [anon_sym_static_assert] = ACTIONS(5497),
  },
  [2565] = {
    [sym_identifier] = ACTIONS(5493),
    [aux_sym_preproc_def_token1] = ACTIONS(5493),
    [aux_sym_preproc_if_token1] = ACTIONS(5493),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5493),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5493),
    [sym_preproc_directive] = ACTIONS(5493),
    [anon_sym_LPAREN2] = ACTIONS(5495),
    [anon_sym_TILDE] = ACTIONS(5495),
    [anon_sym_STAR] = ACTIONS(5495),
    [anon_sym_AMP_AMP] = ACTIONS(5495),
    [anon_sym_AMP] = ACTIONS(5493),
    [anon_sym___extension__] = ACTIONS(5493),
    [anon_sym_typedef] = ACTIONS(5493),
    [anon_sym_extern] = ACTIONS(5493),
    [anon_sym___attribute__] = ACTIONS(5493),
    [anon_sym_COLON_COLON] = ACTIONS(5495),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5495),
    [anon_sym___declspec] = ACTIONS(5493),
    [anon_sym___based] = ACTIONS(5493),
    [anon_sym_RBRACE] = ACTIONS(5495),
    [anon_sym_signed] = ACTIONS(5493),
    [anon_sym_unsigned] = ACTIONS(5493),
    [anon_sym_long] = ACTIONS(5493),
    [anon_sym_short] = ACTIONS(5493),
    [anon_sym_LBRACK] = ACTIONS(5493),
    [anon_sym_static] = ACTIONS(5493),
    [anon_sym_register] = ACTIONS(5493),
    [anon_sym_inline] = ACTIONS(5493),
    [anon_sym___inline] = ACTIONS(5493),
    [anon_sym___inline__] = ACTIONS(5493),
    [anon_sym___forceinline] = ACTIONS(5493),
    [anon_sym_thread_local] = ACTIONS(5493),
    [anon_sym___thread] = ACTIONS(5493),
    [anon_sym_const] = ACTIONS(5493),
    [anon_sym_constexpr] = ACTIONS(5493),
    [anon_sym_volatile] = ACTIONS(5493),
    [anon_sym_restrict] = ACTIONS(5493),
    [anon_sym___restrict__] = ACTIONS(5493),
    [anon_sym__Atomic] = ACTIONS(5493),
    [anon_sym__Noreturn] = ACTIONS(5493),
    [anon_sym_noreturn] = ACTIONS(5493),
    [anon_sym_mutable] = ACTIONS(5493),
    [anon_sym_constinit] = ACTIONS(5493),
    [anon_sym_consteval] = ACTIONS(5493),
    [anon_sym_PROGMEM] = ACTIONS(5493),
    [aux_sym_primitive_type_token1] = ACTIONS(5493),
    [anon_sym_byte] = ACTIONS(5493),
    [anon_sym_word] = ACTIONS(5493),
    [anon_sym_enum] = ACTIONS(5493),
    [anon_sym_class] = ACTIONS(5493),
    [anon_sym_struct] = ACTIONS(5493),
    [anon_sym_union] = ACTIONS(5493),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5493),
    [anon_sym_decltype] = ACTIONS(5493),
    [anon_sym_virtual] = ACTIONS(5493),
    [anon_sym_alignas] = ACTIONS(5493),
    [anon_sym_explicit] = ACTIONS(5493),
    [anon_sym_typename] = ACTIONS(5493),
    [anon_sym_template] = ACTIONS(5493),
    [anon_sym_operator] = ACTIONS(5493),
    [anon_sym_friend] = ACTIONS(5493),
    [anon_sym_public] = ACTIONS(5493),
    [anon_sym_private] = ACTIONS(5493),
    [anon_sym_protected] = ACTIONS(5493),
    [anon_sym_using] = ACTIONS(5493),
    [anon_sym_static_assert] = ACTIONS(5493),
  },
  [2566] = {
    [sym_identifier] = ACTIONS(5497),
    [aux_sym_preproc_def_token1] = ACTIONS(5497),
    [aux_sym_preproc_if_token1] = ACTIONS(5497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5497),
    [sym_preproc_directive] = ACTIONS(5497),
    [anon_sym_LPAREN2] = ACTIONS(5499),
    [anon_sym_TILDE] = ACTIONS(5499),
    [anon_sym_STAR] = ACTIONS(5499),
    [anon_sym_AMP_AMP] = ACTIONS(5499),
    [anon_sym_AMP] = ACTIONS(5497),
    [anon_sym___extension__] = ACTIONS(5497),
    [anon_sym_typedef] = ACTIONS(5497),
    [anon_sym_extern] = ACTIONS(5497),
    [anon_sym___attribute__] = ACTIONS(5497),
    [anon_sym_COLON_COLON] = ACTIONS(5499),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5499),
    [anon_sym___declspec] = ACTIONS(5497),
    [anon_sym___based] = ACTIONS(5497),
    [anon_sym_RBRACE] = ACTIONS(5499),
    [anon_sym_signed] = ACTIONS(5497),
    [anon_sym_unsigned] = ACTIONS(5497),
    [anon_sym_long] = ACTIONS(5497),
    [anon_sym_short] = ACTIONS(5497),
    [anon_sym_LBRACK] = ACTIONS(5497),
    [anon_sym_static] = ACTIONS(5497),
    [anon_sym_register] = ACTIONS(5497),
    [anon_sym_inline] = ACTIONS(5497),
    [anon_sym___inline] = ACTIONS(5497),
    [anon_sym___inline__] = ACTIONS(5497),
    [anon_sym___forceinline] = ACTIONS(5497),
    [anon_sym_thread_local] = ACTIONS(5497),
    [anon_sym___thread] = ACTIONS(5497),
    [anon_sym_const] = ACTIONS(5497),
    [anon_sym_constexpr] = ACTIONS(5497),
    [anon_sym_volatile] = ACTIONS(5497),
    [anon_sym_restrict] = ACTIONS(5497),
    [anon_sym___restrict__] = ACTIONS(5497),
    [anon_sym__Atomic] = ACTIONS(5497),
    [anon_sym__Noreturn] = ACTIONS(5497),
    [anon_sym_noreturn] = ACTIONS(5497),
    [anon_sym_mutable] = ACTIONS(5497),
    [anon_sym_constinit] = ACTIONS(5497),
    [anon_sym_consteval] = ACTIONS(5497),
    [anon_sym_PROGMEM] = ACTIONS(5497),
    [aux_sym_primitive_type_token1] = ACTIONS(5497),
    [anon_sym_byte] = ACTIONS(5497),
    [anon_sym_word] = ACTIONS(5497),
    [anon_sym_enum] = ACTIONS(5497),
    [anon_sym_class] = ACTIONS(5497),
    [anon_sym_struct] = ACTIONS(5497),
    [anon_sym_union] = ACTIONS(5497),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5497),
    [anon_sym_decltype] = ACTIONS(5497),
    [anon_sym_virtual] = ACTIONS(5497),
    [anon_sym_alignas] = ACTIONS(5497),
    [anon_sym_explicit] = ACTIONS(5497),
    [anon_sym_typename] = ACTIONS(5497),
    [anon_sym_template] = ACTIONS(5497),
    [anon_sym_operator] = ACTIONS(5497),
    [anon_sym_friend] = ACTIONS(5497),
    [anon_sym_public] = ACTIONS(5497),
    [anon_sym_private] = ACTIONS(5497),
    [anon_sym_protected] = ACTIONS(5497),
    [anon_sym_using] = ACTIONS(5497),
    [anon_sym_static_assert] = ACTIONS(5497),
  },
  [2567] = {
    [sym_string_literal] = STATE(2587),
    [sym_raw_string_literal] = STATE(2587),
    [aux_sym_concatenated_string_repeat1] = STATE(2587),
    [sym_identifier] = ACTIONS(5954),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5383),
    [anon_sym_COMMA] = ACTIONS(5383),
    [anon_sym_LPAREN2] = ACTIONS(5383),
    [anon_sym_DASH] = ACTIONS(5385),
    [anon_sym_PLUS] = ACTIONS(5385),
    [anon_sym_STAR] = ACTIONS(5385),
    [anon_sym_SLASH] = ACTIONS(5385),
    [anon_sym_PERCENT] = ACTIONS(5385),
    [anon_sym_PIPE_PIPE] = ACTIONS(5383),
    [anon_sym_AMP_AMP] = ACTIONS(5383),
    [anon_sym_PIPE] = ACTIONS(5385),
    [anon_sym_CARET] = ACTIONS(5385),
    [anon_sym_AMP] = ACTIONS(5385),
    [anon_sym_EQ_EQ] = ACTIONS(5383),
    [anon_sym_BANG_EQ] = ACTIONS(5383),
    [anon_sym_GT] = ACTIONS(5385),
    [anon_sym_GT_EQ] = ACTIONS(5383),
    [anon_sym_LT_EQ] = ACTIONS(5385),
    [anon_sym_LT] = ACTIONS(5385),
    [anon_sym_LT_LT] = ACTIONS(5385),
    [anon_sym_GT_GT] = ACTIONS(5385),
    [anon_sym_SEMI] = ACTIONS(5383),
    [anon_sym___attribute__] = ACTIONS(5385),
    [anon_sym_LBRACK] = ACTIONS(5383),
    [anon_sym_EQ] = ACTIONS(5385),
    [anon_sym_QMARK] = ACTIONS(5383),
    [anon_sym_STAR_EQ] = ACTIONS(5383),
    [anon_sym_SLASH_EQ] = ACTIONS(5383),
    [anon_sym_PERCENT_EQ] = ACTIONS(5383),
    [anon_sym_PLUS_EQ] = ACTIONS(5383),
    [anon_sym_DASH_EQ] = ACTIONS(5383),
    [anon_sym_LT_LT_EQ] = ACTIONS(5383),
    [anon_sym_GT_GT_EQ] = ACTIONS(5383),
    [anon_sym_AMP_EQ] = ACTIONS(5383),
    [anon_sym_CARET_EQ] = ACTIONS(5383),
    [anon_sym_PIPE_EQ] = ACTIONS(5383),
    [anon_sym_and_eq] = ACTIONS(5385),
    [anon_sym_or_eq] = ACTIONS(5385),
    [anon_sym_xor_eq] = ACTIONS(5385),
    [anon_sym_LT_EQ_GT] = ACTIONS(5383),
    [anon_sym_or] = ACTIONS(5385),
    [anon_sym_and] = ACTIONS(5385),
    [anon_sym_bitor] = ACTIONS(5385),
    [anon_sym_xor] = ACTIONS(5385),
    [anon_sym_bitand] = ACTIONS(5385),
    [anon_sym_not_eq] = ACTIONS(5385),
    [anon_sym_DASH_DASH] = ACTIONS(5383),
    [anon_sym_PLUS_PLUS] = ACTIONS(5383),
    [anon_sym_DOT] = ACTIONS(5385),
    [anon_sym_DOT_STAR] = ACTIONS(5383),
    [anon_sym_DASH_GT] = ACTIONS(5383),
    [anon_sym_L_DQUOTE] = ACTIONS(5934),
    [anon_sym_u_DQUOTE] = ACTIONS(5934),
    [anon_sym_U_DQUOTE] = ACTIONS(5934),
    [anon_sym_u8_DQUOTE] = ACTIONS(5934),
    [anon_sym_DQUOTE] = ACTIONS(5934),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5936),
    [anon_sym_LR_DQUOTE] = ACTIONS(5936),
    [anon_sym_uR_DQUOTE] = ACTIONS(5936),
    [anon_sym_UR_DQUOTE] = ACTIONS(5936),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5936),
    [sym_literal_suffix] = ACTIONS(5385),
  },
  [2568] = {
    [sym_identifier] = ACTIONS(5509),
    [aux_sym_preproc_def_token1] = ACTIONS(5509),
    [aux_sym_preproc_if_token1] = ACTIONS(5509),
    [aux_sym_preproc_if_token2] = ACTIONS(5509),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5509),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5509),
    [sym_preproc_directive] = ACTIONS(5509),
    [anon_sym_LPAREN2] = ACTIONS(5511),
    [anon_sym_TILDE] = ACTIONS(5511),
    [anon_sym_STAR] = ACTIONS(5511),
    [anon_sym_AMP_AMP] = ACTIONS(5511),
    [anon_sym_AMP] = ACTIONS(5509),
    [anon_sym___extension__] = ACTIONS(5509),
    [anon_sym_typedef] = ACTIONS(5509),
    [anon_sym_extern] = ACTIONS(5509),
    [anon_sym___attribute__] = ACTIONS(5509),
    [anon_sym_COLON_COLON] = ACTIONS(5511),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5511),
    [anon_sym___declspec] = ACTIONS(5509),
    [anon_sym___based] = ACTIONS(5509),
    [anon_sym_signed] = ACTIONS(5509),
    [anon_sym_unsigned] = ACTIONS(5509),
    [anon_sym_long] = ACTIONS(5509),
    [anon_sym_short] = ACTIONS(5509),
    [anon_sym_LBRACK] = ACTIONS(5509),
    [anon_sym_static] = ACTIONS(5509),
    [anon_sym_register] = ACTIONS(5509),
    [anon_sym_inline] = ACTIONS(5509),
    [anon_sym___inline] = ACTIONS(5509),
    [anon_sym___inline__] = ACTIONS(5509),
    [anon_sym___forceinline] = ACTIONS(5509),
    [anon_sym_thread_local] = ACTIONS(5509),
    [anon_sym___thread] = ACTIONS(5509),
    [anon_sym_const] = ACTIONS(5509),
    [anon_sym_constexpr] = ACTIONS(5509),
    [anon_sym_volatile] = ACTIONS(5509),
    [anon_sym_restrict] = ACTIONS(5509),
    [anon_sym___restrict__] = ACTIONS(5509),
    [anon_sym__Atomic] = ACTIONS(5509),
    [anon_sym__Noreturn] = ACTIONS(5509),
    [anon_sym_noreturn] = ACTIONS(5509),
    [anon_sym_mutable] = ACTIONS(5509),
    [anon_sym_constinit] = ACTIONS(5509),
    [anon_sym_consteval] = ACTIONS(5509),
    [anon_sym_PROGMEM] = ACTIONS(5509),
    [aux_sym_primitive_type_token1] = ACTIONS(5509),
    [anon_sym_byte] = ACTIONS(5509),
    [anon_sym_word] = ACTIONS(5509),
    [anon_sym_enum] = ACTIONS(5509),
    [anon_sym_class] = ACTIONS(5509),
    [anon_sym_struct] = ACTIONS(5509),
    [anon_sym_union] = ACTIONS(5509),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5509),
    [anon_sym_decltype] = ACTIONS(5509),
    [anon_sym_virtual] = ACTIONS(5509),
    [anon_sym_alignas] = ACTIONS(5509),
    [anon_sym_explicit] = ACTIONS(5509),
    [anon_sym_typename] = ACTIONS(5509),
    [anon_sym_template] = ACTIONS(5509),
    [anon_sym_operator] = ACTIONS(5509),
    [anon_sym_friend] = ACTIONS(5509),
    [anon_sym_public] = ACTIONS(5509),
    [anon_sym_private] = ACTIONS(5509),
    [anon_sym_protected] = ACTIONS(5509),
    [anon_sym_using] = ACTIONS(5509),
    [anon_sym_static_assert] = ACTIONS(5509),
  },
  [2569] = {
    [sym_identifier] = ACTIONS(3316),
    [aux_sym_preproc_def_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token2] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3316),
    [sym_preproc_directive] = ACTIONS(3316),
    [anon_sym_LPAREN2] = ACTIONS(3318),
    [anon_sym_TILDE] = ACTIONS(3318),
    [anon_sym_STAR] = ACTIONS(3318),
    [anon_sym_AMP_AMP] = ACTIONS(3318),
    [anon_sym_AMP] = ACTIONS(3316),
    [anon_sym___extension__] = ACTIONS(3316),
    [anon_sym_typedef] = ACTIONS(3316),
    [anon_sym_extern] = ACTIONS(3316),
    [anon_sym___attribute__] = ACTIONS(3316),
    [anon_sym_COLON_COLON] = ACTIONS(3318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3318),
    [anon_sym___declspec] = ACTIONS(3316),
    [anon_sym___based] = ACTIONS(3316),
    [anon_sym_signed] = ACTIONS(3316),
    [anon_sym_unsigned] = ACTIONS(3316),
    [anon_sym_long] = ACTIONS(3316),
    [anon_sym_short] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_register] = ACTIONS(3316),
    [anon_sym_inline] = ACTIONS(3316),
    [anon_sym___inline] = ACTIONS(3316),
    [anon_sym___inline__] = ACTIONS(3316),
    [anon_sym___forceinline] = ACTIONS(3316),
    [anon_sym_thread_local] = ACTIONS(3316),
    [anon_sym___thread] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_constexpr] = ACTIONS(3316),
    [anon_sym_volatile] = ACTIONS(3316),
    [anon_sym_restrict] = ACTIONS(3316),
    [anon_sym___restrict__] = ACTIONS(3316),
    [anon_sym__Atomic] = ACTIONS(3316),
    [anon_sym__Noreturn] = ACTIONS(3316),
    [anon_sym_noreturn] = ACTIONS(3316),
    [anon_sym_mutable] = ACTIONS(3316),
    [anon_sym_constinit] = ACTIONS(3316),
    [anon_sym_consteval] = ACTIONS(3316),
    [anon_sym_PROGMEM] = ACTIONS(3316),
    [aux_sym_primitive_type_token1] = ACTIONS(3316),
    [anon_sym_byte] = ACTIONS(3316),
    [anon_sym_word] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_struct] = ACTIONS(3316),
    [anon_sym_union] = ACTIONS(3316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3316),
    [anon_sym_decltype] = ACTIONS(3316),
    [anon_sym_virtual] = ACTIONS(3316),
    [anon_sym_alignas] = ACTIONS(3316),
    [anon_sym_explicit] = ACTIONS(3316),
    [anon_sym_typename] = ACTIONS(3316),
    [anon_sym_template] = ACTIONS(3316),
    [anon_sym_operator] = ACTIONS(3316),
    [anon_sym_friend] = ACTIONS(3316),
    [anon_sym_public] = ACTIONS(3316),
    [anon_sym_private] = ACTIONS(3316),
    [anon_sym_protected] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_static_assert] = ACTIONS(3316),
  },
  [2570] = {
    [sym_identifier] = ACTIONS(3361),
    [aux_sym_preproc_def_token1] = ACTIONS(3361),
    [aux_sym_preproc_if_token1] = ACTIONS(3361),
    [aux_sym_preproc_if_token2] = ACTIONS(3361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3361),
    [sym_preproc_directive] = ACTIONS(3361),
    [anon_sym_LPAREN2] = ACTIONS(3363),
    [anon_sym_TILDE] = ACTIONS(3363),
    [anon_sym_STAR] = ACTIONS(3363),
    [anon_sym_AMP_AMP] = ACTIONS(3363),
    [anon_sym_AMP] = ACTIONS(3361),
    [anon_sym___extension__] = ACTIONS(3361),
    [anon_sym_typedef] = ACTIONS(3361),
    [anon_sym_extern] = ACTIONS(3361),
    [anon_sym___attribute__] = ACTIONS(3361),
    [anon_sym_COLON_COLON] = ACTIONS(3363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3363),
    [anon_sym___declspec] = ACTIONS(3361),
    [anon_sym___based] = ACTIONS(3361),
    [anon_sym_signed] = ACTIONS(3361),
    [anon_sym_unsigned] = ACTIONS(3361),
    [anon_sym_long] = ACTIONS(3361),
    [anon_sym_short] = ACTIONS(3361),
    [anon_sym_LBRACK] = ACTIONS(3361),
    [anon_sym_static] = ACTIONS(3361),
    [anon_sym_register] = ACTIONS(3361),
    [anon_sym_inline] = ACTIONS(3361),
    [anon_sym___inline] = ACTIONS(3361),
    [anon_sym___inline__] = ACTIONS(3361),
    [anon_sym___forceinline] = ACTIONS(3361),
    [anon_sym_thread_local] = ACTIONS(3361),
    [anon_sym___thread] = ACTIONS(3361),
    [anon_sym_const] = ACTIONS(3361),
    [anon_sym_constexpr] = ACTIONS(3361),
    [anon_sym_volatile] = ACTIONS(3361),
    [anon_sym_restrict] = ACTIONS(3361),
    [anon_sym___restrict__] = ACTIONS(3361),
    [anon_sym__Atomic] = ACTIONS(3361),
    [anon_sym__Noreturn] = ACTIONS(3361),
    [anon_sym_noreturn] = ACTIONS(3361),
    [anon_sym_mutable] = ACTIONS(3361),
    [anon_sym_constinit] = ACTIONS(3361),
    [anon_sym_consteval] = ACTIONS(3361),
    [anon_sym_PROGMEM] = ACTIONS(3361),
    [aux_sym_primitive_type_token1] = ACTIONS(3361),
    [anon_sym_byte] = ACTIONS(3361),
    [anon_sym_word] = ACTIONS(3361),
    [anon_sym_enum] = ACTIONS(3361),
    [anon_sym_class] = ACTIONS(3361),
    [anon_sym_struct] = ACTIONS(3361),
    [anon_sym_union] = ACTIONS(3361),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3361),
    [anon_sym_decltype] = ACTIONS(3361),
    [anon_sym_virtual] = ACTIONS(3361),
    [anon_sym_alignas] = ACTIONS(3361),
    [anon_sym_explicit] = ACTIONS(3361),
    [anon_sym_typename] = ACTIONS(3361),
    [anon_sym_template] = ACTIONS(3361),
    [anon_sym_operator] = ACTIONS(3361),
    [anon_sym_friend] = ACTIONS(3361),
    [anon_sym_public] = ACTIONS(3361),
    [anon_sym_private] = ACTIONS(3361),
    [anon_sym_protected] = ACTIONS(3361),
    [anon_sym_using] = ACTIONS(3361),
    [anon_sym_static_assert] = ACTIONS(3361),
  },
  [2571] = {
    [sym_identifier] = ACTIONS(5501),
    [aux_sym_preproc_def_token1] = ACTIONS(5501),
    [aux_sym_preproc_if_token1] = ACTIONS(5501),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5501),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5501),
    [sym_preproc_directive] = ACTIONS(5501),
    [anon_sym_LPAREN2] = ACTIONS(5503),
    [anon_sym_TILDE] = ACTIONS(5503),
    [anon_sym_STAR] = ACTIONS(5503),
    [anon_sym_AMP_AMP] = ACTIONS(5503),
    [anon_sym_AMP] = ACTIONS(5501),
    [anon_sym___extension__] = ACTIONS(5501),
    [anon_sym_typedef] = ACTIONS(5501),
    [anon_sym_extern] = ACTIONS(5501),
    [anon_sym___attribute__] = ACTIONS(5501),
    [anon_sym_COLON_COLON] = ACTIONS(5503),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5503),
    [anon_sym___declspec] = ACTIONS(5501),
    [anon_sym___based] = ACTIONS(5501),
    [anon_sym_RBRACE] = ACTIONS(5503),
    [anon_sym_signed] = ACTIONS(5501),
    [anon_sym_unsigned] = ACTIONS(5501),
    [anon_sym_long] = ACTIONS(5501),
    [anon_sym_short] = ACTIONS(5501),
    [anon_sym_LBRACK] = ACTIONS(5501),
    [anon_sym_static] = ACTIONS(5501),
    [anon_sym_register] = ACTIONS(5501),
    [anon_sym_inline] = ACTIONS(5501),
    [anon_sym___inline] = ACTIONS(5501),
    [anon_sym___inline__] = ACTIONS(5501),
    [anon_sym___forceinline] = ACTIONS(5501),
    [anon_sym_thread_local] = ACTIONS(5501),
    [anon_sym___thread] = ACTIONS(5501),
    [anon_sym_const] = ACTIONS(5501),
    [anon_sym_constexpr] = ACTIONS(5501),
    [anon_sym_volatile] = ACTIONS(5501),
    [anon_sym_restrict] = ACTIONS(5501),
    [anon_sym___restrict__] = ACTIONS(5501),
    [anon_sym__Atomic] = ACTIONS(5501),
    [anon_sym__Noreturn] = ACTIONS(5501),
    [anon_sym_noreturn] = ACTIONS(5501),
    [anon_sym_mutable] = ACTIONS(5501),
    [anon_sym_constinit] = ACTIONS(5501),
    [anon_sym_consteval] = ACTIONS(5501),
    [anon_sym_PROGMEM] = ACTIONS(5501),
    [aux_sym_primitive_type_token1] = ACTIONS(5501),
    [anon_sym_byte] = ACTIONS(5501),
    [anon_sym_word] = ACTIONS(5501),
    [anon_sym_enum] = ACTIONS(5501),
    [anon_sym_class] = ACTIONS(5501),
    [anon_sym_struct] = ACTIONS(5501),
    [anon_sym_union] = ACTIONS(5501),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5501),
    [anon_sym_decltype] = ACTIONS(5501),
    [anon_sym_virtual] = ACTIONS(5501),
    [anon_sym_alignas] = ACTIONS(5501),
    [anon_sym_explicit] = ACTIONS(5501),
    [anon_sym_typename] = ACTIONS(5501),
    [anon_sym_template] = ACTIONS(5501),
    [anon_sym_operator] = ACTIONS(5501),
    [anon_sym_friend] = ACTIONS(5501),
    [anon_sym_public] = ACTIONS(5501),
    [anon_sym_private] = ACTIONS(5501),
    [anon_sym_protected] = ACTIONS(5501),
    [anon_sym_using] = ACTIONS(5501),
    [anon_sym_static_assert] = ACTIONS(5501),
  },
  [2572] = {
    [sym_identifier] = ACTIONS(3397),
    [aux_sym_preproc_def_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token2] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3397),
    [sym_preproc_directive] = ACTIONS(3397),
    [anon_sym_LPAREN2] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_AMP_AMP] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3397),
    [anon_sym___extension__] = ACTIONS(3397),
    [anon_sym_typedef] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym___attribute__] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(3399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym___declspec] = ACTIONS(3397),
    [anon_sym___based] = ACTIONS(3397),
    [anon_sym_signed] = ACTIONS(3397),
    [anon_sym_unsigned] = ACTIONS(3397),
    [anon_sym_long] = ACTIONS(3397),
    [anon_sym_short] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_register] = ACTIONS(3397),
    [anon_sym_inline] = ACTIONS(3397),
    [anon_sym___inline] = ACTIONS(3397),
    [anon_sym___inline__] = ACTIONS(3397),
    [anon_sym___forceinline] = ACTIONS(3397),
    [anon_sym_thread_local] = ACTIONS(3397),
    [anon_sym___thread] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_constexpr] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_restrict] = ACTIONS(3397),
    [anon_sym___restrict__] = ACTIONS(3397),
    [anon_sym__Atomic] = ACTIONS(3397),
    [anon_sym__Noreturn] = ACTIONS(3397),
    [anon_sym_noreturn] = ACTIONS(3397),
    [anon_sym_mutable] = ACTIONS(3397),
    [anon_sym_constinit] = ACTIONS(3397),
    [anon_sym_consteval] = ACTIONS(3397),
    [anon_sym_PROGMEM] = ACTIONS(3397),
    [aux_sym_primitive_type_token1] = ACTIONS(3397),
    [anon_sym_byte] = ACTIONS(3397),
    [anon_sym_word] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_union] = ACTIONS(3397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3397),
    [anon_sym_decltype] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_alignas] = ACTIONS(3397),
    [anon_sym_explicit] = ACTIONS(3397),
    [anon_sym_typename] = ACTIONS(3397),
    [anon_sym_template] = ACTIONS(3397),
    [anon_sym_operator] = ACTIONS(3397),
    [anon_sym_friend] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_static_assert] = ACTIONS(3397),
  },
  [2573] = {
    [sym_identifier] = ACTIONS(3397),
    [aux_sym_preproc_def_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token2] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3397),
    [sym_preproc_directive] = ACTIONS(3397),
    [anon_sym_LPAREN2] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_AMP_AMP] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3397),
    [anon_sym___extension__] = ACTIONS(3397),
    [anon_sym_typedef] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym___attribute__] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(3399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym___declspec] = ACTIONS(3397),
    [anon_sym___based] = ACTIONS(3397),
    [anon_sym_signed] = ACTIONS(3397),
    [anon_sym_unsigned] = ACTIONS(3397),
    [anon_sym_long] = ACTIONS(3397),
    [anon_sym_short] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_register] = ACTIONS(3397),
    [anon_sym_inline] = ACTIONS(3397),
    [anon_sym___inline] = ACTIONS(3397),
    [anon_sym___inline__] = ACTIONS(3397),
    [anon_sym___forceinline] = ACTIONS(3397),
    [anon_sym_thread_local] = ACTIONS(3397),
    [anon_sym___thread] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_constexpr] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_restrict] = ACTIONS(3397),
    [anon_sym___restrict__] = ACTIONS(3397),
    [anon_sym__Atomic] = ACTIONS(3397),
    [anon_sym__Noreturn] = ACTIONS(3397),
    [anon_sym_noreturn] = ACTIONS(3397),
    [anon_sym_mutable] = ACTIONS(3397),
    [anon_sym_constinit] = ACTIONS(3397),
    [anon_sym_consteval] = ACTIONS(3397),
    [anon_sym_PROGMEM] = ACTIONS(3397),
    [aux_sym_primitive_type_token1] = ACTIONS(3397),
    [anon_sym_byte] = ACTIONS(3397),
    [anon_sym_word] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_union] = ACTIONS(3397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3397),
    [anon_sym_decltype] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_alignas] = ACTIONS(3397),
    [anon_sym_explicit] = ACTIONS(3397),
    [anon_sym_typename] = ACTIONS(3397),
    [anon_sym_template] = ACTIONS(3397),
    [anon_sym_operator] = ACTIONS(3397),
    [anon_sym_friend] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_static_assert] = ACTIONS(3397),
  },
  [2574] = {
    [sym_identifier] = ACTIONS(3991),
    [aux_sym_preproc_def_token1] = ACTIONS(3991),
    [aux_sym_preproc_if_token1] = ACTIONS(3991),
    [aux_sym_preproc_if_token2] = ACTIONS(3991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3991),
    [sym_preproc_directive] = ACTIONS(3991),
    [anon_sym_LPAREN2] = ACTIONS(3989),
    [anon_sym_TILDE] = ACTIONS(3989),
    [anon_sym_STAR] = ACTIONS(3989),
    [anon_sym_AMP_AMP] = ACTIONS(3989),
    [anon_sym_AMP] = ACTIONS(3991),
    [anon_sym___extension__] = ACTIONS(3991),
    [anon_sym_typedef] = ACTIONS(3991),
    [anon_sym_extern] = ACTIONS(3991),
    [anon_sym___attribute__] = ACTIONS(3991),
    [anon_sym_COLON_COLON] = ACTIONS(3989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3989),
    [anon_sym___declspec] = ACTIONS(3991),
    [anon_sym___based] = ACTIONS(3991),
    [anon_sym_signed] = ACTIONS(3991),
    [anon_sym_unsigned] = ACTIONS(3991),
    [anon_sym_long] = ACTIONS(3991),
    [anon_sym_short] = ACTIONS(3991),
    [anon_sym_LBRACK] = ACTIONS(3991),
    [anon_sym_static] = ACTIONS(3991),
    [anon_sym_register] = ACTIONS(3991),
    [anon_sym_inline] = ACTIONS(3991),
    [anon_sym___inline] = ACTIONS(3991),
    [anon_sym___inline__] = ACTIONS(3991),
    [anon_sym___forceinline] = ACTIONS(3991),
    [anon_sym_thread_local] = ACTIONS(3991),
    [anon_sym___thread] = ACTIONS(3991),
    [anon_sym_const] = ACTIONS(3991),
    [anon_sym_constexpr] = ACTIONS(3991),
    [anon_sym_volatile] = ACTIONS(3991),
    [anon_sym_restrict] = ACTIONS(3991),
    [anon_sym___restrict__] = ACTIONS(3991),
    [anon_sym__Atomic] = ACTIONS(3991),
    [anon_sym__Noreturn] = ACTIONS(3991),
    [anon_sym_noreturn] = ACTIONS(3991),
    [anon_sym_mutable] = ACTIONS(3991),
    [anon_sym_constinit] = ACTIONS(3991),
    [anon_sym_consteval] = ACTIONS(3991),
    [anon_sym_PROGMEM] = ACTIONS(3991),
    [aux_sym_primitive_type_token1] = ACTIONS(3991),
    [anon_sym_byte] = ACTIONS(3991),
    [anon_sym_word] = ACTIONS(3991),
    [anon_sym_enum] = ACTIONS(3991),
    [anon_sym_class] = ACTIONS(3991),
    [anon_sym_struct] = ACTIONS(3991),
    [anon_sym_union] = ACTIONS(3991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3991),
    [anon_sym_decltype] = ACTIONS(3991),
    [anon_sym_virtual] = ACTIONS(3991),
    [anon_sym_alignas] = ACTIONS(3991),
    [anon_sym_explicit] = ACTIONS(3991),
    [anon_sym_typename] = ACTIONS(3991),
    [anon_sym_template] = ACTIONS(3991),
    [anon_sym_operator] = ACTIONS(3991),
    [anon_sym_friend] = ACTIONS(3991),
    [anon_sym_public] = ACTIONS(3991),
    [anon_sym_private] = ACTIONS(3991),
    [anon_sym_protected] = ACTIONS(3991),
    [anon_sym_using] = ACTIONS(3991),
    [anon_sym_static_assert] = ACTIONS(3991),
  },
  [2575] = {
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token2] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_PROGMEM] = ACTIONS(3040),
    [aux_sym_primitive_type_token1] = ACTIONS(3040),
    [anon_sym_byte] = ACTIONS(3040),
    [anon_sym_word] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_friend] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
  },
  [2576] = {
    [sym_identifier] = ACTIONS(5537),
    [aux_sym_preproc_def_token1] = ACTIONS(5537),
    [aux_sym_preproc_if_token1] = ACTIONS(5537),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5537),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5537),
    [sym_preproc_directive] = ACTIONS(5537),
    [anon_sym_LPAREN2] = ACTIONS(5539),
    [anon_sym_TILDE] = ACTIONS(5539),
    [anon_sym_STAR] = ACTIONS(5539),
    [anon_sym_AMP_AMP] = ACTIONS(5539),
    [anon_sym_AMP] = ACTIONS(5537),
    [anon_sym___extension__] = ACTIONS(5537),
    [anon_sym_typedef] = ACTIONS(5537),
    [anon_sym_extern] = ACTIONS(5537),
    [anon_sym___attribute__] = ACTIONS(5537),
    [anon_sym_COLON_COLON] = ACTIONS(5539),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5539),
    [anon_sym___declspec] = ACTIONS(5537),
    [anon_sym___based] = ACTIONS(5537),
    [anon_sym_RBRACE] = ACTIONS(5539),
    [anon_sym_signed] = ACTIONS(5537),
    [anon_sym_unsigned] = ACTIONS(5537),
    [anon_sym_long] = ACTIONS(5537),
    [anon_sym_short] = ACTIONS(5537),
    [anon_sym_LBRACK] = ACTIONS(5537),
    [anon_sym_static] = ACTIONS(5537),
    [anon_sym_register] = ACTIONS(5537),
    [anon_sym_inline] = ACTIONS(5537),
    [anon_sym___inline] = ACTIONS(5537),
    [anon_sym___inline__] = ACTIONS(5537),
    [anon_sym___forceinline] = ACTIONS(5537),
    [anon_sym_thread_local] = ACTIONS(5537),
    [anon_sym___thread] = ACTIONS(5537),
    [anon_sym_const] = ACTIONS(5537),
    [anon_sym_constexpr] = ACTIONS(5537),
    [anon_sym_volatile] = ACTIONS(5537),
    [anon_sym_restrict] = ACTIONS(5537),
    [anon_sym___restrict__] = ACTIONS(5537),
    [anon_sym__Atomic] = ACTIONS(5537),
    [anon_sym__Noreturn] = ACTIONS(5537),
    [anon_sym_noreturn] = ACTIONS(5537),
    [anon_sym_mutable] = ACTIONS(5537),
    [anon_sym_constinit] = ACTIONS(5537),
    [anon_sym_consteval] = ACTIONS(5537),
    [anon_sym_PROGMEM] = ACTIONS(5537),
    [aux_sym_primitive_type_token1] = ACTIONS(5537),
    [anon_sym_byte] = ACTIONS(5537),
    [anon_sym_word] = ACTIONS(5537),
    [anon_sym_enum] = ACTIONS(5537),
    [anon_sym_class] = ACTIONS(5537),
    [anon_sym_struct] = ACTIONS(5537),
    [anon_sym_union] = ACTIONS(5537),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5537),
    [anon_sym_decltype] = ACTIONS(5537),
    [anon_sym_virtual] = ACTIONS(5537),
    [anon_sym_alignas] = ACTIONS(5537),
    [anon_sym_explicit] = ACTIONS(5537),
    [anon_sym_typename] = ACTIONS(5537),
    [anon_sym_template] = ACTIONS(5537),
    [anon_sym_operator] = ACTIONS(5537),
    [anon_sym_friend] = ACTIONS(5537),
    [anon_sym_public] = ACTIONS(5537),
    [anon_sym_private] = ACTIONS(5537),
    [anon_sym_protected] = ACTIONS(5537),
    [anon_sym_using] = ACTIONS(5537),
    [anon_sym_static_assert] = ACTIONS(5537),
  },
  [2577] = {
    [sym_identifier] = ACTIONS(5533),
    [aux_sym_preproc_def_token1] = ACTIONS(5533),
    [aux_sym_preproc_if_token1] = ACTIONS(5533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5533),
    [sym_preproc_directive] = ACTIONS(5533),
    [anon_sym_LPAREN2] = ACTIONS(5535),
    [anon_sym_TILDE] = ACTIONS(5535),
    [anon_sym_STAR] = ACTIONS(5535),
    [anon_sym_AMP_AMP] = ACTIONS(5535),
    [anon_sym_AMP] = ACTIONS(5533),
    [anon_sym___extension__] = ACTIONS(5533),
    [anon_sym_typedef] = ACTIONS(5533),
    [anon_sym_extern] = ACTIONS(5533),
    [anon_sym___attribute__] = ACTIONS(5533),
    [anon_sym_COLON_COLON] = ACTIONS(5535),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5535),
    [anon_sym___declspec] = ACTIONS(5533),
    [anon_sym___based] = ACTIONS(5533),
    [anon_sym_RBRACE] = ACTIONS(5535),
    [anon_sym_signed] = ACTIONS(5533),
    [anon_sym_unsigned] = ACTIONS(5533),
    [anon_sym_long] = ACTIONS(5533),
    [anon_sym_short] = ACTIONS(5533),
    [anon_sym_LBRACK] = ACTIONS(5533),
    [anon_sym_static] = ACTIONS(5533),
    [anon_sym_register] = ACTIONS(5533),
    [anon_sym_inline] = ACTIONS(5533),
    [anon_sym___inline] = ACTIONS(5533),
    [anon_sym___inline__] = ACTIONS(5533),
    [anon_sym___forceinline] = ACTIONS(5533),
    [anon_sym_thread_local] = ACTIONS(5533),
    [anon_sym___thread] = ACTIONS(5533),
    [anon_sym_const] = ACTIONS(5533),
    [anon_sym_constexpr] = ACTIONS(5533),
    [anon_sym_volatile] = ACTIONS(5533),
    [anon_sym_restrict] = ACTIONS(5533),
    [anon_sym___restrict__] = ACTIONS(5533),
    [anon_sym__Atomic] = ACTIONS(5533),
    [anon_sym__Noreturn] = ACTIONS(5533),
    [anon_sym_noreturn] = ACTIONS(5533),
    [anon_sym_mutable] = ACTIONS(5533),
    [anon_sym_constinit] = ACTIONS(5533),
    [anon_sym_consteval] = ACTIONS(5533),
    [anon_sym_PROGMEM] = ACTIONS(5533),
    [aux_sym_primitive_type_token1] = ACTIONS(5533),
    [anon_sym_byte] = ACTIONS(5533),
    [anon_sym_word] = ACTIONS(5533),
    [anon_sym_enum] = ACTIONS(5533),
    [anon_sym_class] = ACTIONS(5533),
    [anon_sym_struct] = ACTIONS(5533),
    [anon_sym_union] = ACTIONS(5533),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5533),
    [anon_sym_decltype] = ACTIONS(5533),
    [anon_sym_virtual] = ACTIONS(5533),
    [anon_sym_alignas] = ACTIONS(5533),
    [anon_sym_explicit] = ACTIONS(5533),
    [anon_sym_typename] = ACTIONS(5533),
    [anon_sym_template] = ACTIONS(5533),
    [anon_sym_operator] = ACTIONS(5533),
    [anon_sym_friend] = ACTIONS(5533),
    [anon_sym_public] = ACTIONS(5533),
    [anon_sym_private] = ACTIONS(5533),
    [anon_sym_protected] = ACTIONS(5533),
    [anon_sym_using] = ACTIONS(5533),
    [anon_sym_static_assert] = ACTIONS(5533),
  },
  [2578] = {
    [sym_identifier] = ACTIONS(3421),
    [aux_sym_preproc_def_token1] = ACTIONS(3421),
    [aux_sym_preproc_if_token1] = ACTIONS(3421),
    [aux_sym_preproc_if_token2] = ACTIONS(3421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3421),
    [sym_preproc_directive] = ACTIONS(3421),
    [anon_sym_LPAREN2] = ACTIONS(3423),
    [anon_sym_TILDE] = ACTIONS(3423),
    [anon_sym_STAR] = ACTIONS(3423),
    [anon_sym_AMP_AMP] = ACTIONS(3423),
    [anon_sym_AMP] = ACTIONS(3421),
    [anon_sym___extension__] = ACTIONS(3421),
    [anon_sym_typedef] = ACTIONS(3421),
    [anon_sym_extern] = ACTIONS(3421),
    [anon_sym___attribute__] = ACTIONS(3421),
    [anon_sym_COLON_COLON] = ACTIONS(3423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3423),
    [anon_sym___declspec] = ACTIONS(3421),
    [anon_sym___based] = ACTIONS(3421),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(3421),
    [anon_sym_static] = ACTIONS(3421),
    [anon_sym_register] = ACTIONS(3421),
    [anon_sym_inline] = ACTIONS(3421),
    [anon_sym___inline] = ACTIONS(3421),
    [anon_sym___inline__] = ACTIONS(3421),
    [anon_sym___forceinline] = ACTIONS(3421),
    [anon_sym_thread_local] = ACTIONS(3421),
    [anon_sym___thread] = ACTIONS(3421),
    [anon_sym_const] = ACTIONS(3421),
    [anon_sym_constexpr] = ACTIONS(3421),
    [anon_sym_volatile] = ACTIONS(3421),
    [anon_sym_restrict] = ACTIONS(3421),
    [anon_sym___restrict__] = ACTIONS(3421),
    [anon_sym__Atomic] = ACTIONS(3421),
    [anon_sym__Noreturn] = ACTIONS(3421),
    [anon_sym_noreturn] = ACTIONS(3421),
    [anon_sym_mutable] = ACTIONS(3421),
    [anon_sym_constinit] = ACTIONS(3421),
    [anon_sym_consteval] = ACTIONS(3421),
    [anon_sym_PROGMEM] = ACTIONS(3421),
    [aux_sym_primitive_type_token1] = ACTIONS(3421),
    [anon_sym_byte] = ACTIONS(3421),
    [anon_sym_word] = ACTIONS(3421),
    [anon_sym_enum] = ACTIONS(3421),
    [anon_sym_class] = ACTIONS(3421),
    [anon_sym_struct] = ACTIONS(3421),
    [anon_sym_union] = ACTIONS(3421),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3421),
    [anon_sym_decltype] = ACTIONS(3421),
    [anon_sym_virtual] = ACTIONS(3421),
    [anon_sym_alignas] = ACTIONS(3421),
    [anon_sym_explicit] = ACTIONS(3421),
    [anon_sym_typename] = ACTIONS(3421),
    [anon_sym_template] = ACTIONS(3421),
    [anon_sym_operator] = ACTIONS(3421),
    [anon_sym_friend] = ACTIONS(3421),
    [anon_sym_public] = ACTIONS(3421),
    [anon_sym_private] = ACTIONS(3421),
    [anon_sym_protected] = ACTIONS(3421),
    [anon_sym_using] = ACTIONS(3421),
    [anon_sym_static_assert] = ACTIONS(3421),
  },
  [2579] = {
    [sym_identifier] = ACTIONS(3417),
    [aux_sym_preproc_def_token1] = ACTIONS(3417),
    [aux_sym_preproc_if_token1] = ACTIONS(3417),
    [aux_sym_preproc_if_token2] = ACTIONS(3417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3417),
    [sym_preproc_directive] = ACTIONS(3417),
    [anon_sym_LPAREN2] = ACTIONS(3419),
    [anon_sym_TILDE] = ACTIONS(3419),
    [anon_sym_STAR] = ACTIONS(3419),
    [anon_sym_AMP_AMP] = ACTIONS(3419),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym___extension__] = ACTIONS(3417),
    [anon_sym_typedef] = ACTIONS(3417),
    [anon_sym_extern] = ACTIONS(3417),
    [anon_sym___attribute__] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3419),
    [anon_sym___declspec] = ACTIONS(3417),
    [anon_sym___based] = ACTIONS(3417),
    [anon_sym_signed] = ACTIONS(3417),
    [anon_sym_unsigned] = ACTIONS(3417),
    [anon_sym_long] = ACTIONS(3417),
    [anon_sym_short] = ACTIONS(3417),
    [anon_sym_LBRACK] = ACTIONS(3417),
    [anon_sym_static] = ACTIONS(3417),
    [anon_sym_register] = ACTIONS(3417),
    [anon_sym_inline] = ACTIONS(3417),
    [anon_sym___inline] = ACTIONS(3417),
    [anon_sym___inline__] = ACTIONS(3417),
    [anon_sym___forceinline] = ACTIONS(3417),
    [anon_sym_thread_local] = ACTIONS(3417),
    [anon_sym___thread] = ACTIONS(3417),
    [anon_sym_const] = ACTIONS(3417),
    [anon_sym_constexpr] = ACTIONS(3417),
    [anon_sym_volatile] = ACTIONS(3417),
    [anon_sym_restrict] = ACTIONS(3417),
    [anon_sym___restrict__] = ACTIONS(3417),
    [anon_sym__Atomic] = ACTIONS(3417),
    [anon_sym__Noreturn] = ACTIONS(3417),
    [anon_sym_noreturn] = ACTIONS(3417),
    [anon_sym_mutable] = ACTIONS(3417),
    [anon_sym_constinit] = ACTIONS(3417),
    [anon_sym_consteval] = ACTIONS(3417),
    [anon_sym_PROGMEM] = ACTIONS(3417),
    [aux_sym_primitive_type_token1] = ACTIONS(3417),
    [anon_sym_byte] = ACTIONS(3417),
    [anon_sym_word] = ACTIONS(3417),
    [anon_sym_enum] = ACTIONS(3417),
    [anon_sym_class] = ACTIONS(3417),
    [anon_sym_struct] = ACTIONS(3417),
    [anon_sym_union] = ACTIONS(3417),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3417),
    [anon_sym_decltype] = ACTIONS(3417),
    [anon_sym_virtual] = ACTIONS(3417),
    [anon_sym_alignas] = ACTIONS(3417),
    [anon_sym_explicit] = ACTIONS(3417),
    [anon_sym_typename] = ACTIONS(3417),
    [anon_sym_template] = ACTIONS(3417),
    [anon_sym_operator] = ACTIONS(3417),
    [anon_sym_friend] = ACTIONS(3417),
    [anon_sym_public] = ACTIONS(3417),
    [anon_sym_private] = ACTIONS(3417),
    [anon_sym_protected] = ACTIONS(3417),
    [anon_sym_using] = ACTIONS(3417),
    [anon_sym_static_assert] = ACTIONS(3417),
  },
  [2580] = {
    [sym_identifier] = ACTIONS(3208),
    [aux_sym_preproc_def_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token2] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3208),
    [sym_preproc_directive] = ACTIONS(3208),
    [anon_sym_LPAREN2] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3210),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym___extension__] = ACTIONS(3208),
    [anon_sym_typedef] = ACTIONS(3208),
    [anon_sym_extern] = ACTIONS(3208),
    [anon_sym___attribute__] = ACTIONS(3208),
    [anon_sym_COLON_COLON] = ACTIONS(3210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3210),
    [anon_sym___declspec] = ACTIONS(3208),
    [anon_sym___based] = ACTIONS(3208),
    [anon_sym_signed] = ACTIONS(3208),
    [anon_sym_unsigned] = ACTIONS(3208),
    [anon_sym_long] = ACTIONS(3208),
    [anon_sym_short] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_register] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(3208),
    [anon_sym___inline] = ACTIONS(3208),
    [anon_sym___inline__] = ACTIONS(3208),
    [anon_sym___forceinline] = ACTIONS(3208),
    [anon_sym_thread_local] = ACTIONS(3208),
    [anon_sym___thread] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_constexpr] = ACTIONS(3208),
    [anon_sym_volatile] = ACTIONS(3208),
    [anon_sym_restrict] = ACTIONS(3208),
    [anon_sym___restrict__] = ACTIONS(3208),
    [anon_sym__Atomic] = ACTIONS(3208),
    [anon_sym__Noreturn] = ACTIONS(3208),
    [anon_sym_noreturn] = ACTIONS(3208),
    [anon_sym_mutable] = ACTIONS(3208),
    [anon_sym_constinit] = ACTIONS(3208),
    [anon_sym_consteval] = ACTIONS(3208),
    [anon_sym_PROGMEM] = ACTIONS(3208),
    [aux_sym_primitive_type_token1] = ACTIONS(3208),
    [anon_sym_byte] = ACTIONS(3208),
    [anon_sym_word] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_struct] = ACTIONS(3208),
    [anon_sym_union] = ACTIONS(3208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3208),
    [anon_sym_decltype] = ACTIONS(3208),
    [anon_sym_virtual] = ACTIONS(3208),
    [anon_sym_alignas] = ACTIONS(3208),
    [anon_sym_explicit] = ACTIONS(3208),
    [anon_sym_typename] = ACTIONS(3208),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(3208),
    [anon_sym_friend] = ACTIONS(3208),
    [anon_sym_public] = ACTIONS(3208),
    [anon_sym_private] = ACTIONS(3208),
    [anon_sym_protected] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_static_assert] = ACTIONS(3208),
  },
  [2581] = {
    [sym_identifier] = ACTIONS(3499),
    [aux_sym_preproc_def_token1] = ACTIONS(3499),
    [aux_sym_preproc_if_token1] = ACTIONS(3499),
    [aux_sym_preproc_if_token2] = ACTIONS(3499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3499),
    [sym_preproc_directive] = ACTIONS(3499),
    [anon_sym_LPAREN2] = ACTIONS(3501),
    [anon_sym_TILDE] = ACTIONS(3501),
    [anon_sym_STAR] = ACTIONS(3501),
    [anon_sym_AMP_AMP] = ACTIONS(3501),
    [anon_sym_AMP] = ACTIONS(3499),
    [anon_sym___extension__] = ACTIONS(3499),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_extern] = ACTIONS(3499),
    [anon_sym___attribute__] = ACTIONS(3499),
    [anon_sym_COLON_COLON] = ACTIONS(3501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3501),
    [anon_sym___declspec] = ACTIONS(3499),
    [anon_sym___based] = ACTIONS(3499),
    [anon_sym_signed] = ACTIONS(3499),
    [anon_sym_unsigned] = ACTIONS(3499),
    [anon_sym_long] = ACTIONS(3499),
    [anon_sym_short] = ACTIONS(3499),
    [anon_sym_LBRACK] = ACTIONS(3499),
    [anon_sym_static] = ACTIONS(3499),
    [anon_sym_register] = ACTIONS(3499),
    [anon_sym_inline] = ACTIONS(3499),
    [anon_sym___inline] = ACTIONS(3499),
    [anon_sym___inline__] = ACTIONS(3499),
    [anon_sym___forceinline] = ACTIONS(3499),
    [anon_sym_thread_local] = ACTIONS(3499),
    [anon_sym___thread] = ACTIONS(3499),
    [anon_sym_const] = ACTIONS(3499),
    [anon_sym_constexpr] = ACTIONS(3499),
    [anon_sym_volatile] = ACTIONS(3499),
    [anon_sym_restrict] = ACTIONS(3499),
    [anon_sym___restrict__] = ACTIONS(3499),
    [anon_sym__Atomic] = ACTIONS(3499),
    [anon_sym__Noreturn] = ACTIONS(3499),
    [anon_sym_noreturn] = ACTIONS(3499),
    [anon_sym_mutable] = ACTIONS(3499),
    [anon_sym_constinit] = ACTIONS(3499),
    [anon_sym_consteval] = ACTIONS(3499),
    [anon_sym_PROGMEM] = ACTIONS(3499),
    [aux_sym_primitive_type_token1] = ACTIONS(3499),
    [anon_sym_byte] = ACTIONS(3499),
    [anon_sym_word] = ACTIONS(3499),
    [anon_sym_enum] = ACTIONS(3499),
    [anon_sym_class] = ACTIONS(3499),
    [anon_sym_struct] = ACTIONS(3499),
    [anon_sym_union] = ACTIONS(3499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3499),
    [anon_sym_decltype] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(3499),
    [anon_sym_alignas] = ACTIONS(3499),
    [anon_sym_explicit] = ACTIONS(3499),
    [anon_sym_typename] = ACTIONS(3499),
    [anon_sym_template] = ACTIONS(3499),
    [anon_sym_operator] = ACTIONS(3499),
    [anon_sym_friend] = ACTIONS(3499),
    [anon_sym_public] = ACTIONS(3499),
    [anon_sym_private] = ACTIONS(3499),
    [anon_sym_protected] = ACTIONS(3499),
    [anon_sym_using] = ACTIONS(3499),
    [anon_sym_static_assert] = ACTIONS(3499),
  },
  [2582] = {
    [sym_identifier] = ACTIONS(3491),
    [aux_sym_preproc_def_token1] = ACTIONS(3491),
    [aux_sym_preproc_if_token1] = ACTIONS(3491),
    [aux_sym_preproc_if_token2] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3491),
    [anon_sym_LPAREN2] = ACTIONS(3493),
    [anon_sym_TILDE] = ACTIONS(3493),
    [anon_sym_STAR] = ACTIONS(3493),
    [anon_sym_AMP_AMP] = ACTIONS(3493),
    [anon_sym_AMP] = ACTIONS(3491),
    [anon_sym___extension__] = ACTIONS(3491),
    [anon_sym_typedef] = ACTIONS(3491),
    [anon_sym_extern] = ACTIONS(3491),
    [anon_sym___attribute__] = ACTIONS(3491),
    [anon_sym_COLON_COLON] = ACTIONS(3493),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3493),
    [anon_sym___declspec] = ACTIONS(3491),
    [anon_sym___based] = ACTIONS(3491),
    [anon_sym_signed] = ACTIONS(3491),
    [anon_sym_unsigned] = ACTIONS(3491),
    [anon_sym_long] = ACTIONS(3491),
    [anon_sym_short] = ACTIONS(3491),
    [anon_sym_LBRACK] = ACTIONS(3491),
    [anon_sym_static] = ACTIONS(3491),
    [anon_sym_register] = ACTIONS(3491),
    [anon_sym_inline] = ACTIONS(3491),
    [anon_sym___inline] = ACTIONS(3491),
    [anon_sym___inline__] = ACTIONS(3491),
    [anon_sym___forceinline] = ACTIONS(3491),
    [anon_sym_thread_local] = ACTIONS(3491),
    [anon_sym___thread] = ACTIONS(3491),
    [anon_sym_const] = ACTIONS(3491),
    [anon_sym_constexpr] = ACTIONS(3491),
    [anon_sym_volatile] = ACTIONS(3491),
    [anon_sym_restrict] = ACTIONS(3491),
    [anon_sym___restrict__] = ACTIONS(3491),
    [anon_sym__Atomic] = ACTIONS(3491),
    [anon_sym__Noreturn] = ACTIONS(3491),
    [anon_sym_noreturn] = ACTIONS(3491),
    [anon_sym_mutable] = ACTIONS(3491),
    [anon_sym_constinit] = ACTIONS(3491),
    [anon_sym_consteval] = ACTIONS(3491),
    [anon_sym_PROGMEM] = ACTIONS(3491),
    [aux_sym_primitive_type_token1] = ACTIONS(3491),
    [anon_sym_byte] = ACTIONS(3491),
    [anon_sym_word] = ACTIONS(3491),
    [anon_sym_enum] = ACTIONS(3491),
    [anon_sym_class] = ACTIONS(3491),
    [anon_sym_struct] = ACTIONS(3491),
    [anon_sym_union] = ACTIONS(3491),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3491),
    [anon_sym_decltype] = ACTIONS(3491),
    [anon_sym_virtual] = ACTIONS(3491),
    [anon_sym_alignas] = ACTIONS(3491),
    [anon_sym_explicit] = ACTIONS(3491),
    [anon_sym_typename] = ACTIONS(3491),
    [anon_sym_template] = ACTIONS(3491),
    [anon_sym_operator] = ACTIONS(3491),
    [anon_sym_friend] = ACTIONS(3491),
    [anon_sym_public] = ACTIONS(3491),
    [anon_sym_private] = ACTIONS(3491),
    [anon_sym_protected] = ACTIONS(3491),
    [anon_sym_using] = ACTIONS(3491),
    [anon_sym_static_assert] = ACTIONS(3491),
  },
  [2583] = {
    [sym_identifier] = ACTIONS(5433),
    [aux_sym_preproc_def_token1] = ACTIONS(5433),
    [aux_sym_preproc_if_token1] = ACTIONS(5433),
    [aux_sym_preproc_if_token2] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5433),
    [sym_preproc_directive] = ACTIONS(5433),
    [anon_sym_LPAREN2] = ACTIONS(5435),
    [anon_sym_TILDE] = ACTIONS(5435),
    [anon_sym_STAR] = ACTIONS(5435),
    [anon_sym_AMP_AMP] = ACTIONS(5435),
    [anon_sym_AMP] = ACTIONS(5433),
    [anon_sym___extension__] = ACTIONS(5433),
    [anon_sym_typedef] = ACTIONS(5433),
    [anon_sym_extern] = ACTIONS(5433),
    [anon_sym___attribute__] = ACTIONS(5433),
    [anon_sym_COLON_COLON] = ACTIONS(5435),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5435),
    [anon_sym___declspec] = ACTIONS(5433),
    [anon_sym___based] = ACTIONS(5433),
    [anon_sym_signed] = ACTIONS(5433),
    [anon_sym_unsigned] = ACTIONS(5433),
    [anon_sym_long] = ACTIONS(5433),
    [anon_sym_short] = ACTIONS(5433),
    [anon_sym_LBRACK] = ACTIONS(5433),
    [anon_sym_static] = ACTIONS(5433),
    [anon_sym_register] = ACTIONS(5433),
    [anon_sym_inline] = ACTIONS(5433),
    [anon_sym___inline] = ACTIONS(5433),
    [anon_sym___inline__] = ACTIONS(5433),
    [anon_sym___forceinline] = ACTIONS(5433),
    [anon_sym_thread_local] = ACTIONS(5433),
    [anon_sym___thread] = ACTIONS(5433),
    [anon_sym_const] = ACTIONS(5433),
    [anon_sym_constexpr] = ACTIONS(5433),
    [anon_sym_volatile] = ACTIONS(5433),
    [anon_sym_restrict] = ACTIONS(5433),
    [anon_sym___restrict__] = ACTIONS(5433),
    [anon_sym__Atomic] = ACTIONS(5433),
    [anon_sym__Noreturn] = ACTIONS(5433),
    [anon_sym_noreturn] = ACTIONS(5433),
    [anon_sym_mutable] = ACTIONS(5433),
    [anon_sym_constinit] = ACTIONS(5433),
    [anon_sym_consteval] = ACTIONS(5433),
    [anon_sym_PROGMEM] = ACTIONS(5433),
    [aux_sym_primitive_type_token1] = ACTIONS(5433),
    [anon_sym_byte] = ACTIONS(5433),
    [anon_sym_word] = ACTIONS(5433),
    [anon_sym_enum] = ACTIONS(5433),
    [anon_sym_class] = ACTIONS(5433),
    [anon_sym_struct] = ACTIONS(5433),
    [anon_sym_union] = ACTIONS(5433),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5433),
    [anon_sym_decltype] = ACTIONS(5433),
    [anon_sym_virtual] = ACTIONS(5433),
    [anon_sym_alignas] = ACTIONS(5433),
    [anon_sym_explicit] = ACTIONS(5433),
    [anon_sym_typename] = ACTIONS(5433),
    [anon_sym_template] = ACTIONS(5433),
    [anon_sym_operator] = ACTIONS(5433),
    [anon_sym_friend] = ACTIONS(5433),
    [anon_sym_public] = ACTIONS(5433),
    [anon_sym_private] = ACTIONS(5433),
    [anon_sym_protected] = ACTIONS(5433),
    [anon_sym_using] = ACTIONS(5433),
    [anon_sym_static_assert] = ACTIONS(5433),
  },
  [2584] = {
    [sym_identifier] = ACTIONS(3278),
    [aux_sym_preproc_def_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token2] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3278),
    [sym_preproc_directive] = ACTIONS(3278),
    [anon_sym_LPAREN2] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3278),
    [anon_sym___extension__] = ACTIONS(3278),
    [anon_sym_typedef] = ACTIONS(3278),
    [anon_sym_extern] = ACTIONS(3278),
    [anon_sym___attribute__] = ACTIONS(3278),
    [anon_sym_COLON_COLON] = ACTIONS(3280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3280),
    [anon_sym___declspec] = ACTIONS(3278),
    [anon_sym___based] = ACTIONS(3278),
    [anon_sym_signed] = ACTIONS(3278),
    [anon_sym_unsigned] = ACTIONS(3278),
    [anon_sym_long] = ACTIONS(3278),
    [anon_sym_short] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_register] = ACTIONS(3278),
    [anon_sym_inline] = ACTIONS(3278),
    [anon_sym___inline] = ACTIONS(3278),
    [anon_sym___inline__] = ACTIONS(3278),
    [anon_sym___forceinline] = ACTIONS(3278),
    [anon_sym_thread_local] = ACTIONS(3278),
    [anon_sym___thread] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_constexpr] = ACTIONS(3278),
    [anon_sym_volatile] = ACTIONS(3278),
    [anon_sym_restrict] = ACTIONS(3278),
    [anon_sym___restrict__] = ACTIONS(3278),
    [anon_sym__Atomic] = ACTIONS(3278),
    [anon_sym__Noreturn] = ACTIONS(3278),
    [anon_sym_noreturn] = ACTIONS(3278),
    [anon_sym_mutable] = ACTIONS(3278),
    [anon_sym_constinit] = ACTIONS(3278),
    [anon_sym_consteval] = ACTIONS(3278),
    [anon_sym_PROGMEM] = ACTIONS(3278),
    [aux_sym_primitive_type_token1] = ACTIONS(3278),
    [anon_sym_byte] = ACTIONS(3278),
    [anon_sym_word] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_struct] = ACTIONS(3278),
    [anon_sym_union] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3278),
    [anon_sym_decltype] = ACTIONS(3278),
    [anon_sym_virtual] = ACTIONS(3278),
    [anon_sym_alignas] = ACTIONS(3278),
    [anon_sym_explicit] = ACTIONS(3278),
    [anon_sym_typename] = ACTIONS(3278),
    [anon_sym_template] = ACTIONS(3278),
    [anon_sym_operator] = ACTIONS(3278),
    [anon_sym_friend] = ACTIONS(3278),
    [anon_sym_public] = ACTIONS(3278),
    [anon_sym_private] = ACTIONS(3278),
    [anon_sym_protected] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_static_assert] = ACTIONS(3278),
  },
  [2585] = {
    [sym_string_literal] = STATE(2787),
    [sym_template_argument_list] = STATE(4136),
    [sym_raw_string_literal] = STATE(2787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_RPAREN] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5956),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(4454),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4446),
    [anon_sym_SLASH_EQ] = ACTIONS(4446),
    [anon_sym_PERCENT_EQ] = ACTIONS(4446),
    [anon_sym_PLUS_EQ] = ACTIONS(4446),
    [anon_sym_DASH_EQ] = ACTIONS(4446),
    [anon_sym_LT_LT_EQ] = ACTIONS(4446),
    [anon_sym_GT_GT_EQ] = ACTIONS(4446),
    [anon_sym_AMP_EQ] = ACTIONS(4446),
    [anon_sym_CARET_EQ] = ACTIONS(4446),
    [anon_sym_PIPE_EQ] = ACTIONS(4446),
    [anon_sym_and_eq] = ACTIONS(5959),
    [anon_sym_or_eq] = ACTIONS(5959),
    [anon_sym_xor_eq] = ACTIONS(5959),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4454),
    [anon_sym_L_DQUOTE] = ACTIONS(4511),
    [anon_sym_u_DQUOTE] = ACTIONS(4511),
    [anon_sym_U_DQUOTE] = ACTIONS(4511),
    [anon_sym_u8_DQUOTE] = ACTIONS(4511),
    [anon_sym_DQUOTE] = ACTIONS(4511),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4513),
    [anon_sym_LR_DQUOTE] = ACTIONS(4513),
    [anon_sym_uR_DQUOTE] = ACTIONS(4513),
    [anon_sym_UR_DQUOTE] = ACTIONS(4513),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4513),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4446),
  },
  [2586] = {
    [sym_identifier] = ACTIONS(3435),
    [aux_sym_preproc_def_token1] = ACTIONS(3435),
    [aux_sym_preproc_if_token1] = ACTIONS(3435),
    [aux_sym_preproc_if_token2] = ACTIONS(3435),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3435),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3435),
    [sym_preproc_directive] = ACTIONS(3435),
    [anon_sym_LPAREN2] = ACTIONS(3437),
    [anon_sym_TILDE] = ACTIONS(3437),
    [anon_sym_STAR] = ACTIONS(3437),
    [anon_sym_AMP_AMP] = ACTIONS(3437),
    [anon_sym_AMP] = ACTIONS(3435),
    [anon_sym___extension__] = ACTIONS(3435),
    [anon_sym_typedef] = ACTIONS(3435),
    [anon_sym_extern] = ACTIONS(3435),
    [anon_sym___attribute__] = ACTIONS(3435),
    [anon_sym_COLON_COLON] = ACTIONS(3437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3437),
    [anon_sym___declspec] = ACTIONS(3435),
    [anon_sym___based] = ACTIONS(3435),
    [anon_sym_signed] = ACTIONS(3435),
    [anon_sym_unsigned] = ACTIONS(3435),
    [anon_sym_long] = ACTIONS(3435),
    [anon_sym_short] = ACTIONS(3435),
    [anon_sym_LBRACK] = ACTIONS(3435),
    [anon_sym_static] = ACTIONS(3435),
    [anon_sym_register] = ACTIONS(3435),
    [anon_sym_inline] = ACTIONS(3435),
    [anon_sym___inline] = ACTIONS(3435),
    [anon_sym___inline__] = ACTIONS(3435),
    [anon_sym___forceinline] = ACTIONS(3435),
    [anon_sym_thread_local] = ACTIONS(3435),
    [anon_sym___thread] = ACTIONS(3435),
    [anon_sym_const] = ACTIONS(3435),
    [anon_sym_constexpr] = ACTIONS(3435),
    [anon_sym_volatile] = ACTIONS(3435),
    [anon_sym_restrict] = ACTIONS(3435),
    [anon_sym___restrict__] = ACTIONS(3435),
    [anon_sym__Atomic] = ACTIONS(3435),
    [anon_sym__Noreturn] = ACTIONS(3435),
    [anon_sym_noreturn] = ACTIONS(3435),
    [anon_sym_mutable] = ACTIONS(3435),
    [anon_sym_constinit] = ACTIONS(3435),
    [anon_sym_consteval] = ACTIONS(3435),
    [anon_sym_PROGMEM] = ACTIONS(3435),
    [aux_sym_primitive_type_token1] = ACTIONS(3435),
    [anon_sym_byte] = ACTIONS(3435),
    [anon_sym_word] = ACTIONS(3435),
    [anon_sym_enum] = ACTIONS(3435),
    [anon_sym_class] = ACTIONS(3435),
    [anon_sym_struct] = ACTIONS(3435),
    [anon_sym_union] = ACTIONS(3435),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3435),
    [anon_sym_decltype] = ACTIONS(3435),
    [anon_sym_virtual] = ACTIONS(3435),
    [anon_sym_alignas] = ACTIONS(3435),
    [anon_sym_explicit] = ACTIONS(3435),
    [anon_sym_typename] = ACTIONS(3435),
    [anon_sym_template] = ACTIONS(3435),
    [anon_sym_operator] = ACTIONS(3435),
    [anon_sym_friend] = ACTIONS(3435),
    [anon_sym_public] = ACTIONS(3435),
    [anon_sym_private] = ACTIONS(3435),
    [anon_sym_protected] = ACTIONS(3435),
    [anon_sym_using] = ACTIONS(3435),
    [anon_sym_static_assert] = ACTIONS(3435),
  },
  [2587] = {
    [sym_string_literal] = STATE(2587),
    [sym_raw_string_literal] = STATE(2587),
    [aux_sym_concatenated_string_repeat1] = STATE(2587),
    [sym_identifier] = ACTIONS(5961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5356),
    [anon_sym_COMMA] = ACTIONS(5356),
    [anon_sym_LPAREN2] = ACTIONS(5356),
    [anon_sym_DASH] = ACTIONS(5358),
    [anon_sym_PLUS] = ACTIONS(5358),
    [anon_sym_STAR] = ACTIONS(5358),
    [anon_sym_SLASH] = ACTIONS(5358),
    [anon_sym_PERCENT] = ACTIONS(5358),
    [anon_sym_PIPE_PIPE] = ACTIONS(5356),
    [anon_sym_AMP_AMP] = ACTIONS(5356),
    [anon_sym_PIPE] = ACTIONS(5358),
    [anon_sym_CARET] = ACTIONS(5358),
    [anon_sym_AMP] = ACTIONS(5358),
    [anon_sym_EQ_EQ] = ACTIONS(5356),
    [anon_sym_BANG_EQ] = ACTIONS(5356),
    [anon_sym_GT] = ACTIONS(5358),
    [anon_sym_GT_EQ] = ACTIONS(5356),
    [anon_sym_LT_EQ] = ACTIONS(5358),
    [anon_sym_LT] = ACTIONS(5358),
    [anon_sym_LT_LT] = ACTIONS(5358),
    [anon_sym_GT_GT] = ACTIONS(5358),
    [anon_sym_SEMI] = ACTIONS(5356),
    [anon_sym___attribute__] = ACTIONS(5358),
    [anon_sym_LBRACK] = ACTIONS(5356),
    [anon_sym_EQ] = ACTIONS(5358),
    [anon_sym_QMARK] = ACTIONS(5356),
    [anon_sym_STAR_EQ] = ACTIONS(5356),
    [anon_sym_SLASH_EQ] = ACTIONS(5356),
    [anon_sym_PERCENT_EQ] = ACTIONS(5356),
    [anon_sym_PLUS_EQ] = ACTIONS(5356),
    [anon_sym_DASH_EQ] = ACTIONS(5356),
    [anon_sym_LT_LT_EQ] = ACTIONS(5356),
    [anon_sym_GT_GT_EQ] = ACTIONS(5356),
    [anon_sym_AMP_EQ] = ACTIONS(5356),
    [anon_sym_CARET_EQ] = ACTIONS(5356),
    [anon_sym_PIPE_EQ] = ACTIONS(5356),
    [anon_sym_and_eq] = ACTIONS(5358),
    [anon_sym_or_eq] = ACTIONS(5358),
    [anon_sym_xor_eq] = ACTIONS(5358),
    [anon_sym_LT_EQ_GT] = ACTIONS(5356),
    [anon_sym_or] = ACTIONS(5358),
    [anon_sym_and] = ACTIONS(5358),
    [anon_sym_bitor] = ACTIONS(5358),
    [anon_sym_xor] = ACTIONS(5358),
    [anon_sym_bitand] = ACTIONS(5358),
    [anon_sym_not_eq] = ACTIONS(5358),
    [anon_sym_DASH_DASH] = ACTIONS(5356),
    [anon_sym_PLUS_PLUS] = ACTIONS(5356),
    [anon_sym_DOT] = ACTIONS(5358),
    [anon_sym_DOT_STAR] = ACTIONS(5356),
    [anon_sym_DASH_GT] = ACTIONS(5356),
    [anon_sym_L_DQUOTE] = ACTIONS(5964),
    [anon_sym_u_DQUOTE] = ACTIONS(5964),
    [anon_sym_U_DQUOTE] = ACTIONS(5964),
    [anon_sym_u8_DQUOTE] = ACTIONS(5964),
    [anon_sym_DQUOTE] = ACTIONS(5964),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5967),
    [anon_sym_LR_DQUOTE] = ACTIONS(5967),
    [anon_sym_uR_DQUOTE] = ACTIONS(5967),
    [anon_sym_UR_DQUOTE] = ACTIONS(5967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5967),
    [sym_literal_suffix] = ACTIONS(5358),
  },
  [2588] = {
    [sym_identifier] = ACTIONS(5437),
    [aux_sym_preproc_def_token1] = ACTIONS(5437),
    [aux_sym_preproc_if_token1] = ACTIONS(5437),
    [aux_sym_preproc_if_token2] = ACTIONS(5437),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5437),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5437),
    [sym_preproc_directive] = ACTIONS(5437),
    [anon_sym_LPAREN2] = ACTIONS(5439),
    [anon_sym_TILDE] = ACTIONS(5439),
    [anon_sym_STAR] = ACTIONS(5439),
    [anon_sym_AMP_AMP] = ACTIONS(5439),
    [anon_sym_AMP] = ACTIONS(5437),
    [anon_sym___extension__] = ACTIONS(5437),
    [anon_sym_typedef] = ACTIONS(5437),
    [anon_sym_extern] = ACTIONS(5437),
    [anon_sym___attribute__] = ACTIONS(5437),
    [anon_sym_COLON_COLON] = ACTIONS(5439),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5439),
    [anon_sym___declspec] = ACTIONS(5437),
    [anon_sym___based] = ACTIONS(5437),
    [anon_sym_signed] = ACTIONS(5437),
    [anon_sym_unsigned] = ACTIONS(5437),
    [anon_sym_long] = ACTIONS(5437),
    [anon_sym_short] = ACTIONS(5437),
    [anon_sym_LBRACK] = ACTIONS(5437),
    [anon_sym_static] = ACTIONS(5437),
    [anon_sym_register] = ACTIONS(5437),
    [anon_sym_inline] = ACTIONS(5437),
    [anon_sym___inline] = ACTIONS(5437),
    [anon_sym___inline__] = ACTIONS(5437),
    [anon_sym___forceinline] = ACTIONS(5437),
    [anon_sym_thread_local] = ACTIONS(5437),
    [anon_sym___thread] = ACTIONS(5437),
    [anon_sym_const] = ACTIONS(5437),
    [anon_sym_constexpr] = ACTIONS(5437),
    [anon_sym_volatile] = ACTIONS(5437),
    [anon_sym_restrict] = ACTIONS(5437),
    [anon_sym___restrict__] = ACTIONS(5437),
    [anon_sym__Atomic] = ACTIONS(5437),
    [anon_sym__Noreturn] = ACTIONS(5437),
    [anon_sym_noreturn] = ACTIONS(5437),
    [anon_sym_mutable] = ACTIONS(5437),
    [anon_sym_constinit] = ACTIONS(5437),
    [anon_sym_consteval] = ACTIONS(5437),
    [anon_sym_PROGMEM] = ACTIONS(5437),
    [aux_sym_primitive_type_token1] = ACTIONS(5437),
    [anon_sym_byte] = ACTIONS(5437),
    [anon_sym_word] = ACTIONS(5437),
    [anon_sym_enum] = ACTIONS(5437),
    [anon_sym_class] = ACTIONS(5437),
    [anon_sym_struct] = ACTIONS(5437),
    [anon_sym_union] = ACTIONS(5437),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5437),
    [anon_sym_decltype] = ACTIONS(5437),
    [anon_sym_virtual] = ACTIONS(5437),
    [anon_sym_alignas] = ACTIONS(5437),
    [anon_sym_explicit] = ACTIONS(5437),
    [anon_sym_typename] = ACTIONS(5437),
    [anon_sym_template] = ACTIONS(5437),
    [anon_sym_operator] = ACTIONS(5437),
    [anon_sym_friend] = ACTIONS(5437),
    [anon_sym_public] = ACTIONS(5437),
    [anon_sym_private] = ACTIONS(5437),
    [anon_sym_protected] = ACTIONS(5437),
    [anon_sym_using] = ACTIONS(5437),
    [anon_sym_static_assert] = ACTIONS(5437),
  },
  [2589] = {
    [sym_identifier] = ACTIONS(3455),
    [aux_sym_preproc_def_token1] = ACTIONS(3455),
    [aux_sym_preproc_if_token1] = ACTIONS(3455),
    [aux_sym_preproc_if_token2] = ACTIONS(3455),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3455),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3455),
    [sym_preproc_directive] = ACTIONS(3455),
    [anon_sym_LPAREN2] = ACTIONS(3457),
    [anon_sym_TILDE] = ACTIONS(3457),
    [anon_sym_STAR] = ACTIONS(3457),
    [anon_sym_AMP_AMP] = ACTIONS(3457),
    [anon_sym_AMP] = ACTIONS(3455),
    [anon_sym___extension__] = ACTIONS(3455),
    [anon_sym_typedef] = ACTIONS(3455),
    [anon_sym_extern] = ACTIONS(3455),
    [anon_sym___attribute__] = ACTIONS(3455),
    [anon_sym_COLON_COLON] = ACTIONS(3457),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3457),
    [anon_sym___declspec] = ACTIONS(3455),
    [anon_sym___based] = ACTIONS(3455),
    [anon_sym_signed] = ACTIONS(3455),
    [anon_sym_unsigned] = ACTIONS(3455),
    [anon_sym_long] = ACTIONS(3455),
    [anon_sym_short] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(3455),
    [anon_sym_static] = ACTIONS(3455),
    [anon_sym_register] = ACTIONS(3455),
    [anon_sym_inline] = ACTIONS(3455),
    [anon_sym___inline] = ACTIONS(3455),
    [anon_sym___inline__] = ACTIONS(3455),
    [anon_sym___forceinline] = ACTIONS(3455),
    [anon_sym_thread_local] = ACTIONS(3455),
    [anon_sym___thread] = ACTIONS(3455),
    [anon_sym_const] = ACTIONS(3455),
    [anon_sym_constexpr] = ACTIONS(3455),
    [anon_sym_volatile] = ACTIONS(3455),
    [anon_sym_restrict] = ACTIONS(3455),
    [anon_sym___restrict__] = ACTIONS(3455),
    [anon_sym__Atomic] = ACTIONS(3455),
    [anon_sym__Noreturn] = ACTIONS(3455),
    [anon_sym_noreturn] = ACTIONS(3455),
    [anon_sym_mutable] = ACTIONS(3455),
    [anon_sym_constinit] = ACTIONS(3455),
    [anon_sym_consteval] = ACTIONS(3455),
    [anon_sym_PROGMEM] = ACTIONS(3455),
    [aux_sym_primitive_type_token1] = ACTIONS(3455),
    [anon_sym_byte] = ACTIONS(3455),
    [anon_sym_word] = ACTIONS(3455),
    [anon_sym_enum] = ACTIONS(3455),
    [anon_sym_class] = ACTIONS(3455),
    [anon_sym_struct] = ACTIONS(3455),
    [anon_sym_union] = ACTIONS(3455),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3455),
    [anon_sym_virtual] = ACTIONS(3455),
    [anon_sym_alignas] = ACTIONS(3455),
    [anon_sym_explicit] = ACTIONS(3455),
    [anon_sym_typename] = ACTIONS(3455),
    [anon_sym_template] = ACTIONS(3455),
    [anon_sym_operator] = ACTIONS(3455),
    [anon_sym_friend] = ACTIONS(3455),
    [anon_sym_public] = ACTIONS(3455),
    [anon_sym_private] = ACTIONS(3455),
    [anon_sym_protected] = ACTIONS(3455),
    [anon_sym_using] = ACTIONS(3455),
    [anon_sym_static_assert] = ACTIONS(3455),
  },
  [2590] = {
    [sym_identifier] = ACTIONS(3439),
    [aux_sym_preproc_def_token1] = ACTIONS(3439),
    [aux_sym_preproc_if_token1] = ACTIONS(3439),
    [aux_sym_preproc_if_token2] = ACTIONS(3439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3439),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3439),
    [sym_preproc_directive] = ACTIONS(3439),
    [anon_sym_LPAREN2] = ACTIONS(3441),
    [anon_sym_TILDE] = ACTIONS(3441),
    [anon_sym_STAR] = ACTIONS(3441),
    [anon_sym_AMP_AMP] = ACTIONS(3441),
    [anon_sym_AMP] = ACTIONS(3439),
    [anon_sym___extension__] = ACTIONS(3439),
    [anon_sym_typedef] = ACTIONS(3439),
    [anon_sym_extern] = ACTIONS(3439),
    [anon_sym___attribute__] = ACTIONS(3439),
    [anon_sym_COLON_COLON] = ACTIONS(3441),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3441),
    [anon_sym___declspec] = ACTIONS(3439),
    [anon_sym___based] = ACTIONS(3439),
    [anon_sym_signed] = ACTIONS(3439),
    [anon_sym_unsigned] = ACTIONS(3439),
    [anon_sym_long] = ACTIONS(3439),
    [anon_sym_short] = ACTIONS(3439),
    [anon_sym_LBRACK] = ACTIONS(3439),
    [anon_sym_static] = ACTIONS(3439),
    [anon_sym_register] = ACTIONS(3439),
    [anon_sym_inline] = ACTIONS(3439),
    [anon_sym___inline] = ACTIONS(3439),
    [anon_sym___inline__] = ACTIONS(3439),
    [anon_sym___forceinline] = ACTIONS(3439),
    [anon_sym_thread_local] = ACTIONS(3439),
    [anon_sym___thread] = ACTIONS(3439),
    [anon_sym_const] = ACTIONS(3439),
    [anon_sym_constexpr] = ACTIONS(3439),
    [anon_sym_volatile] = ACTIONS(3439),
    [anon_sym_restrict] = ACTIONS(3439),
    [anon_sym___restrict__] = ACTIONS(3439),
    [anon_sym__Atomic] = ACTIONS(3439),
    [anon_sym__Noreturn] = ACTIONS(3439),
    [anon_sym_noreturn] = ACTIONS(3439),
    [anon_sym_mutable] = ACTIONS(3439),
    [anon_sym_constinit] = ACTIONS(3439),
    [anon_sym_consteval] = ACTIONS(3439),
    [anon_sym_PROGMEM] = ACTIONS(3439),
    [aux_sym_primitive_type_token1] = ACTIONS(3439),
    [anon_sym_byte] = ACTIONS(3439),
    [anon_sym_word] = ACTIONS(3439),
    [anon_sym_enum] = ACTIONS(3439),
    [anon_sym_class] = ACTIONS(3439),
    [anon_sym_struct] = ACTIONS(3439),
    [anon_sym_union] = ACTIONS(3439),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3439),
    [anon_sym_virtual] = ACTIONS(3439),
    [anon_sym_alignas] = ACTIONS(3439),
    [anon_sym_explicit] = ACTIONS(3439),
    [anon_sym_typename] = ACTIONS(3439),
    [anon_sym_template] = ACTIONS(3439),
    [anon_sym_operator] = ACTIONS(3439),
    [anon_sym_friend] = ACTIONS(3439),
    [anon_sym_public] = ACTIONS(3439),
    [anon_sym_private] = ACTIONS(3439),
    [anon_sym_protected] = ACTIONS(3439),
    [anon_sym_using] = ACTIONS(3439),
    [anon_sym_static_assert] = ACTIONS(3439),
  },
  [2591] = {
    [sym_identifier] = ACTIONS(3427),
    [aux_sym_preproc_def_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token2] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3427),
    [sym_preproc_directive] = ACTIONS(3427),
    [anon_sym_LPAREN2] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_STAR] = ACTIONS(3429),
    [anon_sym_AMP_AMP] = ACTIONS(3429),
    [anon_sym_AMP] = ACTIONS(3427),
    [anon_sym___extension__] = ACTIONS(3427),
    [anon_sym_typedef] = ACTIONS(3427),
    [anon_sym_extern] = ACTIONS(3427),
    [anon_sym___attribute__] = ACTIONS(3427),
    [anon_sym_COLON_COLON] = ACTIONS(3429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3429),
    [anon_sym___declspec] = ACTIONS(3427),
    [anon_sym___based] = ACTIONS(3427),
    [anon_sym_signed] = ACTIONS(3427),
    [anon_sym_unsigned] = ACTIONS(3427),
    [anon_sym_long] = ACTIONS(3427),
    [anon_sym_short] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_register] = ACTIONS(3427),
    [anon_sym_inline] = ACTIONS(3427),
    [anon_sym___inline] = ACTIONS(3427),
    [anon_sym___inline__] = ACTIONS(3427),
    [anon_sym___forceinline] = ACTIONS(3427),
    [anon_sym_thread_local] = ACTIONS(3427),
    [anon_sym___thread] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_constexpr] = ACTIONS(3427),
    [anon_sym_volatile] = ACTIONS(3427),
    [anon_sym_restrict] = ACTIONS(3427),
    [anon_sym___restrict__] = ACTIONS(3427),
    [anon_sym__Atomic] = ACTIONS(3427),
    [anon_sym__Noreturn] = ACTIONS(3427),
    [anon_sym_noreturn] = ACTIONS(3427),
    [anon_sym_mutable] = ACTIONS(3427),
    [anon_sym_constinit] = ACTIONS(3427),
    [anon_sym_consteval] = ACTIONS(3427),
    [anon_sym_PROGMEM] = ACTIONS(3427),
    [aux_sym_primitive_type_token1] = ACTIONS(3427),
    [anon_sym_byte] = ACTIONS(3427),
    [anon_sym_word] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3427),
    [anon_sym_union] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3427),
    [anon_sym_decltype] = ACTIONS(3427),
    [anon_sym_virtual] = ACTIONS(3427),
    [anon_sym_alignas] = ACTIONS(3427),
    [anon_sym_explicit] = ACTIONS(3427),
    [anon_sym_typename] = ACTIONS(3427),
    [anon_sym_template] = ACTIONS(3427),
    [anon_sym_operator] = ACTIONS(3427),
    [anon_sym_friend] = ACTIONS(3427),
    [anon_sym_public] = ACTIONS(3427),
    [anon_sym_private] = ACTIONS(3427),
    [anon_sym_protected] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_static_assert] = ACTIONS(3427),
  },
  [2592] = {
    [sym_identifier] = ACTIONS(3427),
    [aux_sym_preproc_def_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token1] = ACTIONS(3427),
    [aux_sym_preproc_if_token2] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3427),
    [sym_preproc_directive] = ACTIONS(3427),
    [anon_sym_LPAREN2] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_STAR] = ACTIONS(3429),
    [anon_sym_AMP_AMP] = ACTIONS(3429),
    [anon_sym_AMP] = ACTIONS(3427),
    [anon_sym___extension__] = ACTIONS(3427),
    [anon_sym_typedef] = ACTIONS(3427),
    [anon_sym_extern] = ACTIONS(3427),
    [anon_sym___attribute__] = ACTIONS(3427),
    [anon_sym_COLON_COLON] = ACTIONS(3429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3429),
    [anon_sym___declspec] = ACTIONS(3427),
    [anon_sym___based] = ACTIONS(3427),
    [anon_sym_signed] = ACTIONS(3427),
    [anon_sym_unsigned] = ACTIONS(3427),
    [anon_sym_long] = ACTIONS(3427),
    [anon_sym_short] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_register] = ACTIONS(3427),
    [anon_sym_inline] = ACTIONS(3427),
    [anon_sym___inline] = ACTIONS(3427),
    [anon_sym___inline__] = ACTIONS(3427),
    [anon_sym___forceinline] = ACTIONS(3427),
    [anon_sym_thread_local] = ACTIONS(3427),
    [anon_sym___thread] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_constexpr] = ACTIONS(3427),
    [anon_sym_volatile] = ACTIONS(3427),
    [anon_sym_restrict] = ACTIONS(3427),
    [anon_sym___restrict__] = ACTIONS(3427),
    [anon_sym__Atomic] = ACTIONS(3427),
    [anon_sym__Noreturn] = ACTIONS(3427),
    [anon_sym_noreturn] = ACTIONS(3427),
    [anon_sym_mutable] = ACTIONS(3427),
    [anon_sym_constinit] = ACTIONS(3427),
    [anon_sym_consteval] = ACTIONS(3427),
    [anon_sym_PROGMEM] = ACTIONS(3427),
    [aux_sym_primitive_type_token1] = ACTIONS(3427),
    [anon_sym_byte] = ACTIONS(3427),
    [anon_sym_word] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3427),
    [anon_sym_union] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3427),
    [anon_sym_decltype] = ACTIONS(3427),
    [anon_sym_virtual] = ACTIONS(3427),
    [anon_sym_alignas] = ACTIONS(3427),
    [anon_sym_explicit] = ACTIONS(3427),
    [anon_sym_typename] = ACTIONS(3427),
    [anon_sym_template] = ACTIONS(3427),
    [anon_sym_operator] = ACTIONS(3427),
    [anon_sym_friend] = ACTIONS(3427),
    [anon_sym_public] = ACTIONS(3427),
    [anon_sym_private] = ACTIONS(3427),
    [anon_sym_protected] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_static_assert] = ACTIONS(3427),
  },
  [2593] = {
    [sym_identifier] = ACTIONS(3413),
    [aux_sym_preproc_def_token1] = ACTIONS(3413),
    [aux_sym_preproc_if_token1] = ACTIONS(3413),
    [aux_sym_preproc_if_token2] = ACTIONS(3413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3413),
    [sym_preproc_directive] = ACTIONS(3413),
    [anon_sym_LPAREN2] = ACTIONS(3415),
    [anon_sym_TILDE] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3415),
    [anon_sym_AMP_AMP] = ACTIONS(3415),
    [anon_sym_AMP] = ACTIONS(3413),
    [anon_sym___extension__] = ACTIONS(3413),
    [anon_sym_typedef] = ACTIONS(3413),
    [anon_sym_extern] = ACTIONS(3413),
    [anon_sym___attribute__] = ACTIONS(3413),
    [anon_sym_COLON_COLON] = ACTIONS(3415),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3415),
    [anon_sym___declspec] = ACTIONS(3413),
    [anon_sym___based] = ACTIONS(3413),
    [anon_sym_signed] = ACTIONS(3413),
    [anon_sym_unsigned] = ACTIONS(3413),
    [anon_sym_long] = ACTIONS(3413),
    [anon_sym_short] = ACTIONS(3413),
    [anon_sym_LBRACK] = ACTIONS(3413),
    [anon_sym_static] = ACTIONS(3413),
    [anon_sym_register] = ACTIONS(3413),
    [anon_sym_inline] = ACTIONS(3413),
    [anon_sym___inline] = ACTIONS(3413),
    [anon_sym___inline__] = ACTIONS(3413),
    [anon_sym___forceinline] = ACTIONS(3413),
    [anon_sym_thread_local] = ACTIONS(3413),
    [anon_sym___thread] = ACTIONS(3413),
    [anon_sym_const] = ACTIONS(3413),
    [anon_sym_constexpr] = ACTIONS(3413),
    [anon_sym_volatile] = ACTIONS(3413),
    [anon_sym_restrict] = ACTIONS(3413),
    [anon_sym___restrict__] = ACTIONS(3413),
    [anon_sym__Atomic] = ACTIONS(3413),
    [anon_sym__Noreturn] = ACTIONS(3413),
    [anon_sym_noreturn] = ACTIONS(3413),
    [anon_sym_mutable] = ACTIONS(3413),
    [anon_sym_constinit] = ACTIONS(3413),
    [anon_sym_consteval] = ACTIONS(3413),
    [anon_sym_PROGMEM] = ACTIONS(3413),
    [aux_sym_primitive_type_token1] = ACTIONS(3413),
    [anon_sym_byte] = ACTIONS(3413),
    [anon_sym_word] = ACTIONS(3413),
    [anon_sym_enum] = ACTIONS(3413),
    [anon_sym_class] = ACTIONS(3413),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3413),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3413),
    [anon_sym_decltype] = ACTIONS(3413),
    [anon_sym_virtual] = ACTIONS(3413),
    [anon_sym_alignas] = ACTIONS(3413),
    [anon_sym_explicit] = ACTIONS(3413),
    [anon_sym_typename] = ACTIONS(3413),
    [anon_sym_template] = ACTIONS(3413),
    [anon_sym_operator] = ACTIONS(3413),
    [anon_sym_friend] = ACTIONS(3413),
    [anon_sym_public] = ACTIONS(3413),
    [anon_sym_private] = ACTIONS(3413),
    [anon_sym_protected] = ACTIONS(3413),
    [anon_sym_using] = ACTIONS(3413),
    [anon_sym_static_assert] = ACTIONS(3413),
  },
  [2594] = {
    [sym_identifier] = ACTIONS(3409),
    [aux_sym_preproc_def_token1] = ACTIONS(3409),
    [aux_sym_preproc_if_token1] = ACTIONS(3409),
    [aux_sym_preproc_if_token2] = ACTIONS(3409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3409),
    [sym_preproc_directive] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_TILDE] = ACTIONS(3411),
    [anon_sym_STAR] = ACTIONS(3411),
    [anon_sym_AMP_AMP] = ACTIONS(3411),
    [anon_sym_AMP] = ACTIONS(3409),
    [anon_sym___extension__] = ACTIONS(3409),
    [anon_sym_typedef] = ACTIONS(3409),
    [anon_sym_extern] = ACTIONS(3409),
    [anon_sym___attribute__] = ACTIONS(3409),
    [anon_sym_COLON_COLON] = ACTIONS(3411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3411),
    [anon_sym___declspec] = ACTIONS(3409),
    [anon_sym___based] = ACTIONS(3409),
    [anon_sym_signed] = ACTIONS(3409),
    [anon_sym_unsigned] = ACTIONS(3409),
    [anon_sym_long] = ACTIONS(3409),
    [anon_sym_short] = ACTIONS(3409),
    [anon_sym_LBRACK] = ACTIONS(3409),
    [anon_sym_static] = ACTIONS(3409),
    [anon_sym_register] = ACTIONS(3409),
    [anon_sym_inline] = ACTIONS(3409),
    [anon_sym___inline] = ACTIONS(3409),
    [anon_sym___inline__] = ACTIONS(3409),
    [anon_sym___forceinline] = ACTIONS(3409),
    [anon_sym_thread_local] = ACTIONS(3409),
    [anon_sym___thread] = ACTIONS(3409),
    [anon_sym_const] = ACTIONS(3409),
    [anon_sym_constexpr] = ACTIONS(3409),
    [anon_sym_volatile] = ACTIONS(3409),
    [anon_sym_restrict] = ACTIONS(3409),
    [anon_sym___restrict__] = ACTIONS(3409),
    [anon_sym__Atomic] = ACTIONS(3409),
    [anon_sym__Noreturn] = ACTIONS(3409),
    [anon_sym_noreturn] = ACTIONS(3409),
    [anon_sym_mutable] = ACTIONS(3409),
    [anon_sym_constinit] = ACTIONS(3409),
    [anon_sym_consteval] = ACTIONS(3409),
    [anon_sym_PROGMEM] = ACTIONS(3409),
    [aux_sym_primitive_type_token1] = ACTIONS(3409),
    [anon_sym_byte] = ACTIONS(3409),
    [anon_sym_word] = ACTIONS(3409),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3409),
    [anon_sym_struct] = ACTIONS(3409),
    [anon_sym_union] = ACTIONS(3409),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3409),
    [anon_sym_decltype] = ACTIONS(3409),
    [anon_sym_virtual] = ACTIONS(3409),
    [anon_sym_alignas] = ACTIONS(3409),
    [anon_sym_explicit] = ACTIONS(3409),
    [anon_sym_typename] = ACTIONS(3409),
    [anon_sym_template] = ACTIONS(3409),
    [anon_sym_operator] = ACTIONS(3409),
    [anon_sym_friend] = ACTIONS(3409),
    [anon_sym_public] = ACTIONS(3409),
    [anon_sym_private] = ACTIONS(3409),
    [anon_sym_protected] = ACTIONS(3409),
    [anon_sym_using] = ACTIONS(3409),
    [anon_sym_static_assert] = ACTIONS(3409),
  },
  [2595] = {
    [sym_identifier] = ACTIONS(3965),
    [aux_sym_preproc_def_token1] = ACTIONS(3965),
    [aux_sym_preproc_if_token1] = ACTIONS(3965),
    [aux_sym_preproc_if_token2] = ACTIONS(3965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3965),
    [sym_preproc_directive] = ACTIONS(3965),
    [anon_sym_LPAREN2] = ACTIONS(3963),
    [anon_sym_TILDE] = ACTIONS(3963),
    [anon_sym_STAR] = ACTIONS(3963),
    [anon_sym_AMP_AMP] = ACTIONS(3963),
    [anon_sym_AMP] = ACTIONS(3965),
    [anon_sym___extension__] = ACTIONS(3965),
    [anon_sym_typedef] = ACTIONS(3965),
    [anon_sym_extern] = ACTIONS(3965),
    [anon_sym___attribute__] = ACTIONS(3965),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3963),
    [anon_sym___declspec] = ACTIONS(3965),
    [anon_sym___based] = ACTIONS(3965),
    [anon_sym_signed] = ACTIONS(3965),
    [anon_sym_unsigned] = ACTIONS(3965),
    [anon_sym_long] = ACTIONS(3965),
    [anon_sym_short] = ACTIONS(3965),
    [anon_sym_LBRACK] = ACTIONS(3965),
    [anon_sym_static] = ACTIONS(3965),
    [anon_sym_register] = ACTIONS(3965),
    [anon_sym_inline] = ACTIONS(3965),
    [anon_sym___inline] = ACTIONS(3965),
    [anon_sym___inline__] = ACTIONS(3965),
    [anon_sym___forceinline] = ACTIONS(3965),
    [anon_sym_thread_local] = ACTIONS(3965),
    [anon_sym___thread] = ACTIONS(3965),
    [anon_sym_const] = ACTIONS(3965),
    [anon_sym_constexpr] = ACTIONS(3965),
    [anon_sym_volatile] = ACTIONS(3965),
    [anon_sym_restrict] = ACTIONS(3965),
    [anon_sym___restrict__] = ACTIONS(3965),
    [anon_sym__Atomic] = ACTIONS(3965),
    [anon_sym__Noreturn] = ACTIONS(3965),
    [anon_sym_noreturn] = ACTIONS(3965),
    [anon_sym_mutable] = ACTIONS(3965),
    [anon_sym_constinit] = ACTIONS(3965),
    [anon_sym_consteval] = ACTIONS(3965),
    [anon_sym_PROGMEM] = ACTIONS(3965),
    [aux_sym_primitive_type_token1] = ACTIONS(3965),
    [anon_sym_byte] = ACTIONS(3965),
    [anon_sym_word] = ACTIONS(3965),
    [anon_sym_enum] = ACTIONS(3965),
    [anon_sym_class] = ACTIONS(3965),
    [anon_sym_struct] = ACTIONS(3965),
    [anon_sym_union] = ACTIONS(3965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3965),
    [anon_sym_decltype] = ACTIONS(3965),
    [anon_sym_virtual] = ACTIONS(3965),
    [anon_sym_alignas] = ACTIONS(3965),
    [anon_sym_explicit] = ACTIONS(3965),
    [anon_sym_typename] = ACTIONS(3965),
    [anon_sym_template] = ACTIONS(3965),
    [anon_sym_operator] = ACTIONS(3965),
    [anon_sym_friend] = ACTIONS(3965),
    [anon_sym_public] = ACTIONS(3965),
    [anon_sym_private] = ACTIONS(3965),
    [anon_sym_protected] = ACTIONS(3965),
    [anon_sym_using] = ACTIONS(3965),
    [anon_sym_static_assert] = ACTIONS(3965),
  },
  [2596] = {
    [sym_identifier] = ACTIONS(3389),
    [aux_sym_preproc_def_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token2] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3389),
    [sym_preproc_directive] = ACTIONS(3389),
    [anon_sym_LPAREN2] = ACTIONS(3391),
    [anon_sym_TILDE] = ACTIONS(3391),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP_AMP] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3389),
    [anon_sym___extension__] = ACTIONS(3389),
    [anon_sym_typedef] = ACTIONS(3389),
    [anon_sym_extern] = ACTIONS(3389),
    [anon_sym___attribute__] = ACTIONS(3389),
    [anon_sym_COLON_COLON] = ACTIONS(3391),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3391),
    [anon_sym___declspec] = ACTIONS(3389),
    [anon_sym___based] = ACTIONS(3389),
    [anon_sym_signed] = ACTIONS(3389),
    [anon_sym_unsigned] = ACTIONS(3389),
    [anon_sym_long] = ACTIONS(3389),
    [anon_sym_short] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_register] = ACTIONS(3389),
    [anon_sym_inline] = ACTIONS(3389),
    [anon_sym___inline] = ACTIONS(3389),
    [anon_sym___inline__] = ACTIONS(3389),
    [anon_sym___forceinline] = ACTIONS(3389),
    [anon_sym_thread_local] = ACTIONS(3389),
    [anon_sym___thread] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_constexpr] = ACTIONS(3389),
    [anon_sym_volatile] = ACTIONS(3389),
    [anon_sym_restrict] = ACTIONS(3389),
    [anon_sym___restrict__] = ACTIONS(3389),
    [anon_sym__Atomic] = ACTIONS(3389),
    [anon_sym__Noreturn] = ACTIONS(3389),
    [anon_sym_noreturn] = ACTIONS(3389),
    [anon_sym_mutable] = ACTIONS(3389),
    [anon_sym_constinit] = ACTIONS(3389),
    [anon_sym_consteval] = ACTIONS(3389),
    [anon_sym_PROGMEM] = ACTIONS(3389),
    [aux_sym_primitive_type_token1] = ACTIONS(3389),
    [anon_sym_byte] = ACTIONS(3389),
    [anon_sym_word] = ACTIONS(3389),
    [anon_sym_enum] = ACTIONS(3389),
    [anon_sym_class] = ACTIONS(3389),
    [anon_sym_struct] = ACTIONS(3389),
    [anon_sym_union] = ACTIONS(3389),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3389),
    [anon_sym_decltype] = ACTIONS(3389),
    [anon_sym_virtual] = ACTIONS(3389),
    [anon_sym_alignas] = ACTIONS(3389),
    [anon_sym_explicit] = ACTIONS(3389),
    [anon_sym_typename] = ACTIONS(3389),
    [anon_sym_template] = ACTIONS(3389),
    [anon_sym_operator] = ACTIONS(3389),
    [anon_sym_friend] = ACTIONS(3389),
    [anon_sym_public] = ACTIONS(3389),
    [anon_sym_private] = ACTIONS(3389),
    [anon_sym_protected] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_static_assert] = ACTIONS(3389),
  },
  [2597] = {
    [sym_identifier] = ACTIONS(3839),
    [aux_sym_preproc_def_token1] = ACTIONS(3839),
    [aux_sym_preproc_if_token1] = ACTIONS(3839),
    [aux_sym_preproc_if_token2] = ACTIONS(3839),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3839),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3839),
    [sym_preproc_directive] = ACTIONS(3839),
    [anon_sym_LPAREN2] = ACTIONS(3837),
    [anon_sym_TILDE] = ACTIONS(3837),
    [anon_sym_STAR] = ACTIONS(3837),
    [anon_sym_AMP_AMP] = ACTIONS(3837),
    [anon_sym_AMP] = ACTIONS(3839),
    [anon_sym___extension__] = ACTIONS(3839),
    [anon_sym_typedef] = ACTIONS(3839),
    [anon_sym_extern] = ACTIONS(3839),
    [anon_sym___attribute__] = ACTIONS(3839),
    [anon_sym_COLON_COLON] = ACTIONS(3837),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3837),
    [anon_sym___declspec] = ACTIONS(3839),
    [anon_sym___based] = ACTIONS(3839),
    [anon_sym_signed] = ACTIONS(3839),
    [anon_sym_unsigned] = ACTIONS(3839),
    [anon_sym_long] = ACTIONS(3839),
    [anon_sym_short] = ACTIONS(3839),
    [anon_sym_LBRACK] = ACTIONS(3839),
    [anon_sym_static] = ACTIONS(3839),
    [anon_sym_register] = ACTIONS(3839),
    [anon_sym_inline] = ACTIONS(3839),
    [anon_sym___inline] = ACTIONS(3839),
    [anon_sym___inline__] = ACTIONS(3839),
    [anon_sym___forceinline] = ACTIONS(3839),
    [anon_sym_thread_local] = ACTIONS(3839),
    [anon_sym___thread] = ACTIONS(3839),
    [anon_sym_const] = ACTIONS(3839),
    [anon_sym_constexpr] = ACTIONS(3839),
    [anon_sym_volatile] = ACTIONS(3839),
    [anon_sym_restrict] = ACTIONS(3839),
    [anon_sym___restrict__] = ACTIONS(3839),
    [anon_sym__Atomic] = ACTIONS(3839),
    [anon_sym__Noreturn] = ACTIONS(3839),
    [anon_sym_noreturn] = ACTIONS(3839),
    [anon_sym_mutable] = ACTIONS(3839),
    [anon_sym_constinit] = ACTIONS(3839),
    [anon_sym_consteval] = ACTIONS(3839),
    [anon_sym_PROGMEM] = ACTIONS(3839),
    [aux_sym_primitive_type_token1] = ACTIONS(3839),
    [anon_sym_byte] = ACTIONS(3839),
    [anon_sym_word] = ACTIONS(3839),
    [anon_sym_enum] = ACTIONS(3839),
    [anon_sym_class] = ACTIONS(3839),
    [anon_sym_struct] = ACTIONS(3839),
    [anon_sym_union] = ACTIONS(3839),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3839),
    [anon_sym_decltype] = ACTIONS(3839),
    [anon_sym_virtual] = ACTIONS(3839),
    [anon_sym_alignas] = ACTIONS(3839),
    [anon_sym_explicit] = ACTIONS(3839),
    [anon_sym_typename] = ACTIONS(3839),
    [anon_sym_template] = ACTIONS(3839),
    [anon_sym_operator] = ACTIONS(3839),
    [anon_sym_friend] = ACTIONS(3839),
    [anon_sym_public] = ACTIONS(3839),
    [anon_sym_private] = ACTIONS(3839),
    [anon_sym_protected] = ACTIONS(3839),
    [anon_sym_using] = ACTIONS(3839),
    [anon_sym_static_assert] = ACTIONS(3839),
  },
  [2598] = {
    [sym_identifier] = ACTIONS(3200),
    [aux_sym_preproc_def_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3200),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym___extension__] = ACTIONS(3200),
    [anon_sym_typedef] = ACTIONS(3200),
    [anon_sym_extern] = ACTIONS(3200),
    [anon_sym___attribute__] = ACTIONS(3200),
    [anon_sym_COLON_COLON] = ACTIONS(3202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3202),
    [anon_sym___declspec] = ACTIONS(3200),
    [anon_sym___based] = ACTIONS(3200),
    [anon_sym_RBRACE] = ACTIONS(3202),
    [anon_sym_signed] = ACTIONS(3200),
    [anon_sym_unsigned] = ACTIONS(3200),
    [anon_sym_long] = ACTIONS(3200),
    [anon_sym_short] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_register] = ACTIONS(3200),
    [anon_sym_inline] = ACTIONS(3200),
    [anon_sym___inline] = ACTIONS(3200),
    [anon_sym___inline__] = ACTIONS(3200),
    [anon_sym___forceinline] = ACTIONS(3200),
    [anon_sym_thread_local] = ACTIONS(3200),
    [anon_sym___thread] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_constexpr] = ACTIONS(3200),
    [anon_sym_volatile] = ACTIONS(3200),
    [anon_sym_restrict] = ACTIONS(3200),
    [anon_sym___restrict__] = ACTIONS(3200),
    [anon_sym__Atomic] = ACTIONS(3200),
    [anon_sym__Noreturn] = ACTIONS(3200),
    [anon_sym_noreturn] = ACTIONS(3200),
    [anon_sym_mutable] = ACTIONS(3200),
    [anon_sym_constinit] = ACTIONS(3200),
    [anon_sym_consteval] = ACTIONS(3200),
    [anon_sym_PROGMEM] = ACTIONS(3200),
    [aux_sym_primitive_type_token1] = ACTIONS(3200),
    [anon_sym_byte] = ACTIONS(3200),
    [anon_sym_word] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_struct] = ACTIONS(3200),
    [anon_sym_union] = ACTIONS(3200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3200),
    [anon_sym_decltype] = ACTIONS(3200),
    [anon_sym_virtual] = ACTIONS(3200),
    [anon_sym_alignas] = ACTIONS(3200),
    [anon_sym_explicit] = ACTIONS(3200),
    [anon_sym_typename] = ACTIONS(3200),
    [anon_sym_template] = ACTIONS(3200),
    [anon_sym_operator] = ACTIONS(3200),
    [anon_sym_friend] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3200),
    [anon_sym_private] = ACTIONS(3200),
    [anon_sym_protected] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_static_assert] = ACTIONS(3200),
  },
  [2599] = {
    [sym_identifier] = ACTIONS(3365),
    [aux_sym_preproc_def_token1] = ACTIONS(3365),
    [aux_sym_preproc_if_token1] = ACTIONS(3365),
    [aux_sym_preproc_if_token2] = ACTIONS(3365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3365),
    [sym_preproc_directive] = ACTIONS(3365),
    [anon_sym_LPAREN2] = ACTIONS(3367),
    [anon_sym_TILDE] = ACTIONS(3367),
    [anon_sym_STAR] = ACTIONS(3367),
    [anon_sym_AMP_AMP] = ACTIONS(3367),
    [anon_sym_AMP] = ACTIONS(3365),
    [anon_sym___extension__] = ACTIONS(3365),
    [anon_sym_typedef] = ACTIONS(3365),
    [anon_sym_extern] = ACTIONS(3365),
    [anon_sym___attribute__] = ACTIONS(3365),
    [anon_sym_COLON_COLON] = ACTIONS(3367),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3367),
    [anon_sym___declspec] = ACTIONS(3365),
    [anon_sym___based] = ACTIONS(3365),
    [anon_sym_signed] = ACTIONS(3365),
    [anon_sym_unsigned] = ACTIONS(3365),
    [anon_sym_long] = ACTIONS(3365),
    [anon_sym_short] = ACTIONS(3365),
    [anon_sym_LBRACK] = ACTIONS(3365),
    [anon_sym_static] = ACTIONS(3365),
    [anon_sym_register] = ACTIONS(3365),
    [anon_sym_inline] = ACTIONS(3365),
    [anon_sym___inline] = ACTIONS(3365),
    [anon_sym___inline__] = ACTIONS(3365),
    [anon_sym___forceinline] = ACTIONS(3365),
    [anon_sym_thread_local] = ACTIONS(3365),
    [anon_sym___thread] = ACTIONS(3365),
    [anon_sym_const] = ACTIONS(3365),
    [anon_sym_constexpr] = ACTIONS(3365),
    [anon_sym_volatile] = ACTIONS(3365),
    [anon_sym_restrict] = ACTIONS(3365),
    [anon_sym___restrict__] = ACTIONS(3365),
    [anon_sym__Atomic] = ACTIONS(3365),
    [anon_sym__Noreturn] = ACTIONS(3365),
    [anon_sym_noreturn] = ACTIONS(3365),
    [anon_sym_mutable] = ACTIONS(3365),
    [anon_sym_constinit] = ACTIONS(3365),
    [anon_sym_consteval] = ACTIONS(3365),
    [anon_sym_PROGMEM] = ACTIONS(3365),
    [aux_sym_primitive_type_token1] = ACTIONS(3365),
    [anon_sym_byte] = ACTIONS(3365),
    [anon_sym_word] = ACTIONS(3365),
    [anon_sym_enum] = ACTIONS(3365),
    [anon_sym_class] = ACTIONS(3365),
    [anon_sym_struct] = ACTIONS(3365),
    [anon_sym_union] = ACTIONS(3365),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3365),
    [anon_sym_decltype] = ACTIONS(3365),
    [anon_sym_virtual] = ACTIONS(3365),
    [anon_sym_alignas] = ACTIONS(3365),
    [anon_sym_explicit] = ACTIONS(3365),
    [anon_sym_typename] = ACTIONS(3365),
    [anon_sym_template] = ACTIONS(3365),
    [anon_sym_operator] = ACTIONS(3365),
    [anon_sym_friend] = ACTIONS(3365),
    [anon_sym_public] = ACTIONS(3365),
    [anon_sym_private] = ACTIONS(3365),
    [anon_sym_protected] = ACTIONS(3365),
    [anon_sym_using] = ACTIONS(3365),
    [anon_sym_static_assert] = ACTIONS(3365),
  },
  [2600] = {
    [sym_identifier] = ACTIONS(5505),
    [aux_sym_preproc_def_token1] = ACTIONS(5505),
    [aux_sym_preproc_if_token1] = ACTIONS(5505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5505),
    [sym_preproc_directive] = ACTIONS(5505),
    [anon_sym_LPAREN2] = ACTIONS(5507),
    [anon_sym_TILDE] = ACTIONS(5507),
    [anon_sym_STAR] = ACTIONS(5507),
    [anon_sym_AMP_AMP] = ACTIONS(5507),
    [anon_sym_AMP] = ACTIONS(5505),
    [anon_sym___extension__] = ACTIONS(5505),
    [anon_sym_typedef] = ACTIONS(5505),
    [anon_sym_extern] = ACTIONS(5505),
    [anon_sym___attribute__] = ACTIONS(5505),
    [anon_sym_COLON_COLON] = ACTIONS(5507),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5507),
    [anon_sym___declspec] = ACTIONS(5505),
    [anon_sym___based] = ACTIONS(5505),
    [anon_sym_RBRACE] = ACTIONS(5507),
    [anon_sym_signed] = ACTIONS(5505),
    [anon_sym_unsigned] = ACTIONS(5505),
    [anon_sym_long] = ACTIONS(5505),
    [anon_sym_short] = ACTIONS(5505),
    [anon_sym_LBRACK] = ACTIONS(5505),
    [anon_sym_static] = ACTIONS(5505),
    [anon_sym_register] = ACTIONS(5505),
    [anon_sym_inline] = ACTIONS(5505),
    [anon_sym___inline] = ACTIONS(5505),
    [anon_sym___inline__] = ACTIONS(5505),
    [anon_sym___forceinline] = ACTIONS(5505),
    [anon_sym_thread_local] = ACTIONS(5505),
    [anon_sym___thread] = ACTIONS(5505),
    [anon_sym_const] = ACTIONS(5505),
    [anon_sym_constexpr] = ACTIONS(5505),
    [anon_sym_volatile] = ACTIONS(5505),
    [anon_sym_restrict] = ACTIONS(5505),
    [anon_sym___restrict__] = ACTIONS(5505),
    [anon_sym__Atomic] = ACTIONS(5505),
    [anon_sym__Noreturn] = ACTIONS(5505),
    [anon_sym_noreturn] = ACTIONS(5505),
    [anon_sym_mutable] = ACTIONS(5505),
    [anon_sym_constinit] = ACTIONS(5505),
    [anon_sym_consteval] = ACTIONS(5505),
    [anon_sym_PROGMEM] = ACTIONS(5505),
    [aux_sym_primitive_type_token1] = ACTIONS(5505),
    [anon_sym_byte] = ACTIONS(5505),
    [anon_sym_word] = ACTIONS(5505),
    [anon_sym_enum] = ACTIONS(5505),
    [anon_sym_class] = ACTIONS(5505),
    [anon_sym_struct] = ACTIONS(5505),
    [anon_sym_union] = ACTIONS(5505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5505),
    [anon_sym_decltype] = ACTIONS(5505),
    [anon_sym_virtual] = ACTIONS(5505),
    [anon_sym_alignas] = ACTIONS(5505),
    [anon_sym_explicit] = ACTIONS(5505),
    [anon_sym_typename] = ACTIONS(5505),
    [anon_sym_template] = ACTIONS(5505),
    [anon_sym_operator] = ACTIONS(5505),
    [anon_sym_friend] = ACTIONS(5505),
    [anon_sym_public] = ACTIONS(5505),
    [anon_sym_private] = ACTIONS(5505),
    [anon_sym_protected] = ACTIONS(5505),
    [anon_sym_using] = ACTIONS(5505),
    [anon_sym_static_assert] = ACTIONS(5505),
  },
  [2601] = {
    [sym_identifier] = ACTIONS(5437),
    [aux_sym_preproc_def_token1] = ACTIONS(5437),
    [aux_sym_preproc_if_token1] = ACTIONS(5437),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5437),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5437),
    [sym_preproc_directive] = ACTIONS(5437),
    [anon_sym_LPAREN2] = ACTIONS(5439),
    [anon_sym_TILDE] = ACTIONS(5439),
    [anon_sym_STAR] = ACTIONS(5439),
    [anon_sym_AMP_AMP] = ACTIONS(5439),
    [anon_sym_AMP] = ACTIONS(5437),
    [anon_sym___extension__] = ACTIONS(5437),
    [anon_sym_typedef] = ACTIONS(5437),
    [anon_sym_extern] = ACTIONS(5437),
    [anon_sym___attribute__] = ACTIONS(5437),
    [anon_sym_COLON_COLON] = ACTIONS(5439),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5439),
    [anon_sym___declspec] = ACTIONS(5437),
    [anon_sym___based] = ACTIONS(5437),
    [anon_sym_RBRACE] = ACTIONS(5439),
    [anon_sym_signed] = ACTIONS(5437),
    [anon_sym_unsigned] = ACTIONS(5437),
    [anon_sym_long] = ACTIONS(5437),
    [anon_sym_short] = ACTIONS(5437),
    [anon_sym_LBRACK] = ACTIONS(5437),
    [anon_sym_static] = ACTIONS(5437),
    [anon_sym_register] = ACTIONS(5437),
    [anon_sym_inline] = ACTIONS(5437),
    [anon_sym___inline] = ACTIONS(5437),
    [anon_sym___inline__] = ACTIONS(5437),
    [anon_sym___forceinline] = ACTIONS(5437),
    [anon_sym_thread_local] = ACTIONS(5437),
    [anon_sym___thread] = ACTIONS(5437),
    [anon_sym_const] = ACTIONS(5437),
    [anon_sym_constexpr] = ACTIONS(5437),
    [anon_sym_volatile] = ACTIONS(5437),
    [anon_sym_restrict] = ACTIONS(5437),
    [anon_sym___restrict__] = ACTIONS(5437),
    [anon_sym__Atomic] = ACTIONS(5437),
    [anon_sym__Noreturn] = ACTIONS(5437),
    [anon_sym_noreturn] = ACTIONS(5437),
    [anon_sym_mutable] = ACTIONS(5437),
    [anon_sym_constinit] = ACTIONS(5437),
    [anon_sym_consteval] = ACTIONS(5437),
    [anon_sym_PROGMEM] = ACTIONS(5437),
    [aux_sym_primitive_type_token1] = ACTIONS(5437),
    [anon_sym_byte] = ACTIONS(5437),
    [anon_sym_word] = ACTIONS(5437),
    [anon_sym_enum] = ACTIONS(5437),
    [anon_sym_class] = ACTIONS(5437),
    [anon_sym_struct] = ACTIONS(5437),
    [anon_sym_union] = ACTIONS(5437),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5437),
    [anon_sym_decltype] = ACTIONS(5437),
    [anon_sym_virtual] = ACTIONS(5437),
    [anon_sym_alignas] = ACTIONS(5437),
    [anon_sym_explicit] = ACTIONS(5437),
    [anon_sym_typename] = ACTIONS(5437),
    [anon_sym_template] = ACTIONS(5437),
    [anon_sym_operator] = ACTIONS(5437),
    [anon_sym_friend] = ACTIONS(5437),
    [anon_sym_public] = ACTIONS(5437),
    [anon_sym_private] = ACTIONS(5437),
    [anon_sym_protected] = ACTIONS(5437),
    [anon_sym_using] = ACTIONS(5437),
    [anon_sym_static_assert] = ACTIONS(5437),
  },
  [2602] = {
    [sym_template_argument_list] = STATE(2014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2759),
    [sym_identifier] = ACTIONS(5970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5972),
    [anon_sym_COMMA] = ACTIONS(5972),
    [aux_sym_preproc_if_token2] = ACTIONS(5972),
    [aux_sym_preproc_else_token1] = ACTIONS(5972),
    [aux_sym_preproc_elif_token1] = ACTIONS(5970),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5972),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5972),
    [anon_sym_LPAREN2] = ACTIONS(5972),
    [anon_sym_DASH] = ACTIONS(5970),
    [anon_sym_PLUS] = ACTIONS(5970),
    [anon_sym_STAR] = ACTIONS(5970),
    [anon_sym_SLASH] = ACTIONS(5970),
    [anon_sym_PERCENT] = ACTIONS(5970),
    [anon_sym_PIPE_PIPE] = ACTIONS(5972),
    [anon_sym_AMP_AMP] = ACTIONS(5972),
    [anon_sym_PIPE] = ACTIONS(5970),
    [anon_sym_CARET] = ACTIONS(5970),
    [anon_sym_AMP] = ACTIONS(5970),
    [anon_sym_EQ_EQ] = ACTIONS(5972),
    [anon_sym_BANG_EQ] = ACTIONS(5972),
    [anon_sym_GT] = ACTIONS(5970),
    [anon_sym_GT_EQ] = ACTIONS(5972),
    [anon_sym_LT_EQ] = ACTIONS(5970),
    [anon_sym_LT] = ACTIONS(5970),
    [anon_sym_LT_LT] = ACTIONS(5970),
    [anon_sym_GT_GT] = ACTIONS(5970),
    [anon_sym___attribute__] = ACTIONS(5970),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(5972),
    [anon_sym_signed] = ACTIONS(5974),
    [anon_sym_unsigned] = ACTIONS(5974),
    [anon_sym_long] = ACTIONS(5974),
    [anon_sym_short] = ACTIONS(5974),
    [anon_sym_LBRACK] = ACTIONS(5972),
    [anon_sym_EQ] = ACTIONS(5970),
    [anon_sym_QMARK] = ACTIONS(5972),
    [anon_sym_STAR_EQ] = ACTIONS(5972),
    [anon_sym_SLASH_EQ] = ACTIONS(5972),
    [anon_sym_PERCENT_EQ] = ACTIONS(5972),
    [anon_sym_PLUS_EQ] = ACTIONS(5972),
    [anon_sym_DASH_EQ] = ACTIONS(5972),
    [anon_sym_LT_LT_EQ] = ACTIONS(5972),
    [anon_sym_GT_GT_EQ] = ACTIONS(5972),
    [anon_sym_AMP_EQ] = ACTIONS(5972),
    [anon_sym_CARET_EQ] = ACTIONS(5972),
    [anon_sym_PIPE_EQ] = ACTIONS(5972),
    [anon_sym_and_eq] = ACTIONS(5970),
    [anon_sym_or_eq] = ACTIONS(5970),
    [anon_sym_xor_eq] = ACTIONS(5970),
    [anon_sym_LT_EQ_GT] = ACTIONS(5972),
    [anon_sym_or] = ACTIONS(5970),
    [anon_sym_and] = ACTIONS(5970),
    [anon_sym_bitor] = ACTIONS(5970),
    [anon_sym_xor] = ACTIONS(5970),
    [anon_sym_bitand] = ACTIONS(5970),
    [anon_sym_not_eq] = ACTIONS(5970),
    [anon_sym_DASH_DASH] = ACTIONS(5972),
    [anon_sym_PLUS_PLUS] = ACTIONS(5972),
    [anon_sym_DOT] = ACTIONS(5970),
    [anon_sym_DOT_STAR] = ACTIONS(5972),
    [anon_sym_DASH_GT] = ACTIONS(5972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5970),
    [anon_sym_decltype] = ACTIONS(5970),
  },
  [2603] = {
    [sym_identifier] = ACTIONS(5433),
    [aux_sym_preproc_def_token1] = ACTIONS(5433),
    [aux_sym_preproc_if_token1] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5433),
    [sym_preproc_directive] = ACTIONS(5433),
    [anon_sym_LPAREN2] = ACTIONS(5435),
    [anon_sym_TILDE] = ACTIONS(5435),
    [anon_sym_STAR] = ACTIONS(5435),
    [anon_sym_AMP_AMP] = ACTIONS(5435),
    [anon_sym_AMP] = ACTIONS(5433),
    [anon_sym___extension__] = ACTIONS(5433),
    [anon_sym_typedef] = ACTIONS(5433),
    [anon_sym_extern] = ACTIONS(5433),
    [anon_sym___attribute__] = ACTIONS(5433),
    [anon_sym_COLON_COLON] = ACTIONS(5435),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5435),
    [anon_sym___declspec] = ACTIONS(5433),
    [anon_sym___based] = ACTIONS(5433),
    [anon_sym_RBRACE] = ACTIONS(5435),
    [anon_sym_signed] = ACTIONS(5433),
    [anon_sym_unsigned] = ACTIONS(5433),
    [anon_sym_long] = ACTIONS(5433),
    [anon_sym_short] = ACTIONS(5433),
    [anon_sym_LBRACK] = ACTIONS(5433),
    [anon_sym_static] = ACTIONS(5433),
    [anon_sym_register] = ACTIONS(5433),
    [anon_sym_inline] = ACTIONS(5433),
    [anon_sym___inline] = ACTIONS(5433),
    [anon_sym___inline__] = ACTIONS(5433),
    [anon_sym___forceinline] = ACTIONS(5433),
    [anon_sym_thread_local] = ACTIONS(5433),
    [anon_sym___thread] = ACTIONS(5433),
    [anon_sym_const] = ACTIONS(5433),
    [anon_sym_constexpr] = ACTIONS(5433),
    [anon_sym_volatile] = ACTIONS(5433),
    [anon_sym_restrict] = ACTIONS(5433),
    [anon_sym___restrict__] = ACTIONS(5433),
    [anon_sym__Atomic] = ACTIONS(5433),
    [anon_sym__Noreturn] = ACTIONS(5433),
    [anon_sym_noreturn] = ACTIONS(5433),
    [anon_sym_mutable] = ACTIONS(5433),
    [anon_sym_constinit] = ACTIONS(5433),
    [anon_sym_consteval] = ACTIONS(5433),
    [anon_sym_PROGMEM] = ACTIONS(5433),
    [aux_sym_primitive_type_token1] = ACTIONS(5433),
    [anon_sym_byte] = ACTIONS(5433),
    [anon_sym_word] = ACTIONS(5433),
    [anon_sym_enum] = ACTIONS(5433),
    [anon_sym_class] = ACTIONS(5433),
    [anon_sym_struct] = ACTIONS(5433),
    [anon_sym_union] = ACTIONS(5433),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5433),
    [anon_sym_decltype] = ACTIONS(5433),
    [anon_sym_virtual] = ACTIONS(5433),
    [anon_sym_alignas] = ACTIONS(5433),
    [anon_sym_explicit] = ACTIONS(5433),
    [anon_sym_typename] = ACTIONS(5433),
    [anon_sym_template] = ACTIONS(5433),
    [anon_sym_operator] = ACTIONS(5433),
    [anon_sym_friend] = ACTIONS(5433),
    [anon_sym_public] = ACTIONS(5433),
    [anon_sym_private] = ACTIONS(5433),
    [anon_sym_protected] = ACTIONS(5433),
    [anon_sym_using] = ACTIONS(5433),
    [anon_sym_static_assert] = ACTIONS(5433),
  },
  [2604] = {
    [sym_identifier] = ACTIONS(3192),
    [aux_sym_preproc_def_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token2] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3192),
    [sym_preproc_directive] = ACTIONS(3192),
    [anon_sym_LPAREN2] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym___extension__] = ACTIONS(3192),
    [anon_sym_typedef] = ACTIONS(3192),
    [anon_sym_extern] = ACTIONS(3192),
    [anon_sym___attribute__] = ACTIONS(3192),
    [anon_sym_COLON_COLON] = ACTIONS(3194),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3194),
    [anon_sym___declspec] = ACTIONS(3192),
    [anon_sym___based] = ACTIONS(3192),
    [anon_sym_signed] = ACTIONS(3192),
    [anon_sym_unsigned] = ACTIONS(3192),
    [anon_sym_long] = ACTIONS(3192),
    [anon_sym_short] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_register] = ACTIONS(3192),
    [anon_sym_inline] = ACTIONS(3192),
    [anon_sym___inline] = ACTIONS(3192),
    [anon_sym___inline__] = ACTIONS(3192),
    [anon_sym___forceinline] = ACTIONS(3192),
    [anon_sym_thread_local] = ACTIONS(3192),
    [anon_sym___thread] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_constexpr] = ACTIONS(3192),
    [anon_sym_volatile] = ACTIONS(3192),
    [anon_sym_restrict] = ACTIONS(3192),
    [anon_sym___restrict__] = ACTIONS(3192),
    [anon_sym__Atomic] = ACTIONS(3192),
    [anon_sym__Noreturn] = ACTIONS(3192),
    [anon_sym_noreturn] = ACTIONS(3192),
    [anon_sym_mutable] = ACTIONS(3192),
    [anon_sym_constinit] = ACTIONS(3192),
    [anon_sym_consteval] = ACTIONS(3192),
    [anon_sym_PROGMEM] = ACTIONS(3192),
    [aux_sym_primitive_type_token1] = ACTIONS(3192),
    [anon_sym_byte] = ACTIONS(3192),
    [anon_sym_word] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_struct] = ACTIONS(3192),
    [anon_sym_union] = ACTIONS(3192),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3192),
    [anon_sym_decltype] = ACTIONS(3192),
    [anon_sym_virtual] = ACTIONS(3192),
    [anon_sym_alignas] = ACTIONS(3192),
    [anon_sym_explicit] = ACTIONS(3192),
    [anon_sym_typename] = ACTIONS(3192),
    [anon_sym_template] = ACTIONS(3192),
    [anon_sym_operator] = ACTIONS(3192),
    [anon_sym_friend] = ACTIONS(3192),
    [anon_sym_public] = ACTIONS(3192),
    [anon_sym_private] = ACTIONS(3192),
    [anon_sym_protected] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_static_assert] = ACTIONS(3192),
  },
  [2605] = {
    [sym_identifier] = ACTIONS(5509),
    [aux_sym_preproc_def_token1] = ACTIONS(5509),
    [aux_sym_preproc_if_token1] = ACTIONS(5509),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5509),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5509),
    [sym_preproc_directive] = ACTIONS(5509),
    [anon_sym_LPAREN2] = ACTIONS(5511),
    [anon_sym_TILDE] = ACTIONS(5511),
    [anon_sym_STAR] = ACTIONS(5511),
    [anon_sym_AMP_AMP] = ACTIONS(5511),
    [anon_sym_AMP] = ACTIONS(5509),
    [anon_sym___extension__] = ACTIONS(5509),
    [anon_sym_typedef] = ACTIONS(5509),
    [anon_sym_extern] = ACTIONS(5509),
    [anon_sym___attribute__] = ACTIONS(5509),
    [anon_sym_COLON_COLON] = ACTIONS(5511),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5511),
    [anon_sym___declspec] = ACTIONS(5509),
    [anon_sym___based] = ACTIONS(5509),
    [anon_sym_RBRACE] = ACTIONS(5511),
    [anon_sym_signed] = ACTIONS(5509),
    [anon_sym_unsigned] = ACTIONS(5509),
    [anon_sym_long] = ACTIONS(5509),
    [anon_sym_short] = ACTIONS(5509),
    [anon_sym_LBRACK] = ACTIONS(5509),
    [anon_sym_static] = ACTIONS(5509),
    [anon_sym_register] = ACTIONS(5509),
    [anon_sym_inline] = ACTIONS(5509),
    [anon_sym___inline] = ACTIONS(5509),
    [anon_sym___inline__] = ACTIONS(5509),
    [anon_sym___forceinline] = ACTIONS(5509),
    [anon_sym_thread_local] = ACTIONS(5509),
    [anon_sym___thread] = ACTIONS(5509),
    [anon_sym_const] = ACTIONS(5509),
    [anon_sym_constexpr] = ACTIONS(5509),
    [anon_sym_volatile] = ACTIONS(5509),
    [anon_sym_restrict] = ACTIONS(5509),
    [anon_sym___restrict__] = ACTIONS(5509),
    [anon_sym__Atomic] = ACTIONS(5509),
    [anon_sym__Noreturn] = ACTIONS(5509),
    [anon_sym_noreturn] = ACTIONS(5509),
    [anon_sym_mutable] = ACTIONS(5509),
    [anon_sym_constinit] = ACTIONS(5509),
    [anon_sym_consteval] = ACTIONS(5509),
    [anon_sym_PROGMEM] = ACTIONS(5509),
    [aux_sym_primitive_type_token1] = ACTIONS(5509),
    [anon_sym_byte] = ACTIONS(5509),
    [anon_sym_word] = ACTIONS(5509),
    [anon_sym_enum] = ACTIONS(5509),
    [anon_sym_class] = ACTIONS(5509),
    [anon_sym_struct] = ACTIONS(5509),
    [anon_sym_union] = ACTIONS(5509),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5509),
    [anon_sym_decltype] = ACTIONS(5509),
    [anon_sym_virtual] = ACTIONS(5509),
    [anon_sym_alignas] = ACTIONS(5509),
    [anon_sym_explicit] = ACTIONS(5509),
    [anon_sym_typename] = ACTIONS(5509),
    [anon_sym_template] = ACTIONS(5509),
    [anon_sym_operator] = ACTIONS(5509),
    [anon_sym_friend] = ACTIONS(5509),
    [anon_sym_public] = ACTIONS(5509),
    [anon_sym_private] = ACTIONS(5509),
    [anon_sym_protected] = ACTIONS(5509),
    [anon_sym_using] = ACTIONS(5509),
    [anon_sym_static_assert] = ACTIONS(5509),
  },
  [2606] = {
    [sym_identifier] = ACTIONS(5513),
    [aux_sym_preproc_def_token1] = ACTIONS(5513),
    [aux_sym_preproc_if_token1] = ACTIONS(5513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5513),
    [sym_preproc_directive] = ACTIONS(5513),
    [anon_sym_LPAREN2] = ACTIONS(5515),
    [anon_sym_TILDE] = ACTIONS(5515),
    [anon_sym_STAR] = ACTIONS(5515),
    [anon_sym_AMP_AMP] = ACTIONS(5515),
    [anon_sym_AMP] = ACTIONS(5513),
    [anon_sym___extension__] = ACTIONS(5513),
    [anon_sym_typedef] = ACTIONS(5513),
    [anon_sym_extern] = ACTIONS(5513),
    [anon_sym___attribute__] = ACTIONS(5513),
    [anon_sym_COLON_COLON] = ACTIONS(5515),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5515),
    [anon_sym___declspec] = ACTIONS(5513),
    [anon_sym___based] = ACTIONS(5513),
    [anon_sym_RBRACE] = ACTIONS(5515),
    [anon_sym_signed] = ACTIONS(5513),
    [anon_sym_unsigned] = ACTIONS(5513),
    [anon_sym_long] = ACTIONS(5513),
    [anon_sym_short] = ACTIONS(5513),
    [anon_sym_LBRACK] = ACTIONS(5513),
    [anon_sym_static] = ACTIONS(5513),
    [anon_sym_register] = ACTIONS(5513),
    [anon_sym_inline] = ACTIONS(5513),
    [anon_sym___inline] = ACTIONS(5513),
    [anon_sym___inline__] = ACTIONS(5513),
    [anon_sym___forceinline] = ACTIONS(5513),
    [anon_sym_thread_local] = ACTIONS(5513),
    [anon_sym___thread] = ACTIONS(5513),
    [anon_sym_const] = ACTIONS(5513),
    [anon_sym_constexpr] = ACTIONS(5513),
    [anon_sym_volatile] = ACTIONS(5513),
    [anon_sym_restrict] = ACTIONS(5513),
    [anon_sym___restrict__] = ACTIONS(5513),
    [anon_sym__Atomic] = ACTIONS(5513),
    [anon_sym__Noreturn] = ACTIONS(5513),
    [anon_sym_noreturn] = ACTIONS(5513),
    [anon_sym_mutable] = ACTIONS(5513),
    [anon_sym_constinit] = ACTIONS(5513),
    [anon_sym_consteval] = ACTIONS(5513),
    [anon_sym_PROGMEM] = ACTIONS(5513),
    [aux_sym_primitive_type_token1] = ACTIONS(5513),
    [anon_sym_byte] = ACTIONS(5513),
    [anon_sym_word] = ACTIONS(5513),
    [anon_sym_enum] = ACTIONS(5513),
    [anon_sym_class] = ACTIONS(5513),
    [anon_sym_struct] = ACTIONS(5513),
    [anon_sym_union] = ACTIONS(5513),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5513),
    [anon_sym_decltype] = ACTIONS(5513),
    [anon_sym_virtual] = ACTIONS(5513),
    [anon_sym_alignas] = ACTIONS(5513),
    [anon_sym_explicit] = ACTIONS(5513),
    [anon_sym_typename] = ACTIONS(5513),
    [anon_sym_template] = ACTIONS(5513),
    [anon_sym_operator] = ACTIONS(5513),
    [anon_sym_friend] = ACTIONS(5513),
    [anon_sym_public] = ACTIONS(5513),
    [anon_sym_private] = ACTIONS(5513),
    [anon_sym_protected] = ACTIONS(5513),
    [anon_sym_using] = ACTIONS(5513),
    [anon_sym_static_assert] = ACTIONS(5513),
  },
  [2607] = {
    [sym_identifier] = ACTIONS(3200),
    [aux_sym_preproc_def_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token2] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3200),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym___extension__] = ACTIONS(3200),
    [anon_sym_typedef] = ACTIONS(3200),
    [anon_sym_extern] = ACTIONS(3200),
    [anon_sym___attribute__] = ACTIONS(3200),
    [anon_sym_COLON_COLON] = ACTIONS(3202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3202),
    [anon_sym___declspec] = ACTIONS(3200),
    [anon_sym___based] = ACTIONS(3200),
    [anon_sym_signed] = ACTIONS(3200),
    [anon_sym_unsigned] = ACTIONS(3200),
    [anon_sym_long] = ACTIONS(3200),
    [anon_sym_short] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_register] = ACTIONS(3200),
    [anon_sym_inline] = ACTIONS(3200),
    [anon_sym___inline] = ACTIONS(3200),
    [anon_sym___inline__] = ACTIONS(3200),
    [anon_sym___forceinline] = ACTIONS(3200),
    [anon_sym_thread_local] = ACTIONS(3200),
    [anon_sym___thread] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_constexpr] = ACTIONS(3200),
    [anon_sym_volatile] = ACTIONS(3200),
    [anon_sym_restrict] = ACTIONS(3200),
    [anon_sym___restrict__] = ACTIONS(3200),
    [anon_sym__Atomic] = ACTIONS(3200),
    [anon_sym__Noreturn] = ACTIONS(3200),
    [anon_sym_noreturn] = ACTIONS(3200),
    [anon_sym_mutable] = ACTIONS(3200),
    [anon_sym_constinit] = ACTIONS(3200),
    [anon_sym_consteval] = ACTIONS(3200),
    [anon_sym_PROGMEM] = ACTIONS(3200),
    [aux_sym_primitive_type_token1] = ACTIONS(3200),
    [anon_sym_byte] = ACTIONS(3200),
    [anon_sym_word] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_struct] = ACTIONS(3200),
    [anon_sym_union] = ACTIONS(3200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3200),
    [anon_sym_decltype] = ACTIONS(3200),
    [anon_sym_virtual] = ACTIONS(3200),
    [anon_sym_alignas] = ACTIONS(3200),
    [anon_sym_explicit] = ACTIONS(3200),
    [anon_sym_typename] = ACTIONS(3200),
    [anon_sym_template] = ACTIONS(3200),
    [anon_sym_operator] = ACTIONS(3200),
    [anon_sym_friend] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3200),
    [anon_sym_private] = ACTIONS(3200),
    [anon_sym_protected] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_static_assert] = ACTIONS(3200),
  },
  [2608] = {
    [sym_identifier] = ACTIONS(5521),
    [aux_sym_preproc_def_token1] = ACTIONS(5521),
    [aux_sym_preproc_if_token1] = ACTIONS(5521),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5521),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5521),
    [sym_preproc_directive] = ACTIONS(5521),
    [anon_sym_LPAREN2] = ACTIONS(5523),
    [anon_sym_TILDE] = ACTIONS(5523),
    [anon_sym_STAR] = ACTIONS(5523),
    [anon_sym_AMP_AMP] = ACTIONS(5523),
    [anon_sym_AMP] = ACTIONS(5521),
    [anon_sym___extension__] = ACTIONS(5521),
    [anon_sym_typedef] = ACTIONS(5521),
    [anon_sym_extern] = ACTIONS(5521),
    [anon_sym___attribute__] = ACTIONS(5521),
    [anon_sym_COLON_COLON] = ACTIONS(5523),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5523),
    [anon_sym___declspec] = ACTIONS(5521),
    [anon_sym___based] = ACTIONS(5521),
    [anon_sym_RBRACE] = ACTIONS(5523),
    [anon_sym_signed] = ACTIONS(5521),
    [anon_sym_unsigned] = ACTIONS(5521),
    [anon_sym_long] = ACTIONS(5521),
    [anon_sym_short] = ACTIONS(5521),
    [anon_sym_LBRACK] = ACTIONS(5521),
    [anon_sym_static] = ACTIONS(5521),
    [anon_sym_register] = ACTIONS(5521),
    [anon_sym_inline] = ACTIONS(5521),
    [anon_sym___inline] = ACTIONS(5521),
    [anon_sym___inline__] = ACTIONS(5521),
    [anon_sym___forceinline] = ACTIONS(5521),
    [anon_sym_thread_local] = ACTIONS(5521),
    [anon_sym___thread] = ACTIONS(5521),
    [anon_sym_const] = ACTIONS(5521),
    [anon_sym_constexpr] = ACTIONS(5521),
    [anon_sym_volatile] = ACTIONS(5521),
    [anon_sym_restrict] = ACTIONS(5521),
    [anon_sym___restrict__] = ACTIONS(5521),
    [anon_sym__Atomic] = ACTIONS(5521),
    [anon_sym__Noreturn] = ACTIONS(5521),
    [anon_sym_noreturn] = ACTIONS(5521),
    [anon_sym_mutable] = ACTIONS(5521),
    [anon_sym_constinit] = ACTIONS(5521),
    [anon_sym_consteval] = ACTIONS(5521),
    [anon_sym_PROGMEM] = ACTIONS(5521),
    [aux_sym_primitive_type_token1] = ACTIONS(5521),
    [anon_sym_byte] = ACTIONS(5521),
    [anon_sym_word] = ACTIONS(5521),
    [anon_sym_enum] = ACTIONS(5521),
    [anon_sym_class] = ACTIONS(5521),
    [anon_sym_struct] = ACTIONS(5521),
    [anon_sym_union] = ACTIONS(5521),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5521),
    [anon_sym_decltype] = ACTIONS(5521),
    [anon_sym_virtual] = ACTIONS(5521),
    [anon_sym_alignas] = ACTIONS(5521),
    [anon_sym_explicit] = ACTIONS(5521),
    [anon_sym_typename] = ACTIONS(5521),
    [anon_sym_template] = ACTIONS(5521),
    [anon_sym_operator] = ACTIONS(5521),
    [anon_sym_friend] = ACTIONS(5521),
    [anon_sym_public] = ACTIONS(5521),
    [anon_sym_private] = ACTIONS(5521),
    [anon_sym_protected] = ACTIONS(5521),
    [anon_sym_using] = ACTIONS(5521),
    [anon_sym_static_assert] = ACTIONS(5521),
  },
  [2609] = {
    [sym_identifier] = ACTIONS(5521),
    [aux_sym_preproc_def_token1] = ACTIONS(5521),
    [aux_sym_preproc_if_token1] = ACTIONS(5521),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5521),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5521),
    [sym_preproc_directive] = ACTIONS(5521),
    [anon_sym_LPAREN2] = ACTIONS(5523),
    [anon_sym_TILDE] = ACTIONS(5523),
    [anon_sym_STAR] = ACTIONS(5523),
    [anon_sym_AMP_AMP] = ACTIONS(5523),
    [anon_sym_AMP] = ACTIONS(5521),
    [anon_sym___extension__] = ACTIONS(5521),
    [anon_sym_typedef] = ACTIONS(5521),
    [anon_sym_extern] = ACTIONS(5521),
    [anon_sym___attribute__] = ACTIONS(5521),
    [anon_sym_COLON_COLON] = ACTIONS(5523),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5523),
    [anon_sym___declspec] = ACTIONS(5521),
    [anon_sym___based] = ACTIONS(5521),
    [anon_sym_RBRACE] = ACTIONS(5523),
    [anon_sym_signed] = ACTIONS(5521),
    [anon_sym_unsigned] = ACTIONS(5521),
    [anon_sym_long] = ACTIONS(5521),
    [anon_sym_short] = ACTIONS(5521),
    [anon_sym_LBRACK] = ACTIONS(5521),
    [anon_sym_static] = ACTIONS(5521),
    [anon_sym_register] = ACTIONS(5521),
    [anon_sym_inline] = ACTIONS(5521),
    [anon_sym___inline] = ACTIONS(5521),
    [anon_sym___inline__] = ACTIONS(5521),
    [anon_sym___forceinline] = ACTIONS(5521),
    [anon_sym_thread_local] = ACTIONS(5521),
    [anon_sym___thread] = ACTIONS(5521),
    [anon_sym_const] = ACTIONS(5521),
    [anon_sym_constexpr] = ACTIONS(5521),
    [anon_sym_volatile] = ACTIONS(5521),
    [anon_sym_restrict] = ACTIONS(5521),
    [anon_sym___restrict__] = ACTIONS(5521),
    [anon_sym__Atomic] = ACTIONS(5521),
    [anon_sym__Noreturn] = ACTIONS(5521),
    [anon_sym_noreturn] = ACTIONS(5521),
    [anon_sym_mutable] = ACTIONS(5521),
    [anon_sym_constinit] = ACTIONS(5521),
    [anon_sym_consteval] = ACTIONS(5521),
    [anon_sym_PROGMEM] = ACTIONS(5521),
    [aux_sym_primitive_type_token1] = ACTIONS(5521),
    [anon_sym_byte] = ACTIONS(5521),
    [anon_sym_word] = ACTIONS(5521),
    [anon_sym_enum] = ACTIONS(5521),
    [anon_sym_class] = ACTIONS(5521),
    [anon_sym_struct] = ACTIONS(5521),
    [anon_sym_union] = ACTIONS(5521),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5521),
    [anon_sym_decltype] = ACTIONS(5521),
    [anon_sym_virtual] = ACTIONS(5521),
    [anon_sym_alignas] = ACTIONS(5521),
    [anon_sym_explicit] = ACTIONS(5521),
    [anon_sym_typename] = ACTIONS(5521),
    [anon_sym_template] = ACTIONS(5521),
    [anon_sym_operator] = ACTIONS(5521),
    [anon_sym_friend] = ACTIONS(5521),
    [anon_sym_public] = ACTIONS(5521),
    [anon_sym_private] = ACTIONS(5521),
    [anon_sym_protected] = ACTIONS(5521),
    [anon_sym_using] = ACTIONS(5521),
    [anon_sym_static_assert] = ACTIONS(5521),
  },
  [2610] = {
    [sym_identifier] = ACTIONS(3393),
    [aux_sym_preproc_def_token1] = ACTIONS(3393),
    [aux_sym_preproc_if_token1] = ACTIONS(3393),
    [aux_sym_preproc_if_token2] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3393),
    [sym_preproc_directive] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_TILDE] = ACTIONS(3395),
    [anon_sym_STAR] = ACTIONS(3395),
    [anon_sym_AMP_AMP] = ACTIONS(3395),
    [anon_sym_AMP] = ACTIONS(3393),
    [anon_sym___extension__] = ACTIONS(3393),
    [anon_sym_typedef] = ACTIONS(3393),
    [anon_sym_extern] = ACTIONS(3393),
    [anon_sym___attribute__] = ACTIONS(3393),
    [anon_sym_COLON_COLON] = ACTIONS(3395),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3395),
    [anon_sym___declspec] = ACTIONS(3393),
    [anon_sym___based] = ACTIONS(3393),
    [anon_sym_signed] = ACTIONS(3393),
    [anon_sym_unsigned] = ACTIONS(3393),
    [anon_sym_long] = ACTIONS(3393),
    [anon_sym_short] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(3393),
    [anon_sym_static] = ACTIONS(3393),
    [anon_sym_register] = ACTIONS(3393),
    [anon_sym_inline] = ACTIONS(3393),
    [anon_sym___inline] = ACTIONS(3393),
    [anon_sym___inline__] = ACTIONS(3393),
    [anon_sym___forceinline] = ACTIONS(3393),
    [anon_sym_thread_local] = ACTIONS(3393),
    [anon_sym___thread] = ACTIONS(3393),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_constexpr] = ACTIONS(3393),
    [anon_sym_volatile] = ACTIONS(3393),
    [anon_sym_restrict] = ACTIONS(3393),
    [anon_sym___restrict__] = ACTIONS(3393),
    [anon_sym__Atomic] = ACTIONS(3393),
    [anon_sym__Noreturn] = ACTIONS(3393),
    [anon_sym_noreturn] = ACTIONS(3393),
    [anon_sym_mutable] = ACTIONS(3393),
    [anon_sym_constinit] = ACTIONS(3393),
    [anon_sym_consteval] = ACTIONS(3393),
    [anon_sym_PROGMEM] = ACTIONS(3393),
    [aux_sym_primitive_type_token1] = ACTIONS(3393),
    [anon_sym_byte] = ACTIONS(3393),
    [anon_sym_word] = ACTIONS(3393),
    [anon_sym_enum] = ACTIONS(3393),
    [anon_sym_class] = ACTIONS(3393),
    [anon_sym_struct] = ACTIONS(3393),
    [anon_sym_union] = ACTIONS(3393),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3393),
    [anon_sym_decltype] = ACTIONS(3393),
    [anon_sym_virtual] = ACTIONS(3393),
    [anon_sym_alignas] = ACTIONS(3393),
    [anon_sym_explicit] = ACTIONS(3393),
    [anon_sym_typename] = ACTIONS(3393),
    [anon_sym_template] = ACTIONS(3393),
    [anon_sym_operator] = ACTIONS(3393),
    [anon_sym_friend] = ACTIONS(3393),
    [anon_sym_public] = ACTIONS(3393),
    [anon_sym_private] = ACTIONS(3393),
    [anon_sym_protected] = ACTIONS(3393),
    [anon_sym_using] = ACTIONS(3393),
    [anon_sym_static_assert] = ACTIONS(3393),
  },
  [2611] = {
    [sym_identifier] = ACTIONS(3401),
    [aux_sym_preproc_def_token1] = ACTIONS(3401),
    [aux_sym_preproc_if_token1] = ACTIONS(3401),
    [aux_sym_preproc_if_token2] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3401),
    [sym_preproc_directive] = ACTIONS(3401),
    [anon_sym_LPAREN2] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_STAR] = ACTIONS(3403),
    [anon_sym_AMP_AMP] = ACTIONS(3403),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym___extension__] = ACTIONS(3401),
    [anon_sym_typedef] = ACTIONS(3401),
    [anon_sym_extern] = ACTIONS(3401),
    [anon_sym___attribute__] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3403),
    [anon_sym___declspec] = ACTIONS(3401),
    [anon_sym___based] = ACTIONS(3401),
    [anon_sym_signed] = ACTIONS(3401),
    [anon_sym_unsigned] = ACTIONS(3401),
    [anon_sym_long] = ACTIONS(3401),
    [anon_sym_short] = ACTIONS(3401),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_static] = ACTIONS(3401),
    [anon_sym_register] = ACTIONS(3401),
    [anon_sym_inline] = ACTIONS(3401),
    [anon_sym___inline] = ACTIONS(3401),
    [anon_sym___inline__] = ACTIONS(3401),
    [anon_sym___forceinline] = ACTIONS(3401),
    [anon_sym_thread_local] = ACTIONS(3401),
    [anon_sym___thread] = ACTIONS(3401),
    [anon_sym_const] = ACTIONS(3401),
    [anon_sym_constexpr] = ACTIONS(3401),
    [anon_sym_volatile] = ACTIONS(3401),
    [anon_sym_restrict] = ACTIONS(3401),
    [anon_sym___restrict__] = ACTIONS(3401),
    [anon_sym__Atomic] = ACTIONS(3401),
    [anon_sym__Noreturn] = ACTIONS(3401),
    [anon_sym_noreturn] = ACTIONS(3401),
    [anon_sym_mutable] = ACTIONS(3401),
    [anon_sym_constinit] = ACTIONS(3401),
    [anon_sym_consteval] = ACTIONS(3401),
    [anon_sym_PROGMEM] = ACTIONS(3401),
    [aux_sym_primitive_type_token1] = ACTIONS(3401),
    [anon_sym_byte] = ACTIONS(3401),
    [anon_sym_word] = ACTIONS(3401),
    [anon_sym_enum] = ACTIONS(3401),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3401),
    [anon_sym_union] = ACTIONS(3401),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3401),
    [anon_sym_decltype] = ACTIONS(3401),
    [anon_sym_virtual] = ACTIONS(3401),
    [anon_sym_alignas] = ACTIONS(3401),
    [anon_sym_explicit] = ACTIONS(3401),
    [anon_sym_typename] = ACTIONS(3401),
    [anon_sym_template] = ACTIONS(3401),
    [anon_sym_operator] = ACTIONS(3401),
    [anon_sym_friend] = ACTIONS(3401),
    [anon_sym_public] = ACTIONS(3401),
    [anon_sym_private] = ACTIONS(3401),
    [anon_sym_protected] = ACTIONS(3401),
    [anon_sym_using] = ACTIONS(3401),
    [anon_sym_static_assert] = ACTIONS(3401),
  },
  [2612] = {
    [sym_identifier] = ACTIONS(3899),
    [aux_sym_preproc_def_token1] = ACTIONS(3899),
    [aux_sym_preproc_if_token1] = ACTIONS(3899),
    [aux_sym_preproc_if_token2] = ACTIONS(3899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3899),
    [sym_preproc_directive] = ACTIONS(3899),
    [anon_sym_LPAREN2] = ACTIONS(3897),
    [anon_sym_TILDE] = ACTIONS(3897),
    [anon_sym_STAR] = ACTIONS(3897),
    [anon_sym_AMP_AMP] = ACTIONS(3897),
    [anon_sym_AMP] = ACTIONS(3899),
    [anon_sym___extension__] = ACTIONS(3899),
    [anon_sym_typedef] = ACTIONS(3899),
    [anon_sym_extern] = ACTIONS(3899),
    [anon_sym___attribute__] = ACTIONS(3899),
    [anon_sym_COLON_COLON] = ACTIONS(3897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3897),
    [anon_sym___declspec] = ACTIONS(3899),
    [anon_sym___based] = ACTIONS(3899),
    [anon_sym_signed] = ACTIONS(3899),
    [anon_sym_unsigned] = ACTIONS(3899),
    [anon_sym_long] = ACTIONS(3899),
    [anon_sym_short] = ACTIONS(3899),
    [anon_sym_LBRACK] = ACTIONS(3899),
    [anon_sym_static] = ACTIONS(3899),
    [anon_sym_register] = ACTIONS(3899),
    [anon_sym_inline] = ACTIONS(3899),
    [anon_sym___inline] = ACTIONS(3899),
    [anon_sym___inline__] = ACTIONS(3899),
    [anon_sym___forceinline] = ACTIONS(3899),
    [anon_sym_thread_local] = ACTIONS(3899),
    [anon_sym___thread] = ACTIONS(3899),
    [anon_sym_const] = ACTIONS(3899),
    [anon_sym_constexpr] = ACTIONS(3899),
    [anon_sym_volatile] = ACTIONS(3899),
    [anon_sym_restrict] = ACTIONS(3899),
    [anon_sym___restrict__] = ACTIONS(3899),
    [anon_sym__Atomic] = ACTIONS(3899),
    [anon_sym__Noreturn] = ACTIONS(3899),
    [anon_sym_noreturn] = ACTIONS(3899),
    [anon_sym_mutable] = ACTIONS(3899),
    [anon_sym_constinit] = ACTIONS(3899),
    [anon_sym_consteval] = ACTIONS(3899),
    [anon_sym_PROGMEM] = ACTIONS(3899),
    [aux_sym_primitive_type_token1] = ACTIONS(3899),
    [anon_sym_byte] = ACTIONS(3899),
    [anon_sym_word] = ACTIONS(3899),
    [anon_sym_enum] = ACTIONS(3899),
    [anon_sym_class] = ACTIONS(3899),
    [anon_sym_struct] = ACTIONS(3899),
    [anon_sym_union] = ACTIONS(3899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3899),
    [anon_sym_decltype] = ACTIONS(3899),
    [anon_sym_virtual] = ACTIONS(3899),
    [anon_sym_alignas] = ACTIONS(3899),
    [anon_sym_explicit] = ACTIONS(3899),
    [anon_sym_typename] = ACTIONS(3899),
    [anon_sym_template] = ACTIONS(3899),
    [anon_sym_operator] = ACTIONS(3899),
    [anon_sym_friend] = ACTIONS(3899),
    [anon_sym_public] = ACTIONS(3899),
    [anon_sym_private] = ACTIONS(3899),
    [anon_sym_protected] = ACTIONS(3899),
    [anon_sym_using] = ACTIONS(3899),
    [anon_sym_static_assert] = ACTIONS(3899),
  },
  [2613] = {
    [sym_primitive_type] = STATE(2847),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2636),
    [sym_identifier] = ACTIONS(5976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5555),
    [anon_sym_COMMA] = ACTIONS(5555),
    [aux_sym_preproc_if_token2] = ACTIONS(5555),
    [aux_sym_preproc_else_token1] = ACTIONS(5555),
    [aux_sym_preproc_elif_token1] = ACTIONS(5555),
    [anon_sym_LPAREN2] = ACTIONS(5555),
    [anon_sym_DASH] = ACTIONS(5557),
    [anon_sym_PLUS] = ACTIONS(5557),
    [anon_sym_STAR] = ACTIONS(5557),
    [anon_sym_SLASH] = ACTIONS(5557),
    [anon_sym_PERCENT] = ACTIONS(5557),
    [anon_sym_PIPE_PIPE] = ACTIONS(5555),
    [anon_sym_AMP_AMP] = ACTIONS(5555),
    [anon_sym_PIPE] = ACTIONS(5557),
    [anon_sym_CARET] = ACTIONS(5557),
    [anon_sym_AMP] = ACTIONS(5557),
    [anon_sym_EQ_EQ] = ACTIONS(5555),
    [anon_sym_BANG_EQ] = ACTIONS(5555),
    [anon_sym_GT] = ACTIONS(5557),
    [anon_sym_GT_EQ] = ACTIONS(5555),
    [anon_sym_LT_EQ] = ACTIONS(5557),
    [anon_sym_LT] = ACTIONS(5557),
    [anon_sym_LT_LT] = ACTIONS(5557),
    [anon_sym_GT_GT] = ACTIONS(5557),
    [anon_sym___attribute__] = ACTIONS(5557),
    [anon_sym_LBRACE] = ACTIONS(5555),
    [anon_sym_signed] = ACTIONS(5979),
    [anon_sym_unsigned] = ACTIONS(5979),
    [anon_sym_long] = ACTIONS(5979),
    [anon_sym_short] = ACTIONS(5979),
    [anon_sym_LBRACK] = ACTIONS(5555),
    [anon_sym_EQ] = ACTIONS(5557),
    [aux_sym_primitive_type_token1] = ACTIONS(5981),
    [anon_sym_byte] = ACTIONS(5981),
    [anon_sym_word] = ACTIONS(5981),
    [anon_sym_QMARK] = ACTIONS(5555),
    [anon_sym_STAR_EQ] = ACTIONS(5555),
    [anon_sym_SLASH_EQ] = ACTIONS(5555),
    [anon_sym_PERCENT_EQ] = ACTIONS(5555),
    [anon_sym_PLUS_EQ] = ACTIONS(5555),
    [anon_sym_DASH_EQ] = ACTIONS(5555),
    [anon_sym_LT_LT_EQ] = ACTIONS(5555),
    [anon_sym_GT_GT_EQ] = ACTIONS(5555),
    [anon_sym_AMP_EQ] = ACTIONS(5555),
    [anon_sym_CARET_EQ] = ACTIONS(5555),
    [anon_sym_PIPE_EQ] = ACTIONS(5555),
    [anon_sym_and_eq] = ACTIONS(5557),
    [anon_sym_or_eq] = ACTIONS(5557),
    [anon_sym_xor_eq] = ACTIONS(5557),
    [anon_sym_LT_EQ_GT] = ACTIONS(5555),
    [anon_sym_or] = ACTIONS(5557),
    [anon_sym_and] = ACTIONS(5557),
    [anon_sym_bitor] = ACTIONS(5557),
    [anon_sym_xor] = ACTIONS(5557),
    [anon_sym_bitand] = ACTIONS(5557),
    [anon_sym_not_eq] = ACTIONS(5557),
    [anon_sym_DASH_DASH] = ACTIONS(5555),
    [anon_sym_PLUS_PLUS] = ACTIONS(5555),
    [anon_sym_DOT] = ACTIONS(5557),
    [anon_sym_DOT_STAR] = ACTIONS(5555),
    [anon_sym_DASH_GT] = ACTIONS(5555),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5557),
    [anon_sym_decltype] = ACTIONS(5557),
  },
  [2614] = {
    [sym_identifier] = ACTIONS(5541),
    [aux_sym_preproc_def_token1] = ACTIONS(5541),
    [aux_sym_preproc_if_token1] = ACTIONS(5541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5541),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5541),
    [sym_preproc_directive] = ACTIONS(5541),
    [anon_sym_LPAREN2] = ACTIONS(5543),
    [anon_sym_TILDE] = ACTIONS(5543),
    [anon_sym_STAR] = ACTIONS(5543),
    [anon_sym_AMP_AMP] = ACTIONS(5543),
    [anon_sym_AMP] = ACTIONS(5541),
    [anon_sym___extension__] = ACTIONS(5541),
    [anon_sym_typedef] = ACTIONS(5541),
    [anon_sym_extern] = ACTIONS(5541),
    [anon_sym___attribute__] = ACTIONS(5541),
    [anon_sym_COLON_COLON] = ACTIONS(5543),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5543),
    [anon_sym___declspec] = ACTIONS(5541),
    [anon_sym___based] = ACTIONS(5541),
    [anon_sym_RBRACE] = ACTIONS(5543),
    [anon_sym_signed] = ACTIONS(5541),
    [anon_sym_unsigned] = ACTIONS(5541),
    [anon_sym_long] = ACTIONS(5541),
    [anon_sym_short] = ACTIONS(5541),
    [anon_sym_LBRACK] = ACTIONS(5541),
    [anon_sym_static] = ACTIONS(5541),
    [anon_sym_register] = ACTIONS(5541),
    [anon_sym_inline] = ACTIONS(5541),
    [anon_sym___inline] = ACTIONS(5541),
    [anon_sym___inline__] = ACTIONS(5541),
    [anon_sym___forceinline] = ACTIONS(5541),
    [anon_sym_thread_local] = ACTIONS(5541),
    [anon_sym___thread] = ACTIONS(5541),
    [anon_sym_const] = ACTIONS(5541),
    [anon_sym_constexpr] = ACTIONS(5541),
    [anon_sym_volatile] = ACTIONS(5541),
    [anon_sym_restrict] = ACTIONS(5541),
    [anon_sym___restrict__] = ACTIONS(5541),
    [anon_sym__Atomic] = ACTIONS(5541),
    [anon_sym__Noreturn] = ACTIONS(5541),
    [anon_sym_noreturn] = ACTIONS(5541),
    [anon_sym_mutable] = ACTIONS(5541),
    [anon_sym_constinit] = ACTIONS(5541),
    [anon_sym_consteval] = ACTIONS(5541),
    [anon_sym_PROGMEM] = ACTIONS(5541),
    [aux_sym_primitive_type_token1] = ACTIONS(5541),
    [anon_sym_byte] = ACTIONS(5541),
    [anon_sym_word] = ACTIONS(5541),
    [anon_sym_enum] = ACTIONS(5541),
    [anon_sym_class] = ACTIONS(5541),
    [anon_sym_struct] = ACTIONS(5541),
    [anon_sym_union] = ACTIONS(5541),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5541),
    [anon_sym_decltype] = ACTIONS(5541),
    [anon_sym_virtual] = ACTIONS(5541),
    [anon_sym_alignas] = ACTIONS(5541),
    [anon_sym_explicit] = ACTIONS(5541),
    [anon_sym_typename] = ACTIONS(5541),
    [anon_sym_template] = ACTIONS(5541),
    [anon_sym_operator] = ACTIONS(5541),
    [anon_sym_friend] = ACTIONS(5541),
    [anon_sym_public] = ACTIONS(5541),
    [anon_sym_private] = ACTIONS(5541),
    [anon_sym_protected] = ACTIONS(5541),
    [anon_sym_using] = ACTIONS(5541),
    [anon_sym_static_assert] = ACTIONS(5541),
  },
  [2615] = {
    [sym_identifier] = ACTIONS(3180),
    [aux_sym_preproc_def_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token2] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3180),
    [sym_preproc_directive] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_STAR] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym___extension__] = ACTIONS(3180),
    [anon_sym_typedef] = ACTIONS(3180),
    [anon_sym_extern] = ACTIONS(3180),
    [anon_sym___attribute__] = ACTIONS(3180),
    [anon_sym_COLON_COLON] = ACTIONS(3182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3182),
    [anon_sym___declspec] = ACTIONS(3180),
    [anon_sym___based] = ACTIONS(3180),
    [anon_sym_signed] = ACTIONS(3180),
    [anon_sym_unsigned] = ACTIONS(3180),
    [anon_sym_long] = ACTIONS(3180),
    [anon_sym_short] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_register] = ACTIONS(3180),
    [anon_sym_inline] = ACTIONS(3180),
    [anon_sym___inline] = ACTIONS(3180),
    [anon_sym___inline__] = ACTIONS(3180),
    [anon_sym___forceinline] = ACTIONS(3180),
    [anon_sym_thread_local] = ACTIONS(3180),
    [anon_sym___thread] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_constexpr] = ACTIONS(3180),
    [anon_sym_volatile] = ACTIONS(3180),
    [anon_sym_restrict] = ACTIONS(3180),
    [anon_sym___restrict__] = ACTIONS(3180),
    [anon_sym__Atomic] = ACTIONS(3180),
    [anon_sym__Noreturn] = ACTIONS(3180),
    [anon_sym_noreturn] = ACTIONS(3180),
    [anon_sym_mutable] = ACTIONS(3180),
    [anon_sym_constinit] = ACTIONS(3180),
    [anon_sym_consteval] = ACTIONS(3180),
    [anon_sym_PROGMEM] = ACTIONS(3180),
    [aux_sym_primitive_type_token1] = ACTIONS(3180),
    [anon_sym_byte] = ACTIONS(3180),
    [anon_sym_word] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_struct] = ACTIONS(3180),
    [anon_sym_union] = ACTIONS(3180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3180),
    [anon_sym_decltype] = ACTIONS(3180),
    [anon_sym_virtual] = ACTIONS(3180),
    [anon_sym_alignas] = ACTIONS(3180),
    [anon_sym_explicit] = ACTIONS(3180),
    [anon_sym_typename] = ACTIONS(3180),
    [anon_sym_template] = ACTIONS(3180),
    [anon_sym_operator] = ACTIONS(3180),
    [anon_sym_friend] = ACTIONS(3180),
    [anon_sym_public] = ACTIONS(3180),
    [anon_sym_private] = ACTIONS(3180),
    [anon_sym_protected] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_static_assert] = ACTIONS(3180),
  },
  [2616] = {
    [sym_identifier] = ACTIONS(5545),
    [aux_sym_preproc_def_token1] = ACTIONS(5545),
    [aux_sym_preproc_if_token1] = ACTIONS(5545),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5545),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5545),
    [sym_preproc_directive] = ACTIONS(5545),
    [anon_sym_LPAREN2] = ACTIONS(5547),
    [anon_sym_TILDE] = ACTIONS(5547),
    [anon_sym_STAR] = ACTIONS(5547),
    [anon_sym_AMP_AMP] = ACTIONS(5547),
    [anon_sym_AMP] = ACTIONS(5545),
    [anon_sym___extension__] = ACTIONS(5545),
    [anon_sym_typedef] = ACTIONS(5545),
    [anon_sym_extern] = ACTIONS(5545),
    [anon_sym___attribute__] = ACTIONS(5545),
    [anon_sym_COLON_COLON] = ACTIONS(5547),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5547),
    [anon_sym___declspec] = ACTIONS(5545),
    [anon_sym___based] = ACTIONS(5545),
    [anon_sym_RBRACE] = ACTIONS(5547),
    [anon_sym_signed] = ACTIONS(5545),
    [anon_sym_unsigned] = ACTIONS(5545),
    [anon_sym_long] = ACTIONS(5545),
    [anon_sym_short] = ACTIONS(5545),
    [anon_sym_LBRACK] = ACTIONS(5545),
    [anon_sym_static] = ACTIONS(5545),
    [anon_sym_register] = ACTIONS(5545),
    [anon_sym_inline] = ACTIONS(5545),
    [anon_sym___inline] = ACTIONS(5545),
    [anon_sym___inline__] = ACTIONS(5545),
    [anon_sym___forceinline] = ACTIONS(5545),
    [anon_sym_thread_local] = ACTIONS(5545),
    [anon_sym___thread] = ACTIONS(5545),
    [anon_sym_const] = ACTIONS(5545),
    [anon_sym_constexpr] = ACTIONS(5545),
    [anon_sym_volatile] = ACTIONS(5545),
    [anon_sym_restrict] = ACTIONS(5545),
    [anon_sym___restrict__] = ACTIONS(5545),
    [anon_sym__Atomic] = ACTIONS(5545),
    [anon_sym__Noreturn] = ACTIONS(5545),
    [anon_sym_noreturn] = ACTIONS(5545),
    [anon_sym_mutable] = ACTIONS(5545),
    [anon_sym_constinit] = ACTIONS(5545),
    [anon_sym_consteval] = ACTIONS(5545),
    [anon_sym_PROGMEM] = ACTIONS(5545),
    [aux_sym_primitive_type_token1] = ACTIONS(5545),
    [anon_sym_byte] = ACTIONS(5545),
    [anon_sym_word] = ACTIONS(5545),
    [anon_sym_enum] = ACTIONS(5545),
    [anon_sym_class] = ACTIONS(5545),
    [anon_sym_struct] = ACTIONS(5545),
    [anon_sym_union] = ACTIONS(5545),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5545),
    [anon_sym_decltype] = ACTIONS(5545),
    [anon_sym_virtual] = ACTIONS(5545),
    [anon_sym_alignas] = ACTIONS(5545),
    [anon_sym_explicit] = ACTIONS(5545),
    [anon_sym_typename] = ACTIONS(5545),
    [anon_sym_template] = ACTIONS(5545),
    [anon_sym_operator] = ACTIONS(5545),
    [anon_sym_friend] = ACTIONS(5545),
    [anon_sym_public] = ACTIONS(5545),
    [anon_sym_private] = ACTIONS(5545),
    [anon_sym_protected] = ACTIONS(5545),
    [anon_sym_using] = ACTIONS(5545),
    [anon_sym_static_assert] = ACTIONS(5545),
  },
  [2617] = {
    [sym_identifier] = ACTIONS(5489),
    [aux_sym_preproc_def_token1] = ACTIONS(5489),
    [aux_sym_preproc_if_token1] = ACTIONS(5489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5489),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5489),
    [sym_preproc_directive] = ACTIONS(5489),
    [anon_sym_LPAREN2] = ACTIONS(5491),
    [anon_sym_TILDE] = ACTIONS(5491),
    [anon_sym_STAR] = ACTIONS(5491),
    [anon_sym_AMP_AMP] = ACTIONS(5491),
    [anon_sym_AMP] = ACTIONS(5489),
    [anon_sym___extension__] = ACTIONS(5489),
    [anon_sym_typedef] = ACTIONS(5489),
    [anon_sym_extern] = ACTIONS(5489),
    [anon_sym___attribute__] = ACTIONS(5489),
    [anon_sym_COLON_COLON] = ACTIONS(5491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5491),
    [anon_sym___declspec] = ACTIONS(5489),
    [anon_sym___based] = ACTIONS(5489),
    [anon_sym_RBRACE] = ACTIONS(5491),
    [anon_sym_signed] = ACTIONS(5489),
    [anon_sym_unsigned] = ACTIONS(5489),
    [anon_sym_long] = ACTIONS(5489),
    [anon_sym_short] = ACTIONS(5489),
    [anon_sym_LBRACK] = ACTIONS(5489),
    [anon_sym_static] = ACTIONS(5489),
    [anon_sym_register] = ACTIONS(5489),
    [anon_sym_inline] = ACTIONS(5489),
    [anon_sym___inline] = ACTIONS(5489),
    [anon_sym___inline__] = ACTIONS(5489),
    [anon_sym___forceinline] = ACTIONS(5489),
    [anon_sym_thread_local] = ACTIONS(5489),
    [anon_sym___thread] = ACTIONS(5489),
    [anon_sym_const] = ACTIONS(5489),
    [anon_sym_constexpr] = ACTIONS(5489),
    [anon_sym_volatile] = ACTIONS(5489),
    [anon_sym_restrict] = ACTIONS(5489),
    [anon_sym___restrict__] = ACTIONS(5489),
    [anon_sym__Atomic] = ACTIONS(5489),
    [anon_sym__Noreturn] = ACTIONS(5489),
    [anon_sym_noreturn] = ACTIONS(5489),
    [anon_sym_mutable] = ACTIONS(5489),
    [anon_sym_constinit] = ACTIONS(5489),
    [anon_sym_consteval] = ACTIONS(5489),
    [anon_sym_PROGMEM] = ACTIONS(5489),
    [aux_sym_primitive_type_token1] = ACTIONS(5489),
    [anon_sym_byte] = ACTIONS(5489),
    [anon_sym_word] = ACTIONS(5489),
    [anon_sym_enum] = ACTIONS(5489),
    [anon_sym_class] = ACTIONS(5489),
    [anon_sym_struct] = ACTIONS(5489),
    [anon_sym_union] = ACTIONS(5489),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5489),
    [anon_sym_decltype] = ACTIONS(5489),
    [anon_sym_virtual] = ACTIONS(5489),
    [anon_sym_alignas] = ACTIONS(5489),
    [anon_sym_explicit] = ACTIONS(5489),
    [anon_sym_typename] = ACTIONS(5489),
    [anon_sym_template] = ACTIONS(5489),
    [anon_sym_operator] = ACTIONS(5489),
    [anon_sym_friend] = ACTIONS(5489),
    [anon_sym_public] = ACTIONS(5489),
    [anon_sym_private] = ACTIONS(5489),
    [anon_sym_protected] = ACTIONS(5489),
    [anon_sym_using] = ACTIONS(5489),
    [anon_sym_static_assert] = ACTIONS(5489),
  },
  [2618] = {
    [sym_identifier] = ACTIONS(3495),
    [aux_sym_preproc_def_token1] = ACTIONS(3495),
    [aux_sym_preproc_if_token1] = ACTIONS(3495),
    [aux_sym_preproc_if_token2] = ACTIONS(3495),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3495),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3495),
    [sym_preproc_directive] = ACTIONS(3495),
    [anon_sym_LPAREN2] = ACTIONS(3497),
    [anon_sym_TILDE] = ACTIONS(3497),
    [anon_sym_STAR] = ACTIONS(3497),
    [anon_sym_AMP_AMP] = ACTIONS(3497),
    [anon_sym_AMP] = ACTIONS(3495),
    [anon_sym___extension__] = ACTIONS(3495),
    [anon_sym_typedef] = ACTIONS(3495),
    [anon_sym_extern] = ACTIONS(3495),
    [anon_sym___attribute__] = ACTIONS(3495),
    [anon_sym_COLON_COLON] = ACTIONS(3497),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3497),
    [anon_sym___declspec] = ACTIONS(3495),
    [anon_sym___based] = ACTIONS(3495),
    [anon_sym_signed] = ACTIONS(3495),
    [anon_sym_unsigned] = ACTIONS(3495),
    [anon_sym_long] = ACTIONS(3495),
    [anon_sym_short] = ACTIONS(3495),
    [anon_sym_LBRACK] = ACTIONS(3495),
    [anon_sym_static] = ACTIONS(3495),
    [anon_sym_register] = ACTIONS(3495),
    [anon_sym_inline] = ACTIONS(3495),
    [anon_sym___inline] = ACTIONS(3495),
    [anon_sym___inline__] = ACTIONS(3495),
    [anon_sym___forceinline] = ACTIONS(3495),
    [anon_sym_thread_local] = ACTIONS(3495),
    [anon_sym___thread] = ACTIONS(3495),
    [anon_sym_const] = ACTIONS(3495),
    [anon_sym_constexpr] = ACTIONS(3495),
    [anon_sym_volatile] = ACTIONS(3495),
    [anon_sym_restrict] = ACTIONS(3495),
    [anon_sym___restrict__] = ACTIONS(3495),
    [anon_sym__Atomic] = ACTIONS(3495),
    [anon_sym__Noreturn] = ACTIONS(3495),
    [anon_sym_noreturn] = ACTIONS(3495),
    [anon_sym_mutable] = ACTIONS(3495),
    [anon_sym_constinit] = ACTIONS(3495),
    [anon_sym_consteval] = ACTIONS(3495),
    [anon_sym_PROGMEM] = ACTIONS(3495),
    [aux_sym_primitive_type_token1] = ACTIONS(3495),
    [anon_sym_byte] = ACTIONS(3495),
    [anon_sym_word] = ACTIONS(3495),
    [anon_sym_enum] = ACTIONS(3495),
    [anon_sym_class] = ACTIONS(3495),
    [anon_sym_struct] = ACTIONS(3495),
    [anon_sym_union] = ACTIONS(3495),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3495),
    [anon_sym_decltype] = ACTIONS(3495),
    [anon_sym_virtual] = ACTIONS(3495),
    [anon_sym_alignas] = ACTIONS(3495),
    [anon_sym_explicit] = ACTIONS(3495),
    [anon_sym_typename] = ACTIONS(3495),
    [anon_sym_template] = ACTIONS(3495),
    [anon_sym_operator] = ACTIONS(3495),
    [anon_sym_friend] = ACTIONS(3495),
    [anon_sym_public] = ACTIONS(3495),
    [anon_sym_private] = ACTIONS(3495),
    [anon_sym_protected] = ACTIONS(3495),
    [anon_sym_using] = ACTIONS(3495),
    [anon_sym_static_assert] = ACTIONS(3495),
  },
  [2619] = {
    [sym_identifier] = ACTIONS(3515),
    [aux_sym_preproc_def_token1] = ACTIONS(3515),
    [aux_sym_preproc_if_token1] = ACTIONS(3515),
    [aux_sym_preproc_if_token2] = ACTIONS(3515),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3515),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3515),
    [sym_preproc_directive] = ACTIONS(3515),
    [anon_sym_LPAREN2] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_STAR] = ACTIONS(3517),
    [anon_sym_AMP_AMP] = ACTIONS(3517),
    [anon_sym_AMP] = ACTIONS(3515),
    [anon_sym___extension__] = ACTIONS(3515),
    [anon_sym_typedef] = ACTIONS(3515),
    [anon_sym_extern] = ACTIONS(3515),
    [anon_sym___attribute__] = ACTIONS(3515),
    [anon_sym_COLON_COLON] = ACTIONS(3517),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3517),
    [anon_sym___declspec] = ACTIONS(3515),
    [anon_sym___based] = ACTIONS(3515),
    [anon_sym_signed] = ACTIONS(3515),
    [anon_sym_unsigned] = ACTIONS(3515),
    [anon_sym_long] = ACTIONS(3515),
    [anon_sym_short] = ACTIONS(3515),
    [anon_sym_LBRACK] = ACTIONS(3515),
    [anon_sym_static] = ACTIONS(3515),
    [anon_sym_register] = ACTIONS(3515),
    [anon_sym_inline] = ACTIONS(3515),
    [anon_sym___inline] = ACTIONS(3515),
    [anon_sym___inline__] = ACTIONS(3515),
    [anon_sym___forceinline] = ACTIONS(3515),
    [anon_sym_thread_local] = ACTIONS(3515),
    [anon_sym___thread] = ACTIONS(3515),
    [anon_sym_const] = ACTIONS(3515),
    [anon_sym_constexpr] = ACTIONS(3515),
    [anon_sym_volatile] = ACTIONS(3515),
    [anon_sym_restrict] = ACTIONS(3515),
    [anon_sym___restrict__] = ACTIONS(3515),
    [anon_sym__Atomic] = ACTIONS(3515),
    [anon_sym__Noreturn] = ACTIONS(3515),
    [anon_sym_noreturn] = ACTIONS(3515),
    [anon_sym_mutable] = ACTIONS(3515),
    [anon_sym_constinit] = ACTIONS(3515),
    [anon_sym_consteval] = ACTIONS(3515),
    [anon_sym_PROGMEM] = ACTIONS(3515),
    [aux_sym_primitive_type_token1] = ACTIONS(3515),
    [anon_sym_byte] = ACTIONS(3515),
    [anon_sym_word] = ACTIONS(3515),
    [anon_sym_enum] = ACTIONS(3515),
    [anon_sym_class] = ACTIONS(3515),
    [anon_sym_struct] = ACTIONS(3515),
    [anon_sym_union] = ACTIONS(3515),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3515),
    [anon_sym_decltype] = ACTIONS(3515),
    [anon_sym_virtual] = ACTIONS(3515),
    [anon_sym_alignas] = ACTIONS(3515),
    [anon_sym_explicit] = ACTIONS(3515),
    [anon_sym_typename] = ACTIONS(3515),
    [anon_sym_template] = ACTIONS(3515),
    [anon_sym_operator] = ACTIONS(3515),
    [anon_sym_friend] = ACTIONS(3515),
    [anon_sym_public] = ACTIONS(3515),
    [anon_sym_private] = ACTIONS(3515),
    [anon_sym_protected] = ACTIONS(3515),
    [anon_sym_using] = ACTIONS(3515),
    [anon_sym_static_assert] = ACTIONS(3515),
  },
  [2620] = {
    [sym_identifier] = ACTIONS(5505),
    [aux_sym_preproc_def_token1] = ACTIONS(5505),
    [aux_sym_preproc_if_token1] = ACTIONS(5505),
    [aux_sym_preproc_if_token2] = ACTIONS(5505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5505),
    [sym_preproc_directive] = ACTIONS(5505),
    [anon_sym_LPAREN2] = ACTIONS(5507),
    [anon_sym_TILDE] = ACTIONS(5507),
    [anon_sym_STAR] = ACTIONS(5507),
    [anon_sym_AMP_AMP] = ACTIONS(5507),
    [anon_sym_AMP] = ACTIONS(5505),
    [anon_sym___extension__] = ACTIONS(5505),
    [anon_sym_typedef] = ACTIONS(5505),
    [anon_sym_extern] = ACTIONS(5505),
    [anon_sym___attribute__] = ACTIONS(5505),
    [anon_sym_COLON_COLON] = ACTIONS(5507),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5507),
    [anon_sym___declspec] = ACTIONS(5505),
    [anon_sym___based] = ACTIONS(5505),
    [anon_sym_signed] = ACTIONS(5505),
    [anon_sym_unsigned] = ACTIONS(5505),
    [anon_sym_long] = ACTIONS(5505),
    [anon_sym_short] = ACTIONS(5505),
    [anon_sym_LBRACK] = ACTIONS(5505),
    [anon_sym_static] = ACTIONS(5505),
    [anon_sym_register] = ACTIONS(5505),
    [anon_sym_inline] = ACTIONS(5505),
    [anon_sym___inline] = ACTIONS(5505),
    [anon_sym___inline__] = ACTIONS(5505),
    [anon_sym___forceinline] = ACTIONS(5505),
    [anon_sym_thread_local] = ACTIONS(5505),
    [anon_sym___thread] = ACTIONS(5505),
    [anon_sym_const] = ACTIONS(5505),
    [anon_sym_constexpr] = ACTIONS(5505),
    [anon_sym_volatile] = ACTIONS(5505),
    [anon_sym_restrict] = ACTIONS(5505),
    [anon_sym___restrict__] = ACTIONS(5505),
    [anon_sym__Atomic] = ACTIONS(5505),
    [anon_sym__Noreturn] = ACTIONS(5505),
    [anon_sym_noreturn] = ACTIONS(5505),
    [anon_sym_mutable] = ACTIONS(5505),
    [anon_sym_constinit] = ACTIONS(5505),
    [anon_sym_consteval] = ACTIONS(5505),
    [anon_sym_PROGMEM] = ACTIONS(5505),
    [aux_sym_primitive_type_token1] = ACTIONS(5505),
    [anon_sym_byte] = ACTIONS(5505),
    [anon_sym_word] = ACTIONS(5505),
    [anon_sym_enum] = ACTIONS(5505),
    [anon_sym_class] = ACTIONS(5505),
    [anon_sym_struct] = ACTIONS(5505),
    [anon_sym_union] = ACTIONS(5505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5505),
    [anon_sym_decltype] = ACTIONS(5505),
    [anon_sym_virtual] = ACTIONS(5505),
    [anon_sym_alignas] = ACTIONS(5505),
    [anon_sym_explicit] = ACTIONS(5505),
    [anon_sym_typename] = ACTIONS(5505),
    [anon_sym_template] = ACTIONS(5505),
    [anon_sym_operator] = ACTIONS(5505),
    [anon_sym_friend] = ACTIONS(5505),
    [anon_sym_public] = ACTIONS(5505),
    [anon_sym_private] = ACTIONS(5505),
    [anon_sym_protected] = ACTIONS(5505),
    [anon_sym_using] = ACTIONS(5505),
    [anon_sym_static_assert] = ACTIONS(5505),
  },
  [2621] = {
    [sym_identifier] = ACTIONS(3515),
    [aux_sym_preproc_def_token1] = ACTIONS(3515),
    [aux_sym_preproc_if_token1] = ACTIONS(3515),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3515),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3515),
    [sym_preproc_directive] = ACTIONS(3515),
    [anon_sym_LPAREN2] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_STAR] = ACTIONS(3517),
    [anon_sym_AMP_AMP] = ACTIONS(3517),
    [anon_sym_AMP] = ACTIONS(3515),
    [anon_sym___extension__] = ACTIONS(3515),
    [anon_sym_typedef] = ACTIONS(3515),
    [anon_sym_extern] = ACTIONS(3515),
    [anon_sym___attribute__] = ACTIONS(3515),
    [anon_sym_COLON_COLON] = ACTIONS(3517),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3517),
    [anon_sym___declspec] = ACTIONS(3515),
    [anon_sym___based] = ACTIONS(3515),
    [anon_sym_RBRACE] = ACTIONS(3517),
    [anon_sym_signed] = ACTIONS(3515),
    [anon_sym_unsigned] = ACTIONS(3515),
    [anon_sym_long] = ACTIONS(3515),
    [anon_sym_short] = ACTIONS(3515),
    [anon_sym_LBRACK] = ACTIONS(3515),
    [anon_sym_static] = ACTIONS(3515),
    [anon_sym_register] = ACTIONS(3515),
    [anon_sym_inline] = ACTIONS(3515),
    [anon_sym___inline] = ACTIONS(3515),
    [anon_sym___inline__] = ACTIONS(3515),
    [anon_sym___forceinline] = ACTIONS(3515),
    [anon_sym_thread_local] = ACTIONS(3515),
    [anon_sym___thread] = ACTIONS(3515),
    [anon_sym_const] = ACTIONS(3515),
    [anon_sym_constexpr] = ACTIONS(3515),
    [anon_sym_volatile] = ACTIONS(3515),
    [anon_sym_restrict] = ACTIONS(3515),
    [anon_sym___restrict__] = ACTIONS(3515),
    [anon_sym__Atomic] = ACTIONS(3515),
    [anon_sym__Noreturn] = ACTIONS(3515),
    [anon_sym_noreturn] = ACTIONS(3515),
    [anon_sym_mutable] = ACTIONS(3515),
    [anon_sym_constinit] = ACTIONS(3515),
    [anon_sym_consteval] = ACTIONS(3515),
    [anon_sym_PROGMEM] = ACTIONS(3515),
    [aux_sym_primitive_type_token1] = ACTIONS(3515),
    [anon_sym_byte] = ACTIONS(3515),
    [anon_sym_word] = ACTIONS(3515),
    [anon_sym_enum] = ACTIONS(3515),
    [anon_sym_class] = ACTIONS(3515),
    [anon_sym_struct] = ACTIONS(3515),
    [anon_sym_union] = ACTIONS(3515),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3515),
    [anon_sym_decltype] = ACTIONS(3515),
    [anon_sym_virtual] = ACTIONS(3515),
    [anon_sym_alignas] = ACTIONS(3515),
    [anon_sym_explicit] = ACTIONS(3515),
    [anon_sym_typename] = ACTIONS(3515),
    [anon_sym_template] = ACTIONS(3515),
    [anon_sym_operator] = ACTIONS(3515),
    [anon_sym_friend] = ACTIONS(3515),
    [anon_sym_public] = ACTIONS(3515),
    [anon_sym_private] = ACTIONS(3515),
    [anon_sym_protected] = ACTIONS(3515),
    [anon_sym_using] = ACTIONS(3515),
    [anon_sym_static_assert] = ACTIONS(3515),
  },
  [2622] = {
    [sym_identifier] = ACTIONS(5501),
    [aux_sym_preproc_def_token1] = ACTIONS(5501),
    [aux_sym_preproc_if_token1] = ACTIONS(5501),
    [aux_sym_preproc_if_token2] = ACTIONS(5501),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5501),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5501),
    [sym_preproc_directive] = ACTIONS(5501),
    [anon_sym_LPAREN2] = ACTIONS(5503),
    [anon_sym_TILDE] = ACTIONS(5503),
    [anon_sym_STAR] = ACTIONS(5503),
    [anon_sym_AMP_AMP] = ACTIONS(5503),
    [anon_sym_AMP] = ACTIONS(5501),
    [anon_sym___extension__] = ACTIONS(5501),
    [anon_sym_typedef] = ACTIONS(5501),
    [anon_sym_extern] = ACTIONS(5501),
    [anon_sym___attribute__] = ACTIONS(5501),
    [anon_sym_COLON_COLON] = ACTIONS(5503),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5503),
    [anon_sym___declspec] = ACTIONS(5501),
    [anon_sym___based] = ACTIONS(5501),
    [anon_sym_signed] = ACTIONS(5501),
    [anon_sym_unsigned] = ACTIONS(5501),
    [anon_sym_long] = ACTIONS(5501),
    [anon_sym_short] = ACTIONS(5501),
    [anon_sym_LBRACK] = ACTIONS(5501),
    [anon_sym_static] = ACTIONS(5501),
    [anon_sym_register] = ACTIONS(5501),
    [anon_sym_inline] = ACTIONS(5501),
    [anon_sym___inline] = ACTIONS(5501),
    [anon_sym___inline__] = ACTIONS(5501),
    [anon_sym___forceinline] = ACTIONS(5501),
    [anon_sym_thread_local] = ACTIONS(5501),
    [anon_sym___thread] = ACTIONS(5501),
    [anon_sym_const] = ACTIONS(5501),
    [anon_sym_constexpr] = ACTIONS(5501),
    [anon_sym_volatile] = ACTIONS(5501),
    [anon_sym_restrict] = ACTIONS(5501),
    [anon_sym___restrict__] = ACTIONS(5501),
    [anon_sym__Atomic] = ACTIONS(5501),
    [anon_sym__Noreturn] = ACTIONS(5501),
    [anon_sym_noreturn] = ACTIONS(5501),
    [anon_sym_mutable] = ACTIONS(5501),
    [anon_sym_constinit] = ACTIONS(5501),
    [anon_sym_consteval] = ACTIONS(5501),
    [anon_sym_PROGMEM] = ACTIONS(5501),
    [aux_sym_primitive_type_token1] = ACTIONS(5501),
    [anon_sym_byte] = ACTIONS(5501),
    [anon_sym_word] = ACTIONS(5501),
    [anon_sym_enum] = ACTIONS(5501),
    [anon_sym_class] = ACTIONS(5501),
    [anon_sym_struct] = ACTIONS(5501),
    [anon_sym_union] = ACTIONS(5501),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5501),
    [anon_sym_decltype] = ACTIONS(5501),
    [anon_sym_virtual] = ACTIONS(5501),
    [anon_sym_alignas] = ACTIONS(5501),
    [anon_sym_explicit] = ACTIONS(5501),
    [anon_sym_typename] = ACTIONS(5501),
    [anon_sym_template] = ACTIONS(5501),
    [anon_sym_operator] = ACTIONS(5501),
    [anon_sym_friend] = ACTIONS(5501),
    [anon_sym_public] = ACTIONS(5501),
    [anon_sym_private] = ACTIONS(5501),
    [anon_sym_protected] = ACTIONS(5501),
    [anon_sym_using] = ACTIONS(5501),
    [anon_sym_static_assert] = ACTIONS(5501),
  },
  [2623] = {
    [sym_identifier] = ACTIONS(5497),
    [aux_sym_preproc_def_token1] = ACTIONS(5497),
    [aux_sym_preproc_if_token1] = ACTIONS(5497),
    [aux_sym_preproc_if_token2] = ACTIONS(5497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5497),
    [sym_preproc_directive] = ACTIONS(5497),
    [anon_sym_LPAREN2] = ACTIONS(5499),
    [anon_sym_TILDE] = ACTIONS(5499),
    [anon_sym_STAR] = ACTIONS(5499),
    [anon_sym_AMP_AMP] = ACTIONS(5499),
    [anon_sym_AMP] = ACTIONS(5497),
    [anon_sym___extension__] = ACTIONS(5497),
    [anon_sym_typedef] = ACTIONS(5497),
    [anon_sym_extern] = ACTIONS(5497),
    [anon_sym___attribute__] = ACTIONS(5497),
    [anon_sym_COLON_COLON] = ACTIONS(5499),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5499),
    [anon_sym___declspec] = ACTIONS(5497),
    [anon_sym___based] = ACTIONS(5497),
    [anon_sym_signed] = ACTIONS(5497),
    [anon_sym_unsigned] = ACTIONS(5497),
    [anon_sym_long] = ACTIONS(5497),
    [anon_sym_short] = ACTIONS(5497),
    [anon_sym_LBRACK] = ACTIONS(5497),
    [anon_sym_static] = ACTIONS(5497),
    [anon_sym_register] = ACTIONS(5497),
    [anon_sym_inline] = ACTIONS(5497),
    [anon_sym___inline] = ACTIONS(5497),
    [anon_sym___inline__] = ACTIONS(5497),
    [anon_sym___forceinline] = ACTIONS(5497),
    [anon_sym_thread_local] = ACTIONS(5497),
    [anon_sym___thread] = ACTIONS(5497),
    [anon_sym_const] = ACTIONS(5497),
    [anon_sym_constexpr] = ACTIONS(5497),
    [anon_sym_volatile] = ACTIONS(5497),
    [anon_sym_restrict] = ACTIONS(5497),
    [anon_sym___restrict__] = ACTIONS(5497),
    [anon_sym__Atomic] = ACTIONS(5497),
    [anon_sym__Noreturn] = ACTIONS(5497),
    [anon_sym_noreturn] = ACTIONS(5497),
    [anon_sym_mutable] = ACTIONS(5497),
    [anon_sym_constinit] = ACTIONS(5497),
    [anon_sym_consteval] = ACTIONS(5497),
    [anon_sym_PROGMEM] = ACTIONS(5497),
    [aux_sym_primitive_type_token1] = ACTIONS(5497),
    [anon_sym_byte] = ACTIONS(5497),
    [anon_sym_word] = ACTIONS(5497),
    [anon_sym_enum] = ACTIONS(5497),
    [anon_sym_class] = ACTIONS(5497),
    [anon_sym_struct] = ACTIONS(5497),
    [anon_sym_union] = ACTIONS(5497),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5497),
    [anon_sym_decltype] = ACTIONS(5497),
    [anon_sym_virtual] = ACTIONS(5497),
    [anon_sym_alignas] = ACTIONS(5497),
    [anon_sym_explicit] = ACTIONS(5497),
    [anon_sym_typename] = ACTIONS(5497),
    [anon_sym_template] = ACTIONS(5497),
    [anon_sym_operator] = ACTIONS(5497),
    [anon_sym_friend] = ACTIONS(5497),
    [anon_sym_public] = ACTIONS(5497),
    [anon_sym_private] = ACTIONS(5497),
    [anon_sym_protected] = ACTIONS(5497),
    [anon_sym_using] = ACTIONS(5497),
    [anon_sym_static_assert] = ACTIONS(5497),
  },
  [2624] = {
    [sym_string_literal] = STATE(3941),
    [sym_template_argument_list] = STATE(5251),
    [sym_raw_string_literal] = STATE(3941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4454),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5181),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(5186),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(5188),
    [anon_sym_SLASH_EQ] = ACTIONS(5188),
    [anon_sym_PERCENT_EQ] = ACTIONS(5188),
    [anon_sym_PLUS_EQ] = ACTIONS(5188),
    [anon_sym_DASH_EQ] = ACTIONS(5188),
    [anon_sym_LT_LT_EQ] = ACTIONS(5188),
    [anon_sym_GT_GT_EQ] = ACTIONS(5186),
    [anon_sym_AMP_EQ] = ACTIONS(5188),
    [anon_sym_CARET_EQ] = ACTIONS(5188),
    [anon_sym_PIPE_EQ] = ACTIONS(5188),
    [anon_sym_and_eq] = ACTIONS(5188),
    [anon_sym_or_eq] = ACTIONS(5188),
    [anon_sym_xor_eq] = ACTIONS(5188),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(5190),
    [anon_sym_u_DQUOTE] = ACTIONS(5190),
    [anon_sym_U_DQUOTE] = ACTIONS(5190),
    [anon_sym_u8_DQUOTE] = ACTIONS(5190),
    [anon_sym_DQUOTE] = ACTIONS(5190),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4446),
    [anon_sym_R_DQUOTE] = ACTIONS(5192),
    [anon_sym_LR_DQUOTE] = ACTIONS(5192),
    [anon_sym_uR_DQUOTE] = ACTIONS(5192),
    [anon_sym_UR_DQUOTE] = ACTIONS(5192),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5192),
  },
  [2625] = {
    [sym_string_literal] = STATE(2647),
    [sym_template_argument_list] = STATE(3834),
    [sym_raw_string_literal] = STATE(2647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4454),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5983),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(4454),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4446),
    [anon_sym_SLASH_EQ] = ACTIONS(4446),
    [anon_sym_PERCENT_EQ] = ACTIONS(4446),
    [anon_sym_PLUS_EQ] = ACTIONS(4446),
    [anon_sym_DASH_EQ] = ACTIONS(4446),
    [anon_sym_LT_LT_EQ] = ACTIONS(4446),
    [anon_sym_GT_GT_EQ] = ACTIONS(4454),
    [anon_sym_AMP_EQ] = ACTIONS(4446),
    [anon_sym_CARET_EQ] = ACTIONS(4446),
    [anon_sym_PIPE_EQ] = ACTIONS(4446),
    [anon_sym_and_eq] = ACTIONS(4446),
    [anon_sym_or_eq] = ACTIONS(4446),
    [anon_sym_xor_eq] = ACTIONS(4446),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(5986),
    [anon_sym_u_DQUOTE] = ACTIONS(5986),
    [anon_sym_U_DQUOTE] = ACTIONS(5986),
    [anon_sym_u8_DQUOTE] = ACTIONS(5986),
    [anon_sym_DQUOTE] = ACTIONS(5986),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4446),
    [anon_sym_R_DQUOTE] = ACTIONS(5988),
    [anon_sym_LR_DQUOTE] = ACTIONS(5988),
    [anon_sym_uR_DQUOTE] = ACTIONS(5988),
    [anon_sym_UR_DQUOTE] = ACTIONS(5988),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5988),
  },
  [2626] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5431),
    [anon_sym_COMMA] = ACTIONS(5431),
    [anon_sym_RPAREN] = ACTIONS(5431),
    [anon_sym_LPAREN2] = ACTIONS(5431),
    [anon_sym_DASH] = ACTIONS(5429),
    [anon_sym_PLUS] = ACTIONS(5429),
    [anon_sym_STAR] = ACTIONS(5429),
    [anon_sym_SLASH] = ACTIONS(5429),
    [anon_sym_PERCENT] = ACTIONS(5429),
    [anon_sym_PIPE_PIPE] = ACTIONS(5431),
    [anon_sym_AMP_AMP] = ACTIONS(5431),
    [anon_sym_PIPE] = ACTIONS(5429),
    [anon_sym_CARET] = ACTIONS(5429),
    [anon_sym_AMP] = ACTIONS(5429),
    [anon_sym_EQ_EQ] = ACTIONS(5431),
    [anon_sym_BANG_EQ] = ACTIONS(5431),
    [anon_sym_GT] = ACTIONS(5429),
    [anon_sym_GT_EQ] = ACTIONS(5431),
    [anon_sym_LT_EQ] = ACTIONS(5429),
    [anon_sym_LT] = ACTIONS(5429),
    [anon_sym_LT_LT] = ACTIONS(5429),
    [anon_sym_GT_GT] = ACTIONS(5429),
    [anon_sym_SEMI] = ACTIONS(5431),
    [anon_sym_RBRACE] = ACTIONS(5431),
    [anon_sym_LBRACK] = ACTIONS(5431),
    [anon_sym_RBRACK] = ACTIONS(5431),
    [anon_sym_EQ] = ACTIONS(5429),
    [anon_sym_COLON] = ACTIONS(5431),
    [anon_sym_QMARK] = ACTIONS(5431),
    [anon_sym_STAR_EQ] = ACTIONS(5431),
    [anon_sym_SLASH_EQ] = ACTIONS(5431),
    [anon_sym_PERCENT_EQ] = ACTIONS(5431),
    [anon_sym_PLUS_EQ] = ACTIONS(5431),
    [anon_sym_DASH_EQ] = ACTIONS(5431),
    [anon_sym_LT_LT_EQ] = ACTIONS(5431),
    [anon_sym_GT_GT_EQ] = ACTIONS(5431),
    [anon_sym_AMP_EQ] = ACTIONS(5431),
    [anon_sym_CARET_EQ] = ACTIONS(5431),
    [anon_sym_PIPE_EQ] = ACTIONS(5431),
    [anon_sym_and_eq] = ACTIONS(5429),
    [anon_sym_or_eq] = ACTIONS(5429),
    [anon_sym_xor_eq] = ACTIONS(5429),
    [anon_sym_LT_EQ_GT] = ACTIONS(5431),
    [anon_sym_or] = ACTIONS(5429),
    [anon_sym_and] = ACTIONS(5429),
    [anon_sym_bitor] = ACTIONS(5429),
    [anon_sym_xor] = ACTIONS(5429),
    [anon_sym_bitand] = ACTIONS(5429),
    [anon_sym_not_eq] = ACTIONS(5429),
    [anon_sym_DASH_DASH] = ACTIONS(5431),
    [anon_sym_PLUS_PLUS] = ACTIONS(5431),
    [anon_sym_DOT] = ACTIONS(5429),
    [anon_sym_DOT_STAR] = ACTIONS(5431),
    [anon_sym_DASH_GT] = ACTIONS(5431),
    [anon_sym_L_DQUOTE] = ACTIONS(5431),
    [anon_sym_u_DQUOTE] = ACTIONS(5431),
    [anon_sym_U_DQUOTE] = ACTIONS(5431),
    [anon_sym_u8_DQUOTE] = ACTIONS(5431),
    [anon_sym_DQUOTE] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5431),
    [anon_sym_LR_DQUOTE] = ACTIONS(5431),
    [anon_sym_uR_DQUOTE] = ACTIONS(5431),
    [anon_sym_UR_DQUOTE] = ACTIONS(5431),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5431),
    [sym_literal_suffix] = ACTIONS(5429),
  },
  [2627] = {
    [sym_identifier] = ACTIONS(5990),
    [anon_sym_LPAREN2] = ACTIONS(5992),
    [anon_sym_TILDE] = ACTIONS(5992),
    [anon_sym_STAR] = ACTIONS(5992),
    [anon_sym_PIPE_PIPE] = ACTIONS(5992),
    [anon_sym_AMP_AMP] = ACTIONS(5994),
    [anon_sym_AMP] = ACTIONS(5990),
    [anon_sym___extension__] = ACTIONS(5990),
    [anon_sym_extern] = ACTIONS(5990),
    [anon_sym___attribute__] = ACTIONS(5990),
    [anon_sym_COLON_COLON] = ACTIONS(5992),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5992),
    [anon_sym___declspec] = ACTIONS(5990),
    [anon_sym___based] = ACTIONS(5990),
    [anon_sym___cdecl] = ACTIONS(5990),
    [anon_sym___clrcall] = ACTIONS(5990),
    [anon_sym___stdcall] = ACTIONS(5990),
    [anon_sym___fastcall] = ACTIONS(5990),
    [anon_sym___thiscall] = ACTIONS(5990),
    [anon_sym___vectorcall] = ACTIONS(5990),
    [anon_sym_signed] = ACTIONS(5990),
    [anon_sym_unsigned] = ACTIONS(5990),
    [anon_sym_long] = ACTIONS(5990),
    [anon_sym_short] = ACTIONS(5990),
    [anon_sym_LBRACK] = ACTIONS(5990),
    [anon_sym_static] = ACTIONS(5990),
    [anon_sym_register] = ACTIONS(5990),
    [anon_sym_inline] = ACTIONS(5990),
    [anon_sym___inline] = ACTIONS(5990),
    [anon_sym___inline__] = ACTIONS(5990),
    [anon_sym___forceinline] = ACTIONS(5990),
    [anon_sym_thread_local] = ACTIONS(5990),
    [anon_sym___thread] = ACTIONS(5990),
    [anon_sym_const] = ACTIONS(5990),
    [anon_sym_constexpr] = ACTIONS(5990),
    [anon_sym_volatile] = ACTIONS(5990),
    [anon_sym_restrict] = ACTIONS(5990),
    [anon_sym___restrict__] = ACTIONS(5990),
    [anon_sym__Atomic] = ACTIONS(5990),
    [anon_sym__Noreturn] = ACTIONS(5990),
    [anon_sym_noreturn] = ACTIONS(5990),
    [anon_sym_mutable] = ACTIONS(5990),
    [anon_sym_constinit] = ACTIONS(5990),
    [anon_sym_consteval] = ACTIONS(5990),
    [anon_sym_PROGMEM] = ACTIONS(5990),
    [aux_sym_primitive_type_token1] = ACTIONS(5990),
    [anon_sym_byte] = ACTIONS(5990),
    [anon_sym_word] = ACTIONS(5990),
    [anon_sym_enum] = ACTIONS(5990),
    [anon_sym_class] = ACTIONS(5990),
    [anon_sym_struct] = ACTIONS(5990),
    [anon_sym_union] = ACTIONS(5990),
    [anon_sym_or] = ACTIONS(5990),
    [anon_sym_and] = ACTIONS(5996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5990),
    [anon_sym_decltype] = ACTIONS(5990),
    [anon_sym_virtual] = ACTIONS(5990),
    [anon_sym_alignas] = ACTIONS(5990),
    [anon_sym_explicit] = ACTIONS(5990),
    [anon_sym_typename] = ACTIONS(5990),
    [anon_sym_template] = ACTIONS(5990),
    [anon_sym_operator] = ACTIONS(5990),
    [anon_sym_friend] = ACTIONS(5990),
    [anon_sym_using] = ACTIONS(5990),
    [anon_sym_concept] = ACTIONS(5990),
  },
  [2628] = {
    [sym_identifier] = ACTIONS(5149),
    [anon_sym_LPAREN2] = ACTIONS(5151),
    [anon_sym_TILDE] = ACTIONS(5151),
    [anon_sym_STAR] = ACTIONS(5151),
    [anon_sym_PIPE_PIPE] = ACTIONS(5151),
    [anon_sym_AMP_AMP] = ACTIONS(5151),
    [anon_sym_AMP] = ACTIONS(5149),
    [anon_sym___extension__] = ACTIONS(5149),
    [anon_sym_extern] = ACTIONS(5149),
    [anon_sym___attribute__] = ACTIONS(5149),
    [anon_sym_COLON_COLON] = ACTIONS(5151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5151),
    [anon_sym___declspec] = ACTIONS(5149),
    [anon_sym___based] = ACTIONS(5149),
    [anon_sym___cdecl] = ACTIONS(5149),
    [anon_sym___clrcall] = ACTIONS(5149),
    [anon_sym___stdcall] = ACTIONS(5149),
    [anon_sym___fastcall] = ACTIONS(5149),
    [anon_sym___thiscall] = ACTIONS(5149),
    [anon_sym___vectorcall] = ACTIONS(5149),
    [anon_sym_signed] = ACTIONS(5149),
    [anon_sym_unsigned] = ACTIONS(5149),
    [anon_sym_long] = ACTIONS(5149),
    [anon_sym_short] = ACTIONS(5149),
    [anon_sym_LBRACK] = ACTIONS(5149),
    [anon_sym_static] = ACTIONS(5149),
    [anon_sym_register] = ACTIONS(5149),
    [anon_sym_inline] = ACTIONS(5149),
    [anon_sym___inline] = ACTIONS(5149),
    [anon_sym___inline__] = ACTIONS(5149),
    [anon_sym___forceinline] = ACTIONS(5149),
    [anon_sym_thread_local] = ACTIONS(5149),
    [anon_sym___thread] = ACTIONS(5149),
    [anon_sym_const] = ACTIONS(5149),
    [anon_sym_constexpr] = ACTIONS(5149),
    [anon_sym_volatile] = ACTIONS(5149),
    [anon_sym_restrict] = ACTIONS(5149),
    [anon_sym___restrict__] = ACTIONS(5149),
    [anon_sym__Atomic] = ACTIONS(5149),
    [anon_sym__Noreturn] = ACTIONS(5149),
    [anon_sym_noreturn] = ACTIONS(5149),
    [anon_sym_mutable] = ACTIONS(5149),
    [anon_sym_constinit] = ACTIONS(5149),
    [anon_sym_consteval] = ACTIONS(5149),
    [anon_sym_PROGMEM] = ACTIONS(5149),
    [aux_sym_primitive_type_token1] = ACTIONS(5149),
    [anon_sym_byte] = ACTIONS(5149),
    [anon_sym_word] = ACTIONS(5149),
    [anon_sym_enum] = ACTIONS(5149),
    [anon_sym_class] = ACTIONS(5149),
    [anon_sym_struct] = ACTIONS(5149),
    [anon_sym_union] = ACTIONS(5149),
    [anon_sym_or] = ACTIONS(5149),
    [anon_sym_and] = ACTIONS(5149),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5149),
    [anon_sym_decltype] = ACTIONS(5149),
    [anon_sym_virtual] = ACTIONS(5149),
    [anon_sym_alignas] = ACTIONS(5149),
    [anon_sym_explicit] = ACTIONS(5149),
    [anon_sym_typename] = ACTIONS(5149),
    [anon_sym_template] = ACTIONS(5149),
    [anon_sym_operator] = ACTIONS(5149),
    [anon_sym_friend] = ACTIONS(5149),
    [anon_sym_using] = ACTIONS(5149),
    [anon_sym_concept] = ACTIONS(5149),
  },
  [2629] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2629),
    [sym_identifier] = ACTIONS(5374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5376),
    [anon_sym_COMMA] = ACTIONS(5376),
    [anon_sym_LPAREN2] = ACTIONS(5376),
    [anon_sym_DASH] = ACTIONS(5374),
    [anon_sym_PLUS] = ACTIONS(5374),
    [anon_sym_STAR] = ACTIONS(5376),
    [anon_sym_SLASH] = ACTIONS(5374),
    [anon_sym_PERCENT] = ACTIONS(5376),
    [anon_sym_PIPE_PIPE] = ACTIONS(5376),
    [anon_sym_AMP_AMP] = ACTIONS(5376),
    [anon_sym_PIPE] = ACTIONS(5374),
    [anon_sym_CARET] = ACTIONS(5376),
    [anon_sym_AMP] = ACTIONS(5374),
    [anon_sym_EQ_EQ] = ACTIONS(5376),
    [anon_sym_BANG_EQ] = ACTIONS(5376),
    [anon_sym_GT] = ACTIONS(5374),
    [anon_sym_GT_EQ] = ACTIONS(5374),
    [anon_sym_LT_EQ] = ACTIONS(5374),
    [anon_sym_LT] = ACTIONS(5374),
    [anon_sym_LT_LT] = ACTIONS(5376),
    [anon_sym_GT_GT] = ACTIONS(5374),
    [anon_sym___extension__] = ACTIONS(5374),
    [anon_sym___attribute__] = ACTIONS(5374),
    [anon_sym_LBRACE] = ACTIONS(5376),
    [anon_sym_signed] = ACTIONS(5998),
    [anon_sym_unsigned] = ACTIONS(5998),
    [anon_sym_long] = ACTIONS(5998),
    [anon_sym_short] = ACTIONS(5998),
    [anon_sym_LBRACK] = ACTIONS(5376),
    [anon_sym_const] = ACTIONS(5374),
    [anon_sym_constexpr] = ACTIONS(5374),
    [anon_sym_volatile] = ACTIONS(5374),
    [anon_sym_restrict] = ACTIONS(5374),
    [anon_sym___restrict__] = ACTIONS(5374),
    [anon_sym__Atomic] = ACTIONS(5374),
    [anon_sym__Noreturn] = ACTIONS(5374),
    [anon_sym_noreturn] = ACTIONS(5374),
    [anon_sym_mutable] = ACTIONS(5374),
    [anon_sym_constinit] = ACTIONS(5374),
    [anon_sym_consteval] = ACTIONS(5374),
    [anon_sym_PROGMEM] = ACTIONS(5374),
    [aux_sym_primitive_type_token1] = ACTIONS(5374),
    [anon_sym_byte] = ACTIONS(5374),
    [anon_sym_word] = ACTIONS(5374),
    [anon_sym_QMARK] = ACTIONS(5376),
    [anon_sym_LT_EQ_GT] = ACTIONS(5376),
    [anon_sym_or] = ACTIONS(5374),
    [anon_sym_and] = ACTIONS(5374),
    [anon_sym_bitor] = ACTIONS(5374),
    [anon_sym_xor] = ACTIONS(5374),
    [anon_sym_bitand] = ACTIONS(5374),
    [anon_sym_not_eq] = ACTIONS(5374),
    [anon_sym_DASH_DASH] = ACTIONS(5376),
    [anon_sym_PLUS_PLUS] = ACTIONS(5376),
    [anon_sym_DOT] = ACTIONS(5374),
    [anon_sym_DOT_STAR] = ACTIONS(5376),
    [anon_sym_DASH_GT] = ACTIONS(5376),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5374),
    [anon_sym_decltype] = ACTIONS(5374),
    [anon_sym_final] = ACTIONS(5374),
    [anon_sym_override] = ACTIONS(5374),
    [anon_sym_GT2] = ACTIONS(5376),
    [anon_sym_requires] = ACTIONS(5374),
  },
  [2630] = {
    [sym_identifier] = ACTIONS(5141),
    [anon_sym_LPAREN2] = ACTIONS(5143),
    [anon_sym_TILDE] = ACTIONS(5143),
    [anon_sym_STAR] = ACTIONS(5143),
    [anon_sym_PIPE_PIPE] = ACTIONS(5143),
    [anon_sym_AMP_AMP] = ACTIONS(5143),
    [anon_sym_AMP] = ACTIONS(5141),
    [anon_sym___extension__] = ACTIONS(5141),
    [anon_sym_extern] = ACTIONS(5141),
    [anon_sym___attribute__] = ACTIONS(5141),
    [anon_sym_COLON_COLON] = ACTIONS(5143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5143),
    [anon_sym___declspec] = ACTIONS(5141),
    [anon_sym___based] = ACTIONS(5141),
    [anon_sym___cdecl] = ACTIONS(5141),
    [anon_sym___clrcall] = ACTIONS(5141),
    [anon_sym___stdcall] = ACTIONS(5141),
    [anon_sym___fastcall] = ACTIONS(5141),
    [anon_sym___thiscall] = ACTIONS(5141),
    [anon_sym___vectorcall] = ACTIONS(5141),
    [anon_sym_signed] = ACTIONS(5141),
    [anon_sym_unsigned] = ACTIONS(5141),
    [anon_sym_long] = ACTIONS(5141),
    [anon_sym_short] = ACTIONS(5141),
    [anon_sym_LBRACK] = ACTIONS(5141),
    [anon_sym_static] = ACTIONS(5141),
    [anon_sym_register] = ACTIONS(5141),
    [anon_sym_inline] = ACTIONS(5141),
    [anon_sym___inline] = ACTIONS(5141),
    [anon_sym___inline__] = ACTIONS(5141),
    [anon_sym___forceinline] = ACTIONS(5141),
    [anon_sym_thread_local] = ACTIONS(5141),
    [anon_sym___thread] = ACTIONS(5141),
    [anon_sym_const] = ACTIONS(5141),
    [anon_sym_constexpr] = ACTIONS(5141),
    [anon_sym_volatile] = ACTIONS(5141),
    [anon_sym_restrict] = ACTIONS(5141),
    [anon_sym___restrict__] = ACTIONS(5141),
    [anon_sym__Atomic] = ACTIONS(5141),
    [anon_sym__Noreturn] = ACTIONS(5141),
    [anon_sym_noreturn] = ACTIONS(5141),
    [anon_sym_mutable] = ACTIONS(5141),
    [anon_sym_constinit] = ACTIONS(5141),
    [anon_sym_consteval] = ACTIONS(5141),
    [anon_sym_PROGMEM] = ACTIONS(5141),
    [aux_sym_primitive_type_token1] = ACTIONS(5141),
    [anon_sym_byte] = ACTIONS(5141),
    [anon_sym_word] = ACTIONS(5141),
    [anon_sym_enum] = ACTIONS(5141),
    [anon_sym_class] = ACTIONS(5141),
    [anon_sym_struct] = ACTIONS(5141),
    [anon_sym_union] = ACTIONS(5141),
    [anon_sym_or] = ACTIONS(5141),
    [anon_sym_and] = ACTIONS(5141),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5141),
    [anon_sym_decltype] = ACTIONS(5141),
    [anon_sym_virtual] = ACTIONS(5141),
    [anon_sym_alignas] = ACTIONS(5141),
    [anon_sym_explicit] = ACTIONS(5141),
    [anon_sym_typename] = ACTIONS(5141),
    [anon_sym_template] = ACTIONS(5141),
    [anon_sym_operator] = ACTIONS(5141),
    [anon_sym_friend] = ACTIONS(5141),
    [anon_sym_using] = ACTIONS(5141),
    [anon_sym_concept] = ACTIONS(5141),
  },
  [2631] = {
    [sym_identifier] = ACTIONS(5137),
    [anon_sym_LPAREN2] = ACTIONS(5139),
    [anon_sym_TILDE] = ACTIONS(5139),
    [anon_sym_STAR] = ACTIONS(5139),
    [anon_sym_PIPE_PIPE] = ACTIONS(5139),
    [anon_sym_AMP_AMP] = ACTIONS(5139),
    [anon_sym_AMP] = ACTIONS(5137),
    [anon_sym___extension__] = ACTIONS(5137),
    [anon_sym_extern] = ACTIONS(5137),
    [anon_sym___attribute__] = ACTIONS(5137),
    [anon_sym_COLON_COLON] = ACTIONS(5139),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5139),
    [anon_sym___declspec] = ACTIONS(5137),
    [anon_sym___based] = ACTIONS(5137),
    [anon_sym___cdecl] = ACTIONS(5137),
    [anon_sym___clrcall] = ACTIONS(5137),
    [anon_sym___stdcall] = ACTIONS(5137),
    [anon_sym___fastcall] = ACTIONS(5137),
    [anon_sym___thiscall] = ACTIONS(5137),
    [anon_sym___vectorcall] = ACTIONS(5137),
    [anon_sym_signed] = ACTIONS(5137),
    [anon_sym_unsigned] = ACTIONS(5137),
    [anon_sym_long] = ACTIONS(5137),
    [anon_sym_short] = ACTIONS(5137),
    [anon_sym_LBRACK] = ACTIONS(5137),
    [anon_sym_static] = ACTIONS(5137),
    [anon_sym_register] = ACTIONS(5137),
    [anon_sym_inline] = ACTIONS(5137),
    [anon_sym___inline] = ACTIONS(5137),
    [anon_sym___inline__] = ACTIONS(5137),
    [anon_sym___forceinline] = ACTIONS(5137),
    [anon_sym_thread_local] = ACTIONS(5137),
    [anon_sym___thread] = ACTIONS(5137),
    [anon_sym_const] = ACTIONS(5137),
    [anon_sym_constexpr] = ACTIONS(5137),
    [anon_sym_volatile] = ACTIONS(5137),
    [anon_sym_restrict] = ACTIONS(5137),
    [anon_sym___restrict__] = ACTIONS(5137),
    [anon_sym__Atomic] = ACTIONS(5137),
    [anon_sym__Noreturn] = ACTIONS(5137),
    [anon_sym_noreturn] = ACTIONS(5137),
    [anon_sym_mutable] = ACTIONS(5137),
    [anon_sym_constinit] = ACTIONS(5137),
    [anon_sym_consteval] = ACTIONS(5137),
    [anon_sym_PROGMEM] = ACTIONS(5137),
    [aux_sym_primitive_type_token1] = ACTIONS(5137),
    [anon_sym_byte] = ACTIONS(5137),
    [anon_sym_word] = ACTIONS(5137),
    [anon_sym_enum] = ACTIONS(5137),
    [anon_sym_class] = ACTIONS(5137),
    [anon_sym_struct] = ACTIONS(5137),
    [anon_sym_union] = ACTIONS(5137),
    [anon_sym_or] = ACTIONS(5137),
    [anon_sym_and] = ACTIONS(5137),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5137),
    [anon_sym_decltype] = ACTIONS(5137),
    [anon_sym_virtual] = ACTIONS(5137),
    [anon_sym_alignas] = ACTIONS(5137),
    [anon_sym_explicit] = ACTIONS(5137),
    [anon_sym_typename] = ACTIONS(5137),
    [anon_sym_template] = ACTIONS(5137),
    [anon_sym_operator] = ACTIONS(5137),
    [anon_sym_friend] = ACTIONS(5137),
    [anon_sym_using] = ACTIONS(5137),
    [anon_sym_concept] = ACTIONS(5137),
  },
  [2632] = {
    [sym_attribute_specifier] = STATE(2733),
    [sym_identifier] = ACTIONS(6001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6003),
    [anon_sym_COMMA] = ACTIONS(6003),
    [anon_sym_RPAREN] = ACTIONS(6003),
    [aux_sym_preproc_if_token2] = ACTIONS(6003),
    [aux_sym_preproc_else_token1] = ACTIONS(6003),
    [aux_sym_preproc_elif_token1] = ACTIONS(6001),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6003),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6003),
    [anon_sym_LPAREN2] = ACTIONS(6003),
    [anon_sym_DASH] = ACTIONS(6001),
    [anon_sym_PLUS] = ACTIONS(6001),
    [anon_sym_STAR] = ACTIONS(6001),
    [anon_sym_SLASH] = ACTIONS(6001),
    [anon_sym_PERCENT] = ACTIONS(6001),
    [anon_sym_PIPE_PIPE] = ACTIONS(6003),
    [anon_sym_AMP_AMP] = ACTIONS(6003),
    [anon_sym_PIPE] = ACTIONS(6001),
    [anon_sym_CARET] = ACTIONS(6001),
    [anon_sym_AMP] = ACTIONS(6001),
    [anon_sym_EQ_EQ] = ACTIONS(6003),
    [anon_sym_BANG_EQ] = ACTIONS(6003),
    [anon_sym_GT] = ACTIONS(6001),
    [anon_sym_GT_EQ] = ACTIONS(6003),
    [anon_sym_LT_EQ] = ACTIONS(6001),
    [anon_sym_LT] = ACTIONS(6001),
    [anon_sym_LT_LT] = ACTIONS(6001),
    [anon_sym_GT_GT] = ACTIONS(6001),
    [anon_sym_SEMI] = ACTIONS(6003),
    [anon_sym___attribute__] = ACTIONS(5471),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_RBRACE] = ACTIONS(6003),
    [anon_sym_LBRACK] = ACTIONS(6003),
    [anon_sym_RBRACK] = ACTIONS(6003),
    [anon_sym_EQ] = ACTIONS(6001),
    [anon_sym_COLON] = ACTIONS(6003),
    [anon_sym_QMARK] = ACTIONS(6003),
    [anon_sym_STAR_EQ] = ACTIONS(6003),
    [anon_sym_SLASH_EQ] = ACTIONS(6003),
    [anon_sym_PERCENT_EQ] = ACTIONS(6003),
    [anon_sym_PLUS_EQ] = ACTIONS(6003),
    [anon_sym_DASH_EQ] = ACTIONS(6003),
    [anon_sym_LT_LT_EQ] = ACTIONS(6003),
    [anon_sym_GT_GT_EQ] = ACTIONS(6003),
    [anon_sym_AMP_EQ] = ACTIONS(6003),
    [anon_sym_CARET_EQ] = ACTIONS(6003),
    [anon_sym_PIPE_EQ] = ACTIONS(6003),
    [anon_sym_and_eq] = ACTIONS(6001),
    [anon_sym_or_eq] = ACTIONS(6001),
    [anon_sym_xor_eq] = ACTIONS(6001),
    [anon_sym_LT_EQ_GT] = ACTIONS(6003),
    [anon_sym_or] = ACTIONS(6001),
    [anon_sym_and] = ACTIONS(6001),
    [anon_sym_bitor] = ACTIONS(6001),
    [anon_sym_xor] = ACTIONS(6001),
    [anon_sym_bitand] = ACTIONS(6001),
    [anon_sym_not_eq] = ACTIONS(6001),
    [anon_sym_DASH_DASH] = ACTIONS(6003),
    [anon_sym_PLUS_PLUS] = ACTIONS(6003),
    [anon_sym_DOT] = ACTIONS(6001),
    [anon_sym_DOT_STAR] = ACTIONS(6003),
    [anon_sym_DASH_GT] = ACTIONS(6003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6001),
    [anon_sym_decltype] = ACTIONS(6001),
  },
  [2633] = {
    [sym_attribute_specifier] = STATE(2723),
    [sym_identifier] = ACTIONS(6005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6007),
    [anon_sym_COMMA] = ACTIONS(6007),
    [anon_sym_RPAREN] = ACTIONS(6007),
    [aux_sym_preproc_if_token2] = ACTIONS(6007),
    [aux_sym_preproc_else_token1] = ACTIONS(6007),
    [aux_sym_preproc_elif_token1] = ACTIONS(6005),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6007),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6007),
    [anon_sym_LPAREN2] = ACTIONS(6007),
    [anon_sym_DASH] = ACTIONS(6005),
    [anon_sym_PLUS] = ACTIONS(6005),
    [anon_sym_STAR] = ACTIONS(6005),
    [anon_sym_SLASH] = ACTIONS(6005),
    [anon_sym_PERCENT] = ACTIONS(6005),
    [anon_sym_PIPE_PIPE] = ACTIONS(6007),
    [anon_sym_AMP_AMP] = ACTIONS(6007),
    [anon_sym_PIPE] = ACTIONS(6005),
    [anon_sym_CARET] = ACTIONS(6005),
    [anon_sym_AMP] = ACTIONS(6005),
    [anon_sym_EQ_EQ] = ACTIONS(6007),
    [anon_sym_BANG_EQ] = ACTIONS(6007),
    [anon_sym_GT] = ACTIONS(6005),
    [anon_sym_GT_EQ] = ACTIONS(6007),
    [anon_sym_LT_EQ] = ACTIONS(6005),
    [anon_sym_LT] = ACTIONS(6005),
    [anon_sym_LT_LT] = ACTIONS(6005),
    [anon_sym_GT_GT] = ACTIONS(6005),
    [anon_sym_SEMI] = ACTIONS(6007),
    [anon_sym___attribute__] = ACTIONS(5471),
    [anon_sym_LBRACE] = ACTIONS(6007),
    [anon_sym_RBRACE] = ACTIONS(6007),
    [anon_sym_LBRACK] = ACTIONS(6007),
    [anon_sym_RBRACK] = ACTIONS(6007),
    [anon_sym_EQ] = ACTIONS(6005),
    [anon_sym_COLON] = ACTIONS(6007),
    [anon_sym_QMARK] = ACTIONS(6007),
    [anon_sym_STAR_EQ] = ACTIONS(6007),
    [anon_sym_SLASH_EQ] = ACTIONS(6007),
    [anon_sym_PERCENT_EQ] = ACTIONS(6007),
    [anon_sym_PLUS_EQ] = ACTIONS(6007),
    [anon_sym_DASH_EQ] = ACTIONS(6007),
    [anon_sym_LT_LT_EQ] = ACTIONS(6007),
    [anon_sym_GT_GT_EQ] = ACTIONS(6007),
    [anon_sym_AMP_EQ] = ACTIONS(6007),
    [anon_sym_CARET_EQ] = ACTIONS(6007),
    [anon_sym_PIPE_EQ] = ACTIONS(6007),
    [anon_sym_and_eq] = ACTIONS(6005),
    [anon_sym_or_eq] = ACTIONS(6005),
    [anon_sym_xor_eq] = ACTIONS(6005),
    [anon_sym_LT_EQ_GT] = ACTIONS(6007),
    [anon_sym_or] = ACTIONS(6005),
    [anon_sym_and] = ACTIONS(6005),
    [anon_sym_bitor] = ACTIONS(6005),
    [anon_sym_xor] = ACTIONS(6005),
    [anon_sym_bitand] = ACTIONS(6005),
    [anon_sym_not_eq] = ACTIONS(6005),
    [anon_sym_DASH_DASH] = ACTIONS(6007),
    [anon_sym_PLUS_PLUS] = ACTIONS(6007),
    [anon_sym_DOT] = ACTIONS(6005),
    [anon_sym_DOT_STAR] = ACTIONS(6007),
    [anon_sym_DASH_GT] = ACTIONS(6007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6005),
    [anon_sym_decltype] = ACTIONS(6005),
  },
  [2634] = {
    [sym_attribute_specifier] = STATE(2685),
    [sym_identifier] = ACTIONS(6009),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6011),
    [anon_sym_COMMA] = ACTIONS(6011),
    [anon_sym_RPAREN] = ACTIONS(6011),
    [aux_sym_preproc_if_token2] = ACTIONS(6011),
    [aux_sym_preproc_else_token1] = ACTIONS(6011),
    [aux_sym_preproc_elif_token1] = ACTIONS(6009),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6011),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6011),
    [anon_sym_LPAREN2] = ACTIONS(6011),
    [anon_sym_DASH] = ACTIONS(6009),
    [anon_sym_PLUS] = ACTIONS(6009),
    [anon_sym_STAR] = ACTIONS(6009),
    [anon_sym_SLASH] = ACTIONS(6009),
    [anon_sym_PERCENT] = ACTIONS(6009),
    [anon_sym_PIPE_PIPE] = ACTIONS(6011),
    [anon_sym_AMP_AMP] = ACTIONS(6011),
    [anon_sym_PIPE] = ACTIONS(6009),
    [anon_sym_CARET] = ACTIONS(6009),
    [anon_sym_AMP] = ACTIONS(6009),
    [anon_sym_EQ_EQ] = ACTIONS(6011),
    [anon_sym_BANG_EQ] = ACTIONS(6011),
    [anon_sym_GT] = ACTIONS(6009),
    [anon_sym_GT_EQ] = ACTIONS(6011),
    [anon_sym_LT_EQ] = ACTIONS(6009),
    [anon_sym_LT] = ACTIONS(6009),
    [anon_sym_LT_LT] = ACTIONS(6009),
    [anon_sym_GT_GT] = ACTIONS(6009),
    [anon_sym_SEMI] = ACTIONS(6011),
    [anon_sym___attribute__] = ACTIONS(5471),
    [anon_sym_LBRACE] = ACTIONS(6011),
    [anon_sym_RBRACE] = ACTIONS(6011),
    [anon_sym_LBRACK] = ACTIONS(6011),
    [anon_sym_RBRACK] = ACTIONS(6011),
    [anon_sym_EQ] = ACTIONS(6009),
    [anon_sym_COLON] = ACTIONS(6011),
    [anon_sym_QMARK] = ACTIONS(6011),
    [anon_sym_STAR_EQ] = ACTIONS(6011),
    [anon_sym_SLASH_EQ] = ACTIONS(6011),
    [anon_sym_PERCENT_EQ] = ACTIONS(6011),
    [anon_sym_PLUS_EQ] = ACTIONS(6011),
    [anon_sym_DASH_EQ] = ACTIONS(6011),
    [anon_sym_LT_LT_EQ] = ACTIONS(6011),
    [anon_sym_GT_GT_EQ] = ACTIONS(6011),
    [anon_sym_AMP_EQ] = ACTIONS(6011),
    [anon_sym_CARET_EQ] = ACTIONS(6011),
    [anon_sym_PIPE_EQ] = ACTIONS(6011),
    [anon_sym_and_eq] = ACTIONS(6009),
    [anon_sym_or_eq] = ACTIONS(6009),
    [anon_sym_xor_eq] = ACTIONS(6009),
    [anon_sym_LT_EQ_GT] = ACTIONS(6011),
    [anon_sym_or] = ACTIONS(6009),
    [anon_sym_and] = ACTIONS(6009),
    [anon_sym_bitor] = ACTIONS(6009),
    [anon_sym_xor] = ACTIONS(6009),
    [anon_sym_bitand] = ACTIONS(6009),
    [anon_sym_not_eq] = ACTIONS(6009),
    [anon_sym_DASH_DASH] = ACTIONS(6011),
    [anon_sym_PLUS_PLUS] = ACTIONS(6011),
    [anon_sym_DOT] = ACTIONS(6009),
    [anon_sym_DOT_STAR] = ACTIONS(6011),
    [anon_sym_DASH_GT] = ACTIONS(6011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6009),
    [anon_sym_decltype] = ACTIONS(6009),
  },
  [2635] = {
    [sym_attribute_specifier] = STATE(2707),
    [sym_identifier] = ACTIONS(6013),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6015),
    [anon_sym_COMMA] = ACTIONS(6015),
    [anon_sym_RPAREN] = ACTIONS(6015),
    [aux_sym_preproc_if_token2] = ACTIONS(6015),
    [aux_sym_preproc_else_token1] = ACTIONS(6015),
    [aux_sym_preproc_elif_token1] = ACTIONS(6013),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6015),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6015),
    [anon_sym_LPAREN2] = ACTIONS(6015),
    [anon_sym_DASH] = ACTIONS(6013),
    [anon_sym_PLUS] = ACTIONS(6013),
    [anon_sym_STAR] = ACTIONS(6013),
    [anon_sym_SLASH] = ACTIONS(6013),
    [anon_sym_PERCENT] = ACTIONS(6013),
    [anon_sym_PIPE_PIPE] = ACTIONS(6015),
    [anon_sym_AMP_AMP] = ACTIONS(6015),
    [anon_sym_PIPE] = ACTIONS(6013),
    [anon_sym_CARET] = ACTIONS(6013),
    [anon_sym_AMP] = ACTIONS(6013),
    [anon_sym_EQ_EQ] = ACTIONS(6015),
    [anon_sym_BANG_EQ] = ACTIONS(6015),
    [anon_sym_GT] = ACTIONS(6013),
    [anon_sym_GT_EQ] = ACTIONS(6015),
    [anon_sym_LT_EQ] = ACTIONS(6013),
    [anon_sym_LT] = ACTIONS(6013),
    [anon_sym_LT_LT] = ACTIONS(6013),
    [anon_sym_GT_GT] = ACTIONS(6013),
    [anon_sym_SEMI] = ACTIONS(6015),
    [anon_sym___attribute__] = ACTIONS(5471),
    [anon_sym_LBRACE] = ACTIONS(6015),
    [anon_sym_RBRACE] = ACTIONS(6015),
    [anon_sym_LBRACK] = ACTIONS(6015),
    [anon_sym_RBRACK] = ACTIONS(6015),
    [anon_sym_EQ] = ACTIONS(6013),
    [anon_sym_COLON] = ACTIONS(6015),
    [anon_sym_QMARK] = ACTIONS(6015),
    [anon_sym_STAR_EQ] = ACTIONS(6015),
    [anon_sym_SLASH_EQ] = ACTIONS(6015),
    [anon_sym_PERCENT_EQ] = ACTIONS(6015),
    [anon_sym_PLUS_EQ] = ACTIONS(6015),
    [anon_sym_DASH_EQ] = ACTIONS(6015),
    [anon_sym_LT_LT_EQ] = ACTIONS(6015),
    [anon_sym_GT_GT_EQ] = ACTIONS(6015),
    [anon_sym_AMP_EQ] = ACTIONS(6015),
    [anon_sym_CARET_EQ] = ACTIONS(6015),
    [anon_sym_PIPE_EQ] = ACTIONS(6015),
    [anon_sym_and_eq] = ACTIONS(6013),
    [anon_sym_or_eq] = ACTIONS(6013),
    [anon_sym_xor_eq] = ACTIONS(6013),
    [anon_sym_LT_EQ_GT] = ACTIONS(6015),
    [anon_sym_or] = ACTIONS(6013),
    [anon_sym_and] = ACTIONS(6013),
    [anon_sym_bitor] = ACTIONS(6013),
    [anon_sym_xor] = ACTIONS(6013),
    [anon_sym_bitand] = ACTIONS(6013),
    [anon_sym_not_eq] = ACTIONS(6013),
    [anon_sym_DASH_DASH] = ACTIONS(6015),
    [anon_sym_PLUS_PLUS] = ACTIONS(6015),
    [anon_sym_DOT] = ACTIONS(6013),
    [anon_sym_DOT_STAR] = ACTIONS(6015),
    [anon_sym_DASH_GT] = ACTIONS(6015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6013),
    [anon_sym_decltype] = ACTIONS(6013),
  },
  [2636] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2639),
    [sym_identifier] = ACTIONS(5633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5630),
    [anon_sym_COMMA] = ACTIONS(5630),
    [aux_sym_preproc_if_token2] = ACTIONS(5630),
    [aux_sym_preproc_else_token1] = ACTIONS(5630),
    [aux_sym_preproc_elif_token1] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [anon_sym_DASH] = ACTIONS(5633),
    [anon_sym_PLUS] = ACTIONS(5633),
    [anon_sym_STAR] = ACTIONS(5633),
    [anon_sym_SLASH] = ACTIONS(5633),
    [anon_sym_PERCENT] = ACTIONS(5633),
    [anon_sym_PIPE_PIPE] = ACTIONS(5630),
    [anon_sym_AMP_AMP] = ACTIONS(5630),
    [anon_sym_PIPE] = ACTIONS(5633),
    [anon_sym_CARET] = ACTIONS(5633),
    [anon_sym_AMP] = ACTIONS(5633),
    [anon_sym_EQ_EQ] = ACTIONS(5630),
    [anon_sym_BANG_EQ] = ACTIONS(5630),
    [anon_sym_GT] = ACTIONS(5633),
    [anon_sym_GT_EQ] = ACTIONS(5630),
    [anon_sym_LT_EQ] = ACTIONS(5633),
    [anon_sym_LT] = ACTIONS(5633),
    [anon_sym_LT_LT] = ACTIONS(5633),
    [anon_sym_GT_GT] = ACTIONS(5633),
    [anon_sym___attribute__] = ACTIONS(5633),
    [anon_sym_LBRACE] = ACTIONS(5630),
    [anon_sym_signed] = ACTIONS(6017),
    [anon_sym_unsigned] = ACTIONS(6017),
    [anon_sym_long] = ACTIONS(6017),
    [anon_sym_short] = ACTIONS(6017),
    [anon_sym_LBRACK] = ACTIONS(5630),
    [anon_sym_EQ] = ACTIONS(5633),
    [aux_sym_primitive_type_token1] = ACTIONS(5374),
    [anon_sym_byte] = ACTIONS(5374),
    [anon_sym_word] = ACTIONS(5374),
    [anon_sym_QMARK] = ACTIONS(5630),
    [anon_sym_STAR_EQ] = ACTIONS(5630),
    [anon_sym_SLASH_EQ] = ACTIONS(5630),
    [anon_sym_PERCENT_EQ] = ACTIONS(5630),
    [anon_sym_PLUS_EQ] = ACTIONS(5630),
    [anon_sym_DASH_EQ] = ACTIONS(5630),
    [anon_sym_LT_LT_EQ] = ACTIONS(5630),
    [anon_sym_GT_GT_EQ] = ACTIONS(5630),
    [anon_sym_AMP_EQ] = ACTIONS(5630),
    [anon_sym_CARET_EQ] = ACTIONS(5630),
    [anon_sym_PIPE_EQ] = ACTIONS(5630),
    [anon_sym_and_eq] = ACTIONS(5633),
    [anon_sym_or_eq] = ACTIONS(5633),
    [anon_sym_xor_eq] = ACTIONS(5633),
    [anon_sym_LT_EQ_GT] = ACTIONS(5630),
    [anon_sym_or] = ACTIONS(5633),
    [anon_sym_and] = ACTIONS(5633),
    [anon_sym_bitor] = ACTIONS(5633),
    [anon_sym_xor] = ACTIONS(5633),
    [anon_sym_bitand] = ACTIONS(5633),
    [anon_sym_not_eq] = ACTIONS(5633),
    [anon_sym_DASH_DASH] = ACTIONS(5630),
    [anon_sym_PLUS_PLUS] = ACTIONS(5630),
    [anon_sym_DOT] = ACTIONS(5633),
    [anon_sym_DOT_STAR] = ACTIONS(5630),
    [anon_sym_DASH_GT] = ACTIONS(5630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5633),
    [anon_sym_decltype] = ACTIONS(5633),
  },
  [2637] = {
    [sym_identifier] = ACTIONS(2265),
    [anon_sym_LPAREN2] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [anon_sym_STAR] = ACTIONS(2263),
    [anon_sym_PIPE_PIPE] = ACTIONS(2263),
    [anon_sym_AMP_AMP] = ACTIONS(2263),
    [anon_sym_AMP] = ACTIONS(2265),
    [anon_sym___extension__] = ACTIONS(2265),
    [anon_sym_extern] = ACTIONS(2265),
    [anon_sym___attribute__] = ACTIONS(2265),
    [anon_sym_COLON_COLON] = ACTIONS(2263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2263),
    [anon_sym___declspec] = ACTIONS(2265),
    [anon_sym___based] = ACTIONS(2265),
    [anon_sym___cdecl] = ACTIONS(2265),
    [anon_sym___clrcall] = ACTIONS(2265),
    [anon_sym___stdcall] = ACTIONS(2265),
    [anon_sym___fastcall] = ACTIONS(2265),
    [anon_sym___thiscall] = ACTIONS(2265),
    [anon_sym___vectorcall] = ACTIONS(2265),
    [anon_sym_signed] = ACTIONS(2265),
    [anon_sym_unsigned] = ACTIONS(2265),
    [anon_sym_long] = ACTIONS(2265),
    [anon_sym_short] = ACTIONS(2265),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_static] = ACTIONS(2265),
    [anon_sym_register] = ACTIONS(2265),
    [anon_sym_inline] = ACTIONS(2265),
    [anon_sym___inline] = ACTIONS(2265),
    [anon_sym___inline__] = ACTIONS(2265),
    [anon_sym___forceinline] = ACTIONS(2265),
    [anon_sym_thread_local] = ACTIONS(2265),
    [anon_sym___thread] = ACTIONS(2265),
    [anon_sym_const] = ACTIONS(2265),
    [anon_sym_constexpr] = ACTIONS(2265),
    [anon_sym_volatile] = ACTIONS(2265),
    [anon_sym_restrict] = ACTIONS(2265),
    [anon_sym___restrict__] = ACTIONS(2265),
    [anon_sym__Atomic] = ACTIONS(2265),
    [anon_sym__Noreturn] = ACTIONS(2265),
    [anon_sym_noreturn] = ACTIONS(2265),
    [anon_sym_mutable] = ACTIONS(2265),
    [anon_sym_constinit] = ACTIONS(2265),
    [anon_sym_consteval] = ACTIONS(2265),
    [anon_sym_PROGMEM] = ACTIONS(2265),
    [aux_sym_primitive_type_token1] = ACTIONS(2265),
    [anon_sym_byte] = ACTIONS(2265),
    [anon_sym_word] = ACTIONS(2265),
    [anon_sym_enum] = ACTIONS(2265),
    [anon_sym_class] = ACTIONS(2265),
    [anon_sym_struct] = ACTIONS(2265),
    [anon_sym_union] = ACTIONS(2265),
    [anon_sym_or] = ACTIONS(2265),
    [anon_sym_and] = ACTIONS(2265),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2265),
    [anon_sym_decltype] = ACTIONS(2265),
    [anon_sym_virtual] = ACTIONS(2265),
    [anon_sym_alignas] = ACTIONS(2265),
    [anon_sym_explicit] = ACTIONS(2265),
    [anon_sym_typename] = ACTIONS(2265),
    [anon_sym_template] = ACTIONS(2265),
    [anon_sym_operator] = ACTIONS(2265),
    [anon_sym_friend] = ACTIONS(2265),
    [anon_sym_using] = ACTIONS(2265),
    [anon_sym_concept] = ACTIONS(2265),
  },
  [2638] = {
    [sym_identifier] = ACTIONS(5125),
    [anon_sym_LPAREN2] = ACTIONS(5127),
    [anon_sym_TILDE] = ACTIONS(5127),
    [anon_sym_STAR] = ACTIONS(5127),
    [anon_sym_PIPE_PIPE] = ACTIONS(5127),
    [anon_sym_AMP_AMP] = ACTIONS(5127),
    [anon_sym_AMP] = ACTIONS(5125),
    [anon_sym___extension__] = ACTIONS(5125),
    [anon_sym_extern] = ACTIONS(5125),
    [anon_sym___attribute__] = ACTIONS(5125),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5127),
    [anon_sym___declspec] = ACTIONS(5125),
    [anon_sym___based] = ACTIONS(5125),
    [anon_sym___cdecl] = ACTIONS(5125),
    [anon_sym___clrcall] = ACTIONS(5125),
    [anon_sym___stdcall] = ACTIONS(5125),
    [anon_sym___fastcall] = ACTIONS(5125),
    [anon_sym___thiscall] = ACTIONS(5125),
    [anon_sym___vectorcall] = ACTIONS(5125),
    [anon_sym_signed] = ACTIONS(5125),
    [anon_sym_unsigned] = ACTIONS(5125),
    [anon_sym_long] = ACTIONS(5125),
    [anon_sym_short] = ACTIONS(5125),
    [anon_sym_LBRACK] = ACTIONS(5125),
    [anon_sym_static] = ACTIONS(5125),
    [anon_sym_register] = ACTIONS(5125),
    [anon_sym_inline] = ACTIONS(5125),
    [anon_sym___inline] = ACTIONS(5125),
    [anon_sym___inline__] = ACTIONS(5125),
    [anon_sym___forceinline] = ACTIONS(5125),
    [anon_sym_thread_local] = ACTIONS(5125),
    [anon_sym___thread] = ACTIONS(5125),
    [anon_sym_const] = ACTIONS(5125),
    [anon_sym_constexpr] = ACTIONS(5125),
    [anon_sym_volatile] = ACTIONS(5125),
    [anon_sym_restrict] = ACTIONS(5125),
    [anon_sym___restrict__] = ACTIONS(5125),
    [anon_sym__Atomic] = ACTIONS(5125),
    [anon_sym__Noreturn] = ACTIONS(5125),
    [anon_sym_noreturn] = ACTIONS(5125),
    [anon_sym_mutable] = ACTIONS(5125),
    [anon_sym_constinit] = ACTIONS(5125),
    [anon_sym_consteval] = ACTIONS(5125),
    [anon_sym_PROGMEM] = ACTIONS(5125),
    [aux_sym_primitive_type_token1] = ACTIONS(5125),
    [anon_sym_byte] = ACTIONS(5125),
    [anon_sym_word] = ACTIONS(5125),
    [anon_sym_enum] = ACTIONS(5125),
    [anon_sym_class] = ACTIONS(5125),
    [anon_sym_struct] = ACTIONS(5125),
    [anon_sym_union] = ACTIONS(5125),
    [anon_sym_or] = ACTIONS(5125),
    [anon_sym_and] = ACTIONS(5125),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5125),
    [anon_sym_decltype] = ACTIONS(5125),
    [anon_sym_virtual] = ACTIONS(5125),
    [anon_sym_alignas] = ACTIONS(5125),
    [anon_sym_explicit] = ACTIONS(5125),
    [anon_sym_typename] = ACTIONS(5125),
    [anon_sym_template] = ACTIONS(5125),
    [anon_sym_operator] = ACTIONS(5125),
    [anon_sym_friend] = ACTIONS(5125),
    [anon_sym_using] = ACTIONS(5125),
    [anon_sym_concept] = ACTIONS(5125),
  },
  [2639] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2639),
    [sym_identifier] = ACTIONS(5374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5376),
    [anon_sym_COMMA] = ACTIONS(5376),
    [aux_sym_preproc_if_token2] = ACTIONS(5376),
    [aux_sym_preproc_else_token1] = ACTIONS(5376),
    [aux_sym_preproc_elif_token1] = ACTIONS(5376),
    [anon_sym_LPAREN2] = ACTIONS(5376),
    [anon_sym_DASH] = ACTIONS(5374),
    [anon_sym_PLUS] = ACTIONS(5374),
    [anon_sym_STAR] = ACTIONS(5374),
    [anon_sym_SLASH] = ACTIONS(5374),
    [anon_sym_PERCENT] = ACTIONS(5374),
    [anon_sym_PIPE_PIPE] = ACTIONS(5376),
    [anon_sym_AMP_AMP] = ACTIONS(5376),
    [anon_sym_PIPE] = ACTIONS(5374),
    [anon_sym_CARET] = ACTIONS(5374),
    [anon_sym_AMP] = ACTIONS(5374),
    [anon_sym_EQ_EQ] = ACTIONS(5376),
    [anon_sym_BANG_EQ] = ACTIONS(5376),
    [anon_sym_GT] = ACTIONS(5374),
    [anon_sym_GT_EQ] = ACTIONS(5376),
    [anon_sym_LT_EQ] = ACTIONS(5374),
    [anon_sym_LT] = ACTIONS(5374),
    [anon_sym_LT_LT] = ACTIONS(5374),
    [anon_sym_GT_GT] = ACTIONS(5374),
    [anon_sym___attribute__] = ACTIONS(5374),
    [anon_sym_LBRACE] = ACTIONS(5376),
    [anon_sym_signed] = ACTIONS(6017),
    [anon_sym_unsigned] = ACTIONS(6017),
    [anon_sym_long] = ACTIONS(6017),
    [anon_sym_short] = ACTIONS(6017),
    [anon_sym_LBRACK] = ACTIONS(5376),
    [anon_sym_EQ] = ACTIONS(5374),
    [aux_sym_primitive_type_token1] = ACTIONS(5374),
    [anon_sym_byte] = ACTIONS(5374),
    [anon_sym_word] = ACTIONS(5374),
    [anon_sym_QMARK] = ACTIONS(5376),
    [anon_sym_STAR_EQ] = ACTIONS(5376),
    [anon_sym_SLASH_EQ] = ACTIONS(5376),
    [anon_sym_PERCENT_EQ] = ACTIONS(5376),
    [anon_sym_PLUS_EQ] = ACTIONS(5376),
    [anon_sym_DASH_EQ] = ACTIONS(5376),
    [anon_sym_LT_LT_EQ] = ACTIONS(5376),
    [anon_sym_GT_GT_EQ] = ACTIONS(5376),
    [anon_sym_AMP_EQ] = ACTIONS(5376),
    [anon_sym_CARET_EQ] = ACTIONS(5376),
    [anon_sym_PIPE_EQ] = ACTIONS(5376),
    [anon_sym_and_eq] = ACTIONS(5374),
    [anon_sym_or_eq] = ACTIONS(5374),
    [anon_sym_xor_eq] = ACTIONS(5374),
    [anon_sym_LT_EQ_GT] = ACTIONS(5376),
    [anon_sym_or] = ACTIONS(5374),
    [anon_sym_and] = ACTIONS(5374),
    [anon_sym_bitor] = ACTIONS(5374),
    [anon_sym_xor] = ACTIONS(5374),
    [anon_sym_bitand] = ACTIONS(5374),
    [anon_sym_not_eq] = ACTIONS(5374),
    [anon_sym_DASH_DASH] = ACTIONS(5376),
    [anon_sym_PLUS_PLUS] = ACTIONS(5376),
    [anon_sym_DOT] = ACTIONS(5374),
    [anon_sym_DOT_STAR] = ACTIONS(5376),
    [anon_sym_DASH_GT] = ACTIONS(5376),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5374),
    [anon_sym_decltype] = ACTIONS(5374),
  },
  [2640] = {
    [sym_identifier] = ACTIONS(5133),
    [anon_sym_LPAREN2] = ACTIONS(5135),
    [anon_sym_TILDE] = ACTIONS(5135),
    [anon_sym_STAR] = ACTIONS(5135),
    [anon_sym_PIPE_PIPE] = ACTIONS(5135),
    [anon_sym_AMP_AMP] = ACTIONS(5135),
    [anon_sym_AMP] = ACTIONS(5133),
    [anon_sym___extension__] = ACTIONS(5133),
    [anon_sym_extern] = ACTIONS(5133),
    [anon_sym___attribute__] = ACTIONS(5133),
    [anon_sym_COLON_COLON] = ACTIONS(5135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5135),
    [anon_sym___declspec] = ACTIONS(5133),
    [anon_sym___based] = ACTIONS(5133),
    [anon_sym___cdecl] = ACTIONS(5133),
    [anon_sym___clrcall] = ACTIONS(5133),
    [anon_sym___stdcall] = ACTIONS(5133),
    [anon_sym___fastcall] = ACTIONS(5133),
    [anon_sym___thiscall] = ACTIONS(5133),
    [anon_sym___vectorcall] = ACTIONS(5133),
    [anon_sym_signed] = ACTIONS(5133),
    [anon_sym_unsigned] = ACTIONS(5133),
    [anon_sym_long] = ACTIONS(5133),
    [anon_sym_short] = ACTIONS(5133),
    [anon_sym_LBRACK] = ACTIONS(5133),
    [anon_sym_static] = ACTIONS(5133),
    [anon_sym_register] = ACTIONS(5133),
    [anon_sym_inline] = ACTIONS(5133),
    [anon_sym___inline] = ACTIONS(5133),
    [anon_sym___inline__] = ACTIONS(5133),
    [anon_sym___forceinline] = ACTIONS(5133),
    [anon_sym_thread_local] = ACTIONS(5133),
    [anon_sym___thread] = ACTIONS(5133),
    [anon_sym_const] = ACTIONS(5133),
    [anon_sym_constexpr] = ACTIONS(5133),
    [anon_sym_volatile] = ACTIONS(5133),
    [anon_sym_restrict] = ACTIONS(5133),
    [anon_sym___restrict__] = ACTIONS(5133),
    [anon_sym__Atomic] = ACTIONS(5133),
    [anon_sym__Noreturn] = ACTIONS(5133),
    [anon_sym_noreturn] = ACTIONS(5133),
    [anon_sym_mutable] = ACTIONS(5133),
    [anon_sym_constinit] = ACTIONS(5133),
    [anon_sym_consteval] = ACTIONS(5133),
    [anon_sym_PROGMEM] = ACTIONS(5133),
    [aux_sym_primitive_type_token1] = ACTIONS(5133),
    [anon_sym_byte] = ACTIONS(5133),
    [anon_sym_word] = ACTIONS(5133),
    [anon_sym_enum] = ACTIONS(5133),
    [anon_sym_class] = ACTIONS(5133),
    [anon_sym_struct] = ACTIONS(5133),
    [anon_sym_union] = ACTIONS(5133),
    [anon_sym_or] = ACTIONS(5133),
    [anon_sym_and] = ACTIONS(5133),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5133),
    [anon_sym_decltype] = ACTIONS(5133),
    [anon_sym_virtual] = ACTIONS(5133),
    [anon_sym_alignas] = ACTIONS(5133),
    [anon_sym_explicit] = ACTIONS(5133),
    [anon_sym_typename] = ACTIONS(5133),
    [anon_sym_template] = ACTIONS(5133),
    [anon_sym_operator] = ACTIONS(5133),
    [anon_sym_friend] = ACTIONS(5133),
    [anon_sym_using] = ACTIONS(5133),
    [anon_sym_concept] = ACTIONS(5133),
  },
  [2641] = {
    [sym_identifier] = ACTIONS(5479),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5481),
    [anon_sym_COMMA] = ACTIONS(5481),
    [anon_sym_RPAREN] = ACTIONS(5481),
    [aux_sym_preproc_if_token2] = ACTIONS(5481),
    [aux_sym_preproc_else_token1] = ACTIONS(5481),
    [aux_sym_preproc_elif_token1] = ACTIONS(5479),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5481),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5481),
    [anon_sym_LPAREN2] = ACTIONS(5481),
    [anon_sym_DASH] = ACTIONS(5479),
    [anon_sym_PLUS] = ACTIONS(5479),
    [anon_sym_STAR] = ACTIONS(5479),
    [anon_sym_SLASH] = ACTIONS(5479),
    [anon_sym_PERCENT] = ACTIONS(5479),
    [anon_sym_PIPE_PIPE] = ACTIONS(5481),
    [anon_sym_AMP_AMP] = ACTIONS(5481),
    [anon_sym_PIPE] = ACTIONS(5479),
    [anon_sym_CARET] = ACTIONS(5479),
    [anon_sym_AMP] = ACTIONS(5479),
    [anon_sym_EQ_EQ] = ACTIONS(5481),
    [anon_sym_BANG_EQ] = ACTIONS(5481),
    [anon_sym_GT] = ACTIONS(5479),
    [anon_sym_GT_EQ] = ACTIONS(5481),
    [anon_sym_LT_EQ] = ACTIONS(5479),
    [anon_sym_LT] = ACTIONS(5479),
    [anon_sym_LT_LT] = ACTIONS(5479),
    [anon_sym_GT_GT] = ACTIONS(5479),
    [anon_sym_SEMI] = ACTIONS(5481),
    [anon_sym___attribute__] = ACTIONS(5479),
    [anon_sym_COLON_COLON] = ACTIONS(5483),
    [anon_sym_LBRACE] = ACTIONS(5481),
    [anon_sym_RBRACE] = ACTIONS(5481),
    [anon_sym_LBRACK] = ACTIONS(5481),
    [anon_sym_RBRACK] = ACTIONS(5481),
    [anon_sym_EQ] = ACTIONS(5479),
    [anon_sym_COLON] = ACTIONS(5479),
    [anon_sym_QMARK] = ACTIONS(5481),
    [anon_sym_STAR_EQ] = ACTIONS(5481),
    [anon_sym_SLASH_EQ] = ACTIONS(5481),
    [anon_sym_PERCENT_EQ] = ACTIONS(5481),
    [anon_sym_PLUS_EQ] = ACTIONS(5481),
    [anon_sym_DASH_EQ] = ACTIONS(5481),
    [anon_sym_LT_LT_EQ] = ACTIONS(5481),
    [anon_sym_GT_GT_EQ] = ACTIONS(5481),
    [anon_sym_AMP_EQ] = ACTIONS(5481),
    [anon_sym_CARET_EQ] = ACTIONS(5481),
    [anon_sym_PIPE_EQ] = ACTIONS(5481),
    [anon_sym_and_eq] = ACTIONS(5479),
    [anon_sym_or_eq] = ACTIONS(5479),
    [anon_sym_xor_eq] = ACTIONS(5479),
    [anon_sym_LT_EQ_GT] = ACTIONS(5481),
    [anon_sym_or] = ACTIONS(5479),
    [anon_sym_and] = ACTIONS(5479),
    [anon_sym_bitor] = ACTIONS(5479),
    [anon_sym_xor] = ACTIONS(5479),
    [anon_sym_bitand] = ACTIONS(5479),
    [anon_sym_not_eq] = ACTIONS(5479),
    [anon_sym_DASH_DASH] = ACTIONS(5481),
    [anon_sym_PLUS_PLUS] = ACTIONS(5481),
    [anon_sym_DOT] = ACTIONS(5479),
    [anon_sym_DOT_STAR] = ACTIONS(5481),
    [anon_sym_DASH_GT] = ACTIONS(5481),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5479),
    [anon_sym_decltype] = ACTIONS(5479),
  },
  [2642] = {
    [sym_identifier] = ACTIONS(5145),
    [anon_sym_LPAREN2] = ACTIONS(5147),
    [anon_sym_TILDE] = ACTIONS(5147),
    [anon_sym_STAR] = ACTIONS(5147),
    [anon_sym_PIPE_PIPE] = ACTIONS(5147),
    [anon_sym_AMP_AMP] = ACTIONS(5147),
    [anon_sym_AMP] = ACTIONS(5145),
    [anon_sym___extension__] = ACTIONS(5145),
    [anon_sym_extern] = ACTIONS(5145),
    [anon_sym___attribute__] = ACTIONS(5145),
    [anon_sym_COLON_COLON] = ACTIONS(5147),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5147),
    [anon_sym___declspec] = ACTIONS(5145),
    [anon_sym___based] = ACTIONS(5145),
    [anon_sym___cdecl] = ACTIONS(5145),
    [anon_sym___clrcall] = ACTIONS(5145),
    [anon_sym___stdcall] = ACTIONS(5145),
    [anon_sym___fastcall] = ACTIONS(5145),
    [anon_sym___thiscall] = ACTIONS(5145),
    [anon_sym___vectorcall] = ACTIONS(5145),
    [anon_sym_signed] = ACTIONS(5145),
    [anon_sym_unsigned] = ACTIONS(5145),
    [anon_sym_long] = ACTIONS(5145),
    [anon_sym_short] = ACTIONS(5145),
    [anon_sym_LBRACK] = ACTIONS(5145),
    [anon_sym_static] = ACTIONS(5145),
    [anon_sym_register] = ACTIONS(5145),
    [anon_sym_inline] = ACTIONS(5145),
    [anon_sym___inline] = ACTIONS(5145),
    [anon_sym___inline__] = ACTIONS(5145),
    [anon_sym___forceinline] = ACTIONS(5145),
    [anon_sym_thread_local] = ACTIONS(5145),
    [anon_sym___thread] = ACTIONS(5145),
    [anon_sym_const] = ACTIONS(5145),
    [anon_sym_constexpr] = ACTIONS(5145),
    [anon_sym_volatile] = ACTIONS(5145),
    [anon_sym_restrict] = ACTIONS(5145),
    [anon_sym___restrict__] = ACTIONS(5145),
    [anon_sym__Atomic] = ACTIONS(5145),
    [anon_sym__Noreturn] = ACTIONS(5145),
    [anon_sym_noreturn] = ACTIONS(5145),
    [anon_sym_mutable] = ACTIONS(5145),
    [anon_sym_constinit] = ACTIONS(5145),
    [anon_sym_consteval] = ACTIONS(5145),
    [anon_sym_PROGMEM] = ACTIONS(5145),
    [aux_sym_primitive_type_token1] = ACTIONS(5145),
    [anon_sym_byte] = ACTIONS(5145),
    [anon_sym_word] = ACTIONS(5145),
    [anon_sym_enum] = ACTIONS(5145),
    [anon_sym_class] = ACTIONS(5145),
    [anon_sym_struct] = ACTIONS(5145),
    [anon_sym_union] = ACTIONS(5145),
    [anon_sym_or] = ACTIONS(5145),
    [anon_sym_and] = ACTIONS(5145),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5145),
    [anon_sym_decltype] = ACTIONS(5145),
    [anon_sym_virtual] = ACTIONS(5145),
    [anon_sym_alignas] = ACTIONS(5145),
    [anon_sym_explicit] = ACTIONS(5145),
    [anon_sym_typename] = ACTIONS(5145),
    [anon_sym_template] = ACTIONS(5145),
    [anon_sym_operator] = ACTIONS(5145),
    [anon_sym_friend] = ACTIONS(5145),
    [anon_sym_using] = ACTIONS(5145),
    [anon_sym_concept] = ACTIONS(5145),
  },
  [2643] = {
    [sym_identifier] = ACTIONS(5129),
    [anon_sym_LPAREN2] = ACTIONS(5131),
    [anon_sym_TILDE] = ACTIONS(5131),
    [anon_sym_STAR] = ACTIONS(5131),
    [anon_sym_PIPE_PIPE] = ACTIONS(5131),
    [anon_sym_AMP_AMP] = ACTIONS(5131),
    [anon_sym_AMP] = ACTIONS(5129),
    [anon_sym___extension__] = ACTIONS(5129),
    [anon_sym_extern] = ACTIONS(5129),
    [anon_sym___attribute__] = ACTIONS(5129),
    [anon_sym_COLON_COLON] = ACTIONS(5131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5131),
    [anon_sym___declspec] = ACTIONS(5129),
    [anon_sym___based] = ACTIONS(5129),
    [anon_sym___cdecl] = ACTIONS(5129),
    [anon_sym___clrcall] = ACTIONS(5129),
    [anon_sym___stdcall] = ACTIONS(5129),
    [anon_sym___fastcall] = ACTIONS(5129),
    [anon_sym___thiscall] = ACTIONS(5129),
    [anon_sym___vectorcall] = ACTIONS(5129),
    [anon_sym_signed] = ACTIONS(5129),
    [anon_sym_unsigned] = ACTIONS(5129),
    [anon_sym_long] = ACTIONS(5129),
    [anon_sym_short] = ACTIONS(5129),
    [anon_sym_LBRACK] = ACTIONS(5129),
    [anon_sym_static] = ACTIONS(5129),
    [anon_sym_register] = ACTIONS(5129),
    [anon_sym_inline] = ACTIONS(5129),
    [anon_sym___inline] = ACTIONS(5129),
    [anon_sym___inline__] = ACTIONS(5129),
    [anon_sym___forceinline] = ACTIONS(5129),
    [anon_sym_thread_local] = ACTIONS(5129),
    [anon_sym___thread] = ACTIONS(5129),
    [anon_sym_const] = ACTIONS(5129),
    [anon_sym_constexpr] = ACTIONS(5129),
    [anon_sym_volatile] = ACTIONS(5129),
    [anon_sym_restrict] = ACTIONS(5129),
    [anon_sym___restrict__] = ACTIONS(5129),
    [anon_sym__Atomic] = ACTIONS(5129),
    [anon_sym__Noreturn] = ACTIONS(5129),
    [anon_sym_noreturn] = ACTIONS(5129),
    [anon_sym_mutable] = ACTIONS(5129),
    [anon_sym_constinit] = ACTIONS(5129),
    [anon_sym_consteval] = ACTIONS(5129),
    [anon_sym_PROGMEM] = ACTIONS(5129),
    [aux_sym_primitive_type_token1] = ACTIONS(5129),
    [anon_sym_byte] = ACTIONS(5129),
    [anon_sym_word] = ACTIONS(5129),
    [anon_sym_enum] = ACTIONS(5129),
    [anon_sym_class] = ACTIONS(5129),
    [anon_sym_struct] = ACTIONS(5129),
    [anon_sym_union] = ACTIONS(5129),
    [anon_sym_or] = ACTIONS(5129),
    [anon_sym_and] = ACTIONS(5129),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5129),
    [anon_sym_decltype] = ACTIONS(5129),
    [anon_sym_virtual] = ACTIONS(5129),
    [anon_sym_alignas] = ACTIONS(5129),
    [anon_sym_explicit] = ACTIONS(5129),
    [anon_sym_typename] = ACTIONS(5129),
    [anon_sym_template] = ACTIONS(5129),
    [anon_sym_operator] = ACTIONS(5129),
    [anon_sym_friend] = ACTIONS(5129),
    [anon_sym_using] = ACTIONS(5129),
    [anon_sym_concept] = ACTIONS(5129),
  },
  [2644] = {
    [sym_template_argument_list] = STATE(2423),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2759),
    [sym_identifier] = ACTIONS(4444),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4452),
    [anon_sym_COMMA] = ACTIONS(4452),
    [aux_sym_preproc_if_token2] = ACTIONS(4452),
    [aux_sym_preproc_else_token1] = ACTIONS(4452),
    [aux_sym_preproc_elif_token1] = ACTIONS(4444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4452),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4452),
    [anon_sym_LPAREN2] = ACTIONS(4452),
    [anon_sym_DASH] = ACTIONS(4444),
    [anon_sym_PLUS] = ACTIONS(4444),
    [anon_sym_STAR] = ACTIONS(4444),
    [anon_sym_SLASH] = ACTIONS(4444),
    [anon_sym_PERCENT] = ACTIONS(4444),
    [anon_sym_PIPE_PIPE] = ACTIONS(4452),
    [anon_sym_AMP_AMP] = ACTIONS(4452),
    [anon_sym_PIPE] = ACTIONS(4444),
    [anon_sym_CARET] = ACTIONS(4444),
    [anon_sym_AMP] = ACTIONS(4444),
    [anon_sym_EQ_EQ] = ACTIONS(4452),
    [anon_sym_BANG_EQ] = ACTIONS(4452),
    [anon_sym_GT] = ACTIONS(4444),
    [anon_sym_GT_EQ] = ACTIONS(4452),
    [anon_sym_LT_EQ] = ACTIONS(4444),
    [anon_sym_LT] = ACTIONS(5824),
    [anon_sym_LT_LT] = ACTIONS(4444),
    [anon_sym_GT_GT] = ACTIONS(4444),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4452),
    [anon_sym_signed] = ACTIONS(5974),
    [anon_sym_unsigned] = ACTIONS(5974),
    [anon_sym_long] = ACTIONS(5974),
    [anon_sym_short] = ACTIONS(5974),
    [anon_sym_LBRACK] = ACTIONS(4452),
    [anon_sym_EQ] = ACTIONS(4444),
    [anon_sym_QMARK] = ACTIONS(4452),
    [anon_sym_STAR_EQ] = ACTIONS(4452),
    [anon_sym_SLASH_EQ] = ACTIONS(4452),
    [anon_sym_PERCENT_EQ] = ACTIONS(4452),
    [anon_sym_PLUS_EQ] = ACTIONS(4452),
    [anon_sym_DASH_EQ] = ACTIONS(4452),
    [anon_sym_LT_LT_EQ] = ACTIONS(4452),
    [anon_sym_GT_GT_EQ] = ACTIONS(4452),
    [anon_sym_AMP_EQ] = ACTIONS(4452),
    [anon_sym_CARET_EQ] = ACTIONS(4452),
    [anon_sym_PIPE_EQ] = ACTIONS(4452),
    [anon_sym_and_eq] = ACTIONS(4444),
    [anon_sym_or_eq] = ACTIONS(4444),
    [anon_sym_xor_eq] = ACTIONS(4444),
    [anon_sym_LT_EQ_GT] = ACTIONS(4452),
    [anon_sym_or] = ACTIONS(4444),
    [anon_sym_and] = ACTIONS(4444),
    [anon_sym_bitor] = ACTIONS(4444),
    [anon_sym_xor] = ACTIONS(4444),
    [anon_sym_bitand] = ACTIONS(4444),
    [anon_sym_not_eq] = ACTIONS(4444),
    [anon_sym_DASH_DASH] = ACTIONS(4452),
    [anon_sym_PLUS_PLUS] = ACTIONS(4452),
    [anon_sym_DOT] = ACTIONS(4444),
    [anon_sym_DOT_STAR] = ACTIONS(4452),
    [anon_sym_DASH_GT] = ACTIONS(4452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4444),
    [anon_sym_decltype] = ACTIONS(4444),
  },
  [2645] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5427),
    [anon_sym_COMMA] = ACTIONS(5427),
    [anon_sym_RPAREN] = ACTIONS(5427),
    [anon_sym_LPAREN2] = ACTIONS(5427),
    [anon_sym_DASH] = ACTIONS(5425),
    [anon_sym_PLUS] = ACTIONS(5425),
    [anon_sym_STAR] = ACTIONS(5425),
    [anon_sym_SLASH] = ACTIONS(5425),
    [anon_sym_PERCENT] = ACTIONS(5425),
    [anon_sym_PIPE_PIPE] = ACTIONS(5427),
    [anon_sym_AMP_AMP] = ACTIONS(5427),
    [anon_sym_PIPE] = ACTIONS(5425),
    [anon_sym_CARET] = ACTIONS(5425),
    [anon_sym_AMP] = ACTIONS(5425),
    [anon_sym_EQ_EQ] = ACTIONS(5427),
    [anon_sym_BANG_EQ] = ACTIONS(5427),
    [anon_sym_GT] = ACTIONS(5425),
    [anon_sym_GT_EQ] = ACTIONS(5427),
    [anon_sym_LT_EQ] = ACTIONS(5425),
    [anon_sym_LT] = ACTIONS(5425),
    [anon_sym_LT_LT] = ACTIONS(5425),
    [anon_sym_GT_GT] = ACTIONS(5425),
    [anon_sym_SEMI] = ACTIONS(5427),
    [anon_sym_RBRACE] = ACTIONS(5427),
    [anon_sym_LBRACK] = ACTIONS(5427),
    [anon_sym_RBRACK] = ACTIONS(5427),
    [anon_sym_EQ] = ACTIONS(5425),
    [anon_sym_COLON] = ACTIONS(5427),
    [anon_sym_QMARK] = ACTIONS(5427),
    [anon_sym_STAR_EQ] = ACTIONS(5427),
    [anon_sym_SLASH_EQ] = ACTIONS(5427),
    [anon_sym_PERCENT_EQ] = ACTIONS(5427),
    [anon_sym_PLUS_EQ] = ACTIONS(5427),
    [anon_sym_DASH_EQ] = ACTIONS(5427),
    [anon_sym_LT_LT_EQ] = ACTIONS(5427),
    [anon_sym_GT_GT_EQ] = ACTIONS(5427),
    [anon_sym_AMP_EQ] = ACTIONS(5427),
    [anon_sym_CARET_EQ] = ACTIONS(5427),
    [anon_sym_PIPE_EQ] = ACTIONS(5427),
    [anon_sym_and_eq] = ACTIONS(5425),
    [anon_sym_or_eq] = ACTIONS(5425),
    [anon_sym_xor_eq] = ACTIONS(5425),
    [anon_sym_LT_EQ_GT] = ACTIONS(5427),
    [anon_sym_or] = ACTIONS(5425),
    [anon_sym_and] = ACTIONS(5425),
    [anon_sym_bitor] = ACTIONS(5425),
    [anon_sym_xor] = ACTIONS(5425),
    [anon_sym_bitand] = ACTIONS(5425),
    [anon_sym_not_eq] = ACTIONS(5425),
    [anon_sym_DASH_DASH] = ACTIONS(5427),
    [anon_sym_PLUS_PLUS] = ACTIONS(5427),
    [anon_sym_DOT] = ACTIONS(5425),
    [anon_sym_DOT_STAR] = ACTIONS(5427),
    [anon_sym_DASH_GT] = ACTIONS(5427),
    [anon_sym_L_DQUOTE] = ACTIONS(5427),
    [anon_sym_u_DQUOTE] = ACTIONS(5427),
    [anon_sym_U_DQUOTE] = ACTIONS(5427),
    [anon_sym_u8_DQUOTE] = ACTIONS(5427),
    [anon_sym_DQUOTE] = ACTIONS(5427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5427),
    [anon_sym_LR_DQUOTE] = ACTIONS(5427),
    [anon_sym_uR_DQUOTE] = ACTIONS(5427),
    [anon_sym_UR_DQUOTE] = ACTIONS(5427),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5427),
    [sym_literal_suffix] = ACTIONS(5425),
  },
  [2646] = {
    [sym_attribute_declaration] = STATE(2689),
    [sym_parameter_list] = STATE(2702),
    [aux_sym_attributed_declarator_repeat1] = STATE(2689),
    [sym_identifier] = ACTIONS(6020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6022),
    [anon_sym_COMMA] = ACTIONS(6022),
    [anon_sym_RPAREN] = ACTIONS(6022),
    [aux_sym_preproc_if_token2] = ACTIONS(6022),
    [aux_sym_preproc_else_token1] = ACTIONS(6022),
    [aux_sym_preproc_elif_token1] = ACTIONS(6020),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6022),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6022),
    [anon_sym_LPAREN2] = ACTIONS(6024),
    [anon_sym_DASH] = ACTIONS(6020),
    [anon_sym_PLUS] = ACTIONS(6020),
    [anon_sym_STAR] = ACTIONS(6020),
    [anon_sym_SLASH] = ACTIONS(6020),
    [anon_sym_PERCENT] = ACTIONS(6020),
    [anon_sym_PIPE_PIPE] = ACTIONS(6022),
    [anon_sym_AMP_AMP] = ACTIONS(6022),
    [anon_sym_PIPE] = ACTIONS(6020),
    [anon_sym_CARET] = ACTIONS(6020),
    [anon_sym_AMP] = ACTIONS(6020),
    [anon_sym_EQ_EQ] = ACTIONS(6022),
    [anon_sym_BANG_EQ] = ACTIONS(6022),
    [anon_sym_GT] = ACTIONS(6020),
    [anon_sym_GT_EQ] = ACTIONS(6022),
    [anon_sym_LT_EQ] = ACTIONS(6020),
    [anon_sym_LT] = ACTIONS(6020),
    [anon_sym_LT_LT] = ACTIONS(6020),
    [anon_sym_GT_GT] = ACTIONS(6020),
    [anon_sym_SEMI] = ACTIONS(6022),
    [anon_sym___attribute__] = ACTIONS(6020),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6026),
    [anon_sym_RBRACE] = ACTIONS(6022),
    [anon_sym_LBRACK] = ACTIONS(6028),
    [anon_sym_RBRACK] = ACTIONS(6022),
    [anon_sym_EQ] = ACTIONS(6020),
    [anon_sym_COLON] = ACTIONS(6022),
    [anon_sym_QMARK] = ACTIONS(6022),
    [anon_sym_STAR_EQ] = ACTIONS(6022),
    [anon_sym_SLASH_EQ] = ACTIONS(6022),
    [anon_sym_PERCENT_EQ] = ACTIONS(6022),
    [anon_sym_PLUS_EQ] = ACTIONS(6022),
    [anon_sym_DASH_EQ] = ACTIONS(6022),
    [anon_sym_LT_LT_EQ] = ACTIONS(6022),
    [anon_sym_GT_GT_EQ] = ACTIONS(6022),
    [anon_sym_AMP_EQ] = ACTIONS(6022),
    [anon_sym_CARET_EQ] = ACTIONS(6022),
    [anon_sym_PIPE_EQ] = ACTIONS(6022),
    [anon_sym_and_eq] = ACTIONS(6020),
    [anon_sym_or_eq] = ACTIONS(6020),
    [anon_sym_xor_eq] = ACTIONS(6020),
    [anon_sym_LT_EQ_GT] = ACTIONS(6022),
    [anon_sym_or] = ACTIONS(6020),
    [anon_sym_and] = ACTIONS(6020),
    [anon_sym_bitor] = ACTIONS(6020),
    [anon_sym_xor] = ACTIONS(6020),
    [anon_sym_bitand] = ACTIONS(6020),
    [anon_sym_not_eq] = ACTIONS(6020),
    [anon_sym_DASH_DASH] = ACTIONS(6022),
    [anon_sym_PLUS_PLUS] = ACTIONS(6022),
    [anon_sym_DOT] = ACTIONS(6020),
    [anon_sym_DOT_STAR] = ACTIONS(6022),
    [anon_sym_DASH_GT] = ACTIONS(6022),
    [sym_comment] = ACTIONS(3),
  },
  [2647] = {
    [sym_string_literal] = STATE(2665),
    [sym_raw_string_literal] = STATE(2665),
    [aux_sym_concatenated_string_repeat1] = STATE(2665),
    [sym_identifier] = ACTIONS(6030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5368),
    [anon_sym_COMMA] = ACTIONS(5368),
    [anon_sym_LPAREN2] = ACTIONS(5368),
    [anon_sym_DASH] = ACTIONS(5370),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_STAR] = ACTIONS(5370),
    [anon_sym_SLASH] = ACTIONS(5370),
    [anon_sym_PERCENT] = ACTIONS(5370),
    [anon_sym_PIPE_PIPE] = ACTIONS(5368),
    [anon_sym_AMP_AMP] = ACTIONS(5368),
    [anon_sym_PIPE] = ACTIONS(5370),
    [anon_sym_CARET] = ACTIONS(5370),
    [anon_sym_AMP] = ACTIONS(5370),
    [anon_sym_EQ_EQ] = ACTIONS(5368),
    [anon_sym_BANG_EQ] = ACTIONS(5368),
    [anon_sym_GT] = ACTIONS(5370),
    [anon_sym_GT_EQ] = ACTIONS(5370),
    [anon_sym_LT_EQ] = ACTIONS(5370),
    [anon_sym_LT] = ACTIONS(5370),
    [anon_sym_LT_LT] = ACTIONS(5370),
    [anon_sym_GT_GT] = ACTIONS(5370),
    [anon_sym_LBRACK] = ACTIONS(5368),
    [anon_sym_EQ] = ACTIONS(5370),
    [anon_sym_QMARK] = ACTIONS(5368),
    [anon_sym_STAR_EQ] = ACTIONS(5368),
    [anon_sym_SLASH_EQ] = ACTIONS(5368),
    [anon_sym_PERCENT_EQ] = ACTIONS(5368),
    [anon_sym_PLUS_EQ] = ACTIONS(5368),
    [anon_sym_DASH_EQ] = ACTIONS(5368),
    [anon_sym_LT_LT_EQ] = ACTIONS(5368),
    [anon_sym_GT_GT_EQ] = ACTIONS(5370),
    [anon_sym_AMP_EQ] = ACTIONS(5368),
    [anon_sym_CARET_EQ] = ACTIONS(5368),
    [anon_sym_PIPE_EQ] = ACTIONS(5368),
    [anon_sym_and_eq] = ACTIONS(5370),
    [anon_sym_or_eq] = ACTIONS(5370),
    [anon_sym_xor_eq] = ACTIONS(5370),
    [anon_sym_LT_EQ_GT] = ACTIONS(5368),
    [anon_sym_or] = ACTIONS(5370),
    [anon_sym_and] = ACTIONS(5370),
    [anon_sym_bitor] = ACTIONS(5370),
    [anon_sym_xor] = ACTIONS(5370),
    [anon_sym_bitand] = ACTIONS(5370),
    [anon_sym_not_eq] = ACTIONS(5370),
    [anon_sym_DASH_DASH] = ACTIONS(5368),
    [anon_sym_PLUS_PLUS] = ACTIONS(5368),
    [anon_sym_DOT] = ACTIONS(5370),
    [anon_sym_DOT_STAR] = ACTIONS(5368),
    [anon_sym_DASH_GT] = ACTIONS(5368),
    [anon_sym_L_DQUOTE] = ACTIONS(5986),
    [anon_sym_u_DQUOTE] = ACTIONS(5986),
    [anon_sym_U_DQUOTE] = ACTIONS(5986),
    [anon_sym_u8_DQUOTE] = ACTIONS(5986),
    [anon_sym_DQUOTE] = ACTIONS(5986),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5368),
    [anon_sym_R_DQUOTE] = ACTIONS(5988),
    [anon_sym_LR_DQUOTE] = ACTIONS(5988),
    [anon_sym_uR_DQUOTE] = ACTIONS(5988),
    [anon_sym_UR_DQUOTE] = ACTIONS(5988),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5988),
    [sym_literal_suffix] = ACTIONS(5370),
  },
  [2648] = {
    [sym_identifier] = ACTIONS(2261),
    [anon_sym_LPAREN2] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_PIPE_PIPE] = ACTIONS(2259),
    [anon_sym_AMP_AMP] = ACTIONS(2259),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym___extension__] = ACTIONS(2261),
    [anon_sym_extern] = ACTIONS(2261),
    [anon_sym___attribute__] = ACTIONS(2261),
    [anon_sym_COLON_COLON] = ACTIONS(2259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2259),
    [anon_sym___declspec] = ACTIONS(2261),
    [anon_sym___based] = ACTIONS(2261),
    [anon_sym___cdecl] = ACTIONS(2261),
    [anon_sym___clrcall] = ACTIONS(2261),
    [anon_sym___stdcall] = ACTIONS(2261),
    [anon_sym___fastcall] = ACTIONS(2261),
    [anon_sym___thiscall] = ACTIONS(2261),
    [anon_sym___vectorcall] = ACTIONS(2261),
    [anon_sym_signed] = ACTIONS(2261),
    [anon_sym_unsigned] = ACTIONS(2261),
    [anon_sym_long] = ACTIONS(2261),
    [anon_sym_short] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_register] = ACTIONS(2261),
    [anon_sym_inline] = ACTIONS(2261),
    [anon_sym___inline] = ACTIONS(2261),
    [anon_sym___inline__] = ACTIONS(2261),
    [anon_sym___forceinline] = ACTIONS(2261),
    [anon_sym_thread_local] = ACTIONS(2261),
    [anon_sym___thread] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_constexpr] = ACTIONS(2261),
    [anon_sym_volatile] = ACTIONS(2261),
    [anon_sym_restrict] = ACTIONS(2261),
    [anon_sym___restrict__] = ACTIONS(2261),
    [anon_sym__Atomic] = ACTIONS(2261),
    [anon_sym__Noreturn] = ACTIONS(2261),
    [anon_sym_noreturn] = ACTIONS(2261),
    [anon_sym_mutable] = ACTIONS(2261),
    [anon_sym_constinit] = ACTIONS(2261),
    [anon_sym_consteval] = ACTIONS(2261),
    [anon_sym_PROGMEM] = ACTIONS(2261),
    [aux_sym_primitive_type_token1] = ACTIONS(2261),
    [anon_sym_byte] = ACTIONS(2261),
    [anon_sym_word] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_struct] = ACTIONS(2261),
    [anon_sym_union] = ACTIONS(2261),
    [anon_sym_or] = ACTIONS(2261),
    [anon_sym_and] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2261),
    [anon_sym_decltype] = ACTIONS(2261),
    [anon_sym_virtual] = ACTIONS(2261),
    [anon_sym_alignas] = ACTIONS(2261),
    [anon_sym_explicit] = ACTIONS(2261),
    [anon_sym_typename] = ACTIONS(2261),
    [anon_sym_template] = ACTIONS(2261),
    [anon_sym_operator] = ACTIONS(2261),
    [anon_sym_friend] = ACTIONS(2261),
    [anon_sym_using] = ACTIONS(2261),
    [anon_sym_concept] = ACTIONS(2261),
  },
  [2649] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5417),
    [anon_sym_COMMA] = ACTIONS(5417),
    [anon_sym_RPAREN] = ACTIONS(5417),
    [anon_sym_LPAREN2] = ACTIONS(5417),
    [anon_sym_DASH] = ACTIONS(5415),
    [anon_sym_PLUS] = ACTIONS(5415),
    [anon_sym_STAR] = ACTIONS(5415),
    [anon_sym_SLASH] = ACTIONS(5415),
    [anon_sym_PERCENT] = ACTIONS(5415),
    [anon_sym_PIPE_PIPE] = ACTIONS(5417),
    [anon_sym_AMP_AMP] = ACTIONS(5417),
    [anon_sym_PIPE] = ACTIONS(5415),
    [anon_sym_CARET] = ACTIONS(5415),
    [anon_sym_AMP] = ACTIONS(5415),
    [anon_sym_EQ_EQ] = ACTIONS(5417),
    [anon_sym_BANG_EQ] = ACTIONS(5417),
    [anon_sym_GT] = ACTIONS(5415),
    [anon_sym_GT_EQ] = ACTIONS(5417),
    [anon_sym_LT_EQ] = ACTIONS(5415),
    [anon_sym_LT] = ACTIONS(5415),
    [anon_sym_LT_LT] = ACTIONS(5415),
    [anon_sym_GT_GT] = ACTIONS(5415),
    [anon_sym_SEMI] = ACTIONS(5417),
    [anon_sym_RBRACE] = ACTIONS(5417),
    [anon_sym_LBRACK] = ACTIONS(5417),
    [anon_sym_RBRACK] = ACTIONS(5417),
    [anon_sym_EQ] = ACTIONS(5415),
    [anon_sym_COLON] = ACTIONS(5417),
    [anon_sym_QMARK] = ACTIONS(5417),
    [anon_sym_STAR_EQ] = ACTIONS(5417),
    [anon_sym_SLASH_EQ] = ACTIONS(5417),
    [anon_sym_PERCENT_EQ] = ACTIONS(5417),
    [anon_sym_PLUS_EQ] = ACTIONS(5417),
    [anon_sym_DASH_EQ] = ACTIONS(5417),
    [anon_sym_LT_LT_EQ] = ACTIONS(5417),
    [anon_sym_GT_GT_EQ] = ACTIONS(5417),
    [anon_sym_AMP_EQ] = ACTIONS(5417),
    [anon_sym_CARET_EQ] = ACTIONS(5417),
    [anon_sym_PIPE_EQ] = ACTIONS(5417),
    [anon_sym_and_eq] = ACTIONS(5415),
    [anon_sym_or_eq] = ACTIONS(5415),
    [anon_sym_xor_eq] = ACTIONS(5415),
    [anon_sym_LT_EQ_GT] = ACTIONS(5417),
    [anon_sym_or] = ACTIONS(5415),
    [anon_sym_and] = ACTIONS(5415),
    [anon_sym_bitor] = ACTIONS(5415),
    [anon_sym_xor] = ACTIONS(5415),
    [anon_sym_bitand] = ACTIONS(5415),
    [anon_sym_not_eq] = ACTIONS(5415),
    [anon_sym_DASH_DASH] = ACTIONS(5417),
    [anon_sym_PLUS_PLUS] = ACTIONS(5417),
    [anon_sym_DOT] = ACTIONS(5415),
    [anon_sym_DOT_STAR] = ACTIONS(5417),
    [anon_sym_DASH_GT] = ACTIONS(5417),
    [anon_sym_L_DQUOTE] = ACTIONS(5417),
    [anon_sym_u_DQUOTE] = ACTIONS(5417),
    [anon_sym_U_DQUOTE] = ACTIONS(5417),
    [anon_sym_u8_DQUOTE] = ACTIONS(5417),
    [anon_sym_DQUOTE] = ACTIONS(5417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5417),
    [anon_sym_LR_DQUOTE] = ACTIONS(5417),
    [anon_sym_uR_DQUOTE] = ACTIONS(5417),
    [anon_sym_UR_DQUOTE] = ACTIONS(5417),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5417),
    [sym_literal_suffix] = ACTIONS(5415),
  },
  [2650] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2629),
    [sym_identifier] = ACTIONS(5374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5630),
    [anon_sym_COMMA] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [anon_sym_DASH] = ACTIONS(5633),
    [anon_sym_PLUS] = ACTIONS(5633),
    [anon_sym_STAR] = ACTIONS(5630),
    [anon_sym_SLASH] = ACTIONS(5633),
    [anon_sym_PERCENT] = ACTIONS(5630),
    [anon_sym_PIPE_PIPE] = ACTIONS(5630),
    [anon_sym_AMP_AMP] = ACTIONS(5630),
    [anon_sym_PIPE] = ACTIONS(5633),
    [anon_sym_CARET] = ACTIONS(5630),
    [anon_sym_AMP] = ACTIONS(5633),
    [anon_sym_EQ_EQ] = ACTIONS(5630),
    [anon_sym_BANG_EQ] = ACTIONS(5630),
    [anon_sym_GT] = ACTIONS(5633),
    [anon_sym_GT_EQ] = ACTIONS(5633),
    [anon_sym_LT_EQ] = ACTIONS(5633),
    [anon_sym_LT] = ACTIONS(5633),
    [anon_sym_LT_LT] = ACTIONS(5630),
    [anon_sym_GT_GT] = ACTIONS(5633),
    [anon_sym___extension__] = ACTIONS(5633),
    [anon_sym___attribute__] = ACTIONS(5633),
    [anon_sym_LBRACE] = ACTIONS(5630),
    [anon_sym_signed] = ACTIONS(5998),
    [anon_sym_unsigned] = ACTIONS(5998),
    [anon_sym_long] = ACTIONS(5998),
    [anon_sym_short] = ACTIONS(5998),
    [anon_sym_LBRACK] = ACTIONS(5630),
    [anon_sym_const] = ACTIONS(5633),
    [anon_sym_constexpr] = ACTIONS(5633),
    [anon_sym_volatile] = ACTIONS(5633),
    [anon_sym_restrict] = ACTIONS(5633),
    [anon_sym___restrict__] = ACTIONS(5633),
    [anon_sym__Atomic] = ACTIONS(5633),
    [anon_sym__Noreturn] = ACTIONS(5633),
    [anon_sym_noreturn] = ACTIONS(5633),
    [anon_sym_mutable] = ACTIONS(5633),
    [anon_sym_constinit] = ACTIONS(5633),
    [anon_sym_consteval] = ACTIONS(5633),
    [anon_sym_PROGMEM] = ACTIONS(5633),
    [aux_sym_primitive_type_token1] = ACTIONS(5374),
    [anon_sym_byte] = ACTIONS(5374),
    [anon_sym_word] = ACTIONS(5374),
    [anon_sym_QMARK] = ACTIONS(5630),
    [anon_sym_LT_EQ_GT] = ACTIONS(5630),
    [anon_sym_or] = ACTIONS(5633),
    [anon_sym_and] = ACTIONS(5633),
    [anon_sym_bitor] = ACTIONS(5633),
    [anon_sym_xor] = ACTIONS(5633),
    [anon_sym_bitand] = ACTIONS(5633),
    [anon_sym_not_eq] = ACTIONS(5633),
    [anon_sym_DASH_DASH] = ACTIONS(5630),
    [anon_sym_PLUS_PLUS] = ACTIONS(5630),
    [anon_sym_DOT] = ACTIONS(5633),
    [anon_sym_DOT_STAR] = ACTIONS(5630),
    [anon_sym_DASH_GT] = ACTIONS(5630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5633),
    [anon_sym_decltype] = ACTIONS(5633),
    [anon_sym_final] = ACTIONS(5633),
    [anon_sym_override] = ACTIONS(5633),
    [anon_sym_GT2] = ACTIONS(5630),
    [anon_sym_requires] = ACTIONS(5633),
  },
  [2651] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(4299),
    [sym_raw_string_literal] = STATE(2984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_RBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(5905),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(5907),
    [anon_sym_SLASH_EQ] = ACTIONS(5907),
    [anon_sym_PERCENT_EQ] = ACTIONS(5907),
    [anon_sym_PLUS_EQ] = ACTIONS(5907),
    [anon_sym_DASH_EQ] = ACTIONS(5907),
    [anon_sym_LT_LT_EQ] = ACTIONS(5907),
    [anon_sym_GT_GT_EQ] = ACTIONS(5907),
    [anon_sym_AMP_EQ] = ACTIONS(5907),
    [anon_sym_CARET_EQ] = ACTIONS(5907),
    [anon_sym_PIPE_EQ] = ACTIONS(5907),
    [anon_sym_and_eq] = ACTIONS(5907),
    [anon_sym_or_eq] = ACTIONS(5907),
    [anon_sym_xor_eq] = ACTIONS(5907),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [2652] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2045),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6032),
    [anon_sym_COMMA] = ACTIONS(6032),
    [anon_sym_RPAREN] = ACTIONS(6032),
    [anon_sym_LPAREN2] = ACTIONS(6032),
    [anon_sym_DASH] = ACTIONS(6034),
    [anon_sym_PLUS] = ACTIONS(6034),
    [anon_sym_STAR] = ACTIONS(6032),
    [anon_sym_SLASH] = ACTIONS(6034),
    [anon_sym_PERCENT] = ACTIONS(6032),
    [anon_sym_PIPE_PIPE] = ACTIONS(6032),
    [anon_sym_AMP_AMP] = ACTIONS(6032),
    [anon_sym_PIPE] = ACTIONS(6034),
    [anon_sym_CARET] = ACTIONS(6032),
    [anon_sym_AMP] = ACTIONS(6034),
    [anon_sym_EQ_EQ] = ACTIONS(6032),
    [anon_sym_BANG_EQ] = ACTIONS(6032),
    [anon_sym_GT] = ACTIONS(6034),
    [anon_sym_GT_EQ] = ACTIONS(6032),
    [anon_sym_LT_EQ] = ACTIONS(6034),
    [anon_sym_LT] = ACTIONS(6034),
    [anon_sym_LT_LT] = ACTIONS(6032),
    [anon_sym_GT_GT] = ACTIONS(6032),
    [anon_sym_SEMI] = ACTIONS(6032),
    [anon_sym___extension__] = ACTIONS(6032),
    [anon_sym___attribute__] = ACTIONS(6032),
    [anon_sym_LBRACE] = ACTIONS(6032),
    [anon_sym_RBRACE] = ACTIONS(6032),
    [anon_sym_signed] = ACTIONS(6036),
    [anon_sym_unsigned] = ACTIONS(6036),
    [anon_sym_long] = ACTIONS(6036),
    [anon_sym_short] = ACTIONS(6036),
    [anon_sym_LBRACK] = ACTIONS(6032),
    [anon_sym_RBRACK] = ACTIONS(6032),
    [anon_sym_const] = ACTIONS(6034),
    [anon_sym_constexpr] = ACTIONS(6032),
    [anon_sym_volatile] = ACTIONS(6032),
    [anon_sym_restrict] = ACTIONS(6032),
    [anon_sym___restrict__] = ACTIONS(6032),
    [anon_sym__Atomic] = ACTIONS(6032),
    [anon_sym__Noreturn] = ACTIONS(6032),
    [anon_sym_noreturn] = ACTIONS(6032),
    [anon_sym_mutable] = ACTIONS(6032),
    [anon_sym_constinit] = ACTIONS(6032),
    [anon_sym_consteval] = ACTIONS(6032),
    [anon_sym_PROGMEM] = ACTIONS(6032),
    [anon_sym_COLON] = ACTIONS(6032),
    [anon_sym_QMARK] = ACTIONS(6032),
    [anon_sym_LT_EQ_GT] = ACTIONS(6032),
    [anon_sym_or] = ACTIONS(6032),
    [anon_sym_and] = ACTIONS(6032),
    [anon_sym_bitor] = ACTIONS(6032),
    [anon_sym_xor] = ACTIONS(6032),
    [anon_sym_bitand] = ACTIONS(6032),
    [anon_sym_not_eq] = ACTIONS(6032),
    [anon_sym_DASH_DASH] = ACTIONS(6032),
    [anon_sym_PLUS_PLUS] = ACTIONS(6032),
    [anon_sym_DOT] = ACTIONS(6034),
    [anon_sym_DOT_STAR] = ACTIONS(6032),
    [anon_sym_DASH_GT] = ACTIONS(6032),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6032),
    [anon_sym_decltype] = ACTIONS(6032),
    [anon_sym_final] = ACTIONS(6032),
    [anon_sym_override] = ACTIONS(6032),
    [anon_sym_requires] = ACTIONS(6032),
  },
  [2653] = {
    [sym_identifier] = ACTIONS(5585),
    [anon_sym_LPAREN2] = ACTIONS(5587),
    [anon_sym_TILDE] = ACTIONS(5587),
    [anon_sym_STAR] = ACTIONS(5587),
    [anon_sym_PIPE_PIPE] = ACTIONS(5587),
    [anon_sym_AMP_AMP] = ACTIONS(5587),
    [anon_sym_AMP] = ACTIONS(5585),
    [anon_sym___extension__] = ACTIONS(5585),
    [anon_sym_extern] = ACTIONS(5585),
    [anon_sym___attribute__] = ACTIONS(5585),
    [anon_sym_COLON_COLON] = ACTIONS(5587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5587),
    [anon_sym___declspec] = ACTIONS(5585),
    [anon_sym___based] = ACTIONS(5585),
    [anon_sym___cdecl] = ACTIONS(5585),
    [anon_sym___clrcall] = ACTIONS(5585),
    [anon_sym___stdcall] = ACTIONS(5585),
    [anon_sym___fastcall] = ACTIONS(5585),
    [anon_sym___thiscall] = ACTIONS(5585),
    [anon_sym___vectorcall] = ACTIONS(5585),
    [anon_sym_signed] = ACTIONS(5585),
    [anon_sym_unsigned] = ACTIONS(5585),
    [anon_sym_long] = ACTIONS(5585),
    [anon_sym_short] = ACTIONS(5585),
    [anon_sym_LBRACK] = ACTIONS(5585),
    [anon_sym_static] = ACTIONS(5585),
    [anon_sym_register] = ACTIONS(5585),
    [anon_sym_inline] = ACTIONS(5585),
    [anon_sym___inline] = ACTIONS(5585),
    [anon_sym___inline__] = ACTIONS(5585),
    [anon_sym___forceinline] = ACTIONS(5585),
    [anon_sym_thread_local] = ACTIONS(5585),
    [anon_sym___thread] = ACTIONS(5585),
    [anon_sym_const] = ACTIONS(5585),
    [anon_sym_constexpr] = ACTIONS(5585),
    [anon_sym_volatile] = ACTIONS(5585),
    [anon_sym_restrict] = ACTIONS(5585),
    [anon_sym___restrict__] = ACTIONS(5585),
    [anon_sym__Atomic] = ACTIONS(5585),
    [anon_sym__Noreturn] = ACTIONS(5585),
    [anon_sym_noreturn] = ACTIONS(5585),
    [anon_sym_mutable] = ACTIONS(5585),
    [anon_sym_constinit] = ACTIONS(5585),
    [anon_sym_consteval] = ACTIONS(5585),
    [anon_sym_PROGMEM] = ACTIONS(5585),
    [aux_sym_primitive_type_token1] = ACTIONS(5585),
    [anon_sym_byte] = ACTIONS(5585),
    [anon_sym_word] = ACTIONS(5585),
    [anon_sym_enum] = ACTIONS(5585),
    [anon_sym_class] = ACTIONS(5585),
    [anon_sym_struct] = ACTIONS(5585),
    [anon_sym_union] = ACTIONS(5585),
    [anon_sym_or] = ACTIONS(5585),
    [anon_sym_and] = ACTIONS(5585),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5585),
    [anon_sym_decltype] = ACTIONS(5585),
    [anon_sym_virtual] = ACTIONS(5585),
    [anon_sym_alignas] = ACTIONS(5585),
    [anon_sym_explicit] = ACTIONS(5585),
    [anon_sym_typename] = ACTIONS(5585),
    [anon_sym_template] = ACTIONS(5585),
    [anon_sym_operator] = ACTIONS(5585),
    [anon_sym_friend] = ACTIONS(5585),
    [anon_sym_using] = ACTIONS(5585),
    [anon_sym_concept] = ACTIONS(5585),
  },
  [2654] = {
    [sym_identifier] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [anon_sym_TILDE] = ACTIONS(5606),
    [anon_sym_STAR] = ACTIONS(5606),
    [anon_sym_PIPE_PIPE] = ACTIONS(5606),
    [anon_sym_AMP_AMP] = ACTIONS(5606),
    [anon_sym_AMP] = ACTIONS(5604),
    [anon_sym___extension__] = ACTIONS(5604),
    [anon_sym_extern] = ACTIONS(5604),
    [anon_sym___attribute__] = ACTIONS(5604),
    [anon_sym_COLON_COLON] = ACTIONS(5606),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5606),
    [anon_sym___declspec] = ACTIONS(5604),
    [anon_sym___based] = ACTIONS(5604),
    [anon_sym___cdecl] = ACTIONS(5604),
    [anon_sym___clrcall] = ACTIONS(5604),
    [anon_sym___stdcall] = ACTIONS(5604),
    [anon_sym___fastcall] = ACTIONS(5604),
    [anon_sym___thiscall] = ACTIONS(5604),
    [anon_sym___vectorcall] = ACTIONS(5604),
    [anon_sym_signed] = ACTIONS(5604),
    [anon_sym_unsigned] = ACTIONS(5604),
    [anon_sym_long] = ACTIONS(5604),
    [anon_sym_short] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [anon_sym_static] = ACTIONS(5604),
    [anon_sym_register] = ACTIONS(5604),
    [anon_sym_inline] = ACTIONS(5604),
    [anon_sym___inline] = ACTIONS(5604),
    [anon_sym___inline__] = ACTIONS(5604),
    [anon_sym___forceinline] = ACTIONS(5604),
    [anon_sym_thread_local] = ACTIONS(5604),
    [anon_sym___thread] = ACTIONS(5604),
    [anon_sym_const] = ACTIONS(5604),
    [anon_sym_constexpr] = ACTIONS(5604),
    [anon_sym_volatile] = ACTIONS(5604),
    [anon_sym_restrict] = ACTIONS(5604),
    [anon_sym___restrict__] = ACTIONS(5604),
    [anon_sym__Atomic] = ACTIONS(5604),
    [anon_sym__Noreturn] = ACTIONS(5604),
    [anon_sym_noreturn] = ACTIONS(5604),
    [anon_sym_mutable] = ACTIONS(5604),
    [anon_sym_constinit] = ACTIONS(5604),
    [anon_sym_consteval] = ACTIONS(5604),
    [anon_sym_PROGMEM] = ACTIONS(5604),
    [aux_sym_primitive_type_token1] = ACTIONS(5604),
    [anon_sym_byte] = ACTIONS(5604),
    [anon_sym_word] = ACTIONS(5604),
    [anon_sym_enum] = ACTIONS(5604),
    [anon_sym_class] = ACTIONS(5604),
    [anon_sym_struct] = ACTIONS(5604),
    [anon_sym_union] = ACTIONS(5604),
    [anon_sym_or] = ACTIONS(5604),
    [anon_sym_and] = ACTIONS(5604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5604),
    [anon_sym_decltype] = ACTIONS(5604),
    [anon_sym_virtual] = ACTIONS(5604),
    [anon_sym_alignas] = ACTIONS(5604),
    [anon_sym_explicit] = ACTIONS(5604),
    [anon_sym_typename] = ACTIONS(5604),
    [anon_sym_template] = ACTIONS(5604),
    [anon_sym_operator] = ACTIONS(5604),
    [anon_sym_friend] = ACTIONS(5604),
    [anon_sym_using] = ACTIONS(5604),
    [anon_sym_concept] = ACTIONS(5604),
  },
  [2655] = {
    [sym_attribute_declaration] = STATE(2689),
    [sym_parameter_list] = STATE(2702),
    [aux_sym_attributed_declarator_repeat1] = STATE(2689),
    [sym_identifier] = ACTIONS(6038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6040),
    [anon_sym_COMMA] = ACTIONS(6040),
    [anon_sym_RPAREN] = ACTIONS(6040),
    [aux_sym_preproc_if_token2] = ACTIONS(6040),
    [aux_sym_preproc_else_token1] = ACTIONS(6040),
    [aux_sym_preproc_elif_token1] = ACTIONS(6038),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6040),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6040),
    [anon_sym_LPAREN2] = ACTIONS(6024),
    [anon_sym_DASH] = ACTIONS(6038),
    [anon_sym_PLUS] = ACTIONS(6038),
    [anon_sym_STAR] = ACTIONS(6038),
    [anon_sym_SLASH] = ACTIONS(6038),
    [anon_sym_PERCENT] = ACTIONS(6038),
    [anon_sym_PIPE_PIPE] = ACTIONS(6040),
    [anon_sym_AMP_AMP] = ACTIONS(6040),
    [anon_sym_PIPE] = ACTIONS(6038),
    [anon_sym_CARET] = ACTIONS(6038),
    [anon_sym_AMP] = ACTIONS(6038),
    [anon_sym_EQ_EQ] = ACTIONS(6040),
    [anon_sym_BANG_EQ] = ACTIONS(6040),
    [anon_sym_GT] = ACTIONS(6038),
    [anon_sym_GT_EQ] = ACTIONS(6040),
    [anon_sym_LT_EQ] = ACTIONS(6038),
    [anon_sym_LT] = ACTIONS(6038),
    [anon_sym_LT_LT] = ACTIONS(6038),
    [anon_sym_GT_GT] = ACTIONS(6038),
    [anon_sym_SEMI] = ACTIONS(6040),
    [anon_sym___attribute__] = ACTIONS(6038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6026),
    [anon_sym_RBRACE] = ACTIONS(6040),
    [anon_sym_LBRACK] = ACTIONS(6028),
    [anon_sym_RBRACK] = ACTIONS(6040),
    [anon_sym_EQ] = ACTIONS(6038),
    [anon_sym_COLON] = ACTIONS(6040),
    [anon_sym_QMARK] = ACTIONS(6040),
    [anon_sym_STAR_EQ] = ACTIONS(6040),
    [anon_sym_SLASH_EQ] = ACTIONS(6040),
    [anon_sym_PERCENT_EQ] = ACTIONS(6040),
    [anon_sym_PLUS_EQ] = ACTIONS(6040),
    [anon_sym_DASH_EQ] = ACTIONS(6040),
    [anon_sym_LT_LT_EQ] = ACTIONS(6040),
    [anon_sym_GT_GT_EQ] = ACTIONS(6040),
    [anon_sym_AMP_EQ] = ACTIONS(6040),
    [anon_sym_CARET_EQ] = ACTIONS(6040),
    [anon_sym_PIPE_EQ] = ACTIONS(6040),
    [anon_sym_and_eq] = ACTIONS(6038),
    [anon_sym_or_eq] = ACTIONS(6038),
    [anon_sym_xor_eq] = ACTIONS(6038),
    [anon_sym_LT_EQ_GT] = ACTIONS(6040),
    [anon_sym_or] = ACTIONS(6038),
    [anon_sym_and] = ACTIONS(6038),
    [anon_sym_bitor] = ACTIONS(6038),
    [anon_sym_xor] = ACTIONS(6038),
    [anon_sym_bitand] = ACTIONS(6038),
    [anon_sym_not_eq] = ACTIONS(6038),
    [anon_sym_DASH_DASH] = ACTIONS(6040),
    [anon_sym_PLUS_PLUS] = ACTIONS(6040),
    [anon_sym_DOT] = ACTIONS(6038),
    [anon_sym_DOT_STAR] = ACTIONS(6040),
    [anon_sym_DASH_GT] = ACTIONS(6040),
    [sym_comment] = ACTIONS(3),
  },
  [2656] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5406),
    [anon_sym_COMMA] = ACTIONS(5406),
    [anon_sym_RPAREN] = ACTIONS(5406),
    [anon_sym_LPAREN2] = ACTIONS(5406),
    [anon_sym_DASH] = ACTIONS(5404),
    [anon_sym_PLUS] = ACTIONS(5404),
    [anon_sym_STAR] = ACTIONS(5404),
    [anon_sym_SLASH] = ACTIONS(5404),
    [anon_sym_PERCENT] = ACTIONS(5404),
    [anon_sym_PIPE_PIPE] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_PIPE] = ACTIONS(5404),
    [anon_sym_CARET] = ACTIONS(5404),
    [anon_sym_AMP] = ACTIONS(5404),
    [anon_sym_EQ_EQ] = ACTIONS(5406),
    [anon_sym_BANG_EQ] = ACTIONS(5406),
    [anon_sym_GT] = ACTIONS(5404),
    [anon_sym_GT_EQ] = ACTIONS(5406),
    [anon_sym_LT_EQ] = ACTIONS(5404),
    [anon_sym_LT] = ACTIONS(5404),
    [anon_sym_LT_LT] = ACTIONS(5404),
    [anon_sym_GT_GT] = ACTIONS(5404),
    [anon_sym_SEMI] = ACTIONS(5406),
    [anon_sym_RBRACE] = ACTIONS(5406),
    [anon_sym_LBRACK] = ACTIONS(5406),
    [anon_sym_RBRACK] = ACTIONS(5406),
    [anon_sym_EQ] = ACTIONS(5404),
    [anon_sym_COLON] = ACTIONS(5406),
    [anon_sym_QMARK] = ACTIONS(5406),
    [anon_sym_STAR_EQ] = ACTIONS(5406),
    [anon_sym_SLASH_EQ] = ACTIONS(5406),
    [anon_sym_PERCENT_EQ] = ACTIONS(5406),
    [anon_sym_PLUS_EQ] = ACTIONS(5406),
    [anon_sym_DASH_EQ] = ACTIONS(5406),
    [anon_sym_LT_LT_EQ] = ACTIONS(5406),
    [anon_sym_GT_GT_EQ] = ACTIONS(5406),
    [anon_sym_AMP_EQ] = ACTIONS(5406),
    [anon_sym_CARET_EQ] = ACTIONS(5406),
    [anon_sym_PIPE_EQ] = ACTIONS(5406),
    [anon_sym_and_eq] = ACTIONS(5404),
    [anon_sym_or_eq] = ACTIONS(5404),
    [anon_sym_xor_eq] = ACTIONS(5404),
    [anon_sym_LT_EQ_GT] = ACTIONS(5406),
    [anon_sym_or] = ACTIONS(5404),
    [anon_sym_and] = ACTIONS(5404),
    [anon_sym_bitor] = ACTIONS(5404),
    [anon_sym_xor] = ACTIONS(5404),
    [anon_sym_bitand] = ACTIONS(5404),
    [anon_sym_not_eq] = ACTIONS(5404),
    [anon_sym_DASH_DASH] = ACTIONS(5406),
    [anon_sym_PLUS_PLUS] = ACTIONS(5406),
    [anon_sym_DOT] = ACTIONS(5404),
    [anon_sym_DOT_STAR] = ACTIONS(5406),
    [anon_sym_DASH_GT] = ACTIONS(5406),
    [anon_sym_L_DQUOTE] = ACTIONS(5406),
    [anon_sym_u_DQUOTE] = ACTIONS(5406),
    [anon_sym_U_DQUOTE] = ACTIONS(5406),
    [anon_sym_u8_DQUOTE] = ACTIONS(5406),
    [anon_sym_DQUOTE] = ACTIONS(5406),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5406),
    [anon_sym_LR_DQUOTE] = ACTIONS(5406),
    [anon_sym_uR_DQUOTE] = ACTIONS(5406),
    [anon_sym_UR_DQUOTE] = ACTIONS(5406),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5406),
    [sym_literal_suffix] = ACTIONS(5404),
  },
  [2657] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2659),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5642),
    [anon_sym_COMMA] = ACTIONS(5642),
    [anon_sym_RPAREN] = ACTIONS(5642),
    [anon_sym_LPAREN2] = ACTIONS(5642),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_STAR] = ACTIONS(5642),
    [anon_sym_SLASH] = ACTIONS(5640),
    [anon_sym_PERCENT] = ACTIONS(5642),
    [anon_sym_PIPE_PIPE] = ACTIONS(5642),
    [anon_sym_AMP_AMP] = ACTIONS(5642),
    [anon_sym_PIPE] = ACTIONS(5640),
    [anon_sym_CARET] = ACTIONS(5642),
    [anon_sym_AMP] = ACTIONS(5640),
    [anon_sym_EQ_EQ] = ACTIONS(5642),
    [anon_sym_BANG_EQ] = ACTIONS(5642),
    [anon_sym_GT] = ACTIONS(5640),
    [anon_sym_GT_EQ] = ACTIONS(5642),
    [anon_sym_LT_EQ] = ACTIONS(5640),
    [anon_sym_LT] = ACTIONS(5640),
    [anon_sym_LT_LT] = ACTIONS(5642),
    [anon_sym_GT_GT] = ACTIONS(5642),
    [anon_sym_SEMI] = ACTIONS(5642),
    [anon_sym___extension__] = ACTIONS(5642),
    [anon_sym___attribute__] = ACTIONS(5642),
    [anon_sym_LBRACE] = ACTIONS(5642),
    [anon_sym_RBRACE] = ACTIONS(5642),
    [anon_sym_signed] = ACTIONS(6042),
    [anon_sym_unsigned] = ACTIONS(6042),
    [anon_sym_long] = ACTIONS(6042),
    [anon_sym_short] = ACTIONS(6042),
    [anon_sym_LBRACK] = ACTIONS(5642),
    [anon_sym_RBRACK] = ACTIONS(5642),
    [anon_sym_const] = ACTIONS(5640),
    [anon_sym_constexpr] = ACTIONS(5642),
    [anon_sym_volatile] = ACTIONS(5642),
    [anon_sym_restrict] = ACTIONS(5642),
    [anon_sym___restrict__] = ACTIONS(5642),
    [anon_sym__Atomic] = ACTIONS(5642),
    [anon_sym__Noreturn] = ACTIONS(5642),
    [anon_sym_noreturn] = ACTIONS(5642),
    [anon_sym_mutable] = ACTIONS(5642),
    [anon_sym_constinit] = ACTIONS(5642),
    [anon_sym_consteval] = ACTIONS(5642),
    [anon_sym_PROGMEM] = ACTIONS(5642),
    [anon_sym_COLON] = ACTIONS(5642),
    [anon_sym_QMARK] = ACTIONS(5642),
    [anon_sym_LT_EQ_GT] = ACTIONS(5642),
    [anon_sym_or] = ACTIONS(5642),
    [anon_sym_and] = ACTIONS(5642),
    [anon_sym_bitor] = ACTIONS(5642),
    [anon_sym_xor] = ACTIONS(5642),
    [anon_sym_bitand] = ACTIONS(5642),
    [anon_sym_not_eq] = ACTIONS(5642),
    [anon_sym_DASH_DASH] = ACTIONS(5642),
    [anon_sym_PLUS_PLUS] = ACTIONS(5642),
    [anon_sym_DOT] = ACTIONS(5640),
    [anon_sym_DOT_STAR] = ACTIONS(5642),
    [anon_sym_DASH_GT] = ACTIONS(5642),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5642),
    [anon_sym_decltype] = ACTIONS(5642),
    [anon_sym_final] = ACTIONS(5642),
    [anon_sym_override] = ACTIONS(5642),
    [anon_sym_requires] = ACTIONS(5642),
  },
  [2658] = {
    [sym_attribute_declaration] = STATE(2689),
    [sym_parameter_list] = STATE(2702),
    [aux_sym_attributed_declarator_repeat1] = STATE(2689),
    [sym_identifier] = ACTIONS(6044),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6046),
    [anon_sym_COMMA] = ACTIONS(6046),
    [anon_sym_RPAREN] = ACTIONS(6046),
    [aux_sym_preproc_if_token2] = ACTIONS(6046),
    [aux_sym_preproc_else_token1] = ACTIONS(6046),
    [aux_sym_preproc_elif_token1] = ACTIONS(6044),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6046),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6046),
    [anon_sym_LPAREN2] = ACTIONS(6024),
    [anon_sym_DASH] = ACTIONS(6044),
    [anon_sym_PLUS] = ACTIONS(6044),
    [anon_sym_STAR] = ACTIONS(6044),
    [anon_sym_SLASH] = ACTIONS(6044),
    [anon_sym_PERCENT] = ACTIONS(6044),
    [anon_sym_PIPE_PIPE] = ACTIONS(6046),
    [anon_sym_AMP_AMP] = ACTIONS(6046),
    [anon_sym_PIPE] = ACTIONS(6044),
    [anon_sym_CARET] = ACTIONS(6044),
    [anon_sym_AMP] = ACTIONS(6044),
    [anon_sym_EQ_EQ] = ACTIONS(6046),
    [anon_sym_BANG_EQ] = ACTIONS(6046),
    [anon_sym_GT] = ACTIONS(6044),
    [anon_sym_GT_EQ] = ACTIONS(6046),
    [anon_sym_LT_EQ] = ACTIONS(6044),
    [anon_sym_LT] = ACTIONS(6044),
    [anon_sym_LT_LT] = ACTIONS(6044),
    [anon_sym_GT_GT] = ACTIONS(6044),
    [anon_sym_SEMI] = ACTIONS(6046),
    [anon_sym___attribute__] = ACTIONS(6044),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6026),
    [anon_sym_RBRACE] = ACTIONS(6046),
    [anon_sym_LBRACK] = ACTIONS(6028),
    [anon_sym_RBRACK] = ACTIONS(6046),
    [anon_sym_EQ] = ACTIONS(6044),
    [anon_sym_COLON] = ACTIONS(6046),
    [anon_sym_QMARK] = ACTIONS(6046),
    [anon_sym_STAR_EQ] = ACTIONS(6046),
    [anon_sym_SLASH_EQ] = ACTIONS(6046),
    [anon_sym_PERCENT_EQ] = ACTIONS(6046),
    [anon_sym_PLUS_EQ] = ACTIONS(6046),
    [anon_sym_DASH_EQ] = ACTIONS(6046),
    [anon_sym_LT_LT_EQ] = ACTIONS(6046),
    [anon_sym_GT_GT_EQ] = ACTIONS(6046),
    [anon_sym_AMP_EQ] = ACTIONS(6046),
    [anon_sym_CARET_EQ] = ACTIONS(6046),
    [anon_sym_PIPE_EQ] = ACTIONS(6046),
    [anon_sym_and_eq] = ACTIONS(6044),
    [anon_sym_or_eq] = ACTIONS(6044),
    [anon_sym_xor_eq] = ACTIONS(6044),
    [anon_sym_LT_EQ_GT] = ACTIONS(6046),
    [anon_sym_or] = ACTIONS(6044),
    [anon_sym_and] = ACTIONS(6044),
    [anon_sym_bitor] = ACTIONS(6044),
    [anon_sym_xor] = ACTIONS(6044),
    [anon_sym_bitand] = ACTIONS(6044),
    [anon_sym_not_eq] = ACTIONS(6044),
    [anon_sym_DASH_DASH] = ACTIONS(6046),
    [anon_sym_PLUS_PLUS] = ACTIONS(6046),
    [anon_sym_DOT] = ACTIONS(6044),
    [anon_sym_DOT_STAR] = ACTIONS(6046),
    [anon_sym_DASH_GT] = ACTIONS(6046),
    [sym_comment] = ACTIONS(3),
  },
  [2659] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2045),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6048),
    [anon_sym_COMMA] = ACTIONS(6048),
    [anon_sym_RPAREN] = ACTIONS(6048),
    [anon_sym_LPAREN2] = ACTIONS(6048),
    [anon_sym_DASH] = ACTIONS(6050),
    [anon_sym_PLUS] = ACTIONS(6050),
    [anon_sym_STAR] = ACTIONS(6048),
    [anon_sym_SLASH] = ACTIONS(6050),
    [anon_sym_PERCENT] = ACTIONS(6048),
    [anon_sym_PIPE_PIPE] = ACTIONS(6048),
    [anon_sym_AMP_AMP] = ACTIONS(6048),
    [anon_sym_PIPE] = ACTIONS(6050),
    [anon_sym_CARET] = ACTIONS(6048),
    [anon_sym_AMP] = ACTIONS(6050),
    [anon_sym_EQ_EQ] = ACTIONS(6048),
    [anon_sym_BANG_EQ] = ACTIONS(6048),
    [anon_sym_GT] = ACTIONS(6050),
    [anon_sym_GT_EQ] = ACTIONS(6048),
    [anon_sym_LT_EQ] = ACTIONS(6050),
    [anon_sym_LT] = ACTIONS(6050),
    [anon_sym_LT_LT] = ACTIONS(6048),
    [anon_sym_GT_GT] = ACTIONS(6048),
    [anon_sym_SEMI] = ACTIONS(6048),
    [anon_sym___extension__] = ACTIONS(6048),
    [anon_sym___attribute__] = ACTIONS(6048),
    [anon_sym_LBRACE] = ACTIONS(6048),
    [anon_sym_RBRACE] = ACTIONS(6048),
    [anon_sym_signed] = ACTIONS(6036),
    [anon_sym_unsigned] = ACTIONS(6036),
    [anon_sym_long] = ACTIONS(6036),
    [anon_sym_short] = ACTIONS(6036),
    [anon_sym_LBRACK] = ACTIONS(6048),
    [anon_sym_RBRACK] = ACTIONS(6048),
    [anon_sym_const] = ACTIONS(6050),
    [anon_sym_constexpr] = ACTIONS(6048),
    [anon_sym_volatile] = ACTIONS(6048),
    [anon_sym_restrict] = ACTIONS(6048),
    [anon_sym___restrict__] = ACTIONS(6048),
    [anon_sym__Atomic] = ACTIONS(6048),
    [anon_sym__Noreturn] = ACTIONS(6048),
    [anon_sym_noreturn] = ACTIONS(6048),
    [anon_sym_mutable] = ACTIONS(6048),
    [anon_sym_constinit] = ACTIONS(6048),
    [anon_sym_consteval] = ACTIONS(6048),
    [anon_sym_PROGMEM] = ACTIONS(6048),
    [anon_sym_COLON] = ACTIONS(6048),
    [anon_sym_QMARK] = ACTIONS(6048),
    [anon_sym_LT_EQ_GT] = ACTIONS(6048),
    [anon_sym_or] = ACTIONS(6048),
    [anon_sym_and] = ACTIONS(6048),
    [anon_sym_bitor] = ACTIONS(6048),
    [anon_sym_xor] = ACTIONS(6048),
    [anon_sym_bitand] = ACTIONS(6048),
    [anon_sym_not_eq] = ACTIONS(6048),
    [anon_sym_DASH_DASH] = ACTIONS(6048),
    [anon_sym_PLUS_PLUS] = ACTIONS(6048),
    [anon_sym_DOT] = ACTIONS(6050),
    [anon_sym_DOT_STAR] = ACTIONS(6048),
    [anon_sym_DASH_GT] = ACTIONS(6048),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6048),
    [anon_sym_decltype] = ACTIONS(6048),
    [anon_sym_final] = ACTIONS(6048),
    [anon_sym_override] = ACTIONS(6048),
    [anon_sym_requires] = ACTIONS(6048),
  },
  [2660] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2679),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6052),
    [anon_sym_COMMA] = ACTIONS(6052),
    [anon_sym_RPAREN] = ACTIONS(6052),
    [anon_sym_LPAREN2] = ACTIONS(6052),
    [anon_sym_DASH] = ACTIONS(6054),
    [anon_sym_PLUS] = ACTIONS(6054),
    [anon_sym_STAR] = ACTIONS(6052),
    [anon_sym_SLASH] = ACTIONS(6054),
    [anon_sym_PERCENT] = ACTIONS(6052),
    [anon_sym_PIPE_PIPE] = ACTIONS(6052),
    [anon_sym_AMP_AMP] = ACTIONS(6052),
    [anon_sym_PIPE] = ACTIONS(6054),
    [anon_sym_CARET] = ACTIONS(6052),
    [anon_sym_AMP] = ACTIONS(6054),
    [anon_sym_EQ_EQ] = ACTIONS(6052),
    [anon_sym_BANG_EQ] = ACTIONS(6052),
    [anon_sym_GT] = ACTIONS(6054),
    [anon_sym_GT_EQ] = ACTIONS(6052),
    [anon_sym_LT_EQ] = ACTIONS(6054),
    [anon_sym_LT] = ACTIONS(6054),
    [anon_sym_LT_LT] = ACTIONS(6052),
    [anon_sym_GT_GT] = ACTIONS(6052),
    [anon_sym_SEMI] = ACTIONS(6052),
    [anon_sym___extension__] = ACTIONS(6052),
    [anon_sym___attribute__] = ACTIONS(6052),
    [anon_sym_LBRACE] = ACTIONS(6052),
    [anon_sym_RBRACE] = ACTIONS(6052),
    [anon_sym_signed] = ACTIONS(6056),
    [anon_sym_unsigned] = ACTIONS(6056),
    [anon_sym_long] = ACTIONS(6056),
    [anon_sym_short] = ACTIONS(6056),
    [anon_sym_LBRACK] = ACTIONS(6052),
    [anon_sym_RBRACK] = ACTIONS(6052),
    [anon_sym_const] = ACTIONS(6054),
    [anon_sym_constexpr] = ACTIONS(6052),
    [anon_sym_volatile] = ACTIONS(6052),
    [anon_sym_restrict] = ACTIONS(6052),
    [anon_sym___restrict__] = ACTIONS(6052),
    [anon_sym__Atomic] = ACTIONS(6052),
    [anon_sym__Noreturn] = ACTIONS(6052),
    [anon_sym_noreturn] = ACTIONS(6052),
    [anon_sym_mutable] = ACTIONS(6052),
    [anon_sym_constinit] = ACTIONS(6052),
    [anon_sym_consteval] = ACTIONS(6052),
    [anon_sym_PROGMEM] = ACTIONS(6052),
    [anon_sym_COLON] = ACTIONS(6052),
    [anon_sym_QMARK] = ACTIONS(6052),
    [anon_sym_LT_EQ_GT] = ACTIONS(6052),
    [anon_sym_or] = ACTIONS(6052),
    [anon_sym_and] = ACTIONS(6052),
    [anon_sym_bitor] = ACTIONS(6052),
    [anon_sym_xor] = ACTIONS(6052),
    [anon_sym_bitand] = ACTIONS(6052),
    [anon_sym_not_eq] = ACTIONS(6052),
    [anon_sym_DASH_DASH] = ACTIONS(6052),
    [anon_sym_PLUS_PLUS] = ACTIONS(6052),
    [anon_sym_DOT] = ACTIONS(6054),
    [anon_sym_DOT_STAR] = ACTIONS(6052),
    [anon_sym_DASH_GT] = ACTIONS(6052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6052),
    [anon_sym_decltype] = ACTIONS(6052),
    [anon_sym_final] = ACTIONS(6052),
    [anon_sym_override] = ACTIONS(6052),
    [anon_sym_requires] = ACTIONS(6052),
  },
  [2661] = {
    [sym_attribute_specifier] = STATE(2694),
    [sym_identifier] = ACTIONS(6058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6060),
    [anon_sym_COMMA] = ACTIONS(6060),
    [anon_sym_RPAREN] = ACTIONS(6060),
    [aux_sym_preproc_if_token2] = ACTIONS(6060),
    [aux_sym_preproc_else_token1] = ACTIONS(6060),
    [aux_sym_preproc_elif_token1] = ACTIONS(6058),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6060),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6060),
    [anon_sym_LPAREN2] = ACTIONS(6060),
    [anon_sym_DASH] = ACTIONS(6058),
    [anon_sym_PLUS] = ACTIONS(6058),
    [anon_sym_STAR] = ACTIONS(6058),
    [anon_sym_SLASH] = ACTIONS(6058),
    [anon_sym_PERCENT] = ACTIONS(6058),
    [anon_sym_PIPE_PIPE] = ACTIONS(6060),
    [anon_sym_AMP_AMP] = ACTIONS(6060),
    [anon_sym_PIPE] = ACTIONS(6058),
    [anon_sym_CARET] = ACTIONS(6058),
    [anon_sym_AMP] = ACTIONS(6058),
    [anon_sym_EQ_EQ] = ACTIONS(6060),
    [anon_sym_BANG_EQ] = ACTIONS(6060),
    [anon_sym_GT] = ACTIONS(6058),
    [anon_sym_GT_EQ] = ACTIONS(6060),
    [anon_sym_LT_EQ] = ACTIONS(6058),
    [anon_sym_LT] = ACTIONS(6058),
    [anon_sym_LT_LT] = ACTIONS(6058),
    [anon_sym_GT_GT] = ACTIONS(6058),
    [anon_sym_SEMI] = ACTIONS(6060),
    [anon_sym___attribute__] = ACTIONS(5471),
    [anon_sym_LBRACE] = ACTIONS(6060),
    [anon_sym_RBRACE] = ACTIONS(6060),
    [anon_sym_LBRACK] = ACTIONS(6060),
    [anon_sym_RBRACK] = ACTIONS(6060),
    [anon_sym_EQ] = ACTIONS(6058),
    [anon_sym_COLON] = ACTIONS(6060),
    [anon_sym_QMARK] = ACTIONS(6060),
    [anon_sym_STAR_EQ] = ACTIONS(6060),
    [anon_sym_SLASH_EQ] = ACTIONS(6060),
    [anon_sym_PERCENT_EQ] = ACTIONS(6060),
    [anon_sym_PLUS_EQ] = ACTIONS(6060),
    [anon_sym_DASH_EQ] = ACTIONS(6060),
    [anon_sym_LT_LT_EQ] = ACTIONS(6060),
    [anon_sym_GT_GT_EQ] = ACTIONS(6060),
    [anon_sym_AMP_EQ] = ACTIONS(6060),
    [anon_sym_CARET_EQ] = ACTIONS(6060),
    [anon_sym_PIPE_EQ] = ACTIONS(6060),
    [anon_sym_and_eq] = ACTIONS(6058),
    [anon_sym_or_eq] = ACTIONS(6058),
    [anon_sym_xor_eq] = ACTIONS(6058),
    [anon_sym_LT_EQ_GT] = ACTIONS(6060),
    [anon_sym_or] = ACTIONS(6058),
    [anon_sym_and] = ACTIONS(6058),
    [anon_sym_bitor] = ACTIONS(6058),
    [anon_sym_xor] = ACTIONS(6058),
    [anon_sym_bitand] = ACTIONS(6058),
    [anon_sym_not_eq] = ACTIONS(6058),
    [anon_sym_DASH_DASH] = ACTIONS(6060),
    [anon_sym_PLUS_PLUS] = ACTIONS(6060),
    [anon_sym_DOT] = ACTIONS(6058),
    [anon_sym_DOT_STAR] = ACTIONS(6060),
    [anon_sym_DASH_GT] = ACTIONS(6060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6058),
    [anon_sym_decltype] = ACTIONS(6058),
  },
  [2662] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2680),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6062),
    [anon_sym_COMMA] = ACTIONS(6062),
    [anon_sym_RPAREN] = ACTIONS(6062),
    [anon_sym_LPAREN2] = ACTIONS(6062),
    [anon_sym_DASH] = ACTIONS(6064),
    [anon_sym_PLUS] = ACTIONS(6064),
    [anon_sym_STAR] = ACTIONS(6062),
    [anon_sym_SLASH] = ACTIONS(6064),
    [anon_sym_PERCENT] = ACTIONS(6062),
    [anon_sym_PIPE_PIPE] = ACTIONS(6062),
    [anon_sym_AMP_AMP] = ACTIONS(6062),
    [anon_sym_PIPE] = ACTIONS(6064),
    [anon_sym_CARET] = ACTIONS(6062),
    [anon_sym_AMP] = ACTIONS(6064),
    [anon_sym_EQ_EQ] = ACTIONS(6062),
    [anon_sym_BANG_EQ] = ACTIONS(6062),
    [anon_sym_GT] = ACTIONS(6064),
    [anon_sym_GT_EQ] = ACTIONS(6062),
    [anon_sym_LT_EQ] = ACTIONS(6064),
    [anon_sym_LT] = ACTIONS(6064),
    [anon_sym_LT_LT] = ACTIONS(6062),
    [anon_sym_GT_GT] = ACTIONS(6062),
    [anon_sym_SEMI] = ACTIONS(6062),
    [anon_sym___extension__] = ACTIONS(6062),
    [anon_sym___attribute__] = ACTIONS(6062),
    [anon_sym_LBRACE] = ACTIONS(6062),
    [anon_sym_RBRACE] = ACTIONS(6062),
    [anon_sym_signed] = ACTIONS(6066),
    [anon_sym_unsigned] = ACTIONS(6066),
    [anon_sym_long] = ACTIONS(6066),
    [anon_sym_short] = ACTIONS(6066),
    [anon_sym_LBRACK] = ACTIONS(6062),
    [anon_sym_RBRACK] = ACTIONS(6062),
    [anon_sym_const] = ACTIONS(6064),
    [anon_sym_constexpr] = ACTIONS(6062),
    [anon_sym_volatile] = ACTIONS(6062),
    [anon_sym_restrict] = ACTIONS(6062),
    [anon_sym___restrict__] = ACTIONS(6062),
    [anon_sym__Atomic] = ACTIONS(6062),
    [anon_sym__Noreturn] = ACTIONS(6062),
    [anon_sym_noreturn] = ACTIONS(6062),
    [anon_sym_mutable] = ACTIONS(6062),
    [anon_sym_constinit] = ACTIONS(6062),
    [anon_sym_consteval] = ACTIONS(6062),
    [anon_sym_PROGMEM] = ACTIONS(6062),
    [anon_sym_COLON] = ACTIONS(6062),
    [anon_sym_QMARK] = ACTIONS(6062),
    [anon_sym_LT_EQ_GT] = ACTIONS(6062),
    [anon_sym_or] = ACTIONS(6062),
    [anon_sym_and] = ACTIONS(6062),
    [anon_sym_bitor] = ACTIONS(6062),
    [anon_sym_xor] = ACTIONS(6062),
    [anon_sym_bitand] = ACTIONS(6062),
    [anon_sym_not_eq] = ACTIONS(6062),
    [anon_sym_DASH_DASH] = ACTIONS(6062),
    [anon_sym_PLUS_PLUS] = ACTIONS(6062),
    [anon_sym_DOT] = ACTIONS(6064),
    [anon_sym_DOT_STAR] = ACTIONS(6062),
    [anon_sym_DASH_GT] = ACTIONS(6062),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6062),
    [anon_sym_decltype] = ACTIONS(6062),
    [anon_sym_final] = ACTIONS(6062),
    [anon_sym_override] = ACTIONS(6062),
    [anon_sym_requires] = ACTIONS(6062),
  },
  [2663] = {
    [sym_identifier] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [anon_sym_TILDE] = ACTIONS(5606),
    [anon_sym_STAR] = ACTIONS(5606),
    [anon_sym_PIPE_PIPE] = ACTIONS(5606),
    [anon_sym_AMP_AMP] = ACTIONS(5606),
    [anon_sym_AMP] = ACTIONS(5604),
    [anon_sym___extension__] = ACTIONS(5604),
    [anon_sym_extern] = ACTIONS(5604),
    [anon_sym___attribute__] = ACTIONS(5604),
    [anon_sym_COLON_COLON] = ACTIONS(5483),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5606),
    [anon_sym___declspec] = ACTIONS(5604),
    [anon_sym___based] = ACTIONS(5604),
    [anon_sym___cdecl] = ACTIONS(5604),
    [anon_sym___clrcall] = ACTIONS(5604),
    [anon_sym___stdcall] = ACTIONS(5604),
    [anon_sym___fastcall] = ACTIONS(5604),
    [anon_sym___thiscall] = ACTIONS(5604),
    [anon_sym___vectorcall] = ACTIONS(5604),
    [anon_sym_signed] = ACTIONS(5604),
    [anon_sym_unsigned] = ACTIONS(5604),
    [anon_sym_long] = ACTIONS(5604),
    [anon_sym_short] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [anon_sym_static] = ACTIONS(5604),
    [anon_sym_register] = ACTIONS(5604),
    [anon_sym_inline] = ACTIONS(5604),
    [anon_sym___inline] = ACTIONS(5604),
    [anon_sym___inline__] = ACTIONS(5604),
    [anon_sym___forceinline] = ACTIONS(5604),
    [anon_sym_thread_local] = ACTIONS(5604),
    [anon_sym___thread] = ACTIONS(5604),
    [anon_sym_const] = ACTIONS(5604),
    [anon_sym_constexpr] = ACTIONS(5604),
    [anon_sym_volatile] = ACTIONS(5604),
    [anon_sym_restrict] = ACTIONS(5604),
    [anon_sym___restrict__] = ACTIONS(5604),
    [anon_sym__Atomic] = ACTIONS(5604),
    [anon_sym__Noreturn] = ACTIONS(5604),
    [anon_sym_noreturn] = ACTIONS(5604),
    [anon_sym_mutable] = ACTIONS(5604),
    [anon_sym_constinit] = ACTIONS(5604),
    [anon_sym_consteval] = ACTIONS(5604),
    [anon_sym_PROGMEM] = ACTIONS(5604),
    [aux_sym_primitive_type_token1] = ACTIONS(5604),
    [anon_sym_byte] = ACTIONS(5604),
    [anon_sym_word] = ACTIONS(5604),
    [anon_sym_enum] = ACTIONS(5604),
    [anon_sym_class] = ACTIONS(5604),
    [anon_sym_struct] = ACTIONS(5604),
    [anon_sym_union] = ACTIONS(5604),
    [anon_sym_or] = ACTIONS(5604),
    [anon_sym_and] = ACTIONS(5604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5604),
    [anon_sym_decltype] = ACTIONS(5604),
    [anon_sym_virtual] = ACTIONS(5604),
    [anon_sym_alignas] = ACTIONS(5604),
    [anon_sym_explicit] = ACTIONS(5604),
    [anon_sym_typename] = ACTIONS(5604),
    [anon_sym_template] = ACTIONS(5604),
    [anon_sym_operator] = ACTIONS(5604),
    [anon_sym_friend] = ACTIONS(5604),
    [anon_sym_using] = ACTIONS(5604),
    [anon_sym_concept] = ACTIONS(5604),
  },
  [2664] = {
    [sym_attribute_specifier] = STATE(2691),
    [sym_identifier] = ACTIONS(6068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6070),
    [anon_sym_COMMA] = ACTIONS(6070),
    [anon_sym_RPAREN] = ACTIONS(6070),
    [aux_sym_preproc_if_token2] = ACTIONS(6070),
    [aux_sym_preproc_else_token1] = ACTIONS(6070),
    [aux_sym_preproc_elif_token1] = ACTIONS(6068),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6070),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6070),
    [anon_sym_LPAREN2] = ACTIONS(6070),
    [anon_sym_DASH] = ACTIONS(6068),
    [anon_sym_PLUS] = ACTIONS(6068),
    [anon_sym_STAR] = ACTIONS(6068),
    [anon_sym_SLASH] = ACTIONS(6068),
    [anon_sym_PERCENT] = ACTIONS(6068),
    [anon_sym_PIPE_PIPE] = ACTIONS(6070),
    [anon_sym_AMP_AMP] = ACTIONS(6070),
    [anon_sym_PIPE] = ACTIONS(6068),
    [anon_sym_CARET] = ACTIONS(6068),
    [anon_sym_AMP] = ACTIONS(6068),
    [anon_sym_EQ_EQ] = ACTIONS(6070),
    [anon_sym_BANG_EQ] = ACTIONS(6070),
    [anon_sym_GT] = ACTIONS(6068),
    [anon_sym_GT_EQ] = ACTIONS(6070),
    [anon_sym_LT_EQ] = ACTIONS(6068),
    [anon_sym_LT] = ACTIONS(6068),
    [anon_sym_LT_LT] = ACTIONS(6068),
    [anon_sym_GT_GT] = ACTIONS(6068),
    [anon_sym_SEMI] = ACTIONS(6070),
    [anon_sym___attribute__] = ACTIONS(5471),
    [anon_sym_LBRACE] = ACTIONS(6070),
    [anon_sym_RBRACE] = ACTIONS(6070),
    [anon_sym_LBRACK] = ACTIONS(6070),
    [anon_sym_RBRACK] = ACTIONS(6070),
    [anon_sym_EQ] = ACTIONS(6068),
    [anon_sym_COLON] = ACTIONS(6070),
    [anon_sym_QMARK] = ACTIONS(6070),
    [anon_sym_STAR_EQ] = ACTIONS(6070),
    [anon_sym_SLASH_EQ] = ACTIONS(6070),
    [anon_sym_PERCENT_EQ] = ACTIONS(6070),
    [anon_sym_PLUS_EQ] = ACTIONS(6070),
    [anon_sym_DASH_EQ] = ACTIONS(6070),
    [anon_sym_LT_LT_EQ] = ACTIONS(6070),
    [anon_sym_GT_GT_EQ] = ACTIONS(6070),
    [anon_sym_AMP_EQ] = ACTIONS(6070),
    [anon_sym_CARET_EQ] = ACTIONS(6070),
    [anon_sym_PIPE_EQ] = ACTIONS(6070),
    [anon_sym_and_eq] = ACTIONS(6068),
    [anon_sym_or_eq] = ACTIONS(6068),
    [anon_sym_xor_eq] = ACTIONS(6068),
    [anon_sym_LT_EQ_GT] = ACTIONS(6070),
    [anon_sym_or] = ACTIONS(6068),
    [anon_sym_and] = ACTIONS(6068),
    [anon_sym_bitor] = ACTIONS(6068),
    [anon_sym_xor] = ACTIONS(6068),
    [anon_sym_bitand] = ACTIONS(6068),
    [anon_sym_not_eq] = ACTIONS(6068),
    [anon_sym_DASH_DASH] = ACTIONS(6070),
    [anon_sym_PLUS_PLUS] = ACTIONS(6070),
    [anon_sym_DOT] = ACTIONS(6068),
    [anon_sym_DOT_STAR] = ACTIONS(6070),
    [anon_sym_DASH_GT] = ACTIONS(6070),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6068),
    [anon_sym_decltype] = ACTIONS(6068),
  },
  [2665] = {
    [sym_string_literal] = STATE(2668),
    [sym_raw_string_literal] = STATE(2668),
    [aux_sym_concatenated_string_repeat1] = STATE(2668),
    [sym_identifier] = ACTIONS(6072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5383),
    [anon_sym_COMMA] = ACTIONS(5383),
    [anon_sym_LPAREN2] = ACTIONS(5383),
    [anon_sym_DASH] = ACTIONS(5385),
    [anon_sym_PLUS] = ACTIONS(5385),
    [anon_sym_STAR] = ACTIONS(5385),
    [anon_sym_SLASH] = ACTIONS(5385),
    [anon_sym_PERCENT] = ACTIONS(5385),
    [anon_sym_PIPE_PIPE] = ACTIONS(5383),
    [anon_sym_AMP_AMP] = ACTIONS(5383),
    [anon_sym_PIPE] = ACTIONS(5385),
    [anon_sym_CARET] = ACTIONS(5385),
    [anon_sym_AMP] = ACTIONS(5385),
    [anon_sym_EQ_EQ] = ACTIONS(5383),
    [anon_sym_BANG_EQ] = ACTIONS(5383),
    [anon_sym_GT] = ACTIONS(5385),
    [anon_sym_GT_EQ] = ACTIONS(5385),
    [anon_sym_LT_EQ] = ACTIONS(5385),
    [anon_sym_LT] = ACTIONS(5385),
    [anon_sym_LT_LT] = ACTIONS(5385),
    [anon_sym_GT_GT] = ACTIONS(5385),
    [anon_sym_LBRACK] = ACTIONS(5383),
    [anon_sym_EQ] = ACTIONS(5385),
    [anon_sym_QMARK] = ACTIONS(5383),
    [anon_sym_STAR_EQ] = ACTIONS(5383),
    [anon_sym_SLASH_EQ] = ACTIONS(5383),
    [anon_sym_PERCENT_EQ] = ACTIONS(5383),
    [anon_sym_PLUS_EQ] = ACTIONS(5383),
    [anon_sym_DASH_EQ] = ACTIONS(5383),
    [anon_sym_LT_LT_EQ] = ACTIONS(5383),
    [anon_sym_GT_GT_EQ] = ACTIONS(5385),
    [anon_sym_AMP_EQ] = ACTIONS(5383),
    [anon_sym_CARET_EQ] = ACTIONS(5383),
    [anon_sym_PIPE_EQ] = ACTIONS(5383),
    [anon_sym_and_eq] = ACTIONS(5385),
    [anon_sym_or_eq] = ACTIONS(5385),
    [anon_sym_xor_eq] = ACTIONS(5385),
    [anon_sym_LT_EQ_GT] = ACTIONS(5383),
    [anon_sym_or] = ACTIONS(5385),
    [anon_sym_and] = ACTIONS(5385),
    [anon_sym_bitor] = ACTIONS(5385),
    [anon_sym_xor] = ACTIONS(5385),
    [anon_sym_bitand] = ACTIONS(5385),
    [anon_sym_not_eq] = ACTIONS(5385),
    [anon_sym_DASH_DASH] = ACTIONS(5383),
    [anon_sym_PLUS_PLUS] = ACTIONS(5383),
    [anon_sym_DOT] = ACTIONS(5385),
    [anon_sym_DOT_STAR] = ACTIONS(5383),
    [anon_sym_DASH_GT] = ACTIONS(5383),
    [anon_sym_L_DQUOTE] = ACTIONS(5986),
    [anon_sym_u_DQUOTE] = ACTIONS(5986),
    [anon_sym_U_DQUOTE] = ACTIONS(5986),
    [anon_sym_u8_DQUOTE] = ACTIONS(5986),
    [anon_sym_DQUOTE] = ACTIONS(5986),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5383),
    [anon_sym_R_DQUOTE] = ACTIONS(5988),
    [anon_sym_LR_DQUOTE] = ACTIONS(5988),
    [anon_sym_uR_DQUOTE] = ACTIONS(5988),
    [anon_sym_UR_DQUOTE] = ACTIONS(5988),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5988),
    [sym_literal_suffix] = ACTIONS(5385),
  },
  [2666] = {
    [sym_attribute_specifier] = STATE(2743),
    [sym_identifier] = ACTIONS(6074),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6076),
    [anon_sym_COMMA] = ACTIONS(6076),
    [anon_sym_RPAREN] = ACTIONS(6076),
    [aux_sym_preproc_if_token2] = ACTIONS(6076),
    [aux_sym_preproc_else_token1] = ACTIONS(6076),
    [aux_sym_preproc_elif_token1] = ACTIONS(6074),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6076),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6076),
    [anon_sym_LPAREN2] = ACTIONS(6076),
    [anon_sym_DASH] = ACTIONS(6074),
    [anon_sym_PLUS] = ACTIONS(6074),
    [anon_sym_STAR] = ACTIONS(6074),
    [anon_sym_SLASH] = ACTIONS(6074),
    [anon_sym_PERCENT] = ACTIONS(6074),
    [anon_sym_PIPE_PIPE] = ACTIONS(6076),
    [anon_sym_AMP_AMP] = ACTIONS(6076),
    [anon_sym_PIPE] = ACTIONS(6074),
    [anon_sym_CARET] = ACTIONS(6074),
    [anon_sym_AMP] = ACTIONS(6074),
    [anon_sym_EQ_EQ] = ACTIONS(6076),
    [anon_sym_BANG_EQ] = ACTIONS(6076),
    [anon_sym_GT] = ACTIONS(6074),
    [anon_sym_GT_EQ] = ACTIONS(6076),
    [anon_sym_LT_EQ] = ACTIONS(6074),
    [anon_sym_LT] = ACTIONS(6074),
    [anon_sym_LT_LT] = ACTIONS(6074),
    [anon_sym_GT_GT] = ACTIONS(6074),
    [anon_sym_SEMI] = ACTIONS(6076),
    [anon_sym___attribute__] = ACTIONS(5471),
    [anon_sym_LBRACE] = ACTIONS(6076),
    [anon_sym_RBRACE] = ACTIONS(6076),
    [anon_sym_LBRACK] = ACTIONS(6076),
    [anon_sym_RBRACK] = ACTIONS(6076),
    [anon_sym_EQ] = ACTIONS(6074),
    [anon_sym_COLON] = ACTIONS(6076),
    [anon_sym_QMARK] = ACTIONS(6076),
    [anon_sym_STAR_EQ] = ACTIONS(6076),
    [anon_sym_SLASH_EQ] = ACTIONS(6076),
    [anon_sym_PERCENT_EQ] = ACTIONS(6076),
    [anon_sym_PLUS_EQ] = ACTIONS(6076),
    [anon_sym_DASH_EQ] = ACTIONS(6076),
    [anon_sym_LT_LT_EQ] = ACTIONS(6076),
    [anon_sym_GT_GT_EQ] = ACTIONS(6076),
    [anon_sym_AMP_EQ] = ACTIONS(6076),
    [anon_sym_CARET_EQ] = ACTIONS(6076),
    [anon_sym_PIPE_EQ] = ACTIONS(6076),
    [anon_sym_and_eq] = ACTIONS(6074),
    [anon_sym_or_eq] = ACTIONS(6074),
    [anon_sym_xor_eq] = ACTIONS(6074),
    [anon_sym_LT_EQ_GT] = ACTIONS(6076),
    [anon_sym_or] = ACTIONS(6074),
    [anon_sym_and] = ACTIONS(6074),
    [anon_sym_bitor] = ACTIONS(6074),
    [anon_sym_xor] = ACTIONS(6074),
    [anon_sym_bitand] = ACTIONS(6074),
    [anon_sym_not_eq] = ACTIONS(6074),
    [anon_sym_DASH_DASH] = ACTIONS(6076),
    [anon_sym_PLUS_PLUS] = ACTIONS(6076),
    [anon_sym_DOT] = ACTIONS(6074),
    [anon_sym_DOT_STAR] = ACTIONS(6076),
    [anon_sym_DASH_GT] = ACTIONS(6076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6074),
    [anon_sym_decltype] = ACTIONS(6074),
  },
  [2667] = {
    [sym_attribute_specifier] = STATE(2688),
    [sym_identifier] = ACTIONS(6078),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6080),
    [anon_sym_COMMA] = ACTIONS(6080),
    [anon_sym_RPAREN] = ACTIONS(6080),
    [aux_sym_preproc_if_token2] = ACTIONS(6080),
    [aux_sym_preproc_else_token1] = ACTIONS(6080),
    [aux_sym_preproc_elif_token1] = ACTIONS(6078),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6080),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6080),
    [anon_sym_LPAREN2] = ACTIONS(6080),
    [anon_sym_DASH] = ACTIONS(6078),
    [anon_sym_PLUS] = ACTIONS(6078),
    [anon_sym_STAR] = ACTIONS(6078),
    [anon_sym_SLASH] = ACTIONS(6078),
    [anon_sym_PERCENT] = ACTIONS(6078),
    [anon_sym_PIPE_PIPE] = ACTIONS(6080),
    [anon_sym_AMP_AMP] = ACTIONS(6080),
    [anon_sym_PIPE] = ACTIONS(6078),
    [anon_sym_CARET] = ACTIONS(6078),
    [anon_sym_AMP] = ACTIONS(6078),
    [anon_sym_EQ_EQ] = ACTIONS(6080),
    [anon_sym_BANG_EQ] = ACTIONS(6080),
    [anon_sym_GT] = ACTIONS(6078),
    [anon_sym_GT_EQ] = ACTIONS(6080),
    [anon_sym_LT_EQ] = ACTIONS(6078),
    [anon_sym_LT] = ACTIONS(6078),
    [anon_sym_LT_LT] = ACTIONS(6078),
    [anon_sym_GT_GT] = ACTIONS(6078),
    [anon_sym_SEMI] = ACTIONS(6080),
    [anon_sym___attribute__] = ACTIONS(5471),
    [anon_sym_LBRACE] = ACTIONS(6080),
    [anon_sym_RBRACE] = ACTIONS(6080),
    [anon_sym_LBRACK] = ACTIONS(6080),
    [anon_sym_RBRACK] = ACTIONS(6080),
    [anon_sym_EQ] = ACTIONS(6078),
    [anon_sym_COLON] = ACTIONS(6080),
    [anon_sym_QMARK] = ACTIONS(6080),
    [anon_sym_STAR_EQ] = ACTIONS(6080),
    [anon_sym_SLASH_EQ] = ACTIONS(6080),
    [anon_sym_PERCENT_EQ] = ACTIONS(6080),
    [anon_sym_PLUS_EQ] = ACTIONS(6080),
    [anon_sym_DASH_EQ] = ACTIONS(6080),
    [anon_sym_LT_LT_EQ] = ACTIONS(6080),
    [anon_sym_GT_GT_EQ] = ACTIONS(6080),
    [anon_sym_AMP_EQ] = ACTIONS(6080),
    [anon_sym_CARET_EQ] = ACTIONS(6080),
    [anon_sym_PIPE_EQ] = ACTIONS(6080),
    [anon_sym_and_eq] = ACTIONS(6078),
    [anon_sym_or_eq] = ACTIONS(6078),
    [anon_sym_xor_eq] = ACTIONS(6078),
    [anon_sym_LT_EQ_GT] = ACTIONS(6080),
    [anon_sym_or] = ACTIONS(6078),
    [anon_sym_and] = ACTIONS(6078),
    [anon_sym_bitor] = ACTIONS(6078),
    [anon_sym_xor] = ACTIONS(6078),
    [anon_sym_bitand] = ACTIONS(6078),
    [anon_sym_not_eq] = ACTIONS(6078),
    [anon_sym_DASH_DASH] = ACTIONS(6080),
    [anon_sym_PLUS_PLUS] = ACTIONS(6080),
    [anon_sym_DOT] = ACTIONS(6078),
    [anon_sym_DOT_STAR] = ACTIONS(6080),
    [anon_sym_DASH_GT] = ACTIONS(6080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6078),
    [anon_sym_decltype] = ACTIONS(6078),
  },
  [2668] = {
    [sym_string_literal] = STATE(2668),
    [sym_raw_string_literal] = STATE(2668),
    [aux_sym_concatenated_string_repeat1] = STATE(2668),
    [sym_identifier] = ACTIONS(6082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5356),
    [anon_sym_COMMA] = ACTIONS(5356),
    [anon_sym_LPAREN2] = ACTIONS(5356),
    [anon_sym_DASH] = ACTIONS(5358),
    [anon_sym_PLUS] = ACTIONS(5358),
    [anon_sym_STAR] = ACTIONS(5358),
    [anon_sym_SLASH] = ACTIONS(5358),
    [anon_sym_PERCENT] = ACTIONS(5358),
    [anon_sym_PIPE_PIPE] = ACTIONS(5356),
    [anon_sym_AMP_AMP] = ACTIONS(5356),
    [anon_sym_PIPE] = ACTIONS(5358),
    [anon_sym_CARET] = ACTIONS(5358),
    [anon_sym_AMP] = ACTIONS(5358),
    [anon_sym_EQ_EQ] = ACTIONS(5356),
    [anon_sym_BANG_EQ] = ACTIONS(5356),
    [anon_sym_GT] = ACTIONS(5358),
    [anon_sym_GT_EQ] = ACTIONS(5358),
    [anon_sym_LT_EQ] = ACTIONS(5358),
    [anon_sym_LT] = ACTIONS(5358),
    [anon_sym_LT_LT] = ACTIONS(5358),
    [anon_sym_GT_GT] = ACTIONS(5358),
    [anon_sym_LBRACK] = ACTIONS(5356),
    [anon_sym_EQ] = ACTIONS(5358),
    [anon_sym_QMARK] = ACTIONS(5356),
    [anon_sym_STAR_EQ] = ACTIONS(5356),
    [anon_sym_SLASH_EQ] = ACTIONS(5356),
    [anon_sym_PERCENT_EQ] = ACTIONS(5356),
    [anon_sym_PLUS_EQ] = ACTIONS(5356),
    [anon_sym_DASH_EQ] = ACTIONS(5356),
    [anon_sym_LT_LT_EQ] = ACTIONS(5356),
    [anon_sym_GT_GT_EQ] = ACTIONS(5358),
    [anon_sym_AMP_EQ] = ACTIONS(5356),
    [anon_sym_CARET_EQ] = ACTIONS(5356),
    [anon_sym_PIPE_EQ] = ACTIONS(5356),
    [anon_sym_and_eq] = ACTIONS(5358),
    [anon_sym_or_eq] = ACTIONS(5358),
    [anon_sym_xor_eq] = ACTIONS(5358),
    [anon_sym_LT_EQ_GT] = ACTIONS(5356),
    [anon_sym_or] = ACTIONS(5358),
    [anon_sym_and] = ACTIONS(5358),
    [anon_sym_bitor] = ACTIONS(5358),
    [anon_sym_xor] = ACTIONS(5358),
    [anon_sym_bitand] = ACTIONS(5358),
    [anon_sym_not_eq] = ACTIONS(5358),
    [anon_sym_DASH_DASH] = ACTIONS(5356),
    [anon_sym_PLUS_PLUS] = ACTIONS(5356),
    [anon_sym_DOT] = ACTIONS(5358),
    [anon_sym_DOT_STAR] = ACTIONS(5356),
    [anon_sym_DASH_GT] = ACTIONS(5356),
    [anon_sym_L_DQUOTE] = ACTIONS(6085),
    [anon_sym_u_DQUOTE] = ACTIONS(6085),
    [anon_sym_U_DQUOTE] = ACTIONS(6085),
    [anon_sym_u8_DQUOTE] = ACTIONS(6085),
    [anon_sym_DQUOTE] = ACTIONS(6085),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5356),
    [anon_sym_R_DQUOTE] = ACTIONS(6088),
    [anon_sym_LR_DQUOTE] = ACTIONS(6088),
    [anon_sym_uR_DQUOTE] = ACTIONS(6088),
    [anon_sym_UR_DQUOTE] = ACTIONS(6088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6088),
    [sym_literal_suffix] = ACTIONS(5358),
  },
  [2669] = {
    [sym_attribute_specifier] = STATE(2703),
    [sym_identifier] = ACTIONS(6091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6093),
    [anon_sym_COMMA] = ACTIONS(6093),
    [anon_sym_RPAREN] = ACTIONS(6093),
    [aux_sym_preproc_if_token2] = ACTIONS(6093),
    [aux_sym_preproc_else_token1] = ACTIONS(6093),
    [aux_sym_preproc_elif_token1] = ACTIONS(6091),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6093),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6093),
    [anon_sym_LPAREN2] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6091),
    [anon_sym_PLUS] = ACTIONS(6091),
    [anon_sym_STAR] = ACTIONS(6091),
    [anon_sym_SLASH] = ACTIONS(6091),
    [anon_sym_PERCENT] = ACTIONS(6091),
    [anon_sym_PIPE_PIPE] = ACTIONS(6093),
    [anon_sym_AMP_AMP] = ACTIONS(6093),
    [anon_sym_PIPE] = ACTIONS(6091),
    [anon_sym_CARET] = ACTIONS(6091),
    [anon_sym_AMP] = ACTIONS(6091),
    [anon_sym_EQ_EQ] = ACTIONS(6093),
    [anon_sym_BANG_EQ] = ACTIONS(6093),
    [anon_sym_GT] = ACTIONS(6091),
    [anon_sym_GT_EQ] = ACTIONS(6093),
    [anon_sym_LT_EQ] = ACTIONS(6091),
    [anon_sym_LT] = ACTIONS(6091),
    [anon_sym_LT_LT] = ACTIONS(6091),
    [anon_sym_GT_GT] = ACTIONS(6091),
    [anon_sym_SEMI] = ACTIONS(6093),
    [anon_sym___attribute__] = ACTIONS(5471),
    [anon_sym_LBRACE] = ACTIONS(6093),
    [anon_sym_RBRACE] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6093),
    [anon_sym_RBRACK] = ACTIONS(6093),
    [anon_sym_EQ] = ACTIONS(6091),
    [anon_sym_COLON] = ACTIONS(6093),
    [anon_sym_QMARK] = ACTIONS(6093),
    [anon_sym_STAR_EQ] = ACTIONS(6093),
    [anon_sym_SLASH_EQ] = ACTIONS(6093),
    [anon_sym_PERCENT_EQ] = ACTIONS(6093),
    [anon_sym_PLUS_EQ] = ACTIONS(6093),
    [anon_sym_DASH_EQ] = ACTIONS(6093),
    [anon_sym_LT_LT_EQ] = ACTIONS(6093),
    [anon_sym_GT_GT_EQ] = ACTIONS(6093),
    [anon_sym_AMP_EQ] = ACTIONS(6093),
    [anon_sym_CARET_EQ] = ACTIONS(6093),
    [anon_sym_PIPE_EQ] = ACTIONS(6093),
    [anon_sym_and_eq] = ACTIONS(6091),
    [anon_sym_or_eq] = ACTIONS(6091),
    [anon_sym_xor_eq] = ACTIONS(6091),
    [anon_sym_LT_EQ_GT] = ACTIONS(6093),
    [anon_sym_or] = ACTIONS(6091),
    [anon_sym_and] = ACTIONS(6091),
    [anon_sym_bitor] = ACTIONS(6091),
    [anon_sym_xor] = ACTIONS(6091),
    [anon_sym_bitand] = ACTIONS(6091),
    [anon_sym_not_eq] = ACTIONS(6091),
    [anon_sym_DASH_DASH] = ACTIONS(6093),
    [anon_sym_PLUS_PLUS] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6091),
    [anon_sym_DOT_STAR] = ACTIONS(6093),
    [anon_sym_DASH_GT] = ACTIONS(6093),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6091),
    [anon_sym_decltype] = ACTIONS(6091),
  },
  [2670] = {
    [sym_attribute_specifier] = STATE(2687),
    [sym_identifier] = ACTIONS(6095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6097),
    [anon_sym_COMMA] = ACTIONS(6097),
    [anon_sym_RPAREN] = ACTIONS(6097),
    [aux_sym_preproc_if_token2] = ACTIONS(6097),
    [aux_sym_preproc_else_token1] = ACTIONS(6097),
    [aux_sym_preproc_elif_token1] = ACTIONS(6095),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6097),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6097),
    [anon_sym_LPAREN2] = ACTIONS(6097),
    [anon_sym_DASH] = ACTIONS(6095),
    [anon_sym_PLUS] = ACTIONS(6095),
    [anon_sym_STAR] = ACTIONS(6095),
    [anon_sym_SLASH] = ACTIONS(6095),
    [anon_sym_PERCENT] = ACTIONS(6095),
    [anon_sym_PIPE_PIPE] = ACTIONS(6097),
    [anon_sym_AMP_AMP] = ACTIONS(6097),
    [anon_sym_PIPE] = ACTIONS(6095),
    [anon_sym_CARET] = ACTIONS(6095),
    [anon_sym_AMP] = ACTIONS(6095),
    [anon_sym_EQ_EQ] = ACTIONS(6097),
    [anon_sym_BANG_EQ] = ACTIONS(6097),
    [anon_sym_GT] = ACTIONS(6095),
    [anon_sym_GT_EQ] = ACTIONS(6097),
    [anon_sym_LT_EQ] = ACTIONS(6095),
    [anon_sym_LT] = ACTIONS(6095),
    [anon_sym_LT_LT] = ACTIONS(6095),
    [anon_sym_GT_GT] = ACTIONS(6095),
    [anon_sym_SEMI] = ACTIONS(6097),
    [anon_sym___attribute__] = ACTIONS(5471),
    [anon_sym_LBRACE] = ACTIONS(6097),
    [anon_sym_RBRACE] = ACTIONS(6097),
    [anon_sym_LBRACK] = ACTIONS(6097),
    [anon_sym_RBRACK] = ACTIONS(6097),
    [anon_sym_EQ] = ACTIONS(6095),
    [anon_sym_COLON] = ACTIONS(6097),
    [anon_sym_QMARK] = ACTIONS(6097),
    [anon_sym_STAR_EQ] = ACTIONS(6097),
    [anon_sym_SLASH_EQ] = ACTIONS(6097),
    [anon_sym_PERCENT_EQ] = ACTIONS(6097),
    [anon_sym_PLUS_EQ] = ACTIONS(6097),
    [anon_sym_DASH_EQ] = ACTIONS(6097),
    [anon_sym_LT_LT_EQ] = ACTIONS(6097),
    [anon_sym_GT_GT_EQ] = ACTIONS(6097),
    [anon_sym_AMP_EQ] = ACTIONS(6097),
    [anon_sym_CARET_EQ] = ACTIONS(6097),
    [anon_sym_PIPE_EQ] = ACTIONS(6097),
    [anon_sym_and_eq] = ACTIONS(6095),
    [anon_sym_or_eq] = ACTIONS(6095),
    [anon_sym_xor_eq] = ACTIONS(6095),
    [anon_sym_LT_EQ_GT] = ACTIONS(6097),
    [anon_sym_or] = ACTIONS(6095),
    [anon_sym_and] = ACTIONS(6095),
    [anon_sym_bitor] = ACTIONS(6095),
    [anon_sym_xor] = ACTIONS(6095),
    [anon_sym_bitand] = ACTIONS(6095),
    [anon_sym_not_eq] = ACTIONS(6095),
    [anon_sym_DASH_DASH] = ACTIONS(6097),
    [anon_sym_PLUS_PLUS] = ACTIONS(6097),
    [anon_sym_DOT] = ACTIONS(6095),
    [anon_sym_DOT_STAR] = ACTIONS(6097),
    [anon_sym_DASH_GT] = ACTIONS(6097),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6095),
    [anon_sym_decltype] = ACTIONS(6095),
  },
  [2671] = {
    [sym_decltype_auto] = STATE(2720),
    [sym_identifier] = ACTIONS(5612),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5614),
    [anon_sym_COMMA] = ACTIONS(5614),
    [anon_sym_RPAREN] = ACTIONS(5614),
    [aux_sym_preproc_if_token2] = ACTIONS(5614),
    [aux_sym_preproc_else_token1] = ACTIONS(5614),
    [aux_sym_preproc_elif_token1] = ACTIONS(5612),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5614),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5614),
    [anon_sym_LPAREN2] = ACTIONS(5614),
    [anon_sym_DASH] = ACTIONS(5612),
    [anon_sym_PLUS] = ACTIONS(5612),
    [anon_sym_STAR] = ACTIONS(5612),
    [anon_sym_SLASH] = ACTIONS(5612),
    [anon_sym_PERCENT] = ACTIONS(5612),
    [anon_sym_PIPE_PIPE] = ACTIONS(5614),
    [anon_sym_AMP_AMP] = ACTIONS(5614),
    [anon_sym_PIPE] = ACTIONS(5612),
    [anon_sym_CARET] = ACTIONS(5612),
    [anon_sym_AMP] = ACTIONS(5612),
    [anon_sym_EQ_EQ] = ACTIONS(5614),
    [anon_sym_BANG_EQ] = ACTIONS(5614),
    [anon_sym_GT] = ACTIONS(5612),
    [anon_sym_GT_EQ] = ACTIONS(5614),
    [anon_sym_LT_EQ] = ACTIONS(5612),
    [anon_sym_LT] = ACTIONS(5612),
    [anon_sym_LT_LT] = ACTIONS(5612),
    [anon_sym_GT_GT] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5614),
    [anon_sym___attribute__] = ACTIONS(5612),
    [anon_sym_LBRACE] = ACTIONS(5614),
    [anon_sym_RBRACE] = ACTIONS(5614),
    [anon_sym_LBRACK] = ACTIONS(5614),
    [anon_sym_RBRACK] = ACTIONS(5614),
    [anon_sym_EQ] = ACTIONS(5612),
    [anon_sym_COLON] = ACTIONS(5614),
    [anon_sym_QMARK] = ACTIONS(5614),
    [anon_sym_STAR_EQ] = ACTIONS(5614),
    [anon_sym_SLASH_EQ] = ACTIONS(5614),
    [anon_sym_PERCENT_EQ] = ACTIONS(5614),
    [anon_sym_PLUS_EQ] = ACTIONS(5614),
    [anon_sym_DASH_EQ] = ACTIONS(5614),
    [anon_sym_LT_LT_EQ] = ACTIONS(5614),
    [anon_sym_GT_GT_EQ] = ACTIONS(5614),
    [anon_sym_AMP_EQ] = ACTIONS(5614),
    [anon_sym_CARET_EQ] = ACTIONS(5614),
    [anon_sym_PIPE_EQ] = ACTIONS(5614),
    [anon_sym_and_eq] = ACTIONS(5612),
    [anon_sym_or_eq] = ACTIONS(5612),
    [anon_sym_xor_eq] = ACTIONS(5612),
    [anon_sym_LT_EQ_GT] = ACTIONS(5614),
    [anon_sym_or] = ACTIONS(5612),
    [anon_sym_and] = ACTIONS(5612),
    [anon_sym_bitor] = ACTIONS(5612),
    [anon_sym_xor] = ACTIONS(5612),
    [anon_sym_bitand] = ACTIONS(5612),
    [anon_sym_not_eq] = ACTIONS(5612),
    [anon_sym_DASH_DASH] = ACTIONS(5614),
    [anon_sym_PLUS_PLUS] = ACTIONS(5614),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_DOT_STAR] = ACTIONS(5614),
    [anon_sym_DASH_GT] = ACTIONS(5614),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5795),
    [anon_sym_decltype] = ACTIONS(5797),
  },
  [2672] = {
    [sym_attribute_declaration] = STATE(2689),
    [sym_parameter_list] = STATE(2702),
    [aux_sym_attributed_declarator_repeat1] = STATE(2689),
    [sym_identifier] = ACTIONS(6099),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6101),
    [anon_sym_COMMA] = ACTIONS(6101),
    [anon_sym_RPAREN] = ACTIONS(6101),
    [aux_sym_preproc_if_token2] = ACTIONS(6101),
    [aux_sym_preproc_else_token1] = ACTIONS(6101),
    [aux_sym_preproc_elif_token1] = ACTIONS(6099),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6101),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6101),
    [anon_sym_LPAREN2] = ACTIONS(6024),
    [anon_sym_DASH] = ACTIONS(6099),
    [anon_sym_PLUS] = ACTIONS(6099),
    [anon_sym_STAR] = ACTIONS(6099),
    [anon_sym_SLASH] = ACTIONS(6099),
    [anon_sym_PERCENT] = ACTIONS(6099),
    [anon_sym_PIPE_PIPE] = ACTIONS(6101),
    [anon_sym_AMP_AMP] = ACTIONS(6101),
    [anon_sym_PIPE] = ACTIONS(6099),
    [anon_sym_CARET] = ACTIONS(6099),
    [anon_sym_AMP] = ACTIONS(6099),
    [anon_sym_EQ_EQ] = ACTIONS(6101),
    [anon_sym_BANG_EQ] = ACTIONS(6101),
    [anon_sym_GT] = ACTIONS(6099),
    [anon_sym_GT_EQ] = ACTIONS(6101),
    [anon_sym_LT_EQ] = ACTIONS(6099),
    [anon_sym_LT] = ACTIONS(6099),
    [anon_sym_LT_LT] = ACTIONS(6099),
    [anon_sym_GT_GT] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6101),
    [anon_sym___attribute__] = ACTIONS(6099),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6026),
    [anon_sym_RBRACE] = ACTIONS(6101),
    [anon_sym_LBRACK] = ACTIONS(6028),
    [anon_sym_RBRACK] = ACTIONS(6101),
    [anon_sym_EQ] = ACTIONS(6099),
    [anon_sym_COLON] = ACTIONS(6101),
    [anon_sym_QMARK] = ACTIONS(6101),
    [anon_sym_STAR_EQ] = ACTIONS(6101),
    [anon_sym_SLASH_EQ] = ACTIONS(6101),
    [anon_sym_PERCENT_EQ] = ACTIONS(6101),
    [anon_sym_PLUS_EQ] = ACTIONS(6101),
    [anon_sym_DASH_EQ] = ACTIONS(6101),
    [anon_sym_LT_LT_EQ] = ACTIONS(6101),
    [anon_sym_GT_GT_EQ] = ACTIONS(6101),
    [anon_sym_AMP_EQ] = ACTIONS(6101),
    [anon_sym_CARET_EQ] = ACTIONS(6101),
    [anon_sym_PIPE_EQ] = ACTIONS(6101),
    [anon_sym_and_eq] = ACTIONS(6099),
    [anon_sym_or_eq] = ACTIONS(6099),
    [anon_sym_xor_eq] = ACTIONS(6099),
    [anon_sym_LT_EQ_GT] = ACTIONS(6101),
    [anon_sym_or] = ACTIONS(6099),
    [anon_sym_and] = ACTIONS(6099),
    [anon_sym_bitor] = ACTIONS(6099),
    [anon_sym_xor] = ACTIONS(6099),
    [anon_sym_bitand] = ACTIONS(6099),
    [anon_sym_not_eq] = ACTIONS(6099),
    [anon_sym_DASH_DASH] = ACTIONS(6101),
    [anon_sym_PLUS_PLUS] = ACTIONS(6101),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_DOT_STAR] = ACTIONS(6101),
    [anon_sym_DASH_GT] = ACTIONS(6101),
    [sym_comment] = ACTIONS(3),
  },
  [2673] = {
    [sym_identifier] = ACTIONS(6103),
    [anon_sym_LPAREN2] = ACTIONS(6105),
    [anon_sym_TILDE] = ACTIONS(6105),
    [anon_sym_STAR] = ACTIONS(6105),
    [anon_sym_PIPE_PIPE] = ACTIONS(6107),
    [anon_sym_AMP_AMP] = ACTIONS(5994),
    [anon_sym_AMP] = ACTIONS(6103),
    [anon_sym___extension__] = ACTIONS(6103),
    [anon_sym_extern] = ACTIONS(6103),
    [anon_sym___attribute__] = ACTIONS(6103),
    [anon_sym_COLON_COLON] = ACTIONS(6105),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6105),
    [anon_sym___declspec] = ACTIONS(6103),
    [anon_sym___based] = ACTIONS(6103),
    [anon_sym___cdecl] = ACTIONS(6103),
    [anon_sym___clrcall] = ACTIONS(6103),
    [anon_sym___stdcall] = ACTIONS(6103),
    [anon_sym___fastcall] = ACTIONS(6103),
    [anon_sym___thiscall] = ACTIONS(6103),
    [anon_sym___vectorcall] = ACTIONS(6103),
    [anon_sym_signed] = ACTIONS(6103),
    [anon_sym_unsigned] = ACTIONS(6103),
    [anon_sym_long] = ACTIONS(6103),
    [anon_sym_short] = ACTIONS(6103),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [anon_sym_static] = ACTIONS(6103),
    [anon_sym_register] = ACTIONS(6103),
    [anon_sym_inline] = ACTIONS(6103),
    [anon_sym___inline] = ACTIONS(6103),
    [anon_sym___inline__] = ACTIONS(6103),
    [anon_sym___forceinline] = ACTIONS(6103),
    [anon_sym_thread_local] = ACTIONS(6103),
    [anon_sym___thread] = ACTIONS(6103),
    [anon_sym_const] = ACTIONS(6103),
    [anon_sym_constexpr] = ACTIONS(6103),
    [anon_sym_volatile] = ACTIONS(6103),
    [anon_sym_restrict] = ACTIONS(6103),
    [anon_sym___restrict__] = ACTIONS(6103),
    [anon_sym__Atomic] = ACTIONS(6103),
    [anon_sym__Noreturn] = ACTIONS(6103),
    [anon_sym_noreturn] = ACTIONS(6103),
    [anon_sym_mutable] = ACTIONS(6103),
    [anon_sym_constinit] = ACTIONS(6103),
    [anon_sym_consteval] = ACTIONS(6103),
    [anon_sym_PROGMEM] = ACTIONS(6103),
    [aux_sym_primitive_type_token1] = ACTIONS(6103),
    [anon_sym_byte] = ACTIONS(6103),
    [anon_sym_word] = ACTIONS(6103),
    [anon_sym_enum] = ACTIONS(6103),
    [anon_sym_class] = ACTIONS(6103),
    [anon_sym_struct] = ACTIONS(6103),
    [anon_sym_union] = ACTIONS(6103),
    [anon_sym_or] = ACTIONS(6109),
    [anon_sym_and] = ACTIONS(5996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6103),
    [anon_sym_decltype] = ACTIONS(6103),
    [anon_sym_virtual] = ACTIONS(6103),
    [anon_sym_alignas] = ACTIONS(6103),
    [anon_sym_explicit] = ACTIONS(6103),
    [anon_sym_typename] = ACTIONS(6103),
    [anon_sym_template] = ACTIONS(6103),
    [anon_sym_operator] = ACTIONS(6103),
    [anon_sym_friend] = ACTIONS(6103),
    [anon_sym_using] = ACTIONS(6103),
    [anon_sym_concept] = ACTIONS(6103),
  },
  [2674] = {
    [sym_attribute_specifier] = STATE(2726),
    [sym_identifier] = ACTIONS(6111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6113),
    [anon_sym_COMMA] = ACTIONS(6113),
    [anon_sym_RPAREN] = ACTIONS(6113),
    [aux_sym_preproc_if_token2] = ACTIONS(6113),
    [aux_sym_preproc_else_token1] = ACTIONS(6113),
    [aux_sym_preproc_elif_token1] = ACTIONS(6111),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6113),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6113),
    [anon_sym_LPAREN2] = ACTIONS(6113),
    [anon_sym_DASH] = ACTIONS(6111),
    [anon_sym_PLUS] = ACTIONS(6111),
    [anon_sym_STAR] = ACTIONS(6111),
    [anon_sym_SLASH] = ACTIONS(6111),
    [anon_sym_PERCENT] = ACTIONS(6111),
    [anon_sym_PIPE_PIPE] = ACTIONS(6113),
    [anon_sym_AMP_AMP] = ACTIONS(6113),
    [anon_sym_PIPE] = ACTIONS(6111),
    [anon_sym_CARET] = ACTIONS(6111),
    [anon_sym_AMP] = ACTIONS(6111),
    [anon_sym_EQ_EQ] = ACTIONS(6113),
    [anon_sym_BANG_EQ] = ACTIONS(6113),
    [anon_sym_GT] = ACTIONS(6111),
    [anon_sym_GT_EQ] = ACTIONS(6113),
    [anon_sym_LT_EQ] = ACTIONS(6111),
    [anon_sym_LT] = ACTIONS(6111),
    [anon_sym_LT_LT] = ACTIONS(6111),
    [anon_sym_GT_GT] = ACTIONS(6111),
    [anon_sym_SEMI] = ACTIONS(6113),
    [anon_sym___attribute__] = ACTIONS(5471),
    [anon_sym_LBRACE] = ACTIONS(6113),
    [anon_sym_RBRACE] = ACTIONS(6113),
    [anon_sym_LBRACK] = ACTIONS(6113),
    [anon_sym_RBRACK] = ACTIONS(6113),
    [anon_sym_EQ] = ACTIONS(6111),
    [anon_sym_COLON] = ACTIONS(6113),
    [anon_sym_QMARK] = ACTIONS(6113),
    [anon_sym_STAR_EQ] = ACTIONS(6113),
    [anon_sym_SLASH_EQ] = ACTIONS(6113),
    [anon_sym_PERCENT_EQ] = ACTIONS(6113),
    [anon_sym_PLUS_EQ] = ACTIONS(6113),
    [anon_sym_DASH_EQ] = ACTIONS(6113),
    [anon_sym_LT_LT_EQ] = ACTIONS(6113),
    [anon_sym_GT_GT_EQ] = ACTIONS(6113),
    [anon_sym_AMP_EQ] = ACTIONS(6113),
    [anon_sym_CARET_EQ] = ACTIONS(6113),
    [anon_sym_PIPE_EQ] = ACTIONS(6113),
    [anon_sym_and_eq] = ACTIONS(6111),
    [anon_sym_or_eq] = ACTIONS(6111),
    [anon_sym_xor_eq] = ACTIONS(6111),
    [anon_sym_LT_EQ_GT] = ACTIONS(6113),
    [anon_sym_or] = ACTIONS(6111),
    [anon_sym_and] = ACTIONS(6111),
    [anon_sym_bitor] = ACTIONS(6111),
    [anon_sym_xor] = ACTIONS(6111),
    [anon_sym_bitand] = ACTIONS(6111),
    [anon_sym_not_eq] = ACTIONS(6111),
    [anon_sym_DASH_DASH] = ACTIONS(6113),
    [anon_sym_PLUS_PLUS] = ACTIONS(6113),
    [anon_sym_DOT] = ACTIONS(6111),
    [anon_sym_DOT_STAR] = ACTIONS(6113),
    [anon_sym_DASH_GT] = ACTIONS(6113),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6111),
    [anon_sym_decltype] = ACTIONS(6111),
  },
  [2675] = {
    [sym_template_argument_list] = STATE(2014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2786),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5972),
    [anon_sym_COMMA] = ACTIONS(5972),
    [anon_sym_RPAREN] = ACTIONS(5972),
    [anon_sym_LPAREN2] = ACTIONS(5972),
    [anon_sym_DASH] = ACTIONS(5970),
    [anon_sym_PLUS] = ACTIONS(5970),
    [anon_sym_STAR] = ACTIONS(5970),
    [anon_sym_SLASH] = ACTIONS(5970),
    [anon_sym_PERCENT] = ACTIONS(5970),
    [anon_sym_PIPE_PIPE] = ACTIONS(5972),
    [anon_sym_AMP_AMP] = ACTIONS(5972),
    [anon_sym_PIPE] = ACTIONS(5970),
    [anon_sym_CARET] = ACTIONS(5970),
    [anon_sym_AMP] = ACTIONS(5970),
    [anon_sym_EQ_EQ] = ACTIONS(5972),
    [anon_sym_BANG_EQ] = ACTIONS(5972),
    [anon_sym_GT] = ACTIONS(5970),
    [anon_sym_GT_EQ] = ACTIONS(5972),
    [anon_sym_LT_EQ] = ACTIONS(5970),
    [anon_sym_LT] = ACTIONS(5970),
    [anon_sym_LT_LT] = ACTIONS(5970),
    [anon_sym_GT_GT] = ACTIONS(5970),
    [anon_sym_SEMI] = ACTIONS(5972),
    [anon_sym___attribute__] = ACTIONS(5972),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(5972),
    [anon_sym_RBRACE] = ACTIONS(5972),
    [anon_sym_signed] = ACTIONS(6115),
    [anon_sym_unsigned] = ACTIONS(6115),
    [anon_sym_long] = ACTIONS(6115),
    [anon_sym_short] = ACTIONS(6115),
    [anon_sym_LBRACK] = ACTIONS(5972),
    [anon_sym_RBRACK] = ACTIONS(5972),
    [anon_sym_EQ] = ACTIONS(5970),
    [anon_sym_COLON] = ACTIONS(5970),
    [anon_sym_QMARK] = ACTIONS(5972),
    [anon_sym_STAR_EQ] = ACTIONS(5972),
    [anon_sym_SLASH_EQ] = ACTIONS(5972),
    [anon_sym_PERCENT_EQ] = ACTIONS(5972),
    [anon_sym_PLUS_EQ] = ACTIONS(5972),
    [anon_sym_DASH_EQ] = ACTIONS(5972),
    [anon_sym_LT_LT_EQ] = ACTIONS(5972),
    [anon_sym_GT_GT_EQ] = ACTIONS(5972),
    [anon_sym_AMP_EQ] = ACTIONS(5972),
    [anon_sym_CARET_EQ] = ACTIONS(5972),
    [anon_sym_PIPE_EQ] = ACTIONS(5972),
    [anon_sym_and_eq] = ACTIONS(5972),
    [anon_sym_or_eq] = ACTIONS(5972),
    [anon_sym_xor_eq] = ACTIONS(5972),
    [anon_sym_LT_EQ_GT] = ACTIONS(5972),
    [anon_sym_or] = ACTIONS(5970),
    [anon_sym_and] = ACTIONS(5970),
    [anon_sym_bitor] = ACTIONS(5972),
    [anon_sym_xor] = ACTIONS(5970),
    [anon_sym_bitand] = ACTIONS(5972),
    [anon_sym_not_eq] = ACTIONS(5972),
    [anon_sym_DASH_DASH] = ACTIONS(5972),
    [anon_sym_PLUS_PLUS] = ACTIONS(5972),
    [anon_sym_DOT] = ACTIONS(5970),
    [anon_sym_DOT_STAR] = ACTIONS(5972),
    [anon_sym_DASH_GT] = ACTIONS(5972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5972),
    [anon_sym_decltype] = ACTIONS(5972),
  },
  [2676] = {
    [sym_attribute_specifier] = STATE(2735),
    [sym_identifier] = ACTIONS(6117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6119),
    [anon_sym_COMMA] = ACTIONS(6119),
    [anon_sym_RPAREN] = ACTIONS(6119),
    [aux_sym_preproc_if_token2] = ACTIONS(6119),
    [aux_sym_preproc_else_token1] = ACTIONS(6119),
    [aux_sym_preproc_elif_token1] = ACTIONS(6117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6119),
    [anon_sym_LPAREN2] = ACTIONS(6119),
    [anon_sym_DASH] = ACTIONS(6117),
    [anon_sym_PLUS] = ACTIONS(6117),
    [anon_sym_STAR] = ACTIONS(6117),
    [anon_sym_SLASH] = ACTIONS(6117),
    [anon_sym_PERCENT] = ACTIONS(6117),
    [anon_sym_PIPE_PIPE] = ACTIONS(6119),
    [anon_sym_AMP_AMP] = ACTIONS(6119),
    [anon_sym_PIPE] = ACTIONS(6117),
    [anon_sym_CARET] = ACTIONS(6117),
    [anon_sym_AMP] = ACTIONS(6117),
    [anon_sym_EQ_EQ] = ACTIONS(6119),
    [anon_sym_BANG_EQ] = ACTIONS(6119),
    [anon_sym_GT] = ACTIONS(6117),
    [anon_sym_GT_EQ] = ACTIONS(6119),
    [anon_sym_LT_EQ] = ACTIONS(6117),
    [anon_sym_LT] = ACTIONS(6117),
    [anon_sym_LT_LT] = ACTIONS(6117),
    [anon_sym_GT_GT] = ACTIONS(6117),
    [anon_sym_SEMI] = ACTIONS(6119),
    [anon_sym___attribute__] = ACTIONS(5471),
    [anon_sym_LBRACE] = ACTIONS(6119),
    [anon_sym_RBRACE] = ACTIONS(6119),
    [anon_sym_LBRACK] = ACTIONS(6119),
    [anon_sym_RBRACK] = ACTIONS(6119),
    [anon_sym_EQ] = ACTIONS(6117),
    [anon_sym_COLON] = ACTIONS(6119),
    [anon_sym_QMARK] = ACTIONS(6119),
    [anon_sym_STAR_EQ] = ACTIONS(6119),
    [anon_sym_SLASH_EQ] = ACTIONS(6119),
    [anon_sym_PERCENT_EQ] = ACTIONS(6119),
    [anon_sym_PLUS_EQ] = ACTIONS(6119),
    [anon_sym_DASH_EQ] = ACTIONS(6119),
    [anon_sym_LT_LT_EQ] = ACTIONS(6119),
    [anon_sym_GT_GT_EQ] = ACTIONS(6119),
    [anon_sym_AMP_EQ] = ACTIONS(6119),
    [anon_sym_CARET_EQ] = ACTIONS(6119),
    [anon_sym_PIPE_EQ] = ACTIONS(6119),
    [anon_sym_and_eq] = ACTIONS(6117),
    [anon_sym_or_eq] = ACTIONS(6117),
    [anon_sym_xor_eq] = ACTIONS(6117),
    [anon_sym_LT_EQ_GT] = ACTIONS(6119),
    [anon_sym_or] = ACTIONS(6117),
    [anon_sym_and] = ACTIONS(6117),
    [anon_sym_bitor] = ACTIONS(6117),
    [anon_sym_xor] = ACTIONS(6117),
    [anon_sym_bitand] = ACTIONS(6117),
    [anon_sym_not_eq] = ACTIONS(6117),
    [anon_sym_DASH_DASH] = ACTIONS(6119),
    [anon_sym_PLUS_PLUS] = ACTIONS(6119),
    [anon_sym_DOT] = ACTIONS(6117),
    [anon_sym_DOT_STAR] = ACTIONS(6119),
    [anon_sym_DASH_GT] = ACTIONS(6119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6117),
    [anon_sym_decltype] = ACTIONS(6117),
  },
  [2677] = {
    [sym_identifier] = ACTIONS(5561),
    [anon_sym_LPAREN2] = ACTIONS(5563),
    [anon_sym_TILDE] = ACTIONS(5563),
    [anon_sym_STAR] = ACTIONS(5563),
    [anon_sym_PIPE_PIPE] = ACTIONS(5563),
    [anon_sym_AMP_AMP] = ACTIONS(5563),
    [anon_sym_AMP] = ACTIONS(5561),
    [anon_sym___extension__] = ACTIONS(5561),
    [anon_sym_extern] = ACTIONS(5561),
    [anon_sym___attribute__] = ACTIONS(5561),
    [anon_sym_COLON_COLON] = ACTIONS(5483),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5563),
    [anon_sym___declspec] = ACTIONS(5561),
    [anon_sym___based] = ACTIONS(5561),
    [anon_sym___cdecl] = ACTIONS(5561),
    [anon_sym___clrcall] = ACTIONS(5561),
    [anon_sym___stdcall] = ACTIONS(5561),
    [anon_sym___fastcall] = ACTIONS(5561),
    [anon_sym___thiscall] = ACTIONS(5561),
    [anon_sym___vectorcall] = ACTIONS(5561),
    [anon_sym_signed] = ACTIONS(5561),
    [anon_sym_unsigned] = ACTIONS(5561),
    [anon_sym_long] = ACTIONS(5561),
    [anon_sym_short] = ACTIONS(5561),
    [anon_sym_LBRACK] = ACTIONS(5561),
    [anon_sym_static] = ACTIONS(5561),
    [anon_sym_register] = ACTIONS(5561),
    [anon_sym_inline] = ACTIONS(5561),
    [anon_sym___inline] = ACTIONS(5561),
    [anon_sym___inline__] = ACTIONS(5561),
    [anon_sym___forceinline] = ACTIONS(5561),
    [anon_sym_thread_local] = ACTIONS(5561),
    [anon_sym___thread] = ACTIONS(5561),
    [anon_sym_const] = ACTIONS(5561),
    [anon_sym_constexpr] = ACTIONS(5561),
    [anon_sym_volatile] = ACTIONS(5561),
    [anon_sym_restrict] = ACTIONS(5561),
    [anon_sym___restrict__] = ACTIONS(5561),
    [anon_sym__Atomic] = ACTIONS(5561),
    [anon_sym__Noreturn] = ACTIONS(5561),
    [anon_sym_noreturn] = ACTIONS(5561),
    [anon_sym_mutable] = ACTIONS(5561),
    [anon_sym_constinit] = ACTIONS(5561),
    [anon_sym_consteval] = ACTIONS(5561),
    [anon_sym_PROGMEM] = ACTIONS(5561),
    [aux_sym_primitive_type_token1] = ACTIONS(5561),
    [anon_sym_byte] = ACTIONS(5561),
    [anon_sym_word] = ACTIONS(5561),
    [anon_sym_enum] = ACTIONS(5561),
    [anon_sym_class] = ACTIONS(5561),
    [anon_sym_struct] = ACTIONS(5561),
    [anon_sym_union] = ACTIONS(5561),
    [anon_sym_or] = ACTIONS(5561),
    [anon_sym_and] = ACTIONS(5561),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5561),
    [anon_sym_decltype] = ACTIONS(5561),
    [anon_sym_virtual] = ACTIONS(5561),
    [anon_sym_alignas] = ACTIONS(5561),
    [anon_sym_explicit] = ACTIONS(5561),
    [anon_sym_typename] = ACTIONS(5561),
    [anon_sym_template] = ACTIONS(5561),
    [anon_sym_operator] = ACTIONS(5561),
    [anon_sym_friend] = ACTIONS(5561),
    [anon_sym_using] = ACTIONS(5561),
    [anon_sym_concept] = ACTIONS(5561),
  },
  [2678] = {
    [sym_template_argument_list] = STATE(2423),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2786),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4452),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_RPAREN] = ACTIONS(4452),
    [anon_sym_LPAREN2] = ACTIONS(4452),
    [anon_sym_DASH] = ACTIONS(4444),
    [anon_sym_PLUS] = ACTIONS(4444),
    [anon_sym_STAR] = ACTIONS(4444),
    [anon_sym_SLASH] = ACTIONS(4444),
    [anon_sym_PERCENT] = ACTIONS(4444),
    [anon_sym_PIPE_PIPE] = ACTIONS(4452),
    [anon_sym_AMP_AMP] = ACTIONS(4452),
    [anon_sym_PIPE] = ACTIONS(4444),
    [anon_sym_CARET] = ACTIONS(4444),
    [anon_sym_AMP] = ACTIONS(4444),
    [anon_sym_EQ_EQ] = ACTIONS(4452),
    [anon_sym_BANG_EQ] = ACTIONS(4452),
    [anon_sym_GT] = ACTIONS(4444),
    [anon_sym_GT_EQ] = ACTIONS(4452),
    [anon_sym_LT_EQ] = ACTIONS(4444),
    [anon_sym_LT] = ACTIONS(5824),
    [anon_sym_LT_LT] = ACTIONS(4444),
    [anon_sym_GT_GT] = ACTIONS(4444),
    [anon_sym_SEMI] = ACTIONS(4452),
    [anon_sym___attribute__] = ACTIONS(4452),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4452),
    [anon_sym_RBRACE] = ACTIONS(4452),
    [anon_sym_signed] = ACTIONS(6115),
    [anon_sym_unsigned] = ACTIONS(6115),
    [anon_sym_long] = ACTIONS(6115),
    [anon_sym_short] = ACTIONS(6115),
    [anon_sym_LBRACK] = ACTIONS(4452),
    [anon_sym_RBRACK] = ACTIONS(4452),
    [anon_sym_EQ] = ACTIONS(4444),
    [anon_sym_COLON] = ACTIONS(4444),
    [anon_sym_QMARK] = ACTIONS(4452),
    [anon_sym_STAR_EQ] = ACTIONS(4452),
    [anon_sym_SLASH_EQ] = ACTIONS(4452),
    [anon_sym_PERCENT_EQ] = ACTIONS(4452),
    [anon_sym_PLUS_EQ] = ACTIONS(4452),
    [anon_sym_DASH_EQ] = ACTIONS(4452),
    [anon_sym_LT_LT_EQ] = ACTIONS(4452),
    [anon_sym_GT_GT_EQ] = ACTIONS(4452),
    [anon_sym_AMP_EQ] = ACTIONS(4452),
    [anon_sym_CARET_EQ] = ACTIONS(4452),
    [anon_sym_PIPE_EQ] = ACTIONS(4452),
    [anon_sym_and_eq] = ACTIONS(4452),
    [anon_sym_or_eq] = ACTIONS(4452),
    [anon_sym_xor_eq] = ACTIONS(4452),
    [anon_sym_LT_EQ_GT] = ACTIONS(4452),
    [anon_sym_or] = ACTIONS(4444),
    [anon_sym_and] = ACTIONS(4444),
    [anon_sym_bitor] = ACTIONS(4452),
    [anon_sym_xor] = ACTIONS(4444),
    [anon_sym_bitand] = ACTIONS(4452),
    [anon_sym_not_eq] = ACTIONS(4452),
    [anon_sym_DASH_DASH] = ACTIONS(4452),
    [anon_sym_PLUS_PLUS] = ACTIONS(4452),
    [anon_sym_DOT] = ACTIONS(4444),
    [anon_sym_DOT_STAR] = ACTIONS(4452),
    [anon_sym_DASH_GT] = ACTIONS(4452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4452),
    [anon_sym_decltype] = ACTIONS(4452),
  },
  [2679] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2045),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6121),
    [anon_sym_COMMA] = ACTIONS(6121),
    [anon_sym_RPAREN] = ACTIONS(6121),
    [anon_sym_LPAREN2] = ACTIONS(6121),
    [anon_sym_DASH] = ACTIONS(6123),
    [anon_sym_PLUS] = ACTIONS(6123),
    [anon_sym_STAR] = ACTIONS(6121),
    [anon_sym_SLASH] = ACTIONS(6123),
    [anon_sym_PERCENT] = ACTIONS(6121),
    [anon_sym_PIPE_PIPE] = ACTIONS(6121),
    [anon_sym_AMP_AMP] = ACTIONS(6121),
    [anon_sym_PIPE] = ACTIONS(6123),
    [anon_sym_CARET] = ACTIONS(6121),
    [anon_sym_AMP] = ACTIONS(6123),
    [anon_sym_EQ_EQ] = ACTIONS(6121),
    [anon_sym_BANG_EQ] = ACTIONS(6121),
    [anon_sym_GT] = ACTIONS(6123),
    [anon_sym_GT_EQ] = ACTIONS(6121),
    [anon_sym_LT_EQ] = ACTIONS(6123),
    [anon_sym_LT] = ACTIONS(6123),
    [anon_sym_LT_LT] = ACTIONS(6121),
    [anon_sym_GT_GT] = ACTIONS(6121),
    [anon_sym_SEMI] = ACTIONS(6121),
    [anon_sym___extension__] = ACTIONS(6121),
    [anon_sym___attribute__] = ACTIONS(6121),
    [anon_sym_LBRACE] = ACTIONS(6121),
    [anon_sym_RBRACE] = ACTIONS(6121),
    [anon_sym_signed] = ACTIONS(6036),
    [anon_sym_unsigned] = ACTIONS(6036),
    [anon_sym_long] = ACTIONS(6036),
    [anon_sym_short] = ACTIONS(6036),
    [anon_sym_LBRACK] = ACTIONS(6121),
    [anon_sym_RBRACK] = ACTIONS(6121),
    [anon_sym_const] = ACTIONS(6123),
    [anon_sym_constexpr] = ACTIONS(6121),
    [anon_sym_volatile] = ACTIONS(6121),
    [anon_sym_restrict] = ACTIONS(6121),
    [anon_sym___restrict__] = ACTIONS(6121),
    [anon_sym__Atomic] = ACTIONS(6121),
    [anon_sym__Noreturn] = ACTIONS(6121),
    [anon_sym_noreturn] = ACTIONS(6121),
    [anon_sym_mutable] = ACTIONS(6121),
    [anon_sym_constinit] = ACTIONS(6121),
    [anon_sym_consteval] = ACTIONS(6121),
    [anon_sym_PROGMEM] = ACTIONS(6121),
    [anon_sym_COLON] = ACTIONS(6121),
    [anon_sym_QMARK] = ACTIONS(6121),
    [anon_sym_LT_EQ_GT] = ACTIONS(6121),
    [anon_sym_or] = ACTIONS(6121),
    [anon_sym_and] = ACTIONS(6121),
    [anon_sym_bitor] = ACTIONS(6121),
    [anon_sym_xor] = ACTIONS(6121),
    [anon_sym_bitand] = ACTIONS(6121),
    [anon_sym_not_eq] = ACTIONS(6121),
    [anon_sym_DASH_DASH] = ACTIONS(6121),
    [anon_sym_PLUS_PLUS] = ACTIONS(6121),
    [anon_sym_DOT] = ACTIONS(6123),
    [anon_sym_DOT_STAR] = ACTIONS(6121),
    [anon_sym_DASH_GT] = ACTIONS(6121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6121),
    [anon_sym_decltype] = ACTIONS(6121),
    [anon_sym_final] = ACTIONS(6121),
    [anon_sym_override] = ACTIONS(6121),
    [anon_sym_requires] = ACTIONS(6121),
  },
  [2680] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2045),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6125),
    [anon_sym_COMMA] = ACTIONS(6125),
    [anon_sym_RPAREN] = ACTIONS(6125),
    [anon_sym_LPAREN2] = ACTIONS(6125),
    [anon_sym_DASH] = ACTIONS(6127),
    [anon_sym_PLUS] = ACTIONS(6127),
    [anon_sym_STAR] = ACTIONS(6125),
    [anon_sym_SLASH] = ACTIONS(6127),
    [anon_sym_PERCENT] = ACTIONS(6125),
    [anon_sym_PIPE_PIPE] = ACTIONS(6125),
    [anon_sym_AMP_AMP] = ACTIONS(6125),
    [anon_sym_PIPE] = ACTIONS(6127),
    [anon_sym_CARET] = ACTIONS(6125),
    [anon_sym_AMP] = ACTIONS(6127),
    [anon_sym_EQ_EQ] = ACTIONS(6125),
    [anon_sym_BANG_EQ] = ACTIONS(6125),
    [anon_sym_GT] = ACTIONS(6127),
    [anon_sym_GT_EQ] = ACTIONS(6125),
    [anon_sym_LT_EQ] = ACTIONS(6127),
    [anon_sym_LT] = ACTIONS(6127),
    [anon_sym_LT_LT] = ACTIONS(6125),
    [anon_sym_GT_GT] = ACTIONS(6125),
    [anon_sym_SEMI] = ACTIONS(6125),
    [anon_sym___extension__] = ACTIONS(6125),
    [anon_sym___attribute__] = ACTIONS(6125),
    [anon_sym_LBRACE] = ACTIONS(6125),
    [anon_sym_RBRACE] = ACTIONS(6125),
    [anon_sym_signed] = ACTIONS(6036),
    [anon_sym_unsigned] = ACTIONS(6036),
    [anon_sym_long] = ACTIONS(6036),
    [anon_sym_short] = ACTIONS(6036),
    [anon_sym_LBRACK] = ACTIONS(6125),
    [anon_sym_RBRACK] = ACTIONS(6125),
    [anon_sym_const] = ACTIONS(6127),
    [anon_sym_constexpr] = ACTIONS(6125),
    [anon_sym_volatile] = ACTIONS(6125),
    [anon_sym_restrict] = ACTIONS(6125),
    [anon_sym___restrict__] = ACTIONS(6125),
    [anon_sym__Atomic] = ACTIONS(6125),
    [anon_sym__Noreturn] = ACTIONS(6125),
    [anon_sym_noreturn] = ACTIONS(6125),
    [anon_sym_mutable] = ACTIONS(6125),
    [anon_sym_constinit] = ACTIONS(6125),
    [anon_sym_consteval] = ACTIONS(6125),
    [anon_sym_PROGMEM] = ACTIONS(6125),
    [anon_sym_COLON] = ACTIONS(6125),
    [anon_sym_QMARK] = ACTIONS(6125),
    [anon_sym_LT_EQ_GT] = ACTIONS(6125),
    [anon_sym_or] = ACTIONS(6125),
    [anon_sym_and] = ACTIONS(6125),
    [anon_sym_bitor] = ACTIONS(6125),
    [anon_sym_xor] = ACTIONS(6125),
    [anon_sym_bitand] = ACTIONS(6125),
    [anon_sym_not_eq] = ACTIONS(6125),
    [anon_sym_DASH_DASH] = ACTIONS(6125),
    [anon_sym_PLUS_PLUS] = ACTIONS(6125),
    [anon_sym_DOT] = ACTIONS(6127),
    [anon_sym_DOT_STAR] = ACTIONS(6125),
    [anon_sym_DASH_GT] = ACTIONS(6125),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6125),
    [anon_sym_decltype] = ACTIONS(6125),
    [anon_sym_final] = ACTIONS(6125),
    [anon_sym_override] = ACTIONS(6125),
    [anon_sym_requires] = ACTIONS(6125),
  },
  [2681] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2659),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5481),
    [anon_sym_COMMA] = ACTIONS(5481),
    [anon_sym_RPAREN] = ACTIONS(5481),
    [anon_sym_LPAREN2] = ACTIONS(5481),
    [anon_sym_DASH] = ACTIONS(5479),
    [anon_sym_PLUS] = ACTIONS(5479),
    [anon_sym_STAR] = ACTIONS(5481),
    [anon_sym_SLASH] = ACTIONS(5479),
    [anon_sym_PERCENT] = ACTIONS(5481),
    [anon_sym_PIPE_PIPE] = ACTIONS(5481),
    [anon_sym_AMP_AMP] = ACTIONS(5481),
    [anon_sym_PIPE] = ACTIONS(5479),
    [anon_sym_CARET] = ACTIONS(5481),
    [anon_sym_AMP] = ACTIONS(5479),
    [anon_sym_EQ_EQ] = ACTIONS(5481),
    [anon_sym_BANG_EQ] = ACTIONS(5481),
    [anon_sym_GT] = ACTIONS(5479),
    [anon_sym_GT_EQ] = ACTIONS(5481),
    [anon_sym_LT_EQ] = ACTIONS(5479),
    [anon_sym_LT] = ACTIONS(5479),
    [anon_sym_LT_LT] = ACTIONS(5481),
    [anon_sym_GT_GT] = ACTIONS(5481),
    [anon_sym_SEMI] = ACTIONS(5481),
    [anon_sym___extension__] = ACTIONS(5481),
    [anon_sym___attribute__] = ACTIONS(5481),
    [anon_sym_LBRACE] = ACTIONS(5481),
    [anon_sym_RBRACE] = ACTIONS(5481),
    [anon_sym_signed] = ACTIONS(6042),
    [anon_sym_unsigned] = ACTIONS(6042),
    [anon_sym_long] = ACTIONS(6042),
    [anon_sym_short] = ACTIONS(6042),
    [anon_sym_LBRACK] = ACTIONS(5481),
    [anon_sym_RBRACK] = ACTIONS(5481),
    [anon_sym_const] = ACTIONS(5479),
    [anon_sym_constexpr] = ACTIONS(5481),
    [anon_sym_volatile] = ACTIONS(5481),
    [anon_sym_restrict] = ACTIONS(5481),
    [anon_sym___restrict__] = ACTIONS(5481),
    [anon_sym__Atomic] = ACTIONS(5481),
    [anon_sym__Noreturn] = ACTIONS(5481),
    [anon_sym_noreturn] = ACTIONS(5481),
    [anon_sym_mutable] = ACTIONS(5481),
    [anon_sym_constinit] = ACTIONS(5481),
    [anon_sym_consteval] = ACTIONS(5481),
    [anon_sym_PROGMEM] = ACTIONS(5481),
    [anon_sym_COLON] = ACTIONS(5481),
    [anon_sym_QMARK] = ACTIONS(5481),
    [anon_sym_LT_EQ_GT] = ACTIONS(5481),
    [anon_sym_or] = ACTIONS(5481),
    [anon_sym_and] = ACTIONS(5481),
    [anon_sym_bitor] = ACTIONS(5481),
    [anon_sym_xor] = ACTIONS(5481),
    [anon_sym_bitand] = ACTIONS(5481),
    [anon_sym_not_eq] = ACTIONS(5481),
    [anon_sym_DASH_DASH] = ACTIONS(5481),
    [anon_sym_PLUS_PLUS] = ACTIONS(5481),
    [anon_sym_DOT] = ACTIONS(5479),
    [anon_sym_DOT_STAR] = ACTIONS(5481),
    [anon_sym_DASH_GT] = ACTIONS(5481),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5481),
    [anon_sym_decltype] = ACTIONS(5481),
    [anon_sym_final] = ACTIONS(5481),
    [anon_sym_override] = ACTIONS(5481),
    [anon_sym_requires] = ACTIONS(5481),
  },
  [2682] = {
    [sym_identifier] = ACTIONS(5459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5461),
    [anon_sym_COMMA] = ACTIONS(5461),
    [anon_sym_RPAREN] = ACTIONS(5461),
    [aux_sym_preproc_if_token2] = ACTIONS(5461),
    [aux_sym_preproc_else_token1] = ACTIONS(5461),
    [aux_sym_preproc_elif_token1] = ACTIONS(5459),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5461),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5461),
    [anon_sym_LPAREN2] = ACTIONS(5461),
    [anon_sym_DASH] = ACTIONS(5459),
    [anon_sym_PLUS] = ACTIONS(5459),
    [anon_sym_STAR] = ACTIONS(5459),
    [anon_sym_SLASH] = ACTIONS(5459),
    [anon_sym_PERCENT] = ACTIONS(5459),
    [anon_sym_PIPE_PIPE] = ACTIONS(5461),
    [anon_sym_AMP_AMP] = ACTIONS(5461),
    [anon_sym_PIPE] = ACTIONS(5459),
    [anon_sym_CARET] = ACTIONS(5459),
    [anon_sym_AMP] = ACTIONS(5459),
    [anon_sym_EQ_EQ] = ACTIONS(5461),
    [anon_sym_BANG_EQ] = ACTIONS(5461),
    [anon_sym_GT] = ACTIONS(5459),
    [anon_sym_GT_EQ] = ACTIONS(5461),
    [anon_sym_LT_EQ] = ACTIONS(5459),
    [anon_sym_LT] = ACTIONS(5459),
    [anon_sym_LT_LT] = ACTIONS(5459),
    [anon_sym_GT_GT] = ACTIONS(5459),
    [anon_sym_SEMI] = ACTIONS(5461),
    [anon_sym___attribute__] = ACTIONS(5459),
    [anon_sym_COLON_COLON] = ACTIONS(5461),
    [anon_sym_LBRACE] = ACTIONS(5461),
    [anon_sym_RBRACE] = ACTIONS(5461),
    [anon_sym_LBRACK] = ACTIONS(5461),
    [anon_sym_RBRACK] = ACTIONS(5461),
    [anon_sym_EQ] = ACTIONS(5459),
    [anon_sym_COLON] = ACTIONS(5459),
    [anon_sym_QMARK] = ACTIONS(5461),
    [anon_sym_STAR_EQ] = ACTIONS(5461),
    [anon_sym_SLASH_EQ] = ACTIONS(5461),
    [anon_sym_PERCENT_EQ] = ACTIONS(5461),
    [anon_sym_PLUS_EQ] = ACTIONS(5461),
    [anon_sym_DASH_EQ] = ACTIONS(5461),
    [anon_sym_LT_LT_EQ] = ACTIONS(5461),
    [anon_sym_GT_GT_EQ] = ACTIONS(5461),
    [anon_sym_AMP_EQ] = ACTIONS(5461),
    [anon_sym_CARET_EQ] = ACTIONS(5461),
    [anon_sym_PIPE_EQ] = ACTIONS(5461),
    [anon_sym_and_eq] = ACTIONS(5459),
    [anon_sym_or_eq] = ACTIONS(5459),
    [anon_sym_xor_eq] = ACTIONS(5459),
    [anon_sym_LT_EQ_GT] = ACTIONS(5461),
    [anon_sym_or] = ACTIONS(5459),
    [anon_sym_and] = ACTIONS(5459),
    [anon_sym_bitor] = ACTIONS(5459),
    [anon_sym_xor] = ACTIONS(5459),
    [anon_sym_bitand] = ACTIONS(5459),
    [anon_sym_not_eq] = ACTIONS(5459),
    [anon_sym_DASH_DASH] = ACTIONS(5461),
    [anon_sym_PLUS_PLUS] = ACTIONS(5461),
    [anon_sym_DOT] = ACTIONS(5459),
    [anon_sym_DOT_STAR] = ACTIONS(5461),
    [anon_sym_DASH_GT] = ACTIONS(5461),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5459),
    [anon_sym_decltype] = ACTIONS(5459),
  },
  [2683] = {
    [sym_identifier] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [anon_sym_TILDE] = ACTIONS(5606),
    [anon_sym_STAR] = ACTIONS(5606),
    [anon_sym_PIPE_PIPE] = ACTIONS(5606),
    [anon_sym_AMP_AMP] = ACTIONS(5606),
    [anon_sym_AMP] = ACTIONS(5604),
    [anon_sym___extension__] = ACTIONS(5604),
    [anon_sym_extern] = ACTIONS(5604),
    [anon_sym___attribute__] = ACTIONS(5604),
    [anon_sym_COLON_COLON] = ACTIONS(5483),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5606),
    [anon_sym___declspec] = ACTIONS(5604),
    [anon_sym___based] = ACTIONS(5604),
    [anon_sym___cdecl] = ACTIONS(5604),
    [anon_sym___clrcall] = ACTIONS(5604),
    [anon_sym___stdcall] = ACTIONS(5604),
    [anon_sym___fastcall] = ACTIONS(5604),
    [anon_sym___thiscall] = ACTIONS(5604),
    [anon_sym___vectorcall] = ACTIONS(5604),
    [anon_sym_signed] = ACTIONS(5604),
    [anon_sym_unsigned] = ACTIONS(5604),
    [anon_sym_long] = ACTIONS(5604),
    [anon_sym_short] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [anon_sym_static] = ACTIONS(5604),
    [anon_sym_register] = ACTIONS(5604),
    [anon_sym_inline] = ACTIONS(5604),
    [anon_sym___inline] = ACTIONS(5604),
    [anon_sym___inline__] = ACTIONS(5604),
    [anon_sym___forceinline] = ACTIONS(5604),
    [anon_sym_thread_local] = ACTIONS(5604),
    [anon_sym___thread] = ACTIONS(5604),
    [anon_sym_const] = ACTIONS(5604),
    [anon_sym_constexpr] = ACTIONS(5604),
    [anon_sym_volatile] = ACTIONS(5604),
    [anon_sym_restrict] = ACTIONS(5604),
    [anon_sym___restrict__] = ACTIONS(5604),
    [anon_sym__Atomic] = ACTIONS(5604),
    [anon_sym__Noreturn] = ACTIONS(5604),
    [anon_sym_noreturn] = ACTIONS(5604),
    [anon_sym_mutable] = ACTIONS(5604),
    [anon_sym_constinit] = ACTIONS(5604),
    [anon_sym_consteval] = ACTIONS(5604),
    [anon_sym_PROGMEM] = ACTIONS(5604),
    [aux_sym_primitive_type_token1] = ACTIONS(5604),
    [anon_sym_byte] = ACTIONS(5604),
    [anon_sym_word] = ACTIONS(5604),
    [anon_sym_enum] = ACTIONS(5604),
    [anon_sym_class] = ACTIONS(5604),
    [anon_sym_struct] = ACTIONS(5604),
    [anon_sym_union] = ACTIONS(5604),
    [anon_sym_or] = ACTIONS(5604),
    [anon_sym_and] = ACTIONS(5604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5604),
    [anon_sym_decltype] = ACTIONS(5604),
    [anon_sym_virtual] = ACTIONS(5604),
    [anon_sym_alignas] = ACTIONS(5604),
    [anon_sym_explicit] = ACTIONS(5604),
    [anon_sym_typename] = ACTIONS(5604),
    [anon_sym_template] = ACTIONS(5604),
    [anon_sym_operator] = ACTIONS(5604),
    [anon_sym_friend] = ACTIONS(5604),
    [anon_sym_using] = ACTIONS(5604),
    [anon_sym_concept] = ACTIONS(5604),
  },
  [2684] = {
    [sym_primitive_type] = STATE(2983),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2741),
    [sym_identifier] = ACTIONS(6129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5555),
    [anon_sym_COMMA] = ACTIONS(5555),
    [anon_sym_RPAREN] = ACTIONS(5555),
    [anon_sym_LPAREN2] = ACTIONS(5555),
    [anon_sym_DASH] = ACTIONS(5557),
    [anon_sym_PLUS] = ACTIONS(5557),
    [anon_sym_STAR] = ACTIONS(5557),
    [anon_sym_SLASH] = ACTIONS(5557),
    [anon_sym_PERCENT] = ACTIONS(5557),
    [anon_sym_PIPE_PIPE] = ACTIONS(5555),
    [anon_sym_AMP_AMP] = ACTIONS(5555),
    [anon_sym_PIPE] = ACTIONS(5557),
    [anon_sym_CARET] = ACTIONS(5557),
    [anon_sym_AMP] = ACTIONS(5557),
    [anon_sym_EQ_EQ] = ACTIONS(5555),
    [anon_sym_BANG_EQ] = ACTIONS(5555),
    [anon_sym_GT] = ACTIONS(5557),
    [anon_sym_GT_EQ] = ACTIONS(5555),
    [anon_sym_LT_EQ] = ACTIONS(5557),
    [anon_sym_LT] = ACTIONS(5557),
    [anon_sym_LT_LT] = ACTIONS(5557),
    [anon_sym_GT_GT] = ACTIONS(5557),
    [anon_sym___attribute__] = ACTIONS(5557),
    [anon_sym_LBRACE] = ACTIONS(5555),
    [anon_sym_signed] = ACTIONS(6131),
    [anon_sym_unsigned] = ACTIONS(6131),
    [anon_sym_long] = ACTIONS(6131),
    [anon_sym_short] = ACTIONS(6131),
    [anon_sym_LBRACK] = ACTIONS(5555),
    [anon_sym_EQ] = ACTIONS(5557),
    [aux_sym_primitive_type_token1] = ACTIONS(6133),
    [anon_sym_byte] = ACTIONS(6133),
    [anon_sym_word] = ACTIONS(6133),
    [anon_sym_QMARK] = ACTIONS(5555),
    [anon_sym_STAR_EQ] = ACTIONS(5555),
    [anon_sym_SLASH_EQ] = ACTIONS(5555),
    [anon_sym_PERCENT_EQ] = ACTIONS(5555),
    [anon_sym_PLUS_EQ] = ACTIONS(5555),
    [anon_sym_DASH_EQ] = ACTIONS(5555),
    [anon_sym_LT_LT_EQ] = ACTIONS(5555),
    [anon_sym_GT_GT_EQ] = ACTIONS(5555),
    [anon_sym_AMP_EQ] = ACTIONS(5555),
    [anon_sym_CARET_EQ] = ACTIONS(5555),
    [anon_sym_PIPE_EQ] = ACTIONS(5555),
    [anon_sym_and_eq] = ACTIONS(5557),
    [anon_sym_or_eq] = ACTIONS(5557),
    [anon_sym_xor_eq] = ACTIONS(5557),
    [anon_sym_LT_EQ_GT] = ACTIONS(5555),
    [anon_sym_or] = ACTIONS(5557),
    [anon_sym_and] = ACTIONS(5557),
    [anon_sym_bitor] = ACTIONS(5557),
    [anon_sym_xor] = ACTIONS(5557),
    [anon_sym_bitand] = ACTIONS(5557),
    [anon_sym_not_eq] = ACTIONS(5557),
    [anon_sym_DASH_DASH] = ACTIONS(5555),
    [anon_sym_PLUS_PLUS] = ACTIONS(5555),
    [anon_sym_DOT] = ACTIONS(5557),
    [anon_sym_DOT_STAR] = ACTIONS(5555),
    [anon_sym_DASH_GT] = ACTIONS(5557),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5557),
    [anon_sym_decltype] = ACTIONS(5557),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5555),
  },
  [2685] = {
    [sym_identifier] = ACTIONS(5662),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5664),
    [anon_sym_COMMA] = ACTIONS(5664),
    [anon_sym_RPAREN] = ACTIONS(5664),
    [aux_sym_preproc_if_token2] = ACTIONS(5664),
    [aux_sym_preproc_else_token1] = ACTIONS(5664),
    [aux_sym_preproc_elif_token1] = ACTIONS(5662),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5664),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5664),
    [anon_sym_LPAREN2] = ACTIONS(5664),
    [anon_sym_DASH] = ACTIONS(5662),
    [anon_sym_PLUS] = ACTIONS(5662),
    [anon_sym_STAR] = ACTIONS(5662),
    [anon_sym_SLASH] = ACTIONS(5662),
    [anon_sym_PERCENT] = ACTIONS(5662),
    [anon_sym_PIPE_PIPE] = ACTIONS(5664),
    [anon_sym_AMP_AMP] = ACTIONS(5664),
    [anon_sym_PIPE] = ACTIONS(5662),
    [anon_sym_CARET] = ACTIONS(5662),
    [anon_sym_AMP] = ACTIONS(5662),
    [anon_sym_EQ_EQ] = ACTIONS(5664),
    [anon_sym_BANG_EQ] = ACTIONS(5664),
    [anon_sym_GT] = ACTIONS(5662),
    [anon_sym_GT_EQ] = ACTIONS(5664),
    [anon_sym_LT_EQ] = ACTIONS(5662),
    [anon_sym_LT] = ACTIONS(5662),
    [anon_sym_LT_LT] = ACTIONS(5662),
    [anon_sym_GT_GT] = ACTIONS(5662),
    [anon_sym_SEMI] = ACTIONS(5664),
    [anon_sym___attribute__] = ACTIONS(5662),
    [anon_sym_LBRACE] = ACTIONS(5664),
    [anon_sym_RBRACE] = ACTIONS(5664),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [anon_sym_RBRACK] = ACTIONS(5664),
    [anon_sym_EQ] = ACTIONS(5662),
    [anon_sym_COLON] = ACTIONS(5664),
    [anon_sym_QMARK] = ACTIONS(5664),
    [anon_sym_STAR_EQ] = ACTIONS(5664),
    [anon_sym_SLASH_EQ] = ACTIONS(5664),
    [anon_sym_PERCENT_EQ] = ACTIONS(5664),
    [anon_sym_PLUS_EQ] = ACTIONS(5664),
    [anon_sym_DASH_EQ] = ACTIONS(5664),
    [anon_sym_LT_LT_EQ] = ACTIONS(5664),
    [anon_sym_GT_GT_EQ] = ACTIONS(5664),
    [anon_sym_AMP_EQ] = ACTIONS(5664),
    [anon_sym_CARET_EQ] = ACTIONS(5664),
    [anon_sym_PIPE_EQ] = ACTIONS(5664),
    [anon_sym_and_eq] = ACTIONS(5662),
    [anon_sym_or_eq] = ACTIONS(5662),
    [anon_sym_xor_eq] = ACTIONS(5662),
    [anon_sym_LT_EQ_GT] = ACTIONS(5664),
    [anon_sym_or] = ACTIONS(5662),
    [anon_sym_and] = ACTIONS(5662),
    [anon_sym_bitor] = ACTIONS(5662),
    [anon_sym_xor] = ACTIONS(5662),
    [anon_sym_bitand] = ACTIONS(5662),
    [anon_sym_not_eq] = ACTIONS(5662),
    [anon_sym_DASH_DASH] = ACTIONS(5664),
    [anon_sym_PLUS_PLUS] = ACTIONS(5664),
    [anon_sym_DOT] = ACTIONS(5662),
    [anon_sym_DOT_STAR] = ACTIONS(5664),
    [anon_sym_DASH_GT] = ACTIONS(5664),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5662),
    [anon_sym_decltype] = ACTIONS(5662),
  },
  [2686] = {
    [sym_identifier] = ACTIONS(5425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5427),
    [anon_sym_COMMA] = ACTIONS(5427),
    [aux_sym_preproc_if_token2] = ACTIONS(5427),
    [aux_sym_preproc_else_token1] = ACTIONS(5427),
    [aux_sym_preproc_elif_token1] = ACTIONS(5427),
    [anon_sym_LPAREN2] = ACTIONS(5427),
    [anon_sym_DASH] = ACTIONS(5425),
    [anon_sym_PLUS] = ACTIONS(5425),
    [anon_sym_STAR] = ACTIONS(5425),
    [anon_sym_SLASH] = ACTIONS(5425),
    [anon_sym_PERCENT] = ACTIONS(5425),
    [anon_sym_PIPE_PIPE] = ACTIONS(5427),
    [anon_sym_AMP_AMP] = ACTIONS(5427),
    [anon_sym_PIPE] = ACTIONS(5425),
    [anon_sym_CARET] = ACTIONS(5425),
    [anon_sym_AMP] = ACTIONS(5425),
    [anon_sym_EQ_EQ] = ACTIONS(5427),
    [anon_sym_BANG_EQ] = ACTIONS(5427),
    [anon_sym_GT] = ACTIONS(5425),
    [anon_sym_GT_EQ] = ACTIONS(5427),
    [anon_sym_LT_EQ] = ACTIONS(5425),
    [anon_sym_LT] = ACTIONS(5425),
    [anon_sym_LT_LT] = ACTIONS(5425),
    [anon_sym_GT_GT] = ACTIONS(5425),
    [anon_sym_LBRACK] = ACTIONS(5427),
    [anon_sym_EQ] = ACTIONS(5425),
    [anon_sym_QMARK] = ACTIONS(5427),
    [anon_sym_STAR_EQ] = ACTIONS(5427),
    [anon_sym_SLASH_EQ] = ACTIONS(5427),
    [anon_sym_PERCENT_EQ] = ACTIONS(5427),
    [anon_sym_PLUS_EQ] = ACTIONS(5427),
    [anon_sym_DASH_EQ] = ACTIONS(5427),
    [anon_sym_LT_LT_EQ] = ACTIONS(5427),
    [anon_sym_GT_GT_EQ] = ACTIONS(5427),
    [anon_sym_AMP_EQ] = ACTIONS(5427),
    [anon_sym_CARET_EQ] = ACTIONS(5427),
    [anon_sym_PIPE_EQ] = ACTIONS(5427),
    [anon_sym_and_eq] = ACTIONS(5425),
    [anon_sym_or_eq] = ACTIONS(5425),
    [anon_sym_xor_eq] = ACTIONS(5425),
    [anon_sym_LT_EQ_GT] = ACTIONS(5427),
    [anon_sym_or] = ACTIONS(5425),
    [anon_sym_and] = ACTIONS(5425),
    [anon_sym_bitor] = ACTIONS(5425),
    [anon_sym_xor] = ACTIONS(5425),
    [anon_sym_bitand] = ACTIONS(5425),
    [anon_sym_not_eq] = ACTIONS(5425),
    [anon_sym_DASH_DASH] = ACTIONS(5427),
    [anon_sym_PLUS_PLUS] = ACTIONS(5427),
    [anon_sym_DOT] = ACTIONS(5425),
    [anon_sym_DOT_STAR] = ACTIONS(5427),
    [anon_sym_DASH_GT] = ACTIONS(5427),
    [anon_sym_L_DQUOTE] = ACTIONS(5427),
    [anon_sym_u_DQUOTE] = ACTIONS(5427),
    [anon_sym_U_DQUOTE] = ACTIONS(5427),
    [anon_sym_u8_DQUOTE] = ACTIONS(5427),
    [anon_sym_DQUOTE] = ACTIONS(5427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5427),
    [anon_sym_LR_DQUOTE] = ACTIONS(5427),
    [anon_sym_uR_DQUOTE] = ACTIONS(5427),
    [anon_sym_UR_DQUOTE] = ACTIONS(5427),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5427),
    [sym_literal_suffix] = ACTIONS(5425),
  },
  [2687] = {
    [sym_identifier] = ACTIONS(5767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5769),
    [anon_sym_COMMA] = ACTIONS(5769),
    [anon_sym_RPAREN] = ACTIONS(5769),
    [aux_sym_preproc_if_token2] = ACTIONS(5769),
    [aux_sym_preproc_else_token1] = ACTIONS(5769),
    [aux_sym_preproc_elif_token1] = ACTIONS(5767),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5769),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5769),
    [anon_sym_LPAREN2] = ACTIONS(5769),
    [anon_sym_DASH] = ACTIONS(5767),
    [anon_sym_PLUS] = ACTIONS(5767),
    [anon_sym_STAR] = ACTIONS(5767),
    [anon_sym_SLASH] = ACTIONS(5767),
    [anon_sym_PERCENT] = ACTIONS(5767),
    [anon_sym_PIPE_PIPE] = ACTIONS(5769),
    [anon_sym_AMP_AMP] = ACTIONS(5769),
    [anon_sym_PIPE] = ACTIONS(5767),
    [anon_sym_CARET] = ACTIONS(5767),
    [anon_sym_AMP] = ACTIONS(5767),
    [anon_sym_EQ_EQ] = ACTIONS(5769),
    [anon_sym_BANG_EQ] = ACTIONS(5769),
    [anon_sym_GT] = ACTIONS(5767),
    [anon_sym_GT_EQ] = ACTIONS(5769),
    [anon_sym_LT_EQ] = ACTIONS(5767),
    [anon_sym_LT] = ACTIONS(5767),
    [anon_sym_LT_LT] = ACTIONS(5767),
    [anon_sym_GT_GT] = ACTIONS(5767),
    [anon_sym_SEMI] = ACTIONS(5769),
    [anon_sym___attribute__] = ACTIONS(5767),
    [anon_sym_LBRACE] = ACTIONS(5769),
    [anon_sym_RBRACE] = ACTIONS(5769),
    [anon_sym_LBRACK] = ACTIONS(5769),
    [anon_sym_RBRACK] = ACTIONS(5769),
    [anon_sym_EQ] = ACTIONS(5767),
    [anon_sym_COLON] = ACTIONS(5769),
    [anon_sym_QMARK] = ACTIONS(5769),
    [anon_sym_STAR_EQ] = ACTIONS(5769),
    [anon_sym_SLASH_EQ] = ACTIONS(5769),
    [anon_sym_PERCENT_EQ] = ACTIONS(5769),
    [anon_sym_PLUS_EQ] = ACTIONS(5769),
    [anon_sym_DASH_EQ] = ACTIONS(5769),
    [anon_sym_LT_LT_EQ] = ACTIONS(5769),
    [anon_sym_GT_GT_EQ] = ACTIONS(5769),
    [anon_sym_AMP_EQ] = ACTIONS(5769),
    [anon_sym_CARET_EQ] = ACTIONS(5769),
    [anon_sym_PIPE_EQ] = ACTIONS(5769),
    [anon_sym_and_eq] = ACTIONS(5767),
    [anon_sym_or_eq] = ACTIONS(5767),
    [anon_sym_xor_eq] = ACTIONS(5767),
    [anon_sym_LT_EQ_GT] = ACTIONS(5769),
    [anon_sym_or] = ACTIONS(5767),
    [anon_sym_and] = ACTIONS(5767),
    [anon_sym_bitor] = ACTIONS(5767),
    [anon_sym_xor] = ACTIONS(5767),
    [anon_sym_bitand] = ACTIONS(5767),
    [anon_sym_not_eq] = ACTIONS(5767),
    [anon_sym_DASH_DASH] = ACTIONS(5769),
    [anon_sym_PLUS_PLUS] = ACTIONS(5769),
    [anon_sym_DOT] = ACTIONS(5767),
    [anon_sym_DOT_STAR] = ACTIONS(5769),
    [anon_sym_DASH_GT] = ACTIONS(5769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5767),
    [anon_sym_decltype] = ACTIONS(5767),
  },
  [2688] = {
    [sym_identifier] = ACTIONS(5718),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5720),
    [anon_sym_COMMA] = ACTIONS(5720),
    [anon_sym_RPAREN] = ACTIONS(5720),
    [aux_sym_preproc_if_token2] = ACTIONS(5720),
    [aux_sym_preproc_else_token1] = ACTIONS(5720),
    [aux_sym_preproc_elif_token1] = ACTIONS(5718),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5720),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5720),
    [anon_sym_LPAREN2] = ACTIONS(5720),
    [anon_sym_DASH] = ACTIONS(5718),
    [anon_sym_PLUS] = ACTIONS(5718),
    [anon_sym_STAR] = ACTIONS(5718),
    [anon_sym_SLASH] = ACTIONS(5718),
    [anon_sym_PERCENT] = ACTIONS(5718),
    [anon_sym_PIPE_PIPE] = ACTIONS(5720),
    [anon_sym_AMP_AMP] = ACTIONS(5720),
    [anon_sym_PIPE] = ACTIONS(5718),
    [anon_sym_CARET] = ACTIONS(5718),
    [anon_sym_AMP] = ACTIONS(5718),
    [anon_sym_EQ_EQ] = ACTIONS(5720),
    [anon_sym_BANG_EQ] = ACTIONS(5720),
    [anon_sym_GT] = ACTIONS(5718),
    [anon_sym_GT_EQ] = ACTIONS(5720),
    [anon_sym_LT_EQ] = ACTIONS(5718),
    [anon_sym_LT] = ACTIONS(5718),
    [anon_sym_LT_LT] = ACTIONS(5718),
    [anon_sym_GT_GT] = ACTIONS(5718),
    [anon_sym_SEMI] = ACTIONS(5720),
    [anon_sym___attribute__] = ACTIONS(5718),
    [anon_sym_LBRACE] = ACTIONS(5720),
    [anon_sym_RBRACE] = ACTIONS(5720),
    [anon_sym_LBRACK] = ACTIONS(5720),
    [anon_sym_RBRACK] = ACTIONS(5720),
    [anon_sym_EQ] = ACTIONS(5718),
    [anon_sym_COLON] = ACTIONS(5720),
    [anon_sym_QMARK] = ACTIONS(5720),
    [anon_sym_STAR_EQ] = ACTIONS(5720),
    [anon_sym_SLASH_EQ] = ACTIONS(5720),
    [anon_sym_PERCENT_EQ] = ACTIONS(5720),
    [anon_sym_PLUS_EQ] = ACTIONS(5720),
    [anon_sym_DASH_EQ] = ACTIONS(5720),
    [anon_sym_LT_LT_EQ] = ACTIONS(5720),
    [anon_sym_GT_GT_EQ] = ACTIONS(5720),
    [anon_sym_AMP_EQ] = ACTIONS(5720),
    [anon_sym_CARET_EQ] = ACTIONS(5720),
    [anon_sym_PIPE_EQ] = ACTIONS(5720),
    [anon_sym_and_eq] = ACTIONS(5718),
    [anon_sym_or_eq] = ACTIONS(5718),
    [anon_sym_xor_eq] = ACTIONS(5718),
    [anon_sym_LT_EQ_GT] = ACTIONS(5720),
    [anon_sym_or] = ACTIONS(5718),
    [anon_sym_and] = ACTIONS(5718),
    [anon_sym_bitor] = ACTIONS(5718),
    [anon_sym_xor] = ACTIONS(5718),
    [anon_sym_bitand] = ACTIONS(5718),
    [anon_sym_not_eq] = ACTIONS(5718),
    [anon_sym_DASH_DASH] = ACTIONS(5720),
    [anon_sym_PLUS_PLUS] = ACTIONS(5720),
    [anon_sym_DOT] = ACTIONS(5718),
    [anon_sym_DOT_STAR] = ACTIONS(5720),
    [anon_sym_DASH_GT] = ACTIONS(5720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5718),
    [anon_sym_decltype] = ACTIONS(5718),
  },
  [2689] = {
    [sym_attribute_declaration] = STATE(2755),
    [aux_sym_attributed_declarator_repeat1] = STATE(2755),
    [sym_identifier] = ACTIONS(6135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6137),
    [anon_sym_COMMA] = ACTIONS(6137),
    [anon_sym_RPAREN] = ACTIONS(6137),
    [aux_sym_preproc_if_token2] = ACTIONS(6137),
    [aux_sym_preproc_else_token1] = ACTIONS(6137),
    [aux_sym_preproc_elif_token1] = ACTIONS(6135),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6137),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6137),
    [anon_sym_LPAREN2] = ACTIONS(6137),
    [anon_sym_DASH] = ACTIONS(6135),
    [anon_sym_PLUS] = ACTIONS(6135),
    [anon_sym_STAR] = ACTIONS(6135),
    [anon_sym_SLASH] = ACTIONS(6135),
    [anon_sym_PERCENT] = ACTIONS(6135),
    [anon_sym_PIPE_PIPE] = ACTIONS(6137),
    [anon_sym_AMP_AMP] = ACTIONS(6137),
    [anon_sym_PIPE] = ACTIONS(6135),
    [anon_sym_CARET] = ACTIONS(6135),
    [anon_sym_AMP] = ACTIONS(6135),
    [anon_sym_EQ_EQ] = ACTIONS(6137),
    [anon_sym_BANG_EQ] = ACTIONS(6137),
    [anon_sym_GT] = ACTIONS(6135),
    [anon_sym_GT_EQ] = ACTIONS(6137),
    [anon_sym_LT_EQ] = ACTIONS(6135),
    [anon_sym_LT] = ACTIONS(6135),
    [anon_sym_LT_LT] = ACTIONS(6135),
    [anon_sym_GT_GT] = ACTIONS(6135),
    [anon_sym_SEMI] = ACTIONS(6137),
    [anon_sym___attribute__] = ACTIONS(6135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6026),
    [anon_sym_RBRACE] = ACTIONS(6137),
    [anon_sym_LBRACK] = ACTIONS(6135),
    [anon_sym_RBRACK] = ACTIONS(6137),
    [anon_sym_EQ] = ACTIONS(6135),
    [anon_sym_COLON] = ACTIONS(6137),
    [anon_sym_QMARK] = ACTIONS(6137),
    [anon_sym_STAR_EQ] = ACTIONS(6137),
    [anon_sym_SLASH_EQ] = ACTIONS(6137),
    [anon_sym_PERCENT_EQ] = ACTIONS(6137),
    [anon_sym_PLUS_EQ] = ACTIONS(6137),
    [anon_sym_DASH_EQ] = ACTIONS(6137),
    [anon_sym_LT_LT_EQ] = ACTIONS(6137),
    [anon_sym_GT_GT_EQ] = ACTIONS(6137),
    [anon_sym_AMP_EQ] = ACTIONS(6137),
    [anon_sym_CARET_EQ] = ACTIONS(6137),
    [anon_sym_PIPE_EQ] = ACTIONS(6137),
    [anon_sym_and_eq] = ACTIONS(6135),
    [anon_sym_or_eq] = ACTIONS(6135),
    [anon_sym_xor_eq] = ACTIONS(6135),
    [anon_sym_LT_EQ_GT] = ACTIONS(6137),
    [anon_sym_or] = ACTIONS(6135),
    [anon_sym_and] = ACTIONS(6135),
    [anon_sym_bitor] = ACTIONS(6135),
    [anon_sym_xor] = ACTIONS(6135),
    [anon_sym_bitand] = ACTIONS(6135),
    [anon_sym_not_eq] = ACTIONS(6135),
    [anon_sym_DASH_DASH] = ACTIONS(6137),
    [anon_sym_PLUS_PLUS] = ACTIONS(6137),
    [anon_sym_DOT] = ACTIONS(6135),
    [anon_sym_DOT_STAR] = ACTIONS(6137),
    [anon_sym_DASH_GT] = ACTIONS(6137),
    [sym_comment] = ACTIONS(3),
  },
  [2690] = {
    [sym_primitive_type] = STATE(3015),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2784),
    [sym_identifier] = ACTIONS(6139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5555),
    [anon_sym_COMMA] = ACTIONS(5555),
    [anon_sym_LPAREN2] = ACTIONS(5555),
    [anon_sym_DASH] = ACTIONS(5557),
    [anon_sym_PLUS] = ACTIONS(5557),
    [anon_sym_STAR] = ACTIONS(5557),
    [anon_sym_SLASH] = ACTIONS(5557),
    [anon_sym_PERCENT] = ACTIONS(5557),
    [anon_sym_PIPE_PIPE] = ACTIONS(5555),
    [anon_sym_AMP_AMP] = ACTIONS(5555),
    [anon_sym_PIPE] = ACTIONS(5557),
    [anon_sym_CARET] = ACTIONS(5557),
    [anon_sym_AMP] = ACTIONS(5557),
    [anon_sym_EQ_EQ] = ACTIONS(5555),
    [anon_sym_BANG_EQ] = ACTIONS(5555),
    [anon_sym_GT] = ACTIONS(5557),
    [anon_sym_GT_EQ] = ACTIONS(5557),
    [anon_sym_LT_EQ] = ACTIONS(5557),
    [anon_sym_LT] = ACTIONS(5557),
    [anon_sym_LT_LT] = ACTIONS(5557),
    [anon_sym_GT_GT] = ACTIONS(5557),
    [anon_sym___attribute__] = ACTIONS(5557),
    [anon_sym_LBRACE] = ACTIONS(5555),
    [anon_sym_signed] = ACTIONS(6141),
    [anon_sym_unsigned] = ACTIONS(6141),
    [anon_sym_long] = ACTIONS(6141),
    [anon_sym_short] = ACTIONS(6141),
    [anon_sym_LBRACK] = ACTIONS(5555),
    [anon_sym_EQ] = ACTIONS(5557),
    [aux_sym_primitive_type_token1] = ACTIONS(6143),
    [anon_sym_byte] = ACTIONS(6143),
    [anon_sym_word] = ACTIONS(6143),
    [anon_sym_QMARK] = ACTIONS(5555),
    [anon_sym_STAR_EQ] = ACTIONS(5555),
    [anon_sym_SLASH_EQ] = ACTIONS(5555),
    [anon_sym_PERCENT_EQ] = ACTIONS(5555),
    [anon_sym_PLUS_EQ] = ACTIONS(5555),
    [anon_sym_DASH_EQ] = ACTIONS(5555),
    [anon_sym_LT_LT_EQ] = ACTIONS(5555),
    [anon_sym_GT_GT_EQ] = ACTIONS(5557),
    [anon_sym_AMP_EQ] = ACTIONS(5555),
    [anon_sym_CARET_EQ] = ACTIONS(5555),
    [anon_sym_PIPE_EQ] = ACTIONS(5555),
    [anon_sym_and_eq] = ACTIONS(5557),
    [anon_sym_or_eq] = ACTIONS(5557),
    [anon_sym_xor_eq] = ACTIONS(5557),
    [anon_sym_LT_EQ_GT] = ACTIONS(5555),
    [anon_sym_or] = ACTIONS(5557),
    [anon_sym_and] = ACTIONS(5557),
    [anon_sym_bitor] = ACTIONS(5557),
    [anon_sym_xor] = ACTIONS(5557),
    [anon_sym_bitand] = ACTIONS(5557),
    [anon_sym_not_eq] = ACTIONS(5557),
    [anon_sym_DASH_DASH] = ACTIONS(5555),
    [anon_sym_PLUS_PLUS] = ACTIONS(5555),
    [anon_sym_DOT] = ACTIONS(5557),
    [anon_sym_DOT_STAR] = ACTIONS(5555),
    [anon_sym_DASH_GT] = ACTIONS(5555),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5557),
    [anon_sym_decltype] = ACTIONS(5557),
    [anon_sym_GT2] = ACTIONS(5555),
  },
  [2691] = {
    [sym_identifier] = ACTIONS(5779),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5781),
    [anon_sym_COMMA] = ACTIONS(5781),
    [anon_sym_RPAREN] = ACTIONS(5781),
    [aux_sym_preproc_if_token2] = ACTIONS(5781),
    [aux_sym_preproc_else_token1] = ACTIONS(5781),
    [aux_sym_preproc_elif_token1] = ACTIONS(5779),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5781),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5781),
    [anon_sym_LPAREN2] = ACTIONS(5781),
    [anon_sym_DASH] = ACTIONS(5779),
    [anon_sym_PLUS] = ACTIONS(5779),
    [anon_sym_STAR] = ACTIONS(5779),
    [anon_sym_SLASH] = ACTIONS(5779),
    [anon_sym_PERCENT] = ACTIONS(5779),
    [anon_sym_PIPE_PIPE] = ACTIONS(5781),
    [anon_sym_AMP_AMP] = ACTIONS(5781),
    [anon_sym_PIPE] = ACTIONS(5779),
    [anon_sym_CARET] = ACTIONS(5779),
    [anon_sym_AMP] = ACTIONS(5779),
    [anon_sym_EQ_EQ] = ACTIONS(5781),
    [anon_sym_BANG_EQ] = ACTIONS(5781),
    [anon_sym_GT] = ACTIONS(5779),
    [anon_sym_GT_EQ] = ACTIONS(5781),
    [anon_sym_LT_EQ] = ACTIONS(5779),
    [anon_sym_LT] = ACTIONS(5779),
    [anon_sym_LT_LT] = ACTIONS(5779),
    [anon_sym_GT_GT] = ACTIONS(5779),
    [anon_sym_SEMI] = ACTIONS(5781),
    [anon_sym___attribute__] = ACTIONS(5779),
    [anon_sym_LBRACE] = ACTIONS(5781),
    [anon_sym_RBRACE] = ACTIONS(5781),
    [anon_sym_LBRACK] = ACTIONS(5781),
    [anon_sym_RBRACK] = ACTIONS(5781),
    [anon_sym_EQ] = ACTIONS(5779),
    [anon_sym_COLON] = ACTIONS(5781),
    [anon_sym_QMARK] = ACTIONS(5781),
    [anon_sym_STAR_EQ] = ACTIONS(5781),
    [anon_sym_SLASH_EQ] = ACTIONS(5781),
    [anon_sym_PERCENT_EQ] = ACTIONS(5781),
    [anon_sym_PLUS_EQ] = ACTIONS(5781),
    [anon_sym_DASH_EQ] = ACTIONS(5781),
    [anon_sym_LT_LT_EQ] = ACTIONS(5781),
    [anon_sym_GT_GT_EQ] = ACTIONS(5781),
    [anon_sym_AMP_EQ] = ACTIONS(5781),
    [anon_sym_CARET_EQ] = ACTIONS(5781),
    [anon_sym_PIPE_EQ] = ACTIONS(5781),
    [anon_sym_and_eq] = ACTIONS(5779),
    [anon_sym_or_eq] = ACTIONS(5779),
    [anon_sym_xor_eq] = ACTIONS(5779),
    [anon_sym_LT_EQ_GT] = ACTIONS(5781),
    [anon_sym_or] = ACTIONS(5779),
    [anon_sym_and] = ACTIONS(5779),
    [anon_sym_bitor] = ACTIONS(5779),
    [anon_sym_xor] = ACTIONS(5779),
    [anon_sym_bitand] = ACTIONS(5779),
    [anon_sym_not_eq] = ACTIONS(5779),
    [anon_sym_DASH_DASH] = ACTIONS(5781),
    [anon_sym_PLUS_PLUS] = ACTIONS(5781),
    [anon_sym_DOT] = ACTIONS(5779),
    [anon_sym_DOT_STAR] = ACTIONS(5781),
    [anon_sym_DASH_GT] = ACTIONS(5781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5779),
    [anon_sym_decltype] = ACTIONS(5779),
  },
  [2692] = {
    [sym_argument_list] = STATE(2972),
    [sym_initializer_list] = STATE(2972),
    [sym_identifier] = ACTIONS(6145),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6147),
    [anon_sym_COMMA] = ACTIONS(6147),
    [anon_sym_RPAREN] = ACTIONS(6147),
    [aux_sym_preproc_if_token2] = ACTIONS(6147),
    [aux_sym_preproc_else_token1] = ACTIONS(6147),
    [aux_sym_preproc_elif_token1] = ACTIONS(6145),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6147),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6147),
    [anon_sym_LPAREN2] = ACTIONS(5791),
    [anon_sym_DASH] = ACTIONS(6145),
    [anon_sym_PLUS] = ACTIONS(6145),
    [anon_sym_STAR] = ACTIONS(6145),
    [anon_sym_SLASH] = ACTIONS(6145),
    [anon_sym_PERCENT] = ACTIONS(6145),
    [anon_sym_PIPE_PIPE] = ACTIONS(6147),
    [anon_sym_AMP_AMP] = ACTIONS(6147),
    [anon_sym_PIPE] = ACTIONS(6145),
    [anon_sym_CARET] = ACTIONS(6145),
    [anon_sym_AMP] = ACTIONS(6145),
    [anon_sym_EQ_EQ] = ACTIONS(6147),
    [anon_sym_BANG_EQ] = ACTIONS(6147),
    [anon_sym_GT] = ACTIONS(6145),
    [anon_sym_GT_EQ] = ACTIONS(6147),
    [anon_sym_LT_EQ] = ACTIONS(6145),
    [anon_sym_LT] = ACTIONS(6145),
    [anon_sym_LT_LT] = ACTIONS(6145),
    [anon_sym_GT_GT] = ACTIONS(6145),
    [anon_sym_SEMI] = ACTIONS(6147),
    [anon_sym___attribute__] = ACTIONS(6145),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_RBRACE] = ACTIONS(6147),
    [anon_sym_LBRACK] = ACTIONS(6147),
    [anon_sym_RBRACK] = ACTIONS(6147),
    [anon_sym_EQ] = ACTIONS(6145),
    [anon_sym_COLON] = ACTIONS(6147),
    [anon_sym_QMARK] = ACTIONS(6147),
    [anon_sym_STAR_EQ] = ACTIONS(6147),
    [anon_sym_SLASH_EQ] = ACTIONS(6147),
    [anon_sym_PERCENT_EQ] = ACTIONS(6147),
    [anon_sym_PLUS_EQ] = ACTIONS(6147),
    [anon_sym_DASH_EQ] = ACTIONS(6147),
    [anon_sym_LT_LT_EQ] = ACTIONS(6147),
    [anon_sym_GT_GT_EQ] = ACTIONS(6147),
    [anon_sym_AMP_EQ] = ACTIONS(6147),
    [anon_sym_CARET_EQ] = ACTIONS(6147),
    [anon_sym_PIPE_EQ] = ACTIONS(6147),
    [anon_sym_and_eq] = ACTIONS(6145),
    [anon_sym_or_eq] = ACTIONS(6145),
    [anon_sym_xor_eq] = ACTIONS(6145),
    [anon_sym_LT_EQ_GT] = ACTIONS(6147),
    [anon_sym_or] = ACTIONS(6145),
    [anon_sym_and] = ACTIONS(6145),
    [anon_sym_bitor] = ACTIONS(6145),
    [anon_sym_xor] = ACTIONS(6145),
    [anon_sym_bitand] = ACTIONS(6145),
    [anon_sym_not_eq] = ACTIONS(6145),
    [anon_sym_DASH_DASH] = ACTIONS(6147),
    [anon_sym_PLUS_PLUS] = ACTIONS(6147),
    [anon_sym_DOT] = ACTIONS(6145),
    [anon_sym_DOT_STAR] = ACTIONS(6147),
    [anon_sym_DASH_GT] = ACTIONS(6147),
    [sym_comment] = ACTIONS(3),
  },
  [2693] = {
    [sym_identifier] = ACTIONS(5726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5728),
    [anon_sym_COMMA] = ACTIONS(5728),
    [anon_sym_RPAREN] = ACTIONS(5728),
    [aux_sym_preproc_if_token2] = ACTIONS(5728),
    [aux_sym_preproc_else_token1] = ACTIONS(5728),
    [aux_sym_preproc_elif_token1] = ACTIONS(5726),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5728),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5728),
    [anon_sym_LPAREN2] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5726),
    [anon_sym_STAR] = ACTIONS(5726),
    [anon_sym_SLASH] = ACTIONS(5726),
    [anon_sym_PERCENT] = ACTIONS(5726),
    [anon_sym_PIPE_PIPE] = ACTIONS(5728),
    [anon_sym_AMP_AMP] = ACTIONS(5728),
    [anon_sym_PIPE] = ACTIONS(5726),
    [anon_sym_CARET] = ACTIONS(5726),
    [anon_sym_AMP] = ACTIONS(5726),
    [anon_sym_EQ_EQ] = ACTIONS(5728),
    [anon_sym_BANG_EQ] = ACTIONS(5728),
    [anon_sym_GT] = ACTIONS(5726),
    [anon_sym_GT_EQ] = ACTIONS(5728),
    [anon_sym_LT_EQ] = ACTIONS(5726),
    [anon_sym_LT] = ACTIONS(5726),
    [anon_sym_LT_LT] = ACTIONS(5726),
    [anon_sym_GT_GT] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5728),
    [anon_sym___attribute__] = ACTIONS(5726),
    [anon_sym_LBRACE] = ACTIONS(5728),
    [anon_sym_RBRACE] = ACTIONS(5728),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [anon_sym_RBRACK] = ACTIONS(5728),
    [anon_sym_EQ] = ACTIONS(5726),
    [anon_sym_COLON] = ACTIONS(5728),
    [anon_sym_QMARK] = ACTIONS(5728),
    [anon_sym_STAR_EQ] = ACTIONS(5728),
    [anon_sym_SLASH_EQ] = ACTIONS(5728),
    [anon_sym_PERCENT_EQ] = ACTIONS(5728),
    [anon_sym_PLUS_EQ] = ACTIONS(5728),
    [anon_sym_DASH_EQ] = ACTIONS(5728),
    [anon_sym_LT_LT_EQ] = ACTIONS(5728),
    [anon_sym_GT_GT_EQ] = ACTIONS(5728),
    [anon_sym_AMP_EQ] = ACTIONS(5728),
    [anon_sym_CARET_EQ] = ACTIONS(5728),
    [anon_sym_PIPE_EQ] = ACTIONS(5728),
    [anon_sym_and_eq] = ACTIONS(5726),
    [anon_sym_or_eq] = ACTIONS(5726),
    [anon_sym_xor_eq] = ACTIONS(5726),
    [anon_sym_LT_EQ_GT] = ACTIONS(5728),
    [anon_sym_or] = ACTIONS(5726),
    [anon_sym_and] = ACTIONS(5726),
    [anon_sym_bitor] = ACTIONS(5726),
    [anon_sym_xor] = ACTIONS(5726),
    [anon_sym_bitand] = ACTIONS(5726),
    [anon_sym_not_eq] = ACTIONS(5726),
    [anon_sym_DASH_DASH] = ACTIONS(5728),
    [anon_sym_PLUS_PLUS] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_DOT_STAR] = ACTIONS(5728),
    [anon_sym_DASH_GT] = ACTIONS(5728),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5726),
    [anon_sym_decltype] = ACTIONS(5726),
  },
  [2694] = {
    [sym_identifier] = ACTIONS(5737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5739),
    [anon_sym_COMMA] = ACTIONS(5739),
    [anon_sym_RPAREN] = ACTIONS(5739),
    [aux_sym_preproc_if_token2] = ACTIONS(5739),
    [aux_sym_preproc_else_token1] = ACTIONS(5739),
    [aux_sym_preproc_elif_token1] = ACTIONS(5737),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5739),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5739),
    [anon_sym_LPAREN2] = ACTIONS(5739),
    [anon_sym_DASH] = ACTIONS(5737),
    [anon_sym_PLUS] = ACTIONS(5737),
    [anon_sym_STAR] = ACTIONS(5737),
    [anon_sym_SLASH] = ACTIONS(5737),
    [anon_sym_PERCENT] = ACTIONS(5737),
    [anon_sym_PIPE_PIPE] = ACTIONS(5739),
    [anon_sym_AMP_AMP] = ACTIONS(5739),
    [anon_sym_PIPE] = ACTIONS(5737),
    [anon_sym_CARET] = ACTIONS(5737),
    [anon_sym_AMP] = ACTIONS(5737),
    [anon_sym_EQ_EQ] = ACTIONS(5739),
    [anon_sym_BANG_EQ] = ACTIONS(5739),
    [anon_sym_GT] = ACTIONS(5737),
    [anon_sym_GT_EQ] = ACTIONS(5739),
    [anon_sym_LT_EQ] = ACTIONS(5737),
    [anon_sym_LT] = ACTIONS(5737),
    [anon_sym_LT_LT] = ACTIONS(5737),
    [anon_sym_GT_GT] = ACTIONS(5737),
    [anon_sym_SEMI] = ACTIONS(5739),
    [anon_sym___attribute__] = ACTIONS(5737),
    [anon_sym_LBRACE] = ACTIONS(5739),
    [anon_sym_RBRACE] = ACTIONS(5739),
    [anon_sym_LBRACK] = ACTIONS(5739),
    [anon_sym_RBRACK] = ACTIONS(5739),
    [anon_sym_EQ] = ACTIONS(5737),
    [anon_sym_COLON] = ACTIONS(5739),
    [anon_sym_QMARK] = ACTIONS(5739),
    [anon_sym_STAR_EQ] = ACTIONS(5739),
    [anon_sym_SLASH_EQ] = ACTIONS(5739),
    [anon_sym_PERCENT_EQ] = ACTIONS(5739),
    [anon_sym_PLUS_EQ] = ACTIONS(5739),
    [anon_sym_DASH_EQ] = ACTIONS(5739),
    [anon_sym_LT_LT_EQ] = ACTIONS(5739),
    [anon_sym_GT_GT_EQ] = ACTIONS(5739),
    [anon_sym_AMP_EQ] = ACTIONS(5739),
    [anon_sym_CARET_EQ] = ACTIONS(5739),
    [anon_sym_PIPE_EQ] = ACTIONS(5739),
    [anon_sym_and_eq] = ACTIONS(5737),
    [anon_sym_or_eq] = ACTIONS(5737),
    [anon_sym_xor_eq] = ACTIONS(5737),
    [anon_sym_LT_EQ_GT] = ACTIONS(5739),
    [anon_sym_or] = ACTIONS(5737),
    [anon_sym_and] = ACTIONS(5737),
    [anon_sym_bitor] = ACTIONS(5737),
    [anon_sym_xor] = ACTIONS(5737),
    [anon_sym_bitand] = ACTIONS(5737),
    [anon_sym_not_eq] = ACTIONS(5737),
    [anon_sym_DASH_DASH] = ACTIONS(5739),
    [anon_sym_PLUS_PLUS] = ACTIONS(5739),
    [anon_sym_DOT] = ACTIONS(5737),
    [anon_sym_DOT_STAR] = ACTIONS(5739),
    [anon_sym_DASH_GT] = ACTIONS(5739),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5737),
    [anon_sym_decltype] = ACTIONS(5737),
  },
  [2695] = {
    [sym_identifier] = ACTIONS(5745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5747),
    [anon_sym_COMMA] = ACTIONS(5747),
    [anon_sym_RPAREN] = ACTIONS(5747),
    [aux_sym_preproc_if_token2] = ACTIONS(5747),
    [aux_sym_preproc_else_token1] = ACTIONS(5747),
    [aux_sym_preproc_elif_token1] = ACTIONS(5745),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5747),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5747),
    [anon_sym_LPAREN2] = ACTIONS(5747),
    [anon_sym_DASH] = ACTIONS(5745),
    [anon_sym_PLUS] = ACTIONS(5745),
    [anon_sym_STAR] = ACTIONS(5745),
    [anon_sym_SLASH] = ACTIONS(5745),
    [anon_sym_PERCENT] = ACTIONS(5745),
    [anon_sym_PIPE_PIPE] = ACTIONS(5747),
    [anon_sym_AMP_AMP] = ACTIONS(5747),
    [anon_sym_PIPE] = ACTIONS(5745),
    [anon_sym_CARET] = ACTIONS(5745),
    [anon_sym_AMP] = ACTIONS(5745),
    [anon_sym_EQ_EQ] = ACTIONS(5747),
    [anon_sym_BANG_EQ] = ACTIONS(5747),
    [anon_sym_GT] = ACTIONS(5745),
    [anon_sym_GT_EQ] = ACTIONS(5747),
    [anon_sym_LT_EQ] = ACTIONS(5745),
    [anon_sym_LT] = ACTIONS(5745),
    [anon_sym_LT_LT] = ACTIONS(5745),
    [anon_sym_GT_GT] = ACTIONS(5745),
    [anon_sym_SEMI] = ACTIONS(5747),
    [anon_sym___attribute__] = ACTIONS(5745),
    [anon_sym_LBRACE] = ACTIONS(5747),
    [anon_sym_RBRACE] = ACTIONS(5747),
    [anon_sym_LBRACK] = ACTIONS(5747),
    [anon_sym_RBRACK] = ACTIONS(5747),
    [anon_sym_EQ] = ACTIONS(5745),
    [anon_sym_COLON] = ACTIONS(5747),
    [anon_sym_QMARK] = ACTIONS(5747),
    [anon_sym_STAR_EQ] = ACTIONS(5747),
    [anon_sym_SLASH_EQ] = ACTIONS(5747),
    [anon_sym_PERCENT_EQ] = ACTIONS(5747),
    [anon_sym_PLUS_EQ] = ACTIONS(5747),
    [anon_sym_DASH_EQ] = ACTIONS(5747),
    [anon_sym_LT_LT_EQ] = ACTIONS(5747),
    [anon_sym_GT_GT_EQ] = ACTIONS(5747),
    [anon_sym_AMP_EQ] = ACTIONS(5747),
    [anon_sym_CARET_EQ] = ACTIONS(5747),
    [anon_sym_PIPE_EQ] = ACTIONS(5747),
    [anon_sym_and_eq] = ACTIONS(5745),
    [anon_sym_or_eq] = ACTIONS(5745),
    [anon_sym_xor_eq] = ACTIONS(5745),
    [anon_sym_LT_EQ_GT] = ACTIONS(5747),
    [anon_sym_or] = ACTIONS(5745),
    [anon_sym_and] = ACTIONS(5745),
    [anon_sym_bitor] = ACTIONS(5745),
    [anon_sym_xor] = ACTIONS(5745),
    [anon_sym_bitand] = ACTIONS(5745),
    [anon_sym_not_eq] = ACTIONS(5745),
    [anon_sym_DASH_DASH] = ACTIONS(5747),
    [anon_sym_PLUS_PLUS] = ACTIONS(5747),
    [anon_sym_DOT] = ACTIONS(5745),
    [anon_sym_DOT_STAR] = ACTIONS(5747),
    [anon_sym_DASH_GT] = ACTIONS(5747),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5745),
    [anon_sym_decltype] = ACTIONS(5745),
  },
  [2696] = {
    [sym_identifier] = ACTIONS(6149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6151),
    [anon_sym_COMMA] = ACTIONS(6151),
    [anon_sym_RPAREN] = ACTIONS(6151),
    [aux_sym_preproc_if_token2] = ACTIONS(6151),
    [aux_sym_preproc_else_token1] = ACTIONS(6151),
    [aux_sym_preproc_elif_token1] = ACTIONS(6149),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6151),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6151),
    [anon_sym_LPAREN2] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6149),
    [anon_sym_PLUS] = ACTIONS(6149),
    [anon_sym_STAR] = ACTIONS(6149),
    [anon_sym_SLASH] = ACTIONS(6149),
    [anon_sym_PERCENT] = ACTIONS(6149),
    [anon_sym_PIPE_PIPE] = ACTIONS(6151),
    [anon_sym_AMP_AMP] = ACTIONS(6151),
    [anon_sym_PIPE] = ACTIONS(6149),
    [anon_sym_CARET] = ACTIONS(6149),
    [anon_sym_AMP] = ACTIONS(6149),
    [anon_sym_EQ_EQ] = ACTIONS(6151),
    [anon_sym_BANG_EQ] = ACTIONS(6151),
    [anon_sym_GT] = ACTIONS(6149),
    [anon_sym_GT_EQ] = ACTIONS(6151),
    [anon_sym_LT_EQ] = ACTIONS(6149),
    [anon_sym_LT] = ACTIONS(6149),
    [anon_sym_LT_LT] = ACTIONS(6149),
    [anon_sym_GT_GT] = ACTIONS(6149),
    [anon_sym_SEMI] = ACTIONS(6151),
    [anon_sym___attribute__] = ACTIONS(6149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6151),
    [anon_sym_LBRACE] = ACTIONS(6151),
    [anon_sym_RBRACE] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6149),
    [anon_sym_RBRACK] = ACTIONS(6151),
    [anon_sym_EQ] = ACTIONS(6149),
    [anon_sym_COLON] = ACTIONS(6151),
    [anon_sym_QMARK] = ACTIONS(6151),
    [anon_sym_STAR_EQ] = ACTIONS(6151),
    [anon_sym_SLASH_EQ] = ACTIONS(6151),
    [anon_sym_PERCENT_EQ] = ACTIONS(6151),
    [anon_sym_PLUS_EQ] = ACTIONS(6151),
    [anon_sym_DASH_EQ] = ACTIONS(6151),
    [anon_sym_LT_LT_EQ] = ACTIONS(6151),
    [anon_sym_GT_GT_EQ] = ACTIONS(6151),
    [anon_sym_AMP_EQ] = ACTIONS(6151),
    [anon_sym_CARET_EQ] = ACTIONS(6151),
    [anon_sym_PIPE_EQ] = ACTIONS(6151),
    [anon_sym_and_eq] = ACTIONS(6149),
    [anon_sym_or_eq] = ACTIONS(6149),
    [anon_sym_xor_eq] = ACTIONS(6149),
    [anon_sym_LT_EQ_GT] = ACTIONS(6151),
    [anon_sym_or] = ACTIONS(6149),
    [anon_sym_and] = ACTIONS(6149),
    [anon_sym_bitor] = ACTIONS(6149),
    [anon_sym_xor] = ACTIONS(6149),
    [anon_sym_bitand] = ACTIONS(6149),
    [anon_sym_not_eq] = ACTIONS(6149),
    [anon_sym_DASH_DASH] = ACTIONS(6151),
    [anon_sym_PLUS_PLUS] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(6149),
    [anon_sym_DOT_STAR] = ACTIONS(6151),
    [anon_sym_DASH_GT] = ACTIONS(6151),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6149),
  },
  [2697] = {
    [sym_identifier] = ACTIONS(6153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6155),
    [anon_sym_COMMA] = ACTIONS(6155),
    [anon_sym_RPAREN] = ACTIONS(6155),
    [aux_sym_preproc_if_token2] = ACTIONS(6155),
    [aux_sym_preproc_else_token1] = ACTIONS(6155),
    [aux_sym_preproc_elif_token1] = ACTIONS(6153),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6155),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6155),
    [anon_sym_LPAREN2] = ACTIONS(6155),
    [anon_sym_DASH] = ACTIONS(6153),
    [anon_sym_PLUS] = ACTIONS(6153),
    [anon_sym_STAR] = ACTIONS(6153),
    [anon_sym_SLASH] = ACTIONS(6153),
    [anon_sym_PERCENT] = ACTIONS(6153),
    [anon_sym_PIPE_PIPE] = ACTIONS(6155),
    [anon_sym_AMP_AMP] = ACTIONS(6155),
    [anon_sym_PIPE] = ACTIONS(6153),
    [anon_sym_CARET] = ACTIONS(6153),
    [anon_sym_AMP] = ACTIONS(6153),
    [anon_sym_EQ_EQ] = ACTIONS(6155),
    [anon_sym_BANG_EQ] = ACTIONS(6155),
    [anon_sym_GT] = ACTIONS(6153),
    [anon_sym_GT_EQ] = ACTIONS(6155),
    [anon_sym_LT_EQ] = ACTIONS(6153),
    [anon_sym_LT] = ACTIONS(6153),
    [anon_sym_LT_LT] = ACTIONS(6153),
    [anon_sym_GT_GT] = ACTIONS(6153),
    [anon_sym_SEMI] = ACTIONS(6155),
    [anon_sym___attribute__] = ACTIONS(6153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6155),
    [anon_sym_LBRACE] = ACTIONS(6155),
    [anon_sym_RBRACE] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(6153),
    [anon_sym_RBRACK] = ACTIONS(6155),
    [anon_sym_EQ] = ACTIONS(6153),
    [anon_sym_COLON] = ACTIONS(6155),
    [anon_sym_QMARK] = ACTIONS(6155),
    [anon_sym_STAR_EQ] = ACTIONS(6155),
    [anon_sym_SLASH_EQ] = ACTIONS(6155),
    [anon_sym_PERCENT_EQ] = ACTIONS(6155),
    [anon_sym_PLUS_EQ] = ACTIONS(6155),
    [anon_sym_DASH_EQ] = ACTIONS(6155),
    [anon_sym_LT_LT_EQ] = ACTIONS(6155),
    [anon_sym_GT_GT_EQ] = ACTIONS(6155),
    [anon_sym_AMP_EQ] = ACTIONS(6155),
    [anon_sym_CARET_EQ] = ACTIONS(6155),
    [anon_sym_PIPE_EQ] = ACTIONS(6155),
    [anon_sym_and_eq] = ACTIONS(6153),
    [anon_sym_or_eq] = ACTIONS(6153),
    [anon_sym_xor_eq] = ACTIONS(6153),
    [anon_sym_LT_EQ_GT] = ACTIONS(6155),
    [anon_sym_or] = ACTIONS(6153),
    [anon_sym_and] = ACTIONS(6153),
    [anon_sym_bitor] = ACTIONS(6153),
    [anon_sym_xor] = ACTIONS(6153),
    [anon_sym_bitand] = ACTIONS(6153),
    [anon_sym_not_eq] = ACTIONS(6153),
    [anon_sym_DASH_DASH] = ACTIONS(6155),
    [anon_sym_PLUS_PLUS] = ACTIONS(6155),
    [anon_sym_DOT] = ACTIONS(6153),
    [anon_sym_DOT_STAR] = ACTIONS(6155),
    [anon_sym_DASH_GT] = ACTIONS(6155),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6153),
  },
  [2698] = {
    [sym_argument_list] = STATE(2897),
    [sym_initializer_list] = STATE(2897),
    [sym_identifier] = ACTIONS(6157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6159),
    [anon_sym_COMMA] = ACTIONS(6159),
    [anon_sym_RPAREN] = ACTIONS(6159),
    [aux_sym_preproc_if_token2] = ACTIONS(6159),
    [aux_sym_preproc_else_token1] = ACTIONS(6159),
    [aux_sym_preproc_elif_token1] = ACTIONS(6157),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6159),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6159),
    [anon_sym_LPAREN2] = ACTIONS(5791),
    [anon_sym_DASH] = ACTIONS(6157),
    [anon_sym_PLUS] = ACTIONS(6157),
    [anon_sym_STAR] = ACTIONS(6157),
    [anon_sym_SLASH] = ACTIONS(6157),
    [anon_sym_PERCENT] = ACTIONS(6157),
    [anon_sym_PIPE_PIPE] = ACTIONS(6159),
    [anon_sym_AMP_AMP] = ACTIONS(6159),
    [anon_sym_PIPE] = ACTIONS(6157),
    [anon_sym_CARET] = ACTIONS(6157),
    [anon_sym_AMP] = ACTIONS(6157),
    [anon_sym_EQ_EQ] = ACTIONS(6159),
    [anon_sym_BANG_EQ] = ACTIONS(6159),
    [anon_sym_GT] = ACTIONS(6157),
    [anon_sym_GT_EQ] = ACTIONS(6159),
    [anon_sym_LT_EQ] = ACTIONS(6157),
    [anon_sym_LT] = ACTIONS(6157),
    [anon_sym_LT_LT] = ACTIONS(6157),
    [anon_sym_GT_GT] = ACTIONS(6157),
    [anon_sym_SEMI] = ACTIONS(6159),
    [anon_sym___attribute__] = ACTIONS(6157),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_RBRACE] = ACTIONS(6159),
    [anon_sym_LBRACK] = ACTIONS(6159),
    [anon_sym_RBRACK] = ACTIONS(6159),
    [anon_sym_EQ] = ACTIONS(6157),
    [anon_sym_COLON] = ACTIONS(6159),
    [anon_sym_QMARK] = ACTIONS(6159),
    [anon_sym_STAR_EQ] = ACTIONS(6159),
    [anon_sym_SLASH_EQ] = ACTIONS(6159),
    [anon_sym_PERCENT_EQ] = ACTIONS(6159),
    [anon_sym_PLUS_EQ] = ACTIONS(6159),
    [anon_sym_DASH_EQ] = ACTIONS(6159),
    [anon_sym_LT_LT_EQ] = ACTIONS(6159),
    [anon_sym_GT_GT_EQ] = ACTIONS(6159),
    [anon_sym_AMP_EQ] = ACTIONS(6159),
    [anon_sym_CARET_EQ] = ACTIONS(6159),
    [anon_sym_PIPE_EQ] = ACTIONS(6159),
    [anon_sym_and_eq] = ACTIONS(6157),
    [anon_sym_or_eq] = ACTIONS(6157),
    [anon_sym_xor_eq] = ACTIONS(6157),
    [anon_sym_LT_EQ_GT] = ACTIONS(6159),
    [anon_sym_or] = ACTIONS(6157),
    [anon_sym_and] = ACTIONS(6157),
    [anon_sym_bitor] = ACTIONS(6157),
    [anon_sym_xor] = ACTIONS(6157),
    [anon_sym_bitand] = ACTIONS(6157),
    [anon_sym_not_eq] = ACTIONS(6157),
    [anon_sym_DASH_DASH] = ACTIONS(6159),
    [anon_sym_PLUS_PLUS] = ACTIONS(6159),
    [anon_sym_DOT] = ACTIONS(6157),
    [anon_sym_DOT_STAR] = ACTIONS(6159),
    [anon_sym_DASH_GT] = ACTIONS(6159),
    [sym_comment] = ACTIONS(3),
  },
  [2699] = {
    [sym_string_literal] = STATE(2550),
    [sym_raw_string_literal] = STATE(2550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(4454),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_SEMI] = ACTIONS(4446),
    [anon_sym___attribute__] = ACTIONS(4454),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(4454),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4446),
    [anon_sym_SLASH_EQ] = ACTIONS(4446),
    [anon_sym_PERCENT_EQ] = ACTIONS(4446),
    [anon_sym_PLUS_EQ] = ACTIONS(4446),
    [anon_sym_DASH_EQ] = ACTIONS(4446),
    [anon_sym_LT_LT_EQ] = ACTIONS(4446),
    [anon_sym_GT_GT_EQ] = ACTIONS(4446),
    [anon_sym_AMP_EQ] = ACTIONS(4446),
    [anon_sym_CARET_EQ] = ACTIONS(4446),
    [anon_sym_PIPE_EQ] = ACTIONS(4446),
    [anon_sym_and_eq] = ACTIONS(4454),
    [anon_sym_or_eq] = ACTIONS(4454),
    [anon_sym_xor_eq] = ACTIONS(4454),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4454),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4454),
    [anon_sym_not_eq] = ACTIONS(4454),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(5934),
    [anon_sym_u_DQUOTE] = ACTIONS(5934),
    [anon_sym_U_DQUOTE] = ACTIONS(5934),
    [anon_sym_u8_DQUOTE] = ACTIONS(5934),
    [anon_sym_DQUOTE] = ACTIONS(5934),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5936),
    [anon_sym_LR_DQUOTE] = ACTIONS(5936),
    [anon_sym_uR_DQUOTE] = ACTIONS(5936),
    [anon_sym_UR_DQUOTE] = ACTIONS(5936),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5936),
    [sym_literal_suffix] = ACTIONS(5802),
  },
  [2700] = {
    [sym_identifier] = ACTIONS(5678),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5680),
    [anon_sym_COMMA] = ACTIONS(5680),
    [anon_sym_RPAREN] = ACTIONS(5680),
    [aux_sym_preproc_if_token2] = ACTIONS(5680),
    [aux_sym_preproc_else_token1] = ACTIONS(5680),
    [aux_sym_preproc_elif_token1] = ACTIONS(5678),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5680),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5680),
    [anon_sym_LPAREN2] = ACTIONS(5680),
    [anon_sym_DASH] = ACTIONS(5678),
    [anon_sym_PLUS] = ACTIONS(5678),
    [anon_sym_STAR] = ACTIONS(5678),
    [anon_sym_SLASH] = ACTIONS(5678),
    [anon_sym_PERCENT] = ACTIONS(5678),
    [anon_sym_PIPE_PIPE] = ACTIONS(5680),
    [anon_sym_AMP_AMP] = ACTIONS(5680),
    [anon_sym_PIPE] = ACTIONS(5678),
    [anon_sym_CARET] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(5678),
    [anon_sym_EQ_EQ] = ACTIONS(5680),
    [anon_sym_BANG_EQ] = ACTIONS(5680),
    [anon_sym_GT] = ACTIONS(5678),
    [anon_sym_GT_EQ] = ACTIONS(5680),
    [anon_sym_LT_EQ] = ACTIONS(5678),
    [anon_sym_LT] = ACTIONS(5678),
    [anon_sym_LT_LT] = ACTIONS(5678),
    [anon_sym_GT_GT] = ACTIONS(5678),
    [anon_sym_SEMI] = ACTIONS(5680),
    [anon_sym___attribute__] = ACTIONS(5678),
    [anon_sym_LBRACE] = ACTIONS(5680),
    [anon_sym_RBRACE] = ACTIONS(5680),
    [anon_sym_LBRACK] = ACTIONS(5680),
    [anon_sym_RBRACK] = ACTIONS(5680),
    [anon_sym_EQ] = ACTIONS(5678),
    [anon_sym_COLON] = ACTIONS(5680),
    [anon_sym_QMARK] = ACTIONS(5680),
    [anon_sym_STAR_EQ] = ACTIONS(5680),
    [anon_sym_SLASH_EQ] = ACTIONS(5680),
    [anon_sym_PERCENT_EQ] = ACTIONS(5680),
    [anon_sym_PLUS_EQ] = ACTIONS(5680),
    [anon_sym_DASH_EQ] = ACTIONS(5680),
    [anon_sym_LT_LT_EQ] = ACTIONS(5680),
    [anon_sym_GT_GT_EQ] = ACTIONS(5680),
    [anon_sym_AMP_EQ] = ACTIONS(5680),
    [anon_sym_CARET_EQ] = ACTIONS(5680),
    [anon_sym_PIPE_EQ] = ACTIONS(5680),
    [anon_sym_and_eq] = ACTIONS(5678),
    [anon_sym_or_eq] = ACTIONS(5678),
    [anon_sym_xor_eq] = ACTIONS(5678),
    [anon_sym_LT_EQ_GT] = ACTIONS(5680),
    [anon_sym_or] = ACTIONS(5678),
    [anon_sym_and] = ACTIONS(5678),
    [anon_sym_bitor] = ACTIONS(5678),
    [anon_sym_xor] = ACTIONS(5678),
    [anon_sym_bitand] = ACTIONS(5678),
    [anon_sym_not_eq] = ACTIONS(5678),
    [anon_sym_DASH_DASH] = ACTIONS(5680),
    [anon_sym_PLUS_PLUS] = ACTIONS(5680),
    [anon_sym_DOT] = ACTIONS(5678),
    [anon_sym_DOT_STAR] = ACTIONS(5680),
    [anon_sym_DASH_GT] = ACTIONS(5680),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5678),
    [anon_sym_decltype] = ACTIONS(5678),
  },
  [2701] = {
    [sym_identifier] = ACTIONS(5479),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5481),
    [anon_sym_COMMA] = ACTIONS(5481),
    [anon_sym_RPAREN] = ACTIONS(5481),
    [aux_sym_preproc_if_token2] = ACTIONS(5481),
    [aux_sym_preproc_else_token1] = ACTIONS(5481),
    [aux_sym_preproc_elif_token1] = ACTIONS(5479),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5481),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5481),
    [anon_sym_LPAREN2] = ACTIONS(5481),
    [anon_sym_DASH] = ACTIONS(5479),
    [anon_sym_PLUS] = ACTIONS(5479),
    [anon_sym_STAR] = ACTIONS(5479),
    [anon_sym_SLASH] = ACTIONS(5479),
    [anon_sym_PERCENT] = ACTIONS(5479),
    [anon_sym_PIPE_PIPE] = ACTIONS(5481),
    [anon_sym_AMP_AMP] = ACTIONS(5481),
    [anon_sym_PIPE] = ACTIONS(5479),
    [anon_sym_CARET] = ACTIONS(5479),
    [anon_sym_AMP] = ACTIONS(5479),
    [anon_sym_EQ_EQ] = ACTIONS(5481),
    [anon_sym_BANG_EQ] = ACTIONS(5481),
    [anon_sym_GT] = ACTIONS(5479),
    [anon_sym_GT_EQ] = ACTIONS(5481),
    [anon_sym_LT_EQ] = ACTIONS(5479),
    [anon_sym_LT] = ACTIONS(5479),
    [anon_sym_LT_LT] = ACTIONS(5479),
    [anon_sym_GT_GT] = ACTIONS(5479),
    [anon_sym_SEMI] = ACTIONS(5481),
    [anon_sym___attribute__] = ACTIONS(5479),
    [anon_sym_LBRACE] = ACTIONS(5481),
    [anon_sym_RBRACE] = ACTIONS(5481),
    [anon_sym_LBRACK] = ACTIONS(5481),
    [anon_sym_RBRACK] = ACTIONS(5481),
    [anon_sym_EQ] = ACTIONS(5479),
    [anon_sym_COLON] = ACTIONS(5481),
    [anon_sym_QMARK] = ACTIONS(5481),
    [anon_sym_STAR_EQ] = ACTIONS(5481),
    [anon_sym_SLASH_EQ] = ACTIONS(5481),
    [anon_sym_PERCENT_EQ] = ACTIONS(5481),
    [anon_sym_PLUS_EQ] = ACTIONS(5481),
    [anon_sym_DASH_EQ] = ACTIONS(5481),
    [anon_sym_LT_LT_EQ] = ACTIONS(5481),
    [anon_sym_GT_GT_EQ] = ACTIONS(5481),
    [anon_sym_AMP_EQ] = ACTIONS(5481),
    [anon_sym_CARET_EQ] = ACTIONS(5481),
    [anon_sym_PIPE_EQ] = ACTIONS(5481),
    [anon_sym_and_eq] = ACTIONS(5479),
    [anon_sym_or_eq] = ACTIONS(5479),
    [anon_sym_xor_eq] = ACTIONS(5479),
    [anon_sym_LT_EQ_GT] = ACTIONS(5481),
    [anon_sym_or] = ACTIONS(5479),
    [anon_sym_and] = ACTIONS(5479),
    [anon_sym_bitor] = ACTIONS(5479),
    [anon_sym_xor] = ACTIONS(5479),
    [anon_sym_bitand] = ACTIONS(5479),
    [anon_sym_not_eq] = ACTIONS(5479),
    [anon_sym_DASH_DASH] = ACTIONS(5481),
    [anon_sym_PLUS_PLUS] = ACTIONS(5481),
    [anon_sym_DOT] = ACTIONS(5479),
    [anon_sym_DOT_STAR] = ACTIONS(5481),
    [anon_sym_DASH_GT] = ACTIONS(5481),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5479),
    [anon_sym_decltype] = ACTIONS(5479),
  },
  [2702] = {
    [sym_identifier] = ACTIONS(6161),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6163),
    [anon_sym_COMMA] = ACTIONS(6163),
    [anon_sym_RPAREN] = ACTIONS(6163),
    [aux_sym_preproc_if_token2] = ACTIONS(6163),
    [aux_sym_preproc_else_token1] = ACTIONS(6163),
    [aux_sym_preproc_elif_token1] = ACTIONS(6161),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6163),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6163),
    [anon_sym_LPAREN2] = ACTIONS(6163),
    [anon_sym_DASH] = ACTIONS(6161),
    [anon_sym_PLUS] = ACTIONS(6161),
    [anon_sym_STAR] = ACTIONS(6161),
    [anon_sym_SLASH] = ACTIONS(6161),
    [anon_sym_PERCENT] = ACTIONS(6161),
    [anon_sym_PIPE_PIPE] = ACTIONS(6163),
    [anon_sym_AMP_AMP] = ACTIONS(6163),
    [anon_sym_PIPE] = ACTIONS(6161),
    [anon_sym_CARET] = ACTIONS(6161),
    [anon_sym_AMP] = ACTIONS(6161),
    [anon_sym_EQ_EQ] = ACTIONS(6163),
    [anon_sym_BANG_EQ] = ACTIONS(6163),
    [anon_sym_GT] = ACTIONS(6161),
    [anon_sym_GT_EQ] = ACTIONS(6163),
    [anon_sym_LT_EQ] = ACTIONS(6161),
    [anon_sym_LT] = ACTIONS(6161),
    [anon_sym_LT_LT] = ACTIONS(6161),
    [anon_sym_GT_GT] = ACTIONS(6161),
    [anon_sym_SEMI] = ACTIONS(6163),
    [anon_sym___attribute__] = ACTIONS(6161),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6163),
    [anon_sym_LBRACE] = ACTIONS(6163),
    [anon_sym_RBRACE] = ACTIONS(6163),
    [anon_sym_LBRACK] = ACTIONS(6161),
    [anon_sym_RBRACK] = ACTIONS(6163),
    [anon_sym_EQ] = ACTIONS(6161),
    [anon_sym_COLON] = ACTIONS(6163),
    [anon_sym_QMARK] = ACTIONS(6163),
    [anon_sym_STAR_EQ] = ACTIONS(6163),
    [anon_sym_SLASH_EQ] = ACTIONS(6163),
    [anon_sym_PERCENT_EQ] = ACTIONS(6163),
    [anon_sym_PLUS_EQ] = ACTIONS(6163),
    [anon_sym_DASH_EQ] = ACTIONS(6163),
    [anon_sym_LT_LT_EQ] = ACTIONS(6163),
    [anon_sym_GT_GT_EQ] = ACTIONS(6163),
    [anon_sym_AMP_EQ] = ACTIONS(6163),
    [anon_sym_CARET_EQ] = ACTIONS(6163),
    [anon_sym_PIPE_EQ] = ACTIONS(6163),
    [anon_sym_and_eq] = ACTIONS(6161),
    [anon_sym_or_eq] = ACTIONS(6161),
    [anon_sym_xor_eq] = ACTIONS(6161),
    [anon_sym_LT_EQ_GT] = ACTIONS(6163),
    [anon_sym_or] = ACTIONS(6161),
    [anon_sym_and] = ACTIONS(6161),
    [anon_sym_bitor] = ACTIONS(6161),
    [anon_sym_xor] = ACTIONS(6161),
    [anon_sym_bitand] = ACTIONS(6161),
    [anon_sym_not_eq] = ACTIONS(6161),
    [anon_sym_DASH_DASH] = ACTIONS(6163),
    [anon_sym_PLUS_PLUS] = ACTIONS(6163),
    [anon_sym_DOT] = ACTIONS(6161),
    [anon_sym_DOT_STAR] = ACTIONS(6163),
    [anon_sym_DASH_GT] = ACTIONS(6163),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6161),
  },
  [2703] = {
    [sym_identifier] = ACTIONS(5759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5761),
    [anon_sym_COMMA] = ACTIONS(5761),
    [anon_sym_RPAREN] = ACTIONS(5761),
    [aux_sym_preproc_if_token2] = ACTIONS(5761),
    [aux_sym_preproc_else_token1] = ACTIONS(5761),
    [aux_sym_preproc_elif_token1] = ACTIONS(5759),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5761),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5761),
    [anon_sym_LPAREN2] = ACTIONS(5761),
    [anon_sym_DASH] = ACTIONS(5759),
    [anon_sym_PLUS] = ACTIONS(5759),
    [anon_sym_STAR] = ACTIONS(5759),
    [anon_sym_SLASH] = ACTIONS(5759),
    [anon_sym_PERCENT] = ACTIONS(5759),
    [anon_sym_PIPE_PIPE] = ACTIONS(5761),
    [anon_sym_AMP_AMP] = ACTIONS(5761),
    [anon_sym_PIPE] = ACTIONS(5759),
    [anon_sym_CARET] = ACTIONS(5759),
    [anon_sym_AMP] = ACTIONS(5759),
    [anon_sym_EQ_EQ] = ACTIONS(5761),
    [anon_sym_BANG_EQ] = ACTIONS(5761),
    [anon_sym_GT] = ACTIONS(5759),
    [anon_sym_GT_EQ] = ACTIONS(5761),
    [anon_sym_LT_EQ] = ACTIONS(5759),
    [anon_sym_LT] = ACTIONS(5759),
    [anon_sym_LT_LT] = ACTIONS(5759),
    [anon_sym_GT_GT] = ACTIONS(5759),
    [anon_sym_SEMI] = ACTIONS(5761),
    [anon_sym___attribute__] = ACTIONS(5759),
    [anon_sym_LBRACE] = ACTIONS(5761),
    [anon_sym_RBRACE] = ACTIONS(5761),
    [anon_sym_LBRACK] = ACTIONS(5761),
    [anon_sym_RBRACK] = ACTIONS(5761),
    [anon_sym_EQ] = ACTIONS(5759),
    [anon_sym_COLON] = ACTIONS(5761),
    [anon_sym_QMARK] = ACTIONS(5761),
    [anon_sym_STAR_EQ] = ACTIONS(5761),
    [anon_sym_SLASH_EQ] = ACTIONS(5761),
    [anon_sym_PERCENT_EQ] = ACTIONS(5761),
    [anon_sym_PLUS_EQ] = ACTIONS(5761),
    [anon_sym_DASH_EQ] = ACTIONS(5761),
    [anon_sym_LT_LT_EQ] = ACTIONS(5761),
    [anon_sym_GT_GT_EQ] = ACTIONS(5761),
    [anon_sym_AMP_EQ] = ACTIONS(5761),
    [anon_sym_CARET_EQ] = ACTIONS(5761),
    [anon_sym_PIPE_EQ] = ACTIONS(5761),
    [anon_sym_and_eq] = ACTIONS(5759),
    [anon_sym_or_eq] = ACTIONS(5759),
    [anon_sym_xor_eq] = ACTIONS(5759),
    [anon_sym_LT_EQ_GT] = ACTIONS(5761),
    [anon_sym_or] = ACTIONS(5759),
    [anon_sym_and] = ACTIONS(5759),
    [anon_sym_bitor] = ACTIONS(5759),
    [anon_sym_xor] = ACTIONS(5759),
    [anon_sym_bitand] = ACTIONS(5759),
    [anon_sym_not_eq] = ACTIONS(5759),
    [anon_sym_DASH_DASH] = ACTIONS(5761),
    [anon_sym_PLUS_PLUS] = ACTIONS(5761),
    [anon_sym_DOT] = ACTIONS(5759),
    [anon_sym_DOT_STAR] = ACTIONS(5761),
    [anon_sym_DASH_GT] = ACTIONS(5761),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5759),
    [anon_sym_decltype] = ACTIONS(5759),
  },
  [2704] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2749),
    [sym_identifier] = ACTIONS(5640),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5642),
    [anon_sym_COMMA] = ACTIONS(5642),
    [aux_sym_preproc_if_token2] = ACTIONS(5642),
    [aux_sym_preproc_else_token1] = ACTIONS(5642),
    [aux_sym_preproc_elif_token1] = ACTIONS(5640),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5642),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5642),
    [anon_sym_LPAREN2] = ACTIONS(5642),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_STAR] = ACTIONS(5640),
    [anon_sym_SLASH] = ACTIONS(5640),
    [anon_sym_PERCENT] = ACTIONS(5640),
    [anon_sym_PIPE_PIPE] = ACTIONS(5642),
    [anon_sym_AMP_AMP] = ACTIONS(5642),
    [anon_sym_PIPE] = ACTIONS(5640),
    [anon_sym_CARET] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(5640),
    [anon_sym_EQ_EQ] = ACTIONS(5642),
    [anon_sym_BANG_EQ] = ACTIONS(5642),
    [anon_sym_GT] = ACTIONS(5640),
    [anon_sym_GT_EQ] = ACTIONS(5642),
    [anon_sym_LT_EQ] = ACTIONS(5640),
    [anon_sym_LT] = ACTIONS(5640),
    [anon_sym_LT_LT] = ACTIONS(5640),
    [anon_sym_GT_GT] = ACTIONS(5640),
    [anon_sym___attribute__] = ACTIONS(5640),
    [anon_sym_LBRACE] = ACTIONS(5642),
    [anon_sym_signed] = ACTIONS(6165),
    [anon_sym_unsigned] = ACTIONS(6165),
    [anon_sym_long] = ACTIONS(6165),
    [anon_sym_short] = ACTIONS(6165),
    [anon_sym_LBRACK] = ACTIONS(5642),
    [anon_sym_EQ] = ACTIONS(5640),
    [anon_sym_QMARK] = ACTIONS(5642),
    [anon_sym_STAR_EQ] = ACTIONS(5642),
    [anon_sym_SLASH_EQ] = ACTIONS(5642),
    [anon_sym_PERCENT_EQ] = ACTIONS(5642),
    [anon_sym_PLUS_EQ] = ACTIONS(5642),
    [anon_sym_DASH_EQ] = ACTIONS(5642),
    [anon_sym_LT_LT_EQ] = ACTIONS(5642),
    [anon_sym_GT_GT_EQ] = ACTIONS(5642),
    [anon_sym_AMP_EQ] = ACTIONS(5642),
    [anon_sym_CARET_EQ] = ACTIONS(5642),
    [anon_sym_PIPE_EQ] = ACTIONS(5642),
    [anon_sym_and_eq] = ACTIONS(5640),
    [anon_sym_or_eq] = ACTIONS(5640),
    [anon_sym_xor_eq] = ACTIONS(5640),
    [anon_sym_LT_EQ_GT] = ACTIONS(5642),
    [anon_sym_or] = ACTIONS(5640),
    [anon_sym_and] = ACTIONS(5640),
    [anon_sym_bitor] = ACTIONS(5640),
    [anon_sym_xor] = ACTIONS(5640),
    [anon_sym_bitand] = ACTIONS(5640),
    [anon_sym_not_eq] = ACTIONS(5640),
    [anon_sym_DASH_DASH] = ACTIONS(5642),
    [anon_sym_PLUS_PLUS] = ACTIONS(5642),
    [anon_sym_DOT] = ACTIONS(5640),
    [anon_sym_DOT_STAR] = ACTIONS(5642),
    [anon_sym_DASH_GT] = ACTIONS(5642),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5640),
    [anon_sym_decltype] = ACTIONS(5640),
  },
  [2705] = {
    [sym_argument_list] = STATE(2945),
    [sym_initializer_list] = STATE(2945),
    [sym_identifier] = ACTIONS(6167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6169),
    [anon_sym_COMMA] = ACTIONS(6169),
    [anon_sym_RPAREN] = ACTIONS(6169),
    [aux_sym_preproc_if_token2] = ACTIONS(6169),
    [aux_sym_preproc_else_token1] = ACTIONS(6169),
    [aux_sym_preproc_elif_token1] = ACTIONS(6167),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6169),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6169),
    [anon_sym_LPAREN2] = ACTIONS(5791),
    [anon_sym_DASH] = ACTIONS(6167),
    [anon_sym_PLUS] = ACTIONS(6167),
    [anon_sym_STAR] = ACTIONS(6167),
    [anon_sym_SLASH] = ACTIONS(6167),
    [anon_sym_PERCENT] = ACTIONS(6167),
    [anon_sym_PIPE_PIPE] = ACTIONS(6169),
    [anon_sym_AMP_AMP] = ACTIONS(6169),
    [anon_sym_PIPE] = ACTIONS(6167),
    [anon_sym_CARET] = ACTIONS(6167),
    [anon_sym_AMP] = ACTIONS(6167),
    [anon_sym_EQ_EQ] = ACTIONS(6169),
    [anon_sym_BANG_EQ] = ACTIONS(6169),
    [anon_sym_GT] = ACTIONS(6167),
    [anon_sym_GT_EQ] = ACTIONS(6169),
    [anon_sym_LT_EQ] = ACTIONS(6167),
    [anon_sym_LT] = ACTIONS(6167),
    [anon_sym_LT_LT] = ACTIONS(6167),
    [anon_sym_GT_GT] = ACTIONS(6167),
    [anon_sym_SEMI] = ACTIONS(6169),
    [anon_sym___attribute__] = ACTIONS(6167),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_RBRACE] = ACTIONS(6169),
    [anon_sym_LBRACK] = ACTIONS(6169),
    [anon_sym_RBRACK] = ACTIONS(6169),
    [anon_sym_EQ] = ACTIONS(6167),
    [anon_sym_COLON] = ACTIONS(6169),
    [anon_sym_QMARK] = ACTIONS(6169),
    [anon_sym_STAR_EQ] = ACTIONS(6169),
    [anon_sym_SLASH_EQ] = ACTIONS(6169),
    [anon_sym_PERCENT_EQ] = ACTIONS(6169),
    [anon_sym_PLUS_EQ] = ACTIONS(6169),
    [anon_sym_DASH_EQ] = ACTIONS(6169),
    [anon_sym_LT_LT_EQ] = ACTIONS(6169),
    [anon_sym_GT_GT_EQ] = ACTIONS(6169),
    [anon_sym_AMP_EQ] = ACTIONS(6169),
    [anon_sym_CARET_EQ] = ACTIONS(6169),
    [anon_sym_PIPE_EQ] = ACTIONS(6169),
    [anon_sym_and_eq] = ACTIONS(6167),
    [anon_sym_or_eq] = ACTIONS(6167),
    [anon_sym_xor_eq] = ACTIONS(6167),
    [anon_sym_LT_EQ_GT] = ACTIONS(6169),
    [anon_sym_or] = ACTIONS(6167),
    [anon_sym_and] = ACTIONS(6167),
    [anon_sym_bitor] = ACTIONS(6167),
    [anon_sym_xor] = ACTIONS(6167),
    [anon_sym_bitand] = ACTIONS(6167),
    [anon_sym_not_eq] = ACTIONS(6167),
    [anon_sym_DASH_DASH] = ACTIONS(6169),
    [anon_sym_PLUS_PLUS] = ACTIONS(6169),
    [anon_sym_DOT] = ACTIONS(6167),
    [anon_sym_DOT_STAR] = ACTIONS(6169),
    [anon_sym_DASH_GT] = ACTIONS(6169),
    [sym_comment] = ACTIONS(3),
  },
  [2706] = {
    [sym_identifier] = ACTIONS(5658),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5660),
    [anon_sym_COMMA] = ACTIONS(5660),
    [anon_sym_RPAREN] = ACTIONS(5660),
    [aux_sym_preproc_if_token2] = ACTIONS(5660),
    [aux_sym_preproc_else_token1] = ACTIONS(5660),
    [aux_sym_preproc_elif_token1] = ACTIONS(5658),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5660),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5660),
    [anon_sym_LPAREN2] = ACTIONS(5660),
    [anon_sym_DASH] = ACTIONS(5658),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_STAR] = ACTIONS(5658),
    [anon_sym_SLASH] = ACTIONS(5658),
    [anon_sym_PERCENT] = ACTIONS(5658),
    [anon_sym_PIPE_PIPE] = ACTIONS(5660),
    [anon_sym_AMP_AMP] = ACTIONS(5660),
    [anon_sym_PIPE] = ACTIONS(5658),
    [anon_sym_CARET] = ACTIONS(5658),
    [anon_sym_AMP] = ACTIONS(5658),
    [anon_sym_EQ_EQ] = ACTIONS(5660),
    [anon_sym_BANG_EQ] = ACTIONS(5660),
    [anon_sym_GT] = ACTIONS(5658),
    [anon_sym_GT_EQ] = ACTIONS(5660),
    [anon_sym_LT_EQ] = ACTIONS(5658),
    [anon_sym_LT] = ACTIONS(5658),
    [anon_sym_LT_LT] = ACTIONS(5658),
    [anon_sym_GT_GT] = ACTIONS(5658),
    [anon_sym_SEMI] = ACTIONS(5660),
    [anon_sym___attribute__] = ACTIONS(5658),
    [anon_sym_LBRACE] = ACTIONS(5660),
    [anon_sym_RBRACE] = ACTIONS(5660),
    [anon_sym_LBRACK] = ACTIONS(5660),
    [anon_sym_RBRACK] = ACTIONS(5660),
    [anon_sym_EQ] = ACTIONS(5658),
    [anon_sym_COLON] = ACTIONS(5660),
    [anon_sym_QMARK] = ACTIONS(5660),
    [anon_sym_STAR_EQ] = ACTIONS(5660),
    [anon_sym_SLASH_EQ] = ACTIONS(5660),
    [anon_sym_PERCENT_EQ] = ACTIONS(5660),
    [anon_sym_PLUS_EQ] = ACTIONS(5660),
    [anon_sym_DASH_EQ] = ACTIONS(5660),
    [anon_sym_LT_LT_EQ] = ACTIONS(5660),
    [anon_sym_GT_GT_EQ] = ACTIONS(5660),
    [anon_sym_AMP_EQ] = ACTIONS(5660),
    [anon_sym_CARET_EQ] = ACTIONS(5660),
    [anon_sym_PIPE_EQ] = ACTIONS(5660),
    [anon_sym_and_eq] = ACTIONS(5658),
    [anon_sym_or_eq] = ACTIONS(5658),
    [anon_sym_xor_eq] = ACTIONS(5658),
    [anon_sym_LT_EQ_GT] = ACTIONS(5660),
    [anon_sym_or] = ACTIONS(5658),
    [anon_sym_and] = ACTIONS(5658),
    [anon_sym_bitor] = ACTIONS(5658),
    [anon_sym_xor] = ACTIONS(5658),
    [anon_sym_bitand] = ACTIONS(5658),
    [anon_sym_not_eq] = ACTIONS(5658),
    [anon_sym_DASH_DASH] = ACTIONS(5660),
    [anon_sym_PLUS_PLUS] = ACTIONS(5660),
    [anon_sym_DOT] = ACTIONS(5658),
    [anon_sym_DOT_STAR] = ACTIONS(5660),
    [anon_sym_DASH_GT] = ACTIONS(5660),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5658),
    [anon_sym_decltype] = ACTIONS(5658),
  },
  [2707] = {
    [sym_identifier] = ACTIONS(5666),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5668),
    [anon_sym_COMMA] = ACTIONS(5668),
    [anon_sym_RPAREN] = ACTIONS(5668),
    [aux_sym_preproc_if_token2] = ACTIONS(5668),
    [aux_sym_preproc_else_token1] = ACTIONS(5668),
    [aux_sym_preproc_elif_token1] = ACTIONS(5666),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5668),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5668),
    [anon_sym_LPAREN2] = ACTIONS(5668),
    [anon_sym_DASH] = ACTIONS(5666),
    [anon_sym_PLUS] = ACTIONS(5666),
    [anon_sym_STAR] = ACTIONS(5666),
    [anon_sym_SLASH] = ACTIONS(5666),
    [anon_sym_PERCENT] = ACTIONS(5666),
    [anon_sym_PIPE_PIPE] = ACTIONS(5668),
    [anon_sym_AMP_AMP] = ACTIONS(5668),
    [anon_sym_PIPE] = ACTIONS(5666),
    [anon_sym_CARET] = ACTIONS(5666),
    [anon_sym_AMP] = ACTIONS(5666),
    [anon_sym_EQ_EQ] = ACTIONS(5668),
    [anon_sym_BANG_EQ] = ACTIONS(5668),
    [anon_sym_GT] = ACTIONS(5666),
    [anon_sym_GT_EQ] = ACTIONS(5668),
    [anon_sym_LT_EQ] = ACTIONS(5666),
    [anon_sym_LT] = ACTIONS(5666),
    [anon_sym_LT_LT] = ACTIONS(5666),
    [anon_sym_GT_GT] = ACTIONS(5666),
    [anon_sym_SEMI] = ACTIONS(5668),
    [anon_sym___attribute__] = ACTIONS(5666),
    [anon_sym_LBRACE] = ACTIONS(5668),
    [anon_sym_RBRACE] = ACTIONS(5668),
    [anon_sym_LBRACK] = ACTIONS(5668),
    [anon_sym_RBRACK] = ACTIONS(5668),
    [anon_sym_EQ] = ACTIONS(5666),
    [anon_sym_COLON] = ACTIONS(5668),
    [anon_sym_QMARK] = ACTIONS(5668),
    [anon_sym_STAR_EQ] = ACTIONS(5668),
    [anon_sym_SLASH_EQ] = ACTIONS(5668),
    [anon_sym_PERCENT_EQ] = ACTIONS(5668),
    [anon_sym_PLUS_EQ] = ACTIONS(5668),
    [anon_sym_DASH_EQ] = ACTIONS(5668),
    [anon_sym_LT_LT_EQ] = ACTIONS(5668),
    [anon_sym_GT_GT_EQ] = ACTIONS(5668),
    [anon_sym_AMP_EQ] = ACTIONS(5668),
    [anon_sym_CARET_EQ] = ACTIONS(5668),
    [anon_sym_PIPE_EQ] = ACTIONS(5668),
    [anon_sym_and_eq] = ACTIONS(5666),
    [anon_sym_or_eq] = ACTIONS(5666),
    [anon_sym_xor_eq] = ACTIONS(5666),
    [anon_sym_LT_EQ_GT] = ACTIONS(5668),
    [anon_sym_or] = ACTIONS(5666),
    [anon_sym_and] = ACTIONS(5666),
    [anon_sym_bitor] = ACTIONS(5666),
    [anon_sym_xor] = ACTIONS(5666),
    [anon_sym_bitand] = ACTIONS(5666),
    [anon_sym_not_eq] = ACTIONS(5666),
    [anon_sym_DASH_DASH] = ACTIONS(5668),
    [anon_sym_PLUS_PLUS] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(5666),
    [anon_sym_DOT_STAR] = ACTIONS(5668),
    [anon_sym_DASH_GT] = ACTIONS(5668),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5666),
    [anon_sym_decltype] = ACTIONS(5666),
  },
  [2708] = {
    [sym_identifier] = ACTIONS(5783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5785),
    [anon_sym_COMMA] = ACTIONS(5785),
    [anon_sym_RPAREN] = ACTIONS(5785),
    [aux_sym_preproc_if_token2] = ACTIONS(5785),
    [aux_sym_preproc_else_token1] = ACTIONS(5785),
    [aux_sym_preproc_elif_token1] = ACTIONS(5783),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5785),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5785),
    [anon_sym_LPAREN2] = ACTIONS(5785),
    [anon_sym_DASH] = ACTIONS(5783),
    [anon_sym_PLUS] = ACTIONS(5783),
    [anon_sym_STAR] = ACTIONS(5783),
    [anon_sym_SLASH] = ACTIONS(5783),
    [anon_sym_PERCENT] = ACTIONS(5783),
    [anon_sym_PIPE_PIPE] = ACTIONS(5785),
    [anon_sym_AMP_AMP] = ACTIONS(5785),
    [anon_sym_PIPE] = ACTIONS(5783),
    [anon_sym_CARET] = ACTIONS(5783),
    [anon_sym_AMP] = ACTIONS(5783),
    [anon_sym_EQ_EQ] = ACTIONS(5785),
    [anon_sym_BANG_EQ] = ACTIONS(5785),
    [anon_sym_GT] = ACTIONS(5783),
    [anon_sym_GT_EQ] = ACTIONS(5785),
    [anon_sym_LT_EQ] = ACTIONS(5783),
    [anon_sym_LT] = ACTIONS(5783),
    [anon_sym_LT_LT] = ACTIONS(5783),
    [anon_sym_GT_GT] = ACTIONS(5783),
    [anon_sym_SEMI] = ACTIONS(5785),
    [anon_sym___attribute__] = ACTIONS(5783),
    [anon_sym_LBRACE] = ACTIONS(5785),
    [anon_sym_RBRACE] = ACTIONS(5785),
    [anon_sym_LBRACK] = ACTIONS(5785),
    [anon_sym_RBRACK] = ACTIONS(5785),
    [anon_sym_EQ] = ACTIONS(5783),
    [anon_sym_COLON] = ACTIONS(5785),
    [anon_sym_QMARK] = ACTIONS(5785),
    [anon_sym_STAR_EQ] = ACTIONS(5785),
    [anon_sym_SLASH_EQ] = ACTIONS(5785),
    [anon_sym_PERCENT_EQ] = ACTIONS(5785),
    [anon_sym_PLUS_EQ] = ACTIONS(5785),
    [anon_sym_DASH_EQ] = ACTIONS(5785),
    [anon_sym_LT_LT_EQ] = ACTIONS(5785),
    [anon_sym_GT_GT_EQ] = ACTIONS(5785),
    [anon_sym_AMP_EQ] = ACTIONS(5785),
    [anon_sym_CARET_EQ] = ACTIONS(5785),
    [anon_sym_PIPE_EQ] = ACTIONS(5785),
    [anon_sym_and_eq] = ACTIONS(5783),
    [anon_sym_or_eq] = ACTIONS(5783),
    [anon_sym_xor_eq] = ACTIONS(5783),
    [anon_sym_LT_EQ_GT] = ACTIONS(5785),
    [anon_sym_or] = ACTIONS(5783),
    [anon_sym_and] = ACTIONS(5783),
    [anon_sym_bitor] = ACTIONS(5783),
    [anon_sym_xor] = ACTIONS(5783),
    [anon_sym_bitand] = ACTIONS(5783),
    [anon_sym_not_eq] = ACTIONS(5783),
    [anon_sym_DASH_DASH] = ACTIONS(5785),
    [anon_sym_PLUS_PLUS] = ACTIONS(5785),
    [anon_sym_DOT] = ACTIONS(5783),
    [anon_sym_DOT_STAR] = ACTIONS(5785),
    [anon_sym_DASH_GT] = ACTIONS(5785),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5783),
    [anon_sym_decltype] = ACTIONS(5783),
  },
  [2709] = {
    [sym_identifier] = ACTIONS(6171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6173),
    [anon_sym_COMMA] = ACTIONS(6173),
    [anon_sym_RPAREN] = ACTIONS(6173),
    [aux_sym_preproc_if_token2] = ACTIONS(6173),
    [aux_sym_preproc_else_token1] = ACTIONS(6173),
    [aux_sym_preproc_elif_token1] = ACTIONS(6171),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6173),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6173),
    [anon_sym_LPAREN2] = ACTIONS(6173),
    [anon_sym_DASH] = ACTIONS(6171),
    [anon_sym_PLUS] = ACTIONS(6171),
    [anon_sym_STAR] = ACTIONS(6171),
    [anon_sym_SLASH] = ACTIONS(6171),
    [anon_sym_PERCENT] = ACTIONS(6171),
    [anon_sym_PIPE_PIPE] = ACTIONS(6173),
    [anon_sym_AMP_AMP] = ACTIONS(6173),
    [anon_sym_PIPE] = ACTIONS(6171),
    [anon_sym_CARET] = ACTIONS(6171),
    [anon_sym_AMP] = ACTIONS(6171),
    [anon_sym_EQ_EQ] = ACTIONS(6173),
    [anon_sym_BANG_EQ] = ACTIONS(6173),
    [anon_sym_GT] = ACTIONS(6171),
    [anon_sym_GT_EQ] = ACTIONS(6173),
    [anon_sym_LT_EQ] = ACTIONS(6171),
    [anon_sym_LT] = ACTIONS(6171),
    [anon_sym_LT_LT] = ACTIONS(6171),
    [anon_sym_GT_GT] = ACTIONS(6171),
    [anon_sym_SEMI] = ACTIONS(6173),
    [anon_sym___attribute__] = ACTIONS(6171),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6173),
    [anon_sym_LBRACE] = ACTIONS(6173),
    [anon_sym_RBRACE] = ACTIONS(6173),
    [anon_sym_LBRACK] = ACTIONS(6171),
    [anon_sym_RBRACK] = ACTIONS(6173),
    [anon_sym_EQ] = ACTIONS(6171),
    [anon_sym_COLON] = ACTIONS(6173),
    [anon_sym_QMARK] = ACTIONS(6173),
    [anon_sym_STAR_EQ] = ACTIONS(6173),
    [anon_sym_SLASH_EQ] = ACTIONS(6173),
    [anon_sym_PERCENT_EQ] = ACTIONS(6173),
    [anon_sym_PLUS_EQ] = ACTIONS(6173),
    [anon_sym_DASH_EQ] = ACTIONS(6173),
    [anon_sym_LT_LT_EQ] = ACTIONS(6173),
    [anon_sym_GT_GT_EQ] = ACTIONS(6173),
    [anon_sym_AMP_EQ] = ACTIONS(6173),
    [anon_sym_CARET_EQ] = ACTIONS(6173),
    [anon_sym_PIPE_EQ] = ACTIONS(6173),
    [anon_sym_and_eq] = ACTIONS(6171),
    [anon_sym_or_eq] = ACTIONS(6171),
    [anon_sym_xor_eq] = ACTIONS(6171),
    [anon_sym_LT_EQ_GT] = ACTIONS(6173),
    [anon_sym_or] = ACTIONS(6171),
    [anon_sym_and] = ACTIONS(6171),
    [anon_sym_bitor] = ACTIONS(6171),
    [anon_sym_xor] = ACTIONS(6171),
    [anon_sym_bitand] = ACTIONS(6171),
    [anon_sym_not_eq] = ACTIONS(6171),
    [anon_sym_DASH_DASH] = ACTIONS(6173),
    [anon_sym_PLUS_PLUS] = ACTIONS(6173),
    [anon_sym_DOT] = ACTIONS(6171),
    [anon_sym_DOT_STAR] = ACTIONS(6173),
    [anon_sym_DASH_GT] = ACTIONS(6173),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6171),
  },
  [2710] = {
    [sym_identifier] = ACTIONS(6175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6177),
    [anon_sym_COMMA] = ACTIONS(6177),
    [anon_sym_RPAREN] = ACTIONS(6177),
    [aux_sym_preproc_if_token2] = ACTIONS(6177),
    [aux_sym_preproc_else_token1] = ACTIONS(6177),
    [aux_sym_preproc_elif_token1] = ACTIONS(6175),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6177),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6177),
    [anon_sym_LPAREN2] = ACTIONS(6177),
    [anon_sym_DASH] = ACTIONS(6175),
    [anon_sym_PLUS] = ACTIONS(6175),
    [anon_sym_STAR] = ACTIONS(6175),
    [anon_sym_SLASH] = ACTIONS(6175),
    [anon_sym_PERCENT] = ACTIONS(6175),
    [anon_sym_PIPE_PIPE] = ACTIONS(6177),
    [anon_sym_AMP_AMP] = ACTIONS(6177),
    [anon_sym_PIPE] = ACTIONS(6175),
    [anon_sym_CARET] = ACTIONS(6175),
    [anon_sym_AMP] = ACTIONS(6175),
    [anon_sym_EQ_EQ] = ACTIONS(6177),
    [anon_sym_BANG_EQ] = ACTIONS(6177),
    [anon_sym_GT] = ACTIONS(6175),
    [anon_sym_GT_EQ] = ACTIONS(6177),
    [anon_sym_LT_EQ] = ACTIONS(6175),
    [anon_sym_LT] = ACTIONS(6175),
    [anon_sym_LT_LT] = ACTIONS(6175),
    [anon_sym_GT_GT] = ACTIONS(6175),
    [anon_sym_SEMI] = ACTIONS(6177),
    [anon_sym___attribute__] = ACTIONS(6175),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6177),
    [anon_sym_LBRACE] = ACTIONS(6177),
    [anon_sym_RBRACE] = ACTIONS(6177),
    [anon_sym_LBRACK] = ACTIONS(6175),
    [anon_sym_RBRACK] = ACTIONS(6177),
    [anon_sym_EQ] = ACTIONS(6175),
    [anon_sym_COLON] = ACTIONS(6177),
    [anon_sym_QMARK] = ACTIONS(6177),
    [anon_sym_STAR_EQ] = ACTIONS(6177),
    [anon_sym_SLASH_EQ] = ACTIONS(6177),
    [anon_sym_PERCENT_EQ] = ACTIONS(6177),
    [anon_sym_PLUS_EQ] = ACTIONS(6177),
    [anon_sym_DASH_EQ] = ACTIONS(6177),
    [anon_sym_LT_LT_EQ] = ACTIONS(6177),
    [anon_sym_GT_GT_EQ] = ACTIONS(6177),
    [anon_sym_AMP_EQ] = ACTIONS(6177),
    [anon_sym_CARET_EQ] = ACTIONS(6177),
    [anon_sym_PIPE_EQ] = ACTIONS(6177),
    [anon_sym_and_eq] = ACTIONS(6175),
    [anon_sym_or_eq] = ACTIONS(6175),
    [anon_sym_xor_eq] = ACTIONS(6175),
    [anon_sym_LT_EQ_GT] = ACTIONS(6177),
    [anon_sym_or] = ACTIONS(6175),
    [anon_sym_and] = ACTIONS(6175),
    [anon_sym_bitor] = ACTIONS(6175),
    [anon_sym_xor] = ACTIONS(6175),
    [anon_sym_bitand] = ACTIONS(6175),
    [anon_sym_not_eq] = ACTIONS(6175),
    [anon_sym_DASH_DASH] = ACTIONS(6177),
    [anon_sym_PLUS_PLUS] = ACTIONS(6177),
    [anon_sym_DOT] = ACTIONS(6175),
    [anon_sym_DOT_STAR] = ACTIONS(6177),
    [anon_sym_DASH_GT] = ACTIONS(6177),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6175),
  },
  [2711] = {
    [sym_template_argument_list] = STATE(2014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2810),
    [sym_identifier] = ACTIONS(5970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5972),
    [anon_sym_COMMA] = ACTIONS(5972),
    [aux_sym_preproc_if_token2] = ACTIONS(5972),
    [aux_sym_preproc_else_token1] = ACTIONS(5972),
    [aux_sym_preproc_elif_token1] = ACTIONS(5972),
    [anon_sym_LPAREN2] = ACTIONS(5972),
    [anon_sym_DASH] = ACTIONS(5970),
    [anon_sym_PLUS] = ACTIONS(5970),
    [anon_sym_STAR] = ACTIONS(5970),
    [anon_sym_SLASH] = ACTIONS(5970),
    [anon_sym_PERCENT] = ACTIONS(5970),
    [anon_sym_PIPE_PIPE] = ACTIONS(5972),
    [anon_sym_AMP_AMP] = ACTIONS(5972),
    [anon_sym_PIPE] = ACTIONS(5970),
    [anon_sym_CARET] = ACTIONS(5970),
    [anon_sym_AMP] = ACTIONS(5970),
    [anon_sym_EQ_EQ] = ACTIONS(5972),
    [anon_sym_BANG_EQ] = ACTIONS(5972),
    [anon_sym_GT] = ACTIONS(5970),
    [anon_sym_GT_EQ] = ACTIONS(5972),
    [anon_sym_LT_EQ] = ACTIONS(5970),
    [anon_sym_LT] = ACTIONS(5970),
    [anon_sym_LT_LT] = ACTIONS(5970),
    [anon_sym_GT_GT] = ACTIONS(5970),
    [anon_sym___attribute__] = ACTIONS(5970),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(5972),
    [anon_sym_signed] = ACTIONS(6179),
    [anon_sym_unsigned] = ACTIONS(6179),
    [anon_sym_long] = ACTIONS(6179),
    [anon_sym_short] = ACTIONS(6179),
    [anon_sym_LBRACK] = ACTIONS(5972),
    [anon_sym_EQ] = ACTIONS(5970),
    [anon_sym_QMARK] = ACTIONS(5972),
    [anon_sym_STAR_EQ] = ACTIONS(5972),
    [anon_sym_SLASH_EQ] = ACTIONS(5972),
    [anon_sym_PERCENT_EQ] = ACTIONS(5972),
    [anon_sym_PLUS_EQ] = ACTIONS(5972),
    [anon_sym_DASH_EQ] = ACTIONS(5972),
    [anon_sym_LT_LT_EQ] = ACTIONS(5972),
    [anon_sym_GT_GT_EQ] = ACTIONS(5972),
    [anon_sym_AMP_EQ] = ACTIONS(5972),
    [anon_sym_CARET_EQ] = ACTIONS(5972),
    [anon_sym_PIPE_EQ] = ACTIONS(5972),
    [anon_sym_and_eq] = ACTIONS(5970),
    [anon_sym_or_eq] = ACTIONS(5970),
    [anon_sym_xor_eq] = ACTIONS(5970),
    [anon_sym_LT_EQ_GT] = ACTIONS(5972),
    [anon_sym_or] = ACTIONS(5970),
    [anon_sym_and] = ACTIONS(5970),
    [anon_sym_bitor] = ACTIONS(5970),
    [anon_sym_xor] = ACTIONS(5970),
    [anon_sym_bitand] = ACTIONS(5970),
    [anon_sym_not_eq] = ACTIONS(5970),
    [anon_sym_DASH_DASH] = ACTIONS(5972),
    [anon_sym_PLUS_PLUS] = ACTIONS(5972),
    [anon_sym_DOT] = ACTIONS(5970),
    [anon_sym_DOT_STAR] = ACTIONS(5972),
    [anon_sym_DASH_GT] = ACTIONS(5972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5970),
    [anon_sym_decltype] = ACTIONS(5970),
  },
  [2712] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2719),
    [sym_identifier] = ACTIONS(6127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6125),
    [anon_sym_COMMA] = ACTIONS(6125),
    [aux_sym_preproc_if_token2] = ACTIONS(6125),
    [aux_sym_preproc_else_token1] = ACTIONS(6125),
    [aux_sym_preproc_elif_token1] = ACTIONS(6127),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6125),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6125),
    [anon_sym_LPAREN2] = ACTIONS(6125),
    [anon_sym_DASH] = ACTIONS(6127),
    [anon_sym_PLUS] = ACTIONS(6127),
    [anon_sym_STAR] = ACTIONS(6127),
    [anon_sym_SLASH] = ACTIONS(6127),
    [anon_sym_PERCENT] = ACTIONS(6127),
    [anon_sym_PIPE_PIPE] = ACTIONS(6125),
    [anon_sym_AMP_AMP] = ACTIONS(6125),
    [anon_sym_PIPE] = ACTIONS(6127),
    [anon_sym_CARET] = ACTIONS(6127),
    [anon_sym_AMP] = ACTIONS(6127),
    [anon_sym_EQ_EQ] = ACTIONS(6125),
    [anon_sym_BANG_EQ] = ACTIONS(6125),
    [anon_sym_GT] = ACTIONS(6127),
    [anon_sym_GT_EQ] = ACTIONS(6125),
    [anon_sym_LT_EQ] = ACTIONS(6127),
    [anon_sym_LT] = ACTIONS(6127),
    [anon_sym_LT_LT] = ACTIONS(6127),
    [anon_sym_GT_GT] = ACTIONS(6127),
    [anon_sym___attribute__] = ACTIONS(6127),
    [anon_sym_LBRACE] = ACTIONS(6125),
    [anon_sym_signed] = ACTIONS(6181),
    [anon_sym_unsigned] = ACTIONS(6181),
    [anon_sym_long] = ACTIONS(6181),
    [anon_sym_short] = ACTIONS(6181),
    [anon_sym_LBRACK] = ACTIONS(6125),
    [anon_sym_EQ] = ACTIONS(6127),
    [anon_sym_QMARK] = ACTIONS(6125),
    [anon_sym_STAR_EQ] = ACTIONS(6125),
    [anon_sym_SLASH_EQ] = ACTIONS(6125),
    [anon_sym_PERCENT_EQ] = ACTIONS(6125),
    [anon_sym_PLUS_EQ] = ACTIONS(6125),
    [anon_sym_DASH_EQ] = ACTIONS(6125),
    [anon_sym_LT_LT_EQ] = ACTIONS(6125),
    [anon_sym_GT_GT_EQ] = ACTIONS(6125),
    [anon_sym_AMP_EQ] = ACTIONS(6125),
    [anon_sym_CARET_EQ] = ACTIONS(6125),
    [anon_sym_PIPE_EQ] = ACTIONS(6125),
    [anon_sym_and_eq] = ACTIONS(6127),
    [anon_sym_or_eq] = ACTIONS(6127),
    [anon_sym_xor_eq] = ACTIONS(6127),
    [anon_sym_LT_EQ_GT] = ACTIONS(6125),
    [anon_sym_or] = ACTIONS(6127),
    [anon_sym_and] = ACTIONS(6127),
    [anon_sym_bitor] = ACTIONS(6127),
    [anon_sym_xor] = ACTIONS(6127),
    [anon_sym_bitand] = ACTIONS(6127),
    [anon_sym_not_eq] = ACTIONS(6127),
    [anon_sym_DASH_DASH] = ACTIONS(6125),
    [anon_sym_PLUS_PLUS] = ACTIONS(6125),
    [anon_sym_DOT] = ACTIONS(6127),
    [anon_sym_DOT_STAR] = ACTIONS(6125),
    [anon_sym_DASH_GT] = ACTIONS(6125),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6127),
    [anon_sym_decltype] = ACTIONS(6127),
  },
  [2713] = {
    [sym_identifier] = ACTIONS(5658),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5660),
    [anon_sym_COMMA] = ACTIONS(5660),
    [anon_sym_RPAREN] = ACTIONS(5660),
    [aux_sym_preproc_if_token2] = ACTIONS(5660),
    [aux_sym_preproc_else_token1] = ACTIONS(5660),
    [aux_sym_preproc_elif_token1] = ACTIONS(5658),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5660),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5660),
    [anon_sym_LPAREN2] = ACTIONS(5660),
    [anon_sym_DASH] = ACTIONS(5658),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_STAR] = ACTIONS(5658),
    [anon_sym_SLASH] = ACTIONS(5658),
    [anon_sym_PERCENT] = ACTIONS(5658),
    [anon_sym_PIPE_PIPE] = ACTIONS(5660),
    [anon_sym_AMP_AMP] = ACTIONS(5660),
    [anon_sym_PIPE] = ACTIONS(5658),
    [anon_sym_CARET] = ACTIONS(5658),
    [anon_sym_AMP] = ACTIONS(5658),
    [anon_sym_EQ_EQ] = ACTIONS(5660),
    [anon_sym_BANG_EQ] = ACTIONS(5660),
    [anon_sym_GT] = ACTIONS(5658),
    [anon_sym_GT_EQ] = ACTIONS(5660),
    [anon_sym_LT_EQ] = ACTIONS(5658),
    [anon_sym_LT] = ACTIONS(5658),
    [anon_sym_LT_LT] = ACTIONS(5658),
    [anon_sym_GT_GT] = ACTIONS(5658),
    [anon_sym_SEMI] = ACTIONS(5660),
    [anon_sym___attribute__] = ACTIONS(5658),
    [anon_sym_LBRACE] = ACTIONS(5660),
    [anon_sym_RBRACE] = ACTIONS(5660),
    [anon_sym_LBRACK] = ACTIONS(5660),
    [anon_sym_RBRACK] = ACTIONS(5660),
    [anon_sym_EQ] = ACTIONS(5658),
    [anon_sym_COLON] = ACTIONS(5660),
    [anon_sym_QMARK] = ACTIONS(5660),
    [anon_sym_STAR_EQ] = ACTIONS(5660),
    [anon_sym_SLASH_EQ] = ACTIONS(5660),
    [anon_sym_PERCENT_EQ] = ACTIONS(5660),
    [anon_sym_PLUS_EQ] = ACTIONS(5660),
    [anon_sym_DASH_EQ] = ACTIONS(5660),
    [anon_sym_LT_LT_EQ] = ACTIONS(5660),
    [anon_sym_GT_GT_EQ] = ACTIONS(5660),
    [anon_sym_AMP_EQ] = ACTIONS(5660),
    [anon_sym_CARET_EQ] = ACTIONS(5660),
    [anon_sym_PIPE_EQ] = ACTIONS(5660),
    [anon_sym_and_eq] = ACTIONS(5658),
    [anon_sym_or_eq] = ACTIONS(5658),
    [anon_sym_xor_eq] = ACTIONS(5658),
    [anon_sym_LT_EQ_GT] = ACTIONS(5660),
    [anon_sym_or] = ACTIONS(5658),
    [anon_sym_and] = ACTIONS(5658),
    [anon_sym_bitor] = ACTIONS(5658),
    [anon_sym_xor] = ACTIONS(5658),
    [anon_sym_bitand] = ACTIONS(5658),
    [anon_sym_not_eq] = ACTIONS(5658),
    [anon_sym_DASH_DASH] = ACTIONS(5660),
    [anon_sym_PLUS_PLUS] = ACTIONS(5660),
    [anon_sym_DOT] = ACTIONS(5658),
    [anon_sym_DOT_STAR] = ACTIONS(5660),
    [anon_sym_DASH_GT] = ACTIONS(5660),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5658),
    [anon_sym_decltype] = ACTIONS(5658),
  },
  [2714] = {
    [sym_identifier] = ACTIONS(5652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5654),
    [anon_sym_COMMA] = ACTIONS(5654),
    [anon_sym_RPAREN] = ACTIONS(5654),
    [aux_sym_preproc_if_token2] = ACTIONS(5654),
    [aux_sym_preproc_else_token1] = ACTIONS(5654),
    [aux_sym_preproc_elif_token1] = ACTIONS(5652),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5654),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5654),
    [anon_sym_LPAREN2] = ACTIONS(5654),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_STAR] = ACTIONS(5652),
    [anon_sym_SLASH] = ACTIONS(5652),
    [anon_sym_PERCENT] = ACTIONS(5652),
    [anon_sym_PIPE_PIPE] = ACTIONS(5654),
    [anon_sym_AMP_AMP] = ACTIONS(5654),
    [anon_sym_PIPE] = ACTIONS(5652),
    [anon_sym_CARET] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5654),
    [anon_sym_BANG_EQ] = ACTIONS(5654),
    [anon_sym_GT] = ACTIONS(5652),
    [anon_sym_GT_EQ] = ACTIONS(5654),
    [anon_sym_LT_EQ] = ACTIONS(5652),
    [anon_sym_LT] = ACTIONS(5652),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5652),
    [anon_sym_SEMI] = ACTIONS(5654),
    [anon_sym___attribute__] = ACTIONS(5652),
    [anon_sym_LBRACE] = ACTIONS(5654),
    [anon_sym_RBRACE] = ACTIONS(5654),
    [anon_sym_LBRACK] = ACTIONS(5654),
    [anon_sym_RBRACK] = ACTIONS(5654),
    [anon_sym_EQ] = ACTIONS(5652),
    [anon_sym_COLON] = ACTIONS(5654),
    [anon_sym_QMARK] = ACTIONS(5654),
    [anon_sym_STAR_EQ] = ACTIONS(5654),
    [anon_sym_SLASH_EQ] = ACTIONS(5654),
    [anon_sym_PERCENT_EQ] = ACTIONS(5654),
    [anon_sym_PLUS_EQ] = ACTIONS(5654),
    [anon_sym_DASH_EQ] = ACTIONS(5654),
    [anon_sym_LT_LT_EQ] = ACTIONS(5654),
    [anon_sym_GT_GT_EQ] = ACTIONS(5654),
    [anon_sym_AMP_EQ] = ACTIONS(5654),
    [anon_sym_CARET_EQ] = ACTIONS(5654),
    [anon_sym_PIPE_EQ] = ACTIONS(5654),
    [anon_sym_and_eq] = ACTIONS(5652),
    [anon_sym_or_eq] = ACTIONS(5652),
    [anon_sym_xor_eq] = ACTIONS(5652),
    [anon_sym_LT_EQ_GT] = ACTIONS(5654),
    [anon_sym_or] = ACTIONS(5652),
    [anon_sym_and] = ACTIONS(5652),
    [anon_sym_bitor] = ACTIONS(5652),
    [anon_sym_xor] = ACTIONS(5652),
    [anon_sym_bitand] = ACTIONS(5652),
    [anon_sym_not_eq] = ACTIONS(5652),
    [anon_sym_DASH_DASH] = ACTIONS(5654),
    [anon_sym_PLUS_PLUS] = ACTIONS(5654),
    [anon_sym_DOT] = ACTIONS(5652),
    [anon_sym_DOT_STAR] = ACTIONS(5654),
    [anon_sym_DASH_GT] = ACTIONS(5654),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5652),
    [anon_sym_decltype] = ACTIONS(5652),
  },
  [2715] = {
    [sym_identifier] = ACTIONS(5682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5684),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_RPAREN] = ACTIONS(5684),
    [aux_sym_preproc_if_token2] = ACTIONS(5684),
    [aux_sym_preproc_else_token1] = ACTIONS(5684),
    [aux_sym_preproc_elif_token1] = ACTIONS(5682),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5684),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5684),
    [anon_sym_LPAREN2] = ACTIONS(5684),
    [anon_sym_DASH] = ACTIONS(5682),
    [anon_sym_PLUS] = ACTIONS(5682),
    [anon_sym_STAR] = ACTIONS(5682),
    [anon_sym_SLASH] = ACTIONS(5682),
    [anon_sym_PERCENT] = ACTIONS(5682),
    [anon_sym_PIPE_PIPE] = ACTIONS(5684),
    [anon_sym_AMP_AMP] = ACTIONS(5684),
    [anon_sym_PIPE] = ACTIONS(5682),
    [anon_sym_CARET] = ACTIONS(5682),
    [anon_sym_AMP] = ACTIONS(5682),
    [anon_sym_EQ_EQ] = ACTIONS(5684),
    [anon_sym_BANG_EQ] = ACTIONS(5684),
    [anon_sym_GT] = ACTIONS(5682),
    [anon_sym_GT_EQ] = ACTIONS(5684),
    [anon_sym_LT_EQ] = ACTIONS(5682),
    [anon_sym_LT] = ACTIONS(5682),
    [anon_sym_LT_LT] = ACTIONS(5682),
    [anon_sym_GT_GT] = ACTIONS(5682),
    [anon_sym_SEMI] = ACTIONS(5684),
    [anon_sym___attribute__] = ACTIONS(5682),
    [anon_sym_LBRACE] = ACTIONS(5684),
    [anon_sym_RBRACE] = ACTIONS(5684),
    [anon_sym_LBRACK] = ACTIONS(5684),
    [anon_sym_RBRACK] = ACTIONS(5684),
    [anon_sym_EQ] = ACTIONS(5682),
    [anon_sym_COLON] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(5684),
    [anon_sym_STAR_EQ] = ACTIONS(5684),
    [anon_sym_SLASH_EQ] = ACTIONS(5684),
    [anon_sym_PERCENT_EQ] = ACTIONS(5684),
    [anon_sym_PLUS_EQ] = ACTIONS(5684),
    [anon_sym_DASH_EQ] = ACTIONS(5684),
    [anon_sym_LT_LT_EQ] = ACTIONS(5684),
    [anon_sym_GT_GT_EQ] = ACTIONS(5684),
    [anon_sym_AMP_EQ] = ACTIONS(5684),
    [anon_sym_CARET_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_and_eq] = ACTIONS(5682),
    [anon_sym_or_eq] = ACTIONS(5682),
    [anon_sym_xor_eq] = ACTIONS(5682),
    [anon_sym_LT_EQ_GT] = ACTIONS(5684),
    [anon_sym_or] = ACTIONS(5682),
    [anon_sym_and] = ACTIONS(5682),
    [anon_sym_bitor] = ACTIONS(5682),
    [anon_sym_xor] = ACTIONS(5682),
    [anon_sym_bitand] = ACTIONS(5682),
    [anon_sym_not_eq] = ACTIONS(5682),
    [anon_sym_DASH_DASH] = ACTIONS(5684),
    [anon_sym_PLUS_PLUS] = ACTIONS(5684),
    [anon_sym_DOT] = ACTIONS(5682),
    [anon_sym_DOT_STAR] = ACTIONS(5684),
    [anon_sym_DASH_GT] = ACTIONS(5684),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5682),
    [anon_sym_decltype] = ACTIONS(5682),
  },
  [2716] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2719),
    [sym_identifier] = ACTIONS(6123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6121),
    [anon_sym_COMMA] = ACTIONS(6121),
    [aux_sym_preproc_if_token2] = ACTIONS(6121),
    [aux_sym_preproc_else_token1] = ACTIONS(6121),
    [aux_sym_preproc_elif_token1] = ACTIONS(6123),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6121),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6121),
    [anon_sym_LPAREN2] = ACTIONS(6121),
    [anon_sym_DASH] = ACTIONS(6123),
    [anon_sym_PLUS] = ACTIONS(6123),
    [anon_sym_STAR] = ACTIONS(6123),
    [anon_sym_SLASH] = ACTIONS(6123),
    [anon_sym_PERCENT] = ACTIONS(6123),
    [anon_sym_PIPE_PIPE] = ACTIONS(6121),
    [anon_sym_AMP_AMP] = ACTIONS(6121),
    [anon_sym_PIPE] = ACTIONS(6123),
    [anon_sym_CARET] = ACTIONS(6123),
    [anon_sym_AMP] = ACTIONS(6123),
    [anon_sym_EQ_EQ] = ACTIONS(6121),
    [anon_sym_BANG_EQ] = ACTIONS(6121),
    [anon_sym_GT] = ACTIONS(6123),
    [anon_sym_GT_EQ] = ACTIONS(6121),
    [anon_sym_LT_EQ] = ACTIONS(6123),
    [anon_sym_LT] = ACTIONS(6123),
    [anon_sym_LT_LT] = ACTIONS(6123),
    [anon_sym_GT_GT] = ACTIONS(6123),
    [anon_sym___attribute__] = ACTIONS(6123),
    [anon_sym_LBRACE] = ACTIONS(6121),
    [anon_sym_signed] = ACTIONS(6181),
    [anon_sym_unsigned] = ACTIONS(6181),
    [anon_sym_long] = ACTIONS(6181),
    [anon_sym_short] = ACTIONS(6181),
    [anon_sym_LBRACK] = ACTIONS(6121),
    [anon_sym_EQ] = ACTIONS(6123),
    [anon_sym_QMARK] = ACTIONS(6121),
    [anon_sym_STAR_EQ] = ACTIONS(6121),
    [anon_sym_SLASH_EQ] = ACTIONS(6121),
    [anon_sym_PERCENT_EQ] = ACTIONS(6121),
    [anon_sym_PLUS_EQ] = ACTIONS(6121),
    [anon_sym_DASH_EQ] = ACTIONS(6121),
    [anon_sym_LT_LT_EQ] = ACTIONS(6121),
    [anon_sym_GT_GT_EQ] = ACTIONS(6121),
    [anon_sym_AMP_EQ] = ACTIONS(6121),
    [anon_sym_CARET_EQ] = ACTIONS(6121),
    [anon_sym_PIPE_EQ] = ACTIONS(6121),
    [anon_sym_and_eq] = ACTIONS(6123),
    [anon_sym_or_eq] = ACTIONS(6123),
    [anon_sym_xor_eq] = ACTIONS(6123),
    [anon_sym_LT_EQ_GT] = ACTIONS(6121),
    [anon_sym_or] = ACTIONS(6123),
    [anon_sym_and] = ACTIONS(6123),
    [anon_sym_bitor] = ACTIONS(6123),
    [anon_sym_xor] = ACTIONS(6123),
    [anon_sym_bitand] = ACTIONS(6123),
    [anon_sym_not_eq] = ACTIONS(6123),
    [anon_sym_DASH_DASH] = ACTIONS(6121),
    [anon_sym_PLUS_PLUS] = ACTIONS(6121),
    [anon_sym_DOT] = ACTIONS(6123),
    [anon_sym_DOT_STAR] = ACTIONS(6121),
    [anon_sym_DASH_GT] = ACTIONS(6121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6123),
    [anon_sym_decltype] = ACTIONS(6123),
  },
  [2717] = {
    [sym_identifier] = ACTIONS(6183),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6185),
    [anon_sym_COMMA] = ACTIONS(6185),
    [anon_sym_RPAREN] = ACTIONS(6185),
    [aux_sym_preproc_if_token2] = ACTIONS(6185),
    [aux_sym_preproc_else_token1] = ACTIONS(6185),
    [aux_sym_preproc_elif_token1] = ACTIONS(6183),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6185),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6185),
    [anon_sym_LPAREN2] = ACTIONS(6185),
    [anon_sym_DASH] = ACTIONS(6183),
    [anon_sym_PLUS] = ACTIONS(6183),
    [anon_sym_STAR] = ACTIONS(6183),
    [anon_sym_SLASH] = ACTIONS(6183),
    [anon_sym_PERCENT] = ACTIONS(6183),
    [anon_sym_PIPE_PIPE] = ACTIONS(6185),
    [anon_sym_AMP_AMP] = ACTIONS(6185),
    [anon_sym_PIPE] = ACTIONS(6183),
    [anon_sym_CARET] = ACTIONS(6183),
    [anon_sym_AMP] = ACTIONS(6183),
    [anon_sym_EQ_EQ] = ACTIONS(6185),
    [anon_sym_BANG_EQ] = ACTIONS(6185),
    [anon_sym_GT] = ACTIONS(6183),
    [anon_sym_GT_EQ] = ACTIONS(6185),
    [anon_sym_LT_EQ] = ACTIONS(6183),
    [anon_sym_LT] = ACTIONS(6183),
    [anon_sym_LT_LT] = ACTIONS(6183),
    [anon_sym_GT_GT] = ACTIONS(6183),
    [anon_sym_SEMI] = ACTIONS(6185),
    [anon_sym___attribute__] = ACTIONS(6183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6185),
    [anon_sym_LBRACE] = ACTIONS(6185),
    [anon_sym_RBRACE] = ACTIONS(6185),
    [anon_sym_LBRACK] = ACTIONS(6183),
    [anon_sym_RBRACK] = ACTIONS(6185),
    [anon_sym_EQ] = ACTIONS(6183),
    [anon_sym_COLON] = ACTIONS(6185),
    [anon_sym_QMARK] = ACTIONS(6185),
    [anon_sym_STAR_EQ] = ACTIONS(6185),
    [anon_sym_SLASH_EQ] = ACTIONS(6185),
    [anon_sym_PERCENT_EQ] = ACTIONS(6185),
    [anon_sym_PLUS_EQ] = ACTIONS(6185),
    [anon_sym_DASH_EQ] = ACTIONS(6185),
    [anon_sym_LT_LT_EQ] = ACTIONS(6185),
    [anon_sym_GT_GT_EQ] = ACTIONS(6185),
    [anon_sym_AMP_EQ] = ACTIONS(6185),
    [anon_sym_CARET_EQ] = ACTIONS(6185),
    [anon_sym_PIPE_EQ] = ACTIONS(6185),
    [anon_sym_and_eq] = ACTIONS(6183),
    [anon_sym_or_eq] = ACTIONS(6183),
    [anon_sym_xor_eq] = ACTIONS(6183),
    [anon_sym_LT_EQ_GT] = ACTIONS(6185),
    [anon_sym_or] = ACTIONS(6183),
    [anon_sym_and] = ACTIONS(6183),
    [anon_sym_bitor] = ACTIONS(6183),
    [anon_sym_xor] = ACTIONS(6183),
    [anon_sym_bitand] = ACTIONS(6183),
    [anon_sym_not_eq] = ACTIONS(6183),
    [anon_sym_DASH_DASH] = ACTIONS(6185),
    [anon_sym_PLUS_PLUS] = ACTIONS(6185),
    [anon_sym_DOT] = ACTIONS(6183),
    [anon_sym_DOT_STAR] = ACTIONS(6185),
    [anon_sym_DASH_GT] = ACTIONS(6185),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6183),
  },
  [2718] = {
    [sym_identifier] = ACTIONS(6187),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6189),
    [anon_sym_COMMA] = ACTIONS(6189),
    [anon_sym_RPAREN] = ACTIONS(6189),
    [aux_sym_preproc_if_token2] = ACTIONS(6189),
    [aux_sym_preproc_else_token1] = ACTIONS(6189),
    [aux_sym_preproc_elif_token1] = ACTIONS(6187),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6189),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6189),
    [anon_sym_LPAREN2] = ACTIONS(6189),
    [anon_sym_DASH] = ACTIONS(6187),
    [anon_sym_PLUS] = ACTIONS(6187),
    [anon_sym_STAR] = ACTIONS(6187),
    [anon_sym_SLASH] = ACTIONS(6187),
    [anon_sym_PERCENT] = ACTIONS(6187),
    [anon_sym_PIPE_PIPE] = ACTIONS(6189),
    [anon_sym_AMP_AMP] = ACTIONS(6189),
    [anon_sym_PIPE] = ACTIONS(6187),
    [anon_sym_CARET] = ACTIONS(6187),
    [anon_sym_AMP] = ACTIONS(6187),
    [anon_sym_EQ_EQ] = ACTIONS(6189),
    [anon_sym_BANG_EQ] = ACTIONS(6189),
    [anon_sym_GT] = ACTIONS(6187),
    [anon_sym_GT_EQ] = ACTIONS(6189),
    [anon_sym_LT_EQ] = ACTIONS(6187),
    [anon_sym_LT] = ACTIONS(6187),
    [anon_sym_LT_LT] = ACTIONS(6187),
    [anon_sym_GT_GT] = ACTIONS(6187),
    [anon_sym_SEMI] = ACTIONS(6189),
    [anon_sym___attribute__] = ACTIONS(6187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6189),
    [anon_sym_LBRACE] = ACTIONS(6189),
    [anon_sym_RBRACE] = ACTIONS(6189),
    [anon_sym_LBRACK] = ACTIONS(6187),
    [anon_sym_RBRACK] = ACTIONS(6189),
    [anon_sym_EQ] = ACTIONS(6187),
    [anon_sym_COLON] = ACTIONS(6189),
    [anon_sym_QMARK] = ACTIONS(6189),
    [anon_sym_STAR_EQ] = ACTIONS(6189),
    [anon_sym_SLASH_EQ] = ACTIONS(6189),
    [anon_sym_PERCENT_EQ] = ACTIONS(6189),
    [anon_sym_PLUS_EQ] = ACTIONS(6189),
    [anon_sym_DASH_EQ] = ACTIONS(6189),
    [anon_sym_LT_LT_EQ] = ACTIONS(6189),
    [anon_sym_GT_GT_EQ] = ACTIONS(6189),
    [anon_sym_AMP_EQ] = ACTIONS(6189),
    [anon_sym_CARET_EQ] = ACTIONS(6189),
    [anon_sym_PIPE_EQ] = ACTIONS(6189),
    [anon_sym_and_eq] = ACTIONS(6187),
    [anon_sym_or_eq] = ACTIONS(6187),
    [anon_sym_xor_eq] = ACTIONS(6187),
    [anon_sym_LT_EQ_GT] = ACTIONS(6189),
    [anon_sym_or] = ACTIONS(6187),
    [anon_sym_and] = ACTIONS(6187),
    [anon_sym_bitor] = ACTIONS(6187),
    [anon_sym_xor] = ACTIONS(6187),
    [anon_sym_bitand] = ACTIONS(6187),
    [anon_sym_not_eq] = ACTIONS(6187),
    [anon_sym_DASH_DASH] = ACTIONS(6189),
    [anon_sym_PLUS_PLUS] = ACTIONS(6189),
    [anon_sym_DOT] = ACTIONS(6187),
    [anon_sym_DOT_STAR] = ACTIONS(6189),
    [anon_sym_DASH_GT] = ACTIONS(6189),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6187),
  },
  [2719] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2719),
    [sym_identifier] = ACTIONS(5374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5376),
    [anon_sym_COMMA] = ACTIONS(5376),
    [aux_sym_preproc_if_token2] = ACTIONS(5376),
    [aux_sym_preproc_else_token1] = ACTIONS(5376),
    [aux_sym_preproc_elif_token1] = ACTIONS(5374),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5376),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5376),
    [anon_sym_LPAREN2] = ACTIONS(5376),
    [anon_sym_DASH] = ACTIONS(5374),
    [anon_sym_PLUS] = ACTIONS(5374),
    [anon_sym_STAR] = ACTIONS(5374),
    [anon_sym_SLASH] = ACTIONS(5374),
    [anon_sym_PERCENT] = ACTIONS(5374),
    [anon_sym_PIPE_PIPE] = ACTIONS(5376),
    [anon_sym_AMP_AMP] = ACTIONS(5376),
    [anon_sym_PIPE] = ACTIONS(5374),
    [anon_sym_CARET] = ACTIONS(5374),
    [anon_sym_AMP] = ACTIONS(5374),
    [anon_sym_EQ_EQ] = ACTIONS(5376),
    [anon_sym_BANG_EQ] = ACTIONS(5376),
    [anon_sym_GT] = ACTIONS(5374),
    [anon_sym_GT_EQ] = ACTIONS(5376),
    [anon_sym_LT_EQ] = ACTIONS(5374),
    [anon_sym_LT] = ACTIONS(5374),
    [anon_sym_LT_LT] = ACTIONS(5374),
    [anon_sym_GT_GT] = ACTIONS(5374),
    [anon_sym___attribute__] = ACTIONS(5374),
    [anon_sym_LBRACE] = ACTIONS(5376),
    [anon_sym_signed] = ACTIONS(6191),
    [anon_sym_unsigned] = ACTIONS(6191),
    [anon_sym_long] = ACTIONS(6191),
    [anon_sym_short] = ACTIONS(6191),
    [anon_sym_LBRACK] = ACTIONS(5376),
    [anon_sym_EQ] = ACTIONS(5374),
    [anon_sym_QMARK] = ACTIONS(5376),
    [anon_sym_STAR_EQ] = ACTIONS(5376),
    [anon_sym_SLASH_EQ] = ACTIONS(5376),
    [anon_sym_PERCENT_EQ] = ACTIONS(5376),
    [anon_sym_PLUS_EQ] = ACTIONS(5376),
    [anon_sym_DASH_EQ] = ACTIONS(5376),
    [anon_sym_LT_LT_EQ] = ACTIONS(5376),
    [anon_sym_GT_GT_EQ] = ACTIONS(5376),
    [anon_sym_AMP_EQ] = ACTIONS(5376),
    [anon_sym_CARET_EQ] = ACTIONS(5376),
    [anon_sym_PIPE_EQ] = ACTIONS(5376),
    [anon_sym_and_eq] = ACTIONS(5374),
    [anon_sym_or_eq] = ACTIONS(5374),
    [anon_sym_xor_eq] = ACTIONS(5374),
    [anon_sym_LT_EQ_GT] = ACTIONS(5376),
    [anon_sym_or] = ACTIONS(5374),
    [anon_sym_and] = ACTIONS(5374),
    [anon_sym_bitor] = ACTIONS(5374),
    [anon_sym_xor] = ACTIONS(5374),
    [anon_sym_bitand] = ACTIONS(5374),
    [anon_sym_not_eq] = ACTIONS(5374),
    [anon_sym_DASH_DASH] = ACTIONS(5376),
    [anon_sym_PLUS_PLUS] = ACTIONS(5376),
    [anon_sym_DOT] = ACTIONS(5374),
    [anon_sym_DOT_STAR] = ACTIONS(5376),
    [anon_sym_DASH_GT] = ACTIONS(5376),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5374),
    [anon_sym_decltype] = ACTIONS(5374),
  },
  [2720] = {
    [sym_identifier] = ACTIONS(5674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5676),
    [anon_sym_COMMA] = ACTIONS(5676),
    [anon_sym_RPAREN] = ACTIONS(5676),
    [aux_sym_preproc_if_token2] = ACTIONS(5676),
    [aux_sym_preproc_else_token1] = ACTIONS(5676),
    [aux_sym_preproc_elif_token1] = ACTIONS(5674),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5676),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5676),
    [anon_sym_LPAREN2] = ACTIONS(5676),
    [anon_sym_DASH] = ACTIONS(5674),
    [anon_sym_PLUS] = ACTIONS(5674),
    [anon_sym_STAR] = ACTIONS(5674),
    [anon_sym_SLASH] = ACTIONS(5674),
    [anon_sym_PERCENT] = ACTIONS(5674),
    [anon_sym_PIPE_PIPE] = ACTIONS(5676),
    [anon_sym_AMP_AMP] = ACTIONS(5676),
    [anon_sym_PIPE] = ACTIONS(5674),
    [anon_sym_CARET] = ACTIONS(5674),
    [anon_sym_AMP] = ACTIONS(5674),
    [anon_sym_EQ_EQ] = ACTIONS(5676),
    [anon_sym_BANG_EQ] = ACTIONS(5676),
    [anon_sym_GT] = ACTIONS(5674),
    [anon_sym_GT_EQ] = ACTIONS(5676),
    [anon_sym_LT_EQ] = ACTIONS(5674),
    [anon_sym_LT] = ACTIONS(5674),
    [anon_sym_LT_LT] = ACTIONS(5674),
    [anon_sym_GT_GT] = ACTIONS(5674),
    [anon_sym_SEMI] = ACTIONS(5676),
    [anon_sym___attribute__] = ACTIONS(5674),
    [anon_sym_LBRACE] = ACTIONS(5676),
    [anon_sym_RBRACE] = ACTIONS(5676),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_RBRACK] = ACTIONS(5676),
    [anon_sym_EQ] = ACTIONS(5674),
    [anon_sym_COLON] = ACTIONS(5676),
    [anon_sym_QMARK] = ACTIONS(5676),
    [anon_sym_STAR_EQ] = ACTIONS(5676),
    [anon_sym_SLASH_EQ] = ACTIONS(5676),
    [anon_sym_PERCENT_EQ] = ACTIONS(5676),
    [anon_sym_PLUS_EQ] = ACTIONS(5676),
    [anon_sym_DASH_EQ] = ACTIONS(5676),
    [anon_sym_LT_LT_EQ] = ACTIONS(5676),
    [anon_sym_GT_GT_EQ] = ACTIONS(5676),
    [anon_sym_AMP_EQ] = ACTIONS(5676),
    [anon_sym_CARET_EQ] = ACTIONS(5676),
    [anon_sym_PIPE_EQ] = ACTIONS(5676),
    [anon_sym_and_eq] = ACTIONS(5674),
    [anon_sym_or_eq] = ACTIONS(5674),
    [anon_sym_xor_eq] = ACTIONS(5674),
    [anon_sym_LT_EQ_GT] = ACTIONS(5676),
    [anon_sym_or] = ACTIONS(5674),
    [anon_sym_and] = ACTIONS(5674),
    [anon_sym_bitor] = ACTIONS(5674),
    [anon_sym_xor] = ACTIONS(5674),
    [anon_sym_bitand] = ACTIONS(5674),
    [anon_sym_not_eq] = ACTIONS(5674),
    [anon_sym_DASH_DASH] = ACTIONS(5676),
    [anon_sym_PLUS_PLUS] = ACTIONS(5676),
    [anon_sym_DOT] = ACTIONS(5674),
    [anon_sym_DOT_STAR] = ACTIONS(5676),
    [anon_sym_DASH_GT] = ACTIONS(5676),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5674),
    [anon_sym_decltype] = ACTIONS(5674),
  },
  [2721] = {
    [sym_identifier] = ACTIONS(5714),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5716),
    [anon_sym_COMMA] = ACTIONS(5716),
    [anon_sym_RPAREN] = ACTIONS(5716),
    [aux_sym_preproc_if_token2] = ACTIONS(5716),
    [aux_sym_preproc_else_token1] = ACTIONS(5716),
    [aux_sym_preproc_elif_token1] = ACTIONS(5714),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5716),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5716),
    [anon_sym_LPAREN2] = ACTIONS(5716),
    [anon_sym_DASH] = ACTIONS(5714),
    [anon_sym_PLUS] = ACTIONS(5714),
    [anon_sym_STAR] = ACTIONS(5714),
    [anon_sym_SLASH] = ACTIONS(5714),
    [anon_sym_PERCENT] = ACTIONS(5714),
    [anon_sym_PIPE_PIPE] = ACTIONS(5716),
    [anon_sym_AMP_AMP] = ACTIONS(5716),
    [anon_sym_PIPE] = ACTIONS(5714),
    [anon_sym_CARET] = ACTIONS(5714),
    [anon_sym_AMP] = ACTIONS(5714),
    [anon_sym_EQ_EQ] = ACTIONS(5716),
    [anon_sym_BANG_EQ] = ACTIONS(5716),
    [anon_sym_GT] = ACTIONS(5714),
    [anon_sym_GT_EQ] = ACTIONS(5716),
    [anon_sym_LT_EQ] = ACTIONS(5714),
    [anon_sym_LT] = ACTIONS(5714),
    [anon_sym_LT_LT] = ACTIONS(5714),
    [anon_sym_GT_GT] = ACTIONS(5714),
    [anon_sym_SEMI] = ACTIONS(5716),
    [anon_sym___attribute__] = ACTIONS(5714),
    [anon_sym_LBRACE] = ACTIONS(5716),
    [anon_sym_RBRACE] = ACTIONS(5716),
    [anon_sym_LBRACK] = ACTIONS(5716),
    [anon_sym_RBRACK] = ACTIONS(5716),
    [anon_sym_EQ] = ACTIONS(5714),
    [anon_sym_COLON] = ACTIONS(5716),
    [anon_sym_QMARK] = ACTIONS(5716),
    [anon_sym_STAR_EQ] = ACTIONS(5716),
    [anon_sym_SLASH_EQ] = ACTIONS(5716),
    [anon_sym_PERCENT_EQ] = ACTIONS(5716),
    [anon_sym_PLUS_EQ] = ACTIONS(5716),
    [anon_sym_DASH_EQ] = ACTIONS(5716),
    [anon_sym_LT_LT_EQ] = ACTIONS(5716),
    [anon_sym_GT_GT_EQ] = ACTIONS(5716),
    [anon_sym_AMP_EQ] = ACTIONS(5716),
    [anon_sym_CARET_EQ] = ACTIONS(5716),
    [anon_sym_PIPE_EQ] = ACTIONS(5716),
    [anon_sym_and_eq] = ACTIONS(5714),
    [anon_sym_or_eq] = ACTIONS(5714),
    [anon_sym_xor_eq] = ACTIONS(5714),
    [anon_sym_LT_EQ_GT] = ACTIONS(5716),
    [anon_sym_or] = ACTIONS(5714),
    [anon_sym_and] = ACTIONS(5714),
    [anon_sym_bitor] = ACTIONS(5714),
    [anon_sym_xor] = ACTIONS(5714),
    [anon_sym_bitand] = ACTIONS(5714),
    [anon_sym_not_eq] = ACTIONS(5714),
    [anon_sym_DASH_DASH] = ACTIONS(5716),
    [anon_sym_PLUS_PLUS] = ACTIONS(5716),
    [anon_sym_DOT] = ACTIONS(5714),
    [anon_sym_DOT_STAR] = ACTIONS(5716),
    [anon_sym_DASH_GT] = ACTIONS(5716),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5714),
    [anon_sym_decltype] = ACTIONS(5714),
  },
  [2722] = {
    [sym_identifier] = ACTIONS(5648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5650),
    [anon_sym_COMMA] = ACTIONS(5650),
    [anon_sym_RPAREN] = ACTIONS(5650),
    [aux_sym_preproc_if_token2] = ACTIONS(5650),
    [aux_sym_preproc_else_token1] = ACTIONS(5650),
    [aux_sym_preproc_elif_token1] = ACTIONS(5648),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5650),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5650),
    [anon_sym_LPAREN2] = ACTIONS(5650),
    [anon_sym_DASH] = ACTIONS(5648),
    [anon_sym_PLUS] = ACTIONS(5648),
    [anon_sym_STAR] = ACTIONS(5648),
    [anon_sym_SLASH] = ACTIONS(5648),
    [anon_sym_PERCENT] = ACTIONS(5648),
    [anon_sym_PIPE_PIPE] = ACTIONS(5650),
    [anon_sym_AMP_AMP] = ACTIONS(5650),
    [anon_sym_PIPE] = ACTIONS(5648),
    [anon_sym_CARET] = ACTIONS(5648),
    [anon_sym_AMP] = ACTIONS(5648),
    [anon_sym_EQ_EQ] = ACTIONS(5650),
    [anon_sym_BANG_EQ] = ACTIONS(5650),
    [anon_sym_GT] = ACTIONS(5648),
    [anon_sym_GT_EQ] = ACTIONS(5650),
    [anon_sym_LT_EQ] = ACTIONS(5648),
    [anon_sym_LT] = ACTIONS(5648),
    [anon_sym_LT_LT] = ACTIONS(5648),
    [anon_sym_GT_GT] = ACTIONS(5648),
    [anon_sym_SEMI] = ACTIONS(5650),
    [anon_sym___attribute__] = ACTIONS(5648),
    [anon_sym_LBRACE] = ACTIONS(5650),
    [anon_sym_RBRACE] = ACTIONS(5650),
    [anon_sym_LBRACK] = ACTIONS(5650),
    [anon_sym_RBRACK] = ACTIONS(5650),
    [anon_sym_EQ] = ACTIONS(5648),
    [anon_sym_COLON] = ACTIONS(5650),
    [anon_sym_QMARK] = ACTIONS(5650),
    [anon_sym_STAR_EQ] = ACTIONS(5650),
    [anon_sym_SLASH_EQ] = ACTIONS(5650),
    [anon_sym_PERCENT_EQ] = ACTIONS(5650),
    [anon_sym_PLUS_EQ] = ACTIONS(5650),
    [anon_sym_DASH_EQ] = ACTIONS(5650),
    [anon_sym_LT_LT_EQ] = ACTIONS(5650),
    [anon_sym_GT_GT_EQ] = ACTIONS(5650),
    [anon_sym_AMP_EQ] = ACTIONS(5650),
    [anon_sym_CARET_EQ] = ACTIONS(5650),
    [anon_sym_PIPE_EQ] = ACTIONS(5650),
    [anon_sym_and_eq] = ACTIONS(5648),
    [anon_sym_or_eq] = ACTIONS(5648),
    [anon_sym_xor_eq] = ACTIONS(5648),
    [anon_sym_LT_EQ_GT] = ACTIONS(5650),
    [anon_sym_or] = ACTIONS(5648),
    [anon_sym_and] = ACTIONS(5648),
    [anon_sym_bitor] = ACTIONS(5648),
    [anon_sym_xor] = ACTIONS(5648),
    [anon_sym_bitand] = ACTIONS(5648),
    [anon_sym_not_eq] = ACTIONS(5648),
    [anon_sym_DASH_DASH] = ACTIONS(5650),
    [anon_sym_PLUS_PLUS] = ACTIONS(5650),
    [anon_sym_DOT] = ACTIONS(5648),
    [anon_sym_DOT_STAR] = ACTIONS(5650),
    [anon_sym_DASH_GT] = ACTIONS(5650),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5648),
    [anon_sym_decltype] = ACTIONS(5648),
  },
  [2723] = {
    [sym_identifier] = ACTIONS(5644),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5646),
    [anon_sym_COMMA] = ACTIONS(5646),
    [anon_sym_RPAREN] = ACTIONS(5646),
    [aux_sym_preproc_if_token2] = ACTIONS(5646),
    [aux_sym_preproc_else_token1] = ACTIONS(5646),
    [aux_sym_preproc_elif_token1] = ACTIONS(5644),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5646),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5646),
    [anon_sym_LPAREN2] = ACTIONS(5646),
    [anon_sym_DASH] = ACTIONS(5644),
    [anon_sym_PLUS] = ACTIONS(5644),
    [anon_sym_STAR] = ACTIONS(5644),
    [anon_sym_SLASH] = ACTIONS(5644),
    [anon_sym_PERCENT] = ACTIONS(5644),
    [anon_sym_PIPE_PIPE] = ACTIONS(5646),
    [anon_sym_AMP_AMP] = ACTIONS(5646),
    [anon_sym_PIPE] = ACTIONS(5644),
    [anon_sym_CARET] = ACTIONS(5644),
    [anon_sym_AMP] = ACTIONS(5644),
    [anon_sym_EQ_EQ] = ACTIONS(5646),
    [anon_sym_BANG_EQ] = ACTIONS(5646),
    [anon_sym_GT] = ACTIONS(5644),
    [anon_sym_GT_EQ] = ACTIONS(5646),
    [anon_sym_LT_EQ] = ACTIONS(5644),
    [anon_sym_LT] = ACTIONS(5644),
    [anon_sym_LT_LT] = ACTIONS(5644),
    [anon_sym_GT_GT] = ACTIONS(5644),
    [anon_sym_SEMI] = ACTIONS(5646),
    [anon_sym___attribute__] = ACTIONS(5644),
    [anon_sym_LBRACE] = ACTIONS(5646),
    [anon_sym_RBRACE] = ACTIONS(5646),
    [anon_sym_LBRACK] = ACTIONS(5646),
    [anon_sym_RBRACK] = ACTIONS(5646),
    [anon_sym_EQ] = ACTIONS(5644),
    [anon_sym_COLON] = ACTIONS(5646),
    [anon_sym_QMARK] = ACTIONS(5646),
    [anon_sym_STAR_EQ] = ACTIONS(5646),
    [anon_sym_SLASH_EQ] = ACTIONS(5646),
    [anon_sym_PERCENT_EQ] = ACTIONS(5646),
    [anon_sym_PLUS_EQ] = ACTIONS(5646),
    [anon_sym_DASH_EQ] = ACTIONS(5646),
    [anon_sym_LT_LT_EQ] = ACTIONS(5646),
    [anon_sym_GT_GT_EQ] = ACTIONS(5646),
    [anon_sym_AMP_EQ] = ACTIONS(5646),
    [anon_sym_CARET_EQ] = ACTIONS(5646),
    [anon_sym_PIPE_EQ] = ACTIONS(5646),
    [anon_sym_and_eq] = ACTIONS(5644),
    [anon_sym_or_eq] = ACTIONS(5644),
    [anon_sym_xor_eq] = ACTIONS(5644),
    [anon_sym_LT_EQ_GT] = ACTIONS(5646),
    [anon_sym_or] = ACTIONS(5644),
    [anon_sym_and] = ACTIONS(5644),
    [anon_sym_bitor] = ACTIONS(5644),
    [anon_sym_xor] = ACTIONS(5644),
    [anon_sym_bitand] = ACTIONS(5644),
    [anon_sym_not_eq] = ACTIONS(5644),
    [anon_sym_DASH_DASH] = ACTIONS(5646),
    [anon_sym_PLUS_PLUS] = ACTIONS(5646),
    [anon_sym_DOT] = ACTIONS(5644),
    [anon_sym_DOT_STAR] = ACTIONS(5646),
    [anon_sym_DASH_GT] = ACTIONS(5646),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5644),
    [anon_sym_decltype] = ACTIONS(5644),
  },
  [2724] = {
    [sym_string_literal] = STATE(2550),
    [sym_raw_string_literal] = STATE(2550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5806),
    [anon_sym_COMMA] = ACTIONS(5806),
    [anon_sym_LPAREN2] = ACTIONS(5806),
    [anon_sym_DASH] = ACTIONS(5804),
    [anon_sym_PLUS] = ACTIONS(5804),
    [anon_sym_STAR] = ACTIONS(5804),
    [anon_sym_SLASH] = ACTIONS(5804),
    [anon_sym_PERCENT] = ACTIONS(5804),
    [anon_sym_PIPE_PIPE] = ACTIONS(5806),
    [anon_sym_AMP_AMP] = ACTIONS(5806),
    [anon_sym_PIPE] = ACTIONS(5804),
    [anon_sym_CARET] = ACTIONS(5804),
    [anon_sym_AMP] = ACTIONS(5804),
    [anon_sym_EQ_EQ] = ACTIONS(5806),
    [anon_sym_BANG_EQ] = ACTIONS(5806),
    [anon_sym_GT] = ACTIONS(5804),
    [anon_sym_GT_EQ] = ACTIONS(5806),
    [anon_sym_LT_EQ] = ACTIONS(5804),
    [anon_sym_LT] = ACTIONS(5804),
    [anon_sym_LT_LT] = ACTIONS(5804),
    [anon_sym_GT_GT] = ACTIONS(5804),
    [anon_sym_SEMI] = ACTIONS(5806),
    [anon_sym___attribute__] = ACTIONS(5804),
    [anon_sym_LBRACK] = ACTIONS(5806),
    [anon_sym_EQ] = ACTIONS(5804),
    [anon_sym_QMARK] = ACTIONS(5806),
    [anon_sym_STAR_EQ] = ACTIONS(5806),
    [anon_sym_SLASH_EQ] = ACTIONS(5806),
    [anon_sym_PERCENT_EQ] = ACTIONS(5806),
    [anon_sym_PLUS_EQ] = ACTIONS(5806),
    [anon_sym_DASH_EQ] = ACTIONS(5806),
    [anon_sym_LT_LT_EQ] = ACTIONS(5806),
    [anon_sym_GT_GT_EQ] = ACTIONS(5806),
    [anon_sym_AMP_EQ] = ACTIONS(5806),
    [anon_sym_CARET_EQ] = ACTIONS(5806),
    [anon_sym_PIPE_EQ] = ACTIONS(5806),
    [anon_sym_and_eq] = ACTIONS(5804),
    [anon_sym_or_eq] = ACTIONS(5804),
    [anon_sym_xor_eq] = ACTIONS(5804),
    [anon_sym_LT_EQ_GT] = ACTIONS(5806),
    [anon_sym_or] = ACTIONS(5804),
    [anon_sym_and] = ACTIONS(5804),
    [anon_sym_bitor] = ACTIONS(5804),
    [anon_sym_xor] = ACTIONS(5804),
    [anon_sym_bitand] = ACTIONS(5804),
    [anon_sym_not_eq] = ACTIONS(5804),
    [anon_sym_DASH_DASH] = ACTIONS(5806),
    [anon_sym_PLUS_PLUS] = ACTIONS(5806),
    [anon_sym_DOT] = ACTIONS(5804),
    [anon_sym_DOT_STAR] = ACTIONS(5806),
    [anon_sym_DASH_GT] = ACTIONS(5806),
    [anon_sym_L_DQUOTE] = ACTIONS(5934),
    [anon_sym_u_DQUOTE] = ACTIONS(5934),
    [anon_sym_U_DQUOTE] = ACTIONS(5934),
    [anon_sym_u8_DQUOTE] = ACTIONS(5934),
    [anon_sym_DQUOTE] = ACTIONS(5934),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5936),
    [anon_sym_LR_DQUOTE] = ACTIONS(5936),
    [anon_sym_uR_DQUOTE] = ACTIONS(5936),
    [anon_sym_UR_DQUOTE] = ACTIONS(5936),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5936),
    [sym_literal_suffix] = ACTIONS(5802),
  },
  [2725] = {
    [sym_identifier] = ACTIONS(5693),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5695),
    [anon_sym_COMMA] = ACTIONS(5695),
    [anon_sym_RPAREN] = ACTIONS(5695),
    [aux_sym_preproc_if_token2] = ACTIONS(5695),
    [aux_sym_preproc_else_token1] = ACTIONS(5695),
    [aux_sym_preproc_elif_token1] = ACTIONS(5693),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5695),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5695),
    [anon_sym_LPAREN2] = ACTIONS(5695),
    [anon_sym_DASH] = ACTIONS(5693),
    [anon_sym_PLUS] = ACTIONS(5693),
    [anon_sym_STAR] = ACTIONS(5693),
    [anon_sym_SLASH] = ACTIONS(5693),
    [anon_sym_PERCENT] = ACTIONS(5693),
    [anon_sym_PIPE_PIPE] = ACTIONS(5695),
    [anon_sym_AMP_AMP] = ACTIONS(5695),
    [anon_sym_PIPE] = ACTIONS(5693),
    [anon_sym_CARET] = ACTIONS(5693),
    [anon_sym_AMP] = ACTIONS(5693),
    [anon_sym_EQ_EQ] = ACTIONS(5695),
    [anon_sym_BANG_EQ] = ACTIONS(5695),
    [anon_sym_GT] = ACTIONS(5693),
    [anon_sym_GT_EQ] = ACTIONS(5695),
    [anon_sym_LT_EQ] = ACTIONS(5693),
    [anon_sym_LT] = ACTIONS(5693),
    [anon_sym_LT_LT] = ACTIONS(5693),
    [anon_sym_GT_GT] = ACTIONS(5693),
    [anon_sym_SEMI] = ACTIONS(5695),
    [anon_sym___attribute__] = ACTIONS(5693),
    [anon_sym_LBRACE] = ACTIONS(5695),
    [anon_sym_RBRACE] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5695),
    [anon_sym_RBRACK] = ACTIONS(5695),
    [anon_sym_EQ] = ACTIONS(5693),
    [anon_sym_COLON] = ACTIONS(5695),
    [anon_sym_QMARK] = ACTIONS(5695),
    [anon_sym_STAR_EQ] = ACTIONS(5695),
    [anon_sym_SLASH_EQ] = ACTIONS(5695),
    [anon_sym_PERCENT_EQ] = ACTIONS(5695),
    [anon_sym_PLUS_EQ] = ACTIONS(5695),
    [anon_sym_DASH_EQ] = ACTIONS(5695),
    [anon_sym_LT_LT_EQ] = ACTIONS(5695),
    [anon_sym_GT_GT_EQ] = ACTIONS(5695),
    [anon_sym_AMP_EQ] = ACTIONS(5695),
    [anon_sym_CARET_EQ] = ACTIONS(5695),
    [anon_sym_PIPE_EQ] = ACTIONS(5695),
    [anon_sym_and_eq] = ACTIONS(5693),
    [anon_sym_or_eq] = ACTIONS(5693),
    [anon_sym_xor_eq] = ACTIONS(5693),
    [anon_sym_LT_EQ_GT] = ACTIONS(5695),
    [anon_sym_or] = ACTIONS(5693),
    [anon_sym_and] = ACTIONS(5693),
    [anon_sym_bitor] = ACTIONS(5693),
    [anon_sym_xor] = ACTIONS(5693),
    [anon_sym_bitand] = ACTIONS(5693),
    [anon_sym_not_eq] = ACTIONS(5693),
    [anon_sym_DASH_DASH] = ACTIONS(5695),
    [anon_sym_PLUS_PLUS] = ACTIONS(5695),
    [anon_sym_DOT] = ACTIONS(5693),
    [anon_sym_DOT_STAR] = ACTIONS(5695),
    [anon_sym_DASH_GT] = ACTIONS(5695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5693),
    [anon_sym_decltype] = ACTIONS(5693),
  },
  [2726] = {
    [sym_identifier] = ACTIONS(5722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5724),
    [anon_sym_COMMA] = ACTIONS(5724),
    [anon_sym_RPAREN] = ACTIONS(5724),
    [aux_sym_preproc_if_token2] = ACTIONS(5724),
    [aux_sym_preproc_else_token1] = ACTIONS(5724),
    [aux_sym_preproc_elif_token1] = ACTIONS(5722),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5724),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5724),
    [anon_sym_LPAREN2] = ACTIONS(5724),
    [anon_sym_DASH] = ACTIONS(5722),
    [anon_sym_PLUS] = ACTIONS(5722),
    [anon_sym_STAR] = ACTIONS(5722),
    [anon_sym_SLASH] = ACTIONS(5722),
    [anon_sym_PERCENT] = ACTIONS(5722),
    [anon_sym_PIPE_PIPE] = ACTIONS(5724),
    [anon_sym_AMP_AMP] = ACTIONS(5724),
    [anon_sym_PIPE] = ACTIONS(5722),
    [anon_sym_CARET] = ACTIONS(5722),
    [anon_sym_AMP] = ACTIONS(5722),
    [anon_sym_EQ_EQ] = ACTIONS(5724),
    [anon_sym_BANG_EQ] = ACTIONS(5724),
    [anon_sym_GT] = ACTIONS(5722),
    [anon_sym_GT_EQ] = ACTIONS(5724),
    [anon_sym_LT_EQ] = ACTIONS(5722),
    [anon_sym_LT] = ACTIONS(5722),
    [anon_sym_LT_LT] = ACTIONS(5722),
    [anon_sym_GT_GT] = ACTIONS(5722),
    [anon_sym_SEMI] = ACTIONS(5724),
    [anon_sym___attribute__] = ACTIONS(5722),
    [anon_sym_LBRACE] = ACTIONS(5724),
    [anon_sym_RBRACE] = ACTIONS(5724),
    [anon_sym_LBRACK] = ACTIONS(5724),
    [anon_sym_RBRACK] = ACTIONS(5724),
    [anon_sym_EQ] = ACTIONS(5722),
    [anon_sym_COLON] = ACTIONS(5724),
    [anon_sym_QMARK] = ACTIONS(5724),
    [anon_sym_STAR_EQ] = ACTIONS(5724),
    [anon_sym_SLASH_EQ] = ACTIONS(5724),
    [anon_sym_PERCENT_EQ] = ACTIONS(5724),
    [anon_sym_PLUS_EQ] = ACTIONS(5724),
    [anon_sym_DASH_EQ] = ACTIONS(5724),
    [anon_sym_LT_LT_EQ] = ACTIONS(5724),
    [anon_sym_GT_GT_EQ] = ACTIONS(5724),
    [anon_sym_AMP_EQ] = ACTIONS(5724),
    [anon_sym_CARET_EQ] = ACTIONS(5724),
    [anon_sym_PIPE_EQ] = ACTIONS(5724),
    [anon_sym_and_eq] = ACTIONS(5722),
    [anon_sym_or_eq] = ACTIONS(5722),
    [anon_sym_xor_eq] = ACTIONS(5722),
    [anon_sym_LT_EQ_GT] = ACTIONS(5724),
    [anon_sym_or] = ACTIONS(5722),
    [anon_sym_and] = ACTIONS(5722),
    [anon_sym_bitor] = ACTIONS(5722),
    [anon_sym_xor] = ACTIONS(5722),
    [anon_sym_bitand] = ACTIONS(5722),
    [anon_sym_not_eq] = ACTIONS(5722),
    [anon_sym_DASH_DASH] = ACTIONS(5724),
    [anon_sym_PLUS_PLUS] = ACTIONS(5724),
    [anon_sym_DOT] = ACTIONS(5722),
    [anon_sym_DOT_STAR] = ACTIONS(5724),
    [anon_sym_DASH_GT] = ACTIONS(5724),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5722),
    [anon_sym_decltype] = ACTIONS(5722),
  },
  [2727] = {
    [sym_identifier] = ACTIONS(5640),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5642),
    [anon_sym_COMMA] = ACTIONS(5642),
    [anon_sym_RPAREN] = ACTIONS(5642),
    [aux_sym_preproc_if_token2] = ACTIONS(5642),
    [aux_sym_preproc_else_token1] = ACTIONS(5642),
    [aux_sym_preproc_elif_token1] = ACTIONS(5640),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5642),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5642),
    [anon_sym_LPAREN2] = ACTIONS(5642),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_STAR] = ACTIONS(5640),
    [anon_sym_SLASH] = ACTIONS(5640),
    [anon_sym_PERCENT] = ACTIONS(5640),
    [anon_sym_PIPE_PIPE] = ACTIONS(5642),
    [anon_sym_AMP_AMP] = ACTIONS(5642),
    [anon_sym_PIPE] = ACTIONS(5640),
    [anon_sym_CARET] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(5640),
    [anon_sym_EQ_EQ] = ACTIONS(5642),
    [anon_sym_BANG_EQ] = ACTIONS(5642),
    [anon_sym_GT] = ACTIONS(5640),
    [anon_sym_GT_EQ] = ACTIONS(5642),
    [anon_sym_LT_EQ] = ACTIONS(5640),
    [anon_sym_LT] = ACTIONS(5640),
    [anon_sym_LT_LT] = ACTIONS(5640),
    [anon_sym_GT_GT] = ACTIONS(5640),
    [anon_sym_SEMI] = ACTIONS(5642),
    [anon_sym___attribute__] = ACTIONS(5640),
    [anon_sym_LBRACE] = ACTIONS(5642),
    [anon_sym_RBRACE] = ACTIONS(5642),
    [anon_sym_LBRACK] = ACTIONS(5642),
    [anon_sym_RBRACK] = ACTIONS(5642),
    [anon_sym_EQ] = ACTIONS(5640),
    [anon_sym_COLON] = ACTIONS(5642),
    [anon_sym_QMARK] = ACTIONS(5642),
    [anon_sym_STAR_EQ] = ACTIONS(5642),
    [anon_sym_SLASH_EQ] = ACTIONS(5642),
    [anon_sym_PERCENT_EQ] = ACTIONS(5642),
    [anon_sym_PLUS_EQ] = ACTIONS(5642),
    [anon_sym_DASH_EQ] = ACTIONS(5642),
    [anon_sym_LT_LT_EQ] = ACTIONS(5642),
    [anon_sym_GT_GT_EQ] = ACTIONS(5642),
    [anon_sym_AMP_EQ] = ACTIONS(5642),
    [anon_sym_CARET_EQ] = ACTIONS(5642),
    [anon_sym_PIPE_EQ] = ACTIONS(5642),
    [anon_sym_and_eq] = ACTIONS(5640),
    [anon_sym_or_eq] = ACTIONS(5640),
    [anon_sym_xor_eq] = ACTIONS(5640),
    [anon_sym_LT_EQ_GT] = ACTIONS(5642),
    [anon_sym_or] = ACTIONS(5640),
    [anon_sym_and] = ACTIONS(5640),
    [anon_sym_bitor] = ACTIONS(5640),
    [anon_sym_xor] = ACTIONS(5640),
    [anon_sym_bitand] = ACTIONS(5640),
    [anon_sym_not_eq] = ACTIONS(5640),
    [anon_sym_DASH_DASH] = ACTIONS(5642),
    [anon_sym_PLUS_PLUS] = ACTIONS(5642),
    [anon_sym_DOT] = ACTIONS(5640),
    [anon_sym_DOT_STAR] = ACTIONS(5642),
    [anon_sym_DASH_GT] = ACTIONS(5642),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5640),
    [anon_sym_decltype] = ACTIONS(5640),
  },
  [2728] = {
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5712),
    [anon_sym_COMMA] = ACTIONS(5712),
    [anon_sym_RPAREN] = ACTIONS(5712),
    [aux_sym_preproc_if_token2] = ACTIONS(5712),
    [aux_sym_preproc_else_token1] = ACTIONS(5712),
    [aux_sym_preproc_elif_token1] = ACTIONS(5710),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5712),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_DASH] = ACTIONS(5710),
    [anon_sym_PLUS] = ACTIONS(5710),
    [anon_sym_STAR] = ACTIONS(5710),
    [anon_sym_SLASH] = ACTIONS(5710),
    [anon_sym_PERCENT] = ACTIONS(5710),
    [anon_sym_PIPE_PIPE] = ACTIONS(5712),
    [anon_sym_AMP_AMP] = ACTIONS(5712),
    [anon_sym_PIPE] = ACTIONS(5710),
    [anon_sym_CARET] = ACTIONS(5710),
    [anon_sym_AMP] = ACTIONS(5710),
    [anon_sym_EQ_EQ] = ACTIONS(5712),
    [anon_sym_BANG_EQ] = ACTIONS(5712),
    [anon_sym_GT] = ACTIONS(5710),
    [anon_sym_GT_EQ] = ACTIONS(5712),
    [anon_sym_LT_EQ] = ACTIONS(5710),
    [anon_sym_LT] = ACTIONS(5710),
    [anon_sym_LT_LT] = ACTIONS(5710),
    [anon_sym_GT_GT] = ACTIONS(5710),
    [anon_sym_SEMI] = ACTIONS(5712),
    [anon_sym___attribute__] = ACTIONS(5710),
    [anon_sym_LBRACE] = ACTIONS(5712),
    [anon_sym_RBRACE] = ACTIONS(5712),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_RBRACK] = ACTIONS(5712),
    [anon_sym_EQ] = ACTIONS(5710),
    [anon_sym_COLON] = ACTIONS(5712),
    [anon_sym_QMARK] = ACTIONS(5712),
    [anon_sym_STAR_EQ] = ACTIONS(5712),
    [anon_sym_SLASH_EQ] = ACTIONS(5712),
    [anon_sym_PERCENT_EQ] = ACTIONS(5712),
    [anon_sym_PLUS_EQ] = ACTIONS(5712),
    [anon_sym_DASH_EQ] = ACTIONS(5712),
    [anon_sym_LT_LT_EQ] = ACTIONS(5712),
    [anon_sym_GT_GT_EQ] = ACTIONS(5712),
    [anon_sym_AMP_EQ] = ACTIONS(5712),
    [anon_sym_CARET_EQ] = ACTIONS(5712),
    [anon_sym_PIPE_EQ] = ACTIONS(5712),
    [anon_sym_and_eq] = ACTIONS(5710),
    [anon_sym_or_eq] = ACTIONS(5710),
    [anon_sym_xor_eq] = ACTIONS(5710),
    [anon_sym_LT_EQ_GT] = ACTIONS(5712),
    [anon_sym_or] = ACTIONS(5710),
    [anon_sym_and] = ACTIONS(5710),
    [anon_sym_bitor] = ACTIONS(5710),
    [anon_sym_xor] = ACTIONS(5710),
    [anon_sym_bitand] = ACTIONS(5710),
    [anon_sym_not_eq] = ACTIONS(5710),
    [anon_sym_DASH_DASH] = ACTIONS(5712),
    [anon_sym_PLUS_PLUS] = ACTIONS(5712),
    [anon_sym_DOT] = ACTIONS(5710),
    [anon_sym_DOT_STAR] = ACTIONS(5712),
    [anon_sym_DASH_GT] = ACTIONS(5712),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5710),
    [anon_sym_decltype] = ACTIONS(5710),
  },
  [2729] = {
    [sym_identifier] = ACTIONS(5753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5755),
    [anon_sym_COMMA] = ACTIONS(5755),
    [anon_sym_RPAREN] = ACTIONS(5755),
    [aux_sym_preproc_if_token2] = ACTIONS(5755),
    [aux_sym_preproc_else_token1] = ACTIONS(5755),
    [aux_sym_preproc_elif_token1] = ACTIONS(5753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5755),
    [anon_sym_LPAREN2] = ACTIONS(5755),
    [anon_sym_DASH] = ACTIONS(5753),
    [anon_sym_PLUS] = ACTIONS(5753),
    [anon_sym_STAR] = ACTIONS(5753),
    [anon_sym_SLASH] = ACTIONS(5753),
    [anon_sym_PERCENT] = ACTIONS(5753),
    [anon_sym_PIPE_PIPE] = ACTIONS(5755),
    [anon_sym_AMP_AMP] = ACTIONS(5755),
    [anon_sym_PIPE] = ACTIONS(5753),
    [anon_sym_CARET] = ACTIONS(5753),
    [anon_sym_AMP] = ACTIONS(5753),
    [anon_sym_EQ_EQ] = ACTIONS(5755),
    [anon_sym_BANG_EQ] = ACTIONS(5755),
    [anon_sym_GT] = ACTIONS(5753),
    [anon_sym_GT_EQ] = ACTIONS(5755),
    [anon_sym_LT_EQ] = ACTIONS(5753),
    [anon_sym_LT] = ACTIONS(5753),
    [anon_sym_LT_LT] = ACTIONS(5753),
    [anon_sym_GT_GT] = ACTIONS(5753),
    [anon_sym_SEMI] = ACTIONS(5755),
    [anon_sym___attribute__] = ACTIONS(5753),
    [anon_sym_LBRACE] = ACTIONS(5755),
    [anon_sym_RBRACE] = ACTIONS(5755),
    [anon_sym_LBRACK] = ACTIONS(5755),
    [anon_sym_RBRACK] = ACTIONS(5755),
    [anon_sym_EQ] = ACTIONS(5753),
    [anon_sym_COLON] = ACTIONS(5755),
    [anon_sym_QMARK] = ACTIONS(5755),
    [anon_sym_STAR_EQ] = ACTIONS(5755),
    [anon_sym_SLASH_EQ] = ACTIONS(5755),
    [anon_sym_PERCENT_EQ] = ACTIONS(5755),
    [anon_sym_PLUS_EQ] = ACTIONS(5755),
    [anon_sym_DASH_EQ] = ACTIONS(5755),
    [anon_sym_LT_LT_EQ] = ACTIONS(5755),
    [anon_sym_GT_GT_EQ] = ACTIONS(5755),
    [anon_sym_AMP_EQ] = ACTIONS(5755),
    [anon_sym_CARET_EQ] = ACTIONS(5755),
    [anon_sym_PIPE_EQ] = ACTIONS(5755),
    [anon_sym_and_eq] = ACTIONS(5753),
    [anon_sym_or_eq] = ACTIONS(5753),
    [anon_sym_xor_eq] = ACTIONS(5753),
    [anon_sym_LT_EQ_GT] = ACTIONS(5755),
    [anon_sym_or] = ACTIONS(5753),
    [anon_sym_and] = ACTIONS(5753),
    [anon_sym_bitor] = ACTIONS(5753),
    [anon_sym_xor] = ACTIONS(5753),
    [anon_sym_bitand] = ACTIONS(5753),
    [anon_sym_not_eq] = ACTIONS(5753),
    [anon_sym_DASH_DASH] = ACTIONS(5755),
    [anon_sym_PLUS_PLUS] = ACTIONS(5755),
    [anon_sym_DOT] = ACTIONS(5753),
    [anon_sym_DOT_STAR] = ACTIONS(5755),
    [anon_sym_DASH_GT] = ACTIONS(5755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5753),
    [anon_sym_decltype] = ACTIONS(5753),
  },
  [2730] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2712),
    [sym_identifier] = ACTIONS(6064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6062),
    [anon_sym_COMMA] = ACTIONS(6062),
    [aux_sym_preproc_if_token2] = ACTIONS(6062),
    [aux_sym_preproc_else_token1] = ACTIONS(6062),
    [aux_sym_preproc_elif_token1] = ACTIONS(6064),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6062),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6062),
    [anon_sym_LPAREN2] = ACTIONS(6062),
    [anon_sym_DASH] = ACTIONS(6064),
    [anon_sym_PLUS] = ACTIONS(6064),
    [anon_sym_STAR] = ACTIONS(6064),
    [anon_sym_SLASH] = ACTIONS(6064),
    [anon_sym_PERCENT] = ACTIONS(6064),
    [anon_sym_PIPE_PIPE] = ACTIONS(6062),
    [anon_sym_AMP_AMP] = ACTIONS(6062),
    [anon_sym_PIPE] = ACTIONS(6064),
    [anon_sym_CARET] = ACTIONS(6064),
    [anon_sym_AMP] = ACTIONS(6064),
    [anon_sym_EQ_EQ] = ACTIONS(6062),
    [anon_sym_BANG_EQ] = ACTIONS(6062),
    [anon_sym_GT] = ACTIONS(6064),
    [anon_sym_GT_EQ] = ACTIONS(6062),
    [anon_sym_LT_EQ] = ACTIONS(6064),
    [anon_sym_LT] = ACTIONS(6064),
    [anon_sym_LT_LT] = ACTIONS(6064),
    [anon_sym_GT_GT] = ACTIONS(6064),
    [anon_sym___attribute__] = ACTIONS(6064),
    [anon_sym_LBRACE] = ACTIONS(6062),
    [anon_sym_signed] = ACTIONS(6194),
    [anon_sym_unsigned] = ACTIONS(6194),
    [anon_sym_long] = ACTIONS(6194),
    [anon_sym_short] = ACTIONS(6194),
    [anon_sym_LBRACK] = ACTIONS(6062),
    [anon_sym_EQ] = ACTIONS(6064),
    [anon_sym_QMARK] = ACTIONS(6062),
    [anon_sym_STAR_EQ] = ACTIONS(6062),
    [anon_sym_SLASH_EQ] = ACTIONS(6062),
    [anon_sym_PERCENT_EQ] = ACTIONS(6062),
    [anon_sym_PLUS_EQ] = ACTIONS(6062),
    [anon_sym_DASH_EQ] = ACTIONS(6062),
    [anon_sym_LT_LT_EQ] = ACTIONS(6062),
    [anon_sym_GT_GT_EQ] = ACTIONS(6062),
    [anon_sym_AMP_EQ] = ACTIONS(6062),
    [anon_sym_CARET_EQ] = ACTIONS(6062),
    [anon_sym_PIPE_EQ] = ACTIONS(6062),
    [anon_sym_and_eq] = ACTIONS(6064),
    [anon_sym_or_eq] = ACTIONS(6064),
    [anon_sym_xor_eq] = ACTIONS(6064),
    [anon_sym_LT_EQ_GT] = ACTIONS(6062),
    [anon_sym_or] = ACTIONS(6064),
    [anon_sym_and] = ACTIONS(6064),
    [anon_sym_bitor] = ACTIONS(6064),
    [anon_sym_xor] = ACTIONS(6064),
    [anon_sym_bitand] = ACTIONS(6064),
    [anon_sym_not_eq] = ACTIONS(6064),
    [anon_sym_DASH_DASH] = ACTIONS(6062),
    [anon_sym_PLUS_PLUS] = ACTIONS(6062),
    [anon_sym_DOT] = ACTIONS(6064),
    [anon_sym_DOT_STAR] = ACTIONS(6062),
    [anon_sym_DASH_GT] = ACTIONS(6062),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6064),
    [anon_sym_decltype] = ACTIONS(6064),
  },
  [2731] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2716),
    [sym_identifier] = ACTIONS(6054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6052),
    [anon_sym_COMMA] = ACTIONS(6052),
    [aux_sym_preproc_if_token2] = ACTIONS(6052),
    [aux_sym_preproc_else_token1] = ACTIONS(6052),
    [aux_sym_preproc_elif_token1] = ACTIONS(6054),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6052),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6052),
    [anon_sym_LPAREN2] = ACTIONS(6052),
    [anon_sym_DASH] = ACTIONS(6054),
    [anon_sym_PLUS] = ACTIONS(6054),
    [anon_sym_STAR] = ACTIONS(6054),
    [anon_sym_SLASH] = ACTIONS(6054),
    [anon_sym_PERCENT] = ACTIONS(6054),
    [anon_sym_PIPE_PIPE] = ACTIONS(6052),
    [anon_sym_AMP_AMP] = ACTIONS(6052),
    [anon_sym_PIPE] = ACTIONS(6054),
    [anon_sym_CARET] = ACTIONS(6054),
    [anon_sym_AMP] = ACTIONS(6054),
    [anon_sym_EQ_EQ] = ACTIONS(6052),
    [anon_sym_BANG_EQ] = ACTIONS(6052),
    [anon_sym_GT] = ACTIONS(6054),
    [anon_sym_GT_EQ] = ACTIONS(6052),
    [anon_sym_LT_EQ] = ACTIONS(6054),
    [anon_sym_LT] = ACTIONS(6054),
    [anon_sym_LT_LT] = ACTIONS(6054),
    [anon_sym_GT_GT] = ACTIONS(6054),
    [anon_sym___attribute__] = ACTIONS(6054),
    [anon_sym_LBRACE] = ACTIONS(6052),
    [anon_sym_signed] = ACTIONS(6196),
    [anon_sym_unsigned] = ACTIONS(6196),
    [anon_sym_long] = ACTIONS(6196),
    [anon_sym_short] = ACTIONS(6196),
    [anon_sym_LBRACK] = ACTIONS(6052),
    [anon_sym_EQ] = ACTIONS(6054),
    [anon_sym_QMARK] = ACTIONS(6052),
    [anon_sym_STAR_EQ] = ACTIONS(6052),
    [anon_sym_SLASH_EQ] = ACTIONS(6052),
    [anon_sym_PERCENT_EQ] = ACTIONS(6052),
    [anon_sym_PLUS_EQ] = ACTIONS(6052),
    [anon_sym_DASH_EQ] = ACTIONS(6052),
    [anon_sym_LT_LT_EQ] = ACTIONS(6052),
    [anon_sym_GT_GT_EQ] = ACTIONS(6052),
    [anon_sym_AMP_EQ] = ACTIONS(6052),
    [anon_sym_CARET_EQ] = ACTIONS(6052),
    [anon_sym_PIPE_EQ] = ACTIONS(6052),
    [anon_sym_and_eq] = ACTIONS(6054),
    [anon_sym_or_eq] = ACTIONS(6054),
    [anon_sym_xor_eq] = ACTIONS(6054),
    [anon_sym_LT_EQ_GT] = ACTIONS(6052),
    [anon_sym_or] = ACTIONS(6054),
    [anon_sym_and] = ACTIONS(6054),
    [anon_sym_bitor] = ACTIONS(6054),
    [anon_sym_xor] = ACTIONS(6054),
    [anon_sym_bitand] = ACTIONS(6054),
    [anon_sym_not_eq] = ACTIONS(6054),
    [anon_sym_DASH_DASH] = ACTIONS(6052),
    [anon_sym_PLUS_PLUS] = ACTIONS(6052),
    [anon_sym_DOT] = ACTIONS(6054),
    [anon_sym_DOT_STAR] = ACTIONS(6052),
    [anon_sym_DASH_GT] = ACTIONS(6052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6054),
    [anon_sym_decltype] = ACTIONS(6054),
  },
  [2732] = {
    [sym_identifier] = ACTIONS(5636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5638),
    [anon_sym_COMMA] = ACTIONS(5638),
    [anon_sym_RPAREN] = ACTIONS(5638),
    [aux_sym_preproc_if_token2] = ACTIONS(5638),
    [aux_sym_preproc_else_token1] = ACTIONS(5638),
    [aux_sym_preproc_elif_token1] = ACTIONS(5636),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5638),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5638),
    [anon_sym_LPAREN2] = ACTIONS(5638),
    [anon_sym_DASH] = ACTIONS(5636),
    [anon_sym_PLUS] = ACTIONS(5636),
    [anon_sym_STAR] = ACTIONS(5636),
    [anon_sym_SLASH] = ACTIONS(5636),
    [anon_sym_PERCENT] = ACTIONS(5636),
    [anon_sym_PIPE_PIPE] = ACTIONS(5638),
    [anon_sym_AMP_AMP] = ACTIONS(5638),
    [anon_sym_PIPE] = ACTIONS(5636),
    [anon_sym_CARET] = ACTIONS(5636),
    [anon_sym_AMP] = ACTIONS(5636),
    [anon_sym_EQ_EQ] = ACTIONS(5638),
    [anon_sym_BANG_EQ] = ACTIONS(5638),
    [anon_sym_GT] = ACTIONS(5636),
    [anon_sym_GT_EQ] = ACTIONS(5638),
    [anon_sym_LT_EQ] = ACTIONS(5636),
    [anon_sym_LT] = ACTIONS(5636),
    [anon_sym_LT_LT] = ACTIONS(5636),
    [anon_sym_GT_GT] = ACTIONS(5636),
    [anon_sym_SEMI] = ACTIONS(5638),
    [anon_sym___attribute__] = ACTIONS(5636),
    [anon_sym_LBRACE] = ACTIONS(5638),
    [anon_sym_RBRACE] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5638),
    [anon_sym_RBRACK] = ACTIONS(5638),
    [anon_sym_EQ] = ACTIONS(5636),
    [anon_sym_COLON] = ACTIONS(5638),
    [anon_sym_QMARK] = ACTIONS(5638),
    [anon_sym_STAR_EQ] = ACTIONS(5638),
    [anon_sym_SLASH_EQ] = ACTIONS(5638),
    [anon_sym_PERCENT_EQ] = ACTIONS(5638),
    [anon_sym_PLUS_EQ] = ACTIONS(5638),
    [anon_sym_DASH_EQ] = ACTIONS(5638),
    [anon_sym_LT_LT_EQ] = ACTIONS(5638),
    [anon_sym_GT_GT_EQ] = ACTIONS(5638),
    [anon_sym_AMP_EQ] = ACTIONS(5638),
    [anon_sym_CARET_EQ] = ACTIONS(5638),
    [anon_sym_PIPE_EQ] = ACTIONS(5638),
    [anon_sym_and_eq] = ACTIONS(5636),
    [anon_sym_or_eq] = ACTIONS(5636),
    [anon_sym_xor_eq] = ACTIONS(5636),
    [anon_sym_LT_EQ_GT] = ACTIONS(5638),
    [anon_sym_or] = ACTIONS(5636),
    [anon_sym_and] = ACTIONS(5636),
    [anon_sym_bitor] = ACTIONS(5636),
    [anon_sym_xor] = ACTIONS(5636),
    [anon_sym_bitand] = ACTIONS(5636),
    [anon_sym_not_eq] = ACTIONS(5636),
    [anon_sym_DASH_DASH] = ACTIONS(5638),
    [anon_sym_PLUS_PLUS] = ACTIONS(5638),
    [anon_sym_DOT] = ACTIONS(5636),
    [anon_sym_DOT_STAR] = ACTIONS(5638),
    [anon_sym_DASH_GT] = ACTIONS(5638),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5636),
    [anon_sym_decltype] = ACTIONS(5636),
  },
  [2733] = {
    [sym_identifier] = ACTIONS(5626),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5628),
    [anon_sym_COMMA] = ACTIONS(5628),
    [anon_sym_RPAREN] = ACTIONS(5628),
    [aux_sym_preproc_if_token2] = ACTIONS(5628),
    [aux_sym_preproc_else_token1] = ACTIONS(5628),
    [aux_sym_preproc_elif_token1] = ACTIONS(5626),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5628),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5628),
    [anon_sym_LPAREN2] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5626),
    [anon_sym_PLUS] = ACTIONS(5626),
    [anon_sym_STAR] = ACTIONS(5626),
    [anon_sym_SLASH] = ACTIONS(5626),
    [anon_sym_PERCENT] = ACTIONS(5626),
    [anon_sym_PIPE_PIPE] = ACTIONS(5628),
    [anon_sym_AMP_AMP] = ACTIONS(5628),
    [anon_sym_PIPE] = ACTIONS(5626),
    [anon_sym_CARET] = ACTIONS(5626),
    [anon_sym_AMP] = ACTIONS(5626),
    [anon_sym_EQ_EQ] = ACTIONS(5628),
    [anon_sym_BANG_EQ] = ACTIONS(5628),
    [anon_sym_GT] = ACTIONS(5626),
    [anon_sym_GT_EQ] = ACTIONS(5628),
    [anon_sym_LT_EQ] = ACTIONS(5626),
    [anon_sym_LT] = ACTIONS(5626),
    [anon_sym_LT_LT] = ACTIONS(5626),
    [anon_sym_GT_GT] = ACTIONS(5626),
    [anon_sym_SEMI] = ACTIONS(5628),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym_LBRACE] = ACTIONS(5628),
    [anon_sym_RBRACE] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [anon_sym_RBRACK] = ACTIONS(5628),
    [anon_sym_EQ] = ACTIONS(5626),
    [anon_sym_COLON] = ACTIONS(5628),
    [anon_sym_QMARK] = ACTIONS(5628),
    [anon_sym_STAR_EQ] = ACTIONS(5628),
    [anon_sym_SLASH_EQ] = ACTIONS(5628),
    [anon_sym_PERCENT_EQ] = ACTIONS(5628),
    [anon_sym_PLUS_EQ] = ACTIONS(5628),
    [anon_sym_DASH_EQ] = ACTIONS(5628),
    [anon_sym_LT_LT_EQ] = ACTIONS(5628),
    [anon_sym_GT_GT_EQ] = ACTIONS(5628),
    [anon_sym_AMP_EQ] = ACTIONS(5628),
    [anon_sym_CARET_EQ] = ACTIONS(5628),
    [anon_sym_PIPE_EQ] = ACTIONS(5628),
    [anon_sym_and_eq] = ACTIONS(5626),
    [anon_sym_or_eq] = ACTIONS(5626),
    [anon_sym_xor_eq] = ACTIONS(5626),
    [anon_sym_LT_EQ_GT] = ACTIONS(5628),
    [anon_sym_or] = ACTIONS(5626),
    [anon_sym_and] = ACTIONS(5626),
    [anon_sym_bitor] = ACTIONS(5626),
    [anon_sym_xor] = ACTIONS(5626),
    [anon_sym_bitand] = ACTIONS(5626),
    [anon_sym_not_eq] = ACTIONS(5626),
    [anon_sym_DASH_DASH] = ACTIONS(5628),
    [anon_sym_PLUS_PLUS] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5626),
    [anon_sym_DOT_STAR] = ACTIONS(5628),
    [anon_sym_DASH_GT] = ACTIONS(5628),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5626),
    [anon_sym_decltype] = ACTIONS(5626),
  },
  [2734] = {
    [sym_identifier] = ACTIONS(5771),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5773),
    [anon_sym_COMMA] = ACTIONS(5773),
    [anon_sym_RPAREN] = ACTIONS(5773),
    [aux_sym_preproc_if_token2] = ACTIONS(5773),
    [aux_sym_preproc_else_token1] = ACTIONS(5773),
    [aux_sym_preproc_elif_token1] = ACTIONS(5771),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5773),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5773),
    [anon_sym_LPAREN2] = ACTIONS(5773),
    [anon_sym_DASH] = ACTIONS(5771),
    [anon_sym_PLUS] = ACTIONS(5771),
    [anon_sym_STAR] = ACTIONS(5771),
    [anon_sym_SLASH] = ACTIONS(5771),
    [anon_sym_PERCENT] = ACTIONS(5771),
    [anon_sym_PIPE_PIPE] = ACTIONS(5773),
    [anon_sym_AMP_AMP] = ACTIONS(5773),
    [anon_sym_PIPE] = ACTIONS(5771),
    [anon_sym_CARET] = ACTIONS(5771),
    [anon_sym_AMP] = ACTIONS(5771),
    [anon_sym_EQ_EQ] = ACTIONS(5773),
    [anon_sym_BANG_EQ] = ACTIONS(5773),
    [anon_sym_GT] = ACTIONS(5771),
    [anon_sym_GT_EQ] = ACTIONS(5773),
    [anon_sym_LT_EQ] = ACTIONS(5771),
    [anon_sym_LT] = ACTIONS(5771),
    [anon_sym_LT_LT] = ACTIONS(5771),
    [anon_sym_GT_GT] = ACTIONS(5771),
    [anon_sym_SEMI] = ACTIONS(5773),
    [anon_sym___attribute__] = ACTIONS(5771),
    [anon_sym_LBRACE] = ACTIONS(5773),
    [anon_sym_RBRACE] = ACTIONS(5773),
    [anon_sym_LBRACK] = ACTIONS(5773),
    [anon_sym_RBRACK] = ACTIONS(5773),
    [anon_sym_EQ] = ACTIONS(5771),
    [anon_sym_COLON] = ACTIONS(5773),
    [anon_sym_QMARK] = ACTIONS(5773),
    [anon_sym_STAR_EQ] = ACTIONS(5773),
    [anon_sym_SLASH_EQ] = ACTIONS(5773),
    [anon_sym_PERCENT_EQ] = ACTIONS(5773),
    [anon_sym_PLUS_EQ] = ACTIONS(5773),
    [anon_sym_DASH_EQ] = ACTIONS(5773),
    [anon_sym_LT_LT_EQ] = ACTIONS(5773),
    [anon_sym_GT_GT_EQ] = ACTIONS(5773),
    [anon_sym_AMP_EQ] = ACTIONS(5773),
    [anon_sym_CARET_EQ] = ACTIONS(5773),
    [anon_sym_PIPE_EQ] = ACTIONS(5773),
    [anon_sym_and_eq] = ACTIONS(5771),
    [anon_sym_or_eq] = ACTIONS(5771),
    [anon_sym_xor_eq] = ACTIONS(5771),
    [anon_sym_LT_EQ_GT] = ACTIONS(5773),
    [anon_sym_or] = ACTIONS(5771),
    [anon_sym_and] = ACTIONS(5771),
    [anon_sym_bitor] = ACTIONS(5771),
    [anon_sym_xor] = ACTIONS(5771),
    [anon_sym_bitand] = ACTIONS(5771),
    [anon_sym_not_eq] = ACTIONS(5771),
    [anon_sym_DASH_DASH] = ACTIONS(5773),
    [anon_sym_PLUS_PLUS] = ACTIONS(5773),
    [anon_sym_DOT] = ACTIONS(5771),
    [anon_sym_DOT_STAR] = ACTIONS(5773),
    [anon_sym_DASH_GT] = ACTIONS(5773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5771),
    [anon_sym_decltype] = ACTIONS(5771),
  },
  [2735] = {
    [sym_identifier] = ACTIONS(5730),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5732),
    [anon_sym_COMMA] = ACTIONS(5732),
    [anon_sym_RPAREN] = ACTIONS(5732),
    [aux_sym_preproc_if_token2] = ACTIONS(5732),
    [aux_sym_preproc_else_token1] = ACTIONS(5732),
    [aux_sym_preproc_elif_token1] = ACTIONS(5730),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5732),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5732),
    [anon_sym_LPAREN2] = ACTIONS(5732),
    [anon_sym_DASH] = ACTIONS(5730),
    [anon_sym_PLUS] = ACTIONS(5730),
    [anon_sym_STAR] = ACTIONS(5730),
    [anon_sym_SLASH] = ACTIONS(5730),
    [anon_sym_PERCENT] = ACTIONS(5730),
    [anon_sym_PIPE_PIPE] = ACTIONS(5732),
    [anon_sym_AMP_AMP] = ACTIONS(5732),
    [anon_sym_PIPE] = ACTIONS(5730),
    [anon_sym_CARET] = ACTIONS(5730),
    [anon_sym_AMP] = ACTIONS(5730),
    [anon_sym_EQ_EQ] = ACTIONS(5732),
    [anon_sym_BANG_EQ] = ACTIONS(5732),
    [anon_sym_GT] = ACTIONS(5730),
    [anon_sym_GT_EQ] = ACTIONS(5732),
    [anon_sym_LT_EQ] = ACTIONS(5730),
    [anon_sym_LT] = ACTIONS(5730),
    [anon_sym_LT_LT] = ACTIONS(5730),
    [anon_sym_GT_GT] = ACTIONS(5730),
    [anon_sym_SEMI] = ACTIONS(5732),
    [anon_sym___attribute__] = ACTIONS(5730),
    [anon_sym_LBRACE] = ACTIONS(5732),
    [anon_sym_RBRACE] = ACTIONS(5732),
    [anon_sym_LBRACK] = ACTIONS(5732),
    [anon_sym_RBRACK] = ACTIONS(5732),
    [anon_sym_EQ] = ACTIONS(5730),
    [anon_sym_COLON] = ACTIONS(5732),
    [anon_sym_QMARK] = ACTIONS(5732),
    [anon_sym_STAR_EQ] = ACTIONS(5732),
    [anon_sym_SLASH_EQ] = ACTIONS(5732),
    [anon_sym_PERCENT_EQ] = ACTIONS(5732),
    [anon_sym_PLUS_EQ] = ACTIONS(5732),
    [anon_sym_DASH_EQ] = ACTIONS(5732),
    [anon_sym_LT_LT_EQ] = ACTIONS(5732),
    [anon_sym_GT_GT_EQ] = ACTIONS(5732),
    [anon_sym_AMP_EQ] = ACTIONS(5732),
    [anon_sym_CARET_EQ] = ACTIONS(5732),
    [anon_sym_PIPE_EQ] = ACTIONS(5732),
    [anon_sym_and_eq] = ACTIONS(5730),
    [anon_sym_or_eq] = ACTIONS(5730),
    [anon_sym_xor_eq] = ACTIONS(5730),
    [anon_sym_LT_EQ_GT] = ACTIONS(5732),
    [anon_sym_or] = ACTIONS(5730),
    [anon_sym_and] = ACTIONS(5730),
    [anon_sym_bitor] = ACTIONS(5730),
    [anon_sym_xor] = ACTIONS(5730),
    [anon_sym_bitand] = ACTIONS(5730),
    [anon_sym_not_eq] = ACTIONS(5730),
    [anon_sym_DASH_DASH] = ACTIONS(5732),
    [anon_sym_PLUS_PLUS] = ACTIONS(5732),
    [anon_sym_DOT] = ACTIONS(5730),
    [anon_sym_DOT_STAR] = ACTIONS(5732),
    [anon_sym_DASH_GT] = ACTIONS(5732),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5730),
    [anon_sym_decltype] = ACTIONS(5730),
  },
  [2736] = {
    [sym_identifier] = ACTIONS(5706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5708),
    [anon_sym_COMMA] = ACTIONS(5708),
    [anon_sym_RPAREN] = ACTIONS(5708),
    [aux_sym_preproc_if_token2] = ACTIONS(5708),
    [aux_sym_preproc_else_token1] = ACTIONS(5708),
    [aux_sym_preproc_elif_token1] = ACTIONS(5706),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5708),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5708),
    [anon_sym_LPAREN2] = ACTIONS(5708),
    [anon_sym_DASH] = ACTIONS(5706),
    [anon_sym_PLUS] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_SLASH] = ACTIONS(5706),
    [anon_sym_PERCENT] = ACTIONS(5706),
    [anon_sym_PIPE_PIPE] = ACTIONS(5708),
    [anon_sym_AMP_AMP] = ACTIONS(5708),
    [anon_sym_PIPE] = ACTIONS(5706),
    [anon_sym_CARET] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(5706),
    [anon_sym_EQ_EQ] = ACTIONS(5708),
    [anon_sym_BANG_EQ] = ACTIONS(5708),
    [anon_sym_GT] = ACTIONS(5706),
    [anon_sym_GT_EQ] = ACTIONS(5708),
    [anon_sym_LT_EQ] = ACTIONS(5706),
    [anon_sym_LT] = ACTIONS(5706),
    [anon_sym_LT_LT] = ACTIONS(5706),
    [anon_sym_GT_GT] = ACTIONS(5706),
    [anon_sym_SEMI] = ACTIONS(5708),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_RBRACE] = ACTIONS(5708),
    [anon_sym_LBRACK] = ACTIONS(5708),
    [anon_sym_RBRACK] = ACTIONS(5708),
    [anon_sym_EQ] = ACTIONS(5706),
    [anon_sym_COLON] = ACTIONS(5708),
    [anon_sym_QMARK] = ACTIONS(5708),
    [anon_sym_STAR_EQ] = ACTIONS(5708),
    [anon_sym_SLASH_EQ] = ACTIONS(5708),
    [anon_sym_PERCENT_EQ] = ACTIONS(5708),
    [anon_sym_PLUS_EQ] = ACTIONS(5708),
    [anon_sym_DASH_EQ] = ACTIONS(5708),
    [anon_sym_LT_LT_EQ] = ACTIONS(5708),
    [anon_sym_GT_GT_EQ] = ACTIONS(5708),
    [anon_sym_AMP_EQ] = ACTIONS(5708),
    [anon_sym_CARET_EQ] = ACTIONS(5708),
    [anon_sym_PIPE_EQ] = ACTIONS(5708),
    [anon_sym_and_eq] = ACTIONS(5706),
    [anon_sym_or_eq] = ACTIONS(5706),
    [anon_sym_xor_eq] = ACTIONS(5706),
    [anon_sym_LT_EQ_GT] = ACTIONS(5708),
    [anon_sym_or] = ACTIONS(5706),
    [anon_sym_and] = ACTIONS(5706),
    [anon_sym_bitor] = ACTIONS(5706),
    [anon_sym_xor] = ACTIONS(5706),
    [anon_sym_bitand] = ACTIONS(5706),
    [anon_sym_not_eq] = ACTIONS(5706),
    [anon_sym_DASH_DASH] = ACTIONS(5708),
    [anon_sym_PLUS_PLUS] = ACTIONS(5708),
    [anon_sym_DOT] = ACTIONS(5706),
    [anon_sym_DOT_STAR] = ACTIONS(5708),
    [anon_sym_DASH_GT] = ACTIONS(5708),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5706),
    [anon_sym_decltype] = ACTIONS(5706),
  },
  [2737] = {
    [sym_identifier] = ACTIONS(5479),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5481),
    [anon_sym_COMMA] = ACTIONS(5481),
    [anon_sym_RPAREN] = ACTIONS(5481),
    [aux_sym_preproc_if_token2] = ACTIONS(5481),
    [aux_sym_preproc_else_token1] = ACTIONS(5481),
    [aux_sym_preproc_elif_token1] = ACTIONS(5479),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5481),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5481),
    [anon_sym_LPAREN2] = ACTIONS(5481),
    [anon_sym_DASH] = ACTIONS(5479),
    [anon_sym_PLUS] = ACTIONS(5479),
    [anon_sym_STAR] = ACTIONS(5479),
    [anon_sym_SLASH] = ACTIONS(5479),
    [anon_sym_PERCENT] = ACTIONS(5479),
    [anon_sym_PIPE_PIPE] = ACTIONS(5481),
    [anon_sym_AMP_AMP] = ACTIONS(5481),
    [anon_sym_PIPE] = ACTIONS(5479),
    [anon_sym_CARET] = ACTIONS(5479),
    [anon_sym_AMP] = ACTIONS(5479),
    [anon_sym_EQ_EQ] = ACTIONS(5481),
    [anon_sym_BANG_EQ] = ACTIONS(5481),
    [anon_sym_GT] = ACTIONS(5479),
    [anon_sym_GT_EQ] = ACTIONS(5481),
    [anon_sym_LT_EQ] = ACTIONS(5479),
    [anon_sym_LT] = ACTIONS(5479),
    [anon_sym_LT_LT] = ACTIONS(5479),
    [anon_sym_GT_GT] = ACTIONS(5479),
    [anon_sym_SEMI] = ACTIONS(5481),
    [anon_sym___attribute__] = ACTIONS(5479),
    [anon_sym_LBRACE] = ACTIONS(5481),
    [anon_sym_RBRACE] = ACTIONS(5481),
    [anon_sym_LBRACK] = ACTIONS(5481),
    [anon_sym_RBRACK] = ACTIONS(5481),
    [anon_sym_EQ] = ACTIONS(5479),
    [anon_sym_COLON] = ACTIONS(5481),
    [anon_sym_QMARK] = ACTIONS(5481),
    [anon_sym_STAR_EQ] = ACTIONS(5481),
    [anon_sym_SLASH_EQ] = ACTIONS(5481),
    [anon_sym_PERCENT_EQ] = ACTIONS(5481),
    [anon_sym_PLUS_EQ] = ACTIONS(5481),
    [anon_sym_DASH_EQ] = ACTIONS(5481),
    [anon_sym_LT_LT_EQ] = ACTIONS(5481),
    [anon_sym_GT_GT_EQ] = ACTIONS(5481),
    [anon_sym_AMP_EQ] = ACTIONS(5481),
    [anon_sym_CARET_EQ] = ACTIONS(5481),
    [anon_sym_PIPE_EQ] = ACTIONS(5481),
    [anon_sym_and_eq] = ACTIONS(5479),
    [anon_sym_or_eq] = ACTIONS(5479),
    [anon_sym_xor_eq] = ACTIONS(5479),
    [anon_sym_LT_EQ_GT] = ACTIONS(5481),
    [anon_sym_or] = ACTIONS(5479),
    [anon_sym_and] = ACTIONS(5479),
    [anon_sym_bitor] = ACTIONS(5479),
    [anon_sym_xor] = ACTIONS(5479),
    [anon_sym_bitand] = ACTIONS(5479),
    [anon_sym_not_eq] = ACTIONS(5479),
    [anon_sym_DASH_DASH] = ACTIONS(5481),
    [anon_sym_PLUS_PLUS] = ACTIONS(5481),
    [anon_sym_DOT] = ACTIONS(5479),
    [anon_sym_DOT_STAR] = ACTIONS(5481),
    [anon_sym_DASH_GT] = ACTIONS(5481),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5479),
    [anon_sym_decltype] = ACTIONS(5479),
  },
  [2738] = {
    [sym_identifier] = ACTIONS(5775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5777),
    [anon_sym_COMMA] = ACTIONS(5777),
    [anon_sym_RPAREN] = ACTIONS(5777),
    [aux_sym_preproc_if_token2] = ACTIONS(5777),
    [aux_sym_preproc_else_token1] = ACTIONS(5777),
    [aux_sym_preproc_elif_token1] = ACTIONS(5775),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5777),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5777),
    [anon_sym_LPAREN2] = ACTIONS(5777),
    [anon_sym_DASH] = ACTIONS(5775),
    [anon_sym_PLUS] = ACTIONS(5775),
    [anon_sym_STAR] = ACTIONS(5775),
    [anon_sym_SLASH] = ACTIONS(5775),
    [anon_sym_PERCENT] = ACTIONS(5775),
    [anon_sym_PIPE_PIPE] = ACTIONS(5777),
    [anon_sym_AMP_AMP] = ACTIONS(5777),
    [anon_sym_PIPE] = ACTIONS(5775),
    [anon_sym_CARET] = ACTIONS(5775),
    [anon_sym_AMP] = ACTIONS(5775),
    [anon_sym_EQ_EQ] = ACTIONS(5777),
    [anon_sym_BANG_EQ] = ACTIONS(5777),
    [anon_sym_GT] = ACTIONS(5775),
    [anon_sym_GT_EQ] = ACTIONS(5777),
    [anon_sym_LT_EQ] = ACTIONS(5775),
    [anon_sym_LT] = ACTIONS(5775),
    [anon_sym_LT_LT] = ACTIONS(5775),
    [anon_sym_GT_GT] = ACTIONS(5775),
    [anon_sym_SEMI] = ACTIONS(5777),
    [anon_sym___attribute__] = ACTIONS(5775),
    [anon_sym_LBRACE] = ACTIONS(5777),
    [anon_sym_RBRACE] = ACTIONS(5777),
    [anon_sym_LBRACK] = ACTIONS(5777),
    [anon_sym_RBRACK] = ACTIONS(5777),
    [anon_sym_EQ] = ACTIONS(5775),
    [anon_sym_COLON] = ACTIONS(5777),
    [anon_sym_QMARK] = ACTIONS(5777),
    [anon_sym_STAR_EQ] = ACTIONS(5777),
    [anon_sym_SLASH_EQ] = ACTIONS(5777),
    [anon_sym_PERCENT_EQ] = ACTIONS(5777),
    [anon_sym_PLUS_EQ] = ACTIONS(5777),
    [anon_sym_DASH_EQ] = ACTIONS(5777),
    [anon_sym_LT_LT_EQ] = ACTIONS(5777),
    [anon_sym_GT_GT_EQ] = ACTIONS(5777),
    [anon_sym_AMP_EQ] = ACTIONS(5777),
    [anon_sym_CARET_EQ] = ACTIONS(5777),
    [anon_sym_PIPE_EQ] = ACTIONS(5777),
    [anon_sym_and_eq] = ACTIONS(5775),
    [anon_sym_or_eq] = ACTIONS(5775),
    [anon_sym_xor_eq] = ACTIONS(5775),
    [anon_sym_LT_EQ_GT] = ACTIONS(5777),
    [anon_sym_or] = ACTIONS(5775),
    [anon_sym_and] = ACTIONS(5775),
    [anon_sym_bitor] = ACTIONS(5775),
    [anon_sym_xor] = ACTIONS(5775),
    [anon_sym_bitand] = ACTIONS(5775),
    [anon_sym_not_eq] = ACTIONS(5775),
    [anon_sym_DASH_DASH] = ACTIONS(5777),
    [anon_sym_PLUS_PLUS] = ACTIONS(5777),
    [anon_sym_DOT] = ACTIONS(5775),
    [anon_sym_DOT_STAR] = ACTIONS(5777),
    [anon_sym_DASH_GT] = ACTIONS(5777),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5775),
    [anon_sym_decltype] = ACTIONS(5775),
  },
  [2739] = {
    [sym_identifier] = ACTIONS(6198),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6200),
    [anon_sym_COMMA] = ACTIONS(6200),
    [anon_sym_RPAREN] = ACTIONS(6200),
    [aux_sym_preproc_if_token2] = ACTIONS(6200),
    [aux_sym_preproc_else_token1] = ACTIONS(6200),
    [aux_sym_preproc_elif_token1] = ACTIONS(6198),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6200),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6200),
    [anon_sym_LPAREN2] = ACTIONS(6200),
    [anon_sym_DASH] = ACTIONS(6198),
    [anon_sym_PLUS] = ACTIONS(6198),
    [anon_sym_STAR] = ACTIONS(6198),
    [anon_sym_SLASH] = ACTIONS(6198),
    [anon_sym_PERCENT] = ACTIONS(6198),
    [anon_sym_PIPE_PIPE] = ACTIONS(6200),
    [anon_sym_AMP_AMP] = ACTIONS(6200),
    [anon_sym_PIPE] = ACTIONS(6198),
    [anon_sym_CARET] = ACTIONS(6198),
    [anon_sym_AMP] = ACTIONS(6198),
    [anon_sym_EQ_EQ] = ACTIONS(6200),
    [anon_sym_BANG_EQ] = ACTIONS(6200),
    [anon_sym_GT] = ACTIONS(6198),
    [anon_sym_GT_EQ] = ACTIONS(6200),
    [anon_sym_LT_EQ] = ACTIONS(6198),
    [anon_sym_LT] = ACTIONS(6198),
    [anon_sym_LT_LT] = ACTIONS(6198),
    [anon_sym_GT_GT] = ACTIONS(6198),
    [anon_sym_SEMI] = ACTIONS(6200),
    [anon_sym___attribute__] = ACTIONS(6198),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6200),
    [anon_sym_LBRACE] = ACTIONS(6200),
    [anon_sym_RBRACE] = ACTIONS(6200),
    [anon_sym_LBRACK] = ACTIONS(6198),
    [anon_sym_RBRACK] = ACTIONS(6200),
    [anon_sym_EQ] = ACTIONS(6198),
    [anon_sym_COLON] = ACTIONS(6200),
    [anon_sym_QMARK] = ACTIONS(6200),
    [anon_sym_STAR_EQ] = ACTIONS(6200),
    [anon_sym_SLASH_EQ] = ACTIONS(6200),
    [anon_sym_PERCENT_EQ] = ACTIONS(6200),
    [anon_sym_PLUS_EQ] = ACTIONS(6200),
    [anon_sym_DASH_EQ] = ACTIONS(6200),
    [anon_sym_LT_LT_EQ] = ACTIONS(6200),
    [anon_sym_GT_GT_EQ] = ACTIONS(6200),
    [anon_sym_AMP_EQ] = ACTIONS(6200),
    [anon_sym_CARET_EQ] = ACTIONS(6200),
    [anon_sym_PIPE_EQ] = ACTIONS(6200),
    [anon_sym_and_eq] = ACTIONS(6198),
    [anon_sym_or_eq] = ACTIONS(6198),
    [anon_sym_xor_eq] = ACTIONS(6198),
    [anon_sym_LT_EQ_GT] = ACTIONS(6200),
    [anon_sym_or] = ACTIONS(6198),
    [anon_sym_and] = ACTIONS(6198),
    [anon_sym_bitor] = ACTIONS(6198),
    [anon_sym_xor] = ACTIONS(6198),
    [anon_sym_bitand] = ACTIONS(6198),
    [anon_sym_not_eq] = ACTIONS(6198),
    [anon_sym_DASH_DASH] = ACTIONS(6200),
    [anon_sym_PLUS_PLUS] = ACTIONS(6200),
    [anon_sym_DOT] = ACTIONS(6198),
    [anon_sym_DOT_STAR] = ACTIONS(6200),
    [anon_sym_DASH_GT] = ACTIONS(6200),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6198),
  },
  [2740] = {
    [sym_identifier] = ACTIONS(5622),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5624),
    [anon_sym_COMMA] = ACTIONS(5624),
    [anon_sym_RPAREN] = ACTIONS(5624),
    [aux_sym_preproc_if_token2] = ACTIONS(5624),
    [aux_sym_preproc_else_token1] = ACTIONS(5624),
    [aux_sym_preproc_elif_token1] = ACTIONS(5622),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_STAR] = ACTIONS(5622),
    [anon_sym_SLASH] = ACTIONS(5622),
    [anon_sym_PERCENT] = ACTIONS(5622),
    [anon_sym_PIPE_PIPE] = ACTIONS(5624),
    [anon_sym_AMP_AMP] = ACTIONS(5624),
    [anon_sym_PIPE] = ACTIONS(5622),
    [anon_sym_CARET] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(5622),
    [anon_sym_EQ_EQ] = ACTIONS(5624),
    [anon_sym_BANG_EQ] = ACTIONS(5624),
    [anon_sym_GT] = ACTIONS(5622),
    [anon_sym_GT_EQ] = ACTIONS(5624),
    [anon_sym_LT_EQ] = ACTIONS(5622),
    [anon_sym_LT] = ACTIONS(5622),
    [anon_sym_LT_LT] = ACTIONS(5622),
    [anon_sym_GT_GT] = ACTIONS(5622),
    [anon_sym_SEMI] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5622),
    [anon_sym_LBRACE] = ACTIONS(5624),
    [anon_sym_RBRACE] = ACTIONS(5624),
    [anon_sym_LBRACK] = ACTIONS(5624),
    [anon_sym_RBRACK] = ACTIONS(5624),
    [anon_sym_EQ] = ACTIONS(5622),
    [anon_sym_COLON] = ACTIONS(5624),
    [anon_sym_QMARK] = ACTIONS(5624),
    [anon_sym_STAR_EQ] = ACTIONS(5624),
    [anon_sym_SLASH_EQ] = ACTIONS(5624),
    [anon_sym_PERCENT_EQ] = ACTIONS(5624),
    [anon_sym_PLUS_EQ] = ACTIONS(5624),
    [anon_sym_DASH_EQ] = ACTIONS(5624),
    [anon_sym_LT_LT_EQ] = ACTIONS(5624),
    [anon_sym_GT_GT_EQ] = ACTIONS(5624),
    [anon_sym_AMP_EQ] = ACTIONS(5624),
    [anon_sym_CARET_EQ] = ACTIONS(5624),
    [anon_sym_PIPE_EQ] = ACTIONS(5624),
    [anon_sym_and_eq] = ACTIONS(5622),
    [anon_sym_or_eq] = ACTIONS(5622),
    [anon_sym_xor_eq] = ACTIONS(5622),
    [anon_sym_LT_EQ_GT] = ACTIONS(5624),
    [anon_sym_or] = ACTIONS(5622),
    [anon_sym_and] = ACTIONS(5622),
    [anon_sym_bitor] = ACTIONS(5622),
    [anon_sym_xor] = ACTIONS(5622),
    [anon_sym_bitand] = ACTIONS(5622),
    [anon_sym_not_eq] = ACTIONS(5622),
    [anon_sym_DASH_DASH] = ACTIONS(5624),
    [anon_sym_PLUS_PLUS] = ACTIONS(5624),
    [anon_sym_DOT] = ACTIONS(5622),
    [anon_sym_DOT_STAR] = ACTIONS(5624),
    [anon_sym_DASH_GT] = ACTIONS(5624),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5622),
    [anon_sym_decltype] = ACTIONS(5622),
  },
  [2741] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2763),
    [sym_identifier] = ACTIONS(5374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5630),
    [anon_sym_COMMA] = ACTIONS(5630),
    [anon_sym_RPAREN] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [anon_sym_DASH] = ACTIONS(5633),
    [anon_sym_PLUS] = ACTIONS(5633),
    [anon_sym_STAR] = ACTIONS(5633),
    [anon_sym_SLASH] = ACTIONS(5633),
    [anon_sym_PERCENT] = ACTIONS(5633),
    [anon_sym_PIPE_PIPE] = ACTIONS(5630),
    [anon_sym_AMP_AMP] = ACTIONS(5630),
    [anon_sym_PIPE] = ACTIONS(5633),
    [anon_sym_CARET] = ACTIONS(5633),
    [anon_sym_AMP] = ACTIONS(5633),
    [anon_sym_EQ_EQ] = ACTIONS(5630),
    [anon_sym_BANG_EQ] = ACTIONS(5630),
    [anon_sym_GT] = ACTIONS(5633),
    [anon_sym_GT_EQ] = ACTIONS(5630),
    [anon_sym_LT_EQ] = ACTIONS(5633),
    [anon_sym_LT] = ACTIONS(5633),
    [anon_sym_LT_LT] = ACTIONS(5633),
    [anon_sym_GT_GT] = ACTIONS(5633),
    [anon_sym___attribute__] = ACTIONS(5633),
    [anon_sym_LBRACE] = ACTIONS(5630),
    [anon_sym_signed] = ACTIONS(6202),
    [anon_sym_unsigned] = ACTIONS(6202),
    [anon_sym_long] = ACTIONS(6202),
    [anon_sym_short] = ACTIONS(6202),
    [anon_sym_LBRACK] = ACTIONS(5630),
    [anon_sym_EQ] = ACTIONS(5633),
    [aux_sym_primitive_type_token1] = ACTIONS(5374),
    [anon_sym_byte] = ACTIONS(5374),
    [anon_sym_word] = ACTIONS(5374),
    [anon_sym_QMARK] = ACTIONS(5630),
    [anon_sym_STAR_EQ] = ACTIONS(5630),
    [anon_sym_SLASH_EQ] = ACTIONS(5630),
    [anon_sym_PERCENT_EQ] = ACTIONS(5630),
    [anon_sym_PLUS_EQ] = ACTIONS(5630),
    [anon_sym_DASH_EQ] = ACTIONS(5630),
    [anon_sym_LT_LT_EQ] = ACTIONS(5630),
    [anon_sym_GT_GT_EQ] = ACTIONS(5630),
    [anon_sym_AMP_EQ] = ACTIONS(5630),
    [anon_sym_CARET_EQ] = ACTIONS(5630),
    [anon_sym_PIPE_EQ] = ACTIONS(5630),
    [anon_sym_and_eq] = ACTIONS(5633),
    [anon_sym_or_eq] = ACTIONS(5633),
    [anon_sym_xor_eq] = ACTIONS(5633),
    [anon_sym_LT_EQ_GT] = ACTIONS(5630),
    [anon_sym_or] = ACTIONS(5633),
    [anon_sym_and] = ACTIONS(5633),
    [anon_sym_bitor] = ACTIONS(5633),
    [anon_sym_xor] = ACTIONS(5633),
    [anon_sym_bitand] = ACTIONS(5633),
    [anon_sym_not_eq] = ACTIONS(5633),
    [anon_sym_DASH_DASH] = ACTIONS(5630),
    [anon_sym_PLUS_PLUS] = ACTIONS(5630),
    [anon_sym_DOT] = ACTIONS(5633),
    [anon_sym_DOT_STAR] = ACTIONS(5630),
    [anon_sym_DASH_GT] = ACTIONS(5633),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5633),
    [anon_sym_decltype] = ACTIONS(5633),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5630),
  },
  [2742] = {
    [sym_identifier] = ACTIONS(5763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5765),
    [anon_sym_COMMA] = ACTIONS(5765),
    [anon_sym_RPAREN] = ACTIONS(5765),
    [aux_sym_preproc_if_token2] = ACTIONS(5765),
    [aux_sym_preproc_else_token1] = ACTIONS(5765),
    [aux_sym_preproc_elif_token1] = ACTIONS(5763),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5765),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5765),
    [anon_sym_LPAREN2] = ACTIONS(5765),
    [anon_sym_DASH] = ACTIONS(5763),
    [anon_sym_PLUS] = ACTIONS(5763),
    [anon_sym_STAR] = ACTIONS(5763),
    [anon_sym_SLASH] = ACTIONS(5763),
    [anon_sym_PERCENT] = ACTIONS(5763),
    [anon_sym_PIPE_PIPE] = ACTIONS(5765),
    [anon_sym_AMP_AMP] = ACTIONS(5765),
    [anon_sym_PIPE] = ACTIONS(5763),
    [anon_sym_CARET] = ACTIONS(5763),
    [anon_sym_AMP] = ACTIONS(5763),
    [anon_sym_EQ_EQ] = ACTIONS(5765),
    [anon_sym_BANG_EQ] = ACTIONS(5765),
    [anon_sym_GT] = ACTIONS(5763),
    [anon_sym_GT_EQ] = ACTIONS(5765),
    [anon_sym_LT_EQ] = ACTIONS(5763),
    [anon_sym_LT] = ACTIONS(5763),
    [anon_sym_LT_LT] = ACTIONS(5763),
    [anon_sym_GT_GT] = ACTIONS(5763),
    [anon_sym_SEMI] = ACTIONS(5765),
    [anon_sym___attribute__] = ACTIONS(5763),
    [anon_sym_LBRACE] = ACTIONS(5765),
    [anon_sym_RBRACE] = ACTIONS(5765),
    [anon_sym_LBRACK] = ACTIONS(5765),
    [anon_sym_RBRACK] = ACTIONS(5765),
    [anon_sym_EQ] = ACTIONS(5763),
    [anon_sym_COLON] = ACTIONS(5765),
    [anon_sym_QMARK] = ACTIONS(5765),
    [anon_sym_STAR_EQ] = ACTIONS(5765),
    [anon_sym_SLASH_EQ] = ACTIONS(5765),
    [anon_sym_PERCENT_EQ] = ACTIONS(5765),
    [anon_sym_PLUS_EQ] = ACTIONS(5765),
    [anon_sym_DASH_EQ] = ACTIONS(5765),
    [anon_sym_LT_LT_EQ] = ACTIONS(5765),
    [anon_sym_GT_GT_EQ] = ACTIONS(5765),
    [anon_sym_AMP_EQ] = ACTIONS(5765),
    [anon_sym_CARET_EQ] = ACTIONS(5765),
    [anon_sym_PIPE_EQ] = ACTIONS(5765),
    [anon_sym_and_eq] = ACTIONS(5763),
    [anon_sym_or_eq] = ACTIONS(5763),
    [anon_sym_xor_eq] = ACTIONS(5763),
    [anon_sym_LT_EQ_GT] = ACTIONS(5765),
    [anon_sym_or] = ACTIONS(5763),
    [anon_sym_and] = ACTIONS(5763),
    [anon_sym_bitor] = ACTIONS(5763),
    [anon_sym_xor] = ACTIONS(5763),
    [anon_sym_bitand] = ACTIONS(5763),
    [anon_sym_not_eq] = ACTIONS(5763),
    [anon_sym_DASH_DASH] = ACTIONS(5765),
    [anon_sym_PLUS_PLUS] = ACTIONS(5765),
    [anon_sym_DOT] = ACTIONS(5763),
    [anon_sym_DOT_STAR] = ACTIONS(5765),
    [anon_sym_DASH_GT] = ACTIONS(5765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5763),
    [anon_sym_decltype] = ACTIONS(5763),
  },
  [2743] = {
    [sym_identifier] = ACTIONS(5741),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5743),
    [anon_sym_COMMA] = ACTIONS(5743),
    [anon_sym_RPAREN] = ACTIONS(5743),
    [aux_sym_preproc_if_token2] = ACTIONS(5743),
    [aux_sym_preproc_else_token1] = ACTIONS(5743),
    [aux_sym_preproc_elif_token1] = ACTIONS(5741),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5743),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5743),
    [anon_sym_LPAREN2] = ACTIONS(5743),
    [anon_sym_DASH] = ACTIONS(5741),
    [anon_sym_PLUS] = ACTIONS(5741),
    [anon_sym_STAR] = ACTIONS(5741),
    [anon_sym_SLASH] = ACTIONS(5741),
    [anon_sym_PERCENT] = ACTIONS(5741),
    [anon_sym_PIPE_PIPE] = ACTIONS(5743),
    [anon_sym_AMP_AMP] = ACTIONS(5743),
    [anon_sym_PIPE] = ACTIONS(5741),
    [anon_sym_CARET] = ACTIONS(5741),
    [anon_sym_AMP] = ACTIONS(5741),
    [anon_sym_EQ_EQ] = ACTIONS(5743),
    [anon_sym_BANG_EQ] = ACTIONS(5743),
    [anon_sym_GT] = ACTIONS(5741),
    [anon_sym_GT_EQ] = ACTIONS(5743),
    [anon_sym_LT_EQ] = ACTIONS(5741),
    [anon_sym_LT] = ACTIONS(5741),
    [anon_sym_LT_LT] = ACTIONS(5741),
    [anon_sym_GT_GT] = ACTIONS(5741),
    [anon_sym_SEMI] = ACTIONS(5743),
    [anon_sym___attribute__] = ACTIONS(5741),
    [anon_sym_LBRACE] = ACTIONS(5743),
    [anon_sym_RBRACE] = ACTIONS(5743),
    [anon_sym_LBRACK] = ACTIONS(5743),
    [anon_sym_RBRACK] = ACTIONS(5743),
    [anon_sym_EQ] = ACTIONS(5741),
    [anon_sym_COLON] = ACTIONS(5743),
    [anon_sym_QMARK] = ACTIONS(5743),
    [anon_sym_STAR_EQ] = ACTIONS(5743),
    [anon_sym_SLASH_EQ] = ACTIONS(5743),
    [anon_sym_PERCENT_EQ] = ACTIONS(5743),
    [anon_sym_PLUS_EQ] = ACTIONS(5743),
    [anon_sym_DASH_EQ] = ACTIONS(5743),
    [anon_sym_LT_LT_EQ] = ACTIONS(5743),
    [anon_sym_GT_GT_EQ] = ACTIONS(5743),
    [anon_sym_AMP_EQ] = ACTIONS(5743),
    [anon_sym_CARET_EQ] = ACTIONS(5743),
    [anon_sym_PIPE_EQ] = ACTIONS(5743),
    [anon_sym_and_eq] = ACTIONS(5741),
    [anon_sym_or_eq] = ACTIONS(5741),
    [anon_sym_xor_eq] = ACTIONS(5741),
    [anon_sym_LT_EQ_GT] = ACTIONS(5743),
    [anon_sym_or] = ACTIONS(5741),
    [anon_sym_and] = ACTIONS(5741),
    [anon_sym_bitor] = ACTIONS(5741),
    [anon_sym_xor] = ACTIONS(5741),
    [anon_sym_bitand] = ACTIONS(5741),
    [anon_sym_not_eq] = ACTIONS(5741),
    [anon_sym_DASH_DASH] = ACTIONS(5743),
    [anon_sym_PLUS_PLUS] = ACTIONS(5743),
    [anon_sym_DOT] = ACTIONS(5741),
    [anon_sym_DOT_STAR] = ACTIONS(5743),
    [anon_sym_DASH_GT] = ACTIONS(5743),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5741),
    [anon_sym_decltype] = ACTIONS(5741),
  },
  [2744] = {
    [sym_identifier] = ACTIONS(5429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5431),
    [anon_sym_COMMA] = ACTIONS(5431),
    [aux_sym_preproc_if_token2] = ACTIONS(5431),
    [aux_sym_preproc_else_token1] = ACTIONS(5431),
    [aux_sym_preproc_elif_token1] = ACTIONS(5431),
    [anon_sym_LPAREN2] = ACTIONS(5431),
    [anon_sym_DASH] = ACTIONS(5429),
    [anon_sym_PLUS] = ACTIONS(5429),
    [anon_sym_STAR] = ACTIONS(5429),
    [anon_sym_SLASH] = ACTIONS(5429),
    [anon_sym_PERCENT] = ACTIONS(5429),
    [anon_sym_PIPE_PIPE] = ACTIONS(5431),
    [anon_sym_AMP_AMP] = ACTIONS(5431),
    [anon_sym_PIPE] = ACTIONS(5429),
    [anon_sym_CARET] = ACTIONS(5429),
    [anon_sym_AMP] = ACTIONS(5429),
    [anon_sym_EQ_EQ] = ACTIONS(5431),
    [anon_sym_BANG_EQ] = ACTIONS(5431),
    [anon_sym_GT] = ACTIONS(5429),
    [anon_sym_GT_EQ] = ACTIONS(5431),
    [anon_sym_LT_EQ] = ACTIONS(5429),
    [anon_sym_LT] = ACTIONS(5429),
    [anon_sym_LT_LT] = ACTIONS(5429),
    [anon_sym_GT_GT] = ACTIONS(5429),
    [anon_sym_LBRACK] = ACTIONS(5431),
    [anon_sym_EQ] = ACTIONS(5429),
    [anon_sym_QMARK] = ACTIONS(5431),
    [anon_sym_STAR_EQ] = ACTIONS(5431),
    [anon_sym_SLASH_EQ] = ACTIONS(5431),
    [anon_sym_PERCENT_EQ] = ACTIONS(5431),
    [anon_sym_PLUS_EQ] = ACTIONS(5431),
    [anon_sym_DASH_EQ] = ACTIONS(5431),
    [anon_sym_LT_LT_EQ] = ACTIONS(5431),
    [anon_sym_GT_GT_EQ] = ACTIONS(5431),
    [anon_sym_AMP_EQ] = ACTIONS(5431),
    [anon_sym_CARET_EQ] = ACTIONS(5431),
    [anon_sym_PIPE_EQ] = ACTIONS(5431),
    [anon_sym_and_eq] = ACTIONS(5429),
    [anon_sym_or_eq] = ACTIONS(5429),
    [anon_sym_xor_eq] = ACTIONS(5429),
    [anon_sym_LT_EQ_GT] = ACTIONS(5431),
    [anon_sym_or] = ACTIONS(5429),
    [anon_sym_and] = ACTIONS(5429),
    [anon_sym_bitor] = ACTIONS(5429),
    [anon_sym_xor] = ACTIONS(5429),
    [anon_sym_bitand] = ACTIONS(5429),
    [anon_sym_not_eq] = ACTIONS(5429),
    [anon_sym_DASH_DASH] = ACTIONS(5431),
    [anon_sym_PLUS_PLUS] = ACTIONS(5431),
    [anon_sym_DOT] = ACTIONS(5429),
    [anon_sym_DOT_STAR] = ACTIONS(5431),
    [anon_sym_DASH_GT] = ACTIONS(5431),
    [anon_sym_L_DQUOTE] = ACTIONS(5431),
    [anon_sym_u_DQUOTE] = ACTIONS(5431),
    [anon_sym_U_DQUOTE] = ACTIONS(5431),
    [anon_sym_u8_DQUOTE] = ACTIONS(5431),
    [anon_sym_DQUOTE] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5431),
    [anon_sym_LR_DQUOTE] = ACTIONS(5431),
    [anon_sym_uR_DQUOTE] = ACTIONS(5431),
    [anon_sym_UR_DQUOTE] = ACTIONS(5431),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5431),
    [sym_literal_suffix] = ACTIONS(5429),
  },
  [2745] = {
    [sym_identifier] = ACTIONS(5749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5751),
    [anon_sym_COMMA] = ACTIONS(5751),
    [anon_sym_RPAREN] = ACTIONS(5751),
    [aux_sym_preproc_if_token2] = ACTIONS(5751),
    [aux_sym_preproc_else_token1] = ACTIONS(5751),
    [aux_sym_preproc_elif_token1] = ACTIONS(5749),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5751),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5751),
    [anon_sym_LPAREN2] = ACTIONS(5751),
    [anon_sym_DASH] = ACTIONS(5749),
    [anon_sym_PLUS] = ACTIONS(5749),
    [anon_sym_STAR] = ACTIONS(5749),
    [anon_sym_SLASH] = ACTIONS(5749),
    [anon_sym_PERCENT] = ACTIONS(5749),
    [anon_sym_PIPE_PIPE] = ACTIONS(5751),
    [anon_sym_AMP_AMP] = ACTIONS(5751),
    [anon_sym_PIPE] = ACTIONS(5749),
    [anon_sym_CARET] = ACTIONS(5749),
    [anon_sym_AMP] = ACTIONS(5749),
    [anon_sym_EQ_EQ] = ACTIONS(5751),
    [anon_sym_BANG_EQ] = ACTIONS(5751),
    [anon_sym_GT] = ACTIONS(5749),
    [anon_sym_GT_EQ] = ACTIONS(5751),
    [anon_sym_LT_EQ] = ACTIONS(5749),
    [anon_sym_LT] = ACTIONS(5749),
    [anon_sym_LT_LT] = ACTIONS(5749),
    [anon_sym_GT_GT] = ACTIONS(5749),
    [anon_sym_SEMI] = ACTIONS(5751),
    [anon_sym___attribute__] = ACTIONS(5749),
    [anon_sym_LBRACE] = ACTIONS(5751),
    [anon_sym_RBRACE] = ACTIONS(5751),
    [anon_sym_LBRACK] = ACTIONS(5751),
    [anon_sym_RBRACK] = ACTIONS(5751),
    [anon_sym_EQ] = ACTIONS(5749),
    [anon_sym_COLON] = ACTIONS(5751),
    [anon_sym_QMARK] = ACTIONS(5751),
    [anon_sym_STAR_EQ] = ACTIONS(5751),
    [anon_sym_SLASH_EQ] = ACTIONS(5751),
    [anon_sym_PERCENT_EQ] = ACTIONS(5751),
    [anon_sym_PLUS_EQ] = ACTIONS(5751),
    [anon_sym_DASH_EQ] = ACTIONS(5751),
    [anon_sym_LT_LT_EQ] = ACTIONS(5751),
    [anon_sym_GT_GT_EQ] = ACTIONS(5751),
    [anon_sym_AMP_EQ] = ACTIONS(5751),
    [anon_sym_CARET_EQ] = ACTIONS(5751),
    [anon_sym_PIPE_EQ] = ACTIONS(5751),
    [anon_sym_and_eq] = ACTIONS(5749),
    [anon_sym_or_eq] = ACTIONS(5749),
    [anon_sym_xor_eq] = ACTIONS(5749),
    [anon_sym_LT_EQ_GT] = ACTIONS(5751),
    [anon_sym_or] = ACTIONS(5749),
    [anon_sym_and] = ACTIONS(5749),
    [anon_sym_bitor] = ACTIONS(5749),
    [anon_sym_xor] = ACTIONS(5749),
    [anon_sym_bitand] = ACTIONS(5749),
    [anon_sym_not_eq] = ACTIONS(5749),
    [anon_sym_DASH_DASH] = ACTIONS(5751),
    [anon_sym_PLUS_PLUS] = ACTIONS(5751),
    [anon_sym_DOT] = ACTIONS(5749),
    [anon_sym_DOT_STAR] = ACTIONS(5751),
    [anon_sym_DASH_GT] = ACTIONS(5751),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5749),
    [anon_sym_decltype] = ACTIONS(5749),
  },
  [2746] = {
    [sym_identifier] = ACTIONS(6205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6207),
    [anon_sym_COMMA] = ACTIONS(6207),
    [anon_sym_RPAREN] = ACTIONS(6207),
    [aux_sym_preproc_if_token2] = ACTIONS(6207),
    [aux_sym_preproc_else_token1] = ACTIONS(6207),
    [aux_sym_preproc_elif_token1] = ACTIONS(6205),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6207),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6207),
    [anon_sym_LPAREN2] = ACTIONS(6207),
    [anon_sym_DASH] = ACTIONS(6205),
    [anon_sym_PLUS] = ACTIONS(6205),
    [anon_sym_STAR] = ACTIONS(6205),
    [anon_sym_SLASH] = ACTIONS(6205),
    [anon_sym_PERCENT] = ACTIONS(6205),
    [anon_sym_PIPE_PIPE] = ACTIONS(6207),
    [anon_sym_AMP_AMP] = ACTIONS(6207),
    [anon_sym_PIPE] = ACTIONS(6205),
    [anon_sym_CARET] = ACTIONS(6205),
    [anon_sym_AMP] = ACTIONS(6205),
    [anon_sym_EQ_EQ] = ACTIONS(6207),
    [anon_sym_BANG_EQ] = ACTIONS(6207),
    [anon_sym_GT] = ACTIONS(6205),
    [anon_sym_GT_EQ] = ACTIONS(6207),
    [anon_sym_LT_EQ] = ACTIONS(6205),
    [anon_sym_LT] = ACTIONS(6205),
    [anon_sym_LT_LT] = ACTIONS(6205),
    [anon_sym_GT_GT] = ACTIONS(6205),
    [anon_sym_SEMI] = ACTIONS(6207),
    [anon_sym___attribute__] = ACTIONS(6205),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6207),
    [anon_sym_LBRACE] = ACTIONS(6207),
    [anon_sym_RBRACE] = ACTIONS(6207),
    [anon_sym_LBRACK] = ACTIONS(6205),
    [anon_sym_RBRACK] = ACTIONS(6207),
    [anon_sym_EQ] = ACTIONS(6205),
    [anon_sym_COLON] = ACTIONS(6207),
    [anon_sym_QMARK] = ACTIONS(6207),
    [anon_sym_STAR_EQ] = ACTIONS(6207),
    [anon_sym_SLASH_EQ] = ACTIONS(6207),
    [anon_sym_PERCENT_EQ] = ACTIONS(6207),
    [anon_sym_PLUS_EQ] = ACTIONS(6207),
    [anon_sym_DASH_EQ] = ACTIONS(6207),
    [anon_sym_LT_LT_EQ] = ACTIONS(6207),
    [anon_sym_GT_GT_EQ] = ACTIONS(6207),
    [anon_sym_AMP_EQ] = ACTIONS(6207),
    [anon_sym_CARET_EQ] = ACTIONS(6207),
    [anon_sym_PIPE_EQ] = ACTIONS(6207),
    [anon_sym_and_eq] = ACTIONS(6205),
    [anon_sym_or_eq] = ACTIONS(6205),
    [anon_sym_xor_eq] = ACTIONS(6205),
    [anon_sym_LT_EQ_GT] = ACTIONS(6207),
    [anon_sym_or] = ACTIONS(6205),
    [anon_sym_and] = ACTIONS(6205),
    [anon_sym_bitor] = ACTIONS(6205),
    [anon_sym_xor] = ACTIONS(6205),
    [anon_sym_bitand] = ACTIONS(6205),
    [anon_sym_not_eq] = ACTIONS(6205),
    [anon_sym_DASH_DASH] = ACTIONS(6207),
    [anon_sym_PLUS_PLUS] = ACTIONS(6207),
    [anon_sym_DOT] = ACTIONS(6205),
    [anon_sym_DOT_STAR] = ACTIONS(6207),
    [anon_sym_DASH_GT] = ACTIONS(6207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6205),
  },
  [2747] = {
    [sym_identifier] = ACTIONS(5404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5406),
    [anon_sym_COMMA] = ACTIONS(5406),
    [aux_sym_preproc_if_token2] = ACTIONS(5406),
    [aux_sym_preproc_else_token1] = ACTIONS(5406),
    [aux_sym_preproc_elif_token1] = ACTIONS(5406),
    [anon_sym_LPAREN2] = ACTIONS(5406),
    [anon_sym_DASH] = ACTIONS(5404),
    [anon_sym_PLUS] = ACTIONS(5404),
    [anon_sym_STAR] = ACTIONS(5404),
    [anon_sym_SLASH] = ACTIONS(5404),
    [anon_sym_PERCENT] = ACTIONS(5404),
    [anon_sym_PIPE_PIPE] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_PIPE] = ACTIONS(5404),
    [anon_sym_CARET] = ACTIONS(5404),
    [anon_sym_AMP] = ACTIONS(5404),
    [anon_sym_EQ_EQ] = ACTIONS(5406),
    [anon_sym_BANG_EQ] = ACTIONS(5406),
    [anon_sym_GT] = ACTIONS(5404),
    [anon_sym_GT_EQ] = ACTIONS(5406),
    [anon_sym_LT_EQ] = ACTIONS(5404),
    [anon_sym_LT] = ACTIONS(5404),
    [anon_sym_LT_LT] = ACTIONS(5404),
    [anon_sym_GT_GT] = ACTIONS(5404),
    [anon_sym_LBRACK] = ACTIONS(5406),
    [anon_sym_EQ] = ACTIONS(5404),
    [anon_sym_QMARK] = ACTIONS(5406),
    [anon_sym_STAR_EQ] = ACTIONS(5406),
    [anon_sym_SLASH_EQ] = ACTIONS(5406),
    [anon_sym_PERCENT_EQ] = ACTIONS(5406),
    [anon_sym_PLUS_EQ] = ACTIONS(5406),
    [anon_sym_DASH_EQ] = ACTIONS(5406),
    [anon_sym_LT_LT_EQ] = ACTIONS(5406),
    [anon_sym_GT_GT_EQ] = ACTIONS(5406),
    [anon_sym_AMP_EQ] = ACTIONS(5406),
    [anon_sym_CARET_EQ] = ACTIONS(5406),
    [anon_sym_PIPE_EQ] = ACTIONS(5406),
    [anon_sym_and_eq] = ACTIONS(5404),
    [anon_sym_or_eq] = ACTIONS(5404),
    [anon_sym_xor_eq] = ACTIONS(5404),
    [anon_sym_LT_EQ_GT] = ACTIONS(5406),
    [anon_sym_or] = ACTIONS(5404),
    [anon_sym_and] = ACTIONS(5404),
    [anon_sym_bitor] = ACTIONS(5404),
    [anon_sym_xor] = ACTIONS(5404),
    [anon_sym_bitand] = ACTIONS(5404),
    [anon_sym_not_eq] = ACTIONS(5404),
    [anon_sym_DASH_DASH] = ACTIONS(5406),
    [anon_sym_PLUS_PLUS] = ACTIONS(5406),
    [anon_sym_DOT] = ACTIONS(5404),
    [anon_sym_DOT_STAR] = ACTIONS(5406),
    [anon_sym_DASH_GT] = ACTIONS(5406),
    [anon_sym_L_DQUOTE] = ACTIONS(5406),
    [anon_sym_u_DQUOTE] = ACTIONS(5406),
    [anon_sym_U_DQUOTE] = ACTIONS(5406),
    [anon_sym_u8_DQUOTE] = ACTIONS(5406),
    [anon_sym_DQUOTE] = ACTIONS(5406),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5406),
    [anon_sym_LR_DQUOTE] = ACTIONS(5406),
    [anon_sym_uR_DQUOTE] = ACTIONS(5406),
    [anon_sym_UR_DQUOTE] = ACTIONS(5406),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5406),
    [sym_literal_suffix] = ACTIONS(5404),
  },
  [2748] = {
    [sym_string_literal] = STATE(2520),
    [sym_raw_string_literal] = STATE(2520),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5806),
    [anon_sym_COMMA] = ACTIONS(5806),
    [anon_sym_RPAREN] = ACTIONS(5806),
    [anon_sym_LPAREN2] = ACTIONS(5806),
    [anon_sym_DASH] = ACTIONS(5804),
    [anon_sym_PLUS] = ACTIONS(5804),
    [anon_sym_STAR] = ACTIONS(5804),
    [anon_sym_SLASH] = ACTIONS(5804),
    [anon_sym_PERCENT] = ACTIONS(5804),
    [anon_sym_PIPE_PIPE] = ACTIONS(5806),
    [anon_sym_AMP_AMP] = ACTIONS(5806),
    [anon_sym_PIPE] = ACTIONS(5804),
    [anon_sym_CARET] = ACTIONS(5804),
    [anon_sym_AMP] = ACTIONS(5804),
    [anon_sym_EQ_EQ] = ACTIONS(5806),
    [anon_sym_BANG_EQ] = ACTIONS(5806),
    [anon_sym_GT] = ACTIONS(5804),
    [anon_sym_GT_EQ] = ACTIONS(5806),
    [anon_sym_LT_EQ] = ACTIONS(5804),
    [anon_sym_LT] = ACTIONS(5804),
    [anon_sym_LT_LT] = ACTIONS(5804),
    [anon_sym_GT_GT] = ACTIONS(5804),
    [anon_sym_LBRACK] = ACTIONS(5806),
    [anon_sym_EQ] = ACTIONS(5804),
    [anon_sym_QMARK] = ACTIONS(5806),
    [anon_sym_STAR_EQ] = ACTIONS(5806),
    [anon_sym_SLASH_EQ] = ACTIONS(5806),
    [anon_sym_PERCENT_EQ] = ACTIONS(5806),
    [anon_sym_PLUS_EQ] = ACTIONS(5806),
    [anon_sym_DASH_EQ] = ACTIONS(5806),
    [anon_sym_LT_LT_EQ] = ACTIONS(5806),
    [anon_sym_GT_GT_EQ] = ACTIONS(5806),
    [anon_sym_AMP_EQ] = ACTIONS(5806),
    [anon_sym_CARET_EQ] = ACTIONS(5806),
    [anon_sym_PIPE_EQ] = ACTIONS(5806),
    [anon_sym_and_eq] = ACTIONS(5804),
    [anon_sym_or_eq] = ACTIONS(5804),
    [anon_sym_xor_eq] = ACTIONS(5804),
    [anon_sym_LT_EQ_GT] = ACTIONS(5806),
    [anon_sym_or] = ACTIONS(5804),
    [anon_sym_and] = ACTIONS(5804),
    [anon_sym_bitor] = ACTIONS(5804),
    [anon_sym_xor] = ACTIONS(5804),
    [anon_sym_bitand] = ACTIONS(5804),
    [anon_sym_not_eq] = ACTIONS(5804),
    [anon_sym_DASH_DASH] = ACTIONS(5806),
    [anon_sym_PLUS_PLUS] = ACTIONS(5806),
    [anon_sym_DOT] = ACTIONS(5804),
    [anon_sym_DOT_STAR] = ACTIONS(5806),
    [anon_sym_DASH_GT] = ACTIONS(5804),
    [anon_sym_L_DQUOTE] = ACTIONS(5174),
    [anon_sym_u_DQUOTE] = ACTIONS(5174),
    [anon_sym_U_DQUOTE] = ACTIONS(5174),
    [anon_sym_u8_DQUOTE] = ACTIONS(5174),
    [anon_sym_DQUOTE] = ACTIONS(5174),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5176),
    [anon_sym_LR_DQUOTE] = ACTIONS(5176),
    [anon_sym_uR_DQUOTE] = ACTIONS(5176),
    [anon_sym_UR_DQUOTE] = ACTIONS(5176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5176),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5806),
    [sym_literal_suffix] = ACTIONS(6209),
  },
  [2749] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2719),
    [sym_identifier] = ACTIONS(6050),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6048),
    [anon_sym_COMMA] = ACTIONS(6048),
    [aux_sym_preproc_if_token2] = ACTIONS(6048),
    [aux_sym_preproc_else_token1] = ACTIONS(6048),
    [aux_sym_preproc_elif_token1] = ACTIONS(6050),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6048),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6048),
    [anon_sym_LPAREN2] = ACTIONS(6048),
    [anon_sym_DASH] = ACTIONS(6050),
    [anon_sym_PLUS] = ACTIONS(6050),
    [anon_sym_STAR] = ACTIONS(6050),
    [anon_sym_SLASH] = ACTIONS(6050),
    [anon_sym_PERCENT] = ACTIONS(6050),
    [anon_sym_PIPE_PIPE] = ACTIONS(6048),
    [anon_sym_AMP_AMP] = ACTIONS(6048),
    [anon_sym_PIPE] = ACTIONS(6050),
    [anon_sym_CARET] = ACTIONS(6050),
    [anon_sym_AMP] = ACTIONS(6050),
    [anon_sym_EQ_EQ] = ACTIONS(6048),
    [anon_sym_BANG_EQ] = ACTIONS(6048),
    [anon_sym_GT] = ACTIONS(6050),
    [anon_sym_GT_EQ] = ACTIONS(6048),
    [anon_sym_LT_EQ] = ACTIONS(6050),
    [anon_sym_LT] = ACTIONS(6050),
    [anon_sym_LT_LT] = ACTIONS(6050),
    [anon_sym_GT_GT] = ACTIONS(6050),
    [anon_sym___attribute__] = ACTIONS(6050),
    [anon_sym_LBRACE] = ACTIONS(6048),
    [anon_sym_signed] = ACTIONS(6181),
    [anon_sym_unsigned] = ACTIONS(6181),
    [anon_sym_long] = ACTIONS(6181),
    [anon_sym_short] = ACTIONS(6181),
    [anon_sym_LBRACK] = ACTIONS(6048),
    [anon_sym_EQ] = ACTIONS(6050),
    [anon_sym_QMARK] = ACTIONS(6048),
    [anon_sym_STAR_EQ] = ACTIONS(6048),
    [anon_sym_SLASH_EQ] = ACTIONS(6048),
    [anon_sym_PERCENT_EQ] = ACTIONS(6048),
    [anon_sym_PLUS_EQ] = ACTIONS(6048),
    [anon_sym_DASH_EQ] = ACTIONS(6048),
    [anon_sym_LT_LT_EQ] = ACTIONS(6048),
    [anon_sym_GT_GT_EQ] = ACTIONS(6048),
    [anon_sym_AMP_EQ] = ACTIONS(6048),
    [anon_sym_CARET_EQ] = ACTIONS(6048),
    [anon_sym_PIPE_EQ] = ACTIONS(6048),
    [anon_sym_and_eq] = ACTIONS(6050),
    [anon_sym_or_eq] = ACTIONS(6050),
    [anon_sym_xor_eq] = ACTIONS(6050),
    [anon_sym_LT_EQ_GT] = ACTIONS(6048),
    [anon_sym_or] = ACTIONS(6050),
    [anon_sym_and] = ACTIONS(6050),
    [anon_sym_bitor] = ACTIONS(6050),
    [anon_sym_xor] = ACTIONS(6050),
    [anon_sym_bitand] = ACTIONS(6050),
    [anon_sym_not_eq] = ACTIONS(6050),
    [anon_sym_DASH_DASH] = ACTIONS(6048),
    [anon_sym_PLUS_PLUS] = ACTIONS(6048),
    [anon_sym_DOT] = ACTIONS(6050),
    [anon_sym_DOT_STAR] = ACTIONS(6048),
    [anon_sym_DASH_GT] = ACTIONS(6048),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6050),
    [anon_sym_decltype] = ACTIONS(6050),
  },
  [2750] = {
    [sym_identifier] = ACTIONS(5699),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5701),
    [anon_sym_COMMA] = ACTIONS(5701),
    [anon_sym_RPAREN] = ACTIONS(5701),
    [aux_sym_preproc_if_token2] = ACTIONS(5701),
    [aux_sym_preproc_else_token1] = ACTIONS(5701),
    [aux_sym_preproc_elif_token1] = ACTIONS(5699),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5701),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5701),
    [anon_sym_LPAREN2] = ACTIONS(5701),
    [anon_sym_DASH] = ACTIONS(5699),
    [anon_sym_PLUS] = ACTIONS(5699),
    [anon_sym_STAR] = ACTIONS(5699),
    [anon_sym_SLASH] = ACTIONS(5699),
    [anon_sym_PERCENT] = ACTIONS(5699),
    [anon_sym_PIPE_PIPE] = ACTIONS(5701),
    [anon_sym_AMP_AMP] = ACTIONS(5701),
    [anon_sym_PIPE] = ACTIONS(5699),
    [anon_sym_CARET] = ACTIONS(5699),
    [anon_sym_AMP] = ACTIONS(5699),
    [anon_sym_EQ_EQ] = ACTIONS(5701),
    [anon_sym_BANG_EQ] = ACTIONS(5701),
    [anon_sym_GT] = ACTIONS(5699),
    [anon_sym_GT_EQ] = ACTIONS(5701),
    [anon_sym_LT_EQ] = ACTIONS(5699),
    [anon_sym_LT] = ACTIONS(5699),
    [anon_sym_LT_LT] = ACTIONS(5699),
    [anon_sym_GT_GT] = ACTIONS(5699),
    [anon_sym_SEMI] = ACTIONS(5701),
    [anon_sym___attribute__] = ACTIONS(5699),
    [anon_sym_LBRACE] = ACTIONS(5701),
    [anon_sym_RBRACE] = ACTIONS(5701),
    [anon_sym_LBRACK] = ACTIONS(5701),
    [anon_sym_RBRACK] = ACTIONS(5701),
    [anon_sym_EQ] = ACTIONS(5699),
    [anon_sym_COLON] = ACTIONS(5701),
    [anon_sym_QMARK] = ACTIONS(5701),
    [anon_sym_STAR_EQ] = ACTIONS(5701),
    [anon_sym_SLASH_EQ] = ACTIONS(5701),
    [anon_sym_PERCENT_EQ] = ACTIONS(5701),
    [anon_sym_PLUS_EQ] = ACTIONS(5701),
    [anon_sym_DASH_EQ] = ACTIONS(5701),
    [anon_sym_LT_LT_EQ] = ACTIONS(5701),
    [anon_sym_GT_GT_EQ] = ACTIONS(5701),
    [anon_sym_AMP_EQ] = ACTIONS(5701),
    [anon_sym_CARET_EQ] = ACTIONS(5701),
    [anon_sym_PIPE_EQ] = ACTIONS(5701),
    [anon_sym_and_eq] = ACTIONS(5699),
    [anon_sym_or_eq] = ACTIONS(5699),
    [anon_sym_xor_eq] = ACTIONS(5699),
    [anon_sym_LT_EQ_GT] = ACTIONS(5701),
    [anon_sym_or] = ACTIONS(5699),
    [anon_sym_and] = ACTIONS(5699),
    [anon_sym_bitor] = ACTIONS(5699),
    [anon_sym_xor] = ACTIONS(5699),
    [anon_sym_bitand] = ACTIONS(5699),
    [anon_sym_not_eq] = ACTIONS(5699),
    [anon_sym_DASH_DASH] = ACTIONS(5701),
    [anon_sym_PLUS_PLUS] = ACTIONS(5701),
    [anon_sym_DOT] = ACTIONS(5699),
    [anon_sym_DOT_STAR] = ACTIONS(5701),
    [anon_sym_DASH_GT] = ACTIONS(5701),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5699),
    [anon_sym_decltype] = ACTIONS(5699),
  },
  [2751] = {
    [sym_identifier] = ACTIONS(5415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5417),
    [anon_sym_COMMA] = ACTIONS(5417),
    [aux_sym_preproc_if_token2] = ACTIONS(5417),
    [aux_sym_preproc_else_token1] = ACTIONS(5417),
    [aux_sym_preproc_elif_token1] = ACTIONS(5417),
    [anon_sym_LPAREN2] = ACTIONS(5417),
    [anon_sym_DASH] = ACTIONS(5415),
    [anon_sym_PLUS] = ACTIONS(5415),
    [anon_sym_STAR] = ACTIONS(5415),
    [anon_sym_SLASH] = ACTIONS(5415),
    [anon_sym_PERCENT] = ACTIONS(5415),
    [anon_sym_PIPE_PIPE] = ACTIONS(5417),
    [anon_sym_AMP_AMP] = ACTIONS(5417),
    [anon_sym_PIPE] = ACTIONS(5415),
    [anon_sym_CARET] = ACTIONS(5415),
    [anon_sym_AMP] = ACTIONS(5415),
    [anon_sym_EQ_EQ] = ACTIONS(5417),
    [anon_sym_BANG_EQ] = ACTIONS(5417),
    [anon_sym_GT] = ACTIONS(5415),
    [anon_sym_GT_EQ] = ACTIONS(5417),
    [anon_sym_LT_EQ] = ACTIONS(5415),
    [anon_sym_LT] = ACTIONS(5415),
    [anon_sym_LT_LT] = ACTIONS(5415),
    [anon_sym_GT_GT] = ACTIONS(5415),
    [anon_sym_LBRACK] = ACTIONS(5417),
    [anon_sym_EQ] = ACTIONS(5415),
    [anon_sym_QMARK] = ACTIONS(5417),
    [anon_sym_STAR_EQ] = ACTIONS(5417),
    [anon_sym_SLASH_EQ] = ACTIONS(5417),
    [anon_sym_PERCENT_EQ] = ACTIONS(5417),
    [anon_sym_PLUS_EQ] = ACTIONS(5417),
    [anon_sym_DASH_EQ] = ACTIONS(5417),
    [anon_sym_LT_LT_EQ] = ACTIONS(5417),
    [anon_sym_GT_GT_EQ] = ACTIONS(5417),
    [anon_sym_AMP_EQ] = ACTIONS(5417),
    [anon_sym_CARET_EQ] = ACTIONS(5417),
    [anon_sym_PIPE_EQ] = ACTIONS(5417),
    [anon_sym_and_eq] = ACTIONS(5415),
    [anon_sym_or_eq] = ACTIONS(5415),
    [anon_sym_xor_eq] = ACTIONS(5415),
    [anon_sym_LT_EQ_GT] = ACTIONS(5417),
    [anon_sym_or] = ACTIONS(5415),
    [anon_sym_and] = ACTIONS(5415),
    [anon_sym_bitor] = ACTIONS(5415),
    [anon_sym_xor] = ACTIONS(5415),
    [anon_sym_bitand] = ACTIONS(5415),
    [anon_sym_not_eq] = ACTIONS(5415),
    [anon_sym_DASH_DASH] = ACTIONS(5417),
    [anon_sym_PLUS_PLUS] = ACTIONS(5417),
    [anon_sym_DOT] = ACTIONS(5415),
    [anon_sym_DOT_STAR] = ACTIONS(5417),
    [anon_sym_DASH_GT] = ACTIONS(5417),
    [anon_sym_L_DQUOTE] = ACTIONS(5417),
    [anon_sym_u_DQUOTE] = ACTIONS(5417),
    [anon_sym_U_DQUOTE] = ACTIONS(5417),
    [anon_sym_u8_DQUOTE] = ACTIONS(5417),
    [anon_sym_DQUOTE] = ACTIONS(5417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5417),
    [anon_sym_LR_DQUOTE] = ACTIONS(5417),
    [anon_sym_uR_DQUOTE] = ACTIONS(5417),
    [anon_sym_UR_DQUOTE] = ACTIONS(5417),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5417),
    [sym_literal_suffix] = ACTIONS(5415),
  },
  [2752] = {
    [sym_ms_based_modifier] = STATE(8775),
    [sym_ms_unaligned_ptr_modifier] = STATE(5824),
    [sym_ms_pointer_modifier] = STATE(3875),
    [sym__declarator] = STATE(7020),
    [sym__abstract_declarator] = STATE(7099),
    [sym_parenthesized_declarator] = STATE(6932),
    [sym_abstract_parenthesized_declarator] = STATE(6793),
    [sym_attributed_declarator] = STATE(6932),
    [sym_pointer_declarator] = STATE(6932),
    [sym_abstract_pointer_declarator] = STATE(6793),
    [sym_function_declarator] = STATE(6932),
    [sym_abstract_function_declarator] = STATE(6793),
    [sym_array_declarator] = STATE(6932),
    [sym_abstract_array_declarator] = STATE(6793),
    [sym_type_qualifier] = STATE(3182),
    [sym_parameter_list] = STATE(3819),
    [sym_decltype] = STATE(9281),
    [sym_reference_declarator] = STATE(6932),
    [sym_abstract_reference_declarator] = STATE(6793),
    [sym_structured_binding_declarator] = STATE(6932),
    [sym__function_declarator_seq] = STATE(6778),
    [sym_template_type] = STATE(9281),
    [sym_template_function] = STATE(6932),
    [sym_destructor_name] = STATE(6932),
    [sym_dependent_type_identifier] = STATE(9281),
    [sym__scope_resolution] = STATE(6515),
    [sym_qualified_identifier] = STATE(6932),
    [sym_operator_name] = STATE(6932),
    [aux_sym__type_definition_type_repeat1] = STATE(3182),
    [aux_sym_pointer_declarator_repeat1] = STATE(3875),
    [sym_identifier] = ACTIONS(6211),
    [anon_sym_COMMA] = ACTIONS(6213),
    [anon_sym_RPAREN] = ACTIONS(6213),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_TILDE] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(6215),
    [anon_sym_AMP_AMP] = ACTIONS(6217),
    [anon_sym_AMP] = ACTIONS(6219),
    [anon_sym___extension__] = ACTIONS(3290),
    [anon_sym_COLON_COLON] = ACTIONS(6221),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3292),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3292),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3292),
    [anon_sym__unaligned] = ACTIONS(3294),
    [anon_sym___unaligned] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(6223),
    [anon_sym_EQ] = ACTIONS(6213),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_constexpr] = ACTIONS(3290),
    [anon_sym_volatile] = ACTIONS(3290),
    [anon_sym_restrict] = ACTIONS(3290),
    [anon_sym___restrict__] = ACTIONS(3290),
    [anon_sym__Atomic] = ACTIONS(3290),
    [anon_sym__Noreturn] = ACTIONS(3290),
    [anon_sym_noreturn] = ACTIONS(3290),
    [anon_sym_mutable] = ACTIONS(3290),
    [anon_sym_constinit] = ACTIONS(3290),
    [anon_sym_consteval] = ACTIONS(3290),
    [anon_sym_PROGMEM] = ACTIONS(3290),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2181),
    [anon_sym_template] = ACTIONS(1436),
    [anon_sym_GT2] = ACTIONS(6213),
    [anon_sym_operator] = ACTIONS(2135),
  },
  [2753] = {
    [sym_argument_list] = STATE(2960),
    [sym_initializer_list] = STATE(2960),
    [sym_identifier] = ACTIONS(6225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6227),
    [anon_sym_COMMA] = ACTIONS(6227),
    [anon_sym_RPAREN] = ACTIONS(6227),
    [aux_sym_preproc_if_token2] = ACTIONS(6227),
    [aux_sym_preproc_else_token1] = ACTIONS(6227),
    [aux_sym_preproc_elif_token1] = ACTIONS(6225),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6227),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6227),
    [anon_sym_LPAREN2] = ACTIONS(5791),
    [anon_sym_DASH] = ACTIONS(6225),
    [anon_sym_PLUS] = ACTIONS(6225),
    [anon_sym_STAR] = ACTIONS(6225),
    [anon_sym_SLASH] = ACTIONS(6225),
    [anon_sym_PERCENT] = ACTIONS(6225),
    [anon_sym_PIPE_PIPE] = ACTIONS(6227),
    [anon_sym_AMP_AMP] = ACTIONS(6227),
    [anon_sym_PIPE] = ACTIONS(6225),
    [anon_sym_CARET] = ACTIONS(6225),
    [anon_sym_AMP] = ACTIONS(6225),
    [anon_sym_EQ_EQ] = ACTIONS(6227),
    [anon_sym_BANG_EQ] = ACTIONS(6227),
    [anon_sym_GT] = ACTIONS(6225),
    [anon_sym_GT_EQ] = ACTIONS(6227),
    [anon_sym_LT_EQ] = ACTIONS(6225),
    [anon_sym_LT] = ACTIONS(6225),
    [anon_sym_LT_LT] = ACTIONS(6225),
    [anon_sym_GT_GT] = ACTIONS(6225),
    [anon_sym_SEMI] = ACTIONS(6227),
    [anon_sym___attribute__] = ACTIONS(6225),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_RBRACE] = ACTIONS(6227),
    [anon_sym_LBRACK] = ACTIONS(6227),
    [anon_sym_RBRACK] = ACTIONS(6227),
    [anon_sym_EQ] = ACTIONS(6225),
    [anon_sym_COLON] = ACTIONS(6227),
    [anon_sym_QMARK] = ACTIONS(6227),
    [anon_sym_STAR_EQ] = ACTIONS(6227),
    [anon_sym_SLASH_EQ] = ACTIONS(6227),
    [anon_sym_PERCENT_EQ] = ACTIONS(6227),
    [anon_sym_PLUS_EQ] = ACTIONS(6227),
    [anon_sym_DASH_EQ] = ACTIONS(6227),
    [anon_sym_LT_LT_EQ] = ACTIONS(6227),
    [anon_sym_GT_GT_EQ] = ACTIONS(6227),
    [anon_sym_AMP_EQ] = ACTIONS(6227),
    [anon_sym_CARET_EQ] = ACTIONS(6227),
    [anon_sym_PIPE_EQ] = ACTIONS(6227),
    [anon_sym_and_eq] = ACTIONS(6225),
    [anon_sym_or_eq] = ACTIONS(6225),
    [anon_sym_xor_eq] = ACTIONS(6225),
    [anon_sym_LT_EQ_GT] = ACTIONS(6227),
    [anon_sym_or] = ACTIONS(6225),
    [anon_sym_and] = ACTIONS(6225),
    [anon_sym_bitor] = ACTIONS(6225),
    [anon_sym_xor] = ACTIONS(6225),
    [anon_sym_bitand] = ACTIONS(6225),
    [anon_sym_not_eq] = ACTIONS(6225),
    [anon_sym_DASH_DASH] = ACTIONS(6227),
    [anon_sym_PLUS_PLUS] = ACTIONS(6227),
    [anon_sym_DOT] = ACTIONS(6225),
    [anon_sym_DOT_STAR] = ACTIONS(6227),
    [anon_sym_DASH_GT] = ACTIONS(6227),
    [sym_comment] = ACTIONS(3),
  },
  [2754] = {
    [sym_string_literal] = STATE(2984),
    [sym_template_argument_list] = STATE(4299),
    [sym_raw_string_literal] = STATE(2984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4470),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(6229),
    [anon_sym_COLON] = ACTIONS(4454),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(6231),
    [anon_sym_SLASH_EQ] = ACTIONS(6231),
    [anon_sym_PERCENT_EQ] = ACTIONS(6231),
    [anon_sym_PLUS_EQ] = ACTIONS(6231),
    [anon_sym_DASH_EQ] = ACTIONS(6231),
    [anon_sym_LT_LT_EQ] = ACTIONS(6231),
    [anon_sym_GT_GT_EQ] = ACTIONS(6231),
    [anon_sym_AMP_EQ] = ACTIONS(6231),
    [anon_sym_CARET_EQ] = ACTIONS(6231),
    [anon_sym_PIPE_EQ] = ACTIONS(6231),
    [anon_sym_and_eq] = ACTIONS(6231),
    [anon_sym_or_eq] = ACTIONS(6231),
    [anon_sym_xor_eq] = ACTIONS(6231),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4446),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4446),
    [anon_sym_not_eq] = ACTIONS(4446),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4446),
    [anon_sym_L_DQUOTE] = ACTIONS(3571),
    [anon_sym_u_DQUOTE] = ACTIONS(3571),
    [anon_sym_U_DQUOTE] = ACTIONS(3571),
    [anon_sym_u8_DQUOTE] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3575),
    [anon_sym_LR_DQUOTE] = ACTIONS(3575),
    [anon_sym_uR_DQUOTE] = ACTIONS(3575),
    [anon_sym_UR_DQUOTE] = ACTIONS(3575),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3575),
  },
  [2755] = {
    [sym_attribute_declaration] = STATE(2755),
    [aux_sym_attributed_declarator_repeat1] = STATE(2755),
    [sym_identifier] = ACTIONS(6233),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6235),
    [anon_sym_COMMA] = ACTIONS(6235),
    [anon_sym_RPAREN] = ACTIONS(6235),
    [aux_sym_preproc_if_token2] = ACTIONS(6235),
    [aux_sym_preproc_else_token1] = ACTIONS(6235),
    [aux_sym_preproc_elif_token1] = ACTIONS(6233),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6235),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6235),
    [anon_sym_LPAREN2] = ACTIONS(6235),
    [anon_sym_DASH] = ACTIONS(6233),
    [anon_sym_PLUS] = ACTIONS(6233),
    [anon_sym_STAR] = ACTIONS(6233),
    [anon_sym_SLASH] = ACTIONS(6233),
    [anon_sym_PERCENT] = ACTIONS(6233),
    [anon_sym_PIPE_PIPE] = ACTIONS(6235),
    [anon_sym_AMP_AMP] = ACTIONS(6235),
    [anon_sym_PIPE] = ACTIONS(6233),
    [anon_sym_CARET] = ACTIONS(6233),
    [anon_sym_AMP] = ACTIONS(6233),
    [anon_sym_EQ_EQ] = ACTIONS(6235),
    [anon_sym_BANG_EQ] = ACTIONS(6235),
    [anon_sym_GT] = ACTIONS(6233),
    [anon_sym_GT_EQ] = ACTIONS(6235),
    [anon_sym_LT_EQ] = ACTIONS(6233),
    [anon_sym_LT] = ACTIONS(6233),
    [anon_sym_LT_LT] = ACTIONS(6233),
    [anon_sym_GT_GT] = ACTIONS(6233),
    [anon_sym_SEMI] = ACTIONS(6235),
    [anon_sym___attribute__] = ACTIONS(6233),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6237),
    [anon_sym_RBRACE] = ACTIONS(6235),
    [anon_sym_LBRACK] = ACTIONS(6233),
    [anon_sym_RBRACK] = ACTIONS(6235),
    [anon_sym_EQ] = ACTIONS(6233),
    [anon_sym_COLON] = ACTIONS(6235),
    [anon_sym_QMARK] = ACTIONS(6235),
    [anon_sym_STAR_EQ] = ACTIONS(6235),
    [anon_sym_SLASH_EQ] = ACTIONS(6235),
    [anon_sym_PERCENT_EQ] = ACTIONS(6235),
    [anon_sym_PLUS_EQ] = ACTIONS(6235),
    [anon_sym_DASH_EQ] = ACTIONS(6235),
    [anon_sym_LT_LT_EQ] = ACTIONS(6235),
    [anon_sym_GT_GT_EQ] = ACTIONS(6235),
    [anon_sym_AMP_EQ] = ACTIONS(6235),
    [anon_sym_CARET_EQ] = ACTIONS(6235),
    [anon_sym_PIPE_EQ] = ACTIONS(6235),
    [anon_sym_and_eq] = ACTIONS(6233),
    [anon_sym_or_eq] = ACTIONS(6233),
    [anon_sym_xor_eq] = ACTIONS(6233),
    [anon_sym_LT_EQ_GT] = ACTIONS(6235),
    [anon_sym_or] = ACTIONS(6233),
    [anon_sym_and] = ACTIONS(6233),
    [anon_sym_bitor] = ACTIONS(6233),
    [anon_sym_xor] = ACTIONS(6233),
    [anon_sym_bitand] = ACTIONS(6233),
    [anon_sym_not_eq] = ACTIONS(6233),
    [anon_sym_DASH_DASH] = ACTIONS(6235),
    [anon_sym_PLUS_PLUS] = ACTIONS(6235),
    [anon_sym_DOT] = ACTIONS(6233),
    [anon_sym_DOT_STAR] = ACTIONS(6235),
    [anon_sym_DASH_GT] = ACTIONS(6235),
    [sym_comment] = ACTIONS(3),
  },
  [2756] = {
    [sym_identifier] = ACTIONS(5622),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5624),
    [anon_sym_COMMA] = ACTIONS(5624),
    [anon_sym_RPAREN] = ACTIONS(5624),
    [aux_sym_preproc_if_token2] = ACTIONS(5624),
    [aux_sym_preproc_else_token1] = ACTIONS(5624),
    [aux_sym_preproc_elif_token1] = ACTIONS(5622),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_STAR] = ACTIONS(5622),
    [anon_sym_SLASH] = ACTIONS(5622),
    [anon_sym_PERCENT] = ACTIONS(5622),
    [anon_sym_PIPE_PIPE] = ACTIONS(5624),
    [anon_sym_AMP_AMP] = ACTIONS(5624),
    [anon_sym_PIPE] = ACTIONS(5622),
    [anon_sym_CARET] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(5622),
    [anon_sym_EQ_EQ] = ACTIONS(5624),
    [anon_sym_BANG_EQ] = ACTIONS(5624),
    [anon_sym_GT] = ACTIONS(5622),
    [anon_sym_GT_EQ] = ACTIONS(5624),
    [anon_sym_LT_EQ] = ACTIONS(5622),
    [anon_sym_LT] = ACTIONS(5622),
    [anon_sym_LT_LT] = ACTIONS(5622),
    [anon_sym_GT_GT] = ACTIONS(5622),
    [anon_sym_SEMI] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5622),
    [anon_sym_LBRACE] = ACTIONS(5624),
    [anon_sym_RBRACE] = ACTIONS(5624),
    [anon_sym_LBRACK] = ACTIONS(5624),
    [anon_sym_RBRACK] = ACTIONS(5624),
    [anon_sym_EQ] = ACTIONS(5622),
    [anon_sym_COLON] = ACTIONS(5624),
    [anon_sym_QMARK] = ACTIONS(5624),
    [anon_sym_STAR_EQ] = ACTIONS(5624),
    [anon_sym_SLASH_EQ] = ACTIONS(5624),
    [anon_sym_PERCENT_EQ] = ACTIONS(5624),
    [anon_sym_PLUS_EQ] = ACTIONS(5624),
    [anon_sym_DASH_EQ] = ACTIONS(5624),
    [anon_sym_LT_LT_EQ] = ACTIONS(5624),
    [anon_sym_GT_GT_EQ] = ACTIONS(5624),
    [anon_sym_AMP_EQ] = ACTIONS(5624),
    [anon_sym_CARET_EQ] = ACTIONS(5624),
    [anon_sym_PIPE_EQ] = ACTIONS(5624),
    [anon_sym_and_eq] = ACTIONS(5622),
    [anon_sym_or_eq] = ACTIONS(5622),
    [anon_sym_xor_eq] = ACTIONS(5622),
    [anon_sym_LT_EQ_GT] = ACTIONS(5624),
    [anon_sym_or] = ACTIONS(5622),
    [anon_sym_and] = ACTIONS(5622),
    [anon_sym_bitor] = ACTIONS(5622),
    [anon_sym_xor] = ACTIONS(5622),
    [anon_sym_bitand] = ACTIONS(5622),
    [anon_sym_not_eq] = ACTIONS(5622),
    [anon_sym_DASH_DASH] = ACTIONS(5624),
    [anon_sym_PLUS_PLUS] = ACTIONS(5624),
    [anon_sym_DOT] = ACTIONS(5622),
    [anon_sym_DOT_STAR] = ACTIONS(5624),
    [anon_sym_DASH_GT] = ACTIONS(5624),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5622),
    [anon_sym_decltype] = ACTIONS(5622),
  },
  [2757] = {
    [sym_identifier] = ACTIONS(5622),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5624),
    [anon_sym_COMMA] = ACTIONS(5624),
    [anon_sym_RPAREN] = ACTIONS(5624),
    [aux_sym_preproc_if_token2] = ACTIONS(5624),
    [aux_sym_preproc_else_token1] = ACTIONS(5624),
    [aux_sym_preproc_elif_token1] = ACTIONS(5622),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_STAR] = ACTIONS(5622),
    [anon_sym_SLASH] = ACTIONS(5622),
    [anon_sym_PERCENT] = ACTIONS(5622),
    [anon_sym_PIPE_PIPE] = ACTIONS(5624),
    [anon_sym_AMP_AMP] = ACTIONS(5624),
    [anon_sym_PIPE] = ACTIONS(5622),
    [anon_sym_CARET] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(5622),
    [anon_sym_EQ_EQ] = ACTIONS(5624),
    [anon_sym_BANG_EQ] = ACTIONS(5624),
    [anon_sym_GT] = ACTIONS(5622),
    [anon_sym_GT_EQ] = ACTIONS(5624),
    [anon_sym_LT_EQ] = ACTIONS(5622),
    [anon_sym_LT] = ACTIONS(5622),
    [anon_sym_LT_LT] = ACTIONS(5622),
    [anon_sym_GT_GT] = ACTIONS(5622),
    [anon_sym_SEMI] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5622),
    [anon_sym_LBRACE] = ACTIONS(5624),
    [anon_sym_RBRACE] = ACTIONS(5624),
    [anon_sym_LBRACK] = ACTIONS(5624),
    [anon_sym_RBRACK] = ACTIONS(5624),
    [anon_sym_EQ] = ACTIONS(5622),
    [anon_sym_COLON] = ACTIONS(5624),
    [anon_sym_QMARK] = ACTIONS(5624),
    [anon_sym_STAR_EQ] = ACTIONS(5624),
    [anon_sym_SLASH_EQ] = ACTIONS(5624),
    [anon_sym_PERCENT_EQ] = ACTIONS(5624),
    [anon_sym_PLUS_EQ] = ACTIONS(5624),
    [anon_sym_DASH_EQ] = ACTIONS(5624),
    [anon_sym_LT_LT_EQ] = ACTIONS(5624),
    [anon_sym_GT_GT_EQ] = ACTIONS(5624),
    [anon_sym_AMP_EQ] = ACTIONS(5624),
    [anon_sym_CARET_EQ] = ACTIONS(5624),
    [anon_sym_PIPE_EQ] = ACTIONS(5624),
    [anon_sym_and_eq] = ACTIONS(5622),
    [anon_sym_or_eq] = ACTIONS(5622),
    [anon_sym_xor_eq] = ACTIONS(5622),
    [anon_sym_LT_EQ_GT] = ACTIONS(5624),
    [anon_sym_or] = ACTIONS(5622),
    [anon_sym_and] = ACTIONS(5622),
    [anon_sym_bitor] = ACTIONS(5622),
    [anon_sym_xor] = ACTIONS(5622),
    [anon_sym_bitand] = ACTIONS(5622),
    [anon_sym_not_eq] = ACTIONS(5622),
    [anon_sym_DASH_DASH] = ACTIONS(5624),
    [anon_sym_PLUS_PLUS] = ACTIONS(5624),
    [anon_sym_DOT] = ACTIONS(5622),
    [anon_sym_DOT_STAR] = ACTIONS(5624),
    [anon_sym_DASH_GT] = ACTIONS(5624),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5622),
    [anon_sym_decltype] = ACTIONS(5622),
  },
  [2758] = {
    [sym_identifier] = ACTIONS(6240),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6242),
    [anon_sym_COMMA] = ACTIONS(6242),
    [anon_sym_RPAREN] = ACTIONS(6242),
    [aux_sym_preproc_if_token2] = ACTIONS(6242),
    [aux_sym_preproc_else_token1] = ACTIONS(6242),
    [aux_sym_preproc_elif_token1] = ACTIONS(6240),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6242),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6242),
    [anon_sym_LPAREN2] = ACTIONS(6242),
    [anon_sym_DASH] = ACTIONS(6240),
    [anon_sym_PLUS] = ACTIONS(6240),
    [anon_sym_STAR] = ACTIONS(6240),
    [anon_sym_SLASH] = ACTIONS(6240),
    [anon_sym_PERCENT] = ACTIONS(6240),
    [anon_sym_PIPE_PIPE] = ACTIONS(6242),
    [anon_sym_AMP_AMP] = ACTIONS(6242),
    [anon_sym_PIPE] = ACTIONS(6240),
    [anon_sym_CARET] = ACTIONS(6240),
    [anon_sym_AMP] = ACTIONS(6240),
    [anon_sym_EQ_EQ] = ACTIONS(6242),
    [anon_sym_BANG_EQ] = ACTIONS(6242),
    [anon_sym_GT] = ACTIONS(6240),
    [anon_sym_GT_EQ] = ACTIONS(6242),
    [anon_sym_LT_EQ] = ACTIONS(6240),
    [anon_sym_LT] = ACTIONS(6240),
    [anon_sym_LT_LT] = ACTIONS(6240),
    [anon_sym_GT_GT] = ACTIONS(6240),
    [anon_sym_SEMI] = ACTIONS(6242),
    [anon_sym___attribute__] = ACTIONS(6240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6242),
    [anon_sym_LBRACE] = ACTIONS(6242),
    [anon_sym_RBRACE] = ACTIONS(6242),
    [anon_sym_LBRACK] = ACTIONS(6240),
    [anon_sym_RBRACK] = ACTIONS(6242),
    [anon_sym_EQ] = ACTIONS(6240),
    [anon_sym_COLON] = ACTIONS(6242),
    [anon_sym_QMARK] = ACTIONS(6242),
    [anon_sym_STAR_EQ] = ACTIONS(6242),
    [anon_sym_SLASH_EQ] = ACTIONS(6242),
    [anon_sym_PERCENT_EQ] = ACTIONS(6242),
    [anon_sym_PLUS_EQ] = ACTIONS(6242),
    [anon_sym_DASH_EQ] = ACTIONS(6242),
    [anon_sym_LT_LT_EQ] = ACTIONS(6242),
    [anon_sym_GT_GT_EQ] = ACTIONS(6242),
    [anon_sym_AMP_EQ] = ACTIONS(6242),
    [anon_sym_CARET_EQ] = ACTIONS(6242),
    [anon_sym_PIPE_EQ] = ACTIONS(6242),
    [anon_sym_and_eq] = ACTIONS(6240),
    [anon_sym_or_eq] = ACTIONS(6240),
    [anon_sym_xor_eq] = ACTIONS(6240),
    [anon_sym_LT_EQ_GT] = ACTIONS(6242),
    [anon_sym_or] = ACTIONS(6240),
    [anon_sym_and] = ACTIONS(6240),
    [anon_sym_bitor] = ACTIONS(6240),
    [anon_sym_xor] = ACTIONS(6240),
    [anon_sym_bitand] = ACTIONS(6240),
    [anon_sym_not_eq] = ACTIONS(6240),
    [anon_sym_DASH_DASH] = ACTIONS(6242),
    [anon_sym_PLUS_PLUS] = ACTIONS(6242),
    [anon_sym_DOT] = ACTIONS(6240),
    [anon_sym_DOT_STAR] = ACTIONS(6242),
    [anon_sym_DASH_GT] = ACTIONS(6242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6240),
  },
  [2759] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2719),
    [sym_identifier] = ACTIONS(6034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6032),
    [anon_sym_COMMA] = ACTIONS(6032),
    [aux_sym_preproc_if_token2] = ACTIONS(6032),
    [aux_sym_preproc_else_token1] = ACTIONS(6032),
    [aux_sym_preproc_elif_token1] = ACTIONS(6034),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6032),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6032),
    [anon_sym_LPAREN2] = ACTIONS(6032),
    [anon_sym_DASH] = ACTIONS(6034),
    [anon_sym_PLUS] = ACTIONS(6034),
    [anon_sym_STAR] = ACTIONS(6034),
    [anon_sym_SLASH] = ACTIONS(6034),
    [anon_sym_PERCENT] = ACTIONS(6034),
    [anon_sym_PIPE_PIPE] = ACTIONS(6032),
    [anon_sym_AMP_AMP] = ACTIONS(6032),
    [anon_sym_PIPE] = ACTIONS(6034),
    [anon_sym_CARET] = ACTIONS(6034),
    [anon_sym_AMP] = ACTIONS(6034),
    [anon_sym_EQ_EQ] = ACTIONS(6032),
    [anon_sym_BANG_EQ] = ACTIONS(6032),
    [anon_sym_GT] = ACTIONS(6034),
    [anon_sym_GT_EQ] = ACTIONS(6032),
    [anon_sym_LT_EQ] = ACTIONS(6034),
    [anon_sym_LT] = ACTIONS(6034),
    [anon_sym_LT_LT] = ACTIONS(6034),
    [anon_sym_GT_GT] = ACTIONS(6034),
    [anon_sym___attribute__] = ACTIONS(6034),
    [anon_sym_LBRACE] = ACTIONS(6032),
    [anon_sym_signed] = ACTIONS(6181),
    [anon_sym_unsigned] = ACTIONS(6181),
    [anon_sym_long] = ACTIONS(6181),
    [anon_sym_short] = ACTIONS(6181),
    [anon_sym_LBRACK] = ACTIONS(6032),
    [anon_sym_EQ] = ACTIONS(6034),
    [anon_sym_QMARK] = ACTIONS(6032),
    [anon_sym_STAR_EQ] = ACTIONS(6032),
    [anon_sym_SLASH_EQ] = ACTIONS(6032),
    [anon_sym_PERCENT_EQ] = ACTIONS(6032),
    [anon_sym_PLUS_EQ] = ACTIONS(6032),
    [anon_sym_DASH_EQ] = ACTIONS(6032),
    [anon_sym_LT_LT_EQ] = ACTIONS(6032),
    [anon_sym_GT_GT_EQ] = ACTIONS(6032),
    [anon_sym_AMP_EQ] = ACTIONS(6032),
    [anon_sym_CARET_EQ] = ACTIONS(6032),
    [anon_sym_PIPE_EQ] = ACTIONS(6032),
    [anon_sym_and_eq] = ACTIONS(6034),
    [anon_sym_or_eq] = ACTIONS(6034),
    [anon_sym_xor_eq] = ACTIONS(6034),
    [anon_sym_LT_EQ_GT] = ACTIONS(6032),
    [anon_sym_or] = ACTIONS(6034),
    [anon_sym_and] = ACTIONS(6034),
    [anon_sym_bitor] = ACTIONS(6034),
    [anon_sym_xor] = ACTIONS(6034),
    [anon_sym_bitand] = ACTIONS(6034),
    [anon_sym_not_eq] = ACTIONS(6034),
    [anon_sym_DASH_DASH] = ACTIONS(6032),
    [anon_sym_PLUS_PLUS] = ACTIONS(6032),
    [anon_sym_DOT] = ACTIONS(6034),
    [anon_sym_DOT_STAR] = ACTIONS(6032),
    [anon_sym_DASH_GT] = ACTIONS(6032),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6034),
    [anon_sym_decltype] = ACTIONS(6034),
  },
  [2760] = {
    [sym_string_literal] = STATE(2520),
    [sym_raw_string_literal] = STATE(2520),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4446),
    [anon_sym_COMMA] = ACTIONS(4446),
    [anon_sym_RPAREN] = ACTIONS(4446),
    [anon_sym_LPAREN2] = ACTIONS(4446),
    [anon_sym_DASH] = ACTIONS(4454),
    [anon_sym_PLUS] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4454),
    [anon_sym_SLASH] = ACTIONS(4454),
    [anon_sym_PERCENT] = ACTIONS(4454),
    [anon_sym_PIPE_PIPE] = ACTIONS(4446),
    [anon_sym_AMP_AMP] = ACTIONS(4446),
    [anon_sym_PIPE] = ACTIONS(4454),
    [anon_sym_CARET] = ACTIONS(4454),
    [anon_sym_AMP] = ACTIONS(4454),
    [anon_sym_EQ_EQ] = ACTIONS(4446),
    [anon_sym_BANG_EQ] = ACTIONS(4446),
    [anon_sym_GT] = ACTIONS(4454),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4454),
    [anon_sym_LT] = ACTIONS(4454),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_LBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(4454),
    [anon_sym_QMARK] = ACTIONS(4446),
    [anon_sym_STAR_EQ] = ACTIONS(4446),
    [anon_sym_SLASH_EQ] = ACTIONS(4446),
    [anon_sym_PERCENT_EQ] = ACTIONS(4446),
    [anon_sym_PLUS_EQ] = ACTIONS(4446),
    [anon_sym_DASH_EQ] = ACTIONS(4446),
    [anon_sym_LT_LT_EQ] = ACTIONS(4446),
    [anon_sym_GT_GT_EQ] = ACTIONS(4446),
    [anon_sym_AMP_EQ] = ACTIONS(4446),
    [anon_sym_CARET_EQ] = ACTIONS(4446),
    [anon_sym_PIPE_EQ] = ACTIONS(4446),
    [anon_sym_and_eq] = ACTIONS(4454),
    [anon_sym_or_eq] = ACTIONS(4454),
    [anon_sym_xor_eq] = ACTIONS(4454),
    [anon_sym_LT_EQ_GT] = ACTIONS(4446),
    [anon_sym_or] = ACTIONS(4454),
    [anon_sym_and] = ACTIONS(4454),
    [anon_sym_bitor] = ACTIONS(4454),
    [anon_sym_xor] = ACTIONS(4454),
    [anon_sym_bitand] = ACTIONS(4454),
    [anon_sym_not_eq] = ACTIONS(4454),
    [anon_sym_DASH_DASH] = ACTIONS(4446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4446),
    [anon_sym_DOT] = ACTIONS(4454),
    [anon_sym_DOT_STAR] = ACTIONS(4446),
    [anon_sym_DASH_GT] = ACTIONS(4454),
    [anon_sym_L_DQUOTE] = ACTIONS(5174),
    [anon_sym_u_DQUOTE] = ACTIONS(5174),
    [anon_sym_U_DQUOTE] = ACTIONS(5174),
    [anon_sym_u8_DQUOTE] = ACTIONS(5174),
    [anon_sym_DQUOTE] = ACTIONS(5174),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5176),
    [anon_sym_LR_DQUOTE] = ACTIONS(5176),
    [anon_sym_uR_DQUOTE] = ACTIONS(5176),
    [anon_sym_UR_DQUOTE] = ACTIONS(5176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5176),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4446),
    [sym_literal_suffix] = ACTIONS(6209),
  },
  [2761] = {
    [sym_attribute_specifier] = STATE(2268),
    [sym_field_declaration_list] = STATE(2956),
    [sym_virtual_specifier] = STATE(7622),
    [sym_base_class_clause] = STATE(8302),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5469),
    [anon_sym_COMMA] = ACTIONS(5469),
    [anon_sym_RPAREN] = ACTIONS(5469),
    [anon_sym_LPAREN2] = ACTIONS(5469),
    [anon_sym_DASH] = ACTIONS(5467),
    [anon_sym_PLUS] = ACTIONS(5467),
    [anon_sym_STAR] = ACTIONS(5469),
    [anon_sym_SLASH] = ACTIONS(5467),
    [anon_sym_PERCENT] = ACTIONS(5469),
    [anon_sym_PIPE_PIPE] = ACTIONS(5469),
    [anon_sym_AMP_AMP] = ACTIONS(5469),
    [anon_sym_PIPE] = ACTIONS(5467),
    [anon_sym_CARET] = ACTIONS(5469),
    [anon_sym_AMP] = ACTIONS(5467),
    [anon_sym_EQ_EQ] = ACTIONS(5469),
    [anon_sym_BANG_EQ] = ACTIONS(5469),
    [anon_sym_GT] = ACTIONS(5467),
    [anon_sym_GT_EQ] = ACTIONS(5469),
    [anon_sym_LT_EQ] = ACTIONS(5467),
    [anon_sym_LT] = ACTIONS(5467),
    [anon_sym_LT_LT] = ACTIONS(5469),
    [anon_sym_GT_GT] = ACTIONS(5469),
    [anon_sym_SEMI] = ACTIONS(5469),
    [anon_sym___extension__] = ACTIONS(5469),
    [anon_sym___attribute__] = ACTIONS(6244),
    [anon_sym_LBRACE] = ACTIONS(6246),
    [anon_sym_RBRACE] = ACTIONS(5469),
    [anon_sym_LBRACK] = ACTIONS(5469),
    [anon_sym_RBRACK] = ACTIONS(5469),
    [anon_sym_const] = ACTIONS(5467),
    [anon_sym_constexpr] = ACTIONS(5469),
    [anon_sym_volatile] = ACTIONS(5469),
    [anon_sym_restrict] = ACTIONS(5469),
    [anon_sym___restrict__] = ACTIONS(5469),
    [anon_sym__Atomic] = ACTIONS(5469),
    [anon_sym__Noreturn] = ACTIONS(5469),
    [anon_sym_noreturn] = ACTIONS(5469),
    [anon_sym_mutable] = ACTIONS(5469),
    [anon_sym_constinit] = ACTIONS(5469),
    [anon_sym_consteval] = ACTIONS(5469),
    [anon_sym_PROGMEM] = ACTIONS(5469),
    [anon_sym_COLON] = ACTIONS(5475),
    [anon_sym_QMARK] = ACTIONS(5469),
    [anon_sym_LT_EQ_GT] = ACTIONS(5469),
    [anon_sym_or] = ACTIONS(5469),
    [anon_sym_and] = ACTIONS(5469),
    [anon_sym_bitor] = ACTIONS(5469),
    [anon_sym_xor] = ACTIONS(5469),
    [anon_sym_bitand] = ACTIONS(5469),
    [anon_sym_not_eq] = ACTIONS(5469),
    [anon_sym_DASH_DASH] = ACTIONS(5469),
    [anon_sym_PLUS_PLUS] = ACTIONS(5469),
    [anon_sym_DOT] = ACTIONS(5467),
    [anon_sym_DOT_STAR] = ACTIONS(5469),
    [anon_sym_DASH_GT] = ACTIONS(5469),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5469),
    [anon_sym_decltype] = ACTIONS(5469),
    [anon_sym_final] = ACTIONS(6248),
    [anon_sym_override] = ACTIONS(6248),
    [anon_sym_requires] = ACTIONS(5469),
  },
  [2762] = {
    [sym_template_argument_list] = STATE(2768),
    [sym_identifier] = ACTIONS(5114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5107),
    [anon_sym_COMMA] = ACTIONS(5107),
    [anon_sym_RPAREN] = ACTIONS(5107),
    [aux_sym_preproc_if_token2] = ACTIONS(5107),
    [aux_sym_preproc_else_token1] = ACTIONS(5107),
    [aux_sym_preproc_elif_token1] = ACTIONS(5114),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5107),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5107),
    [anon_sym_LPAREN2] = ACTIONS(5107),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_STAR] = ACTIONS(5114),
    [anon_sym_SLASH] = ACTIONS(5114),
    [anon_sym_PERCENT] = ACTIONS(5114),
    [anon_sym_PIPE_PIPE] = ACTIONS(5107),
    [anon_sym_AMP_AMP] = ACTIONS(5107),
    [anon_sym_PIPE] = ACTIONS(5114),
    [anon_sym_CARET] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(5114),
    [anon_sym_EQ_EQ] = ACTIONS(5107),
    [anon_sym_BANG_EQ] = ACTIONS(5107),
    [anon_sym_GT] = ACTIONS(5114),
    [anon_sym_GT_EQ] = ACTIONS(5107),
    [anon_sym_LT_EQ] = ACTIONS(5114),
    [anon_sym_LT] = ACTIONS(6250),
    [anon_sym_LT_LT] = ACTIONS(5114),
    [anon_sym_GT_GT] = ACTIONS(5114),
    [anon_sym_SEMI] = ACTIONS(5107),
    [anon_sym___attribute__] = ACTIONS(5114),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(5112),
    [anon_sym_RBRACE] = ACTIONS(5107),
    [anon_sym_LBRACK] = ACTIONS(5107),
    [anon_sym_RBRACK] = ACTIONS(5107),
    [anon_sym_EQ] = ACTIONS(5114),
    [anon_sym_COLON] = ACTIONS(5114),
    [anon_sym_QMARK] = ACTIONS(5107),
    [anon_sym_STAR_EQ] = ACTIONS(5107),
    [anon_sym_SLASH_EQ] = ACTIONS(5107),
    [anon_sym_PERCENT_EQ] = ACTIONS(5107),
    [anon_sym_PLUS_EQ] = ACTIONS(5107),
    [anon_sym_DASH_EQ] = ACTIONS(5107),
    [anon_sym_LT_LT_EQ] = ACTIONS(5107),
    [anon_sym_GT_GT_EQ] = ACTIONS(5107),
    [anon_sym_AMP_EQ] = ACTIONS(5107),
    [anon_sym_CARET_EQ] = ACTIONS(5107),
    [anon_sym_PIPE_EQ] = ACTIONS(5107),
    [anon_sym_and_eq] = ACTIONS(5114),
    [anon_sym_or_eq] = ACTIONS(5114),
    [anon_sym_xor_eq] = ACTIONS(5114),
    [anon_sym_LT_EQ_GT] = ACTIONS(5107),
    [anon_sym_or] = ACTIONS(5114),
    [anon_sym_and] = ACTIONS(5114),
    [anon_sym_bitor] = ACTIONS(5114),
    [anon_sym_xor] = ACTIONS(5114),
    [anon_sym_bitand] = ACTIONS(5114),
    [anon_sym_not_eq] = ACTIONS(5114),
    [anon_sym_DASH_DASH] = ACTIONS(5107),
    [anon_sym_PLUS_PLUS] = ACTIONS(5107),
    [anon_sym_DOT] = ACTIONS(5114),
    [anon_sym_DOT_STAR] = ACTIONS(5107),
    [anon_sym_DASH_GT] = ACTIONS(5107),
    [sym_comment] = ACTIONS(3),
  },
  [2763] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2763),
    [sym_identifier] = ACTIONS(5374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5376),
    [anon_sym_COMMA] = ACTIONS(5376),
    [anon_sym_RPAREN] = ACTIONS(5376),
    [anon_sym_LPAREN2] = ACTIONS(5376),
    [anon_sym_DASH] = ACTIONS(5374),
    [anon_sym_PLUS] = ACTIONS(5374),
    [anon_sym_STAR] = ACTIONS(5374),
    [anon_sym_SLASH] = ACTIONS(5374),
    [anon_sym_PERCENT] = ACTIONS(5374),
    [anon_sym_PIPE_PIPE] = ACTIONS(5376),
    [anon_sym_AMP_AMP] = ACTIONS(5376),
    [anon_sym_PIPE] = ACTIONS(5374),
    [anon_sym_CARET] = ACTIONS(5374),
    [anon_sym_AMP] = ACTIONS(5374),
    [anon_sym_EQ_EQ] = ACTIONS(5376),
    [anon_sym_BANG_EQ] = ACTIONS(5376),
    [anon_sym_GT] = ACTIONS(5374),
    [anon_sym_GT_EQ] = ACTIONS(5376),
    [anon_sym_LT_EQ] = ACTIONS(5374),
    [anon_sym_LT] = ACTIONS(5374),
    [anon_sym_LT_LT] = ACTIONS(5374),
    [anon_sym_GT_GT] = ACTIONS(5374),
    [anon_sym___attribute__] = ACTIONS(5374),
    [anon_sym_LBRACE] = ACTIONS(5376),
    [anon_sym_signed] = ACTIONS(6202),
    [anon_sym_unsigned] = ACTIONS(6202),
    [anon_sym_long] = ACTIONS(6202),
    [anon_sym_short] = ACTIONS(6202),
    [anon_sym_LBRACK] = ACTIONS(5376),
    [anon_sym_EQ] = ACTIONS(5374),
    [aux_sym_primitive_type_token1] = ACTIONS(5374),
    [anon_sym_byte] = ACTIONS(5374),
    [anon_sym_word] = ACTIONS(5374),
    [anon_sym_QMARK] = ACTIONS(5376),
    [anon_sym_STAR_EQ] = ACTIONS(5376),
    [anon_sym_SLASH_EQ] = ACTIONS(5376),
    [anon_sym_PERCENT_EQ] = ACTIONS(5376),
    [anon_sym_PLUS_EQ] = ACTIONS(5376),
    [anon_sym_DASH_EQ] = ACTIONS(5376),
    [anon_sym_LT_LT_EQ] = ACTIONS(5376),
    [anon_sym_GT_GT_EQ] = ACTIONS(5376),
    [anon_sym_AMP_EQ] = ACTIONS(5376),
    [anon_sym_CARET_EQ] = ACTIONS(5376),
    [anon_sym_PIPE_EQ] = ACTIONS(5376),
    [anon_sym_and_eq] = ACTIONS(5374),
    [anon_sym_or_eq] = ACTIONS(5374),
    [anon_sym_xor_eq] = ACTIONS(5374),
    [anon_sym_LT_EQ_GT] = ACTIONS(5376),
    [anon_sym_or] = ACTIONS(5374),
    [anon_sym_and] = ACTIONS(5374),
    [anon_sym_bitor] = ACTIONS(5374),
    [anon_sym_xor] = ACTIONS(5374),
    [anon_sym_bitand] = ACTIONS(5374),
    [anon_sym_not_eq] = ACTIONS(5374),
    [anon_sym_DASH_DASH] = ACTIONS(5376),
    [anon_sym_PLUS_PLUS] = ACTIONS(5376),
    [anon_sym_DOT] = ACTIONS(5374),
    [anon_sym_DOT_STAR] = ACTIONS(5376),
    [anon_sym_DASH_GT] = ACTIONS(5374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5374),
    [anon_sym_decltype] = ACTIONS(5374),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5376),
  },
  [2764] = {
    [sym_attribute_specifier] = STATE(3181),
    [sym_field_declaration_list] = STATE(3091),
    [sym_virtual_specifier] = STATE(7639),
    [sym_base_class_clause] = STATE(8340),
    [sym_identifier] = ACTIONS(5467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5469),
    [anon_sym_COMMA] = ACTIONS(5469),
    [aux_sym_preproc_if_token2] = ACTIONS(5469),
    [aux_sym_preproc_else_token1] = ACTIONS(5469),
    [aux_sym_preproc_elif_token1] = ACTIONS(5469),
    [anon_sym_LPAREN2] = ACTIONS(5469),
    [anon_sym_DASH] = ACTIONS(5467),
    [anon_sym_PLUS] = ACTIONS(5467),
    [anon_sym_STAR] = ACTIONS(5467),
    [anon_sym_SLASH] = ACTIONS(5467),
    [anon_sym_PERCENT] = ACTIONS(5467),
    [anon_sym_PIPE_PIPE] = ACTIONS(5469),
    [anon_sym_AMP_AMP] = ACTIONS(5469),
    [anon_sym_PIPE] = ACTIONS(5467),
    [anon_sym_CARET] = ACTIONS(5467),
    [anon_sym_AMP] = ACTIONS(5467),
    [anon_sym_EQ_EQ] = ACTIONS(5469),
    [anon_sym_BANG_EQ] = ACTIONS(5469),
    [anon_sym_GT] = ACTIONS(5467),
    [anon_sym_GT_EQ] = ACTIONS(5469),
    [anon_sym_LT_EQ] = ACTIONS(5467),
    [anon_sym_LT] = ACTIONS(5467),
    [anon_sym_LT_LT] = ACTIONS(5467),
    [anon_sym_GT_GT] = ACTIONS(5467),
    [anon_sym___attribute__] = ACTIONS(6253),
    [anon_sym_LBRACE] = ACTIONS(6255),
    [anon_sym_LBRACK] = ACTIONS(5469),
    [anon_sym_EQ] = ACTIONS(5467),
    [anon_sym_COLON] = ACTIONS(5475),
    [anon_sym_QMARK] = ACTIONS(5469),
    [anon_sym_STAR_EQ] = ACTIONS(5469),
    [anon_sym_SLASH_EQ] = ACTIONS(5469),
    [anon_sym_PERCENT_EQ] = ACTIONS(5469),
    [anon_sym_PLUS_EQ] = ACTIONS(5469),
    [anon_sym_DASH_EQ] = ACTIONS(5469),
    [anon_sym_LT_LT_EQ] = ACTIONS(5469),
    [anon_sym_GT_GT_EQ] = ACTIONS(5469),
    [anon_sym_AMP_EQ] = ACTIONS(5469),
    [anon_sym_CARET_EQ] = ACTIONS(5469),
    [anon_sym_PIPE_EQ] = ACTIONS(5469),
    [anon_sym_and_eq] = ACTIONS(5467),
    [anon_sym_or_eq] = ACTIONS(5467),
    [anon_sym_xor_eq] = ACTIONS(5467),
    [anon_sym_LT_EQ_GT] = ACTIONS(5469),
    [anon_sym_or] = ACTIONS(5467),
    [anon_sym_and] = ACTIONS(5467),
    [anon_sym_bitor] = ACTIONS(5467),
    [anon_sym_xor] = ACTIONS(5467),
    [anon_sym_bitand] = ACTIONS(5467),
    [anon_sym_not_eq] = ACTIONS(5467),
    [anon_sym_DASH_DASH] = ACTIONS(5469),
    [anon_sym_PLUS_PLUS] = ACTIONS(5469),
    [anon_sym_DOT] = ACTIONS(5467),
    [anon_sym_DOT_STAR] = ACTIONS(5469),
    [anon_sym_DASH_GT] = ACTIONS(5469),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5467),
    [anon_sym_decltype] = ACTIONS(5467),
    [anon_sym_final] = ACTIONS(5477),
    [anon_sym_override] = ACTIONS(5477),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5425), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5427), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [71] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2780), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6257), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6064), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6062), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6261), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6259), 57,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [217] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5160), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5165), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5425), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5427), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [361] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5471), 1,
      anon_sym___attribute__,
    ACTIONS(5913), 1,
      anon_sym_LBRACE,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    STATE(2478), 1,
      sym__enum_base_clause,
    STATE(2661), 1,
      sym_enumerator_list,
    STATE(2732), 1,
      sym_attribute_specifier,
    ACTIONS(6263), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6265), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [444] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6269), 1,
      sym_literal_suffix,
    STATE(2647), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5986), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5988), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5806), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5804), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2060), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6271), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6123), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6121), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5415), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5417), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5431), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [740] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5471), 1,
      anon_sym___attribute__,
    ACTIONS(5913), 1,
      anon_sym_LBRACE,
    ACTIONS(6267), 1,
      anon_sym_COLON,
    STATE(2444), 1,
      sym__enum_base_clause,
    STATE(2633), 1,
      sym_enumerator_list,
    STATE(2729), 1,
      sym_attribute_specifier,
    ACTIONS(6273), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6275), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [823] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5824), 1,
      anon_sym_LT,
    STATE(2794), 1,
      sym_template_argument_list,
    ACTIONS(6277), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6279), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5793), 1,
      anon_sym_LBRACK,
    STATE(2806), 1,
      sym_new_declarator,
    ACTIONS(6281), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6283), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [975] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6285), 1,
      anon_sym_LT,
    STATE(2810), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2971), 1,
      sym_template_argument_list,
    ACTIONS(6179), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4444), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4452), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6289), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6287), 57,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [1127] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2060), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6271), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6127), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6125), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1202] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5824), 1,
      anon_sym_LT,
    STATE(2794), 1,
      sym_template_argument_list,
    ACTIONS(6291), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6293), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5431), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [1350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2772), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6295), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6054), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6052), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1425] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2795), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5374), 4,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(6297), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5630), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5633), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
  [1502] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2060), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6271), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6050), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6048), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1577] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2060), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6271), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6034), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6032), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1652] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6300), 1,
      sym_identifier,
    STATE(2792), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4511), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4513), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5370), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5368), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [1731] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 1,
      sym_identifier,
    STATE(2788), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6305), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6308), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5358), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5356), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [1810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5406), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [1881] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2785), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6311), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5479), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5481), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1956] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6269), 1,
      sym_literal_suffix,
    STATE(2647), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5986), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5988), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4446), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4454), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [2035] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6313), 1,
      sym_identifier,
    STATE(2788), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4511), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4513), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5385), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5383), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [2114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2749), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6165), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5479), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5481), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2189] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6315), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6317), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2262] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2795), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6297), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5376), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5374), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [2337] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2785), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6311), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5640), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5642), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [2412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5415), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5417), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [2483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5406), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [2554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6321), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6319), 57,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [2625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5691), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2695] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6323), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6325), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [2779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5425), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5427), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [2849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6335), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6337), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5415), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5417), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [2989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6339), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6341), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6343), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6345), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5406), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [3199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6347), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6349), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5431), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [3339] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2846), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6351), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6034), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6032), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4115), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4117), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5425), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5427), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [3553] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2846), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6351), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6050), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6048), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5415), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5417), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [3697] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6353), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6355), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [3781] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6357), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6359), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [3863] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      anon_sym___attribute__,
    ACTIONS(6361), 1,
      anon_sym_LBRACE,
    STATE(2262), 1,
      sym_attribute_specifier,
    STATE(2940), 1,
      sym_enumerator_list,
    ACTIONS(5928), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5930), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [3941] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6363), 1,
      anon_sym_LT,
    STATE(2971), 1,
      sym_template_argument_list,
    ACTIONS(5112), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5105), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [4017] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(4557), 1,
      anon_sym_LPAREN2,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6223), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_STAR,
    ACTIONS(6368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    STATE(4437), 1,
      sym_parameter_list,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7020), 1,
      sym__declarator,
    STATE(7321), 1,
      sym__abstract_declarator,
    STATE(8775), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(6213), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(3500), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3875), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [4139] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6376), 1,
      anon_sym_LT,
    STATE(2768), 1,
      sym_template_argument_list,
    ACTIONS(6372), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6374), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4213] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2813), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6379), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5640), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5642), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4287] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6381), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6383), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [4371] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6385), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6387), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [4455] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6389), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6391), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [4539] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(2986), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6393), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5970), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5972), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [4617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5425), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5427), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [4687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6395), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6397), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4757] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      anon_sym___attribute__,
    ACTIONS(6361), 1,
      anon_sym_LBRACE,
    STATE(2228), 1,
      sym_attribute_specifier,
    STATE(2858), 1,
      sym_enumerator_list,
    ACTIONS(5909), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5911), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [4835] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6399), 1,
      sym_identifier,
    STATE(2937), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3169), 1,
      sym_primitive_type,
    ACTIONS(6403), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(6401), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5557), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5555), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [4915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6407), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6407), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6411), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6407), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6415), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5265] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(6417), 1,
      anon_sym___attribute__,
    ACTIONS(6419), 1,
      anon_sym_LBRACE,
    STATE(3222), 1,
      sym_field_declaration_list,
    STATE(3448), 1,
      sym_attribute_specifier,
    STATE(7475), 1,
      sym_virtual_specifier,
    STATE(8612), 1,
      sym_base_class_clause,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5467), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5469), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [5351] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(4557), 1,
      anon_sym_LPAREN2,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6223), 1,
      anon_sym_LBRACK,
    ACTIONS(6421), 1,
      anon_sym_STAR,
    ACTIONS(6423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6425), 1,
      anon_sym_AMP,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7020), 1,
      sym__declarator,
    STATE(7319), 1,
      sym__abstract_declarator,
    STATE(8775), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(6213), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(3450), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3875), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [5473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5415), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5417), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [5543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5406), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [5613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5406), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [5683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6431), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6427), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6429), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6435), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5825] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2846), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6351), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6127), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6125), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5899] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2846), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6351), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6123), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6121), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5973] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6437), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6439), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [6055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5431), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [6125] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2846), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6441), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5374), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5376), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6199] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2842), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6444), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6064), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6062), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5431), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [6343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4119), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4121), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6413] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6285), 1,
      anon_sym_LT,
    STATE(2971), 1,
      sym_template_argument_list,
    ACTIONS(4470), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5822), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [6489] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2843), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6446), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6054), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6052), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2265), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2263), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6632] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      anon_sym___attribute__,
    STATE(2265), 1,
      sym_attribute_specifier,
    ACTIONS(6058), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6060), 49,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [6705] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5606), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5604), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [6776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5107), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6448), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6450), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6454), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6983] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      anon_sym___attribute__,
    STATE(2277), 1,
      sym_attribute_specifier,
    ACTIONS(6068), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6070), 49,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [7056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5107), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7125] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      anon_sym___attribute__,
    STATE(2260), 1,
      sym_attribute_specifier,
    ACTIONS(6078), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6080), 49,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [7198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5107), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5107), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5107), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6456), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6458), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5107), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6462), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5298), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5300), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6464), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6466), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7750] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      anon_sym___attribute__,
    STATE(2274), 1,
      sym_attribute_specifier,
    ACTIONS(6095), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6097), 49,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [7823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5431), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [7892] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    ACTIONS(6468), 1,
      anon_sym_LBRACE,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3024), 1,
      sym__enum_base_clause,
    STATE(3094), 1,
      sym_enumerator_list,
    STATE(3217), 1,
      sym_attribute_specifier,
    ACTIONS(6273), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6275), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6474), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8042] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5563), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5561), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [8113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6476), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6478), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6480), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6482), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5290), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5292), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2975), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6484), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6064), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6062), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [8393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4027), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4023), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6488), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8531] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6492), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6494), 1,
      anon_sym_or,
    ACTIONS(6496), 1,
      anon_sym_and,
    ACTIONS(6103), 25,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6105), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5322), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5324), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5318), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5320), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5286), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5288), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8815] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6498), 1,
      anon_sym_LT,
    STATE(3032), 1,
      sym_template_argument_list,
    ACTIONS(4470), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5822), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [8890] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5606), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5604), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [8961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6500), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6502), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6504), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6506), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5406), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [9168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6510), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5282), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5284), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6492), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6496), 1,
      anon_sym_and,
    ACTIONS(5990), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5992), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5274), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5276), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5145), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [9517] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5913), 1,
      anon_sym_LBRACE,
    ACTIONS(6512), 1,
      anon_sym___attribute__,
    ACTIONS(6514), 1,
      anon_sym_COLON,
    STATE(2478), 1,
      sym__enum_base_clause,
    STATE(2661), 1,
      sym_enumerator_list,
    STATE(2732), 1,
      sym_attribute_specifier,
    ACTIONS(6263), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6265), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [9598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5131), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5129), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [9667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5587), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5585), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [9736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6518), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9805] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2976), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6520), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6054), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6052), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [9878] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6524), 1,
      anon_sym_LBRACE,
    STATE(3177), 1,
      sym_field_declaration_list,
    STATE(3297), 1,
      sym_attribute_specifier,
    STATE(7621), 1,
      sym_virtual_specifier,
    STATE(8303), 1,
      sym_base_class_clause,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5467), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5469), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_requires,
  [9963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2629), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6526), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6050), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6048), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [10036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5135), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5133), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [10105] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2629), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6526), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6034), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6032), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [10178] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    ACTIONS(6468), 1,
      anon_sym_LBRACE,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3013), 1,
      sym__enum_base_clause,
    STATE(3081), 1,
      sym_enumerator_list,
    STATE(3200), 1,
      sym_attribute_specifier,
    ACTIONS(6263), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6265), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5127), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5125), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [10328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      anon_sym___attribute__,
    STATE(2261), 1,
      sym_attribute_specifier,
    ACTIONS(6111), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6113), 49,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [10401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5425), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5427), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [10470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6530), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10539] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      anon_sym___attribute__,
    STATE(2266), 1,
      sym_attribute_specifier,
    ACTIONS(6074), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6076), 49,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [10612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6534), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5139), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5137), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [10750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6536), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6538), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6542), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10888] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(6544), 1,
      anon_sym___attribute__,
    ACTIONS(6546), 1,
      anon_sym_LBRACE,
    STATE(3346), 1,
      sym_field_declaration_list,
    STATE(3592), 1,
      sym_attribute_specifier,
    STATE(7632), 1,
      sym_virtual_specifier,
    STATE(8327), 1,
      sym_base_class_clause,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5467), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5469), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [10973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5415), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5417), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [11042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2261), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2259), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6550), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5280), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5280), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11318] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2813), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6379), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5479), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5481), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6554), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6556), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6558), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5143), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5141), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [11598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6427), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6429), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5294), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5296), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6560), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6562), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5691), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5689), 32,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [11874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5151), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5149), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [11943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5306), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5308), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5314), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5316), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5310), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5312), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5302), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5304), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6566), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12288] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6498), 1,
      anon_sym_LT,
    STATE(3032), 1,
      sym_template_argument_list,
    ACTIONS(5112), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5105), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [12363] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(3022), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6568), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5970), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5972), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [12440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6570), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6572), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6574), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6576), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12578] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2979), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5374), 4,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(6578), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5633), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5630), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [12653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6581), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6583), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6585), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6587), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12791] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      anon_sym___attribute__,
    STATE(2263), 1,
      sym_attribute_specifier,
    ACTIONS(6117), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6119), 49,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [12864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5280), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6589), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6591), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13002] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      anon_sym___attribute__,
    STATE(2272), 1,
      sym_attribute_specifier,
    ACTIONS(6091), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6093), 49,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [13075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6593), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6595), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6597), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6599), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6585), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6587), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6601), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6603), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6605), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6607), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5869), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5867), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6609), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6611), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6613), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6615), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6617), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6619), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6621), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6623), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      anon_sym___attribute__,
    STATE(2221), 1,
      sym_attribute_specifier,
    ACTIONS(6001), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6003), 49,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [13838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      anon_sym___attribute__,
    STATE(2227), 1,
      sym_attribute_specifier,
    ACTIONS(6005), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6007), 49,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [13911] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      anon_sym___attribute__,
    STATE(2234), 1,
      sym_attribute_specifier,
    ACTIONS(6009), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6011), 49,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [13984] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      anon_sym___attribute__,
    STATE(2235), 1,
      sym_attribute_specifier,
    ACTIONS(6013), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6015), 49,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [14057] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6209), 1,
      sym_literal_suffix,
    STATE(2787), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4511), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4513), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5804), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5806), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [14134] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6209), 1,
      sym_literal_suffix,
    STATE(2787), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4511), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4513), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4454), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4446), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [14211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6627), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14280] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6629), 1,
      anon_sym_LT,
    STATE(2986), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3044), 1,
      sym_template_argument_list,
    ACTIONS(6393), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4444), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4452), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [14359] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(4557), 1,
      anon_sym_LPAREN2,
    ACTIONS(4559), 1,
      anon_sym_STAR,
    ACTIONS(4561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4563), 1,
      anon_sym_AMP,
    ACTIONS(5441), 1,
      sym_identifier,
    ACTIONS(6213), 1,
      anon_sym_RPAREN,
    ACTIONS(6223), 1,
      anon_sym_LBRACK,
    ACTIONS(6631), 1,
      anon_sym_COLON_COLON,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6411), 1,
      sym__scope_resolution,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7132), 1,
      sym__declarator,
    STATE(7319), 1,
      sym__abstract_declarator,
    STATE(9424), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3690), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3808), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [14480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6635), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6637), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6639), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6641), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6643), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6645), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6647), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14756] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5913), 1,
      anon_sym_LBRACE,
    ACTIONS(6512), 1,
      anon_sym___attribute__,
    ACTIONS(6514), 1,
      anon_sym_COLON,
    STATE(2444), 1,
      sym__enum_base_clause,
    STATE(2633), 1,
      sym_enumerator_list,
    STATE(2729), 1,
      sym_attribute_specifier,
    ACTIONS(6273), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6275), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [14837] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2968), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6649), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5376), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5374), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [14910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3026), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6652), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6654), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5153), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [15117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6658), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6662), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15255] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2900), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6664), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5640), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5642), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2629), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6526), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6127), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6125), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15401] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2629), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6526), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6123), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6121), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6666), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6668), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6670), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6672), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2979), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6578), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5376), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5374), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [15685] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2763), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6674), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6123), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6121), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [15757] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6676), 1,
      anon_sym_LT,
    STATE(3044), 1,
      sym_template_argument_list,
    ACTIONS(5105), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5112), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [15831] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2980), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6679), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6054), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6052), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [15903] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2994), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6681), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6064), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6062), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [15975] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6683), 1,
      sym_identifier,
    STATE(2990), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3571), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3575), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5370), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5368), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16051] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6629), 1,
      anon_sym_LT,
    STATE(3044), 1,
      sym_template_argument_list,
    ACTIONS(5822), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4470), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [16125] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2763), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6674), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6034), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6032), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5425), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5427), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [16265] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2763), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6674), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6050), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6048), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5415), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5417), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [16405] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6685), 1,
      sym_identifier,
    STATE(2995), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3571), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3575), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5385), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5383), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5406), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [16549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5431), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [16617] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_LBRACE,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    ACTIONS(6691), 1,
      sym_auto,
    ACTIONS(6693), 1,
      anon_sym_decltype,
    STATE(3245), 1,
      sym_decltype_auto,
    STATE(3249), 1,
      sym_new_declarator,
    STATE(3721), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5833), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5835), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16701] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2763), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6674), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6127), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6125), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16773] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 1,
      sym_identifier,
    STATE(2995), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6698), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6701), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5358), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5356), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16849] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2900), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6664), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5479), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5481), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5691), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5604), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5606), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17057] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_LBRACE,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    ACTIONS(6691), 1,
      sym_auto,
    ACTIONS(6693), 1,
      anon_sym_decltype,
    STATE(3244), 1,
      sym_new_declarator,
    STATE(3245), 1,
      sym_decltype_auto,
    STATE(3736), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5787), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5789), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17141] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6704), 1,
      anon_sym_LT,
    STATE(3022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3069), 1,
      sym_template_argument_list,
    ACTIONS(6568), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4444), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4452), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [17219] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_LBRACE,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    ACTIONS(6691), 1,
      sym_auto,
    ACTIONS(6693), 1,
      anon_sym_decltype,
    STATE(3208), 1,
      sym_new_declarator,
    STATE(3245), 1,
      sym_decltype_auto,
    STATE(3749), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5841), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5843), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17303] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_LBRACE,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    ACTIONS(6691), 1,
      sym_auto,
    ACTIONS(6693), 1,
      anon_sym_decltype,
    STATE(3229), 1,
      sym_new_declarator,
    STATE(3245), 1,
      sym_decltype_auto,
    STATE(3756), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5829), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5831), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17387] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2988), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6706), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5640), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5642), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [17459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2795), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6708), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6123), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6121), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [17530] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5561), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5563), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [17599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5425), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5427), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [17666] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(6710), 1,
      anon_sym___attribute__,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    STATE(3703), 1,
      sym_field_declaration_list,
    STATE(3926), 1,
      sym_attribute_specifier,
    STATE(7738), 1,
      sym_virtual_specifier,
    STATE(8609), 1,
      sym_base_class_clause,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5467), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5469), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [17749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5563), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5561), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [17818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6716), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6714), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [17885] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1994), 1,
      sym_string_literal,
    ACTIONS(6722), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6720), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [17956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6726), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6724), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [18023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5606), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5604), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [18090] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    ACTIONS(6468), 1,
      anon_sym_LBRACE,
    STATE(3071), 1,
      sym_enumerator_list,
    STATE(3236), 1,
      sym_attribute_specifier,
    ACTIONS(5928), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5930), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5415), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5417), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [18232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3051), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6728), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6064), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6062), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [18303] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3004), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6730), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6054), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6052), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [18374] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2795), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6708), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6050), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6048), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [18445] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym___attribute__,
    ACTIONS(6732), 1,
      anon_sym_LBRACE,
    ACTIONS(6734), 1,
      anon_sym_COLON,
    STATE(3134), 1,
      sym__enum_base_clause,
    STATE(3247), 1,
      sym_enumerator_list,
    STATE(3464), 1,
      sym_attribute_specifier,
    ACTIONS(6263), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6265), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18524] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(3178), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6736), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5970), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5972), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1993), 1,
      sym_string_literal,
    ACTIONS(6722), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6720), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [18670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1995), 1,
      sym_string_literal,
    ACTIONS(6722), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6720), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [18741] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2795), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6708), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6034), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6032), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [18812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5691), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18879] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    ACTIONS(6468), 1,
      anon_sym_LBRACE,
    STATE(3078), 1,
      sym_enumerator_list,
    STATE(3209), 1,
      sym_attribute_specifier,
    ACTIONS(5909), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5911), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5145), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [19021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5431), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [19088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5131), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5129), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [19155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5587), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [19222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6740), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6738), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [19289] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5606), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5604), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [19358] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5606), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5604), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [19427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5153), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [19494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5151), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5149), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [19561] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2988), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6706), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5479), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5481), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [19632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5143), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5141), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [19699] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1997), 1,
      sym_string_literal,
    ACTIONS(6722), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6720), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [19770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2893), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2888), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [19837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5135), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5133), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [19904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5406), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [19971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6744), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6742), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [20038] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6746), 1,
      anon_sym_LT,
    STATE(3069), 1,
      sym_template_argument_list,
    ACTIONS(5105), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5112), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [20111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5587), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5585), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [20178] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym___attribute__,
    ACTIONS(6732), 1,
      anon_sym_LBRACE,
    ACTIONS(6734), 1,
      anon_sym_COLON,
    STATE(3155), 1,
      sym__enum_base_clause,
    STATE(3214), 1,
      sym_enumerator_list,
    STATE(3444), 1,
      sym_attribute_specifier,
    ACTIONS(6273), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6275), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [20257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5153), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5158), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [20324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6751), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6749), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [20391] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1996), 1,
      sym_string_literal,
    ACTIONS(6722), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6720), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [20462] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6704), 1,
      anon_sym_LT,
    STATE(3069), 1,
      sym_template_argument_list,
    ACTIONS(5822), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4470), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [20535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2867), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [20602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5604), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5606), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [20671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5127), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5125), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [20738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2795), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6708), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6127), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6125), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [20809] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5604), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5606), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [20878] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3017), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6753), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5640), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5642), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [20949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5139), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5137), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [21016] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 1,
      anon_sym___attribute__,
    ACTIONS(6755), 1,
      anon_sym_LBRACE,
    ACTIONS(6757), 1,
      anon_sym_COLON,
    STATE(3263), 1,
      sym__enum_base_clause,
    STATE(3347), 1,
      sym_enumerator_list,
    STATE(3579), 1,
      sym_attribute_specifier,
    ACTIONS(6273), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6275), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [21094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5149), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5151), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6623), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6621), 32,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [21226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3017), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6753), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5479), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5481), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [21296] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6759), 1,
      anon_sym_LT,
    STATE(3062), 1,
      sym_template_argument_list,
    STATE(3178), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6736), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4444), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4452), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [21372] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5561), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5563), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [21440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5691), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [21506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5153), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5158), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
      anon_sym_DASH_GT_STAR,
  [21572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5147), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5129), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5131), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5135), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21770] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    STATE(3264), 1,
      sym_attribute_specifier,
    ACTIONS(6091), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6093), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5127), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5587), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5153), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5158), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [22038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5137), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5139), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22104] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    STATE(3261), 1,
      sym_attribute_specifier,
    ACTIONS(6117), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6119), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5141), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5143), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6591), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6589), 32,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [22306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    STATE(3241), 1,
      sym_attribute_specifier,
    ACTIONS(6095), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6097), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5604), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5606), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22444] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    STATE(3246), 1,
      sym_attribute_specifier,
    ACTIONS(6078), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6080), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22514] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2269), 1,
      anon_sym_LBRACE,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6763), 1,
      anon_sym_LBRACK,
    ACTIONS(6765), 1,
      sym_auto,
    ACTIONS(6767), 1,
      anon_sym_decltype,
    STATE(3436), 1,
      sym_decltype_auto,
    STATE(3440), 1,
      sym_new_declarator,
    STATE(3930), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5841), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5843), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [22596] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    STATE(3227), 1,
      sym_attribute_specifier,
    ACTIONS(6068), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6070), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5153), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5158), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22732] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 1,
      anon_sym___attribute__,
    ACTIONS(6755), 1,
      anon_sym_LBRACE,
    ACTIONS(6757), 1,
      anon_sym_COLON,
    STATE(3256), 1,
      sym__enum_base_clause,
    STATE(3344), 1,
      sym_enumerator_list,
    STATE(3651), 1,
      sym_attribute_specifier,
    ACTIONS(6263), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6265), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [22810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    STATE(3235), 1,
      sym_attribute_specifier,
    ACTIONS(6058), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6060), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6572), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6570), 32,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [22946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5587), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [23012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    STATE(3221), 1,
      sym_attribute_specifier,
    ACTIONS(6111), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6113), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5604), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5606), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [23150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5604), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5606), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [23218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4121), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4119), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [23284] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    STATE(3137), 1,
      sym_enumerator_list,
    STATE(3291), 1,
      sym_attribute_specifier,
    ACTIONS(5909), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5911), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23358] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2269), 1,
      anon_sym_LBRACE,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6763), 1,
      anon_sym_LBRACK,
    ACTIONS(6765), 1,
      sym_auto,
    ACTIONS(6767), 1,
      anon_sym_decltype,
    STATE(3404), 1,
      sym_new_declarator,
    STATE(3436), 1,
      sym_decltype_auto,
    STATE(4104), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5833), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5835), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [23440] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    STATE(3223), 1,
      sym_attribute_specifier,
    ACTIONS(6013), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6015), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    STATE(3216), 1,
      sym_attribute_specifier,
    ACTIONS(6009), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6011), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23580] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    STATE(3205), 1,
      sym_attribute_specifier,
    ACTIONS(6074), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6076), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4115), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [23716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    STATE(3207), 1,
      sym_attribute_specifier,
    ACTIONS(6005), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6007), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23786] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5561), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5563), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23854] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym___attribute__,
    STATE(3197), 1,
      sym_attribute_specifier,
    ACTIONS(6001), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6003), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23924] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2269), 1,
      anon_sym_LBRACE,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6763), 1,
      anon_sym_LBRACK,
    ACTIONS(6765), 1,
      sym_auto,
    ACTIONS(6767), 1,
      anon_sym_decltype,
    STATE(3421), 1,
      sym_new_declarator,
    STATE(3436), 1,
      sym_decltype_auto,
    STATE(4007), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5829), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5831), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [24006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5604), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5606), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [24072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6583), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6581), 32,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [24138] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2269), 1,
      anon_sym_LBRACE,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6763), 1,
      anon_sym_LBRACK,
    ACTIONS(6765), 1,
      sym_auto,
    ACTIONS(6767), 1,
      anon_sym_decltype,
    STATE(3407), 1,
      sym_new_declarator,
    STATE(3436), 1,
      sym_decltype_auto,
    STATE(4079), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5787), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5789), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [24220] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5604), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5606), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24288] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    STATE(3167), 1,
      sym_enumerator_list,
    STATE(3284), 1,
      sym_attribute_specifier,
    ACTIONS(5928), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5930), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24362] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6759), 1,
      anon_sym_LT,
    STATE(3062), 1,
      sym_template_argument_list,
    ACTIONS(5822), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4470), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [24433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5587), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5585), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [24498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5406), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [24563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5479), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5481), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24630] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(6773), 1,
      anon_sym_LBRACK,
    ACTIONS(6775), 1,
      sym_auto,
    ACTIONS(6777), 1,
      anon_sym_decltype,
    STATE(3540), 1,
      sym_decltype_auto,
    STATE(3615), 1,
      sym_new_declarator,
    STATE(4236), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5833), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5835), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [24711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5461), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24776] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6779), 1,
      anon_sym_LPAREN2,
    ACTIONS(6781), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6783), 1,
      anon_sym_LBRACK,
    STATE(3399), 1,
      sym_parameter_list,
    STATE(3198), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6099), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6101), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(3301), 1,
      sym_attribute_specifier,
    ACTIONS(6111), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6113), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24920] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6787), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6795), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6797), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6813), 1,
      anon_sym_QMARK,
    ACTIONS(6815), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6817), 1,
      anon_sym_or,
    ACTIONS(6819), 1,
      anon_sym_and,
    ACTIONS(6821), 1,
      anon_sym_not_eq,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6799), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6801), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6803), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6805), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6793), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6785), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6789), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25033] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6795), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6797), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6815), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6817), 1,
      anon_sym_or,
    ACTIONS(6819), 1,
      anon_sym_and,
    ACTIONS(6821), 1,
      anon_sym_not_eq,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6799), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6801), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6803), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6805), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6793), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6823), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6825), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5604), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5606), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [25207] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(6773), 1,
      anon_sym_LBRACK,
    ACTIONS(6775), 1,
      sym_auto,
    ACTIONS(6777), 1,
      anon_sym_decltype,
    STATE(3540), 1,
      sym_decltype_auto,
    STATE(3668), 1,
      sym_new_declarator,
    STATE(4247), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5829), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5831), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [25288] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6815), 1,
      anon_sym_LT_EQ_GT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6793), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6355), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25375] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6691), 1,
      sym_auto,
    ACTIONS(6693), 1,
      anon_sym_decltype,
    STATE(3245), 1,
      sym_decltype_auto,
    ACTIONS(5612), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5614), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25446] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6815), 1,
      anon_sym_LT_EQ_GT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6793), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6355), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25537] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6815), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6821), 1,
      anon_sym_not_eq,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6805), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6793), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 14,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6355), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5151), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5149), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [25697] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6795), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6797), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6815), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6817), 1,
      anon_sym_or,
    ACTIONS(6819), 1,
      anon_sym_and,
    ACTIONS(6821), 1,
      anon_sym_not_eq,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6799), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6801), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6803), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6805), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6793), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6827), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6829), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5606), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5604), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [25873] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6815), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6821), 1,
      anon_sym_not_eq,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6803), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6805), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6793), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 12,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6355), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5604), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5606), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26035] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5563), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5561), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [26102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(3281), 1,
      sym_attribute_specifier,
    ACTIONS(6095), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6097), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26171] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(3282), 1,
      sym_attribute_specifier,
    ACTIONS(6078), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6080), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26240] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6815), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6821), 1,
      anon_sym_not_eq,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6801), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6803), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6805), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6793), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6355), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5785), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26404] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(3298), 1,
      sym_attribute_specifier,
    ACTIONS(6074), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6076), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26473] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6779), 1,
      anon_sym_LPAREN2,
    ACTIONS(6781), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6783), 1,
      anon_sym_LBRACK,
    STATE(3399), 1,
      sym_parameter_list,
    STATE(3198), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6044), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6046), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5415), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5417), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [26613] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6815), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6821), 1,
      anon_sym_not_eq,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6799), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6801), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6803), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6805), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6793), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 8,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6355), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26714] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6797), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6815), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6819), 1,
      anon_sym_and,
    ACTIONS(6821), 1,
      anon_sym_not_eq,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6799), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6801), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6803), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6805), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6793), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      sym_identifier,
    ACTIONS(6355), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26819] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym___attribute__,
    ACTIONS(6732), 1,
      anon_sym_LBRACE,
    STATE(3213), 1,
      sym_enumerator_list,
    STATE(3494), 1,
      sym_attribute_specifier,
    ACTIONS(5928), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5930), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [26892] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6831), 1,
      anon_sym_LT,
    STATE(3062), 1,
      sym_template_argument_list,
    ACTIONS(5105), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5112), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [26963] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6795), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6797), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6815), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6817), 1,
      anon_sym_or,
    ACTIONS(6819), 1,
      anon_sym_and,
    ACTIONS(6821), 1,
      anon_sym_not_eq,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6799), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6801), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6803), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6805), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6793), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6834), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6836), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27072] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(3283), 1,
      sym_attribute_specifier,
    ACTIONS(6068), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6070), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [27141] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3174), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6838), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5640), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5642), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27210] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6787), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6795), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6797), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6813), 1,
      anon_sym_QMARK,
    ACTIONS(6815), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6817), 1,
      anon_sym_or,
    ACTIONS(6819), 1,
      anon_sym_and,
    ACTIONS(6821), 1,
      anon_sym_not_eq,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6799), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6801), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6803), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6805), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6793), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6660), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6662), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5747), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27388] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(3278), 1,
      sym_attribute_specifier,
    ACTIONS(6091), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6093), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [27457] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(6773), 1,
      anon_sym_LBRACK,
    ACTIONS(6775), 1,
      sym_auto,
    ACTIONS(6777), 1,
      anon_sym_decltype,
    STATE(3540), 1,
      sym_decltype_auto,
    STATE(3702), 1,
      sym_new_declarator,
    STATE(4169), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5841), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5843), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [27538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5145), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [27603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5127), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5125), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [27668] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(3285), 1,
      sym_attribute_specifier,
    ACTIONS(6058), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6060), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [27737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5691), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5689), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [27802] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6793), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6355), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [27887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5139), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5137), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [27952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5131), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5129), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [28017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5135), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5133), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [28082] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6787), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6795), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6797), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6813), 1,
      anon_sym_QMARK,
    ACTIONS(6815), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6817), 1,
      anon_sym_or,
    ACTIONS(6819), 1,
      anon_sym_and,
    ACTIONS(6821), 1,
      anon_sym_not_eq,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6799), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6801), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6803), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6805), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6793), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6840), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6842), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5143), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5141), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [28260] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5606), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5604), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [28327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5652), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5654), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28392] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym___attribute__,
    ACTIONS(6732), 1,
      anon_sym_LBRACE,
    STATE(3195), 1,
      sym_enumerator_list,
    STATE(3467), 1,
      sym_attribute_specifier,
    ACTIONS(5909), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5911), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28465] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2979), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6844), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6127), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6125), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5425), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5427), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [28599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2979), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6844), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6123), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6121), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28668] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6793), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6355), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [28749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5431), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [28814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5775), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5777), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5640), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5642), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5606), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5604), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [29009] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(3294), 1,
      sym_attribute_specifier,
    ACTIONS(6001), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6003), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [29078] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6795), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6797), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6809), 1,
      anon_sym_GT_EQ,
    ACTIONS(6815), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6817), 1,
      anon_sym_or,
    ACTIONS(6819), 1,
      anon_sym_and,
    ACTIONS(6821), 1,
      anon_sym_not_eq,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6799), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6801), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6803), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6805), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6811), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6793), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6807), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6846), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6848), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29187] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(3288), 1,
      sym_attribute_specifier,
    ACTIONS(6013), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6015), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [29256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(3279), 1,
      sym_attribute_specifier,
    ACTIONS(6117), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6119), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [29325] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(6773), 1,
      anon_sym_LBRACK,
    ACTIONS(6775), 1,
      sym_auto,
    ACTIONS(6777), 1,
      anon_sym_decltype,
    STATE(3540), 1,
      sym_decltype_auto,
    STATE(3639), 1,
      sym_new_declarator,
    STATE(4275), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5787), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5789), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [29406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3156), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6850), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6064), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6062), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29475] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6779), 1,
      anon_sym_LPAREN2,
    ACTIONS(6781), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6783), 1,
      anon_sym_LBRACK,
    STATE(3399), 1,
      sym_parameter_list,
    STATE(3198), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6038), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6040), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [29550] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3158), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6852), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6054), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6052), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5771), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5773), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [29684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(3292), 1,
      sym_attribute_specifier,
    ACTIONS(6005), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6007), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [29753] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2979), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6844), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6050), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6048), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29822] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6791), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6793), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6355), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [29905] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6779), 1,
      anon_sym_LPAREN2,
    ACTIONS(6781), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6783), 1,
      anon_sym_LBRACK,
    STATE(3399), 1,
      sym_parameter_list,
    STATE(3198), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6020), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6022), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [29980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(3289), 1,
      sym_attribute_specifier,
    ACTIONS(6009), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6011), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30049] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2979), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6844), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6034), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6032), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30118] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 1,
      anon_sym___attribute__,
    ACTIONS(6854), 1,
      anon_sym_LBRACE,
    ACTIONS(6856), 1,
      anon_sym_COLON,
    STATE(3516), 1,
      sym__enum_base_clause,
    STATE(3543), 1,
      sym_enumerator_list,
    STATE(4101), 1,
      sym_attribute_specifier,
    ACTIONS(6263), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6265), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6858), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6860), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [30258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5751), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [30322] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(4557), 1,
      anon_sym_LPAREN2,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6215), 1,
      anon_sym_STAR,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_AMP,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6223), 1,
      anon_sym_LBRACK,
    STATE(3819), 1,
      sym_parameter_list,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7058), 1,
      sym__declarator,
    STATE(7089), 1,
      sym__abstract_declarator,
    STATE(8775), 1,
      sym_ms_based_modifier,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(6862), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [30430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5624), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [30494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5775), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5777), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5127), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [30622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5135), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [30686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5624), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [30750] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym___attribute__,
    STATE(3505), 1,
      sym_attribute_specifier,
    ACTIONS(6078), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6080), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6566), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [30882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5149), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5151), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [30946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5682), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5684), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31010] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 1,
      anon_sym___attribute__,
    ACTIONS(6854), 1,
      anon_sym_LBRACE,
    ACTIONS(6856), 1,
      anon_sym_COLON,
    STATE(3437), 1,
      sym__enum_base_clause,
    STATE(3661), 1,
      sym_enumerator_list,
    STATE(3940), 1,
      sym_attribute_specifier,
    ACTIONS(6273), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6275), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31086] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5455), 1,
      anon_sym_virtual,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6868), 1,
      sym_auto,
    ACTIONS(6870), 1,
      anon_sym_decltype,
    STATE(3753), 1,
      sym_decltype_auto,
    ACTIONS(6864), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5445), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3502), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6866), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5443), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [31172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5107), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [31236] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym___attribute__,
    STATE(3495), 1,
      sym_attribute_specifier,
    ACTIONS(6068), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6070), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6874), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [31368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5628), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6781), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3220), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6135), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6137), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6876), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6878), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5636), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5638), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31628] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3174), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6838), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5479), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5481), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31696] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym___attribute__,
    STATE(3496), 1,
      sym_attribute_specifier,
    ACTIONS(6095), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6097), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5147), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [31828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5691), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5741), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5743), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5624), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [32020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5644), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5646), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [32084] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_LBRACE,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    STATE(3737), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6225), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6227), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [32154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5648), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5650), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [32218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym___attribute__,
    STATE(3446), 1,
      sym_attribute_specifier,
    ACTIONS(6074), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6076), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [32286] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 1,
      sym_literal_suffix,
    ACTIONS(5804), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5806), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [32352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5107), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [32416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym___attribute__,
    STATE(3503), 1,
      sym_attribute_specifier,
    ACTIONS(6117), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6119), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [32484] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym___attribute__,
    STATE(3465), 1,
      sym_attribute_specifier,
    ACTIONS(6005), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6007), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [32552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5660), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [32616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5664), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [32680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5753), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5755), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [32744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5652), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5654), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [32808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5561), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5563), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [32874] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6880), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3220), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6233), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6235), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [32942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5724), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym___attribute__,
    STATE(3472), 1,
      sym_attribute_specifier,
    ACTIONS(6009), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6011), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5668), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym___attribute__,
    STATE(3473), 1,
      sym_attribute_specifier,
    ACTIONS(6013), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6015), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5771), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5773), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [33270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5129), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5131), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5779), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5781), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5137), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5139), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33462] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_LBRACE,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    STATE(3723), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6167), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6169), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5660), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5678), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5680), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33660] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      sym_auto,
    ACTIONS(6885), 1,
      anon_sym_decltype,
    STATE(3302), 1,
      sym_decltype_auto,
    ACTIONS(5612), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5614), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [33730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 1,
      sym_literal_suffix,
    ACTIONS(4454), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4446), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5640), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5642), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [33860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5737), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5739), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5726), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5728), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5604), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5606), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [34054] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6887), 1,
      sym_identifier,
    STATE(3385), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3881), 1,
      sym_primitive_type,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(6890), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5555), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5557), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [34128] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5604), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5606), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [34194] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5455), 1,
      anon_sym_virtual,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6868), 1,
      sym_auto,
    ACTIONS(6870), 1,
      anon_sym_decltype,
    STATE(3753), 1,
      sym_decltype_auto,
    ACTIONS(6892), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5445), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3471), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6894), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5443), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [34280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5767), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5769), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5141), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5143), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [34408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5695), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34472] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_LBRACE,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    STATE(3712), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6157), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6159), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5676), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5720), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym___attribute__,
    STATE(3493), 1,
      sym_attribute_specifier,
    ACTIONS(6058), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6060), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [34738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5785), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [34802] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_LBRACE,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    STATE(3707), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6145), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6147), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5107), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [34936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5587), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5479), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5481), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [35064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5107), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [35128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5479), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5481), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [35192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym___attribute__,
    STATE(3443), 1,
      sym_attribute_specifier,
    ACTIONS(6111), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6113), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [35260] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 1,
      anon_sym___attribute__,
    ACTIONS(6755), 1,
      anon_sym_LBRACE,
    STATE(3339), 1,
      sym_enumerator_list,
    STATE(3694), 1,
      sym_attribute_specifier,
    ACTIONS(5928), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5930), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [35332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5107), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [35396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5479), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5481), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [35462] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym___attribute__,
    STATE(3504), 1,
      sym_attribute_specifier,
    ACTIONS(6091), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6093), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [35530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5763), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5765), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [35594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5730), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5732), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [35658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5107), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [35722] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 1,
      anon_sym___attribute__,
    ACTIONS(6755), 1,
      anon_sym_LBRACE,
    STATE(3342), 1,
      sym_enumerator_list,
    STATE(3520), 1,
      sym_attribute_specifier,
    ACTIONS(5909), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5911), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [35794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5759), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5761), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [35858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5481), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(5479), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [35922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5699), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5701), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [35986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5708), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [36050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5712), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [36114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5160), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5165), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [36180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5461), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [36244] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym___attribute__,
    STATE(3463), 1,
      sym_attribute_specifier,
    ACTIONS(6001), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6003), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5716), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [36376] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5112), 1,
      anon_sym_LBRACE,
    ACTIONS(6896), 1,
      anon_sym_LT,
    STATE(3323), 1,
      sym_template_argument_list,
    ACTIONS(5114), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5107), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [36448] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6899), 1,
      sym_identifier,
    STATE(3393), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4067), 1,
      sym_primitive_type,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(6901), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5555), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5557), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [36522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5747), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [36586] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6907), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6355), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [36665] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2839), 1,
      anon_sym_LBRACE,
    ACTIONS(6913), 1,
      anon_sym_LPAREN2,
    ACTIONS(6915), 1,
      anon_sym_LBRACK,
    ACTIONS(6917), 1,
      sym_auto,
    ACTIONS(6919), 1,
      anon_sym_decltype,
    STATE(4116), 1,
      sym_new_declarator,
    STATE(4118), 1,
      sym_decltype_auto,
    STATE(4424), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5829), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5831), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [36744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5759), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5761), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [36807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5730), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5732), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [36870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5763), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5765), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [36933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5767), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5769), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [36996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5720), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5779), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5781), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5726), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5728), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5737), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5739), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5678), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5680), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5660), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5668), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5664), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5660), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5648), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5650), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5644), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5646), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5636), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5638), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5628), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5624), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5624), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5751), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [38004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5741), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5743), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [38067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5624), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [38130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5753), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5755), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [38193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5724), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [38256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5676), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [38319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5699), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5701), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [38382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5708), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [38445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5712), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [38508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5716), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [38571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5479), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5481), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [38634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5695), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [38697] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(6921), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6925), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6939), 1,
      anon_sym_GT_EQ,
    ACTIONS(6943), 1,
      anon_sym_QMARK,
    ACTIONS(6945), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6947), 1,
      anon_sym_or,
    ACTIONS(6949), 1,
      anon_sym_and,
    ACTIONS(6951), 1,
      anon_sym_not_eq,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6907), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6929), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6931), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6933), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6935), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6941), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6937), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6840), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6842), 14,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38808] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(6925), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6939), 1,
      anon_sym_GT_EQ,
    ACTIONS(6945), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6947), 1,
      anon_sym_or,
    ACTIONS(6949), 1,
      anon_sym_and,
    ACTIONS(6951), 1,
      anon_sym_not_eq,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6907), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6929), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6931), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6933), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6935), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6941), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6937), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6846), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6848), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38915] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(6921), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6925), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6939), 1,
      anon_sym_GT_EQ,
    ACTIONS(6943), 1,
      anon_sym_QMARK,
    ACTIONS(6945), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6947), 1,
      anon_sym_or,
    ACTIONS(6949), 1,
      anon_sym_and,
    ACTIONS(6951), 1,
      anon_sym_not_eq,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6907), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6929), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6931), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6933), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6935), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6941), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6937), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6785), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6789), 14,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39026] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(6925), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6939), 1,
      anon_sym_GT_EQ,
    ACTIONS(6945), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6947), 1,
      anon_sym_or,
    ACTIONS(6949), 1,
      anon_sym_and,
    ACTIONS(6951), 1,
      anon_sym_not_eq,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6907), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6929), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6931), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6933), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6935), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6941), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6937), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6823), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6825), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5682), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5684), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [39196] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6907), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6941), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 17,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6355), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [39279] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6907), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 19,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6355), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [39360] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(6945), 1,
      anon_sym_LT_EQ_GT,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6907), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6941), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 17,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6355), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39445] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_GT_EQ,
    ACTIONS(6945), 1,
      anon_sym_LT_EQ_GT,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6907), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6941), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6937), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 14,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6355), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39534] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_GT_EQ,
    ACTIONS(6945), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6951), 1,
      anon_sym_not_eq,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6907), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6935), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6941), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6937), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6355), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39627] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_GT_EQ,
    ACTIONS(6945), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6951), 1,
      anon_sym_not_eq,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6907), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6933), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6935), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6941), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6937), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 11,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6355), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39722] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_GT_EQ,
    ACTIONS(6945), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6951), 1,
      anon_sym_not_eq,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6907), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6931), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6933), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6935), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6941), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6937), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 9,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6355), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39819] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_GT_EQ,
    ACTIONS(6945), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6951), 1,
      anon_sym_not_eq,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6907), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6929), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6931), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6933), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6935), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6941), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6937), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 7,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6355), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39918] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(6927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6939), 1,
      anon_sym_GT_EQ,
    ACTIONS(6945), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6949), 1,
      anon_sym_and,
    ACTIONS(6951), 1,
      anon_sym_not_eq,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6907), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6929), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6931), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6933), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6935), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6941), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6937), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 6,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      sym_identifier,
    ACTIONS(6355), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5160), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5165), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [40086] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(6921), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6925), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6939), 1,
      anon_sym_GT_EQ,
    ACTIONS(6943), 1,
      anon_sym_QMARK,
    ACTIONS(6945), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6947), 1,
      anon_sym_or,
    ACTIONS(6949), 1,
      anon_sym_and,
    ACTIONS(6951), 1,
      anon_sym_not_eq,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6907), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6929), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6931), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6933), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6935), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6941), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6937), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6660), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6662), 14,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40197] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6955), 1,
      anon_sym_COMMA,
    ACTIONS(6957), 1,
      anon_sym_RPAREN,
    ACTIONS(6959), 1,
      anon_sym_DASH,
    ACTIONS(6961), 1,
      anon_sym_PLUS,
    ACTIONS(6963), 1,
      anon_sym_STAR,
    ACTIONS(6965), 1,
      anon_sym_SLASH,
    ACTIONS(6967), 1,
      anon_sym_PERCENT,
    ACTIONS(6969), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6971), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6973), 1,
      anon_sym_PIPE,
    ACTIONS(6975), 1,
      anon_sym_CARET,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6979), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6981), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6983), 1,
      anon_sym_GT,
    ACTIONS(6985), 1,
      anon_sym_GT_EQ,
    ACTIONS(6987), 1,
      anon_sym_LT_EQ,
    ACTIONS(6989), 1,
      anon_sym_LT,
    ACTIONS(6991), 1,
      anon_sym_LT_LT,
    ACTIONS(6993), 1,
      anon_sym_GT_GT,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(6997), 1,
      anon_sym_EQ,
    ACTIONS(6999), 1,
      anon_sym_QMARK,
    ACTIONS(7001), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7003), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7005), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7007), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7009), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7011), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7013), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7015), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7017), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7019), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7023), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7025), 1,
      anon_sym_or,
    ACTIONS(7027), 1,
      anon_sym_and,
    ACTIONS(7029), 1,
      anon_sym_bitor,
    ACTIONS(7031), 1,
      anon_sym_xor,
    ACTIONS(7033), 1,
      anon_sym_bitand,
    ACTIONS(7035), 1,
      anon_sym_not_eq,
    ACTIONS(7041), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7043), 1,
      anon_sym_DASH_GT_STAR,
    STATE(1605), 1,
      sym__binary_fold_operator,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    STATE(9076), 1,
      sym__fold_operator,
    ACTIONS(7037), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7021), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [40358] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(6925), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6939), 1,
      anon_sym_GT_EQ,
    ACTIONS(6945), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6947), 1,
      anon_sym_or,
    ACTIONS(6949), 1,
      anon_sym_and,
    ACTIONS(6951), 1,
      anon_sym_not_eq,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6907), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6929), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6931), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6933), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6935), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6941), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6937), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6834), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6836), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7047), 25,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(7045), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [40528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5479), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5481), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [40591] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    STATE(3483), 1,
      sym_new_declarator,
    ACTIONS(6281), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6283), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [40658] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6955), 1,
      anon_sym_COMMA,
    ACTIONS(6959), 1,
      anon_sym_DASH,
    ACTIONS(6961), 1,
      anon_sym_PLUS,
    ACTIONS(6963), 1,
      anon_sym_STAR,
    ACTIONS(6965), 1,
      anon_sym_SLASH,
    ACTIONS(6967), 1,
      anon_sym_PERCENT,
    ACTIONS(6969), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6971), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6973), 1,
      anon_sym_PIPE,
    ACTIONS(6975), 1,
      anon_sym_CARET,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6979), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6981), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6983), 1,
      anon_sym_GT,
    ACTIONS(6985), 1,
      anon_sym_GT_EQ,
    ACTIONS(6987), 1,
      anon_sym_LT_EQ,
    ACTIONS(6989), 1,
      anon_sym_LT,
    ACTIONS(6991), 1,
      anon_sym_LT_LT,
    ACTIONS(6993), 1,
      anon_sym_GT_GT,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(6997), 1,
      anon_sym_EQ,
    ACTIONS(6999), 1,
      anon_sym_QMARK,
    ACTIONS(7001), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7003), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7005), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7007), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7009), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7011), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7013), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7015), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7017), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7019), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7023), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7025), 1,
      anon_sym_or,
    ACTIONS(7027), 1,
      anon_sym_and,
    ACTIONS(7029), 1,
      anon_sym_bitor,
    ACTIONS(7031), 1,
      anon_sym_xor,
    ACTIONS(7033), 1,
      anon_sym_bitand,
    ACTIONS(7035), 1,
      anon_sym_not_eq,
    ACTIONS(7041), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7043), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7049), 1,
      anon_sym_RPAREN,
    STATE(1605), 1,
      sym__binary_fold_operator,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    STATE(9076), 1,
      sym__fold_operator,
    ACTIONS(7037), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7021), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [40819] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6907), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6391), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6389), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [40896] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6907), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6355), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6353), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [40973] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6437), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6439), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [41048] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(6925), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6939), 1,
      anon_sym_GT_EQ,
    ACTIONS(6945), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6947), 1,
      anon_sym_or,
    ACTIONS(6949), 1,
      anon_sym_and,
    ACTIONS(6951), 1,
      anon_sym_not_eq,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6907), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6923), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6929), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6931), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6933), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6935), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6941), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6937), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6827), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6829), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41155] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6907), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6387), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6385), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [41232] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6907), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6383), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6381), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [41309] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6357), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6359), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [41384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 1,
      anon_sym___attribute__,
    STATE(3717), 1,
      sym_attribute_specifier,
    ACTIONS(6091), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6093), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41451] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 1,
      anon_sym___attribute__,
    STATE(3715), 1,
      sym_attribute_specifier,
    ACTIONS(6117), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6119), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41518] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 1,
      anon_sym___attribute__,
    STATE(3699), 1,
      sym_attribute_specifier,
    ACTIONS(6095), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6097), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41585] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 1,
      anon_sym___attribute__,
    STATE(3697), 1,
      sym_attribute_specifier,
    ACTIONS(6078), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6080), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 1,
      anon_sym___attribute__,
    STATE(3695), 1,
      sym_attribute_specifier,
    ACTIONS(6068), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6070), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41719] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7051), 1,
      anon_sym_LPAREN2,
    ACTIONS(7053), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7055), 1,
      anon_sym_LBRACK,
    STATE(3825), 1,
      sym_parameter_list,
    STATE(3423), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6020), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6022), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [41792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 1,
      anon_sym___attribute__,
    STATE(3693), 1,
      sym_attribute_specifier,
    ACTIONS(6058), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6060), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41859] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 1,
      anon_sym___attribute__,
    STATE(3665), 1,
      sym_attribute_specifier,
    ACTIONS(6013), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6015), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 1,
      anon_sym___attribute__,
    STATE(3664), 1,
      sym_attribute_specifier,
    ACTIONS(6009), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6011), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41993] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 1,
      anon_sym___attribute__,
    STATE(3656), 1,
      sym_attribute_specifier,
    ACTIONS(6005), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6007), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [42060] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 1,
      anon_sym___attribute__,
    STATE(3649), 1,
      sym_attribute_specifier,
    ACTIONS(6001), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6003), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [42127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5604), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5606), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [42190] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5112), 1,
      anon_sym_LBRACE,
    ACTIONS(5122), 1,
      anon_sym_LT,
    STATE(3488), 1,
      sym_template_argument_list,
    ACTIONS(5114), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5107), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [42261] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 1,
      anon_sym___attribute__,
    STATE(3591), 1,
      sym_attribute_specifier,
    ACTIONS(6074), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6076), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [42328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 1,
      anon_sym___attribute__,
    STATE(3573), 1,
      sym_attribute_specifier,
    ACTIONS(6111), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6113), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [42395] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7051), 1,
      anon_sym_LPAREN2,
    ACTIONS(7053), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7055), 1,
      anon_sym_LBRACK,
    STATE(3825), 1,
      sym_parameter_list,
    STATE(3423), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6099), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6101), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [42468] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5600), 4,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(5602), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4446), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4454), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
  [42535] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6955), 1,
      anon_sym_COMMA,
    ACTIONS(6959), 1,
      anon_sym_DASH,
    ACTIONS(6961), 1,
      anon_sym_PLUS,
    ACTIONS(6963), 1,
      anon_sym_STAR,
    ACTIONS(6965), 1,
      anon_sym_SLASH,
    ACTIONS(6967), 1,
      anon_sym_PERCENT,
    ACTIONS(6969), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6971), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6973), 1,
      anon_sym_PIPE,
    ACTIONS(6975), 1,
      anon_sym_CARET,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6979), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6981), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6983), 1,
      anon_sym_GT,
    ACTIONS(6985), 1,
      anon_sym_GT_EQ,
    ACTIONS(6987), 1,
      anon_sym_LT_EQ,
    ACTIONS(6989), 1,
      anon_sym_LT,
    ACTIONS(6991), 1,
      anon_sym_LT_LT,
    ACTIONS(6993), 1,
      anon_sym_GT_GT,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(6997), 1,
      anon_sym_EQ,
    ACTIONS(6999), 1,
      anon_sym_QMARK,
    ACTIONS(7001), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7003), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7005), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7007), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7009), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7011), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7013), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7015), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7017), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7019), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7023), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7025), 1,
      anon_sym_or,
    ACTIONS(7027), 1,
      anon_sym_and,
    ACTIONS(7029), 1,
      anon_sym_bitor,
    ACTIONS(7031), 1,
      anon_sym_xor,
    ACTIONS(7033), 1,
      anon_sym_bitand,
    ACTIONS(7035), 1,
      anon_sym_not_eq,
    ACTIONS(7041), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7043), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7057), 1,
      anon_sym_RPAREN,
    STATE(1605), 1,
      sym__binary_fold_operator,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    STATE(9076), 1,
      sym__fold_operator,
    ACTIONS(7037), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7021), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [42696] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7051), 1,
      anon_sym_LPAREN2,
    ACTIONS(7053), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7055), 1,
      anon_sym_LBRACK,
    STATE(3825), 1,
      sym_parameter_list,
    STATE(3423), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6044), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6046), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [42769] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7051), 1,
      anon_sym_LPAREN2,
    ACTIONS(7053), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7055), 1,
      anon_sym_LBRACK,
    STATE(3825), 1,
      sym_parameter_list,
    STATE(3423), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6038), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6040), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [42842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 1,
      sym_literal_suffix,
    ACTIONS(4454), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4446), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [42907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 1,
      sym_literal_suffix,
    ACTIONS(5804), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5806), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [42972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5479), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5481), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43037] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6765), 1,
      sym_auto,
    ACTIONS(6767), 1,
      anon_sym_decltype,
    STATE(3436), 1,
      sym_decltype_auto,
    ACTIONS(5612), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5614), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [43106] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6827), 1,
      anon_sym_EQ,
    ACTIONS(7063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7065), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7067), 1,
      anon_sym_PIPE,
    ACTIONS(7071), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_GT_EQ,
    ACTIONS(7081), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7083), 1,
      anon_sym_or,
    ACTIONS(7085), 1,
      anon_sym_and,
    ACTIONS(7087), 1,
      anon_sym_bitor,
    ACTIONS(7089), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7059), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7069), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7079), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7073), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7075), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6829), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [43215] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6834), 1,
      anon_sym_EQ,
    ACTIONS(7063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7065), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7067), 1,
      anon_sym_PIPE,
    ACTIONS(7071), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_GT_EQ,
    ACTIONS(7081), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7083), 1,
      anon_sym_or,
    ACTIONS(7085), 1,
      anon_sym_and,
    ACTIONS(7087), 1,
      anon_sym_bitor,
    ACTIONS(7089), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7059), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7069), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7079), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7073), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7075), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6836), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [43324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5785), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5775), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5777), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43450] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6955), 1,
      anon_sym_COMMA,
    ACTIONS(6959), 1,
      anon_sym_DASH,
    ACTIONS(6961), 1,
      anon_sym_PLUS,
    ACTIONS(6963), 1,
      anon_sym_STAR,
    ACTIONS(6965), 1,
      anon_sym_SLASH,
    ACTIONS(6967), 1,
      anon_sym_PERCENT,
    ACTIONS(6969), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6971), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6973), 1,
      anon_sym_PIPE,
    ACTIONS(6975), 1,
      anon_sym_CARET,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6979), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6981), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6983), 1,
      anon_sym_GT,
    ACTIONS(6985), 1,
      anon_sym_GT_EQ,
    ACTIONS(6987), 1,
      anon_sym_LT_EQ,
    ACTIONS(6989), 1,
      anon_sym_LT,
    ACTIONS(6991), 1,
      anon_sym_LT_LT,
    ACTIONS(6993), 1,
      anon_sym_GT_GT,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(6997), 1,
      anon_sym_EQ,
    ACTIONS(6999), 1,
      anon_sym_QMARK,
    ACTIONS(7001), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7003), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7005), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7007), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7009), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7011), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7013), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7015), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7017), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7019), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7023), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7025), 1,
      anon_sym_or,
    ACTIONS(7027), 1,
      anon_sym_and,
    ACTIONS(7029), 1,
      anon_sym_bitor,
    ACTIONS(7031), 1,
      anon_sym_xor,
    ACTIONS(7033), 1,
      anon_sym_bitand,
    ACTIONS(7035), 1,
      anon_sym_not_eq,
    ACTIONS(7041), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7043), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7091), 1,
      anon_sym_RPAREN,
    STATE(1605), 1,
      sym__binary_fold_operator,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    STATE(9076), 1,
      sym__fold_operator,
    ACTIONS(7037), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7021), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [43611] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7061), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [43690] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7065), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7067), 1,
      anon_sym_PIPE,
    ACTIONS(7071), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_GT_EQ,
    ACTIONS(7081), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7085), 1,
      anon_sym_and,
    ACTIONS(7087), 1,
      anon_sym_bitor,
    ACTIONS(7089), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6353), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7059), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7069), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7079), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7073), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7075), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [43795] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7067), 1,
      anon_sym_PIPE,
    ACTIONS(7071), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_GT_EQ,
    ACTIONS(7081), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7087), 1,
      anon_sym_bitor,
    ACTIONS(7089), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7059), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7069), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7079), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6353), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7061), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7073), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7075), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [43896] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7071), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_GT_EQ,
    ACTIONS(7081), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7089), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7059), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7069), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7079), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7073), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7075), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6355), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [43993] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7071), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_GT_EQ,
    ACTIONS(7081), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7089), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7059), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7079), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7073), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7075), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [44088] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7077), 1,
      anon_sym_GT_EQ,
    ACTIONS(7081), 1,
      anon_sym_LT_EQ_GT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7059), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7079), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7073), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7075), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [44179] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2839), 1,
      anon_sym_LBRACE,
    ACTIONS(6913), 1,
      anon_sym_LPAREN2,
    ACTIONS(6915), 1,
      anon_sym_LBRACK,
    ACTIONS(6917), 1,
      sym_auto,
    ACTIONS(6919), 1,
      anon_sym_decltype,
    STATE(3984), 1,
      sym_new_declarator,
    STATE(4118), 1,
      sym_decltype_auto,
    STATE(4422), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5841), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5843), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [44258] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7077), 1,
      anon_sym_GT_EQ,
    ACTIONS(7081), 1,
      anon_sym_LT_EQ_GT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7059), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7079), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7075), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [44347] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7081), 1,
      anon_sym_LT_EQ_GT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7059), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7079), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [44432] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7059), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7061), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [44513] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7059), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7079), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [44596] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6660), 1,
      anon_sym_EQ,
    ACTIONS(6787), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7065), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7067), 1,
      anon_sym_PIPE,
    ACTIONS(7071), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_GT_EQ,
    ACTIONS(7081), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7083), 1,
      anon_sym_or,
    ACTIONS(7085), 1,
      anon_sym_and,
    ACTIONS(7087), 1,
      anon_sym_bitor,
    ACTIONS(7089), 1,
      anon_sym_bitand,
    ACTIONS(7093), 1,
      anon_sym_QMARK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7059), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7069), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7079), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7073), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7075), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6662), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [44709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5771), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5773), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5640), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5642), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5652), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5654), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5461), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44961] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6823), 1,
      anon_sym_EQ,
    ACTIONS(7063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7065), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7067), 1,
      anon_sym_PIPE,
    ACTIONS(7071), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_GT_EQ,
    ACTIONS(7081), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7083), 1,
      anon_sym_or,
    ACTIONS(7085), 1,
      anon_sym_and,
    ACTIONS(7087), 1,
      anon_sym_bitor,
    ACTIONS(7089), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7059), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7069), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7079), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7073), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7075), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6825), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [45070] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6785), 1,
      anon_sym_EQ,
    ACTIONS(6787), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7065), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7067), 1,
      anon_sym_PIPE,
    ACTIONS(7071), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_GT_EQ,
    ACTIONS(7081), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7083), 1,
      anon_sym_or,
    ACTIONS(7085), 1,
      anon_sym_and,
    ACTIONS(7087), 1,
      anon_sym_bitor,
    ACTIONS(7089), 1,
      anon_sym_bitand,
    ACTIONS(7093), 1,
      anon_sym_QMARK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7059), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7069), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7079), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7073), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7075), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6789), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [45183] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2968), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5374), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(6649), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5630), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5633), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [45252] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6846), 1,
      anon_sym_EQ,
    ACTIONS(7063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7065), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7067), 1,
      anon_sym_PIPE,
    ACTIONS(7071), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_GT_EQ,
    ACTIONS(7081), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7083), 1,
      anon_sym_or,
    ACTIONS(7085), 1,
      anon_sym_and,
    ACTIONS(7087), 1,
      anon_sym_bitor,
    ACTIONS(7089), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7059), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7069), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7079), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7073), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7075), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6848), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [45361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5747), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [45424] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6787), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6840), 1,
      anon_sym_EQ,
    ACTIONS(7063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7065), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7067), 1,
      anon_sym_PIPE,
    ACTIONS(7071), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_GT_EQ,
    ACTIONS(7081), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7083), 1,
      anon_sym_or,
    ACTIONS(7085), 1,
      anon_sym_and,
    ACTIONS(7087), 1,
      anon_sym_bitor,
    ACTIONS(7089), 1,
      anon_sym_bitand,
    ACTIONS(7093), 1,
      anon_sym_QMARK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7059), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7069), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7079), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7073), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7075), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6842), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [45537] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6907), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6325), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6323), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [45614] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6285), 1,
      anon_sym_LT,
    STATE(3400), 1,
      sym_template_argument_list,
    ACTIONS(6277), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6279), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45683] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5112), 1,
      anon_sym_LBRACE,
    ACTIONS(5119), 1,
      anon_sym_LT,
    STATE(3269), 1,
      sym_template_argument_list,
    ACTIONS(5114), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5107), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6858), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6860), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45817] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2968), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5374), 4,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(6649), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5630), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5633), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [45886] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2839), 1,
      anon_sym_LBRACE,
    ACTIONS(6913), 1,
      anon_sym_LPAREN2,
    ACTIONS(6915), 1,
      anon_sym_LBRACK,
    ACTIONS(6917), 1,
      sym_auto,
    ACTIONS(6919), 1,
      anon_sym_decltype,
    STATE(4000), 1,
      sym_new_declarator,
    STATE(4118), 1,
      sym_decltype_auto,
    STATE(4509), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5833), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5835), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [45965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6876), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6878), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46028] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2839), 1,
      anon_sym_LBRACE,
    ACTIONS(6913), 1,
      anon_sym_LPAREN2,
    ACTIONS(6915), 1,
      anon_sym_LBRACK,
    ACTIONS(6917), 1,
      sym_auto,
    ACTIONS(6919), 1,
      anon_sym_decltype,
    STATE(4039), 1,
      sym_new_declarator,
    STATE(4118), 1,
      sym_decltype_auto,
    STATE(4485), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5787), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5789), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [46107] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6285), 1,
      anon_sym_LT,
    STATE(3400), 1,
      sym_template_argument_list,
    ACTIONS(6291), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6293), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5461), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5459), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [46238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6161), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6163), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6315), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6317), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46364] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6775), 1,
      sym_auto,
    ACTIONS(6777), 1,
      anon_sym_decltype,
    STATE(3540), 1,
      sym_decltype_auto,
    ACTIONS(5612), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5614), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [46432] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7095), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6427), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6429), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46496] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7097), 1,
      anon_sym_typedef,
    ACTIONS(3304), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3302), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [46560] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2269), 1,
      anon_sym_LBRACE,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    STATE(4049), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6145), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6147), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [46628] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7103), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7101), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7099), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [46694] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7107), 1,
      anon_sym_namespace,
    ACTIONS(6720), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [46758] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2269), 1,
      anon_sym_LBRACE,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    STATE(4069), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6157), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6159), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [46826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5149), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5151), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5785), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7109), 1,
      anon_sym_typedef,
    ACTIONS(3304), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3302), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [47014] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym_namespace,
    ACTIONS(6720), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [47078] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6868), 1,
      sym_auto,
    ACTIONS(6870), 1,
      anon_sym_decltype,
    STATE(3753), 1,
      sym_decltype_auto,
    ACTIONS(5614), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5612), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [47146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5141), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5143), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5775), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5777), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [47270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5695), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6171), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6173), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6175), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6177), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6183), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6185), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6187), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6189), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5479), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5481), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47642] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2269), 1,
      anon_sym_LBRACE,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    STATE(4105), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6167), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6169), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [47710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5137), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5139), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7053), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3519), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6135), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6137), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [47838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      anon_sym_LT,
    STATE(3323), 1,
      sym_template_argument_list,
    ACTIONS(6372), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6374), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5127), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5479), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5481), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5461), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [48090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5716), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5771), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5773), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [48214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5708), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5699), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5701), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5640), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5642), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [48400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7116), 1,
      anon_sym_namespace,
    ACTIONS(6720), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [48464] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(3810), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4472), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5972), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5970), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [48536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5652), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5654), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [48598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5676), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48660] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 1,
      anon_sym___attribute__,
    ACTIONS(6854), 1,
      anon_sym_LBRACE,
    STATE(3550), 1,
      sym_enumerator_list,
    STATE(4092), 1,
      sym_attribute_specifier,
    ACTIONS(5909), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5911), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5747), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [48792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5712), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48854] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2269), 1,
      anon_sym_LBRACE,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    STATE(4077), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6225), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6227), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [48922] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    STATE(3698), 1,
      sym_attribute_specifier,
    STATE(4540), 1,
      sym_field_declaration_list,
    STATE(7713), 1,
      sym_virtual_specifier,
    STATE(8499), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5469), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5467), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [49000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7124), 1,
      anon_sym_typedef,
    ACTIONS(3304), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3302), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [49064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5724), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5753), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5755), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5624), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5741), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5743), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49312] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      anon_sym_LPAREN2,
    ACTIONS(7128), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7130), 1,
      anon_sym_LBRACK,
    STATE(4087), 1,
      sym_parameter_list,
    STATE(3551), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6020), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6022), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [49384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5751), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5624), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49508] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(4557), 1,
      anon_sym_LPAREN2,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6223), 1,
      anon_sym_LBRACK,
    ACTIONS(6421), 1,
      anon_sym_STAR,
    ACTIONS(6423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6425), 1,
      anon_sym_AMP,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7058), 1,
      sym__declarator,
    STATE(7289), 1,
      sym__abstract_declarator,
    STATE(8775), 1,
      sym_ms_based_modifier,
    ACTIONS(6862), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [49614] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 1,
      sym_literal_suffix,
    STATE(2984), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3571), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3575), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5804), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5806), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [49684] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 1,
      sym_literal_suffix,
    STATE(2984), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3571), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3575), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4454), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4446), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [49754] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4061), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7132), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(4057), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(4055), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [49820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5624), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5481), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5479), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [49946] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      anon_sym_LPAREN2,
    ACTIONS(7128), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7130), 1,
      anon_sym_LBRACK,
    STATE(4087), 1,
      sym_parameter_list,
    STATE(3551), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6099), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6101), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [50018] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 1,
      anon_sym___attribute__,
    ACTIONS(7147), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7150), 1,
      anon_sym___declspec,
    ACTIONS(7153), 1,
      anon_sym_virtual,
    ACTIONS(7156), 1,
      anon_sym_alignas,
    ACTIONS(7134), 7,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7141), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3457), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7136), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7138), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [50096] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5112), 1,
      anon_sym_LBRACE,
    ACTIONS(5734), 1,
      anon_sym_LT,
    STATE(3733), 1,
      sym_template_argument_list,
    ACTIONS(5114), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5107), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [50166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5135), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5129), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5131), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50290] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7159), 1,
      anon_sym_typedef,
    ACTIONS(3304), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3302), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [50354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5147), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5628), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5636), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5638), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5644), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5646), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5479), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5481), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5648), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5650), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50728] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7167), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7165), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7163), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7161), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [50794] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7169), 1,
      sym_identifier,
    STATE(3608), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4213), 1,
      sym_primitive_type,
    ACTIONS(7174), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7172), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5557), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5555), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5660), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50928] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5455), 1,
      anon_sym_virtual,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7176), 7,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5445), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3457), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7178), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5443), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [51006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5664), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5668), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6205), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6207), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5660), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5678), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5680), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51316] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7180), 1,
      anon_sym_typedef,
    ACTIONS(3304), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3302), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [51380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5897), 1,
      sym_literal_suffix,
    ACTIONS(4454), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4446), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6153), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6155), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6149), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6151), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5897), 1,
      sym_literal_suffix,
    ACTIONS(5804), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5806), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7182), 1,
      anon_sym_typedef,
    ACTIONS(3304), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3302), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [51696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6343), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6345), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6339), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6341), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51820] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7184), 1,
      anon_sym_typedef,
    ACTIONS(3304), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3302), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [51884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6335), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6337), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7186), 1,
      anon_sym_typedef,
    ACTIONS(3304), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3302), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [52010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5160), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5165), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [52074] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      anon_sym_LPAREN2,
    ACTIONS(7128), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7130), 1,
      anon_sym_LBRACK,
    STATE(4087), 1,
      sym_parameter_list,
    STATE(3551), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6038), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6040), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [52146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4115), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4117), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52208] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7194), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7192), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7190), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7188), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [52274] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7126), 1,
      anon_sym_LPAREN2,
    ACTIONS(7128), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7130), 1,
      anon_sym_LBRACK,
    STATE(4087), 1,
      sym_parameter_list,
    STATE(3551), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6044), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6046), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [52346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5737), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5739), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5726), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5728), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5779), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5781), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5767), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5769), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5763), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5765), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52656] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7196), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(4035), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(4033), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [52722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7198), 1,
      anon_sym_namespace,
    ACTIONS(6720), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [52786] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(4557), 1,
      anon_sym_LPAREN2,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6223), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_STAR,
    ACTIONS(6368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    STATE(4437), 1,
      sym_parameter_list,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7058), 1,
      sym__declarator,
    STATE(7329), 1,
      sym__abstract_declarator,
    STATE(8775), 1,
      sym_ms_based_modifier,
    ACTIONS(6862), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [52892] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(4010), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5970), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7200), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5972), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [52964] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5455), 1,
      anon_sym_virtual,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7202), 7,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5445), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3457), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7204), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5443), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [53042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5730), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5732), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5759), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5761), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5720), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53228] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7210), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7208), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7206), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [53294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4119), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4121), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [53356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6198), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6200), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [53418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7218), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7216), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7214), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [53484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6240), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6242), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [53546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7222), 1,
      anon_sym_typedef,
    ACTIONS(3304), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3302), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [53610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5691), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [53672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6347), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6349), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [53734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6858), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6860), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [53796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6876), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6878), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [53858] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 1,
      anon_sym___attribute__,
    ACTIONS(6854), 1,
      anon_sym_LBRACE,
    STATE(3628), 1,
      sym_enumerator_list,
    STATE(3987), 1,
      sym_attribute_specifier,
    ACTIONS(5928), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5930), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7224), 1,
      anon_sym_namespace,
    ACTIONS(6720), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [53992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5682), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5684), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54054] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3519), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6233), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6235), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [54120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5648), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5650), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5479), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5481), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54242] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6785), 1,
      anon_sym_EQ,
    ACTIONS(6953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(6999), 1,
      anon_sym_QMARK,
    ACTIONS(7023), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7237), 1,
      anon_sym_PIPE,
    ACTIONS(7241), 1,
      anon_sym_AMP,
    ACTIONS(7247), 1,
      anon_sym_GT_EQ,
    ACTIONS(7251), 1,
      anon_sym_or,
    ACTIONS(7253), 1,
      anon_sym_and,
    ACTIONS(7255), 1,
      anon_sym_bitor,
    ACTIONS(7257), 1,
      anon_sym_bitand,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7037), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7239), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7249), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7231), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7243), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7245), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6789), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [54353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5699), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5701), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5708), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5712), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54536] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5153), 1,
      anon_sym_const,
    ACTIONS(5162), 1,
      anon_sym_AMP,
    ACTIONS(5155), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(5160), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5158), 16,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5165), 18,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [54605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4115), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [54666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5716), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54727] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5818), 4,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(5820), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4446), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4454), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
  [54792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5479), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5481), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4121), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4119), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [54914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5695), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5724), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5722), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [55036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6427), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6429), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5290), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5292), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55158] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7261), 1,
      sym_identifier,
    STATE(3654), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3737), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3745), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5370), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5368), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55227] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5112), 1,
      anon_sym_LBRACE,
    ACTIONS(5845), 1,
      anon_sym_LT,
    STATE(3834), 1,
      sym_template_argument_list,
    ACTIONS(5114), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5107), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [55296] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6846), 1,
      anon_sym_EQ,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7023), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7237), 1,
      anon_sym_PIPE,
    ACTIONS(7241), 1,
      anon_sym_AMP,
    ACTIONS(7247), 1,
      anon_sym_GT_EQ,
    ACTIONS(7251), 1,
      anon_sym_or,
    ACTIONS(7253), 1,
      anon_sym_and,
    ACTIONS(7255), 1,
      anon_sym_bitor,
    ACTIONS(7257), 1,
      anon_sym_bitand,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7037), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7239), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7249), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7231), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7243), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7245), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6848), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [55403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5294), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5296), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5676), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [55525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5107), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5743), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5741), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [55647] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 1,
      anon_sym___attribute__,
    STATE(3988), 1,
      sym_attribute_specifier,
    ACTIONS(6058), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6060), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5107), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5107), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5107), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6510), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5286), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5288), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [56017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5107), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [56078] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 1,
      anon_sym___attribute__,
    STATE(3986), 1,
      sym_attribute_specifier,
    ACTIONS(6068), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6070), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56143] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7128), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3720), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6135), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6137), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [56208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6395), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6397), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [56269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6574), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6576), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [56330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5107), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [56391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5624), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5622), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [56452] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 1,
      anon_sym___attribute__,
    STATE(3982), 1,
      sym_attribute_specifier,
    ACTIONS(6078), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6080), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5730), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [56578] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 1,
      anon_sym___attribute__,
    STATE(3978), 1,
      sym_attribute_specifier,
    ACTIONS(6095), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6097), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56643] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6823), 1,
      anon_sym_EQ,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7023), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7237), 1,
      anon_sym_PIPE,
    ACTIONS(7241), 1,
      anon_sym_AMP,
    ACTIONS(7247), 1,
      anon_sym_GT_EQ,
    ACTIONS(7251), 1,
      anon_sym_or,
    ACTIONS(7253), 1,
      anon_sym_and,
    ACTIONS(7255), 1,
      anon_sym_bitor,
    ACTIONS(7257), 1,
      anon_sym_bitand,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7037), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7239), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7249), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7231), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7243), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7245), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6825), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [56750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5624), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5622), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [56811] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 1,
      sym_literal_suffix,
    STATE(2984), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3571), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3575), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5804), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5806), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [56880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5869), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5867), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [56941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6411), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57002] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LBRACK,
    STATE(3809), 1,
      sym_new_declarator,
    ACTIONS(6281), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6283), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [57067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5701), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5699), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [57128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5660), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5658), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [57189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5781), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5779), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [57250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5706), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [57311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5280), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57372] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6840), 1,
      anon_sym_EQ,
    ACTIONS(6953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(6999), 1,
      anon_sym_QMARK,
    ACTIONS(7023), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7237), 1,
      anon_sym_PIPE,
    ACTIONS(7241), 1,
      anon_sym_AMP,
    ACTIONS(7247), 1,
      anon_sym_GT_EQ,
    ACTIONS(7251), 1,
      anon_sym_or,
    ACTIONS(7253), 1,
      anon_sym_and,
    ACTIONS(7255), 1,
      anon_sym_bitor,
    ACTIONS(7257), 1,
      anon_sym_bitand,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7037), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7239), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7249), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7231), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7243), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7245), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6842), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [57483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5668), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5666), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [57544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5680), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5678), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [57605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5724), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5664), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5662), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [57727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5280), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5302), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5304), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5660), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5658), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [57910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5280), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5753), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5755), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6454), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6609), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6611), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 1,
      anon_sym___attribute__,
    STATE(3914), 1,
      sym_attribute_specifier,
    ACTIONS(6074), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6076), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [58219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5654), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5652), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [58280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6500), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6502), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5624), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6605), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6607), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6593), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6595), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6585), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6587), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6536), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6538), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6550), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5741), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5743), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5751), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6635), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6637), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6639), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6407), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5642), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5640), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [59073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5765), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5763), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [59134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6585), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6587), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5755), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5753), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [59256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6415), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59317] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 1,
      anon_sym___attribute__,
    STATE(3952), 1,
      sym_attribute_specifier,
    ACTIONS(6111), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6113), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5769), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5767), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [59443] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7263), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7265), 1,
      anon_sym_and,
    ACTIONS(5990), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5992), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5720), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5718), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [59569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6476), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6478), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6474), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5624), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59752] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2045), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5374), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(5378), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5633), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5630), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5624), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7269), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7267), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [59941] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(7271), 1,
      anon_sym_LPAREN2,
    STATE(2946), 1,
      sym_argument_list,
    STATE(3840), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4556), 1,
      sym_initializer_list,
    ACTIONS(7274), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5481), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5479), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [60014] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6787), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6840), 1,
      anon_sym_EQ,
    ACTIONS(7280), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7282), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7284), 1,
      anon_sym_PIPE,
    ACTIONS(7288), 1,
      anon_sym_AMP,
    ACTIONS(7294), 1,
      anon_sym_GT_EQ,
    ACTIONS(7298), 1,
      anon_sym_QMARK,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7302), 1,
      anon_sym_or,
    ACTIONS(7304), 1,
      anon_sym_and,
    ACTIONS(7306), 1,
      anon_sym_bitor,
    ACTIONS(7308), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7286), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7296), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7278), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7290), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7292), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6842), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [60125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5481), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5479), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [60186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6652), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6654), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [60247] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    STATE(4186), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6145), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6147), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [60314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5310), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5312), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [60375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6617), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6619), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [60436] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6846), 1,
      anon_sym_EQ,
    ACTIONS(7280), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7282), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7284), 1,
      anon_sym_PIPE,
    ACTIONS(7288), 1,
      anon_sym_AMP,
    ACTIONS(7294), 1,
      anon_sym_GT_EQ,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7302), 1,
      anon_sym_or,
    ACTIONS(7304), 1,
      anon_sym_and,
    ACTIONS(7306), 1,
      anon_sym_bitor,
    ACTIONS(7308), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7286), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7296), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7278), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7290), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7292), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6848), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [60543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6554), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [60604] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6785), 1,
      anon_sym_EQ,
    ACTIONS(6787), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7280), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7282), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7284), 1,
      anon_sym_PIPE,
    ACTIONS(7288), 1,
      anon_sym_AMP,
    ACTIONS(7294), 1,
      anon_sym_GT_EQ,
    ACTIONS(7298), 1,
      anon_sym_QMARK,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7302), 1,
      anon_sym_or,
    ACTIONS(7304), 1,
      anon_sym_and,
    ACTIONS(7306), 1,
      anon_sym_bitor,
    ACTIONS(7308), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7286), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7296), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7278), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7290), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7292), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6789), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [60715] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7317), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7313), 4,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(7315), 5,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_explicit,
      anon_sym_operator,
    ACTIONS(7320), 13,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_auto,
      anon_sym_typename,
    ACTIONS(7310), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
  [60782] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6823), 1,
      anon_sym_EQ,
    ACTIONS(7280), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7282), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7284), 1,
      anon_sym_PIPE,
    ACTIONS(7288), 1,
      anon_sym_AMP,
    ACTIONS(7294), 1,
      anon_sym_GT_EQ,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7302), 1,
      anon_sym_or,
    ACTIONS(7304), 1,
      anon_sym_and,
    ACTIONS(7306), 1,
      anon_sym_bitor,
    ACTIONS(7308), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7286), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7296), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7278), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7290), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7292), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6825), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [60889] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7037), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6389), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6391), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [60964] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7296), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7278), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [61045] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7278), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [61124] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7296), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7278), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [61207] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7294), 1,
      anon_sym_GT_EQ,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7296), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7278), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7292), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [61294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 1,
      anon_sym___attribute__,
    STATE(3954), 1,
      sym_attribute_specifier,
    ACTIONS(6117), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6119), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [61359] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7294), 1,
      anon_sym_GT_EQ,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7296), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7278), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7290), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7292), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [61448] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7288), 1,
      anon_sym_AMP,
    ACTIONS(7294), 1,
      anon_sym_GT_EQ,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7308), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7296), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7278), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7290), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7292), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [61541] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7288), 1,
      anon_sym_AMP,
    ACTIONS(7294), 1,
      anon_sym_GT_EQ,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7308), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7286), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7296), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7278), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7290), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7292), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6355), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [61636] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7263), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7265), 1,
      anon_sym_and,
    ACTIONS(7322), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7324), 1,
      anon_sym_or,
    ACTIONS(6103), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6105), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [61705] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 1,
      anon_sym___attribute__,
    STATE(3960), 1,
      sym_attribute_specifier,
    ACTIONS(6091), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6093), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [61770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6566), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [61831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5785), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5783), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [61892] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7278), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [61969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5728), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5726), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [62030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5739), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5737), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [62091] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    STATE(4194), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6157), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6159), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [62158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5624), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5622), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [62219] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6660), 1,
      anon_sym_EQ,
    ACTIONS(6787), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7280), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7282), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7284), 1,
      anon_sym_PIPE,
    ACTIONS(7288), 1,
      anon_sym_AMP,
    ACTIONS(7294), 1,
      anon_sym_GT_EQ,
    ACTIONS(7298), 1,
      anon_sym_QMARK,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7302), 1,
      anon_sym_or,
    ACTIONS(7304), 1,
      anon_sym_and,
    ACTIONS(7306), 1,
      anon_sym_bitor,
    ACTIONS(7308), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7286), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7296), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7278), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7290), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7292), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6662), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [62330] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6834), 1,
      anon_sym_EQ,
    ACTIONS(7280), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7282), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7284), 1,
      anon_sym_PIPE,
    ACTIONS(7288), 1,
      anon_sym_AMP,
    ACTIONS(7294), 1,
      anon_sym_GT_EQ,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7302), 1,
      anon_sym_or,
    ACTIONS(7304), 1,
      anon_sym_and,
    ACTIONS(7306), 1,
      anon_sym_bitor,
    ACTIONS(7308), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7286), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7296), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7278), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7290), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7292), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6836), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [62437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5322), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5324), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5318), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5320), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62559] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7326), 1,
      anon_sym_LT,
    STATE(2208), 1,
      sym_template_argument_list,
    ACTIONS(6372), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6374), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2261), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2259), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5747), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5745), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [62746] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7329), 1,
      anon_sym_LT,
    STATE(1974), 1,
      sym_template_argument_list,
    ACTIONS(6372), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6374), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5628), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [62872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2265), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2263), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5636), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5638), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [62994] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 1,
      anon_sym___attribute__,
    STATE(4106), 1,
      sym_attribute_specifier,
    ACTIONS(6001), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6003), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5282), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5284), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63120] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7332), 1,
      sym_identifier,
    STATE(3685), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3737), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3745), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5385), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5383), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6407), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5644), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5646), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [63311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5650), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5648), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [63372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6407), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63433] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7282), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7284), 1,
      anon_sym_PIPE,
    ACTIONS(7288), 1,
      anon_sym_AMP,
    ACTIONS(7294), 1,
      anon_sym_GT_EQ,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7304), 1,
      anon_sym_and,
    ACTIONS(7306), 1,
      anon_sym_bitor,
    ACTIONS(7308), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6353), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7286), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7296), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7278), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7290), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7292), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [63536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5644), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [63597] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 1,
      anon_sym___attribute__,
    STATE(4094), 1,
      sym_attribute_specifier,
    ACTIONS(6005), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6007), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5660), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [63723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5695), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5693), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [63784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5664), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [63845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5668), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [63906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5660), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [63967] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6827), 1,
      anon_sym_EQ,
    ACTIONS(7280), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7282), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7284), 1,
      anon_sym_PIPE,
    ACTIONS(7288), 1,
      anon_sym_AMP,
    ACTIONS(7294), 1,
      anon_sym_GT_EQ,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7302), 1,
      anon_sym_or,
    ACTIONS(7304), 1,
      anon_sym_and,
    ACTIONS(7306), 1,
      anon_sym_bitor,
    ACTIONS(7308), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7286), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7296), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7278), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7290), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7292), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6829), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [64074] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    STATE(4237), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6167), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6169), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [64141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5678), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5680), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [64202] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6629), 1,
      anon_sym_LT,
    STATE(3773), 1,
      sym_template_argument_list,
    ACTIONS(6291), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6293), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64269] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7037), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7249), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7231), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [64350] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7037), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7231), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [64429] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7023), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7037), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7249), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7231), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [64512] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7023), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7247), 1,
      anon_sym_GT_EQ,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7037), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7249), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7231), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7245), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [64599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5638), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5636), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [64660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5628), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5626), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [64721] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7023), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7247), 1,
      anon_sym_GT_EQ,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7037), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7249), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7231), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7243), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7245), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [64810] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7023), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7241), 1,
      anon_sym_AMP,
    ACTIONS(7247), 1,
      anon_sym_GT_EQ,
    ACTIONS(7257), 1,
      anon_sym_bitand,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7037), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7249), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7231), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7243), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7245), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [64903] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7136), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7340), 1,
      anon_sym___attribute__,
    ACTIONS(7343), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7346), 1,
      anon_sym___declspec,
    ACTIONS(7349), 1,
      anon_sym_virtual,
    ACTIONS(7352), 1,
      anon_sym_alignas,
    ACTIONS(7337), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3679), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7334), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(7134), 16,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [64980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7326), 1,
      anon_sym_LT,
    STATE(3488), 1,
      sym_template_argument_list,
    ACTIONS(6372), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6374), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65045] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7023), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7241), 1,
      anon_sym_AMP,
    ACTIONS(7247), 1,
      anon_sym_GT_EQ,
    ACTIONS(7257), 1,
      anon_sym_bitand,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7037), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7239), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7249), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7231), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7243), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7245), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6355), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [65140] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7023), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7237), 1,
      anon_sym_PIPE,
    ACTIONS(7241), 1,
      anon_sym_AMP,
    ACTIONS(7247), 1,
      anon_sym_GT_EQ,
    ACTIONS(7255), 1,
      anon_sym_bitor,
    ACTIONS(7257), 1,
      anon_sym_bitand,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7037), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7239), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7249), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6353), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7231), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7243), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7245), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [65239] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7023), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7237), 1,
      anon_sym_PIPE,
    ACTIONS(7241), 1,
      anon_sym_AMP,
    ACTIONS(7247), 1,
      anon_sym_GT_EQ,
    ACTIONS(7253), 1,
      anon_sym_and,
    ACTIONS(7255), 1,
      anon_sym_bitor,
    ACTIONS(7257), 1,
      anon_sym_bitand,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(6353), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7037), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7239), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7249), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7231), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7243), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7245), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [65342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6720), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [65403] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      sym_identifier,
    STATE(3685), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7358), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7361), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5358), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5356), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65472] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7284), 1,
      anon_sym_PIPE,
    ACTIONS(7288), 1,
      anon_sym_AMP,
    ACTIONS(7294), 1,
      anon_sym_GT_EQ,
    ACTIONS(7300), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7306), 1,
      anon_sym_bitor,
    ACTIONS(7308), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7276), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7286), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7296), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6353), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7278), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7290), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7292), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [65571] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7037), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6353), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [65646] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7037), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7231), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [65723] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 1,
      sym_literal_suffix,
    STATE(2984), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3571), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3575), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4454), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4446), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65792] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(4557), 1,
      anon_sym_LPAREN2,
    ACTIONS(4559), 1,
      anon_sym_STAR,
    ACTIONS(4561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4563), 1,
      anon_sym_AMP,
    ACTIONS(5441), 1,
      sym_identifier,
    ACTIONS(6223), 1,
      anon_sym_LBRACK,
    ACTIONS(6631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6862), 1,
      anon_sym_RPAREN,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6411), 1,
      sym__scope_resolution,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7079), 1,
      sym__declarator,
    STATE(7289), 1,
      sym__abstract_declarator,
    STATE(9424), 1,
      sym_ms_based_modifier,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [65897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5773), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5771), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [65958] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6629), 1,
      anon_sym_LT,
    STATE(3773), 1,
      sym_template_argument_list,
    ACTIONS(6277), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6279), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5737), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5739), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [66086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5726), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5728), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [66147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5779), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5781), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [66208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6448), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6450), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5720), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [66330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5751), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5749), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [66391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5767), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5769), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [66452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6504), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6506), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5763), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5765), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [66574] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    STATE(4203), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6225), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6227), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [66641] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 1,
      anon_sym___attribute__,
    STATE(4088), 1,
      sym_attribute_specifier,
    ACTIONS(6009), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6011), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [66706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6641), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6643), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6645), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6647), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6589), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6591), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6658), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5710), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [67011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5716), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5714), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [67072] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_EQ,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6953), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(6999), 1,
      anon_sym_QMARK,
    ACTIONS(7023), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7237), 1,
      anon_sym_PIPE,
    ACTIONS(7241), 1,
      anon_sym_AMP,
    ACTIONS(7247), 1,
      anon_sym_GT_EQ,
    ACTIONS(7251), 1,
      anon_sym_or,
    ACTIONS(7253), 1,
      anon_sym_and,
    ACTIONS(7255), 1,
      anon_sym_bitor,
    ACTIONS(7257), 1,
      anon_sym_bitand,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7037), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7239), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7249), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7231), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7243), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7245), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6662), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [67183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5761), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5759), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [67244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6518), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5298), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5300), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5606), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(5604), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [67427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5730), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5732), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [67488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6462), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5759), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5761), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [67610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6456), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6458), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6570), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6572), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7364), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3720), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6233), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6235), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [67797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6601), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6603), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5274), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5276), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6597), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6599), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5306), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5308), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6534), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7369), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7367), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [68163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6530), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5314), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5316), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6435), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6670), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6672), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68407] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7371), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6427), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6429), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68470] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6834), 1,
      anon_sym_EQ,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7023), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7237), 1,
      anon_sym_PIPE,
    ACTIONS(7241), 1,
      anon_sym_AMP,
    ACTIONS(7247), 1,
      anon_sym_GT_EQ,
    ACTIONS(7251), 1,
      anon_sym_or,
    ACTIONS(7253), 1,
      anon_sym_and,
    ACTIONS(7255), 1,
      anon_sym_bitor,
    ACTIONS(7257), 1,
      anon_sym_bitand,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7037), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7239), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7249), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7231), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7243), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7245), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6836), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [68577] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5160), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5165), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68640] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6357), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6359), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [68713] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7037), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6323), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6325), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [68788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6464), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6466), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6627), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6488), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4027), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4023), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6480), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6482), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6556), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6558), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 1,
      anon_sym___attribute__,
    STATE(4085), 1,
      sym_attribute_specifier,
    ACTIONS(6013), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6015), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6560), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6562), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6621), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6623), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3026), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69402] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7037), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6381), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6383), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [69477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6581), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6583), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6662), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6542), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69660] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7329), 1,
      anon_sym_LT,
    STATE(3269), 1,
      sym_template_argument_list,
    ACTIONS(6372), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6374), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7373), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6427), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6429), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69788] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6437), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6439), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [69861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5676), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5674), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [69922] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7037), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6385), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6387), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [69997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5775), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [70058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6666), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6668), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5682), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5684), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [70180] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6827), 1,
      anon_sym_EQ,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7023), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7237), 1,
      anon_sym_PIPE,
    ACTIONS(7241), 1,
      anon_sym_AMP,
    ACTIONS(7247), 1,
      anon_sym_GT_EQ,
    ACTIONS(7251), 1,
      anon_sym_or,
    ACTIONS(7253), 1,
      anon_sym_and,
    ACTIONS(7255), 1,
      anon_sym_bitor,
    ACTIONS(7257), 1,
      anon_sym_bitand,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7037), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7239), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7249), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7231), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7243), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7245), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6829), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [70287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6613), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6615), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70348] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(5441), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_STAR,
    ACTIONS(7377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7379), 1,
      anon_sym_AMP,
    ACTIONS(7381), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(7251), 1,
      sym__declarator,
    STATE(8835), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3812), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4722), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [70450] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7385), 1,
      anon_sym_STAR,
    ACTIONS(7387), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7389), 1,
      anon_sym_AMP,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6854), 1,
      sym__declarator,
    STATE(8927), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3791), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4709), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [70552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6876), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6878), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70612] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6357), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6359), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [70684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6652), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6654), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6240), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6242), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6198), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6200), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70864] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7041), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7043), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7397), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7399), 1,
      anon_sym_COMMA,
    ACTIONS(7401), 1,
      anon_sym_RPAREN,
    ACTIONS(7403), 1,
      anon_sym_DASH,
    ACTIONS(7405), 1,
      anon_sym_PLUS,
    ACTIONS(7407), 1,
      anon_sym_STAR,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7411), 1,
      anon_sym_PERCENT,
    ACTIONS(7413), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7419), 1,
      anon_sym_CARET,
    ACTIONS(7421), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7425), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7427), 1,
      anon_sym_GT,
    ACTIONS(7429), 1,
      anon_sym_GT_EQ,
    ACTIONS(7431), 1,
      anon_sym_LT_EQ,
    ACTIONS(7433), 1,
      anon_sym_LT,
    ACTIONS(7435), 1,
      anon_sym_LT_LT,
    ACTIONS(7437), 1,
      anon_sym_GT_GT,
    ACTIONS(7439), 1,
      anon_sym_EQ,
    ACTIONS(7441), 1,
      anon_sym_QMARK,
    ACTIONS(7443), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7445), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7447), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7449), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7451), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7453), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7455), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7457), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7459), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7461), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7463), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7465), 1,
      anon_sym_or,
    ACTIONS(7467), 1,
      anon_sym_and,
    ACTIONS(7469), 1,
      anon_sym_bitor,
    ACTIONS(7471), 1,
      anon_sym_xor,
    ACTIONS(7473), 1,
      anon_sym_bitand,
    ACTIONS(7475), 1,
      anon_sym_not_eq,
    STATE(1605), 1,
      sym__binary_fold_operator,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    STATE(9076), 1,
      sym__fold_operator,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [71020] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7041), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7043), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7397), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7399), 1,
      anon_sym_COMMA,
    ACTIONS(7403), 1,
      anon_sym_DASH,
    ACTIONS(7405), 1,
      anon_sym_PLUS,
    ACTIONS(7407), 1,
      anon_sym_STAR,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7411), 1,
      anon_sym_PERCENT,
    ACTIONS(7413), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7419), 1,
      anon_sym_CARET,
    ACTIONS(7421), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7425), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7427), 1,
      anon_sym_GT,
    ACTIONS(7429), 1,
      anon_sym_GT_EQ,
    ACTIONS(7431), 1,
      anon_sym_LT_EQ,
    ACTIONS(7433), 1,
      anon_sym_LT,
    ACTIONS(7435), 1,
      anon_sym_LT_LT,
    ACTIONS(7437), 1,
      anon_sym_GT_GT,
    ACTIONS(7439), 1,
      anon_sym_EQ,
    ACTIONS(7441), 1,
      anon_sym_QMARK,
    ACTIONS(7443), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7445), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7447), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7449), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7451), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7453), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7455), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7457), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7459), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7461), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7463), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7465), 1,
      anon_sym_or,
    ACTIONS(7467), 1,
      anon_sym_and,
    ACTIONS(7469), 1,
      anon_sym_bitor,
    ACTIONS(7471), 1,
      anon_sym_xor,
    ACTIONS(7473), 1,
      anon_sym_bitand,
    ACTIONS(7475), 1,
      anon_sym_not_eq,
    ACTIONS(7479), 1,
      anon_sym_RPAREN,
    STATE(1605), 1,
      sym__binary_fold_operator,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    STATE(9076), 1,
      sym__fold_operator,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [71176] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_COLON_COLON,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6860), 1,
      sym__declarator,
    STATE(8693), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4679), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5683), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [71278] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7041), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7043), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7397), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7399), 1,
      anon_sym_COMMA,
    ACTIONS(7403), 1,
      anon_sym_DASH,
    ACTIONS(7405), 1,
      anon_sym_PLUS,
    ACTIONS(7407), 1,
      anon_sym_STAR,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7411), 1,
      anon_sym_PERCENT,
    ACTIONS(7413), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7419), 1,
      anon_sym_CARET,
    ACTIONS(7421), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7425), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7427), 1,
      anon_sym_GT,
    ACTIONS(7429), 1,
      anon_sym_GT_EQ,
    ACTIONS(7431), 1,
      anon_sym_LT_EQ,
    ACTIONS(7433), 1,
      anon_sym_LT,
    ACTIONS(7435), 1,
      anon_sym_LT_LT,
    ACTIONS(7437), 1,
      anon_sym_GT_GT,
    ACTIONS(7439), 1,
      anon_sym_EQ,
    ACTIONS(7441), 1,
      anon_sym_QMARK,
    ACTIONS(7443), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7445), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7447), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7449), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7451), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7453), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7455), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7457), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7459), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7461), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7463), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7465), 1,
      anon_sym_or,
    ACTIONS(7467), 1,
      anon_sym_and,
    ACTIONS(7469), 1,
      anon_sym_bitor,
    ACTIONS(7471), 1,
      anon_sym_xor,
    ACTIONS(7473), 1,
      anon_sym_bitand,
    ACTIONS(7475), 1,
      anon_sym_not_eq,
    ACTIONS(7489), 1,
      anon_sym_RPAREN,
    STATE(1605), 1,
      sym__binary_fold_operator,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    STATE(9076), 1,
      sym__fold_operator,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [71434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5479), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5481), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5771), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5773), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6315), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6317), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71618] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6704), 1,
      anon_sym_LT,
    STATE(3905), 1,
      sym_template_argument_list,
    ACTIONS(6277), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6279), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [71684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5640), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5642), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7491), 1,
      anon_sym_LT,
    STATE(2319), 1,
      sym_template_argument_list,
    ACTIONS(6372), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6374), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71808] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7494), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6381), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6383), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [71882] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7494), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6385), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6387), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [71956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5652), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5654), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [72016] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(3246), 1,
      anon_sym_STAR,
    ACTIONS(3248), 1,
      anon_sym_AMP,
    ACTIONS(5441), 1,
      sym_identifier,
    ACTIONS(6631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6411), 1,
      sym__scope_resolution,
    STATE(7079), 1,
      sym__declarator,
    STATE(9424), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3796), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4733), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [72118] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(7496), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7502), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7504), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(7510), 1,
      anon_sym_AMP,
    ACTIONS(7518), 1,
      anon_sym_QMARK,
    ACTIONS(7520), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7522), 1,
      anon_sym_or,
    ACTIONS(7524), 1,
      anon_sym_and,
    ACTIONS(7526), 1,
      anon_sym_bitor,
    ACTIONS(7528), 1,
      anon_sym_bitand,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(6840), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7494), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7498), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7508), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7516), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7500), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7512), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7514), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6842), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [72226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6773), 1,
      anon_sym_LBRACK,
    STATE(4099), 1,
      sym_new_declarator,
    ACTIONS(6281), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6283), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [72290] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(3246), 1,
      anon_sym_STAR,
    ACTIONS(3248), 1,
      anon_sym_AMP,
    ACTIONS(5441), 1,
      sym_identifier,
    ACTIONS(6631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6411), 1,
      sym__scope_resolution,
    STATE(7132), 1,
      sym__declarator,
    STATE(9424), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3808), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4732), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [72392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6427), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6429), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72452] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7041), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7043), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7397), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7399), 1,
      anon_sym_COMMA,
    ACTIONS(7403), 1,
      anon_sym_DASH,
    ACTIONS(7405), 1,
      anon_sym_PLUS,
    ACTIONS(7407), 1,
      anon_sym_STAR,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7411), 1,
      anon_sym_PERCENT,
    ACTIONS(7413), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7419), 1,
      anon_sym_CARET,
    ACTIONS(7421), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7425), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7427), 1,
      anon_sym_GT,
    ACTIONS(7429), 1,
      anon_sym_GT_EQ,
    ACTIONS(7431), 1,
      anon_sym_LT_EQ,
    ACTIONS(7433), 1,
      anon_sym_LT,
    ACTIONS(7435), 1,
      anon_sym_LT_LT,
    ACTIONS(7437), 1,
      anon_sym_GT_GT,
    ACTIONS(7439), 1,
      anon_sym_EQ,
    ACTIONS(7441), 1,
      anon_sym_QMARK,
    ACTIONS(7443), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7445), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7447), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7449), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7451), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7453), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7455), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7457), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7459), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7461), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7463), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7465), 1,
      anon_sym_or,
    ACTIONS(7467), 1,
      anon_sym_and,
    ACTIONS(7469), 1,
      anon_sym_bitor,
    ACTIONS(7471), 1,
      anon_sym_xor,
    ACTIONS(7473), 1,
      anon_sym_bitand,
    ACTIONS(7475), 1,
      anon_sym_not_eq,
    ACTIONS(7530), 1,
      anon_sym_RPAREN,
    STATE(1605), 1,
      sym__binary_fold_operator,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    STATE(9076), 1,
      sym__fold_operator,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [72608] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(7502), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7504), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(7510), 1,
      anon_sym_AMP,
    ACTIONS(7520), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7522), 1,
      anon_sym_or,
    ACTIONS(7524), 1,
      anon_sym_and,
    ACTIONS(7526), 1,
      anon_sym_bitor,
    ACTIONS(7528), 1,
      anon_sym_bitand,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(6827), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7494), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7498), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7508), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7516), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7500), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7512), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7514), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6829), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [72712] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_COLON_COLON,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6797), 1,
      sym__declarator,
    STATE(8693), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3793), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4677), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [72814] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7041), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7043), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7397), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7399), 1,
      anon_sym_COMMA,
    ACTIONS(7403), 1,
      anon_sym_DASH,
    ACTIONS(7405), 1,
      anon_sym_PLUS,
    ACTIONS(7407), 1,
      anon_sym_STAR,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7411), 1,
      anon_sym_PERCENT,
    ACTIONS(7413), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7419), 1,
      anon_sym_CARET,
    ACTIONS(7421), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7425), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7427), 1,
      anon_sym_GT,
    ACTIONS(7429), 1,
      anon_sym_GT_EQ,
    ACTIONS(7431), 1,
      anon_sym_LT_EQ,
    ACTIONS(7433), 1,
      anon_sym_LT,
    ACTIONS(7435), 1,
      anon_sym_LT_LT,
    ACTIONS(7437), 1,
      anon_sym_GT_GT,
    ACTIONS(7439), 1,
      anon_sym_EQ,
    ACTIONS(7441), 1,
      anon_sym_QMARK,
    ACTIONS(7443), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7445), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7447), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7449), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7451), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7453), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7455), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7457), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7459), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7461), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7463), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7465), 1,
      anon_sym_or,
    ACTIONS(7467), 1,
      anon_sym_and,
    ACTIONS(7469), 1,
      anon_sym_bitor,
    ACTIONS(7471), 1,
      anon_sym_xor,
    ACTIONS(7473), 1,
      anon_sym_bitand,
    ACTIONS(7475), 1,
      anon_sym_not_eq,
    ACTIONS(7532), 1,
      anon_sym_RPAREN,
    STATE(1605), 1,
      sym__binary_fold_operator,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    STATE(9076), 1,
      sym__fold_operator,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [72970] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6437), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6439), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [73042] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6704), 1,
      anon_sym_LT,
    STATE(3905), 1,
      sym_template_argument_list,
    ACTIONS(6291), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6293), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73108] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7385), 1,
      anon_sym_STAR,
    ACTIONS(7387), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7389), 1,
      anon_sym_AMP,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6823), 1,
      sym__declarator,
    STATE(8927), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4723), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5683), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [73210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4115), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4117), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73270] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_COLON_COLON,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6809), 1,
      sym__declarator,
    STATE(8693), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5683), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [73372] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7041), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7043), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7397), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7399), 1,
      anon_sym_COMMA,
    ACTIONS(7403), 1,
      anon_sym_DASH,
    ACTIONS(7405), 1,
      anon_sym_PLUS,
    ACTIONS(7407), 1,
      anon_sym_STAR,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7411), 1,
      anon_sym_PERCENT,
    ACTIONS(7413), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7419), 1,
      anon_sym_CARET,
    ACTIONS(7421), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7425), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7427), 1,
      anon_sym_GT,
    ACTIONS(7429), 1,
      anon_sym_GT_EQ,
    ACTIONS(7431), 1,
      anon_sym_LT_EQ,
    ACTIONS(7433), 1,
      anon_sym_LT,
    ACTIONS(7435), 1,
      anon_sym_LT_LT,
    ACTIONS(7437), 1,
      anon_sym_GT_GT,
    ACTIONS(7439), 1,
      anon_sym_EQ,
    ACTIONS(7441), 1,
      anon_sym_QMARK,
    ACTIONS(7443), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7445), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7447), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7449), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7451), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7453), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7455), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7457), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7459), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7461), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7463), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7465), 1,
      anon_sym_or,
    ACTIONS(7467), 1,
      anon_sym_and,
    ACTIONS(7469), 1,
      anon_sym_bitor,
    ACTIONS(7471), 1,
      anon_sym_xor,
    ACTIONS(7473), 1,
      anon_sym_bitand,
    ACTIONS(7475), 1,
      anon_sym_not_eq,
    ACTIONS(7534), 1,
      anon_sym_RPAREN,
    STATE(1605), 1,
      sym__binary_fold_operator,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    STATE(9076), 1,
      sym__fold_operator,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [73528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5461), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [73588] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(3246), 1,
      anon_sym_STAR,
    ACTIONS(3248), 1,
      anon_sym_AMP,
    ACTIONS(5441), 1,
      sym_identifier,
    ACTIONS(6631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6411), 1,
      sym__scope_resolution,
    STATE(7125), 1,
      sym__declarator,
    STATE(9424), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5683), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [73690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5107), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5107), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5107), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73870] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7536), 1,
      sym_identifier,
    STATE(3816), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5942), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5944), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5385), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5383), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73938] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5897), 1,
      sym_literal_suffix,
    STATE(3536), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3737), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3745), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4454), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4446), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5107), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5107), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6149), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6151), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6153), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6155), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74246] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5897), 1,
      sym_literal_suffix,
    STATE(3536), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3737), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3745), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5804), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5806), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5107), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74374] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(3246), 1,
      anon_sym_STAR,
    ACTIONS(3248), 1,
      anon_sym_AMP,
    ACTIONS(5441), 1,
      sym_identifier,
    ACTIONS(6631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6411), 1,
      sym__scope_resolution,
    STATE(7079), 1,
      sym__declarator,
    STATE(9424), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4733), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5683), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [74476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6343), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6345), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3879), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7538), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6032), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6034), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [74600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5869), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5867), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74660] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(5441), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_STAR,
    ACTIONS(7377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7379), 1,
      anon_sym_AMP,
    ACTIONS(7381), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(7276), 1,
      sym__declarator,
    STATE(8835), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4720), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5683), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [74762] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7540), 1,
      sym_identifier,
    ACTIONS(7542), 1,
      anon_sym_STAR,
    ACTIONS(7544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7546), 1,
      anon_sym_AMP,
    ACTIONS(7548), 1,
      anon_sym_COLON_COLON,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(7079), 1,
      sym__declarator,
    STATE(8664), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3856), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4667), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [74864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6205), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6207), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74924] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6787), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7049), 1,
      anon_sym_RPAREN,
    ACTIONS(7063), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7065), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7067), 1,
      anon_sym_PIPE,
    ACTIONS(7071), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_GT_EQ,
    ACTIONS(7081), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7083), 1,
      anon_sym_or,
    ACTIONS(7085), 1,
      anon_sym_and,
    ACTIONS(7087), 1,
      anon_sym_bitor,
    ACTIONS(7089), 1,
      anon_sym_bitand,
    ACTIONS(7093), 1,
      anon_sym_QMARK,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(7552), 1,
      anon_sym_EQ,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7059), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7069), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7079), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7073), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7075), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7021), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [75038] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7554), 1,
      sym_identifier,
    STATE(3816), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7557), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7560), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5358), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5356), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6858), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6860), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5691), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75226] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7573), 1,
      anon_sym_LBRACK,
    ACTIONS(7577), 1,
      anon_sym_DASH_GT,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7585), 1,
      anon_sym_requires,
    STATE(5464), 1,
      sym__function_attributes_start,
    STATE(5651), 1,
      sym_ref_qualifier,
    STATE(6560), 1,
      sym__function_attributes_end,
    STATE(6644), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4915), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5312), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6858), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6007), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7563), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [75332] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_COLON_COLON,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6809), 1,
      sym__declarator,
    STATE(8693), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3769), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [75434] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4478), 1,
      anon_sym_EQ,
    ACTIONS(4482), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4454), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4446), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6335), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6337), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75558] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7587), 1,
      anon_sym_STAR,
    ACTIONS(7589), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7591), 1,
      anon_sym_AMP,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(7058), 1,
      sym__declarator,
    STATE(8775), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3824), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [75660] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7587), 1,
      anon_sym_STAR,
    ACTIONS(7589), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7591), 1,
      anon_sym_AMP,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(7070), 1,
      sym__declarator,
    STATE(8775), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4672), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5683), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [75762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6161), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6163), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75822] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7593), 1,
      sym_identifier,
    STATE(3800), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5942), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5944), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5370), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5368), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5869), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5867), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75950] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(7595), 1,
      anon_sym___attribute__,
    ACTIONS(7597), 1,
      anon_sym_LBRACE,
    STATE(4611), 1,
      sym_field_declaration_list,
    STATE(4660), 1,
      sym_attribute_specifier,
    STATE(7707), 1,
      sym_virtual_specifier,
    STATE(8484), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5467), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5469), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6171), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6173), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76086] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(7502), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7504), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(7510), 1,
      anon_sym_AMP,
    ACTIONS(7520), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7522), 1,
      anon_sym_or,
    ACTIONS(7524), 1,
      anon_sym_and,
    ACTIONS(7526), 1,
      anon_sym_bitor,
    ACTIONS(7528), 1,
      anon_sym_bitand,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(6834), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7494), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7498), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7508), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7516), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7500), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7512), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7514), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6836), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [76190] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(7502), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7504), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(7510), 1,
      anon_sym_AMP,
    ACTIONS(7520), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7522), 1,
      anon_sym_or,
    ACTIONS(7524), 1,
      anon_sym_and,
    ACTIONS(7526), 1,
      anon_sym_bitor,
    ACTIONS(7528), 1,
      anon_sym_bitand,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(6846), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7494), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7498), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7508), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7516), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7500), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7512), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7514), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6848), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [76294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6175), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6177), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6183), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6185), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5160), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5165), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6876), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6878), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7329), 1,
      anon_sym_LT,
    STATE(1975), 1,
      sym_template_argument_list,
    ACTIONS(6372), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6374), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6187), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6189), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76660] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(5441), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_STAR,
    ACTIONS(7377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7379), 1,
      anon_sym_AMP,
    ACTIONS(7381), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(7270), 1,
      sym__declarator,
    STATE(8835), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3859), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4663), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [76762] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5170), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5874), 1,
      anon_sym_LBRACK,
    ACTIONS(5871), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4454), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4446), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76828] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3879), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7538), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6048), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6050), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [76892] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4478), 1,
      anon_sym_EQ,
    ACTIONS(5170), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5874), 1,
      anon_sym_LBRACK,
    ACTIONS(4482), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4454), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4446), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5747), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [77022] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7041), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7043), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7397), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7399), 1,
      anon_sym_COMMA,
    ACTIONS(7403), 1,
      anon_sym_DASH,
    ACTIONS(7405), 1,
      anon_sym_PLUS,
    ACTIONS(7407), 1,
      anon_sym_STAR,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7411), 1,
      anon_sym_PERCENT,
    ACTIONS(7413), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7419), 1,
      anon_sym_CARET,
    ACTIONS(7421), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7425), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7427), 1,
      anon_sym_GT,
    ACTIONS(7429), 1,
      anon_sym_GT_EQ,
    ACTIONS(7431), 1,
      anon_sym_LT_EQ,
    ACTIONS(7433), 1,
      anon_sym_LT,
    ACTIONS(7435), 1,
      anon_sym_LT_LT,
    ACTIONS(7437), 1,
      anon_sym_GT_GT,
    ACTIONS(7439), 1,
      anon_sym_EQ,
    ACTIONS(7441), 1,
      anon_sym_QMARK,
    ACTIONS(7443), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7445), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7447), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7449), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7451), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7453), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7455), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7457), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7459), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7461), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7463), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7465), 1,
      anon_sym_or,
    ACTIONS(7467), 1,
      anon_sym_and,
    ACTIONS(7469), 1,
      anon_sym_bitor,
    ACTIONS(7471), 1,
      anon_sym_xor,
    ACTIONS(7473), 1,
      anon_sym_bitand,
    ACTIONS(7475), 1,
      anon_sym_not_eq,
    ACTIONS(7599), 1,
      anon_sym_RPAREN,
    STATE(1605), 1,
      sym__binary_fold_operator,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    STATE(9076), 1,
      sym__fold_operator,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [77178] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7041), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7043), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7397), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7399), 1,
      anon_sym_COMMA,
    ACTIONS(7403), 1,
      anon_sym_DASH,
    ACTIONS(7405), 1,
      anon_sym_PLUS,
    ACTIONS(7407), 1,
      anon_sym_STAR,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7411), 1,
      anon_sym_PERCENT,
    ACTIONS(7413), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7419), 1,
      anon_sym_CARET,
    ACTIONS(7421), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7425), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7427), 1,
      anon_sym_GT,
    ACTIONS(7429), 1,
      anon_sym_GT_EQ,
    ACTIONS(7431), 1,
      anon_sym_LT_EQ,
    ACTIONS(7433), 1,
      anon_sym_LT,
    ACTIONS(7435), 1,
      anon_sym_LT_LT,
    ACTIONS(7437), 1,
      anon_sym_GT_GT,
    ACTIONS(7439), 1,
      anon_sym_EQ,
    ACTIONS(7441), 1,
      anon_sym_QMARK,
    ACTIONS(7443), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7445), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7447), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7449), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7451), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7453), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7455), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7457), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7459), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7461), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7463), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7465), 1,
      anon_sym_or,
    ACTIONS(7467), 1,
      anon_sym_and,
    ACTIONS(7469), 1,
      anon_sym_bitor,
    ACTIONS(7471), 1,
      anon_sym_xor,
    ACTIONS(7473), 1,
      anon_sym_bitand,
    ACTIONS(7475), 1,
      anon_sym_not_eq,
    ACTIONS(7601), 1,
      anon_sym_RPAREN,
    STATE(1605), 1,
      sym__binary_fold_operator,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    STATE(9076), 1,
      sym__fold_operator,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [77334] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7326), 1,
      anon_sym_LT,
    STATE(1973), 1,
      sym_template_argument_list,
    ACTIONS(6372), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6374), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77398] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(7496), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7502), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7504), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(7510), 1,
      anon_sym_AMP,
    ACTIONS(7518), 1,
      anon_sym_QMARK,
    ACTIONS(7520), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7522), 1,
      anon_sym_or,
    ACTIONS(7524), 1,
      anon_sym_and,
    ACTIONS(7526), 1,
      anon_sym_bitor,
    ACTIONS(7528), 1,
      anon_sym_bitand,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(6785), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7494), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7498), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7508), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7516), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7500), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7512), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7514), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6789), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [77506] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5170), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5874), 1,
      anon_sym_LBRACK,
    ACTIONS(5871), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4454), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4446), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77572] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6209), 1,
      sym_literal_suffix,
    ACTIONS(5804), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5806), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77634] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5170), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5874), 1,
      anon_sym_LBRACK,
    ACTIONS(4454), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4446), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6858), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6860), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77760] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5170), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5874), 1,
      anon_sym_LBRACK,
    ACTIONS(4454), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4446), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77826] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7041), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7043), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7397), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7399), 1,
      anon_sym_COMMA,
    ACTIONS(7403), 1,
      anon_sym_DASH,
    ACTIONS(7405), 1,
      anon_sym_PLUS,
    ACTIONS(7407), 1,
      anon_sym_STAR,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7411), 1,
      anon_sym_PERCENT,
    ACTIONS(7413), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7419), 1,
      anon_sym_CARET,
    ACTIONS(7421), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7425), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7427), 1,
      anon_sym_GT,
    ACTIONS(7429), 1,
      anon_sym_GT_EQ,
    ACTIONS(7431), 1,
      anon_sym_LT_EQ,
    ACTIONS(7433), 1,
      anon_sym_LT,
    ACTIONS(7435), 1,
      anon_sym_LT_LT,
    ACTIONS(7437), 1,
      anon_sym_GT_GT,
    ACTIONS(7439), 1,
      anon_sym_EQ,
    ACTIONS(7441), 1,
      anon_sym_QMARK,
    ACTIONS(7443), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7445), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7447), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7449), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7451), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7453), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7455), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7457), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7459), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7461), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7463), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7465), 1,
      anon_sym_or,
    ACTIONS(7467), 1,
      anon_sym_and,
    ACTIONS(7469), 1,
      anon_sym_bitor,
    ACTIONS(7471), 1,
      anon_sym_xor,
    ACTIONS(7473), 1,
      anon_sym_bitand,
    ACTIONS(7475), 1,
      anon_sym_not_eq,
    ACTIONS(7603), 1,
      anon_sym_RPAREN,
    STATE(1605), 1,
      sym__binary_fold_operator,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    STATE(9076), 1,
      sym__fold_operator,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [77982] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7494), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6323), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6325), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [78056] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6209), 1,
      sym_literal_suffix,
    ACTIONS(4454), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4446), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78118] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(7502), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7504), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(7510), 1,
      anon_sym_AMP,
    ACTIONS(7520), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7522), 1,
      anon_sym_or,
    ACTIONS(7524), 1,
      anon_sym_and,
    ACTIONS(7526), 1,
      anon_sym_bitor,
    ACTIONS(7528), 1,
      anon_sym_bitand,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(6823), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7494), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7498), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7508), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7516), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7500), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7512), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7514), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6825), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [78222] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7540), 1,
      sym_identifier,
    ACTIONS(7542), 1,
      anon_sym_STAR,
    ACTIONS(7544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7546), 1,
      anon_sym_AMP,
    ACTIONS(7548), 1,
      anon_sym_COLON_COLON,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(7125), 1,
      sym__declarator,
    STATE(8664), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5683), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [78324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6566), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6427), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6429), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78444] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(5441), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_STAR,
    ACTIONS(7377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7379), 1,
      anon_sym_AMP,
    ACTIONS(7381), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(7251), 1,
      sym__declarator,
    STATE(8835), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4722), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5683), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [78546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4119), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4121), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5785), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [78666] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7491), 1,
      anon_sym_LT,
    STATE(3733), 1,
      sym_template_argument_list,
    ACTIONS(6372), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6374), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78730] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7587), 1,
      anon_sym_STAR,
    ACTIONS(7589), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7591), 1,
      anon_sym_AMP,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(7020), 1,
      sym__declarator,
    STATE(8775), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3875), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [78832] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3879), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7538), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6121), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6123), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [78896] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(7496), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7502), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7504), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(7510), 1,
      anon_sym_AMP,
    ACTIONS(7518), 1,
      anon_sym_QMARK,
    ACTIONS(7520), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7522), 1,
      anon_sym_or,
    ACTIONS(7524), 1,
      anon_sym_and,
    ACTIONS(7526), 1,
      anon_sym_bitor,
    ACTIONS(7528), 1,
      anon_sym_bitand,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(6660), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7494), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7498), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7508), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7516), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7500), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7512), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7514), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6662), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [79004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3879), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7538), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6125), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6127), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [79068] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6917), 1,
      sym_auto,
    ACTIONS(6919), 1,
      anon_sym_decltype,
    STATE(4118), 1,
      sym_decltype_auto,
    ACTIONS(5612), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5614), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79134] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7540), 1,
      sym_identifier,
    ACTIONS(7542), 1,
      anon_sym_STAR,
    ACTIONS(7544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7546), 1,
      anon_sym_AMP,
    ACTIONS(7548), 1,
      anon_sym_COLON_COLON,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(7079), 1,
      sym__declarator,
    STATE(8664), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4667), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5683), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [79236] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3840), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7274), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5642), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5640), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [79300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6339), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6341), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6652), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6654), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6347), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6349), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79480] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7605), 1,
      sym_identifier,
    STATE(3907), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4503), 1,
      sym_primitive_type,
    ACTIONS(7610), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7608), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5557), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5555), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79550] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6427), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6429), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79612] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7587), 1,
      anon_sym_STAR,
    ACTIONS(7589), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7591), 1,
      anon_sym_AMP,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(7058), 1,
      sym__declarator,
    STATE(8775), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5683), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [79714] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(4233), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7614), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5970), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5972), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5775), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5777), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [79842] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2839), 1,
      anon_sym_LBRACE,
    ACTIONS(7616), 1,
      anon_sym_LPAREN2,
    STATE(3840), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4103), 1,
      sym_argument_list,
    STATE(4430), 1,
      sym_initializer_list,
    ACTIONS(7274), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5481), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5479), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [79914] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3879), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7619), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5376), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5374), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [79978] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7494), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6389), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6391), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [80052] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3866), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7622), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6062), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6064), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [80116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3864), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7624), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6052), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6054), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [80180] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7041), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7043), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7397), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7399), 1,
      anon_sym_COMMA,
    ACTIONS(7403), 1,
      anon_sym_DASH,
    ACTIONS(7405), 1,
      anon_sym_PLUS,
    ACTIONS(7407), 1,
      anon_sym_STAR,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7411), 1,
      anon_sym_PERCENT,
    ACTIONS(7413), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7419), 1,
      anon_sym_CARET,
    ACTIONS(7421), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7425), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7427), 1,
      anon_sym_GT,
    ACTIONS(7429), 1,
      anon_sym_GT_EQ,
    ACTIONS(7431), 1,
      anon_sym_LT_EQ,
    ACTIONS(7433), 1,
      anon_sym_LT,
    ACTIONS(7435), 1,
      anon_sym_LT_LT,
    ACTIONS(7437), 1,
      anon_sym_GT_GT,
    ACTIONS(7439), 1,
      anon_sym_EQ,
    ACTIONS(7441), 1,
      anon_sym_QMARK,
    ACTIONS(7443), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7445), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7447), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7449), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7451), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7453), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7455), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7457), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7459), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7461), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7463), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7465), 1,
      anon_sym_or,
    ACTIONS(7467), 1,
      anon_sym_and,
    ACTIONS(7469), 1,
      anon_sym_bitor,
    ACTIONS(7471), 1,
      anon_sym_xor,
    ACTIONS(7473), 1,
      anon_sym_bitand,
    ACTIONS(7475), 1,
      anon_sym_not_eq,
    ACTIONS(7626), 1,
      anon_sym_RPAREN,
    STATE(1605), 1,
      sym__binary_fold_operator,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    STATE(9076), 1,
      sym__fold_operator,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [80336] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7540), 1,
      sym_identifier,
    ACTIONS(7542), 1,
      anon_sym_STAR,
    ACTIONS(7544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7546), 1,
      anon_sym_AMP,
    ACTIONS(7548), 1,
      anon_sym_COLON_COLON,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(7132), 1,
      sym__declarator,
    STATE(8664), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3868), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4678), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [80438] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7573), 1,
      anon_sym_LBRACK,
    ACTIONS(7577), 1,
      anon_sym_DASH_GT,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7631), 1,
      anon_sym_requires,
    STATE(5459), 1,
      sym__function_attributes_start,
    STATE(5625), 1,
      sym_ref_qualifier,
    STATE(6567), 1,
      sym__function_attributes_end,
    STATE(6650), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4915), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5312), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6858), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6027), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7563), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [80544] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7634), 1,
      anon_sym_LT,
    STATE(3810), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4160), 1,
      sym_template_argument_list,
    ACTIONS(4472), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4452), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4444), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [80614] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7385), 1,
      anon_sym_STAR,
    ACTIONS(7387), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7389), 1,
      anon_sym_AMP,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6871), 1,
      sym__declarator,
    STATE(8927), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3888), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4703), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [80716] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7385), 1,
      anon_sym_STAR,
    ACTIONS(7387), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7389), 1,
      anon_sym_AMP,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6854), 1,
      sym__declarator,
    STATE(8927), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4709), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5683), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [80818] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7041), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7043), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7397), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7399), 1,
      anon_sym_COMMA,
    ACTIONS(7403), 1,
      anon_sym_DASH,
    ACTIONS(7405), 1,
      anon_sym_PLUS,
    ACTIONS(7407), 1,
      anon_sym_STAR,
    ACTIONS(7409), 1,
      anon_sym_SLASH,
    ACTIONS(7411), 1,
      anon_sym_PERCENT,
    ACTIONS(7413), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7417), 1,
      anon_sym_PIPE,
    ACTIONS(7419), 1,
      anon_sym_CARET,
    ACTIONS(7421), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7425), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7427), 1,
      anon_sym_GT,
    ACTIONS(7429), 1,
      anon_sym_GT_EQ,
    ACTIONS(7431), 1,
      anon_sym_LT_EQ,
    ACTIONS(7433), 1,
      anon_sym_LT,
    ACTIONS(7435), 1,
      anon_sym_LT_LT,
    ACTIONS(7437), 1,
      anon_sym_GT_GT,
    ACTIONS(7439), 1,
      anon_sym_EQ,
    ACTIONS(7441), 1,
      anon_sym_QMARK,
    ACTIONS(7443), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7445), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7447), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7449), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7451), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7453), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7455), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7457), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7459), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7461), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7463), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7465), 1,
      anon_sym_or,
    ACTIONS(7467), 1,
      anon_sym_and,
    ACTIONS(7469), 1,
      anon_sym_bitor,
    ACTIONS(7471), 1,
      anon_sym_xor,
    ACTIONS(7473), 1,
      anon_sym_bitand,
    ACTIONS(7475), 1,
      anon_sym_not_eq,
    ACTIONS(7636), 1,
      anon_sym_RPAREN,
    STATE(1605), 1,
      sym__binary_fold_operator,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    STATE(9076), 1,
      sym__fold_operator,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [80974] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 1,
      sym_literal_suffix,
    ACTIONS(4454), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4446), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81036] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7494), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7500), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [81112] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7494), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6353), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [81186] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(7504), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(7510), 1,
      anon_sym_AMP,
    ACTIONS(7520), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7524), 1,
      anon_sym_and,
    ACTIONS(7526), 1,
      anon_sym_bitor,
    ACTIONS(7528), 1,
      anon_sym_bitand,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7494), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7498), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7508), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7516), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6353), 3,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
    ACTIONS(7500), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7512), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7514), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [81286] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(7506), 1,
      anon_sym_PIPE,
    ACTIONS(7510), 1,
      anon_sym_AMP,
    ACTIONS(7520), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7526), 1,
      anon_sym_bitor,
    ACTIONS(7528), 1,
      anon_sym_bitand,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7494), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7498), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7508), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7516), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7500), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7512), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6353), 4,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7514), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [81382] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(7510), 1,
      anon_sym_AMP,
    ACTIONS(7520), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7528), 1,
      anon_sym_bitand,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7494), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7498), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7508), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7516), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7500), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7512), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7514), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 5,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6355), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [81474] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(7510), 1,
      anon_sym_AMP,
    ACTIONS(7520), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7528), 1,
      anon_sym_bitand,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7494), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7498), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7516), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7500), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7512), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7514), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [81564] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(7520), 1,
      anon_sym_LT_EQ_GT,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7494), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7498), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7516), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7500), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7512), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7514), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_GT2,
  [81650] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(7520), 1,
      anon_sym_LT_EQ_GT,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7494), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7498), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7516), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7500), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7514), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [81734] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(7520), 1,
      anon_sym_LT_EQ_GT,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7494), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7498), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7516), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7500), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [81816] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7494), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7498), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7500), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 14,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [81894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 1,
      sym_literal_suffix,
    ACTIONS(5804), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5806), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81956] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7494), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7498), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7516), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7500), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [82036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6183), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6185), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [82095] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5455), 1,
      anon_sym_virtual,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6868), 1,
      sym_auto,
    ACTIONS(6870), 1,
      anon_sym_decltype,
    ACTIONS(7638), 1,
      anon_sym_SEMI,
    STATE(3753), 1,
      sym_decltype_auto,
    ACTIONS(6894), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6892), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5445), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3471), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5443), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [82178] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6315), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6317), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [82239] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7634), 1,
      anon_sym_LT,
    STATE(4160), 1,
      sym_template_argument_list,
    ACTIONS(5112), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5105), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [82304] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3918), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5374), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7640), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5633), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5630), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5624), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82428] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5455), 1,
      anon_sym_virtual,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6868), 1,
      sym_auto,
    ACTIONS(6870), 1,
      anon_sym_decltype,
    ACTIONS(7643), 1,
      anon_sym_SEMI,
    STATE(3753), 1,
      sym_decltype_auto,
    ACTIONS(6894), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6892), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5445), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3471), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5443), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [82511] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7634), 1,
      anon_sym_LT,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    STATE(3810), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4654), 1,
      sym_template_argument_list,
    ACTIONS(4467), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4472), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4452), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(4444), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [82584] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7648), 1,
      anon_sym_LT,
    STATE(2408), 1,
      sym_template_argument_list,
    ACTIONS(6372), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6374), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [82647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5314), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5316), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5959), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4454), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4446), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5741), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5743), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5479), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5481), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82885] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7634), 1,
      anon_sym_LT,
    STATE(4160), 1,
      sym_template_argument_list,
    ACTIONS(4470), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5822), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [82950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5322), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5324), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83009] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3918), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7640), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5374), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5376), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83072] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5938), 1,
      anon_sym_EQ,
    ACTIONS(5940), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4454), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4446), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6570), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6572), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6670), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6672), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5290), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5292), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6240), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6242), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [83371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5286), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5288), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6617), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6619), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5751), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [83548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5869), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5867), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6205), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6207), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [83666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6149), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6151), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [83725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6542), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6335), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6337), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [83843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5306), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5308), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6427), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6429), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5479), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5481), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [84020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6153), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6155), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5415), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5417), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [84138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5425), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5427), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [84197] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6787), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6840), 1,
      anon_sym_EQ,
    ACTIONS(7655), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7657), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7659), 1,
      anon_sym_PIPE,
    ACTIONS(7663), 1,
      anon_sym_AMP,
    ACTIONS(7669), 1,
      anon_sym_GT_EQ,
    ACTIONS(7673), 1,
      anon_sym_QMARK,
    ACTIONS(7675), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7677), 1,
      anon_sym_or,
    ACTIONS(7679), 1,
      anon_sym_and,
    ACTIONS(7681), 1,
      anon_sym_bitor,
    ACTIONS(7683), 1,
      anon_sym_bitand,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7661), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7671), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7653), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7665), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7667), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6842), 14,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [84306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5294), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5296), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5753), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5755), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [84424] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7689), 1,
      sym_identifier,
    STATE(4050), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5190), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5192), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5370), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5368), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5302), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5304), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6347), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6349), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84609] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym___attribute__,
    ACTIONS(7704), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7707), 1,
      anon_sym___declspec,
    ACTIONS(7710), 1,
      anon_sym_virtual,
    ACTIONS(7713), 1,
      anon_sym_alignas,
    ACTIONS(7716), 1,
      anon_sym_explicit,
    ACTIONS(7693), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(7691), 7,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7698), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3944), 11,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      sym_explicit_function_specifier,
      sym__constructor_specifiers,
      aux_sym_operator_cast_definition_repeat1,
    ACTIONS(7695), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [84686] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5455), 1,
      anon_sym_virtual,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6868), 1,
      sym_auto,
    ACTIONS(6870), 1,
      anon_sym_decltype,
    ACTIONS(7719), 1,
      anon_sym_SEMI,
    STATE(3753), 1,
      sym_decltype_auto,
    ACTIONS(6894), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6892), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5445), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3471), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5443), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [84769] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6357), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6359), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [84840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5302), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5304), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6574), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6576), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84958] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6846), 1,
      anon_sym_EQ,
    ACTIONS(7655), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7657), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7659), 1,
      anon_sym_PIPE,
    ACTIONS(7663), 1,
      anon_sym_AMP,
    ACTIONS(7669), 1,
      anon_sym_GT_EQ,
    ACTIONS(7675), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7677), 1,
      anon_sym_or,
    ACTIONS(7679), 1,
      anon_sym_and,
    ACTIONS(7681), 1,
      anon_sym_bitor,
    ACTIONS(7683), 1,
      anon_sym_bitand,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7661), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7671), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7653), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7665), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7667), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6848), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [85063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2261), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2259), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6621), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6623), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5724), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [85240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2265), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(2263), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5730), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5732), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [85358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6589), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6591), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3026), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85476] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6785), 1,
      anon_sym_EQ,
    ACTIONS(6787), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7655), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7657), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7659), 1,
      anon_sym_PIPE,
    ACTIONS(7663), 1,
      anon_sym_AMP,
    ACTIONS(7669), 1,
      anon_sym_GT_EQ,
    ACTIONS(7673), 1,
      anon_sym_QMARK,
    ACTIONS(7675), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7677), 1,
      anon_sym_or,
    ACTIONS(7679), 1,
      anon_sym_and,
    ACTIONS(7681), 1,
      anon_sym_bitor,
    ACTIONS(7683), 1,
      anon_sym_bitand,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7661), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7671), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7653), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7665), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7667), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6789), 14,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [85585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5624), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [85644] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    STATE(3698), 1,
      sym_attribute_specifier,
    STATE(4528), 1,
      sym_field_declaration_list,
    STATE(7664), 1,
      sym_virtual_specifier,
    STATE(8386), 1,
      sym_base_class_clause,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5467), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5469), 38,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [85719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5759), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5761), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [85778] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5455), 1,
      anon_sym_virtual,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6868), 1,
      sym_auto,
    ACTIONS(6870), 1,
      anon_sym_decltype,
    ACTIONS(7721), 1,
      anon_sym_SEMI,
    STATE(3753), 1,
      sym_decltype_auto,
    ACTIONS(6894), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6892), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5445), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3471), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5443), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [85861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6504), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6506), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6339), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6341), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6534), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5298), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5300), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5682), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5684), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [86156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2265), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2263), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5624), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [86274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2261), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(2259), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6860), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6858), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [86392] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6823), 1,
      anon_sym_EQ,
    ACTIONS(7655), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7657), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7659), 1,
      anon_sym_PIPE,
    ACTIONS(7663), 1,
      anon_sym_AMP,
    ACTIONS(7669), 1,
      anon_sym_GT_EQ,
    ACTIONS(7675), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7677), 1,
      anon_sym_or,
    ACTIONS(7679), 1,
      anon_sym_and,
    ACTIONS(7681), 1,
      anon_sym_bitor,
    ACTIONS(7683), 1,
      anon_sym_bitand,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7661), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7671), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7653), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7665), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7667), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6825), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [86497] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6381), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6383), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [86570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5695), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [86629] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6385), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6387), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [86702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5294), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5296), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86761] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6827), 1,
      anon_sym_EQ,
    ACTIONS(7655), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7657), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7659), 1,
      anon_sym_PIPE,
    ACTIONS(7663), 1,
      anon_sym_AMP,
    ACTIONS(7669), 1,
      anon_sym_GT_EQ,
    ACTIONS(7675), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7677), 1,
      anon_sym_or,
    ACTIONS(7679), 1,
      anon_sym_and,
    ACTIONS(7681), 1,
      anon_sym_bitor,
    ACTIONS(7683), 1,
      anon_sym_bitand,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7661), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7671), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7653), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7665), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7667), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6829), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [86866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5763), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5765), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [86925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5767), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5769), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [86984] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4024), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5479), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7723), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5481), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [87047] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7725), 1,
      anon_sym_LT,
    STATE(2405), 1,
      sym_template_argument_list,
    STATE(2652), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5172), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4444), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4452), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [87116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6530), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5720), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [87234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5107), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87293] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2839), 1,
      anon_sym_LBRACE,
    ACTIONS(6913), 1,
      anon_sym_LPAREN2,
    STATE(4482), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6225), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6227), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87358] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6437), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6439), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [87429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5779), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5781), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [87488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5726), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5728), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [87547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5737), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5739), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [87606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5290), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5292), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5318), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5320), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5107), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87783] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7329), 1,
      anon_sym_LT,
    STATE(1982), 1,
      sym_template_argument_list,
    ACTIONS(6372), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6374), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87846] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5455), 1,
      anon_sym_virtual,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6868), 1,
      sym_auto,
    ACTIONS(6870), 1,
      anon_sym_decltype,
    ACTIONS(7727), 1,
      anon_sym_SEMI,
    STATE(3753), 1,
      sym_decltype_auto,
    ACTIONS(6894), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6892), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5445), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3471), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5443), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [87929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4119), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4121), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87988] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7634), 1,
      anon_sym_LT,
    ACTIONS(7731), 1,
      anon_sym_EQ,
    STATE(3810), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4160), 1,
      sym_template_argument_list,
    ACTIONS(7729), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4472), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4452), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4444), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [88061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5427), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5425), 48,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [88120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6613), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6615), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5431), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5429), 48,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [88238] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5455), 1,
      anon_sym_virtual,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6868), 1,
      sym_auto,
    ACTIONS(6870), 1,
      anon_sym_decltype,
    ACTIONS(7733), 1,
      anon_sym_SEMI,
    STATE(3753), 1,
      sym_decltype_auto,
    ACTIONS(6894), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6892), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5445), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3471), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5443), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [88321] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2839), 1,
      anon_sym_LBRACE,
    ACTIONS(6913), 1,
      anon_sym_LPAREN2,
    STATE(4500), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6145), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6147), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5406), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [88445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4024), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5640), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7723), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5642), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [88508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6652), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6654), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88567] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3840), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7274), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5481), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5479), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [88630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5107), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5684), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5682), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [88748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6666), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88807] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5455), 1,
      anon_sym_virtual,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6868), 1,
      sym_auto,
    ACTIONS(6870), 1,
      anon_sym_decltype,
    ACTIONS(7735), 1,
      anon_sym_SEMI,
    STATE(3753), 1,
      sym_decltype_auto,
    ACTIONS(6894), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6892), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5445), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3471), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5443), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [88890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5107), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88949] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2968), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6034), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7737), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6032), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [89012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7739), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6427), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6429), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6395), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6397), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89132] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6834), 1,
      anon_sym_EQ,
    ACTIONS(7655), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7657), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7659), 1,
      anon_sym_PIPE,
    ACTIONS(7663), 1,
      anon_sym_AMP,
    ACTIONS(7669), 1,
      anon_sym_GT_EQ,
    ACTIONS(7675), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7677), 1,
      anon_sym_or,
    ACTIONS(7679), 1,
      anon_sym_and,
    ACTIONS(7681), 1,
      anon_sym_bitor,
    ACTIONS(7683), 1,
      anon_sym_bitand,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7661), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7671), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7653), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7665), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7667), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6836), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [89237] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6323), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6325), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [89310] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6660), 1,
      anon_sym_EQ,
    ACTIONS(6787), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7655), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7657), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7659), 1,
      anon_sym_PIPE,
    ACTIONS(7663), 1,
      anon_sym_AMP,
    ACTIONS(7669), 1,
      anon_sym_GT_EQ,
    ACTIONS(7673), 1,
      anon_sym_QMARK,
    ACTIONS(7675), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7677), 1,
      anon_sym_or,
    ACTIONS(7679), 1,
      anon_sym_and,
    ACTIONS(7681), 1,
      anon_sym_bitor,
    ACTIONS(7683), 1,
      anon_sym_bitand,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7661), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7671), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7653), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7665), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7667), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6662), 14,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [89419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5280), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89478] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7653), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [89553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6662), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2968), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6123), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7737), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6121), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [89675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5280), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89734] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6389), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6391), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [89807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6454), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6448), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6450), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89925] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2968), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6050), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7737), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6048), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [89988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6609), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6611), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6500), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6502), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6456), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6458), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90165] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2968), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6127), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7737), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6125), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [90228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5280), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6536), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6538), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6550), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6411), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6560), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6562), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90523] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5455), 1,
      anon_sym_virtual,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6868), 1,
      sym_auto,
    ACTIONS(6870), 1,
      anon_sym_decltype,
    ACTIONS(7741), 1,
      anon_sym_SEMI,
    STATE(3753), 1,
      sym_decltype_auto,
    ACTIONS(6894), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6892), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5445), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3471), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5443), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [90606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5107), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5282), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5284), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5274), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5276), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5310), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5312), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90842] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2839), 1,
      anon_sym_LBRACE,
    ACTIONS(6913), 1,
      anon_sym_LPAREN2,
    STATE(4499), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6157), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6159), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5691), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6635), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6637), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6639), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6641), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6643), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6645), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6647), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5431), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [91261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5107), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6198), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6200), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4115), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4117), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6658), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91497] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7743), 1,
      sym_identifier,
    STATE(4059), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5190), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5192), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5385), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5383), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6269), 1,
      sym_literal_suffix,
    ACTIONS(4446), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4454), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [91625] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6353), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [91698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6878), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6876), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [91757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5712), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [91816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5310), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5312), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91875] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6269), 1,
      sym_literal_suffix,
    ACTIONS(5806), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5804), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [91936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5298), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5300), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5678), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5680), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [92054] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7745), 1,
      sym_identifier,
    STATE(4059), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7748), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7751), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5358), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5356), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6510), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5716), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [92239] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7657), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7659), 1,
      anon_sym_PIPE,
    ACTIONS(7663), 1,
      anon_sym_AMP,
    ACTIONS(7669), 1,
      anon_sym_GT_EQ,
    ACTIONS(7675), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7679), 1,
      anon_sym_and,
    ACTIONS(7681), 1,
      anon_sym_bitor,
    ACTIONS(7683), 1,
      anon_sym_bitand,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6353), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7661), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7671), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7653), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7665), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7667), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [92340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6556), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6558), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6554), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92458] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4019), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6054), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7754), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6052), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [92521] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7573), 1,
      anon_sym_LBRACK,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7758), 1,
      anon_sym___attribute__,
    ACTIONS(7761), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(7766), 1,
      anon_sym_DASH_GT,
    ACTIONS(7768), 1,
      anon_sym_requires,
    STATE(5556), 1,
      sym__function_attributes_start,
    STATE(5754), 1,
      sym_ref_qualifier,
    STATE(6478), 1,
      sym__function_attributes_end,
    STATE(6547), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5073), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5515), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6600), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6045), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7563), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [92626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4028), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6064), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7770), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6062), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [92689] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7659), 1,
      anon_sym_PIPE,
    ACTIONS(7663), 1,
      anon_sym_AMP,
    ACTIONS(7669), 1,
      anon_sym_GT_EQ,
    ACTIONS(7675), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7681), 1,
      anon_sym_bitor,
    ACTIONS(7683), 1,
      anon_sym_bitand,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7661), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7671), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6353), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7653), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7665), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7667), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [92786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6518), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92845] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7663), 1,
      anon_sym_AMP,
    ACTIONS(7669), 1,
      anon_sym_GT_EQ,
    ACTIONS(7675), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7683), 1,
      anon_sym_bitand,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7661), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7671), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7653), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7665), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7667), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6355), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [92938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5280), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [92997] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7663), 1,
      anon_sym_AMP,
    ACTIONS(7669), 1,
      anon_sym_GT_EQ,
    ACTIONS(7675), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7683), 1,
      anon_sym_bitand,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7671), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7653), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7665), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7667), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [93088] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7772), 1,
      anon_sym_LT,
    STATE(2405), 1,
      sym_template_argument_list,
    STATE(4233), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7614), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4444), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4452), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6476), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6478), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6474), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6605), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6607), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6627), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6462), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6464), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6466), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5660), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [93570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5318), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5320), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5282), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5284), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6593), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6595), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93747] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7774), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7776), 1,
      anon_sym_and,
    ACTIONS(5990), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5992), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5668), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [93869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5274), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5276), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6161), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6163), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5664), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [94046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5660), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [94105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6585), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6587), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94164] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7669), 1,
      anon_sym_GT_EQ,
    ACTIONS(7675), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7671), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7653), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7665), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7667), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [94251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5648), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5650), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [94310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6480), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6482), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5644), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5646), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [94428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4027), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4023), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94487] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(2652), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5172), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5970), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5972), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [94554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5280), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94613] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7648), 1,
      anon_sym_LT,
    STATE(3834), 1,
      sym_template_argument_list,
    ACTIONS(6372), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6374), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6343), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6345), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94735] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5455), 1,
      anon_sym_virtual,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6868), 1,
      sym_auto,
    ACTIONS(6870), 1,
      anon_sym_decltype,
    ACTIONS(7778), 1,
      anon_sym_SEMI,
    STATE(3753), 1,
      sym_decltype_auto,
    ACTIONS(6894), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6892), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5445), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3471), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5443), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [94818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5636), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5638), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [94877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6488), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6585), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6587), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6601), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6603), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6597), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6599), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5628), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [95172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6407), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6407), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6407), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6415), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95408] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7774), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7776), 1,
      anon_sym_and,
    ACTIONS(7780), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7782), 1,
      anon_sym_or,
    ACTIONS(6103), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6105), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6171), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6173), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6175), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6177), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6187), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6189), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5322), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5324), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95711] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2839), 1,
      anon_sym_LBRACE,
    ACTIONS(6913), 1,
      anon_sym_LPAREN2,
    STATE(4479), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6167), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6169), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6581), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6583), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5676), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [95894] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7671), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7653), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [95973] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7669), 1,
      anon_sym_GT_EQ,
    ACTIONS(7675), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7671), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7653), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7667), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [96058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5286), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5288), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5314), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5316), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5306), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5308), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5699), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5701), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [96294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5708), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [96353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6566), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96412] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7573), 1,
      anon_sym_LBRACK,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7758), 1,
      anon_sym___attribute__,
    ACTIONS(7761), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(7766), 1,
      anon_sym_DASH_GT,
    ACTIONS(7787), 1,
      anon_sym_requires,
    STATE(5517), 1,
      sym__function_attributes_start,
    STATE(5720), 1,
      sym_ref_qualifier,
    STATE(6440), 1,
      sym__function_attributes_end,
    STATE(6528), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7784), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5073), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5515), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6600), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6039), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7563), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [96517] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7675), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7671), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7653), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [96598] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6329), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7651), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7653), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6355), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [96675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6435), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5280), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96793] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7790), 1,
      anon_sym_LT,
    STATE(2405), 1,
      sym_template_argument_list,
    ACTIONS(5105), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5112), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6456), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6458), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5431), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [96973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5425), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5427), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [97031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5160), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5165), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6510), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97149] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 1,
      sym_literal_suffix,
    STATE(3826), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5942), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5944), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5804), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5806), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6454), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6609), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6611), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6500), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6502), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97389] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 1,
      sym_literal_suffix,
    STATE(3826), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5942), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5944), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4454), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4446), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6536), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6538), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6550), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5186), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(5188), 12,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4446), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4454), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [97633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6635), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97691] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(2014), 1,
      sym_template_argument_list,
    ACTIONS(5822), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4470), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [97755] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4187), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7793), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6127), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6125), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6637), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6639), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97875] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6389), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6391), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [97947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6621), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6623), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6662), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98063] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7573), 1,
      anon_sym_LBRACK,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7795), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(7800), 1,
      anon_sym_requires,
    STATE(5605), 1,
      sym__function_attributes_start,
    STATE(5780), 1,
      sym_ref_qualifier,
    STATE(6517), 1,
      sym_trailing_return_type,
    STATE(6613), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7784), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4915), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5312), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6600), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6060), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7563), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [98167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6435), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6652), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6654), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98283] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4187), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7793), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6123), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6121), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98345] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7463), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7811), 1,
      anon_sym_GT_EQ,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7813), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7807), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7809), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6355), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [98431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5869), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5867), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98489] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7573), 1,
      anon_sym_LBRACK,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7795), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(7815), 1,
      anon_sym_requires,
    STATE(5616), 1,
      sym__function_attributes_start,
    STATE(5766), 1,
      sym_ref_qualifier,
    STATE(6494), 1,
      sym_trailing_return_type,
    STATE(6612), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4915), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5312), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6600), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6064), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7563), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [98593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5153), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [98651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5406), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [98709] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7573), 1,
      anon_sym_LBRACK,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7761), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7822), 1,
      anon_sym_DASH_GT,
    STATE(5578), 1,
      sym__function_attributes_start,
    STATE(5761), 1,
      sym_ref_qualifier,
    STATE(6496), 1,
      sym__function_attributes_end,
    STATE(6547), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7819), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5073), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5515), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6600), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6070), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7563), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [98813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6448), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6450), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98871] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4226), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7824), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5640), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5642), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98933] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(7826), 1,
      anon_sym___attribute__,
    ACTIONS(7828), 1,
      anon_sym_LBRACE,
    STATE(4682), 1,
      sym_field_declaration_list,
    STATE(4793), 1,
      sym_attribute_specifier,
    STATE(7673), 1,
      sym_virtual_specifier,
    STATE(8412), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5467), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5469), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6504), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6506), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5415), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5417), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [99123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6574), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6576), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6542), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5107), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5280), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6407), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5280), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6407), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6476), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6478), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6474), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99645] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7830), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7834), 1,
      anon_sym_or,
    ACTIONS(7836), 1,
      anon_sym_and,
    ACTIONS(6103), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6105), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99711] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7813), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6355), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [99789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5290), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5292), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6641), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6643), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6645), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6647), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6407), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6395), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6397), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100079] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6915), 1,
      anon_sym_LBRACK,
    STATE(4338), 1,
      sym_new_declarator,
    ACTIONS(6281), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6283), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6411), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6658), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4187), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7838), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5374), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5376), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100319] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7573), 1,
      anon_sym_LBRACK,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7761), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(7787), 1,
      anon_sym_requires,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    STATE(5600), 1,
      sym__function_attributes_start,
    STATE(5773), 1,
      sym_ref_qualifier,
    STATE(6528), 1,
      sym_trailing_return_type,
    STATE(6593), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7784), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5073), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5515), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6600), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6076), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7563), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [100423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5310), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5312), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100481] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6840), 1,
      anon_sym_EQ,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7397), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7441), 1,
      anon_sym_QMARK,
    ACTIONS(7463), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7811), 1,
      anon_sym_GT_EQ,
    ACTIONS(7847), 1,
      anon_sym_PIPE,
    ACTIONS(7849), 1,
      anon_sym_CARET,
    ACTIONS(7851), 1,
      anon_sym_AMP,
    ACTIONS(7853), 1,
      anon_sym_bitor,
    ACTIONS(7855), 1,
      anon_sym_xor,
    ACTIONS(7857), 1,
      anon_sym_bitand,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7813), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7843), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7845), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7807), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7809), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6842), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [100587] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6357), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6359), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [100657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5280), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100715] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(4462), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7859), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5970), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5972), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6518), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100839] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 9,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6355), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [100915] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7772), 1,
      anon_sym_LT,
    STATE(2405), 1,
      sym_template_argument_list,
    ACTIONS(5822), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4470), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7269), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7267), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [101037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2265), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2263), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101095] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7463), 1,
      anon_sym_LT_EQ_GT,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7813), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6355), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [101175] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7573), 1,
      anon_sym_LBRACK,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7795), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7800), 1,
      anon_sym_requires,
    ACTIONS(7861), 1,
      anon_sym_DASH_GT,
    STATE(5615), 1,
      sym__function_attributes_start,
    STATE(5763), 1,
      sym_ref_qualifier,
    STATE(6517), 1,
      sym_trailing_return_type,
    STATE(6552), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7784), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7819), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4915), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5312), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6600), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6052), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7563), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [101279] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6827), 1,
      anon_sym_EQ,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7463), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7811), 1,
      anon_sym_GT_EQ,
    ACTIONS(7847), 1,
      anon_sym_PIPE,
    ACTIONS(7849), 1,
      anon_sym_CARET,
    ACTIONS(7851), 1,
      anon_sym_AMP,
    ACTIONS(7853), 1,
      anon_sym_bitor,
    ACTIONS(7855), 1,
      anon_sym_xor,
    ACTIONS(7857), 1,
      anon_sym_bitand,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7813), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7843), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7845), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7807), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7809), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6829), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [101381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6462), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6627), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101497] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6834), 1,
      anon_sym_EQ,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7463), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7811), 1,
      anon_sym_GT_EQ,
    ACTIONS(7847), 1,
      anon_sym_PIPE,
    ACTIONS(7849), 1,
      anon_sym_CARET,
    ACTIONS(7851), 1,
      anon_sym_AMP,
    ACTIONS(7853), 1,
      anon_sym_bitor,
    ACTIONS(7855), 1,
      anon_sym_xor,
    ACTIONS(7857), 1,
      anon_sym_bitand,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7813), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7843), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7845), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7807), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7809), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6836), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [101599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5107), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2261), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2259), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101715] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7463), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7811), 1,
      anon_sym_GT_EQ,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7813), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7809), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6355), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [101799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5294), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5296), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5306), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5308), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5302), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5304), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101973] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    ACTIONS(7865), 1,
      anon_sym_COLON,
    STATE(3675), 1,
      sym_attribute_specifier,
    STATE(4300), 1,
      sym__enum_base_clause,
    STATE(4524), 1,
      sym_enumerator_list,
    ACTIONS(6265), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6263), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [102043] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6381), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6383), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [102115] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4148), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7867), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6064), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6062), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6589), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6591), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102235] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6823), 1,
      anon_sym_EQ,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7463), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7811), 1,
      anon_sym_GT_EQ,
    ACTIONS(7847), 1,
      anon_sym_PIPE,
    ACTIONS(7849), 1,
      anon_sym_CARET,
    ACTIONS(7851), 1,
      anon_sym_AMP,
    ACTIONS(7853), 1,
      anon_sym_bitor,
    ACTIONS(7855), 1,
      anon_sym_xor,
    ACTIONS(7857), 1,
      anon_sym_bitand,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7813), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7843), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7845), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7807), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7809), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6825), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [102337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6566), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5286), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5288), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6581), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6583), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102511] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4156), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7869), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6054), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6052), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102573] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    ACTIONS(7865), 1,
      anon_sym_COLON,
    STATE(3599), 1,
      sym_attribute_specifier,
    STATE(4355), 1,
      sym__enum_base_clause,
    STATE(4588), 1,
      sym_enumerator_list,
    ACTIONS(6275), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6273), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [102643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6605), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6607), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6593), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6595), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102759] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(2014), 1,
      sym_template_argument_list,
    ACTIONS(5105), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5112), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [102823] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7873), 1,
      anon_sym_RPAREN,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(7850), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [102927] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5905), 1,
      anon_sym_EQ,
    ACTIONS(5907), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4454), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4446), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102989] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4187), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7793), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6050), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6048), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7369), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7367), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [103109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6585), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6587), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103167] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6846), 1,
      anon_sym_EQ,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7463), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7811), 1,
      anon_sym_GT_EQ,
    ACTIONS(7847), 1,
      anon_sym_PIPE,
    ACTIONS(7849), 1,
      anon_sym_CARET,
    ACTIONS(7851), 1,
      anon_sym_AMP,
    ACTIONS(7853), 1,
      anon_sym_bitor,
    ACTIONS(7855), 1,
      anon_sym_xor,
    ACTIONS(7857), 1,
      anon_sym_bitand,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7813), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7843), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7845), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7807), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7809), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6848), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [103269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5274), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5276), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6613), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6615), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103385] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7463), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7811), 1,
      anon_sym_GT_EQ,
    ACTIONS(7851), 1,
      anon_sym_AMP,
    ACTIONS(7857), 1,
      anon_sym_bitand,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7813), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6353), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(7805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7807), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7809), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_DASH_GT_STAR,
  [103475] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4187), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7793), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6034), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6032), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5318), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5320), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6427), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6429), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6601), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6603), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6597), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6599), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103769] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7463), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7811), 1,
      anon_sym_GT_EQ,
    ACTIONS(7849), 1,
      anon_sym_CARET,
    ACTIONS(7851), 1,
      anon_sym_AMP,
    ACTIONS(7855), 1,
      anon_sym_xor,
    ACTIONS(7857), 1,
      anon_sym_bitand,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(6353), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7813), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7807), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7809), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [103863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6534), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103921] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7634), 1,
      anon_sym_LT,
    ACTIONS(7731), 1,
      anon_sym_EQ,
    STATE(4160), 1,
      sym_template_argument_list,
    ACTIONS(7729), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4470), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5822), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [103989] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6385), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6387), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [104061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6570), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6572), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104119] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_EQ,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7397), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7441), 1,
      anon_sym_QMARK,
    ACTIONS(7463), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7811), 1,
      anon_sym_GT_EQ,
    ACTIONS(7847), 1,
      anon_sym_PIPE,
    ACTIONS(7849), 1,
      anon_sym_CARET,
    ACTIONS(7851), 1,
      anon_sym_AMP,
    ACTIONS(7853), 1,
      anon_sym_bitor,
    ACTIONS(7855), 1,
      anon_sym_xor,
    ACTIONS(7857), 1,
      anon_sym_bitand,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7813), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7843), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7845), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7807), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7809), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6662), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [104225] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6353), 1,
      anon_sym_EQ,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7463), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7811), 1,
      anon_sym_GT_EQ,
    ACTIONS(7847), 1,
      anon_sym_PIPE,
    ACTIONS(7849), 1,
      anon_sym_CARET,
    ACTIONS(7851), 1,
      anon_sym_AMP,
    ACTIONS(7853), 1,
      anon_sym_bitor,
    ACTIONS(7855), 1,
      anon_sym_xor,
    ACTIONS(7857), 1,
      anon_sym_bitand,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7813), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7807), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7809), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DASH_GT_STAR,
  [104323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5314), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5316), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6585), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6587), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6666), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6668), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104497] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7836), 1,
      anon_sym_and,
    ACTIONS(5990), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5992), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5107), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104617] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6353), 1,
      anon_sym_EQ,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7463), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7811), 1,
      anon_sym_GT_EQ,
    ACTIONS(7847), 1,
      anon_sym_PIPE,
    ACTIONS(7849), 1,
      anon_sym_CARET,
    ACTIONS(7851), 1,
      anon_sym_AMP,
    ACTIONS(7853), 1,
      anon_sym_bitor,
    ACTIONS(7855), 1,
      anon_sym_xor,
    ACTIONS(7857), 1,
      anon_sym_bitand,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7813), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7845), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7807), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7809), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_DASH_GT_STAR,
  [104717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5107), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5107), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6530), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6554), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104949] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6353), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6355), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [105021] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6353), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6355), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [105095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5107), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5298), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5300), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105211] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6437), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6439), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [105281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6415), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6480), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6482), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4027), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4023), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105455] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7573), 1,
      anon_sym_LBRACK,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7795), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(7861), 1,
      anon_sym_DASH_GT,
    STATE(5607), 1,
      sym__function_attributes_start,
    STATE(5787), 1,
      sym_ref_qualifier,
    STATE(6494), 1,
      sym_trailing_return_type,
    STATE(6540), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7819), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4915), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5312), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6600), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6066), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7563), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [105559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6488), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105617] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7573), 1,
      anon_sym_LBRACK,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7761), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(7787), 1,
      anon_sym_requires,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7822), 1,
      anon_sym_DASH_GT,
    STATE(5597), 1,
      sym__function_attributes_start,
    STATE(5777), 1,
      sym_ref_qualifier,
    STATE(6426), 1,
      sym__function_attributes_end,
    STATE(6528), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7784), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7819), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5073), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5515), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6600), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6053), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7563), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [105721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6670), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6672), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3026), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6560), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6562), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6556), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6558), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105953] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7573), 1,
      anon_sym_LBRACK,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7761), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      sym__function_attributes_start,
    STATE(5789), 1,
      sym_ref_qualifier,
    STATE(6547), 1,
      sym_trailing_return_type,
    STATE(6599), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5073), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5515), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6600), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6067), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7563), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [106057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5282), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5284), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106115] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    ACTIONS(6785), 1,
      anon_sym_EQ,
    ACTIONS(6995), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7397), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7441), 1,
      anon_sym_QMARK,
    ACTIONS(7463), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7811), 1,
      anon_sym_GT_EQ,
    ACTIONS(7847), 1,
      anon_sym_PIPE,
    ACTIONS(7849), 1,
      anon_sym_CARET,
    ACTIONS(7851), 1,
      anon_sym_AMP,
    ACTIONS(7853), 1,
      anon_sym_bitor,
    ACTIONS(7855), 1,
      anon_sym_xor,
    ACTIONS(7857), 1,
      anon_sym_bitand,
    STATE(4083), 1,
      sym_subscript_argument_list,
    STATE(4090), 1,
      sym_argument_list,
    ACTIONS(7039), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7477), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7813), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7843), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7845), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7807), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7809), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6789), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [106221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5322), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5324), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6617), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6619), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6464), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6466), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106395] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5727), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9110), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4519), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [106496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5149), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5151), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106553] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7877), 1,
      anon_sym_SEMI,
    STATE(3698), 1,
      sym_attribute_specifier,
    STATE(4540), 1,
      sym_field_declaration_list,
    STATE(7713), 1,
      sym_virtual_specifier,
    STATE(8499), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5469), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5467), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [106628] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9206), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [106729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5141), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5143), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106786] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(7879), 1,
      sym_identifier,
    ACTIONS(7881), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7887), 1,
      anon_sym_enum,
    ACTIONS(7889), 1,
      anon_sym_class,
    ACTIONS(7891), 1,
      anon_sym_struct,
    ACTIONS(7893), 1,
      anon_sym_union,
    ACTIONS(7895), 1,
      sym_auto,
    ACTIONS(7897), 1,
      anon_sym_decltype,
    ACTIONS(7899), 1,
      anon_sym_typename,
    STATE(4866), 1,
      sym__type_specifier,
    STATE(4912), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5558), 1,
      sym_primitive_type,
    STATE(5806), 1,
      sym_qualified_type_identifier,
    STATE(5819), 1,
      sym_decltype_auto,
    STATE(6803), 1,
      sym_type_descriptor,
    STATE(7218), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(4436), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5786), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7885), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7883), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5820), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [106887] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(7901), 1,
      sym_identifier,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7907), 1,
      anon_sym_enum,
    ACTIONS(7909), 1,
      anon_sym_class,
    ACTIONS(7911), 1,
      anon_sym_struct,
    ACTIONS(7913), 1,
      anon_sym_union,
    ACTIONS(7915), 1,
      anon_sym_typename,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(5848), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5928), 1,
      sym__type_specifier,
    STATE(6036), 1,
      sym_primitive_type,
    STATE(6399), 1,
      sym__type_definition_type,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4483), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7905), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [106988] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(8844), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [107089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5127), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107146] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7917), 1,
      anon_sym_SEMI,
    STATE(3698), 1,
      sym_attribute_specifier,
    STATE(4540), 1,
      sym_field_declaration_list,
    STATE(7713), 1,
      sym_virtual_specifier,
    STATE(8499), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5469), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5467), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [107221] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9211), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [107322] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5227), 1,
      sym__type_specifier,
    STATE(6803), 1,
      sym_type_descriptor,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4486), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [107423] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9089), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [107524] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7573), 1,
      anon_sym_LBRACK,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7919), 1,
      anon_sym_DASH_GT,
    ACTIONS(7921), 1,
      anon_sym_requires,
    STATE(5657), 1,
      sym__function_attributes_start,
    STATE(5799), 1,
      sym_ref_qualifier,
    STATE(6695), 1,
      sym__function_attributes_end,
    STATE(6807), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4915), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5312), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6858), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6095), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7563), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [107627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5137), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5139), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107684] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(8633), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [107785] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7923), 1,
      anon_sym_SEMI,
    STATE(3698), 1,
      sym_attribute_specifier,
    STATE(4540), 1,
      sym_field_declaration_list,
    STATE(7713), 1,
      sym_virtual_specifier,
    STATE(8499), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5469), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5467), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [107860] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(9370), 1,
      sym_type_descriptor,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [107961] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7925), 1,
      anon_sym_LT,
    STATE(4462), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4583), 1,
      sym_template_argument_list,
    ACTIONS(7859), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4444), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4452), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108028] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(7901), 1,
      sym_identifier,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7907), 1,
      anon_sym_enum,
    ACTIONS(7909), 1,
      anon_sym_class,
    ACTIONS(7911), 1,
      anon_sym_struct,
    ACTIONS(7913), 1,
      anon_sym_union,
    ACTIONS(7915), 1,
      anon_sym_typename,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(5848), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5928), 1,
      sym__type_specifier,
    STATE(6036), 1,
      sym_primitive_type,
    STATE(6397), 1,
      sym__type_definition_type,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4483), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7905), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [108129] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(7901), 1,
      sym_identifier,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7907), 1,
      anon_sym_enum,
    ACTIONS(7909), 1,
      anon_sym_class,
    ACTIONS(7911), 1,
      anon_sym_struct,
    ACTIONS(7913), 1,
      anon_sym_union,
    ACTIONS(7915), 1,
      anon_sym_typename,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(5848), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5928), 1,
      sym__type_specifier,
    STATE(6036), 1,
      sym_primitive_type,
    STATE(6392), 1,
      sym__type_definition_type,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4483), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7905), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [108230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5135), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108287] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2972), 1,
      anon_sym_enum,
    ACTIONS(2974), 1,
      anon_sym_class,
    ACTIONS(2976), 1,
      anon_sym_struct,
    ACTIONS(2978), 1,
      anon_sym_union,
    ACTIONS(3004), 1,
      sym_auto,
    ACTIONS(3006), 1,
      anon_sym_decltype,
    ACTIONS(3008), 1,
      anon_sym_typename,
    ACTIONS(7927), 1,
      sym_identifier,
    ACTIONS(7929), 1,
      anon_sym_COLON_COLON,
    STATE(2459), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2996), 1,
      sym_primitive_type,
    STATE(3308), 1,
      sym_decltype_auto,
    STATE(3328), 1,
      sym_qualified_type_identifier,
    STATE(5337), 1,
      sym__type_specifier,
    STATE(6803), 1,
      sym_type_descriptor,
    STATE(7205), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3258), 2,
      sym_decltype,
      sym_template_type,
    STATE(4465), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2970), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2968), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3307), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [108388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5160), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5165), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108447] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    STATE(3637), 1,
      sym_attribute_specifier,
    STATE(4563), 1,
      sym_enumerator_list,
    ACTIONS(5930), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5928), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [108512] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(7901), 1,
      sym_identifier,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7907), 1,
      anon_sym_enum,
    ACTIONS(7909), 1,
      anon_sym_class,
    ACTIONS(7911), 1,
      anon_sym_struct,
    ACTIONS(7913), 1,
      anon_sym_union,
    ACTIONS(7915), 1,
      anon_sym_typename,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(5848), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5928), 1,
      sym__type_specifier,
    STATE(6036), 1,
      sym_primitive_type,
    STATE(6388), 1,
      sym__type_definition_type,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4483), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7905), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [108613] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(7901), 1,
      sym_identifier,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7907), 1,
      anon_sym_enum,
    ACTIONS(7909), 1,
      anon_sym_class,
    ACTIONS(7911), 1,
      anon_sym_struct,
    ACTIONS(7913), 1,
      anon_sym_union,
    ACTIONS(7915), 1,
      anon_sym_typename,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(5848), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5928), 1,
      sym__type_specifier,
    STATE(6036), 1,
      sym_primitive_type,
    STATE(6401), 1,
      sym__type_definition_type,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4483), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7905), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [108714] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(8678), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [108815] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(7931), 1,
      sym_identifier,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7939), 1,
      anon_sym_enum,
    ACTIONS(7941), 1,
      anon_sym_class,
    ACTIONS(7943), 1,
      anon_sym_struct,
    ACTIONS(7945), 1,
      anon_sym_union,
    ACTIONS(7947), 1,
      sym_auto,
    ACTIONS(7949), 1,
      anon_sym_decltype,
    ACTIONS(7951), 1,
      anon_sym_typename,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(4757), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4953), 1,
      sym__type_specifier,
    STATE(5256), 1,
      sym_primitive_type,
    STATE(5620), 1,
      sym_decltype_auto,
    STATE(6625), 1,
      sym_type_descriptor,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3455), 2,
      sym_decltype,
      sym_template_type,
    STATE(4405), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7937), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7935), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5639), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [108916] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(7901), 1,
      sym_identifier,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7907), 1,
      anon_sym_enum,
    ACTIONS(7909), 1,
      anon_sym_class,
    ACTIONS(7911), 1,
      anon_sym_struct,
    ACTIONS(7913), 1,
      anon_sym_union,
    ACTIONS(7915), 1,
      anon_sym_typename,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(5848), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5928), 1,
      sym__type_specifier,
    STATE(6036), 1,
      sym_primitive_type,
    STATE(6402), 1,
      sym__type_definition_type,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4483), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7905), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [109017] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(7931), 1,
      sym_identifier,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7939), 1,
      anon_sym_enum,
    ACTIONS(7941), 1,
      anon_sym_class,
    ACTIONS(7943), 1,
      anon_sym_struct,
    ACTIONS(7945), 1,
      anon_sym_union,
    ACTIONS(7947), 1,
      sym_auto,
    ACTIONS(7949), 1,
      anon_sym_decltype,
    ACTIONS(7951), 1,
      anon_sym_typename,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(4757), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4781), 1,
      sym__type_specifier,
    STATE(5256), 1,
      sym_primitive_type,
    STATE(5620), 1,
      sym_decltype_auto,
    STATE(6625), 1,
      sym_type_descriptor,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3455), 2,
      sym_decltype,
      sym_template_type,
    STATE(4435), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7937), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7935), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5639), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [109118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5691), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5129), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5131), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109232] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(8898), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [109333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5147), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109390] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(7901), 1,
      sym_identifier,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7907), 1,
      anon_sym_enum,
    ACTIONS(7909), 1,
      anon_sym_class,
    ACTIONS(7911), 1,
      anon_sym_struct,
    ACTIONS(7913), 1,
      anon_sym_union,
    ACTIONS(7915), 1,
      anon_sym_typename,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(5848), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5928), 1,
      sym__type_specifier,
    STATE(6036), 1,
      sym_primitive_type,
    STATE(6382), 1,
      sym__type_definition_type,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4483), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7905), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [109491] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9161), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [109592] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(8794), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [109693] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(9403), 1,
      sym_type_descriptor,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [109794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5415), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5417), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [109851] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7573), 1,
      anon_sym_LBRACK,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7795), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7953), 1,
      anon_sym_DASH_GT,
    ACTIONS(7955), 1,
      anon_sym_requires,
    STATE(5717), 1,
      sym__function_attributes_start,
    STATE(5858), 1,
      sym_ref_qualifier,
    STATE(6649), 1,
      sym__function_attributes_end,
    STATE(6870), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4915), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5312), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6600), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6088), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7563), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [109954] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4226), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7824), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5479), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5481), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5406), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [110072] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(7901), 1,
      sym_identifier,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7907), 1,
      anon_sym_enum,
    ACTIONS(7909), 1,
      anon_sym_class,
    ACTIONS(7911), 1,
      anon_sym_struct,
    ACTIONS(7913), 1,
      anon_sym_union,
    ACTIONS(7915), 1,
      anon_sym_typename,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(5848), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5928), 1,
      sym__type_specifier,
    STATE(6036), 1,
      sym_primitive_type,
    STATE(6369), 1,
      sym__type_definition_type,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4483), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7905), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110173] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7957), 1,
      anon_sym_SEMI,
    STATE(3698), 1,
      sym_attribute_specifier,
    STATE(4540), 1,
      sym_field_declaration_list,
    STATE(7713), 1,
      sym_virtual_specifier,
    STATE(8499), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5469), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5467), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [110248] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9159), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110349] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(9428), 1,
      sym_type_descriptor,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110450] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(7901), 1,
      sym_identifier,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7907), 1,
      anon_sym_enum,
    ACTIONS(7909), 1,
      anon_sym_class,
    ACTIONS(7911), 1,
      anon_sym_struct,
    ACTIONS(7913), 1,
      anon_sym_union,
    ACTIONS(7915), 1,
      anon_sym_typename,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(5848), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5928), 1,
      sym__type_specifier,
    STATE(6036), 1,
      sym_primitive_type,
    STATE(6358), 1,
      sym__type_definition_type,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4483), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7905), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110551] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9106), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110652] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9103), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110753] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(7901), 1,
      sym_identifier,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7907), 1,
      anon_sym_enum,
    ACTIONS(7909), 1,
      anon_sym_class,
    ACTIONS(7911), 1,
      anon_sym_struct,
    ACTIONS(7913), 1,
      anon_sym_union,
    ACTIONS(7915), 1,
      anon_sym_typename,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(5848), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5928), 1,
      sym__type_specifier,
    STATE(6036), 1,
      sym_primitive_type,
    STATE(6395), 1,
      sym__type_definition_type,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4483), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7905), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110854] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9053), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110955] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(7901), 1,
      sym_identifier,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7907), 1,
      anon_sym_enum,
    ACTIONS(7909), 1,
      anon_sym_class,
    ACTIONS(7911), 1,
      anon_sym_struct,
    ACTIONS(7913), 1,
      anon_sym_union,
    ACTIONS(7915), 1,
      anon_sym_typename,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(5848), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5928), 1,
      sym__type_specifier,
    STATE(6036), 1,
      sym_primitive_type,
    STATE(6349), 1,
      sym__type_definition_type,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4483), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7905), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [111056] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(9537), 1,
      sym_type_descriptor,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [111157] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(7931), 1,
      sym_identifier,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7939), 1,
      anon_sym_enum,
    ACTIONS(7941), 1,
      anon_sym_class,
    ACTIONS(7943), 1,
      anon_sym_struct,
    ACTIONS(7945), 1,
      anon_sym_union,
    ACTIONS(7947), 1,
      sym_auto,
    ACTIONS(7949), 1,
      anon_sym_decltype,
    ACTIONS(7951), 1,
      anon_sym_typename,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(4757), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4799), 1,
      sym__type_specifier,
    STATE(5256), 1,
      sym_primitive_type,
    STATE(5620), 1,
      sym_decltype_auto,
    STATE(6625), 1,
      sym_type_descriptor,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3455), 2,
      sym_decltype,
      sym_template_type,
    STATE(4413), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7937), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7935), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5639), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [111258] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(8689), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [111359] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(7901), 1,
      sym_identifier,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7907), 1,
      anon_sym_enum,
    ACTIONS(7909), 1,
      anon_sym_class,
    ACTIONS(7911), 1,
      anon_sym_struct,
    ACTIONS(7913), 1,
      anon_sym_union,
    ACTIONS(7915), 1,
      anon_sym_typename,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(5848), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5928), 1,
      sym__type_specifier,
    STATE(6036), 1,
      sym_primitive_type,
    STATE(6398), 1,
      sym__type_definition_type,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4483), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7905), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [111460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6876), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6878), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111517] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(9545), 1,
      sym_type_descriptor,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [111618] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7959), 1,
      anon_sym_SEMI,
    STATE(3698), 1,
      sym_attribute_specifier,
    STATE(4540), 1,
      sym_field_declaration_list,
    STATE(7713), 1,
      sym_virtual_specifier,
    STATE(8499), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5469), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5467), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [111693] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(9572), 1,
      sym_type_descriptor,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [111794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6209), 1,
      sym_literal_suffix,
    ACTIONS(4454), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4446), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6343), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6345), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111910] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5727), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(9344), 1,
      sym_type_descriptor,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4519), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [112011] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(9419), 1,
      sym_type_descriptor,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [112112] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(9339), 1,
      sym_type_descriptor,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [112213] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(7961), 1,
      sym_identifier,
    ACTIONS(7963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7965), 1,
      anon_sym_enum,
    ACTIONS(7967), 1,
      anon_sym_class,
    ACTIONS(7969), 1,
      anon_sym_struct,
    ACTIONS(7971), 1,
      anon_sym_union,
    ACTIONS(7973), 1,
      anon_sym_typename,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(3274), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3663), 1,
      sym_decltype_auto,
    STATE(3979), 1,
      sym_primitive_type,
    STATE(4952), 1,
      sym__type_specifier,
    STATE(6625), 1,
      sym_type_descriptor,
    STATE(7216), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3455), 2,
      sym_decltype,
      sym_template_type,
    STATE(4443), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(4039), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [112314] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5727), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(9326), 1,
      sym_type_descriptor,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4519), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [112415] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(9340), 1,
      sym_type_descriptor,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [112516] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7975), 1,
      anon_sym_LBRACK,
    STATE(4459), 1,
      sym_new_declarator,
    ACTIONS(6281), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6283), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112577] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(9321), 1,
      sym_type_descriptor,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [112678] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(7901), 1,
      sym_identifier,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7907), 1,
      anon_sym_enum,
    ACTIONS(7909), 1,
      anon_sym_class,
    ACTIONS(7911), 1,
      anon_sym_struct,
    ACTIONS(7913), 1,
      anon_sym_union,
    ACTIONS(7915), 1,
      anon_sym_typename,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(5848), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5928), 1,
      sym__type_specifier,
    STATE(6036), 1,
      sym_primitive_type,
    STATE(6343), 1,
      sym__type_definition_type,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4483), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7905), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [112779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6209), 1,
      sym_literal_suffix,
    ACTIONS(5804), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5806), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112838] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(8845), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [112939] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9188), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [113040] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5727), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(9308), 1,
      sym_type_descriptor,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4519), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [113141] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5561), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5563), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113200] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(7901), 1,
      sym_identifier,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7907), 1,
      anon_sym_enum,
    ACTIONS(7909), 1,
      anon_sym_class,
    ACTIONS(7911), 1,
      anon_sym_struct,
    ACTIONS(7913), 1,
      anon_sym_union,
    ACTIONS(7915), 1,
      anon_sym_typename,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(5848), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5928), 1,
      sym__type_specifier,
    STATE(6036), 1,
      sym_primitive_type,
    STATE(6380), 1,
      sym__type_definition_type,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4483), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7905), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [113301] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(9303), 1,
      sym_type_descriptor,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [113402] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    STATE(3657), 1,
      sym_attribute_specifier,
    STATE(4562), 1,
      sym_enumerator_list,
    ACTIONS(5911), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5909), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [113467] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5727), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(9289), 1,
      sym_type_descriptor,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4519), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [113568] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9001), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [113669] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(9284), 1,
      sym_type_descriptor,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [113770] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5522), 1,
      sym__type_specifier,
    STATE(6803), 1,
      sym_type_descriptor,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4441), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [113871] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(9505), 1,
      sym_type_descriptor,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [113972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5431), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [114029] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(9522), 1,
      sym_type_descriptor,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [114130] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7977), 1,
      anon_sym_SEMI,
    STATE(3698), 1,
      sym_attribute_specifier,
    STATE(4540), 1,
      sym_field_declaration_list,
    STATE(7713), 1,
      sym_virtual_specifier,
    STATE(8499), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5469), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5467), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [114205] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(4031), 1,
      sym_identifier,
    ACTIONS(4037), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4041), 1,
      anon_sym_enum,
    ACTIONS(4043), 1,
      anon_sym_class,
    ACTIONS(4045), 1,
      anon_sym_struct,
    ACTIONS(4047), 1,
      anon_sym_union,
    ACTIONS(4049), 1,
      anon_sym_typename,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(3274), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3663), 1,
      sym_decltype_auto,
    STATE(3979), 1,
      sym_primitive_type,
    STATE(5068), 1,
      sym__type_specifier,
    STATE(6625), 1,
      sym_type_descriptor,
    STATE(7217), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3455), 2,
      sym_decltype,
      sym_template_type,
    STATE(4404), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(4039), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [114306] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5727), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9268), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4519), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [114407] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9263), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [114508] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(8901), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [114609] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(7947), 1,
      sym_auto,
    ACTIONS(7949), 1,
      anon_sym_decltype,
    ACTIONS(7979), 1,
      sym_identifier,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7983), 1,
      anon_sym_enum,
    ACTIONS(7985), 1,
      anon_sym_class,
    ACTIONS(7987), 1,
      anon_sym_struct,
    ACTIONS(7989), 1,
      anon_sym_union,
    ACTIONS(7991), 1,
      anon_sym_typename,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(4757), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5256), 1,
      sym_primitive_type,
    STATE(5471), 1,
      sym__type_specifier,
    STATE(5620), 1,
      sym_decltype_auto,
    STATE(6625), 1,
      sym_type_descriptor,
    STATE(7181), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3455), 2,
      sym_decltype,
      sym_template_type,
    STATE(4516), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7937), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7935), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5639), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [114710] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5727), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9246), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4519), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [114811] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7993), 1,
      anon_sym_SEMI,
    STATE(3698), 1,
      sym_attribute_specifier,
    STATE(4540), 1,
      sym_field_declaration_list,
    STATE(7713), 1,
      sym_virtual_specifier,
    STATE(8499), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5469), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5467), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [114886] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(8920), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [114987] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9241), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [115088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5425), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5427), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [115145] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5727), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9174), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4519), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [115246] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9117), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [115347] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(7901), 1,
      sym_identifier,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7907), 1,
      anon_sym_enum,
    ACTIONS(7909), 1,
      anon_sym_class,
    ACTIONS(7911), 1,
      anon_sym_struct,
    ACTIONS(7913), 1,
      anon_sym_union,
    ACTIONS(7915), 1,
      anon_sym_typename,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(5848), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5928), 1,
      sym__type_specifier,
    STATE(6036), 1,
      sym_primitive_type,
    STATE(6347), 1,
      sym__type_definition_type,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4483), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7905), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [115448] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(7901), 1,
      sym_identifier,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7907), 1,
      anon_sym_enum,
    ACTIONS(7909), 1,
      anon_sym_class,
    ACTIONS(7911), 1,
      anon_sym_struct,
    ACTIONS(7913), 1,
      anon_sym_union,
    ACTIONS(7915), 1,
      anon_sym_typename,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(5848), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5928), 1,
      sym__type_specifier,
    STATE(6036), 1,
      sym_primitive_type,
    STATE(6375), 1,
      sym__type_definition_type,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4483), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7905), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [115549] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7595), 1,
      anon_sym___attribute__,
    ACTIONS(7995), 1,
      anon_sym_LBRACE,
    ACTIONS(7997), 1,
      anon_sym_COLON,
    STATE(4530), 1,
      sym__enum_base_clause,
    STATE(4625), 1,
      sym_enumerator_list,
    STATE(4698), 1,
      sym_attribute_specifier,
    ACTIONS(6273), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6275), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115618] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(7961), 1,
      sym_identifier,
    ACTIONS(7963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7965), 1,
      anon_sym_enum,
    ACTIONS(7967), 1,
      anon_sym_class,
    ACTIONS(7969), 1,
      anon_sym_struct,
    ACTIONS(7971), 1,
      anon_sym_union,
    ACTIONS(7973), 1,
      anon_sym_typename,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(3274), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3663), 1,
      sym_decltype_auto,
    STATE(3979), 1,
      sym_primitive_type,
    STATE(4831), 1,
      sym__type_specifier,
    STATE(6625), 1,
      sym_type_descriptor,
    STATE(7216), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3455), 2,
      sym_decltype,
      sym_template_type,
    STATE(4466), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(4039), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [115719] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(7901), 1,
      sym_identifier,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7907), 1,
      anon_sym_enum,
    ACTIONS(7909), 1,
      anon_sym_class,
    ACTIONS(7911), 1,
      anon_sym_struct,
    ACTIONS(7913), 1,
      anon_sym_union,
    ACTIONS(7915), 1,
      anon_sym_typename,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(5848), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5928), 1,
      sym__type_specifier,
    STATE(6036), 1,
      sym_primitive_type,
    STATE(6403), 1,
      sym__type_definition_type,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4483), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7905), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [115820] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(8338), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [115921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6858), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6860), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [115978] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7999), 1,
      anon_sym_SEMI,
    STATE(3698), 1,
      sym_attribute_specifier,
    STATE(4540), 1,
      sym_field_declaration_list,
    STATE(7713), 1,
      sym_virtual_specifier,
    STATE(8499), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5469), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5467), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [116053] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(7901), 1,
      sym_identifier,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7907), 1,
      anon_sym_enum,
    ACTIONS(7909), 1,
      anon_sym_class,
    ACTIONS(7911), 1,
      anon_sym_struct,
    ACTIONS(7913), 1,
      anon_sym_union,
    ACTIONS(7915), 1,
      anon_sym_typename,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(5848), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5928), 1,
      sym__type_specifier,
    STATE(6036), 1,
      sym_primitive_type,
    STATE(6393), 1,
      sym__type_definition_type,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4483), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7905), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [116154] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7573), 1,
      anon_sym_LBRACK,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7795), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7953), 1,
      anon_sym_DASH_GT,
    ACTIONS(8001), 1,
      anon_sym_requires,
    STATE(5698), 1,
      sym__function_attributes_start,
    STATE(5794), 1,
      sym_ref_qualifier,
    STATE(6670), 1,
      sym__function_attributes_end,
    STATE(6781), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7784), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4915), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5312), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6600), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6093), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7563), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [116257] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(7901), 1,
      sym_identifier,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7907), 1,
      anon_sym_enum,
    ACTIONS(7909), 1,
      anon_sym_class,
    ACTIONS(7911), 1,
      anon_sym_struct,
    ACTIONS(7913), 1,
      anon_sym_union,
    ACTIONS(7915), 1,
      anon_sym_typename,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(5848), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5928), 1,
      sym__type_specifier,
    STATE(6036), 1,
      sym_primitive_type,
    STATE(6333), 1,
      sym__type_definition_type,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4483), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7905), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [116358] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(7901), 1,
      sym_identifier,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7907), 1,
      anon_sym_enum,
    ACTIONS(7909), 1,
      anon_sym_class,
    ACTIONS(7911), 1,
      anon_sym_struct,
    ACTIONS(7913), 1,
      anon_sym_union,
    ACTIONS(7915), 1,
      anon_sym_typename,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(5848), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5928), 1,
      sym__type_specifier,
    STATE(6036), 1,
      sym_primitive_type,
    STATE(6394), 1,
      sym__type_definition_type,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4483), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7905), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [116459] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6269), 1,
      sym_literal_suffix,
    STATE(3941), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5190), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5192), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4454), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4446), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [116524] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9142), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [116625] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7573), 1,
      anon_sym_LBRACK,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7919), 1,
      anon_sym_DASH_GT,
    ACTIONS(8004), 1,
      anon_sym_requires,
    STATE(5714), 1,
      sym__function_attributes_start,
    STATE(5831), 1,
      sym_ref_qualifier,
    STATE(6769), 1,
      sym__function_attributes_end,
    STATE(6830), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4915), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5312), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6858), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6078), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7563), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [116728] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(7901), 1,
      sym_identifier,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7907), 1,
      anon_sym_enum,
    ACTIONS(7909), 1,
      anon_sym_class,
    ACTIONS(7911), 1,
      anon_sym_struct,
    ACTIONS(7913), 1,
      anon_sym_union,
    ACTIONS(7915), 1,
      anon_sym_typename,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(5848), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5928), 1,
      sym__type_specifier,
    STATE(6036), 1,
      sym_primitive_type,
    STATE(6352), 1,
      sym__type_definition_type,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4483), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7905), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [116829] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6229), 1,
      anon_sym_EQ,
    ACTIONS(6231), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4454), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4446), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116890] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(6625), 1,
      sym_type_descriptor,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [116991] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(7901), 1,
      sym_identifier,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7907), 1,
      anon_sym_enum,
    ACTIONS(7909), 1,
      anon_sym_class,
    ACTIONS(7911), 1,
      anon_sym_struct,
    ACTIONS(7913), 1,
      anon_sym_union,
    ACTIONS(7915), 1,
      anon_sym_typename,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(5848), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5928), 1,
      sym__type_specifier,
    STATE(6036), 1,
      sym_primitive_type,
    STATE(6367), 1,
      sym__type_definition_type,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4483), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7905), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [117092] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6269), 1,
      sym_literal_suffix,
    STATE(3941), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5190), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5192), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5804), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5806), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [117157] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5604), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5606), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5604), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5606), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117275] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(4010), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4444), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7200), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4452), 37,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [117342] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5727), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(9491), 1,
      sym_type_descriptor,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4519), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [117443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5587), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117500] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(8007), 1,
      anon_sym_SEMI,
    STATE(3698), 1,
      sym_attribute_specifier,
    STATE(4540), 1,
      sym_field_declaration_list,
    STATE(7713), 1,
      sym_virtual_specifier,
    STATE(8499), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5469), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5467), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [117575] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7595), 1,
      anon_sym___attribute__,
    ACTIONS(7995), 1,
      anon_sym_LBRACE,
    ACTIONS(7997), 1,
      anon_sym_COLON,
    STATE(4576), 1,
      sym__enum_base_clause,
    STATE(4614), 1,
      sym_enumerator_list,
    STATE(4697), 1,
      sym_attribute_specifier,
    ACTIONS(6263), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6265), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117644] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5612), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9278), 1,
      sym_type_descriptor,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [117745] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(4031), 1,
      sym_identifier,
    ACTIONS(4037), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4041), 1,
      anon_sym_enum,
    ACTIONS(4043), 1,
      anon_sym_class,
    ACTIONS(4045), 1,
      anon_sym_struct,
    ACTIONS(4047), 1,
      anon_sym_union,
    ACTIONS(4049), 1,
      anon_sym_typename,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(3274), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3663), 1,
      sym_decltype_auto,
    STATE(3979), 1,
      sym_primitive_type,
    STATE(5001), 1,
      sym__type_specifier,
    STATE(7217), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3455), 2,
      sym_decltype,
      sym_template_type,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(4039), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [117843] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(7931), 1,
      sym_identifier,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7939), 1,
      anon_sym_enum,
    ACTIONS(7941), 1,
      anon_sym_class,
    ACTIONS(7943), 1,
      anon_sym_struct,
    ACTIONS(7945), 1,
      anon_sym_union,
    ACTIONS(7947), 1,
      sym_auto,
    ACTIONS(7949), 1,
      anon_sym_decltype,
    ACTIONS(7951), 1,
      anon_sym_typename,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(4757), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4942), 1,
      sym__type_specifier,
    STATE(5256), 1,
      sym_primitive_type,
    STATE(5620), 1,
      sym_decltype_auto,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3455), 2,
      sym_decltype,
      sym_template_type,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7937), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7935), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5639), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [117941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6613), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6615), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [117997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5604), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5606), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6536), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6538), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118109] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7725), 1,
      anon_sym_LT,
    STATE(2405), 1,
      sym_template_argument_list,
    ACTIONS(5822), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4470), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [118171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6662), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6534), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118283] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7925), 1,
      anon_sym_LT,
    STATE(4583), 1,
      sym_template_argument_list,
    ACTIONS(5822), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4470), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118345] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(7931), 1,
      sym_identifier,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7939), 1,
      anon_sym_enum,
    ACTIONS(7941), 1,
      anon_sym_class,
    ACTIONS(7943), 1,
      anon_sym_struct,
    ACTIONS(7945), 1,
      anon_sym_union,
    ACTIONS(7947), 1,
      sym_auto,
    ACTIONS(7949), 1,
      anon_sym_decltype,
    ACTIONS(7951), 1,
      anon_sym_typename,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(4757), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4780), 1,
      sym__type_specifier,
    STATE(5256), 1,
      sym_primitive_type,
    STATE(5620), 1,
      sym_decltype_auto,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3455), 2,
      sym_decltype,
      sym_template_type,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7937), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7935), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5639), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [118443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6504), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6506), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6500), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6502), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118555] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8009), 1,
      anon_sym_LT,
    STATE(2405), 1,
      sym_template_argument_list,
    ACTIONS(5105), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5112), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [118617] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(7975), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LPAREN2,
    ACTIONS(8014), 1,
      sym_auto,
    ACTIONS(8016), 1,
      anon_sym_decltype,
    STATE(4634), 1,
      sym_new_declarator,
    STATE(4726), 1,
      sym_decltype_auto,
    STATE(4575), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5829), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5831), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6462), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118745] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2972), 1,
      anon_sym_enum,
    ACTIONS(2974), 1,
      anon_sym_class,
    ACTIONS(2976), 1,
      anon_sym_struct,
    ACTIONS(2978), 1,
      anon_sym_union,
    ACTIONS(3004), 1,
      sym_auto,
    ACTIONS(3006), 1,
      anon_sym_decltype,
    ACTIONS(3008), 1,
      anon_sym_typename,
    ACTIONS(7927), 1,
      sym_identifier,
    ACTIONS(7929), 1,
      anon_sym_COLON_COLON,
    STATE(2459), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2996), 1,
      sym_primitive_type,
    STATE(3308), 1,
      sym_decltype_auto,
    STATE(3328), 1,
      sym_qualified_type_identifier,
    STATE(5569), 1,
      sym__type_specifier,
    STATE(7205), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3258), 2,
      sym_decltype,
      sym_template_type,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2970), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2968), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3307), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [118843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6621), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6623), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5415), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5417), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [118955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6542), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6609), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6611), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6666), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6668), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6581), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6583), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5406), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [119235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6637), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6639), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119291] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5562), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [119389] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6357), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6359), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [119457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6488), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119513] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6389), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6391), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [119583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6474), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5286), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5288), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119695] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4470), 1,
      anon_sym_SEMI,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(3810), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4160), 1,
      sym_template_argument_list,
    ACTIONS(4472), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4452), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4444), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [119763] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(7931), 1,
      sym_identifier,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7939), 1,
      anon_sym_enum,
    ACTIONS(7941), 1,
      anon_sym_class,
    ACTIONS(7943), 1,
      anon_sym_struct,
    ACTIONS(7945), 1,
      anon_sym_union,
    ACTIONS(7947), 1,
      sym_auto,
    ACTIONS(7949), 1,
      anon_sym_decltype,
    ACTIONS(7951), 1,
      anon_sym_typename,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(4757), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4817), 1,
      sym__type_specifier,
    STATE(5256), 1,
      sym_primitive_type,
    STATE(5620), 1,
      sym_decltype_auto,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3455), 2,
      sym_decltype,
      sym_template_type,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7937), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7935), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5639), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [119861] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(7879), 1,
      sym_identifier,
    ACTIONS(7881), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7887), 1,
      anon_sym_enum,
    ACTIONS(7889), 1,
      anon_sym_class,
    ACTIONS(7891), 1,
      anon_sym_struct,
    ACTIONS(7893), 1,
      anon_sym_union,
    ACTIONS(7895), 1,
      sym_auto,
    ACTIONS(7897), 1,
      anon_sym_decltype,
    ACTIONS(7899), 1,
      anon_sym_typename,
    STATE(4912), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4917), 1,
      sym__type_specifier,
    STATE(5558), 1,
      sym_primitive_type,
    STATE(5806), 1,
      sym_qualified_type_identifier,
    STATE(5819), 1,
      sym_decltype_auto,
    STATE(7218), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5786), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7885), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7883), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5820), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [119959] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7573), 1,
      anon_sym_LBRACK,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(8020), 1,
      anon_sym_DASH_GT,
    ACTIONS(8022), 1,
      anon_sym_requires,
    STATE(5746), 1,
      sym__function_attributes_start,
    STATE(5981), 1,
      sym_ref_qualifier,
    STATE(6828), 1,
      sym__function_attributes_end,
    STATE(7071), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4915), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5312), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6858), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6104), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7563), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [120061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4438), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8024), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5374), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5376), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6530), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3026), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120233] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5545), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [120331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6448), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6450), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120387] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(7961), 1,
      sym_identifier,
    ACTIONS(7963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7965), 1,
      anon_sym_enum,
    ACTIONS(7967), 1,
      anon_sym_class,
    ACTIONS(7969), 1,
      anon_sym_struct,
    ACTIONS(7971), 1,
      anon_sym_union,
    ACTIONS(7973), 1,
      anon_sym_typename,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(3274), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3663), 1,
      sym_decltype_auto,
    STATE(3979), 1,
      sym_primitive_type,
    STATE(4928), 1,
      sym__type_specifier,
    STATE(7216), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3455), 2,
      sym_decltype,
      sym_template_type,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(4039), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [120485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5290), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5292), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6476), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6478), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5274), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5276), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2261), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2259), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6560), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6562), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120765] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8027), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5990), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5992), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5298), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5300), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6454), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3026), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6456), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6458), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5280), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [121103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6556), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6558), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [121159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5318), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5320), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [121215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6554), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [121271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5302), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5304), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [121327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6343), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6345), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5294), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5296), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [121439] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7573), 1,
      anon_sym_LBRACK,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(8020), 1,
      anon_sym_DASH_GT,
    ACTIONS(8029), 1,
      anon_sym_requires,
    STATE(5755), 1,
      sym__function_attributes_start,
    STATE(5891), 1,
      sym_ref_qualifier,
    STATE(6827), 1,
      sym__function_attributes_end,
    STATE(7045), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4915), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5312), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6858), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6105), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7563), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [121541] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4438), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8032), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6034), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6032), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121601] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(3810), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4160), 1,
      sym_template_argument_list,
    ACTIONS(4472), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4452), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4444), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [121667] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    STATE(3637), 1,
      sym_attribute_specifier,
    STATE(4565), 1,
      sym_enumerator_list,
    ACTIONS(5928), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5930), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [121731] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2972), 1,
      anon_sym_enum,
    ACTIONS(2974), 1,
      anon_sym_class,
    ACTIONS(2976), 1,
      anon_sym_struct,
    ACTIONS(2978), 1,
      anon_sym_union,
    ACTIONS(3004), 1,
      sym_auto,
    ACTIONS(3006), 1,
      anon_sym_decltype,
    ACTIONS(3008), 1,
      anon_sym_typename,
    ACTIONS(7927), 1,
      sym_identifier,
    ACTIONS(7929), 1,
      anon_sym_COLON_COLON,
    STATE(2459), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2996), 1,
      sym_primitive_type,
    STATE(3308), 1,
      sym_decltype_auto,
    STATE(3328), 1,
      sym_qualified_type_identifier,
    STATE(5431), 1,
      sym__type_specifier,
    STATE(7205), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3258), 2,
      sym_decltype,
      sym_template_type,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2970), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2968), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3307), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [121829] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(7961), 1,
      sym_identifier,
    ACTIONS(7963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7965), 1,
      anon_sym_enum,
    ACTIONS(7967), 1,
      anon_sym_class,
    ACTIONS(7969), 1,
      anon_sym_struct,
    ACTIONS(7971), 1,
      anon_sym_union,
    ACTIONS(7973), 1,
      anon_sym_typename,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(3274), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3663), 1,
      sym_decltype_auto,
    STATE(3979), 1,
      sym_primitive_type,
    STATE(4779), 1,
      sym__type_specifier,
    STATE(7216), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3455), 2,
      sym_decltype,
      sym_template_type,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(4039), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [121927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5425), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5427), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [121983] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4438), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8032), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6050), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6048), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5425), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5427), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [122099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5431), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [122155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6480), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6482), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122211] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6353), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6355), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [122281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6456), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6458), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122337] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5170), 1,
      anon_sym_SEMI,
    ACTIONS(7118), 1,
      anon_sym_LT,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    STATE(3810), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4654), 1,
      sym_template_argument_list,
    ACTIONS(4467), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4452), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(4472), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4444), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [122409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5431), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [122465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6641), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6643), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5280), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6645), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6647), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6597), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6599), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5314), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5316), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122745] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4468), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8034), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5640), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5642), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6627), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122861] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(7901), 1,
      sym_identifier,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7907), 1,
      anon_sym_enum,
    ACTIONS(7909), 1,
      anon_sym_class,
    ACTIONS(7911), 1,
      anon_sym_struct,
    ACTIONS(7913), 1,
      anon_sym_union,
    ACTIONS(7915), 1,
      anon_sym_typename,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(5848), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5912), 1,
      sym__type_specifier,
    STATE(6036), 1,
      sym_primitive_type,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7905), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [122959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5306), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5308), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6464), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6466), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123071] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5248), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [123169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5282), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5284), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123225] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(7975), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LPAREN2,
    ACTIONS(8014), 1,
      sym_auto,
    ACTIONS(8016), 1,
      anon_sym_decltype,
    STATE(4607), 1,
      sym_new_declarator,
    STATE(4726), 1,
      sym_decltype_auto,
    STATE(4522), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5841), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5843), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5415), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5417), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [123353] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4438), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8032), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6127), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6125), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6589), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6591), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123469] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4438), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8032), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6123), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6121), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123529] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8036), 1,
      anon_sym_LT,
    STATE(4583), 1,
      sym_template_argument_list,
    ACTIONS(5105), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5112), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6560), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6562), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123647] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6381), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6383), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [123717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5406), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [123773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6570), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6572), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6550), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6518), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6658), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4492), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8039), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6054), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6052), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124057] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6385), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6387), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [124127] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4490), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8041), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6064), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6062), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6635), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [124243] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8027), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8043), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6103), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6105), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [124303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5310), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5312), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [124359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2265), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2263), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [124415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6645), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6647), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6601), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6603), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [124527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5280), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [124583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4027), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4023), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [124639] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    STATE(3657), 1,
      sym_attribute_specifier,
    STATE(4557), 1,
      sym_enumerator_list,
    ACTIONS(5909), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5911), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [124703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5322), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5324), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [124759] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(7975), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LPAREN2,
    ACTIONS(8014), 1,
      sym_auto,
    ACTIONS(8016), 1,
      anon_sym_decltype,
    STATE(4628), 1,
      sym_new_declarator,
    STATE(4726), 1,
      sym_decltype_auto,
    STATE(4579), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5833), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5835), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124831] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6437), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6439), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [124899] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(7947), 1,
      sym_auto,
    ACTIONS(7949), 1,
      anon_sym_decltype,
    ACTIONS(7979), 1,
      sym_identifier,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7983), 1,
      anon_sym_enum,
    ACTIONS(7985), 1,
      anon_sym_class,
    ACTIONS(7987), 1,
      anon_sym_struct,
    ACTIONS(7989), 1,
      anon_sym_union,
    ACTIONS(7991), 1,
      anon_sym_typename,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(4757), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5256), 1,
      sym_primitive_type,
    STATE(5498), 1,
      sym__type_specifier,
    STATE(5620), 1,
      sym_decltype_auto,
    STATE(7181), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3455), 2,
      sym_decltype,
      sym_template_type,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7937), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7935), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5639), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [124997] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(7975), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LPAREN2,
    ACTIONS(8014), 1,
      sym_auto,
    ACTIONS(8016), 1,
      anon_sym_decltype,
    STATE(4632), 1,
      sym_new_declarator,
    STATE(4726), 1,
      sym_decltype_auto,
    STATE(4553), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5787), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5789), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125069] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    ACTIONS(7645), 1,
      anon_sym_LBRACK,
    STATE(3810), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4908), 1,
      sym_template_argument_list,
    ACTIONS(4467), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4452), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4472), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4444), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [125139] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(5719), 1,
      sym__type_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [125237] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7826), 1,
      anon_sym___attribute__,
    ACTIONS(8045), 1,
      anon_sym_LBRACE,
    ACTIONS(8047), 1,
      anon_sym_COLON,
    STATE(4655), 1,
      sym__enum_base_clause,
    STATE(4690), 1,
      sym_enumerator_list,
    STATE(4805), 1,
      sym_attribute_specifier,
    ACTIONS(6273), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6275), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125304] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4468), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8034), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5479), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5481), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6542), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6613), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6615), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125473] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    STATE(3638), 1,
      sym_attribute_specifier,
    ACTIONS(6060), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6058), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [125532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6641), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6643), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5147), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6658), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    STATE(3574), 1,
      sym_attribute_specifier,
    ACTIONS(6009), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6011), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [125756] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(2902), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5184), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5970), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5972), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [125819] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7595), 1,
      anon_sym___attribute__,
    ACTIONS(7995), 1,
      anon_sym_LBRACE,
    STATE(4618), 1,
      sym_enumerator_list,
    STATE(4711), 1,
      sym_attribute_specifier,
    ACTIONS(5909), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5911), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    STATE(3660), 1,
      sym_attribute_specifier,
    ACTIONS(6005), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6007), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [125941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6448), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6450), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6454), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126051] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    STATE(3571), 1,
      sym_attribute_specifier,
    ACTIONS(6013), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6015), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [126110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6609), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6611), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126165] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    STATE(3604), 1,
      sym_attribute_specifier,
    ACTIONS(6080), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6078), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [126224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6554), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126279] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    STATE(3711), 1,
      sym_attribute_specifier,
    ACTIONS(6093), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6091), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [126338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6500), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6502), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126393] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    STATE(3574), 1,
      sym_attribute_specifier,
    ACTIONS(6011), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6009), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [126452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6556), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6558), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126507] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    STATE(3676), 1,
      sym_attribute_specifier,
    ACTIONS(6001), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6003), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [126566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5129), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5131), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6637), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6639), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6518), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5431), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [126786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    STATE(3638), 1,
      sym_attribute_specifier,
    ACTIONS(6058), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6060), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [126845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6530), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6662), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6635), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5137), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5139), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6627), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6464), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6466), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127175] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      anon_sym___attribute__,
    ACTIONS(6361), 1,
      anon_sym_LBRACE,
    ACTIONS(8049), 1,
      anon_sym_COLON,
    STATE(2269), 1,
      sym_attribute_specifier,
    STATE(2828), 1,
      sym__enum_base_clause,
    STATE(2955), 1,
      sym_enumerator_list,
    ACTIONS(6273), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6275), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [127242] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      anon_sym___attribute__,
    ACTIONS(6361), 1,
      anon_sym_LBRACE,
    ACTIONS(8049), 1,
      anon_sym_COLON,
    STATE(2224), 1,
      sym_attribute_specifier,
    STATE(2817), 1,
      sym__enum_base_clause,
    STATE(2853), 1,
      sym_enumerator_list,
    ACTIONS(6263), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6265), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [127309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6488), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    STATE(3567), 1,
      sym_attribute_specifier,
    ACTIONS(6068), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6070), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [127423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5415), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5417), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [127478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6476), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6478), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127533] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    STATE(3602), 1,
      sym_attribute_specifier,
    ACTIONS(6097), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6095), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [127592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    STATE(3604), 1,
      sym_attribute_specifier,
    ACTIONS(6078), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6080), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [127651] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    STATE(3567), 1,
      sym_attribute_specifier,
    ACTIONS(6070), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6068), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [127710] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    STATE(3557), 1,
      sym_attribute_specifier,
    ACTIONS(6119), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6117), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [127769] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    STATE(3602), 1,
      sym_attribute_specifier,
    ACTIONS(6095), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6097), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [127828] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    STATE(3557), 1,
      sym_attribute_specifier,
    ACTIONS(6117), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6119), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [127887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4027), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4023), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    STATE(3711), 1,
      sym_attribute_specifier,
    ACTIONS(6091), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6093), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [128001] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(4160), 1,
      sym_template_argument_list,
    ACTIONS(5112), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5105), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [128062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6504), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6506), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5691), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128172] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(4160), 1,
      sym_template_argument_list,
    ACTIONS(4470), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5822), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [128233] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    STATE(3533), 1,
      sym_attribute_specifier,
    ACTIONS(6113), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6111), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [128292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    STATE(3542), 1,
      sym_attribute_specifier,
    ACTIONS(6074), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6076), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [128351] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7826), 1,
      anon_sym___attribute__,
    ACTIONS(8045), 1,
      anon_sym_LBRACE,
    ACTIONS(8047), 1,
      anon_sym_COLON,
    STATE(4649), 1,
      sym__enum_base_clause,
    STATE(4694), 1,
      sym_enumerator_list,
    STATE(4829), 1,
      sym_attribute_specifier,
    ACTIONS(6263), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6265), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6666), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6668), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128473] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7595), 1,
      anon_sym___attribute__,
    ACTIONS(7995), 1,
      anon_sym_LBRACE,
    STATE(4627), 1,
      sym_enumerator_list,
    STATE(4702), 1,
      sym_attribute_specifier,
    ACTIONS(5928), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5930), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6597), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6599), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128591] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    STATE(3542), 1,
      sym_attribute_specifier,
    ACTIONS(6076), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6074), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [128650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6601), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6603), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6536), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6538), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6550), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5135), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5153), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5158), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5561), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5563), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6474), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6480), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6482), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129092] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    STATE(3676), 1,
      sym_attribute_specifier,
    ACTIONS(6003), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6001), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [129151] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    STATE(3660), 1,
      sym_attribute_specifier,
    ACTIONS(6007), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6005), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [129210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6462), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5587), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5425), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5427), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [129375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6534), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5604), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5606), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5149), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5151), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5141), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5143), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5127), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    STATE(3571), 1,
      sym_attribute_specifier,
    ACTIONS(6015), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6013), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [129711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5604), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5606), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    STATE(3533), 1,
      sym_attribute_specifier,
    ACTIONS(6111), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6113), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [129827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5406), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [129882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7595), 1,
      anon_sym___attribute__,
    STATE(4695), 1,
      sym_attribute_specifier,
    ACTIONS(6095), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6097), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129940] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5563), 1,
      anon_sym_LBRACE,
    ACTIONS(5481), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5479), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [129998] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7573), 1,
      anon_sym_LBRACK,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(8004), 1,
      anon_sym_requires,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8053), 1,
      anon_sym_DASH_GT,
    STATE(5841), 1,
      sym__function_attributes_start,
    STATE(6046), 1,
      sym_ref_qualifier,
    STATE(6830), 1,
      sym_trailing_return_type,
    STATE(7015), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7563), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5073), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5515), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6858), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6118), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [130098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3304), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(3302), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [130152] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(7975), 1,
      anon_sym_LBRACK,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(8057), 1,
      sym_auto,
    ACTIONS(8059), 1,
      anon_sym_decltype,
    STATE(2238), 1,
      sym_decltype_auto,
    STATE(4782), 1,
      sym_new_declarator,
    STATE(4575), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5829), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5831), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5481), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5479), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [130276] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(8012), 1,
      anon_sym_LPAREN2,
    STATE(4552), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6225), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6227), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6720), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6718), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [130390] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3719), 1,
      anon_sym_LBRACE,
    ACTIONS(8061), 1,
      anon_sym_LPAREN2,
    ACTIONS(8063), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      sym_auto,
    ACTIONS(8067), 1,
      anon_sym_decltype,
    STATE(4814), 1,
      sym_decltype_auto,
    STATE(4863), 1,
      sym_new_declarator,
    STATE(5054), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5829), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5831), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130460] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    STATE(3810), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5063), 1,
      sym_template_argument_list,
    ACTIONS(4467), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4452), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4472), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4444), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [130528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7595), 1,
      anon_sym___attribute__,
    STATE(4736), 1,
      sym_attribute_specifier,
    ACTIONS(6009), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6011), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130586] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3719), 1,
      anon_sym_LBRACE,
    ACTIONS(8061), 1,
      anon_sym_LPAREN2,
    ACTIONS(8063), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      sym_auto,
    ACTIONS(8067), 1,
      anon_sym_decltype,
    STATE(4791), 1,
      sym_new_declarator,
    STATE(4814), 1,
      sym_decltype_auto,
    STATE(5008), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5833), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5835), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130656] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    ACTIONS(8071), 1,
      anon_sym_COLON,
    STATE(3599), 1,
      sym_attribute_specifier,
    STATE(4355), 1,
      sym__enum_base_clause,
    STATE(4588), 1,
      sym_enumerator_list,
    ACTIONS(6275), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6273), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [130722] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7595), 1,
      anon_sym___attribute__,
    STATE(4708), 1,
      sym_attribute_specifier,
    ACTIONS(6058), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6060), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130780] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7595), 1,
      anon_sym___attribute__,
    STATE(4681), 1,
      sym_attribute_specifier,
    ACTIONS(6091), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6093), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130838] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(7975), 1,
      anon_sym_LBRACK,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(8057), 1,
      sym_auto,
    ACTIONS(8059), 1,
      anon_sym_decltype,
    STATE(2238), 1,
      sym_decltype_auto,
    STATE(4809), 1,
      sym_new_declarator,
    STATE(4579), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5833), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5835), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130908] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7573), 1,
      anon_sym_LBRACK,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7761), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(8073), 1,
      anon_sym_DASH_GT,
    ACTIONS(8075), 1,
      anon_sym_requires,
    STATE(5802), 1,
      sym__function_attributes_start,
    STATE(6037), 1,
      sym_ref_qualifier,
    STATE(6946), 1,
      sym__function_attributes_end,
    STATE(7096), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7563), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7784), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5073), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5515), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6600), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6174), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [131008] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7595), 1,
      anon_sym___attribute__,
    STATE(4701), 1,
      sym_attribute_specifier,
    ACTIONS(6068), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6070), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131066] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7573), 1,
      anon_sym_LBRACK,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7761), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(8073), 1,
      anon_sym_DASH_GT,
    ACTIONS(8078), 1,
      anon_sym_requires,
    STATE(5833), 1,
      sym__function_attributes_start,
    STATE(6042), 1,
      sym_ref_qualifier,
    STATE(6935), 1,
      sym__function_attributes_end,
    STATE(7102), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7563), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5073), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5515), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6600), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6129), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [131166] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8080), 1,
      anon_sym_LT,
    STATE(2902), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3079), 1,
      sym_template_argument_list,
    ACTIONS(5184), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4444), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4452), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [131230] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    ACTIONS(8071), 1,
      anon_sym_COLON,
    STATE(3675), 1,
      sym_attribute_specifier,
    STATE(4300), 1,
      sym__enum_base_clause,
    STATE(4524), 1,
      sym_enumerator_list,
    ACTIONS(6265), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6263), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [131296] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7595), 1,
      anon_sym___attribute__,
    STATE(4696), 1,
      sym_attribute_specifier,
    ACTIONS(6078), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6080), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7595), 1,
      anon_sym___attribute__,
    STATE(4705), 1,
      sym_attribute_specifier,
    ACTIONS(6111), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6113), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131412] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7595), 1,
      anon_sym___attribute__,
    STATE(4691), 1,
      sym_attribute_specifier,
    ACTIONS(6074), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6076), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7595), 1,
      anon_sym___attribute__,
    STATE(4704), 1,
      sym_attribute_specifier,
    ACTIONS(6005), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6007), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131528] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(7975), 1,
      anon_sym_LBRACK,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(8057), 1,
      sym_auto,
    ACTIONS(8059), 1,
      anon_sym_decltype,
    STATE(2238), 1,
      sym_decltype_auto,
    STATE(4800), 1,
      sym_new_declarator,
    STATE(4553), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5787), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5789), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7595), 1,
      anon_sym___attribute__,
    STATE(4680), 1,
      sym_attribute_specifier,
    ACTIONS(6117), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6119), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131656] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(8012), 1,
      anon_sym_LPAREN2,
    STATE(4527), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6145), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6147), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131716] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3719), 1,
      anon_sym_LBRACE,
    ACTIONS(8061), 1,
      anon_sym_LPAREN2,
    ACTIONS(8063), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      sym_auto,
    ACTIONS(8067), 1,
      anon_sym_decltype,
    STATE(4814), 1,
      sym_decltype_auto,
    STATE(4826), 1,
      sym_new_declarator,
    STATE(5107), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5841), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5843), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7595), 1,
      anon_sym___attribute__,
    STATE(4735), 1,
      sym_attribute_specifier,
    ACTIONS(6013), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6015), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131844] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3719), 1,
      anon_sym_LBRACE,
    ACTIONS(8061), 1,
      anon_sym_LPAREN2,
    ACTIONS(8063), 1,
      anon_sym_LBRACK,
    ACTIONS(8065), 1,
      sym_auto,
    ACTIONS(8067), 1,
      anon_sym_decltype,
    STATE(4814), 1,
      sym_decltype_auto,
    STATE(4845), 1,
      sym_new_declarator,
    STATE(5031), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5787), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5789), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131914] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(8012), 1,
      anon_sym_LPAREN2,
    STATE(4545), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6157), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6159), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131974] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(7975), 1,
      anon_sym_LBRACK,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(8057), 1,
      sym_auto,
    ACTIONS(8059), 1,
      anon_sym_decltype,
    STATE(2238), 1,
      sym_decltype_auto,
    STATE(4816), 1,
      sym_new_declarator,
    STATE(4522), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5841), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5843), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132044] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(8012), 1,
      anon_sym_LPAREN2,
    STATE(4577), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6167), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6169), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132104] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7573), 1,
      anon_sym_LBRACK,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7921), 1,
      anon_sym_requires,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8053), 1,
      anon_sym_DASH_GT,
    STATE(5828), 1,
      sym__function_attributes_start,
    STATE(6044), 1,
      sym_ref_qualifier,
    STATE(6807), 1,
      sym_trailing_return_type,
    STATE(7048), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7563), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5073), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5515), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6858), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6130), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [132204] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5116), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_LT,
    STATE(4654), 1,
      sym_template_argument_list,
    ACTIONS(5109), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5112), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(5105), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [132268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5563), 1,
      anon_sym_LBRACE,
    ACTIONS(5481), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5479), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [132324] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7595), 1,
      anon_sym___attribute__,
    STATE(4689), 1,
      sym_attribute_specifier,
    ACTIONS(6001), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6003), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5604), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5606), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6874), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6872), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [132490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5747), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5785), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5461), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132649] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8014), 1,
      sym_auto,
    ACTIONS(8016), 1,
      anon_sym_decltype,
    STATE(4726), 1,
      sym_decltype_auto,
    ACTIONS(5612), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5614), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132708] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8082), 1,
      anon_sym_LT,
    STATE(3079), 1,
      sym_template_argument_list,
    ACTIONS(5105), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5112), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [132767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5652), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5654), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5775), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5777), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5640), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5642), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132926] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7826), 1,
      anon_sym___attribute__,
    ACTIONS(8045), 1,
      anon_sym_LBRACE,
    STATE(4664), 1,
      sym_enumerator_list,
    STATE(4778), 1,
      sym_attribute_specifier,
    ACTIONS(5928), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5930), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5479), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5481), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133042] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8085), 1,
      anon_sym_typedef,
    ACTIONS(3304), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3302), 42,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [133097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5771), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5773), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133150] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8080), 1,
      anon_sym_LT,
    STATE(3079), 1,
      sym_template_argument_list,
    ACTIONS(5822), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4470), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [133209] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_LBRACK,
    ACTIONS(5165), 1,
      anon_sym_SEMI,
    ACTIONS(5155), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5158), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
    ACTIONS(5153), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [133268] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7826), 1,
      anon_sym___attribute__,
    ACTIONS(8045), 1,
      anon_sym_LBRACE,
    STATE(4687), 1,
      sym_enumerator_list,
    STATE(4836), 1,
      sym_attribute_specifier,
    ACTIONS(5909), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5911), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133329] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8087), 1,
      anon_sym_typedef,
    ACTIONS(3304), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3302), 42,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [133384] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    STATE(3698), 1,
      sym_attribute_specifier,
    STATE(4540), 1,
      sym_field_declaration_list,
    STATE(7713), 1,
      sym_virtual_specifier,
    STATE(8499), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5469), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5467), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [133453] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    ACTIONS(8089), 1,
      anon_sym_COLON,
    STATE(3599), 1,
      sym_attribute_specifier,
    STATE(4512), 1,
      sym__enum_base_clause,
    STATE(4531), 1,
      sym_enumerator_list,
    ACTIONS(6273), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6275), 35,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [133518] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    ACTIONS(8089), 1,
      anon_sym_COLON,
    STATE(3675), 1,
      sym_attribute_specifier,
    STATE(4464), 1,
      sym__enum_base_clause,
    STATE(4547), 1,
      sym_enumerator_list,
    ACTIONS(6263), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6265), 35,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [133583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5751), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133635] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7826), 1,
      anon_sym___attribute__,
    STATE(4828), 1,
      sym_attribute_specifier,
    ACTIONS(6001), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6003), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133691] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7587), 1,
      anon_sym_STAR,
    ACTIONS(7589), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7591), 1,
      anon_sym_AMP,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(7058), 1,
      sym__declarator,
    STATE(8775), 1,
      sym_ms_based_modifier,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [133777] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(5441), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_STAR,
    ACTIONS(7377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7379), 1,
      anon_sym_AMP,
    ACTIONS(7381), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(7251), 1,
      sym__declarator,
    STATE(8835), 1,
      sym_ms_based_modifier,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [133863] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7826), 1,
      anon_sym___attribute__,
    STATE(4815), 1,
      sym_attribute_specifier,
    ACTIONS(6117), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6119), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133919] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8093), 1,
      anon_sym___declspec,
    ACTIONS(8095), 1,
      sym_auto,
    ACTIONS(8097), 1,
      anon_sym_decltype,
    ACTIONS(8099), 1,
      anon_sym_virtual,
    ACTIONS(8101), 1,
      anon_sym_alignas,
    STATE(3753), 1,
      sym_decltype_auto,
    ACTIONS(6892), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6894), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8091), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4904), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [133997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7826), 1,
      anon_sym___attribute__,
    STATE(4813), 1,
      sym_attribute_specifier,
    ACTIONS(6091), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6093), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134053] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7540), 1,
      sym_identifier,
    ACTIONS(7542), 1,
      anon_sym_STAR,
    ACTIONS(7544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7546), 1,
      anon_sym_AMP,
    ACTIONS(7548), 1,
      anon_sym_COLON_COLON,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(7125), 1,
      sym__declarator,
    STATE(8664), 1,
      sym_ms_based_modifier,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [134139] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7826), 1,
      anon_sym___attribute__,
    STATE(4837), 1,
      sym_attribute_specifier,
    ACTIONS(6095), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6097), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2933), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2928), 42,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [134247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5695), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134299] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_COLON_COLON,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6860), 1,
      sym__declarator,
    STATE(8693), 1,
      sym_ms_based_modifier,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [134385] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7587), 1,
      anon_sym_STAR,
    ACTIONS(7589), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7591), 1,
      anon_sym_AMP,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(7060), 1,
      sym__declarator,
    STATE(8775), 1,
      sym_ms_based_modifier,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [134471] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(3246), 1,
      anon_sym_STAR,
    ACTIONS(3248), 1,
      anon_sym_AMP,
    ACTIONS(5441), 1,
      sym_identifier,
    ACTIONS(6631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    STATE(6411), 1,
      sym__scope_resolution,
    STATE(7128), 1,
      sym__declarator,
    STATE(9424), 1,
      sym_ms_based_modifier,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [134557] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(7975), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LPAREN2,
    ACTIONS(8057), 1,
      sym_auto,
    ACTIONS(8059), 1,
      anon_sym_decltype,
    STATE(2238), 1,
      sym_decltype_auto,
    STATE(4632), 1,
      sym_new_declarator,
    STATE(4553), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5787), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5789), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134625] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7826), 1,
      anon_sym___attribute__,
    STATE(4839), 1,
      sym_attribute_specifier,
    ACTIONS(6078), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6080), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134681] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7826), 1,
      anon_sym___attribute__,
    STATE(4844), 1,
      sym_attribute_specifier,
    ACTIONS(6013), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6015), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134737] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_COLON_COLON,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6809), 1,
      sym__declarator,
    STATE(8693), 1,
      sym_ms_based_modifier,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [134823] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7540), 1,
      sym_identifier,
    ACTIONS(7542), 1,
      anon_sym_STAR,
    ACTIONS(7544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7546), 1,
      anon_sym_AMP,
    ACTIONS(7548), 1,
      anon_sym_COLON_COLON,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(7079), 1,
      sym__declarator,
    STATE(8664), 1,
      sym_ms_based_modifier,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [134909] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_COLON_COLON,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6784), 1,
      sym__declarator,
    STATE(8693), 1,
      sym_ms_based_modifier,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [134995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5730), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5732), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5759), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5761), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135099] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7826), 1,
      anon_sym___attribute__,
    STATE(4842), 1,
      sym_attribute_specifier,
    ACTIONS(6009), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6011), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135155] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7540), 1,
      sym_identifier,
    ACTIONS(7542), 1,
      anon_sym_STAR,
    ACTIONS(7544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7546), 1,
      anon_sym_AMP,
    ACTIONS(7548), 1,
      anon_sym_COLON_COLON,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(7128), 1,
      sym__declarator,
    STATE(8664), 1,
      sym_ms_based_modifier,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [135241] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7587), 1,
      anon_sym_STAR,
    ACTIONS(7589), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7591), 1,
      anon_sym_AMP,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(7070), 1,
      sym__declarator,
    STATE(8775), 1,
      sym_ms_based_modifier,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [135327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5624), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5624), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135431] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7826), 1,
      anon_sym___attribute__,
    STATE(4847), 1,
      sym_attribute_specifier,
    ACTIONS(6068), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6070), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3178), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3176), 42,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [135539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5628), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135591] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7826), 1,
      anon_sym___attribute__,
    STATE(4835), 1,
      sym_attribute_specifier,
    ACTIONS(6005), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6007), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5741), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5743), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5763), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5765), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5624), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135803] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7826), 1,
      anon_sym___attribute__,
    STATE(4848), 1,
      sym_attribute_specifier,
    ACTIONS(6058), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6060), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5767), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5769), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5720), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5636), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5638), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5753), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5755), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5660), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3042), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3040), 42,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [136171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5779), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5781), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5726), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5728), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136275] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7385), 1,
      anon_sym_STAR,
    ACTIONS(7387), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7389), 1,
      anon_sym_AMP,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6854), 1,
      sym__declarator,
    STATE(8927), 1,
      sym_ms_based_modifier,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [136361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5644), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5646), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5724), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3513), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3511), 42,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [136517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5479), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5481), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5737), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5739), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136621] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7385), 1,
      anon_sym_STAR,
    ACTIONS(7387), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7389), 1,
      anon_sym_AMP,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6823), 1,
      sym__declarator,
    STATE(8927), 1,
      sym_ms_based_modifier,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [136707] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8093), 1,
      anon_sym___declspec,
    ACTIONS(8095), 1,
      sym_auto,
    ACTIONS(8097), 1,
      anon_sym_decltype,
    ACTIONS(8099), 1,
      anon_sym_virtual,
    ACTIONS(8101), 1,
      anon_sym_alignas,
    STATE(3753), 1,
      sym_decltype_auto,
    ACTIONS(6864), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6866), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8091), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4868), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [136785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5648), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5650), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136837] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(7975), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LPAREN2,
    ACTIONS(8057), 1,
      sym_auto,
    ACTIONS(8059), 1,
      anon_sym_decltype,
    STATE(2238), 1,
      sym_decltype_auto,
    STATE(4628), 1,
      sym_new_declarator,
    STATE(4579), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5833), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5835), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136905] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(7975), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LPAREN2,
    ACTIONS(8057), 1,
      sym_auto,
    ACTIONS(8059), 1,
      anon_sym_decltype,
    STATE(2238), 1,
      sym_decltype_auto,
    STATE(4634), 1,
      sym_new_declarator,
    STATE(4575), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5829), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5831), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136973] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(7975), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LPAREN2,
    ACTIONS(8057), 1,
      sym_auto,
    ACTIONS(8059), 1,
      anon_sym_decltype,
    STATE(2238), 1,
      sym_decltype_auto,
    STATE(4607), 1,
      sym_new_declarator,
    STATE(4522), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5841), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5843), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [137041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8105), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8103), 42,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [137093] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7826), 1,
      anon_sym___attribute__,
    STATE(4796), 1,
      sym_attribute_specifier,
    ACTIONS(6111), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6113), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [137149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3038), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3036), 42,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [137201] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7826), 1,
      anon_sym___attribute__,
    STATE(4789), 1,
      sym_attribute_specifier,
    ACTIONS(6074), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6076), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [137257] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(8107), 1,
      anon_sym_COLON,
    STATE(3102), 1,
      sym__enum_base_clause,
    STATE(3145), 1,
      sym_enumerator_list,
    STATE(3293), 1,
      sym_attribute_specifier,
    ACTIONS(6263), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6265), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [137321] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(5441), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_STAR,
    ACTIONS(7377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7379), 1,
      anon_sym_AMP,
    ACTIONS(7381), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(7267), 1,
      sym__declarator,
    STATE(8835), 1,
      sym_ms_based_modifier,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [137407] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(8107), 1,
      anon_sym_COLON,
    STATE(3088), 1,
      sym__enum_base_clause,
    STATE(3173), 1,
      sym_enumerator_list,
    STATE(3300), 1,
      sym_attribute_specifier,
    ACTIONS(6273), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6275), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [137471] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(5441), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_STAR,
    ACTIONS(7377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7379), 1,
      anon_sym_AMP,
    ACTIONS(7381), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(7276), 1,
      sym__declarator,
    STATE(8835), 1,
      sym_ms_based_modifier,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [137557] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7385), 1,
      anon_sym_STAR,
    ACTIONS(7387), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7389), 1,
      anon_sym_AMP,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6782), 1,
      sym__declarator,
    STATE(8927), 1,
      sym_ms_based_modifier,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [137643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3164), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3162), 42,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [137695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3170), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3168), 42,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [137747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5676), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [137799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5699), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5701), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [137851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5708), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [137903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5678), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5680), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [137955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5712), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [138007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5716), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [138059] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(3246), 1,
      anon_sym_STAR,
    ACTIONS(3248), 1,
      anon_sym_AMP,
    ACTIONS(5441), 1,
      sym_identifier,
    ACTIONS(6631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    STATE(6411), 1,
      sym__scope_resolution,
    STATE(7079), 1,
      sym__declarator,
    STATE(9424), 1,
      sym_ms_based_modifier,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [138145] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(3246), 1,
      anon_sym_STAR,
    ACTIONS(3248), 1,
      anon_sym_AMP,
    ACTIONS(5441), 1,
      sym_identifier,
    ACTIONS(6631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    STATE(6411), 1,
      sym__scope_resolution,
    STATE(7125), 1,
      sym__declarator,
    STATE(9424), 1,
      sym_ms_based_modifier,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [138231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5660), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [138283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5668), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [138335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5664), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [138387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5640), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5642), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [138438] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3929), 1,
      anon_sym_LBRACE,
    ACTIONS(6883), 1,
      sym_auto,
    ACTIONS(6885), 1,
      anon_sym_decltype,
    ACTIONS(8109), 1,
      anon_sym_LPAREN2,
    ACTIONS(8111), 1,
      anon_sym_LBRACK,
    STATE(3302), 1,
      sym_decltype_auto,
    STATE(5139), 1,
      sym_new_declarator,
    STATE(5452), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5787), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5789), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [138505] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8119), 1,
      anon_sym_SLASH,
    ACTIONS(8121), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8127), 1,
      anon_sym_CARET,
    ACTIONS(8135), 1,
      anon_sym_GT_EQ,
    ACTIONS(8139), 1,
      anon_sym_QMARK,
    ACTIONS(8141), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8143), 1,
      anon_sym_or,
    ACTIONS(8145), 1,
      anon_sym_and,
    ACTIONS(8147), 1,
      anon_sym_xor,
    ACTIONS(8149), 1,
      anon_sym_not_eq,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6840), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8115), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8117), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8125), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8129), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8131), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8137), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8133), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6842), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [138608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5461), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [138659] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8119), 1,
      anon_sym_SLASH,
    ACTIONS(8141), 1,
      anon_sym_LT_EQ_GT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8115), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8117), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8137), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6353), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6355), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
  [138734] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8119), 1,
      anon_sym_SLASH,
    ACTIONS(8121), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8127), 1,
      anon_sym_CARET,
    ACTIONS(8135), 1,
      anon_sym_GT_EQ,
    ACTIONS(8141), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8143), 1,
      anon_sym_or,
    ACTIONS(8145), 1,
      anon_sym_and,
    ACTIONS(8147), 1,
      anon_sym_xor,
    ACTIONS(8149), 1,
      anon_sym_not_eq,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6834), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8115), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8117), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8125), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8129), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8131), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8137), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8133), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6836), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [138833] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8119), 1,
      anon_sym_SLASH,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8117), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6353), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6355), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [138902] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8119), 1,
      anon_sym_SLASH,
    ACTIONS(8123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8127), 1,
      anon_sym_CARET,
    ACTIONS(8135), 1,
      anon_sym_GT_EQ,
    ACTIONS(8141), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8145), 1,
      anon_sym_and,
    ACTIONS(8147), 1,
      anon_sym_xor,
    ACTIONS(8149), 1,
      anon_sym_not_eq,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8115), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8117), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8125), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8129), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8131), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8137), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6353), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      sym_identifier,
    ACTIONS(8133), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
  [138997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6621), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6623), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [139048] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8065), 1,
      sym_auto,
    ACTIONS(8067), 1,
      anon_sym_decltype,
    STATE(4814), 1,
      sym_decltype_auto,
    ACTIONS(5612), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5614), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [139105] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8119), 1,
      anon_sym_SLASH,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8115), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8117), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6353), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6355), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [139176] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(4557), 1,
      anon_sym_LPAREN2,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6223), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_STAR,
    ACTIONS(8151), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8155), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8157), 1,
      anon_sym_AMP,
    ACTIONS(8159), 1,
      anon_sym_EQ,
    STATE(4437), 1,
      sym_parameter_list,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7158), 1,
      sym__declarator,
    STATE(7336), 1,
      sym__abstract_declarator,
    STATE(7453), 1,
      sym_abstract_reference_declarator,
    STATE(7976), 1,
      sym_variadic_declarator,
    STATE(7977), 1,
      sym_variadic_reference_declarator,
    STATE(8775), 1,
      sym_ms_based_modifier,
    ACTIONS(8153), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [139277] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8119), 1,
      anon_sym_SLASH,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8115), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8117), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8137), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6353), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6355), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [139350] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8119), 1,
      anon_sym_SLASH,
    ACTIONS(8127), 1,
      anon_sym_CARET,
    ACTIONS(8135), 1,
      anon_sym_GT_EQ,
    ACTIONS(8141), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8147), 1,
      anon_sym_xor,
    ACTIONS(8149), 1,
      anon_sym_not_eq,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8115), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8117), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8125), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8129), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8131), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8137), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8133), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 4,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6355), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [139441] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8119), 1,
      anon_sym_SLASH,
    ACTIONS(8121), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8127), 1,
      anon_sym_CARET,
    ACTIONS(8135), 1,
      anon_sym_GT_EQ,
    ACTIONS(8139), 1,
      anon_sym_QMARK,
    ACTIONS(8141), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8143), 1,
      anon_sym_or,
    ACTIONS(8145), 1,
      anon_sym_and,
    ACTIONS(8147), 1,
      anon_sym_xor,
    ACTIONS(8149), 1,
      anon_sym_not_eq,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6660), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8115), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8117), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8125), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8129), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8131), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8137), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8133), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6662), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [139544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6570), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6572), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [139595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5479), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5481), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [139648] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8119), 1,
      anon_sym_SLASH,
    ACTIONS(8121), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8127), 1,
      anon_sym_CARET,
    ACTIONS(8135), 1,
      anon_sym_GT_EQ,
    ACTIONS(8141), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8143), 1,
      anon_sym_or,
    ACTIONS(8145), 1,
      anon_sym_and,
    ACTIONS(8147), 1,
      anon_sym_xor,
    ACTIONS(8149), 1,
      anon_sym_not_eq,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6823), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8115), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8117), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8125), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8129), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8131), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8137), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8133), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6825), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [139747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5747), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [139798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6581), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6583), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [139849] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8161), 1,
      sym_identifier,
    STATE(4810), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5243), 1,
      sym_primitive_type,
    ACTIONS(7937), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8163), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5555), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5557), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [139910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5785), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [139961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6589), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6591), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [140012] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8119), 1,
      anon_sym_SLASH,
    ACTIONS(8121), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8127), 1,
      anon_sym_CARET,
    ACTIONS(8135), 1,
      anon_sym_GT_EQ,
    ACTIONS(8139), 1,
      anon_sym_QMARK,
    ACTIONS(8141), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8143), 1,
      anon_sym_or,
    ACTIONS(8145), 1,
      anon_sym_and,
    ACTIONS(8147), 1,
      anon_sym_xor,
    ACTIONS(8149), 1,
      anon_sym_not_eq,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8115), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8117), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8125), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8129), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8131), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8137), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8165), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8133), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8167), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [140115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5771), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5773), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [140166] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5116), 1,
      anon_sym_LBRACK,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(4908), 1,
      sym_template_argument_list,
    ACTIONS(5109), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5112), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(5105), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [140227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5775), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5777), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [140278] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3929), 1,
      anon_sym_LBRACE,
    ACTIONS(6883), 1,
      sym_auto,
    ACTIONS(6885), 1,
      anon_sym_decltype,
    ACTIONS(8109), 1,
      anon_sym_LPAREN2,
    ACTIONS(8111), 1,
      anon_sym_LBRACK,
    STATE(3302), 1,
      sym_decltype_auto,
    STATE(4998), 1,
      sym_new_declarator,
    STATE(5455), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5841), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5843), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [140345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5652), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5654), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [140396] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(4557), 1,
      anon_sym_LPAREN2,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6215), 1,
      anon_sym_STAR,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_AMP,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6223), 1,
      anon_sym_LBRACK,
    ACTIONS(8151), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(3819), 1,
      sym_parameter_list,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7028), 1,
      sym__declarator,
    STATE(7078), 1,
      sym__abstract_declarator,
    STATE(7884), 1,
      sym_variadic_declarator,
    STATE(8775), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8169), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [140491] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(4557), 1,
      anon_sym_LPAREN2,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6223), 1,
      anon_sym_LBRACK,
    ACTIONS(6421), 1,
      anon_sym_STAR,
    ACTIONS(8151), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8155), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8157), 1,
      anon_sym_AMP,
    ACTIONS(8171), 1,
      anon_sym_EQ,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7138), 1,
      sym__declarator,
    STATE(7381), 1,
      sym__abstract_declarator,
    STATE(7429), 1,
      sym_abstract_reference_declarator,
    STATE(7976), 1,
      sym_variadic_declarator,
    STATE(7977), 1,
      sym_variadic_reference_declarator,
    STATE(8775), 1,
      sym_ms_based_modifier,
    ACTIONS(8153), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [140592] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3929), 1,
      anon_sym_LBRACE,
    ACTIONS(6883), 1,
      sym_auto,
    ACTIONS(6885), 1,
      anon_sym_decltype,
    ACTIONS(8109), 1,
      anon_sym_LPAREN2,
    ACTIONS(8111), 1,
      anon_sym_LBRACK,
    STATE(3302), 1,
      sym_decltype_auto,
    STATE(5140), 1,
      sym_new_declarator,
    STATE(5462), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5829), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5831), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [140659] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8119), 1,
      anon_sym_SLASH,
    ACTIONS(8127), 1,
      anon_sym_CARET,
    ACTIONS(8135), 1,
      anon_sym_GT_EQ,
    ACTIONS(8141), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8147), 1,
      anon_sym_xor,
    ACTIONS(8149), 1,
      anon_sym_not_eq,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8115), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8117), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8129), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8131), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8137), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8133), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6355), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [140748] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8119), 1,
      anon_sym_SLASH,
    ACTIONS(8121), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8127), 1,
      anon_sym_CARET,
    ACTIONS(8135), 1,
      anon_sym_GT_EQ,
    ACTIONS(8141), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8143), 1,
      anon_sym_or,
    ACTIONS(8145), 1,
      anon_sym_and,
    ACTIONS(8147), 1,
      anon_sym_xor,
    ACTIONS(8149), 1,
      anon_sym_not_eq,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6827), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8115), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8117), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8125), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8129), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8131), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8137), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8133), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6829), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [140847] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5107), 1,
      anon_sym_SEMI,
    ACTIONS(5116), 1,
      anon_sym_LBRACK,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(4654), 1,
      sym_template_argument_list,
    ACTIONS(5109), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5112), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5105), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [140910] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8119), 1,
      anon_sym_SLASH,
    ACTIONS(8135), 1,
      anon_sym_GT_EQ,
    ACTIONS(8141), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8149), 1,
      anon_sym_not_eq,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8115), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8117), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8129), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8131), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8137), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8133), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6355), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [140995] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8119), 1,
      anon_sym_SLASH,
    ACTIONS(8135), 1,
      anon_sym_GT_EQ,
    ACTIONS(8141), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8149), 1,
      anon_sym_not_eq,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8115), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8117), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8131), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8137), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8133), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6355), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [141078] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8119), 1,
      anon_sym_SLASH,
    ACTIONS(8121), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8127), 1,
      anon_sym_CARET,
    ACTIONS(8135), 1,
      anon_sym_GT_EQ,
    ACTIONS(8139), 1,
      anon_sym_QMARK,
    ACTIONS(8141), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8143), 1,
      anon_sym_or,
    ACTIONS(8145), 1,
      anon_sym_and,
    ACTIONS(8147), 1,
      anon_sym_xor,
    ACTIONS(8149), 1,
      anon_sym_not_eq,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6785), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8115), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8117), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8125), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8129), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8131), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8137), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8133), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6789), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [141181] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3929), 1,
      anon_sym_LBRACE,
    ACTIONS(6883), 1,
      sym_auto,
    ACTIONS(6885), 1,
      anon_sym_decltype,
    ACTIONS(8109), 1,
      anon_sym_LPAREN2,
    ACTIONS(8111), 1,
      anon_sym_LBRACK,
    STATE(3302), 1,
      sym_decltype_auto,
    STATE(5022), 1,
      sym_new_declarator,
    STATE(5488), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5833), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5835), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [141248] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8119), 1,
      anon_sym_SLASH,
    ACTIONS(8135), 1,
      anon_sym_GT_EQ,
    ACTIONS(8141), 1,
      anon_sym_LT_EQ_GT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8115), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8117), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8137), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8133), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6355), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
  [141327] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8119), 1,
      anon_sym_SLASH,
    ACTIONS(8121), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8127), 1,
      anon_sym_CARET,
    ACTIONS(8135), 1,
      anon_sym_GT_EQ,
    ACTIONS(8141), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8143), 1,
      anon_sym_or,
    ACTIONS(8145), 1,
      anon_sym_and,
    ACTIONS(8147), 1,
      anon_sym_xor,
    ACTIONS(8149), 1,
      anon_sym_not_eq,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6846), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8115), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8117), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8125), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8129), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8131), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8137), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8133), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6848), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [141426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5726), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5728), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [141476] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8095), 1,
      sym_auto,
    ACTIONS(8097), 1,
      anon_sym_decltype,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8177), 1,
      anon_sym_STAR,
    ACTIONS(8179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    STATE(3753), 1,
      sym_decltype_auto,
    STATE(4200), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6707), 1,
      sym__abstract_declarator,
    STATE(5097), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8173), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [141554] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8185), 1,
      anon_sym_STAR,
    ACTIONS(8187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8189), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      sym_auto,
    ACTIONS(8193), 1,
      anon_sym_decltype,
    STATE(4265), 1,
      sym_parameter_list,
    STATE(5649), 1,
      sym_decltype_auto,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6737), 1,
      sym__abstract_declarator,
    STATE(4985), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8173), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [141632] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8191), 1,
      sym_auto,
    ACTIONS(8193), 1,
      anon_sym_decltype,
    ACTIONS(8197), 1,
      anon_sym_STAR,
    ACTIONS(8199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8201), 1,
      anon_sym_AMP,
    STATE(4127), 1,
      sym_parameter_list,
    STATE(5649), 1,
      sym_decltype_auto,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6729), 1,
      sym__abstract_declarator,
    STATE(4992), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8195), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [141710] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    STATE(4577), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6167), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6169), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [141766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5479), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5481), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [141816] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8203), 1,
      sym_identifier,
    ACTIONS(8205), 1,
      anon_sym_LPAREN2,
    ACTIONS(8207), 1,
      anon_sym_STAR,
    STATE(3356), 1,
      sym__type_declarator,
    STATE(3837), 1,
      sym_pointer_type_declarator,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9083), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5602), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5729), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8215), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8213), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3833), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [141894] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8217), 1,
      sym_identifier,
    ACTIONS(8219), 1,
      anon_sym_LPAREN2,
    ACTIONS(8221), 1,
      anon_sym_STAR,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6713), 1,
      sym__type_declarator,
    STATE(6926), 1,
      sym_pointer_type_declarator,
    STATE(8793), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5601), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5729), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8223), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6924), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [141972] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8225), 1,
      sym_identifier,
    ACTIONS(8227), 1,
      anon_sym_LPAREN2,
    ACTIONS(8229), 1,
      anon_sym_STAR,
    STATE(3130), 1,
      sym__type_declarator,
    STATE(3419), 1,
      sym_pointer_type_declarator,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9465), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5608), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5729), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8233), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8231), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3418), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [142050] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8235), 1,
      sym_identifier,
    ACTIONS(8237), 1,
      anon_sym_LPAREN2,
    ACTIONS(8239), 1,
      anon_sym_STAR,
    STATE(3456), 1,
      sym__type_declarator,
    STATE(4114), 1,
      sym_pointer_type_declarator,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9012), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5610), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5729), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8243), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8241), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3903), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [142128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5624), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5741), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5743), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142228] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8235), 1,
      sym_identifier,
    ACTIONS(8237), 1,
      anon_sym_LPAREN2,
    ACTIONS(8239), 1,
      anon_sym_STAR,
    STATE(3456), 1,
      sym__type_declarator,
    STATE(4114), 1,
      sym_pointer_type_declarator,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9012), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4851), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5610), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8243), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8241), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3903), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [142306] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3719), 1,
      anon_sym_LBRACE,
    ACTIONS(8061), 1,
      anon_sym_LPAREN2,
    STATE(5014), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6145), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6147), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142362] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8225), 1,
      sym_identifier,
    ACTIONS(8227), 1,
      anon_sym_LPAREN2,
    ACTIONS(8229), 1,
      anon_sym_STAR,
    STATE(3176), 1,
      sym__type_declarator,
    STATE(3419), 1,
      sym_pointer_type_declarator,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9465), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4857), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8233), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8231), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3418), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [142440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5751), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142490] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8249), 1,
      anon_sym_STAR,
    STATE(2672), 1,
      sym__type_declarator,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8908), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4825), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5598), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8253), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [142568] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8249), 1,
      anon_sym_STAR,
    STATE(2672), 1,
      sym__type_declarator,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8908), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5598), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5729), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8253), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [142646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5724), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142696] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8217), 1,
      sym_identifier,
    ACTIONS(8219), 1,
      anon_sym_LPAREN2,
    ACTIONS(8255), 1,
      anon_sym_STAR,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6926), 1,
      sym_pointer_type_declarator,
    STATE(6962), 1,
      sym__type_declarator,
    STATE(9227), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4821), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5613), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7937), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8223), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6924), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [142774] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7053), 1,
      sym__type_declarator,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5589), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5729), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [142852] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8185), 1,
      anon_sym_STAR,
    ACTIONS(8187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8189), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      sym_auto,
    ACTIONS(8193), 1,
      anon_sym_decltype,
    STATE(4265), 1,
      sym_parameter_list,
    STATE(5649), 1,
      sym_decltype_auto,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6747), 1,
      sym__abstract_declarator,
    STATE(4995), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8195), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [142930] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    STATE(4545), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6157), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6159), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5682), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5684), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6858), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6860), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5624), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5624), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5753), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5755), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143236] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8217), 1,
      sym_identifier,
    ACTIONS(8219), 1,
      anon_sym_LPAREN2,
    ACTIONS(8221), 1,
      anon_sym_STAR,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6751), 1,
      sym__type_declarator,
    STATE(6926), 1,
      sym_pointer_type_declarator,
    STATE(8793), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4785), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5594), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8223), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6924), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [143314] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8235), 1,
      sym_identifier,
    ACTIONS(8237), 1,
      anon_sym_LPAREN2,
    ACTIONS(8239), 1,
      anon_sym_STAR,
    STATE(3447), 1,
      sym__type_declarator,
    STATE(4114), 1,
      sym_pointer_type_declarator,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9012), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4787), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5580), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8243), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8241), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3903), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [143392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 1,
      sym_literal_suffix,
    ACTIONS(4454), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4446), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143444] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    STATE(4527), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6145), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6147), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143500] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4820), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5374), 4,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(8259), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5630), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5633), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [143556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6876), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6878), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143606] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8262), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7330), 1,
      sym__type_declarator,
    STATE(9077), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5591), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5729), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8253), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [143684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5759), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5761), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5676), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5730), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5732), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143834] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    STATE(4552), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6225), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6227), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143890] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8191), 1,
      sym_auto,
    ACTIONS(8193), 1,
      anon_sym_decltype,
    ACTIONS(8197), 1,
      anon_sym_STAR,
    ACTIONS(8199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8201), 1,
      anon_sym_AMP,
    STATE(4127), 1,
      sym_parameter_list,
    STATE(5649), 1,
      sym_decltype_auto,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6721), 1,
      sym__abstract_declarator,
    STATE(5021), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8173), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [143968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5699), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5701), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5708), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144068] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4820), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8259), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5376), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5374), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [144122] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8217), 1,
      sym_identifier,
    ACTIONS(8219), 1,
      anon_sym_LPAREN2,
    ACTIONS(8255), 1,
      anon_sym_STAR,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6926), 1,
      sym_pointer_type_declarator,
    STATE(6976), 1,
      sym__type_declarator,
    STATE(9227), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5603), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5729), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7937), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8223), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6924), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [144200] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8217), 1,
      sym_identifier,
    ACTIONS(8219), 1,
      anon_sym_LPAREN2,
    ACTIONS(8221), 1,
      anon_sym_STAR,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6739), 1,
      sym__type_declarator,
    STATE(6926), 1,
      sym_pointer_type_declarator,
    STATE(8793), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4824), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5609), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8223), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6924), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [144278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5712), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144328] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8217), 1,
      sym_identifier,
    ACTIONS(8219), 1,
      anon_sym_LPAREN2,
    ACTIONS(8221), 1,
      anon_sym_STAR,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6751), 1,
      sym__type_declarator,
    STATE(6926), 1,
      sym_pointer_type_declarator,
    STATE(8793), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5594), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5729), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8223), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6924), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [144406] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8249), 1,
      anon_sym_STAR,
    STATE(2658), 1,
      sym__type_declarator,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8908), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5585), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5729), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8253), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [144484] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3719), 1,
      anon_sym_LBRACE,
    ACTIONS(8061), 1,
      anon_sym_LPAREN2,
    STATE(5032), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6225), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6227), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5479), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5481), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5628), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5636), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5638), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5695), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144740] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8095), 1,
      sym_auto,
    ACTIONS(8097), 1,
      anon_sym_decltype,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8177), 1,
      anon_sym_STAR,
    ACTIONS(8179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    STATE(3753), 1,
      sym_decltype_auto,
    STATE(4200), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6714), 1,
      sym__abstract_declarator,
    STATE(5039), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8195), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [144818] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8217), 1,
      sym_identifier,
    ACTIONS(8219), 1,
      anon_sym_LPAREN2,
    ACTIONS(8255), 1,
      anon_sym_STAR,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6926), 1,
      sym_pointer_type_declarator,
    STATE(6958), 1,
      sym__type_declarator,
    STATE(9227), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5564), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5729), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7937), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8223), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6924), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [144896] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8217), 1,
      sym_identifier,
    ACTIONS(8219), 1,
      anon_sym_LPAREN2,
    ACTIONS(8255), 1,
      anon_sym_STAR,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6926), 1,
      sym_pointer_type_declarator,
    STATE(6976), 1,
      sym__type_declarator,
    STATE(9227), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4832), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5603), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7937), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8223), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6924), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [144974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5763), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5765), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5644), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5646), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5648), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5650), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5767), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5769), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145174] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8203), 1,
      sym_identifier,
    ACTIONS(8205), 1,
      anon_sym_LPAREN2,
    ACTIONS(8207), 1,
      anon_sym_STAR,
    STATE(3343), 1,
      sym__type_declarator,
    STATE(3837), 1,
      sym_pointer_type_declarator,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9083), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4852), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5568), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8215), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8213), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3833), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [145252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5720), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145302] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8225), 1,
      sym_identifier,
    ACTIONS(8227), 1,
      anon_sym_LPAREN2,
    ACTIONS(8229), 1,
      anon_sym_STAR,
    STATE(3109), 1,
      sym__type_declarator,
    STATE(3419), 1,
      sym_pointer_type_declarator,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9465), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4786), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5576), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8233), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8231), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3418), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [145380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5660), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5664), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145480] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8249), 1,
      anon_sym_STAR,
    STATE(2646), 1,
      sym__type_declarator,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8908), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4795), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5592), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8253), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [145558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5668), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145608] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3719), 1,
      anon_sym_LBRACE,
    ACTIONS(8061), 1,
      anon_sym_LPAREN2,
    STATE(4997), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6157), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6159), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5660), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5779), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5781), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5737), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5739), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145814] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7030), 1,
      sym__type_declarator,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4854), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5561), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [145892] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    ACTIONS(8264), 1,
      anon_sym_COLON,
    STATE(3599), 1,
      sym_attribute_specifier,
    STATE(4355), 1,
      sym__enum_base_clause,
    STATE(4588), 1,
      sym_enumerator_list,
    ACTIONS(6275), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6273), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [145954] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8235), 1,
      sym_identifier,
    ACTIONS(8237), 1,
      anon_sym_LPAREN2,
    ACTIONS(8239), 1,
      anon_sym_STAR,
    STATE(3492), 1,
      sym__type_declarator,
    STATE(4114), 1,
      sym_pointer_type_declarator,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9012), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5606), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5729), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8243), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8241), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3903), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [146032] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8203), 1,
      sym_identifier,
    ACTIONS(8205), 1,
      anon_sym_LPAREN2,
    ACTIONS(8207), 1,
      anon_sym_STAR,
    STATE(3353), 1,
      sym__type_declarator,
    STATE(3837), 1,
      sym_pointer_type_declarator,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9083), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5617), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5729), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8215), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8213), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3833), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [146110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5678), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5680), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [146160] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7019), 1,
      sym__type_declarator,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5575), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5729), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [146238] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7019), 1,
      sym__type_declarator,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4798), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5575), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [146316] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8262), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7316), 1,
      sym__type_declarator,
    STATE(9077), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4812), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5586), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8253), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [146394] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8225), 1,
      sym_identifier,
    ACTIONS(8227), 1,
      anon_sym_LPAREN2,
    ACTIONS(8229), 1,
      anon_sym_STAR,
    STATE(3109), 1,
      sym__type_declarator,
    STATE(3419), 1,
      sym_pointer_type_declarator,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9465), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5576), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5729), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8233), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8231), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3418), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [146472] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8262), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7316), 1,
      sym__type_declarator,
    STATE(9077), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5586), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5729), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8253), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [146550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5716), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [146600] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    ACTIONS(8264), 1,
      anon_sym_COLON,
    STATE(3675), 1,
      sym_attribute_specifier,
    STATE(4300), 1,
      sym__enum_base_clause,
    STATE(4524), 1,
      sym_enumerator_list,
    ACTIONS(6265), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6263), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [146662] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8262), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7293), 1,
      sym__type_declarator,
    STATE(9077), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4858), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5573), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8253), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [146740] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 1,
      sym_literal_suffix,
    ACTIONS(5804), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5806), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [146792] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3719), 1,
      anon_sym_LBRACE,
    ACTIONS(8061), 1,
      anon_sym_LPAREN2,
    STATE(5009), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6167), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6169), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [146848] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8203), 1,
      sym_identifier,
    ACTIONS(8205), 1,
      anon_sym_LPAREN2,
    ACTIONS(8207), 1,
      anon_sym_STAR,
    STATE(3353), 1,
      sym__type_declarator,
    STATE(3837), 1,
      sym_pointer_type_declarator,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9083), 1,
      sym_ms_based_modifier,
    ACTIONS(8211), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4784), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5617), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8215), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8213), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3833), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [146926] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6840), 1,
      sym_identifier,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(8266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8272), 1,
      anon_sym_SLASH,
    ACTIONS(8274), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8280), 1,
      anon_sym_CARET,
    ACTIONS(8288), 1,
      anon_sym_GT_EQ,
    ACTIONS(8292), 1,
      anon_sym_QMARK,
    ACTIONS(8294), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8296), 1,
      anon_sym_or,
    ACTIONS(8298), 1,
      anon_sym_and,
    ACTIONS(8300), 1,
      anon_sym_xor,
    ACTIONS(8302), 1,
      anon_sym_not_eq,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8268), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8270), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8278), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8282), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8284), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8286), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6842), 4,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [147027] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8306), 1,
      anon_sym_STAR,
    ACTIONS(8308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8310), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(8316), 1,
      sym_auto,
    ACTIONS(8318), 1,
      anon_sym_decltype,
    STATE(3885), 1,
      sym_parameter_list,
    STATE(5838), 1,
      sym_decltype_auto,
    STATE(6775), 1,
      sym__abstract_declarator,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(5166), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8195), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [147104] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6389), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6391), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [147167] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8093), 1,
      anon_sym___declspec,
    ACTIONS(8099), 1,
      anon_sym_virtual,
    ACTIONS(8101), 1,
      anon_sym_alignas,
    ACTIONS(7202), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(7204), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8091), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4891), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [147236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6858), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6860), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147285] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6381), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6383), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [147348] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6823), 1,
      sym_identifier,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(8272), 1,
      anon_sym_SLASH,
    ACTIONS(8274), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8280), 1,
      anon_sym_CARET,
    ACTIONS(8288), 1,
      anon_sym_GT_EQ,
    ACTIONS(8294), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8296), 1,
      anon_sym_or,
    ACTIONS(8298), 1,
      anon_sym_and,
    ACTIONS(8300), 1,
      anon_sym_xor,
    ACTIONS(8302), 1,
      anon_sym_not_eq,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8268), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8270), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8278), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8282), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8284), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8286), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6825), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
  [147445] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6353), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6355), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [147508] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(8165), 1,
      sym_identifier,
    ACTIONS(8266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8272), 1,
      anon_sym_SLASH,
    ACTIONS(8274), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8280), 1,
      anon_sym_CARET,
    ACTIONS(8288), 1,
      anon_sym_GT_EQ,
    ACTIONS(8292), 1,
      anon_sym_QMARK,
    ACTIONS(8294), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8296), 1,
      anon_sym_or,
    ACTIONS(8298), 1,
      anon_sym_and,
    ACTIONS(8300), 1,
      anon_sym_xor,
    ACTIONS(8302), 1,
      anon_sym_not_eq,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8268), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8270), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8278), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8282), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8284), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8286), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8167), 4,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [147609] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(8326), 1,
      anon_sym_SLASH,
    ACTIONS(8332), 1,
      anon_sym_PIPE,
    ACTIONS(8336), 1,
      anon_sym_AMP,
    ACTIONS(8342), 1,
      anon_sym_GT_EQ,
    ACTIONS(8346), 1,
      anon_sym_SEMI,
    ACTIONS(8348), 1,
      anon_sym_QMARK,
    ACTIONS(8350), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8352), 1,
      anon_sym_bitor,
    ACTIONS(8354), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7410), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8819), 1,
      sym_attribute_specifier,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8322), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8330), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8334), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8338), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147712] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6357), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6359), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [147773] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(8326), 1,
      anon_sym_SLASH,
    ACTIONS(8332), 1,
      anon_sym_PIPE,
    ACTIONS(8336), 1,
      anon_sym_AMP,
    ACTIONS(8342), 1,
      anon_sym_GT_EQ,
    ACTIONS(8348), 1,
      anon_sym_QMARK,
    ACTIONS(8350), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8352), 1,
      anon_sym_bitor,
    ACTIONS(8354), 1,
      anon_sym_bitand,
    ACTIONS(8356), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7434), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8700), 1,
      sym_attribute_specifier,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8322), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8330), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8334), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8338), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147876] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6827), 1,
      sym_identifier,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(8272), 1,
      anon_sym_SLASH,
    ACTIONS(8274), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8280), 1,
      anon_sym_CARET,
    ACTIONS(8288), 1,
      anon_sym_GT_EQ,
    ACTIONS(8294), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8296), 1,
      anon_sym_or,
    ACTIONS(8298), 1,
      anon_sym_and,
    ACTIONS(8300), 1,
      anon_sym_xor,
    ACTIONS(8302), 1,
      anon_sym_not_eq,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8268), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8270), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8278), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8282), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8284), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8286), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6829), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
  [147973] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(4557), 1,
      anon_sym_LPAREN2,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6215), 1,
      anon_sym_STAR,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_AMP,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6223), 1,
      anon_sym_LBRACK,
    STATE(3819), 1,
      sym_parameter_list,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7028), 1,
      sym__declarator,
    STATE(7078), 1,
      sym__abstract_declarator,
    STATE(8775), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8169), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [148062] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6785), 1,
      sym_identifier,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(8266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8272), 1,
      anon_sym_SLASH,
    ACTIONS(8274), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8280), 1,
      anon_sym_CARET,
    ACTIONS(8288), 1,
      anon_sym_GT_EQ,
    ACTIONS(8292), 1,
      anon_sym_QMARK,
    ACTIONS(8294), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8296), 1,
      anon_sym_or,
    ACTIONS(8298), 1,
      anon_sym_and,
    ACTIONS(8300), 1,
      anon_sym_xor,
    ACTIONS(8302), 1,
      anon_sym_not_eq,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8268), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8270), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8278), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8282), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8284), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8286), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6789), 4,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [148163] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(8272), 1,
      anon_sym_SLASH,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8268), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8270), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6353), 12,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6355), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [148234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8063), 1,
      anon_sym_LBRACK,
    STATE(4947), 1,
      sym_new_declarator,
    ACTIONS(6281), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6283), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148287] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(8272), 1,
      anon_sym_SLASH,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8268), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8270), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6353), 12,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6355), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [148356] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6846), 1,
      sym_identifier,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(8272), 1,
      anon_sym_SLASH,
    ACTIONS(8274), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8280), 1,
      anon_sym_CARET,
    ACTIONS(8288), 1,
      anon_sym_GT_EQ,
    ACTIONS(8294), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8296), 1,
      anon_sym_or,
    ACTIONS(8298), 1,
      anon_sym_and,
    ACTIONS(8300), 1,
      anon_sym_xor,
    ACTIONS(8302), 1,
      anon_sym_not_eq,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8268), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8270), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8278), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8282), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8284), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8286), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6848), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
  [148453] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(8326), 1,
      anon_sym_SLASH,
    ACTIONS(8332), 1,
      anon_sym_PIPE,
    ACTIONS(8336), 1,
      anon_sym_AMP,
    ACTIONS(8342), 1,
      anon_sym_GT_EQ,
    ACTIONS(8348), 1,
      anon_sym_QMARK,
    ACTIONS(8350), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8352), 1,
      anon_sym_bitor,
    ACTIONS(8354), 1,
      anon_sym_bitand,
    ACTIONS(8358), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7459), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8934), 1,
      sym_attribute_specifier,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8322), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8330), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8334), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8338), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5160), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5165), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148607] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(8272), 1,
      anon_sym_SLASH,
    ACTIONS(8294), 1,
      anon_sym_LT_EQ_GT,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8268), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8270), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6353), 12,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6355), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
  [148680] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6437), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6439), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [148741] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(8272), 1,
      anon_sym_SLASH,
    ACTIONS(8288), 1,
      anon_sym_GT_EQ,
    ACTIONS(8294), 1,
      anon_sym_LT_EQ_GT,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8268), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8270), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8286), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 9,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6355), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
  [148818] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(8272), 1,
      anon_sym_SLASH,
    ACTIONS(8288), 1,
      anon_sym_GT_EQ,
    ACTIONS(8294), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8302), 1,
      anon_sym_not_eq,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8268), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8270), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8284), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8286), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 8,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6355), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [148899] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8362), 1,
      anon_sym_and,
    ACTIONS(5990), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5992), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148952] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_const,
    ACTIONS(7337), 1,
      anon_sym___inline,
    ACTIONS(8370), 1,
      anon_sym___attribute__,
    ACTIONS(8373), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8376), 1,
      anon_sym___declspec,
    ACTIONS(8379), 1,
      anon_sym_virtual,
    ACTIONS(8382), 1,
      anon_sym_alignas,
    ACTIONS(7134), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(7136), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8367), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4891), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(8364), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [149021] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6834), 1,
      sym_identifier,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(8272), 1,
      anon_sym_SLASH,
    ACTIONS(8274), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8280), 1,
      anon_sym_CARET,
    ACTIONS(8288), 1,
      anon_sym_GT_EQ,
    ACTIONS(8294), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8296), 1,
      anon_sym_or,
    ACTIONS(8298), 1,
      anon_sym_and,
    ACTIONS(8300), 1,
      anon_sym_xor,
    ACTIONS(8302), 1,
      anon_sym_not_eq,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8268), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8270), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8278), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8282), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8284), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8286), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6836), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
  [149118] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6385), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6387), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [149181] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(8272), 1,
      anon_sym_SLASH,
    ACTIONS(8288), 1,
      anon_sym_GT_EQ,
    ACTIONS(8294), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8302), 1,
      anon_sym_not_eq,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8268), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8270), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8282), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8284), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8286), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 6,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6355), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [149264] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5563), 1,
      anon_sym_SEMI,
    ACTIONS(5481), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5479), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [149315] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5563), 1,
      anon_sym_SEMI,
    ACTIONS(5481), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5479), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [149368] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(8272), 1,
      anon_sym_SLASH,
    ACTIONS(8280), 1,
      anon_sym_CARET,
    ACTIONS(8288), 1,
      anon_sym_GT_EQ,
    ACTIONS(8294), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8300), 1,
      anon_sym_xor,
    ACTIONS(8302), 1,
      anon_sym_not_eq,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8268), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8270), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8282), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8284), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8286), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 5,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6355), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [149455] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(8272), 1,
      anon_sym_SLASH,
    ACTIONS(8280), 1,
      anon_sym_CARET,
    ACTIONS(8288), 1,
      anon_sym_GT_EQ,
    ACTIONS(8294), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8300), 1,
      anon_sym_xor,
    ACTIONS(8302), 1,
      anon_sym_not_eq,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8268), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8270), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8278), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8282), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8284), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6353), 3,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(8286), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [149544] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(8272), 1,
      anon_sym_SLASH,
    ACTIONS(8276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8280), 1,
      anon_sym_CARET,
    ACTIONS(8288), 1,
      anon_sym_GT_EQ,
    ACTIONS(8294), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8298), 1,
      anon_sym_and,
    ACTIONS(8300), 1,
      anon_sym_xor,
    ACTIONS(8302), 1,
      anon_sym_not_eq,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6353), 2,
      anon_sym_or,
      sym_identifier,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8268), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8270), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8278), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8282), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8284), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8286), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
  [149637] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 1,
      sym_literal_suffix,
    ACTIONS(5804), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5806), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149688] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(8272), 1,
      anon_sym_SLASH,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8270), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6353), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6355), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [149755] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7634), 1,
      anon_sym_LT,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(4010), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4444), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(7200), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4452), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [149814] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8362), 1,
      anon_sym_and,
    ACTIONS(8385), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8387), 1,
      anon_sym_or,
    ACTIONS(6103), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6105), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149871] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8093), 1,
      anon_sym___declspec,
    ACTIONS(8099), 1,
      anon_sym_virtual,
    ACTIONS(8101), 1,
      anon_sym_alignas,
    ACTIONS(7176), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(7178), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8091), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4891), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [149940] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(8326), 1,
      anon_sym_SLASH,
    ACTIONS(8332), 1,
      anon_sym_PIPE,
    ACTIONS(8336), 1,
      anon_sym_AMP,
    ACTIONS(8342), 1,
      anon_sym_GT_EQ,
    ACTIONS(8348), 1,
      anon_sym_QMARK,
    ACTIONS(8350), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8352), 1,
      anon_sym_bitor,
    ACTIONS(8354), 1,
      anon_sym_bitand,
    ACTIONS(8389), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7417), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9393), 1,
      sym_attribute_specifier,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8322), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8330), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8334), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8338), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150043] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7634), 1,
      anon_sym_LT,
    STATE(2014), 1,
      sym_template_argument_list,
    ACTIONS(5822), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4470), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [150098] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8391), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8393), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6103), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6105), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150151] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_LBRACK,
    ACTIONS(5155), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5158), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(5153), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [150204] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8393), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5990), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5992), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6876), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6878), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150304] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 1,
      sym_literal_suffix,
    ACTIONS(4454), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4446), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150355] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8395), 1,
      sym_identifier,
    STATE(4938), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5460), 1,
      sym_primitive_type,
    ACTIONS(7885), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8397), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5555), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5557), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [150414] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(5259), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5970), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(8399), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5972), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [150473] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7634), 1,
      anon_sym_LT,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(5259), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4444), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(8399), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4452), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [150532] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8403), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5280), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5420), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(8401), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [150591] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5114), 1,
      anon_sym_LBRACK,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(5063), 1,
      sym_template_argument_list,
    ACTIONS(5109), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5112), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(5105), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [150650] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8306), 1,
      anon_sym_STAR,
    ACTIONS(8308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8310), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(8316), 1,
      sym_auto,
    ACTIONS(8318), 1,
      anon_sym_decltype,
    STATE(3885), 1,
      sym_parameter_list,
    STATE(5838), 1,
      sym_decltype_auto,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(6877), 1,
      sym__abstract_declarator,
    STATE(5218), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8173), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [150727] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      sym_identifier,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6905), 1,
      anon_sym_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOT,
    ACTIONS(8266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8272), 1,
      anon_sym_SLASH,
    ACTIONS(8274), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8280), 1,
      anon_sym_CARET,
    ACTIONS(8288), 1,
      anon_sym_GT_EQ,
    ACTIONS(8292), 1,
      anon_sym_QMARK,
    ACTIONS(8294), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8296), 1,
      anon_sym_or,
    ACTIONS(8298), 1,
      anon_sym_and,
    ACTIONS(8300), 1,
      anon_sym_xor,
    ACTIONS(8302), 1,
      anon_sym_not_eq,
    STATE(3587), 1,
      sym_subscript_argument_list,
    STATE(3588), 1,
      sym_argument_list,
    ACTIONS(6911), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8268), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8270), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8278), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8282), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8284), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8290), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8304), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8286), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6662), 4,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [150828] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7634), 1,
      anon_sym_LT,
    STATE(2014), 1,
      sym_template_argument_list,
    ACTIONS(5105), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5112), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [150883] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(8405), 1,
      sym_identifier,
    ACTIONS(8407), 1,
      anon_sym_LPAREN2,
    ACTIONS(8409), 1,
      anon_sym_STAR,
    ACTIONS(8411), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8413), 1,
      anon_sym_AMP,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6865), 1,
      sym__field_declarator,
    STATE(7018), 1,
      sym_operator_name,
    STATE(8659), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4924), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5718), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7118), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [150961] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6848), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [151051] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6353), 1,
      anon_sym_PIPE,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [151135] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6353), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [151205] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(8405), 1,
      sym_identifier,
    ACTIONS(8407), 1,
      anon_sym_LPAREN2,
    ACTIONS(8409), 1,
      anon_sym_STAR,
    ACTIONS(8411), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8413), 1,
      anon_sym_AMP,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6846), 1,
      sym__field_declarator,
    STATE(7018), 1,
      sym_operator_name,
    STATE(8659), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5683), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5750), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7118), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [151283] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [151369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8447), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8445), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [151417] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(8405), 1,
      sym_identifier,
    ACTIONS(8407), 1,
      anon_sym_LPAREN2,
    ACTIONS(8409), 1,
      anon_sym_STAR,
    ACTIONS(8411), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8413), 1,
      anon_sym_AMP,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6788), 1,
      sym__field_declarator,
    STATE(7018), 1,
      sym_operator_name,
    STATE(8659), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4929), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5732), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7118), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [151495] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8095), 1,
      sym_auto,
    ACTIONS(8097), 1,
      anon_sym_decltype,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8449), 1,
      anon_sym_STAR,
    ACTIONS(8451), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8453), 1,
      anon_sym_AMP,
    STATE(3753), 1,
      sym_decltype_auto,
    STATE(4153), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6905), 1,
      sym__abstract_declarator,
    STATE(5372), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8173), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [151571] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(8405), 1,
      sym_identifier,
    ACTIONS(8407), 1,
      anon_sym_LPAREN2,
    ACTIONS(8409), 1,
      anon_sym_STAR,
    ACTIONS(8411), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8413), 1,
      anon_sym_AMP,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6865), 1,
      sym__field_declarator,
    STATE(7018), 1,
      sym_operator_name,
    STATE(8659), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5683), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5718), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7118), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [151649] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6353), 1,
      anon_sym_PIPE,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [151731] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6353), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [151809] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5481), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5479), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [151859] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5897), 1,
      sym_literal_suffix,
    ACTIONS(4454), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4446), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151909] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5897), 1,
      sym_literal_suffix,
    ACTIONS(5804), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5806), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151959] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8455), 1,
      anon_sym_COMMA,
    ACTIONS(8457), 1,
      anon_sym_SEMI,
    ACTIONS(8459), 1,
      anon_sym_RBRACE,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7929), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152059] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
  [152147] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6825), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [152237] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4955), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5374), 4,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(8463), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5630), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5633), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [152291] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6353), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [152367] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6353), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [152433] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6662), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [152527] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8191), 1,
      sym_auto,
    ACTIONS(8193), 1,
      anon_sym_decltype,
    ACTIONS(8466), 1,
      anon_sym_STAR,
    ACTIONS(8468), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8470), 1,
      anon_sym_AMP,
    STATE(4188), 1,
      sym_parameter_list,
    STATE(5649), 1,
      sym_decltype_auto,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6960), 1,
      sym__abstract_declarator,
    STATE(5354), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8173), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [152603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8474), 1,
      anon_sym_LPAREN2,
    ACTIONS(8476), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8472), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [152653] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(8407), 1,
      anon_sym_LPAREN2,
    ACTIONS(8478), 1,
      sym_identifier,
    ACTIONS(8480), 1,
      anon_sym_STAR,
    ACTIONS(8482), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8484), 1,
      anon_sym_AMP,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7246), 1,
      sym__field_declarator,
    STATE(7361), 1,
      sym_operator_name,
    STATE(8830), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5683), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5753), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7118), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [152731] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(8407), 1,
      anon_sym_LPAREN2,
    ACTIONS(8478), 1,
      sym_identifier,
    ACTIONS(8480), 1,
      anon_sym_STAR,
    ACTIONS(8482), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8484), 1,
      anon_sym_AMP,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7246), 1,
      sym__field_declarator,
    STATE(7361), 1,
      sym_operator_name,
    STATE(8830), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4946), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5753), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7118), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [152809] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(8407), 1,
      anon_sym_LPAREN2,
    ACTIONS(8478), 1,
      sym_identifier,
    ACTIONS(8480), 1,
      anon_sym_STAR,
    ACTIONS(8482), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8484), 1,
      anon_sym_AMP,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7284), 1,
      sym__field_declarator,
    STATE(7361), 1,
      sym_operator_name,
    STATE(8830), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5683), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5743), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7118), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [152887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6343), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6345), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152935] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6842), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [153029] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6789), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [153123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6876), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6878), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153171] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6353), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [153243] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8095), 1,
      sym_auto,
    ACTIONS(8097), 1,
      anon_sym_decltype,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8449), 1,
      anon_sym_STAR,
    ACTIONS(8451), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8453), 1,
      anon_sym_AMP,
    STATE(3753), 1,
      sym_decltype_auto,
    STATE(4153), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6910), 1,
      sym__abstract_declarator,
    STATE(5427), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8195), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [153319] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8191), 1,
      sym_auto,
    ACTIONS(8193), 1,
      anon_sym_decltype,
    ACTIONS(8466), 1,
      anon_sym_STAR,
    ACTIONS(8468), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8470), 1,
      anon_sym_AMP,
    STATE(4188), 1,
      sym_parameter_list,
    STATE(5649), 1,
      sym_decltype_auto,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6979), 1,
      sym__abstract_declarator,
    STATE(5314), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8195), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [153395] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6353), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [153463] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4955), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8463), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5376), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5374), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [153515] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(8407), 1,
      anon_sym_LPAREN2,
    ACTIONS(8478), 1,
      sym_identifier,
    ACTIONS(8480), 1,
      anon_sym_STAR,
    ACTIONS(8482), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8484), 1,
      anon_sym_AMP,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7255), 1,
      sym__field_declarator,
    STATE(7361), 1,
      sym_operator_name,
    STATE(8830), 1,
      sym_ms_based_modifier,
    ACTIONS(3294), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4944), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5728), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3292), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7118), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [153593] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6836), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [153683] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6829), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [153773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6858), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6860), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153821] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8486), 1,
      anon_sym_COMMA,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8512), 1,
      anon_sym_RBRACK,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(8116), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5282), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5284), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [153965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5298), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5300), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [154012] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8524), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(8046), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154109] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8526), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7777), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5274), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5276), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [154253] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    ACTIONS(8566), 1,
      anon_sym_GT2,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    STATE(8119), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154350] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    ACTIONS(8568), 1,
      anon_sym_COMMA,
    ACTIONS(8570), 1,
      anon_sym_RBRACK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7893), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5314), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5316), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [154494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5306), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5308), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [154541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5280), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [154588] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8572), 1,
      anon_sym_COMMA,
    ACTIONS(8574), 1,
      anon_sym_RBRACE,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7916), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5280), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [154732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5280), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [154779] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8576), 1,
      anon_sym_COMMA,
    ACTIONS(8578), 1,
      anon_sym_RBRACE,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(8036), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154876] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8580), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(8023), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154973] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    ACTIONS(8582), 1,
      anon_sym_GT2,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155070] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(4557), 1,
      anon_sym_LPAREN2,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6223), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_STAR,
    ACTIONS(6368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    STATE(4437), 1,
      sym_parameter_list,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7028), 1,
      sym__declarator,
    STATE(7324), 1,
      sym__abstract_declarator,
    STATE(8775), 1,
      sym_ms_based_modifier,
    ACTIONS(8169), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [155157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5322), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5324), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [155204] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8584), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8586), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8588), 1,
      anon_sym_or,
    ACTIONS(8590), 1,
      anon_sym_and,
    ACTIONS(6103), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6105), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [155259] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8592), 1,
      anon_sym_RPAREN,
    ACTIONS(8594), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5298), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5300), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [155403] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8596), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7973), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6448), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6450), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [155547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6504), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6506), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [155594] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8185), 1,
      anon_sym_STAR,
    ACTIONS(8187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8189), 1,
      anon_sym_AMP,
    STATE(4265), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6709), 1,
      sym__abstract_declarator,
    STATE(5507), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8598), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [155663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6641), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6643), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [155710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5280), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [155757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5280), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [155804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5280), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [155851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6645), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6647), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [155898] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8185), 1,
      anon_sym_STAR,
    ACTIONS(8187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8189), 1,
      anon_sym_AMP,
    STATE(4265), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6716), 1,
      sym__abstract_declarator,
    STATE(5507), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6862), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [155967] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8197), 1,
      anon_sym_STAR,
    ACTIONS(8199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8201), 1,
      anon_sym_AMP,
    STATE(4127), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6722), 1,
      sym__abstract_declarator,
    STATE(5507), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8600), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [156036] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8326), 1,
      anon_sym_SLASH,
    ACTIONS(8332), 1,
      anon_sym_PIPE,
    ACTIONS(8336), 1,
      anon_sym_AMP,
    ACTIONS(8342), 1,
      anon_sym_GT_EQ,
    ACTIONS(8348), 1,
      anon_sym_QMARK,
    ACTIONS(8350), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8352), 1,
      anon_sym_bitor,
    ACTIONS(8354), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8322), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8330), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8334), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6842), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8338), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156129] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8602), 1,
      anon_sym_COMMA,
    ACTIONS(8604), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7991), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156226] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8185), 1,
      anon_sym_STAR,
    ACTIONS(8187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8189), 1,
      anon_sym_AMP,
    STATE(4265), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6742), 1,
      sym__abstract_declarator,
    STATE(5507), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8600), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [156295] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8185), 1,
      anon_sym_STAR,
    ACTIONS(8187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8189), 1,
      anon_sym_AMP,
    STATE(4265), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6744), 1,
      sym__abstract_declarator,
    STATE(4991), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6213), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [156364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6518), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [156411] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3929), 1,
      anon_sym_LBRACE,
    ACTIONS(8109), 1,
      anon_sym_LPAREN2,
    STATE(5457), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6225), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6227), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [156464] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    ACTIONS(8568), 1,
      anon_sym_COMMA,
    ACTIONS(8606), 1,
      anon_sym_RBRACK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7958), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156561] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8608), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7978), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156658] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8095), 1,
      sym_auto,
    ACTIONS(8097), 1,
      anon_sym_decltype,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8610), 1,
      anon_sym_STAR,
    ACTIONS(8612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8614), 1,
      anon_sym_AMP,
    STATE(3753), 1,
      sym_decltype_auto,
    STATE(4385), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(7050), 1,
      sym__abstract_declarator,
    STATE(5467), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8173), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [156733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6462), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [156780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6456), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6458), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [156827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5286), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5288), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [156874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5286), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5288), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [156921] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8602), 1,
      anon_sym_COMMA,
    ACTIONS(8616), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7887), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5290), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5292), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6601), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6603), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6597), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6599), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157159] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8326), 1,
      anon_sym_SLASH,
    ACTIONS(8332), 1,
      anon_sym_PIPE,
    ACTIONS(8336), 1,
      anon_sym_AMP,
    ACTIONS(8342), 1,
      anon_sym_GT_EQ,
    ACTIONS(8350), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8352), 1,
      anon_sym_bitor,
    ACTIONS(8354), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8322), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8330), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8334), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8338), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6848), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [157248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5294), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5296), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5302), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5304), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157342] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8197), 1,
      anon_sym_STAR,
    ACTIONS(8199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8201), 1,
      anon_sym_AMP,
    STATE(4127), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6724), 1,
      sym__abstract_declarator,
    STATE(5020), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6213), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [157411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6658), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157458] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    ACTIONS(8618), 1,
      anon_sym_GT2,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    STATE(8143), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5318), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5320), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [157602] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8326), 1,
      anon_sym_SLASH,
    ACTIONS(8332), 1,
      anon_sym_PIPE,
    ACTIONS(8336), 1,
      anon_sym_AMP,
    ACTIONS(8342), 1,
      anon_sym_GT_EQ,
    ACTIONS(8348), 1,
      anon_sym_QMARK,
    ACTIONS(8350), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8352), 1,
      anon_sym_bitor,
    ACTIONS(8354), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8322), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8330), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8334), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6789), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8338), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157695] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(4557), 1,
      anon_sym_LPAREN2,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6223), 1,
      anon_sym_LBRACK,
    ACTIONS(6421), 1,
      anon_sym_STAR,
    ACTIONS(6423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6425), 1,
      anon_sym_AMP,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7028), 1,
      sym__declarator,
    STATE(7322), 1,
      sym__abstract_declarator,
    STATE(8775), 1,
      sym_ms_based_modifier,
    ACTIONS(8169), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [157782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6589), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6591), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157829] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8197), 1,
      anon_sym_STAR,
    ACTIONS(8199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8201), 1,
      anon_sym_AMP,
    STATE(4127), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6720), 1,
      sym__abstract_declarator,
    STATE(5507), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6862), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [157898] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8197), 1,
      anon_sym_STAR,
    ACTIONS(8199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8201), 1,
      anon_sym_AMP,
    STATE(4127), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6719), 1,
      sym__abstract_declarator,
    STATE(5507), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8598), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [157967] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3929), 1,
      anon_sym_LBRACE,
    ACTIONS(8109), 1,
      anon_sym_LPAREN2,
    STATE(5436), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6145), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6147), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [158020] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8620), 1,
      anon_sym_COMMA,
    ACTIONS(8622), 1,
      anon_sym_RBRACE,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7894), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158117] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8486), 1,
      anon_sym_COMMA,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    ACTIONS(8624), 1,
      anon_sym_RBRACK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(8070), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158214] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1569), 1,
      sym__fold_operator,
    ACTIONS(8628), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(8626), 25,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [158263] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8586), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8590), 1,
      anon_sym_and,
    ACTIONS(5990), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5992), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158314] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8630), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(8068), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158411] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8459), 1,
      anon_sym_RBRACE,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8632), 1,
      anon_sym_COMMA,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7929), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5322), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5324), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [158555] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    ACTIONS(8634), 1,
      anon_sym_GT2,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    STATE(7927), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6464), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6466), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6627), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158746] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8326), 1,
      anon_sym_SLASH,
    ACTIONS(8332), 1,
      anon_sym_PIPE,
    ACTIONS(8336), 1,
      anon_sym_AMP,
    ACTIONS(8342), 1,
      anon_sym_GT_EQ,
    ACTIONS(8350), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8352), 1,
      anon_sym_bitor,
    ACTIONS(8354), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8322), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8330), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8334), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8338), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6825), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [158835] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    ACTIONS(8636), 1,
      anon_sym_GT2,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    STATE(8093), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158932] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8638), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(8010), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159029] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8177), 1,
      anon_sym_STAR,
    ACTIONS(8179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    STATE(4200), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6700), 1,
      sym__abstract_declarator,
    STATE(5096), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6213), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [159098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6556), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6558), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159145] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    ACTIONS(8640), 1,
      anon_sym_GT2,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    STATE(8025), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159242] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8177), 1,
      anon_sym_STAR,
    ACTIONS(8179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    STATE(4200), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6698), 1,
      sym__abstract_declarator,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8600), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [159311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6560), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6562), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5318), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5320), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5282), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5284), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6570), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6572), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5274), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5276), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159546] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8642), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7868), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159643] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8602), 1,
      anon_sym_COMMA,
    ACTIONS(8644), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(8107), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159740] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    ACTIONS(8646), 1,
      anon_sym_GT2,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    STATE(8139), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159837] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8648), 1,
      anon_sym_COMMA,
    ACTIONS(8650), 1,
      anon_sym_RBRACE,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(8002), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159934] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8652), 1,
      anon_sym_COMMA,
    ACTIONS(8654), 1,
      anon_sym_RBRACE,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(8086), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5306), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5308), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [160078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5314), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5316), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [160125] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8486), 1,
      anon_sym_COMMA,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    ACTIONS(8656), 1,
      anon_sym_RBRACK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7858), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160222] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    ACTIONS(8658), 1,
      anon_sym_GT2,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    STATE(8096), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6666), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6668), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [160366] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8660), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(8123), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160463] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8602), 1,
      anon_sym_COMMA,
    ACTIONS(8662), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(8215), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6613), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6615), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [160607] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8664), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7986), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160704] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    ACTIONS(8666), 1,
      anon_sym_GT2,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    STATE(7962), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160801] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    ACTIONS(8668), 1,
      anon_sym_GT2,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    STATE(8164), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160898] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8670), 1,
      anon_sym_COMMA,
    ACTIONS(8672), 1,
      anon_sym_RBRACE,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(8154), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160995] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8674), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7904), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161092] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5160), 1,
      anon_sym_LBRACK,
    ACTIONS(5155), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5158), 4,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(5153), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [161143] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    ACTIONS(8676), 1,
      anon_sym_GT2,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    STATE(7907), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6554), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [161287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6637), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6639), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [161334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5290), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5292), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [161381] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8095), 1,
      sym_auto,
    ACTIONS(8097), 1,
      anon_sym_decltype,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8610), 1,
      anon_sym_STAR,
    ACTIONS(8612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8614), 1,
      anon_sym_AMP,
    STATE(3753), 1,
      sym_decltype_auto,
    STATE(4385), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(7072), 1,
      sym__abstract_declarator,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8195), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [161456] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8680), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8678), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161551] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8602), 1,
      anon_sym_COMMA,
    ACTIONS(8682), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7956), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5310), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5312), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [161695] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8684), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161790] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(8403), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5538), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5552), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6563), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(8401), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [161847] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8602), 1,
      anon_sym_COMMA,
    ACTIONS(8686), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(8051), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6530), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [161991] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    ACTIONS(8688), 1,
      anon_sym_GT2,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    STATE(7993), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162088] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8326), 1,
      anon_sym_SLASH,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8322), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6353), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [162157] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8326), 1,
      anon_sym_SLASH,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8322), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6353), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [162224] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8326), 1,
      anon_sym_SLASH,
    ACTIONS(8350), 1,
      anon_sym_LT_EQ_GT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8322), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6353), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [162295] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8326), 1,
      anon_sym_SLASH,
    ACTIONS(8342), 1,
      anon_sym_GT_EQ,
    ACTIONS(8350), 1,
      anon_sym_LT_EQ_GT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6353), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8322), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [162370] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8326), 1,
      anon_sym_SLASH,
    ACTIONS(8342), 1,
      anon_sym_GT_EQ,
    ACTIONS(8350), 1,
      anon_sym_LT_EQ_GT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6353), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8322), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8338), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [162447] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6353), 1,
      anon_sym_PIPE,
    ACTIONS(8326), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_AMP,
    ACTIONS(8342), 1,
      anon_sym_GT_EQ,
    ACTIONS(8350), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8322), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8338), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [162528] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8690), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(8169), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162625] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    ACTIONS(8692), 1,
      anon_sym_GT2,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    STATE(7943), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162722] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6353), 1,
      anon_sym_PIPE,
    ACTIONS(8326), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_AMP,
    ACTIONS(8342), 1,
      anon_sym_GT_EQ,
    ACTIONS(8350), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8322), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8334), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8338), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [162805] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8326), 1,
      anon_sym_SLASH,
    ACTIONS(8332), 1,
      anon_sym_PIPE,
    ACTIONS(8336), 1,
      anon_sym_AMP,
    ACTIONS(8342), 1,
      anon_sym_GT_EQ,
    ACTIONS(8350), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8352), 1,
      anon_sym_bitor,
    ACTIONS(8354), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8322), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8334), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8338), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [162890] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8326), 1,
      anon_sym_SLASH,
    ACTIONS(8332), 1,
      anon_sym_PIPE,
    ACTIONS(8336), 1,
      anon_sym_AMP,
    ACTIONS(8342), 1,
      anon_sym_GT_EQ,
    ACTIONS(8350), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8352), 1,
      anon_sym_bitor,
    ACTIONS(8354), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8322), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8330), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8334), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8338), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
  [162977] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8694), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7898), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6476), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6478), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [163121] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8326), 1,
      anon_sym_SLASH,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6353), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [163186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2261), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2259), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [163233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6635), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [163280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6550), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [163327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6536), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6538), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [163374] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8696), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7851), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163471] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8177), 1,
      anon_sym_STAR,
    ACTIONS(8179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    STATE(4200), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6711), 1,
      sym__abstract_declarator,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6862), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [163540] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8177), 1,
      anon_sym_STAR,
    ACTIONS(8179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    STATE(4200), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6712), 1,
      sym__abstract_declarator,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8598), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [163609] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    ACTIONS(8698), 1,
      anon_sym_GT2,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    STATE(7835), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6500), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6502), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [163753] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8326), 1,
      anon_sym_SLASH,
    ACTIONS(8332), 1,
      anon_sym_PIPE,
    ACTIONS(8336), 1,
      anon_sym_AMP,
    ACTIONS(8342), 1,
      anon_sym_GT_EQ,
    ACTIONS(8348), 1,
      anon_sym_QMARK,
    ACTIONS(8350), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8352), 1,
      anon_sym_bitor,
    ACTIONS(8354), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8322), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8330), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8334), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8338), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8700), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [163846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5294), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5296), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [163893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5302), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5304), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [163940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6609), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6611), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [163987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6454), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [164034] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    ACTIONS(8702), 1,
      anon_sym_GT2,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    STATE(7841), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6581), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6583), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [164178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6542), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [164225] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8486), 1,
      anon_sym_COMMA,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    ACTIONS(8704), 1,
      anon_sym_RBRACK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(8073), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5310), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5312), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [164369] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8706), 1,
      anon_sym_COMMA,
    ACTIONS(8708), 1,
      anon_sym_RBRACE,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7829), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164466] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8326), 1,
      anon_sym_SLASH,
    ACTIONS(8332), 1,
      anon_sym_PIPE,
    ACTIONS(8336), 1,
      anon_sym_AMP,
    ACTIONS(8342), 1,
      anon_sym_GT_EQ,
    ACTIONS(8350), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8352), 1,
      anon_sym_bitor,
    ACTIONS(8354), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8322), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8330), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8334), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8338), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6829), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [164555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6662), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [164602] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    ACTIONS(8710), 1,
      anon_sym_GT2,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    STATE(8185), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164699] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8326), 1,
      anon_sym_SLASH,
    ACTIONS(8332), 1,
      anon_sym_PIPE,
    ACTIONS(8336), 1,
      anon_sym_AMP,
    ACTIONS(8342), 1,
      anon_sym_GT_EQ,
    ACTIONS(8348), 1,
      anon_sym_QMARK,
    ACTIONS(8350), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8352), 1,
      anon_sym_bitor,
    ACTIONS(8354), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8322), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8330), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8334), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6662), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8338), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164792] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    ACTIONS(8712), 1,
      anon_sym_GT2,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    STATE(8205), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3026), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [164936] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8714), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7812), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6474), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [165080] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8716), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7959), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165177] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    ACTIONS(8718), 1,
      anon_sym_GT2,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    STATE(8193), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165274] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8720), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(8203), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165371] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8602), 1,
      anon_sym_COMMA,
    ACTIONS(8722), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7925), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165468] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8326), 1,
      anon_sym_SLASH,
    ACTIONS(8332), 1,
      anon_sym_PIPE,
    ACTIONS(8336), 1,
      anon_sym_AMP,
    ACTIONS(8342), 1,
      anon_sym_GT_EQ,
    ACTIONS(8350), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8352), 1,
      anon_sym_bitor,
    ACTIONS(8354), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8322), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8330), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8334), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8338), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6836), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [165557] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    ACTIONS(8724), 1,
      anon_sym_GT2,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    STATE(8225), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2265), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2263), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [165701] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8457), 1,
      anon_sym_SEMI,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8726), 1,
      anon_sym_COMMA,
    ACTIONS(8729), 1,
      anon_sym_RBRACE,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165798] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8684), 1,
      anon_sym_SEMI,
    ACTIONS(8731), 1,
      anon_sym_COMMA,
    ACTIONS(8734), 1,
      anon_sym_RBRACE,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165895] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    ACTIONS(8568), 1,
      anon_sym_COMMA,
    ACTIONS(8736), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8738), 1,
      anon_sym_RBRACK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7893), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6480), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6482), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [166039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4027), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4023), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [166086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6488), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [166133] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(5454), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5970), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8740), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5972), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [166190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2261), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2259), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [166237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2265), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2263), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [166284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6534), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [166331] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8602), 1,
      anon_sym_COMMA,
    ACTIONS(8742), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(8171), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166428] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8744), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    STATE(7833), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166525] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8326), 1,
      anon_sym_SLASH,
    ACTIONS(8332), 1,
      anon_sym_PIPE,
    ACTIONS(8336), 1,
      anon_sym_AMP,
    ACTIONS(8342), 1,
      anon_sym_GT_EQ,
    ACTIONS(8348), 1,
      anon_sym_QMARK,
    ACTIONS(8350), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8352), 1,
      anon_sym_bitor,
    ACTIONS(8354), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8322), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8330), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8334), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8338), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8340), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8746), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [166618] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3929), 1,
      anon_sym_LBRACE,
    ACTIONS(8109), 1,
      anon_sym_LPAREN2,
    STATE(5491), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6157), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6159), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [166671] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3929), 1,
      anon_sym_LBRACE,
    ACTIONS(8109), 1,
      anon_sym_LPAREN2,
    STATE(5503), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6167), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6169), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [166724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6621), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6623), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [166771] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8748), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166865] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8750), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166957] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6353), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [167027] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6389), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6391), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [167087] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6385), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6387), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [167147] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8752), 1,
      anon_sym_LT,
    STATE(5454), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5482), 1,
      sym_template_argument_list,
    ACTIONS(4444), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8740), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4452), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167203] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6829), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167291] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8754), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167385] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6381), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6383), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [167445] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    ACTIONS(8756), 1,
      anon_sym_COLON,
    STATE(3675), 1,
      sym_attribute_specifier,
    STATE(4464), 1,
      sym__enum_base_clause,
    STATE(4547), 1,
      sym_enumerator_list,
    ACTIONS(6263), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6265), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167503] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8306), 1,
      anon_sym_STAR,
    ACTIONS(8308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8310), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    STATE(3885), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(6864), 1,
      sym__abstract_declarator,
    STATE(5215), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6213), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [167571] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6437), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6439), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [167629] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8758), 1,
      anon_sym_COMMA,
    ACTIONS(8760), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167723] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6825), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4820), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6127), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8762), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6125), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167861] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8764), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167955] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8766), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168049] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(8770), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168143] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8772), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 1,
      sym_literal_suffix,
    ACTIONS(5804), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5806), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [168285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 1,
      sym_literal_suffix,
    ACTIONS(4454), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4446), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [168333] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8774), 1,
      anon_sym_COMMA,
    ACTIONS(8776), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168427] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8729), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168519] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5258), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5640), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8778), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5642), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [168569] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8306), 1,
      anon_sym_STAR,
    ACTIONS(8308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8310), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    STATE(3885), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(6876), 1,
      sym__abstract_declarator,
    STATE(5782), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8600), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [168637] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6353), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6355), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [168703] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6357), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6359), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [168761] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8734), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168853] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8780), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168947] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8782), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169039] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6353), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [169111] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(6789), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169203] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(6353), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [169277] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8784), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169369] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(6353), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_GT2,
  [169445] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6848), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169533] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8111), 1,
      anon_sym_LBRACK,
    STATE(5393), 1,
      sym_new_declarator,
    ACTIONS(6281), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6283), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [169583] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8786), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169675] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8678), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169767] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8788), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169861] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6353), 1,
      anon_sym_PIPE,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_GT2,
  [169941] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8790), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170035] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4820), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6123), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8762), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6121), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [170085] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6842), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170177] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6848), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [170265] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8792), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170359] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8167), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170451] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8794), 1,
      anon_sym_COMMA,
    ACTIONS(8796), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170545] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8798), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170639] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8800), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170733] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT2,
  [170817] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8802), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170911] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    ACTIONS(8756), 1,
      anon_sym_COLON,
    STATE(3599), 1,
      sym_attribute_specifier,
    STATE(4512), 1,
      sym__enum_base_clause,
    STATE(4531), 1,
      sym_enumerator_list,
    ACTIONS(6273), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6275), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [170969] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8804), 1,
      anon_sym_COMMA,
    ACTIONS(8806), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171063] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6789), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171155] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8457), 1,
      anon_sym_SEMI,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171249] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8808), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171341] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(4557), 1,
      anon_sym_LPAREN2,
    ACTIONS(4559), 1,
      anon_sym_STAR,
    ACTIONS(4561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4563), 1,
      anon_sym_AMP,
    ACTIONS(5441), 1,
      sym_identifier,
    ACTIONS(6223), 1,
      anon_sym_LBRACK,
    ACTIONS(6631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8169), 1,
      anon_sym_RPAREN,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6411), 1,
      sym__scope_resolution,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7127), 1,
      sym__declarator,
    STATE(7322), 1,
      sym__abstract_declarator,
    STATE(9424), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [171427] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8752), 1,
      anon_sym_LT,
    STATE(5482), 1,
      sym_template_argument_list,
    ACTIONS(5105), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5112), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [171479] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6825), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [171567] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8810), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171661] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6353), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [171729] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6836), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171817] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(6662), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171909] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_const,
    ACTIONS(5397), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8812), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(5399), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [171961] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8818), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172053] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_GT2,
  [172139] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6353), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [172205] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8820), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172297] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6353), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6355), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [172357] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6353), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6355), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [172421] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8808), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172513] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6353), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [172583] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8306), 1,
      anon_sym_STAR,
    ACTIONS(8308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8310), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    STATE(3885), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(6804), 1,
      sym__abstract_declarator,
    STATE(5782), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6862), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [172651] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8594), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172745] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6353), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [172819] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8306), 1,
      anon_sym_STAR,
    ACTIONS(8308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8310), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    STATE(3885), 1,
      sym_parameter_list,
    STATE(6776), 1,
      sym__abstract_declarator,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(5782), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8598), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [172887] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8822), 1,
      anon_sym_COMMA,
    ACTIONS(8824), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172981] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6829), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [173069] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8542), 1,
      anon_sym_PIPE,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8556), 1,
      anon_sym_QMARK,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8560), 1,
      anon_sym_bitor,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(6842), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8540), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173161] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8826), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173253] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5170), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5871), 1,
      anon_sym_LPAREN2,
    ACTIONS(5874), 1,
      anon_sym_LBRACK,
    ACTIONS(4454), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4446), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [173305] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6353), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [173381] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6353), 1,
      anon_sym_PIPE,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [173461] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8828), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173555] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8057), 1,
      sym_auto,
    ACTIONS(8059), 1,
      anon_sym_decltype,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(8830), 1,
      anon_sym_STAR,
    ACTIONS(8832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8834), 1,
      anon_sym_AMP,
    STATE(2238), 1,
      sym_decltype_auto,
    STATE(4390), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7134), 1,
      sym__abstract_declarator,
    STATE(5521), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8195), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [173629] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(6353), 1,
      anon_sym_PIPE,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [173711] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [173795] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8836), 1,
      anon_sym_COMMA,
    ACTIONS(8838), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173889] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8840), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6876), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6878), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [174029] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
  [174115] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6353), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [174179] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8842), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174271] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8818), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174363] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8844), 1,
      anon_sym_COMMA,
    ACTIONS(8846), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174457] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8752), 1,
      anon_sym_LT,
    STATE(5482), 1,
      sym_template_argument_list,
    ACTIONS(5822), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4470), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [174509] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8848), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174603] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8850), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174697] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6662), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174789] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8852), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174883] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5156), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6064), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8854), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6062), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [174933] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8856), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175027] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5184), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6054), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8858), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6052), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [175077] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8860), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175171] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8862), 1,
      anon_sym_COMMA,
    ACTIONS(8864), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175265] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8057), 1,
      sym_auto,
    ACTIONS(8059), 1,
      anon_sym_decltype,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(8830), 1,
      anon_sym_STAR,
    ACTIONS(8832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8834), 1,
      anon_sym_AMP,
    STATE(2238), 1,
      sym_decltype_auto,
    STATE(4390), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7107), 1,
      sym__abstract_declarator,
    STATE(5551), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8173), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [175339] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8866), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6858), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6860), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [175479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5160), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5165), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175527] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6836), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [175615] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6353), 1,
      anon_sym_PIPE,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    ACTIONS(7391), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_DOT,
    ACTIONS(8536), 1,
      anon_sym_SLASH,
    ACTIONS(8546), 1,
      anon_sym_AMP,
    ACTIONS(8552), 1,
      anon_sym_LT_LT,
    ACTIONS(8554), 1,
      anon_sym_GT_GT,
    ACTIONS(8558), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8562), 1,
      anon_sym_bitand,
    STATE(4222), 1,
      sym_subscript_argument_list,
    STATE(4228), 1,
      sym_argument_list,
    ACTIONS(7395), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8532), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8534), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8544), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8564), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8548), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8550), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_GT2,
  [175697] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(7550), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8868), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175791] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8808), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175883] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5258), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5479), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8778), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5481), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [175933] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8808), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176025] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4820), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6050), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8762), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6048), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [176075] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4820), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6034), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8762), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6032), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [176125] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6353), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [176184] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8894), 1,
      anon_sym_COLON,
    ACTIONS(8896), 1,
      anon_sym_QMARK,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176275] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8904), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176366] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4969), 1,
      anon_sym_RBRACK,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176457] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8906), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176548] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8908), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176639] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      anon_sym_RBRACK,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176730] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6389), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6391), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [176789] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8910), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176880] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8912), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176971] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4967), 1,
      anon_sym_RBRACK,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177062] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    ACTIONS(8914), 1,
      anon_sym_RBRACK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177153] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8916), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177244] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4836), 1,
      anon_sym_RBRACK,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5691), 34,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [177380] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4858), 1,
      anon_sym_RBRACK,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177471] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4826), 1,
      anon_sym_RBRACK,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177562] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    ACTIONS(8918), 1,
      anon_sym_RBRACK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177653] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8920), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177744] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8922), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177835] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8928), 1,
      anon_sym___attribute__,
    STATE(5280), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(8926), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8924), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [177884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6858), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6860), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [177929] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8931), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178020] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8933), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178111] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8896), 1,
      anon_sym_QMARK,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    ACTIONS(8935), 1,
      anon_sym_COLON,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178202] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8937), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178293] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8939), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178384] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
  [178469] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8896), 1,
      anon_sym_QMARK,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    ACTIONS(8941), 1,
      anon_sym_COLON,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178560] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8943), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178651] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8945), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178742] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    ACTIONS(8947), 1,
      anon_sym_RBRACK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178833] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [178916] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8949), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179007] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4943), 1,
      anon_sym_RBRACK,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179098] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8896), 1,
      anon_sym_QMARK,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    ACTIONS(8951), 1,
      anon_sym_COLON,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6876), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6878), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [179234] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8953), 1,
      anon_sym_COMMA,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179325] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8955), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179416] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8957), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179507] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    ACTIONS(8959), 1,
      anon_sym_RBRACK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179598] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8961), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179689] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6353), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [179752] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8963), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179843] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6662), 1,
      anon_sym_COLON,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8896), 1,
      anon_sym_QMARK,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179934] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8965), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180025] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4918), 1,
      anon_sym_RBRACK,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180116] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    ACTIONS(8967), 1,
      anon_sym_RBRACK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180207] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8896), 1,
      anon_sym_QMARK,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    ACTIONS(8969), 1,
      anon_sym_COLON,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180298] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8896), 1,
      anon_sym_QMARK,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    ACTIONS(8971), 1,
      anon_sym_COLON,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180389] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8896), 1,
      anon_sym_QMARK,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    ACTIONS(8973), 1,
      anon_sym_COLON,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180480] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4913), 1,
      anon_sym_RBRACK,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180571] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8403), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(8401), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [180622] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 1,
      anon_sym_RBRACK,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180713] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_STAR,
    ACTIONS(8468), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8470), 1,
      anon_sym_AMP,
    STATE(4188), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6961), 1,
      sym__abstract_declarator,
    STATE(5507), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8600), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [180780] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4851), 1,
      anon_sym_RBRACK,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180871] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5013), 1,
      anon_sym_RBRACK,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180962] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6353), 1,
      anon_sym_PIPE,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [181043] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6353), 1,
      anon_sym_PIPE,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [181122] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6836), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181209] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8975), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181300] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4822), 1,
      anon_sym_RBRACK,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181391] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2021), 1,
      anon_sym_enum,
    ACTIONS(2023), 1,
      anon_sym_class,
    ACTIONS(2025), 1,
      anon_sym_struct,
    ACTIONS(2027), 1,
      anon_sym_union,
    ACTIONS(2053), 1,
      anon_sym_typename,
    ACTIONS(5101), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8977), 1,
      sym_identifier,
    ACTIONS(8979), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8983), 1,
      anon_sym_EQ,
    STATE(3238), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3412), 1,
      sym__type_specifier,
    STATE(3663), 1,
      sym_decltype_auto,
    STATE(4004), 1,
      sym_primitive_type,
    STATE(4606), 1,
      sym_qualified_type_identifier,
    STATE(7177), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    ACTIONS(8981), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(3455), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181480] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6353), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [181555] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8985), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181646] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6353), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [181719] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4816), 1,
      anon_sym_RBRACK,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181810] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8987), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181901] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8989), 1,
      anon_sym_COMMA,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181992] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4800), 1,
      anon_sym_RBRACK,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [182083] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8991), 1,
      anon_sym_COMMA,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [182174] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8993), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [182265] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8995), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [182356] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6353), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [182425] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6353), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [182490] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8997), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [182581] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8999), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [182672] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(6883), 1,
      sym_auto,
    ACTIONS(6885), 1,
      anon_sym_decltype,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9001), 1,
      anon_sym_STAR,
    ACTIONS(9003), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9005), 1,
      anon_sym_AMP,
    STATE(3302), 1,
      sym_decltype_auto,
    STATE(4461), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7156), 1,
      sym__abstract_declarator,
    STATE(5587), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8195), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [182745] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(9007), 1,
      anon_sym_LBRACE,
    STATE(5581), 1,
      sym_field_declaration_list,
    STATE(5665), 1,
      sym_attribute_specifier,
    STATE(7484), 1,
      sym_virtual_specifier,
    STATE(8594), 1,
      sym_base_class_clause,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5467), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5469), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_try,
      anon_sym_requires,
  [182806] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9009), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [182897] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9011), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [182988] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_STAR,
    ACTIONS(8468), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8470), 1,
      anon_sym_AMP,
    STATE(4188), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6954), 1,
      sym__abstract_declarator,
    STATE(5507), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6862), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [183055] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8896), 1,
      anon_sym_QMARK,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    ACTIONS(9013), 1,
      anon_sym_COLON,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183146] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    ACTIONS(9015), 1,
      anon_sym_RBRACK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183237] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9017), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183328] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9019), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183419] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5015), 1,
      anon_sym_RBRACK,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183510] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(2652), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5970), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5172), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5972), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [183565] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9021), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183656] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8896), 1,
      anon_sym_QMARK,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    ACTIONS(9023), 1,
      anon_sym_COLON,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183747] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6353), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [183814] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6825), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183901] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6789), 1,
      anon_sym_COLON,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8896), 1,
      anon_sym_QMARK,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183992] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6848), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184079] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_STAR,
    ACTIONS(8468), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8470), 1,
      anon_sym_AMP,
    STATE(4188), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6950), 1,
      sym__abstract_declarator,
    STATE(5507), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8598), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [184146] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8896), 1,
      anon_sym_QMARK,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    ACTIONS(9025), 1,
      anon_sym_COLON,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184237] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9027), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184328] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9029), 1,
      anon_sym_COMMA,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184419] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9031), 1,
      anon_sym_RBRACE,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184510] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6269), 1,
      sym_literal_suffix,
    ACTIONS(4454), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4446), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [184557] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8896), 1,
      anon_sym_QMARK,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    ACTIONS(9033), 1,
      anon_sym_COLON,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184648] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4886), 1,
      anon_sym_RBRACK,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184739] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_RBRACK,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184830] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9035), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184921] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8896), 1,
      anon_sym_QMARK,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    ACTIONS(9037), 1,
      anon_sym_COLON,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185012] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4956), 1,
      anon_sym_RBRACK,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185103] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8896), 1,
      anon_sym_QMARK,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    ACTIONS(9039), 1,
      anon_sym_COLON,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185194] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6842), 1,
      anon_sym_COLON,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8896), 1,
      anon_sym_QMARK,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185285] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4922), 1,
      anon_sym_RBRACK,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185376] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9041), 1,
      anon_sym_COMMA,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185467] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9043), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185558] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9045), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185649] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8449), 1,
      anon_sym_STAR,
    ACTIONS(8451), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8453), 1,
      anon_sym_AMP,
    STATE(4153), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6897), 1,
      sym__abstract_declarator,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8598), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [185716] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9047), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185807] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    ACTIONS(9049), 1,
      anon_sym_RBRACK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185898] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9051), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185989] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9053), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186080] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    ACTIONS(9055), 1,
      anon_sym_RBRACK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186171] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8449), 1,
      anon_sym_STAR,
    ACTIONS(8451), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8453), 1,
      anon_sym_AMP,
    STATE(4153), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6900), 1,
      sym__abstract_declarator,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6862), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [186238] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9057), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186329] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6269), 1,
      sym_literal_suffix,
    ACTIONS(5804), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5806), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [186376] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9059), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186467] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9061), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186558] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9063), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186649] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9065), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186740] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4924), 1,
      anon_sym_RBRACK,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186831] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    ACTIONS(9067), 1,
      anon_sym_RBRACK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186922] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9069), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187013] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9071), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187104] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9073), 1,
      anon_sym_RBRACK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187195] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9075), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187286] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9077), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187377] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9079), 1,
      anon_sym_COMMA,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6343), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6345), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [187513] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9081), 1,
      anon_sym_COMMA,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187604] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9083), 1,
      anon_sym_COMMA,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187695] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8449), 1,
      anon_sym_STAR,
    ACTIONS(8451), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8453), 1,
      anon_sym_AMP,
    STATE(4153), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6909), 1,
      sym__abstract_declarator,
    STATE(5378), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6213), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [187762] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9085), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187853] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9087), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187944] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8896), 1,
      anon_sym_QMARK,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    ACTIONS(9089), 1,
      anon_sym_COLON,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188035] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9091), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188126] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9093), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188217] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_STAR,
    ACTIONS(8468), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8470), 1,
      anon_sym_AMP,
    STATE(4188), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6968), 1,
      sym__abstract_declarator,
    STATE(5341), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6213), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [188284] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8896), 1,
      anon_sym_QMARK,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    ACTIONS(9095), 1,
      anon_sym_COLON,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188375] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8896), 1,
      anon_sym_QMARK,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    ACTIONS(9097), 1,
      anon_sym_COLON,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188466] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9099), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188557] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9101), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188648] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8896), 1,
      anon_sym_QMARK,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    ACTIONS(9103), 1,
      anon_sym_COLON,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188739] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9105), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188830] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9107), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188921] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9109), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189012] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9111), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189103] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5019), 1,
      anon_sym_RBRACK,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8492), 1,
      anon_sym_SLASH,
    ACTIONS(8498), 1,
      anon_sym_PIPE,
    ACTIONS(8502), 1,
      anon_sym_AMP,
    ACTIONS(8508), 1,
      anon_sym_GT_EQ,
    ACTIONS(8514), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8518), 1,
      anon_sym_bitor,
    ACTIONS(8520), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8490), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8500), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8510), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8504), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8506), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189194] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9113), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189285] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9115), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189376] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6829), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189463] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6357), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6359), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [189520] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6381), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6383), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [189579] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8896), 1,
      anon_sym_QMARK,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    ACTIONS(9117), 1,
      anon_sym_COLON,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189670] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6385), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6387), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [189729] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(9121), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(9119), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [189780] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(8680), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189871] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9123), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189962] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9125), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190053] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6437), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6439), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [190110] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8896), 1,
      anon_sym_QMARK,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    ACTIONS(9127), 1,
      anon_sym_COLON,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190201] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8896), 1,
      anon_sym_QMARK,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    ACTIONS(9129), 1,
      anon_sym_COLON,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190292] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8449), 1,
      anon_sym_STAR,
    ACTIONS(8451), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8453), 1,
      anon_sym_AMP,
    STATE(4153), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6907), 1,
      sym__abstract_declarator,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8600), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [190359] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9131), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190450] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9133), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190541] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9135), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190632] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(6883), 1,
      sym_auto,
    ACTIONS(6885), 1,
      anon_sym_decltype,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9001), 1,
      anon_sym_STAR,
    ACTIONS(9003), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9005), 1,
      anon_sym_AMP,
    STATE(3302), 1,
      sym_decltype_auto,
    STATE(4461), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7174), 1,
      sym__abstract_declarator,
    STATE(5565), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8173), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [190705] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9137), 1,
      anon_sym_RPAREN,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190796] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    ACTIONS(9139), 1,
      anon_sym_SEMI,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190887] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8874), 1,
      anon_sym_SLASH,
    ACTIONS(8880), 1,
      anon_sym_PIPE,
    ACTIONS(8884), 1,
      anon_sym_AMP,
    ACTIONS(8890), 1,
      anon_sym_GT_EQ,
    ACTIONS(8896), 1,
      anon_sym_QMARK,
    ACTIONS(8898), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8900), 1,
      anon_sym_bitor,
    ACTIONS(8902), 1,
      anon_sym_bitand,
    ACTIONS(9141), 1,
      anon_sym_COLON,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(7687), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8870), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8872), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8876), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8878), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8882), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8892), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8886), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8888), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6560), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6562), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [191022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6658), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [191066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5137), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5139), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5127), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5135), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5129), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5131), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5147), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6347), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6349), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [191330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6554), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [191374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5141), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5143), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191418] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(2902), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5970), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5184), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5972), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [191472] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(9143), 1,
      anon_sym_LBRACE,
    ACTIONS(9145), 1,
      anon_sym_COLON,
    STATE(5547), 1,
      sym__enum_base_clause,
    STATE(5567), 1,
      sym_enumerator_list,
    STATE(5711), 1,
      sym_attribute_specifier,
    ACTIONS(6273), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6275), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [191528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3304), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(3302), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [191572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6556), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6558), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [191616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6645), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6647), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [191660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9147), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5990), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5992), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [191706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6536), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6538), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [191750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6464), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6466), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [191794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6476), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6478), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [191838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4955), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6034), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9149), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6032), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6542), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [191930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4955), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6050), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9149), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6048), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6627), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [192022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5474), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6054), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9151), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6052), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [192070] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7577), 1,
      anon_sym_DASH_GT,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9160), 1,
      anon_sym_requires,
    STATE(5708), 1,
      sym_ref_qualifier,
    STATE(6564), 1,
      sym__function_attributes_end,
    STATE(6678), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9157), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6014), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [192152] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5475), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6064), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9163), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6062), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [192200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6335), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6337), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [192244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6666), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6668), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [192288] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(6327), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_DOT,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_SLASH,
    ACTIONS(8425), 1,
      anon_sym_PIPE,
    ACTIONS(8429), 1,
      anon_sym_AMP,
    ACTIONS(8435), 1,
      anon_sym_GT_EQ,
    ACTIONS(8439), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8441), 1,
      anon_sym_bitor,
    ACTIONS(8443), 1,
      anon_sym_bitand,
    ACTIONS(8461), 1,
      anon_sym_QMARK,
    STATE(2939), 1,
      sym_argument_list,
    STATE(2944), 1,
      sym_subscript_argument_list,
    ACTIONS(6333), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8018), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8415), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8421), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8423), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8427), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8437), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8431), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8433), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192376] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7577), 1,
      anon_sym_DASH_GT,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7585), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    STATE(5644), 1,
      sym_ref_qualifier,
    STATE(6566), 1,
      sym__function_attributes_end,
    STATE(6654), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6030), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [192458] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5561), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5563), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [192504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6504), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6506), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [192548] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8610), 1,
      anon_sym_STAR,
    ACTIONS(8612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8614), 1,
      anon_sym_AMP,
    STATE(4385), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(7052), 1,
      sym__abstract_declarator,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8598), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [192614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6641), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6643), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [192658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5149), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5151), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [192702] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8610), 1,
      anon_sym_STAR,
    ACTIONS(8612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8614), 1,
      anon_sym_AMP,
    STATE(4385), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(7042), 1,
      sym__abstract_declarator,
    STATE(5512), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6213), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [192768] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8191), 1,
      sym_auto,
    ACTIONS(8193), 1,
      anon_sym_decltype,
    ACTIONS(9165), 1,
      anon_sym_STAR,
    ACTIONS(9167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9169), 1,
      anon_sym_AMP,
    STATE(4617), 1,
      sym_parameter_list,
    STATE(5649), 1,
      sym_decltype_auto,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(7200), 1,
      sym__abstract_declarator,
    STATE(5667), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8195), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [192840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9147), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9171), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6103), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6105), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [192888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5682), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5684), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [192932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4955), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6123), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9149), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6121), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [192980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4955), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6127), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9149), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6125), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [193028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6488), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [193072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6637), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6639), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [193116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5456), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5640), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9173), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5642), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [193164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6635), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [193208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6500), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6502), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [193252] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9175), 1,
      anon_sym_LT,
    STATE(2405), 1,
      sym_template_argument_list,
    STATE(2652), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4444), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5172), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4452), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [193306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5153), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5158), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [193350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6609), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6611), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [193394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6570), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6572), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [193438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5604), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5606), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [193484] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5604), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5606), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [193530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6456), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6458), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [193574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6601), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6603), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [193618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6462), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [193662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4027), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4023), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [193706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6518), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [193750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6662), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [193794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5587), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [193838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6581), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6583), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [193882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(3026), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [193926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6480), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6482), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [193970] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8610), 1,
      anon_sym_STAR,
    ACTIONS(8612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8614), 1,
      anon_sym_AMP,
    STATE(4385), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(7046), 1,
      sym__abstract_declarator,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8600), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [194036] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8191), 1,
      sym_auto,
    ACTIONS(8193), 1,
      anon_sym_decltype,
    ACTIONS(9165), 1,
      anon_sym_STAR,
    ACTIONS(9167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9169), 1,
      anon_sym_AMP,
    STATE(4617), 1,
      sym_parameter_list,
    STATE(5649), 1,
      sym_decltype_auto,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(7183), 1,
      sym__abstract_declarator,
    STATE(5689), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8173), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [194108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6530), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [194152] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(9177), 1,
      anon_sym___attribute__,
    ACTIONS(9179), 1,
      anon_sym_LBRACE,
    STATE(5745), 1,
      sym_field_declaration_list,
    STATE(5861), 1,
      sym_attribute_specifier,
    STATE(7775), 1,
      sym_virtual_specifier,
    STATE(8593), 1,
      sym_base_class_clause,
    ACTIONS(5467), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5469), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [194212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6589), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6591), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [194256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6613), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6615), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [194300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6597), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6599), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [194344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6621), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6623), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [194388] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(9143), 1,
      anon_sym_LBRACE,
    ACTIONS(9145), 1,
      anon_sym_COLON,
    STATE(5546), 1,
      sym__enum_base_clause,
    STATE(5604), 1,
      sym_enumerator_list,
    STATE(5643), 1,
      sym_attribute_specifier,
    ACTIONS(6263), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6265), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [194444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6550), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [194488] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9184), 1,
      anon_sym_const,
    ACTIONS(5397), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5507), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9181), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(5399), 19,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [194538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6454), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [194582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6534), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [194626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6474), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [194670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6448), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6450), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [194714] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8610), 1,
      anon_sym_STAR,
    ACTIONS(8612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8614), 1,
      anon_sym_AMP,
    STATE(4385), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(7051), 1,
      sym__abstract_declarator,
    STATE(5206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6862), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7569), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [194780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6339), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6341), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [194824] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(9187), 1,
      sym_identifier,
    ACTIONS(9189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9193), 1,
      anon_sym_enum,
    ACTIONS(9195), 1,
      anon_sym_class,
    ACTIONS(9197), 1,
      anon_sym_struct,
    ACTIONS(9199), 1,
      anon_sym_union,
    ACTIONS(9201), 1,
      sym_auto,
    ACTIONS(9203), 1,
      anon_sym_decltype,
    ACTIONS(9205), 1,
      anon_sym_typename,
    STATE(2613), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2919), 1,
      sym_primitive_type,
    STATE(3002), 1,
      sym__type_specifier,
    STATE(3243), 1,
      sym_decltype_auto,
    STATE(3254), 1,
      sym_qualified_type_identifier,
    STATE(5690), 1,
      sym_argument_list,
    STATE(7186), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3106), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5981), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9191), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3252), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194909] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(8403), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5507), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(8401), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [194958] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(9207), 1,
      sym_identifier,
    ACTIONS(9209), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9213), 1,
      anon_sym_enum,
    ACTIONS(9215), 1,
      anon_sym_class,
    ACTIONS(9217), 1,
      anon_sym_struct,
    ACTIONS(9219), 1,
      anon_sym_union,
    ACTIONS(9221), 1,
      sym_auto,
    ACTIONS(9223), 1,
      anon_sym_decltype,
    ACTIONS(9225), 1,
      anon_sym_typename,
    STATE(2684), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3034), 1,
      sym_primitive_type,
    STATE(3097), 1,
      sym__type_specifier,
    STATE(3415), 1,
      sym_decltype_auto,
    STATE(3426), 1,
      sym_qualified_type_identifier,
    STATE(5707), 1,
      sym_argument_list,
    STATE(7187), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3360), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(6133), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9211), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3420), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195043] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7766), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9227), 1,
      anon_sym___attribute__,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_requires,
    STATE(5723), 1,
      sym_ref_qualifier,
    STATE(6439), 1,
      sym_trailing_return_type,
    STATE(6441), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6041), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [195124] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(9239), 1,
      sym_identifier,
    ACTIONS(9241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9243), 1,
      anon_sym_enum,
    ACTIONS(9245), 1,
      anon_sym_class,
    ACTIONS(9247), 1,
      anon_sym_struct,
    ACTIONS(9249), 1,
      anon_sym_union,
    ACTIONS(9251), 1,
      anon_sym_typename,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(4605), 1,
      sym__type_specifier,
    STATE(5633), 1,
      sym_argument_list,
    STATE(7201), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195209] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(8830), 1,
      anon_sym_STAR,
    ACTIONS(8832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8834), 1,
      anon_sym_AMP,
    STATE(4390), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7085), 1,
      sym__abstract_declarator,
    STATE(5550), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6213), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [195274] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(9253), 1,
      sym_identifier,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9259), 1,
      anon_sym_enum,
    ACTIONS(9261), 1,
      anon_sym_class,
    ACTIONS(9263), 1,
      anon_sym_struct,
    ACTIONS(9265), 1,
      anon_sym_union,
    ACTIONS(9267), 1,
      sym_auto,
    ACTIONS(9269), 1,
      anon_sym_decltype,
    ACTIONS(9271), 1,
      anon_sym_typename,
    STATE(2341), 1,
      sym__type_specifier,
    STATE(2356), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2701), 1,
      sym_qualified_type_identifier,
    STATE(2725), 1,
      sym_decltype_auto,
    STATE(2790), 1,
      sym_primitive_type,
    STATE(5670), 1,
      sym_argument_list,
    STATE(7206), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2641), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5813), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9257), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2737), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195359] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(8830), 1,
      anon_sym_STAR,
    ACTIONS(8832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8834), 1,
      anon_sym_AMP,
    STATE(4390), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7106), 1,
      sym__abstract_declarator,
    STATE(5782), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8600), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [195424] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8057), 1,
      sym_auto,
    ACTIONS(8059), 1,
      anon_sym_decltype,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9273), 1,
      anon_sym_STAR,
    ACTIONS(9275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9277), 1,
      anon_sym_AMP,
    ACTIONS(9281), 1,
      anon_sym_const,
    STATE(2238), 1,
      sym_decltype_auto,
    STATE(4603), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7243), 1,
      sym__abstract_declarator,
    STATE(5747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8195), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9279), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [195495] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(9283), 1,
      sym_identifier,
    ACTIONS(9285), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9289), 1,
      anon_sym_enum,
    ACTIONS(9291), 1,
      anon_sym_class,
    ACTIONS(9293), 1,
      anon_sym_struct,
    ACTIONS(9295), 1,
      anon_sym_union,
    ACTIONS(9297), 1,
      sym_auto,
    ACTIONS(9299), 1,
      anon_sym_decltype,
    ACTIONS(9301), 1,
      anon_sym_typename,
    STATE(2829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3201), 1,
      sym_primitive_type,
    STATE(3277), 1,
      sym__type_specifier,
    STATE(3934), 1,
      sym_qualified_type_identifier,
    STATE(3973), 1,
      sym_decltype_auto,
    STATE(5655), 1,
      sym_argument_list,
    STATE(7204), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3771), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(6403), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9287), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3915), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195580] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(9303), 1,
      sym_identifier,
    ACTIONS(9305), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9309), 1,
      anon_sym_enum,
    ACTIONS(9311), 1,
      anon_sym_class,
    ACTIONS(9313), 1,
      anon_sym_struct,
    ACTIONS(9315), 1,
      anon_sym_union,
    ACTIONS(9317), 1,
      sym_auto,
    ACTIONS(9319), 1,
      anon_sym_decltype,
    ACTIONS(9321), 1,
      anon_sym_typename,
    STATE(3873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4521), 1,
      sym_primitive_type,
    STATE(4609), 1,
      sym__type_specifier,
    STATE(4783), 1,
      sym_qualified_type_identifier,
    STATE(4830), 1,
      sym_decltype_auto,
    STATE(5681), 1,
      sym_argument_list,
    STATE(7175), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(4753), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7610), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9307), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4827), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195665] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(9253), 1,
      sym_identifier,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9259), 1,
      anon_sym_enum,
    ACTIONS(9261), 1,
      anon_sym_class,
    ACTIONS(9263), 1,
      anon_sym_struct,
    ACTIONS(9265), 1,
      anon_sym_union,
    ACTIONS(9267), 1,
      sym_auto,
    ACTIONS(9269), 1,
      anon_sym_decltype,
    ACTIONS(9271), 1,
      anon_sym_typename,
    STATE(2356), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2380), 1,
      sym__type_specifier,
    STATE(2701), 1,
      sym_qualified_type_identifier,
    STATE(2725), 1,
      sym_decltype_auto,
    STATE(2790), 1,
      sym_primitive_type,
    STATE(5623), 1,
      sym_argument_list,
    STATE(7206), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2641), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5813), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9257), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2737), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195750] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9323), 1,
      anon_sym_LT,
    STATE(3079), 1,
      sym_template_argument_list,
    ACTIONS(5822), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4470), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [195799] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5399), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(8815), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(5397), 17,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [195846] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9175), 1,
      anon_sym_LT,
    STATE(2405), 1,
      sym_template_argument_list,
    ACTIONS(5105), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5112), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [195895] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(9239), 1,
      sym_identifier,
    ACTIONS(9241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9243), 1,
      anon_sym_enum,
    ACTIONS(9245), 1,
      anon_sym_class,
    ACTIONS(9247), 1,
      anon_sym_struct,
    ACTIONS(9249), 1,
      anon_sym_union,
    ACTIONS(9251), 1,
      anon_sym_typename,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(4714), 1,
      sym__type_specifier,
    STATE(5624), 1,
      sym_argument_list,
    STATE(7201), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195980] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(9239), 1,
      sym_identifier,
    ACTIONS(9241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9243), 1,
      anon_sym_enum,
    ACTIONS(9245), 1,
      anon_sym_class,
    ACTIONS(9247), 1,
      anon_sym_struct,
    ACTIONS(9249), 1,
      anon_sym_union,
    ACTIONS(9251), 1,
      anon_sym_typename,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(4633), 1,
      sym__type_specifier,
    STATE(5628), 1,
      sym_argument_list,
    STATE(7201), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196065] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9177), 1,
      anon_sym___attribute__,
    ACTIONS(9325), 1,
      anon_sym_LBRACE,
    ACTIONS(9327), 1,
      anon_sym_COLON,
    STATE(5699), 1,
      sym__enum_base_clause,
    STATE(5756), 1,
      sym_enumerator_list,
    STATE(5836), 1,
      sym_attribute_specifier,
    ACTIONS(6263), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6265), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [196120] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    STATE(2268), 1,
      sym_attribute_specifier,
    STATE(6023), 1,
      sym_field_declaration_list,
    STATE(7723), 1,
      sym_virtual_specifier,
    STATE(8539), 1,
      sym_base_class_clause,
    ACTIONS(5469), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5467), 24,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [196179] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(9303), 1,
      sym_identifier,
    ACTIONS(9305), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9309), 1,
      anon_sym_enum,
    ACTIONS(9311), 1,
      anon_sym_class,
    ACTIONS(9313), 1,
      anon_sym_struct,
    ACTIONS(9315), 1,
      anon_sym_union,
    ACTIONS(9317), 1,
      sym_auto,
    ACTIONS(9319), 1,
      anon_sym_decltype,
    ACTIONS(9321), 1,
      anon_sym_typename,
    STATE(3873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4521), 1,
      sym_primitive_type,
    STATE(4629), 1,
      sym__type_specifier,
    STATE(4783), 1,
      sym_qualified_type_identifier,
    STATE(4830), 1,
      sym_decltype_auto,
    STATE(5645), 1,
      sym_argument_list,
    STATE(7175), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(4753), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7610), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9307), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4827), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196264] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(9187), 1,
      sym_identifier,
    ACTIONS(9189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9193), 1,
      anon_sym_enum,
    ACTIONS(9195), 1,
      anon_sym_class,
    ACTIONS(9197), 1,
      anon_sym_struct,
    ACTIONS(9199), 1,
      anon_sym_union,
    ACTIONS(9201), 1,
      sym_auto,
    ACTIONS(9203), 1,
      anon_sym_decltype,
    ACTIONS(9205), 1,
      anon_sym_typename,
    STATE(2613), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2919), 1,
      sym_primitive_type,
    STATE(3001), 1,
      sym__type_specifier,
    STATE(3243), 1,
      sym_decltype_auto,
    STATE(3254), 1,
      sym_qualified_type_identifier,
    STATE(5696), 1,
      sym_argument_list,
    STATE(7186), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3106), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5981), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9191), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3252), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196349] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(9329), 1,
      sym_identifier,
    ACTIONS(9331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9335), 1,
      anon_sym_enum,
    ACTIONS(9337), 1,
      anon_sym_class,
    ACTIONS(9339), 1,
      anon_sym_struct,
    ACTIONS(9341), 1,
      anon_sym_union,
    ACTIONS(9343), 1,
      sym_auto,
    ACTIONS(9345), 1,
      anon_sym_decltype,
    ACTIONS(9347), 1,
      anon_sym_typename,
    STATE(2690), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3058), 1,
      sym_primitive_type,
    STATE(3114), 1,
      sym__type_specifier,
    STATE(3521), 1,
      sym_qualified_type_identifier,
    STATE(3532), 1,
      sym_decltype_auto,
    STATE(5630), 1,
      sym_argument_list,
    STATE(7221), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3466), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(6143), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9333), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3530), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196434] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(9239), 1,
      sym_identifier,
    ACTIONS(9241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9243), 1,
      anon_sym_enum,
    ACTIONS(9245), 1,
      anon_sym_class,
    ACTIONS(9247), 1,
      anon_sym_struct,
    ACTIONS(9249), 1,
      anon_sym_union,
    ACTIONS(9251), 1,
      anon_sym_typename,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(4713), 1,
      sym__type_specifier,
    STATE(5647), 1,
      sym_argument_list,
    STATE(7201), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196519] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(9283), 1,
      sym_identifier,
    ACTIONS(9285), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9289), 1,
      anon_sym_enum,
    ACTIONS(9291), 1,
      anon_sym_class,
    ACTIONS(9293), 1,
      anon_sym_struct,
    ACTIONS(9295), 1,
      anon_sym_union,
    ACTIONS(9297), 1,
      sym_auto,
    ACTIONS(9299), 1,
      anon_sym_decltype,
    ACTIONS(9301), 1,
      anon_sym_typename,
    STATE(2829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3201), 1,
      sym_primitive_type,
    STATE(3373), 1,
      sym__type_specifier,
    STATE(3934), 1,
      sym_qualified_type_identifier,
    STATE(3973), 1,
      sym_decltype_auto,
    STATE(5632), 1,
      sym_argument_list,
    STATE(7204), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3771), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(6403), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9287), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3915), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196604] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9349), 1,
      anon_sym___attribute__,
    STATE(5538), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(8926), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8924), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [196651] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(3004), 1,
      sym_auto,
    ACTIONS(3006), 1,
      anon_sym_decltype,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(9352), 1,
      sym_identifier,
    ACTIONS(9354), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9356), 1,
      anon_sym_enum,
    ACTIONS(9358), 1,
      anon_sym_class,
    ACTIONS(9360), 1,
      anon_sym_struct,
    ACTIONS(9362), 1,
      anon_sym_union,
    ACTIONS(9364), 1,
      anon_sym_typename,
    STATE(2459), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2996), 1,
      sym_primitive_type,
    STATE(3308), 1,
      sym_decltype_auto,
    STATE(3328), 1,
      sym_qualified_type_identifier,
    STATE(4768), 1,
      sym__type_specifier,
    STATE(5704), 1,
      sym_argument_list,
    STATE(7194), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3258), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2970), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2968), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3307), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5604), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5606), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [196779] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(9207), 1,
      sym_identifier,
    ACTIONS(9209), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9213), 1,
      anon_sym_enum,
    ACTIONS(9215), 1,
      anon_sym_class,
    ACTIONS(9217), 1,
      anon_sym_struct,
    ACTIONS(9219), 1,
      anon_sym_union,
    ACTIONS(9221), 1,
      sym_auto,
    ACTIONS(9223), 1,
      anon_sym_decltype,
    ACTIONS(9225), 1,
      anon_sym_typename,
    STATE(2684), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3034), 1,
      sym_primitive_type,
    STATE(3077), 1,
      sym__type_specifier,
    STATE(3415), 1,
      sym_decltype_auto,
    STATE(3426), 1,
      sym_qualified_type_identifier,
    STATE(5638), 1,
      sym_argument_list,
    STATE(7187), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3360), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(6133), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9211), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3420), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196864] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9323), 1,
      anon_sym_LT,
    STATE(3079), 1,
      sym_template_argument_list,
    ACTIONS(5105), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5112), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [196913] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(3004), 1,
      sym_auto,
    ACTIONS(3006), 1,
      anon_sym_decltype,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(9352), 1,
      sym_identifier,
    ACTIONS(9354), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9356), 1,
      anon_sym_enum,
    ACTIONS(9358), 1,
      anon_sym_class,
    ACTIONS(9360), 1,
      anon_sym_struct,
    ACTIONS(9362), 1,
      anon_sym_union,
    ACTIONS(9364), 1,
      anon_sym_typename,
    STATE(2459), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2996), 1,
      sym_primitive_type,
    STATE(3308), 1,
      sym_decltype_auto,
    STATE(3328), 1,
      sym_qualified_type_identifier,
    STATE(4764), 1,
      sym__type_specifier,
    STATE(5646), 1,
      sym_argument_list,
    STATE(7194), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3258), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2970), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2968), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3307), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196998] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(9366), 1,
      sym_identifier,
    ACTIONS(9368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9372), 1,
      anon_sym_enum,
    ACTIONS(9374), 1,
      anon_sym_class,
    ACTIONS(9376), 1,
      anon_sym_struct,
    ACTIONS(9378), 1,
      anon_sym_union,
    ACTIONS(9380), 1,
      sym_auto,
    ACTIONS(9382), 1,
      anon_sym_decltype,
    ACTIONS(9384), 1,
      anon_sym_typename,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(3469), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4317), 1,
      sym_primitive_type,
    STATE(4488), 1,
      sym__type_specifier,
    STATE(4670), 1,
      sym_decltype_auto,
    STATE(5678), 1,
      sym_argument_list,
    STATE(7182), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(4650), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7174), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9370), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4707), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [197083] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8057), 1,
      sym_auto,
    ACTIONS(8059), 1,
      anon_sym_decltype,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9273), 1,
      anon_sym_STAR,
    ACTIONS(9275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9277), 1,
      anon_sym_AMP,
    ACTIONS(9281), 1,
      anon_sym_const,
    STATE(2238), 1,
      sym_decltype_auto,
    STATE(4603), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7277), 1,
      sym__abstract_declarator,
    STATE(5757), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8173), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9279), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [197154] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(9143), 1,
      anon_sym_LBRACE,
    STATE(5590), 1,
      sym_enumerator_list,
    STATE(5619), 1,
      sym_attribute_specifier,
    ACTIONS(5928), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5930), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [197205] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(9143), 1,
      anon_sym_LBRACE,
    STATE(5583), 1,
      sym_enumerator_list,
    STATE(5695), 1,
      sym_attribute_specifier,
    ACTIONS(5909), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5911), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [197256] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(9329), 1,
      sym_identifier,
    ACTIONS(9331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9335), 1,
      anon_sym_enum,
    ACTIONS(9337), 1,
      anon_sym_class,
    ACTIONS(9339), 1,
      anon_sym_struct,
    ACTIONS(9341), 1,
      anon_sym_union,
    ACTIONS(9343), 1,
      sym_auto,
    ACTIONS(9345), 1,
      anon_sym_decltype,
    ACTIONS(9347), 1,
      anon_sym_typename,
    STATE(2690), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3058), 1,
      sym_primitive_type,
    STATE(3142), 1,
      sym__type_specifier,
    STATE(3521), 1,
      sym_qualified_type_identifier,
    STATE(3532), 1,
      sym_decltype_auto,
    STATE(5653), 1,
      sym_argument_list,
    STATE(7221), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3466), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(6143), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9333), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3530), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [197341] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9177), 1,
      anon_sym___attribute__,
    ACTIONS(9325), 1,
      anon_sym_LBRACE,
    ACTIONS(9327), 1,
      anon_sym_COLON,
    STATE(5641), 1,
      sym__enum_base_clause,
    STATE(5742), 1,
      sym_enumerator_list,
    STATE(5857), 1,
      sym_attribute_specifier,
    ACTIONS(6273), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6275), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [197396] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(8830), 1,
      anon_sym_STAR,
    ACTIONS(8832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8834), 1,
      anon_sym_AMP,
    STATE(4390), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7112), 1,
      sym__abstract_declarator,
    STATE(5782), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6862), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [197461] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(8830), 1,
      anon_sym_STAR,
    ACTIONS(8832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8834), 1,
      anon_sym_AMP,
    STATE(4390), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7130), 1,
      sym__abstract_declarator,
    STATE(5782), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8598), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [197526] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(9121), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5507), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(9119), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [197575] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9261), 1,
      anon_sym_class,
    ACTIONS(9263), 1,
      anon_sym_struct,
    ACTIONS(9265), 1,
      anon_sym_union,
    ACTIONS(9267), 1,
      sym_auto,
    ACTIONS(9269), 1,
      anon_sym_decltype,
    ACTIONS(9386), 1,
      sym_identifier,
    ACTIONS(9390), 1,
      anon_sym_enum,
    ACTIONS(9392), 1,
      anon_sym_typename,
    STATE(2307), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2341), 1,
      sym__type_specifier,
    STATE(2701), 1,
      sym_qualified_type_identifier,
    STATE(2725), 1,
      sym_decltype_auto,
    STATE(2793), 1,
      sym_primitive_type,
    STATE(5626), 1,
      sym_argument_list,
    STATE(7206), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2641), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5813), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9388), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2737), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [197660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9394), 1,
      anon_sym_SEMI,
    ACTIONS(6528), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6530), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [197705] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9175), 1,
      anon_sym_LT,
    STATE(2405), 1,
      sym_template_argument_list,
    ACTIONS(5822), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4470), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [197754] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7766), 1,
      anon_sym_DASH_GT,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9227), 1,
      anon_sym___attribute__,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5749), 1,
      sym_ref_qualifier,
    STATE(6475), 1,
      sym_trailing_return_type,
    STATE(6509), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6040), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [197835] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(9366), 1,
      sym_identifier,
    ACTIONS(9368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9372), 1,
      anon_sym_enum,
    ACTIONS(9374), 1,
      anon_sym_class,
    ACTIONS(9376), 1,
      anon_sym_struct,
    ACTIONS(9378), 1,
      anon_sym_union,
    ACTIONS(9380), 1,
      sym_auto,
    ACTIONS(9382), 1,
      anon_sym_decltype,
    ACTIONS(9384), 1,
      anon_sym_typename,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(3469), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4317), 1,
      sym_primitive_type,
    STATE(4417), 1,
      sym__type_specifier,
    STATE(4670), 1,
      sym_decltype_auto,
    STATE(5652), 1,
      sym_argument_list,
    STATE(7182), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(4650), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7174), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9370), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4707), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [197920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5456), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5479), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9173), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5481), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [197967] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9261), 1,
      anon_sym_class,
    ACTIONS(9263), 1,
      anon_sym_struct,
    ACTIONS(9265), 1,
      anon_sym_union,
    ACTIONS(9267), 1,
      sym_auto,
    ACTIONS(9269), 1,
      anon_sym_decltype,
    ACTIONS(9386), 1,
      sym_identifier,
    ACTIONS(9390), 1,
      anon_sym_enum,
    ACTIONS(9392), 1,
      anon_sym_typename,
    STATE(2307), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2380), 1,
      sym__type_specifier,
    STATE(2701), 1,
      sym_qualified_type_identifier,
    STATE(2725), 1,
      sym_decltype_auto,
    STATE(2793), 1,
      sym_primitive_type,
    STATE(5668), 1,
      sym_argument_list,
    STATE(7206), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2641), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5813), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9388), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2737), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [198052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5691), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [198095] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7019), 1,
      sym__type_declarator,
    STATE(8663), 1,
      sym_ms_based_modifier,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [198157] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8057), 1,
      sym_auto,
    ACTIONS(8059), 1,
      anon_sym_decltype,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    STATE(2238), 1,
      sym_decltype_auto,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7332), 1,
      sym__abstract_declarator,
    STATE(5792), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8173), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [198227] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9175), 1,
      anon_sym_LT,
    STATE(2014), 1,
      sym_template_argument_list,
    ACTIONS(4470), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(5822), 28,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [198275] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8217), 1,
      sym_identifier,
    ACTIONS(8219), 1,
      anon_sym_LPAREN2,
    ACTIONS(8255), 1,
      anon_sym_STAR,
    STATE(6926), 1,
      sym_pointer_type_declarator,
    STATE(6957), 1,
      sym__type_declarator,
    STATE(9227), 1,
      sym_ms_based_modifier,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7937), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8223), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6924), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [198337] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9001), 1,
      anon_sym_STAR,
    ACTIONS(9003), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9005), 1,
      anon_sym_AMP,
    STATE(4461), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7169), 1,
      sym__abstract_declarator,
    STATE(5782), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8598), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [198401] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(6883), 1,
      sym_auto,
    ACTIONS(6885), 1,
      anon_sym_decltype,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9396), 1,
      anon_sym_STAR,
    ACTIONS(9398), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9400), 1,
      anon_sym_AMP,
    STATE(3302), 1,
      sym_decltype_auto,
    STATE(4437), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7290), 1,
      sym__abstract_declarator,
    STATE(5769), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8195), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [198471] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    STATE(5692), 1,
      sym_attribute_specifier,
    ACTIONS(6005), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6007), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [198517] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8203), 1,
      sym_identifier,
    ACTIONS(8205), 1,
      anon_sym_LPAREN2,
    ACTIONS(8207), 1,
      anon_sym_STAR,
    STATE(3353), 1,
      sym__type_declarator,
    STATE(3837), 1,
      sym_pointer_type_declarator,
    STATE(9083), 1,
      sym_ms_based_modifier,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8215), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8213), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3833), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [198579] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(6883), 1,
      sym_auto,
    ACTIONS(6885), 1,
      anon_sym_decltype,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9396), 1,
      anon_sym_STAR,
    ACTIONS(9398), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9400), 1,
      anon_sym_AMP,
    STATE(3302), 1,
      sym_decltype_auto,
    STATE(4437), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7333), 1,
      sym__abstract_declarator,
    STATE(5790), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8173), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [198649] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9001), 1,
      anon_sym_STAR,
    ACTIONS(9003), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9005), 1,
      anon_sym_AMP,
    STATE(4461), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7171), 1,
      sym__abstract_declarator,
    STATE(5782), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6862), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [198713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    STATE(5671), 1,
      sym_attribute_specifier,
    ACTIONS(6074), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6076), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [198759] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9323), 1,
      anon_sym_LT,
    STATE(2902), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3079), 1,
      sym_template_argument_list,
    ACTIONS(4444), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5184), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4452), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [198811] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8262), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7316), 1,
      sym__type_declarator,
    STATE(9077), 1,
      sym_ms_based_modifier,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8253), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [198873] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8225), 1,
      sym_identifier,
    ACTIONS(8227), 1,
      anon_sym_LPAREN2,
    ACTIONS(8229), 1,
      anon_sym_STAR,
    STATE(3109), 1,
      sym__type_declarator,
    STATE(3419), 1,
      sym_pointer_type_declarator,
    STATE(9465), 1,
      sym_ms_based_modifier,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8233), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8231), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3418), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [198935] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7053), 1,
      sym__type_declarator,
    STATE(8663), 1,
      sym_ms_based_modifier,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [198997] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8225), 1,
      sym_identifier,
    ACTIONS(8227), 1,
      anon_sym_LPAREN2,
    ACTIONS(8229), 1,
      anon_sym_STAR,
    STATE(3130), 1,
      sym__type_declarator,
    STATE(3419), 1,
      sym_pointer_type_declarator,
    STATE(9465), 1,
      sym_ms_based_modifier,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8233), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8231), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3418), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [199059] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    STATE(5658), 1,
      sym_attribute_specifier,
    ACTIONS(6111), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6113), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [199105] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7822), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5779), 1,
      sym_ref_qualifier,
    STATE(6475), 1,
      sym_trailing_return_type,
    STATE(6482), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9402), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6051), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [199185] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    STATE(5688), 1,
      sym_attribute_specifier,
    ACTIONS(6091), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6093), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [199231] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8235), 1,
      sym_identifier,
    ACTIONS(8237), 1,
      anon_sym_LPAREN2,
    ACTIONS(8239), 1,
      anon_sym_STAR,
    STATE(3456), 1,
      sym__type_declarator,
    STATE(4114), 1,
      sym_pointer_type_declarator,
    STATE(9012), 1,
      sym_ms_based_modifier,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8243), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8241), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3903), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [199293] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    STATE(5712), 1,
      sym_attribute_specifier,
    ACTIONS(6009), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6011), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [199339] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8191), 1,
      sym_auto,
    ACTIONS(8193), 1,
      anon_sym_decltype,
    STATE(5649), 1,
      sym_decltype_auto,
    ACTIONS(5612), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5614), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [199387] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    STATE(5705), 1,
      sym_attribute_specifier,
    ACTIONS(6068), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6070), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [199433] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    STATE(5669), 1,
      sym_attribute_specifier,
    ACTIONS(6013), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6015), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [199479] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8249), 1,
      anon_sym_STAR,
    STATE(2655), 1,
      sym__type_declarator,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(8908), 1,
      sym_ms_based_modifier,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8253), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [199541] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8262), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7330), 1,
      sym__type_declarator,
    STATE(9077), 1,
      sym_ms_based_modifier,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8253), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [199603] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9001), 1,
      anon_sym_STAR,
    ACTIONS(9003), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9005), 1,
      anon_sym_AMP,
    STATE(4461), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7165), 1,
      sym__abstract_declarator,
    STATE(5782), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8600), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [199667] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9001), 1,
      anon_sym_STAR,
    ACTIONS(9003), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9005), 1,
      anon_sym_AMP,
    STATE(4461), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7160), 1,
      sym__abstract_declarator,
    STATE(5570), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6213), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [199731] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7007), 1,
      sym__type_declarator,
    STATE(8663), 1,
      sym_ms_based_modifier,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [199793] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    STATE(5686), 1,
      sym_attribute_specifier,
    ACTIONS(6117), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6119), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [199839] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8262), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7315), 1,
      sym__type_declarator,
    STATE(9077), 1,
      sym_ms_based_modifier,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8253), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [199901] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8249), 1,
      anon_sym_STAR,
    STATE(2672), 1,
      sym__type_declarator,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(8908), 1,
      sym_ms_based_modifier,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8253), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [199963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    STATE(5687), 1,
      sym_attribute_specifier,
    ACTIONS(6078), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6080), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [200009] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8217), 1,
      sym_identifier,
    ACTIONS(8219), 1,
      anon_sym_LPAREN2,
    ACTIONS(8221), 1,
      anon_sym_STAR,
    STATE(6713), 1,
      sym__type_declarator,
    STATE(6926), 1,
      sym_pointer_type_declarator,
    STATE(8793), 1,
      sym_ms_based_modifier,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8223), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6924), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [200071] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    STATE(5663), 1,
      sym_attribute_specifier,
    ACTIONS(6095), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6097), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [200117] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5760), 1,
      sym_ref_qualifier,
    STATE(6475), 1,
      sym_trailing_return_type,
    STATE(6584), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6072), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [200197] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7822), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_requires,
    STATE(5772), 1,
      sym_ref_qualifier,
    STATE(6433), 1,
      sym__function_attributes_end,
    STATE(6439), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9402), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6055), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [200277] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8249), 1,
      anon_sym_STAR,
    STATE(2658), 1,
      sym__type_declarator,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(8908), 1,
      sym_ms_based_modifier,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8253), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [200339] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9175), 1,
      anon_sym_LT,
    STATE(2014), 1,
      sym_template_argument_list,
    ACTIONS(5112), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(5105), 28,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [200387] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_requires,
    STATE(5775), 1,
      sym_ref_qualifier,
    STATE(6439), 1,
      sym_trailing_return_type,
    STATE(6637), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6069), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [200467] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8217), 1,
      sym_identifier,
    ACTIONS(8219), 1,
      anon_sym_LPAREN2,
    ACTIONS(8221), 1,
      anon_sym_STAR,
    STATE(6703), 1,
      sym__type_declarator,
    STATE(6926), 1,
      sym_pointer_type_declarator,
    STATE(8793), 1,
      sym_ms_based_modifier,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8223), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6924), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [200529] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8203), 1,
      sym_identifier,
    ACTIONS(8205), 1,
      anon_sym_LPAREN2,
    ACTIONS(8207), 1,
      anon_sym_STAR,
    STATE(3357), 1,
      sym__type_declarator,
    STATE(3837), 1,
      sym_pointer_type_declarator,
    STATE(9083), 1,
      sym_ms_based_modifier,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8215), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8213), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3833), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [200591] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8217), 1,
      sym_identifier,
    ACTIONS(8219), 1,
      anon_sym_LPAREN2,
    ACTIONS(8255), 1,
      anon_sym_STAR,
    STATE(6926), 1,
      sym_pointer_type_declarator,
    STATE(6958), 1,
      sym__type_declarator,
    STATE(9227), 1,
      sym_ms_based_modifier,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7937), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8223), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6924), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [200653] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    STATE(5673), 1,
      sym_attribute_specifier,
    ACTIONS(6058), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6060), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [200699] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9405), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9408), 1,
      anon_sym_requires,
    STATE(5770), 1,
      sym_ref_qualifier,
    STATE(6519), 1,
      sym_trailing_return_type,
    STATE(6611), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6059), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [200779] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8235), 1,
      sym_identifier,
    ACTIONS(8237), 1,
      anon_sym_LPAREN2,
    ACTIONS(8239), 1,
      anon_sym_STAR,
    STATE(3489), 1,
      sym__type_declarator,
    STATE(4114), 1,
      sym_pointer_type_declarator,
    STATE(9012), 1,
      sym_ms_based_modifier,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8243), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8241), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3903), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [200841] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(7861), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9405), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5758), 1,
      sym_ref_qualifier,
    STATE(6479), 1,
      sym_trailing_return_type,
    STATE(6545), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9402), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6054), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [200921] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8225), 1,
      sym_identifier,
    ACTIONS(8227), 1,
      anon_sym_LPAREN2,
    ACTIONS(8229), 1,
      anon_sym_STAR,
    STATE(3170), 1,
      sym__type_declarator,
    STATE(3419), 1,
      sym_pointer_type_declarator,
    STATE(9465), 1,
      sym_ms_based_modifier,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8233), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8231), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3418), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [200983] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8217), 1,
      sym_identifier,
    ACTIONS(8219), 1,
      anon_sym_LPAREN2,
    ACTIONS(8221), 1,
      anon_sym_STAR,
    STATE(6751), 1,
      sym__type_declarator,
    STATE(6926), 1,
      sym_pointer_type_declarator,
    STATE(8793), 1,
      sym_ms_based_modifier,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8223), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6924), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [201045] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8235), 1,
      sym_identifier,
    ACTIONS(8237), 1,
      anon_sym_LPAREN2,
    ACTIONS(8239), 1,
      anon_sym_STAR,
    STATE(3492), 1,
      sym__type_declarator,
    STATE(4114), 1,
      sym_pointer_type_declarator,
    STATE(9012), 1,
      sym_ms_based_modifier,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8243), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8241), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3903), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [201107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3302), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(3304), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [201149] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8057), 1,
      sym_auto,
    ACTIONS(8059), 1,
      anon_sym_decltype,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    STATE(2238), 1,
      sym_decltype_auto,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7288), 1,
      sym__abstract_declarator,
    STATE(5781), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8195), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [201219] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8217), 1,
      sym_identifier,
    ACTIONS(8219), 1,
      anon_sym_LPAREN2,
    ACTIONS(8255), 1,
      anon_sym_STAR,
    STATE(6926), 1,
      sym_pointer_type_declarator,
    STATE(6976), 1,
      sym__type_declarator,
    STATE(9227), 1,
      sym_ms_based_modifier,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7937), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8223), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6924), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [201281] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    STATE(5640), 1,
      sym_attribute_specifier,
    ACTIONS(6001), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6003), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [201327] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7861), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9405), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9408), 1,
      anon_sym_requires,
    STATE(5788), 1,
      sym_ref_qualifier,
    STATE(6519), 1,
      sym_trailing_return_type,
    STATE(6544), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9402), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6050), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [201407] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9405), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5771), 1,
      sym_ref_qualifier,
    STATE(6479), 1,
      sym_trailing_return_type,
    STATE(6618), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6063), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [201487] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8203), 1,
      sym_identifier,
    ACTIONS(8205), 1,
      anon_sym_LPAREN2,
    ACTIONS(8207), 1,
      anon_sym_STAR,
    STATE(3356), 1,
      sym__type_declarator,
    STATE(3837), 1,
      sym_pointer_type_declarator,
    STATE(9083), 1,
      sym_ms_based_modifier,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8215), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8213), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3833), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [201549] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(5259), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4444), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(8399), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4452), 21,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [201600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5726), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5728), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [201641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5695), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [201682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5678), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5680), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [201723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5785), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [201764] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(9253), 1,
      sym_identifier,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9259), 1,
      anon_sym_enum,
    ACTIONS(9261), 1,
      anon_sym_class,
    ACTIONS(9263), 1,
      anon_sym_struct,
    ACTIONS(9265), 1,
      anon_sym_union,
    ACTIONS(9267), 1,
      sym_auto,
    ACTIONS(9269), 1,
      anon_sym_decltype,
    ACTIONS(9271), 1,
      anon_sym_typename,
    STATE(2285), 1,
      sym__type_specifier,
    STATE(2356), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2701), 1,
      sym_qualified_type_identifier,
    STATE(2725), 1,
      sym_decltype_auto,
    STATE(2790), 1,
      sym_primitive_type,
    STATE(7206), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2641), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5813), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9257), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2737), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [201843] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(9239), 1,
      sym_identifier,
    ACTIONS(9241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9243), 1,
      anon_sym_enum,
    ACTIONS(9245), 1,
      anon_sym_class,
    ACTIONS(9247), 1,
      anon_sym_struct,
    ACTIONS(9249), 1,
      anon_sym_union,
    ACTIONS(9251), 1,
      anon_sym_typename,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(4674), 1,
      sym__type_specifier,
    STATE(7201), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [201922] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7577), 1,
      anon_sym_DASH_GT,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9160), 1,
      anon_sym_requires,
    STATE(6564), 1,
      sym__function_attributes_end,
    STATE(6678), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9157), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6014), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [201995] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9261), 1,
      anon_sym_class,
    ACTIONS(9263), 1,
      anon_sym_struct,
    ACTIONS(9265), 1,
      anon_sym_union,
    ACTIONS(9267), 1,
      sym_auto,
    ACTIONS(9269), 1,
      anon_sym_decltype,
    ACTIONS(9386), 1,
      sym_identifier,
    ACTIONS(9390), 1,
      anon_sym_enum,
    ACTIONS(9392), 1,
      anon_sym_typename,
    STATE(2307), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2343), 1,
      sym__type_specifier,
    STATE(2701), 1,
      sym_qualified_type_identifier,
    STATE(2725), 1,
      sym_decltype_auto,
    STATE(2793), 1,
      sym_primitive_type,
    STATE(7206), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2641), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5813), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9388), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2737), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [202074] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(7961), 1,
      sym_identifier,
    ACTIONS(7963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7965), 1,
      anon_sym_enum,
    ACTIONS(7967), 1,
      anon_sym_class,
    ACTIONS(7969), 1,
      anon_sym_struct,
    ACTIONS(7971), 1,
      anon_sym_union,
    ACTIONS(7973), 1,
      anon_sym_typename,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(3274), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3412), 1,
      sym__type_specifier,
    STATE(3663), 1,
      sym_decltype_auto,
    STATE(3979), 1,
      sym_primitive_type,
    STATE(7216), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3455), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(4039), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [202153] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(9239), 1,
      sym_identifier,
    ACTIONS(9241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9243), 1,
      anon_sym_enum,
    ACTIONS(9245), 1,
      anon_sym_class,
    ACTIONS(9247), 1,
      anon_sym_struct,
    ACTIONS(9249), 1,
      anon_sym_union,
    ACTIONS(9251), 1,
      anon_sym_typename,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(4626), 1,
      sym__type_specifier,
    STATE(7201), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [202232] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(7931), 1,
      sym_identifier,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7939), 1,
      anon_sym_enum,
    ACTIONS(7941), 1,
      anon_sym_class,
    ACTIONS(7943), 1,
      anon_sym_struct,
    ACTIONS(7945), 1,
      anon_sym_union,
    ACTIONS(7947), 1,
      sym_auto,
    ACTIONS(7949), 1,
      anon_sym_decltype,
    ACTIONS(7951), 1,
      anon_sym_typename,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(4757), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5256), 1,
      sym_primitive_type,
    STATE(5582), 1,
      sym__type_specifier,
    STATE(5620), 1,
      sym_decltype_auto,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3455), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7937), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7935), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5639), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [202311] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(9329), 1,
      sym_identifier,
    ACTIONS(9331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9335), 1,
      anon_sym_enum,
    ACTIONS(9337), 1,
      anon_sym_class,
    ACTIONS(9339), 1,
      anon_sym_struct,
    ACTIONS(9341), 1,
      anon_sym_union,
    ACTIONS(9343), 1,
      sym_auto,
    ACTIONS(9345), 1,
      anon_sym_decltype,
    ACTIONS(9347), 1,
      anon_sym_typename,
    STATE(2690), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3058), 1,
      sym_primitive_type,
    STATE(3107), 1,
      sym__type_specifier,
    STATE(3521), 1,
      sym_qualified_type_identifier,
    STATE(3532), 1,
      sym_decltype_auto,
    STATE(7221), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3466), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(6143), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9333), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3530), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [202390] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2972), 1,
      anon_sym_enum,
    ACTIONS(2974), 1,
      anon_sym_class,
    ACTIONS(2976), 1,
      anon_sym_struct,
    ACTIONS(2978), 1,
      anon_sym_union,
    ACTIONS(3004), 1,
      sym_auto,
    ACTIONS(3006), 1,
      anon_sym_decltype,
    ACTIONS(3008), 1,
      anon_sym_typename,
    ACTIONS(7927), 1,
      sym_identifier,
    ACTIONS(7929), 1,
      anon_sym_COLON_COLON,
    STATE(2459), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2996), 1,
      sym_primitive_type,
    STATE(3232), 1,
      sym__type_specifier,
    STATE(3308), 1,
      sym_decltype_auto,
    STATE(3328), 1,
      sym_qualified_type_identifier,
    STATE(7205), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3258), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2970), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2968), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3307), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [202469] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(9283), 1,
      sym_identifier,
    ACTIONS(9285), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9289), 1,
      anon_sym_enum,
    ACTIONS(9291), 1,
      anon_sym_class,
    ACTIONS(9293), 1,
      anon_sym_struct,
    ACTIONS(9295), 1,
      anon_sym_union,
    ACTIONS(9297), 1,
      sym_auto,
    ACTIONS(9299), 1,
      anon_sym_decltype,
    ACTIONS(9301), 1,
      anon_sym_typename,
    STATE(2829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3201), 1,
      sym_primitive_type,
    STATE(3396), 1,
      sym__type_specifier,
    STATE(3934), 1,
      sym_qualified_type_identifier,
    STATE(3973), 1,
      sym_decltype_auto,
    STATE(7204), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3771), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(6403), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9287), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3915), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [202548] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(9239), 1,
      sym_identifier,
    ACTIONS(9241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9243), 1,
      anon_sym_enum,
    ACTIONS(9245), 1,
      anon_sym_class,
    ACTIONS(9247), 1,
      anon_sym_struct,
    ACTIONS(9249), 1,
      anon_sym_union,
    ACTIONS(9251), 1,
      anon_sym_typename,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(4616), 1,
      sym__type_specifier,
    STATE(7201), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [202627] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(3004), 1,
      sym_auto,
    ACTIONS(3006), 1,
      anon_sym_decltype,
    ACTIONS(9352), 1,
      sym_identifier,
    ACTIONS(9354), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9356), 1,
      anon_sym_enum,
    ACTIONS(9358), 1,
      anon_sym_class,
    ACTIONS(9360), 1,
      anon_sym_struct,
    ACTIONS(9362), 1,
      anon_sym_union,
    ACTIONS(9364), 1,
      anon_sym_typename,
    STATE(2459), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2996), 1,
      sym_primitive_type,
    STATE(3232), 1,
      sym__type_specifier,
    STATE(3308), 1,
      sym_decltype_auto,
    STATE(3328), 1,
      sym_qualified_type_identifier,
    STATE(7194), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3258), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2970), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2968), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3307), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [202706] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(9283), 1,
      sym_identifier,
    ACTIONS(9285), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9289), 1,
      anon_sym_enum,
    ACTIONS(9291), 1,
      anon_sym_class,
    ACTIONS(9293), 1,
      anon_sym_struct,
    ACTIONS(9295), 1,
      anon_sym_union,
    ACTIONS(9297), 1,
      sym_auto,
    ACTIONS(9299), 1,
      anon_sym_decltype,
    ACTIONS(9301), 1,
      anon_sym_typename,
    STATE(2829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3201), 1,
      sym_primitive_type,
    STATE(3867), 1,
      sym__type_specifier,
    STATE(3934), 1,
      sym_qualified_type_identifier,
    STATE(3973), 1,
      sym_decltype_auto,
    STATE(7204), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3771), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(6403), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9287), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3915), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [202785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5771), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5773), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [202826] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(9187), 1,
      sym_identifier,
    ACTIONS(9189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9193), 1,
      anon_sym_enum,
    ACTIONS(9195), 1,
      anon_sym_class,
    ACTIONS(9197), 1,
      anon_sym_struct,
    ACTIONS(9199), 1,
      anon_sym_union,
    ACTIONS(9201), 1,
      sym_auto,
    ACTIONS(9203), 1,
      anon_sym_decltype,
    ACTIONS(9205), 1,
      anon_sym_typename,
    STATE(2613), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2919), 1,
      sym_primitive_type,
    STATE(3116), 1,
      sym__type_specifier,
    STATE(3243), 1,
      sym_decltype_auto,
    STATE(3254), 1,
      sym_qualified_type_identifier,
    STATE(7186), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3106), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5981), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9191), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3252), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [202905] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(9207), 1,
      sym_identifier,
    ACTIONS(9209), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9213), 1,
      anon_sym_enum,
    ACTIONS(9215), 1,
      anon_sym_class,
    ACTIONS(9217), 1,
      anon_sym_struct,
    ACTIONS(9219), 1,
      anon_sym_union,
    ACTIONS(9221), 1,
      sym_auto,
    ACTIONS(9223), 1,
      anon_sym_decltype,
    ACTIONS(9225), 1,
      anon_sym_typename,
    STATE(2684), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3034), 1,
      sym_primitive_type,
    STATE(3100), 1,
      sym__type_specifier,
    STATE(3415), 1,
      sym_decltype_auto,
    STATE(3426), 1,
      sym_qualified_type_identifier,
    STATE(7187), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3360), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(6133), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9211), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3420), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [202984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5479), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5481), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [203025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5628), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [203066] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9177), 1,
      anon_sym___attribute__,
    ACTIONS(9325), 1,
      anon_sym_LBRACE,
    STATE(5739), 1,
      sym_enumerator_list,
    STATE(5827), 1,
      sym_attribute_specifier,
    ACTIONS(5909), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5911), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [203115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5660), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [203156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5636), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5638), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [203197] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7577), 1,
      anon_sym_DASH_GT,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7585), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    STATE(6562), 1,
      sym__function_attributes_end,
    STATE(6673), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6004), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9411), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [203270] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(9303), 1,
      sym_identifier,
    ACTIONS(9305), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9309), 1,
      anon_sym_enum,
    ACTIONS(9311), 1,
      anon_sym_class,
    ACTIONS(9313), 1,
      anon_sym_struct,
    ACTIONS(9315), 1,
      anon_sym_union,
    ACTIONS(9317), 1,
      sym_auto,
    ACTIONS(9319), 1,
      anon_sym_decltype,
    ACTIONS(9321), 1,
      anon_sym_typename,
    STATE(3873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4521), 1,
      sym_primitive_type,
    STATE(4631), 1,
      sym__type_specifier,
    STATE(4783), 1,
      sym_qualified_type_identifier,
    STATE(4830), 1,
      sym_decltype_auto,
    STATE(7175), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(4753), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7610), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9307), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4827), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [203349] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(3004), 1,
      sym_auto,
    ACTIONS(3006), 1,
      anon_sym_decltype,
    ACTIONS(9352), 1,
      sym_identifier,
    ACTIONS(9354), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9356), 1,
      anon_sym_enum,
    ACTIONS(9358), 1,
      anon_sym_class,
    ACTIONS(9360), 1,
      anon_sym_struct,
    ACTIONS(9362), 1,
      anon_sym_union,
    ACTIONS(9364), 1,
      anon_sym_typename,
    STATE(2459), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2996), 1,
      sym_primitive_type,
    STATE(3308), 1,
      sym_decltype_auto,
    STATE(3328), 1,
      sym_qualified_type_identifier,
    STATE(4738), 1,
      sym__type_specifier,
    STATE(7194), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3258), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2970), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2968), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3307), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [203428] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(9239), 1,
      sym_identifier,
    ACTIONS(9241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9243), 1,
      anon_sym_enum,
    ACTIONS(9245), 1,
      anon_sym_class,
    ACTIONS(9247), 1,
      anon_sym_struct,
    ACTIONS(9249), 1,
      anon_sym_union,
    ACTIONS(9251), 1,
      anon_sym_typename,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(4712), 1,
      sym__type_specifier,
    STATE(7201), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [203507] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(9239), 1,
      sym_identifier,
    ACTIONS(9241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9243), 1,
      anon_sym_enum,
    ACTIONS(9245), 1,
      anon_sym_class,
    ACTIONS(9247), 1,
      anon_sym_struct,
    ACTIONS(9249), 1,
      anon_sym_union,
    ACTIONS(9251), 1,
      anon_sym_typename,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2217), 1,
      sym__type_specifier,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(7201), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [203586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5676), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [203627] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(9366), 1,
      sym_identifier,
    ACTIONS(9368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9372), 1,
      anon_sym_enum,
    ACTIONS(9374), 1,
      anon_sym_class,
    ACTIONS(9376), 1,
      anon_sym_struct,
    ACTIONS(9378), 1,
      anon_sym_union,
    ACTIONS(9380), 1,
      sym_auto,
    ACTIONS(9382), 1,
      anon_sym_decltype,
    ACTIONS(9384), 1,
      anon_sym_typename,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(3469), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4317), 1,
      sym_primitive_type,
    STATE(4644), 1,
      sym__type_specifier,
    STATE(4670), 1,
      sym_decltype_auto,
    STATE(7182), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(4650), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7174), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9370), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4707), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [203706] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7577), 1,
      anon_sym_DASH_GT,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7585), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    STATE(6566), 1,
      sym__function_attributes_end,
    STATE(6654), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6030), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [203779] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(9366), 1,
      sym_identifier,
    ACTIONS(9368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9372), 1,
      anon_sym_enum,
    ACTIONS(9374), 1,
      anon_sym_class,
    ACTIONS(9376), 1,
      anon_sym_struct,
    ACTIONS(9378), 1,
      anon_sym_union,
    ACTIONS(9380), 1,
      sym_auto,
    ACTIONS(9382), 1,
      anon_sym_decltype,
    ACTIONS(9384), 1,
      anon_sym_typename,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(3469), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4317), 1,
      sym_primitive_type,
    STATE(4514), 1,
      sym__type_specifier,
    STATE(4670), 1,
      sym_decltype_auto,
    STATE(7182), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(4650), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7174), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9370), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4707), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [203858] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(9329), 1,
      sym_identifier,
    ACTIONS(9331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9335), 1,
      anon_sym_enum,
    ACTIONS(9337), 1,
      anon_sym_class,
    ACTIONS(9339), 1,
      anon_sym_struct,
    ACTIONS(9341), 1,
      anon_sym_union,
    ACTIONS(9343), 1,
      sym_auto,
    ACTIONS(9345), 1,
      anon_sym_decltype,
    ACTIONS(9347), 1,
      anon_sym_typename,
    STATE(2690), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3058), 1,
      sym_primitive_type,
    STATE(3168), 1,
      sym__type_specifier,
    STATE(3521), 1,
      sym_qualified_type_identifier,
    STATE(3532), 1,
      sym_decltype_auto,
    STATE(7221), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3466), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(6143), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9333), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3530), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [203937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5747), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [203978] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(9283), 1,
      sym_identifier,
    ACTIONS(9285), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9289), 1,
      anon_sym_enum,
    ACTIONS(9291), 1,
      anon_sym_class,
    ACTIONS(9293), 1,
      anon_sym_struct,
    ACTIONS(9295), 1,
      anon_sym_union,
    ACTIONS(9297), 1,
      sym_auto,
    ACTIONS(9299), 1,
      anon_sym_decltype,
    ACTIONS(9301), 1,
      anon_sym_typename,
    STATE(2829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3201), 1,
      sym_primitive_type,
    STATE(3394), 1,
      sym__type_specifier,
    STATE(3934), 1,
      sym_qualified_type_identifier,
    STATE(3973), 1,
      sym_decltype_auto,
    STATE(7204), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3771), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(6403), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9287), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3915), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [204057] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(9165), 1,
      anon_sym_STAR,
    ACTIONS(9167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9169), 1,
      anon_sym_AMP,
    STATE(4617), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(7193), 1,
      sym__abstract_declarator,
    STATE(5682), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6213), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [204120] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7919), 1,
      anon_sym_DASH_GT,
    ACTIONS(7921), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    STATE(5850), 1,
      sym_ref_qualifier,
    STATE(6758), 1,
      sym__function_attributes_end,
    STATE(6814), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6081), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [204199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5724), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [204240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5640), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5642), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [204281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5763), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5765), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [204322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5624), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [204363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5624), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [204404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5767), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5769), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [204445] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(9303), 1,
      sym_identifier,
    ACTIONS(9305), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9309), 1,
      anon_sym_enum,
    ACTIONS(9311), 1,
      anon_sym_class,
    ACTIONS(9313), 1,
      anon_sym_struct,
    ACTIONS(9315), 1,
      anon_sym_union,
    ACTIONS(9317), 1,
      sym_auto,
    ACTIONS(9319), 1,
      anon_sym_decltype,
    ACTIONS(9321), 1,
      anon_sym_typename,
    STATE(3873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4521), 1,
      sym_primitive_type,
    STATE(4746), 1,
      sym__type_specifier,
    STATE(4783), 1,
      sym_qualified_type_identifier,
    STATE(4830), 1,
      sym_decltype_auto,
    STATE(7175), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(4753), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7610), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9307), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4827), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [204524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5751), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [204565] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(9253), 1,
      sym_identifier,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9259), 1,
      anon_sym_enum,
    ACTIONS(9261), 1,
      anon_sym_class,
    ACTIONS(9263), 1,
      anon_sym_struct,
    ACTIONS(9265), 1,
      anon_sym_union,
    ACTIONS(9267), 1,
      sym_auto,
    ACTIONS(9269), 1,
      anon_sym_decltype,
    ACTIONS(9271), 1,
      anon_sym_typename,
    STATE(2356), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2671), 1,
      sym__type_specifier,
    STATE(2701), 1,
      sym_qualified_type_identifier,
    STATE(2725), 1,
      sym_decltype_auto,
    STATE(2790), 1,
      sym_primitive_type,
    STATE(7206), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2641), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5813), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9257), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2737), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [204644] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(9165), 1,
      anon_sym_STAR,
    ACTIONS(9167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9169), 1,
      anon_sym_AMP,
    STATE(4617), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(7184), 1,
      sym__abstract_declarator,
    STATE(5507), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8600), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [204707] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9261), 1,
      anon_sym_class,
    ACTIONS(9263), 1,
      anon_sym_struct,
    ACTIONS(9265), 1,
      anon_sym_union,
    ACTIONS(9267), 1,
      sym_auto,
    ACTIONS(9269), 1,
      anon_sym_decltype,
    ACTIONS(9386), 1,
      sym_identifier,
    ACTIONS(9390), 1,
      anon_sym_enum,
    ACTIONS(9392), 1,
      anon_sym_typename,
    STATE(2285), 1,
      sym__type_specifier,
    STATE(2307), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2701), 1,
      sym_qualified_type_identifier,
    STATE(2725), 1,
      sym_decltype_auto,
    STATE(2793), 1,
      sym_primitive_type,
    STATE(7206), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2641), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5813), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9388), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2737), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [204786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5668), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [204827] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(9253), 1,
      sym_identifier,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9259), 1,
      anon_sym_enum,
    ACTIONS(9261), 1,
      anon_sym_class,
    ACTIONS(9263), 1,
      anon_sym_struct,
    ACTIONS(9265), 1,
      anon_sym_union,
    ACTIONS(9267), 1,
      sym_auto,
    ACTIONS(9269), 1,
      anon_sym_decltype,
    ACTIONS(9271), 1,
      anon_sym_typename,
    STATE(2343), 1,
      sym__type_specifier,
    STATE(2356), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2701), 1,
      sym_qualified_type_identifier,
    STATE(2725), 1,
      sym_decltype_auto,
    STATE(2790), 1,
      sym_primitive_type,
    STATE(7206), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2641), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5813), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9257), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2737), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [204906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5741), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5743), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [204947] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2021), 1,
      anon_sym_enum,
    ACTIONS(2023), 1,
      anon_sym_class,
    ACTIONS(2025), 1,
      anon_sym_struct,
    ACTIONS(2027), 1,
      anon_sym_union,
    ACTIONS(2053), 1,
      anon_sym_typename,
    ACTIONS(5091), 1,
      sym_identifier,
    ACTIONS(5101), 1,
      anon_sym_COLON_COLON,
    STATE(3238), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3412), 1,
      sym__type_specifier,
    STATE(3663), 1,
      sym_decltype_auto,
    STATE(4004), 1,
      sym_primitive_type,
    STATE(4606), 1,
      sym_qualified_type_identifier,
    STATE(7177), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3455), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [205026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5737), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5739), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [205067] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9415), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(6335), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6337), 28,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [205110] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9261), 1,
      anon_sym_class,
    ACTIONS(9263), 1,
      anon_sym_struct,
    ACTIONS(9265), 1,
      anon_sym_union,
    ACTIONS(9267), 1,
      sym_auto,
    ACTIONS(9269), 1,
      anon_sym_decltype,
    ACTIONS(9386), 1,
      sym_identifier,
    ACTIONS(9390), 1,
      anon_sym_enum,
    ACTIONS(9392), 1,
      anon_sym_typename,
    STATE(2307), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2671), 1,
      sym__type_specifier,
    STATE(2701), 1,
      sym_qualified_type_identifier,
    STATE(2725), 1,
      sym_decltype_auto,
    STATE(2793), 1,
      sym_primitive_type,
    STATE(7206), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2641), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5813), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9388), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2737), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [205189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5716), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [205230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5624), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [205271] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(9366), 1,
      sym_identifier,
    ACTIONS(9368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9372), 1,
      anon_sym_enum,
    ACTIONS(9374), 1,
      anon_sym_class,
    ACTIONS(9376), 1,
      anon_sym_struct,
    ACTIONS(9378), 1,
      anon_sym_union,
    ACTIONS(9380), 1,
      sym_auto,
    ACTIONS(9382), 1,
      anon_sym_decltype,
    ACTIONS(9384), 1,
      anon_sym_typename,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(3469), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4317), 1,
      sym_primitive_type,
    STATE(4517), 1,
      sym__type_specifier,
    STATE(4670), 1,
      sym_decltype_auto,
    STATE(7182), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(4650), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7174), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9370), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4707), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [205350] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(9329), 1,
      sym_identifier,
    ACTIONS(9331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9335), 1,
      anon_sym_enum,
    ACTIONS(9337), 1,
      anon_sym_class,
    ACTIONS(9339), 1,
      anon_sym_struct,
    ACTIONS(9341), 1,
      anon_sym_union,
    ACTIONS(9343), 1,
      sym_auto,
    ACTIONS(9345), 1,
      anon_sym_decltype,
    ACTIONS(9347), 1,
      anon_sym_typename,
    STATE(2690), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3058), 1,
      sym_primitive_type,
    STATE(3401), 1,
      sym__type_specifier,
    STATE(3521), 1,
      sym_qualified_type_identifier,
    STATE(3532), 1,
      sym_decltype_auto,
    STATE(7221), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3466), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(6143), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9333), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3530), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [205429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5775), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5777), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [205470] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(9303), 1,
      sym_identifier,
    ACTIONS(9305), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9309), 1,
      anon_sym_enum,
    ACTIONS(9311), 1,
      anon_sym_class,
    ACTIONS(9313), 1,
      anon_sym_struct,
    ACTIONS(9315), 1,
      anon_sym_union,
    ACTIONS(9317), 1,
      sym_auto,
    ACTIONS(9319), 1,
      anon_sym_decltype,
    ACTIONS(9321), 1,
      anon_sym_typename,
    STATE(3873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4521), 1,
      sym_primitive_type,
    STATE(4612), 1,
      sym__type_specifier,
    STATE(4783), 1,
      sym_qualified_type_identifier,
    STATE(4830), 1,
      sym_decltype_auto,
    STATE(7175), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(4753), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7610), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9307), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4827), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [205549] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(9165), 1,
      anon_sym_STAR,
    ACTIONS(9167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9169), 1,
      anon_sym_AMP,
    STATE(4617), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(7190), 1,
      sym__abstract_declarator,
    STATE(5507), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6862), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [205612] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5824), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(9425), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5683), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(9422), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9420), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
    ACTIONS(9418), 19,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [205661] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2097), 1,
      anon_sym_enum,
    ACTIONS(2099), 1,
      anon_sym_class,
    ACTIONS(2101), 1,
      anon_sym_struct,
    ACTIONS(2103), 1,
      anon_sym_union,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(2133), 1,
      anon_sym_typename,
    ACTIONS(7871), 1,
      sym_identifier,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2217), 1,
      sym__type_specifier,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(2461), 1,
      sym_qualified_type_identifier,
    STATE(2681), 1,
      sym_primitive_type,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [205740] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5101), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(8979), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8983), 1,
      anon_sym_EQ,
    ACTIONS(9428), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(3709), 1,
      sym__class_declaration,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6233), 1,
      sym_ms_declspec_modifier,
    STATE(7177), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8981), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(3441), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6242), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6019), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [205829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5730), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5732), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [205870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5720), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [205911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5759), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5761), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [205952] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(9165), 1,
      anon_sym_STAR,
    ACTIONS(9167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9169), 1,
      anon_sym_AMP,
    STATE(4617), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(7192), 1,
      sym__abstract_declarator,
    STATE(5507), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8598), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7756), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [206015] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(9187), 1,
      sym_identifier,
    ACTIONS(9189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9193), 1,
      anon_sym_enum,
    ACTIONS(9195), 1,
      anon_sym_class,
    ACTIONS(9197), 1,
      anon_sym_struct,
    ACTIONS(9199), 1,
      anon_sym_union,
    ACTIONS(9201), 1,
      sym_auto,
    ACTIONS(9203), 1,
      anon_sym_decltype,
    ACTIONS(9205), 1,
      anon_sym_typename,
    STATE(2613), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2919), 1,
      sym_primitive_type,
    STATE(2993), 1,
      sym__type_specifier,
    STATE(3243), 1,
      sym_decltype_auto,
    STATE(3254), 1,
      sym_qualified_type_identifier,
    STATE(7186), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3106), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5981), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9191), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3252), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [206094] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2129), 1,
      sym_auto,
    ACTIONS(2131), 1,
      anon_sym_decltype,
    ACTIONS(7901), 1,
      sym_identifier,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7907), 1,
      anon_sym_enum,
    ACTIONS(7909), 1,
      anon_sym_class,
    ACTIONS(7911), 1,
      anon_sym_struct,
    ACTIONS(7913), 1,
      anon_sym_union,
    ACTIONS(7915), 1,
      anon_sym_typename,
    STATE(2217), 1,
      sym__type_specifier,
    STATE(2249), 1,
      sym_decltype_auto,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(5848), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6036), 1,
      sym_primitive_type,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(2131), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7905), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2250), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [206173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5644), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5646), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [206214] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(7879), 1,
      sym_identifier,
    ACTIONS(7881), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7887), 1,
      anon_sym_enum,
    ACTIONS(7889), 1,
      anon_sym_class,
    ACTIONS(7891), 1,
      anon_sym_struct,
    ACTIONS(7893), 1,
      anon_sym_union,
    ACTIONS(7895), 1,
      sym_auto,
    ACTIONS(7897), 1,
      anon_sym_decltype,
    ACTIONS(7899), 1,
      anon_sym_typename,
    STATE(4912), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5558), 1,
      sym_primitive_type,
    STATE(5776), 1,
      sym__type_specifier,
    STATE(5806), 1,
      sym_qualified_type_identifier,
    STATE(5819), 1,
      sym_decltype_auto,
    STATE(7218), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(5786), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7885), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7883), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5820), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [206293] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(7947), 1,
      sym_auto,
    ACTIONS(7949), 1,
      anon_sym_decltype,
    ACTIONS(7979), 1,
      sym_identifier,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7983), 1,
      anon_sym_enum,
    ACTIONS(7985), 1,
      anon_sym_class,
    ACTIONS(7987), 1,
      anon_sym_struct,
    ACTIONS(7989), 1,
      anon_sym_union,
    ACTIONS(7991), 1,
      anon_sym_typename,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(4757), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5256), 1,
      sym_primitive_type,
    STATE(5582), 1,
      sym__type_specifier,
    STATE(5620), 1,
      sym_decltype_auto,
    STATE(7181), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3455), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7937), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7935), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5639), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [206372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5648), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5650), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [206413] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(9187), 1,
      sym_identifier,
    ACTIONS(9189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9193), 1,
      anon_sym_enum,
    ACTIONS(9195), 1,
      anon_sym_class,
    ACTIONS(9197), 1,
      anon_sym_struct,
    ACTIONS(9199), 1,
      anon_sym_union,
    ACTIONS(9201), 1,
      sym_auto,
    ACTIONS(9203), 1,
      anon_sym_decltype,
    ACTIONS(9205), 1,
      anon_sym_typename,
    STATE(2613), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2919), 1,
      sym_primitive_type,
    STATE(2999), 1,
      sym__type_specifier,
    STATE(3243), 1,
      sym_decltype_auto,
    STATE(3254), 1,
      sym_qualified_type_identifier,
    STATE(7186), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3106), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5981), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9191), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3252), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [206492] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(4031), 1,
      sym_identifier,
    ACTIONS(4037), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4041), 1,
      anon_sym_enum,
    ACTIONS(4043), 1,
      anon_sym_class,
    ACTIONS(4045), 1,
      anon_sym_struct,
    ACTIONS(4047), 1,
      anon_sym_union,
    ACTIONS(4049), 1,
      anon_sym_typename,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(3274), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3412), 1,
      sym__type_specifier,
    STATE(3663), 1,
      sym_decltype_auto,
    STATE(3979), 1,
      sym_primitive_type,
    STATE(7217), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3455), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(4039), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [206571] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7953), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9405), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9430), 1,
      anon_sym_requires,
    STATE(5852), 1,
      sym_ref_qualifier,
    STATE(6689), 1,
      sym__function_attributes_end,
    STATE(6795), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6079), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [206650] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9177), 1,
      anon_sym___attribute__,
    ACTIONS(9325), 1,
      anon_sym_LBRACE,
    STATE(5751), 1,
      sym_enumerator_list,
    STATE(5810), 1,
      sym_attribute_specifier,
    ACTIONS(5928), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5930), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [206699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5708), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [206740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5699), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5701), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [206781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5652), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5654), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [206822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5660), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [206863] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(3004), 1,
      sym_auto,
    ACTIONS(3006), 1,
      anon_sym_decltype,
    ACTIONS(9352), 1,
      sym_identifier,
    ACTIONS(9354), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9356), 1,
      anon_sym_enum,
    ACTIONS(9358), 1,
      anon_sym_class,
    ACTIONS(9360), 1,
      anon_sym_struct,
    ACTIONS(9362), 1,
      anon_sym_union,
    ACTIONS(9364), 1,
      anon_sym_typename,
    STATE(2459), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2996), 1,
      sym_primitive_type,
    STATE(3308), 1,
      sym_decltype_auto,
    STATE(3328), 1,
      sym_qualified_type_identifier,
    STATE(4775), 1,
      sym__type_specifier,
    STATE(7194), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3258), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2970), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2968), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3307), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [206942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5779), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5781), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [206983] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(3258), 1,
      anon_sym_enum,
    ACTIONS(3260), 1,
      anon_sym_class,
    ACTIONS(3262), 1,
      anon_sym_struct,
    ACTIONS(3264), 1,
      anon_sym_union,
    ACTIONS(3266), 1,
      anon_sym_typename,
    ACTIONS(5194), 1,
      sym_identifier,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    STATE(3238), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3412), 1,
      sym__type_specifier,
    STATE(3663), 1,
      sym_decltype_auto,
    STATE(4004), 1,
      sym_primitive_type,
    STATE(4606), 1,
      sym_qualified_type_identifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3455), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [207062] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(9207), 1,
      sym_identifier,
    ACTIONS(9209), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9213), 1,
      anon_sym_enum,
    ACTIONS(9215), 1,
      anon_sym_class,
    ACTIONS(9217), 1,
      anon_sym_struct,
    ACTIONS(9219), 1,
      anon_sym_union,
    ACTIONS(9221), 1,
      sym_auto,
    ACTIONS(9223), 1,
      anon_sym_decltype,
    ACTIONS(9225), 1,
      anon_sym_typename,
    STATE(2684), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3034), 1,
      sym_primitive_type,
    STATE(3089), 1,
      sym__type_specifier,
    STATE(3415), 1,
      sym_decltype_auto,
    STATE(3426), 1,
      sym_qualified_type_identifier,
    STATE(7187), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3360), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(6133), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9211), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3420), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [207141] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7577), 1,
      anon_sym_DASH_GT,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9436), 1,
      anon_sym_requires,
    STATE(6561), 1,
      sym__function_attributes_end,
    STATE(6646), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9433), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6032), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9411), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [207214] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(7961), 1,
      sym_identifier,
    ACTIONS(7963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7965), 1,
      anon_sym_enum,
    ACTIONS(7967), 1,
      anon_sym_class,
    ACTIONS(7969), 1,
      anon_sym_struct,
    ACTIONS(7971), 1,
      anon_sym_union,
    ACTIONS(7973), 1,
      anon_sym_typename,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(3274), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3663), 1,
      sym_decltype_auto,
    STATE(3979), 1,
      sym_primitive_type,
    STATE(7216), 1,
      sym__scope_resolution,
    STATE(7451), 1,
      sym__type_specifier,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3455), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(4039), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [207293] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(7961), 1,
      sym_identifier,
    ACTIONS(7963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7965), 1,
      anon_sym_enum,
    ACTIONS(7967), 1,
      anon_sym_class,
    ACTIONS(7969), 1,
      anon_sym_struct,
    ACTIONS(7971), 1,
      anon_sym_union,
    ACTIONS(7973), 1,
      anon_sym_typename,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(3274), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3663), 1,
      sym_decltype_auto,
    STATE(3979), 1,
      sym_primitive_type,
    STATE(7216), 1,
      sym__scope_resolution,
    STATE(7442), 1,
      sym__type_specifier,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3455), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(4039), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [207372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5753), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5755), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [207413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5664), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [207454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5712), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [207495] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7919), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9439), 1,
      anon_sym_requires,
    STATE(5851), 1,
      sym_ref_qualifier,
    STATE(6732), 1,
      sym__function_attributes_end,
    STATE(6825), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9157), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6085), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [207574] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(9207), 1,
      sym_identifier,
    ACTIONS(9209), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9213), 1,
      anon_sym_enum,
    ACTIONS(9215), 1,
      anon_sym_class,
    ACTIONS(9217), 1,
      anon_sym_struct,
    ACTIONS(9219), 1,
      anon_sym_union,
    ACTIONS(9221), 1,
      sym_auto,
    ACTIONS(9223), 1,
      anon_sym_decltype,
    ACTIONS(9225), 1,
      anon_sym_typename,
    STATE(2684), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3034), 1,
      sym_primitive_type,
    STATE(3361), 1,
      sym__type_specifier,
    STATE(3415), 1,
      sym_decltype_auto,
    STATE(3426), 1,
      sym_qualified_type_identifier,
    STATE(7187), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3360), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(6133), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9211), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3420), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [207653] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_enum,
    ACTIONS(67), 1,
      anon_sym_class,
    ACTIONS(69), 1,
      anon_sym_struct,
    ACTIONS(71), 1,
      anon_sym_union,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(129), 1,
      anon_sym_typename,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(5194), 1,
      sym_identifier,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    STATE(3238), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3412), 1,
      sym__type_specifier,
    STATE(3663), 1,
      sym_decltype_auto,
    STATE(4004), 1,
      sym_primitive_type,
    STATE(4606), 1,
      sym_qualified_type_identifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_dependent_type_identifier,
    STATE(3455), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [207732] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7953), 1,
      anon_sym_DASH_GT,
    ACTIONS(7955), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9405), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5840), 1,
      sym_ref_qualifier,
    STATE(6651), 1,
      sym__function_attributes_end,
    STATE(6832), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6096), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [207811] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(8405), 1,
      sym_identifier,
    ACTIONS(8407), 1,
      anon_sym_LPAREN2,
    ACTIONS(8409), 1,
      anon_sym_STAR,
    ACTIONS(8411), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8413), 1,
      anon_sym_AMP,
    STATE(6846), 1,
      sym__field_declarator,
    STATE(7018), 1,
      sym_operator_name,
    STATE(8659), 1,
      sym_ms_based_modifier,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7118), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [207873] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8057), 1,
      sym_auto,
    ACTIONS(8059), 1,
      anon_sym_decltype,
    ACTIONS(8173), 1,
      anon_sym_COLON,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9281), 1,
      anon_sym_const,
    ACTIONS(9442), 1,
      anon_sym_STAR,
    ACTIONS(9444), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9446), 1,
      anon_sym_AMP,
    STATE(2238), 1,
      sym_decltype_auto,
    STATE(4635), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7399), 1,
      sym__abstract_declarator,
    STATE(5964), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9279), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [207941] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7766), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9227), 1,
      anon_sym___attribute__,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_requires,
    STATE(6439), 1,
      sym_trailing_return_type,
    STATE(6441), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6041), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [208013] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(9448), 1,
      anon_sym_COLON,
    STATE(3088), 1,
      sym__enum_base_clause,
    STATE(3173), 1,
      sym_enumerator_list,
    STATE(3300), 1,
      sym_attribute_specifier,
    ACTIONS(6273), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6275), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [208065] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9177), 1,
      anon_sym___attribute__,
    STATE(5797), 1,
      sym_attribute_specifier,
    ACTIONS(6091), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6093), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [208109] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7766), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9450), 1,
      anon_sym___attribute__,
    ACTIONS(9453), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9459), 1,
      anon_sym_requires,
    STATE(6454), 1,
      sym__function_attributes_end,
    STATE(6459), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9456), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6043), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9411), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [208181] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9177), 1,
      anon_sym___attribute__,
    STATE(5855), 1,
      sym_attribute_specifier,
    ACTIONS(6111), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6113), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [208225] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9177), 1,
      anon_sym___attribute__,
    STATE(5860), 1,
      sym_attribute_specifier,
    ACTIONS(6074), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6076), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [208269] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(6361), 1,
      anon_sym_LBRACE,
    ACTIONS(9462), 1,
      anon_sym_COLON,
    STATE(2224), 1,
      sym_attribute_specifier,
    STATE(5844), 1,
      sym__enum_base_clause,
    STATE(6008), 1,
      sym_enumerator_list,
    ACTIONS(6265), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6263), 24,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [208321] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8057), 1,
      sym_auto,
    ACTIONS(8059), 1,
      anon_sym_decltype,
    ACTIONS(8195), 1,
      anon_sym_COLON,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9281), 1,
      anon_sym_const,
    ACTIONS(9442), 1,
      anon_sym_STAR,
    ACTIONS(9444), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9446), 1,
      anon_sym_AMP,
    STATE(2238), 1,
      sym_decltype_auto,
    STATE(4635), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7441), 1,
      sym__abstract_declarator,
    STATE(5874), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9279), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [208389] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(8407), 1,
      anon_sym_LPAREN2,
    ACTIONS(8478), 1,
      sym_identifier,
    ACTIONS(8480), 1,
      anon_sym_STAR,
    ACTIONS(8482), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8484), 1,
      anon_sym_AMP,
    STATE(7246), 1,
      sym__field_declarator,
    STATE(7361), 1,
      sym_operator_name,
    STATE(8830), 1,
      sym_ms_based_modifier,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7118), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [208451] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5902), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(9420), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(9467), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5729), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(9464), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9418), 22,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
  [208499] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9177), 1,
      anon_sym___attribute__,
    STATE(5805), 1,
      sym_attribute_specifier,
    ACTIONS(6095), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6097), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [208543] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(9448), 1,
      anon_sym_COLON,
    STATE(3102), 1,
      sym__enum_base_clause,
    STATE(3145), 1,
      sym_enumerator_list,
    STATE(3293), 1,
      sym_attribute_specifier,
    ACTIONS(6263), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6265), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [208595] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(8405), 1,
      sym_identifier,
    ACTIONS(8407), 1,
      anon_sym_LPAREN2,
    ACTIONS(8409), 1,
      anon_sym_STAR,
    ACTIONS(8411), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8413), 1,
      anon_sym_AMP,
    STATE(6865), 1,
      sym__field_declarator,
    STATE(7018), 1,
      sym_operator_name,
    STATE(8659), 1,
      sym_ms_based_modifier,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7118), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [208657] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9177), 1,
      anon_sym___attribute__,
    STATE(5807), 1,
      sym_attribute_specifier,
    ACTIONS(6078), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6080), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [208701] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(6361), 1,
      anon_sym_LBRACE,
    ACTIONS(9462), 1,
      anon_sym_COLON,
    STATE(2269), 1,
      sym_attribute_specifier,
    STATE(5837), 1,
      sym__enum_base_clause,
    STATE(6022), 1,
      sym_enumerator_list,
    ACTIONS(6275), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6273), 24,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [208753] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_STAR,
    ACTIONS(9472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9474), 1,
      anon_sym_AMP,
    STATE(3819), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7089), 1,
      sym__abstract_declarator,
    STATE(5782), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6862), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [208815] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      anon_sym___attribute__,
    ACTIONS(6361), 1,
      anon_sym_LBRACE,
    ACTIONS(9476), 1,
      anon_sym_COLON,
    STATE(2224), 1,
      sym_attribute_specifier,
    STATE(2817), 1,
      sym__enum_base_clause,
    STATE(2853), 1,
      sym_enumerator_list,
    ACTIONS(6263), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6265), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [208867] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      anon_sym___attribute__,
    ACTIONS(6361), 1,
      anon_sym_LBRACE,
    ACTIONS(9476), 1,
      anon_sym_COLON,
    STATE(2269), 1,
      sym_attribute_specifier,
    STATE(2828), 1,
      sym__enum_base_clause,
    STATE(2955), 1,
      sym_enumerator_list,
    ACTIONS(6273), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6275), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [208919] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_STAR,
    ACTIONS(9472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9474), 1,
      anon_sym_AMP,
    STATE(3819), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7099), 1,
      sym__abstract_declarator,
    STATE(5735), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6213), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [208981] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9177), 1,
      anon_sym___attribute__,
    STATE(5809), 1,
      sym_attribute_specifier,
    ACTIONS(6068), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6070), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [209025] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9177), 1,
      anon_sym___attribute__,
    STATE(5845), 1,
      sym_attribute_specifier,
    ACTIONS(6001), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6003), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [209069] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(5949), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5972), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(5970), 25,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [209117] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9177), 1,
      anon_sym___attribute__,
    STATE(5795), 1,
      sym_attribute_specifier,
    ACTIONS(6005), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6007), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [209161] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(8407), 1,
      anon_sym_LPAREN2,
    ACTIONS(8478), 1,
      sym_identifier,
    ACTIONS(8480), 1,
      anon_sym_STAR,
    ACTIONS(8482), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8484), 1,
      anon_sym_AMP,
    STATE(7268), 1,
      sym__field_declarator,
    STATE(7361), 1,
      sym_operator_name,
    STATE(8830), 1,
      sym_ms_based_modifier,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7118), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [209223] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9273), 1,
      anon_sym_STAR,
    ACTIONS(9275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9277), 1,
      anon_sym_AMP,
    ACTIONS(9281), 1,
      anon_sym_const,
    STATE(4603), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7264), 1,
      sym__abstract_declarator,
    STATE(5752), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6213), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9279), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [209285] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9177), 1,
      anon_sym___attribute__,
    STATE(5822), 1,
      sym_attribute_specifier,
    ACTIONS(6009), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6011), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [209329] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(8020), 1,
      anon_sym_DASH_GT,
    ACTIONS(8022), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    STATE(5995), 1,
      sym_ref_qualifier,
    STATE(6842), 1,
      sym__function_attributes_end,
    STATE(6997), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6107), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [209407] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9273), 1,
      anon_sym_STAR,
    ACTIONS(9275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9277), 1,
      anon_sym_AMP,
    ACTIONS(9281), 1,
      anon_sym_const,
    STATE(4603), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7275), 1,
      sym__abstract_declarator,
    STATE(6103), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8600), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9279), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [209469] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9177), 1,
      anon_sym___attribute__,
    STATE(5818), 1,
      sym_attribute_specifier,
    ACTIONS(6013), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6015), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [209513] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7766), 1,
      anon_sym_DASH_GT,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9450), 1,
      anon_sym___attribute__,
    ACTIONS(9453), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6511), 1,
      sym_trailing_return_type,
    STATE(6518), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6035), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9411), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [209585] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(8405), 1,
      sym_identifier,
    ACTIONS(8407), 1,
      anon_sym_LPAREN2,
    ACTIONS(8409), 1,
      anon_sym_STAR,
    ACTIONS(8411), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8413), 1,
      anon_sym_AMP,
    STATE(6852), 1,
      sym__field_declarator,
    STATE(7018), 1,
      sym_operator_name,
    STATE(8659), 1,
      sym_ms_based_modifier,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7118), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [209647] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9177), 1,
      anon_sym___attribute__,
    STATE(5800), 1,
      sym_attribute_specifier,
    ACTIONS(6117), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6119), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [209691] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9273), 1,
      anon_sym_STAR,
    ACTIONS(9275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9277), 1,
      anon_sym_AMP,
    ACTIONS(9281), 1,
      anon_sym_const,
    STATE(4603), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7252), 1,
      sym__abstract_declarator,
    STATE(6103), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6862), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9279), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [209753] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(8407), 1,
      anon_sym_LPAREN2,
    ACTIONS(8478), 1,
      sym_identifier,
    ACTIONS(8480), 1,
      anon_sym_STAR,
    ACTIONS(8482), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8484), 1,
      anon_sym_AMP,
    STATE(7284), 1,
      sym__field_declarator,
    STATE(7361), 1,
      sym_operator_name,
    STATE(8830), 1,
      sym_ms_based_modifier,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7118), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3290), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [209815] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7766), 1,
      anon_sym_DASH_GT,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9227), 1,
      anon_sym___attribute__,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6475), 1,
      sym_trailing_return_type,
    STATE(6509), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6040), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [209887] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(8020), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9478), 1,
      anon_sym_requires,
    STATE(5876), 1,
      sym_ref_qualifier,
    STATE(6853), 1,
      sym__function_attributes_end,
    STATE(7043), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9157), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6108), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [209965] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9177), 1,
      anon_sym___attribute__,
    STATE(5811), 1,
      sym_attribute_specifier,
    ACTIONS(6058), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6060), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [210009] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9273), 1,
      anon_sym_STAR,
    ACTIONS(9275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9277), 1,
      anon_sym_AMP,
    ACTIONS(9281), 1,
      anon_sym_const,
    STATE(4603), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7248), 1,
      sym__abstract_declarator,
    STATE(6103), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8598), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9279), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [210071] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(7861), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9481), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6456), 1,
      sym_trailing_return_type,
    STATE(6546), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9484), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6057), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9411), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [210142] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7319), 1,
      sym__abstract_declarator,
    STATE(5793), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6213), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [210203] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9453), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6511), 1,
      sym_trailing_return_type,
    STATE(6597), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6071), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9411), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [210274] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7822), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6475), 1,
      sym_trailing_return_type,
    STATE(6482), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9402), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6051), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [210345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5775), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5777), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [210384] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7861), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9405), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9408), 1,
      anon_sym_requires,
    STATE(6519), 1,
      sym_trailing_return_type,
    STATE(6544), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9402), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6050), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [210455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5783), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5785), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [210494] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9396), 1,
      anon_sym_STAR,
    ACTIONS(9398), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9400), 1,
      anon_sym_AMP,
    STATE(4437), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7329), 1,
      sym__abstract_declarator,
    STATE(5782), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6862), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [210555] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9405), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6479), 1,
      sym_trailing_return_type,
    STATE(6618), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6063), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [210626] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9396), 1,
      anon_sym_STAR,
    ACTIONS(9398), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9400), 1,
      anon_sym_AMP,
    STATE(4437), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7321), 1,
      sym__abstract_declarator,
    STATE(5765), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6213), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [210687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5771), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5773), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [210726] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9396), 1,
      anon_sym_STAR,
    ACTIONS(9398), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9400), 1,
      anon_sym_AMP,
    STATE(4437), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7323), 1,
      sym__abstract_declarator,
    STATE(5782), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8600), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [210787] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9481), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9487), 1,
      anon_sym_requires,
    STATE(6520), 1,
      sym_trailing_return_type,
    STATE(6609), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9456), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6056), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9411), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [210858] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9481), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6456), 1,
      sym_trailing_return_type,
    STATE(6620), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6062), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9411), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [210929] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7822), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9453), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9459), 1,
      anon_sym_requires,
    STATE(6438), 1,
      sym__function_attributes_end,
    STATE(6459), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(9456), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9484), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6058), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9411), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [211000] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_requires,
    STATE(6439), 1,
      sym_trailing_return_type,
    STATE(6637), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6069), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [211071] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5397), 6,
      anon_sym_AMP,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5399), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(9490), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [211114] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9453), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9459), 1,
      anon_sym_requires,
    STATE(6459), 1,
      sym_trailing_return_type,
    STATE(6626), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9456), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6065), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9411), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [211185] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8316), 1,
      sym_auto,
    ACTIONS(8318), 1,
      anon_sym_decltype,
    STATE(5838), 1,
      sym_decltype_auto,
    ACTIONS(5612), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5614), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211230] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7822), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_requires,
    STATE(6433), 1,
      sym__function_attributes_end,
    STATE(6439), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9402), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6055), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [211301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5640), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5642), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211340] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7822), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9453), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6460), 1,
      sym__function_attributes_end,
    STATE(6511), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9484), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6074), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9411), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [211411] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9405), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9408), 1,
      anon_sym_requires,
    STATE(6519), 1,
      sym_trailing_return_type,
    STATE(6611), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6059), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [211482] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7304), 1,
      sym__abstract_declarator,
    STATE(5782), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8600), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [211543] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5397), 1,
      anon_sym_AMP,
    ACTIONS(9490), 1,
      anon_sym_const,
    STATE(5782), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9493), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(5399), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211588] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3929), 1,
      anon_sym_LBRACE,
    ACTIONS(9496), 1,
      anon_sym_LPAREN2,
    STATE(2900), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4246), 1,
      sym_argument_list,
    STATE(5476), 1,
      sym_initializer_list,
    ACTIONS(5479), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6664), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5481), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [211639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5461), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5652), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5654), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211717] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5479), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5481), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211758] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(7861), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9405), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6479), 1,
      sym_trailing_return_type,
    STATE(6545), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9402), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6054), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [211829] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7861), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9481), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9487), 1,
      anon_sym_requires,
    STATE(6520), 1,
      sym_trailing_return_type,
    STATE(6542), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(9456), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9484), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6068), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9411), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [211900] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6475), 1,
      sym_trailing_return_type,
    STATE(6584), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6072), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [211971] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9396), 1,
      anon_sym_STAR,
    ACTIONS(9398), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9400), 1,
      anon_sym_AMP,
    STATE(4437), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7313), 1,
      sym__abstract_declarator,
    STATE(5782), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8598), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [212032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5747), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212071] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7325), 1,
      sym__abstract_declarator,
    STATE(5782), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8598), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [212132] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_const,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7289), 1,
      sym__abstract_declarator,
    STATE(5782), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6862), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8312), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [212193] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7953), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9405), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9430), 1,
      anon_sym_requires,
    STATE(6689), 1,
      sym__function_attributes_end,
    STATE(6795), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6079), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [212263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5644), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5646), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212301] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7385), 1,
      anon_sym_STAR,
    ACTIONS(7387), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7389), 1,
      anon_sym_AMP,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6638), 1,
      sym__declarator,
    STATE(7983), 1,
      sym_init_declarator,
    STATE(8927), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5759), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5761), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212409] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7385), 1,
      anon_sym_STAR,
    ACTIONS(7387), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7389), 1,
      anon_sym_AMP,
    STATE(6386), 1,
      sym__declarator,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(7819), 1,
      sym_init_declarator,
    STATE(8927), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212479] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7919), 1,
      anon_sym_DASH_GT,
    ACTIONS(7921), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    STATE(6758), 1,
      sym__function_attributes_end,
    STATE(6814), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6081), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [212549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5730), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5732), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212587] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7385), 1,
      anon_sym_STAR,
    ACTIONS(7387), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7389), 1,
      anon_sym_AMP,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6643), 1,
      sym__declarator,
    STATE(7983), 1,
      sym_init_declarator,
    STATE(8927), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212657] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(8073), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9499), 1,
      anon_sym_requires,
    STATE(6038), 1,
      sym_ref_qualifier,
    STATE(6948), 1,
      sym__function_attributes_end,
    STATE(7104), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9153), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6178), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [212733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5763), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5765), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212771] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9175), 1,
      anon_sym_LT,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(5949), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4452), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(9502), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4444), 20,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [212819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5767), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5769), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5479), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5481), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5720), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9506), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
    ACTIONS(9504), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [212971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5779), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5781), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5726), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5728), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5737), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5739), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213085] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7385), 1,
      anon_sym_STAR,
    ACTIONS(7387), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7389), 1,
      anon_sym_AMP,
    STATE(6350), 1,
      sym__declarator,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(8105), 1,
      sym_init_declarator,
    STATE(8927), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213155] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7385), 1,
      anon_sym_STAR,
    ACTIONS(7387), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7389), 1,
      anon_sym_AMP,
    STATE(6387), 1,
      sym__declarator,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(7832), 1,
      sym_init_declarator,
    STATE(8927), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5678), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5680), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5660), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213301] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7385), 1,
      anon_sym_STAR,
    ACTIONS(7387), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7389), 1,
      anon_sym_AMP,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6624), 1,
      sym__declarator,
    STATE(8052), 1,
      sym_init_declarator,
    STATE(8927), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213371] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(9143), 1,
      anon_sym_LBRACE,
    ACTIONS(9508), 1,
      anon_sym_COLON,
    STATE(5546), 1,
      sym__enum_base_clause,
    STATE(5604), 1,
      sym_enumerator_list,
    STATE(5643), 1,
      sym_attribute_specifier,
    ACTIONS(6263), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6265), 21,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [213421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5668), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5695), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5479), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5481), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213535] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7385), 1,
      anon_sym_STAR,
    ACTIONS(7387), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7389), 1,
      anon_sym_AMP,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6605), 1,
      sym__declarator,
    STATE(8170), 1,
      sym_init_declarator,
    STATE(8927), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5664), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213643] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(9143), 1,
      anon_sym_LBRACE,
    ACTIONS(9508), 1,
      anon_sym_COLON,
    STATE(5547), 1,
      sym__enum_base_clause,
    STATE(5567), 1,
      sym_enumerator_list,
    STATE(5711), 1,
      sym_attribute_specifier,
    ACTIONS(6273), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6275), 21,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [213693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9512), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
    ACTIONS(9510), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [213731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5624), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5716), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5648), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5650), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213845] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7921), 1,
      anon_sym_requires,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8053), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    STATE(6047), 1,
      sym_ref_qualifier,
    STATE(6814), 1,
      sym_trailing_return_type,
    STATE(7036), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9153), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6122), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [213921] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7385), 1,
      anon_sym_STAR,
    ACTIONS(7387), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7389), 1,
      anon_sym_AMP,
    STATE(6372), 1,
      sym__declarator,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(7905), 1,
      sym_init_declarator,
    STATE(8927), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5712), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214029] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7919), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9439), 1,
      anon_sym_requires,
    STATE(6732), 1,
      sym__function_attributes_end,
    STATE(6825), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9157), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6085), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [214099] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7385), 1,
      anon_sym_STAR,
    ACTIONS(7387), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7389), 1,
      anon_sym_AMP,
    STATE(6341), 1,
      sym__declarator,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(8170), 1,
      sym_init_declarator,
    STATE(8927), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214169] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(8073), 1,
      anon_sym_DASH_GT,
    ACTIONS(8078), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6048), 1,
      sym_ref_qualifier,
    STATE(6940), 1,
      sym__function_attributes_end,
    STATE(7121), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9153), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6196), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [214245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5708), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5699), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5701), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5636), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5638), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214359] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(6361), 1,
      anon_sym_LBRACE,
    STATE(2228), 1,
      sym_attribute_specifier,
    STATE(6013), 1,
      sym_enumerator_list,
    ACTIONS(5911), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5909), 24,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [214405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5676), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214443] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7385), 1,
      anon_sym_STAR,
    ACTIONS(7387), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7389), 1,
      anon_sym_AMP,
    STATE(6400), 1,
      sym__declarator,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(7797), 1,
      sym_init_declarator,
    STATE(8927), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214513] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7953), 1,
      anon_sym_DASH_GT,
    ACTIONS(7955), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9481), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6674), 1,
      sym__function_attributes_end,
    STATE(6773), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6090), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9411), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [214583] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_AMP,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8053), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9439), 1,
      anon_sym_requires,
    STATE(6049), 1,
      sym_ref_qualifier,
    STATE(6825), 1,
      sym_trailing_return_type,
    STATE(7014), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9153), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9157), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6119), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [214659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5660), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214697] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_COLON_COLON,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6558), 1,
      sym__declarator,
    STATE(7983), 1,
      sym_init_declarator,
    STATE(8693), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214767] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(6361), 1,
      anon_sym_LBRACE,
    STATE(2262), 1,
      sym_attribute_specifier,
    STATE(6021), 1,
      sym_enumerator_list,
    ACTIONS(5930), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5928), 24,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [214813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5628), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214851] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7385), 1,
      anon_sym_STAR,
    ACTIONS(7387), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7389), 1,
      anon_sym_AMP,
    STATE(6346), 1,
      sym__declarator,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(8052), 1,
      sym_init_declarator,
    STATE(8927), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214921] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7385), 1,
      anon_sym_STAR,
    ACTIONS(7387), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7389), 1,
      anon_sym_AMP,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6615), 1,
      sym__declarator,
    STATE(8007), 1,
      sym_init_declarator,
    STATE(8927), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214991] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9514), 1,
      sym_identifier,
    STATE(5872), 1,
      sym_primitive_type,
    STATE(5873), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5555), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9520), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5557), 17,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
  [215039] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7385), 1,
      anon_sym_STAR,
    ACTIONS(7387), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7389), 1,
      anon_sym_AMP,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6606), 1,
      sym__declarator,
    STATE(7832), 1,
      sym_init_declarator,
    STATE(8927), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [215109] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7919), 1,
      anon_sym_DASH_GT,
    ACTIONS(7921), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    STATE(6757), 1,
      sym__function_attributes_end,
    STATE(6867), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6091), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9411), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [215179] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7919), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9523), 1,
      anon_sym_requires,
    STATE(6755), 1,
      sym__function_attributes_end,
    STATE(6800), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9433), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6097), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9411), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [215249] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7953), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9481), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9526), 1,
      anon_sym_requires,
    STATE(6660), 1,
      sym__function_attributes_end,
    STATE(6796), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9456), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6082), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9411), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [215319] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7385), 1,
      anon_sym_STAR,
    ACTIONS(7387), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7389), 1,
      anon_sym_AMP,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6569), 1,
      sym__declarator,
    STATE(7819), 1,
      sym_init_declarator,
    STATE(8927), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [215389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5682), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5684), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5724), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215465] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7385), 1,
      anon_sym_STAR,
    ACTIONS(7387), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7389), 1,
      anon_sym_AMP,
    STATE(6351), 1,
      sym__declarator,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(8007), 1,
      sym_init_declarator,
    STATE(8927), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [215535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5753), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5755), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215573] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7953), 1,
      anon_sym_DASH_GT,
    ACTIONS(7955), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9405), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6651), 1,
      sym__function_attributes_end,
    STATE(6832), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6096), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [215643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5624), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5741), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5743), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5751), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215757] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7385), 1,
      anon_sym_STAR,
    ACTIONS(7387), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7389), 1,
      anon_sym_AMP,
    STATE(6348), 1,
      sym__declarator,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(8172), 1,
      sym_init_declarator,
    STATE(8927), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [215827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5622), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5624), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215865] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7385), 1,
      anon_sym_STAR,
    ACTIONS(7387), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7389), 1,
      anon_sym_AMP,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6671), 1,
      sym__declarator,
    STATE(8268), 1,
      sym_init_declarator,
    STATE(8927), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [215935] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(3246), 1,
      anon_sym_STAR,
    ACTIONS(3248), 1,
      anon_sym_AMP,
    ACTIONS(5441), 1,
      sym_identifier,
    ACTIONS(6631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    STATE(6411), 1,
      sym__scope_resolution,
    STATE(7127), 1,
      sym__declarator,
    STATE(9424), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [216002] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      anon_sym_LBRACE,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(5571), 1,
      sym_field_declaration_list,
    STATE(5676), 1,
      sym__class_declaration,
    STATE(5713), 1,
      sym__class_declaration_item,
    STATE(6307), 1,
      sym_ms_declspec_modifier,
    STATE(7181), 1,
      sym__scope_resolution,
    STATE(7569), 1,
      sym_virtual_specifier,
    STATE(8358), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5338), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6330), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6000), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [216081] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7881), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9179), 1,
      anon_sym_LBRACE,
    ACTIONS(9531), 1,
      sym_identifier,
    STATE(5465), 1,
      sym_template_type,
    STATE(5725), 1,
      sym_field_declaration_list,
    STATE(5826), 1,
      sym__class_declaration,
    STATE(5830), 1,
      sym__class_declaration_item,
    STATE(6321), 1,
      sym_ms_declspec_modifier,
    STATE(7218), 1,
      sym__scope_resolution,
    STATE(7759), 1,
      sym_virtual_specifier,
    STATE(8621), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5500), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6317), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6012), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [216160] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6546), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      sym_identifier,
    STATE(3060), 1,
      sym_template_type,
    STATE(3351), 1,
      sym_field_declaration_list,
    STATE(3525), 1,
      sym__class_declaration_item,
    STATE(3528), 1,
      sym__class_declaration,
    STATE(6296), 1,
      sym_ms_declspec_modifier,
    STATE(7221), 1,
      sym__scope_resolution,
    STATE(7592), 1,
      sym_virtual_specifier,
    STATE(8241), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2913), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6298), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6009), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [216239] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7540), 1,
      sym_identifier,
    ACTIONS(7542), 1,
      anon_sym_STAR,
    ACTIONS(7544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7546), 1,
      anon_sym_AMP,
    ACTIONS(7548), 1,
      anon_sym_COLON_COLON,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(7082), 1,
      sym__declarator,
    STATE(8664), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [216306] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6524), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9354), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9535), 1,
      sym_identifier,
    STATE(3095), 1,
      sym_template_type,
    STATE(3129), 1,
      sym_field_declaration_list,
    STATE(3305), 1,
      sym__class_declaration_item,
    STATE(3306), 1,
      sym__class_declaration,
    STATE(6279), 1,
      sym_ms_declspec_modifier,
    STATE(7194), 1,
      sym__scope_resolution,
    STATE(7591), 1,
      sym_virtual_specifier,
    STATE(8242), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2899), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6005), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [216385] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5950), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6052), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9537), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6054), 21,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [216426] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5951), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6062), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9540), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6064), 21,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [216467] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2968), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5630), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9543), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5633), 21,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [216508] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(8600), 1,
      anon_sym_COLON,
    ACTIONS(9281), 1,
      anon_sym_const,
    ACTIONS(9442), 1,
      anon_sym_STAR,
    ACTIONS(9444), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9446), 1,
      anon_sym_AMP,
    STATE(4635), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7428), 1,
      sym__abstract_declarator,
    STATE(6103), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9279), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [216567] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2269), 1,
      anon_sym_LBRACE,
    ACTIONS(7616), 1,
      anon_sym_LPAREN2,
    STATE(2659), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4102), 1,
      sym_initializer_list,
    STATE(4103), 1,
      sym_argument_list,
    ACTIONS(5479), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6042), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5481), 18,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
  [216616] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(8020), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9547), 1,
      anon_sym_requires,
    STATE(6855), 1,
      sym__function_attributes_end,
    STATE(6996), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9433), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6102), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9411), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [216685] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      anon_sym_LBRACE,
    ACTIONS(9550), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(5571), 1,
      sym_field_declaration_list,
    STATE(5701), 1,
      sym__class_declaration,
    STATE(5713), 1,
      sym__class_declaration_item,
    STATE(6224), 1,
      sym_ms_declspec_modifier,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(7569), 1,
      sym_virtual_specifier,
    STATE(8358), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5338), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6310), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6010), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [216764] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      anon_sym_LBRACE,
    ACTIONS(9550), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(5571), 1,
      sym_field_declaration_list,
    STATE(5700), 1,
      sym__class_declaration,
    STATE(5713), 1,
      sym__class_declaration_item,
    STATE(6224), 1,
      sym_ms_declspec_modifier,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(7569), 1,
      sym_virtual_specifier,
    STATE(8358), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5338), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6310), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6010), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [216843] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(5473), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9552), 1,
      sym_identifier,
    STATE(2410), 1,
      sym_template_type,
    STATE(2666), 1,
      sym_field_declaration_list,
    STATE(2728), 1,
      sym__class_declaration_item,
    STATE(2736), 1,
      sym__class_declaration,
    STATE(6239), 1,
      sym_ms_declspec_modifier,
    STATE(7206), 1,
      sym__scope_resolution,
    STATE(7520), 1,
      sym_virtual_specifier,
    STATE(8461), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2128), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6241), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5997), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [216922] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3565), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4401), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [217001] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7385), 1,
      anon_sym_STAR,
    ACTIONS(7387), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7389), 1,
      anon_sym_AMP,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6869), 1,
      sym__declarator,
    STATE(8927), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [217068] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3568), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4401), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [217147] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(3709), 1,
      sym__class_declaration,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4401), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [217226] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      anon_sym_LBRACE,
    ACTIONS(9550), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(5571), 1,
      sym_field_declaration_list,
    STATE(5676), 1,
      sym__class_declaration,
    STATE(5713), 1,
      sym__class_declaration_item,
    STATE(6224), 1,
      sym_ms_declspec_modifier,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(7569), 1,
      sym_virtual_specifier,
    STATE(8358), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5338), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6310), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6010), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [217305] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(5473), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9552), 1,
      sym_identifier,
    STATE(2410), 1,
      sym_template_type,
    STATE(2666), 1,
      sym_field_declaration_list,
    STATE(2721), 1,
      sym__class_declaration,
    STATE(2728), 1,
      sym__class_declaration_item,
    STATE(6239), 1,
      sym_ms_declspec_modifier,
    STATE(7206), 1,
      sym__scope_resolution,
    STATE(7520), 1,
      sym_virtual_specifier,
    STATE(8461), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2128), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6241), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5997), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [217384] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5101), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9556), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(3709), 1,
      sym__class_declaration,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6233), 1,
      sym_ms_declspec_modifier,
    STATE(7177), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3441), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6242), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6019), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [217463] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5101), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9556), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3568), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6233), 1,
      sym_ms_declspec_modifier,
    STATE(7177), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3441), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6242), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6019), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [217542] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5101), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9556), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3565), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6233), 1,
      sym_ms_declspec_modifier,
    STATE(7177), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3441), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6242), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6019), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [217621] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9550), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3568), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4573), 1,
      sym_field_declaration_list,
    STATE(6280), 1,
      sym_ms_declspec_modifier,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(7684), 1,
      sym_virtual_specifier,
    STATE(8431), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3959), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6281), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6034), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [217700] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(3709), 1,
      sym__class_declaration,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4278), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [217779] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(8020), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9478), 1,
      anon_sym_requires,
    STATE(6853), 1,
      sym__function_attributes_end,
    STATE(7043), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9157), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6108), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [217848] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3568), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4278), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [217927] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9558), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2256), 1,
      sym__class_declaration_item,
    STATE(2257), 1,
      sym__class_declaration,
    STATE(2908), 1,
      sym_field_declaration_list,
    STATE(6324), 1,
      sym_ms_declspec_modifier,
    STATE(7201), 1,
      sym__scope_resolution,
    STATE(7674), 1,
      sym_virtual_specifier,
    STATE(8416), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2761), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6312), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6002), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [218006] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(6213), 1,
      anon_sym_COLON,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9281), 1,
      anon_sym_const,
    ACTIONS(9442), 1,
      anon_sym_STAR,
    ACTIONS(9444), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9446), 1,
      anon_sym_AMP,
    STATE(4635), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7419), 1,
      sym__abstract_declarator,
    STATE(5970), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9279), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [218065] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9558), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2254), 1,
      sym__class_declaration,
    STATE(2256), 1,
      sym__class_declaration_item,
    STATE(2908), 1,
      sym_field_declaration_list,
    STATE(6324), 1,
      sym_ms_declspec_modifier,
    STATE(7201), 1,
      sym__scope_resolution,
    STATE(7674), 1,
      sym_virtual_specifier,
    STATE(8416), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2761), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6312), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6002), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [218144] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3565), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4278), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [218223] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_COLON_COLON,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6834), 1,
      sym__declarator,
    STATE(8693), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [218290] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9558), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2252), 1,
      sym__class_declaration,
    STATE(2256), 1,
      sym__class_declaration_item,
    STATE(2908), 1,
      sym_field_declaration_list,
    STATE(6324), 1,
      sym_ms_declspec_modifier,
    STATE(7201), 1,
      sym__scope_resolution,
    STATE(7674), 1,
      sym_virtual_specifier,
    STATE(8416), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2761), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6312), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6002), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [218369] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6546), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      sym_identifier,
    STATE(3060), 1,
      sym_template_type,
    STATE(3351), 1,
      sym_field_declaration_list,
    STATE(3523), 1,
      sym__class_declaration,
    STATE(3525), 1,
      sym__class_declaration_item,
    STATE(6296), 1,
      sym_ms_declspec_modifier,
    STATE(7221), 1,
      sym__scope_resolution,
    STATE(7592), 1,
      sym_virtual_specifier,
    STATE(8241), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2913), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6298), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6009), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [218448] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6255), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9560), 1,
      sym_identifier,
    STATE(2873), 1,
      sym_template_type,
    STATE(3092), 1,
      sym_field_declaration_list,
    STATE(3266), 1,
      sym__class_declaration,
    STATE(3268), 1,
      sym__class_declaration_item,
    STATE(6237), 1,
      sym_ms_declspec_modifier,
    STATE(7186), 1,
      sym__scope_resolution,
    STATE(7648), 1,
      sym_virtual_specifier,
    STATE(8362), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2764), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6240), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6011), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [218527] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(3246), 1,
      anon_sym_STAR,
    ACTIONS(3248), 1,
      anon_sym_AMP,
    ACTIONS(5441), 1,
      sym_identifier,
    ACTIONS(6631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    STATE(6411), 1,
      sym__scope_resolution,
    STATE(7261), 1,
      sym__declarator,
    STATE(9424), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [218594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9512), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(9510), 27,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
  [218631] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6255), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9560), 1,
      sym_identifier,
    STATE(2873), 1,
      sym_template_type,
    STATE(3092), 1,
      sym_field_declaration_list,
    STATE(3267), 1,
      sym__class_declaration,
    STATE(3268), 1,
      sym__class_declaration_item,
    STATE(6237), 1,
      sym_ms_declspec_modifier,
    STATE(7186), 1,
      sym__scope_resolution,
    STATE(7648), 1,
      sym_virtual_specifier,
    STATE(8362), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2764), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6240), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6011), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [218710] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7540), 1,
      sym_identifier,
    ACTIONS(7542), 1,
      anon_sym_STAR,
    ACTIONS(7544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7546), 1,
      anon_sym_AMP,
    ACTIONS(7548), 1,
      anon_sym_COLON_COLON,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(7094), 1,
      sym__declarator,
    STATE(8664), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [218777] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6255), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9560), 1,
      sym_identifier,
    STATE(2873), 1,
      sym_template_type,
    STATE(3092), 1,
      sym_field_declaration_list,
    STATE(3268), 1,
      sym__class_declaration_item,
    STATE(3272), 1,
      sym__class_declaration,
    STATE(6237), 1,
      sym_ms_declspec_modifier,
    STATE(7186), 1,
      sym__scope_resolution,
    STATE(7648), 1,
      sym_virtual_specifier,
    STATE(8362), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2764), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6240), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6011), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [218856] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7540), 1,
      sym_identifier,
    ACTIONS(7542), 1,
      anon_sym_STAR,
    ACTIONS(7544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7546), 1,
      anon_sym_AMP,
    ACTIONS(7548), 1,
      anon_sym_COLON_COLON,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(7113), 1,
      sym__declarator,
    STATE(8664), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [218923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9506), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(9504), 27,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
  [218960] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7881), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9179), 1,
      anon_sym_LBRACE,
    ACTIONS(9531), 1,
      sym_identifier,
    STATE(5465), 1,
      sym_template_type,
    STATE(5725), 1,
      sym_field_declaration_list,
    STATE(5830), 1,
      sym__class_declaration_item,
    STATE(5834), 1,
      sym__class_declaration,
    STATE(6321), 1,
      sym_ms_declspec_modifier,
    STATE(7218), 1,
      sym__scope_resolution,
    STATE(7759), 1,
      sym_virtual_specifier,
    STATE(8621), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5500), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6317), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6012), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [219039] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7828), 1,
      anon_sym_LBRACE,
    ACTIONS(9305), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9562), 1,
      sym_identifier,
    STATE(4584), 1,
      sym_template_type,
    STATE(4718), 1,
      sym_field_declaration_list,
    STATE(4818), 1,
      sym__class_declaration,
    STATE(4823), 1,
      sym__class_declaration_item,
    STATE(6267), 1,
      sym_ms_declspec_modifier,
    STATE(7175), 1,
      sym__scope_resolution,
    STATE(7683), 1,
      sym_virtual_specifier,
    STATE(8432), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4165), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6266), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6033), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [219118] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(5473), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9552), 1,
      sym_identifier,
    STATE(2410), 1,
      sym_template_type,
    STATE(2666), 1,
      sym_field_declaration_list,
    STATE(2728), 1,
      sym__class_declaration_item,
    STATE(2750), 1,
      sym__class_declaration,
    STATE(6239), 1,
      sym_ms_declspec_modifier,
    STATE(7206), 1,
      sym__scope_resolution,
    STATE(7520), 1,
      sym_virtual_specifier,
    STATE(8461), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2128), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6241), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5997), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [219197] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9564), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2256), 1,
      sym__class_declaration_item,
    STATE(2257), 1,
      sym__class_declaration,
    STATE(2908), 1,
      sym_field_declaration_list,
    STATE(6259), 1,
      sym_ms_declspec_modifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(7674), 1,
      sym_virtual_specifier,
    STATE(8416), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2761), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6229), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6001), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [219276] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5616), 1,
      sym_auto,
    ACTIONS(5618), 1,
      anon_sym_decltype,
    STATE(2238), 1,
      sym_decltype_auto,
    ACTIONS(9568), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(6075), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9566), 9,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [219323] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7828), 1,
      anon_sym_LBRACE,
    ACTIONS(9305), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9562), 1,
      sym_identifier,
    STATE(4584), 1,
      sym_template_type,
    STATE(4718), 1,
      sym_field_declaration_list,
    STATE(4819), 1,
      sym__class_declaration,
    STATE(4823), 1,
      sym__class_declaration_item,
    STATE(6267), 1,
      sym_ms_declspec_modifier,
    STATE(7175), 1,
      sym__scope_resolution,
    STATE(7683), 1,
      sym_virtual_specifier,
    STATE(8432), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4165), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6266), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6033), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [219402] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7828), 1,
      anon_sym_LBRACE,
    ACTIONS(9305), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9562), 1,
      sym_identifier,
    STATE(4584), 1,
      sym_template_type,
    STATE(4718), 1,
      sym_field_declaration_list,
    STATE(4823), 1,
      sym__class_declaration_item,
    STATE(4859), 1,
      sym__class_declaration,
    STATE(6267), 1,
      sym_ms_declspec_modifier,
    STATE(7175), 1,
      sym__scope_resolution,
    STATE(7683), 1,
      sym_virtual_specifier,
    STATE(8432), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4165), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6266), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6033), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [219481] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9550), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(3709), 1,
      sym__class_declaration,
    STATE(4573), 1,
      sym_field_declaration_list,
    STATE(6280), 1,
      sym_ms_declspec_modifier,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(7684), 1,
      sym_virtual_specifier,
    STATE(8431), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3959), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6281), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6034), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [219560] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9285), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9570), 1,
      sym_identifier,
    STATE(3219), 1,
      sym_template_type,
    STATE(3582), 1,
      sym_field_declaration_list,
    STATE(4054), 1,
      sym__class_declaration_item,
    STATE(4124), 1,
      sym__class_declaration,
    STATE(6326), 1,
      sym_ms_declspec_modifier,
    STATE(7204), 1,
      sym__scope_resolution,
    STATE(7724), 1,
      sym_virtual_specifier,
    STATE(8535), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3007), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6305), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5999), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [219639] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7540), 1,
      sym_identifier,
    ACTIONS(7542), 1,
      anon_sym_STAR,
    ACTIONS(7544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7546), 1,
      anon_sym_AMP,
    ACTIONS(7548), 1,
      anon_sym_COLON_COLON,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(7127), 1,
      sym__declarator,
    STATE(8664), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [219706] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9285), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9570), 1,
      sym_identifier,
    STATE(3219), 1,
      sym_template_type,
    STATE(3582), 1,
      sym_field_declaration_list,
    STATE(4054), 1,
      sym__class_declaration_item,
    STATE(4125), 1,
      sym__class_declaration,
    STATE(6326), 1,
      sym_ms_declspec_modifier,
    STATE(7204), 1,
      sym__scope_resolution,
    STATE(7724), 1,
      sym_virtual_specifier,
    STATE(8535), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3007), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6305), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5999), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [219785] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9285), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9570), 1,
      sym_identifier,
    STATE(3219), 1,
      sym_template_type,
    STATE(3582), 1,
      sym_field_declaration_list,
    STATE(4054), 1,
      sym__class_declaration_item,
    STATE(4061), 1,
      sym__class_declaration,
    STATE(6326), 1,
      sym_ms_declspec_modifier,
    STATE(7204), 1,
      sym__scope_resolution,
    STATE(7724), 1,
      sym_virtual_specifier,
    STATE(8535), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3007), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6305), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5999), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [219864] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(3246), 1,
      anon_sym_STAR,
    ACTIONS(3248), 1,
      anon_sym_AMP,
    ACTIONS(5441), 1,
      sym_identifier,
    ACTIONS(6631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    STATE(6411), 1,
      sym__scope_resolution,
    STATE(7225), 1,
      sym__declarator,
    STATE(9424), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [219931] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(3246), 1,
      anon_sym_STAR,
    ACTIONS(3248), 1,
      anon_sym_AMP,
    ACTIONS(5441), 1,
      sym_identifier,
    ACTIONS(6631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    STATE(6411), 1,
      sym__scope_resolution,
    STATE(7232), 1,
      sym__declarator,
    STATE(9424), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [219998] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3565), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4370), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [220077] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(3246), 1,
      anon_sym_STAR,
    ACTIONS(3248), 1,
      anon_sym_AMP,
    ACTIONS(5441), 1,
      sym_identifier,
    ACTIONS(6631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    STATE(6411), 1,
      sym__scope_resolution,
    STATE(7286), 1,
      sym__declarator,
    STATE(9424), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [220144] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(3246), 1,
      anon_sym_STAR,
    ACTIONS(3248), 1,
      anon_sym_AMP,
    ACTIONS(5441), 1,
      sym_identifier,
    ACTIONS(6631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    STATE(6411), 1,
      sym__scope_resolution,
    STATE(7257), 1,
      sym__declarator,
    STATE(9424), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [220211] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      anon_sym_LBRACE,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(5571), 1,
      sym_field_declaration_list,
    STATE(5701), 1,
      sym__class_declaration,
    STATE(5713), 1,
      sym__class_declaration_item,
    STATE(6307), 1,
      sym_ms_declspec_modifier,
    STATE(7181), 1,
      sym__scope_resolution,
    STATE(7569), 1,
      sym_virtual_specifier,
    STATE(8358), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5338), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6330), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6000), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [220290] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7540), 1,
      sym_identifier,
    ACTIONS(7542), 1,
      anon_sym_STAR,
    ACTIONS(7544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7546), 1,
      anon_sym_AMP,
    ACTIONS(7548), 1,
      anon_sym_COLON_COLON,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(7090), 1,
      sym__declarator,
    STATE(8664), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [220357] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3568), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4370), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [220436] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5616), 1,
      sym_auto,
    ACTIONS(5618), 1,
      anon_sym_decltype,
    STATE(2238), 1,
      sym_decltype_auto,
    ACTIONS(9574), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(6061), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9572), 9,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [220483] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(3709), 1,
      sym__class_declaration,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4370), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [220562] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9564), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2254), 1,
      sym__class_declaration,
    STATE(2256), 1,
      sym__class_declaration_item,
    STATE(2908), 1,
      sym_field_declaration_list,
    STATE(6259), 1,
      sym_ms_declspec_modifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(7674), 1,
      sym_virtual_specifier,
    STATE(8416), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2761), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6229), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6001), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [220641] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(5441), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_STAR,
    ACTIONS(7377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7379), 1,
      anon_sym_AMP,
    ACTIONS(7381), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(7259), 1,
      sym__declarator,
    STATE(8835), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [220708] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9550), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3565), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4573), 1,
      sym_field_declaration_list,
    STATE(6280), 1,
      sym_ms_declspec_modifier,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(7684), 1,
      sym_virtual_specifier,
    STATE(8431), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3959), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6281), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6034), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [220787] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(3709), 1,
      sym__class_declaration,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3441), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [220866] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      anon_sym_LBRACE,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(5571), 1,
      sym_field_declaration_list,
    STATE(5700), 1,
      sym__class_declaration,
    STATE(5713), 1,
      sym__class_declaration_item,
    STATE(6307), 1,
      sym_ms_declspec_modifier,
    STATE(7181), 1,
      sym__scope_resolution,
    STATE(7569), 1,
      sym_virtual_specifier,
    STATE(8358), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5338), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6330), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6000), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [220945] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7881), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9179), 1,
      anon_sym_LBRACE,
    ACTIONS(9531), 1,
      sym_identifier,
    STATE(5465), 1,
      sym_template_type,
    STATE(5725), 1,
      sym_field_declaration_list,
    STATE(5830), 1,
      sym__class_declaration_item,
    STATE(5835), 1,
      sym__class_declaration,
    STATE(6321), 1,
      sym_ms_declspec_modifier,
    STATE(7218), 1,
      sym__scope_resolution,
    STATE(7759), 1,
      sym_virtual_specifier,
    STATE(8621), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5500), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6317), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6012), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [221024] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(3709), 1,
      sym__class_declaration,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4292), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [221103] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3568), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3441), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [221182] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7540), 1,
      sym_identifier,
    ACTIONS(7542), 1,
      anon_sym_STAR,
    ACTIONS(7544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7546), 1,
      anon_sym_AMP,
    ACTIONS(7548), 1,
      anon_sym_COLON_COLON,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(7095), 1,
      sym__declarator,
    STATE(8664), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [221249] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3568), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4292), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [221328] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3565), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4285), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [221407] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5983), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5642), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(5640), 25,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [221446] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3568), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4285), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [221525] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(3709), 1,
      sym__class_declaration,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4285), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [221604] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3565), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4292), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [221683] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7587), 1,
      anon_sym_STAR,
    ACTIONS(7589), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7591), 1,
      anon_sym_AMP,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(7163), 1,
      sym__declarator,
    STATE(8775), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [221750] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7540), 1,
      sym_identifier,
    ACTIONS(7542), 1,
      anon_sym_STAR,
    ACTIONS(7544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7546), 1,
      anon_sym_AMP,
    ACTIONS(7548), 1,
      anon_sym_COLON_COLON,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(7083), 1,
      sym__declarator,
    STATE(8664), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [221817] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9564), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2252), 1,
      sym__class_declaration,
    STATE(2256), 1,
      sym__class_declaration_item,
    STATE(2908), 1,
      sym_field_declaration_list,
    STATE(6259), 1,
      sym_ms_declspec_modifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(7674), 1,
      sym_virtual_specifier,
    STATE(8416), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2761), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6229), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6001), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [221896] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7540), 1,
      sym_identifier,
    ACTIONS(7542), 1,
      anon_sym_STAR,
    ACTIONS(7544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7546), 1,
      anon_sym_AMP,
    ACTIONS(7548), 1,
      anon_sym_COLON_COLON,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(7101), 1,
      sym__declarator,
    STATE(8664), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [221963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2968), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6032), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9576), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6034), 21,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [222004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2968), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6121), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9579), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6123), 21,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [222045] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2968), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6125), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9582), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6127), 21,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [222086] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    ACTIONS(9585), 1,
      anon_sym_COLON_COLON,
    STATE(3124), 1,
      sym_template_type,
    STATE(3565), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6250), 1,
      sym_ms_declspec_modifier,
    STATE(7185), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4657), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6245), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6020), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [222165] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(3709), 1,
      sym__class_declaration,
    STATE(4573), 1,
      sym_field_declaration_list,
    STATE(6271), 1,
      sym_ms_declspec_modifier,
    STATE(7181), 1,
      sym__scope_resolution,
    STATE(7684), 1,
      sym_virtual_specifier,
    STATE(8431), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3959), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6270), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6031), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [222244] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3568), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4573), 1,
      sym_field_declaration_list,
    STATE(6271), 1,
      sym_ms_declspec_modifier,
    STATE(7181), 1,
      sym__scope_resolution,
    STATE(7684), 1,
      sym_virtual_specifier,
    STATE(8431), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3959), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6270), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6031), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [222323] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3565), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4320), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [222402] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3565), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4573), 1,
      sym_field_declaration_list,
    STATE(6271), 1,
      sym_ms_declspec_modifier,
    STATE(7181), 1,
      sym__scope_resolution,
    STATE(7684), 1,
      sym_virtual_specifier,
    STATE(8431), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3959), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6270), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6031), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [222481] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    ACTIONS(9585), 1,
      anon_sym_COLON_COLON,
    STATE(3124), 1,
      sym_template_type,
    STATE(3568), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6250), 1,
      sym_ms_declspec_modifier,
    STATE(7185), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4657), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6245), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6020), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [222560] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6211), 1,
      sym_identifier,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7587), 1,
      anon_sym_STAR,
    ACTIONS(7589), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7591), 1,
      anon_sym_AMP,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(7028), 1,
      sym__declarator,
    STATE(8775), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [222627] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6546), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      sym_identifier,
    STATE(3060), 1,
      sym_template_type,
    STATE(3351), 1,
      sym_field_declaration_list,
    STATE(3524), 1,
      sym__class_declaration,
    STATE(3525), 1,
      sym__class_declaration_item,
    STATE(6296), 1,
      sym_ms_declspec_modifier,
    STATE(7221), 1,
      sym__scope_resolution,
    STATE(7592), 1,
      sym_virtual_specifier,
    STATE(8241), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2913), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6298), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6009), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [222706] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    ACTIONS(9585), 1,
      anon_sym_COLON_COLON,
    STATE(3124), 1,
      sym_template_type,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(3709), 1,
      sym__class_declaration,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6250), 1,
      sym_ms_declspec_modifier,
    STATE(7185), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4657), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6245), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6020), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [222785] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3568), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4320), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [222864] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3565), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [222943] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6524), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9354), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9535), 1,
      sym_identifier,
    STATE(3095), 1,
      sym_template_type,
    STATE(3129), 1,
      sym_field_declaration_list,
    STATE(3304), 1,
      sym__class_declaration,
    STATE(3305), 1,
      sym__class_declaration_item,
    STATE(6279), 1,
      sym_ms_declspec_modifier,
    STATE(7194), 1,
      sym__scope_resolution,
    STATE(7591), 1,
      sym_virtual_specifier,
    STATE(8242), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2899), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6005), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [223022] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(8598), 1,
      anon_sym_COLON,
    ACTIONS(9281), 1,
      anon_sym_const,
    ACTIONS(9442), 1,
      anon_sym_STAR,
    ACTIONS(9444), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9446), 1,
      anon_sym_AMP,
    STATE(4635), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7409), 1,
      sym__abstract_declarator,
    STATE(6103), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9279), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [223081] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3568), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [223160] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(3709), 1,
      sym__class_declaration,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4363), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [223239] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3565), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3441), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [223318] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(3709), 1,
      sym__class_declaration,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [223397] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(3709), 1,
      sym__class_declaration,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4383), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [223476] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(6862), 1,
      anon_sym_COLON,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9281), 1,
      anon_sym_const,
    ACTIONS(9442), 1,
      anon_sym_STAR,
    ACTIONS(9444), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9446), 1,
      anon_sym_AMP,
    STATE(4635), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7414), 1,
      sym__abstract_declarator,
    STATE(6103), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9279), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [223535] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7540), 1,
      sym_identifier,
    ACTIONS(7542), 1,
      anon_sym_STAR,
    ACTIONS(7544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7546), 1,
      anon_sym_AMP,
    ACTIONS(7548), 1,
      anon_sym_COLON_COLON,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(7105), 1,
      sym__declarator,
    STATE(8664), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [223602] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3568), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4363), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [223681] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6524), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9354), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9535), 1,
      sym_identifier,
    STATE(3095), 1,
      sym_template_type,
    STATE(3129), 1,
      sym_field_declaration_list,
    STATE(3303), 1,
      sym__class_declaration,
    STATE(3305), 1,
      sym__class_declaration_item,
    STATE(6279), 1,
      sym_ms_declspec_modifier,
    STATE(7194), 1,
      sym__scope_resolution,
    STATE(7591), 1,
      sym_virtual_specifier,
    STATE(8242), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2899), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6005), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [223760] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3565), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4363), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [223839] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(3709), 1,
      sym__class_declaration,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4320), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [223918] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6524), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(3095), 1,
      sym_template_type,
    STATE(3129), 1,
      sym_field_declaration_list,
    STATE(3303), 1,
      sym__class_declaration,
    STATE(3305), 1,
      sym__class_declaration_item,
    STATE(6268), 1,
      sym_ms_declspec_modifier,
    STATE(7205), 1,
      sym__scope_resolution,
    STATE(7591), 1,
      sym_virtual_specifier,
    STATE(8242), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2899), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6234), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6028), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [223997] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6419), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9209), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9589), 1,
      sym_identifier,
    STATE(3005), 1,
      sym_template_type,
    STATE(3210), 1,
      sym_field_declaration_list,
    STATE(3428), 1,
      sym__class_declaration,
    STATE(3439), 1,
      sym__class_declaration_item,
    STATE(6231), 1,
      sym_ms_declspec_modifier,
    STATE(7187), 1,
      sym__scope_resolution,
    STATE(7503), 1,
      sym_virtual_specifier,
    STATE(8514), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2835), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6228), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6016), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [224076] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3568), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4383), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [224155] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6419), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9209), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9589), 1,
      sym_identifier,
    STATE(3005), 1,
      sym_template_type,
    STATE(3210), 1,
      sym_field_declaration_list,
    STATE(3430), 1,
      sym__class_declaration,
    STATE(3439), 1,
      sym__class_declaration_item,
    STATE(6231), 1,
      sym_ms_declspec_modifier,
    STATE(7187), 1,
      sym__scope_resolution,
    STATE(7503), 1,
      sym_virtual_specifier,
    STATE(8514), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2835), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6228), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6016), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [224234] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6419), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9209), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9589), 1,
      sym_identifier,
    STATE(3005), 1,
      sym_template_type,
    STATE(3210), 1,
      sym_field_declaration_list,
    STATE(3431), 1,
      sym__class_declaration,
    STATE(3439), 1,
      sym__class_declaration_item,
    STATE(6231), 1,
      sym_ms_declspec_modifier,
    STATE(7187), 1,
      sym__scope_resolution,
    STATE(7503), 1,
      sym_virtual_specifier,
    STATE(8514), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2835), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6228), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6016), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [224313] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(8020), 1,
      anon_sym_DASH_GT,
    ACTIONS(8022), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    STATE(6842), 1,
      sym__function_attributes_end,
    STATE(6997), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6107), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9153), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [224382] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6524), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(3095), 1,
      sym_template_type,
    STATE(3129), 1,
      sym_field_declaration_list,
    STATE(3304), 1,
      sym__class_declaration,
    STATE(3305), 1,
      sym__class_declaration_item,
    STATE(6268), 1,
      sym_ms_declspec_modifier,
    STATE(7205), 1,
      sym__scope_resolution,
    STATE(7591), 1,
      sym_virtual_specifier,
    STATE(8242), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2899), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6234), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6028), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [224461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2968), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6048), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9591), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6050), 21,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [224502] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(3246), 1,
      anon_sym_STAR,
    ACTIONS(3248), 1,
      anon_sym_AMP,
    ACTIONS(5441), 1,
      sym_identifier,
    ACTIONS(6631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    STATE(6411), 1,
      sym__scope_resolution,
    STATE(7281), 1,
      sym__declarator,
    STATE(9424), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [224569] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9594), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2252), 1,
      sym__class_declaration,
    STATE(2256), 1,
      sym__class_declaration_item,
    STATE(6025), 1,
      sym_field_declaration_list,
    STATE(6273), 1,
      sym_ms_declspec_modifier,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(7720), 1,
      sym_virtual_specifier,
    STATE(8532), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5532), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6274), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6026), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [224648] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6524), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(3095), 1,
      sym_template_type,
    STATE(3129), 1,
      sym_field_declaration_list,
    STATE(3305), 1,
      sym__class_declaration_item,
    STATE(3306), 1,
      sym__class_declaration,
    STATE(6268), 1,
      sym_ms_declspec_modifier,
    STATE(7205), 1,
      sym__scope_resolution,
    STATE(7591), 1,
      sym_virtual_specifier,
    STATE(8242), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2899), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6234), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6028), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [224727] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7597), 1,
      anon_sym_LBRACE,
    ACTIONS(9368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9596), 1,
      sym_identifier,
    STATE(4352), 1,
      sym_template_type,
    STATE(4624), 1,
      sym_field_declaration_list,
    STATE(4727), 1,
      sym__class_declaration,
    STATE(4730), 1,
      sym__class_declaration_item,
    STATE(6311), 1,
      sym_ms_declspec_modifier,
    STATE(7182), 1,
      sym__scope_resolution,
    STATE(7718), 1,
      sym_virtual_specifier,
    STATE(8510), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3828), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6313), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6015), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [224806] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9594), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2254), 1,
      sym__class_declaration,
    STATE(2256), 1,
      sym__class_declaration_item,
    STATE(6025), 1,
      sym_field_declaration_list,
    STATE(6273), 1,
      sym_ms_declspec_modifier,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(7720), 1,
      sym_virtual_specifier,
    STATE(8532), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5532), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6274), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6026), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [224885] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    ACTIONS(7540), 1,
      sym_identifier,
    ACTIONS(7542), 1,
      anon_sym_STAR,
    ACTIONS(7544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7546), 1,
      anon_sym_AMP,
    ACTIONS(7548), 1,
      anon_sym_COLON_COLON,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(7115), 1,
      sym__declarator,
    STATE(8664), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [224952] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9594), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2256), 1,
      sym__class_declaration_item,
    STATE(2257), 1,
      sym__class_declaration,
    STATE(6025), 1,
      sym_field_declaration_list,
    STATE(6273), 1,
      sym_ms_declspec_modifier,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(7720), 1,
      sym_virtual_specifier,
    STATE(8532), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5532), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6274), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6026), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225031] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3565), 1,
      sym__class_declaration,
    STATE(3708), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4383), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6285), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5998), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225110] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7597), 1,
      anon_sym_LBRACE,
    ACTIONS(9368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9596), 1,
      sym_identifier,
    STATE(4352), 1,
      sym_template_type,
    STATE(4624), 1,
      sym_field_declaration_list,
    STATE(4728), 1,
      sym__class_declaration,
    STATE(4730), 1,
      sym__class_declaration_item,
    STATE(6311), 1,
      sym_ms_declspec_modifier,
    STATE(7182), 1,
      sym__scope_resolution,
    STATE(7718), 1,
      sym_virtual_specifier,
    STATE(8510), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3828), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6313), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6015), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225189] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_LPAREN2,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(5441), 1,
      sym_identifier,
    ACTIONS(7375), 1,
      anon_sym_STAR,
    ACTIONS(7377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7379), 1,
      anon_sym_AMP,
    ACTIONS(7381), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7383), 1,
      anon_sym_LBRACK,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(7260), 1,
      sym__declarator,
    STATE(8835), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [225256] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7597), 1,
      anon_sym_LBRACE,
    ACTIONS(9368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9596), 1,
      sym_identifier,
    STATE(4352), 1,
      sym_template_type,
    STATE(4624), 1,
      sym_field_declaration_list,
    STATE(4730), 1,
      sym__class_declaration_item,
    STATE(4731), 1,
      sym__class_declaration,
    STATE(6311), 1,
      sym_ms_declspec_modifier,
    STATE(7182), 1,
      sym__scope_resolution,
    STATE(7718), 1,
      sym_virtual_specifier,
    STATE(8510), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3828), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6313), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6015), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225335] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(8020), 1,
      anon_sym_DASH_GT,
    ACTIONS(8022), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    STATE(6868), 1,
      sym__function_attributes_end,
    STATE(7061), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6106), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9411), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [225404] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2272), 1,
      sym_attribute_specifier,
    ACTIONS(6093), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6091), 24,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [225444] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(5473), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9552), 1,
      sym_identifier,
    STATE(2410), 1,
      sym_template_type,
    STATE(2666), 1,
      sym_field_declaration_list,
    STATE(2757), 1,
      sym__class_declaration_item,
    STATE(6251), 1,
      sym_ms_declspec_modifier,
    STATE(7206), 1,
      sym__scope_resolution,
    STATE(7520), 1,
      sym_virtual_specifier,
    STATE(8461), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2128), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6249), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6761), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225520] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3560), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6283), 1,
      sym_ms_declspec_modifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3441), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6302), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6761), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225596] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9285), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9570), 1,
      sym_identifier,
    STATE(3219), 1,
      sym_template_type,
    STATE(3582), 1,
      sym_field_declaration_list,
    STATE(3968), 1,
      sym__class_declaration_item,
    STATE(6299), 1,
      sym_ms_declspec_modifier,
    STATE(7204), 1,
      sym__scope_resolution,
    STATE(7724), 1,
      sym_virtual_specifier,
    STATE(8535), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3007), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6301), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6761), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225672] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      anon_sym_LBRACE,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(5571), 1,
      sym_field_declaration_list,
    STATE(5661), 1,
      sym__class_declaration_item,
    STATE(6315), 1,
      sym_ms_declspec_modifier,
    STATE(7181), 1,
      sym__scope_resolution,
    STATE(7569), 1,
      sym_virtual_specifier,
    STATE(8358), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5338), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6319), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6761), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225748] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9564), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2258), 1,
      sym__class_declaration_item,
    STATE(2908), 1,
      sym_field_declaration_list,
    STATE(6258), 1,
      sym_ms_declspec_modifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(7674), 1,
      sym_virtual_specifier,
    STATE(8416), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2761), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6236), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6761), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225824] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9558), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2258), 1,
      sym__class_declaration_item,
    STATE(2908), 1,
      sym_field_declaration_list,
    STATE(6238), 1,
      sym_ms_declspec_modifier,
    STATE(7201), 1,
      sym__scope_resolution,
    STATE(7674), 1,
      sym_virtual_specifier,
    STATE(8416), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2761), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6255), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6761), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2235), 1,
      sym_attribute_specifier,
    ACTIONS(6015), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6013), 24,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [225940] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7577), 1,
      anon_sym_DASH_GT,
    ACTIONS(7585), 1,
      anon_sym_requires,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    STATE(6556), 1,
      sym__function_attributes_end,
    STATE(6679), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6770), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [226002] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6524), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9354), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9535), 1,
      sym_identifier,
    STATE(3095), 1,
      sym_template_type,
    STATE(3129), 1,
      sym_field_declaration_list,
    STATE(3295), 1,
      sym__class_declaration_item,
    STATE(6257), 1,
      sym_ms_declspec_modifier,
    STATE(7194), 1,
      sym__scope_resolution,
    STATE(7591), 1,
      sym_virtual_specifier,
    STATE(8242), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2899), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6269), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6761), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [226078] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9602), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6235), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6233), 15,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_template,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [226118] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7577), 1,
      anon_sym_DASH_GT,
    ACTIONS(7585), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    STATE(6566), 1,
      sym__function_attributes_end,
    STATE(6654), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [226180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2265), 1,
      sym_attribute_specifier,
    ACTIONS(6060), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6058), 24,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [226220] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6546), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      sym_identifier,
    STATE(3060), 1,
      sym_template_type,
    STATE(3351), 1,
      sym_field_declaration_list,
    STATE(3609), 1,
      sym__class_declaration_item,
    STATE(6308), 1,
      sym_ms_declspec_modifier,
    STATE(7221), 1,
      sym__scope_resolution,
    STATE(7592), 1,
      sym_virtual_specifier,
    STATE(8241), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2913), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6306), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6761), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [226296] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      anon_sym_LBRACE,
    ACTIONS(9550), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(5571), 1,
      sym_field_declaration_list,
    STATE(5661), 1,
      sym__class_declaration_item,
    STATE(6318), 1,
      sym_ms_declspec_modifier,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(7569), 1,
      sym_virtual_specifier,
    STATE(8358), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5338), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6320), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6761), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [226372] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6255), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9560), 1,
      sym_identifier,
    STATE(2873), 1,
      sym_template_type,
    STATE(3092), 1,
      sym_field_declaration_list,
    STATE(3187), 1,
      sym__class_declaration_item,
    STATE(6227), 1,
      sym_ms_declspec_modifier,
    STATE(7186), 1,
      sym__scope_resolution,
    STATE(7648), 1,
      sym_virtual_specifier,
    STATE(8362), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2764), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6226), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6761), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [226448] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7881), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9179), 1,
      anon_sym_LBRACE,
    ACTIONS(9531), 1,
      sym_identifier,
    STATE(5465), 1,
      sym_template_type,
    STATE(5725), 1,
      sym_field_declaration_list,
    STATE(5825), 1,
      sym__class_declaration_item,
    STATE(6327), 1,
      sym_ms_declspec_modifier,
    STATE(7218), 1,
      sym__scope_resolution,
    STATE(7759), 1,
      sym_virtual_specifier,
    STATE(8621), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5500), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6761), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [226524] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2277), 1,
      sym_attribute_specifier,
    ACTIONS(6070), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6068), 24,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [226564] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7577), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9436), 1,
      anon_sym_requires,
    STATE(6561), 1,
      sym__function_attributes_end,
    STATE(6646), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9433), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [226626] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7597), 1,
      anon_sym_LBRACE,
    ACTIONS(9368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9596), 1,
      sym_identifier,
    STATE(4352), 1,
      sym_template_type,
    STATE(4624), 1,
      sym_field_declaration_list,
    STATE(4685), 1,
      sym__class_declaration_item,
    STATE(6316), 1,
      sym_ms_declspec_modifier,
    STATE(7182), 1,
      sym__scope_resolution,
    STATE(7718), 1,
      sym_virtual_specifier,
    STATE(8510), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3828), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6314), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6761), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [226702] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6419), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9209), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9589), 1,
      sym_identifier,
    STATE(3005), 1,
      sym_template_type,
    STATE(3210), 1,
      sym_field_declaration_list,
    STATE(3454), 1,
      sym__class_declaration_item,
    STATE(6244), 1,
      sym_ms_declspec_modifier,
    STATE(7187), 1,
      sym__scope_resolution,
    STATE(7503), 1,
      sym_virtual_specifier,
    STATE(8514), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2835), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6225), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6761), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [226778] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2260), 1,
      sym_attribute_specifier,
    ACTIONS(6080), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6078), 24,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [226818] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2274), 1,
      sym_attribute_specifier,
    ACTIONS(6097), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6095), 24,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [226858] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5101), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9556), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3560), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6282), 1,
      sym_ms_declspec_modifier,
    STATE(7177), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3441), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6275), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6761), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [226934] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    ACTIONS(9585), 1,
      anon_sym_COLON_COLON,
    STATE(3124), 1,
      sym_template_type,
    STATE(3560), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(6290), 1,
      sym_ms_declspec_modifier,
    STATE(7185), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4657), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6286), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6761), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [227010] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2263), 1,
      sym_attribute_specifier,
    ACTIONS(6119), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6117), 24,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [227050] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2227), 1,
      sym_attribute_specifier,
    ACTIONS(6007), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6005), 24,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [227090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2234), 1,
      sym_attribute_specifier,
    ACTIONS(6011), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6009), 24,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [227130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2221), 1,
      sym_attribute_specifier,
    ACTIONS(6003), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6001), 24,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [227170] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2266), 1,
      sym_attribute_specifier,
    ACTIONS(6076), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6074), 24,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [227210] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9594), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2258), 1,
      sym__class_declaration_item,
    STATE(6025), 1,
      sym_field_declaration_list,
    STATE(6295), 1,
      sym_ms_declspec_modifier,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(7720), 1,
      sym_virtual_specifier,
    STATE(8532), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5532), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6293), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6761), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [227286] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7577), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9160), 1,
      anon_sym_requires,
    STATE(6564), 1,
      sym__function_attributes_end,
    STATE(6678), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9157), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [227348] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(6524), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(3095), 1,
      sym_template_type,
    STATE(3129), 1,
      sym_field_declaration_list,
    STATE(3295), 1,
      sym__class_declaration_item,
    STATE(6289), 1,
      sym_ms_declspec_modifier,
    STATE(7205), 1,
      sym__scope_resolution,
    STATE(7591), 1,
      sym_virtual_specifier,
    STATE(8242), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2899), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6276), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6761), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [227424] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2261), 1,
      sym_attribute_specifier,
    ACTIONS(6113), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6111), 24,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [227464] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7577), 1,
      anon_sym_DASH_GT,
    ACTIONS(7585), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    STATE(6562), 1,
      sym__function_attributes_end,
    STATE(6673), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [227526] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3560), 1,
      sym__class_declaration_item,
    STATE(4573), 1,
      sym_field_declaration_list,
    STATE(6294), 1,
      sym_ms_declspec_modifier,
    STATE(7181), 1,
      sym__scope_resolution,
    STATE(7684), 1,
      sym_virtual_specifier,
    STATE(8431), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3959), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6288), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6761), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [227602] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7577), 1,
      anon_sym_DASH_GT,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9608), 1,
      anon_sym_requires,
    STATE(6559), 1,
      sym__function_attributes_end,
    STATE(6667), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6770), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [227664] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7828), 1,
      anon_sym_LBRACE,
    ACTIONS(9305), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9562), 1,
      sym_identifier,
    STATE(4584), 1,
      sym_template_type,
    STATE(4718), 1,
      sym_field_declaration_list,
    STATE(4804), 1,
      sym__class_declaration_item,
    STATE(6260), 1,
      sym_ms_declspec_modifier,
    STATE(7175), 1,
      sym__scope_resolution,
    STATE(7683), 1,
      sym_virtual_specifier,
    STATE(8432), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4165), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6262), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6761), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [227740] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5447), 1,
      anon_sym___attribute__,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5453), 1,
      anon_sym___declspec,
    ACTIONS(5457), 1,
      anon_sym_alignas,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9550), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3560), 1,
      sym__class_declaration_item,
    STATE(4573), 1,
      sym_field_declaration_list,
    STATE(6300), 1,
      sym_ms_declspec_modifier,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(7684), 1,
      sym_virtual_specifier,
    STATE(8431), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3959), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6278), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6761), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [227816] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7766), 1,
      anon_sym_DASH_GT,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9611), 1,
      anon_sym___attribute__,
    ACTIONS(9614), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6431), 1,
      sym_trailing_return_type,
    STATE(6531), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [227877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5983), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5481), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(9617), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5479), 20,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [227916] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(8073), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9499), 1,
      anon_sym_requires,
    STATE(6948), 1,
      sym__function_attributes_end,
    STATE(7104), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9153), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6178), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [227983] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(8073), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9453), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9620), 1,
      anon_sym_requires,
    STATE(6949), 1,
      sym__function_attributes_end,
    STATE(7119), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9411), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9456), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6194), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [228050] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7766), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9227), 1,
      anon_sym___attribute__,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_requires,
    STATE(6439), 1,
      sym_trailing_return_type,
    STATE(6441), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [228111] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7766), 1,
      anon_sym_DASH_GT,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9450), 1,
      anon_sym___attribute__,
    ACTIONS(9453), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6511), 1,
      sym_trailing_return_type,
    STATE(6518), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [228172] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7766), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9450), 1,
      anon_sym___attribute__,
    ACTIONS(9453), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9459), 1,
      anon_sym_requires,
    STATE(6454), 1,
      sym__function_attributes_end,
    STATE(6459), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9456), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [228233] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(8073), 1,
      anon_sym_DASH_GT,
    ACTIONS(8078), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6940), 1,
      sym__function_attributes_end,
    STATE(7121), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9153), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6196), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [228300] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7766), 1,
      anon_sym_DASH_GT,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9611), 1,
      anon_sym___attribute__,
    ACTIONS(9614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9626), 1,
      anon_sym_requires,
    STATE(6470), 1,
      sym__function_attributes_end,
    STATE(6550), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9623), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [228361] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7921), 1,
      anon_sym_requires,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8053), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    STATE(6814), 1,
      sym_trailing_return_type,
    STATE(7036), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9153), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6122), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [228428] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7766), 1,
      anon_sym_DASH_GT,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9227), 1,
      anon_sym___attribute__,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6475), 1,
      sym_trailing_return_type,
    STATE(6509), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [228489] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8053), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9439), 1,
      anon_sym_requires,
    STATE(6825), 1,
      sym_trailing_return_type,
    STATE(7014), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9153), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9157), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6119), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [228556] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7921), 1,
      anon_sym_requires,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8053), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    STATE(6867), 1,
      sym_trailing_return_type,
    STATE(7034), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9411), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6117), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [228623] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(8073), 1,
      anon_sym_DASH_GT,
    ACTIONS(8078), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9453), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6944), 1,
      sym__function_attributes_end,
    STATE(7122), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9411), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6205), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [228690] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7581), 1,
      anon_sym_noexcept,
    ACTIONS(7583), 1,
      anon_sym_throw,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8053), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9523), 1,
      anon_sym_requires,
    STATE(6800), 1,
      sym_trailing_return_type,
    STATE(7013), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9411), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9433), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6121), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [228757] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7861), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9481), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9487), 1,
      anon_sym_requires,
    STATE(6520), 1,
      sym_trailing_return_type,
    STATE(6542), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(9456), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9484), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [228817] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7822), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9453), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6460), 1,
      sym__function_attributes_end,
    STATE(6511), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9484), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [228877] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7861), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9405), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9408), 1,
      anon_sym_requires,
    STATE(6519), 1,
      sym_trailing_return_type,
    STATE(6544), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9402), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [228937] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7822), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_requires,
    STATE(6433), 1,
      sym__function_attributes_end,
    STATE(6439), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9402), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [228997] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(7861), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9481), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6456), 1,
      sym_trailing_return_type,
    STATE(6546), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9484), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [229057] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7822), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9453), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9459), 1,
      anon_sym_requires,
    STATE(6438), 1,
      sym__function_attributes_end,
    STATE(6459), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(9456), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9484), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [229117] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9629), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_requires,
    STATE(6521), 1,
      sym_trailing_return_type,
    STATE(6608), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9623), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [229177] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(7861), 1,
      anon_sym_DASH_GT,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9629), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6406), 1,
      sym_trailing_return_type,
    STATE(6548), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9635), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [229237] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7822), 1,
      anon_sym_DASH_GT,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9626), 1,
      anon_sym_requires,
    STATE(6493), 1,
      sym__function_attributes_end,
    STATE(6550), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(9623), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9635), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [229297] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9481), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9487), 1,
      anon_sym_requires,
    STATE(6520), 1,
      sym_trailing_return_type,
    STATE(6609), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9456), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [229357] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9405), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9408), 1,
      anon_sym_requires,
    STATE(6519), 1,
      sym_trailing_return_type,
    STATE(6611), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [229417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9640), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9638), 9,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [229455] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9629), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6406), 1,
      sym_trailing_return_type,
    STATE(6622), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [229515] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9481), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6456), 1,
      sym_trailing_return_type,
    STATE(6620), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [229575] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9405), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6479), 1,
      sym_trailing_return_type,
    STATE(6618), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [229635] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9626), 1,
      anon_sym_requires,
    STATE(6550), 1,
      sym_trailing_return_type,
    STATE(6640), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9623), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [229695] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(7861), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9405), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6479), 1,
      sym_trailing_return_type,
    STATE(6545), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9402), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [229755] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6475), 1,
      sym_trailing_return_type,
    STATE(6584), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [229815] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7861), 1,
      anon_sym_DASH_GT,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9629), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_requires,
    STATE(6521), 1,
      sym_trailing_return_type,
    STATE(6541), 1,
      sym__function_attributes_end,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(9623), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9635), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [229875] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9453), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9459), 1,
      anon_sym_requires,
    STATE(6459), 1,
      sym_trailing_return_type,
    STATE(6626), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9456), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [229935] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7822), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6475), 1,
      sym_trailing_return_type,
    STATE(6482), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9402), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [229995] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9614), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6431), 1,
      sym_trailing_return_type,
    STATE(6634), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [230055] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9453), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6511), 1,
      sym_trailing_return_type,
    STATE(6597), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [230115] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5563), 1,
      anon_sym_LBRACE,
    ACTIONS(5479), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5481), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [230153] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7822), 1,
      anon_sym_DASH_GT,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9614), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6408), 1,
      sym__function_attributes_end,
    STATE(6431), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9635), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [230213] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9644), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(5527), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9642), 9,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(61), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [230251] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_requires,
    STATE(6439), 1,
      sym_trailing_return_type,
    STATE(6637), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [230311] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9558), 1,
      sym_identifier,
    ACTIONS(9646), 1,
      anon_sym_LPAREN2,
    ACTIONS(9648), 1,
      anon_sym_LBRACE,
    ACTIONS(9652), 1,
      anon_sym_requires,
    STATE(2177), 1,
      sym_template_type,
    STATE(3917), 1,
      sym_requirement_seq,
    STATE(6594), 1,
      sym_lambda_capture_specifier,
    STATE(7201), 1,
      sym__scope_resolution,
    STATE(8421), 1,
      sym_requires_parameter_list,
    ACTIONS(9650), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4907), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [230372] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7919), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9439), 1,
      anon_sym_requires,
    STATE(6732), 1,
      sym__function_attributes_end,
    STATE(6825), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9157), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [230431] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7953), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9481), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9526), 1,
      anon_sym_requires,
    STATE(6660), 1,
      sym__function_attributes_end,
    STATE(6796), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9456), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [230490] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9552), 1,
      sym_identifier,
    ACTIONS(9654), 1,
      anon_sym_LPAREN2,
    ACTIONS(9656), 1,
      anon_sym_LBRACE,
    ACTIONS(9660), 1,
      anon_sym_requires,
    STATE(2410), 1,
      sym_template_type,
    STATE(2881), 1,
      sym_requirement_seq,
    STATE(6610), 1,
      sym_lambda_capture_specifier,
    STATE(7206), 1,
      sym__scope_resolution,
    STATE(8571), 1,
      sym_requires_parameter_list,
    ACTIONS(9658), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2880), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [230551] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7919), 1,
      anon_sym_DASH_GT,
    ACTIONS(7921), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    STATE(6757), 1,
      sym__function_attributes_end,
    STATE(6867), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [230610] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7953), 1,
      anon_sym_DASH_GT,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9629), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9662), 1,
      anon_sym_requires,
    STATE(6645), 1,
      sym__function_attributes_end,
    STATE(6798), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9623), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [230669] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      sym_identifier,
    ACTIONS(9665), 1,
      anon_sym_LPAREN2,
    ACTIONS(9667), 1,
      anon_sym_LBRACE,
    ACTIONS(9671), 1,
      anon_sym_requires,
    STATE(3060), 1,
      sym_template_type,
    STATE(4273), 1,
      sym_requirement_seq,
    STATE(6572), 1,
      sym_lambda_capture_specifier,
    STATE(7221), 1,
      sym__scope_resolution,
    STATE(8563), 1,
      sym_requires_parameter_list,
    ACTIONS(9669), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4177), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [230730] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9285), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9570), 1,
      sym_identifier,
    ACTIONS(9673), 1,
      anon_sym_LPAREN2,
    ACTIONS(9675), 1,
      anon_sym_LBRACE,
    ACTIONS(9679), 1,
      anon_sym_requires,
    STATE(3219), 1,
      sym_template_type,
    STATE(4513), 1,
      sym_requirement_seq,
    STATE(6575), 1,
      sym_lambda_capture_specifier,
    STATE(7204), 1,
      sym__scope_resolution,
    STATE(8270), 1,
      sym_requires_parameter_list,
    ACTIONS(9677), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4505), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [230791] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7919), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9523), 1,
      anon_sym_requires,
    STATE(6755), 1,
      sym__function_attributes_end,
    STATE(6800), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9433), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [230850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5563), 1,
      anon_sym_LBRACE,
    ACTIONS(5479), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5481), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [230885] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9354), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9535), 1,
      sym_identifier,
    ACTIONS(9681), 1,
      anon_sym_LPAREN2,
    ACTIONS(9683), 1,
      anon_sym_LBRACE,
    ACTIONS(9687), 1,
      anon_sym_requires,
    STATE(3095), 1,
      sym_template_type,
    STATE(5029), 1,
      sym_requirement_seq,
    STATE(6596), 1,
      sym_lambda_capture_specifier,
    STATE(7194), 1,
      sym__scope_resolution,
    STATE(8438), 1,
      sym_requires_parameter_list,
    ACTIONS(9685), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5472), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [230946] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7953), 1,
      anon_sym_DASH_GT,
    ACTIONS(7955), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9405), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6651), 1,
      sym__function_attributes_end,
    STATE(6832), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [231005] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9209), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9589), 1,
      sym_identifier,
    ACTIONS(9689), 1,
      anon_sym_LPAREN2,
    ACTIONS(9691), 1,
      anon_sym_LBRACE,
    ACTIONS(9695), 1,
      anon_sym_requires,
    STATE(3005), 1,
      sym_template_type,
    STATE(4115), 1,
      sym_requirement_seq,
    STATE(6573), 1,
      sym_lambda_capture_specifier,
    STATE(7187), 1,
      sym__scope_resolution,
    STATE(8375), 1,
      sym_requires_parameter_list,
    ACTIONS(9693), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4111), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [231066] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7953), 1,
      anon_sym_DASH_GT,
    ACTIONS(7955), 1,
      anon_sym_requires,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9629), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6690), 1,
      sym__function_attributes_end,
    STATE(6779), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [231125] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7919), 1,
      anon_sym_DASH_GT,
    ACTIONS(7921), 1,
      anon_sym_requires,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    STATE(6752), 1,
      sym__function_attributes_end,
    STATE(6835), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6770), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [231184] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9305), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9562), 1,
      sym_identifier,
    ACTIONS(9697), 1,
      anon_sym_LPAREN2,
    ACTIONS(9699), 1,
      anon_sym_LBRACE,
    ACTIONS(9703), 1,
      anon_sym_requires,
    STATE(4584), 1,
      sym_template_type,
    STATE(4978), 1,
      sym_requirement_seq,
    STATE(6621), 1,
      sym_lambda_capture_specifier,
    STATE(7175), 1,
      sym__scope_resolution,
    STATE(8502), 1,
      sym_requires_parameter_list,
    ACTIONS(9701), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4979), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [231245] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7953), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9405), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9430), 1,
      anon_sym_requires,
    STATE(6689), 1,
      sym__function_attributes_end,
    STATE(6795), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [231304] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9596), 1,
      sym_identifier,
    ACTIONS(9646), 1,
      anon_sym_LPAREN2,
    ACTIONS(9648), 1,
      anon_sym_LBRACE,
    ACTIONS(9652), 1,
      anon_sym_requires,
    STATE(3917), 1,
      sym_requirement_seq,
    STATE(4352), 1,
      sym_template_type,
    STATE(6594), 1,
      sym_lambda_capture_specifier,
    STATE(7182), 1,
      sym__scope_resolution,
    STATE(8421), 1,
      sym_requires_parameter_list,
    ACTIONS(9705), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4903), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [231365] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7919), 1,
      anon_sym_DASH_GT,
    ACTIONS(7921), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    STATE(6758), 1,
      sym__function_attributes_end,
    STATE(6814), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [231424] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7953), 1,
      anon_sym_DASH_GT,
    ACTIONS(7955), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9481), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6674), 1,
      sym__function_attributes_end,
    STATE(6773), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [231483] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7919), 1,
      anon_sym_DASH_GT,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9707), 1,
      anon_sym_requires,
    STATE(6748), 1,
      sym__function_attributes_end,
    STATE(6792), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6770), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [231542] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9560), 1,
      sym_identifier,
    ACTIONS(9710), 1,
      anon_sym_LPAREN2,
    ACTIONS(9712), 1,
      anon_sym_LBRACE,
    ACTIONS(9716), 1,
      anon_sym_requires,
    STATE(2873), 1,
      sym_template_type,
    STATE(3643), 1,
      sym_requirement_seq,
    STATE(6580), 1,
      sym_lambda_capture_specifier,
    STATE(7186), 1,
      sym__scope_resolution,
    STATE(8422), 1,
      sym_requires_parameter_list,
    ACTIONS(9714), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3632), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [231603] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8185), 1,
      anon_sym_STAR,
    ACTIONS(8187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8189), 1,
      anon_sym_AMP,
    STATE(4265), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6743), 1,
      sym__abstract_declarator,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8169), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [231651] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8177), 1,
      anon_sym_STAR,
    ACTIONS(8179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    STATE(4200), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6699), 1,
      sym__abstract_declarator,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8169), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231699] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8197), 1,
      anon_sym_STAR,
    ACTIONS(8199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8201), 1,
      anon_sym_AMP,
    STATE(4127), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6723), 1,
      sym__abstract_declarator,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8169), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231747] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8020), 1,
      anon_sym_DASH_GT,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9718), 1,
      anon_sym_requires,
    STATE(6863), 1,
      sym__function_attributes_end,
    STATE(7039), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6770), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [231805] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5397), 1,
      anon_sym_AMP,
    ACTIONS(9724), 1,
      anon_sym_const,
    STATE(6103), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5399), 8,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(9721), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [231843] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8020), 1,
      anon_sym_DASH_GT,
    ACTIONS(8022), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    STATE(6842), 1,
      sym__function_attributes_end,
    STATE(6997), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [231901] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8020), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9478), 1,
      anon_sym_requires,
    STATE(6853), 1,
      sym__function_attributes_end,
    STATE(7043), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9157), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [231959] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8020), 1,
      anon_sym_DASH_GT,
    ACTIONS(8022), 1,
      anon_sym_requires,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    STATE(6821), 1,
      sym__function_attributes_end,
    STATE(7057), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6770), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [232017] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8020), 1,
      anon_sym_DASH_GT,
    ACTIONS(8022), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    STATE(6868), 1,
      sym__function_attributes_end,
    STATE(7061), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [232075] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8020), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9547), 1,
      anon_sym_requires,
    STATE(6855), 1,
      sym__function_attributes_end,
    STATE(6996), 1,
      sym_trailing_return_type,
    STATE(7377), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9433), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6195), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [232133] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9727), 1,
      sym_identifier,
    ACTIONS(9729), 1,
      anon_sym_RPAREN,
    ACTIONS(9731), 1,
      anon_sym_LPAREN2,
    ACTIONS(9733), 1,
      anon_sym_defined,
    ACTIONS(9739), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9741), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9735), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9743), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6284), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [232180] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9727), 1,
      sym_identifier,
    ACTIONS(9731), 1,
      anon_sym_LPAREN2,
    ACTIONS(9733), 1,
      anon_sym_defined,
    ACTIONS(9739), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9741), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9745), 1,
      anon_sym_RPAREN,
    ACTIONS(9735), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9743), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6329), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [232227] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8306), 1,
      anon_sym_STAR,
    ACTIONS(8308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8310), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    STATE(3885), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(6866), 1,
      sym__abstract_declarator,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8169), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232274] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9727), 1,
      sym_identifier,
    ACTIONS(9731), 1,
      anon_sym_LPAREN2,
    ACTIONS(9733), 1,
      anon_sym_defined,
    ACTIONS(9739), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9741), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9747), 1,
      anon_sym_RPAREN,
    ACTIONS(9735), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9743), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6265), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [232321] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6502), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [232365] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9550), 1,
      sym_identifier,
    ACTIONS(9765), 1,
      anon_sym_LPAREN2,
    ACTIONS(9769), 1,
      anon_sym_requires,
    STATE(3124), 1,
      sym_template_type,
    STATE(6589), 1,
      sym_lambda_capture_specifier,
    STATE(7207), 1,
      sym__scope_resolution,
    ACTIONS(9767), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6537), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [232417] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(7929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    ACTIONS(9687), 1,
      anon_sym_requires,
    ACTIONS(9771), 1,
      anon_sym_LPAREN2,
    STATE(3095), 1,
      sym_template_type,
    STATE(6596), 1,
      sym_lambda_capture_specifier,
    STATE(7205), 1,
      sym__scope_resolution,
    ACTIONS(9773), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7064), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [232469] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9775), 1,
      sym_identifier,
    ACTIONS(9777), 1,
      anon_sym_LPAREN2,
    ACTIONS(9779), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9783), 1,
      anon_sym_requires,
    STATE(2677), 1,
      sym_template_type,
    STATE(6601), 1,
      sym_lambda_capture_specifier,
    STATE(7214), 1,
      sym__scope_resolution,
    ACTIONS(9781), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2627), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [232521] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7921), 1,
      anon_sym_requires,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8053), 1,
      anon_sym_DASH_GT,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    STATE(6835), 1,
      sym_trailing_return_type,
    STATE(7059), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9598), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6770), 2,
      sym__function_postfix,
      sym_requires_clause,
  [232577] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8053), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9439), 1,
      anon_sym_requires,
    STATE(6825), 1,
      sym_trailing_return_type,
    STATE(7014), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9153), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9157), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
  [232633] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8053), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9523), 1,
      anon_sym_requires,
    STATE(6800), 1,
      sym_trailing_return_type,
    STATE(7013), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9411), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9433), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
  [232689] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9596), 1,
      sym_identifier,
    ACTIONS(9652), 1,
      anon_sym_requires,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(4352), 1,
      sym_template_type,
    STATE(6594), 1,
      sym_lambda_capture_specifier,
    STATE(7182), 1,
      sym__scope_resolution,
    ACTIONS(9787), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4890), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [232741] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8053), 1,
      anon_sym_DASH_GT,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9707), 1,
      anon_sym_requires,
    STATE(6792), 1,
      sym_trailing_return_type,
    STATE(7012), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9598), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6770), 2,
      sym__function_postfix,
      sym_requires_clause,
  [232797] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7921), 1,
      anon_sym_requires,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8053), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    STATE(6867), 1,
      sym_trailing_return_type,
    STATE(7034), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9411), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
  [232853] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6420), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [232897] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6417), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [232941] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6553), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [232985] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6495), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [233029] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9596), 1,
      sym_identifier,
    ACTIONS(9652), 1,
      anon_sym_requires,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(4352), 1,
      sym_template_type,
    STATE(6594), 1,
      sym_lambda_capture_specifier,
    STATE(7182), 1,
      sym__scope_resolution,
    ACTIONS(9789), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4037), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [233081] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(4037), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9777), 1,
      anon_sym_LPAREN2,
    ACTIONS(9783), 1,
      anon_sym_requires,
    STATE(3124), 1,
      sym_template_type,
    STATE(6603), 1,
      sym_lambda_capture_specifier,
    STATE(7217), 1,
      sym__scope_resolution,
    ACTIONS(9791), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2017), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [233133] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(8073), 1,
      anon_sym_DASH_GT,
    ACTIONS(8078), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6940), 1,
      sym__function_attributes_end,
    STATE(7121), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9153), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
  [233189] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(7921), 1,
      anon_sym_requires,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8053), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    STATE(6814), 1,
      sym_trailing_return_type,
    STATE(7036), 1,
      sym__function_attributes_end,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9153), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
  [233245] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6414), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [233289] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(4037), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9777), 1,
      anon_sym_LPAREN2,
    ACTIONS(9783), 1,
      anon_sym_requires,
    STATE(3124), 1,
      sym_template_type,
    STATE(6603), 1,
      sym_lambda_capture_specifier,
    STATE(7217), 1,
      sym__scope_resolution,
    ACTIONS(9793), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6802), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [233341] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6539), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [233385] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6427), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [233429] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6415), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [233473] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(7881), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9531), 1,
      sym_identifier,
    ACTIONS(9795), 1,
      anon_sym_LPAREN2,
    ACTIONS(9799), 1,
      anon_sym_requires,
    STATE(5465), 1,
      sym_template_type,
    STATE(6598), 1,
      sym_lambda_capture_specifier,
    STATE(7218), 1,
      sym__scope_resolution,
    ACTIONS(9797), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6663), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [233525] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(7881), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9531), 1,
      sym_identifier,
    ACTIONS(9795), 1,
      anon_sym_LPAREN2,
    ACTIONS(9799), 1,
      anon_sym_requires,
    STATE(5465), 1,
      sym_template_type,
    STATE(6598), 1,
      sym_lambda_capture_specifier,
    STATE(7218), 1,
      sym__scope_resolution,
    ACTIONS(9801), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6687), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [233577] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6491), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [233621] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9775), 1,
      sym_identifier,
    ACTIONS(9777), 1,
      anon_sym_LPAREN2,
    ACTIONS(9779), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9783), 1,
      anon_sym_requires,
    STATE(2677), 1,
      sym_template_type,
    STATE(6601), 1,
      sym_lambda_capture_specifier,
    STATE(7214), 1,
      sym__scope_resolution,
    ACTIONS(9791), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2017), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [233673] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9765), 1,
      anon_sym_LPAREN2,
    ACTIONS(9769), 1,
      anon_sym_requires,
    STATE(3124), 1,
      sym_template_type,
    STATE(6589), 1,
      sym_lambda_capture_specifier,
    STATE(7181), 1,
      sym__scope_resolution,
    ACTIONS(9803), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7116), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [233725] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9560), 1,
      sym_identifier,
    ACTIONS(9716), 1,
      anon_sym_requires,
    ACTIONS(9805), 1,
      anon_sym_LPAREN2,
    STATE(2873), 1,
      sym_template_type,
    STATE(6580), 1,
      sym_lambda_capture_specifier,
    STATE(7186), 1,
      sym__scope_resolution,
    ACTIONS(9807), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3722), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [233777] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9560), 1,
      sym_identifier,
    ACTIONS(9716), 1,
      anon_sym_requires,
    ACTIONS(9805), 1,
      anon_sym_LPAREN2,
    STATE(2873), 1,
      sym_template_type,
    STATE(6580), 1,
      sym_lambda_capture_specifier,
    STATE(7186), 1,
      sym__scope_resolution,
    ACTIONS(9809), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3603), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [233829] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6474), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [233873] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9765), 1,
      anon_sym_LPAREN2,
    ACTIONS(9769), 1,
      anon_sym_requires,
    STATE(3124), 1,
      sym_template_type,
    STATE(6589), 1,
      sym_lambda_capture_specifier,
    STATE(7181), 1,
      sym__scope_resolution,
    ACTIONS(9811), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6480), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [233925] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(9815), 1,
      anon_sym_SEMI,
    ACTIONS(9817), 1,
      anon_sym_LBRACE,
    ACTIONS(9819), 1,
      anon_sym_LBRACK,
    ACTIONS(9821), 1,
      anon_sym_EQ,
    ACTIONS(9823), 1,
      anon_sym_COLON,
    ACTIONS(9825), 1,
      anon_sym_try,
    STATE(2344), 1,
      sym_try_statement,
    STATE(2347), 1,
      sym_delete_method_clause,
    STATE(2349), 1,
      sym_default_method_clause,
    STATE(2350), 1,
      sym_compound_statement,
    STATE(4066), 1,
      sym_parameter_list,
    STATE(7114), 1,
      sym__function_declarator_seq,
    STATE(7412), 1,
      sym_bitfield_clause,
    STATE(7457), 1,
      sym_initializer_list,
    STATE(7458), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8686), 1,
      sym_attribute_specifier,
    STATE(7031), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [233993] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(133), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(3254), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    ACTIONS(9827), 1,
      sym_identifier,
    ACTIONS(9829), 1,
      anon_sym_template,
    STATE(3121), 1,
      sym_template_type,
    STATE(3153), 1,
      sym_dependent_type_identifier,
    STATE(3163), 1,
      sym_qualified_type_identifier,
    STATE(3194), 1,
      sym_operator_name,
    STATE(3212), 1,
      sym_qualified_identifier,
    STATE(3250), 1,
      sym_dependent_identifier,
    STATE(3253), 1,
      sym_destructor_name,
    STATE(3257), 1,
      sym_template_function,
    STATE(3262), 1,
      sym_pointer_type_declarator,
    STATE(6146), 1,
      sym__scope_resolution,
    STATE(7555), 1,
      sym_operator_cast,
    STATE(7557), 1,
      sym_qualified_operator_cast_identifier,
    STATE(8663), 1,
      sym_ms_based_modifier,
    STATE(9281), 1,
      sym_decltype,
  [234063] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9727), 1,
      sym_identifier,
    ACTIONS(9731), 1,
      anon_sym_LPAREN2,
    ACTIONS(9733), 1,
      anon_sym_defined,
    ACTIONS(9739), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9741), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9735), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9743), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6530), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [234107] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(4037), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9777), 1,
      anon_sym_LPAREN2,
    ACTIONS(9783), 1,
      anon_sym_requires,
    STATE(3124), 1,
      sym_template_type,
    STATE(6603), 1,
      sym_lambda_capture_specifier,
    STATE(7217), 1,
      sym__scope_resolution,
    ACTIONS(9831), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6824), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [234159] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6516), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [234203] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(133), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(4065), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    ACTIONS(9833), 1,
      sym_identifier,
    ACTIONS(9835), 1,
      anon_sym_template,
    STATE(3121), 1,
      sym_template_type,
    STATE(3153), 1,
      sym_dependent_type_identifier,
    STATE(3163), 1,
      sym_qualified_type_identifier,
    STATE(3194), 1,
      sym_operator_name,
    STATE(3212), 1,
      sym_qualified_identifier,
    STATE(3250), 1,
      sym_dependent_identifier,
    STATE(3253), 1,
      sym_destructor_name,
    STATE(3257), 1,
      sym_template_function,
    STATE(3262), 1,
      sym_pointer_type_declarator,
    STATE(6150), 1,
      sym__scope_resolution,
    STATE(7555), 1,
      sym_operator_cast,
    STATE(7557), 1,
      sym_qualified_operator_cast_identifier,
    STATE(8663), 1,
      sym_ms_based_modifier,
    STATE(9281), 1,
      sym_decltype,
  [234273] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9727), 1,
      sym_identifier,
    ACTIONS(9731), 1,
      anon_sym_LPAREN2,
    ACTIONS(9733), 1,
      anon_sym_defined,
    ACTIONS(9739), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9741), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9735), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9743), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6357), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [234317] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6467), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [234361] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(7963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9550), 1,
      sym_identifier,
    ACTIONS(9777), 1,
      anon_sym_LPAREN2,
    ACTIONS(9783), 1,
      anon_sym_requires,
    STATE(3124), 1,
      sym_template_type,
    STATE(6603), 1,
      sym_lambda_capture_specifier,
    STATE(7216), 1,
      sym__scope_resolution,
    ACTIONS(9837), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6510), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [234413] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6430), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [234457] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6489), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [234501] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6490), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [234545] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6488), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [234589] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(8249), 1,
      anon_sym_STAR,
    ACTIONS(9839), 1,
      sym_identifier,
    ACTIONS(9841), 1,
      anon_sym_TILDE,
    ACTIONS(9843), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9845), 1,
      anon_sym_template,
    ACTIONS(9847), 1,
      anon_sym_operator,
    STATE(3121), 1,
      sym_template_type,
    STATE(3153), 1,
      sym_dependent_type_identifier,
    STATE(3163), 1,
      sym_qualified_type_identifier,
    STATE(3194), 1,
      sym_operator_name,
    STATE(3212), 1,
      sym_qualified_identifier,
    STATE(3250), 1,
      sym_dependent_identifier,
    STATE(3253), 1,
      sym_destructor_name,
    STATE(3257), 1,
      sym_template_function,
    STATE(3262), 1,
      sym_pointer_type_declarator,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(7555), 1,
      sym_operator_cast,
    STATE(7557), 1,
      sym_qualified_operator_cast_identifier,
    STATE(8908), 1,
      sym_ms_based_modifier,
    STATE(9281), 1,
      sym_decltype,
  [234659] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6443), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [234703] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_STAR,
    ACTIONS(8468), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8470), 1,
      anon_sym_AMP,
    STATE(4188), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6966), 1,
      sym__abstract_declarator,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8169), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [234749] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(7963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9550), 1,
      sym_identifier,
    ACTIONS(9777), 1,
      anon_sym_LPAREN2,
    ACTIONS(9783), 1,
      anon_sym_requires,
    STATE(3124), 1,
      sym_template_type,
    STATE(6603), 1,
      sym_lambda_capture_specifier,
    STATE(7216), 1,
      sym__scope_resolution,
    ACTIONS(9791), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2017), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [234801] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(9819), 1,
      anon_sym_LBRACK,
    ACTIONS(9823), 1,
      anon_sym_COLON,
    ACTIONS(9849), 1,
      anon_sym_SEMI,
    ACTIONS(9851), 1,
      anon_sym_LBRACE,
    ACTIONS(9853), 1,
      anon_sym_EQ,
    ACTIONS(9855), 1,
      anon_sym_try,
    STATE(2161), 1,
      sym_compound_statement,
    STATE(2162), 1,
      sym_default_method_clause,
    STATE(2163), 1,
      sym_delete_method_clause,
    STATE(2164), 1,
      sym_try_statement,
    STATE(4066), 1,
      sym_parameter_list,
    STATE(7114), 1,
      sym__function_declarator_seq,
    STATE(7427), 1,
      sym_bitfield_clause,
    STATE(7445), 1,
      sym_initializer_list,
    STATE(7461), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8853), 1,
      sym_attribute_specifier,
    STATE(7031), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [234869] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9727), 1,
      sym_identifier,
    ACTIONS(9731), 1,
      anon_sym_LPAREN2,
    ACTIONS(9733), 1,
      anon_sym_defined,
    ACTIONS(9739), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9741), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9735), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9743), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6366), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [234913] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9652), 1,
      anon_sym_requires,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9857), 1,
      sym_identifier,
    ACTIONS(9859), 1,
      anon_sym_COLON_COLON,
    STATE(2177), 1,
      sym_template_type,
    STATE(6594), 1,
      sym_lambda_capture_specifier,
    STATE(7196), 1,
      sym__scope_resolution,
    ACTIONS(9789), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4037), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [234965] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9209), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9589), 1,
      sym_identifier,
    ACTIONS(9695), 1,
      anon_sym_requires,
    ACTIONS(9861), 1,
      anon_sym_LPAREN2,
    STATE(3005), 1,
      sym_template_type,
    STATE(6573), 1,
      sym_lambda_capture_specifier,
    STATE(7187), 1,
      sym__scope_resolution,
    ACTIONS(9863), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4086), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [235017] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9209), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9589), 1,
      sym_identifier,
    ACTIONS(9695), 1,
      anon_sym_requires,
    ACTIONS(9861), 1,
      anon_sym_LPAREN2,
    STATE(3005), 1,
      sym_template_type,
    STATE(6573), 1,
      sym_lambda_capture_specifier,
    STATE(7187), 1,
      sym__scope_resolution,
    ACTIONS(9865), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4084), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [235069] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9564), 1,
      sym_identifier,
    ACTIONS(9652), 1,
      anon_sym_requires,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(2177), 1,
      sym_template_type,
    STATE(6594), 1,
      sym_lambda_capture_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    ACTIONS(9867), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7188), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [235121] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9727), 1,
      sym_identifier,
    ACTIONS(9731), 1,
      anon_sym_LPAREN2,
    ACTIONS(9733), 1,
      anon_sym_defined,
    ACTIONS(9739), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9741), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9735), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9743), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6340), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [235165] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9727), 1,
      sym_identifier,
    ACTIONS(9731), 1,
      anon_sym_LPAREN2,
    ACTIONS(9733), 1,
      anon_sym_defined,
    ACTIONS(9739), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9741), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9735), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9743), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6364), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [235209] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9564), 1,
      sym_identifier,
    ACTIONS(9652), 1,
      anon_sym_requires,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(2177), 1,
      sym_template_type,
    STATE(6594), 1,
      sym_lambda_capture_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    ACTIONS(9869), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7197), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [235261] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9564), 1,
      sym_identifier,
    ACTIONS(9652), 1,
      anon_sym_requires,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(2177), 1,
      sym_template_type,
    STATE(6594), 1,
      sym_lambda_capture_specifier,
    STATE(7202), 1,
      sym__scope_resolution,
    ACTIONS(9789), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4037), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [235313] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9652), 1,
      anon_sym_requires,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9857), 1,
      sym_identifier,
    ACTIONS(9859), 1,
      anon_sym_COLON_COLON,
    STATE(2177), 1,
      sym_template_type,
    STATE(6594), 1,
      sym_lambda_capture_specifier,
    STATE(7196), 1,
      sym__scope_resolution,
    ACTIONS(9871), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6859), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [235365] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9727), 1,
      sym_identifier,
    ACTIONS(9731), 1,
      anon_sym_LPAREN2,
    ACTIONS(9733), 1,
      anon_sym_defined,
    ACTIONS(9739), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9741), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9735), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9743), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6354), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [235409] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(8073), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9230), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9499), 1,
      anon_sym_requires,
    STATE(6948), 1,
      sym__function_attributes_end,
    STATE(7104), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9153), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
  [235465] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9727), 1,
      sym_identifier,
    ACTIONS(9731), 1,
      anon_sym_LPAREN2,
    ACTIONS(9733), 1,
      anon_sym_defined,
    ACTIONS(9739), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9741), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9735), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9743), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6363), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [235509] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9727), 1,
      sym_identifier,
    ACTIONS(9731), 1,
      anon_sym_LPAREN2,
    ACTIONS(9733), 1,
      anon_sym_defined,
    ACTIONS(9739), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9741), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9735), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9743), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6362), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [235553] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(9819), 1,
      anon_sym_LBRACK,
    ACTIONS(9823), 1,
      anon_sym_COLON,
    ACTIONS(9873), 1,
      anon_sym_SEMI,
    ACTIONS(9875), 1,
      anon_sym_LBRACE,
    ACTIONS(9877), 1,
      anon_sym_EQ,
    ACTIONS(9879), 1,
      anon_sym_try,
    STATE(2513), 1,
      sym_compound_statement,
    STATE(2514), 1,
      sym_default_method_clause,
    STATE(2515), 1,
      sym_delete_method_clause,
    STATE(2516), 1,
      sym_try_statement,
    STATE(4066), 1,
      sym_parameter_list,
    STATE(7114), 1,
      sym__function_declarator_seq,
    STATE(7448), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7450), 1,
      sym_initializer_list,
    STATE(7460), 1,
      sym_bitfield_clause,
    STATE(8917), 1,
      sym_attribute_specifier,
    STATE(7031), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [235621] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(8073), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9453), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9620), 1,
      anon_sym_requires,
    STATE(6949), 1,
      sym__function_attributes_end,
    STATE(7119), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9411), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9456), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
  [235677] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8449), 1,
      anon_sym_STAR,
    ACTIONS(8451), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8453), 1,
      anon_sym_AMP,
    STATE(4153), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(6908), 1,
      sym__abstract_declarator,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8169), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [235723] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6534), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [235767] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9883), 1,
      anon_sym_LPAREN2,
    STATE(6381), 1,
      sym_preproc_argument_list,
    ACTIONS(9885), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9881), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [235801] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6423), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [235845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3302), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(3304), 20,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [235875] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9354), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9535), 1,
      sym_identifier,
    ACTIONS(9687), 1,
      anon_sym_requires,
    ACTIONS(9771), 1,
      anon_sym_LPAREN2,
    STATE(3095), 1,
      sym_template_type,
    STATE(6596), 1,
      sym_lambda_capture_specifier,
    STATE(7194), 1,
      sym__scope_resolution,
    ACTIONS(9887), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4965), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [235927] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9652), 1,
      anon_sym_requires,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9857), 1,
      sym_identifier,
    ACTIONS(9859), 1,
      anon_sym_COLON_COLON,
    STATE(2177), 1,
      sym_template_type,
    STATE(6594), 1,
      sym_lambda_capture_specifier,
    STATE(7196), 1,
      sym__scope_resolution,
    ACTIONS(9889), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6790), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [235979] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(7881), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9531), 1,
      sym_identifier,
    ACTIONS(9795), 1,
      anon_sym_LPAREN2,
    ACTIONS(9799), 1,
      anon_sym_requires,
    STATE(5465), 1,
      sym_template_type,
    STATE(6598), 1,
      sym_lambda_capture_specifier,
    STATE(7218), 1,
      sym__scope_resolution,
    ACTIONS(9891), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6658), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [236031] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9765), 1,
      anon_sym_LPAREN2,
    ACTIONS(9769), 1,
      anon_sym_requires,
    STATE(3124), 1,
      sym_template_type,
    STATE(6589), 1,
      sym_lambda_capture_specifier,
    STATE(7181), 1,
      sym__scope_resolution,
    ACTIONS(9893), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7117), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [236083] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9727), 1,
      sym_identifier,
    ACTIONS(9731), 1,
      anon_sym_LPAREN2,
    ACTIONS(9733), 1,
      anon_sym_defined,
    ACTIONS(9739), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9741), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9735), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9743), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6361), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [236127] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(9819), 1,
      anon_sym_LBRACK,
    ACTIONS(9823), 1,
      anon_sym_COLON,
    ACTIONS(9895), 1,
      anon_sym_SEMI,
    ACTIONS(9897), 1,
      anon_sym_LBRACE,
    ACTIONS(9899), 1,
      anon_sym_EQ,
    ACTIONS(9901), 1,
      anon_sym_try,
    STATE(2434), 1,
      sym_default_method_clause,
    STATE(2438), 1,
      sym_compound_statement,
    STATE(2576), 1,
      sym_delete_method_clause,
    STATE(2577), 1,
      sym_try_statement,
    STATE(4066), 1,
      sym_parameter_list,
    STATE(7114), 1,
      sym__function_declarator_seq,
    STATE(7439), 1,
      sym_bitfield_clause,
    STATE(7440), 1,
      sym_initializer_list,
    STATE(7452), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9158), 1,
      sym_attribute_specifier,
    STATE(7031), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [236195] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9552), 1,
      sym_identifier,
    ACTIONS(9660), 1,
      anon_sym_requires,
    ACTIONS(9903), 1,
      anon_sym_LPAREN2,
    STATE(2410), 1,
      sym_template_type,
    STATE(6610), 1,
      sym_lambda_capture_specifier,
    STATE(7206), 1,
      sym__scope_resolution,
    ACTIONS(9905), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2891), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [236247] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9552), 1,
      sym_identifier,
    ACTIONS(9660), 1,
      anon_sym_requires,
    ACTIONS(9903), 1,
      anon_sym_LPAREN2,
    STATE(2410), 1,
      sym_template_type,
    STATE(6610), 1,
      sym_lambda_capture_specifier,
    STATE(7206), 1,
      sym__scope_resolution,
    ACTIONS(9907), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2892), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [236299] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9727), 1,
      sym_identifier,
    ACTIONS(9731), 1,
      anon_sym_LPAREN2,
    ACTIONS(9733), 1,
      anon_sym_defined,
    ACTIONS(9739), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9741), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9735), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9743), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6360), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [236343] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(9911), 1,
      anon_sym_LBRACK,
    STATE(5280), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6437), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9909), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236381] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(8073), 1,
      anon_sym_DASH_GT,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9913), 1,
      anon_sym_requires,
    STATE(6951), 1,
      sym__function_attributes_end,
    STATE(7109), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9598), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9623), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
  [236437] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(9918), 1,
      anon_sym_LBRACK,
    STATE(5280), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9916), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236475] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(8073), 1,
      anon_sym_DASH_GT,
    ACTIONS(8078), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9453), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6944), 1,
      sym__function_attributes_end,
    STATE(7122), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9411), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
  [236531] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9727), 1,
      sym_identifier,
    ACTIONS(9731), 1,
      anon_sym_LPAREN2,
    ACTIONS(9733), 1,
      anon_sym_defined,
    ACTIONS(9739), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9741), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9735), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9743), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6359), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [236575] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6445), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [236619] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6424), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [236663] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(7963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9550), 1,
      sym_identifier,
    ACTIONS(9777), 1,
      anon_sym_LPAREN2,
    ACTIONS(9783), 1,
      anon_sym_requires,
    STATE(3124), 1,
      sym_template_type,
    STATE(6603), 1,
      sym_lambda_capture_specifier,
    STATE(7216), 1,
      sym__scope_resolution,
    ACTIONS(9920), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6418), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [236715] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9558), 1,
      sym_identifier,
    ACTIONS(9652), 1,
      anon_sym_requires,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(2177), 1,
      sym_template_type,
    STATE(6594), 1,
      sym_lambda_capture_specifier,
    STATE(7201), 1,
      sym__scope_resolution,
    ACTIONS(9922), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4909), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [236767] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9305), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9562), 1,
      sym_identifier,
    ACTIONS(9703), 1,
      anon_sym_requires,
    ACTIONS(9924), 1,
      anon_sym_LPAREN2,
    STATE(4584), 1,
      sym_template_type,
    STATE(6621), 1,
      sym_lambda_capture_specifier,
    STATE(7175), 1,
      sym__scope_resolution,
    ACTIONS(9926), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [236819] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6432), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [236863] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(7929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    ACTIONS(9687), 1,
      anon_sym_requires,
    ACTIONS(9771), 1,
      anon_sym_LPAREN2,
    STATE(3095), 1,
      sym_template_type,
    STATE(6596), 1,
      sym_lambda_capture_specifier,
    STATE(7205), 1,
      sym__scope_resolution,
    ACTIONS(9887), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4965), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [236915] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(8073), 1,
      anon_sym_DASH_GT,
    ACTIONS(8078), 1,
      anon_sym_requires,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9614), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6945), 1,
      sym__function_attributes_end,
    STATE(7123), 1,
      sym_trailing_return_type,
    STATE(7383), 1,
      sym_gnu_asm_expression,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7575), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9598), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6371), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6557), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
  [236971] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6497), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [237015] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(7929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    ACTIONS(9687), 1,
      anon_sym_requires,
    ACTIONS(9771), 1,
      anon_sym_LPAREN2,
    STATE(3095), 1,
      sym_template_type,
    STATE(6596), 1,
      sym_lambda_capture_specifier,
    STATE(7205), 1,
      sym__scope_resolution,
    ACTIONS(9928), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7000), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [237067] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9285), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9570), 1,
      sym_identifier,
    ACTIONS(9679), 1,
      anon_sym_requires,
    ACTIONS(9930), 1,
      anon_sym_LPAREN2,
    STATE(3219), 1,
      sym_template_type,
    STATE(6575), 1,
      sym_lambda_capture_specifier,
    STATE(7204), 1,
      sym__scope_resolution,
    ACTIONS(9932), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4449), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [237119] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9354), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9535), 1,
      sym_identifier,
    ACTIONS(9687), 1,
      anon_sym_requires,
    ACTIONS(9771), 1,
      anon_sym_LPAREN2,
    STATE(3095), 1,
      sym_template_type,
    STATE(6596), 1,
      sym_lambda_capture_specifier,
    STATE(7194), 1,
      sym__scope_resolution,
    ACTIONS(9934), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5450), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [237171] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9285), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9570), 1,
      sym_identifier,
    ACTIONS(9679), 1,
      anon_sym_requires,
    ACTIONS(9930), 1,
      anon_sym_LPAREN2,
    STATE(3219), 1,
      sym_template_type,
    STATE(6575), 1,
      sym_lambda_capture_specifier,
    STATE(7204), 1,
      sym__scope_resolution,
    ACTIONS(9936), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4446), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [237223] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6524), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [237267] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9558), 1,
      sym_identifier,
    ACTIONS(9652), 1,
      anon_sym_requires,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(2177), 1,
      sym_template_type,
    STATE(6594), 1,
      sym_lambda_capture_specifier,
    STATE(7201), 1,
      sym__scope_resolution,
    ACTIONS(9789), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4037), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [237319] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9550), 1,
      sym_identifier,
    ACTIONS(9765), 1,
      anon_sym_LPAREN2,
    ACTIONS(9769), 1,
      anon_sym_requires,
    STATE(3124), 1,
      sym_template_type,
    STATE(6589), 1,
      sym_lambda_capture_specifier,
    STATE(7207), 1,
      sym__scope_resolution,
    ACTIONS(9938), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6481), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [237371] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9727), 1,
      sym_identifier,
    ACTIONS(9731), 1,
      anon_sym_LPAREN2,
    ACTIONS(9733), 1,
      anon_sym_defined,
    ACTIONS(9739), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9741), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9735), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9743), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6504), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [237415] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9550), 1,
      sym_identifier,
    ACTIONS(9765), 1,
      anon_sym_LPAREN2,
    ACTIONS(9769), 1,
      anon_sym_requires,
    STATE(3124), 1,
      sym_template_type,
    STATE(6589), 1,
      sym_lambda_capture_specifier,
    STATE(7207), 1,
      sym__scope_resolution,
    ACTIONS(9811), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6480), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [237467] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9775), 1,
      sym_identifier,
    ACTIONS(9777), 1,
      anon_sym_LPAREN2,
    ACTIONS(9779), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9783), 1,
      anon_sym_requires,
    STATE(2677), 1,
      sym_template_type,
    STATE(6601), 1,
      sym_lambda_capture_specifier,
    STATE(7214), 1,
      sym__scope_resolution,
    ACTIONS(9940), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2673), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [237519] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      sym_identifier,
    ACTIONS(9671), 1,
      anon_sym_requires,
    ACTIONS(9942), 1,
      anon_sym_LPAREN2,
    STATE(3060), 1,
      sym_template_type,
    STATE(6572), 1,
      sym_lambda_capture_specifier,
    STATE(7221), 1,
      sym__scope_resolution,
    ACTIONS(9944), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4230), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [237571] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      sym_identifier,
    ACTIONS(9671), 1,
      anon_sym_requires,
    ACTIONS(9942), 1,
      anon_sym_LPAREN2,
    STATE(3060), 1,
      sym_template_type,
    STATE(6572), 1,
      sym_lambda_capture_specifier,
    STATE(7221), 1,
      sym__scope_resolution,
    ACTIONS(9946), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4248), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [237623] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9727), 1,
      sym_identifier,
    ACTIONS(9731), 1,
      anon_sym_LPAREN2,
    ACTIONS(9733), 1,
      anon_sym_defined,
    ACTIONS(9739), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9741), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9735), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9743), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6336), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [237667] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6419), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [237711] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      anon_sym_defined,
    ACTIONS(9759), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9761), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9755), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6451), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [237755] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9727), 1,
      sym_identifier,
    ACTIONS(9731), 1,
      anon_sym_LPAREN2,
    ACTIONS(9733), 1,
      anon_sym_defined,
    ACTIONS(9739), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9741), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9735), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9743), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6355), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [237799] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(2835), 1,
      anon_sym_LBRACK,
    ACTIONS(9305), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9562), 1,
      sym_identifier,
    ACTIONS(9703), 1,
      anon_sym_requires,
    ACTIONS(9924), 1,
      anon_sym_LPAREN2,
    STATE(4584), 1,
      sym_template_type,
    STATE(6621), 1,
      sym_lambda_capture_specifier,
    STATE(7175), 1,
      sym__scope_resolution,
    ACTIONS(9948), 2,
      sym_true,
      sym_false,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5044), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [237851] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      anon_sym_LBRACE,
    ACTIONS(9550), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(5571), 1,
      sym_field_declaration_list,
    STATE(5677), 1,
      sym__class_declaration_item,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(7569), 1,
      sym_virtual_specifier,
    STATE(8358), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5338), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6320), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [237910] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6419), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9209), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9589), 1,
      sym_identifier,
    STATE(3005), 1,
      sym_template_type,
    STATE(3210), 1,
      sym_field_declaration_list,
    STATE(3470), 1,
      sym__class_declaration_item,
    STATE(7187), 1,
      sym__scope_resolution,
    STATE(7503), 1,
      sym_virtual_specifier,
    STATE(8514), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2835), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [237969] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6255), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9560), 1,
      sym_identifier,
    STATE(2873), 1,
      sym_template_type,
    STATE(3092), 1,
      sym_field_declaration_list,
    STATE(3215), 1,
      sym__class_declaration_item,
    STATE(7186), 1,
      sym__scope_resolution,
    STATE(7648), 1,
      sym_virtual_specifier,
    STATE(8362), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2764), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [238028] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6255), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9560), 1,
      sym_identifier,
    STATE(2873), 1,
      sym_template_type,
    STATE(3092), 1,
      sym_field_declaration_list,
    STATE(3230), 1,
      sym__class_declaration_item,
    STATE(7186), 1,
      sym__scope_resolution,
    STATE(7648), 1,
      sym_virtual_specifier,
    STATE(8362), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2764), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6246), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [238087] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6419), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9209), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9589), 1,
      sym_identifier,
    STATE(3005), 1,
      sym_template_type,
    STATE(3210), 1,
      sym_field_declaration_list,
    STATE(3449), 1,
      sym__class_declaration_item,
    STATE(7187), 1,
      sym__scope_resolution,
    STATE(7503), 1,
      sym_virtual_specifier,
    STATE(8514), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2835), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [238146] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9564), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2259), 1,
      sym__class_declaration_item,
    STATE(2908), 1,
      sym_field_declaration_list,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(7674), 1,
      sym_virtual_specifier,
    STATE(8416), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2761), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [238205] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9550), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3597), 1,
      sym__class_declaration_item,
    STATE(4573), 1,
      sym_field_declaration_list,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(7684), 1,
      sym_virtual_specifier,
    STATE(8431), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3959), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [238264] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6419), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9209), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9589), 1,
      sym_identifier,
    STATE(3005), 1,
      sym_template_type,
    STATE(3210), 1,
      sym_field_declaration_list,
    STATE(3445), 1,
      sym__class_declaration_item,
    STATE(7187), 1,
      sym__scope_resolution,
    STATE(7503), 1,
      sym_virtual_specifier,
    STATE(8514), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2835), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6225), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [238323] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(133), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(5449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    ACTIONS(9950), 1,
      sym_identifier,
    ACTIONS(9952), 1,
      anon_sym_template,
    STATE(3194), 1,
      sym_operator_name,
    STATE(3212), 1,
      sym_qualified_identifier,
    STATE(3250), 1,
      sym_dependent_identifier,
    STATE(3253), 1,
      sym_destructor_name,
    STATE(3257), 1,
      sym_template_function,
    STATE(3262), 1,
      sym_pointer_type_declarator,
    STATE(6232), 1,
      sym__scope_resolution,
    STATE(7555), 1,
      sym_operator_cast,
    STATE(7557), 1,
      sym_qualified_operator_cast_identifier,
    STATE(8663), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [238386] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5101), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9556), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3555), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(7177), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3441), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6275), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [238445] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6524), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(3095), 1,
      sym_template_type,
    STATE(3129), 1,
      sym_field_declaration_list,
    STATE(3296), 1,
      sym__class_declaration_item,
    STATE(7205), 1,
      sym__scope_resolution,
    STATE(7591), 1,
      sym_virtual_specifier,
    STATE(8242), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2899), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [238504] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6524), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9354), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9535), 1,
      sym_identifier,
    STATE(3095), 1,
      sym_template_type,
    STATE(3129), 1,
      sym_field_declaration_list,
    STATE(3280), 1,
      sym__class_declaration_item,
    STATE(7194), 1,
      sym__scope_resolution,
    STATE(7591), 1,
      sym_virtual_specifier,
    STATE(8242), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2899), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [238563] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9564), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2231), 1,
      sym__class_declaration_item,
    STATE(2908), 1,
      sym_field_declaration_list,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(7674), 1,
      sym_virtual_specifier,
    STATE(8416), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2761), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [238622] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6255), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9560), 1,
      sym_identifier,
    STATE(2873), 1,
      sym_template_type,
    STATE(3092), 1,
      sym_field_declaration_list,
    STATE(3206), 1,
      sym__class_declaration_item,
    STATE(7186), 1,
      sym__scope_resolution,
    STATE(7648), 1,
      sym_virtual_specifier,
    STATE(8362), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2764), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6226), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [238681] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9558), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2239), 1,
      sym__class_declaration_item,
    STATE(2908), 1,
      sym_field_declaration_list,
    STATE(7201), 1,
      sym__scope_resolution,
    STATE(7674), 1,
      sym_virtual_specifier,
    STATE(8416), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2761), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6252), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [238740] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5473), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9552), 1,
      sym_identifier,
    STATE(2410), 1,
      sym_template_type,
    STATE(2666), 1,
      sym_field_declaration_list,
    STATE(2740), 1,
      sym__class_declaration_item,
    STATE(7206), 1,
      sym__scope_resolution,
    STATE(7520), 1,
      sym_virtual_specifier,
    STATE(8461), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2128), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6249), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [238799] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6255), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9560), 1,
      sym_identifier,
    STATE(2873), 1,
      sym_template_type,
    STATE(3092), 1,
      sym_field_declaration_list,
    STATE(3183), 1,
      sym__class_declaration_item,
    STATE(7186), 1,
      sym__scope_resolution,
    STATE(7648), 1,
      sym_virtual_specifier,
    STATE(8362), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2764), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [238858] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5473), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9552), 1,
      sym_identifier,
    STATE(2410), 1,
      sym_template_type,
    STATE(2666), 1,
      sym_field_declaration_list,
    STATE(2756), 1,
      sym__class_declaration_item,
    STATE(7206), 1,
      sym__scope_resolution,
    STATE(7520), 1,
      sym_virtual_specifier,
    STATE(8461), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2128), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [238917] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5101), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9556), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3640), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(7177), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3441), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [238976] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      anon_sym_LBRACE,
    ACTIONS(9550), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(5571), 1,
      sym_field_declaration_list,
    STATE(5660), 1,
      sym__class_declaration_item,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(7569), 1,
      sym_virtual_specifier,
    STATE(8358), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5338), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239035] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6419), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9209), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9589), 1,
      sym_identifier,
    STATE(3005), 1,
      sym_template_type,
    STATE(3210), 1,
      sym_field_declaration_list,
    STATE(3475), 1,
      sym__class_declaration_item,
    STATE(7187), 1,
      sym__scope_resolution,
    STATE(7503), 1,
      sym_virtual_specifier,
    STATE(8514), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2835), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6247), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239094] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    ACTIONS(9585), 1,
      anon_sym_COLON_COLON,
    STATE(3124), 1,
      sym_template_type,
    STATE(3640), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(7185), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4657), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239153] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6255), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9560), 1,
      sym_identifier,
    STATE(2873), 1,
      sym_template_type,
    STATE(3092), 1,
      sym_field_declaration_list,
    STATE(3260), 1,
      sym__class_declaration_item,
    STATE(7186), 1,
      sym__scope_resolution,
    STATE(7648), 1,
      sym_virtual_specifier,
    STATE(8362), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2764), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239212] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6419), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9209), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9589), 1,
      sym_identifier,
    STATE(3005), 1,
      sym_template_type,
    STATE(3210), 1,
      sym_field_declaration_list,
    STATE(3497), 1,
      sym__class_declaration_item,
    STATE(7187), 1,
      sym__scope_resolution,
    STATE(7503), 1,
      sym_virtual_specifier,
    STATE(8514), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2835), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239271] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8610), 1,
      anon_sym_STAR,
    ACTIONS(8612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8614), 1,
      anon_sym_AMP,
    STATE(4385), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(7044), 1,
      sym__abstract_declarator,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8169), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239316] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5473), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9552), 1,
      sym_identifier,
    STATE(2410), 1,
      sym_template_type,
    STATE(2666), 1,
      sym_field_declaration_list,
    STATE(2713), 1,
      sym__class_declaration_item,
    STATE(7206), 1,
      sym__scope_resolution,
    STATE(7520), 1,
      sym_virtual_specifier,
    STATE(8461), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2128), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239375] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    ACTIONS(9585), 1,
      anon_sym_COLON_COLON,
    STATE(3124), 1,
      sym_template_type,
    STATE(3555), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(7185), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4657), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6286), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239434] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5473), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9552), 1,
      sym_identifier,
    STATE(2410), 1,
      sym_template_type,
    STATE(2666), 1,
      sym_field_declaration_list,
    STATE(2706), 1,
      sym__class_declaration_item,
    STATE(7206), 1,
      sym__scope_resolution,
    STATE(7520), 1,
      sym_virtual_specifier,
    STATE(8461), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2128), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6254), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239493] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9558), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2273), 1,
      sym__class_declaration_item,
    STATE(2908), 1,
      sym_field_declaration_list,
    STATE(7201), 1,
      sym__scope_resolution,
    STATE(7674), 1,
      sym_virtual_specifier,
    STATE(8416), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2761), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239552] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7828), 1,
      anon_sym_LBRACE,
    ACTIONS(9305), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9562), 1,
      sym_identifier,
    STATE(4584), 1,
      sym_template_type,
    STATE(4718), 1,
      sym_field_declaration_list,
    STATE(4834), 1,
      sym__class_declaration_item,
    STATE(7175), 1,
      sym__scope_resolution,
    STATE(7683), 1,
      sym_virtual_specifier,
    STATE(8432), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4165), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239611] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5473), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9552), 1,
      sym_identifier,
    STATE(2410), 1,
      sym_template_type,
    STATE(2666), 1,
      sym_field_declaration_list,
    STATE(2742), 1,
      sym__class_declaration_item,
    STATE(7206), 1,
      sym__scope_resolution,
    STATE(7520), 1,
      sym_virtual_specifier,
    STATE(8461), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2128), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239670] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9558), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2231), 1,
      sym__class_declaration_item,
    STATE(2908), 1,
      sym_field_declaration_list,
    STATE(7201), 1,
      sym__scope_resolution,
    STATE(7674), 1,
      sym_virtual_specifier,
    STATE(8416), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2761), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239729] = 5,
    ACTIONS(9881), 1,
      anon_sym_LF,
    ACTIONS(9954), 1,
      anon_sym_LPAREN2,
    ACTIONS(9956), 1,
      sym_comment,
    STATE(6469), 1,
      sym_preproc_argument_list,
    ACTIONS(9885), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [239762] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6524), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9354), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9535), 1,
      sym_identifier,
    STATE(3095), 1,
      sym_template_type,
    STATE(3129), 1,
      sym_field_declaration_list,
    STATE(3287), 1,
      sym__class_declaration_item,
    STATE(7194), 1,
      sym__scope_resolution,
    STATE(7591), 1,
      sym_virtual_specifier,
    STATE(8242), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2899), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6235), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239821] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9564), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2239), 1,
      sym__class_declaration_item,
    STATE(2908), 1,
      sym_field_declaration_list,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(7674), 1,
      sym_virtual_specifier,
    STATE(8416), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2761), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6325), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239880] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9564), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2220), 1,
      sym__class_declaration_item,
    STATE(2908), 1,
      sym_field_declaration_list,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(7674), 1,
      sym_virtual_specifier,
    STATE(8416), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2761), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6236), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239939] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7828), 1,
      anon_sym_LBRACE,
    ACTIONS(9305), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9562), 1,
      sym_identifier,
    STATE(4584), 1,
      sym_template_type,
    STATE(4718), 1,
      sym_field_declaration_list,
    STATE(4846), 1,
      sym__class_declaration_item,
    STATE(7175), 1,
      sym__scope_resolution,
    STATE(7683), 1,
      sym_virtual_specifier,
    STATE(8432), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4165), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6253), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239998] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3597), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3441), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240057] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7828), 1,
      anon_sym_LBRACE,
    ACTIONS(9305), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9562), 1,
      sym_identifier,
    STATE(4584), 1,
      sym_template_type,
    STATE(4718), 1,
      sym_field_declaration_list,
    STATE(4841), 1,
      sym__class_declaration_item,
    STATE(7175), 1,
      sym__scope_resolution,
    STATE(7683), 1,
      sym_virtual_specifier,
    STATE(8432), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4165), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240116] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3555), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3441), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6302), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240175] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7597), 1,
      anon_sym_LBRACE,
    ACTIONS(9368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9596), 1,
      sym_identifier,
    STATE(4352), 1,
      sym_template_type,
    STATE(4624), 1,
      sym_field_declaration_list,
    STATE(4692), 1,
      sym__class_declaration_item,
    STATE(7182), 1,
      sym__scope_resolution,
    STATE(7718), 1,
      sym_virtual_specifier,
    STATE(8510), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3828), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240234] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9958), 1,
      anon_sym_COMMA,
    ACTIONS(9960), 1,
      anon_sym_RPAREN,
    ACTIONS(9966), 1,
      anon_sym_SLASH,
    ACTIONS(9968), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9972), 1,
      anon_sym_PIPE,
    ACTIONS(9974), 1,
      anon_sym_CARET,
    ACTIONS(9976), 1,
      anon_sym_AMP,
    STATE(8012), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9964), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9978), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9980), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9982), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [240289] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7828), 1,
      anon_sym_LBRACE,
    ACTIONS(9305), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9562), 1,
      sym_identifier,
    STATE(4584), 1,
      sym_template_type,
    STATE(4718), 1,
      sym_field_declaration_list,
    STATE(4803), 1,
      sym__class_declaration_item,
    STATE(7175), 1,
      sym__scope_resolution,
    STATE(7683), 1,
      sym_virtual_specifier,
    STATE(8432), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4165), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240348] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7828), 1,
      anon_sym_LBRACE,
    ACTIONS(9305), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9562), 1,
      sym_identifier,
    STATE(4584), 1,
      sym_template_type,
    STATE(4718), 1,
      sym_field_declaration_list,
    STATE(4788), 1,
      sym__class_declaration_item,
    STATE(7175), 1,
      sym__scope_resolution,
    STATE(7683), 1,
      sym_virtual_specifier,
    STATE(8432), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4165), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6262), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240407] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6524), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(3095), 1,
      sym_template_type,
    STATE(3129), 1,
      sym_field_declaration_list,
    STATE(3299), 1,
      sym__class_declaration_item,
    STATE(7205), 1,
      sym__scope_resolution,
    STATE(7591), 1,
      sym_virtual_specifier,
    STATE(8242), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2899), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6276), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240466] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6524), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9354), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9535), 1,
      sym_identifier,
    STATE(3095), 1,
      sym_template_type,
    STATE(3129), 1,
      sym_field_declaration_list,
    STATE(3290), 1,
      sym__class_declaration_item,
    STATE(7194), 1,
      sym__scope_resolution,
    STATE(7591), 1,
      sym_virtual_specifier,
    STATE(8242), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2899), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240525] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3640), 1,
      sym__class_declaration_item,
    STATE(4573), 1,
      sym_field_declaration_list,
    STATE(7181), 1,
      sym__scope_resolution,
    STATE(7684), 1,
      sym_virtual_specifier,
    STATE(8431), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3959), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240584] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3555), 1,
      sym__class_declaration_item,
    STATE(4573), 1,
      sym_field_declaration_list,
    STATE(7181), 1,
      sym__scope_resolution,
    STATE(7684), 1,
      sym_virtual_specifier,
    STATE(8431), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3959), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6288), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240643] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3597), 1,
      sym__class_declaration_item,
    STATE(4573), 1,
      sym_field_declaration_list,
    STATE(7181), 1,
      sym__scope_resolution,
    STATE(7684), 1,
      sym_virtual_specifier,
    STATE(8431), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3959), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240702] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9594), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2220), 1,
      sym__class_declaration_item,
    STATE(6025), 1,
      sym_field_declaration_list,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(7720), 1,
      sym_virtual_specifier,
    STATE(8532), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5532), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6293), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240761] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9594), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2259), 1,
      sym__class_declaration_item,
    STATE(6025), 1,
      sym_field_declaration_list,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(7720), 1,
      sym_virtual_specifier,
    STATE(8532), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5532), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240820] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5101), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9556), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3577), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(7177), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3441), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240879] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6524), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(3095), 1,
      sym_template_type,
    STATE(3129), 1,
      sym_field_declaration_list,
    STATE(3290), 1,
      sym__class_declaration_item,
    STATE(7205), 1,
      sym__scope_resolution,
    STATE(7591), 1,
      sym_virtual_specifier,
    STATE(8242), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2899), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240938] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6524), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9354), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9535), 1,
      sym_identifier,
    STATE(3095), 1,
      sym_template_type,
    STATE(3129), 1,
      sym_field_declaration_list,
    STATE(3296), 1,
      sym__class_declaration_item,
    STATE(7194), 1,
      sym__scope_resolution,
    STATE(7591), 1,
      sym_virtual_specifier,
    STATE(8242), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2899), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240997] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9550), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3577), 1,
      sym__class_declaration_item,
    STATE(4573), 1,
      sym_field_declaration_list,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(7684), 1,
      sym_virtual_specifier,
    STATE(8431), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3959), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241056] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6524), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9354), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9535), 1,
      sym_identifier,
    STATE(3095), 1,
      sym_template_type,
    STATE(3129), 1,
      sym_field_declaration_list,
    STATE(3299), 1,
      sym__class_declaration_item,
    STATE(7194), 1,
      sym__scope_resolution,
    STATE(7591), 1,
      sym_virtual_specifier,
    STATE(8242), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2899), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6269), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241115] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9550), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3555), 1,
      sym__class_declaration_item,
    STATE(4573), 1,
      sym_field_declaration_list,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(7684), 1,
      sym_virtual_specifier,
    STATE(8431), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3959), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6278), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241174] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9550), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3640), 1,
      sym__class_declaration_item,
    STATE(4573), 1,
      sym_field_declaration_list,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(7684), 1,
      sym_virtual_specifier,
    STATE(8431), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3959), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241233] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5101), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9556), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3566), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(7177), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3441), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6322), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241292] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3566), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3441), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6261), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241351] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9958), 1,
      anon_sym_COMMA,
    ACTIONS(9966), 1,
      anon_sym_SLASH,
    ACTIONS(9968), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9972), 1,
      anon_sym_PIPE,
    ACTIONS(9974), 1,
      anon_sym_CARET,
    ACTIONS(9976), 1,
      anon_sym_AMP,
    ACTIONS(9986), 1,
      anon_sym_RPAREN,
    STATE(8053), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9964), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9978), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9980), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9982), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [241406] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3640), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3441), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241465] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    ACTIONS(9585), 1,
      anon_sym_COLON_COLON,
    STATE(3124), 1,
      sym_template_type,
    STATE(3577), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(7185), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4657), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241524] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    ACTIONS(9585), 1,
      anon_sym_COLON_COLON,
    STATE(3124), 1,
      sym_template_type,
    STATE(3597), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(7185), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4657), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241583] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3577), 1,
      sym__class_declaration_item,
    STATE(4573), 1,
      sym_field_declaration_list,
    STATE(7181), 1,
      sym__scope_resolution,
    STATE(7684), 1,
      sym_virtual_specifier,
    STATE(8431), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3959), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241642] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6524), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(3095), 1,
      sym_template_type,
    STATE(3129), 1,
      sym_field_declaration_list,
    STATE(3287), 1,
      sym__class_declaration_item,
    STATE(7205), 1,
      sym__scope_resolution,
    STATE(7591), 1,
      sym_virtual_specifier,
    STATE(8242), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2899), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241701] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    ACTIONS(9585), 1,
      anon_sym_COLON_COLON,
    STATE(3124), 1,
      sym_template_type,
    STATE(3566), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(7185), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4657), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6287), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241760] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6524), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(3095), 1,
      sym_template_type,
    STATE(3129), 1,
      sym_field_declaration_list,
    STATE(3280), 1,
      sym__class_declaration_item,
    STATE(7205), 1,
      sym__scope_resolution,
    STATE(7591), 1,
      sym_virtual_specifier,
    STATE(8242), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2899), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9990), 1,
      anon_sym_LBRACK,
    ACTIONS(9988), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [241848] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9594), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2231), 1,
      sym__class_declaration_item,
    STATE(6025), 1,
      sym_field_declaration_list,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(7720), 1,
      sym_virtual_specifier,
    STATE(8532), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5532), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241907] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3566), 1,
      sym__class_declaration_item,
    STATE(4573), 1,
      sym_field_declaration_list,
    STATE(7181), 1,
      sym__scope_resolution,
    STATE(7684), 1,
      sym_virtual_specifier,
    STATE(8431), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3959), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6272), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241966] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9594), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2239), 1,
      sym__class_declaration_item,
    STATE(6025), 1,
      sym_field_declaration_list,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(7720), 1,
      sym_virtual_specifier,
    STATE(8532), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5532), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6303), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242025] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6546), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      sym_identifier,
    STATE(3060), 1,
      sym_template_type,
    STATE(3351), 1,
      sym_field_declaration_list,
    STATE(3585), 1,
      sym__class_declaration_item,
    STATE(7221), 1,
      sym__scope_resolution,
    STATE(7592), 1,
      sym_virtual_specifier,
    STATE(8241), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2913), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6306), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242084] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9285), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9570), 1,
      sym_identifier,
    STATE(3219), 1,
      sym_template_type,
    STATE(3582), 1,
      sym_field_declaration_list,
    STATE(3977), 1,
      sym__class_declaration_item,
    STATE(7204), 1,
      sym__scope_resolution,
    STATE(7724), 1,
      sym_virtual_specifier,
    STATE(8535), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3007), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242143] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6546), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      sym_identifier,
    STATE(3060), 1,
      sym_template_type,
    STATE(3351), 1,
      sym_field_declaration_list,
    STATE(3607), 1,
      sym__class_declaration_item,
    STATE(7221), 1,
      sym__scope_resolution,
    STATE(7592), 1,
      sym_virtual_specifier,
    STATE(8241), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2913), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242202] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9285), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9570), 1,
      sym_identifier,
    STATE(3219), 1,
      sym_template_type,
    STATE(3582), 1,
      sym_field_declaration_list,
    STATE(4080), 1,
      sym__class_declaration_item,
    STATE(7204), 1,
      sym__scope_resolution,
    STATE(7724), 1,
      sym_virtual_specifier,
    STATE(8535), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3007), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6297), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242261] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9550), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3566), 1,
      sym__class_declaration_item,
    STATE(4573), 1,
      sym_field_declaration_list,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(7684), 1,
      sym_virtual_specifier,
    STATE(8431), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3959), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6230), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242320] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9285), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9570), 1,
      sym_identifier,
    STATE(3219), 1,
      sym_template_type,
    STATE(3582), 1,
      sym_field_declaration_list,
    STATE(4089), 1,
      sym__class_declaration_item,
    STATE(7204), 1,
      sym__scope_resolution,
    STATE(7724), 1,
      sym_virtual_specifier,
    STATE(8535), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3007), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242379] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3577), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3441), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242438] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9594), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2273), 1,
      sym__class_declaration_item,
    STATE(6025), 1,
      sym_field_declaration_list,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(7720), 1,
      sym_virtual_specifier,
    STATE(8532), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5532), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242497] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      anon_sym_LBRACE,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(5571), 1,
      sym_field_declaration_list,
    STATE(5660), 1,
      sym__class_declaration_item,
    STATE(7181), 1,
      sym__scope_resolution,
    STATE(7569), 1,
      sym_virtual_specifier,
    STATE(8358), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5338), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242556] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9285), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9570), 1,
      sym_identifier,
    STATE(3219), 1,
      sym_template_type,
    STATE(3582), 1,
      sym_field_declaration_list,
    STATE(3958), 1,
      sym__class_declaration_item,
    STATE(7204), 1,
      sym__scope_resolution,
    STATE(7724), 1,
      sym_virtual_specifier,
    STATE(8535), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3007), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242615] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6546), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      sym_identifier,
    STATE(3060), 1,
      sym_template_type,
    STATE(3351), 1,
      sym_field_declaration_list,
    STATE(3662), 1,
      sym__class_declaration_item,
    STATE(7221), 1,
      sym__scope_resolution,
    STATE(7592), 1,
      sym_virtual_specifier,
    STATE(8241), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2913), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242674] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      anon_sym_LBRACE,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(5571), 1,
      sym_field_declaration_list,
    STATE(5677), 1,
      sym__class_declaration_item,
    STATE(7181), 1,
      sym__scope_resolution,
    STATE(7569), 1,
      sym_virtual_specifier,
    STATE(8358), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5338), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6319), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242733] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6546), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      sym_identifier,
    STATE(3060), 1,
      sym_template_type,
    STATE(3351), 1,
      sym_field_declaration_list,
    STATE(3666), 1,
      sym__class_declaration_item,
    STATE(7221), 1,
      sym__scope_resolution,
    STATE(7592), 1,
      sym_virtual_specifier,
    STATE(8241), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2913), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6309), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242792] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6546), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      sym_identifier,
    STATE(3060), 1,
      sym_template_type,
    STATE(3351), 1,
      sym_field_declaration_list,
    STATE(3701), 1,
      sym__class_declaration_item,
    STATE(7221), 1,
      sym__scope_resolution,
    STATE(7592), 1,
      sym_virtual_specifier,
    STATE(8241), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2913), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242851] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      anon_sym_LBRACE,
    ACTIONS(9550), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(5571), 1,
      sym_field_declaration_list,
    STATE(5662), 1,
      sym__class_declaration_item,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(7569), 1,
      sym_virtual_specifier,
    STATE(8358), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5338), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242910] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7597), 1,
      anon_sym_LBRACE,
    ACTIONS(9368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9596), 1,
      sym_identifier,
    STATE(4352), 1,
      sym_template_type,
    STATE(4624), 1,
      sym_field_declaration_list,
    STATE(4693), 1,
      sym__class_declaration_item,
    STATE(7182), 1,
      sym__scope_resolution,
    STATE(7718), 1,
      sym_virtual_specifier,
    STATE(8510), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3828), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6314), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242969] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9558), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2259), 1,
      sym__class_declaration_item,
    STATE(2908), 1,
      sym_field_declaration_list,
    STATE(7201), 1,
      sym__scope_resolution,
    STATE(7674), 1,
      sym_virtual_specifier,
    STATE(8416), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2761), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243028] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7597), 1,
      anon_sym_LBRACE,
    ACTIONS(9368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9596), 1,
      sym_identifier,
    STATE(4352), 1,
      sym_template_type,
    STATE(4624), 1,
      sym_field_declaration_list,
    STATE(4686), 1,
      sym__class_declaration_item,
    STATE(7182), 1,
      sym__scope_resolution,
    STATE(7718), 1,
      sym_virtual_specifier,
    STATE(8510), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3828), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243087] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7597), 1,
      anon_sym_LBRACE,
    ACTIONS(9368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9596), 1,
      sym_identifier,
    STATE(4352), 1,
      sym_template_type,
    STATE(4624), 1,
      sym_field_declaration_list,
    STATE(4699), 1,
      sym__class_declaration_item,
    STATE(7182), 1,
      sym__scope_resolution,
    STATE(7718), 1,
      sym_virtual_specifier,
    STATE(8510), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3828), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243146] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      anon_sym_LBRACE,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(5571), 1,
      sym_field_declaration_list,
    STATE(5642), 1,
      sym__class_declaration_item,
    STATE(7181), 1,
      sym__scope_resolution,
    STATE(7569), 1,
      sym_virtual_specifier,
    STATE(8358), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5338), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6304), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243205] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7597), 1,
      anon_sym_LBRACE,
    ACTIONS(9368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9596), 1,
      sym_identifier,
    STATE(4352), 1,
      sym_template_type,
    STATE(4624), 1,
      sym_field_declaration_list,
    STATE(4734), 1,
      sym__class_declaration_item,
    STATE(7182), 1,
      sym__scope_resolution,
    STATE(7718), 1,
      sym_virtual_specifier,
    STATE(8510), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3828), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243264] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7881), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9179), 1,
      anon_sym_LBRACE,
    ACTIONS(9531), 1,
      sym_identifier,
    STATE(5465), 1,
      sym_template_type,
    STATE(5725), 1,
      sym_field_declaration_list,
    STATE(5863), 1,
      sym__class_declaration_item,
    STATE(7218), 1,
      sym__scope_resolution,
    STATE(7759), 1,
      sym_virtual_specifier,
    STATE(8621), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5500), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243323] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      anon_sym_LBRACE,
    ACTIONS(9550), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(5571), 1,
      sym_field_declaration_list,
    STATE(5642), 1,
      sym__class_declaration_item,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(7569), 1,
      sym_virtual_specifier,
    STATE(8358), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5338), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6243), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243382] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      anon_sym_LBRACE,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(5571), 1,
      sym_field_declaration_list,
    STATE(5703), 1,
      sym__class_declaration_item,
    STATE(7181), 1,
      sym__scope_resolution,
    STATE(7569), 1,
      sym_virtual_specifier,
    STATE(8358), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5338), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243441] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      anon_sym_LBRACE,
    ACTIONS(9550), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(5571), 1,
      sym_field_declaration_list,
    STATE(5703), 1,
      sym__class_declaration_item,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(7569), 1,
      sym_virtual_specifier,
    STATE(8358), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5338), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243500] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7881), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9179), 1,
      anon_sym_LBRACE,
    ACTIONS(9531), 1,
      sym_identifier,
    STATE(5465), 1,
      sym_template_type,
    STATE(5725), 1,
      sym_field_declaration_list,
    STATE(5859), 1,
      sym__class_declaration_item,
    STATE(7218), 1,
      sym__scope_resolution,
    STATE(7759), 1,
      sym_virtual_specifier,
    STATE(8621), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5500), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243559] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5101), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9556), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(3597), 1,
      sym__class_declaration_item,
    STATE(4578), 1,
      sym_field_declaration_list,
    STATE(7177), 1,
      sym__scope_resolution,
    STATE(7531), 1,
      sym_virtual_specifier,
    STATE(8428), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3441), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243618] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7881), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9179), 1,
      anon_sym_LBRACE,
    ACTIONS(9531), 1,
      sym_identifier,
    STATE(5465), 1,
      sym_template_type,
    STATE(5725), 1,
      sym_field_declaration_list,
    STATE(5842), 1,
      sym__class_declaration_item,
    STATE(7218), 1,
      sym__scope_resolution,
    STATE(7759), 1,
      sym_virtual_specifier,
    STATE(8621), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5500), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243677] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9558), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2220), 1,
      sym__class_declaration_item,
    STATE(2908), 1,
      sym_field_declaration_list,
    STATE(7201), 1,
      sym__scope_resolution,
    STATE(7674), 1,
      sym_virtual_specifier,
    STATE(8416), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2761), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6255), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243736] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9564), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2273), 1,
      sym__class_declaration_item,
    STATE(2908), 1,
      sym_field_declaration_list,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(7674), 1,
      sym_virtual_specifier,
    STATE(8416), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2761), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243795] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(9285), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9570), 1,
      sym_identifier,
    STATE(3219), 1,
      sym_template_type,
    STATE(3582), 1,
      sym_field_declaration_list,
    STATE(3908), 1,
      sym__class_declaration_item,
    STATE(7204), 1,
      sym__scope_resolution,
    STATE(7724), 1,
      sym_virtual_specifier,
    STATE(8535), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3007), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6301), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243854] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7881), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9179), 1,
      anon_sym_LBRACE,
    ACTIONS(9531), 1,
      sym_identifier,
    STATE(5465), 1,
      sym_template_type,
    STATE(5725), 1,
      sym_field_declaration_list,
    STATE(5815), 1,
      sym__class_declaration_item,
    STATE(7218), 1,
      sym__scope_resolution,
    STATE(7759), 1,
      sym_virtual_specifier,
    STATE(8621), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5500), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6328), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243913] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7881), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9179), 1,
      anon_sym_LBRACE,
    ACTIONS(9531), 1,
      sym_identifier,
    STATE(5465), 1,
      sym_template_type,
    STATE(5725), 1,
      sym_field_declaration_list,
    STATE(5803), 1,
      sym__class_declaration_item,
    STATE(7218), 1,
      sym__scope_resolution,
    STATE(7759), 1,
      sym_virtual_specifier,
    STATE(8621), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5500), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243972] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9958), 1,
      anon_sym_COMMA,
    ACTIONS(9966), 1,
      anon_sym_SLASH,
    ACTIONS(9968), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9972), 1,
      anon_sym_PIPE,
    ACTIONS(9974), 1,
      anon_sym_CARET,
    ACTIONS(9976), 1,
      anon_sym_AMP,
    ACTIONS(9992), 1,
      anon_sym_RPAREN,
    STATE(7860), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9964), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9978), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9980), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9982), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [244027] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_COLON,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      anon_sym_LBRACE,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(5571), 1,
      sym_field_declaration_list,
    STATE(5662), 1,
      sym__class_declaration_item,
    STATE(7181), 1,
      sym__scope_resolution,
    STATE(7569), 1,
      sym_virtual_specifier,
    STATE(8358), 1,
      sym_base_class_clause,
    ACTIONS(5477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5338), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244086] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(8405), 1,
      sym_identifier,
    ACTIONS(8407), 1,
      anon_sym_LPAREN2,
    ACTIONS(8409), 1,
      anon_sym_STAR,
    ACTIONS(8411), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8413), 1,
      anon_sym_AMP,
    ACTIONS(9994), 1,
      anon_sym_SEMI,
    STATE(6162), 1,
      sym__field_declarator,
    STATE(7018), 1,
      sym_operator_name,
    STATE(8659), 1,
      sym_ms_based_modifier,
    STATE(8936), 1,
      sym_attribute_specifier,
    STATE(7118), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [244138] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(8229), 1,
      anon_sym_STAR,
    ACTIONS(9996), 1,
      sym_identifier,
    ACTIONS(9998), 1,
      anon_sym_TILDE,
    ACTIONS(10000), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10002), 1,
      anon_sym_template,
    ACTIONS(10004), 1,
      anon_sym_operator,
    STATE(3121), 1,
      sym_template_type,
    STATE(3153), 1,
      sym_dependent_type_identifier,
    STATE(3163), 1,
      sym_qualified_type_identifier,
    STATE(3541), 1,
      sym_pointer_type_declarator,
    STATE(3544), 1,
      sym_template_function,
    STATE(3545), 1,
      sym_destructor_name,
    STATE(3546), 1,
      sym_dependent_identifier,
    STATE(3549), 1,
      sym_qualified_identifier,
    STATE(3554), 1,
      sym_operator_name,
    STATE(6332), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_decltype,
    STATE(9465), 1,
      sym_ms_based_modifier,
  [244202] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7161), 1,
      sym__type_declarator,
    STATE(7481), 1,
      sym__type_definition_declarators,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [244248] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(8207), 1,
      anon_sym_STAR,
    ACTIONS(10006), 1,
      sym_identifier,
    ACTIONS(10008), 1,
      anon_sym_TILDE,
    ACTIONS(10010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10012), 1,
      anon_sym_template,
    ACTIONS(10014), 1,
      anon_sym_operator,
    STATE(3121), 1,
      sym_template_type,
    STATE(3153), 1,
      sym_dependent_type_identifier,
    STATE(3163), 1,
      sym_qualified_type_identifier,
    STATE(3983), 1,
      sym_pointer_type_declarator,
    STATE(3991), 1,
      sym_operator_name,
    STATE(4005), 1,
      sym_qualified_identifier,
    STATE(4009), 1,
      sym_dependent_identifier,
    STATE(4035), 1,
      sym_template_function,
    STATE(4046), 1,
      sym_destructor_name,
    STATE(6334), 1,
      sym__scope_resolution,
    STATE(9083), 1,
      sym_ms_based_modifier,
    STATE(9281), 1,
      sym_decltype,
  [244312] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(5089), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    ACTIONS(10016), 1,
      sym_identifier,
    ACTIONS(10018), 1,
      anon_sym_template,
    STATE(3121), 1,
      sym_template_type,
    STATE(3153), 1,
      sym_dependent_type_identifier,
    STATE(3163), 1,
      sym_qualified_type_identifier,
    STATE(3194), 1,
      sym_operator_name,
    STATE(3212), 1,
      sym_qualified_identifier,
    STATE(3250), 1,
      sym_dependent_identifier,
    STATE(3253), 1,
      sym_destructor_name,
    STATE(3257), 1,
      sym_template_function,
    STATE(3262), 1,
      sym_pointer_type_declarator,
    STATE(6335), 1,
      sym__scope_resolution,
    STATE(8663), 1,
      sym_ms_based_modifier,
    STATE(9281), 1,
      sym_decltype,
  [244376] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9966), 1,
      anon_sym_SLASH,
    ACTIONS(9962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9964), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10022), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10020), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [244410] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(8207), 1,
      anon_sym_STAR,
    ACTIONS(10024), 1,
      sym_identifier,
    ACTIONS(10026), 1,
      anon_sym_TILDE,
    ACTIONS(10028), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10030), 1,
      anon_sym_template,
    ACTIONS(10032), 1,
      anon_sym_operator,
    STATE(3121), 1,
      sym_template_type,
    STATE(3153), 1,
      sym_dependent_type_identifier,
    STATE(3163), 1,
      sym_qualified_type_identifier,
    STATE(3797), 1,
      sym_pointer_type_declarator,
    STATE(3798), 1,
      sym_template_function,
    STATE(3799), 1,
      sym_destructor_name,
    STATE(3802), 1,
      sym_dependent_identifier,
    STATE(3803), 1,
      sym_qualified_identifier,
    STATE(3807), 1,
      sym_operator_name,
    STATE(6337), 1,
      sym__scope_resolution,
    STATE(9083), 1,
      sym_ms_based_modifier,
    STATE(9281), 1,
      sym_decltype,
  [244474] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(8207), 1,
      anon_sym_STAR,
    ACTIONS(10008), 1,
      anon_sym_TILDE,
    ACTIONS(10014), 1,
      anon_sym_operator,
    ACTIONS(10034), 1,
      sym_identifier,
    ACTIONS(10036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10038), 1,
      anon_sym_template,
    STATE(3121), 1,
      sym_template_type,
    STATE(3153), 1,
      sym_dependent_type_identifier,
    STATE(3163), 1,
      sym_qualified_type_identifier,
    STATE(3983), 1,
      sym_pointer_type_declarator,
    STATE(3991), 1,
      sym_operator_name,
    STATE(4005), 1,
      sym_qualified_identifier,
    STATE(4009), 1,
      sym_dependent_identifier,
    STATE(4035), 1,
      sym_template_function,
    STATE(4046), 1,
      sym_destructor_name,
    STATE(6338), 1,
      sym__scope_resolution,
    STATE(9083), 1,
      sym_ms_based_modifier,
    STATE(9281), 1,
      sym_decltype,
  [244538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10042), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10040), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [244566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10046), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10044), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [244594] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(10050), 1,
      anon_sym_LPAREN2,
    ACTIONS(10052), 1,
      anon_sym_SEMI,
    ACTIONS(10054), 1,
      anon_sym_LBRACE,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10058), 1,
      anon_sym_EQ,
    ACTIONS(10062), 1,
      anon_sym_try,
    STATE(562), 1,
      sym_compound_statement,
    STATE(564), 1,
      sym_try_statement,
    STATE(4263), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(8082), 1,
      aux_sym_declaration_repeat1,
    STATE(8087), 1,
      sym_gnu_asm_expression,
    ACTIONS(10060), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8527), 2,
      sym_argument_list,
      sym_initializer_list,
  [244652] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(8249), 1,
      anon_sym_STAR,
    ACTIONS(9841), 1,
      anon_sym_TILDE,
    ACTIONS(10064), 1,
      sym_identifier,
    ACTIONS(10066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10068), 1,
      anon_sym_template,
    ACTIONS(10070), 1,
      anon_sym_operator,
    STATE(3121), 1,
      sym_template_type,
    STATE(3153), 1,
      sym_dependent_type_identifier,
    STATE(3163), 1,
      sym_qualified_type_identifier,
    STATE(3194), 1,
      sym_operator_name,
    STATE(3212), 1,
      sym_qualified_identifier,
    STATE(3250), 1,
      sym_dependent_identifier,
    STATE(3253), 1,
      sym_destructor_name,
    STATE(3257), 1,
      sym_template_function,
    STATE(3262), 1,
      sym_pointer_type_declarator,
    STATE(6342), 1,
      sym__scope_resolution,
    STATE(8908), 1,
      sym_ms_based_modifier,
    STATE(9281), 1,
      sym_decltype,
  [244716] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7161), 1,
      sym__type_declarator,
    STATE(7618), 1,
      sym__type_definition_declarators,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [244762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10074), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10072), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [244790] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(8239), 1,
      anon_sym_STAR,
    ACTIONS(10076), 1,
      sym_identifier,
    ACTIONS(10078), 1,
      anon_sym_TILDE,
    ACTIONS(10080), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10082), 1,
      anon_sym_template,
    ACTIONS(10084), 1,
      anon_sym_operator,
    STATE(3121), 1,
      sym_template_type,
    STATE(3153), 1,
      sym_dependent_type_identifier,
    STATE(3163), 1,
      sym_qualified_type_identifier,
    STATE(4170), 1,
      sym_pointer_type_declarator,
    STATE(4205), 1,
      sym_operator_name,
    STATE(4249), 1,
      sym_qualified_identifier,
    STATE(4251), 1,
      sym_dependent_identifier,
    STATE(4252), 1,
      sym_destructor_name,
    STATE(4257), 1,
      sym_template_function,
    STATE(6345), 1,
      sym__scope_resolution,
    STATE(9012), 1,
      sym_ms_based_modifier,
    STATE(9281), 1,
      sym_decltype,
  [244854] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(10050), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10058), 1,
      anon_sym_EQ,
    ACTIONS(10086), 1,
      anon_sym_SEMI,
    ACTIONS(10088), 1,
      anon_sym_LBRACE,
    ACTIONS(10090), 1,
      anon_sym_try,
    STATE(868), 1,
      sym_try_statement,
    STATE(869), 1,
      sym_compound_statement,
    STATE(4263), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(8214), 1,
      sym_gnu_asm_expression,
    STATE(8216), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(10060), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8527), 2,
      sym_argument_list,
      sym_initializer_list,
  [244912] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7161), 1,
      sym__type_declarator,
    STATE(7487), 1,
      sym__type_definition_declarators,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [244958] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9855), 1,
      anon_sym_try,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(10050), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10058), 1,
      anon_sym_EQ,
    ACTIONS(10092), 1,
      anon_sym_SEMI,
    ACTIONS(10094), 1,
      anon_sym_LBRACE,
    STATE(2092), 1,
      sym_compound_statement,
    STATE(2147), 1,
      sym_try_statement,
    STATE(4263), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(8057), 1,
      aux_sym_declaration_repeat1,
    STATE(8058), 1,
      sym_gnu_asm_expression,
    ACTIONS(10060), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8527), 2,
      sym_argument_list,
      sym_initializer_list,
  [245016] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7161), 1,
      sym__type_declarator,
    STATE(7507), 1,
      sym__type_definition_declarators,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [245062] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9901), 1,
      anon_sym_try,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(10050), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10058), 1,
      anon_sym_EQ,
    ACTIONS(10096), 1,
      anon_sym_SEMI,
    ACTIONS(10098), 1,
      anon_sym_LBRACE,
    STATE(2446), 1,
      sym_try_statement,
    STATE(2450), 1,
      sym_compound_statement,
    STATE(4263), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(7873), 1,
      sym_gnu_asm_expression,
    STATE(7874), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(10060), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8527), 2,
      sym_argument_list,
      sym_initializer_list,
  [245120] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2073), 1,
      anon_sym_LBRACE,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(10050), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10058), 1,
      anon_sym_EQ,
    ACTIONS(10100), 1,
      anon_sym_SEMI,
    ACTIONS(10102), 1,
      anon_sym_try,
    STATE(1049), 1,
      sym_compound_statement,
    STATE(1057), 1,
      sym_try_statement,
    STATE(4263), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(7875), 1,
      sym_gnu_asm_expression,
    STATE(7891), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(10060), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8527), 2,
      sym_argument_list,
      sym_initializer_list,
  [245178] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7161), 1,
      sym__type_declarator,
    STATE(7510), 1,
      sym__type_definition_declarators,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [245224] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(8405), 1,
      sym_identifier,
    ACTIONS(8407), 1,
      anon_sym_LPAREN2,
    ACTIONS(8409), 1,
      anon_sym_STAR,
    ACTIONS(8411), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8413), 1,
      anon_sym_AMP,
    ACTIONS(10104), 1,
      anon_sym_SEMI,
    STATE(6177), 1,
      sym__field_declarator,
    STATE(7018), 1,
      sym_operator_name,
    STATE(8659), 1,
      sym_ms_based_modifier,
    STATE(8887), 1,
      sym_attribute_specifier,
    STATE(7118), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [245276] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9966), 1,
      anon_sym_SLASH,
    ACTIONS(9962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9964), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10022), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10020), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [245312] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9966), 1,
      anon_sym_SLASH,
    ACTIONS(9962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9964), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9980), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9982), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10022), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(10020), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [245352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6876), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6878), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [245380] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9966), 1,
      anon_sym_SLASH,
    ACTIONS(9968), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9972), 1,
      anon_sym_PIPE,
    ACTIONS(9974), 1,
      anon_sym_CARET,
    ACTIONS(9976), 1,
      anon_sym_AMP,
    ACTIONS(9962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9964), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9978), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9980), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9982), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10106), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [245430] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7161), 1,
      sym__type_declarator,
    STATE(7476), 1,
      sym__type_definition_declarators,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [245476] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9966), 1,
      anon_sym_SLASH,
    ACTIONS(9962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9964), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9978), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9980), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9982), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10022), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(10020), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [245518] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9966), 1,
      anon_sym_SLASH,
    ACTIONS(9976), 1,
      anon_sym_AMP,
    ACTIONS(10022), 1,
      anon_sym_PIPE,
    ACTIONS(9962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9964), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9978), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9980), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9982), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10020), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [245562] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9966), 1,
      anon_sym_SLASH,
    ACTIONS(9974), 1,
      anon_sym_CARET,
    ACTIONS(9976), 1,
      anon_sym_AMP,
    ACTIONS(10022), 1,
      anon_sym_PIPE,
    ACTIONS(9962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9964), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9978), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9980), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9982), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10020), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [245608] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9966), 1,
      anon_sym_SLASH,
    ACTIONS(9972), 1,
      anon_sym_PIPE,
    ACTIONS(9974), 1,
      anon_sym_CARET,
    ACTIONS(9976), 1,
      anon_sym_AMP,
    ACTIONS(9962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9964), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9978), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9980), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9982), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10020), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [245654] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9966), 1,
      anon_sym_SLASH,
    ACTIONS(9970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9972), 1,
      anon_sym_PIPE,
    ACTIONS(9974), 1,
      anon_sym_CARET,
    ACTIONS(9976), 1,
      anon_sym_AMP,
    ACTIONS(9962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9964), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9978), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9980), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9982), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10020), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [245702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10022), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10020), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [245730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10110), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10108), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [245758] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9966), 1,
      anon_sym_SLASH,
    ACTIONS(9964), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10022), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10020), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [245790] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7161), 1,
      sym__type_declarator,
    STATE(7532), 1,
      sym__type_definition_declarators,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [245836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10112), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [245864] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7161), 1,
      sym__type_declarator,
    STATE(7613), 1,
      sym__type_definition_declarators,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [245910] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(8249), 1,
      anon_sym_STAR,
    ACTIONS(10116), 1,
      sym_identifier,
    ACTIONS(10118), 1,
      anon_sym_TILDE,
    ACTIONS(10120), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10122), 1,
      anon_sym_template,
    ACTIONS(10124), 1,
      anon_sym_operator,
    STATE(2855), 1,
      sym_operator_name,
    STATE(2859), 1,
      sym_qualified_identifier,
    STATE(2861), 1,
      sym_dependent_identifier,
    STATE(2862), 1,
      sym_destructor_name,
    STATE(2863), 1,
      sym_template_function,
    STATE(2865), 1,
      sym_pointer_type_declarator,
    STATE(3121), 1,
      sym_template_type,
    STATE(3153), 1,
      sym_dependent_type_identifier,
    STATE(3163), 1,
      sym_qualified_type_identifier,
    STATE(6370), 1,
      sym__scope_resolution,
    STATE(8908), 1,
      sym_ms_based_modifier,
    STATE(9281), 1,
      sym_decltype,
  [245974] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9918), 1,
      anon_sym_LBRACK,
    STATE(5538), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6563), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9916), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [246010] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9879), 1,
      anon_sym_try,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(10050), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10058), 1,
      anon_sym_EQ,
    ACTIONS(10126), 1,
      anon_sym_SEMI,
    ACTIONS(10128), 1,
      anon_sym_LBRACE,
    STATE(2572), 1,
      sym_compound_statement,
    STATE(2573), 1,
      sym_try_statement,
    STATE(4263), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(7931), 1,
      sym_gnu_asm_expression,
    STATE(7932), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(10060), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8527), 2,
      sym_argument_list,
      sym_initializer_list,
  [246068] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(8405), 1,
      sym_identifier,
    ACTIONS(8407), 1,
      anon_sym_LPAREN2,
    ACTIONS(8409), 1,
      anon_sym_STAR,
    ACTIONS(8411), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8413), 1,
      anon_sym_AMP,
    ACTIONS(10130), 1,
      anon_sym_SEMI,
    STATE(6145), 1,
      sym__field_declarator,
    STATE(7018), 1,
      sym_operator_name,
    STATE(8659), 1,
      sym_ms_based_modifier,
    STATE(8665), 1,
      sym_attribute_specifier,
    STATE(7118), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [246120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10134), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10132), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [246148] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7161), 1,
      sym__type_declarator,
    STATE(7665), 1,
      sym__type_definition_declarators,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [246194] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9911), 1,
      anon_sym_LBRACK,
    STATE(5538), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6568), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9909), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [246230] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(8239), 1,
      anon_sym_STAR,
    ACTIONS(10078), 1,
      anon_sym_TILDE,
    ACTIONS(10084), 1,
      anon_sym_operator,
    ACTIONS(10136), 1,
      sym_identifier,
    ACTIONS(10138), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10140), 1,
      anon_sym_template,
    STATE(3075), 1,
      sym_dependent_type_identifier,
    STATE(3101), 1,
      sym_template_type,
    STATE(3123), 1,
      sym_qualified_type_identifier,
    STATE(4170), 1,
      sym_pointer_type_declarator,
    STATE(4205), 1,
      sym_operator_name,
    STATE(4249), 1,
      sym_qualified_identifier,
    STATE(4251), 1,
      sym_dependent_identifier,
    STATE(4252), 1,
      sym_destructor_name,
    STATE(4257), 1,
      sym_template_function,
    STATE(6377), 1,
      sym__scope_resolution,
    STATE(9012), 1,
      sym_ms_based_modifier,
    STATE(9281), 1,
      sym_decltype,
  [246294] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(8207), 1,
      anon_sym_STAR,
    ACTIONS(10008), 1,
      anon_sym_TILDE,
    ACTIONS(10014), 1,
      anon_sym_operator,
    ACTIONS(10142), 1,
      sym_identifier,
    ACTIONS(10144), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10146), 1,
      anon_sym_template,
    STATE(2207), 1,
      sym_dependent_type_identifier,
    STATE(2213), 1,
      sym_template_type,
    STATE(2225), 1,
      sym_qualified_type_identifier,
    STATE(3983), 1,
      sym_pointer_type_declarator,
    STATE(3991), 1,
      sym_operator_name,
    STATE(4005), 1,
      sym_qualified_identifier,
    STATE(4009), 1,
      sym_dependent_identifier,
    STATE(4035), 1,
      sym_template_function,
    STATE(4046), 1,
      sym_destructor_name,
    STATE(6378), 1,
      sym__scope_resolution,
    STATE(9083), 1,
      sym_ms_based_modifier,
    STATE(9281), 1,
      sym_decltype,
  [246358] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(8249), 1,
      anon_sym_STAR,
    ACTIONS(10118), 1,
      anon_sym_TILDE,
    ACTIONS(10124), 1,
      anon_sym_operator,
    ACTIONS(10148), 1,
      sym_identifier,
    ACTIONS(10150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10152), 1,
      anon_sym_template,
    STATE(2855), 1,
      sym_operator_name,
    STATE(2859), 1,
      sym_qualified_identifier,
    STATE(2861), 1,
      sym_dependent_identifier,
    STATE(2862), 1,
      sym_destructor_name,
    STATE(2863), 1,
      sym_template_function,
    STATE(2865), 1,
      sym_pointer_type_declarator,
    STATE(3121), 1,
      sym_template_type,
    STATE(3153), 1,
      sym_dependent_type_identifier,
    STATE(3163), 1,
      sym_qualified_type_identifier,
    STATE(6379), 1,
      sym__scope_resolution,
    STATE(8908), 1,
      sym_ms_based_modifier,
    STATE(9281), 1,
      sym_decltype,
  [246422] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7161), 1,
      sym__type_declarator,
    STATE(7675), 1,
      sym__type_definition_declarators,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [246468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10156), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10154), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [246496] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7161), 1,
      sym__type_declarator,
    STATE(7654), 1,
      sym__type_definition_declarators,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [246542] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(8207), 1,
      anon_sym_STAR,
    ACTIONS(10026), 1,
      anon_sym_TILDE,
    ACTIONS(10032), 1,
      anon_sym_operator,
    ACTIONS(10158), 1,
      sym_identifier,
    ACTIONS(10160), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10162), 1,
      anon_sym_template,
    STATE(2207), 1,
      sym_dependent_type_identifier,
    STATE(2213), 1,
      sym_template_type,
    STATE(2225), 1,
      sym_qualified_type_identifier,
    STATE(3797), 1,
      sym_pointer_type_declarator,
    STATE(3798), 1,
      sym_template_function,
    STATE(3799), 1,
      sym_destructor_name,
    STATE(3802), 1,
      sym_dependent_identifier,
    STATE(3803), 1,
      sym_qualified_identifier,
    STATE(3807), 1,
      sym_operator_name,
    STATE(6383), 1,
      sym__scope_resolution,
    STATE(9083), 1,
      sym_ms_based_modifier,
    STATE(9281), 1,
      sym_decltype,
  [246606] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(4565), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    ACTIONS(10164), 1,
      sym_identifier,
    ACTIONS(10166), 1,
      anon_sym_template,
    STATE(3121), 1,
      sym_template_type,
    STATE(3153), 1,
      sym_dependent_type_identifier,
    STATE(3163), 1,
      sym_qualified_type_identifier,
    STATE(3194), 1,
      sym_operator_name,
    STATE(3212), 1,
      sym_qualified_identifier,
    STATE(3250), 1,
      sym_dependent_identifier,
    STATE(3253), 1,
      sym_destructor_name,
    STATE(3257), 1,
      sym_template_function,
    STATE(3262), 1,
      sym_pointer_type_declarator,
    STATE(6384), 1,
      sym__scope_resolution,
    STATE(8663), 1,
      sym_ms_based_modifier,
    STATE(9281), 1,
      sym_decltype,
  [246670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10170), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10168), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [246698] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(10050), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10058), 1,
      anon_sym_EQ,
    ACTIONS(10172), 1,
      anon_sym_SEMI,
    ACTIONS(10174), 1,
      anon_sym_LBRACE,
    ACTIONS(10176), 1,
      anon_sym_try,
    STATE(419), 1,
      sym_compound_statement,
    STATE(420), 1,
      sym_try_statement,
    STATE(4263), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(7779), 1,
      sym_gnu_asm_expression,
    STATE(7783), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(10060), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8527), 2,
      sym_argument_list,
      sym_initializer_list,
  [246756] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(10050), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10058), 1,
      anon_sym_EQ,
    ACTIONS(10178), 1,
      anon_sym_SEMI,
    ACTIONS(10180), 1,
      anon_sym_LBRACE,
    ACTIONS(10182), 1,
      anon_sym_try,
    STATE(881), 1,
      sym_compound_statement,
    STATE(896), 1,
      sym_try_statement,
    STATE(4263), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(7785), 1,
      aux_sym_declaration_repeat1,
    STATE(7786), 1,
      sym_gnu_asm_expression,
    ACTIONS(10060), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8527), 2,
      sym_argument_list,
      sym_initializer_list,
  [246814] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7161), 1,
      sym__type_declarator,
    STATE(7677), 1,
      sym__type_definition_declarators,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [246860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6858), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6860), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [246888] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(8830), 1,
      anon_sym_STAR,
    ACTIONS(8832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8834), 1,
      anon_sym_AMP,
    STATE(4390), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7091), 1,
      sym__abstract_declarator,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8169), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246932] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(8249), 1,
      anon_sym_STAR,
    ACTIONS(10118), 1,
      anon_sym_TILDE,
    ACTIONS(10124), 1,
      anon_sym_operator,
    ACTIONS(10184), 1,
      sym_identifier,
    ACTIONS(10186), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10188), 1,
      anon_sym_template,
    STATE(2855), 1,
      sym_operator_name,
    STATE(2859), 1,
      sym_qualified_identifier,
    STATE(2861), 1,
      sym_dependent_identifier,
    STATE(2862), 1,
      sym_destructor_name,
    STATE(2863), 1,
      sym_template_function,
    STATE(2865), 1,
      sym_pointer_type_declarator,
    STATE(3121), 1,
      sym_template_type,
    STATE(3153), 1,
      sym_dependent_type_identifier,
    STATE(3163), 1,
      sym_qualified_type_identifier,
    STATE(6391), 1,
      sym__scope_resolution,
    STATE(8908), 1,
      sym_ms_based_modifier,
    STATE(9281), 1,
      sym_decltype,
  [246996] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7161), 1,
      sym__type_declarator,
    STATE(7740), 1,
      sym__type_definition_declarators,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [247042] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7161), 1,
      sym__type_declarator,
    STATE(7730), 1,
      sym__type_definition_declarators,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [247088] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7161), 1,
      sym__type_declarator,
    STATE(7748), 1,
      sym__type_definition_declarators,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [247134] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7161), 1,
      sym__type_declarator,
    STATE(7635), 1,
      sym__type_definition_declarators,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [247180] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(8405), 1,
      sym_identifier,
    ACTIONS(8407), 1,
      anon_sym_LPAREN2,
    ACTIONS(8409), 1,
      anon_sym_STAR,
    ACTIONS(8411), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8413), 1,
      anon_sym_AMP,
    ACTIONS(10190), 1,
      anon_sym_SEMI,
    STATE(6189), 1,
      sym__field_declarator,
    STATE(7018), 1,
      sym_operator_name,
    STATE(8659), 1,
      sym_ms_based_modifier,
    STATE(8744), 1,
      sym_attribute_specifier,
    STATE(7118), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [247232] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7161), 1,
      sym__type_declarator,
    STATE(7468), 1,
      sym__type_definition_declarators,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [247278] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7161), 1,
      sym__type_declarator,
    STATE(7564), 1,
      sym__type_definition_declarators,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [247324] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7161), 1,
      sym__type_declarator,
    STATE(7732), 1,
      sym__type_definition_declarators,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [247370] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9825), 1,
      anon_sym_try,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(10050), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10058), 1,
      anon_sym_EQ,
    ACTIONS(10192), 1,
      anon_sym_SEMI,
    ACTIONS(10194), 1,
      anon_sym_LBRACE,
    STATE(2376), 1,
      sym_try_statement,
    STATE(2377), 1,
      sym_compound_statement,
    STATE(4263), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(7820), 1,
      sym_gnu_asm_expression,
    STATE(7821), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(10060), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8527), 2,
      sym_argument_list,
      sym_initializer_list,
  [247428] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7161), 1,
      sym__type_declarator,
    STATE(7698), 1,
      sym__type_definition_declarators,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [247474] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7161), 1,
      sym__type_declarator,
    STATE(7712), 1,
      sym__type_definition_declarators,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [247520] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7161), 1,
      sym__type_declarator,
    STATE(7543), 1,
      sym__type_definition_declarators,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [247566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10198), 1,
      anon_sym_LBRACK,
    ACTIONS(10196), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [247593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 1,
      anon_sym_LBRACK,
    ACTIONS(5280), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [247620] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(10202), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6619), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247655] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(9368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10204), 1,
      sym_identifier,
    STATE(3469), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4164), 1,
      sym_primitive_type,
    STATE(7182), 1,
      sym__scope_resolution,
    STATE(4648), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(7174), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9370), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [247700] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(7822), 1,
      anon_sym_DASH_GT,
    ACTIONS(10202), 1,
      anon_sym_LBRACK,
    STATE(6529), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6619), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [247739] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10208), 1,
      anon_sym_LBRACK,
    ACTIONS(10213), 1,
      anon_sym_requires,
    ACTIONS(10210), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6629), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10206), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [247774] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(10208), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6629), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10206), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247809] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    ACTIONS(9950), 1,
      sym_identifier,
    ACTIONS(9952), 1,
      anon_sym_template,
    STATE(3194), 1,
      sym_operator_name,
    STATE(3212), 1,
      sym_qualified_identifier,
    STATE(3250), 1,
      sym_dependent_identifier,
    STATE(3253), 1,
      sym_destructor_name,
    STATE(3257), 1,
      sym_template_function,
    STATE(3262), 1,
      sym_pointer_type_declarator,
    STATE(6411), 1,
      sym__scope_resolution,
    STATE(8663), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [247866] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9001), 1,
      anon_sym_STAR,
    ACTIONS(9003), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9005), 1,
      anon_sym_AMP,
    STATE(4461), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7162), 1,
      sym__abstract_declarator,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8169), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [247909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5310), 1,
      anon_sym_LBRACK,
    ACTIONS(5312), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [247936] = 10,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10020), 1,
      anon_sym_LF,
    ACTIONS(10220), 1,
      anon_sym_CARET,
    ACTIONS(10222), 1,
      anon_sym_AMP,
    ACTIONS(10216), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10022), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(10218), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10226), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [247977] = 12,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10220), 1,
      anon_sym_CARET,
    ACTIONS(10222), 1,
      anon_sym_AMP,
    ACTIONS(10230), 1,
      anon_sym_LF,
    ACTIONS(10232), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10234), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10236), 1,
      anon_sym_PIPE,
    ACTIONS(10216), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10218), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10226), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [248022] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(9189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10238), 1,
      sym_identifier,
    STATE(2613), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2821), 1,
      sym_primitive_type,
    STATE(7186), 1,
      sym__scope_resolution,
    STATE(3162), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(5981), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9191), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [248067] = 9,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10020), 1,
      anon_sym_LF,
    ACTIONS(10222), 1,
      anon_sym_AMP,
    ACTIONS(10216), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10218), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10022), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(10226), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [248106] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 1,
      anon_sym_LBRACK,
    ACTIONS(10240), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10242), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6105), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248137] = 12,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10220), 1,
      anon_sym_CARET,
    ACTIONS(10222), 1,
      anon_sym_AMP,
    ACTIONS(10232), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10234), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10236), 1,
      anon_sym_PIPE,
    ACTIONS(10244), 1,
      anon_sym_LF,
    ACTIONS(10216), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10218), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10226), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [248182] = 8,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10020), 1,
      anon_sym_LF,
    ACTIONS(10216), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10218), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10226), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(10022), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [248219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5290), 1,
      anon_sym_LBRACK,
    ACTIONS(5292), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [248246] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    ACTIONS(10246), 1,
      sym_identifier,
    ACTIONS(10248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10250), 1,
      anon_sym_template,
    STATE(3194), 1,
      sym_operator_name,
    STATE(3212), 1,
      sym_qualified_identifier,
    STATE(3250), 1,
      sym_dependent_identifier,
    STATE(3253), 1,
      sym_destructor_name,
    STATE(3257), 1,
      sym_template_function,
    STATE(3262), 1,
      sym_pointer_type_declarator,
    STATE(6422), 1,
      sym__scope_resolution,
    STATE(8663), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [248303] = 7,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10020), 1,
      anon_sym_LF,
    ACTIONS(10216), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10218), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10226), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(10022), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [248338] = 6,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10020), 1,
      anon_sym_LF,
    ACTIONS(10216), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10218), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10022), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [248371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10254), 1,
      anon_sym_LBRACK,
    ACTIONS(10252), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248398] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7822), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_requires,
    STATE(6439), 1,
      sym_trailing_return_type,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [248437] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10020), 1,
      anon_sym_LF,
    ACTIONS(10216), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10218), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10022), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [248468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10258), 1,
      anon_sym_LBRACK,
    ACTIONS(10256), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10262), 1,
      anon_sym_LBRACK,
    ACTIONS(10260), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248522] = 12,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10220), 1,
      anon_sym_CARET,
    ACTIONS(10222), 1,
      anon_sym_AMP,
    ACTIONS(10232), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10234), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10236), 1,
      anon_sym_PIPE,
    ACTIONS(10264), 1,
      anon_sym_LF,
    ACTIONS(10216), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10218), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10226), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [248567] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(10202), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6619), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [248602] = 12,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10220), 1,
      anon_sym_CARET,
    ACTIONS(10222), 1,
      anon_sym_AMP,
    ACTIONS(10232), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10234), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10236), 1,
      anon_sym_PIPE,
    ACTIONS(10266), 1,
      anon_sym_LF,
    ACTIONS(10216), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10218), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10226), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [248647] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7822), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9459), 1,
      anon_sym_requires,
    STATE(6459), 1,
      sym_trailing_return_type,
    ACTIONS(9456), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [248686] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10268), 1,
      sym_identifier,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2657), 1,
      sym_primitive_type,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(2226), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [248731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5294), 1,
      anon_sym_LBRACK,
    ACTIONS(5296), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [248758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5302), 1,
      anon_sym_LBRACK,
    ACTIONS(5304), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [248785] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10272), 1,
      anon_sym_LBRACK,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10270), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248816] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7822), 1,
      anon_sym_DASH_GT,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9626), 1,
      anon_sym_requires,
    STATE(6550), 1,
      sym_trailing_return_type,
    ACTIONS(9623), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [248855] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9459), 1,
      anon_sym_requires,
    ACTIONS(9456), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [248890] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7766), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_requires,
    STATE(6439), 1,
      sym_trailing_return_type,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [248929] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7766), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9459), 1,
      anon_sym_requires,
    STATE(6459), 1,
      sym_trailing_return_type,
    ACTIONS(9456), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [248968] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_virtual,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(4037), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(7024), 1,
      sym_access_specifier,
    STATE(7217), 1,
      sym__scope_resolution,
    STATE(7498), 1,
      sym_virtual,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7497), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10274), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [249019] = 12,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10220), 1,
      anon_sym_CARET,
    ACTIONS(10222), 1,
      anon_sym_AMP,
    ACTIONS(10232), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10234), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10236), 1,
      anon_sym_PIPE,
    ACTIONS(10276), 1,
      anon_sym_LF,
    ACTIONS(10216), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10218), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10226), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [249064] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_virtual,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(4037), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(7016), 1,
      sym_access_specifier,
    STATE(7217), 1,
      sym__scope_resolution,
    STATE(7721), 1,
      sym_virtual,
    STATE(6442), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7727), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10274), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [249115] = 12,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10220), 1,
      anon_sym_CARET,
    ACTIONS(10222), 1,
      anon_sym_AMP,
    ACTIONS(10232), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10234), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10236), 1,
      anon_sym_PIPE,
    ACTIONS(10278), 1,
      anon_sym_LF,
    ACTIONS(10216), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10218), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10226), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [249160] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10280), 1,
      sym_identifier,
    STATE(3274), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4002), 1,
      sym_primitive_type,
    STATE(7216), 1,
      sym__scope_resolution,
    STATE(3596), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(4039), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [249205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5282), 1,
      anon_sym_LBRACK,
    ACTIONS(5284), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249232] = 3,
    ACTIONS(6878), 1,
      anon_sym_LF,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(6876), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [249259] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(4037), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10280), 1,
      sym_identifier,
    STATE(3274), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4002), 1,
      sym_primitive_type,
    STATE(7217), 1,
      sym__scope_resolution,
    STATE(3596), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(4039), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [249304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2261), 1,
      anon_sym_LBRACK,
    ACTIONS(2259), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249331] = 12,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10220), 1,
      anon_sym_CARET,
    ACTIONS(10222), 1,
      anon_sym_AMP,
    ACTIONS(10232), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10234), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10236), 1,
      anon_sym_PIPE,
    ACTIONS(10282), 1,
      anon_sym_LF,
    ACTIONS(10216), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10218), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10226), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [249376] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7291), 1,
      sym__type_declarator,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [249419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5322), 1,
      anon_sym_LBRACK,
    ACTIONS(5324), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249446] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7766), 1,
      anon_sym_DASH_GT,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9626), 1,
      anon_sym_requires,
    STATE(6550), 1,
      sym_trailing_return_type,
    ACTIONS(9623), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [249485] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_virtual,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(4037), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(7023), 1,
      sym_access_specifier,
    STATE(7217), 1,
      sym__scope_resolution,
    STATE(7696), 1,
      sym_virtual,
    STATE(6465), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7947), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10274), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [249536] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249571] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5101), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10284), 1,
      sym_identifier,
    STATE(3238), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3869), 1,
      sym_primitive_type,
    STATE(7177), 1,
      sym__scope_resolution,
    STATE(3596), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [249616] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7300), 1,
      sym__type_declarator,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [249659] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9626), 1,
      anon_sym_requires,
    ACTIONS(9623), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [249694] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(7822), 1,
      anon_sym_DASH_GT,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    STATE(6431), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [249733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5286), 1,
      anon_sym_LBRACK,
    ACTIONS(5288), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2265), 1,
      anon_sym_LBRACK,
    ACTIONS(2263), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249787] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10286), 1,
      sym_identifier,
    STATE(4757), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5165), 1,
      sym_primitive_type,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(5659), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(7937), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7935), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [249832] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(9209), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10288), 1,
      sym_identifier,
    STATE(2684), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3003), 1,
      sym_primitive_type,
    STATE(7187), 1,
      sym__scope_resolution,
    STATE(3380), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(6133), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9211), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [249877] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_virtual,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(4037), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(7002), 1,
      sym_access_specifier,
    STATE(7217), 1,
      sym__scope_resolution,
    STATE(7758), 1,
      sym_virtual,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7793), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10274), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [249928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5306), 1,
      anon_sym_LBRACK,
    ACTIONS(5308), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249955] = 12,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10220), 1,
      anon_sym_CARET,
    ACTIONS(10222), 1,
      anon_sym_AMP,
    ACTIONS(10232), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10234), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10236), 1,
      anon_sym_PIPE,
    ACTIONS(10290), 1,
      anon_sym_LF,
    ACTIONS(10216), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10218), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10226), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [250000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5314), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [250027] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10154), 1,
      anon_sym_LF,
    ACTIONS(10156), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [250054] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7766), 1,
      anon_sym_DASH_GT,
    ACTIONS(10202), 1,
      anon_sym_LBRACK,
    ACTIONS(10295), 1,
      anon_sym_requires,
    STATE(6409), 1,
      sym_trailing_return_type,
    ACTIONS(10292), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6619), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [250093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5298), 1,
      anon_sym_LBRACK,
    ACTIONS(5300), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [250120] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10284), 1,
      sym_identifier,
    STATE(3238), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3869), 1,
      sym_primitive_type,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(3596), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [250165] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(9241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10298), 1,
      sym_identifier,
    STATE(2173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2657), 1,
      sym_primitive_type,
    STATE(7201), 1,
      sym__scope_resolution,
    STATE(2226), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2091), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [250210] = 12,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10220), 1,
      anon_sym_CARET,
    ACTIONS(10222), 1,
      anon_sym_AMP,
    ACTIONS(10232), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10234), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10236), 1,
      anon_sym_PIPE,
    ACTIONS(10300), 1,
      anon_sym_LF,
    ACTIONS(10216), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10218), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10226), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [250255] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [250290] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10072), 1,
      anon_sym_LF,
    ACTIONS(10074), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [250317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 1,
      anon_sym_LBRACK,
    ACTIONS(5280), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [250344] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7766), 1,
      anon_sym_DASH_GT,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    STATE(6475), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [250383] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [250418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5274), 1,
      anon_sym_LBRACK,
    ACTIONS(5276), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [250445] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5990), 1,
      anon_sym_LBRACK,
    ACTIONS(10302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5992), 16,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [250474] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(7822), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    STATE(6511), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [250513] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10306), 1,
      anon_sym_LBRACK,
    ACTIONS(10308), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6483), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10304), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [250544] = 3,
    ACTIONS(6860), 1,
      anon_sym_LF,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(6858), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [250571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5318), 1,
      anon_sym_LBRACK,
    ACTIONS(5320), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [250598] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10108), 1,
      anon_sym_LF,
    ACTIONS(10110), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [250625] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9918), 1,
      anon_sym_LBRACK,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9916), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [250656] = 11,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10020), 1,
      anon_sym_LF,
    ACTIONS(10220), 1,
      anon_sym_CARET,
    ACTIONS(10222), 1,
      anon_sym_AMP,
    ACTIONS(10236), 1,
      anon_sym_PIPE,
    ACTIONS(10022), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10216), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10218), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10226), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [250699] = 12,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10020), 1,
      anon_sym_LF,
    ACTIONS(10022), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10220), 1,
      anon_sym_CARET,
    ACTIONS(10222), 1,
      anon_sym_AMP,
    ACTIONS(10234), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10236), 1,
      anon_sym_PIPE,
    ACTIONS(10216), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10218), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10226), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [250744] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10020), 1,
      anon_sym_LF,
    ACTIONS(10022), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [250771] = 4,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10020), 1,
      anon_sym_LF,
    ACTIONS(10218), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10022), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [250800] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10311), 1,
      sym_identifier,
    STATE(5848), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5941), 1,
      sym_primitive_type,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(2226), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(2095), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7905), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [250845] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7822), 1,
      anon_sym_DASH_GT,
    ACTIONS(10202), 1,
      anon_sym_LBRACK,
    ACTIONS(10295), 1,
      anon_sym_requires,
    STATE(6409), 1,
      sym_trailing_return_type,
    ACTIONS(10292), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6619), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [250884] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [250919] = 12,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10220), 1,
      anon_sym_CARET,
    ACTIONS(10222), 1,
      anon_sym_AMP,
    ACTIONS(10232), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10234), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10236), 1,
      anon_sym_PIPE,
    ACTIONS(10313), 1,
      anon_sym_LF,
    ACTIONS(10216), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10218), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10226), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [250964] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(7822), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    STATE(6475), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [251003] = 12,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10220), 1,
      anon_sym_CARET,
    ACTIONS(10222), 1,
      anon_sym_AMP,
    ACTIONS(10232), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10234), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10236), 1,
      anon_sym_PIPE,
    ACTIONS(10315), 1,
      anon_sym_LF,
    ACTIONS(10216), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10218), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10226), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [251048] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10317), 1,
      sym_identifier,
    STATE(2356), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2796), 1,
      sym_primitive_type,
    STATE(7206), 1,
      sym__scope_resolution,
    STATE(2727), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(5813), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9257), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [251093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 1,
      anon_sym_LBRACK,
    ACTIONS(5280), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [251120] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10112), 1,
      anon_sym_LF,
    ACTIONS(10114), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [251147] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(7381), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8262), 1,
      anon_sym_STAR,
    ACTIONS(9950), 1,
      sym_identifier,
    ACTIONS(9952), 1,
      anon_sym_template,
    STATE(3194), 1,
      sym_operator_name,
    STATE(3212), 1,
      sym_qualified_identifier,
    STATE(3250), 1,
      sym_dependent_identifier,
    STATE(3253), 1,
      sym_destructor_name,
    STATE(3257), 1,
      sym_template_function,
    STATE(3262), 1,
      sym_pointer_type_declarator,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(9077), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [251204] = 12,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10220), 1,
      anon_sym_CARET,
    ACTIONS(10222), 1,
      anon_sym_AMP,
    ACTIONS(10232), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10234), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10236), 1,
      anon_sym_PIPE,
    ACTIONS(10319), 1,
      anon_sym_LF,
    ACTIONS(10216), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10218), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10226), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [251249] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9911), 1,
      anon_sym_LBRACK,
    STATE(6006), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9909), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [251280] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9966), 1,
      anon_sym_SLASH,
    ACTIONS(9968), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9972), 1,
      anon_sym_PIPE,
    ACTIONS(9974), 1,
      anon_sym_CARET,
    ACTIONS(9976), 1,
      anon_sym_AMP,
    ACTIONS(10321), 1,
      anon_sym_RPAREN,
    ACTIONS(9962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9964), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9978), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9980), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9982), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [251329] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10323), 1,
      sym_identifier,
    STATE(2459), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2974), 1,
      sym_primitive_type,
    STATE(7205), 1,
      sym__scope_resolution,
    STATE(3234), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(2970), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2968), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [251374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10327), 1,
      anon_sym_LBRACK,
    ACTIONS(10325), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [251401] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(7487), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8255), 1,
      anon_sym_STAR,
    ACTIONS(10329), 1,
      sym_identifier,
    ACTIONS(10331), 1,
      anon_sym_template,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6880), 1,
      sym_qualified_identifier,
    STATE(6982), 1,
      sym_template_function,
    STATE(6984), 1,
      sym_pointer_type_declarator,
    STATE(6986), 1,
      sym_destructor_name,
    STATE(6992), 1,
      sym_dependent_identifier,
    STATE(6993), 1,
      sym_operator_name,
    STATE(9227), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [251458] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7223), 1,
      sym__type_declarator,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [251501] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7766), 1,
      anon_sym_DASH_GT,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    STATE(6511), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [251540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5990), 1,
      anon_sym_LBRACK,
    ACTIONS(10242), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5992), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [251569] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [251604] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7328), 1,
      sym__type_declarator,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [251647] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(7548), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    ACTIONS(10333), 1,
      sym_identifier,
    ACTIONS(10335), 1,
      anon_sym_template,
    STATE(3194), 1,
      sym_operator_name,
    STATE(3212), 1,
      sym_qualified_identifier,
    STATE(3250), 1,
      sym_dependent_identifier,
    STATE(3253), 1,
      sym_destructor_name,
    STATE(3257), 1,
      sym_template_function,
    STATE(3262), 1,
      sym_pointer_type_declarator,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(8663), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [251704] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7881), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10337), 1,
      sym_identifier,
    STATE(4912), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5478), 1,
      sym_primitive_type,
    STATE(7218), 1,
      sym__scope_resolution,
    STATE(5778), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(7885), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7883), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [251749] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(3244), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8221), 1,
      anon_sym_STAR,
    ACTIONS(10329), 1,
      sym_identifier,
    ACTIONS(10331), 1,
      anon_sym_template,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6880), 1,
      sym_qualified_identifier,
    STATE(6982), 1,
      sym_template_function,
    STATE(6984), 1,
      sym_pointer_type_declarator,
    STATE(6986), 1,
      sym_destructor_name,
    STATE(6992), 1,
      sym_dependent_identifier,
    STATE(6993), 1,
      sym_operator_name,
    STATE(8793), 1,
      sym_ms_based_modifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [251806] = 12,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10220), 1,
      anon_sym_CARET,
    ACTIONS(10222), 1,
      anon_sym_AMP,
    ACTIONS(10232), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10234), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10236), 1,
      anon_sym_PIPE,
    ACTIONS(10339), 1,
      anon_sym_LF,
    ACTIONS(10216), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10218), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10226), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [251851] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9408), 1,
      anon_sym_requires,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [251886] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7766), 1,
      anon_sym_DASH_GT,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    STATE(6431), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [251925] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9487), 1,
      anon_sym_requires,
    ACTIONS(9456), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [251960] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_requires,
    ACTIONS(9623), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [251995] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10202), 1,
      anon_sym_LBRACK,
    ACTIONS(10341), 1,
      anon_sym_requires,
    ACTIONS(10292), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6619), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [252030] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10208), 1,
      anon_sym_LBRACK,
    ACTIONS(10344), 1,
      anon_sym_requires,
    ACTIONS(10210), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6629), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10206), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [252065] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(9285), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10347), 1,
      sym_identifier,
    STATE(2829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3138), 1,
      sym_primitive_type,
    STATE(7204), 1,
      sym__scope_resolution,
    STATE(3775), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(6403), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9287), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [252110] = 12,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10220), 1,
      anon_sym_CARET,
    ACTIONS(10222), 1,
      anon_sym_AMP,
    ACTIONS(10232), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10234), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10236), 1,
      anon_sym_PIPE,
    ACTIONS(10349), 1,
      anon_sym_LF,
    ACTIONS(10216), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10218), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10226), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [252155] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(9331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10351), 1,
      sym_identifier,
    STATE(2690), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3053), 1,
      sym_primitive_type,
    STATE(7221), 1,
      sym__scope_resolution,
    STATE(3432), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(6143), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9333), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [252200] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10355), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6483), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10353), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [252231] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7297), 1,
      sym__type_declarator,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [252274] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_requires,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [252309] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(10208), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6629), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10206), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [252344] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9966), 1,
      anon_sym_SLASH,
    ACTIONS(9968), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9972), 1,
      anon_sym_PIPE,
    ACTIONS(9974), 1,
      anon_sym_CARET,
    ACTIONS(9976), 1,
      anon_sym_AMP,
    ACTIONS(10357), 1,
      anon_sym_RPAREN,
    ACTIONS(9962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9964), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9978), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9980), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9982), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [252393] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7766), 1,
      anon_sym_DASH_GT,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(10202), 1,
      anon_sym_LBRACK,
    STATE(6529), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6619), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [252432] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_LPAREN2,
    ACTIONS(8257), 1,
      anon_sym_STAR,
    STATE(2718), 1,
      sym_pointer_type_declarator,
    STATE(7303), 1,
      sym__type_declarator,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2717), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
  [252475] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(9305), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10359), 1,
      sym_identifier,
    STATE(3873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4481), 1,
      sym_primitive_type,
    STATE(7175), 1,
      sym__scope_resolution,
    STATE(4737), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(7610), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9307), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [252520] = 12,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10220), 1,
      anon_sym_CARET,
    ACTIONS(10222), 1,
      anon_sym_AMP,
    ACTIONS(10232), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10234), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10236), 1,
      anon_sym_PIPE,
    ACTIONS(10361), 1,
      anon_sym_LF,
    ACTIONS(10216), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10218), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10226), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [252565] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10363), 1,
      sym_identifier,
    STATE(2307), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2704), 1,
      sym_primitive_type,
    STATE(7206), 1,
      sym__scope_resolution,
    STATE(2727), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(5813), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9388), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [252610] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(9354), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10365), 1,
      sym_identifier,
    STATE(2459), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2974), 1,
      sym_primitive_type,
    STATE(7194), 1,
      sym__scope_resolution,
    STATE(3234), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(2970), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2968), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [252655] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 1,
      anon_sym_LBRACK,
    ACTIONS(10302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10367), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6105), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [252686] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10286), 1,
      sym_identifier,
    STATE(4757), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5165), 1,
      sym_primitive_type,
    STATE(7181), 1,
      sym__scope_resolution,
    STATE(5659), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(7937), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7935), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [252731] = 12,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10220), 1,
      anon_sym_CARET,
    ACTIONS(10222), 1,
      anon_sym_AMP,
    ACTIONS(10232), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10234), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10236), 1,
      anon_sym_PIPE,
    ACTIONS(10369), 1,
      anon_sym_LF,
    ACTIONS(10216), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10224), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10218), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10226), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [252776] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(7861), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    STATE(6479), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [252815] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7861), 1,
      anon_sym_DASH_GT,
    ACTIONS(10202), 1,
      anon_sym_LBRACK,
    ACTIONS(10341), 1,
      anon_sym_requires,
    STATE(6522), 1,
      sym_trailing_return_type,
    ACTIONS(10292), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6619), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [252854] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7861), 1,
      anon_sym_DASH_GT,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_requires,
    STATE(6521), 1,
      sym_trailing_return_type,
    ACTIONS(9623), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [252893] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10040), 1,
      anon_sym_LF,
    ACTIONS(10042), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [252920] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7861), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9487), 1,
      anon_sym_requires,
    STATE(6520), 1,
      sym_trailing_return_type,
    ACTIONS(9456), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [252959] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(7861), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    STATE(6456), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [252998] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(7861), 1,
      anon_sym_DASH_GT,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    STATE(6406), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [253037] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [253072] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(7861), 1,
      anon_sym_DASH_GT,
    ACTIONS(10202), 1,
      anon_sym_LBRACK,
    STATE(6410), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6619), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [253111] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10168), 1,
      anon_sym_LF,
    ACTIONS(10170), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [253138] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10202), 1,
      anon_sym_LBRACK,
    ACTIONS(10295), 1,
      anon_sym_requires,
    ACTIONS(10292), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6619), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [253173] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10373), 1,
      anon_sym_LPAREN2,
    ACTIONS(10375), 1,
      anon_sym_LBRACK,
    ACTIONS(10371), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [253202] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7861), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9408), 1,
      anon_sym_requires,
    STATE(6519), 1,
      sym_trailing_return_type,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [253241] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10044), 1,
      anon_sym_LF,
    ACTIONS(10046), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [253268] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10132), 1,
      anon_sym_LF,
    ACTIONS(10134), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [253295] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8175), 1,
      anon_sym_LPAREN2,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(9165), 1,
      anon_sym_STAR,
    ACTIONS(9167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9169), 1,
      anon_sym_AMP,
    STATE(4617), 1,
      sym_parameter_list,
    STATE(6636), 1,
      sym__function_declarator_seq,
    STATE(7191), 1,
      sym__abstract_declarator,
    ACTIONS(8169), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6630), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [253337] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7577), 1,
      anon_sym_DASH_GT,
    ACTIONS(7585), 1,
      anon_sym_requires,
    STATE(6693), 1,
      sym_trailing_return_type,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6786), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [253373] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9918), 1,
      anon_sym_LBRACK,
    STATE(6565), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9916), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [253403] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(10050), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10058), 1,
      anon_sym_EQ,
    ACTIONS(10377), 1,
      anon_sym_SEMI,
    ACTIONS(10379), 1,
      anon_sym_COLON,
    STATE(4162), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(8037), 1,
      sym_gnu_asm_expression,
    STATE(8039), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(10060), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(7067), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8527), 2,
      sym_argument_list,
      sym_initializer_list,
  [253455] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7577), 1,
      anon_sym_DASH_GT,
    ACTIONS(10384), 1,
      anon_sym_requires,
    STATE(6672), 1,
      sym_trailing_return_type,
    ACTIONS(10381), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6786), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [253491] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7577), 1,
      anon_sym_DASH_GT,
    ACTIONS(7585), 1,
      anon_sym_requires,
    STATE(6654), 1,
      sym_trailing_return_type,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [253527] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7577), 1,
      anon_sym_DASH_GT,
    ACTIONS(9608), 1,
      anon_sym_requires,
    STATE(6667), 1,
      sym_trailing_return_type,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6770), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [253563] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7577), 1,
      anon_sym_DASH_GT,
    ACTIONS(7585), 1,
      anon_sym_requires,
    STATE(6679), 1,
      sym_trailing_return_type,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6770), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [253599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9911), 1,
      anon_sym_LBRACK,
    STATE(6565), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9909), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [253629] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7577), 1,
      anon_sym_DASH_GT,
    ACTIONS(9436), 1,
      anon_sym_requires,
    STATE(6646), 1,
      sym_trailing_return_type,
    ACTIONS(9433), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [253665] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(10387), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6565), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6235), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [253695] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7577), 1,
      anon_sym_DASH_GT,
    ACTIONS(7585), 1,
      anon_sym_requires,
    STATE(6673), 1,
      sym_trailing_return_type,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [253731] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7577), 1,
      anon_sym_DASH_GT,
    ACTIONS(9160), 1,
      anon_sym_requires,
    STATE(6678), 1,
      sym_trailing_return_type,
    ACTIONS(9157), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [253767] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10272), 1,
      anon_sym_LBRACK,
    STATE(6565), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10270), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [253797] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(10050), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10058), 1,
      anon_sym_EQ,
    ACTIONS(10172), 1,
      anon_sym_SEMI,
    STATE(4263), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(7779), 1,
      sym_gnu_asm_expression,
    STATE(7783), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(10060), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8527), 2,
      sym_argument_list,
      sym_initializer_list,
  [253846] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10390), 1,
      anon_sym_LBRACE,
    ACTIONS(10392), 1,
      anon_sym_requires,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(4458), 1,
      sym_compound_statement,
    STATE(6708), 1,
      sym_requires_clause,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(7649), 1,
      sym_abstract_function_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [253895] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10392), 1,
      anon_sym_requires,
    ACTIONS(10394), 1,
      anon_sym_LBRACE,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6653), 1,
      sym_compound_statement,
    STATE(6749), 1,
      sym_requires_clause,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(7700), 1,
      sym_abstract_function_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [253944] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10396), 1,
      anon_sym_LT,
    ACTIONS(10398), 1,
      anon_sym_LBRACE,
    STATE(4258), 1,
      sym_compound_statement,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6587), 1,
      sym_template_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(7751), 1,
      sym_abstract_function_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [253993] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10396), 1,
      anon_sym_LT,
    ACTIONS(10400), 1,
      anon_sym_LBRACE,
    STATE(4057), 1,
      sym_compound_statement,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6616), 1,
      sym_template_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(7651), 1,
      sym_abstract_function_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [254042] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10392), 1,
      anon_sym_requires,
    ACTIONS(10402), 1,
      anon_sym_LBRACE,
    STATE(2026), 1,
      sym_compound_statement,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6706), 1,
      sym_requires_clause,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7504), 1,
      sym_abstract_function_declarator,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [254091] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10390), 1,
      anon_sym_LBRACE,
    ACTIONS(10396), 1,
      anon_sym_LT,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(4450), 1,
      sym_compound_statement,
    STATE(6570), 1,
      sym_template_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(7609), 1,
      sym_abstract_function_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [254140] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5822), 1,
      anon_sym_COLON,
    ACTIONS(9175), 1,
      anon_sym_LT,
    STATE(3062), 1,
      sym_template_argument_list,
    ACTIONS(4470), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [254171] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(8407), 1,
      anon_sym_LPAREN2,
    ACTIONS(8478), 1,
      sym_identifier,
    ACTIONS(8480), 1,
      anon_sym_STAR,
    ACTIONS(8482), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8484), 1,
      anon_sym_AMP,
    STATE(7256), 1,
      sym__field_declarator,
    STATE(7361), 1,
      sym_operator_name,
    STATE(8830), 1,
      sym_ms_based_modifier,
    STATE(7118), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [254214] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(8405), 1,
      sym_identifier,
    ACTIONS(8407), 1,
      anon_sym_LPAREN2,
    ACTIONS(8409), 1,
      anon_sym_STAR,
    ACTIONS(8411), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8413), 1,
      anon_sym_AMP,
    STATE(6874), 1,
      sym__field_declarator,
    STATE(7018), 1,
      sym_operator_name,
    STATE(8659), 1,
      sym_ms_based_modifier,
    STATE(7118), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [254257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10406), 1,
      anon_sym_LBRACK,
    ACTIONS(10404), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [254282] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10396), 1,
      anon_sym_LT,
    ACTIONS(10408), 1,
      anon_sym_LBRACE,
    STATE(3713), 1,
      sym_compound_statement,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6588), 1,
      sym_template_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(7641), 1,
      sym_abstract_function_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [254331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10412), 1,
      anon_sym_LBRACK,
    ACTIONS(10410), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [254356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10416), 1,
      anon_sym_LBRACK,
    ACTIONS(10414), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [254381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9411), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [254406] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    STATE(6511), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [254443] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10392), 1,
      anon_sym_requires,
    STATE(2026), 1,
      sym_compound_statement,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6745), 1,
      sym_requires_clause,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(7763), 1,
      sym_abstract_function_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [254492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10420), 1,
      anon_sym_LBRACK,
    ACTIONS(10418), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [254517] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10392), 1,
      anon_sym_requires,
    ACTIONS(10398), 1,
      anon_sym_LBRACE,
    STATE(4210), 1,
      sym_compound_statement,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6753), 1,
      sym_requires_clause,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(7735), 1,
      sym_abstract_function_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [254566] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10392), 1,
      anon_sym_requires,
    ACTIONS(10408), 1,
      anon_sym_LBRACE,
    STATE(3576), 1,
      sym_compound_statement,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6733), 1,
      sym_requires_clause,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(7636), 1,
      sym_abstract_function_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [254615] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10396), 1,
      anon_sym_LT,
    ACTIONS(10422), 1,
      anon_sym_LBRACE,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6471), 1,
      sym_compound_statement,
    STATE(6627), 1,
      sym_template_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(7611), 1,
      sym_abstract_function_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [254664] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9273), 1,
      anon_sym_STAR,
    ACTIONS(9275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9277), 1,
      anon_sym_AMP,
    STATE(4603), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7266), 1,
      sym__abstract_declarator,
    ACTIONS(8169), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [254705] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(8407), 1,
      anon_sym_LPAREN2,
    ACTIONS(8478), 1,
      sym_identifier,
    ACTIONS(8480), 1,
      anon_sym_STAR,
    ACTIONS(8482), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8484), 1,
      anon_sym_AMP,
    STATE(7253), 1,
      sym__field_declarator,
    STATE(7361), 1,
      sym_operator_name,
    STATE(8830), 1,
      sym_ms_based_modifier,
    STATE(7118), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [254748] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(8405), 1,
      sym_identifier,
    ACTIONS(8407), 1,
      anon_sym_LPAREN2,
    ACTIONS(8409), 1,
      anon_sym_STAR,
    ACTIONS(8411), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8413), 1,
      anon_sym_AMP,
    STATE(6710), 1,
      sym__field_declarator,
    STATE(7018), 1,
      sym_operator_name,
    STATE(8659), 1,
      sym_ms_based_modifier,
    STATE(7118), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [254791] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9236), 1,
      anon_sym_requires,
    STATE(6439), 1,
      sym_trailing_return_type,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [254828] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10396), 1,
      anon_sym_LT,
    ACTIONS(10424), 1,
      anon_sym_LBRACE,
    STATE(3965), 1,
      sym_compound_statement,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6642), 1,
      sym_template_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(7549), 1,
      sym_abstract_function_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [254877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9598), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [254902] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10396), 1,
      anon_sym_LT,
    ACTIONS(10426), 1,
      anon_sym_LBRACE,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(4962), 1,
      sym_compound_statement,
    STATE(6639), 1,
      sym_template_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7526), 1,
      sym_abstract_function_declarator,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [254951] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    STATE(6431), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [254988] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10394), 1,
      anon_sym_LBRACE,
    ACTIONS(10396), 1,
      anon_sym_LT,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6571), 1,
      sym_template_parameter_list,
    STATE(6665), 1,
      sym_compound_statement,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(7714), 1,
      sym_abstract_function_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [255037] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    STATE(6475), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [255074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9153), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [255099] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10396), 1,
      anon_sym_LT,
    ACTIONS(10402), 1,
      anon_sym_LBRACE,
    STATE(2025), 1,
      sym_compound_statement,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6574), 1,
      sym_template_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7470), 1,
      sym_abstract_function_declarator,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [255148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10430), 1,
      anon_sym_LBRACK,
    ACTIONS(10428), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [255173] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10396), 1,
      anon_sym_LT,
    STATE(2025), 1,
      sym_compound_statement,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6585), 1,
      sym_template_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7469), 1,
      sym_abstract_function_declarator,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [255222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10434), 1,
      anon_sym_LBRACK,
    ACTIONS(10432), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [255247] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(10050), 1,
      anon_sym_LPAREN2,
    ACTIONS(10052), 1,
      anon_sym_SEMI,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10058), 1,
      anon_sym_EQ,
    STATE(4263), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(8082), 1,
      aux_sym_declaration_repeat1,
    STATE(8087), 1,
      sym_gnu_asm_expression,
    ACTIONS(10060), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8527), 2,
      sym_argument_list,
      sym_initializer_list,
  [255296] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(10050), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10058), 1,
      anon_sym_EQ,
    ACTIONS(10178), 1,
      anon_sym_SEMI,
    STATE(4263), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(7785), 1,
      aux_sym_declaration_repeat1,
    STATE(7786), 1,
      sym_gnu_asm_expression,
    ACTIONS(10060), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8527), 2,
      sym_argument_list,
      sym_initializer_list,
  [255345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10438), 1,
      anon_sym_LBRACK,
    ACTIONS(10436), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [255370] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(10202), 1,
      anon_sym_LBRACK,
    ACTIONS(10341), 1,
      anon_sym_requires,
    STATE(6522), 1,
      sym_trailing_return_type,
    ACTIONS(10292), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6619), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [255407] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_requires,
    STATE(6521), 1,
      sym_trailing_return_type,
    ACTIONS(9623), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [255444] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10396), 1,
      anon_sym_LT,
    ACTIONS(10440), 1,
      anon_sym_LBRACE,
    STATE(2867), 1,
      sym_compound_statement,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6635), 1,
      sym_template_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7486), 1,
      sym_abstract_function_declarator,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [255493] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9487), 1,
      anon_sym_requires,
    STATE(6520), 1,
      sym_trailing_return_type,
    ACTIONS(9456), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [255530] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    STATE(6479), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [255567] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9408), 1,
      anon_sym_requires,
    STATE(6519), 1,
      sym_trailing_return_type,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [255604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10444), 1,
      anon_sym_LBRACK,
    ACTIONS(10442), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [255629] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(10050), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10058), 1,
      anon_sym_EQ,
    ACTIONS(10100), 1,
      anon_sym_SEMI,
    STATE(4263), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(7875), 1,
      sym_gnu_asm_expression,
    STATE(7891), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(10060), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8527), 2,
      sym_argument_list,
      sym_initializer_list,
  [255678] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10392), 1,
      anon_sym_requires,
    ACTIONS(10400), 1,
      anon_sym_LBRACE,
    STATE(3942), 1,
      sym_compound_statement,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6750), 1,
      sym_requires_clause,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(7572), 1,
      sym_abstract_function_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [255727] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10392), 1,
      anon_sym_requires,
    ACTIONS(10446), 1,
      anon_sym_LBRACE,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(5012), 1,
      sym_compound_statement,
    STATE(6738), 1,
      sym_requires_clause,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(7669), 1,
      sym_abstract_function_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [255776] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    STATE(6456), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [255813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10208), 1,
      anon_sym_LBRACK,
    ACTIONS(10206), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [255838] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    STATE(6406), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [255875] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10396), 1,
      anon_sym_LT,
    ACTIONS(10446), 1,
      anon_sym_LBRACE,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(4981), 1,
      sym_compound_statement,
    STATE(6617), 1,
      sym_template_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(7678), 1,
      sym_abstract_function_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [255924] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(10202), 1,
      anon_sym_LBRACK,
    STATE(6410), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6619), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [255961] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_STAR,
    ACTIONS(9472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9474), 1,
      anon_sym_AMP,
    STATE(3819), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7078), 1,
      sym__abstract_declarator,
    ACTIONS(8169), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [256002] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(10050), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10058), 1,
      anon_sym_EQ,
    ACTIONS(10086), 1,
      anon_sym_SEMI,
    STATE(4263), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(8214), 1,
      sym_gnu_asm_expression,
    STATE(8216), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(10060), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8527), 2,
      sym_argument_list,
      sym_initializer_list,
  [256051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10450), 1,
      anon_sym_LBRACK,
    ACTIONS(10448), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [256076] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9626), 1,
      anon_sym_requires,
    STATE(6550), 1,
      sym_trailing_return_type,
    ACTIONS(9623), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [256113] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10392), 1,
      anon_sym_requires,
    ACTIONS(10422), 1,
      anon_sym_LBRACE,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6436), 1,
      sym_compound_statement,
    STATE(6763), 1,
      sym_requires_clause,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(7661), 1,
      sym_abstract_function_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [256162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10454), 1,
      anon_sym_LBRACK,
    ACTIONS(10452), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [256187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10458), 1,
      anon_sym_LBRACK,
    ACTIONS(10456), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [256212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10462), 1,
      anon_sym_LBRACK,
    ACTIONS(10460), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [256237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10202), 1,
      anon_sym_LBRACK,
    ACTIONS(10200), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [256262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10466), 1,
      anon_sym_LBRACK,
    ACTIONS(10464), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [256287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10470), 1,
      anon_sym_LBRACK,
    ACTIONS(10468), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [256312] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7768), 1,
      anon_sym_requires,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(10202), 1,
      anon_sym_LBRACK,
    STATE(6529), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6619), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [256349] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10392), 1,
      anon_sym_requires,
    ACTIONS(10440), 1,
      anon_sym_LBRACE,
    STATE(2931), 1,
      sym_compound_statement,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6702), 1,
      sym_requires_clause,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7478), 1,
      sym_abstract_function_declarator,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [256398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10474), 1,
      anon_sym_LBRACK,
    ACTIONS(10472), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [256423] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9459), 1,
      anon_sym_requires,
    STATE(6459), 1,
      sym_trailing_return_type,
    ACTIONS(9456), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [256460] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(10050), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10058), 1,
      anon_sym_EQ,
    ACTIONS(10377), 1,
      anon_sym_SEMI,
    STATE(4263), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(8037), 1,
      sym_gnu_asm_expression,
    STATE(8039), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(10060), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8527), 2,
      sym_argument_list,
      sym_initializer_list,
  [256509] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10392), 1,
      anon_sym_requires,
    ACTIONS(10426), 1,
      anon_sym_LBRACE,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(5102), 1,
      sym_compound_statement,
    STATE(6726), 1,
      sym_requires_clause,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7541), 1,
      sym_abstract_function_declarator,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [256558] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(10202), 1,
      anon_sym_LBRACK,
    ACTIONS(10295), 1,
      anon_sym_requires,
    STATE(6409), 1,
      sym_trailing_return_type,
    ACTIONS(10292), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6619), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [256595] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5105), 1,
      anon_sym_COLON,
    ACTIONS(9175), 1,
      anon_sym_LT,
    STATE(3062), 1,
      sym_template_argument_list,
    ACTIONS(5112), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [256626] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10392), 1,
      anon_sym_requires,
    ACTIONS(10424), 1,
      anon_sym_LBRACE,
    STATE(3947), 1,
      sym_compound_statement,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6735), 1,
      sym_requires_clause,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(7589), 1,
      sym_abstract_function_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [256675] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(10050), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_SEMI,
    ACTIONS(10476), 1,
      anon_sym_EQ,
    STATE(4263), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(7928), 1,
      sym_initializer_list,
    STATE(8037), 1,
      sym_gnu_asm_expression,
    STATE(8039), 1,
      aux_sym_declaration_repeat1,
    STATE(8527), 1,
      sym_argument_list,
    ACTIONS(10060), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [256726] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7585), 1,
      anon_sym_requires,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [256756] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      anon_sym_DASH_GT,
    ACTIONS(10202), 1,
      anon_sym_LBRACK,
    ACTIONS(10478), 1,
      anon_sym_requires,
    STATE(6801), 1,
      sym_trailing_return_type,
    ACTIONS(10292), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6619), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [256792] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9608), 1,
      anon_sym_requires,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6770), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [256822] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7322), 1,
      sym__abstract_declarator,
    ACTIONS(8169), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [256862] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9396), 1,
      anon_sym_STAR,
    ACTIONS(9398), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9400), 1,
      anon_sym_AMP,
    STATE(4437), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7324), 1,
      sym__abstract_declarator,
    ACTIONS(8169), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [256902] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      anon_sym_DASH_GT,
    ACTIONS(7955), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    STATE(6832), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [256938] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9160), 1,
      anon_sym_requires,
    ACTIONS(9157), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [256968] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      anon_sym_DASH_GT,
    ACTIONS(7955), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    STATE(6773), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [257004] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10481), 1,
      sym_identifier,
    ACTIONS(5368), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6688), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10483), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10485), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [257034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5304), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [257056] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7585), 1,
      anon_sym_requires,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [257086] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10487), 1,
      sym_identifier,
    ACTIONS(5356), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6655), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10490), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10493), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [257116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5324), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [257138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6657), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10304), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [257164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10499), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10501), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6105), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [257190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5292), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [257212] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      anon_sym_DASH_GT,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9662), 1,
      anon_sym_requires,
    STATE(6798), 1,
      sym_trailing_return_type,
    ACTIONS(9623), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [257248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4119), 1,
      anon_sym_LBRACK,
    ACTIONS(4121), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [257272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5288), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [257294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10501), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5992), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [257318] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7634), 1,
      anon_sym_LT,
    STATE(6845), 1,
      sym_template_argument_list,
    ACTIONS(5114), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(5107), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [257348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5300), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [257370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5312), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [257392] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10384), 1,
      anon_sym_requires,
    ACTIONS(10381), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6786), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [257422] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10008), 1,
      anon_sym_TILDE,
    ACTIONS(10503), 1,
      sym_identifier,
    ACTIONS(10505), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10510), 1,
      anon_sym_template,
    STATE(6887), 1,
      sym__scope_resolution,
    STATE(8607), 1,
      sym_operator_name,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3925), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [257464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5296), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [257486] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9430), 1,
      anon_sym_requires,
    STATE(6795), 1,
      sym_trailing_return_type,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [257522] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(10050), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10058), 1,
      anon_sym_EQ,
    STATE(4263), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(8550), 1,
      sym_gnu_asm_expression,
    ACTIONS(10060), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(10512), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8527), 2,
      sym_argument_list,
      sym_initializer_list,
  [257566] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10517), 1,
      anon_sym_requires,
    ACTIONS(10514), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6812), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10206), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [257596] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7585), 1,
      anon_sym_requires,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6770), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [257626] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      anon_sym_DASH_GT,
    ACTIONS(7955), 1,
      anon_sym_requires,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    STATE(6779), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [257662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5316), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [257684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5308), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [257706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6427), 1,
      anon_sym_LBRACK,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6429), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [257732] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9436), 1,
      anon_sym_requires,
    ACTIONS(9433), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [257762] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7585), 1,
      anon_sym_requires,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6786), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [257792] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7634), 1,
      anon_sym_LT,
    STATE(6845), 1,
      sym_template_argument_list,
    ACTIONS(8069), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(5170), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [257822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4115), 1,
      anon_sym_LBRACK,
    ACTIONS(4117), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [257846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [257868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2259), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [257890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [257912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6657), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10353), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [257938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2263), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [257960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [257982] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10522), 1,
      sym_identifier,
    ACTIONS(5383), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6655), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10483), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10485), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [258012] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9526), 1,
      anon_sym_requires,
    STATE(6796), 1,
      sym_trailing_return_type,
    ACTIONS(9456), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [258048] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7953), 1,
      anon_sym_DASH_GT,
    ACTIONS(7955), 1,
      anon_sym_requires,
    ACTIONS(10202), 1,
      anon_sym_LBRACK,
    STATE(6789), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6619), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [258084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [258106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5284), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [258128] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7585), 1,
      anon_sym_requires,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6812), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10206), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [258158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [258180] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_DASH_GT,
    ACTIONS(7921), 1,
      anon_sym_requires,
    STATE(6814), 1,
      sym_trailing_return_type,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [258213] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10078), 1,
      anon_sym_TILDE,
    ACTIONS(10524), 1,
      sym_identifier,
    ACTIONS(10526), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10528), 1,
      anon_sym_template,
    STATE(6974), 1,
      sym__scope_resolution,
    STATE(8376), 1,
      sym_operator_name,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(4274), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [258252] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(6878), 1,
      sym_string_literal,
    STATE(6999), 1,
      sym_raw_string_literal,
    STATE(7831), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [258283] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4200), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10532), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258312] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4200), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10536), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258341] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4200), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10538), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258370] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(6878), 1,
      sym_string_literal,
    STATE(6999), 1,
      sym_raw_string_literal,
    STATE(7789), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [258401] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10440), 1,
      anon_sym_LBRACE,
    STATE(2929), 1,
      sym_compound_statement,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7490), 1,
      sym_abstract_function_declarator,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [258444] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    STATE(6975), 1,
      sym_parameter_list,
    STATE(6850), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6040), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [258475] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(6878), 1,
      sym_string_literal,
    STATE(6999), 1,
      sym_raw_string_literal,
    STATE(8108), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [258506] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(6878), 1,
      sym_string_literal,
    STATE(6999), 1,
      sym_raw_string_literal,
    STATE(8078), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [258537] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10402), 1,
      anon_sym_LBRACE,
    STATE(2030), 1,
      sym_compound_statement,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7528), 1,
      sym_abstract_function_declarator,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [258580] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4200), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10542), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258609] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10390), 1,
      anon_sym_LBRACE,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(4480), 1,
      sym_compound_statement,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(7685), 1,
      sym_abstract_function_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [258652] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4265), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10544), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [258681] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(9819), 1,
      anon_sym_LBRACK,
    ACTIONS(9823), 1,
      anon_sym_COLON,
    ACTIONS(10548), 1,
      anon_sym_EQ,
    STATE(4066), 1,
      sym_parameter_list,
    STATE(7114), 1,
      sym__function_declarator_seq,
    STATE(7950), 1,
      sym_bitfield_clause,
    STATE(7982), 1,
      sym_initializer_list,
    STATE(7031), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10546), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [258724] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4200), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10550), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258753] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4200), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10544), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258782] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    STATE(6975), 1,
      sym_parameter_list,
    STATE(6850), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6046), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [258813] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4200), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10552), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258842] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(6878), 1,
      sym_string_literal,
    STATE(6999), 1,
      sym_raw_string_literal,
    STATE(7921), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [258873] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4265), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10550), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [258902] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(6878), 1,
      sym_string_literal,
    STATE(6999), 1,
      sym_raw_string_literal,
    STATE(8029), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [258933] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_LT,
    STATE(6845), 1,
      sym_template_argument_list,
    ACTIONS(6374), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [258960] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4127), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10544), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258989] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4127), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10550), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259018] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4127), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10542), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259047] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4127), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10532), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259076] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4127), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10536), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259105] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4127), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10538), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259134] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(6878), 1,
      sym_string_literal,
    STATE(6999), 1,
      sym_raw_string_literal,
    STATE(7859), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [259165] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10426), 1,
      anon_sym_LBRACE,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(4968), 1,
      sym_compound_statement,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(7553), 1,
      sym_abstract_function_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [259208] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10118), 1,
      anon_sym_TILDE,
    ACTIONS(10554), 1,
      sym_identifier,
    ACTIONS(10556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10558), 1,
      anon_sym_template,
    STATE(6898), 1,
      sym__scope_resolution,
    STATE(8530), 1,
      sym_operator_name,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2952), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [259247] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10560), 1,
      sym_identifier,
    ACTIONS(10562), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10564), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10566), 1,
      aux_sym_preproc_elif_token1,
    STATE(7131), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7133), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7317), 1,
      sym_enumerator,
    ACTIONS(10568), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9151), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(9152), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [259286] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4127), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10552), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259315] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(6878), 1,
      sym_string_literal,
    STATE(6999), 1,
      sym_raw_string_literal,
    STATE(8141), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [259346] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(6878), 1,
      sym_string_literal,
    STATE(6999), 1,
      sym_raw_string_literal,
    STATE(8065), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [259377] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_requires,
    STATE(6800), 1,
      sym_trailing_return_type,
    ACTIONS(9433), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [259410] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10408), 1,
      anon_sym_LBRACE,
    STATE(3728), 1,
      sym_compound_statement,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(7634), 1,
      sym_abstract_function_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [259453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6427), 1,
      anon_sym_LBRACK,
    ACTIONS(6429), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [259476] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10424), 1,
      anon_sym_LBRACE,
    STATE(3912), 1,
      sym_compound_statement,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(7652), 1,
      sym_abstract_function_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [259519] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(10570), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6235), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [259546] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4265), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10542), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [259575] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10446), 1,
      anon_sym_LBRACE,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(5051), 1,
      sym_compound_statement,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(7663), 1,
      sym_abstract_function_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [259618] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    STATE(6975), 1,
      sym_parameter_list,
    STATE(6850), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6022), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [259649] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(6878), 1,
      sym_string_literal,
    STATE(6999), 1,
      sym_raw_string_literal,
    STATE(8020), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [259680] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(6878), 1,
      sym_string_literal,
    STATE(6999), 1,
      sym_raw_string_literal,
    STATE(7997), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [259711] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4265), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10532), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [259740] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4265), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10536), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [259769] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4265), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10538), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [259798] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    STATE(2030), 1,
      sym_compound_statement,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(7776), 1,
      sym_abstract_function_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [259841] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(6878), 1,
      sym_string_literal,
    STATE(6999), 1,
      sym_raw_string_literal,
    STATE(7903), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [259872] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4265), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10552), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [259901] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_DASH_GT,
    ACTIONS(10573), 1,
      anon_sym_requires,
    STATE(6813), 1,
      sym_trailing_return_type,
    ACTIONS(10381), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6786), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [259934] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10394), 1,
      anon_sym_LBRACE,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6675), 1,
      sym_compound_statement,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(7694), 1,
      sym_abstract_function_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [259977] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10400), 1,
      anon_sym_LBRACE,
    STATE(4122), 1,
      sym_compound_statement,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7542), 1,
      sym_abstract_function_declarator,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [260020] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    STATE(6975), 1,
      sym_parameter_list,
    STATE(6850), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6101), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [260051] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_DASH_GT,
    ACTIONS(7921), 1,
      anon_sym_requires,
    STATE(6808), 1,
      sym_trailing_return_type,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6786), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [260084] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10398), 1,
      anon_sym_LBRACE,
    STATE(4245), 1,
      sym_compound_statement,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(7687), 1,
      sym_abstract_function_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [260127] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10008), 1,
      anon_sym_TILDE,
    ACTIONS(10503), 1,
      sym_identifier,
    ACTIONS(10508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10510), 1,
      anon_sym_template,
    STATE(6887), 1,
      sym__scope_resolution,
    STATE(8607), 1,
      sym_operator_name,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3925), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [260166] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_DASH_GT,
    ACTIONS(9707), 1,
      anon_sym_requires,
    STATE(6792), 1,
      sym_trailing_return_type,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6770), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [260199] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(6878), 1,
      sym_string_literal,
    STATE(6999), 1,
      sym_raw_string_literal,
    STATE(7814), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [260230] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_DASH_GT,
    ACTIONS(7921), 1,
      anon_sym_requires,
    STATE(6835), 1,
      sym_trailing_return_type,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6770), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [260263] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_DASH_GT,
    ACTIONS(7921), 1,
      anon_sym_requires,
    STATE(6867), 1,
      sym_trailing_return_type,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [260296] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10118), 1,
      anon_sym_TILDE,
    ACTIONS(10554), 1,
      sym_identifier,
    ACTIONS(10576), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10578), 1,
      anon_sym_template,
    STATE(6953), 1,
      sym__scope_resolution,
    STATE(8230), 1,
      sym_operator_name,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2952), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [260335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6652), 1,
      anon_sym_LBRACK,
    ACTIONS(6654), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [260358] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10582), 1,
      anon_sym___attribute__,
    ACTIONS(10587), 1,
      anon_sym_alignas,
    ACTIONS(10585), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    STATE(6761), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
    ACTIONS(10580), 7,
      anon_sym___declspec,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
  [260387] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(6878), 1,
      sym_string_literal,
    STATE(6999), 1,
      sym_raw_string_literal,
    STATE(7840), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [260418] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(5095), 1,
      anon_sym_STAR,
    ACTIONS(5097), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5099), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(10422), 1,
      anon_sym_LBRACE,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6468), 1,
      sym_compound_statement,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7548), 1,
      sym__abstract_declarator,
    STATE(7690), 1,
      sym_abstract_function_declarator,
    STATE(6793), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [260461] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(6878), 1,
      sym_string_literal,
    STATE(6999), 1,
      sym_raw_string_literal,
    STATE(7961), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [260492] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(6878), 1,
      sym_string_literal,
    STATE(6999), 1,
      sym_raw_string_literal,
    STATE(8092), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [260523] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(9998), 1,
      anon_sym_TILDE,
    ACTIONS(10590), 1,
      sym_identifier,
    ACTIONS(10592), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10594), 1,
      anon_sym_template,
    STATE(6978), 1,
      sym__scope_resolution,
    STATE(8359), 1,
      sym_operator_name,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3617), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [260562] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(6878), 1,
      sym_string_literal,
    STATE(6999), 1,
      sym_raw_string_literal,
    STATE(8182), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [260593] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(6878), 1,
      sym_string_literal,
    STATE(6999), 1,
      sym_raw_string_literal,
    STATE(7792), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [260624] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_DASH_GT,
    ACTIONS(9439), 1,
      anon_sym_requires,
    STATE(6825), 1,
      sym_trailing_return_type,
    ACTIONS(9157), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [260657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [260677] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9550), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(4599), 1,
      sym_enumerator_list,
    STATE(7207), 1,
      sym__scope_resolution,
    ACTIONS(10596), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5194), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10418), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [260737] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7955), 1,
      anon_sym_requires,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [260767] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(7929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(3095), 1,
      sym_template_type,
    STATE(3110), 1,
      sym_enumerator_list,
    STATE(7205), 1,
      sym__scope_resolution,
    ACTIONS(10598), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5721), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260807] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(3885), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10552), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [260835] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(3885), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10544), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [260863] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(4599), 1,
      sym_enumerator_list,
    STATE(7181), 1,
      sym__scope_resolution,
    ACTIONS(10602), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4658), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10472), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [260923] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7955), 1,
      anon_sym_requires,
    ACTIONS(10202), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6619), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [260953] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8169), 1,
      anon_sym_COLON,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9442), 1,
      anon_sym_STAR,
    ACTIONS(9444), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9446), 1,
      anon_sym_AMP,
    STATE(4635), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7422), 1,
      sym__abstract_declarator,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [260991] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9430), 1,
      anon_sym_requires,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [261021] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    STATE(4263), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10604), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [261053] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(8955), 1,
      sym_concatenated_string,
    STATE(6937), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [261081] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    STATE(4162), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(7067), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10604), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [261113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10468), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [261133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10206), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [261153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10442), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [261173] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(9819), 1,
      anon_sym_LBRACK,
    STATE(4066), 1,
      sym_parameter_list,
    STATE(7114), 1,
      sym__function_declarator_seq,
    STATE(7031), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10606), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [261205] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7955), 1,
      anon_sym_requires,
    ACTIONS(10208), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6629), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10206), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [261235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10610), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6105), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [261259] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(8990), 1,
      sym_concatenated_string,
    STATE(6977), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [261287] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10573), 1,
      anon_sym_requires,
    ACTIONS(10381), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6786), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [261315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10460), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [261335] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(8914), 1,
      sym_concatenated_string,
    STATE(6899), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [261363] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9526), 1,
      anon_sym_requires,
    ACTIONS(9456), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [261393] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9662), 1,
      anon_sym_requires,
    ACTIONS(9623), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [261423] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    STATE(4162), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(7067), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10612), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [261455] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10202), 1,
      anon_sym_LBRACK,
    ACTIONS(10478), 1,
      anon_sym_requires,
    ACTIONS(10292), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6619), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [261485] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7881), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9325), 1,
      anon_sym_LBRACE,
    ACTIONS(9531), 1,
      sym_identifier,
    STATE(5465), 1,
      sym_template_type,
    STATE(5724), 1,
      sym_enumerator_list,
    STATE(7218), 1,
      sym__scope_resolution,
    ACTIONS(10614), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5549), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [261525] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9707), 1,
      anon_sym_requires,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6770), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [261553] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10208), 1,
      anon_sym_LBRACK,
    ACTIONS(10616), 1,
      anon_sym_requires,
    ACTIONS(10210), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6629), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10206), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [261583] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 1,
      anon_sym_LBRACK,
    ACTIONS(10619), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6105), 9,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [261609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10448), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [261629] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(3885), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10550), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [261657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9411), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [261677] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7995), 1,
      anon_sym_LBRACE,
    ACTIONS(9368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9596), 1,
      sym_identifier,
    STATE(4352), 1,
      sym_template_type,
    STATE(4623), 1,
      sym_enumerator_list,
    STATE(7182), 1,
      sym__scope_resolution,
    ACTIONS(10623), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4378), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [261717] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7921), 1,
      anon_sym_requires,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [261745] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7921), 1,
      anon_sym_requires,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6812), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10206), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [261773] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    STATE(4162), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(7067), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10625), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [261805] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5913), 1,
      anon_sym_LBRACE,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9552), 1,
      sym_identifier,
    STATE(2410), 1,
      sym_template_type,
    STATE(2674), 1,
      sym_enumerator_list,
    STATE(7206), 1,
      sym__scope_resolution,
    ACTIONS(10627), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2967), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [261845] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(4572), 1,
      sym_enumerator_list,
    STATE(7213), 1,
      sym__scope_resolution,
    ACTIONS(10629), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4613), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [261885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10456), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [261905] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10631), 1,
      anon_sym_requires,
    ACTIONS(10514), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6812), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10206), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [261933] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7921), 1,
      anon_sym_requires,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [261961] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(6854), 1,
      anon_sym_LBRACE,
    ACTIONS(9285), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9570), 1,
      sym_identifier,
    STATE(3219), 1,
      sym_template_type,
    STATE(3601), 1,
      sym_enumerator_list,
    STATE(7204), 1,
      sym__scope_resolution,
    ACTIONS(10634), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3192), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [262001] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(8811), 1,
      sym_concatenated_string,
    STATE(6955), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [262029] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(9354), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9535), 1,
      sym_identifier,
    STATE(3095), 1,
      sym_template_type,
    STATE(3110), 1,
      sym_enumerator_list,
    STATE(7194), 1,
      sym__scope_resolution,
    ACTIONS(10636), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4721), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [262069] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(8647), 1,
      sym_concatenated_string,
    STATE(6893), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [262097] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(6361), 1,
      anon_sym_LBRACE,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9564), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2905), 1,
      sym_enumerator_list,
    STATE(7202), 1,
      sym__scope_resolution,
    ACTIONS(10638), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5737), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [262137] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9143), 1,
      anon_sym_LBRACE,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(5577), 1,
      sym_enumerator_list,
    STATE(7181), 1,
      sym__scope_resolution,
    ACTIONS(10640), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5823), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [262177] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8020), 1,
      anon_sym_DASH_GT,
    ACTIONS(8022), 1,
      anon_sym_requires,
    STATE(7056), 1,
      sym_trailing_return_type,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6786), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [262209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10414), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [262229] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    STATE(4263), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10642), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [262261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5990), 1,
      anon_sym_LBRACK,
    ACTIONS(10621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5992), 11,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [262285] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9523), 1,
      anon_sym_requires,
    ACTIONS(9433), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [262313] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5913), 1,
      anon_sym_LBRACE,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9552), 1,
      sym_identifier,
    STATE(2410), 1,
      sym_template_type,
    STATE(2674), 1,
      sym_enumerator_list,
    STATE(7206), 1,
      sym__scope_resolution,
    ACTIONS(10644), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2775), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [262353] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8020), 1,
      anon_sym_DASH_GT,
    ACTIONS(9478), 1,
      anon_sym_requires,
    STATE(7043), 1,
      sym_trailing_return_type,
    ACTIONS(9157), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [262385] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8020), 1,
      anon_sym_DASH_GT,
    ACTIONS(8022), 1,
      anon_sym_requires,
    STATE(6997), 1,
      sym_trailing_return_type,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [262417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10452), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [262437] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9439), 1,
      anon_sym_requires,
    ACTIONS(9157), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [262465] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5101), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    ACTIONS(9556), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(4572), 1,
      sym_enumerator_list,
    STATE(7177), 1,
      sym__scope_resolution,
    ACTIONS(10646), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4220), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [262505] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7955), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [262535] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(8872), 1,
      sym_concatenated_string,
    STATE(6911), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [262563] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    STATE(4162), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(7067), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10648), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [262595] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7921), 1,
      anon_sym_requires,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6786), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [262623] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9143), 1,
      anon_sym_LBRACE,
    ACTIONS(9550), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(5577), 1,
      sym_enumerator_list,
    STATE(7207), 1,
      sym__scope_resolution,
    ACTIONS(10650), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5446), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [262663] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(8820), 1,
      sym_concatenated_string,
    STATE(6994), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [262691] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(8045), 1,
      anon_sym_LBRACE,
    ACTIONS(9305), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9562), 1,
      sym_identifier,
    STATE(4584), 1,
      sym_template_type,
    STATE(4716), 1,
      sym_enumerator_list,
    STATE(7175), 1,
      sym__scope_resolution,
    ACTIONS(10652), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4520), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [262731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10404), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [262751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10464), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [262771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10410), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [262791] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8020), 1,
      anon_sym_DASH_GT,
    ACTIONS(8022), 1,
      anon_sym_requires,
    STATE(7061), 1,
      sym_trailing_return_type,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [262823] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(8747), 1,
      sym_concatenated_string,
    STATE(6943), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [262851] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(6755), 1,
      anon_sym_LBRACE,
    ACTIONS(9331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      sym_identifier,
    STATE(3060), 1,
      sym_template_type,
    STATE(3352), 1,
      sym_enumerator_list,
    STATE(7221), 1,
      sym__scope_resolution,
    ACTIONS(10654), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3055), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [262891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5160), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(5165), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [262915] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(9819), 1,
      anon_sym_LBRACK,
    STATE(4066), 1,
      sym_parameter_list,
    STATE(7114), 1,
      sym__function_declarator_seq,
    STATE(7031), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10656), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [262947] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      sym_identifier,
    STATE(9189), 1,
      sym_concatenated_string,
    STATE(6902), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [262975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10428), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [262995] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    ACTIONS(9554), 1,
      sym_identifier,
    ACTIONS(9585), 1,
      anon_sym_COLON_COLON,
    STATE(3124), 1,
      sym_template_type,
    STATE(4572), 1,
      sym_enumerator_list,
    STATE(7185), 1,
      sym__scope_resolution,
    ACTIONS(10658), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4850), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [263035] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6135), 1,
      anon_sym_LBRACK,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6137), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [263061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10432), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [263081] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(9819), 1,
      anon_sym_LBRACK,
    STATE(4066), 1,
      sym_parameter_list,
    STATE(7114), 1,
      sym__function_declarator_seq,
    STATE(7031), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10660), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [263113] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8020), 1,
      anon_sym_DASH_GT,
    ACTIONS(9547), 1,
      anon_sym_requires,
    STATE(6996), 1,
      sym_trailing_return_type,
    ACTIONS(9433), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [263145] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    STATE(4263), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10625), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [263177] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8020), 1,
      anon_sym_DASH_GT,
    ACTIONS(9718), 1,
      anon_sym_requires,
    STATE(7039), 1,
      sym_trailing_return_type,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6770), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [263209] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(6361), 1,
      anon_sym_LBRACE,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9594), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(6029), 1,
      sym_enumerator_list,
    STATE(7180), 1,
      sym__scope_resolution,
    ACTIONS(10662), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5734), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [263249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9598), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [263269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9153), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [263289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10610), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5992), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [263311] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    STATE(4162), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(7067), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10642), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [263343] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10666), 1,
      anon_sym_LBRACK,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10664), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [263369] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(6361), 1,
      anon_sym_LBRACE,
    ACTIONS(9241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9558), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2905), 1,
      sym_enumerator_list,
    STATE(7201), 1,
      sym__scope_resolution,
    ACTIONS(10668), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4554), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [263409] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8020), 1,
      anon_sym_DASH_GT,
    ACTIONS(10670), 1,
      anon_sym_requires,
    STATE(7037), 1,
      sym_trailing_return_type,
    ACTIONS(10381), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6786), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [263441] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(3885), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10538), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [263469] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(9819), 1,
      anon_sym_LBRACK,
    STATE(4066), 1,
      sym_parameter_list,
    STATE(7114), 1,
      sym__function_declarator_seq,
    STATE(7031), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10673), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [263501] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(3885), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10536), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [263529] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7921), 1,
      anon_sym_requires,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6770), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [263557] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8020), 1,
      anon_sym_DASH_GT,
    ACTIONS(8022), 1,
      anon_sym_requires,
    STATE(7057), 1,
      sym_trailing_return_type,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6770), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [263589] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    STATE(4263), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10648), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [263621] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7955), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [263651] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    STATE(4263), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10612), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [263683] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(6468), 1,
      anon_sym_LBRACE,
    ACTIONS(9189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9560), 1,
      sym_identifier,
    STATE(2873), 1,
      sym_template_type,
    STATE(3084), 1,
      sym_enumerator_list,
    STATE(7186), 1,
      sym__scope_resolution,
    ACTIONS(10675), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2871), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [263723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10436), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [263743] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(9819), 1,
      anon_sym_LBRACK,
    STATE(4066), 1,
      sym_parameter_list,
    STATE(7114), 1,
      sym__function_declarator_seq,
    STATE(7031), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10677), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [263775] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(6732), 1,
      anon_sym_LBRACE,
    ACTIONS(9209), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9589), 1,
      sym_identifier,
    STATE(3005), 1,
      sym_template_type,
    STATE(3255), 1,
      sym_enumerator_list,
    STATE(7187), 1,
      sym__scope_resolution,
    ACTIONS(10679), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3043), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [263815] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(3885), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10532), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [263843] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(3885), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10542), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [263871] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5806), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6652), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10483), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10485), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [263897] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10681), 1,
      anon_sym_SEMI,
    ACTIONS(10683), 1,
      anon_sym_EQ,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10687), 1,
      anon_sym_try,
    STATE(989), 1,
      sym_compound_statement,
    STATE(8252), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(993), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [263934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 1,
      anon_sym_LBRACK,
    ACTIONS(5107), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [263955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6153), 1,
      anon_sym_LBRACK,
    ACTIONS(6155), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [263976] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LPAREN2,
    ACTIONS(8314), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_STAR,
    ACTIONS(9472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9474), 1,
      anon_sym_AMP,
    STATE(3819), 1,
      sym_parameter_list,
    STATE(6778), 1,
      sym__function_declarator_seq,
    STATE(7228), 1,
      sym__abstract_declarator,
    STATE(6793), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [264011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5425), 1,
      sym_identifier,
    ACTIONS(5427), 12,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [264032] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(937), 1,
      anon_sym_LBRACE,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10689), 1,
      anon_sym_SEMI,
    ACTIONS(10691), 1,
      anon_sym_EQ,
    ACTIONS(10693), 1,
      anon_sym_try,
    STATE(857), 1,
      sym_compound_statement,
    STATE(8625), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(946), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [264069] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(937), 1,
      anon_sym_LBRACE,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10691), 1,
      anon_sym_EQ,
    ACTIONS(10693), 1,
      anon_sym_try,
    ACTIONS(10695), 1,
      anon_sym_SEMI,
    STATE(906), 1,
      sym_compound_statement,
    STATE(8573), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(911), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [264106] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10699), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10703), 1,
      anon_sym_RBRACE,
    ACTIONS(10701), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8384), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9551), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7098), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [264139] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10510), 1,
      anon_sym_template,
    ACTIONS(10705), 1,
      sym_identifier,
    STATE(4107), 1,
      sym_template_method,
    STATE(4108), 1,
      sym_dependent_field_identifier,
    STATE(4109), 1,
      sym_qualified_field_identifier,
    STATE(6887), 1,
      sym__scope_resolution,
    STATE(8607), 1,
      sym_operator_name,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [264178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(5431), 12,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [264199] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 1,
      anon_sym_LBRACE,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10707), 1,
      anon_sym_SEMI,
    ACTIONS(10709), 1,
      anon_sym_EQ,
    ACTIONS(10711), 1,
      anon_sym_try,
    STATE(924), 1,
      sym_compound_statement,
    STATE(8259), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(863), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [264236] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 1,
      anon_sym_LBRACE,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10709), 1,
      anon_sym_EQ,
    ACTIONS(10711), 1,
      anon_sym_try,
    ACTIONS(10713), 1,
      anon_sym_SEMI,
    STATE(955), 1,
      sym_compound_statement,
    STATE(8363), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(954), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [264273] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10699), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10715), 1,
      anon_sym_RBRACE,
    ACTIONS(10701), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8599), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9588), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6886), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [264306] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10699), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10717), 1,
      anon_sym_RBRACE,
    ACTIONS(10701), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8591), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8655), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7098), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [264339] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10719), 1,
      anon_sym_RPAREN,
    STATE(6652), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10483), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10485), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [264364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6205), 1,
      anon_sym_LBRACK,
    ACTIONS(6207), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [264385] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10699), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10721), 1,
      anon_sym_RBRACE,
    ACTIONS(10701), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8319), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9445), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6901), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [264418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10725), 1,
      anon_sym_LBRACK,
    ACTIONS(10723), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [264439] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4153), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10544), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [264466] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10558), 1,
      anon_sym_template,
    ACTIONS(10727), 1,
      sym_identifier,
    STATE(2830), 1,
      sym_template_method,
    STATE(2831), 1,
      sym_dependent_field_identifier,
    STATE(2833), 1,
      sym_qualified_field_identifier,
    STATE(6898), 1,
      sym__scope_resolution,
    STATE(8530), 1,
      sym_operator_name,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [264505] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10729), 1,
      anon_sym_RPAREN,
    STATE(6652), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10483), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10485), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [264530] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4153), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10550), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [264557] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10699), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10731), 1,
      anon_sym_RBRACE,
    ACTIONS(10701), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8398), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9408), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7098), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [264590] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10733), 1,
      anon_sym_RPAREN,
    STATE(6652), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10483), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10485), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [264615] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10735), 1,
      anon_sym_SEMI,
    ACTIONS(10737), 1,
      anon_sym_LBRACE,
    ACTIONS(10739), 1,
      anon_sym_EQ,
    ACTIONS(10741), 1,
      anon_sym_try,
    STATE(2270), 1,
      sym_compound_statement,
    STATE(8273), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2287), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [264652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6149), 1,
      anon_sym_LBRACK,
    ACTIONS(6151), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [264673] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4153), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10542), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [264700] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10737), 1,
      anon_sym_LBRACE,
    ACTIONS(10739), 1,
      anon_sym_EQ,
    ACTIONS(10741), 1,
      anon_sym_try,
    ACTIONS(10743), 1,
      anon_sym_SEMI,
    STATE(2237), 1,
      sym_compound_statement,
    STATE(8389), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2374), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [264737] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4153), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10532), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [264764] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4153), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10536), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [264791] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4153), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10538), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [264818] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4153), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10552), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [264845] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10745), 1,
      anon_sym_RPAREN,
    STATE(6652), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10483), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10485), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [264870] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(381), 1,
      anon_sym_LBRACE,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10747), 1,
      anon_sym_SEMI,
    ACTIONS(10749), 1,
      anon_sym_EQ,
    ACTIONS(10751), 1,
      anon_sym_try,
    STATE(538), 1,
      sym_compound_statement,
    STATE(8473), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(539), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [264907] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10753), 1,
      anon_sym_SEMI,
    ACTIONS(10755), 1,
      anon_sym_LBRACE,
    ACTIONS(10757), 1,
      anon_sym_EQ,
    ACTIONS(10759), 1,
      anon_sym_try,
    STATE(2387), 1,
      sym_compound_statement,
    STATE(8369), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2463), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [264944] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10755), 1,
      anon_sym_LBRACE,
    ACTIONS(10757), 1,
      anon_sym_EQ,
    ACTIONS(10759), 1,
      anon_sym_try,
    ACTIONS(10761), 1,
      anon_sym_SEMI,
    STATE(2395), 1,
      sym_compound_statement,
    STATE(8435), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2549), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [264981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 1,
      sym_identifier,
    ACTIONS(5406), 12,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [265002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5415), 1,
      sym_identifier,
    ACTIONS(5417), 12,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [265023] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10699), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10763), 1,
      anon_sym_RBRACE,
    ACTIONS(10701), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8600), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9243), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6928), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [265056] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10699), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10765), 1,
      anon_sym_RBRACE,
    ACTIONS(10701), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8228), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9039), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6983), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [265089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10769), 1,
      anon_sym_LBRACK,
    ACTIONS(10767), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [265110] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10699), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10771), 1,
      anon_sym_RBRACE,
    ACTIONS(10701), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8576), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9405), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6931), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [265143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6171), 1,
      anon_sym_LBRACK,
    ACTIONS(6173), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [265164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6175), 1,
      anon_sym_LBRACK,
    ACTIONS(6177), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [265185] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(381), 1,
      anon_sym_LBRACE,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10749), 1,
      anon_sym_EQ,
    ACTIONS(10751), 1,
      anon_sym_try,
    ACTIONS(10773), 1,
      anon_sym_SEMI,
    STATE(603), 1,
      sym_compound_statement,
    STATE(8271), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(604), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [265222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6183), 1,
      anon_sym_LBRACK,
    ACTIONS(6185), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [265243] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10699), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10775), 1,
      anon_sym_RBRACE,
    ACTIONS(10701), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8533), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9327), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7098), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [265276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6187), 1,
      anon_sym_LBRACK,
    ACTIONS(6189), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [265297] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10699), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10777), 1,
      anon_sym_RBRACE,
    ACTIONS(10701), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8605), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8648), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6892), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [265330] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10699), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10779), 1,
      anon_sym_RBRACE,
    ACTIONS(10701), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8565), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9213), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7098), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [265363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 1,
      anon_sym_LBRACK,
    ACTIONS(6566), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [265384] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10781), 1,
      anon_sym_SEMI,
    ACTIONS(10783), 1,
      anon_sym_LBRACE,
    ACTIONS(10785), 1,
      anon_sym_EQ,
    ACTIONS(10787), 1,
      anon_sym_try,
    STATE(2396), 1,
      sym_compound_statement,
    STATE(8614), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2552), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [265421] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10699), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10789), 1,
      anon_sym_RBRACE,
    ACTIONS(10701), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8534), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8690), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7098), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [265454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(5170), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [265475] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10783), 1,
      anon_sym_LBRACE,
    ACTIONS(10785), 1,
      anon_sym_EQ,
    ACTIONS(10787), 1,
      anon_sym_try,
    ACTIONS(10791), 1,
      anon_sym_SEMI,
    STATE(2390), 1,
      sym_compound_statement,
    STATE(8570), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2578), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [265512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6240), 1,
      anon_sym_LBRACK,
    ACTIONS(6242), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [265533] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8073), 1,
      anon_sym_DASH_GT,
    ACTIONS(8078), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    STATE(7121), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [265566] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10699), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10793), 1,
      anon_sym_RBRACE,
    ACTIONS(10701), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8603), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9248), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6925), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [265599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10795), 1,
      anon_sym_RPAREN,
    STATE(6652), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10483), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10485), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [265624] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10699), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10797), 1,
      anon_sym_RBRACE,
    ACTIONS(10701), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8492), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9172), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6941), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [265657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10801), 1,
      anon_sym_LBRACK,
    ACTIONS(10799), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [265678] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8073), 1,
      anon_sym_DASH_GT,
    ACTIONS(8078), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    STATE(7122), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [265711] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10699), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10803), 1,
      anon_sym_RBRACE,
    ACTIONS(10701), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8470), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9162), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7098), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [265744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10807), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [265765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10809), 1,
      anon_sym_RPAREN,
    STATE(6652), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10483), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10485), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [265790] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8073), 1,
      anon_sym_DASH_GT,
    ACTIONS(8078), 1,
      anon_sym_requires,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    STATE(7123), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [265823] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8073), 1,
      anon_sym_DASH_GT,
    ACTIONS(8078), 1,
      anon_sym_requires,
    ACTIONS(10202), 1,
      anon_sym_LBRACK,
    STATE(7124), 1,
      sym_trailing_return_type,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6619), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [265856] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8073), 1,
      anon_sym_DASH_GT,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9499), 1,
      anon_sym_requires,
    STATE(7104), 1,
      sym_trailing_return_type,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [265889] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10699), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10811), 1,
      anon_sym_RBRACE,
    ACTIONS(10701), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8410), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8827), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6963), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [265922] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8073), 1,
      anon_sym_DASH_GT,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9620), 1,
      anon_sym_requires,
    STATE(7119), 1,
      sym_trailing_return_type,
    ACTIONS(9456), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [265955] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8073), 1,
      anon_sym_DASH_GT,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9913), 1,
      anon_sym_requires,
    STATE(7109), 1,
      sym_trailing_return_type,
    ACTIONS(9623), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [265988] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4188), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10544), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [266015] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8073), 1,
      anon_sym_DASH_GT,
    ACTIONS(10202), 1,
      anon_sym_LBRACK,
    ACTIONS(10813), 1,
      anon_sym_requires,
    STATE(7100), 1,
      sym_trailing_return_type,
    ACTIONS(10292), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6619), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [266048] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10699), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10816), 1,
      anon_sym_RBRACE,
    ACTIONS(10701), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8314), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9045), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6987), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [266081] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10576), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10578), 1,
      anon_sym_template,
    ACTIONS(10727), 1,
      sym_identifier,
    STATE(2830), 1,
      sym_template_method,
    STATE(2831), 1,
      sym_dependent_field_identifier,
    STATE(2833), 1,
      sym_qualified_field_identifier,
    STATE(6953), 1,
      sym__scope_resolution,
    STATE(8230), 1,
      sym_operator_name,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [266120] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4188), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10550), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [266147] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10818), 1,
      anon_sym_RPAREN,
    STATE(6652), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10483), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10485), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [266172] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10699), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10820), 1,
      anon_sym_RBRACE,
    ACTIONS(10701), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8417), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9121), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6959), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [266205] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    STATE(6975), 1,
      sym_parameter_list,
    STATE(7062), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6040), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [266234] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    STATE(6975), 1,
      sym_parameter_list,
    STATE(7062), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6046), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [266263] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10699), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10822), 1,
      anon_sym_RBRACE,
    ACTIONS(10701), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8395), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9107), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7098), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [266296] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4188), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10542), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [266323] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4188), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10532), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [266350] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    STATE(6975), 1,
      sym_parameter_list,
    STATE(7062), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6022), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [266379] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10699), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10824), 1,
      anon_sym_RBRACE,
    ACTIONS(10701), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8349), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8883), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7098), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [266412] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10826), 1,
      anon_sym_SEMI,
    ACTIONS(10828), 1,
      anon_sym_EQ,
    ACTIONS(10830), 1,
      anon_sym_try,
    STATE(415), 1,
      sym_compound_statement,
    STATE(8578), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(394), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [266449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      anon_sym_LBRACK,
    ACTIONS(10832), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [266470] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4188), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10536), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [266497] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10836), 1,
      anon_sym_SEMI,
    ACTIONS(10838), 1,
      anon_sym_LBRACE,
    ACTIONS(10840), 1,
      anon_sym_EQ,
    ACTIONS(10842), 1,
      anon_sym_try,
    STATE(2077), 1,
      sym_compound_statement,
    STATE(8512), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2180), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [266534] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4188), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10538), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [266561] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10844), 1,
      sym_identifier,
    ACTIONS(10846), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10848), 1,
      anon_sym_template,
    STATE(2830), 1,
      sym_template_method,
    STATE(2831), 1,
      sym_dependent_field_identifier,
    STATE(2833), 1,
      sym_qualified_field_identifier,
    STATE(6969), 1,
      sym__scope_resolution,
    STATE(8232), 1,
      sym_operator_name,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [266600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5869), 1,
      anon_sym_LBRACK,
    ACTIONS(5867), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [266621] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10846), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10850), 1,
      sym_identifier,
    STATE(6969), 1,
      sym__scope_resolution,
    STATE(8232), 1,
      sym_operator_name,
    STATE(8555), 1,
      sym_field_initializer,
    STATE(7658), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [266658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6198), 1,
      anon_sym_LBRACK,
    ACTIONS(6200), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [266679] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10699), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10852), 1,
      anon_sym_RBRACE,
    ACTIONS(10701), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8342), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9074), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6981), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [266712] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10526), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10528), 1,
      anon_sym_template,
    ACTIONS(10854), 1,
      sym_identifier,
    STATE(4172), 1,
      sym_qualified_field_identifier,
    STATE(4174), 1,
      sym_dependent_field_identifier,
    STATE(4182), 1,
      sym_template_method,
    STATE(6974), 1,
      sym__scope_resolution,
    STATE(8376), 1,
      sym_operator_name,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [266751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6161), 1,
      anon_sym_LBRACK,
    ACTIONS(6163), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [266772] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10540), 1,
      anon_sym_LBRACK,
    STATE(6975), 1,
      sym_parameter_list,
    STATE(7062), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6101), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [266801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10856), 1,
      anon_sym_RPAREN,
    STATE(6652), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10483), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10485), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [266826] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10592), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10594), 1,
      anon_sym_template,
    ACTIONS(10858), 1,
      sym_identifier,
    STATE(3595), 1,
      sym_template_method,
    STATE(3655), 1,
      sym_dependent_field_identifier,
    STATE(3658), 1,
      sym_qualified_field_identifier,
    STATE(6978), 1,
      sym__scope_resolution,
    STATE(8359), 1,
      sym_operator_name,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [266865] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4188), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10552), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [266892] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10846), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10850), 1,
      sym_identifier,
    STATE(6969), 1,
      sym__scope_resolution,
    STATE(8038), 1,
      sym_field_initializer,
    STATE(8232), 1,
      sym_operator_name,
    STATE(7658), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [266929] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10699), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10860), 1,
      anon_sym_RBRACE,
    ACTIONS(10701), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8336), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9063), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7098), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [266962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 1,
      anon_sym_LBRACK,
    ACTIONS(5107), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [266983] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10699), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10862), 1,
      anon_sym_RBRACE,
    ACTIONS(10701), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8373), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9094), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7098), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [267016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 1,
      anon_sym_LBRACK,
    ACTIONS(5107), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [267037] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10838), 1,
      anon_sym_LBRACE,
    ACTIONS(10840), 1,
      anon_sym_EQ,
    ACTIONS(10842), 1,
      anon_sym_try,
    ACTIONS(10864), 1,
      anon_sym_SEMI,
    STATE(2078), 1,
      sym_compound_statement,
    STATE(8329), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2121), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [267074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 1,
      anon_sym_LBRACK,
    ACTIONS(5107), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [267095] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10699), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10866), 1,
      anon_sym_RBRACE,
    ACTIONS(10701), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8274), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8940), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7098), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [267128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10870), 1,
      anon_sym_LBRACK,
    ACTIONS(10868), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [267149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10874), 1,
      anon_sym_LBRACK,
    ACTIONS(10872), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [267170] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10828), 1,
      anon_sym_EQ,
    ACTIONS(10830), 1,
      anon_sym_try,
    ACTIONS(10876), 1,
      anon_sym_SEMI,
    STATE(435), 1,
      sym_compound_statement,
    STATE(8602), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(426), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [267207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10880), 1,
      anon_sym_LBRACK,
    ACTIONS(10878), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [267228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 1,
      anon_sym_LBRACK,
    ACTIONS(5107), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [267249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 1,
      anon_sym_LBRACK,
    ACTIONS(5107), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [267270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10882), 1,
      anon_sym_RPAREN,
    STATE(6652), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10483), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10485), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [267295] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10683), 1,
      anon_sym_EQ,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10687), 1,
      anon_sym_try,
    ACTIONS(10884), 1,
      anon_sym_SEMI,
    STATE(990), 1,
      sym_compound_statement,
    STATE(8351), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1023), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [267332] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9718), 1,
      anon_sym_requires,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6770), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [267358] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8022), 1,
      anon_sym_requires,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [267384] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(937), 1,
      anon_sym_LBRACE,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10691), 1,
      anon_sym_EQ,
    ACTIONS(10693), 1,
      anon_sym_try,
    STATE(906), 1,
      sym_compound_statement,
    STATE(8573), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(911), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [267418] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6652), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10483), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10485), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [267440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10886), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5992), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [267460] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5913), 1,
      anon_sym_LBRACE,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9552), 1,
      sym_identifier,
    STATE(2410), 1,
      sym_template_type,
    STATE(2632), 1,
      sym_enumerator_list,
    STATE(7206), 1,
      sym__scope_resolution,
    STATE(2894), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [267496] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(4037), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5455), 1,
      anon_sym_virtual,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(7164), 1,
      sym_virtual,
    STATE(7217), 1,
      sym__scope_resolution,
    STATE(8000), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [267532] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(6468), 1,
      anon_sym_LBRACE,
    ACTIONS(9189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9560), 1,
      sym_identifier,
    STATE(2873), 1,
      sym_template_type,
    STATE(3096), 1,
      sym_enumerator_list,
    STATE(7186), 1,
      sym__scope_resolution,
    STATE(2903), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [267568] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9550), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(4542), 1,
      sym_enumerator_list,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(5151), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [267604] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5913), 1,
      anon_sym_LBRACE,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9552), 1,
      sym_identifier,
    STATE(2410), 1,
      sym_template_type,
    STATE(2632), 1,
      sym_enumerator_list,
    STATE(7206), 1,
      sym__scope_resolution,
    STATE(2770), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [267640] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    ACTIONS(9554), 1,
      sym_identifier,
    ACTIONS(9585), 1,
      anon_sym_COLON_COLON,
    STATE(3124), 1,
      sym_template_type,
    STATE(4587), 1,
      sym_enumerator_list,
    STATE(7185), 1,
      sym__scope_resolution,
    STATE(4860), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [267676] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6028), 1,
      anon_sym_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    STATE(2702), 1,
      sym_parameter_list,
    STATE(7073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6040), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [267704] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10890), 1,
      anon_sym_LT,
    ACTIONS(10892), 1,
      anon_sym_LBRACK,
    STATE(7120), 1,
      sym_template_argument_list,
    ACTIONS(10888), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [267728] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(8045), 1,
      anon_sym_LBRACE,
    ACTIONS(9305), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9562), 1,
      sym_identifier,
    STATE(4584), 1,
      sym_template_type,
    STATE(4661), 1,
      sym_enumerator_list,
    STATE(7175), 1,
      sym__scope_resolution,
    STATE(4574), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [267764] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10828), 1,
      anon_sym_EQ,
    ACTIONS(10830), 1,
      anon_sym_try,
    STATE(435), 1,
      sym_compound_statement,
    STATE(8602), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(426), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [267798] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(6755), 1,
      anon_sym_LBRACE,
    ACTIONS(9331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      sym_identifier,
    STATE(3060), 1,
      sym_template_type,
    STATE(3348), 1,
      sym_enumerator_list,
    STATE(7221), 1,
      sym__scope_resolution,
    STATE(3080), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [267834] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8053), 1,
      anon_sym_DASH_GT,
    ACTIONS(10573), 1,
      anon_sym_requires,
    STATE(6813), 1,
      sym_trailing_return_type,
    ACTIONS(10381), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6786), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [267864] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8053), 1,
      anon_sym_DASH_GT,
    ACTIONS(9707), 1,
      anon_sym_requires,
    STATE(6792), 1,
      sym_trailing_return_type,
    ACTIONS(9605), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6770), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [267894] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8053), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_requires,
    STATE(6800), 1,
      sym_trailing_return_type,
    ACTIONS(9433), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [267924] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8053), 1,
      anon_sym_DASH_GT,
    ACTIONS(9439), 1,
      anon_sym_requires,
    STATE(6825), 1,
      sym_trailing_return_type,
    ACTIONS(9157), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [267954] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(4037), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5455), 1,
      anon_sym_virtual,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(7173), 1,
      sym_virtual,
    STATE(7217), 1,
      sym__scope_resolution,
    STATE(7497), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [267990] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9143), 1,
      anon_sym_LBRACE,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(5614), 1,
      sym_enumerator_list,
    STATE(7181), 1,
      sym__scope_resolution,
    STATE(5817), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [268026] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10890), 1,
      anon_sym_LT,
    ACTIONS(10896), 1,
      anon_sym_LBRACK,
    STATE(7103), 1,
      sym_template_argument_list,
    ACTIONS(10894), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [268050] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6028), 1,
      anon_sym_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    STATE(2702), 1,
      sym_parameter_list,
    STATE(7073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6101), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [268078] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    STATE(4159), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10612), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [268108] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(6361), 1,
      anon_sym_LBRACE,
    ACTIONS(9241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9558), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2954), 1,
      sym_enumerator_list,
    STATE(7201), 1,
      sym__scope_resolution,
    STATE(4555), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [268144] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(7929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(3095), 1,
      sym_template_type,
    STATE(3164), 1,
      sym_enumerator_list,
    STATE(7205), 1,
      sym__scope_resolution,
    STATE(5731), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [268180] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(4037), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5455), 1,
      anon_sym_virtual,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(7143), 1,
      sym_virtual,
    STATE(7217), 1,
      sym__scope_resolution,
    STATE(7793), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [268216] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(4037), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5455), 1,
      anon_sym_virtual,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(7167), 1,
      sym_virtual,
    STATE(7217), 1,
      sym__scope_resolution,
    STATE(7701), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [268252] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10683), 1,
      anon_sym_EQ,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10687), 1,
      anon_sym_try,
    STATE(989), 1,
      sym_compound_statement,
    STATE(8252), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(993), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [268286] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(6361), 1,
      anon_sym_LBRACE,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9594), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(6024), 1,
      sym_enumerator_list,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(5726), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [268322] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10683), 1,
      anon_sym_EQ,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10687), 1,
      anon_sym_try,
    STATE(990), 1,
      sym_compound_statement,
    STATE(8351), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1023), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [268356] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    STATE(4159), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10648), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [268386] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    ACTIONS(9554), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(4587), 1,
      sym_enumerator_list,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(4621), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [268422] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6028), 1,
      anon_sym_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    STATE(2702), 1,
      sym_parameter_list,
    STATE(7073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6022), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [268450] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10900), 1,
      anon_sym_LBRACK,
    STATE(6565), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10898), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [268474] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(381), 1,
      anon_sym_LBRACE,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10749), 1,
      anon_sym_EQ,
    ACTIONS(10751), 1,
      anon_sym_try,
    STATE(603), 1,
      sym_compound_statement,
    STATE(8271), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(604), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [268508] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(6732), 1,
      anon_sym_LBRACE,
    ACTIONS(9209), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9589), 1,
      sym_identifier,
    STATE(3005), 1,
      sym_template_type,
    STATE(3271), 1,
      sym_enumerator_list,
    STATE(7187), 1,
      sym__scope_resolution,
    STATE(3018), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [268544] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7921), 1,
      anon_sym_requires,
    ACTIONS(8053), 1,
      anon_sym_DASH_GT,
    STATE(6835), 1,
      sym_trailing_return_type,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6770), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [268574] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10828), 1,
      anon_sym_EQ,
    ACTIONS(10830), 1,
      anon_sym_try,
    STATE(415), 1,
      sym_compound_statement,
    STATE(8578), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(394), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [268608] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7921), 1,
      anon_sym_requires,
    ACTIONS(8053), 1,
      anon_sym_DASH_GT,
    STATE(6867), 1,
      sym_trailing_return_type,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [268638] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10902), 1,
      anon_sym_requires,
    ACTIONS(10514), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6812), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10206), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [268664] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9143), 1,
      anon_sym_LBRACE,
    ACTIONS(9550), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(5614), 1,
      sym_enumerator_list,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(5505), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [268700] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10670), 1,
      anon_sym_requires,
    ACTIONS(10381), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6786), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [268726] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(9354), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9535), 1,
      sym_identifier,
    STATE(3095), 1,
      sym_template_type,
    STATE(3164), 1,
      sym_enumerator_list,
    STATE(7194), 1,
      sym__scope_resolution,
    STATE(4719), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [268762] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 1,
      anon_sym_LBRACE,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10709), 1,
      anon_sym_EQ,
    ACTIONS(10711), 1,
      anon_sym_try,
    STATE(955), 1,
      sym_compound_statement,
    STATE(8363), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(954), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [268796] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4385), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10538), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [268822] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9547), 1,
      anon_sym_requires,
    ACTIONS(9433), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6857), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [268848] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4385), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10536), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [268874] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9478), 1,
      anon_sym_requires,
    ACTIONS(9157), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [268900] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4385), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10532), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [268926] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7995), 1,
      anon_sym_LBRACE,
    ACTIONS(9368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9596), 1,
      sym_identifier,
    STATE(4352), 1,
      sym_template_type,
    STATE(4638), 1,
      sym_enumerator_list,
    STATE(7182), 1,
      sym__scope_resolution,
    STATE(4402), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [268962] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7921), 1,
      anon_sym_requires,
    ACTIONS(8053), 1,
      anon_sym_DASH_GT,
    STATE(6814), 1,
      sym_trailing_return_type,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [268992] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(4542), 1,
      sym_enumerator_list,
    STATE(7181), 1,
      sym__scope_resolution,
    STATE(4659), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [269028] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4385), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10542), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [269054] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4385), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10550), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [269080] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4385), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10544), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [269106] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6028), 1,
      anon_sym_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    STATE(2702), 1,
      sym_parameter_list,
    STATE(7073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6046), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [269134] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(6361), 1,
      anon_sym_LBRACE,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9564), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2954), 1,
      sym_enumerator_list,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(5736), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [269170] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(937), 1,
      anon_sym_LBRACE,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10691), 1,
      anon_sym_EQ,
    ACTIONS(10693), 1,
      anon_sym_try,
    STATE(857), 1,
      sym_compound_statement,
    STATE(8625), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(946), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [269204] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8022), 1,
      anon_sym_requires,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6812), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10206), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [269230] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8022), 1,
      anon_sym_requires,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6786), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [269256] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    STATE(4159), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10625), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [269286] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7921), 1,
      anon_sym_requires,
    ACTIONS(8053), 1,
      anon_sym_DASH_GT,
    STATE(6808), 1,
      sym_trailing_return_type,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6786), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [269316] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    STATE(4159), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10604), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [269346] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8022), 1,
      anon_sym_requires,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6770), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [269372] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6135), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6565), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6137), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [269396] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7881), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9325), 1,
      anon_sym_LBRACE,
    ACTIONS(9531), 1,
      sym_identifier,
    STATE(5465), 1,
      sym_template_type,
    STATE(5740), 1,
      sym_enumerator_list,
    STATE(7218), 1,
      sym__scope_resolution,
    STATE(5531), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [269432] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10886), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10905), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6105), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [269454] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5101), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7863), 1,
      anon_sym_LBRACE,
    ACTIONS(9556), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(4587), 1,
      sym_enumerator_list,
    STATE(7177), 1,
      sym__scope_resolution,
    STATE(4211), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [269490] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 1,
      anon_sym_LBRACE,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10709), 1,
      anon_sym_EQ,
    ACTIONS(10711), 1,
      anon_sym_try,
    STATE(924), 1,
      sym_compound_statement,
    STATE(8259), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(863), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [269524] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10666), 1,
      anon_sym_LBRACK,
    STATE(6565), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10664), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [269548] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(381), 1,
      anon_sym_LBRACE,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    ACTIONS(10749), 1,
      anon_sym_EQ,
    ACTIONS(10751), 1,
      anon_sym_try,
    STATE(538), 1,
      sym_compound_statement,
    STATE(8473), 1,
      sym_field_initializer_list,
    ACTIONS(5170), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(539), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [269582] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(6854), 1,
      anon_sym_LBRACE,
    ACTIONS(9285), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9570), 1,
      sym_identifier,
    STATE(3219), 1,
      sym_template_type,
    STATE(3652), 1,
      sym_enumerator_list,
    STATE(7204), 1,
      sym__scope_resolution,
    STATE(3179), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [269618] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    STATE(4159), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10642), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [269648] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8022), 1,
      anon_sym_requires,
    ACTIONS(7579), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6685), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6805), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [269674] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4385), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10552), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [269700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6135), 1,
      anon_sym_LBRACK,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6137), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [269723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10909), 1,
      anon_sym_LBRACK,
    ACTIONS(10907), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [269742] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10911), 1,
      sym_identifier,
    STATE(6422), 1,
      sym__scope_resolution,
    STATE(9335), 1,
      sym_qualified_identifier,
    ACTIONS(10913), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [269773] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10564), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10915), 1,
      sym_identifier,
    ACTIONS(10917), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10919), 1,
      aux_sym_preproc_elif_token1,
    STATE(7240), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7263), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7400), 1,
      sym_enumerator,
    STATE(9434), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
    STATE(9436), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [269806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10923), 1,
      anon_sym_LBRACK,
    ACTIONS(10921), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [269825] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(3819), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10536), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [269850] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10625), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [269879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10927), 1,
      anon_sym_LBRACK,
    ACTIONS(10925), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [269898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10931), 1,
      anon_sym_LBRACK,
    ACTIONS(10929), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [269917] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(9855), 1,
      anon_sym_try,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10838), 1,
      anon_sym_LBRACE,
    STATE(2110), 1,
      sym_compound_statement,
    STATE(2112), 1,
      sym_try_statement,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269952] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10102), 1,
      anon_sym_try,
    STATE(1073), 1,
      sym_compound_statement,
    STATE(1074), 1,
      sym_try_statement,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269987] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10564), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10915), 1,
      sym_identifier,
    ACTIONS(10919), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10933), 1,
      aux_sym_preproc_if_token2,
    STATE(7265), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7274), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7400), 1,
      sym_enumerator,
    STATE(9352), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
    STATE(9357), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [270020] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4390), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10538), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [270045] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10935), 1,
      sym_identifier,
    STATE(6422), 1,
      sym__scope_resolution,
    STATE(9276), 1,
      sym_qualified_identifier,
    ACTIONS(10937), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [270076] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10564), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10915), 1,
      sym_identifier,
    ACTIONS(10919), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10939), 1,
      aux_sym_preproc_if_token2,
    STATE(7269), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7273), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7400), 1,
      sym_enumerator,
    STATE(9221), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
    STATE(9225), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [270109] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10941), 1,
      sym_identifier,
    STATE(6422), 1,
      sym__scope_resolution,
    STATE(8786), 1,
      sym_qualified_identifier,
    ACTIONS(10943), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [270140] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(3819), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10550), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [270165] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(801), 1,
      anon_sym_LBRACE,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10090), 1,
      anon_sym_try,
    STATE(908), 1,
      sym_compound_statement,
    STATE(909), 1,
      sym_try_statement,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270200] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4390), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10536), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [270225] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10945), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10947), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10949), 1,
      aux_sym_preproc_elif_token1,
    STATE(7133), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9244), 1,
      sym_enumerator,
    ACTIONS(10951), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9151), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [270256] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10953), 1,
      sym_identifier,
    STATE(6422), 1,
      sym__scope_resolution,
    STATE(9514), 1,
      sym_qualified_identifier,
    ACTIONS(10955), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [270287] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(9901), 1,
      anon_sym_try,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10755), 1,
      anon_sym_LBRACE,
    STATE(2526), 1,
      sym_try_statement,
    STATE(2527), 1,
      sym_compound_statement,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270322] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(381), 1,
      anon_sym_LBRACE,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10062), 1,
      anon_sym_try,
    STATE(590), 1,
      sym_try_statement,
    STATE(592), 1,
      sym_compound_statement,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270357] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(9499), 1,
      anon_sym_requires,
    ACTIONS(9233), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [270384] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10957), 1,
      sym_identifier,
    STATE(6422), 1,
      sym__scope_resolution,
    STATE(9095), 1,
      sym_qualified_identifier,
    ACTIONS(10959), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [270415] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10961), 1,
      sym_identifier,
    ACTIONS(10964), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10970), 1,
      sym_preproc_directive,
    ACTIONS(10973), 1,
      anon_sym_RBRACE,
    ACTIONS(10967), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9100), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7098), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [270444] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(3819), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10538), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [270469] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10208), 1,
      anon_sym_LBRACK,
    ACTIONS(10975), 1,
      anon_sym_requires,
    ACTIONS(10210), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6629), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10206), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [270496] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10176), 1,
      anon_sym_try,
    STATE(428), 1,
      sym_try_statement,
    STATE(429), 1,
      sym_compound_statement,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270531] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8078), 1,
      anon_sym_requires,
    ACTIONS(9155), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9153), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [270558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 1,
      anon_sym_LBRACK,
    ACTIONS(6415), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [270577] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9620), 1,
      anon_sym_requires,
    ACTIONS(9456), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [270604] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(937), 1,
      anon_sym_LBRACE,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10182), 1,
      anon_sym_try,
    STATE(972), 1,
      sym_try_statement,
    STATE(976), 1,
      sym_compound_statement,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270639] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4390), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10532), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [270664] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4390), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10542), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [270689] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10978), 1,
      sym_identifier,
    STATE(6422), 1,
      sym__scope_resolution,
    STATE(9004), 1,
      sym_qualified_identifier,
    ACTIONS(10980), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [270720] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10202), 1,
      anon_sym_LBRACK,
    ACTIONS(10813), 1,
      anon_sym_requires,
    ACTIONS(10292), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6619), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [270747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10984), 1,
      anon_sym_LBRACK,
    ACTIONS(10982), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [270766] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10986), 1,
      sym_identifier,
    STATE(6422), 1,
      sym__scope_resolution,
    STATE(9202), 1,
      sym_qualified_identifier,
    ACTIONS(10988), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [270797] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4390), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10550), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [270822] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(9825), 1,
      anon_sym_try,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10737), 1,
      anon_sym_LBRACE,
    STATE(2295), 1,
      sym_compound_statement,
    STATE(2296), 1,
      sym_try_statement,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10992), 1,
      anon_sym_LBRACK,
    ACTIONS(10990), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [270876] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(9879), 1,
      anon_sym_try,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10783), 1,
      anon_sym_LBRACE,
    STATE(2591), 1,
      sym_compound_statement,
    STATE(2592), 1,
      sym_try_statement,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270911] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5990), 1,
      anon_sym_LBRACK,
    ACTIONS(10994), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5992), 8,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [270932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 1,
      anon_sym_LBRACK,
    ACTIONS(10994), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10996), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6105), 6,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [270955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10896), 1,
      anon_sym_LBRACK,
    ACTIONS(10894), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [270974] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(9913), 1,
      anon_sym_requires,
    ACTIONS(9623), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [271001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6315), 1,
      anon_sym_LBRACK,
    ACTIONS(6317), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [271020] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8078), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6595), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9411), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [271047] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8078), 1,
      anon_sym_requires,
    ACTIONS(9600), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6631), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9598), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [271074] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8078), 1,
      anon_sym_requires,
    ACTIONS(10202), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6619), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10200), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [271101] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8078), 1,
      anon_sym_requires,
    ACTIONS(10208), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6526), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6629), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10206), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [271128] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10642), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [271157] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10998), 1,
      sym_identifier,
    STATE(6422), 1,
      sym__scope_resolution,
    STATE(8673), 1,
      sym_qualified_identifier,
    ACTIONS(11000), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [271188] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10648), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [271217] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10604), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [271246] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11002), 1,
      sym_identifier,
    STATE(6422), 1,
      sym__scope_resolution,
    STATE(8670), 1,
      sym_qualified_identifier,
    ACTIONS(11004), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [271277] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4390), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10544), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [271302] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10560), 1,
      sym_identifier,
    ACTIONS(11006), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11008), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11010), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11012), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7278), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(9254), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [271331] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10612), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [271360] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10949), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11014), 1,
      aux_sym_preproc_if_token2,
    STATE(7283), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9244), 1,
      sym_enumerator,
    ACTIONS(10951), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9239), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [271391] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4390), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10552), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [271416] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11018), 1,
      anon_sym_LBRACK,
    STATE(7737), 1,
      sym_gnu_asm_input_operand,
    STATE(9318), 1,
      sym_string_literal,
    ACTIONS(11016), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [271440] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11024), 1,
      anon_sym_delete,
    ACTIONS(11026), 1,
      anon_sym_new,
    ACTIONS(11022), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11020), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [271462] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11028), 1,
      anon_sym_delete,
    ACTIONS(11030), 1,
      anon_sym_new,
    ACTIONS(11022), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11020), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [271484] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(11034), 1,
      anon_sym_EQ,
    STATE(4159), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    ACTIONS(11032), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [271514] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11036), 1,
      anon_sym_delete,
    ACTIONS(11038), 1,
      anon_sym_new,
    ACTIONS(11022), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11020), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [271536] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(11040), 1,
      sym_identifier,
    ACTIONS(11042), 1,
      anon_sym_COLON_COLON,
    STATE(3008), 1,
      sym_template_type,
    STATE(7179), 1,
      sym__scope_resolution,
    STATE(3011), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [271566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5141), 1,
      anon_sym_LBRACK,
    ACTIONS(5143), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [271584] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11038), 1,
      anon_sym_new,
    ACTIONS(11044), 1,
      anon_sym_delete,
    ACTIONS(11022), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11020), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [271606] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(4037), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(7217), 1,
      sym__scope_resolution,
    STATE(8000), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [271636] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11046), 1,
      anon_sym_delete,
    ACTIONS(11048), 1,
      anon_sym_new,
    ACTIONS(11022), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11020), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [271658] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11050), 1,
      anon_sym_delete,
    ACTIONS(11052), 1,
      anon_sym_new,
    ACTIONS(11022), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11020), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [271680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11054), 1,
      anon_sym_delete,
    ACTIONS(11056), 1,
      anon_sym_new,
    ACTIONS(11022), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11020), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [271702] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11058), 1,
      anon_sym_delete,
    ACTIONS(11060), 1,
      anon_sym_new,
    ACTIONS(11022), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11020), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [271724] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11062), 1,
      anon_sym_delete,
    ACTIONS(11064), 1,
      anon_sym_new,
    ACTIONS(11022), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11020), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [271746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5137), 1,
      anon_sym_LBRACK,
    ACTIONS(5139), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [271764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11066), 1,
      anon_sym_delete,
    ACTIONS(11068), 1,
      anon_sym_new,
    ACTIONS(11022), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11020), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [271786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 1,
      anon_sym_LBRACK,
    ACTIONS(5127), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [271804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LBRACK,
    ACTIONS(5147), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [271822] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11070), 1,
      anon_sym_delete,
    ACTIONS(11072), 1,
      anon_sym_new,
    ACTIONS(11022), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11020), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [271844] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11076), 1,
      anon_sym_LBRACK,
    STATE(7711), 1,
      sym_gnu_asm_output_operand,
    STATE(9177), 1,
      sym_string_literal,
    ACTIONS(11074), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [271868] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11030), 1,
      anon_sym_new,
    ACTIONS(11078), 1,
      anon_sym_delete,
    ACTIONS(11022), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11020), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [271890] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4461), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10552), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [271914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5149), 1,
      anon_sym_LBRACK,
    ACTIONS(5151), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [271932] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(11080), 1,
      anon_sym_EQ,
    STATE(4159), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    ACTIONS(11032), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [271962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 1,
      anon_sym_LBRACK,
    ACTIONS(5135), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [271980] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4461), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10538), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [272004] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6028), 1,
      anon_sym_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    STATE(2702), 1,
      sym_parameter_list,
    STATE(7506), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11084), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(7073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272034] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4461), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10536), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [272058] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(11086), 1,
      anon_sym_EQ,
    STATE(4159), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(9293), 1,
      sym_initializer_list,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272090] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(4037), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(7217), 1,
      sym__scope_resolution,
    STATE(7778), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [272120] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4461), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10532), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [272144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11048), 1,
      anon_sym_new,
    ACTIONS(11088), 1,
      anon_sym_delete,
    ACTIONS(11022), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11020), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [272166] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(4037), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(7217), 1,
      sym__scope_resolution,
    STATE(7747), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [272196] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11090), 1,
      anon_sym_delete,
    ACTIONS(11092), 1,
      anon_sym_new,
    ACTIONS(11022), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11020), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [272218] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4461), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10544), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [272242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11038), 1,
      anon_sym_new,
    ACTIONS(11094), 1,
      anon_sym_delete,
    ACTIONS(11022), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11020), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [272264] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4461), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10550), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [272288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5129), 1,
      anon_sym_LBRACK,
    ACTIONS(5131), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [272306] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(4037), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9529), 1,
      sym_identifier,
    STATE(3124), 1,
      sym_template_type,
    STATE(7217), 1,
      sym__scope_resolution,
    STATE(7701), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9281), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [272336] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4461), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10542), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [272360] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(9305), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11096), 1,
      sym_identifier,
    ACTIONS(11098), 1,
      anon_sym_template,
    STATE(4593), 1,
      sym_template_type,
    STATE(4598), 1,
      sym_dependent_type_identifier,
    STATE(4639), 1,
      sym_qualified_type_identifier,
    STATE(7175), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_decltype,
  [272391] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11100), 1,
      sym_identifier,
    STATE(6422), 1,
      sym__scope_resolution,
    STATE(9286), 1,
      sym_qualified_identifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [272418] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5101), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11102), 1,
      sym_identifier,
    ACTIONS(11104), 1,
      anon_sym_template,
    STATE(3121), 1,
      sym_template_type,
    STATE(3153), 1,
      sym_dependent_type_identifier,
    STATE(3163), 1,
      sym_qualified_type_identifier,
    STATE(7177), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_decltype,
  [272449] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(3269), 1,
      sym_template_argument_list,
    ACTIONS(5114), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(5107), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [272472] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(11042), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11106), 1,
      sym_identifier,
    ACTIONS(11108), 1,
      anon_sym_template,
    STATE(3012), 1,
      sym_qualified_type_identifier,
    STATE(3030), 1,
      sym_template_type,
    STATE(3031), 1,
      sym_dependent_type_identifier,
    STATE(7179), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_decltype,
  [272503] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11110), 1,
      sym_identifier,
    ACTIONS(11112), 1,
      anon_sym_template,
    STATE(2207), 1,
      sym_dependent_type_identifier,
    STATE(2213), 1,
      sym_template_type,
    STATE(2225), 1,
      sym_qualified_type_identifier,
    STATE(7180), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_decltype,
  [272534] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11114), 1,
      sym_identifier,
    STATE(3121), 1,
      sym_template_type,
    STATE(3153), 1,
      sym_dependent_type_identifier,
    STATE(3714), 1,
      sym_qualified_type_identifier,
    STATE(7181), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_decltype,
  [272565] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(9368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11116), 1,
      sym_identifier,
    ACTIONS(11118), 1,
      anon_sym_template,
    STATE(4396), 1,
      sym_template_type,
    STATE(4397), 1,
      sym_dependent_type_identifier,
    STATE(4407), 1,
      sym_qualified_type_identifier,
    STATE(7182), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_decltype,
  [272596] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4617), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10542), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [272619] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4617), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10532), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [272642] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(9585), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11120), 1,
      sym_identifier,
    ACTIONS(11122), 1,
      anon_sym_template,
    STATE(3121), 1,
      sym_template_type,
    STATE(3153), 1,
      sym_dependent_type_identifier,
    STATE(3714), 1,
      sym_qualified_type_identifier,
    STATE(7185), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_decltype,
  [272673] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(9189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11124), 1,
      sym_identifier,
    ACTIONS(11126), 1,
      anon_sym_template,
    STATE(2854), 1,
      sym_template_type,
    STATE(2885), 1,
      sym_dependent_type_identifier,
    STATE(2998), 1,
      sym_qualified_type_identifier,
    STATE(7186), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_decltype,
  [272704] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(9209), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11128), 1,
      sym_identifier,
    ACTIONS(11130), 1,
      anon_sym_template,
    STATE(3049), 1,
      sym_template_type,
    STATE(3052), 1,
      sym_dependent_type_identifier,
    STATE(3098), 1,
      sym_qualified_type_identifier,
    STATE(7187), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_decltype,
  [272735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5990), 1,
      anon_sym_AMP,
    ACTIONS(11132), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5992), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
  [272754] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11134), 1,
      sym_identifier,
    STATE(6422), 1,
      sym__scope_resolution,
    STATE(9059), 1,
      sym_qualified_identifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [272781] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4617), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10550), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [272804] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4617), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10536), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [272827] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4617), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10544), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [272850] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4617), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10538), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [272873] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(9354), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11136), 1,
      sym_identifier,
    ACTIONS(11138), 1,
      anon_sym_template,
    STATE(3075), 1,
      sym_dependent_type_identifier,
    STATE(3101), 1,
      sym_template_type,
    STATE(3123), 1,
      sym_qualified_type_identifier,
    STATE(7194), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_decltype,
  [272904] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(3269), 1,
      sym_template_argument_list,
    ACTIONS(8069), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(5170), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [272927] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(9859), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11140), 1,
      sym_identifier,
    ACTIONS(11142), 1,
      anon_sym_template,
    STATE(2207), 1,
      sym_dependent_type_identifier,
    STATE(2213), 1,
      sym_template_type,
    STATE(2225), 1,
      sym_qualified_type_identifier,
    STATE(7196), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_decltype,
  [272958] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 1,
      anon_sym_AMP,
    ACTIONS(11132), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(11144), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6105), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [272979] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11146), 1,
      sym_identifier,
    ACTIONS(11150), 1,
      sym_system_lib_string,
    STATE(8735), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11148), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [273000] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11152), 1,
      sym_identifier,
    STATE(6422), 1,
      sym__scope_resolution,
    STATE(9420), 1,
      sym_qualified_identifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [273027] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10534), 1,
      anon_sym_LBRACK,
    STATE(4617), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym__function_declarator_seq,
    ACTIONS(10552), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [273050] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(9241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11154), 1,
      sym_identifier,
    ACTIONS(11156), 1,
      anon_sym_template,
    STATE(2207), 1,
      sym_dependent_type_identifier,
    STATE(2213), 1,
      sym_template_type,
    STATE(2225), 1,
      sym_qualified_type_identifier,
    STATE(7201), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_decltype,
  [273081] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7875), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11156), 1,
      anon_sym_template,
    ACTIONS(11158), 1,
      sym_identifier,
    STATE(2207), 1,
      sym_dependent_type_identifier,
    STATE(2213), 1,
      sym_template_type,
    STATE(2225), 1,
      sym_qualified_type_identifier,
    STATE(7202), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_decltype,
  [273112] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11160), 1,
      sym_identifier,
    STATE(6422), 1,
      sym__scope_resolution,
    STATE(8630), 1,
      sym_qualified_identifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [273139] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(9285), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11162), 1,
      sym_identifier,
    ACTIONS(11164), 1,
      anon_sym_template,
    STATE(3237), 1,
      sym_template_type,
    STATE(3239), 1,
      sym_dependent_type_identifier,
    STATE(3349), 1,
      sym_qualified_type_identifier,
    STATE(7204), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_decltype,
  [273170] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11138), 1,
      anon_sym_template,
    ACTIONS(11166), 1,
      sym_identifier,
    STATE(3075), 1,
      sym_dependent_type_identifier,
    STATE(3101), 1,
      sym_template_type,
    STATE(3123), 1,
      sym_qualified_type_identifier,
    STATE(7205), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_decltype,
  [273201] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(9255), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11168), 1,
      sym_identifier,
    ACTIONS(11170), 1,
      anon_sym_template,
    STATE(2414), 1,
      sym_template_type,
    STATE(2415), 1,
      sym_dependent_type_identifier,
    STATE(2435), 1,
      sym_qualified_type_identifier,
    STATE(7206), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_decltype,
  [273232] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11172), 1,
      sym_identifier,
    ACTIONS(11174), 1,
      anon_sym_template,
    STATE(3121), 1,
      sym_template_type,
    STATE(3153), 1,
      sym_dependent_type_identifier,
    STATE(3714), 1,
      sym_qualified_type_identifier,
    STATE(7207), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_decltype,
  [273263] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11176), 1,
      sym_identifier,
    ACTIONS(11178), 1,
      sym_system_lib_string,
    STATE(8739), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11148), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [273284] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11180), 1,
      sym_identifier,
    ACTIONS(11182), 1,
      sym_system_lib_string,
    STATE(9137), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11148), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [273305] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11184), 1,
      sym_identifier,
    ACTIONS(11186), 1,
      sym_system_lib_string,
    STATE(9256), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11148), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [273326] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11188), 1,
      sym_identifier,
    ACTIONS(11190), 1,
      sym_system_lib_string,
    STATE(8969), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11148), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [273347] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11194), 1,
      anon_sym_AMP,
    ACTIONS(11196), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(11192), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [273366] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(5196), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11120), 1,
      sym_identifier,
    ACTIONS(11122), 1,
      anon_sym_template,
    STATE(3121), 1,
      sym_template_type,
    STATE(3153), 1,
      sym_dependent_type_identifier,
    STATE(3163), 1,
      sym_qualified_type_identifier,
    STATE(7213), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_decltype,
  [273397] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(9779), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11198), 1,
      sym_identifier,
    ACTIONS(11200), 1,
      anon_sym_template,
    STATE(2654), 1,
      sym_qualified_type_identifier,
    STATE(2663), 1,
      sym_dependent_type_identifier,
    STATE(2683), 1,
      sym_template_type,
    STATE(7214), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_decltype,
  [273428] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11202), 1,
      sym_identifier,
    STATE(6422), 1,
      sym__scope_resolution,
    STATE(8852), 1,
      sym_qualified_identifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [273455] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11172), 1,
      sym_identifier,
    ACTIONS(11174), 1,
      anon_sym_template,
    STATE(3121), 1,
      sym_template_type,
    STATE(3153), 1,
      sym_dependent_type_identifier,
    STATE(3163), 1,
      sym_qualified_type_identifier,
    STATE(7216), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_decltype,
  [273486] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(4037), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11114), 1,
      sym_identifier,
    STATE(3121), 1,
      sym_template_type,
    STATE(3153), 1,
      sym_dependent_type_identifier,
    STATE(3163), 1,
      sym_qualified_type_identifier,
    STATE(7217), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_decltype,
  [273517] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(7881), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11204), 1,
      sym_identifier,
    ACTIONS(11206), 1,
      anon_sym_template,
    STATE(5485), 1,
      sym_template_type,
    STATE(5486), 1,
      sym_dependent_type_identifier,
    STATE(5540), 1,
      sym_qualified_type_identifier,
    STATE(7218), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_decltype,
  [273548] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11208), 1,
      sym_identifier,
    STATE(6422), 1,
      sym__scope_resolution,
    STATE(8985), 1,
      sym_qualified_identifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [273575] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11210), 1,
      sym_identifier,
    STATE(6422), 1,
      sym__scope_resolution,
    STATE(9230), 1,
      sym_qualified_identifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [273602] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(9331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11212), 1,
      sym_identifier,
    ACTIONS(11214), 1,
      anon_sym_template,
    STATE(3085), 1,
      sym_dependent_type_identifier,
    STATE(3086), 1,
      sym_template_type,
    STATE(3113), 1,
      sym_qualified_type_identifier,
    STATE(7221), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_decltype,
  [273633] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11216), 1,
      sym_identifier,
    STATE(6422), 1,
      sym__scope_resolution,
    STATE(9566), 1,
      sym_qualified_identifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [273660] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6028), 1,
      anon_sym_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    STATE(2702), 1,
      sym_parameter_list,
    STATE(7073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11218), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [273685] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_template,
    ACTIONS(2181), 1,
      anon_sym_decltype,
    ACTIONS(10248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11220), 1,
      sym_identifier,
    STATE(6422), 1,
      sym__scope_resolution,
    STATE(9410), 1,
      sym_qualified_identifier,
    STATE(9281), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [273712] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(11222), 1,
      anon_sym_SEMI,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [273738] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5114), 1,
      anon_sym_LBRACK,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(6845), 1,
      sym_template_argument_list,
    ACTIONS(5107), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [273760] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(11224), 1,
      anon_sym_SEMI,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [273786] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(3819), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(11226), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [273808] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    ACTIONS(8069), 1,
      anon_sym_LBRACK,
    STATE(6845), 1,
      sym_template_argument_list,
    ACTIONS(5170), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [273830] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    ACTIONS(11228), 1,
      anon_sym_SEMI,
    ACTIONS(11230), 1,
      anon_sym_EQ,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(7752), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [273856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7644), 1,
      sym_string_literal,
    ACTIONS(11232), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [273874] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(11234), 1,
      anon_sym_SEMI,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [273900] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(11236), 1,
      anon_sym_SEMI,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [273926] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    ACTIONS(11238), 1,
      anon_sym_SEMI,
    ACTIONS(11240), 1,
      anon_sym_EQ,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(7708), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [273952] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11076), 1,
      anon_sym_LBRACK,
    STATE(8050), 1,
      sym_gnu_asm_output_operand,
    STATE(9177), 1,
      sym_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [273972] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    ACTIONS(11242), 1,
      anon_sym_SEMI,
    ACTIONS(11244), 1,
      anon_sym_EQ,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(7704), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [273998] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(11246), 1,
      anon_sym_SEMI,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274024] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10933), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10947), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11248), 1,
      aux_sym_preproc_elif_token1,
    STATE(7265), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9592), 1,
      sym_enumerator,
    STATE(9352), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [274050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11252), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11250), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [274066] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11248), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11254), 1,
      aux_sym_preproc_if_token2,
    STATE(7357), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9592), 1,
      sym_enumerator,
    STATE(9480), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [274092] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11258), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11260), 1,
      anon_sym_EQ,
    ACTIONS(11256), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [274110] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    ACTIONS(11262), 1,
      anon_sym_SEMI,
    ACTIONS(11264), 1,
      anon_sym_EQ,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(7733), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274136] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4603), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10552), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [274158] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    ACTIONS(11266), 1,
      anon_sym_SEMI,
    ACTIONS(11268), 1,
      anon_sym_EQ,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(7741), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274184] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10917), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10947), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11248), 1,
      aux_sym_preproc_elif_token1,
    STATE(7240), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9592), 1,
      sym_enumerator,
    STATE(9434), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [274210] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(9819), 1,
      anon_sym_LBRACK,
    ACTIONS(10673), 1,
      anon_sym_RPAREN,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(7114), 1,
      sym__function_declarator_seq,
    STATE(7356), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274236] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    ACTIONS(11270), 1,
      anon_sym_SEMI,
    ACTIONS(11272), 1,
      anon_sym_EQ,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(7653), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274262] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4603), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10544), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [274284] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 1,
      anon_sym_LBRACK,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(3269), 1,
      sym_template_argument_list,
    ACTIONS(6374), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [274304] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10915), 1,
      sym_identifier,
    ACTIONS(11008), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11274), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11276), 1,
      aux_sym_preproc_elif_token1,
    STATE(7263), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(9436), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [274328] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10625), 1,
      anon_sym_COLON,
    STATE(4619), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(7067), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274354] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4603), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10550), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [274376] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(9819), 1,
      anon_sym_LBRACK,
    ACTIONS(10677), 1,
      anon_sym_RPAREN,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(7114), 1,
      sym__function_declarator_seq,
    STATE(7356), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274402] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11018), 1,
      anon_sym_LBRACK,
    STATE(8223), 1,
      sym_gnu_asm_input_operand,
    STATE(9318), 1,
      sym_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [274422] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(9819), 1,
      anon_sym_LBRACK,
    ACTIONS(10606), 1,
      anon_sym_RPAREN,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(7114), 1,
      sym__function_declarator_seq,
    STATE(7356), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274448] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(9819), 1,
      anon_sym_LBRACK,
    ACTIONS(11278), 1,
      anon_sym_RPAREN,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(7114), 1,
      sym__function_declarator_seq,
    STATE(7356), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274474] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(11280), 1,
      anon_sym_SEMI,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274500] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    ACTIONS(11282), 1,
      anon_sym_SEMI,
    ACTIONS(11284), 1,
      anon_sym_EQ,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(7767), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274526] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10648), 1,
      anon_sym_COLON,
    STATE(4619), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(7067), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274552] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(11286), 1,
      anon_sym_COLON,
    STATE(4619), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(7067), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274578] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(11288), 1,
      anon_sym_RPAREN,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274604] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11248), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11290), 1,
      aux_sym_preproc_if_token2,
    STATE(7269), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9592), 1,
      sym_enumerator,
    STATE(9221), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [274630] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10915), 1,
      sym_identifier,
    ACTIONS(11008), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11276), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11292), 1,
      aux_sym_preproc_if_token2,
    STATE(7386), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(9481), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [274654] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4603), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10538), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [274676] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11248), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11294), 1,
      aux_sym_preproc_if_token2,
    STATE(7357), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9592), 1,
      sym_enumerator,
    STATE(9438), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [274702] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4603), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10536), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [274724] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10604), 1,
      anon_sym_COLON,
    STATE(4619), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(7067), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274750] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(9819), 1,
      anon_sym_LBRACK,
    ACTIONS(10660), 1,
      anon_sym_RPAREN,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(7114), 1,
      sym__function_declarator_seq,
    STATE(7356), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274776] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11248), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11296), 1,
      aux_sym_preproc_if_token2,
    STATE(7357), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9592), 1,
      sym_enumerator,
    STATE(9349), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [274802] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10612), 1,
      anon_sym_COLON,
    STATE(4619), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(7067), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274828] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    ACTIONS(11298), 1,
      anon_sym_SEMI,
    ACTIONS(11300), 1,
      anon_sym_EQ,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(7695), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274854] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(11302), 1,
      anon_sym_SEMI,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274880] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10915), 1,
      sym_identifier,
    ACTIONS(11008), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11276), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11304), 1,
      aux_sym_preproc_if_token2,
    STATE(7386), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(9351), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [274904] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10915), 1,
      sym_identifier,
    ACTIONS(11008), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11276), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11306), 1,
      aux_sym_preproc_if_token2,
    STATE(7386), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(9439), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [274928] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4603), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10532), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [274950] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(10642), 1,
      anon_sym_COLON,
    STATE(4619), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(7067), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274976] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4603), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10542), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [274998] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11308), 1,
      sym_identifier,
    ACTIONS(11313), 1,
      aux_sym_preproc_elif_token1,
    STATE(7278), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(11311), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [275018] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10915), 1,
      sym_identifier,
    ACTIONS(11008), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11276), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11315), 1,
      aux_sym_preproc_if_token2,
    STATE(7274), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(9357), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [275042] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    ACTIONS(11317), 1,
      anon_sym_SEMI,
    ACTIONS(11319), 1,
      anon_sym_EQ,
    STATE(2014), 1,
      sym_template_argument_list,
    STATE(7702), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [275068] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(11321), 1,
      anon_sym_SEMI,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [275094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11325), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11323), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [275110] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11327), 1,
      sym_identifier,
    ACTIONS(11332), 1,
      aux_sym_preproc_elif_token1,
    STATE(7283), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9244), 1,
      sym_enumerator,
    ACTIONS(11330), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [275132] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(9819), 1,
      anon_sym_LBRACK,
    ACTIONS(10656), 1,
      anon_sym_RPAREN,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(7114), 1,
      sym__function_declarator_seq,
    STATE(7356), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [275158] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(11334), 1,
      anon_sym_SEMI,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [275184] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    ACTIONS(11336), 1,
      anon_sym_SEMI,
    STATE(4316), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [275210] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5198), 1,
      anon_sym_LBRACE,
    ACTIONS(11338), 1,
      sym_identifier,
    ACTIONS(11340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11342), 1,
      anon_sym_inline,
    STATE(399), 1,
      sym_declaration_list,
    STATE(8559), 1,
      sym_nested_namespace_specifier,
    STATE(8666), 1,
      sym__namespace_specifier,
  [275235] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10552), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [275256] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10550), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [275277] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4437), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10552), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [275298] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6028), 1,
      anon_sym_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(11344), 1,
      anon_sym_RPAREN,
    STATE(2702), 1,
      sym_parameter_list,
    STATE(7073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [275321] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    STATE(2794), 1,
      sym_template_argument_list,
    STATE(8085), 2,
      sym_argument_list,
      sym_initializer_list,
  [275344] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6022), 1,
      anon_sym_COLON,
    ACTIONS(6028), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    STATE(2702), 1,
      sym_parameter_list,
    STATE(7376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [275367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11348), 1,
      anon_sym_AMP,
    ACTIONS(11346), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [275382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11350), 1,
      anon_sym_LBRACK,
    ACTIONS(11352), 1,
      anon_sym_EQ,
    ACTIONS(11354), 1,
      anon_sym_DOT,
    STATE(7302), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [275401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6259), 1,
      anon_sym_AMP,
    ACTIONS(6261), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [275416] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6028), 1,
      anon_sym_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(11356), 1,
      anon_sym_RPAREN,
    STATE(2702), 1,
      sym_parameter_list,
    STATE(7073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [275439] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 1,
      anon_sym_LBRACK,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(6845), 1,
      sym_template_argument_list,
    ACTIONS(6374), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [275458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11360), 1,
      anon_sym_AMP,
    ACTIONS(11358), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [275473] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6028), 1,
      anon_sym_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(11362), 1,
      anon_sym_RPAREN,
    STATE(2702), 1,
      sym_parameter_list,
    STATE(7073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [275496] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 1,
      anon_sym_LBRACE,
    ACTIONS(11340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11342), 1,
      anon_sym_inline,
    ACTIONS(11364), 1,
      sym_identifier,
    STATE(915), 1,
      sym_declaration_list,
    STATE(8318), 1,
      sym_nested_namespace_specifier,
    STATE(8666), 1,
      sym__namespace_specifier,
  [275521] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11366), 1,
      anon_sym_LBRACK,
    ACTIONS(11369), 1,
      anon_sym_EQ,
    ACTIONS(11371), 1,
      anon_sym_DOT,
    STATE(7302), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [275540] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6028), 1,
      anon_sym_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(11374), 1,
      anon_sym_RPAREN,
    STATE(2702), 1,
      sym_parameter_list,
    STATE(7073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [275563] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10532), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [275584] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5204), 1,
      anon_sym_LBRACE,
    ACTIONS(11340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11342), 1,
      anon_sym_inline,
    ACTIONS(11376), 1,
      sym_identifier,
    STATE(548), 1,
      sym_declaration_list,
    STATE(8443), 1,
      sym_nested_namespace_specifier,
    STATE(8666), 1,
      sym__namespace_specifier,
  [275609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_AMP,
    ACTIONS(4590), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [275624] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5204), 1,
      anon_sym_LBRACE,
    ACTIONS(11340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11342), 1,
      anon_sym_inline,
    ACTIONS(11378), 1,
      sym_identifier,
    STATE(560), 1,
      sym_declaration_list,
    STATE(8411), 1,
      sym_nested_namespace_specifier,
    STATE(8666), 1,
      sym__namespace_specifier,
  [275649] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5206), 1,
      anon_sym_LBRACE,
    ACTIONS(11340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11342), 1,
      anon_sym_inline,
    ACTIONS(11380), 1,
      sym_identifier,
    STATE(947), 1,
      sym_declaration_list,
    STATE(8299), 1,
      sym_nested_namespace_specifier,
    STATE(8666), 1,
      sym__namespace_specifier,
  [275674] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5206), 1,
      anon_sym_LBRACE,
    ACTIONS(11340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11342), 1,
      anon_sym_inline,
    ACTIONS(11382), 1,
      sym_identifier,
    STATE(965), 1,
      sym_declaration_list,
    STATE(8264), 1,
      sym_nested_namespace_specifier,
    STATE(8666), 1,
      sym__namespace_specifier,
  [275699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11194), 1,
      anon_sym_AMP,
    ACTIONS(11192), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [275714] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 1,
      anon_sym_LBRACE,
    ACTIONS(11340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11342), 1,
      anon_sym_inline,
    ACTIONS(11384), 1,
      sym_identifier,
    STATE(957), 1,
      sym_declaration_list,
    STATE(8382), 1,
      sym_nested_namespace_specifier,
    STATE(8666), 1,
      sym__namespace_specifier,
  [275739] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      anon_sym_LBRACE,
    ACTIONS(11340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11342), 1,
      anon_sym_inline,
    ACTIONS(11386), 1,
      sym_identifier,
    STATE(1079), 1,
      sym_declaration_list,
    STATE(8513), 1,
      sym_nested_namespace_specifier,
    STATE(8666), 1,
      sym__namespace_specifier,
  [275764] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4437), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10544), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [275785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11390), 1,
      anon_sym_AMP,
    ACTIONS(11388), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [275800] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6028), 1,
      anon_sym_LBRACK,
    ACTIONS(6040), 1,
      anon_sym_COLON,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    STATE(2702), 1,
      sym_parameter_list,
    STATE(7376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [275823] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6028), 1,
      anon_sym_LBRACK,
    ACTIONS(6101), 1,
      anon_sym_COLON,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    STATE(2702), 1,
      sym_parameter_list,
    STATE(7376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [275846] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11394), 1,
      anon_sym_COMMA,
    ACTIONS(11396), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11392), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [275863] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5198), 1,
      anon_sym_LBRACE,
    ACTIONS(11340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11342), 1,
      anon_sym_inline,
    ACTIONS(11398), 1,
      sym_identifier,
    STATE(382), 1,
      sym_declaration_list,
    STATE(8601), 1,
      sym_nested_namespace_specifier,
    STATE(8666), 1,
      sym__namespace_specifier,
  [275888] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10538), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [275909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6319), 1,
      anon_sym_AMP,
    ACTIONS(6321), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [275924] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4437), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10538), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [275945] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10536), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [275966] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4437), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10532), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [275987] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4437), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10536), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [276008] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10544), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [276029] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      anon_sym_LBRACE,
    ACTIONS(11340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11342), 1,
      anon_sym_inline,
    ACTIONS(11400), 1,
      sym_identifier,
    STATE(1013), 1,
      sym_declaration_list,
    STATE(8580), 1,
      sym_nested_namespace_specifier,
    STATE(8666), 1,
      sym__namespace_specifier,
  [276054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6287), 1,
      anon_sym_AMP,
    ACTIONS(6289), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [276069] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6028), 1,
      anon_sym_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(11402), 1,
      anon_sym_RPAREN,
    STATE(2702), 1,
      sym_parameter_list,
    STATE(7073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [276092] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4437), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10550), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [276113] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6028), 1,
      anon_sym_LBRACK,
    ACTIONS(6046), 1,
      anon_sym_COLON,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    STATE(2702), 1,
      sym_parameter_list,
    STATE(7376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [276136] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10056), 1,
      anon_sym_LBRACK,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(6965), 1,
      sym__function_declarator_seq,
    STATE(6861), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [276159] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10542), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [276180] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4437), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(10542), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [276201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11404), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11406), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [276215] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(937), 1,
      anon_sym_LBRACE,
    ACTIONS(10182), 1,
      anon_sym_try,
    ACTIONS(11408), 1,
      anon_sym_SEMI,
    ACTIONS(11410), 1,
      anon_sym_EQ,
    STATE(940), 2,
      sym_compound_statement,
      sym_try_statement,
  [276235] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4437), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(11032), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [276255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11412), 1,
      anon_sym_LPAREN2,
    STATE(7351), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11414), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [276271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11416), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11418), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [276285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11420), 1,
      anon_sym_LPAREN2,
    STATE(7351), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11414), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [276301] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11422), 1,
      anon_sym_LPAREN2,
    STATE(7339), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11414), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [276317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11424), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11426), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [276331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11428), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11430), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [276345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11432), 1,
      anon_sym_LPAREN2,
    STATE(7351), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11414), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [276361] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10102), 1,
      anon_sym_try,
    ACTIONS(11434), 1,
      anon_sym_SEMI,
    ACTIONS(11436), 1,
      anon_sym_EQ,
    STATE(1062), 2,
      sym_compound_statement,
      sym_try_statement,
  [276381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11332), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11330), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [276395] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(381), 1,
      anon_sym_LBRACE,
    ACTIONS(10062), 1,
      anon_sym_try,
    ACTIONS(11438), 1,
      anon_sym_SEMI,
    ACTIONS(11440), 1,
      anon_sym_EQ,
    STATE(583), 2,
      sym_compound_statement,
      sym_try_statement,
  [276415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11442), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11444), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [276429] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9879), 1,
      anon_sym_try,
    ACTIONS(10783), 1,
      anon_sym_LBRACE,
    ACTIONS(11446), 1,
      anon_sym_SEMI,
    ACTIONS(11448), 1,
      anon_sym_EQ,
    STATE(2580), 2,
      sym_compound_statement,
      sym_try_statement,
  [276449] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    ACTIONS(10176), 1,
      anon_sym_try,
    ACTIONS(11450), 1,
      anon_sym_SEMI,
    ACTIONS(11452), 1,
      anon_sym_EQ,
    STATE(383), 2,
      sym_compound_statement,
      sym_try_statement,
  [276469] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10102), 1,
      anon_sym_try,
    ACTIONS(11454), 1,
      anon_sym_SEMI,
    ACTIONS(11456), 1,
      anon_sym_EQ,
    STATE(1030), 2,
      sym_compound_statement,
      sym_try_statement,
  [276489] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11458), 1,
      anon_sym_LPAREN2,
    STATE(7351), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11460), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [276505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11463), 1,
      anon_sym_LPAREN2,
    STATE(7337), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11414), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [276521] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 1,
      anon_sym_LBRACE,
    ACTIONS(10090), 1,
      anon_sym_try,
    ACTIONS(11465), 1,
      anon_sym_SEMI,
    ACTIONS(11467), 1,
      anon_sym_EQ,
    STATE(870), 2,
      sym_compound_statement,
      sym_try_statement,
  [276541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11469), 1,
      anon_sym_LPAREN2,
    STATE(7343), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11414), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [276557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11471), 1,
      anon_sym_EQ,
    ACTIONS(11256), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [276571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10900), 1,
      anon_sym_LBRACK,
    ACTIONS(10898), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [276589] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11327), 1,
      sym_identifier,
    STATE(7357), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9592), 1,
      sym_enumerator,
    ACTIONS(11330), 3,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [276607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11473), 1,
      anon_sym_LPAREN2,
    STATE(7378), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11414), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [276623] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(937), 1,
      anon_sym_LBRACE,
    ACTIONS(10182), 1,
      anon_sym_try,
    ACTIONS(11475), 1,
      anon_sym_SEMI,
    ACTIONS(11477), 1,
      anon_sym_EQ,
    STATE(949), 2,
      sym_compound_statement,
      sym_try_statement,
  [276643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11404), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11406), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [276657] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7118), 1,
      anon_sym_LT,
    ACTIONS(10896), 1,
      anon_sym_LBRACK,
    STATE(7103), 1,
      sym_template_argument_list,
    ACTIONS(10894), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [276675] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9855), 1,
      anon_sym_try,
    ACTIONS(10838), 1,
      anon_sym_LBRACE,
    ACTIONS(11479), 1,
      anon_sym_SEMI,
    ACTIONS(11481), 1,
      anon_sym_EQ,
    STATE(2099), 2,
      sym_compound_statement,
      sym_try_statement,
  [276695] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11483), 1,
      anon_sym_LPAREN2,
    STATE(7351), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11414), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [276711] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9901), 1,
      anon_sym_try,
    ACTIONS(10755), 1,
      anon_sym_LBRACE,
    ACTIONS(11485), 1,
      anon_sym_SEMI,
    ACTIONS(11487), 1,
      anon_sym_EQ,
    STATE(2467), 2,
      sym_compound_statement,
      sym_try_statement,
  [276731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11489), 1,
      anon_sym_LPAREN2,
    STATE(7351), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11414), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [276747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(8157), 1,
      sym_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [276761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11491), 1,
      anon_sym_LPAREN2,
    STATE(7351), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11414), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [276777] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9825), 1,
      anon_sym_try,
    ACTIONS(10737), 1,
      anon_sym_LBRACE,
    ACTIONS(11493), 1,
      anon_sym_SEMI,
    ACTIONS(11495), 1,
      anon_sym_EQ,
    STATE(2365), 2,
      sym_compound_statement,
      sym_try_statement,
  [276797] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11497), 1,
      anon_sym_LPAREN2,
    STATE(7365), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11414), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [276813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(9464), 1,
      sym_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [276827] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    ACTIONS(10176), 1,
      anon_sym_try,
    ACTIONS(11499), 1,
      anon_sym_SEMI,
    ACTIONS(11501), 1,
      anon_sym_EQ,
    STATE(381), 2,
      sym_compound_statement,
      sym_try_statement,
  [276847] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 1,
      anon_sym_LBRACK,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(4654), 1,
      sym_template_argument_list,
    ACTIONS(6374), 3,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [276865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11503), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11505), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [276879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(9500), 1,
      sym_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [276893] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7118), 1,
      anon_sym_LT,
    ACTIONS(10892), 1,
      anon_sym_LBRACK,
    STATE(7120), 1,
      sym_template_argument_list,
    ACTIONS(10888), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [276911] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6135), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6137), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6565), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [276929] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    STATE(6193), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [276947] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11507), 1,
      anon_sym_LPAREN2,
    STATE(7351), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11414), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [276963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11509), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11511), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [276977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10973), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11513), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [276991] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
    ACTIONS(11032), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [277011] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9901), 1,
      anon_sym_try,
    ACTIONS(10755), 1,
      anon_sym_LBRACE,
    ACTIONS(11515), 1,
      anon_sym_SEMI,
    ACTIONS(11517), 1,
      anon_sym_EQ,
    STATE(2525), 2,
      sym_compound_statement,
      sym_try_statement,
  [277031] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym___attribute__,
    ACTIONS(8051), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6376), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6563), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [277049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11519), 1,
      anon_sym_LPAREN2,
    STATE(7391), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11414), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [277065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11521), 1,
      anon_sym_LPAREN2,
    STATE(7363), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11414), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [277081] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11523), 1,
      sym_identifier,
    STATE(7386), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(11311), 3,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [277097] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11526), 1,
      anon_sym_LPAREN2,
    STATE(7351), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11414), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [277113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11528), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11530), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [277127] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(381), 1,
      anon_sym_LBRACE,
    ACTIONS(10062), 1,
      anon_sym_try,
    ACTIONS(11532), 1,
      anon_sym_SEMI,
    ACTIONS(11534), 1,
      anon_sym_EQ,
    STATE(542), 2,
      sym_compound_statement,
      sym_try_statement,
  [277147] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9855), 1,
      anon_sym_try,
    ACTIONS(10838), 1,
      anon_sym_LBRACE,
    ACTIONS(11536), 1,
      anon_sym_SEMI,
    ACTIONS(11538), 1,
      anon_sym_EQ,
    STATE(2115), 2,
      sym_compound_statement,
      sym_try_statement,
  [277167] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11540), 1,
      anon_sym_LPAREN2,
    STATE(7351), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11414), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [277183] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9879), 1,
      anon_sym_try,
    ACTIONS(10783), 1,
      anon_sym_LBRACE,
    ACTIONS(11542), 1,
      anon_sym_SEMI,
    ACTIONS(11544), 1,
      anon_sym_EQ,
    STATE(2555), 2,
      sym_compound_statement,
      sym_try_statement,
  [277203] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11546), 1,
      anon_sym_LPAREN2,
    STATE(7387), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11414), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [277219] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9825), 1,
      anon_sym_try,
    ACTIONS(10737), 1,
      anon_sym_LBRACE,
    ACTIONS(11548), 1,
      anon_sym_SEMI,
    ACTIONS(11550), 1,
      anon_sym_EQ,
    STATE(2283), 2,
      sym_compound_statement,
      sym_try_statement,
  [277239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11552), 1,
      anon_sym_LPAREN2,
    STATE(7367), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11414), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [277255] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_LT,
    STATE(4654), 1,
      sym_template_argument_list,
    ACTIONS(6374), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [277273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11528), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11530), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [277287] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 1,
      anon_sym_LBRACE,
    ACTIONS(10090), 1,
      anon_sym_try,
    ACTIONS(11554), 1,
      anon_sym_SEMI,
    ACTIONS(11556), 1,
      anon_sym_EQ,
    STATE(943), 2,
      sym_compound_statement,
      sym_try_statement,
  [277307] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10542), 1,
      anon_sym_COLON,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4635), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
  [277326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11558), 1,
      anon_sym_COMMA,
    ACTIONS(11392), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [277339] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(11560), 1,
      sym_identifier,
    STATE(2841), 1,
      sym_template_method,
    STATE(3104), 1,
      sym_template_type,
    STATE(8230), 1,
      sym_operator_name,
  [277358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11562), 4,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_template,
  [277371] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(11566), 1,
      sym_identifier,
    STATE(3104), 1,
      sym_template_type,
    STATE(3729), 1,
      sym_template_method,
    STATE(8359), 1,
      sym_operator_name,
  [277390] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    ACTIONS(11568), 1,
      anon_sym_RPAREN,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
  [277409] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11342), 1,
      anon_sym_inline,
    ACTIONS(11570), 1,
      sym_identifier,
    STATE(8666), 1,
      sym__namespace_specifier,
    STATE(9115), 1,
      sym_nested_namespace_specifier,
  [277428] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 1,
      anon_sym_LBRACK,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(5063), 1,
      sym_template_argument_list,
    ACTIONS(6374), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [277445] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11572), 1,
      anon_sym_SEMI,
    STATE(7769), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8703), 1,
      sym_attribute_specifier,
  [277464] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11574), 1,
      anon_sym_SEMI,
    STATE(7769), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8706), 1,
      sym_attribute_specifier,
  [277483] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10544), 1,
      anon_sym_COLON,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4635), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
  [277502] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11576), 1,
      anon_sym_SEMI,
    STATE(7769), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8810), 1,
      sym_attribute_specifier,
  [277521] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(11578), 1,
      sym_identifier,
    STATE(3104), 1,
      sym_template_type,
    STATE(4154), 1,
      sym_template_method,
    STATE(8376), 1,
      sym_operator_name,
  [277540] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11580), 1,
      anon_sym_SEMI,
    STATE(7466), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8692), 1,
      sym_attribute_specifier,
  [277559] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11582), 1,
      anon_sym_SEMI,
    STATE(7769), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8942), 1,
      sym_attribute_specifier,
  [277578] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10550), 1,
      anon_sym_COLON,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4635), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
  [277597] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11584), 1,
      anon_sym_SEMI,
    STATE(7769), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8937), 1,
      sym_attribute_specifier,
  [277616] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    ACTIONS(11586), 1,
      anon_sym_RPAREN,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
  [277635] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11588), 1,
      anon_sym_SEMI,
    STATE(7769), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9447), 1,
      sym_attribute_specifier,
  [277654] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11590), 1,
      anon_sym_SEMI,
    STATE(7769), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9400), 1,
      sym_attribute_specifier,
  [277673] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10538), 1,
      anon_sym_COLON,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4635), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
  [277692] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10560), 1,
      sym_identifier,
    ACTIONS(11592), 1,
      aux_sym_preproc_if_token2,
    STATE(7317), 1,
      sym_enumerator,
    STATE(7757), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7772), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
  [277711] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11594), 1,
      anon_sym_SEMI,
    STATE(7769), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9448), 1,
      sym_attribute_specifier,
  [277730] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10536), 1,
      anon_sym_COLON,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4635), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
  [277749] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11342), 1,
      anon_sym_inline,
    ACTIONS(11596), 1,
      sym_identifier,
    STATE(8666), 1,
      sym__namespace_specifier,
    STATE(8677), 1,
      sym_nested_namespace_specifier,
  [277768] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11342), 1,
      anon_sym_inline,
    ACTIONS(11598), 1,
      sym_identifier,
    STATE(8666), 1,
      sym__namespace_specifier,
    STATE(8900), 1,
      sym_nested_namespace_specifier,
  [277787] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11600), 1,
      anon_sym_SEMI,
    STATE(7446), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8818), 1,
      sym_attribute_specifier,
  [277806] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11602), 1,
      anon_sym_SEMI,
    STATE(7769), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9399), 1,
      sym_attribute_specifier,
  [277825] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11604), 1,
      anon_sym_SEMI,
    STATE(7447), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8836), 1,
      sym_attribute_specifier,
  [277844] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10532), 1,
      anon_sym_COLON,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4635), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
  [277863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11606), 1,
      anon_sym_EQ,
    ACTIONS(10460), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [277876] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11608), 1,
      anon_sym_SEMI,
    STATE(7421), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9398), 1,
      sym_attribute_specifier,
  [277895] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 1,
      anon_sym_LBRACK,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(4908), 1,
      sym_template_argument_list,
    ACTIONS(6374), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [277912] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11342), 1,
      anon_sym_inline,
    ACTIONS(11610), 1,
      sym_identifier,
    STATE(8666), 1,
      sym__namespace_specifier,
    STATE(8789), 1,
      sym_nested_namespace_specifier,
  [277931] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_RPAREN,
    STATE(2946), 1,
      sym_argument_list,
    STATE(4556), 1,
      sym_initializer_list,
  [277950] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11612), 1,
      anon_sym_SEMI,
    STATE(7769), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8705), 1,
      sym_attribute_specifier,
  [277969] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11342), 1,
      anon_sym_inline,
    ACTIONS(11614), 1,
      sym_identifier,
    STATE(8666), 1,
      sym__namespace_specifier,
    STATE(8899), 1,
      sym_nested_namespace_specifier,
  [277988] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(11560), 1,
      sym_identifier,
    STATE(2841), 1,
      sym_template_method,
    STATE(3104), 1,
      sym_template_type,
    STATE(8530), 1,
      sym_operator_name,
  [278007] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11342), 1,
      anon_sym_inline,
    ACTIONS(11616), 1,
      sym_identifier,
    STATE(8129), 1,
      sym__namespace_specifier,
    STATE(8308), 1,
      sym_nested_namespace_specifier,
  [278026] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    ACTIONS(9009), 1,
      anon_sym_RPAREN,
    STATE(2946), 1,
      sym_argument_list,
    STATE(4556), 1,
      sym_initializer_list,
  [278045] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11618), 1,
      anon_sym_SEMI,
    STATE(7426), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9266), 1,
      sym_attribute_specifier,
  [278064] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11620), 1,
      anon_sym_SEMI,
    STATE(7418), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9269), 1,
      sym_attribute_specifier,
  [278083] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10552), 1,
      anon_sym_COLON,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4635), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
  [278102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8095), 1,
      sym_auto,
    ACTIONS(8097), 1,
      anon_sym_decltype,
    STATE(3753), 1,
      sym_decltype_auto,
    ACTIONS(11622), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [278119] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(11624), 1,
      sym_identifier,
    STATE(3104), 1,
      sym_template_type,
    STATE(4130), 1,
      sym_template_method,
    STATE(8607), 1,
      sym_operator_name,
  [278138] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11626), 1,
      anon_sym_SEMI,
    STATE(7463), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8935), 1,
      sym_attribute_specifier,
  [278157] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11628), 1,
      anon_sym_SEMI,
    STATE(7465), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8834), 1,
      sym_attribute_specifier,
  [278176] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11630), 1,
      anon_sym_SEMI,
    STATE(7769), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8808), 1,
      sym_attribute_specifier,
  [278195] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11632), 1,
      anon_sym_SEMI,
    STATE(7769), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8816), 1,
      sym_attribute_specifier,
  [278214] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11634), 1,
      anon_sym_SEMI,
    STATE(7769), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8925), 1,
      sym_attribute_specifier,
  [278233] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8979), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8983), 1,
      anon_sym_EQ,
    ACTIONS(11636), 1,
      sym_identifier,
    ACTIONS(8981), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [278250] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11638), 1,
      anon_sym_SEMI,
    STATE(7413), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8924), 1,
      sym_attribute_specifier,
  [278269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8095), 1,
      sym_auto,
    ACTIONS(8097), 1,
      anon_sym_decltype,
    STATE(3753), 1,
      sym_decltype_auto,
    ACTIONS(11640), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [278286] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11642), 1,
      anon_sym_SEMI,
    STATE(7769), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9270), 1,
      sym_attribute_specifier,
  [278305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11644), 1,
      anon_sym_EQ,
    ACTIONS(10460), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [278318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11646), 2,
      anon_sym_class,
      anon_sym_typename,
    STATE(8511), 3,
      sym_type_parameter_declaration,
      sym_variadic_type_parameter_declaration,
      sym_optional_type_parameter_declaration,
  [278331] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    ACTIONS(11650), 1,
      anon_sym_COLON_COLON,
    STATE(8455), 1,
      sym_argument_list,
    ACTIONS(11648), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [278348] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_operator,
    ACTIONS(11652), 1,
      sym_identifier,
    STATE(2841), 1,
      sym_template_method,
    STATE(3104), 1,
      sym_template_type,
    STATE(8232), 1,
      sym_operator_name,
  [278367] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11654), 1,
      anon_sym_SEMI,
    STATE(7407), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8694), 1,
      sym_attribute_specifier,
  [278386] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11656), 1,
      anon_sym_SEMI,
    STATE(7769), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8631), 1,
      sym_attribute_specifier,
  [278405] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11658), 1,
      anon_sym_SEMI,
    STATE(7769), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8944), 1,
      sym_attribute_specifier,
  [278424] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11660), 1,
      anon_sym_SEMI,
    STATE(7415), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8923), 1,
      sym_attribute_specifier,
  [278443] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11662), 1,
      anon_sym_SEMI,
    STATE(7769), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8833), 1,
      sym_attribute_specifier,
  [278462] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11664), 1,
      anon_sym_SEMI,
    STATE(7408), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8701), 1,
      sym_attribute_specifier,
  [278481] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11666), 1,
      anon_sym_SEMI,
    STATE(7769), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8946), 1,
      sym_attribute_specifier,
  [278500] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11342), 1,
      anon_sym_inline,
    ACTIONS(11616), 1,
      sym_identifier,
    STATE(7988), 1,
      sym__namespace_specifier,
    STATE(8364), 1,
      sym_nested_namespace_specifier,
  [278519] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11668), 1,
      anon_sym_SEMI,
    STATE(7769), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8815), 1,
      sym_attribute_specifier,
  [278538] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(11670), 1,
      anon_sym_SEMI,
    STATE(7769), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8702), 1,
      sym_attribute_specifier,
  [278557] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(2794), 1,
      sym_template_argument_list,
    ACTIONS(6279), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
  [278574] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(11672), 1,
      anon_sym_SEMI,
    STATE(7662), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [278588] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(2024), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [278602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10402), 1,
      anon_sym_LBRACE,
    STATE(2024), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [278616] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    ACTIONS(11674), 1,
      anon_sym_SEMI,
    STATE(2014), 1,
      sym_template_argument_list,
  [278632] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(11676), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11678), 1,
      anon_sym_GT2,
    STATE(7837), 1,
      aux_sym_template_argument_list_repeat1,
  [278648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11330), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [278658] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 1,
      anon_sym_LT,
    ACTIONS(11680), 1,
      sym_identifier,
    STATE(1090), 1,
      sym_template_parameter_list,
    STATE(3104), 1,
      sym_template_type,
  [278674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(6419), 1,
      anon_sym_LBRACE,
    STATE(3188), 1,
      sym_field_declaration_list,
    STATE(8583), 1,
      sym_base_class_clause,
  [278690] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(11682), 1,
      anon_sym_SEMI,
    STATE(7508), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [278704] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    STATE(7802), 1,
      sym_compound_statement,
    STATE(8620), 1,
      sym_field_initializer_list,
  [278720] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10440), 1,
      anon_sym_LBRACE,
    STATE(2928), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [278734] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11684), 1,
      anon_sym_DQUOTE,
    ACTIONS(11686), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11689), 1,
      sym_escape_sequence,
    STATE(7479), 1,
      aux_sym_string_literal_repeat1,
  [278750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11692), 1,
      anon_sym___except,
    ACTIONS(11694), 1,
      anon_sym___finally,
    STATE(277), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [278764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(11696), 1,
      anon_sym_SEMI,
    STATE(7491), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [278778] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(11698), 1,
      anon_sym_SEMI,
    STATE(5280), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [278792] = 4,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11700), 1,
      anon_sym_SQUOTE,
    STATE(7483), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11702), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [278806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(9007), 1,
      anon_sym_LBRACE,
    STATE(5593), 1,
      sym_field_declaration_list,
    STATE(8493), 1,
      sym_base_class_clause,
  [278822] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      anon_sym_LBRACE,
    ACTIONS(11705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11707), 1,
      anon_sym_EQ,
    STATE(1034), 1,
      sym_declaration_list,
  [278838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10440), 1,
      anon_sym_LBRACE,
    STATE(2924), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [278852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(11709), 1,
      anon_sym_SEMI,
    STATE(7482), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [278866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9656), 1,
      anon_sym_LBRACE,
    ACTIONS(11711), 1,
      anon_sym_LPAREN2,
    STATE(2881), 1,
      sym_requirement_seq,
    STATE(8571), 1,
      sym_requires_parameter_list,
  [278882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5198), 1,
      anon_sym_LBRACE,
    ACTIONS(11705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11713), 1,
      anon_sym_EQ,
    STATE(403), 1,
      sym_declaration_list,
  [278898] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10440), 1,
      anon_sym_LBRACE,
    STATE(2930), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [278912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(11715), 1,
      anon_sym_SEMI,
    STATE(5280), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [278926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(11676), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11717), 1,
      anon_sym_GT2,
    STATE(7937), 1,
      aux_sym_template_argument_list_repeat1,
  [278942] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_DQUOTE,
    ACTIONS(11721), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11723), 1,
      sym_escape_sequence,
    STATE(7479), 1,
      aux_sym_string_literal_repeat1,
  [278958] = 4,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11725), 1,
      anon_sym_SQUOTE,
    STATE(7483), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11727), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [278972] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    ACTIONS(11729), 1,
      anon_sym_SEMI,
    STATE(2014), 1,
      sym_template_argument_list,
  [278988] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(11676), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11731), 1,
      anon_sym_GT2,
    STATE(7967), 1,
      aux_sym_template_argument_list_repeat1,
  [279004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11733), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11735), 1,
      anon_sym_COMMA,
    ACTIONS(11737), 1,
      anon_sym_LBRACE,
    STATE(7948), 1,
      aux_sym_base_class_clause_repeat1,
  [279020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7167), 1,
      sym_access_specifier,
    ACTIONS(11739), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [279032] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11721), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11723), 1,
      sym_escape_sequence,
    ACTIONS(11741), 1,
      anon_sym_DQUOTE,
    STATE(7479), 1,
      aux_sym_string_literal_repeat1,
  [279048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11743), 4,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [279058] = 4,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11745), 1,
      anon_sym_SQUOTE,
    STATE(7483), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11727), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [279072] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11747), 1,
      anon_sym_DQUOTE,
    ACTIONS(11749), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11751), 1,
      sym_escape_sequence,
    STATE(7499), 1,
      aux_sym_string_literal_repeat1,
  [279088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(6419), 1,
      anon_sym_LBRACE,
    STATE(3224), 1,
      sym_field_declaration_list,
    STATE(8613), 1,
      sym_base_class_clause,
  [279104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10402), 1,
      anon_sym_LBRACE,
    STATE(2027), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [279118] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    STATE(8440), 1,
      sym_argument_list,
    ACTIONS(11753), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [279132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    STATE(7676), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11755), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [279146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(11757), 1,
      anon_sym_SEMI,
    STATE(7529), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [279160] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(11759), 1,
      anon_sym_SEMI,
    STATE(5280), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [279174] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(11761), 1,
      anon_sym_SEMI,
    STATE(5280), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [279188] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(11763), 1,
      anon_sym_SEMI,
    STATE(7672), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [279202] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11765), 1,
      anon_sym_EQ,
    STATE(7755), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [279216] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    STATE(8044), 1,
      sym_compound_statement,
    STATE(8483), 1,
      sym_field_initializer_list,
  [279232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2269), 1,
      anon_sym_LBRACE,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    STATE(4102), 1,
      sym_initializer_list,
    STATE(4103), 1,
      sym_argument_list,
  [279248] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 1,
      anon_sym_LT,
    ACTIONS(11680), 1,
      sym_identifier,
    STATE(1088), 1,
      sym_template_parameter_list,
    STATE(3104), 1,
      sym_template_type,
  [279264] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11767), 1,
      anon_sym_DQUOTE,
    ACTIONS(11769), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11771), 1,
      sym_escape_sequence,
    STATE(7522), 1,
      aux_sym_string_literal_repeat1,
  [279280] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11773), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11775), 1,
      anon_sym_LPAREN,
    ACTIONS(11777), 1,
      sym_preproc_arg,
    STATE(8586), 1,
      sym_preproc_params,
  [279296] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11775), 1,
      anon_sym_LPAREN,
    ACTIONS(11779), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11781), 1,
      sym_preproc_arg,
    STATE(8227), 1,
      sym_preproc_params,
  [279312] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9648), 1,
      anon_sym_LBRACE,
    ACTIONS(11711), 1,
      anon_sym_LPAREN2,
    STATE(3917), 1,
      sym_requirement_seq,
    STATE(8421), 1,
      sym_requires_parameter_list,
  [279328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3929), 1,
      anon_sym_LBRACE,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    STATE(4246), 1,
      sym_argument_list,
    STATE(5476), 1,
      sym_initializer_list,
  [279344] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5473), 1,
      anon_sym_LBRACE,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    STATE(2635), 1,
      sym_field_declaration_list,
    STATE(8399), 1,
      sym_base_class_clause,
  [279360] = 4,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11783), 1,
      anon_sym_SQUOTE,
    STATE(7483), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11727), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [279374] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11721), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11723), 1,
      sym_escape_sequence,
    ACTIONS(11785), 1,
      anon_sym_DQUOTE,
    STATE(7479), 1,
      aux_sym_string_literal_repeat1,
  [279390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11787), 1,
      sym_identifier,
    ACTIONS(11789), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [279402] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5204), 1,
      anon_sym_LBRACE,
    ACTIONS(11705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11791), 1,
      anon_sym_EQ,
    STATE(550), 1,
      sym_declaration_list,
  [279418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9683), 1,
      anon_sym_LBRACE,
    ACTIONS(11711), 1,
      anon_sym_LPAREN2,
    STATE(5029), 1,
      sym_requirement_seq,
    STATE(8438), 1,
      sym_requires_parameter_list,
  [279434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10426), 1,
      anon_sym_LBRACE,
    STATE(5101), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [279448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    STATE(8064), 1,
      sym_compound_statement,
    STATE(8418), 1,
      sym_field_initializer_list,
  [279464] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10402), 1,
      anon_sym_LBRACE,
    STATE(2028), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [279478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(11793), 1,
      anon_sym_SEMI,
    STATE(5280), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [279492] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 1,
      anon_sym_LT,
    ACTIONS(11680), 1,
      sym_identifier,
    STATE(1087), 1,
      sym_template_parameter_list,
    STATE(3104), 1,
      sym_template_type,
  [279508] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    STATE(4597), 1,
      sym_field_declaration_list,
    STATE(8356), 1,
      sym_base_class_clause,
  [279524] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(11795), 1,
      anon_sym_SEMI,
    STATE(7544), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [279538] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11797), 1,
      anon_sym___except,
    ACTIONS(11799), 1,
      anon_sym___finally,
    STATE(460), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [279552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(11801), 1,
      anon_sym_SEMI,
    STATE(5280), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [279566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11230), 1,
      anon_sym_EQ,
    STATE(7752), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [279580] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5473), 1,
      anon_sym_LBRACE,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    STATE(2667), 1,
      sym_field_declaration_list,
    STATE(8341), 1,
      sym_base_class_clause,
  [279596] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(11676), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11803), 1,
      anon_sym_GT2,
    STATE(8097), 1,
      aux_sym_template_argument_list_repeat1,
  [279612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    STATE(7780), 1,
      sym_compound_statement,
    STATE(8368), 1,
      sym_field_initializer_list,
  [279628] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    ACTIONS(11805), 1,
      anon_sym_SEMI,
    STATE(2014), 1,
      sym_template_argument_list,
  [279644] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 1,
      anon_sym_LT,
    ACTIONS(11680), 1,
      sym_identifier,
    STATE(1086), 1,
      sym_template_parameter_list,
    STATE(3104), 1,
      sym_template_type,
  [279660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10426), 1,
      anon_sym_LBRACE,
    STATE(4969), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [279674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10400), 1,
      anon_sym_LBRACE,
    STATE(4055), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [279688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(11807), 1,
      anon_sym_SEMI,
    STATE(7556), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [279702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(11809), 1,
      anon_sym_SEMI,
    STATE(5280), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [279716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    STATE(8089), 1,
      sym_compound_statement,
    STATE(8331), 1,
      sym_field_initializer_list,
  [279732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 1,
      anon_sym_LT,
    ACTIONS(11680), 1,
      sym_identifier,
    STATE(1092), 1,
      sym_template_parameter_list,
    STATE(3104), 1,
      sym_template_type,
  [279748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11811), 1,
      anon_sym___except,
    ACTIONS(11813), 1,
      anon_sym___finally,
    STATE(844), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [279762] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    ACTIONS(10600), 1,
      anon_sym_LBRACK,
    STATE(4289), 1,
      sym_parameter_list,
    STATE(6829), 1,
      sym__function_declarator_seq,
  [279778] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10424), 1,
      anon_sym_LBRACE,
    STATE(3975), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [279792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    STATE(7881), 1,
      sym_compound_statement,
    STATE(8317), 1,
      sym_field_initializer_list,
  [279808] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    STATE(8213), 1,
      sym_compound_statement,
    STATE(8380), 1,
      sym_field_initializer_list,
  [279824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 1,
      anon_sym_LT,
    ACTIONS(11680), 1,
      sym_identifier,
    STATE(1094), 1,
      sym_template_parameter_list,
    STATE(3104), 1,
      sym_template_type,
  [279840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10426), 1,
      anon_sym_LBRACE,
    STATE(5109), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [279854] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11711), 1,
      anon_sym_LPAREN2,
    ACTIONS(11815), 1,
      anon_sym_LBRACE,
    STATE(6453), 1,
      sym_requirement_seq,
    STATE(8262), 1,
      sym_requires_parameter_list,
  [279870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11817), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [279880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(11819), 1,
      anon_sym_SEMI,
    STATE(5280), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [279894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11817), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [279904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11821), 1,
      anon_sym_COMMA,
    STATE(7558), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11824), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [279918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    STATE(8048), 1,
      sym_compound_statement,
    STATE(8267), 1,
      sym_field_initializer_list,
  [279934] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 1,
      anon_sym_LT,
    ACTIONS(11680), 1,
      sym_identifier,
    STATE(1091), 1,
      sym_template_parameter_list,
    STATE(3104), 1,
      sym_template_type,
  [279950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(11826), 1,
      anon_sym_SEMI,
    STATE(5280), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [279964] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11721), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11723), 1,
      sym_escape_sequence,
    ACTIONS(11828), 1,
      anon_sym_DQUOTE,
    STATE(7479), 1,
      aux_sym_string_literal_repeat1,
  [279980] = 4,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11830), 1,
      anon_sym_SQUOTE,
    STATE(7483), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11727), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [279994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(11832), 1,
      anon_sym_SEMI,
    STATE(7534), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [280008] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11721), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11723), 1,
      sym_escape_sequence,
    ACTIONS(11834), 1,
      anon_sym_DQUOTE,
    STATE(7479), 1,
      aux_sym_string_literal_repeat1,
  [280024] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11836), 1,
      anon_sym_DQUOTE,
    ACTIONS(11838), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11840), 1,
      sym_escape_sequence,
    STATE(7565), 1,
      aux_sym_string_literal_repeat1,
  [280040] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11842), 1,
      anon_sym_DQUOTE,
    ACTIONS(11844), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11846), 1,
      sym_escape_sequence,
    STATE(7596), 1,
      aux_sym_string_literal_repeat1,
  [280056] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(11848), 1,
      anon_sym_SEMI,
    STATE(5280), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [280070] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(9007), 1,
      anon_sym_LBRACE,
    STATE(5584), 1,
      sym_field_declaration_list,
    STATE(8584), 1,
      sym_base_class_clause,
  [280086] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11721), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11723), 1,
      sym_escape_sequence,
    ACTIONS(11850), 1,
      anon_sym_DQUOTE,
    STATE(7479), 1,
      aux_sym_string_literal_repeat1,
  [280102] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11852), 1,
      anon_sym_DQUOTE,
    ACTIONS(11854), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11856), 1,
      sym_escape_sequence,
    STATE(7570), 1,
      aux_sym_string_literal_repeat1,
  [280118] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10400), 1,
      anon_sym_LBRACE,
    STATE(4123), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [280132] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(11676), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11858), 1,
      anon_sym_GT2,
    STATE(8191), 1,
      aux_sym_template_argument_list_repeat1,
  [280148] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11775), 1,
      anon_sym_LPAREN,
    ACTIONS(11860), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11862), 1,
      sym_preproc_arg,
    STATE(8293), 1,
      sym_preproc_params,
  [280164] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11721), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11723), 1,
      sym_escape_sequence,
    ACTIONS(11864), 1,
      anon_sym_DQUOTE,
    STATE(7479), 1,
      aux_sym_string_literal_repeat1,
  [280180] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11866), 1,
      anon_sym_DQUOTE,
    ACTIONS(11868), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11870), 1,
      sym_escape_sequence,
    STATE(7640), 1,
      aux_sym_string_literal_repeat1,
  [280196] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11872), 1,
      anon_sym_DQUOTE,
    ACTIONS(11874), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11876), 1,
      sym_escape_sequence,
    STATE(7575), 1,
      aux_sym_string_literal_repeat1,
  [280212] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11775), 1,
      anon_sym_LPAREN,
    ACTIONS(11878), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11880), 1,
      sym_preproc_arg,
    STATE(8287), 1,
      sym_preproc_params,
  [280228] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10685), 1,
      anon_sym_COLON,
    STATE(7826), 1,
      sym_compound_statement,
    STATE(8231), 1,
      sym_field_initializer_list,
  [280244] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11882), 1,
      anon_sym_COMMA,
    STATE(7558), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11884), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [280258] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3719), 1,
      anon_sym_LBRACE,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    STATE(3598), 1,
      sym_argument_list,
    STATE(5131), 1,
      sym_initializer_list,
  [280274] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(11676), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11886), 1,
      anon_sym_GT2,
    STATE(8226), 1,
      aux_sym_template_argument_list_repeat1,
  [280290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_LBRACE,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    STATE(3598), 1,
      sym_argument_list,
    STATE(3738), 1,
      sym_initializer_list,
  [280306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11888), 1,
      anon_sym_COMMA,
    STATE(7584), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11891), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [280320] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11721), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11723), 1,
      sym_escape_sequence,
    ACTIONS(11893), 1,
      anon_sym_DQUOTE,
    STATE(7479), 1,
      aux_sym_string_literal_repeat1,
  [280336] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11895), 1,
      anon_sym_DQUOTE,
    ACTIONS(11897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11899), 1,
      sym_escape_sequence,
    STATE(7585), 1,
      aux_sym_string_literal_repeat1,
  [280352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    ACTIONS(11901), 1,
      anon_sym_SEMI,
    STATE(2014), 1,
      sym_template_argument_list,
  [280368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(11676), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11903), 1,
      anon_sym_GT2,
    STATE(8206), 1,
      aux_sym_template_argument_list_repeat1,
  [280384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10424), 1,
      anon_sym_LBRACE,
    STATE(3932), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [280398] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11721), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11723), 1,
      sym_escape_sequence,
    ACTIONS(11905), 1,
      anon_sym_DQUOTE,
    STATE(7479), 1,
      aux_sym_string_literal_repeat1,
  [280414] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(6524), 1,
      anon_sym_LBRACE,
    STATE(3166), 1,
      sym_field_declaration_list,
    STATE(8425), 1,
      sym_base_class_clause,
  [280430] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(6546), 1,
      anon_sym_LBRACE,
    STATE(3345), 1,
      sym_field_declaration_list,
    STATE(8332), 1,
      sym_base_class_clause,
  [280446] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11907), 1,
      anon_sym_DQUOTE,
    ACTIONS(11909), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11911), 1,
      sym_escape_sequence,
    STATE(7590), 1,
      aux_sym_string_literal_repeat1,
  [280462] = 4,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11913), 1,
      anon_sym_SQUOTE,
    STATE(7483), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11727), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [280476] = 4,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11915), 1,
      anon_sym_SQUOTE,
    STATE(7483), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11727), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [280490] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11721), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11723), 1,
      sym_escape_sequence,
    ACTIONS(11917), 1,
      anon_sym_DQUOTE,
    STATE(7479), 1,
      aux_sym_string_literal_repeat1,
  [280506] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11775), 1,
      anon_sym_LPAREN,
    ACTIONS(11919), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11921), 1,
      sym_preproc_arg,
    STATE(8622), 1,
      sym_preproc_params,
  [280522] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    STATE(4246), 1,
      sym_argument_list,
    STATE(4264), 1,
      sym_initializer_list,
  [280538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(11676), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11923), 1,
      anon_sym_GT2,
    STATE(8130), 1,
      aux_sym_template_argument_list_repeat1,
  [280554] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(11676), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11925), 1,
      anon_sym_GT2,
    STATE(8186), 1,
      aux_sym_template_argument_list_repeat1,
  [280570] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 1,
      anon_sym_LT,
    ACTIONS(11680), 1,
      sym_identifier,
    STATE(3104), 1,
      sym_template_type,
    STATE(7454), 1,
      sym_template_parameter_list,
  [280586] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11721), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11723), 1,
      sym_escape_sequence,
    ACTIONS(11927), 1,
      anon_sym_DQUOTE,
    STATE(7479), 1,
      aux_sym_string_literal_repeat1,
  [280602] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5206), 1,
      anon_sym_LBRACE,
    ACTIONS(11705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11929), 1,
      anon_sym_EQ,
    STATE(914), 1,
      sym_declaration_list,
  [280618] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11931), 1,
      anon_sym_DQUOTE,
    ACTIONS(11933), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11935), 1,
      sym_escape_sequence,
    STATE(7562), 1,
      aux_sym_string_literal_repeat1,
  [280634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9667), 1,
      anon_sym_LBRACE,
    ACTIONS(11711), 1,
      anon_sym_LPAREN2,
    STATE(4273), 1,
      sym_requirement_seq,
    STATE(8563), 1,
      sym_requires_parameter_list,
  [280650] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11937), 1,
      anon_sym_DQUOTE,
    ACTIONS(11939), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11941), 1,
      sym_escape_sequence,
    STATE(7602), 1,
      aux_sym_string_literal_repeat1,
  [280666] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11711), 1,
      anon_sym_LPAREN2,
    ACTIONS(11943), 1,
      anon_sym_LBRACE,
    STATE(2032), 1,
      sym_requirement_seq,
    STATE(8324), 1,
      sym_requires_parameter_list,
  [280682] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(11676), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11945), 1,
      anon_sym_GT2,
    STATE(8165), 1,
      aux_sym_template_argument_list_repeat1,
  [280698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10390), 1,
      anon_sym_LBRACE,
    STATE(4460), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [280712] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11721), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11723), 1,
      sym_escape_sequence,
    ACTIONS(11947), 1,
      anon_sym_DQUOTE,
    STATE(7479), 1,
      aux_sym_string_literal_repeat1,
  [280728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10422), 1,
      anon_sym_LBRACE,
    STATE(6435), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [280742] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11949), 1,
      anon_sym_DQUOTE,
    ACTIONS(11951), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11953), 1,
      sym_escape_sequence,
    STATE(7610), 1,
      aux_sym_string_literal_repeat1,
  [280758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(11955), 1,
      anon_sym_SEMI,
    STATE(7656), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [280772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(11676), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11957), 1,
      anon_sym_GT2,
    STATE(8144), 1,
      aux_sym_template_argument_list_repeat1,
  [280788] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11959), 1,
      anon_sym___except,
    ACTIONS(11961), 1,
      anon_sym___finally,
    STATE(776), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [280802] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11721), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11723), 1,
      sym_escape_sequence,
    ACTIONS(11963), 1,
      anon_sym_DQUOTE,
    STATE(7479), 1,
      aux_sym_string_literal_repeat1,
  [280818] = 4,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11965), 1,
      anon_sym_SQUOTE,
    STATE(7483), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11727), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [280832] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(11967), 1,
      anon_sym_SEMI,
    STATE(7666), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [280846] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11969), 1,
      anon_sym_DQUOTE,
    ACTIONS(11971), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11973), 1,
      sym_escape_sequence,
    STATE(7616), 1,
      aux_sym_string_literal_repeat1,
  [280862] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11975), 1,
      anon_sym_DQUOTE,
    ACTIONS(11977), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11979), 1,
      sym_escape_sequence,
    STATE(7493), 1,
      aux_sym_string_literal_repeat1,
  [280878] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(6524), 1,
      anon_sym_LBRACE,
    STATE(3126), 1,
      sym_field_declaration_list,
    STATE(8381), 1,
      sym_base_class_clause,
  [280894] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    STATE(2860), 1,
      sym_field_declaration_list,
    STATE(8281), 1,
      sym_base_class_clause,
  [280910] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 1,
      anon_sym_LT,
    ACTIONS(11680), 1,
      sym_identifier,
    STATE(1089), 1,
      sym_template_parameter_list,
    STATE(3104), 1,
      sym_template_type,
  [280926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(11676), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11981), 1,
      anon_sym_GT2,
    STATE(8120), 1,
      aux_sym_template_argument_list_repeat1,
  [280942] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11721), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11723), 1,
      sym_escape_sequence,
    ACTIONS(11983), 1,
      anon_sym_DQUOTE,
    STATE(7479), 1,
      aux_sym_string_literal_repeat1,
  [280958] = 4,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11985), 1,
      anon_sym_SQUOTE,
    STATE(7483), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11727), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [280972] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    STATE(2946), 1,
      sym_argument_list,
    STATE(4556), 1,
      sym_initializer_list,
  [280988] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    ACTIONS(11987), 1,
      anon_sym_SEMI,
    STATE(2014), 1,
      sym_template_argument_list,
  [281004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(11676), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11989), 1,
      anon_sym_GT2,
    STATE(8017), 1,
      aux_sym_template_argument_list_repeat1,
  [281020] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11991), 1,
      anon_sym_DQUOTE,
    ACTIONS(11993), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11995), 1,
      sym_escape_sequence,
    STATE(7625), 1,
      aux_sym_string_literal_repeat1,
  [281036] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11997), 1,
      anon_sym___except,
    ACTIONS(11999), 1,
      anon_sym___finally,
    STATE(840), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [281050] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(6546), 1,
      anon_sym_LBRACE,
    STATE(3341), 1,
      sym_field_declaration_list,
    STATE(8406), 1,
      sym_base_class_clause,
  [281066] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    ACTIONS(12001), 1,
      anon_sym_SEMI,
    STATE(2014), 1,
      sym_template_argument_list,
  [281082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10408), 1,
      anon_sym_LBRACE,
    STATE(3616), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [281096] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(12003), 1,
      anon_sym_SEMI,
    STATE(7561), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [281110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10408), 1,
      anon_sym_LBRACE,
    STATE(3724), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [281124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5107), 1,
      anon_sym_SEMI,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(2208), 1,
      sym_template_argument_list,
  [281140] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(11676), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12005), 1,
      anon_sym_GT2,
    STATE(8094), 1,
      aux_sym_template_argument_list_repeat1,
  [281156] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(6255), 1,
      anon_sym_LBRACE,
    STATE(3076), 1,
      sym_field_declaration_list,
    STATE(8335), 1,
      sym_base_class_clause,
  [281172] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11721), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11723), 1,
      sym_escape_sequence,
    ACTIONS(12007), 1,
      anon_sym_DQUOTE,
    STATE(7479), 1,
      aux_sym_string_literal_repeat1,
  [281188] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10408), 1,
      anon_sym_LBRACE,
    STATE(3539), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [281202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(11676), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12009), 1,
      anon_sym_GT2,
    STATE(7990), 1,
      aux_sym_template_argument_list_repeat1,
  [281218] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11721), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11723), 1,
      sym_escape_sequence,
    ACTIONS(12011), 1,
      anon_sym_DQUOTE,
    STATE(7479), 1,
      aux_sym_string_literal_repeat1,
  [281234] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11882), 1,
      anon_sym_COMMA,
    STATE(7580), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(12013), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [281248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12015), 1,
      anon_sym_COMMA,
    STATE(7584), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(12017), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [281262] = 4,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(12019), 1,
      anon_sym_SQUOTE,
    STATE(7483), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11727), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [281276] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    ACTIONS(12021), 1,
      anon_sym_SEMI,
    STATE(2014), 1,
      sym_template_argument_list,
  [281292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(6255), 1,
      anon_sym_LBRACE,
    STATE(3090), 1,
      sym_field_declaration_list,
    STATE(8339), 1,
      sym_base_class_clause,
  [281308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10390), 1,
      anon_sym_LBRACE,
    STATE(4484), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [281322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12023), 1,
      anon_sym_COMMA,
    STATE(7650), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(12026), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [281336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10400), 1,
      anon_sym_LBRACE,
    STATE(3939), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [281350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10424), 1,
      anon_sym_LBRACE,
    STATE(4038), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [281364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12028), 1,
      anon_sym_EQ,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281378] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(12030), 1,
      anon_sym_SEMI,
    STATE(7686), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [281392] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(12032), 1,
      anon_sym_DQUOTE,
    ACTIONS(12034), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12036), 1,
      sym_escape_sequence,
    STATE(7643), 1,
      aux_sym_string_literal_repeat1,
  [281408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(12038), 1,
      anon_sym_SEMI,
    STATE(5280), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [281422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9691), 1,
      anon_sym_LBRACE,
    ACTIONS(11711), 1,
      anon_sym_LPAREN2,
    STATE(4115), 1,
      sym_requirement_seq,
    STATE(8375), 1,
      sym_requires_parameter_list,
  [281438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    STATE(8077), 2,
      sym_argument_list,
      sym_initializer_list,
  [281452] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 1,
      anon_sym_LBRACE,
    ACTIONS(11705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12040), 1,
      anon_sym_EQ,
    STATE(879), 1,
      sym_declaration_list,
  [281468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12042), 1,
      anon_sym_EQ,
    STATE(7746), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281482] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10422), 1,
      anon_sym_LBRACE,
    STATE(6466), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [281496] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(12044), 1,
      anon_sym_SEMI,
    STATE(5280), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [281510] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10446), 1,
      anon_sym_LBRACE,
    STATE(5071), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [281524] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    STATE(4561), 1,
      sym_field_declaration_list,
    STATE(8379), 1,
      sym_base_class_clause,
  [281540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(12046), 1,
      anon_sym_SEMI,
    STATE(7692), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [281554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(12048), 1,
      anon_sym_SEMI,
    STATE(5280), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [281568] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11721), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11723), 1,
      sym_escape_sequence,
    ACTIONS(12050), 1,
      anon_sym_DQUOTE,
    STATE(7479), 1,
      aux_sym_string_literal_repeat1,
  [281584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(12052), 1,
      anon_sym_SEMI,
    STATE(5280), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [281598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10446), 1,
      anon_sym_LBRACE,
    STATE(5050), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [281612] = 4,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(12054), 1,
      anon_sym_SQUOTE,
    STATE(7483), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11727), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [281626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(11676), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12056), 1,
      anon_sym_GT2,
    STATE(8026), 1,
      aux_sym_template_argument_list_repeat1,
  [281642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(12058), 1,
      anon_sym_SEMI,
    STATE(5280), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [281656] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(7828), 1,
      anon_sym_LBRACE,
    STATE(4675), 1,
      sym_field_declaration_list,
    STATE(8393), 1,
      sym_base_class_clause,
  [281672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    STATE(2957), 1,
      sym_field_declaration_list,
    STATE(8291), 1,
      sym_base_class_clause,
  [281688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(12060), 1,
      anon_sym_SEMI,
    STATE(7509), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [281702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12062), 1,
      anon_sym_COMMA,
    STATE(7676), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(12065), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [281716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(12067), 1,
      anon_sym_SEMI,
    STATE(7668), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [281730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10446), 1,
      anon_sym_LBRACE,
    STATE(5011), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [281744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9712), 1,
      anon_sym_LBRACE,
    ACTIONS(11711), 1,
      anon_sym_LPAREN2,
    STATE(3643), 1,
      sym_requirement_seq,
    STATE(8422), 1,
      sym_requires_parameter_list,
  [281760] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_LBRACE,
    ACTIONS(5791), 1,
      anon_sym_LPAREN2,
    STATE(2879), 1,
      sym_initializer_list,
    STATE(2946), 1,
      sym_argument_list,
  [281776] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11721), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11723), 1,
      sym_escape_sequence,
    ACTIONS(12069), 1,
      anon_sym_DQUOTE,
    STATE(7479), 1,
      aux_sym_string_literal_repeat1,
  [281792] = 4,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(12071), 1,
      anon_sym_SQUOTE,
    STATE(7483), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11727), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [281806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(7828), 1,
      anon_sym_LBRACE,
    STATE(4676), 1,
      sym_field_declaration_list,
    STATE(8409), 1,
      sym_base_class_clause,
  [281822] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    STATE(4534), 1,
      sym_field_declaration_list,
    STATE(8383), 1,
      sym_base_class_clause,
  [281838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10390), 1,
      anon_sym_LBRACE,
    STATE(4506), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [281852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(12073), 1,
      anon_sym_SEMI,
    STATE(5280), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [281866] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10398), 1,
      anon_sym_LBRACE,
    STATE(4189), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [281880] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11775), 1,
      anon_sym_LPAREN,
    ACTIONS(12075), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12077), 1,
      sym_preproc_arg,
    STATE(8234), 1,
      sym_preproc_params,
  [281896] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(12079), 1,
      anon_sym_DQUOTE,
    ACTIONS(12081), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12083), 1,
      sym_escape_sequence,
    STATE(7681), 1,
      aux_sym_string_literal_repeat1,
  [281912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10422), 1,
      anon_sym_LBRACE,
    STATE(6413), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [281926] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(12085), 1,
      anon_sym_DQUOTE,
    ACTIONS(12087), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12089), 1,
      sym_escape_sequence,
    STATE(7667), 1,
      aux_sym_string_literal_repeat1,
  [281942] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(12091), 1,
      anon_sym_SEMI,
    STATE(5280), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [281956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(12093), 1,
      anon_sym_SEMI,
    STATE(5280), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [281970] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10394), 1,
      anon_sym_LBRACE,
    STATE(6666), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [281984] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12095), 1,
      anon_sym_EQ,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7143), 1,
      sym_access_specifier,
    ACTIONS(11739), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [282010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(12097), 1,
      anon_sym_SEMI,
    STATE(5280), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [282024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(12099), 1,
      anon_sym_SEMI,
    STATE(7693), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [282038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11300), 1,
      anon_sym_EQ,
    STATE(7695), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [282052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10394), 1,
      anon_sym_LBRACE,
    STATE(6676), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [282066] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11735), 1,
      anon_sym_COMMA,
    ACTIONS(12101), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12103), 1,
      anon_sym_LBRACE,
    STATE(7784), 1,
      aux_sym_base_class_clause_repeat1,
  [282082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12105), 1,
      anon_sym_EQ,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [282096] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11319), 1,
      anon_sym_EQ,
    STATE(7702), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [282110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12107), 1,
      anon_sym_EQ,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [282124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11244), 1,
      anon_sym_EQ,
    STATE(7704), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [282138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(11676), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12109), 1,
      anon_sym_GT2,
    STATE(7944), 1,
      aux_sym_template_argument_list_repeat1,
  [282154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(7597), 1,
      anon_sym_LBRACE,
    STATE(4622), 1,
      sym_field_declaration_list,
    STATE(8469), 1,
      sym_base_class_clause,
  [282170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12111), 1,
      anon_sym_EQ,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [282184] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11775), 1,
      anon_sym_LPAREN,
    ACTIONS(12113), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12115), 1,
      sym_preproc_arg,
    STATE(8585), 1,
      sym_preproc_params,
  [282200] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12117), 1,
      anon_sym___except,
    ACTIONS(12119), 1,
      anon_sym___finally,
    STATE(844), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [282214] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12121), 1,
      anon_sym_COMMA,
    STATE(7739), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(12123), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [282228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(12125), 1,
      anon_sym_SEMI,
    STATE(7697), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [282242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    STATE(4536), 1,
      sym_field_declaration_list,
    STATE(8521), 1,
      sym_base_class_clause,
  [282258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10394), 1,
      anon_sym_LBRACE,
    STATE(6669), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [282272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9699), 1,
      anon_sym_LBRACE,
    ACTIONS(11711), 1,
      anon_sym_LPAREN2,
    STATE(4978), 1,
      sym_requirement_seq,
    STATE(8502), 1,
      sym_requires_parameter_list,
  [282288] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11721), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11723), 1,
      sym_escape_sequence,
    ACTIONS(12127), 1,
      anon_sym_DQUOTE,
    STATE(7479), 1,
      aux_sym_string_literal_repeat1,
  [282304] = 4,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(12129), 1,
      anon_sym_SQUOTE,
    STATE(7483), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11727), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [282318] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(7597), 1,
      anon_sym_LBRACE,
    STATE(4630), 1,
      sym_field_declaration_list,
    STATE(8480), 1,
      sym_base_class_clause,
  [282334] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2839), 1,
      anon_sym_LBRACE,
    ACTIONS(6761), 1,
      anon_sym_LPAREN2,
    STATE(4103), 1,
      sym_argument_list,
    STATE(4430), 1,
      sym_initializer_list,
  [282350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    STATE(6003), 1,
      sym_field_declaration_list,
    STATE(8540), 1,
      sym_base_class_clause,
  [282366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7173), 1,
      sym_access_specifier,
    ACTIONS(11739), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [282378] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(12131), 1,
      anon_sym_DQUOTE,
    ACTIONS(12133), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12135), 1,
      sym_escape_sequence,
    STATE(7716), 1,
      aux_sym_string_literal_repeat1,
  [282394] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    STATE(6017), 1,
      sym_field_declaration_list,
    STATE(8544), 1,
      sym_base_class_clause,
  [282410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    STATE(3742), 1,
      sym_field_declaration_list,
    STATE(8611), 1,
      sym_base_class_clause,
  [282426] = 4,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(12137), 1,
      anon_sym_SQUOTE,
    STATE(7483), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11727), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [282440] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11721), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11723), 1,
      sym_escape_sequence,
    ACTIONS(12139), 1,
      anon_sym_DQUOTE,
    STATE(7479), 1,
      aux_sym_string_literal_repeat1,
  [282456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11735), 1,
      anon_sym_COMMA,
    ACTIONS(12141), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12143), 1,
      anon_sym_LBRACE,
    STATE(7844), 1,
      aux_sym_base_class_clause_repeat1,
  [282472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12145), 1,
      anon_sym_SEMI,
    ACTIONS(12147), 1,
      anon_sym_DASH_GT,
    ACTIONS(12149), 1,
      anon_sym_noexcept,
    STATE(9342), 1,
      sym_trailing_return_type,
  [282488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11240), 1,
      anon_sym_EQ,
    STATE(7708), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [282502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(12151), 1,
      anon_sym_SEMI,
    STATE(7770), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [282516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(12153), 1,
      anon_sym_SEMI,
    STATE(5280), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [282530] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(12155), 1,
      anon_sym_SEMI,
    STATE(7568), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [282544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12157), 1,
      anon_sym_EQ,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [282558] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(11592), 1,
      aux_sym_preproc_if_token2,
    STATE(7772), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9244), 1,
      sym_enumerator,
  [282574] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10398), 1,
      anon_sym_LBRACE,
    STATE(4209), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [282588] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(12159), 1,
      anon_sym_DQUOTE,
    ACTIONS(12161), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12163), 1,
      sym_escape_sequence,
    STATE(7762), 1,
      aux_sym_string_literal_repeat1,
  [282604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12015), 1,
      anon_sym_COMMA,
    STATE(7645), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(12165), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [282618] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    STATE(3556), 1,
      sym_field_declaration_list,
    STATE(8528), 1,
      sym_base_class_clause,
  [282634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12121), 1,
      anon_sym_COMMA,
    STATE(7650), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(12167), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [282648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(12169), 1,
      anon_sym_SEMI,
    STATE(7731), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [282662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12171), 1,
      anon_sym_EQ,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [282676] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11775), 1,
      anon_sym_LPAREN,
    ACTIONS(12173), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12175), 1,
      sym_preproc_arg,
    STATE(8606), 1,
      sym_preproc_params,
  [282692] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(12177), 1,
      anon_sym_SEMI,
    STATE(5280), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [282706] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(12179), 1,
      anon_sym_DQUOTE,
    ACTIONS(12181), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12183), 1,
      sym_escape_sequence,
    STATE(7726), 1,
      aux_sym_string_literal_repeat1,
  [282722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11264), 1,
      anon_sym_EQ,
    STATE(7733), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [282736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12185), 1,
      anon_sym_EQ,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [282750] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11735), 1,
      anon_sym_COMMA,
    ACTIONS(12187), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12189), 1,
      anon_sym_LBRACE,
    STATE(8016), 1,
      aux_sym_base_class_clause_repeat1,
  [282766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(12191), 1,
      anon_sym_SEMI,
    STATE(7743), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [282780] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(11676), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12193), 1,
      anon_sym_GT2,
    STATE(7842), 1,
      aux_sym_template_argument_list_repeat1,
  [282796] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11268), 1,
      anon_sym_EQ,
    STATE(7741), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [282810] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10398), 1,
      anon_sym_LBRACE,
    STATE(4208), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [282824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12195), 1,
      anon_sym_EQ,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [282838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10560), 1,
      sym_identifier,
    ACTIONS(12197), 1,
      aux_sym_preproc_if_token2,
    STATE(7757), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [282852] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 1,
      anon_sym_LT,
    ACTIONS(11680), 1,
      sym_identifier,
    STATE(1093), 1,
      sym_template_parameter_list,
    STATE(3104), 1,
      sym_template_type,
  [282868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12199), 1,
      anon_sym_EQ,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [282882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    ACTIONS(12201), 1,
      anon_sym_SEMI,
    STATE(2014), 1,
      sym_template_argument_list,
  [282898] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10560), 1,
      sym_identifier,
    ACTIONS(12203), 1,
      aux_sym_preproc_if_token2,
    STATE(7278), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [282912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7164), 1,
      sym_access_specifier,
    ACTIONS(11739), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [282924] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(9179), 1,
      anon_sym_LBRACE,
    STATE(5748), 1,
      sym_field_declaration_list,
    STATE(8590), 1,
      sym_base_class_clause,
  [282940] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11272), 1,
      anon_sym_EQ,
    STATE(7653), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [282954] = 4,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(12205), 1,
      anon_sym_SQUOTE,
    STATE(7483), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11727), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [282968] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11721), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11723), 1,
      sym_escape_sequence,
    ACTIONS(12207), 1,
      anon_sym_DQUOTE,
    STATE(7479), 1,
      aux_sym_string_literal_repeat1,
  [282984] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(2027), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [282998] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(11676), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12209), 1,
      anon_sym_GT2,
    STATE(7911), 1,
      aux_sym_template_argument_list_repeat1,
  [283014] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9675), 1,
      anon_sym_LBRACE,
    ACTIONS(11711), 1,
      anon_sym_LPAREN2,
    STATE(4513), 1,
      sym_requirement_seq,
    STATE(8270), 1,
      sym_requires_parameter_list,
  [283030] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7118), 1,
      anon_sym_LT,
    ACTIONS(12211), 1,
      anon_sym_SEMI,
    STATE(2014), 1,
      sym_template_argument_list,
  [283046] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12213), 1,
      anon_sym_EQ,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [283060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12215), 1,
      anon_sym___except,
    ACTIONS(12217), 1,
      anon_sym___finally,
    STATE(1159), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [283074] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12219), 1,
      anon_sym_COMMA,
    STATE(7769), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(12222), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [283088] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(12224), 1,
      anon_sym_SEMI,
    STATE(5280), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [283102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11711), 1,
      anon_sym_LPAREN2,
    ACTIONS(12226), 1,
      anon_sym_LBRACE,
    STATE(6656), 1,
      sym_requirement_seq,
    STATE(8615), 1,
      sym_requires_parameter_list,
  [283118] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10697), 1,
      sym_identifier,
    ACTIONS(12228), 1,
      aux_sym_preproc_if_token2,
    STATE(7283), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9244), 1,
      sym_enumerator,
  [283134] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11284), 1,
      anon_sym_EQ,
    STATE(7767), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [283148] = 5,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(11775), 1,
      anon_sym_LPAREN,
    ACTIONS(12230), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12232), 1,
      sym_preproc_arg,
    STATE(8240), 1,
      sym_preproc_params,
  [283164] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_COLON,
    ACTIONS(9179), 1,
      anon_sym_LBRACE,
    STATE(5733), 1,
      sym_field_declaration_list,
    STATE(8562), 1,
      sym_base_class_clause,
  [283180] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(2028), 1,
      sym_compound_statement,
    ACTIONS(10460), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [283194] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8608), 1,
      anon_sym_RPAREN,
    STATE(7965), 1,
      aux_sym_argument_list_repeat1,
  [283207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12236), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [283218] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12238), 1,
      anon_sym_SEMI,
    STATE(7845), 1,
      aux_sym_declaration_repeat1,
  [283231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12240), 1,
      anon_sym_catch,
    STATE(461), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [283242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12242), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [283255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11196), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [283264] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12244), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [283277] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11735), 1,
      anon_sym_COMMA,
    ACTIONS(12189), 1,
      anon_sym_LBRACE,
    STATE(7935), 1,
      aux_sym_base_class_clause_repeat1,
  [283290] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12246), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [283303] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12248), 1,
      anon_sym_SEMI,
    STATE(7951), 1,
      aux_sym_declaration_repeat1,
  [283316] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12250), 1,
      anon_sym_COMMA,
    ACTIONS(12252), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7806), 1,
      aux_sym_attribute_declaration_repeat1,
  [283329] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11735), 1,
      anon_sym_COMMA,
    ACTIONS(12189), 1,
      anon_sym_LBRACE,
    STATE(8016), 1,
      aux_sym_base_class_clause_repeat1,
  [283342] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12254), 1,
      anon_sym_RPAREN,
    ACTIONS(12256), 1,
      anon_sym_COLON,
    STATE(7846), 1,
      sym_gnu_asm_output_operand_list,
  [283355] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12258), 1,
      anon_sym_GT2,
    STATE(7913), 1,
      aux_sym_template_argument_list_repeat1,
  [283368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12260), 1,
      anon_sym_catch,
    STATE(2073), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [283379] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12256), 1,
      anon_sym_COLON,
    ACTIONS(12262), 1,
      anon_sym_RPAREN,
    STATE(7897), 1,
      sym_gnu_asm_output_operand_list,
  [283392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12264), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12266), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [283403] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8706), 1,
      anon_sym_COMMA,
    ACTIONS(8708), 1,
      anon_sym_RBRACE,
    STATE(7829), 1,
      aux_sym_initializer_list_repeat1,
  [283416] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8620), 1,
      anon_sym_COMMA,
    ACTIONS(8622), 1,
      anon_sym_RBRACE,
    STATE(7894), 1,
      aux_sym_initializer_list_repeat1,
  [283429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12268), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [283442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12270), 1,
      anon_sym_SEMI,
    STATE(7822), 1,
      aux_sym_declaration_repeat1,
  [283455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12272), 1,
      anon_sym_COMMA,
    ACTIONS(12274), 1,
      anon_sym_RPAREN,
    STATE(7914), 1,
      aux_sym_parameter_list_repeat1,
  [283468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12276), 1,
      anon_sym_catch,
    STATE(439), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [283479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12250), 1,
      anon_sym_COMMA,
    ACTIONS(12278), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7902), 1,
      aux_sym_attribute_declaration_repeat1,
  [283492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12280), 1,
      sym_identifier,
    STATE(3104), 1,
      sym_template_type,
    STATE(3857), 1,
      sym_template_function,
  [283505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12282), 1,
      anon_sym_catch,
    STATE(264), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [283516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8486), 1,
      anon_sym_COMMA,
    ACTIONS(8656), 1,
      anon_sym_RBRACK,
    STATE(7858), 1,
      aux_sym_subscript_argument_list_repeat1,
  [283529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12147), 1,
      anon_sym_DASH_GT,
    ACTIONS(12284), 1,
      anon_sym_SEMI,
    STATE(9426), 1,
      sym_trailing_return_type,
  [283542] = 4,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(12286), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12288), 1,
      anon_sym_LPAREN2,
    STATE(8962), 1,
      sym_preproc_argument_list,
  [283555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12250), 1,
      anon_sym_COMMA,
    ACTIONS(12290), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7902), 1,
      aux_sym_attribute_declaration_repeat1,
  [283568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8744), 1,
      anon_sym_RPAREN,
    STATE(7833), 1,
      aux_sym_argument_list_repeat1,
  [283581] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8674), 1,
      anon_sym_RPAREN,
    STATE(7904), 1,
      aux_sym_argument_list_repeat1,
  [283594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5198), 1,
      anon_sym_LBRACE,
    ACTIONS(11705), 1,
      anon_sym_COLON_COLON,
    STATE(454), 1,
      sym_declaration_list,
  [283607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8720), 1,
      anon_sym_RPAREN,
    STATE(8203), 1,
      aux_sym_argument_list_repeat1,
  [283620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12250), 1,
      anon_sym_COMMA,
    ACTIONS(12292), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7902), 1,
      aux_sym_attribute_declaration_repeat1,
  [283633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8642), 1,
      anon_sym_RPAREN,
    STATE(7965), 1,
      aux_sym_argument_list_repeat1,
  [283646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8714), 1,
      anon_sym_RPAREN,
    STATE(7812), 1,
      aux_sym_argument_list_repeat1,
  [283659] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12256), 1,
      anon_sym_COLON,
    ACTIONS(12294), 1,
      anon_sym_RPAREN,
    STATE(7839), 1,
      sym_gnu_asm_output_operand_list,
  [283672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12296), 1,
      anon_sym_GT2,
    STATE(7843), 1,
      aux_sym_template_argument_list_repeat1,
  [283685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12250), 1,
      anon_sym_COMMA,
    ACTIONS(12298), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7902), 1,
      aux_sym_attribute_declaration_repeat1,
  [283698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12300), 1,
      sym_identifier,
    STATE(2932), 1,
      sym_template_function,
    STATE(3104), 1,
      sym_template_type,
  [283711] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    STATE(7501), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12302), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [283722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12304), 1,
      anon_sym_SEMI,
    STATE(7796), 1,
      aux_sym_declaration_repeat1,
  [283735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12306), 1,
      anon_sym_SEMI,
    STATE(7848), 1,
      aux_sym_declaration_repeat1,
  [283748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12308), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [283761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12310), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [283774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12312), 1,
      anon_sym_COMMA,
    ACTIONS(12315), 1,
      anon_sym_RPAREN,
    STATE(7823), 1,
      aux_sym_preproc_params_repeat1,
  [283787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    ACTIONS(12319), 1,
      anon_sym_constexpr,
    STATE(198), 1,
      sym_condition_clause,
  [283800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10106), 1,
      anon_sym_RPAREN,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    STATE(7825), 1,
      aux_sym_preproc_argument_list_repeat1,
  [283813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12324), 1,
      anon_sym_catch,
    STATE(2240), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [283824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8826), 1,
      anon_sym_RBRACK,
    ACTIONS(12326), 1,
      anon_sym_COMMA,
    STATE(7827), 1,
      aux_sym_subscript_argument_list_repeat1,
  [283837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12329), 1,
      sym_identifier,
    STATE(3104), 1,
      sym_template_type,
    STATE(3189), 1,
      sym_template_function,
  [283850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4432), 1,
      anon_sym_RBRACE,
    ACTIONS(12331), 1,
      anon_sym_COMMA,
    STATE(7917), 1,
      aux_sym_initializer_list_repeat1,
  [283863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8572), 1,
      anon_sym_COMMA,
    ACTIONS(8574), 1,
      anon_sym_RBRACE,
    STATE(7916), 1,
      aux_sym_initializer_list_repeat1,
  [283876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12256), 1,
      anon_sym_COLON,
    ACTIONS(12333), 1,
      anon_sym_RPAREN,
    STATE(7872), 1,
      sym_gnu_asm_output_operand_list,
  [283889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12335), 1,
      anon_sym_SEMI,
    STATE(7781), 1,
      aux_sym_declaration_repeat1,
  [283902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8696), 1,
      anon_sym_RPAREN,
    STATE(7965), 1,
      aux_sym_argument_list_repeat1,
  [283915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11735), 1,
      anon_sym_COMMA,
    ACTIONS(11737), 1,
      anon_sym_LBRACE,
    STATE(7948), 1,
      aux_sym_base_class_clause_repeat1,
  [283928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12337), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [283941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12339), 1,
      anon_sym_COMMA,
    ACTIONS(12342), 1,
      anon_sym_LBRACE,
    STATE(7836), 1,
      aux_sym_field_initializer_list_repeat1,
  [283954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12344), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [283967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12346), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [283980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12348), 1,
      anon_sym_RPAREN,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    STATE(7853), 1,
      sym_gnu_asm_input_operand_list,
  [283993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12256), 1,
      anon_sym_COLON,
    ACTIONS(12352), 1,
      anon_sym_RPAREN,
    STATE(7854), 1,
      sym_gnu_asm_output_operand_list,
  [284006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12354), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [284019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12356), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [284032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12358), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [284045] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11735), 1,
      anon_sym_COMMA,
    ACTIONS(11737), 1,
      anon_sym_LBRACE,
    STATE(7935), 1,
      aux_sym_base_class_clause_repeat1,
  [284058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12360), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [284071] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12362), 1,
      anon_sym_RPAREN,
    STATE(7871), 1,
      sym_gnu_asm_input_operand_list,
  [284084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12282), 1,
      anon_sym_catch,
    STATE(263), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [284095] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12364), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [284108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12324), 1,
      anon_sym_catch,
    STATE(2230), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [284119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12366), 1,
      anon_sym_COMMA,
    ACTIONS(12368), 1,
      anon_sym_RPAREN,
    STATE(7896), 1,
      aux_sym_throw_specifier_repeat1,
  [284132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(12370), 1,
      anon_sym_RPAREN,
    STATE(7965), 1,
      aux_sym_argument_list_repeat1,
  [284145] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12372), 1,
      anon_sym_COMMA,
    ACTIONS(12374), 1,
      anon_sym_RPAREN,
    STATE(8024), 1,
      aux_sym_requires_parameter_list_repeat1,
  [284158] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12376), 1,
      anon_sym_RPAREN,
    ACTIONS(12378), 1,
      anon_sym_COLON,
    STATE(7856), 1,
      sym_gnu_asm_clobber_list,
  [284171] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12380), 1,
      anon_sym_RPAREN,
    STATE(7857), 1,
      sym_gnu_asm_input_operand_list,
  [284184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12382), 1,
      anon_sym_COMMA,
    ACTIONS(12385), 1,
      anon_sym_RPAREN,
    STATE(7855), 1,
      aux_sym_parameter_list_repeat1,
  [284197] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12387), 1,
      anon_sym_RPAREN,
    ACTIONS(12389), 1,
      anon_sym_COLON,
    STATE(9204), 1,
      sym_gnu_asm_goto_list,
  [284210] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12378), 1,
      anon_sym_COLON,
    ACTIONS(12391), 1,
      anon_sym_RPAREN,
    STATE(7861), 1,
      sym_gnu_asm_clobber_list,
  [284223] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8486), 1,
      anon_sym_COMMA,
    ACTIONS(12393), 1,
      anon_sym_RBRACK,
    STATE(7827), 1,
      aux_sym_subscript_argument_list_repeat1,
  [284236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12256), 1,
      anon_sym_COLON,
    ACTIONS(12395), 1,
      anon_sym_RPAREN,
    STATE(7918), 1,
      sym_gnu_asm_output_operand_list,
  [284249] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9958), 1,
      anon_sym_COMMA,
    ACTIONS(12397), 1,
      anon_sym_RPAREN,
    STATE(7825), 1,
      aux_sym_preproc_argument_list_repeat1,
  [284262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COLON,
    ACTIONS(12399), 1,
      anon_sym_RPAREN,
    STATE(9203), 1,
      sym_gnu_asm_goto_list,
  [284275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12401), 1,
      anon_sym_COMMA,
    ACTIONS(12404), 1,
      anon_sym_RPAREN,
    STATE(7862), 1,
      aux_sym_requires_parameter_list_repeat1,
  [284288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12282), 1,
      anon_sym_catch,
    STATE(261), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [284299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12406), 1,
      anon_sym_catch,
    STATE(2219), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [284310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12408), 1,
      anon_sym_GT2,
    STATE(7955), 1,
      aux_sym_template_argument_list_repeat1,
  [284323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12410), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [284336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    ACTIONS(12412), 1,
      anon_sym_constexpr,
    STATE(219), 1,
      sym_condition_clause,
  [284349] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(12414), 1,
      anon_sym_RPAREN,
    STATE(7965), 1,
      aux_sym_argument_list_repeat1,
  [284362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12416), 1,
      anon_sym_EQ,
    ACTIONS(11256), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [284373] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    STATE(7521), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12418), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [284384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12378), 1,
      anon_sym_COLON,
    ACTIONS(12420), 1,
      anon_sym_RPAREN,
    STATE(7879), 1,
      sym_gnu_asm_clobber_list,
  [284397] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12422), 1,
      anon_sym_RPAREN,
    STATE(7880), 1,
      sym_gnu_asm_input_operand_list,
  [284410] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12424), 1,
      anon_sym_SEMI,
    STATE(7981), 1,
      aux_sym_declaration_repeat1,
  [284423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12426), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [284436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12428), 1,
      anon_sym_SEMI,
    STATE(8196), 1,
      aux_sym_declaration_repeat1,
  [284449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COLON,
    ACTIONS(12430), 1,
      anon_sym_RPAREN,
    STATE(9423), 1,
      sym_gnu_asm_goto_list,
  [284462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12432), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [284475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12378), 1,
      anon_sym_COLON,
    ACTIONS(12434), 1,
      anon_sym_RPAREN,
    STATE(8083), 1,
      sym_gnu_asm_clobber_list,
  [284488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COLON,
    ACTIONS(12436), 1,
      anon_sym_RPAREN,
    STATE(8704), 1,
      sym_gnu_asm_goto_list,
  [284501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12378), 1,
      anon_sym_COLON,
    ACTIONS(12438), 1,
      anon_sym_RPAREN,
    STATE(7883), 1,
      sym_gnu_asm_clobber_list,
  [284514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_catch,
    STATE(2049), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [284525] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12442), 1,
      anon_sym_COMMA,
    ACTIONS(12445), 1,
      anon_sym_GT2,
    STATE(7882), 1,
      aux_sym_template_parameter_list_repeat1,
  [284538] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COLON,
    ACTIONS(12447), 1,
      anon_sym_RPAREN,
    STATE(8709), 1,
      sym_gnu_asm_goto_list,
  [284551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12449), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [284560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12451), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [284569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12250), 1,
      anon_sym_COMMA,
    ACTIONS(12453), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7811), 1,
      aux_sym_attribute_declaration_repeat1,
  [284582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8602), 1,
      anon_sym_COMMA,
    ACTIONS(12455), 1,
      anon_sym_RPAREN,
    STATE(8178), 1,
      aux_sym_generic_expression_repeat1,
  [284595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8750), 1,
      anon_sym_RBRACK,
    ACTIONS(12457), 1,
      anon_sym_COMMA,
    STATE(7888), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [284608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7731), 1,
      anon_sym_EQ,
    ACTIONS(7729), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [284619] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      anon_sym_LBRACE,
    ACTIONS(11705), 1,
      anon_sym_COLON_COLON,
    STATE(1029), 1,
      sym_declaration_list,
  [284632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12460), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [284645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12462), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [284658] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8568), 1,
      anon_sym_COMMA,
    ACTIONS(12464), 1,
      anon_sym_RBRACK,
    STATE(7888), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [284671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4436), 1,
      anon_sym_RBRACE,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    STATE(7917), 1,
      aux_sym_initializer_list_repeat1,
  [284684] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12468), 1,
      anon_sym_COMMA,
    ACTIONS(12471), 1,
      anon_sym_RBRACK,
    STATE(7895), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [284697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12366), 1,
      anon_sym_COMMA,
    ACTIONS(12473), 1,
      anon_sym_RPAREN,
    STATE(8091), 1,
      aux_sym_throw_specifier_repeat1,
  [284710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12475), 1,
      anon_sym_RPAREN,
    STATE(8040), 1,
      sym_gnu_asm_input_operand_list,
  [284723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8596), 1,
      anon_sym_RPAREN,
    STATE(7965), 1,
      aux_sym_argument_list_repeat1,
  [284736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12324), 1,
      anon_sym_catch,
    STATE(2278), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [284747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5948), 1,
      anon_sym_COMMA,
    ACTIONS(12477), 1,
      anon_sym_RBRACK,
    STATE(7895), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [284760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12479), 1,
      anon_sym_COMMA,
    ACTIONS(12482), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [284773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12484), 1,
      anon_sym_COMMA,
    ACTIONS(12487), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7902), 1,
      aux_sym_attribute_declaration_repeat1,
  [284786] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12256), 1,
      anon_sym_COLON,
    ACTIONS(12489), 1,
      anon_sym_RPAREN,
    STATE(8055), 1,
      sym_gnu_asm_output_operand_list,
  [284799] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8664), 1,
      anon_sym_RPAREN,
    STATE(7965), 1,
      aux_sym_argument_list_repeat1,
  [284812] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12491), 1,
      anon_sym_SEMI,
    STATE(7933), 1,
      aux_sym_declaration_repeat1,
  [284825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11676), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12493), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [284836] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12495), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [284849] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12497), 1,
      anon_sym_RPAREN,
    STATE(7878), 1,
      sym_gnu_asm_input_operand_list,
  [284862] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12499), 1,
      sym_identifier,
    STATE(2194), 1,
      sym_template_type,
    STATE(4126), 1,
      sym_template_function,
  [284875] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12501), 1,
      sym_identifier,
    STATE(3104), 1,
      sym_template_type,
    STATE(6929), 1,
      sym_template_function,
  [284888] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12503), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [284901] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_SEMI,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(2208), 1,
      sym_template_argument_list,
  [284914] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12505), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [284927] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12272), 1,
      anon_sym_COMMA,
    ACTIONS(12507), 1,
      anon_sym_RPAREN,
    STATE(7855), 1,
      aux_sym_parameter_list_repeat1,
  [284940] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12250), 1,
      anon_sym_COMMA,
    ACTIONS(12509), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7816), 1,
      aux_sym_attribute_declaration_repeat1,
  [284953] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4422), 1,
      anon_sym_RBRACE,
    ACTIONS(12511), 1,
      anon_sym_COMMA,
    STATE(7917), 1,
      aux_sym_initializer_list_repeat1,
  [284966] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8734), 1,
      anon_sym_RBRACE,
    ACTIONS(12513), 1,
      anon_sym_COMMA,
    STATE(7917), 1,
      aux_sym_initializer_list_repeat1,
  [284979] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12516), 1,
      anon_sym_RPAREN,
    STATE(7996), 1,
      sym_gnu_asm_input_operand_list,
  [284992] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8694), 1,
      anon_sym_RPAREN,
    STATE(7898), 1,
      aux_sym_argument_list_repeat1,
  [285005] = 4,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(12288), 1,
      anon_sym_LPAREN2,
    ACTIONS(12518), 1,
      aux_sym_preproc_include_token2,
    STATE(8962), 1,
      sym_preproc_argument_list,
  [285018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12256), 1,
      anon_sym_COLON,
    ACTIONS(12520), 1,
      anon_sym_RPAREN,
    STATE(8005), 1,
      sym_gnu_asm_output_operand_list,
  [285031] = 4,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(12288), 1,
      anon_sym_LPAREN2,
    ACTIONS(12522), 1,
      aux_sym_preproc_include_token2,
    STATE(8962), 1,
      sym_preproc_argument_list,
  [285044] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    ACTIONS(12524), 1,
      anon_sym_constexpr,
    STATE(201), 1,
      sym_condition_clause,
  [285057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12526), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [285066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8602), 1,
      anon_sym_COMMA,
    ACTIONS(12528), 1,
      anon_sym_RPAREN,
    STATE(8178), 1,
      aux_sym_generic_expression_repeat1,
  [285079] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12530), 1,
      anon_sym_GT2,
    STATE(7945), 1,
      aux_sym_template_argument_list_repeat1,
  [285092] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12532), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [285105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12536), 1,
      anon_sym_RPAREN,
    ACTIONS(12534), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [285116] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4310), 1,
      anon_sym_RBRACE,
    ACTIONS(12538), 1,
      anon_sym_COMMA,
    STATE(7917), 1,
      aux_sym_initializer_list_repeat1,
  [285129] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11735), 1,
      anon_sym_COMMA,
    ACTIONS(12103), 1,
      anon_sym_LBRACE,
    STATE(7784), 1,
      aux_sym_base_class_clause_repeat1,
  [285142] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12540), 1,
      anon_sym_SEMI,
    STATE(7949), 1,
      aux_sym_declaration_repeat1,
  [285155] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12542), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [285168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12544), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [285181] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COLON,
    ACTIONS(12546), 1,
      anon_sym_RPAREN,
    STATE(9341), 1,
      sym_gnu_asm_goto_list,
  [285194] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12548), 1,
      anon_sym_COMMA,
    ACTIONS(12551), 1,
      anon_sym_LBRACE,
    STATE(7935), 1,
      aux_sym_base_class_clause_repeat1,
  [285207] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12378), 1,
      anon_sym_COLON,
    ACTIONS(12553), 1,
      anon_sym_RPAREN,
    STATE(7934), 1,
      sym_gnu_asm_clobber_list,
  [285220] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12555), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [285233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COLON,
    ACTIONS(12557), 1,
      anon_sym_RPAREN,
    STATE(9355), 1,
      sym_gnu_asm_goto_list,
  [285246] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12559), 1,
      anon_sym_RPAREN,
    STATE(7936), 1,
      sym_gnu_asm_input_operand_list,
  [285259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12561), 1,
      anon_sym_RPAREN,
    STATE(7952), 1,
      sym_gnu_asm_input_operand_list,
  [285272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12378), 1,
      anon_sym_COLON,
    ACTIONS(12563), 1,
      anon_sym_RPAREN,
    STATE(7938), 1,
      sym_gnu_asm_clobber_list,
  [285285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    ACTIONS(12565), 1,
      anon_sym_constexpr,
    STATE(185), 1,
      sym_condition_clause,
  [285298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12567), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [285311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12569), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [285324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12571), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [285337] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12250), 1,
      anon_sym_COMMA,
    ACTIONS(12573), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8003), 1,
      aux_sym_attribute_declaration_repeat1,
  [285350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12575), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12551), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [285361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11735), 1,
      anon_sym_COMMA,
    ACTIONS(12103), 1,
      anon_sym_LBRACE,
    STATE(7935), 1,
      aux_sym_base_class_clause_repeat1,
  [285374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12577), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [285387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12579), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [285396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12581), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [285409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12378), 1,
      anon_sym_COLON,
    ACTIONS(12583), 1,
      anon_sym_RPAREN,
    STATE(7876), 1,
      sym_gnu_asm_clobber_list,
  [285422] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    STATE(7594), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12585), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [285433] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    ACTIONS(12587), 1,
      anon_sym_constexpr,
    STATE(210), 1,
      sym_condition_clause,
  [285446] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12589), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [285459] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8602), 1,
      anon_sym_COMMA,
    ACTIONS(12591), 1,
      anon_sym_RPAREN,
    STATE(8178), 1,
      aux_sym_generic_expression_repeat1,
  [285472] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COLON,
    ACTIONS(12593), 1,
      anon_sym_RPAREN,
    STATE(9149), 1,
      sym_gnu_asm_goto_list,
  [285485] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8568), 1,
      anon_sym_COMMA,
    ACTIONS(12595), 1,
      anon_sym_RBRACK,
    STATE(7888), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [285498] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(12597), 1,
      anon_sym_RPAREN,
    STATE(7965), 1,
      aux_sym_argument_list_repeat1,
  [285511] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12250), 1,
      anon_sym_COMMA,
    ACTIONS(12599), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7902), 1,
      aux_sym_attribute_declaration_repeat1,
  [285524] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12256), 1,
      anon_sym_COLON,
    ACTIONS(12601), 1,
      anon_sym_RPAREN,
    STATE(7908), 1,
      sym_gnu_asm_output_operand_list,
  [285537] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12603), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [285550] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12378), 1,
      anon_sym_COLON,
    ACTIONS(12605), 1,
      anon_sym_RPAREN,
    STATE(7957), 1,
      sym_gnu_asm_clobber_list,
  [285563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COLON,
    ACTIONS(12607), 1,
      anon_sym_RPAREN,
    STATE(9147), 1,
      sym_gnu_asm_goto_list,
  [285576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8820), 1,
      anon_sym_RPAREN,
    ACTIONS(12609), 1,
      anon_sym_COMMA,
    STATE(7965), 1,
      aux_sym_argument_list_repeat1,
  [285589] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12612), 1,
      anon_sym_RPAREN,
    STATE(7963), 1,
      sym_gnu_asm_input_operand_list,
  [285602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12614), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [285615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12616), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [285628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12240), 1,
      anon_sym_catch,
    STATE(489), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [285639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12378), 1,
      anon_sym_COLON,
    ACTIONS(12618), 1,
      anon_sym_RPAREN,
    STATE(7964), 1,
      sym_gnu_asm_clobber_list,
  [285652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12620), 1,
      sym_identifier,
    ACTIONS(12622), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [285663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12624), 1,
      anon_sym_catch,
    STATE(272), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [285674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(12626), 1,
      anon_sym_RPAREN,
    STATE(7965), 1,
      aux_sym_argument_list_repeat1,
  [285687] = 4,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(12288), 1,
      anon_sym_LPAREN2,
    ACTIONS(12628), 1,
      aux_sym_preproc_include_token2,
    STATE(8962), 1,
      sym_preproc_argument_list,
  [285700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12260), 1,
      anon_sym_catch,
    STATE(2080), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [285711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12630), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [285720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12630), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [285729] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(12632), 1,
      anon_sym_RPAREN,
    STATE(7965), 1,
      aux_sym_argument_list_repeat1,
  [285742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12634), 1,
      anon_sym_COMMA,
    ACTIONS(12636), 1,
      anon_sym_GT2,
    STATE(7882), 1,
      aux_sym_template_parameter_list_repeat1,
  [285755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12638), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [285768] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12640), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [285781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [285790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12644), 1,
      anon_sym_SEMI,
    STATE(8041), 1,
      aux_sym_declaration_repeat1,
  [285803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_catch,
    STATE(2048), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [285814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12646), 1,
      sym_identifier,
    STATE(3104), 1,
      sym_template_type,
    STATE(3189), 1,
      sym_template_function,
  [285827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(12648), 1,
      anon_sym_RPAREN,
    STATE(7965), 1,
      aux_sym_argument_list_repeat1,
  [285840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12650), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [285849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12654), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12652), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [285860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12624), 1,
      anon_sym_catch,
    STATE(296), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [285871] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12656), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [285884] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8602), 1,
      anon_sym_COMMA,
    ACTIONS(12658), 1,
      anon_sym_RPAREN,
    STATE(8178), 1,
      aux_sym_generic_expression_repeat1,
  [285897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12272), 1,
      anon_sym_COMMA,
    ACTIONS(12660), 1,
      anon_sym_RPAREN,
    STATE(7855), 1,
      aux_sym_parameter_list_repeat1,
  [285910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12662), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [285923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12664), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [285936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12666), 1,
      sym_identifier,
    STATE(3104), 1,
      sym_template_type,
    STATE(3189), 1,
      sym_template_function,
  [285949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12378), 1,
      anon_sym_COLON,
    ACTIONS(12668), 1,
      anon_sym_RPAREN,
    STATE(8008), 1,
      sym_gnu_asm_clobber_list,
  [285962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12256), 1,
      anon_sym_COLON,
    ACTIONS(12670), 1,
      anon_sym_RPAREN,
    STATE(7939), 1,
      sym_gnu_asm_output_operand_list,
  [285975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12250), 1,
      anon_sym_COMMA,
    ACTIONS(12672), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8098), 1,
      aux_sym_attribute_declaration_repeat1,
  [285988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12674), 1,
      anon_sym_RPAREN,
    STATE(7941), 1,
      sym_gnu_asm_input_operand_list,
  [286001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12676), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12678), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [286012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COLON,
    ACTIONS(12680), 1,
      anon_sym_RPAREN,
    STATE(8806), 1,
      sym_gnu_asm_goto_list,
  [286025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4418), 1,
      anon_sym_RBRACE,
    ACTIONS(12682), 1,
      anon_sym_COMMA,
    STATE(7917), 1,
      aux_sym_initializer_list_repeat1,
  [286038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12250), 1,
      anon_sym_COMMA,
    ACTIONS(12684), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7902), 1,
      aux_sym_attribute_declaration_repeat1,
  [286051] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8630), 1,
      anon_sym_RPAREN,
    STATE(8068), 1,
      aux_sym_argument_list_repeat1,
  [286064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12686), 1,
      anon_sym_RPAREN,
    STATE(8014), 1,
      sym_gnu_asm_input_operand_list,
  [286077] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5204), 1,
      anon_sym_LBRACE,
    ACTIONS(11705), 1,
      anon_sym_COLON_COLON,
    STATE(568), 1,
      sym_declaration_list,
  [286090] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12688), 1,
      anon_sym_SEMI,
    STATE(7892), 1,
      aux_sym_declaration_repeat1,
  [286103] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COLON,
    ACTIONS(12690), 1,
      anon_sym_RPAREN,
    STATE(9529), 1,
      sym_gnu_asm_goto_list,
  [286116] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12378), 1,
      anon_sym_COLON,
    ACTIONS(12692), 1,
      anon_sym_RPAREN,
    STATE(8001), 1,
      sym_gnu_asm_clobber_list,
  [286129] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(12694), 1,
      anon_sym_RPAREN,
    STATE(7965), 1,
      aux_sym_argument_list_repeat1,
  [286142] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12696), 1,
      anon_sym_GT2,
    STATE(8027), 1,
      aux_sym_template_argument_list_repeat1,
  [286155] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9958), 1,
      anon_sym_COMMA,
    ACTIONS(12698), 1,
      anon_sym_RPAREN,
    STATE(7825), 1,
      aux_sym_preproc_argument_list_repeat1,
  [286168] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    STATE(7725), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12700), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [286179] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12378), 1,
      anon_sym_COLON,
    ACTIONS(12702), 1,
      anon_sym_RPAREN,
    STATE(8195), 1,
      sym_gnu_asm_clobber_list,
  [286192] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12704), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [286205] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11735), 1,
      anon_sym_COMMA,
    ACTIONS(12706), 1,
      anon_sym_LBRACE,
    STATE(7935), 1,
      aux_sym_base_class_clause_repeat1,
  [286218] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12708), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [286231] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11735), 1,
      anon_sym_COMMA,
    ACTIONS(12706), 1,
      anon_sym_LBRACE,
    STATE(8208), 1,
      aux_sym_base_class_clause_repeat1,
  [286244] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12710), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [286257] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12256), 1,
      anon_sym_COLON,
    ACTIONS(12712), 1,
      anon_sym_RPAREN,
    STATE(7966), 1,
      sym_gnu_asm_output_operand_list,
  [286270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COLON,
    ACTIONS(12714), 1,
      anon_sym_RPAREN,
    STATE(8814), 1,
      sym_gnu_asm_goto_list,
  [286283] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8652), 1,
      anon_sym_COMMA,
    ACTIONS(8654), 1,
      anon_sym_RBRACE,
    STATE(8086), 1,
      aux_sym_initializer_list_repeat1,
  [286296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8716), 1,
      anon_sym_RPAREN,
    STATE(7965), 1,
      aux_sym_argument_list_repeat1,
  [286309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12372), 1,
      anon_sym_COMMA,
    ACTIONS(12716), 1,
      anon_sym_RPAREN,
    STATE(7862), 1,
      aux_sym_requires_parameter_list_repeat1,
  [286322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12718), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [286335] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12720), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [286348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12722), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [286361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12724), 1,
      anon_sym_COMMA,
    ACTIONS(12726), 1,
      anon_sym_RPAREN,
    STATE(7823), 1,
      aux_sym_preproc_params_repeat1,
  [286374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12256), 1,
      anon_sym_COLON,
    ACTIONS(12728), 1,
      anon_sym_RPAREN,
    STATE(8090), 1,
      sym_gnu_asm_output_operand_list,
  [286387] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12730), 1,
      anon_sym_GT2,
    STATE(8100), 1,
      aux_sym_template_argument_list_repeat1,
  [286400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12732), 1,
      anon_sym_RPAREN,
    STATE(8009), 1,
      sym_gnu_asm_input_operand_list,
  [286413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12734), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [286422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12378), 1,
      anon_sym_COLON,
    ACTIONS(12736), 1,
      anon_sym_RPAREN,
    STATE(8021), 1,
      sym_gnu_asm_clobber_list,
  [286435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12738), 1,
      anon_sym_RPAREN,
    STATE(7970), 1,
      sym_gnu_asm_input_operand_list,
  [286448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12740), 1,
      anon_sym_catch,
    STATE(401), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [286459] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4416), 1,
      anon_sym_RBRACE,
    ACTIONS(12742), 1,
      anon_sym_COMMA,
    STATE(7917), 1,
      aux_sym_initializer_list_repeat1,
  [286472] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12744), 1,
      anon_sym_SEMI,
    STATE(8109), 1,
      aux_sym_declaration_repeat1,
  [286485] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12746), 1,
      anon_sym_COMMA,
    ACTIONS(12748), 1,
      anon_sym_LBRACE,
    STATE(8081), 1,
      aux_sym_field_initializer_list_repeat1,
  [286498] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12750), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [286511] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12378), 1,
      anon_sym_COLON,
    ACTIONS(12752), 1,
      anon_sym_RPAREN,
    STATE(8060), 1,
      sym_gnu_asm_clobber_list,
  [286524] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12754), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [286537] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5948), 1,
      anon_sym_COMMA,
    ACTIONS(12756), 1,
      anon_sym_RBRACK,
    STATE(7900), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [286550] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12272), 1,
      anon_sym_COMMA,
    ACTIONS(12758), 1,
      anon_sym_RPAREN,
    STATE(8111), 1,
      aux_sym_parameter_list_repeat1,
  [286563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12406), 1,
      anon_sym_catch,
    STATE(2255), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [286574] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8486), 1,
      anon_sym_COMMA,
    ACTIONS(8512), 1,
      anon_sym_RBRACK,
    STATE(8116), 1,
      aux_sym_subscript_argument_list_repeat1,
  [286587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(12760), 1,
      anon_sym_RPAREN,
    STATE(7965), 1,
      aux_sym_argument_list_repeat1,
  [286600] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12762), 1,
      anon_sym_GT2,
    STATE(7838), 1,
      aux_sym_template_argument_list_repeat1,
  [286613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12260), 1,
      anon_sym_catch,
    STATE(2076), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [286624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [286633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12766), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [286642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8602), 1,
      anon_sym_COMMA,
    ACTIONS(12768), 1,
      anon_sym_RPAREN,
    STATE(8178), 1,
      aux_sym_generic_expression_repeat1,
  [286655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12770), 1,
      anon_sym_SEMI,
    STATE(8218), 1,
      aux_sym_declaration_repeat1,
  [286668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9958), 1,
      anon_sym_COMMA,
    ACTIONS(12772), 1,
      anon_sym_RPAREN,
    STATE(7825), 1,
      aux_sym_preproc_argument_list_repeat1,
  [286681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12272), 1,
      anon_sym_COMMA,
    ACTIONS(12774), 1,
      anon_sym_RPAREN,
    STATE(8155), 1,
      aux_sym_parameter_list_repeat1,
  [286694] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12776), 1,
      anon_sym_RPAREN,
    STATE(8063), 1,
      sym_gnu_asm_input_operand_list,
  [286707] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12778), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [286720] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12780), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [286733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12782), 1,
      anon_sym_SEMI,
    STATE(7980), 1,
      aux_sym_declaration_repeat1,
  [286746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12784), 1,
      sym_identifier,
    STATE(2194), 1,
      sym_template_type,
    STATE(3857), 1,
      sym_template_function,
  [286759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COLON,
    ACTIONS(12786), 1,
      anon_sym_RPAREN,
    STATE(9430), 1,
      sym_gnu_asm_goto_list,
  [286772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12788), 1,
      anon_sym_COMMA,
    ACTIONS(12791), 1,
      anon_sym_RPAREN,
    STATE(8061), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [286785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12793), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [286794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12378), 1,
      anon_sym_COLON,
    ACTIONS(12795), 1,
      anon_sym_RPAREN,
    STATE(8104), 1,
      sym_gnu_asm_clobber_list,
  [286807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12624), 1,
      anon_sym_catch,
    STATE(361), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [286818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12256), 1,
      anon_sym_COLON,
    ACTIONS(12797), 1,
      anon_sym_RPAREN,
    STATE(7940), 1,
      sym_gnu_asm_output_operand_list,
  [286831] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    STATE(7563), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12799), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [286842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12801), 1,
      anon_sym_GT2,
    STATE(7866), 1,
      aux_sym_template_argument_list_repeat1,
  [286855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8660), 1,
      anon_sym_RPAREN,
    STATE(7965), 1,
      aux_sym_argument_list_repeat1,
  [286868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12803), 1,
      sym_identifier,
    STATE(2932), 1,
      sym_template_function,
    STATE(3104), 1,
      sym_template_type,
  [286881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8486), 1,
      anon_sym_COMMA,
    ACTIONS(12805), 1,
      anon_sym_RBRACK,
    STATE(7827), 1,
      aux_sym_subscript_argument_list_repeat1,
  [286894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12740), 1,
      anon_sym_catch,
    STATE(465), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [286905] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12272), 1,
      anon_sym_COMMA,
    ACTIONS(12807), 1,
      anon_sym_RPAREN,
    STATE(7992), 1,
      aux_sym_parameter_list_repeat1,
  [286918] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8486), 1,
      anon_sym_COMMA,
    ACTIONS(12809), 1,
      anon_sym_RBRACK,
    STATE(7827), 1,
      aux_sym_subscript_argument_list_repeat1,
  [286931] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12811), 1,
      sym_identifier,
    STATE(3104), 1,
      sym_template_type,
    STATE(3189), 1,
      sym_template_function,
  [286944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12276), 1,
      anon_sym_catch,
    STATE(932), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [286955] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12813), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [286968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12815), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12817), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [286979] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12256), 1,
      anon_sym_COLON,
    ACTIONS(12819), 1,
      anon_sym_RPAREN,
    STATE(7999), 1,
      sym_gnu_asm_output_operand_list,
  [286992] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12272), 1,
      anon_sym_COMMA,
    ACTIONS(12821), 1,
      anon_sym_RPAREN,
    STATE(7855), 1,
      aux_sym_parameter_list_repeat1,
  [287005] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12823), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [287018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12746), 1,
      anon_sym_COMMA,
    ACTIONS(12825), 1,
      anon_sym_LBRACE,
    STATE(7836), 1,
      aux_sym_field_initializer_list_repeat1,
  [287031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12827), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [287044] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COLON,
    ACTIONS(12829), 1,
      anon_sym_RPAREN,
    STATE(9477), 1,
      sym_gnu_asm_goto_list,
  [287057] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12831), 1,
      anon_sym_GT2,
    STATE(8095), 1,
      aux_sym_template_argument_list_repeat1,
  [287070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12833), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12835), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [287081] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4428), 1,
      anon_sym_RBRACE,
    ACTIONS(12837), 1,
      anon_sym_COMMA,
    STATE(7917), 1,
      aux_sym_initializer_list_repeat1,
  [287094] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12839), 1,
      anon_sym_SEMI,
    STATE(7994), 1,
      aux_sym_declaration_repeat1,
  [287107] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8648), 1,
      anon_sym_COMMA,
    ACTIONS(8650), 1,
      anon_sym_RBRACE,
    STATE(8002), 1,
      aux_sym_initializer_list_repeat1,
  [287120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12276), 1,
      anon_sym_catch,
    STATE(967), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [287131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12841), 1,
      anon_sym_RPAREN,
    STATE(8131), 1,
      sym_gnu_asm_input_operand_list,
  [287144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12843), 1,
      anon_sym_COMMA,
    ACTIONS(12846), 1,
      anon_sym_RPAREN,
    STATE(8091), 1,
      aux_sym_throw_specifier_repeat1,
  [287157] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12256), 1,
      anon_sym_COLON,
    ACTIONS(12848), 1,
      anon_sym_RPAREN,
    STATE(8135), 1,
      sym_gnu_asm_output_operand_list,
  [287170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12850), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [287183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12852), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [287196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12854), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [287209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12856), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [287222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12858), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [287235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12250), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7902), 1,
      aux_sym_attribute_declaration_repeat1,
  [287248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8690), 1,
      anon_sym_RPAREN,
    STATE(8169), 1,
      aux_sym_argument_list_repeat1,
  [287261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12862), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [287274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12864), 1,
      anon_sym_COMMA,
    ACTIONS(12866), 1,
      anon_sym_RPAREN,
    STATE(8061), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [287287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8459), 1,
      anon_sym_RBRACE,
    ACTIONS(8632), 1,
      anon_sym_COMMA,
    STATE(7929), 1,
      aux_sym_initializer_list_repeat1,
  [287300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 1,
      anon_sym_LBRACE,
    ACTIONS(11705), 1,
      anon_sym_COLON_COLON,
    STATE(883), 1,
      sym_declaration_list,
  [287313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COLON,
    ACTIONS(12868), 1,
      anon_sym_RPAREN,
    STATE(9444), 1,
      sym_gnu_asm_goto_list,
  [287326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12870), 1,
      anon_sym_SEMI,
    STATE(7877), 1,
      aux_sym_declaration_repeat1,
  [287339] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12872), 1,
      anon_sym_GT2,
    STATE(8015), 1,
      aux_sym_template_argument_list_repeat1,
  [287352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8602), 1,
      anon_sym_COMMA,
    ACTIONS(12874), 1,
      anon_sym_RPAREN,
    STATE(8178), 1,
      aux_sym_generic_expression_repeat1,
  [287365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12256), 1,
      anon_sym_COLON,
    ACTIONS(12876), 1,
      anon_sym_RPAREN,
    STATE(8034), 1,
      sym_gnu_asm_output_operand_list,
  [287378] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12878), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [287391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8746), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [287400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12272), 1,
      anon_sym_COMMA,
    ACTIONS(12880), 1,
      anon_sym_RPAREN,
    STATE(7855), 1,
      aux_sym_parameter_list_repeat1,
  [287413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12406), 1,
      anon_sym_catch,
    STATE(2271), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [287424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12882), 1,
      sym_identifier,
    STATE(3068), 1,
      sym_template_type,
    STATE(4216), 1,
      sym_template_function,
  [287437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12884), 1,
      anon_sym_GT2,
    STATE(7968), 1,
      aux_sym_template_argument_list_repeat1,
  [287450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8576), 1,
      anon_sym_COMMA,
    ACTIONS(8578), 1,
      anon_sym_RBRACE,
    STATE(8036), 1,
      aux_sym_initializer_list_repeat1,
  [287463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8486), 1,
      anon_sym_COMMA,
    ACTIONS(12886), 1,
      anon_sym_RBRACK,
    STATE(7827), 1,
      aux_sym_subscript_argument_list_repeat1,
  [287476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_catch,
    STATE(2051), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [287487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12888), 1,
      anon_sym_GT2,
    STATE(8121), 1,
      aux_sym_template_argument_list_repeat1,
  [287500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12890), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [287513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12892), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [287526] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12894), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [287539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8580), 1,
      anon_sym_RPAREN,
    STATE(8023), 1,
      aux_sym_argument_list_repeat1,
  [287552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(12896), 1,
      anon_sym_RPAREN,
    STATE(7965), 1,
      aux_sym_argument_list_repeat1,
  [287565] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12634), 1,
      anon_sym_COMMA,
    ACTIONS(12898), 1,
      anon_sym_GT2,
    STATE(7882), 1,
      aux_sym_template_parameter_list_repeat1,
  [287578] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12250), 1,
      anon_sym_COMMA,
    ACTIONS(12900), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7960), 1,
      aux_sym_attribute_declaration_repeat1,
  [287591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12902), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [287604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12250), 1,
      anon_sym_COMMA,
    ACTIONS(12904), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7902), 1,
      aux_sym_attribute_declaration_repeat1,
  [287617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12906), 1,
      anon_sym_catch,
    STATE(1133), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [287628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12654), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12908), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [287639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12910), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [287652] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12378), 1,
      anon_sym_COLON,
    ACTIONS(12912), 1,
      anon_sym_RPAREN,
    STATE(8147), 1,
      sym_gnu_asm_clobber_list,
  [287665] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    STATE(7617), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12914), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [287676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5206), 1,
      anon_sym_LBRACE,
    ACTIONS(11705), 1,
      anon_sym_COLON_COLON,
    STATE(918), 1,
      sym_declaration_list,
  [287689] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    STATE(7494), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12916), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [287700] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12918), 1,
      anon_sym_RPAREN,
    STATE(8151), 1,
      sym_gnu_asm_input_operand_list,
  [287713] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    STATE(7626), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12920), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [287724] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12922), 1,
      sym_identifier,
    STATE(3104), 1,
      sym_template_type,
    STATE(3189), 1,
      sym_template_function,
  [287737] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    STATE(7595), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12924), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [287748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12926), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [287761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8526), 1,
      anon_sym_RPAREN,
    STATE(7777), 1,
      aux_sym_argument_list_repeat1,
  [287774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12256), 1,
      anon_sym_COLON,
    ACTIONS(12928), 1,
      anon_sym_RPAREN,
    STATE(8031), 1,
      sym_gnu_asm_output_operand_list,
  [287787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12930), 1,
      anon_sym_GT2,
    STATE(8145), 1,
      aux_sym_template_argument_list_repeat1,
  [287800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12932), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [287813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12934), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [287826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12936), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [287839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_COLON,
    ACTIONS(12938), 1,
      anon_sym_RPAREN,
    STATE(8033), 1,
      sym_gnu_asm_input_operand_list,
  [287852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COLON,
    ACTIONS(12940), 1,
      anon_sym_RPAREN,
    STATE(8943), 1,
      sym_gnu_asm_goto_list,
  [287865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12250), 1,
      anon_sym_COMMA,
    ACTIONS(12942), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7902), 1,
      aux_sym_attribute_declaration_repeat1,
  [287878] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    STATE(7646), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12944), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [287889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11705), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [287898] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12378), 1,
      anon_sym_COLON,
    ACTIONS(12946), 1,
      anon_sym_RPAREN,
    STATE(8162), 1,
      sym_gnu_asm_clobber_list,
  [287911] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2915), 1,
      anon_sym_while,
    ACTIONS(12948), 1,
      anon_sym_else,
    STATE(663), 1,
      sym_else_clause,
  [287924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12950), 1,
      sym_identifier,
    STATE(3104), 1,
      sym_template_type,
    STATE(4126), 1,
      sym_template_function,
  [287937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4420), 1,
      anon_sym_RBRACE,
    ACTIONS(12952), 1,
      anon_sym_COMMA,
    STATE(7917), 1,
      aux_sym_initializer_list_repeat1,
  [287950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12272), 1,
      anon_sym_COMMA,
    ACTIONS(12954), 1,
      anon_sym_RPAREN,
    STATE(7855), 1,
      aux_sym_parameter_list_repeat1,
  [287963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2909), 1,
      anon_sym_while,
    ACTIONS(12948), 1,
      anon_sym_else,
    STATE(678), 1,
      sym_else_clause,
  [287976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12956), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [287985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12958), 1,
      sym_identifier,
    STATE(3104), 1,
      sym_template_type,
    STATE(3189), 1,
      sym_template_function,
  [287998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12960), 1,
      sym_identifier,
    STATE(3104), 1,
      sym_template_type,
    STATE(4126), 1,
      sym_template_function,
  [288011] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    STATE(7670), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12962), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [288022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    ACTIONS(12964), 1,
      anon_sym_constexpr,
    STATE(197), 1,
      sym_condition_clause,
  [288035] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COLON,
    ACTIONS(12966), 1,
      anon_sym_RPAREN,
    STATE(8947), 1,
      sym_gnu_asm_goto_list,
  [288048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12968), 1,
      anon_sym_GT2,
    STATE(8166), 1,
      aux_sym_template_argument_list_repeat1,
  [288061] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12970), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [288074] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12972), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [288087] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(12974), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [288100] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    STATE(7682), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12976), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [288111] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8670), 1,
      anon_sym_COMMA,
    ACTIONS(8672), 1,
      anon_sym_RBRACE,
    STATE(8154), 1,
      aux_sym_initializer_list_repeat1,
  [288124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8524), 1,
      anon_sym_RPAREN,
    STATE(7965), 1,
      aux_sym_argument_list_repeat1,
  [288137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12978), 1,
      anon_sym_SEMI,
    STATE(8076), 1,
      aux_sym_declaration_repeat1,
  [288150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8602), 1,
      anon_sym_COMMA,
    ACTIONS(12980), 1,
      anon_sym_RPAREN,
    STATE(8178), 1,
      aux_sym_generic_expression_repeat1,
  [288163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(12982), 1,
      anon_sym_SEMI,
    STATE(8056), 1,
      aux_sym_declaration_repeat1,
  [288176] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8486), 1,
      anon_sym_COMMA,
    ACTIONS(8704), 1,
      anon_sym_RBRACK,
    STATE(8073), 1,
      aux_sym_subscript_argument_list_repeat1,
  [288189] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12634), 1,
      anon_sym_COMMA,
    ACTIONS(12984), 1,
      anon_sym_GT2,
    STATE(7979), 1,
      aux_sym_template_parameter_list_repeat1,
  [288202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12986), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [288211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12634), 1,
      anon_sym_COMMA,
    ACTIONS(12988), 1,
      anon_sym_GT2,
    STATE(8124), 1,
      aux_sym_template_parameter_list_repeat1,
  [288224] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12724), 1,
      anon_sym_COMMA,
    ACTIONS(12990), 1,
      anon_sym_RPAREN,
    STATE(8028), 1,
      aux_sym_preproc_params_repeat1,
  [288237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12992), 1,
      anon_sym_COMMA,
    ACTIONS(12995), 1,
      anon_sym_RPAREN,
    STATE(8178), 1,
      aux_sym_generic_expression_repeat1,
  [288250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12240), 1,
      anon_sym_catch,
    STATE(387), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [288261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12997), 1,
      sym_identifier,
    STATE(3104), 1,
      sym_template_type,
    STATE(3189), 1,
      sym_template_function,
  [288274] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    STATE(7761), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12999), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [288285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12256), 1,
      anon_sym_COLON,
    ACTIONS(13001), 1,
      anon_sym_RPAREN,
    STATE(8146), 1,
      sym_gnu_asm_output_operand_list,
  [288298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13003), 1,
      sym_identifier,
    STATE(3104), 1,
      sym_template_type,
    STATE(3634), 1,
      sym_template_function,
  [288311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(13005), 1,
      anon_sym_GT2,
    STATE(8187), 1,
      aux_sym_template_argument_list_repeat1,
  [288324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(13007), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [288337] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(13009), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [288350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(13011), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [288363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13015), 1,
      anon_sym_RPAREN,
    ACTIONS(13013), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [288374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12250), 1,
      anon_sym_COMMA,
    ACTIONS(13017), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7800), 1,
      aux_sym_attribute_declaration_repeat1,
  [288387] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(13019), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [288400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(13021), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [288413] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(13023), 1,
      anon_sym_GT2,
    STATE(8126), 1,
      aux_sym_template_argument_list_repeat1,
  [288426] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(13025), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [288439] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(13027), 1,
      anon_sym_GT2,
    STATE(8190), 1,
      aux_sym_template_argument_list_repeat1,
  [288452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COLON,
    ACTIONS(13029), 1,
      anon_sym_RPAREN,
    STATE(9525), 1,
      sym_gnu_asm_goto_list,
  [288465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(13031), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [288478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13033), 1,
      sym_identifier,
    STATE(3104), 1,
      sym_template_type,
    STATE(3189), 1,
      sym_template_function,
  [288491] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    STATE(7717), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13035), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [288502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    ACTIONS(13037), 1,
      anon_sym_constexpr,
    STATE(211), 1,
      sym_condition_clause,
  [288515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8486), 1,
      anon_sym_COMMA,
    ACTIONS(8624), 1,
      anon_sym_RBRACK,
    STATE(8070), 1,
      aux_sym_subscript_argument_list_repeat1,
  [288528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13039), 1,
      sym_identifier,
    STATE(3104), 1,
      sym_template_type,
    STATE(4216), 1,
      sym_template_function,
  [288541] = 4,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(12288), 1,
      anon_sym_LPAREN2,
    ACTIONS(13041), 1,
      aux_sym_preproc_include_token2,
    STATE(8962), 1,
      sym_preproc_argument_list,
  [288554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    ACTIONS(8638), 1,
      anon_sym_RPAREN,
    STATE(7965), 1,
      aux_sym_argument_list_repeat1,
  [288567] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(13043), 1,
      anon_sym_GT2,
    STATE(8207), 1,
      aux_sym_template_argument_list_repeat1,
  [288580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(13045), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [288593] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(13047), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [288606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(13049), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [288619] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11735), 1,
      anon_sym_COMMA,
    ACTIONS(13051), 1,
      anon_sym_LBRACE,
    STATE(7935), 1,
      aux_sym_base_class_clause_repeat1,
  [288632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13053), 1,
      anon_sym_COMMA,
    ACTIONS(13056), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [288645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13058), 1,
      sym_identifier,
    STATE(3104), 1,
      sym_template_type,
    STATE(3189), 1,
      sym_template_function,
  [288658] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12250), 1,
      anon_sym_COMMA,
    ACTIONS(13060), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8148), 1,
      aux_sym_attribute_declaration_repeat1,
  [288671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12864), 1,
      anon_sym_COMMA,
    ACTIONS(13062), 1,
      anon_sym_RPAREN,
    STATE(8101), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [288684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12740), 1,
      anon_sym_catch,
    STATE(480), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [288695] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(13064), 1,
      anon_sym_SEMI,
    STATE(8080), 1,
      aux_sym_declaration_repeat1,
  [288708] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8602), 1,
      anon_sym_COMMA,
    ACTIONS(13066), 1,
      anon_sym_RPAREN,
    STATE(8178), 1,
      aux_sym_generic_expression_repeat1,
  [288721] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(13068), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [288734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13070), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [288743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_COMMA,
    ACTIONS(13072), 1,
      anon_sym_SEMI,
    STATE(8209), 1,
      aux_sym_declaration_repeat1,
  [288756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12250), 1,
      anon_sym_COMMA,
    ACTIONS(13074), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8127), 1,
      aux_sym_attribute_declaration_repeat1,
  [288769] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12272), 1,
      anon_sym_COMMA,
    ACTIONS(13076), 1,
      anon_sym_RPAREN,
    STATE(8079), 1,
      aux_sym_parameter_list_repeat1,
  [288782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      sym_identifier,
    STATE(2932), 1,
      sym_template_function,
    STATE(3104), 1,
      sym_template_type,
  [288795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(13080), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [288808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13082), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [288817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(13084), 1,
      anon_sym_GT2,
    STATE(8222), 1,
      aux_sym_template_argument_list_repeat1,
  [288830] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(13086), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [288843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(13088), 1,
      anon_sym_GT2,
    STATE(7901), 1,
      aux_sym_template_argument_list_repeat1,
  [288856] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13090), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13092), 1,
      sym_preproc_arg,
  [288866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10862), 1,
      anon_sym_RBRACE,
    ACTIONS(13094), 1,
      anon_sym_COMMA,
  [288876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13096), 1,
      anon_sym_default,
    ACTIONS(13098), 1,
      anon_sym_delete,
  [288886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13100), 1,
      anon_sym_LT,
    STATE(2834), 1,
      sym_template_argument_list,
  [288896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7849), 1,
      sym_compound_statement,
  [288906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(2834), 1,
      sym_template_argument_list,
  [288916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13102), 1,
      sym_identifier,
    STATE(3251), 1,
      sym_template_type,
  [288926] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13104), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13106), 1,
      sym_preproc_arg,
  [288936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    STATE(8904), 1,
      sym_argument_list,
  [288946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2839), 1,
      anon_sym_LBRACE,
    STATE(4430), 1,
      sym_initializer_list,
  [288956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13108), 1,
      anon_sym_LPAREN2,
    ACTIONS(13110), 1,
      sym_raw_string_delimiter,
  [288966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    STATE(9264), 1,
      sym_argument_list,
  [288976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13112), 1,
      sym_identifier,
    STATE(3042), 1,
      sym_template_type,
  [288986] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13114), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13116), 1,
      sym_preproc_arg,
  [288996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6546), 1,
      anon_sym_LBRACE,
    STATE(3345), 1,
      sym_field_declaration_list,
  [289006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6524), 1,
      anon_sym_LBRACE,
    STATE(3166), 1,
      sym_field_declaration_list,
  [289016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13118), 1,
      anon_sym_LPAREN2,
    STATE(8740), 1,
      sym_parenthesized_expression,
  [289026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(937), 1,
      anon_sym_LBRACE,
    STATE(732), 1,
      sym_compound_statement,
  [289036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7899), 1,
      sym_compound_statement,
  [289046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12236), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [289054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13120), 1,
      sym_identifier,
    STATE(8125), 1,
      sym_attribute,
  [289064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8678), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [289072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13122), 1,
      anon_sym_LPAREN2,
    ACTIONS(13124), 1,
      sym_raw_string_delimiter,
  [289082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7791), 1,
      sym_compound_statement,
  [289092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    STATE(9178), 1,
      sym_argument_list,
  [289102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(988), 1,
      sym_compound_statement,
  [289112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8592), 1,
      anon_sym_RPAREN,
    ACTIONS(8594), 1,
      anon_sym_SEMI,
  [289122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_LBRACE,
    STATE(3738), 1,
      sym_initializer_list,
  [289132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    STATE(8466), 1,
      sym_condition_clause,
  [289142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13126), 1,
      anon_sym_LT,
    STATE(2971), 1,
      sym_template_argument_list,
  [289152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13128), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [289160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13120), 1,
      sym_identifier,
    STATE(7787), 1,
      sym_attribute,
  [289170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 1,
      anon_sym_LBRACE,
    STATE(920), 1,
      sym_compound_statement,
  [289180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3719), 1,
      anon_sym_LBRACE,
    STATE(5131), 1,
      sym_initializer_list,
  [289190] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13130), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13132), 1,
      sym_preproc_arg,
  [289200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11815), 1,
      anon_sym_LBRACE,
    STATE(6421), 1,
      sym_requirement_seq,
  [289210] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13134), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13136), 1,
      sym_preproc_arg,
  [289220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5206), 1,
      anon_sym_LBRACE,
    STATE(895), 1,
      sym_declaration_list,
  [289230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13138), 1,
      anon_sym_LPAREN2,
    ACTIONS(13140), 1,
      sym_raw_string_delimiter,
  [289240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    STATE(8468), 1,
      sym_parameter_list,
  [289250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7975), 1,
      sym_compound_statement,
  [289260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10512), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [289268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13120), 1,
      sym_identifier,
    STATE(7998), 1,
      sym_attribute,
  [289278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9675), 1,
      anon_sym_LBRACE,
    STATE(4444), 1,
      sym_requirement_seq,
  [289288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(381), 1,
      anon_sym_LBRACE,
    STATE(559), 1,
      sym_compound_statement,
  [289298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(649), 1,
      sym_compound_statement,
  [289308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10737), 1,
      anon_sym_LBRACE,
    STATE(2236), 1,
      sym_compound_statement,
  [289318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13094), 1,
      anon_sym_COMMA,
    ACTIONS(13142), 1,
      anon_sym_RBRACE,
  [289328] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13144), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13146), 1,
      sym_preproc_arg,
  [289338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    STATE(8404), 1,
      sym_condition_clause,
  [289348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    STATE(8430), 1,
      sym_parameter_list,
  [289358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    STATE(209), 1,
      sym_condition_clause,
  [289368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13148), 1,
      anon_sym_LPAREN2,
    ACTIONS(13150), 1,
      sym_raw_string_delimiter,
  [289378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13152), 1,
      anon_sym_LT,
    STATE(4583), 1,
      sym_template_argument_list,
  [289388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    STATE(2943), 1,
      sym_field_declaration_list,
  [289398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    STATE(9084), 1,
      sym_argument_list,
  [289408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    STATE(8436), 1,
      sym_parameter_list,
  [289418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8035), 1,
      sym_compound_statement,
  [289428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13154), 1,
      anon_sym_default,
    ACTIONS(13156), 1,
      anon_sym_delete,
  [289438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    STATE(9124), 1,
      sym_argument_list,
  [289448] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13158), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13160), 1,
      sym_preproc_arg,
  [289458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13162), 1,
      anon_sym_LT,
    STATE(3044), 1,
      sym_template_argument_list,
  [289468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13164), 1,
      sym_identifier,
    STATE(3068), 1,
      sym_template_type,
  [289478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    STATE(9078), 1,
      sym_argument_list,
  [289488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    STATE(2869), 1,
      sym_field_declaration_list,
  [289498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    STATE(215), 1,
      sym_condition_clause,
  [289508] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13166), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13168), 1,
      sym_preproc_arg,
  [289518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13170), 1,
      sym_identifier,
    STATE(3104), 1,
      sym_template_type,
  [289528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8117), 1,
      sym_compound_statement,
  [289538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13172), 1,
      anon_sym_LT,
    STATE(2405), 1,
      sym_template_argument_list,
  [289548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13120), 1,
      sym_identifier,
    STATE(8219), 1,
      sym_attribute,
  [289558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9323), 1,
      anon_sym_LT,
    STATE(3079), 1,
      sym_template_argument_list,
  [289568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5206), 1,
      anon_sym_LBRACE,
    STATE(937), 1,
      sym_declaration_list,
  [289578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 1,
      anon_sym_LBRACE,
    STATE(1171), 1,
      sym_compound_statement,
  [289588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    STATE(9060), 1,
      sym_argument_list,
  [289598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    STATE(2860), 1,
      sym_field_declaration_list,
  [289608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6524), 1,
      anon_sym_LBRACE,
    STATE(3126), 1,
      sym_field_declaration_list,
  [289618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13174), 1,
      anon_sym_LPAREN2,
    ACTIONS(13176), 1,
      sym_raw_string_delimiter,
  [289628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7631), 1,
      sym_compound_statement,
  [289638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(2014), 1,
      sym_template_argument_list,
  [289648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    STATE(282), 1,
      sym_compound_statement,
  [289658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12908), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [289666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 1,
      anon_sym_LBRACE,
    STATE(578), 1,
      sym_compound_statement,
  [289676] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13178), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13180), 1,
      sym_preproc_arg,
  [289686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    STATE(225), 1,
      sym_condition_clause,
  [289696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13182), 1,
      anon_sym_LPAREN2,
    ACTIONS(13184), 1,
      sym_raw_string_delimiter,
  [289706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13118), 1,
      anon_sym_LPAREN2,
    STATE(8300), 1,
      sym_parenthesized_expression,
  [289716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10866), 1,
      anon_sym_RBRACE,
    ACTIONS(13094), 1,
      anon_sym_COMMA,
  [289726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8752), 1,
      anon_sym_LT,
    STATE(5482), 1,
      sym_template_argument_list,
  [289736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13186), 1,
      anon_sym_LT,
    STATE(3905), 1,
      sym_template_argument_list,
  [289746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7984), 1,
      sym_compound_statement,
  [289756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 1,
      anon_sym_LBRACE,
    STATE(884), 1,
      sym_declaration_list,
  [289766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10731), 1,
      anon_sym_RBRACE,
    ACTIONS(13094), 1,
      anon_sym_COMMA,
  [289776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7799), 1,
      sym_compound_statement,
  [289786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7710), 1,
      sym_compound_statement,
  [289796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13188), 1,
      anon_sym_SEMI,
  [289806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    STATE(8452), 1,
      sym_parameter_list,
  [289816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11943), 1,
      anon_sym_LBRACE,
    STATE(2022), 1,
      sym_requirement_seq,
  [289826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13190), 1,
      anon_sym_default,
    ACTIONS(13192), 1,
      anon_sym_delete,
  [289836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13194), 1,
      sym_identifier,
    STATE(2896), 1,
      sym_template_type,
  [289846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6546), 1,
      anon_sym_LBRACE,
    STATE(3341), 1,
      sym_field_declaration_list,
  [289856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13196), 1,
      anon_sym_SEMI,
  [289866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10838), 1,
      anon_sym_LBRACE,
    STATE(2074), 1,
      sym_compound_statement,
  [289876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(381), 1,
      anon_sym_LBRACE,
    STATE(390), 1,
      sym_compound_statement,
  [289886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8075), 1,
      sym_compound_statement,
  [289896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6546), 1,
      anon_sym_LBRACE,
    STATE(3340), 1,
      sym_field_declaration_list,
  [289906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13198), 1,
      anon_sym_LPAREN2,
    ACTIONS(13200), 1,
      sym_raw_string_delimiter,
  [289916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7547), 1,
      sym_compound_statement,
  [289926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6255), 1,
      anon_sym_LBRACE,
    STATE(3066), 1,
      sym_field_declaration_list,
  [289936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13094), 1,
      anon_sym_COMMA,
    ACTIONS(13202), 1,
      anon_sym_RBRACE,
  [289946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13204), 1,
      anon_sym_default,
    ACTIONS(13206), 1,
      anon_sym_delete,
  [289956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12846), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [289964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6255), 1,
      anon_sym_LBRACE,
    STATE(3074), 1,
      sym_field_declaration_list,
  [289974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6255), 1,
      anon_sym_LBRACE,
    STATE(3076), 1,
      sym_field_declaration_list,
  [289984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5473), 1,
      anon_sym_LBRACE,
    STATE(2669), 1,
      sym_field_declaration_list,
  [289994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10860), 1,
      anon_sym_RBRACE,
    ACTIONS(13094), 1,
      anon_sym_COMMA,
  [290004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13100), 1,
      anon_sym_LT,
    STATE(2794), 1,
      sym_template_argument_list,
  [290014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13186), 1,
      anon_sym_LT,
    STATE(3069), 1,
      sym_template_argument_list,
  [290024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13162), 1,
      anon_sym_LT,
    STATE(3773), 1,
      sym_template_argument_list,
  [290034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    STATE(9589), 1,
      sym_argument_list,
  [290044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8684), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [290052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8128), 1,
      sym_compound_statement,
  [290062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13094), 1,
      anon_sym_COMMA,
    ACTIONS(13208), 1,
      anon_sym_RBRACE,
  [290072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    STATE(275), 1,
      sym_compound_statement,
  [290082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(987), 1,
      sym_compound_statement,
  [290092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13210), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [290100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13212), 1,
      sym_identifier,
    ACTIONS(13214), 1,
      anon_sym_RPAREN,
  [290110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9175), 1,
      anon_sym_LT,
    STATE(2014), 1,
      sym_template_argument_list,
  [290120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13216), 1,
      anon_sym_LPAREN2,
    ACTIONS(13218), 1,
      sym_raw_string_delimiter,
  [290130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    STATE(4560), 1,
      sym_field_declaration_list,
  [290140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13120), 1,
      sym_identifier,
    STATE(8189), 1,
      sym_attribute,
  [290150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9007), 1,
      anon_sym_LBRACE,
    STATE(5584), 1,
      sym_field_declaration_list,
  [290160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13220), 1,
      anon_sym_LT,
    STATE(3600), 1,
      sym_template_argument_list,
  [290170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13118), 1,
      anon_sym_LPAREN2,
    STATE(8929), 1,
      sym_parenthesized_expression,
  [290180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4765), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [290188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6255), 1,
      anon_sym_LBRACE,
    STATE(3090), 1,
      sym_field_declaration_list,
  [290198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 1,
      anon_sym_LBRACE,
    STATE(861), 1,
      sym_compound_statement,
  [290208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12652), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [290216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13118), 1,
      anon_sym_LPAREN2,
    STATE(8390), 1,
      sym_parenthesized_expression,
  [290226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    STATE(8309), 1,
      sym_parameter_list,
  [290236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8570), 1,
      anon_sym_RBRACK,
    ACTIONS(13222), 1,
      anon_sym_COMMA,
  [290246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7969), 1,
      sym_compound_statement,
  [290256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10755), 1,
      anon_sym_LBRACE,
    STATE(2403), 1,
      sym_compound_statement,
  [290266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13224), 1,
      sym_identifier,
    STATE(4590), 1,
      sym_template_type,
  [290276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13226), 1,
      anon_sym_default,
    ACTIONS(13228), 1,
      anon_sym_delete,
  [290286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(381), 1,
      anon_sym_LBRACE,
    STATE(523), 1,
      sym_compound_statement,
  [290296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13094), 1,
      anon_sym_COMMA,
    ACTIONS(13230), 1,
      anon_sym_RBRACE,
  [290306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(619), 1,
      sym_compound_statement,
  [290316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9691), 1,
      anon_sym_LBRACE,
    STATE(3922), 1,
      sym_requirement_seq,
  [290326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13186), 1,
      anon_sym_LT,
    STATE(4260), 1,
      sym_template_argument_list,
  [290336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    STATE(8486), 1,
      sym_parameter_list,
  [290346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13118), 1,
      anon_sym_LPAREN2,
    STATE(9324), 1,
      sym_parenthesized_expression,
  [290356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    STATE(4567), 1,
      sym_field_declaration_list,
  [290366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8071), 1,
      sym_compound_statement,
  [290376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6524), 1,
      anon_sym_LBRACE,
    STATE(3141), 1,
      sym_field_declaration_list,
  [290386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 1,
      anon_sym_LBRACE,
    STATE(878), 1,
      sym_declaration_list,
  [290396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    STATE(4564), 1,
      sym_field_declaration_list,
  [290406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13094), 1,
      anon_sym_COMMA,
    ACTIONS(13232), 1,
      anon_sym_RBRACE,
  [290416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13234), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [290424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    STATE(4561), 1,
      sym_field_declaration_list,
  [290434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13236), 1,
      anon_sym_LPAREN2,
    ACTIONS(13238), 1,
      sym_raw_string_delimiter,
  [290444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13240), 1,
      anon_sym_default,
    ACTIONS(13242), 1,
      anon_sym_delete,
  [290454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10737), 1,
      anon_sym_LBRACE,
    STATE(2251), 1,
      sym_compound_statement,
  [290464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(937), 1,
      anon_sym_LBRACE,
    STATE(801), 1,
      sym_compound_statement,
  [290474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13244), 1,
      anon_sym_LPAREN2,
    ACTIONS(13246), 1,
      sym_raw_string_delimiter,
  [290484] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13248), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13250), 1,
      sym_preproc_arg,
  [290494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7828), 1,
      anon_sym_LBRACE,
    STATE(4666), 1,
      sym_field_declaration_list,
  [290504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7768), 1,
      sym_compound_statement,
  [290514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13094), 1,
      anon_sym_COMMA,
    ACTIONS(13252), 1,
      anon_sym_RBRACE,
  [290524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    STATE(9242), 1,
      sym_argument_list,
  [290534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13118), 1,
      anon_sym_LPAREN2,
    STATE(8374), 1,
      sym_parenthesized_expression,
  [290544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13094), 1,
      anon_sym_COMMA,
    ACTIONS(13254), 1,
      anon_sym_RBRACE,
  [290554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5473), 1,
      anon_sym_LBRACE,
    STATE(2670), 1,
      sym_field_declaration_list,
  [290564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5473), 1,
      anon_sym_LBRACE,
    STATE(2667), 1,
      sym_field_declaration_list,
  [290574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(937), 1,
      anon_sym_LBRACE,
    STATE(561), 1,
      sym_compound_statement,
  [290584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7864), 1,
      sym_compound_statement,
  [290594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13256), 1,
      anon_sym_SEMI,
  [290604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 1,
      anon_sym_LBRACE,
    STATE(797), 1,
      sym_compound_statement,
  [290614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    STATE(8538), 1,
      sym_condition_clause,
  [290624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6546), 1,
      anon_sym_LBRACE,
    STATE(3338), 1,
      sym_field_declaration_list,
  [290634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13120), 1,
      sym_identifier,
    STATE(7886), 1,
      sym_attribute,
  [290644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [290652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7828), 1,
      anon_sym_LBRACE,
    STATE(4668), 1,
      sym_field_declaration_list,
  [290662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10824), 1,
      anon_sym_RBRACE,
    ACTIONS(13094), 1,
      anon_sym_COMMA,
  [290672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5204), 1,
      anon_sym_LBRACE,
    STATE(570), 1,
      sym_declaration_list,
  [290682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7828), 1,
      anon_sym_LBRACE,
    STATE(4675), 1,
      sym_field_declaration_list,
  [290692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12678), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [290700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    STATE(186), 1,
      sym_condition_clause,
  [290710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13118), 1,
      anon_sym_LPAREN2,
    STATE(8442), 1,
      sym_parenthesized_expression,
  [290720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    STATE(2957), 1,
      sym_field_declaration_list,
  [290730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10822), 1,
      anon_sym_RBRACE,
    ACTIONS(13094), 1,
      anon_sym_COMMA,
  [290740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7989), 1,
      sym_compound_statement,
  [290750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9175), 1,
      anon_sym_LT,
    STATE(3062), 1,
      sym_template_argument_list,
  [290760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9175), 1,
      anon_sym_LT,
    STATE(2405), 1,
      sym_template_argument_list,
  [290770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9648), 1,
      anon_sym_LBRACE,
    STATE(3989), 1,
      sym_requirement_seq,
  [290780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9712), 1,
      anon_sym_LBRACE,
    STATE(3535), 1,
      sym_requirement_seq,
  [290790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    STATE(8401), 1,
      sym_parameter_list,
  [290800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13118), 1,
      anon_sym_LPAREN2,
    STATE(9097), 1,
      sym_parenthesized_expression,
  [290810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6524), 1,
      anon_sym_LBRACE,
    STATE(3125), 1,
      sym_field_declaration_list,
  [290820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    STATE(8557), 1,
      sym_parameter_list,
  [290830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    STATE(9456), 1,
      sym_argument_list,
  [290840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    STATE(4597), 1,
      sym_field_declaration_list,
  [290850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13126), 1,
      anon_sym_LT,
    STATE(3400), 1,
      sym_template_argument_list,
  [290860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10838), 1,
      anon_sym_LBRACE,
    STATE(2084), 1,
      sym_compound_statement,
  [290870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    STATE(4534), 1,
      sym_field_declaration_list,
  [290880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7828), 1,
      anon_sym_LBRACE,
    STATE(4676), 1,
      sym_field_declaration_list,
  [290890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13258), 1,
      anon_sym_default,
    ACTIONS(13260), 1,
      anon_sym_delete,
  [290900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13262), 1,
      anon_sym_SEMI,
  [290910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10755), 1,
      anon_sym_LBRACE,
    STATE(2424), 1,
      sym_compound_statement,
  [290920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(566), 1,
      sym_compound_statement,
  [290930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13264), 1,
      anon_sym_LPAREN2,
    ACTIONS(13266), 1,
      sym_raw_string_delimiter,
  [290940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9683), 1,
      anon_sym_LBRACE,
    STATE(5067), 1,
      sym_requirement_seq,
  [290950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13268), 1,
      sym_identifier,
    STATE(2194), 1,
      sym_template_type,
  [290960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13270), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [290968] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13272), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13274), 1,
      sym_preproc_arg,
  [290978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(381), 1,
      anon_sym_LBRACE,
    STATE(463), 1,
      sym_compound_statement,
  [290988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5204), 1,
      anon_sym_LBRACE,
    STATE(551), 1,
      sym_declaration_list,
  [290998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13276), 1,
      anon_sym_LPAREN2,
    ACTIONS(13278), 1,
      sym_raw_string_delimiter,
  [291008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13280), 1,
      sym_identifier,
    ACTIONS(13282), 1,
      anon_sym_LPAREN2,
  [291018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8820), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [291026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    STATE(170), 1,
      sym_condition_clause,
  [291036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7615), 1,
      sym_compound_statement,
  [291046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    STATE(9017), 1,
      sym_argument_list,
  [291056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13284), 1,
      anon_sym_LPAREN2,
    ACTIONS(13286), 1,
      sym_raw_string_delimiter,
  [291066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_LPAREN2,
    ACTIONS(13290), 1,
      sym_raw_string_delimiter,
  [291076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 1,
      anon_sym_LBRACE,
    STATE(1134), 1,
      sym_compound_statement,
  [291086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13292), 1,
      sym_identifier,
    STATE(4400), 1,
      sym_template_type,
  [291096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2269), 1,
      anon_sym_LBRACE,
    STATE(4102), 1,
      sym_initializer_list,
  [291106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13294), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [291114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13296), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [291122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13120), 1,
      sym_identifier,
    STATE(8504), 1,
      sym_attribute,
  [291132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 1,
      anon_sym_LBRACE,
    STATE(619), 1,
      sym_compound_statement,
  [291142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(381), 1,
      anon_sym_LBRACE,
    STATE(516), 1,
      sym_compound_statement,
  [291152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8179), 1,
      sym_compound_statement,
  [291162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5473), 1,
      anon_sym_LBRACE,
    STATE(2635), 1,
      sym_field_declaration_list,
  [291172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    STATE(223), 1,
      sym_condition_clause,
  [291182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    STATE(162), 1,
      sym_condition_clause,
  [291192] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13298), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13300), 1,
      sym_preproc_arg,
  [291202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    STATE(184), 1,
      sym_condition_clause,
  [291212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(681), 1,
      sym_compound_statement,
  [291222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    STATE(8244), 1,
      sym_condition_clause,
  [291232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10783), 1,
      anon_sym_LBRACE,
    STATE(2416), 1,
      sym_compound_statement,
  [291242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7597), 1,
      anon_sym_LBRACE,
    STATE(4615), 1,
      sym_field_declaration_list,
  [291252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13094), 1,
      anon_sym_COMMA,
    ACTIONS(13302), 1,
      anon_sym_RBRACE,
  [291262] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13304), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13306), 1,
      sym_preproc_arg,
  [291272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13120), 1,
      sym_identifier,
    STATE(8211), 1,
      sym_attribute,
  [291282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(381), 1,
      anon_sym_LBRACE,
    STATE(556), 1,
      sym_compound_statement,
  [291292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8729), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [291300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    STATE(4264), 1,
      sym_initializer_list,
  [291310] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13308), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13310), 1,
      sym_preproc_arg,
  [291320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8734), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [291328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    STATE(200), 1,
      sym_condition_clause,
  [291338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_LBRACE,
    STATE(2879), 1,
      sym_initializer_list,
  [291348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7597), 1,
      anon_sym_LBRACE,
    STATE(4601), 1,
      sym_field_declaration_list,
  [291358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13312), 1,
      sym_identifier,
    STATE(2419), 1,
      sym_template_type,
  [291368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13118), 1,
      anon_sym_LPAREN2,
    STATE(8307), 1,
      sym_parenthesized_expression,
  [291378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8112), 1,
      sym_compound_statement,
  [291388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7597), 1,
      anon_sym_LBRACE,
    STATE(4622), 1,
      sym_field_declaration_list,
  [291398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    STATE(4556), 1,
      sym_initializer_list,
  [291408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10755), 1,
      anon_sym_LBRACE,
    STATE(2406), 1,
      sym_compound_statement,
  [291418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13314), 1,
      sym_identifier,
    STATE(3028), 1,
      sym_template_type,
  [291428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3929), 1,
      anon_sym_LBRACE,
    STATE(5476), 1,
      sym_initializer_list,
  [291438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    STATE(8330), 1,
      sym_parameter_list,
  [291448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13118), 1,
      anon_sym_LPAREN2,
    STATE(8888), 1,
      sym_parenthesized_expression,
  [291458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13316), 1,
      anon_sym_LPAREN2,
    ACTIONS(13318), 1,
      sym_raw_string_delimiter,
  [291468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10803), 1,
      anon_sym_RBRACE,
    ACTIONS(13094), 1,
      anon_sym_COMMA,
  [291478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9007), 1,
      anon_sym_LBRACE,
    STATE(5579), 1,
      sym_field_declaration_list,
  [291488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13320), 1,
      anon_sym_LPAREN2,
    ACTIONS(13322), 1,
      sym_raw_string_delimiter,
  [291498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13324), 1,
      anon_sym_default,
    ACTIONS(13326), 1,
      anon_sym_delete,
  [291508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13328), 1,
      anon_sym_LPAREN2,
    ACTIONS(13330), 1,
      sym_raw_string_delimiter,
  [291518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8782), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [291526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13332), 1,
      sym_identifier,
    STATE(2653), 1,
      sym_template_type,
  [291536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    STATE(4536), 1,
      sym_field_declaration_list,
  [291546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6498), 1,
      anon_sym_LT,
    STATE(3032), 1,
      sym_template_argument_list,
  [291556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 1,
      anon_sym_LBRACE,
    STATE(1162), 1,
      sym_compound_statement,
  [291566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9699), 1,
      anon_sym_LBRACE,
    STATE(5007), 1,
      sym_requirement_seq,
  [291576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13334), 1,
      anon_sym_LPAREN2,
    ACTIONS(13336), 1,
      sym_raw_string_delimiter,
  [291586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12487), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [291594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13338), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [291602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13340), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [291610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13118), 1,
      anon_sym_LPAREN2,
    STATE(8458), 1,
      sym_parenthesized_expression,
  [291620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 1,
      anon_sym_LBRACE,
    STATE(649), 1,
      sym_compound_statement,
  [291630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12471), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [291638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7597), 1,
      anon_sym_LBRACE,
    STATE(4630), 1,
      sym_field_declaration_list,
  [291648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13342), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [291656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10838), 1,
      anon_sym_LBRACE,
    STATE(2079), 1,
      sym_compound_statement,
  [291666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      anon_sym_LBRACE,
    STATE(1028), 1,
      sym_declaration_list,
  [291676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACE,
    STATE(3224), 1,
      sym_field_declaration_list,
  [291686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    STATE(164), 1,
      sym_condition_clause,
  [291696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12445), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [291704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    STATE(204), 1,
      sym_condition_clause,
  [291714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7533), 1,
      sym_compound_statement,
  [291724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    STATE(8812), 1,
      sym_argument_list,
  [291734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    STATE(364), 1,
      sym_compound_statement,
  [291744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    STATE(4538), 1,
      sym_field_declaration_list,
  [291754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13344), 1,
      sym_identifier,
    STATE(2194), 1,
      sym_template_type,
  [291764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13346), 1,
      anon_sym_LPAREN2,
    ACTIONS(13348), 1,
      sym_raw_string_delimiter,
  [291774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13350), 1,
      sym_identifier,
    STATE(3104), 1,
      sym_template_type,
  [291784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13352), 1,
      sym_identifier,
    STATE(5493), 1,
      sym_template_type,
  [291794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5865), 1,
      anon_sym_LT,
    STATE(2014), 1,
      sym_template_argument_list,
  [291804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12534), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [291812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    STATE(3633), 1,
      sym_field_declaration_list,
  [291822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6454), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [291830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13220), 1,
      anon_sym_LT,
    STATE(2834), 1,
      sym_template_argument_list,
  [291840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6611), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [291848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    STATE(6003), 1,
      sym_field_declaration_list,
  [291858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13094), 1,
      anon_sym_COMMA,
    ACTIONS(13354), 1,
      anon_sym_RBRACE,
  [291868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13094), 1,
      anon_sym_COMMA,
    ACTIONS(13356), 1,
      anon_sym_RBRACE,
  [291878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    STATE(3742), 1,
      sym_field_declaration_list,
  [291888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7972), 1,
      sym_compound_statement,
  [291898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6502), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [291906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 1,
      anon_sym_LBRACE,
    STATE(1151), 1,
      sym_compound_statement,
  [291916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    STATE(6017), 1,
      sym_field_declaration_list,
  [291926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    STATE(6018), 1,
      sym_field_declaration_list,
  [291936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    STATE(222), 1,
      sym_condition_clause,
  [291946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [291954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(635), 1,
      sym_compound_statement,
  [291964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6246), 1,
      anon_sym_LBRACE,
    STATE(5996), 1,
      sym_field_declaration_list,
  [291974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    STATE(8459), 1,
      sym_condition_clause,
  [291984] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13358), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13360), 1,
      sym_preproc_arg,
  [291994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12404), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [292002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11680), 1,
      sym_identifier,
    STATE(3104), 1,
      sym_template_type,
  [292012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(937), 1,
      anon_sym_LBRACE,
    STATE(648), 1,
      sym_compound_statement,
  [292022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13362), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [292030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(2794), 1,
      sym_template_argument_list,
  [292040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12385), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [292048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13364), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [292056] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13366), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13368), 1,
      sym_preproc_arg,
  [292066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12342), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [292074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13120), 1,
      sym_identifier,
    STATE(7946), 1,
      sym_attribute,
  [292084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10737), 1,
      anon_sym_LBRACE,
    STATE(2232), 1,
      sym_compound_statement,
  [292094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [292102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5198), 1,
      anon_sym_LBRACE,
    STATE(405), 1,
      sym_declaration_list,
  [292112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13370), 1,
      anon_sym_SEMI,
  [292122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    STATE(271), 1,
      sym_compound_statement,
  [292132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9179), 1,
      anon_sym_LBRACE,
    STATE(5722), 1,
      sym_field_declaration_list,
  [292142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9667), 1,
      anon_sym_LBRACE,
    STATE(4179), 1,
      sym_requirement_seq,
  [292152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13372), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [292160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13094), 1,
      anon_sym_COMMA,
    ACTIONS(13374), 1,
      anon_sym_RBRACE,
  [292170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8826), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [292178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7634), 1,
      anon_sym_LT,
    STATE(2014), 1,
      sym_template_argument_list,
  [292188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13376), 1,
      sym_identifier,
    STATE(2194), 1,
      sym_template_type,
  [292198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [292206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10783), 1,
      anon_sym_LBRACE,
    STATE(2389), 1,
      sym_compound_statement,
  [292216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9656), 1,
      anon_sym_LBRACE,
    STATE(2876), 1,
      sym_requirement_seq,
  [292226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13120), 1,
      sym_identifier,
    STATE(7915), 1,
      sym_attribute,
  [292236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(937), 1,
      anon_sym_LBRACE,
    STATE(945), 1,
      sym_compound_statement,
  [292246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12315), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [292254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    STATE(8520), 1,
      sym_condition_clause,
  [292264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10789), 1,
      anon_sym_RBRACE,
    ACTIONS(13094), 1,
      anon_sym_COMMA,
  [292274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    STATE(193), 1,
      sym_condition_clause,
  [292284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    STATE(422), 1,
      sym_compound_statement,
  [292294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13378), 1,
      sym_identifier,
    ACTIONS(13380), 1,
      anon_sym_LPAREN2,
  [292304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      anon_sym_LBRACE,
    STATE(1035), 1,
      sym_declaration_list,
  [292314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6554), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [292322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7863), 1,
      sym_compound_statement,
  [292332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACE,
    STATE(3259), 1,
      sym_field_declaration_list,
  [292342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9007), 1,
      anon_sym_LBRACE,
    STATE(5595), 1,
      sym_field_declaration_list,
  [292352] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13382), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13384), 1,
      sym_preproc_arg,
  [292362] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13386), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13388), 1,
      sym_preproc_arg,
  [292372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(4160), 1,
      sym_template_argument_list,
  [292382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13100), 1,
      anon_sym_LT,
    STATE(2423), 1,
      sym_template_argument_list,
  [292392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13390), 1,
      sym_identifier,
    STATE(3104), 1,
      sym_template_type,
  [292402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9179), 1,
      anon_sym_LBRACE,
    STATE(5730), 1,
      sym_field_declaration_list,
  [292412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13094), 1,
      anon_sym_COMMA,
    ACTIONS(13392), 1,
      anon_sym_RBRACE,
  [292422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(754), 1,
      sym_compound_statement,
  [292432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9179), 1,
      anon_sym_LBRACE,
    STATE(5733), 1,
      sym_field_declaration_list,
  [292442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9007), 1,
      anon_sym_LBRACE,
    STATE(5593), 1,
      sym_field_declaration_list,
  [292452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [292460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8055), 1,
      anon_sym_LPAREN2,
    STATE(8656), 1,
      sym_argument_list,
  [292470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7480), 1,
      sym_compound_statement,
  [292480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_LPAREN2,
    STATE(190), 1,
      sym_condition_clause,
  [292490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10703), 1,
      anon_sym_RBRACE,
    ACTIONS(13094), 1,
      anon_sym_COMMA,
  [292500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10779), 1,
      anon_sym_RBRACE,
    ACTIONS(13094), 1,
      anon_sym_COMMA,
  [292510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5198), 1,
      anon_sym_LBRACE,
    STATE(453), 1,
      sym_declaration_list,
  [292520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_LBRACE,
    STATE(412), 1,
      sym_compound_statement,
  [292530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10775), 1,
      anon_sym_RBRACE,
    ACTIONS(13094), 1,
      anon_sym_COMMA,
  [292540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13394), 1,
      anon_sym_LT,
    STATE(3062), 1,
      sym_template_argument_list,
  [292550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10717), 1,
      anon_sym_RBRACE,
    ACTIONS(13094), 1,
      anon_sym_COMMA,
  [292560] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13396), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13398), 1,
      sym_preproc_arg,
  [292570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13162), 1,
      anon_sym_LT,
    STATE(4110), 1,
      sym_template_argument_list,
  [292580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13400), 1,
      anon_sym_default,
    ACTIONS(13402), 1,
      anon_sym_delete,
  [292590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    STATE(3556), 1,
      sym_field_declaration_list,
  [292600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [292608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    STATE(3558), 1,
      sym_field_declaration_list,
  [292618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACE,
    STATE(3188), 1,
      sym_field_declaration_list,
  [292628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACE,
    STATE(3202), 1,
      sym_field_declaration_list,
  [292638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10783), 1,
      anon_sym_LBRACE,
    STATE(2394), 1,
      sym_compound_statement,
  [292648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12226), 1,
      anon_sym_LBRACE,
    STATE(6659), 1,
      sym_requirement_seq,
  [292658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12266), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [292666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7634), 1,
      anon_sym_LT,
    STATE(4160), 1,
      sym_template_argument_list,
  [292676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13118), 1,
      anon_sym_LPAREN2,
    STATE(8543), 1,
      sym_parenthesized_expression,
  [292686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13118), 1,
      anon_sym_LPAREN2,
    STATE(8668), 1,
      sym_parenthesized_expression,
  [292696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7847), 1,
      sym_compound_statement,
  [292706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9179), 1,
      anon_sym_LBRACE,
    STATE(5748), 1,
      sym_field_declaration_list,
  [292716] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13404), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13406), 1,
      sym_preproc_arg,
  [292726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13408), 1,
      sym_identifier,
    STATE(3083), 1,
      sym_template_type,
  [292736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    STATE(8561), 1,
      sym_parameter_list,
  [292746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(937), 1,
      anon_sym_LBRACE,
    STATE(929), 1,
      sym_compound_statement,
  [292756] = 3,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13410), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13412), 1,
      sym_preproc_arg,
  [292766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13414), 1,
      aux_sym_preproc_if_token2,
  [292773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13416), 1,
      anon_sym_RPAREN,
  [292780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13418), 1,
      anon_sym_RPAREN,
  [292787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11674), 1,
      anon_sym_SEMI,
  [292794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13420), 1,
      anon_sym_SEMI,
  [292801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13422), 1,
      sym_identifier,
  [292808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13424), 1,
      anon_sym_RPAREN,
  [292815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13426), 1,
      anon_sym_RPAREN,
  [292822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13428), 1,
      anon_sym_RPAREN,
  [292829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13430), 1,
      anon_sym_RPAREN,
  [292836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      sym_identifier,
  [292843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8708), 1,
      anon_sym_RBRACE,
  [292850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13432), 1,
      anon_sym_RPAREN,
  [292857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13434), 1,
      anon_sym_RPAREN,
  [292864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13436), 1,
      sym_identifier,
  [292871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13438), 1,
      anon_sym_SEMI,
  [292878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13440), 1,
      sym_identifier,
  [292885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13442), 1,
      anon_sym_SEMI,
  [292892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13444), 1,
      anon_sym_SEMI,
  [292899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13446), 1,
      anon_sym_COLON,
  [292906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10719), 1,
      anon_sym_RPAREN,
  [292913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10717), 1,
      anon_sym_RBRACE,
  [292920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13448), 1,
      sym_raw_string_delimiter,
  [292927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13450), 1,
      anon_sym_LPAREN2,
  [292934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13452), 1,
      sym_auto,
  [292941] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13454), 1,
      aux_sym_preproc_include_token2,
  [292948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13456), 1,
      aux_sym_preproc_if_token2,
  [292955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13458), 1,
      aux_sym_preproc_if_token2,
  [292962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13392), 1,
      anon_sym_RBRACE,
  [292969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13460), 1,
      anon_sym_RPAREN,
  [292976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13462), 1,
      anon_sym_SEMI,
  [292983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13464), 1,
      anon_sym_SEMI,
  [292990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13466), 1,
      anon_sym_STAR,
  [292997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13468), 1,
      aux_sym_preproc_if_token2,
  [293004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13470), 1,
      sym_identifier,
  [293011] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13472), 1,
      aux_sym_preproc_include_token2,
  [293018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13474), 1,
      anon_sym_STAR,
  [293025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13476), 1,
      anon_sym_STAR,
  [293032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13478), 1,
      anon_sym_SEMI,
  [293039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12654), 1,
      anon_sym_COLON_COLON,
  [293046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13480), 1,
      sym_identifier,
  [293053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13482), 1,
      anon_sym_SEMI,
  [293060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13484), 1,
      anon_sym_RPAREN,
  [293067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11228), 1,
      anon_sym_SEMI,
  [293074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13486), 1,
      sym_identifier,
  [293081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13488), 1,
      sym_identifier,
  [293088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11282), 1,
      anon_sym_SEMI,
  [293095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13490), 1,
      anon_sym_EQ,
  [293102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13492), 1,
      sym_identifier,
  [293109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13494), 1,
      sym_identifier,
  [293116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13496), 1,
      anon_sym_SEMI,
  [293123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13498), 1,
      anon_sym_SEMI,
  [293130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13500), 1,
      anon_sym_SEMI,
  [293137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13502), 1,
      anon_sym_DQUOTE,
  [293144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13504), 1,
      aux_sym_preproc_if_token2,
  [293151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13506), 1,
      anon_sym_LPAREN2,
  [293158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13508), 1,
      sym_raw_string_content,
  [293165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13510), 1,
      aux_sym_preproc_if_token2,
  [293172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13512), 1,
      sym_identifier,
  [293179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13514), 1,
      anon_sym_SEMI,
  [293186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7373), 1,
      sym_identifier,
  [293193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13516), 1,
      anon_sym_RPAREN,
  [293200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13518), 1,
      anon_sym_SEMI,
  [293207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13356), 1,
      anon_sym_RBRACE,
  [293214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13520), 1,
      aux_sym_preproc_if_token2,
  [293221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13522), 1,
      anon_sym_SEMI,
  [293228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13524), 1,
      anon_sym_STAR,
  [293235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13526), 1,
      anon_sym_SEMI,
  [293242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13528), 1,
      anon_sym_COLON,
  [293249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13530), 1,
      anon_sym_SEMI,
  [293256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13532), 1,
      anon_sym_DQUOTE,
  [293263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8860), 1,
      anon_sym_SEMI,
  [293270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13534), 1,
      aux_sym_preproc_if_token2,
  [293277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13536), 1,
      anon_sym_SEMI,
  [293284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13538), 1,
      anon_sym_SEMI,
  [293291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13540), 1,
      anon_sym_SEMI,
  [293298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13542), 1,
      anon_sym_SEMI,
  [293305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13544), 1,
      anon_sym_RPAREN,
  [293312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13546), 1,
      anon_sym_SEMI,
  [293319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13548), 1,
      anon_sym_SEMI,
  [293326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8850), 1,
      anon_sym_SEMI,
  [293333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13550), 1,
      anon_sym_SEMI,
  [293340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13552), 1,
      anon_sym_RPAREN,
  [293347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_EQ_EQ,
  [293354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_CARET,
  [293361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13556), 1,
      anon_sym_SEMI,
  [293368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13558), 1,
      anon_sym_LPAREN2,
  [293375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13560), 1,
      sym_identifier,
  [293382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13562), 1,
      anon_sym_SEMI,
  [293389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13564), 1,
      anon_sym_RPAREN,
  [293396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13566), 1,
      anon_sym_RPAREN,
  [293403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13568), 1,
      sym_identifier,
  [293410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13570), 1,
      anon_sym_RPAREN,
  [293417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13572), 1,
      anon_sym_RPAREN,
  [293424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_DASH_GT_STAR,
  [293431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13574), 1,
      anon_sym_RPAREN,
  [293438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13576), 1,
      anon_sym_RPAREN,
  [293445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13578), 1,
      sym_identifier,
  [293452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13580), 1,
      anon_sym_RPAREN,
  [293459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_DOT_STAR,
  [293466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13582), 1,
      anon_sym_RPAREN,
  [293473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7057), 1,
      anon_sym_RPAREN,
  [293480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_not_eq,
  [293487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13584), 1,
      anon_sym_LPAREN2,
  [293494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13586), 1,
      anon_sym_RPAREN,
  [293501] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13588), 1,
      aux_sym_preproc_include_token2,
  [293508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8840), 1,
      anon_sym_RPAREN,
  [293515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_bitand,
  [293522] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(12518), 1,
      aux_sym_preproc_include_token2,
  [293529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13590), 1,
      anon_sym_SEMI,
  [293536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_xor,
  [293543] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13592), 1,
      aux_sym_preproc_include_token2,
  [293550] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(12522), 1,
      aux_sym_preproc_include_token2,
  [293557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13594), 1,
      anon_sym_SEMI,
  [293564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_RPAREN,
  [293571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13596), 1,
      sym_identifier,
  [293578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8790), 1,
      anon_sym_SEMI,
  [293585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13598), 1,
      anon_sym_SEMI,
  [293592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8802), 1,
      anon_sym_SEMI,
  [293599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8792), 1,
      anon_sym_SEMI,
  [293606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10809), 1,
      anon_sym_RPAREN,
  [293613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13600), 1,
      anon_sym_SEMI,
  [293620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13602), 1,
      sym_raw_string_delimiter,
  [293627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13604), 1,
      anon_sym_SEMI,
  [293634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13606), 1,
      anon_sym_while,
  [293641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13608), 1,
      anon_sym_RPAREN,
  [293648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13610), 1,
      anon_sym_COLON,
  [293655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13612), 1,
      anon_sym_RPAREN,
  [293662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13614), 1,
      anon_sym_RPAREN,
  [293669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13616), 1,
      anon_sym_RPAREN,
  [293676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13618), 1,
      anon_sym_RPAREN,
  [293683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13620), 1,
      sym_identifier,
  [293690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13622), 1,
      sym_identifier,
  [293697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13624), 1,
      anon_sym_RPAREN,
  [293704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13626), 1,
      sym_identifier,
  [293711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_bitor,
  [293718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_and,
  [293725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13628), 1,
      sym_identifier,
  [293732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_or,
  [293739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_PIPE_EQ,
  [293746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13630), 1,
      anon_sym_SEMI,
  [293753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13632), 1,
      sym_identifier,
  [293760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8780), 1,
      anon_sym_SEMI,
  [293767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_CARET_EQ,
  [293774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_AMP_EQ,
  [293781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_GT_GT_EQ,
  [293788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_LT_LT_EQ,
  [293795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_DASH_EQ,
  [293802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13634), 1,
      anon_sym_STAR,
  [293809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_PLUS_EQ,
  [293816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8764), 1,
      anon_sym_SEMI,
  [293823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13636), 1,
      anon_sym_SEMI,
  [293830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_PERCENT_EQ,
  [293837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13638), 1,
      anon_sym_SEMI,
  [293844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_SLASH_EQ,
  [293851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_STAR_EQ,
  [293858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9107), 1,
      anon_sym_RPAREN,
  [293865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6431), 1,
      sym_identifier,
  [293872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_EQ,
  [293879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11266), 1,
      anon_sym_SEMI,
  [293886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_LT_LT,
  [293893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_LT,
  [293900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13640), 1,
      anon_sym_SEMI,
  [293907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_LT_EQ,
  [293914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_GT_EQ,
  [293921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13642), 1,
      anon_sym_LPAREN2,
  [293928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13644), 1,
      anon_sym_STAR,
  [293935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13646), 1,
      anon_sym_SEMI,
  [293942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13648), 1,
      anon_sym_SEMI,
  [293949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_GT,
  [293956] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13650), 1,
      aux_sym_preproc_include_token2,
  [293963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_BANG_EQ,
  [293970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_GT_GT,
  [293977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_RPAREN,
  [293984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13654), 1,
      anon_sym_RPAREN,
  [293991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13656), 1,
      sym_identifier,
  [293998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13658), 1,
      anon_sym_RPAREN,
  [294005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13660), 1,
      sym_raw_string_delimiter,
  [294012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13662), 1,
      anon_sym_DQUOTE,
  [294019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13664), 1,
      anon_sym_RPAREN,
  [294026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13666), 1,
      aux_sym_preproc_if_token2,
  [294033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13668), 1,
      anon_sym_SEMI,
  [294040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13670), 1,
      anon_sym_RPAREN,
  [294047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13672), 1,
      anon_sym_SEMI,
  [294054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10818), 1,
      anon_sym_RPAREN,
  [294061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13674), 1,
      anon_sym_RPAREN,
  [294068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_AMP,
  [294075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13676), 1,
      anon_sym_RPAREN,
  [294082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13678), 1,
      anon_sym_SEMI,
  [294089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13680), 1,
      anon_sym_SEMI,
  [294096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      sym_identifier,
  [294103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13684), 1,
      anon_sym_SEMI,
  [294110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13686), 1,
      anon_sym_SEMI,
  [294117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10882), 1,
      anon_sym_RPAREN,
  [294124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13688), 1,
      aux_sym_preproc_if_token2,
  [294131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13690), 1,
      sym_raw_string_delimiter,
  [294138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13692), 1,
      anon_sym_DQUOTE,
  [294145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13694), 1,
      sym_identifier,
  [294152] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13696), 1,
      aux_sym_preproc_include_token2,
  [294159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13698), 1,
      sym_identifier,
  [294166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10824), 1,
      anon_sym_RBRACE,
  [294173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_PIPE,
  [294180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13700), 1,
      sym_identifier,
  [294187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13702), 1,
      anon_sym_STAR,
  [294194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13704), 1,
      anon_sym_COLON,
  [294201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_AMP_AMP,
  [294208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13706), 1,
      anon_sym_SEMI,
  [294215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13708), 1,
      anon_sym_SEMI,
  [294222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13710), 1,
      anon_sym_STAR,
  [294229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13712), 1,
      anon_sym_SEMI,
  [294236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13714), 1,
      anon_sym_LBRACE,
  [294243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13716), 1,
      aux_sym_preproc_if_token2,
  [294250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_PIPE_PIPE,
  [294257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8654), 1,
      anon_sym_RBRACE,
  [294264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13718), 1,
      anon_sym_RPAREN,
  [294271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13720), 1,
      aux_sym_preproc_if_token2,
  [294278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4760), 1,
      anon_sym_DOT_DOT_DOT,
  [294285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13722), 1,
      anon_sym_SEMI,
  [294292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13724), 1,
      anon_sym_RPAREN,
  [294299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13726), 1,
      anon_sym_RPAREN,
  [294306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_PERCENT,
  [294313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13728), 1,
      anon_sym_LPAREN2,
  [294320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13730), 1,
      anon_sym_SLASH,
  [294327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13732), 1,
      anon_sym_RPAREN,
  [294334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4660), 1,
      anon_sym_DOT_DOT_DOT,
  [294341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11805), 1,
      anon_sym_SEMI,
  [294348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13734), 1,
      anon_sym_SEMI,
  [294355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_STAR,
  [294362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13736), 1,
      sym_identifier,
  [294369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4579), 1,
      anon_sym_DOT_DOT_DOT,
  [294376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13738), 1,
      anon_sym_SEMI,
  [294383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13740), 1,
      aux_sym_preproc_if_token2,
  [294390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4582), 1,
      anon_sym_DOT_DOT_DOT,
  [294397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4866), 1,
      anon_sym_SEMI,
  [294404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13742), 1,
      anon_sym_RPAREN,
  [294411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13744), 1,
      sym_auto,
  [294418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13746), 1,
      anon_sym_RPAREN,
  [294425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13748), 1,
      sym_identifier,
  [294432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13750), 1,
      aux_sym_preproc_if_token2,
  [294439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 1,
      anon_sym_DOT_DOT_DOT,
  [294446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_PLUS,
  [294453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13752), 1,
      anon_sym_RPAREN,
  [294460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13754), 1,
      sym_identifier,
  [294467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13756), 1,
      aux_sym_preproc_if_token2,
  [294474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13758), 1,
      aux_sym_preproc_if_token2,
  [294481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10745), 1,
      anon_sym_RPAREN,
  [294488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13760), 1,
      sym_identifier,
  [294495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13762), 1,
      sym_raw_string_delimiter,
  [294502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13764), 1,
      anon_sym_RPAREN,
  [294509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13766), 1,
      sym_identifier,
  [294516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13768), 1,
      anon_sym_RPAREN,
  [294523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_DASH,
  [294530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13770), 1,
      sym_identifier,
  [294537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4599), 1,
      anon_sym_DOT_DOT_DOT,
  [294544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4602), 1,
      anon_sym_DOT_DOT_DOT,
  [294551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4605), 1,
      anon_sym_DOT_DOT_DOT,
  [294558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13208), 1,
      anon_sym_RBRACE,
  [294565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13772), 1,
      anon_sym_SEMI,
  [294572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13774), 1,
      anon_sym_LPAREN2,
  [294579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13776), 1,
      sym_identifier,
  [294586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13778), 1,
      anon_sym_SEMI,
  [294593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13780), 1,
      anon_sym_SEMI,
  [294600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      anon_sym_COMMA,
  [294607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13782), 1,
      anon_sym_RPAREN,
  [294614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13784), 1,
      anon_sym_LPAREN2,
  [294621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8457), 1,
      anon_sym_SEMI,
  [294628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13786), 1,
      anon_sym_DQUOTE,
  [294635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13788), 1,
      anon_sym_SEMI,
  [294642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13790), 1,
      anon_sym_LPAREN2,
  [294649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13792), 1,
      anon_sym_SEMI,
  [294656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13794), 1,
      sym_identifier,
  [294663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13796), 1,
      anon_sym_SEMI,
  [294670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13798), 1,
      anon_sym_SEMI,
  [294677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13800), 1,
      anon_sym_SEMI,
  [294684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13802), 1,
      anon_sym_SEMI,
  [294691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13804), 1,
      anon_sym_SEMI,
  [294698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13806), 1,
      anon_sym_RPAREN,
  [294705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13808), 1,
      anon_sym_STAR,
  [294712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13810), 1,
      anon_sym_DQUOTE,
  [294719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13812), 1,
      sym_identifier,
  [294726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13814), 1,
      aux_sym_preproc_if_token2,
  [294733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13816), 1,
      anon_sym_STAR,
  [294740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_DOT_DOT_DOT,
  [294747] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13818), 1,
      aux_sym_preproc_include_token2,
  [294754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13820), 1,
      sym_identifier,
  [294761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13822), 1,
      aux_sym_preproc_if_token2,
  [294768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4611), 1,
      anon_sym_DOT_DOT_DOT,
  [294775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10729), 1,
      anon_sym_RPAREN,
  [294782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13824), 1,
      sym_identifier,
  [294789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13826), 1,
      sym_raw_string_delimiter,
  [294796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13828), 1,
      anon_sym_SEMI,
  [294803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13830), 1,
      sym_identifier,
  [294810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13832), 1,
      anon_sym_RPAREN,
  [294817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13834), 1,
      anon_sym_SEMI,
  [294824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13836), 1,
      aux_sym_preproc_if_token2,
  [294831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13838), 1,
      aux_sym_preproc_if_token2,
  [294838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13840), 1,
      anon_sym_SEMI,
  [294845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13842), 1,
      anon_sym_SEMI,
  [294852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13844), 1,
      anon_sym_SEMI,
  [294859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13846), 1,
      anon_sym_RPAREN,
  [294866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13848), 1,
      anon_sym_STAR,
  [294873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4671), 1,
      anon_sym_DOT_DOT_DOT,
  [294880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13850), 1,
      anon_sym_SEMI,
  [294887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13852), 1,
      anon_sym_SEMI,
  [294894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13854), 1,
      anon_sym_DQUOTE,
  [294901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13856), 1,
      aux_sym_preproc_if_token2,
  [294908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13858), 1,
      anon_sym_LPAREN2,
  [294915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13860), 1,
      anon_sym_SEMI,
  [294922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13862), 1,
      anon_sym_SEMI,
  [294929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13864), 1,
      anon_sym_SEMI,
  [294936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13866), 1,
      anon_sym_SEMI,
  [294943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13868), 1,
      anon_sym_SEMI,
  [294950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13870), 1,
      sym_identifier,
  [294957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13142), 1,
      anon_sym_RBRACE,
  [294964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13872), 1,
      sym_identifier,
  [294971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13874), 1,
      anon_sym_SEMI,
  [294978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13876), 1,
      anon_sym_RPAREN,
  [294985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13878), 1,
      anon_sym_SEMI,
  [294992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13880), 1,
      anon_sym_RPAREN,
  [294999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13882), 1,
      anon_sym_SEMI,
  [295006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13884), 1,
      anon_sym_RPAREN,
  [295013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13886), 1,
      aux_sym_preproc_if_token2,
  [295020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13888), 1,
      anon_sym_RPAREN,
  [295027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13890), 1,
      aux_sym_preproc_if_token2,
  [295034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13892), 1,
      aux_sym_preproc_if_token2,
  [295041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13894), 1,
      sym_identifier,
  [295048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13896), 1,
      anon_sym_SEMI,
  [295055] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13898), 1,
      aux_sym_preproc_include_token2,
  [295062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10795), 1,
      anon_sym_RPAREN,
  [295069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13900), 1,
      sym_identifier,
  [295076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13902), 1,
      sym_raw_string_delimiter,
  [295083] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13904), 1,
      anon_sym_RPAREN,
  [295090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13906), 1,
      sym_identifier,
  [295097] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10108), 1,
      aux_sym_preproc_include_token2,
  [295104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13908), 1,
      anon_sym_COLON,
  [295111] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10154), 1,
      aux_sym_preproc_include_token2,
  [295118] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13910), 1,
      aux_sym_preproc_include_token2,
  [295125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13912), 1,
      anon_sym_DQUOTE,
  [295132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13914), 1,
      anon_sym_DQUOTE,
  [295139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13916), 1,
      anon_sym_RPAREN,
  [295146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13918), 1,
      anon_sym_SEMI,
  [295153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13920), 1,
      sym_auto,
  [295160] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13041), 1,
      aux_sym_preproc_include_token2,
  [295167] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13922), 1,
      aux_sym_preproc_include_token2,
  [295174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13924), 1,
      sym_identifier,
  [295181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13926), 1,
      anon_sym_DQUOTE,
  [295188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13928), 1,
      anon_sym_LPAREN2,
  [295195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13930), 1,
      anon_sym_SEMI,
  [295202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13932), 1,
      anon_sym_SEMI,
  [295209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13934), 1,
      anon_sym_DQUOTE,
  [295216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13936), 1,
      anon_sym_RPAREN,
  [295223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13938), 1,
      anon_sym_RPAREN,
  [295230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13940), 1,
      anon_sym_RPAREN,
  [295237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13942), 1,
      anon_sym_RPAREN,
  [295244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13944), 1,
      sym_identifier,
  [295251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13946), 1,
      anon_sym_RPAREN,
  [295258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13948), 1,
      aux_sym_preproc_if_token2,
  [295265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13950), 1,
      sym_identifier,
  [295272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11901), 1,
      anon_sym_SEMI,
  [295279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13952), 1,
      anon_sym_DQUOTE,
  [295286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4596), 1,
      anon_sym_DOT_DOT_DOT,
  [295293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13954), 1,
      sym_identifier,
  [295300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13956), 1,
      anon_sym_DQUOTE,
  [295307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10856), 1,
      anon_sym_RPAREN,
  [295314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13958), 1,
      anon_sym_RPAREN,
  [295321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13960), 1,
      sym_raw_string_delimiter,
  [295328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13962), 1,
      anon_sym_SEMI,
  [295335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8798), 1,
      anon_sym_SEMI,
  [295342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8788), 1,
      anon_sym_SEMI,
  [295349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13964), 1,
      anon_sym_SEMI,
  [295356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13966), 1,
      anon_sym_DQUOTE,
  [295363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13968), 1,
      anon_sym_LPAREN2,
  [295370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13970), 1,
      anon_sym_DQUOTE,
  [295377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      sym_identifier,
  [295384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13972), 1,
      anon_sym_RPAREN,
  [295391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13974), 1,
      anon_sym_RPAREN,
  [295398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13976), 1,
      anon_sym_RPAREN,
  [295405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11262), 1,
      anon_sym_SEMI,
  [295412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13978), 1,
      sym_raw_string_delimiter,
  [295419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13980), 1,
      anon_sym_DQUOTE,
  [295426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8672), 1,
      anon_sym_RBRACE,
  [295433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13982), 1,
      anon_sym_DQUOTE,
  [295440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13984), 1,
      anon_sym_RPAREN,
  [295447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13986), 1,
      anon_sym_LPAREN2,
  [295454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13988), 1,
      anon_sym_RPAREN,
  [295461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13990), 1,
      anon_sym_STAR,
  [295468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13992), 1,
      anon_sym_RPAREN,
  [295475] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(13994), 1,
      aux_sym_preproc_include_token2,
  [295482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13996), 1,
      sym_raw_string_delimiter,
  [295489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13998), 1,
      aux_sym_preproc_if_token2,
  [295496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14000), 1,
      anon_sym_RPAREN,
  [295503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14002), 1,
      anon_sym_DQUOTE,
  [295510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14004), 1,
      anon_sym_LPAREN2,
  [295517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14006), 1,
      anon_sym_RPAREN,
  [295524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14008), 1,
      sym_raw_string_delimiter,
  [295531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14010), 1,
      anon_sym_DQUOTE,
  [295538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14012), 1,
      anon_sym_RPAREN,
  [295545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14014), 1,
      sym_raw_string_delimiter,
  [295552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14016), 1,
      sym_identifier,
  [295559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14018), 1,
      anon_sym_RPAREN,
  [295566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14020), 1,
      sym_raw_string_delimiter,
  [295573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14022), 1,
      anon_sym_RPAREN,
  [295580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14024), 1,
      sym_raw_string_delimiter,
  [295587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14026), 1,
      anon_sym_RPAREN,
  [295594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14028), 1,
      sym_raw_string_delimiter,
  [295601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14030), 1,
      anon_sym_RPAREN,
  [295608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14032), 1,
      sym_raw_string_delimiter,
  [295615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14034), 1,
      anon_sym_RPAREN,
  [295622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14036), 1,
      sym_raw_string_delimiter,
  [295629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14038), 1,
      anon_sym_RPAREN,
  [295636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14040), 1,
      sym_raw_string_delimiter,
  [295643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14042), 1,
      aux_sym_preproc_if_token2,
  [295650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10862), 1,
      anon_sym_RBRACE,
  [295657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14044), 1,
      anon_sym_COLON,
  [295664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14046), 1,
      anon_sym_LPAREN2,
  [295671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14048), 1,
      anon_sym_DQUOTE,
  [295678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14050), 1,
      anon_sym_LPAREN2,
  [295685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14052), 1,
      anon_sym_LPAREN2,
  [295692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10866), 1,
      anon_sym_RBRACE,
  [295699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14054), 1,
      anon_sym_DQUOTE,
  [295706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14056), 1,
      anon_sym_LPAREN2,
  [295713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8578), 1,
      anon_sym_RBRACE,
  [295720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14058), 1,
      anon_sym_LPAREN2,
  [295727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14060), 1,
      anon_sym_LPAREN2,
  [295734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14062), 1,
      anon_sym_SEMI,
  [295741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14064), 1,
      anon_sym_LPAREN2,
  [295748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14066), 1,
      anon_sym_RPAREN,
  [295755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14068), 1,
      anon_sym_RPAREN,
  [295762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14070), 1,
      anon_sym_RPAREN,
  [295769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14072), 1,
      anon_sym_RPAREN,
  [295776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14074), 1,
      sym_auto,
  [295783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14076), 1,
      anon_sym_RPAREN,
  [295790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12001), 1,
      anon_sym_SEMI,
  [295797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14078), 1,
      anon_sym_RPAREN,
  [295804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14080), 1,
      anon_sym_DQUOTE,
  [295811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14082), 1,
      anon_sym_DQUOTE,
  [295818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13202), 1,
      anon_sym_RBRACE,
  [295825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14084), 1,
      sym_auto,
  [295832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14086), 1,
      anon_sym_while,
  [295839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14088), 1,
      anon_sym_RPAREN,
  [295846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14090), 1,
      anon_sym_LPAREN2,
  [295853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14092), 1,
      anon_sym_RPAREN,
  [295860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14094), 1,
      anon_sym_RPAREN,
  [295867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14096), 1,
      anon_sym_RPAREN,
  [295874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14098), 1,
      anon_sym_DOT_DOT_DOT,
  [295881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14101), 1,
      anon_sym_EQ,
  [295888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14103), 1,
      sym_raw_string_content,
  [295895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10860), 1,
      anon_sym_RBRACE,
  [295902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14105), 1,
      anon_sym_RPAREN,
  [295909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14107), 1,
      anon_sym_DOT_DOT_DOT,
  [295916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14109), 1,
      anon_sym_STAR,
  [295923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14111), 1,
      anon_sym_RPAREN,
  [295930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7049), 1,
      anon_sym_RPAREN,
  [295937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14113), 1,
      aux_sym_preproc_if_token2,
  [295944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7371), 1,
      sym_identifier,
  [295951] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(14115), 1,
      aux_sym_preproc_include_token2,
  [295958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14117), 1,
      anon_sym_STAR,
  [295965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14119), 1,
      anon_sym_RPAREN,
  [295972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14121), 1,
      sym_auto,
  [295979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14123), 1,
      anon_sym_SEMI,
  [295986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14125), 1,
      sym_identifier,
  [295993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14127), 1,
      anon_sym_RPAREN,
  [296000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14129), 1,
      anon_sym_COMMA,
  [296007] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(14131), 1,
      aux_sym_preproc_include_token2,
  [296014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14133), 1,
      aux_sym_preproc_if_token2,
  [296021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14135), 1,
      aux_sym_preproc_if_token2,
  [296028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14137), 1,
      anon_sym_RPAREN,
  [296035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13230), 1,
      anon_sym_RBRACE,
  [296042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11270), 1,
      anon_sym_SEMI,
  [296049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14139), 1,
      anon_sym_SEMI,
  [296056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14141), 1,
      anon_sym_SEMI,
  [296063] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10168), 1,
      aux_sym_preproc_include_token2,
  [296070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14143), 1,
      anon_sym_SEMI,
  [296077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13094), 1,
      anon_sym_COMMA,
  [296084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14145), 1,
      anon_sym_RPAREN,
  [296091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14147), 1,
      anon_sym_DQUOTE,
  [296098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14149), 1,
      anon_sym_SEMI,
  [296105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14151), 1,
      anon_sym_DQUOTE,
  [296112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14153), 1,
      anon_sym_RPAREN,
  [296119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14155), 1,
      anon_sym_SEMI,
  [296126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13252), 1,
      anon_sym_RBRACE,
  [296133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14157), 1,
      aux_sym_preproc_if_token2,
  [296140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14159), 1,
      anon_sym_SEMI,
  [296147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14161), 1,
      anon_sym_COLON,
  [296154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8868), 1,
      anon_sym_SEMI,
  [296161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14163), 1,
      aux_sym_preproc_if_token2,
  [296168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14165), 1,
      sym_auto,
  [296175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14167), 1,
      anon_sym_RPAREN,
  [296182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14169), 1,
      anon_sym_SEMI,
  [296189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14171), 1,
      anon_sym_RPAREN,
  [296196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14173), 1,
      anon_sym_SEMI,
  [296203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14175), 1,
      anon_sym_SEMI,
  [296210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_SEMI,
  [296217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14177), 1,
      anon_sym_SEMI,
  [296224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10822), 1,
      anon_sym_RBRACE,
  [296231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14179), 1,
      anon_sym_DQUOTE,
  [296238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14181), 1,
      sym_identifier,
  [296245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14183), 1,
      anon_sym_RPAREN,
  [296252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14185), 1,
      anon_sym_RPAREN,
  [296259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14187), 1,
      anon_sym_RPAREN,
  [296266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14189), 1,
      anon_sym_RPAREN,
  [296273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14191), 1,
      anon_sym_RPAREN,
  [296280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14193), 1,
      anon_sym_RPAREN,
  [296287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6957), 1,
      anon_sym_RPAREN,
  [296294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14195), 1,
      anon_sym_SEMI,
  [296301] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(14197), 1,
      aux_sym_preproc_include_token2,
  [296308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14199), 1,
      aux_sym_preproc_if_token2,
  [296315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14201), 1,
      anon_sym_SEMI,
  [296322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14203), 1,
      anon_sym_RPAREN,
  [296329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14205), 1,
      anon_sym_RPAREN,
  [296336] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(12628), 1,
      aux_sym_preproc_include_token2,
  [296343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14207), 1,
      anon_sym_RPAREN,
  [296350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14209), 1,
      anon_sym_RPAREN,
  [296357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14211), 1,
      anon_sym_RPAREN,
  [296364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14213), 1,
      sym_identifier,
  [296371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14215), 1,
      anon_sym_SEMI,
  [296378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14217), 1,
      anon_sym_SEMI,
  [296385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14219), 1,
      anon_sym_DQUOTE,
  [296392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14221), 1,
      anon_sym_SEMI,
  [296399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14223), 1,
      anon_sym_SEMI,
  [296406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14225), 1,
      anon_sym_RPAREN,
  [296413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14227), 1,
      anon_sym_COLON,
  [296420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14229), 1,
      anon_sym_RPAREN,
  [296427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14231), 1,
      sym_identifier,
  [296434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14233), 1,
      aux_sym_preproc_if_token2,
  [296441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14235), 1,
      aux_sym_preproc_if_token2,
  [296448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14237), 1,
      anon_sym_LPAREN2,
  [296455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14239), 1,
      sym_identifier,
  [296462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14241), 1,
      anon_sym_DQUOTE,
  [296469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14243), 1,
      sym_identifier,
  [296476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14245), 1,
      aux_sym_preproc_if_token2,
  [296483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14247), 1,
      anon_sym_SEMI,
  [296490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14249), 1,
      anon_sym_SEMI,
  [296497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14251), 1,
      anon_sym_DQUOTE,
  [296504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14253), 1,
      anon_sym_SEMI,
  [296511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13302), 1,
      anon_sym_RBRACE,
  [296518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14255), 1,
      anon_sym_COLON,
  [296525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14257), 1,
      sym_auto,
  [296532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14259), 1,
      anon_sym_SEMI,
  [296539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8766), 1,
      anon_sym_RPAREN,
  [296546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8772), 1,
      anon_sym_RPAREN,
  [296553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8748), 1,
      anon_sym_SEMI,
  [296560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14261), 1,
      anon_sym_SEMI,
  [296567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14263), 1,
      anon_sym_RPAREN,
  [296574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14265), 1,
      anon_sym_RPAREN,
  [296581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10803), 1,
      anon_sym_RBRACE,
  [296588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14267), 1,
      anon_sym_RPAREN,
  [296595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14269), 1,
      anon_sym_COLON,
  [296602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14271), 1,
      sym_identifier,
  [296609] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(14273), 1,
      aux_sym_preproc_include_token2,
  [296616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14275), 1,
      anon_sym_LPAREN2,
  [296623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14277), 1,
      anon_sym_RPAREN,
  [296630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14279), 1,
      anon_sym_RPAREN,
  [296637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      sym_identifier,
  [296644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14283), 1,
      anon_sym_RPAREN,
  [296651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14285), 1,
      anon_sym_RPAREN,
  [296658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14287), 1,
      anon_sym_RPAREN,
  [296665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14289), 1,
      sym_identifier,
  [296672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14291), 1,
      anon_sym_RPAREN,
  [296679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14293), 1,
      anon_sym_RPAREN,
  [296686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14295), 1,
      anon_sym_RPAREN,
  [296693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14297), 1,
      anon_sym_SEMI,
  [296700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10733), 1,
      anon_sym_RPAREN,
  [296707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14299), 1,
      anon_sym_RPAREN,
  [296714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14301), 1,
      anon_sym_SEMI,
  [296721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8810), 1,
      anon_sym_SEMI,
  [296728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14303), 1,
      sym_identifier,
  [296735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14305), 1,
      anon_sym_RPAREN,
  [296742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14307), 1,
      sym_raw_string_delimiter,
  [296749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8800), 1,
      anon_sym_SEMI,
  [296756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14309), 1,
      anon_sym_SEMI,
  [296763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7739), 1,
      sym_identifier,
  [296770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14311), 1,
      anon_sym_LBRACE,
  [296777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14313), 1,
      anon_sym_RPAREN,
  [296784] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(14315), 1,
      aux_sym_preproc_include_token2,
  [296791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11238), 1,
      anon_sym_SEMI,
  [296798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14317), 1,
      anon_sym_RPAREN,
  [296805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14319), 1,
      anon_sym_RPAREN,
  [296812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14321), 1,
      anon_sym_DQUOTE,
  [296819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14323), 1,
      anon_sym_SEMI,
  [296826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14325), 1,
      anon_sym_COLON,
  [296833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14327), 1,
      anon_sym_LBRACE,
  [296840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14329), 1,
      anon_sym_DQUOTE,
  [296847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14331), 1,
      anon_sym_SEMI,
  [296854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14333), 1,
      anon_sym_SEMI,
  [296861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14335), 1,
      anon_sym_SEMI,
  [296868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13374), 1,
      anon_sym_RBRACE,
  [296875] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(14337), 1,
      aux_sym_preproc_include_token2,
  [296882] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(10072), 1,
      aux_sym_preproc_include_token2,
  [296889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14339), 1,
      sym_auto,
  [296896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4911), 1,
      anon_sym_SEMI,
  [296903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14341), 1,
      anon_sym_SEMI,
  [296910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14343), 1,
      aux_sym_preproc_if_token2,
  [296917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14345), 1,
      aux_sym_preproc_if_token2,
  [296924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14347), 1,
      aux_sym_preproc_if_token2,
  [296931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14349), 1,
      anon_sym_LPAREN2,
  [296938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14351), 1,
      anon_sym_LPAREN2,
  [296945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14353), 1,
      anon_sym_LPAREN2,
  [296952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14355), 1,
      aux_sym_preproc_if_token2,
  [296959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14357), 1,
      anon_sym_LPAREN2,
  [296966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_STAR,
  [296973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14361), 1,
      anon_sym_RPAREN,
  [296980] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(14363), 1,
      aux_sym_preproc_include_token2,
  [296987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12211), 1,
      anon_sym_SEMI,
  [296994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14365), 1,
      anon_sym_while,
  [297001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14367), 1,
      anon_sym_RBRACE,
  [297008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14369), 1,
      anon_sym_LPAREN2,
  [297015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14371), 1,
      anon_sym_RPAREN,
  [297022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14373), 1,
      sym_identifier,
  [297029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14375), 1,
      anon_sym_RPAREN,
  [297036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14377), 1,
      anon_sym_EQ,
  [297043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14379), 1,
      sym_raw_string_content,
  [297050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14381), 1,
      aux_sym_preproc_if_token2,
  [297057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14383), 1,
      anon_sym_RPAREN,
  [297064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14385), 1,
      anon_sym_COMMA,
  [297071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14387), 1,
      anon_sym_RPAREN,
  [297078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10779), 1,
      anon_sym_RBRACE,
  [297085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11394), 1,
      anon_sym_COMMA,
  [297092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14389), 1,
      anon_sym_RPAREN,
  [297099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14391), 1,
      anon_sym_COLON,
  [297106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14393), 1,
      anon_sym_RBRACE,
  [297113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10775), 1,
      anon_sym_RBRACE,
  [297120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14395), 1,
      anon_sym_LPAREN2,
  [297127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14397), 1,
      anon_sym_LPAREN2,
  [297134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14399), 1,
      sym_identifier,
  [297141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14401), 1,
      anon_sym_LPAREN2,
  [297148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14403), 1,
      anon_sym_RPAREN,
  [297155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14405), 1,
      aux_sym_preproc_if_token2,
  [297162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14407), 1,
      anon_sym_while,
  [297169] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(12286), 1,
      aux_sym_preproc_include_token2,
  [297176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14409), 1,
      anon_sym_LPAREN2,
  [297183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14411), 1,
      aux_sym_preproc_if_token2,
  [297190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14413), 1,
      aux_sym_preproc_if_token2,
  [297197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14415), 1,
      anon_sym_EQ,
  [297204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14417), 1,
      sym_raw_string_content,
  [297211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14419), 1,
      sym_raw_string_content,
  [297218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14421), 1,
      anon_sym_COMMA,
  [297225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14423), 1,
      anon_sym_RPAREN,
  [297232] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(14425), 1,
      aux_sym_preproc_include_token2,
  [297239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14427), 1,
      anon_sym_SEMI,
  [297246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14429), 1,
      anon_sym_RPAREN,
  [297253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14431), 1,
      anon_sym_COLON,
  [297260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14433), 1,
      anon_sym_SEMI,
  [297267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14435), 1,
      anon_sym_SEMI,
  [297274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14437), 1,
      anon_sym_LPAREN2,
  [297281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14439), 1,
      anon_sym_LPAREN2,
  [297288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8622), 1,
      anon_sym_RBRACE,
  [297295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14441), 1,
      anon_sym_LPAREN2,
  [297302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14443), 1,
      anon_sym_RPAREN,
  [297309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11298), 1,
      anon_sym_SEMI,
  [297316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14445), 1,
      anon_sym_while,
  [297323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14447), 1,
      anon_sym_RPAREN,
  [297330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14449), 1,
      anon_sym_LPAREN2,
  [297337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14451), 1,
      sym_identifier,
  [297344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
  [297351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14453), 1,
      anon_sym_EQ,
  [297358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14455), 1,
      sym_raw_string_content,
  [297365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14457), 1,
      anon_sym_COMMA,
  [297372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14459), 1,
      anon_sym_RPAREN,
  [297379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12201), 1,
      anon_sym_SEMI,
  [297386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11564), 1,
      anon_sym_COLON,
  [297393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14461), 1,
      anon_sym_RPAREN,
  [297400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14463), 1,
      anon_sym_COLON,
  [297407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14465), 1,
      anon_sym_RPAREN,
  [297414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14467), 1,
      anon_sym_LPAREN2,
  [297421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14469), 1,
      anon_sym_LPAREN2,
  [297428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12536), 1,
      anon_sym_RPAREN,
  [297435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14471), 1,
      anon_sym_LPAREN2,
  [297442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8828), 1,
      anon_sym_RPAREN,
  [297449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8852), 1,
      anon_sym_RPAREN,
  [297456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14473), 1,
      anon_sym_while,
  [297463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14475), 1,
      anon_sym_LPAREN2,
  [297470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8949), 1,
      anon_sym_RPAREN,
  [297477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8866), 1,
      anon_sym_RPAREN,
  [297484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14477), 1,
      anon_sym_EQ,
  [297491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14479), 1,
      sym_raw_string_content,
  [297498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14481), 1,
      anon_sym_COMMA,
  [297505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14483), 1,
      anon_sym_RPAREN,
  [297512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14485), 1,
      anon_sym_RPAREN,
  [297519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14487), 1,
      anon_sym_RPAREN,
  [297526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14489), 1,
      anon_sym_RPAREN,
  [297533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14491), 1,
      anon_sym_COLON,
  [297540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14493), 1,
      anon_sym_RBRACK,
  [297547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14495), 1,
      anon_sym_LPAREN2,
  [297554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14497), 1,
      anon_sym_LPAREN2,
  [297561] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(14499), 1,
      aux_sym_preproc_include_token2,
  [297568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14501), 1,
      anon_sym_LPAREN2,
  [297575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14503), 1,
      sym_identifier,
  [297582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14505), 1,
      sym_identifier,
  [297589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14507), 1,
      anon_sym_LPAREN2,
  [297596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14509), 1,
      anon_sym_SEMI,
  [297603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14511), 1,
      anon_sym_LPAREN2,
  [297610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14513), 1,
      anon_sym_EQ,
  [297617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14515), 1,
      sym_raw_string_content,
  [297624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14517), 1,
      anon_sym_COMMA,
  [297631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14519), 1,
      sym_auto,
  [297638] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(14521), 1,
      aux_sym_preproc_include_token2,
  [297645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14523), 1,
      anon_sym_SEMI,
  [297652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14525), 1,
      anon_sym_RPAREN,
  [297659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14527), 1,
      anon_sym_COLON,
  [297666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13354), 1,
      anon_sym_RBRACE,
  [297673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14529), 1,
      anon_sym_LPAREN2,
  [297680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14531), 1,
      anon_sym_LPAREN2,
  [297687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14533), 1,
      anon_sym_SEMI,
  [297694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14535), 1,
      anon_sym_LPAREN2,
  [297701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14537), 1,
      anon_sym_SEMI,
  [297708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14539), 1,
      anon_sym_DQUOTE,
  [297715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14541), 1,
      anon_sym_LPAREN2,
  [297722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11317), 1,
      anon_sym_SEMI,
  [297729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14543), 1,
      anon_sym_RPAREN,
  [297736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14545), 1,
      anon_sym_EQ,
  [297743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14547), 1,
      sym_raw_string_content,
  [297750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14549), 1,
      anon_sym_COMMA,
  [297757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14551), 1,
      anon_sym_SEMI,
  [297764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14553), 1,
      anon_sym_RPAREN,
  [297771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12284), 1,
      anon_sym_SEMI,
  [297778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14555), 1,
      anon_sym_RPAREN,
  [297785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14557), 1,
      anon_sym_COLON,
  [297792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14559), 1,
      aux_sym_preproc_if_token2,
  [297799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14561), 1,
      anon_sym_LPAREN2,
  [297806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14563), 1,
      anon_sym_RBRACE,
  [297813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14565), 1,
      anon_sym_LPAREN2,
  [297820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14567), 1,
      aux_sym_preproc_if_token2,
  [297827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14569), 1,
      anon_sym_RBRACE,
  [297834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14571), 1,
      aux_sym_preproc_if_token2,
  [297841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14573), 1,
      aux_sym_preproc_if_token2,
  [297848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14575), 1,
      anon_sym_EQ,
  [297855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14577), 1,
      sym_raw_string_content,
  [297862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14579), 1,
      anon_sym_RPAREN,
  [297869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14581), 1,
      anon_sym_SEMI,
  [297876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14583), 1,
      aux_sym_preproc_if_token2,
  [297883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14585), 1,
      anon_sym_RPAREN,
  [297890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14587), 1,
      anon_sym_RBRACE,
  [297897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14589), 1,
      anon_sym_LPAREN2,
  [297904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14591), 1,
      anon_sym_LPAREN2,
  [297911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14593), 1,
      aux_sym_preproc_if_token2,
  [297918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14595), 1,
      sym_raw_string_content,
  [297925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14597), 1,
      anon_sym_DQUOTE,
  [297932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14599), 1,
      anon_sym_SEMI,
  [297939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14601), 1,
      anon_sym_RPAREN,
  [297946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14603), 1,
      aux_sym_preproc_if_token2,
  [297953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14605), 1,
      anon_sym_LPAREN2,
  [297960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14607), 1,
      anon_sym_LPAREN2,
  [297967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14609), 1,
      anon_sym_SEMI,
  [297974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14611), 1,
      sym_raw_string_content,
  [297981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14613), 1,
      anon_sym_RPAREN,
  [297988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14615), 1,
      anon_sym_RPAREN,
  [297995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14617), 1,
      anon_sym_LPAREN2,
  [298002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14619), 1,
      anon_sym_LPAREN2,
  [298009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14621), 1,
      sym_raw_string_content,
  [298016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14623), 1,
      anon_sym_RPAREN,
  [298023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14625), 1,
      sym_raw_string_content,
  [298030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14627), 1,
      anon_sym_RPAREN,
  [298037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14629), 1,
      sym_raw_string_content,
  [298044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14631), 1,
      anon_sym_RPAREN,
  [298051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14633), 1,
      sym_raw_string_content,
  [298058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14635), 1,
      anon_sym_RPAREN,
  [298065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14637), 1,
      sym_raw_string_content,
  [298072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14639), 1,
      anon_sym_RPAREN,
  [298079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14641), 1,
      sym_raw_string_content,
  [298086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14643), 1,
      anon_sym_RPAREN,
  [298093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14645), 1,
      sym_raw_string_content,
  [298100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14647), 1,
      anon_sym_RPAREN,
  [298107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14649), 1,
      sym_raw_string_content,
  [298114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14651), 1,
      anon_sym_RPAREN,
  [298121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14653), 1,
      anon_sym_DQUOTE,
  [298128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14655), 1,
      anon_sym_SEMI,
  [298135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14657), 1,
      anon_sym_LPAREN2,
  [298142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14659), 1,
      anon_sym_LPAREN2,
  [298149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14661), 1,
      sym_identifier,
  [298156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14663), 1,
      anon_sym_DQUOTE,
  [298163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14665), 1,
      anon_sym_SEMI,
  [298170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14667), 1,
      anon_sym_SEMI,
  [298177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14669), 1,
      anon_sym_SEMI,
  [298184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14671), 1,
      anon_sym_SEMI,
  [298191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14673), 1,
      anon_sym_SEMI,
  [298198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14675), 1,
      anon_sym_SEMI,
  [298205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14677), 1,
      anon_sym_RPAREN,
  [298212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10789), 1,
      anon_sym_RBRACE,
  [298219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14679), 1,
      anon_sym_SEMI,
  [298226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8754), 1,
      anon_sym_RPAREN,
  [298233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13254), 1,
      anon_sym_RBRACE,
  [298240] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(14681), 1,
      aux_sym_preproc_include_token2,
  [298247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11987), 1,
      anon_sym_SEMI,
  [298254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14683), 1,
      sym_identifier,
  [298261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14685), 1,
      sym_raw_string_content,
  [298268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14687), 1,
      anon_sym_RPAREN,
  [298275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9125), 1,
      anon_sym_RPAREN,
  [298282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14689), 1,
      sym_auto,
  [298289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4965), 1,
      anon_sym_SEMI,
  [298296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14691), 1,
      anon_sym_SEMI,
  [298303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14693), 1,
      anon_sym_RPAREN,
  [298310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14695), 1,
      anon_sym_SEMI,
  [298317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12021), 1,
      anon_sym_SEMI,
  [298324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14697), 1,
      anon_sym_SEMI,
  [298331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14699), 1,
      anon_sym_RPAREN,
  [298338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14701), 1,
      anon_sym_RPAREN,
  [298345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14703), 1,
      anon_sym_STAR,
  [298352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14705), 1,
      anon_sym_DQUOTE,
  [298359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14707), 1,
      anon_sym_SEMI,
  [298366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14709), 1,
      ts_builtin_sym_end,
  [298373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14711), 1,
      anon_sym_RPAREN,
  [298380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14713), 1,
      anon_sym_RPAREN,
  [298387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14715), 1,
      anon_sym_RPAREN,
  [298394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14717), 1,
      sym_identifier,
  [298401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14719), 1,
      anon_sym_LPAREN2,
  [298408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14721), 1,
      anon_sym_RBRACE,
  [298415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14723), 1,
      aux_sym_preproc_if_token2,
  [298422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14725), 1,
      anon_sym_RPAREN,
  [298429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14727), 1,
      aux_sym_preproc_if_token2,
  [298436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8650), 1,
      anon_sym_RBRACE,
  [298443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14729), 1,
      aux_sym_preproc_if_token2,
  [298450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14731), 1,
      aux_sym_preproc_if_token2,
  [298457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14733), 1,
      anon_sym_LPAREN2,
  [298464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14735), 1,
      aux_sym_preproc_if_token2,
  [298471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14737), 1,
      anon_sym_LPAREN2,
  [298478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14739), 1,
      aux_sym_preproc_if_token2,
  [298485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14741), 1,
      anon_sym_RPAREN,
  [298492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10731), 1,
      anon_sym_RBRACE,
  [298499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14743), 1,
      sym_identifier,
  [298506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14745), 1,
      anon_sym_SEMI,
  [298513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14747), 1,
      anon_sym_SEMI,
  [298520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14749), 1,
      anon_sym_LPAREN2,
  [298527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14751), 1,
      anon_sym_LPAREN2,
  [298534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14753), 1,
      anon_sym_LPAREN2,
  [298541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14755), 1,
      sym_identifier,
  [298548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14757), 1,
      anon_sym_SEMI,
  [298555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14759), 1,
      anon_sym_SEMI,
  [298562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14761), 1,
      anon_sym_LPAREN2,
  [298569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14763), 1,
      anon_sym_RPAREN,
  [298576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14765), 1,
      anon_sym_COLON,
  [298583] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(14767), 1,
      aux_sym_preproc_include_token2,
  [298590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14769), 1,
      anon_sym_RPAREN,
  [298597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8592), 1,
      anon_sym_RPAREN,
  [298604] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(14771), 1,
      aux_sym_preproc_include_token2,
  [298611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14773), 1,
      anon_sym_RPAREN,
  [298618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14775), 1,
      anon_sym_RBRACK,
  [298625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14777), 1,
      anon_sym_LPAREN2,
  [298632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14779), 1,
      anon_sym_STAR,
  [298639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14781), 1,
      anon_sym_RPAREN,
  [298646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14783), 1,
      anon_sym_RPAREN,
  [298653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14785), 1,
      anon_sym_RPAREN,
  [298660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_SEMI,
  [298667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14787), 1,
      anon_sym_RPAREN,
  [298674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14789), 1,
      anon_sym_RPAREN,
  [298681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14791), 1,
      anon_sym_LPAREN2,
  [298688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14793), 1,
      anon_sym_LPAREN2,
  [298695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14795), 1,
      sym_identifier,
  [298702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14797), 1,
      anon_sym_RPAREN,
  [298709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14799), 1,
      anon_sym_LPAREN2,
  [298716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14801), 1,
      anon_sym_RPAREN,
  [298723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14803), 1,
      sym_identifier,
  [298730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14805), 1,
      sym_raw_string_content,
  [298737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14807), 1,
      aux_sym_preproc_if_token2,
  [298744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14809), 1,
      aux_sym_preproc_if_token2,
  [298751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14811), 1,
      anon_sym_RPAREN,
  [298758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14813), 1,
      anon_sym_LPAREN2,
  [298765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14815), 1,
      anon_sym_LPAREN2,
  [298772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14817), 1,
      sym_identifier,
  [298779] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(14819), 1,
      aux_sym_preproc_include_token2,
  [298786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14821), 1,
      aux_sym_preproc_if_token2,
  [298793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14823), 1,
      sym_identifier,
  [298800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14825), 1,
      sym_raw_string_content,
  [298807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14827), 1,
      sym_identifier,
  [298814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14829), 1,
      anon_sym_COLON,
  [298821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8594), 1,
      anon_sym_SEMI,
  [298828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14831), 1,
      anon_sym_LPAREN2,
  [298835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14833), 1,
      anon_sym_LPAREN2,
  [298842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14835), 1,
      sym_identifier,
  [298849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14837), 1,
      anon_sym_RPAREN,
  [298856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14839), 1,
      sym_identifier,
  [298863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14841), 1,
      sym_identifier,
  [298870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14843), 1,
      sym_raw_string_content,
  [298877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14845), 1,
      anon_sym_LPAREN2,
  [298884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8459), 1,
      anon_sym_RBRACE,
  [298891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14847), 1,
      anon_sym_LPAREN2,
  [298898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14849), 1,
      anon_sym_LPAREN2,
  [298905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14851), 1,
      sym_identifier,
  [298912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14853), 1,
      anon_sym_COMMA,
  [298919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14855), 1,
      anon_sym_RPAREN,
  [298926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14857), 1,
      sym_identifier,
  [298933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14859), 1,
      sym_raw_string_content,
  [298940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7095), 1,
      sym_identifier,
  [298947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14861), 1,
      sym_identifier,
  [298954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14863), 1,
      anon_sym_LPAREN2,
  [298961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14865), 1,
      sym_identifier,
  [298968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14867), 1,
      sym_identifier,
  [298975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11242), 1,
      anon_sym_SEMI,
  [298982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14869), 1,
      sym_identifier,
  [298989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14871), 1,
      sym_raw_string_content,
  [298996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14873), 1,
      anon_sym_RPAREN,
  [299003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14875), 1,
      sym_identifier,
  [299010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14877), 1,
      anon_sym_LPAREN2,
  [299017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14879), 1,
      sym_identifier,
  [299024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14881), 1,
      anon_sym_RPAREN,
  [299031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14883), 1,
      anon_sym_RPAREN,
  [299038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14885), 1,
      sym_identifier,
  [299045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14887), 1,
      sym_raw_string_content,
  [299052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14889), 1,
      anon_sym_RPAREN,
  [299059] = 2,
    ACTIONS(5431), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9956), 1,
      sym_comment,
  [299066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14891), 1,
      anon_sym_LPAREN2,
  [299073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14893), 1,
      sym_identifier,
  [299080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14895), 1,
      anon_sym_RPAREN,
  [299087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14897), 1,
      sym_identifier,
  [299094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14899), 1,
      sym_raw_string_content,
  [299101] = 2,
    ACTIONS(5427), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9956), 1,
      sym_comment,
  [299108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14901), 1,
      anon_sym_DQUOTE,
  [299115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14903), 1,
      sym_identifier,
  [299122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14905), 1,
      sym_raw_string_content,
  [299129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14907), 1,
      anon_sym_SEMI,
  [299136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14909), 1,
      anon_sym_SEMI,
  [299143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14911), 1,
      sym_raw_string_content,
  [299150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14913), 1,
      anon_sym_RPAREN,
  [299157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14915), 1,
      sym_raw_string_content,
  [299164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14917), 1,
      anon_sym_DQUOTE,
  [299171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14919), 1,
      sym_raw_string_content,
  [299178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14921), 1,
      anon_sym_SEMI,
  [299185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14923), 1,
      sym_raw_string_content,
  [299192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14925), 1,
      anon_sym_SEMI,
  [299199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14927), 1,
      sym_raw_string_content,
  [299206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14929), 1,
      anon_sym_RPAREN,
  [299213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14931), 1,
      sym_raw_string_content,
  [299220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14933), 1,
      anon_sym_SEMI,
  [299227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14935), 1,
      sym_raw_string_content,
  [299234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13232), 1,
      anon_sym_RBRACE,
  [299241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14937), 1,
      sym_raw_string_content,
  [299248] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(14939), 1,
      aux_sym_preproc_include_token2,
  [299255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14941), 1,
      sym_raw_string_content,
  [299262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14943), 1,
      anon_sym_LPAREN2,
  [299269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14945), 1,
      anon_sym_LPAREN2,
  [299276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14947), 1,
      sym_auto,
  [299283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14949), 1,
      anon_sym_LPAREN2,
  [299290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14951), 1,
      anon_sym_LPAREN2,
  [299297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4870), 1,
      anon_sym_SEMI,
  [299304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14953), 1,
      anon_sym_LPAREN2,
  [299311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14955), 1,
      anon_sym_LPAREN2,
  [299318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14957), 1,
      anon_sym_SEMI,
  [299325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14959), 1,
      anon_sym_LPAREN2,
  [299332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14961), 1,
      anon_sym_LPAREN2,
  [299339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11729), 1,
      anon_sym_SEMI,
  [299346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14963), 1,
      anon_sym_LPAREN2,
  [299353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14965), 1,
      anon_sym_LPAREN2,
  [299360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14967), 1,
      anon_sym_RPAREN,
  [299367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14969), 1,
      anon_sym_LPAREN2,
  [299374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14971), 1,
      anon_sym_LPAREN2,
  [299381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14973), 1,
      anon_sym_RPAREN,
  [299388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14975), 1,
      anon_sym_LPAREN2,
  [299395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14977), 1,
      anon_sym_LPAREN2,
  [299402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14979), 1,
      anon_sym_RPAREN,
  [299409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14981), 1,
      anon_sym_LPAREN2,
  [299416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14983), 1,
      anon_sym_LPAREN2,
  [299423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14985), 1,
      anon_sym_LPAREN2,
  [299430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14987), 1,
      anon_sym_LPAREN2,
  [299437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14989), 1,
      anon_sym_LPAREN2,
  [299444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14991), 1,
      anon_sym_LPAREN2,
  [299451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14993), 1,
      anon_sym_LPAREN2,
  [299458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14995), 1,
      anon_sym_LPAREN2,
  [299465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14997), 1,
      anon_sym_LPAREN2,
  [299472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14999), 1,
      anon_sym_LPAREN2,
  [299479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15001), 1,
      anon_sym_LPAREN2,
  [299486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8574), 1,
      anon_sym_RBRACE,
  [299493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10703), 1,
      anon_sym_RBRACE,
  [299500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15003), 1,
      anon_sym_RPAREN,
  [299507] = 2,
    ACTIONS(9956), 1,
      sym_comment,
    ACTIONS(15005), 1,
      aux_sym_preproc_include_token2,
  [299514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15007), 1,
      sym_identifier,
  [299521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11558), 1,
      anon_sym_COMMA,
  [299528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15009), 1,
      sym_identifier,
  [299535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15011), 1,
      anon_sym_LPAREN2,
  [299542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15013), 1,
      anon_sym_LPAREN2,
  [299549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15015), 1,
      anon_sym_LPAREN2,
  [299556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15017), 1,
      anon_sym_LPAREN2,
  [299563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15019), 1,
      anon_sym_LPAREN2,
  [299570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15021), 1,
      anon_sym_LPAREN2,
  [299577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15023), 1,
      anon_sym_LPAREN2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2765)] = 0,
  [SMALL_STATE(2766)] = 71,
  [SMALL_STATE(2767)] = 146,
  [SMALL_STATE(2768)] = 217,
  [SMALL_STATE(2769)] = 290,
  [SMALL_STATE(2770)] = 361,
  [SMALL_STATE(2771)] = 444,
  [SMALL_STATE(2772)] = 523,
  [SMALL_STATE(2773)] = 598,
  [SMALL_STATE(2774)] = 669,
  [SMALL_STATE(2775)] = 740,
  [SMALL_STATE(2776)] = 823,
  [SMALL_STATE(2777)] = 900,
  [SMALL_STATE(2778)] = 975,
  [SMALL_STATE(2779)] = 1056,
  [SMALL_STATE(2780)] = 1127,
  [SMALL_STATE(2781)] = 1202,
  [SMALL_STATE(2782)] = 1279,
  [SMALL_STATE(2783)] = 1350,
  [SMALL_STATE(2784)] = 1425,
  [SMALL_STATE(2785)] = 1502,
  [SMALL_STATE(2786)] = 1577,
  [SMALL_STATE(2787)] = 1652,
  [SMALL_STATE(2788)] = 1731,
  [SMALL_STATE(2789)] = 1810,
  [SMALL_STATE(2790)] = 1881,
  [SMALL_STATE(2791)] = 1956,
  [SMALL_STATE(2792)] = 2035,
  [SMALL_STATE(2793)] = 2114,
  [SMALL_STATE(2794)] = 2189,
  [SMALL_STATE(2795)] = 2262,
  [SMALL_STATE(2796)] = 2337,
  [SMALL_STATE(2797)] = 2412,
  [SMALL_STATE(2798)] = 2483,
  [SMALL_STATE(2799)] = 2554,
  [SMALL_STATE(2800)] = 2625,
  [SMALL_STATE(2801)] = 2695,
  [SMALL_STATE(2802)] = 2779,
  [SMALL_STATE(2803)] = 2849,
  [SMALL_STATE(2804)] = 2919,
  [SMALL_STATE(2805)] = 2989,
  [SMALL_STATE(2806)] = 3059,
  [SMALL_STATE(2807)] = 3129,
  [SMALL_STATE(2808)] = 3199,
  [SMALL_STATE(2809)] = 3269,
  [SMALL_STATE(2810)] = 3339,
  [SMALL_STATE(2811)] = 3413,
  [SMALL_STATE(2812)] = 3483,
  [SMALL_STATE(2813)] = 3553,
  [SMALL_STATE(2814)] = 3627,
  [SMALL_STATE(2815)] = 3697,
  [SMALL_STATE(2816)] = 3781,
  [SMALL_STATE(2817)] = 3863,
  [SMALL_STATE(2818)] = 3941,
  [SMALL_STATE(2819)] = 4017,
  [SMALL_STATE(2820)] = 4139,
  [SMALL_STATE(2821)] = 4213,
  [SMALL_STATE(2822)] = 4287,
  [SMALL_STATE(2823)] = 4371,
  [SMALL_STATE(2824)] = 4455,
  [SMALL_STATE(2825)] = 4539,
  [SMALL_STATE(2826)] = 4617,
  [SMALL_STATE(2827)] = 4687,
  [SMALL_STATE(2828)] = 4757,
  [SMALL_STATE(2829)] = 4835,
  [SMALL_STATE(2830)] = 4915,
  [SMALL_STATE(2831)] = 4985,
  [SMALL_STATE(2832)] = 5055,
  [SMALL_STATE(2833)] = 5125,
  [SMALL_STATE(2834)] = 5195,
  [SMALL_STATE(2835)] = 5265,
  [SMALL_STATE(2836)] = 5351,
  [SMALL_STATE(2837)] = 5473,
  [SMALL_STATE(2838)] = 5543,
  [SMALL_STATE(2839)] = 5613,
  [SMALL_STATE(2840)] = 5683,
  [SMALL_STATE(2841)] = 5755,
  [SMALL_STATE(2842)] = 5825,
  [SMALL_STATE(2843)] = 5899,
  [SMALL_STATE(2844)] = 5973,
  [SMALL_STATE(2845)] = 6055,
  [SMALL_STATE(2846)] = 6125,
  [SMALL_STATE(2847)] = 6199,
  [SMALL_STATE(2848)] = 6273,
  [SMALL_STATE(2849)] = 6343,
  [SMALL_STATE(2850)] = 6413,
  [SMALL_STATE(2851)] = 6489,
  [SMALL_STATE(2852)] = 6563,
  [SMALL_STATE(2853)] = 6632,
  [SMALL_STATE(2854)] = 6705,
  [SMALL_STATE(2855)] = 6776,
  [SMALL_STATE(2856)] = 6845,
  [SMALL_STATE(2857)] = 6914,
  [SMALL_STATE(2858)] = 6983,
  [SMALL_STATE(2859)] = 7056,
  [SMALL_STATE(2860)] = 7125,
  [SMALL_STATE(2861)] = 7198,
  [SMALL_STATE(2862)] = 7267,
  [SMALL_STATE(2863)] = 7336,
  [SMALL_STATE(2864)] = 7405,
  [SMALL_STATE(2865)] = 7474,
  [SMALL_STATE(2866)] = 7543,
  [SMALL_STATE(2867)] = 7612,
  [SMALL_STATE(2868)] = 7681,
  [SMALL_STATE(2869)] = 7750,
  [SMALL_STATE(2870)] = 7823,
  [SMALL_STATE(2871)] = 7892,
  [SMALL_STATE(2872)] = 7973,
  [SMALL_STATE(2873)] = 8042,
  [SMALL_STATE(2874)] = 8113,
  [SMALL_STATE(2875)] = 8182,
  [SMALL_STATE(2876)] = 8251,
  [SMALL_STATE(2877)] = 8320,
  [SMALL_STATE(2878)] = 8393,
  [SMALL_STATE(2879)] = 8462,
  [SMALL_STATE(2880)] = 8531,
  [SMALL_STATE(2881)] = 8608,
  [SMALL_STATE(2882)] = 8677,
  [SMALL_STATE(2883)] = 8746,
  [SMALL_STATE(2884)] = 8815,
  [SMALL_STATE(2885)] = 8890,
  [SMALL_STATE(2886)] = 8961,
  [SMALL_STATE(2887)] = 9030,
  [SMALL_STATE(2888)] = 9099,
  [SMALL_STATE(2889)] = 9168,
  [SMALL_STATE(2890)] = 9237,
  [SMALL_STATE(2891)] = 9306,
  [SMALL_STATE(2892)] = 9379,
  [SMALL_STATE(2893)] = 9448,
  [SMALL_STATE(2894)] = 9517,
  [SMALL_STATE(2895)] = 9598,
  [SMALL_STATE(2896)] = 9667,
  [SMALL_STATE(2897)] = 9736,
  [SMALL_STATE(2898)] = 9805,
  [SMALL_STATE(2899)] = 9878,
  [SMALL_STATE(2900)] = 9963,
  [SMALL_STATE(2901)] = 10036,
  [SMALL_STATE(2902)] = 10105,
  [SMALL_STATE(2903)] = 10178,
  [SMALL_STATE(2904)] = 10259,
  [SMALL_STATE(2905)] = 10328,
  [SMALL_STATE(2906)] = 10401,
  [SMALL_STATE(2907)] = 10470,
  [SMALL_STATE(2908)] = 10539,
  [SMALL_STATE(2909)] = 10612,
  [SMALL_STATE(2910)] = 10681,
  [SMALL_STATE(2911)] = 10750,
  [SMALL_STATE(2912)] = 10819,
  [SMALL_STATE(2913)] = 10888,
  [SMALL_STATE(2914)] = 10973,
  [SMALL_STATE(2915)] = 11042,
  [SMALL_STATE(2916)] = 11111,
  [SMALL_STATE(2917)] = 11180,
  [SMALL_STATE(2918)] = 11249,
  [SMALL_STATE(2919)] = 11318,
  [SMALL_STATE(2920)] = 11391,
  [SMALL_STATE(2921)] = 11460,
  [SMALL_STATE(2922)] = 11529,
  [SMALL_STATE(2923)] = 11598,
  [SMALL_STATE(2924)] = 11667,
  [SMALL_STATE(2925)] = 11736,
  [SMALL_STATE(2926)] = 11805,
  [SMALL_STATE(2927)] = 11874,
  [SMALL_STATE(2928)] = 11943,
  [SMALL_STATE(2929)] = 12012,
  [SMALL_STATE(2930)] = 12081,
  [SMALL_STATE(2931)] = 12150,
  [SMALL_STATE(2932)] = 12219,
  [SMALL_STATE(2933)] = 12288,
  [SMALL_STATE(2934)] = 12363,
  [SMALL_STATE(2935)] = 12440,
  [SMALL_STATE(2936)] = 12509,
  [SMALL_STATE(2937)] = 12578,
  [SMALL_STATE(2938)] = 12653,
  [SMALL_STATE(2939)] = 12722,
  [SMALL_STATE(2940)] = 12791,
  [SMALL_STATE(2941)] = 12864,
  [SMALL_STATE(2942)] = 12933,
  [SMALL_STATE(2943)] = 13002,
  [SMALL_STATE(2944)] = 13075,
  [SMALL_STATE(2945)] = 13144,
  [SMALL_STATE(2946)] = 13213,
  [SMALL_STATE(2947)] = 13282,
  [SMALL_STATE(2948)] = 13351,
  [SMALL_STATE(2949)] = 13420,
  [SMALL_STATE(2950)] = 13489,
  [SMALL_STATE(2951)] = 13558,
  [SMALL_STATE(2952)] = 13627,
  [SMALL_STATE(2953)] = 13696,
  [SMALL_STATE(2954)] = 13765,
  [SMALL_STATE(2955)] = 13838,
  [SMALL_STATE(2956)] = 13911,
  [SMALL_STATE(2957)] = 13984,
  [SMALL_STATE(2958)] = 14057,
  [SMALL_STATE(2959)] = 14134,
  [SMALL_STATE(2960)] = 14211,
  [SMALL_STATE(2961)] = 14280,
  [SMALL_STATE(2962)] = 14359,
  [SMALL_STATE(2963)] = 14480,
  [SMALL_STATE(2964)] = 14549,
  [SMALL_STATE(2965)] = 14618,
  [SMALL_STATE(2966)] = 14687,
  [SMALL_STATE(2967)] = 14756,
  [SMALL_STATE(2968)] = 14837,
  [SMALL_STATE(2969)] = 14910,
  [SMALL_STATE(2970)] = 14979,
  [SMALL_STATE(2971)] = 15048,
  [SMALL_STATE(2972)] = 15117,
  [SMALL_STATE(2973)] = 15186,
  [SMALL_STATE(2974)] = 15255,
  [SMALL_STATE(2975)] = 15328,
  [SMALL_STATE(2976)] = 15401,
  [SMALL_STATE(2977)] = 15474,
  [SMALL_STATE(2978)] = 15543,
  [SMALL_STATE(2979)] = 15612,
  [SMALL_STATE(2980)] = 15685,
  [SMALL_STATE(2981)] = 15757,
  [SMALL_STATE(2982)] = 15831,
  [SMALL_STATE(2983)] = 15903,
  [SMALL_STATE(2984)] = 15975,
  [SMALL_STATE(2985)] = 16051,
  [SMALL_STATE(2986)] = 16125,
  [SMALL_STATE(2987)] = 16197,
  [SMALL_STATE(2988)] = 16265,
  [SMALL_STATE(2989)] = 16337,
  [SMALL_STATE(2990)] = 16405,
  [SMALL_STATE(2991)] = 16481,
  [SMALL_STATE(2992)] = 16549,
  [SMALL_STATE(2993)] = 16617,
  [SMALL_STATE(2994)] = 16701,
  [SMALL_STATE(2995)] = 16773,
  [SMALL_STATE(2996)] = 16849,
  [SMALL_STATE(2997)] = 16921,
  [SMALL_STATE(2998)] = 16989,
  [SMALL_STATE(2999)] = 17057,
  [SMALL_STATE(3000)] = 17141,
  [SMALL_STATE(3001)] = 17219,
  [SMALL_STATE(3002)] = 17303,
  [SMALL_STATE(3003)] = 17387,
  [SMALL_STATE(3004)] = 17459,
  [SMALL_STATE(3005)] = 17530,
  [SMALL_STATE(3006)] = 17599,
  [SMALL_STATE(3007)] = 17666,
  [SMALL_STATE(3008)] = 17749,
  [SMALL_STATE(3009)] = 17818,
  [SMALL_STATE(3010)] = 17885,
  [SMALL_STATE(3011)] = 17956,
  [SMALL_STATE(3012)] = 18023,
  [SMALL_STATE(3013)] = 18090,
  [SMALL_STATE(3014)] = 18165,
  [SMALL_STATE(3015)] = 18232,
  [SMALL_STATE(3016)] = 18303,
  [SMALL_STATE(3017)] = 18374,
  [SMALL_STATE(3018)] = 18445,
  [SMALL_STATE(3019)] = 18524,
  [SMALL_STATE(3020)] = 18599,
  [SMALL_STATE(3021)] = 18670,
  [SMALL_STATE(3022)] = 18741,
  [SMALL_STATE(3023)] = 18812,
  [SMALL_STATE(3024)] = 18879,
  [SMALL_STATE(3025)] = 18954,
  [SMALL_STATE(3026)] = 19021,
  [SMALL_STATE(3027)] = 19088,
  [SMALL_STATE(3028)] = 19155,
  [SMALL_STATE(3029)] = 19222,
  [SMALL_STATE(3030)] = 19289,
  [SMALL_STATE(3031)] = 19358,
  [SMALL_STATE(3032)] = 19427,
  [SMALL_STATE(3033)] = 19494,
  [SMALL_STATE(3034)] = 19561,
  [SMALL_STATE(3035)] = 19632,
  [SMALL_STATE(3036)] = 19699,
  [SMALL_STATE(3037)] = 19770,
  [SMALL_STATE(3038)] = 19837,
  [SMALL_STATE(3039)] = 19904,
  [SMALL_STATE(3040)] = 19971,
  [SMALL_STATE(3041)] = 20038,
  [SMALL_STATE(3042)] = 20111,
  [SMALL_STATE(3043)] = 20178,
  [SMALL_STATE(3044)] = 20257,
  [SMALL_STATE(3045)] = 20324,
  [SMALL_STATE(3046)] = 20391,
  [SMALL_STATE(3047)] = 20462,
  [SMALL_STATE(3048)] = 20535,
  [SMALL_STATE(3049)] = 20602,
  [SMALL_STATE(3050)] = 20671,
  [SMALL_STATE(3051)] = 20738,
  [SMALL_STATE(3052)] = 20809,
  [SMALL_STATE(3053)] = 20878,
  [SMALL_STATE(3054)] = 20949,
  [SMALL_STATE(3055)] = 21016,
  [SMALL_STATE(3056)] = 21094,
  [SMALL_STATE(3057)] = 21160,
  [SMALL_STATE(3058)] = 21226,
  [SMALL_STATE(3059)] = 21296,
  [SMALL_STATE(3060)] = 21372,
  [SMALL_STATE(3061)] = 21440,
  [SMALL_STATE(3062)] = 21506,
  [SMALL_STATE(3063)] = 21572,
  [SMALL_STATE(3064)] = 21638,
  [SMALL_STATE(3065)] = 21704,
  [SMALL_STATE(3066)] = 21770,
  [SMALL_STATE(3067)] = 21840,
  [SMALL_STATE(3068)] = 21906,
  [SMALL_STATE(3069)] = 21972,
  [SMALL_STATE(3070)] = 22038,
  [SMALL_STATE(3071)] = 22104,
  [SMALL_STATE(3072)] = 22174,
  [SMALL_STATE(3073)] = 22240,
  [SMALL_STATE(3074)] = 22306,
  [SMALL_STATE(3075)] = 22376,
  [SMALL_STATE(3076)] = 22444,
  [SMALL_STATE(3077)] = 22514,
  [SMALL_STATE(3078)] = 22596,
  [SMALL_STATE(3079)] = 22666,
  [SMALL_STATE(3080)] = 22732,
  [SMALL_STATE(3081)] = 22810,
  [SMALL_STATE(3082)] = 22880,
  [SMALL_STATE(3083)] = 22946,
  [SMALL_STATE(3084)] = 23012,
  [SMALL_STATE(3085)] = 23082,
  [SMALL_STATE(3086)] = 23150,
  [SMALL_STATE(3087)] = 23218,
  [SMALL_STATE(3088)] = 23284,
  [SMALL_STATE(3089)] = 23358,
  [SMALL_STATE(3090)] = 23440,
  [SMALL_STATE(3091)] = 23510,
  [SMALL_STATE(3092)] = 23580,
  [SMALL_STATE(3093)] = 23650,
  [SMALL_STATE(3094)] = 23716,
  [SMALL_STATE(3095)] = 23786,
  [SMALL_STATE(3096)] = 23854,
  [SMALL_STATE(3097)] = 23924,
  [SMALL_STATE(3098)] = 24006,
  [SMALL_STATE(3099)] = 24072,
  [SMALL_STATE(3100)] = 24138,
  [SMALL_STATE(3101)] = 24220,
  [SMALL_STATE(3102)] = 24288,
  [SMALL_STATE(3103)] = 24362,
  [SMALL_STATE(3104)] = 24433,
  [SMALL_STATE(3105)] = 24498,
  [SMALL_STATE(3106)] = 24563,
  [SMALL_STATE(3107)] = 24630,
  [SMALL_STATE(3108)] = 24711,
  [SMALL_STATE(3109)] = 24776,
  [SMALL_STATE(3110)] = 24851,
  [SMALL_STATE(3111)] = 24920,
  [SMALL_STATE(3112)] = 25033,
  [SMALL_STATE(3113)] = 25142,
  [SMALL_STATE(3114)] = 25207,
  [SMALL_STATE(3115)] = 25288,
  [SMALL_STATE(3116)] = 25375,
  [SMALL_STATE(3117)] = 25446,
  [SMALL_STATE(3118)] = 25537,
  [SMALL_STATE(3119)] = 25632,
  [SMALL_STATE(3120)] = 25697,
  [SMALL_STATE(3121)] = 25806,
  [SMALL_STATE(3122)] = 25873,
  [SMALL_STATE(3123)] = 25970,
  [SMALL_STATE(3124)] = 26035,
  [SMALL_STATE(3125)] = 26102,
  [SMALL_STATE(3126)] = 26171,
  [SMALL_STATE(3127)] = 26240,
  [SMALL_STATE(3128)] = 26339,
  [SMALL_STATE(3129)] = 26404,
  [SMALL_STATE(3130)] = 26473,
  [SMALL_STATE(3131)] = 26548,
  [SMALL_STATE(3132)] = 26613,
  [SMALL_STATE(3133)] = 26714,
  [SMALL_STATE(3134)] = 26819,
  [SMALL_STATE(3135)] = 26892,
  [SMALL_STATE(3136)] = 26963,
  [SMALL_STATE(3137)] = 27072,
  [SMALL_STATE(3138)] = 27141,
  [SMALL_STATE(3139)] = 27210,
  [SMALL_STATE(3140)] = 27323,
  [SMALL_STATE(3141)] = 27388,
  [SMALL_STATE(3142)] = 27457,
  [SMALL_STATE(3143)] = 27538,
  [SMALL_STATE(3144)] = 27603,
  [SMALL_STATE(3145)] = 27668,
  [SMALL_STATE(3146)] = 27737,
  [SMALL_STATE(3147)] = 27802,
  [SMALL_STATE(3148)] = 27887,
  [SMALL_STATE(3149)] = 27952,
  [SMALL_STATE(3150)] = 28017,
  [SMALL_STATE(3151)] = 28082,
  [SMALL_STATE(3152)] = 28195,
  [SMALL_STATE(3153)] = 28260,
  [SMALL_STATE(3154)] = 28327,
  [SMALL_STATE(3155)] = 28392,
  [SMALL_STATE(3156)] = 28465,
  [SMALL_STATE(3157)] = 28534,
  [SMALL_STATE(3158)] = 28599,
  [SMALL_STATE(3159)] = 28668,
  [SMALL_STATE(3160)] = 28749,
  [SMALL_STATE(3161)] = 28814,
  [SMALL_STATE(3162)] = 28879,
  [SMALL_STATE(3163)] = 28944,
  [SMALL_STATE(3164)] = 29009,
  [SMALL_STATE(3165)] = 29078,
  [SMALL_STATE(3166)] = 29187,
  [SMALL_STATE(3167)] = 29256,
  [SMALL_STATE(3168)] = 29325,
  [SMALL_STATE(3169)] = 29406,
  [SMALL_STATE(3170)] = 29475,
  [SMALL_STATE(3171)] = 29550,
  [SMALL_STATE(3172)] = 29619,
  [SMALL_STATE(3173)] = 29684,
  [SMALL_STATE(3174)] = 29753,
  [SMALL_STATE(3175)] = 29822,
  [SMALL_STATE(3176)] = 29905,
  [SMALL_STATE(3177)] = 29980,
  [SMALL_STATE(3178)] = 30049,
  [SMALL_STATE(3179)] = 30118,
  [SMALL_STATE(3180)] = 30194,
  [SMALL_STATE(3181)] = 30258,
  [SMALL_STATE(3182)] = 30322,
  [SMALL_STATE(3183)] = 30430,
  [SMALL_STATE(3184)] = 30494,
  [SMALL_STATE(3185)] = 30558,
  [SMALL_STATE(3186)] = 30622,
  [SMALL_STATE(3187)] = 30686,
  [SMALL_STATE(3188)] = 30750,
  [SMALL_STATE(3189)] = 30818,
  [SMALL_STATE(3190)] = 30882,
  [SMALL_STATE(3191)] = 30946,
  [SMALL_STATE(3192)] = 31010,
  [SMALL_STATE(3193)] = 31086,
  [SMALL_STATE(3194)] = 31172,
  [SMALL_STATE(3195)] = 31236,
  [SMALL_STATE(3196)] = 31304,
  [SMALL_STATE(3197)] = 31368,
  [SMALL_STATE(3198)] = 31432,
  [SMALL_STATE(3199)] = 31500,
  [SMALL_STATE(3200)] = 31564,
  [SMALL_STATE(3201)] = 31628,
  [SMALL_STATE(3202)] = 31696,
  [SMALL_STATE(3203)] = 31764,
  [SMALL_STATE(3204)] = 31828,
  [SMALL_STATE(3205)] = 31892,
  [SMALL_STATE(3206)] = 31956,
  [SMALL_STATE(3207)] = 32020,
  [SMALL_STATE(3208)] = 32084,
  [SMALL_STATE(3209)] = 32154,
  [SMALL_STATE(3210)] = 32218,
  [SMALL_STATE(3211)] = 32286,
  [SMALL_STATE(3212)] = 32352,
  [SMALL_STATE(3213)] = 32416,
  [SMALL_STATE(3214)] = 32484,
  [SMALL_STATE(3215)] = 32552,
  [SMALL_STATE(3216)] = 32616,
  [SMALL_STATE(3217)] = 32680,
  [SMALL_STATE(3218)] = 32744,
  [SMALL_STATE(3219)] = 32808,
  [SMALL_STATE(3220)] = 32874,
  [SMALL_STATE(3221)] = 32942,
  [SMALL_STATE(3222)] = 33006,
  [SMALL_STATE(3223)] = 33074,
  [SMALL_STATE(3224)] = 33138,
  [SMALL_STATE(3225)] = 33206,
  [SMALL_STATE(3226)] = 33270,
  [SMALL_STATE(3227)] = 33334,
  [SMALL_STATE(3228)] = 33398,
  [SMALL_STATE(3229)] = 33462,
  [SMALL_STATE(3230)] = 33532,
  [SMALL_STATE(3231)] = 33596,
  [SMALL_STATE(3232)] = 33660,
  [SMALL_STATE(3233)] = 33730,
  [SMALL_STATE(3234)] = 33796,
  [SMALL_STATE(3235)] = 33860,
  [SMALL_STATE(3236)] = 33924,
  [SMALL_STATE(3237)] = 33988,
  [SMALL_STATE(3238)] = 34054,
  [SMALL_STATE(3239)] = 34128,
  [SMALL_STATE(3240)] = 34194,
  [SMALL_STATE(3241)] = 34280,
  [SMALL_STATE(3242)] = 34344,
  [SMALL_STATE(3243)] = 34408,
  [SMALL_STATE(3244)] = 34472,
  [SMALL_STATE(3245)] = 34542,
  [SMALL_STATE(3246)] = 34606,
  [SMALL_STATE(3247)] = 34670,
  [SMALL_STATE(3248)] = 34738,
  [SMALL_STATE(3249)] = 34802,
  [SMALL_STATE(3250)] = 34872,
  [SMALL_STATE(3251)] = 34936,
  [SMALL_STATE(3252)] = 35000,
  [SMALL_STATE(3253)] = 35064,
  [SMALL_STATE(3254)] = 35128,
  [SMALL_STATE(3255)] = 35192,
  [SMALL_STATE(3256)] = 35260,
  [SMALL_STATE(3257)] = 35332,
  [SMALL_STATE(3258)] = 35396,
  [SMALL_STATE(3259)] = 35462,
  [SMALL_STATE(3260)] = 35530,
  [SMALL_STATE(3261)] = 35594,
  [SMALL_STATE(3262)] = 35658,
  [SMALL_STATE(3263)] = 35722,
  [SMALL_STATE(3264)] = 35794,
  [SMALL_STATE(3265)] = 35858,
  [SMALL_STATE(3266)] = 35922,
  [SMALL_STATE(3267)] = 35986,
  [SMALL_STATE(3268)] = 36050,
  [SMALL_STATE(3269)] = 36114,
  [SMALL_STATE(3270)] = 36180,
  [SMALL_STATE(3271)] = 36244,
  [SMALL_STATE(3272)] = 36312,
  [SMALL_STATE(3273)] = 36376,
  [SMALL_STATE(3274)] = 36448,
  [SMALL_STATE(3275)] = 36522,
  [SMALL_STATE(3276)] = 36586,
  [SMALL_STATE(3277)] = 36665,
  [SMALL_STATE(3278)] = 36744,
  [SMALL_STATE(3279)] = 36807,
  [SMALL_STATE(3280)] = 36870,
  [SMALL_STATE(3281)] = 36933,
  [SMALL_STATE(3282)] = 36996,
  [SMALL_STATE(3283)] = 37059,
  [SMALL_STATE(3284)] = 37122,
  [SMALL_STATE(3285)] = 37185,
  [SMALL_STATE(3286)] = 37248,
  [SMALL_STATE(3287)] = 37311,
  [SMALL_STATE(3288)] = 37374,
  [SMALL_STATE(3289)] = 37437,
  [SMALL_STATE(3290)] = 37500,
  [SMALL_STATE(3291)] = 37563,
  [SMALL_STATE(3292)] = 37626,
  [SMALL_STATE(3293)] = 37689,
  [SMALL_STATE(3294)] = 37752,
  [SMALL_STATE(3295)] = 37815,
  [SMALL_STATE(3296)] = 37878,
  [SMALL_STATE(3297)] = 37941,
  [SMALL_STATE(3298)] = 38004,
  [SMALL_STATE(3299)] = 38067,
  [SMALL_STATE(3300)] = 38130,
  [SMALL_STATE(3301)] = 38193,
  [SMALL_STATE(3302)] = 38256,
  [SMALL_STATE(3303)] = 38319,
  [SMALL_STATE(3304)] = 38382,
  [SMALL_STATE(3305)] = 38445,
  [SMALL_STATE(3306)] = 38508,
  [SMALL_STATE(3307)] = 38571,
  [SMALL_STATE(3308)] = 38634,
  [SMALL_STATE(3309)] = 38697,
  [SMALL_STATE(3310)] = 38808,
  [SMALL_STATE(3311)] = 38915,
  [SMALL_STATE(3312)] = 39026,
  [SMALL_STATE(3313)] = 39133,
  [SMALL_STATE(3314)] = 39196,
  [SMALL_STATE(3315)] = 39279,
  [SMALL_STATE(3316)] = 39360,
  [SMALL_STATE(3317)] = 39445,
  [SMALL_STATE(3318)] = 39534,
  [SMALL_STATE(3319)] = 39627,
  [SMALL_STATE(3320)] = 39722,
  [SMALL_STATE(3321)] = 39819,
  [SMALL_STATE(3322)] = 39918,
  [SMALL_STATE(3323)] = 40021,
  [SMALL_STATE(3324)] = 40086,
  [SMALL_STATE(3325)] = 40197,
  [SMALL_STATE(3326)] = 40358,
  [SMALL_STATE(3327)] = 40465,
  [SMALL_STATE(3328)] = 40528,
  [SMALL_STATE(3329)] = 40591,
  [SMALL_STATE(3330)] = 40658,
  [SMALL_STATE(3331)] = 40819,
  [SMALL_STATE(3332)] = 40896,
  [SMALL_STATE(3333)] = 40973,
  [SMALL_STATE(3334)] = 41048,
  [SMALL_STATE(3335)] = 41155,
  [SMALL_STATE(3336)] = 41232,
  [SMALL_STATE(3337)] = 41309,
  [SMALL_STATE(3338)] = 41384,
  [SMALL_STATE(3339)] = 41451,
  [SMALL_STATE(3340)] = 41518,
  [SMALL_STATE(3341)] = 41585,
  [SMALL_STATE(3342)] = 41652,
  [SMALL_STATE(3343)] = 41719,
  [SMALL_STATE(3344)] = 41792,
  [SMALL_STATE(3345)] = 41859,
  [SMALL_STATE(3346)] = 41926,
  [SMALL_STATE(3347)] = 41993,
  [SMALL_STATE(3348)] = 42060,
  [SMALL_STATE(3349)] = 42127,
  [SMALL_STATE(3350)] = 42190,
  [SMALL_STATE(3351)] = 42261,
  [SMALL_STATE(3352)] = 42328,
  [SMALL_STATE(3353)] = 42395,
  [SMALL_STATE(3354)] = 42468,
  [SMALL_STATE(3355)] = 42535,
  [SMALL_STATE(3356)] = 42696,
  [SMALL_STATE(3357)] = 42769,
  [SMALL_STATE(3358)] = 42842,
  [SMALL_STATE(3359)] = 42907,
  [SMALL_STATE(3360)] = 42972,
  [SMALL_STATE(3361)] = 43037,
  [SMALL_STATE(3362)] = 43106,
  [SMALL_STATE(3363)] = 43215,
  [SMALL_STATE(3364)] = 43324,
  [SMALL_STATE(3365)] = 43387,
  [SMALL_STATE(3366)] = 43450,
  [SMALL_STATE(3367)] = 43611,
  [SMALL_STATE(3368)] = 43690,
  [SMALL_STATE(3369)] = 43795,
  [SMALL_STATE(3370)] = 43896,
  [SMALL_STATE(3371)] = 43993,
  [SMALL_STATE(3372)] = 44088,
  [SMALL_STATE(3373)] = 44179,
  [SMALL_STATE(3374)] = 44258,
  [SMALL_STATE(3375)] = 44347,
  [SMALL_STATE(3376)] = 44432,
  [SMALL_STATE(3377)] = 44513,
  [SMALL_STATE(3378)] = 44596,
  [SMALL_STATE(3379)] = 44709,
  [SMALL_STATE(3380)] = 44772,
  [SMALL_STATE(3381)] = 44835,
  [SMALL_STATE(3382)] = 44898,
  [SMALL_STATE(3383)] = 44961,
  [SMALL_STATE(3384)] = 45070,
  [SMALL_STATE(3385)] = 45183,
  [SMALL_STATE(3386)] = 45252,
  [SMALL_STATE(3387)] = 45361,
  [SMALL_STATE(3388)] = 45424,
  [SMALL_STATE(3389)] = 45537,
  [SMALL_STATE(3390)] = 45614,
  [SMALL_STATE(3391)] = 45683,
  [SMALL_STATE(3392)] = 45754,
  [SMALL_STATE(3393)] = 45817,
  [SMALL_STATE(3394)] = 45886,
  [SMALL_STATE(3395)] = 45965,
  [SMALL_STATE(3396)] = 46028,
  [SMALL_STATE(3397)] = 46107,
  [SMALL_STATE(3398)] = 46176,
  [SMALL_STATE(3399)] = 46238,
  [SMALL_STATE(3400)] = 46300,
  [SMALL_STATE(3401)] = 46364,
  [SMALL_STATE(3402)] = 46432,
  [SMALL_STATE(3403)] = 46496,
  [SMALL_STATE(3404)] = 46560,
  [SMALL_STATE(3405)] = 46628,
  [SMALL_STATE(3406)] = 46694,
  [SMALL_STATE(3407)] = 46758,
  [SMALL_STATE(3408)] = 46826,
  [SMALL_STATE(3409)] = 46888,
  [SMALL_STATE(3410)] = 46950,
  [SMALL_STATE(3411)] = 47014,
  [SMALL_STATE(3412)] = 47078,
  [SMALL_STATE(3413)] = 47146,
  [SMALL_STATE(3414)] = 47208,
  [SMALL_STATE(3415)] = 47270,
  [SMALL_STATE(3416)] = 47332,
  [SMALL_STATE(3417)] = 47394,
  [SMALL_STATE(3418)] = 47456,
  [SMALL_STATE(3419)] = 47518,
  [SMALL_STATE(3420)] = 47580,
  [SMALL_STATE(3421)] = 47642,
  [SMALL_STATE(3422)] = 47710,
  [SMALL_STATE(3423)] = 47772,
  [SMALL_STATE(3424)] = 47838,
  [SMALL_STATE(3425)] = 47904,
  [SMALL_STATE(3426)] = 47966,
  [SMALL_STATE(3427)] = 48028,
  [SMALL_STATE(3428)] = 48090,
  [SMALL_STATE(3429)] = 48152,
  [SMALL_STATE(3430)] = 48214,
  [SMALL_STATE(3431)] = 48276,
  [SMALL_STATE(3432)] = 48338,
  [SMALL_STATE(3433)] = 48400,
  [SMALL_STATE(3434)] = 48464,
  [SMALL_STATE(3435)] = 48536,
  [SMALL_STATE(3436)] = 48598,
  [SMALL_STATE(3437)] = 48660,
  [SMALL_STATE(3438)] = 48730,
  [SMALL_STATE(3439)] = 48792,
  [SMALL_STATE(3440)] = 48854,
  [SMALL_STATE(3441)] = 48922,
  [SMALL_STATE(3442)] = 49000,
  [SMALL_STATE(3443)] = 49064,
  [SMALL_STATE(3444)] = 49126,
  [SMALL_STATE(3445)] = 49188,
  [SMALL_STATE(3446)] = 49250,
  [SMALL_STATE(3447)] = 49312,
  [SMALL_STATE(3448)] = 49384,
  [SMALL_STATE(3449)] = 49446,
  [SMALL_STATE(3450)] = 49508,
  [SMALL_STATE(3451)] = 49614,
  [SMALL_STATE(3452)] = 49684,
  [SMALL_STATE(3453)] = 49754,
  [SMALL_STATE(3454)] = 49820,
  [SMALL_STATE(3455)] = 49882,
  [SMALL_STATE(3456)] = 49946,
  [SMALL_STATE(3457)] = 50018,
  [SMALL_STATE(3458)] = 50096,
  [SMALL_STATE(3459)] = 50166,
  [SMALL_STATE(3460)] = 50228,
  [SMALL_STATE(3461)] = 50290,
  [SMALL_STATE(3462)] = 50354,
  [SMALL_STATE(3463)] = 50416,
  [SMALL_STATE(3464)] = 50478,
  [SMALL_STATE(3465)] = 50540,
  [SMALL_STATE(3466)] = 50602,
  [SMALL_STATE(3467)] = 50666,
  [SMALL_STATE(3468)] = 50728,
  [SMALL_STATE(3469)] = 50794,
  [SMALL_STATE(3470)] = 50866,
  [SMALL_STATE(3471)] = 50928,
  [SMALL_STATE(3472)] = 51006,
  [SMALL_STATE(3473)] = 51068,
  [SMALL_STATE(3474)] = 51130,
  [SMALL_STATE(3475)] = 51192,
  [SMALL_STATE(3476)] = 51254,
  [SMALL_STATE(3477)] = 51316,
  [SMALL_STATE(3478)] = 51380,
  [SMALL_STATE(3479)] = 51444,
  [SMALL_STATE(3480)] = 51506,
  [SMALL_STATE(3481)] = 51568,
  [SMALL_STATE(3482)] = 51632,
  [SMALL_STATE(3483)] = 51696,
  [SMALL_STATE(3484)] = 51758,
  [SMALL_STATE(3485)] = 51820,
  [SMALL_STATE(3486)] = 51884,
  [SMALL_STATE(3487)] = 51946,
  [SMALL_STATE(3488)] = 52010,
  [SMALL_STATE(3489)] = 52074,
  [SMALL_STATE(3490)] = 52146,
  [SMALL_STATE(3491)] = 52208,
  [SMALL_STATE(3492)] = 52274,
  [SMALL_STATE(3493)] = 52346,
  [SMALL_STATE(3494)] = 52408,
  [SMALL_STATE(3495)] = 52470,
  [SMALL_STATE(3496)] = 52532,
  [SMALL_STATE(3497)] = 52594,
  [SMALL_STATE(3498)] = 52656,
  [SMALL_STATE(3499)] = 52722,
  [SMALL_STATE(3500)] = 52786,
  [SMALL_STATE(3501)] = 52892,
  [SMALL_STATE(3502)] = 52964,
  [SMALL_STATE(3503)] = 53042,
  [SMALL_STATE(3504)] = 53104,
  [SMALL_STATE(3505)] = 53166,
  [SMALL_STATE(3506)] = 53228,
  [SMALL_STATE(3507)] = 53294,
  [SMALL_STATE(3508)] = 53356,
  [SMALL_STATE(3509)] = 53418,
  [SMALL_STATE(3510)] = 53484,
  [SMALL_STATE(3511)] = 53546,
  [SMALL_STATE(3512)] = 53610,
  [SMALL_STATE(3513)] = 53672,
  [SMALL_STATE(3514)] = 53734,
  [SMALL_STATE(3515)] = 53796,
  [SMALL_STATE(3516)] = 53858,
  [SMALL_STATE(3517)] = 53928,
  [SMALL_STATE(3518)] = 53992,
  [SMALL_STATE(3519)] = 54054,
  [SMALL_STATE(3520)] = 54120,
  [SMALL_STATE(3521)] = 54181,
  [SMALL_STATE(3522)] = 54242,
  [SMALL_STATE(3523)] = 54353,
  [SMALL_STATE(3524)] = 54414,
  [SMALL_STATE(3525)] = 54475,
  [SMALL_STATE(3526)] = 54536,
  [SMALL_STATE(3527)] = 54605,
  [SMALL_STATE(3528)] = 54666,
  [SMALL_STATE(3529)] = 54727,
  [SMALL_STATE(3530)] = 54792,
  [SMALL_STATE(3531)] = 54853,
  [SMALL_STATE(3532)] = 54914,
  [SMALL_STATE(3533)] = 54975,
  [SMALL_STATE(3534)] = 55036,
  [SMALL_STATE(3535)] = 55097,
  [SMALL_STATE(3536)] = 55158,
  [SMALL_STATE(3537)] = 55227,
  [SMALL_STATE(3538)] = 55296,
  [SMALL_STATE(3539)] = 55403,
  [SMALL_STATE(3540)] = 55464,
  [SMALL_STATE(3541)] = 55525,
  [SMALL_STATE(3542)] = 55586,
  [SMALL_STATE(3543)] = 55647,
  [SMALL_STATE(3544)] = 55712,
  [SMALL_STATE(3545)] = 55773,
  [SMALL_STATE(3546)] = 55834,
  [SMALL_STATE(3547)] = 55895,
  [SMALL_STATE(3548)] = 55956,
  [SMALL_STATE(3549)] = 56017,
  [SMALL_STATE(3550)] = 56078,
  [SMALL_STATE(3551)] = 56143,
  [SMALL_STATE(3552)] = 56208,
  [SMALL_STATE(3553)] = 56269,
  [SMALL_STATE(3554)] = 56330,
  [SMALL_STATE(3555)] = 56391,
  [SMALL_STATE(3556)] = 56452,
  [SMALL_STATE(3557)] = 56517,
  [SMALL_STATE(3558)] = 56578,
  [SMALL_STATE(3559)] = 56643,
  [SMALL_STATE(3560)] = 56750,
  [SMALL_STATE(3561)] = 56811,
  [SMALL_STATE(3562)] = 56880,
  [SMALL_STATE(3563)] = 56941,
  [SMALL_STATE(3564)] = 57002,
  [SMALL_STATE(3565)] = 57067,
  [SMALL_STATE(3566)] = 57128,
  [SMALL_STATE(3567)] = 57189,
  [SMALL_STATE(3568)] = 57250,
  [SMALL_STATE(3569)] = 57311,
  [SMALL_STATE(3570)] = 57372,
  [SMALL_STATE(3571)] = 57483,
  [SMALL_STATE(3572)] = 57544,
  [SMALL_STATE(3573)] = 57605,
  [SMALL_STATE(3574)] = 57666,
  [SMALL_STATE(3575)] = 57727,
  [SMALL_STATE(3576)] = 57788,
  [SMALL_STATE(3577)] = 57849,
  [SMALL_STATE(3578)] = 57910,
  [SMALL_STATE(3579)] = 57971,
  [SMALL_STATE(3580)] = 58032,
  [SMALL_STATE(3581)] = 58093,
  [SMALL_STATE(3582)] = 58154,
  [SMALL_STATE(3583)] = 58219,
  [SMALL_STATE(3584)] = 58280,
  [SMALL_STATE(3585)] = 58341,
  [SMALL_STATE(3586)] = 58402,
  [SMALL_STATE(3587)] = 58463,
  [SMALL_STATE(3588)] = 58524,
  [SMALL_STATE(3589)] = 58585,
  [SMALL_STATE(3590)] = 58646,
  [SMALL_STATE(3591)] = 58707,
  [SMALL_STATE(3592)] = 58768,
  [SMALL_STATE(3593)] = 58829,
  [SMALL_STATE(3594)] = 58890,
  [SMALL_STATE(3595)] = 58951,
  [SMALL_STATE(3596)] = 59012,
  [SMALL_STATE(3597)] = 59073,
  [SMALL_STATE(3598)] = 59134,
  [SMALL_STATE(3599)] = 59195,
  [SMALL_STATE(3600)] = 59256,
  [SMALL_STATE(3601)] = 59317,
  [SMALL_STATE(3602)] = 59382,
  [SMALL_STATE(3603)] = 59443,
  [SMALL_STATE(3604)] = 59508,
  [SMALL_STATE(3605)] = 59569,
  [SMALL_STATE(3606)] = 59630,
  [SMALL_STATE(3607)] = 59691,
  [SMALL_STATE(3608)] = 59752,
  [SMALL_STATE(3609)] = 59819,
  [SMALL_STATE(3610)] = 59880,
  [SMALL_STATE(3611)] = 59941,
  [SMALL_STATE(3612)] = 60014,
  [SMALL_STATE(3613)] = 60125,
  [SMALL_STATE(3614)] = 60186,
  [SMALL_STATE(3615)] = 60247,
  [SMALL_STATE(3616)] = 60314,
  [SMALL_STATE(3617)] = 60375,
  [SMALL_STATE(3618)] = 60436,
  [SMALL_STATE(3619)] = 60543,
  [SMALL_STATE(3620)] = 60604,
  [SMALL_STATE(3621)] = 60715,
  [SMALL_STATE(3622)] = 60782,
  [SMALL_STATE(3623)] = 60889,
  [SMALL_STATE(3624)] = 60964,
  [SMALL_STATE(3625)] = 61045,
  [SMALL_STATE(3626)] = 61124,
  [SMALL_STATE(3627)] = 61207,
  [SMALL_STATE(3628)] = 61294,
  [SMALL_STATE(3629)] = 61359,
  [SMALL_STATE(3630)] = 61448,
  [SMALL_STATE(3631)] = 61541,
  [SMALL_STATE(3632)] = 61636,
  [SMALL_STATE(3633)] = 61705,
  [SMALL_STATE(3634)] = 61770,
  [SMALL_STATE(3635)] = 61831,
  [SMALL_STATE(3636)] = 61892,
  [SMALL_STATE(3637)] = 61969,
  [SMALL_STATE(3638)] = 62030,
  [SMALL_STATE(3639)] = 62091,
  [SMALL_STATE(3640)] = 62158,
  [SMALL_STATE(3641)] = 62219,
  [SMALL_STATE(3642)] = 62330,
  [SMALL_STATE(3643)] = 62437,
  [SMALL_STATE(3644)] = 62498,
  [SMALL_STATE(3645)] = 62559,
  [SMALL_STATE(3646)] = 62624,
  [SMALL_STATE(3647)] = 62685,
  [SMALL_STATE(3648)] = 62746,
  [SMALL_STATE(3649)] = 62811,
  [SMALL_STATE(3650)] = 62872,
  [SMALL_STATE(3651)] = 62933,
  [SMALL_STATE(3652)] = 62994,
  [SMALL_STATE(3653)] = 63059,
  [SMALL_STATE(3654)] = 63120,
  [SMALL_STATE(3655)] = 63189,
  [SMALL_STATE(3656)] = 63250,
  [SMALL_STATE(3657)] = 63311,
  [SMALL_STATE(3658)] = 63372,
  [SMALL_STATE(3659)] = 63433,
  [SMALL_STATE(3660)] = 63536,
  [SMALL_STATE(3661)] = 63597,
  [SMALL_STATE(3662)] = 63662,
  [SMALL_STATE(3663)] = 63723,
  [SMALL_STATE(3664)] = 63784,
  [SMALL_STATE(3665)] = 63845,
  [SMALL_STATE(3666)] = 63906,
  [SMALL_STATE(3667)] = 63967,
  [SMALL_STATE(3668)] = 64074,
  [SMALL_STATE(3669)] = 64141,
  [SMALL_STATE(3670)] = 64202,
  [SMALL_STATE(3671)] = 64269,
  [SMALL_STATE(3672)] = 64350,
  [SMALL_STATE(3673)] = 64429,
  [SMALL_STATE(3674)] = 64512,
  [SMALL_STATE(3675)] = 64599,
  [SMALL_STATE(3676)] = 64660,
  [SMALL_STATE(3677)] = 64721,
  [SMALL_STATE(3678)] = 64810,
  [SMALL_STATE(3679)] = 64903,
  [SMALL_STATE(3680)] = 64980,
  [SMALL_STATE(3681)] = 65045,
  [SMALL_STATE(3682)] = 65140,
  [SMALL_STATE(3683)] = 65239,
  [SMALL_STATE(3684)] = 65342,
  [SMALL_STATE(3685)] = 65403,
  [SMALL_STATE(3686)] = 65472,
  [SMALL_STATE(3687)] = 65571,
  [SMALL_STATE(3688)] = 65646,
  [SMALL_STATE(3689)] = 65723,
  [SMALL_STATE(3690)] = 65792,
  [SMALL_STATE(3691)] = 65897,
  [SMALL_STATE(3692)] = 65958,
  [SMALL_STATE(3693)] = 66025,
  [SMALL_STATE(3694)] = 66086,
  [SMALL_STATE(3695)] = 66147,
  [SMALL_STATE(3696)] = 66208,
  [SMALL_STATE(3697)] = 66269,
  [SMALL_STATE(3698)] = 66330,
  [SMALL_STATE(3699)] = 66391,
  [SMALL_STATE(3700)] = 66452,
  [SMALL_STATE(3701)] = 66513,
  [SMALL_STATE(3702)] = 66574,
  [SMALL_STATE(3703)] = 66641,
  [SMALL_STATE(3704)] = 66706,
  [SMALL_STATE(3705)] = 66767,
  [SMALL_STATE(3706)] = 66828,
  [SMALL_STATE(3707)] = 66889,
  [SMALL_STATE(3708)] = 66950,
  [SMALL_STATE(3709)] = 67011,
  [SMALL_STATE(3710)] = 67072,
  [SMALL_STATE(3711)] = 67183,
  [SMALL_STATE(3712)] = 67244,
  [SMALL_STATE(3713)] = 67305,
  [SMALL_STATE(3714)] = 67366,
  [SMALL_STATE(3715)] = 67427,
  [SMALL_STATE(3716)] = 67488,
  [SMALL_STATE(3717)] = 67549,
  [SMALL_STATE(3718)] = 67610,
  [SMALL_STATE(3719)] = 67671,
  [SMALL_STATE(3720)] = 67732,
  [SMALL_STATE(3721)] = 67797,
  [SMALL_STATE(3722)] = 67858,
  [SMALL_STATE(3723)] = 67919,
  [SMALL_STATE(3724)] = 67980,
  [SMALL_STATE(3725)] = 68041,
  [SMALL_STATE(3726)] = 68102,
  [SMALL_STATE(3727)] = 68163,
  [SMALL_STATE(3728)] = 68224,
  [SMALL_STATE(3729)] = 68285,
  [SMALL_STATE(3730)] = 68346,
  [SMALL_STATE(3731)] = 68407,
  [SMALL_STATE(3732)] = 68470,
  [SMALL_STATE(3733)] = 68577,
  [SMALL_STATE(3734)] = 68640,
  [SMALL_STATE(3735)] = 68713,
  [SMALL_STATE(3736)] = 68788,
  [SMALL_STATE(3737)] = 68849,
  [SMALL_STATE(3738)] = 68910,
  [SMALL_STATE(3739)] = 68971,
  [SMALL_STATE(3740)] = 69032,
  [SMALL_STATE(3741)] = 69093,
  [SMALL_STATE(3742)] = 69154,
  [SMALL_STATE(3743)] = 69219,
  [SMALL_STATE(3744)] = 69280,
  [SMALL_STATE(3745)] = 69341,
  [SMALL_STATE(3746)] = 69402,
  [SMALL_STATE(3747)] = 69477,
  [SMALL_STATE(3748)] = 69538,
  [SMALL_STATE(3749)] = 69599,
  [SMALL_STATE(3750)] = 69660,
  [SMALL_STATE(3751)] = 69725,
  [SMALL_STATE(3752)] = 69788,
  [SMALL_STATE(3753)] = 69861,
  [SMALL_STATE(3754)] = 69922,
  [SMALL_STATE(3755)] = 69997,
  [SMALL_STATE(3756)] = 70058,
  [SMALL_STATE(3757)] = 70119,
  [SMALL_STATE(3758)] = 70180,
  [SMALL_STATE(3759)] = 70287,
  [SMALL_STATE(3760)] = 70348,
  [SMALL_STATE(3761)] = 70450,
  [SMALL_STATE(3762)] = 70552,
  [SMALL_STATE(3763)] = 70612,
  [SMALL_STATE(3764)] = 70684,
  [SMALL_STATE(3765)] = 70744,
  [SMALL_STATE(3766)] = 70804,
  [SMALL_STATE(3767)] = 70864,
  [SMALL_STATE(3768)] = 71020,
  [SMALL_STATE(3769)] = 71176,
  [SMALL_STATE(3770)] = 71278,
  [SMALL_STATE(3771)] = 71434,
  [SMALL_STATE(3772)] = 71496,
  [SMALL_STATE(3773)] = 71556,
  [SMALL_STATE(3774)] = 71618,
  [SMALL_STATE(3775)] = 71684,
  [SMALL_STATE(3776)] = 71744,
  [SMALL_STATE(3777)] = 71808,
  [SMALL_STATE(3778)] = 71882,
  [SMALL_STATE(3779)] = 71956,
  [SMALL_STATE(3780)] = 72016,
  [SMALL_STATE(3781)] = 72118,
  [SMALL_STATE(3782)] = 72226,
  [SMALL_STATE(3783)] = 72290,
  [SMALL_STATE(3784)] = 72392,
  [SMALL_STATE(3785)] = 72452,
  [SMALL_STATE(3786)] = 72608,
  [SMALL_STATE(3787)] = 72712,
  [SMALL_STATE(3788)] = 72814,
  [SMALL_STATE(3789)] = 72970,
  [SMALL_STATE(3790)] = 73042,
  [SMALL_STATE(3791)] = 73108,
  [SMALL_STATE(3792)] = 73210,
  [SMALL_STATE(3793)] = 73270,
  [SMALL_STATE(3794)] = 73372,
  [SMALL_STATE(3795)] = 73528,
  [SMALL_STATE(3796)] = 73588,
  [SMALL_STATE(3797)] = 73690,
  [SMALL_STATE(3798)] = 73750,
  [SMALL_STATE(3799)] = 73810,
  [SMALL_STATE(3800)] = 73870,
  [SMALL_STATE(3801)] = 73938,
  [SMALL_STATE(3802)] = 74006,
  [SMALL_STATE(3803)] = 74066,
  [SMALL_STATE(3804)] = 74126,
  [SMALL_STATE(3805)] = 74186,
  [SMALL_STATE(3806)] = 74246,
  [SMALL_STATE(3807)] = 74314,
  [SMALL_STATE(3808)] = 74374,
  [SMALL_STATE(3809)] = 74476,
  [SMALL_STATE(3810)] = 74536,
  [SMALL_STATE(3811)] = 74600,
  [SMALL_STATE(3812)] = 74660,
  [SMALL_STATE(3813)] = 74762,
  [SMALL_STATE(3814)] = 74864,
  [SMALL_STATE(3815)] = 74924,
  [SMALL_STATE(3816)] = 75038,
  [SMALL_STATE(3817)] = 75106,
  [SMALL_STATE(3818)] = 75166,
  [SMALL_STATE(3819)] = 75226,
  [SMALL_STATE(3820)] = 75332,
  [SMALL_STATE(3821)] = 75434,
  [SMALL_STATE(3822)] = 75498,
  [SMALL_STATE(3823)] = 75558,
  [SMALL_STATE(3824)] = 75660,
  [SMALL_STATE(3825)] = 75762,
  [SMALL_STATE(3826)] = 75822,
  [SMALL_STATE(3827)] = 75890,
  [SMALL_STATE(3828)] = 75950,
  [SMALL_STATE(3829)] = 76026,
  [SMALL_STATE(3830)] = 76086,
  [SMALL_STATE(3831)] = 76190,
  [SMALL_STATE(3832)] = 76294,
  [SMALL_STATE(3833)] = 76354,
  [SMALL_STATE(3834)] = 76414,
  [SMALL_STATE(3835)] = 76476,
  [SMALL_STATE(3836)] = 76536,
  [SMALL_STATE(3837)] = 76600,
  [SMALL_STATE(3838)] = 76660,
  [SMALL_STATE(3839)] = 76762,
  [SMALL_STATE(3840)] = 76828,
  [SMALL_STATE(3841)] = 76892,
  [SMALL_STATE(3842)] = 76962,
  [SMALL_STATE(3843)] = 77022,
  [SMALL_STATE(3844)] = 77178,
  [SMALL_STATE(3845)] = 77334,
  [SMALL_STATE(3846)] = 77398,
  [SMALL_STATE(3847)] = 77506,
  [SMALL_STATE(3848)] = 77572,
  [SMALL_STATE(3849)] = 77634,
  [SMALL_STATE(3850)] = 77700,
  [SMALL_STATE(3851)] = 77760,
  [SMALL_STATE(3852)] = 77826,
  [SMALL_STATE(3853)] = 77982,
  [SMALL_STATE(3854)] = 78056,
  [SMALL_STATE(3855)] = 78118,
  [SMALL_STATE(3856)] = 78222,
  [SMALL_STATE(3857)] = 78324,
  [SMALL_STATE(3858)] = 78384,
  [SMALL_STATE(3859)] = 78444,
  [SMALL_STATE(3860)] = 78546,
  [SMALL_STATE(3861)] = 78606,
  [SMALL_STATE(3862)] = 78666,
  [SMALL_STATE(3863)] = 78730,
  [SMALL_STATE(3864)] = 78832,
  [SMALL_STATE(3865)] = 78896,
  [SMALL_STATE(3866)] = 79004,
  [SMALL_STATE(3867)] = 79068,
  [SMALL_STATE(3868)] = 79134,
  [SMALL_STATE(3869)] = 79236,
  [SMALL_STATE(3870)] = 79300,
  [SMALL_STATE(3871)] = 79360,
  [SMALL_STATE(3872)] = 79420,
  [SMALL_STATE(3873)] = 79480,
  [SMALL_STATE(3874)] = 79550,
  [SMALL_STATE(3875)] = 79612,
  [SMALL_STATE(3876)] = 79714,
  [SMALL_STATE(3877)] = 79782,
  [SMALL_STATE(3878)] = 79842,
  [SMALL_STATE(3879)] = 79914,
  [SMALL_STATE(3880)] = 79978,
  [SMALL_STATE(3881)] = 80052,
  [SMALL_STATE(3882)] = 80116,
  [SMALL_STATE(3883)] = 80180,
  [SMALL_STATE(3884)] = 80336,
  [SMALL_STATE(3885)] = 80438,
  [SMALL_STATE(3886)] = 80544,
  [SMALL_STATE(3887)] = 80614,
  [SMALL_STATE(3888)] = 80716,
  [SMALL_STATE(3889)] = 80818,
  [SMALL_STATE(3890)] = 80974,
  [SMALL_STATE(3891)] = 81036,
  [SMALL_STATE(3892)] = 81112,
  [SMALL_STATE(3893)] = 81186,
  [SMALL_STATE(3894)] = 81286,
  [SMALL_STATE(3895)] = 81382,
  [SMALL_STATE(3896)] = 81474,
  [SMALL_STATE(3897)] = 81564,
  [SMALL_STATE(3898)] = 81650,
  [SMALL_STATE(3899)] = 81734,
  [SMALL_STATE(3900)] = 81816,
  [SMALL_STATE(3901)] = 81894,
  [SMALL_STATE(3902)] = 81956,
  [SMALL_STATE(3903)] = 82036,
  [SMALL_STATE(3904)] = 82095,
  [SMALL_STATE(3905)] = 82178,
  [SMALL_STATE(3906)] = 82239,
  [SMALL_STATE(3907)] = 82304,
  [SMALL_STATE(3908)] = 82369,
  [SMALL_STATE(3909)] = 82428,
  [SMALL_STATE(3910)] = 82511,
  [SMALL_STATE(3911)] = 82584,
  [SMALL_STATE(3912)] = 82647,
  [SMALL_STATE(3913)] = 82706,
  [SMALL_STATE(3914)] = 82767,
  [SMALL_STATE(3915)] = 82826,
  [SMALL_STATE(3916)] = 82885,
  [SMALL_STATE(3917)] = 82950,
  [SMALL_STATE(3918)] = 83009,
  [SMALL_STATE(3919)] = 83072,
  [SMALL_STATE(3920)] = 83135,
  [SMALL_STATE(3921)] = 83194,
  [SMALL_STATE(3922)] = 83253,
  [SMALL_STATE(3923)] = 83312,
  [SMALL_STATE(3924)] = 83371,
  [SMALL_STATE(3925)] = 83430,
  [SMALL_STATE(3926)] = 83489,
  [SMALL_STATE(3927)] = 83548,
  [SMALL_STATE(3928)] = 83607,
  [SMALL_STATE(3929)] = 83666,
  [SMALL_STATE(3930)] = 83725,
  [SMALL_STATE(3931)] = 83784,
  [SMALL_STATE(3932)] = 83843,
  [SMALL_STATE(3933)] = 83902,
  [SMALL_STATE(3934)] = 83961,
  [SMALL_STATE(3935)] = 84020,
  [SMALL_STATE(3936)] = 84079,
  [SMALL_STATE(3937)] = 84138,
  [SMALL_STATE(3938)] = 84197,
  [SMALL_STATE(3939)] = 84306,
  [SMALL_STATE(3940)] = 84365,
  [SMALL_STATE(3941)] = 84424,
  [SMALL_STATE(3942)] = 84491,
  [SMALL_STATE(3943)] = 84550,
  [SMALL_STATE(3944)] = 84609,
  [SMALL_STATE(3945)] = 84686,
  [SMALL_STATE(3946)] = 84769,
  [SMALL_STATE(3947)] = 84840,
  [SMALL_STATE(3948)] = 84899,
  [SMALL_STATE(3949)] = 84958,
  [SMALL_STATE(3950)] = 85063,
  [SMALL_STATE(3951)] = 85122,
  [SMALL_STATE(3952)] = 85181,
  [SMALL_STATE(3953)] = 85240,
  [SMALL_STATE(3954)] = 85299,
  [SMALL_STATE(3955)] = 85358,
  [SMALL_STATE(3956)] = 85417,
  [SMALL_STATE(3957)] = 85476,
  [SMALL_STATE(3958)] = 85585,
  [SMALL_STATE(3959)] = 85644,
  [SMALL_STATE(3960)] = 85719,
  [SMALL_STATE(3961)] = 85778,
  [SMALL_STATE(3962)] = 85861,
  [SMALL_STATE(3963)] = 85920,
  [SMALL_STATE(3964)] = 85979,
  [SMALL_STATE(3965)] = 86038,
  [SMALL_STATE(3966)] = 86097,
  [SMALL_STATE(3967)] = 86156,
  [SMALL_STATE(3968)] = 86215,
  [SMALL_STATE(3969)] = 86274,
  [SMALL_STATE(3970)] = 86333,
  [SMALL_STATE(3971)] = 86392,
  [SMALL_STATE(3972)] = 86497,
  [SMALL_STATE(3973)] = 86570,
  [SMALL_STATE(3974)] = 86629,
  [SMALL_STATE(3975)] = 86702,
  [SMALL_STATE(3976)] = 86761,
  [SMALL_STATE(3977)] = 86866,
  [SMALL_STATE(3978)] = 86925,
  [SMALL_STATE(3979)] = 86984,
  [SMALL_STATE(3980)] = 87047,
  [SMALL_STATE(3981)] = 87116,
  [SMALL_STATE(3982)] = 87175,
  [SMALL_STATE(3983)] = 87234,
  [SMALL_STATE(3984)] = 87293,
  [SMALL_STATE(3985)] = 87358,
  [SMALL_STATE(3986)] = 87429,
  [SMALL_STATE(3987)] = 87488,
  [SMALL_STATE(3988)] = 87547,
  [SMALL_STATE(3989)] = 87606,
  [SMALL_STATE(3990)] = 87665,
  [SMALL_STATE(3991)] = 87724,
  [SMALL_STATE(3992)] = 87783,
  [SMALL_STATE(3993)] = 87846,
  [SMALL_STATE(3994)] = 87929,
  [SMALL_STATE(3995)] = 87988,
  [SMALL_STATE(3996)] = 88061,
  [SMALL_STATE(3997)] = 88120,
  [SMALL_STATE(3998)] = 88179,
  [SMALL_STATE(3999)] = 88238,
  [SMALL_STATE(4000)] = 88321,
  [SMALL_STATE(4001)] = 88386,
  [SMALL_STATE(4002)] = 88445,
  [SMALL_STATE(4003)] = 88508,
  [SMALL_STATE(4004)] = 88567,
  [SMALL_STATE(4005)] = 88630,
  [SMALL_STATE(4006)] = 88689,
  [SMALL_STATE(4007)] = 88748,
  [SMALL_STATE(4008)] = 88807,
  [SMALL_STATE(4009)] = 88890,
  [SMALL_STATE(4010)] = 88949,
  [SMALL_STATE(4011)] = 89012,
  [SMALL_STATE(4012)] = 89073,
  [SMALL_STATE(4013)] = 89132,
  [SMALL_STATE(4014)] = 89237,
  [SMALL_STATE(4015)] = 89310,
  [SMALL_STATE(4016)] = 89419,
  [SMALL_STATE(4017)] = 89478,
  [SMALL_STATE(4018)] = 89553,
  [SMALL_STATE(4019)] = 89612,
  [SMALL_STATE(4020)] = 89675,
  [SMALL_STATE(4021)] = 89734,
  [SMALL_STATE(4022)] = 89807,
  [SMALL_STATE(4023)] = 89866,
  [SMALL_STATE(4024)] = 89925,
  [SMALL_STATE(4025)] = 89988,
  [SMALL_STATE(4026)] = 90047,
  [SMALL_STATE(4027)] = 90106,
  [SMALL_STATE(4028)] = 90165,
  [SMALL_STATE(4029)] = 90228,
  [SMALL_STATE(4030)] = 90287,
  [SMALL_STATE(4031)] = 90346,
  [SMALL_STATE(4032)] = 90405,
  [SMALL_STATE(4033)] = 90464,
  [SMALL_STATE(4034)] = 90523,
  [SMALL_STATE(4035)] = 90606,
  [SMALL_STATE(4036)] = 90665,
  [SMALL_STATE(4037)] = 90724,
  [SMALL_STATE(4038)] = 90783,
  [SMALL_STATE(4039)] = 90842,
  [SMALL_STATE(4040)] = 90907,
  [SMALL_STATE(4041)] = 90966,
  [SMALL_STATE(4042)] = 91025,
  [SMALL_STATE(4043)] = 91084,
  [SMALL_STATE(4044)] = 91143,
  [SMALL_STATE(4045)] = 91202,
  [SMALL_STATE(4046)] = 91261,
  [SMALL_STATE(4047)] = 91320,
  [SMALL_STATE(4048)] = 91379,
  [SMALL_STATE(4049)] = 91438,
  [SMALL_STATE(4050)] = 91497,
  [SMALL_STATE(4051)] = 91564,
  [SMALL_STATE(4052)] = 91625,
  [SMALL_STATE(4053)] = 91698,
  [SMALL_STATE(4054)] = 91757,
  [SMALL_STATE(4055)] = 91816,
  [SMALL_STATE(4056)] = 91875,
  [SMALL_STATE(4057)] = 91936,
  [SMALL_STATE(4058)] = 91995,
  [SMALL_STATE(4059)] = 92054,
  [SMALL_STATE(4060)] = 92121,
  [SMALL_STATE(4061)] = 92180,
  [SMALL_STATE(4062)] = 92239,
  [SMALL_STATE(4063)] = 92340,
  [SMALL_STATE(4064)] = 92399,
  [SMALL_STATE(4065)] = 92458,
  [SMALL_STATE(4066)] = 92521,
  [SMALL_STATE(4067)] = 92626,
  [SMALL_STATE(4068)] = 92689,
  [SMALL_STATE(4069)] = 92786,
  [SMALL_STATE(4070)] = 92845,
  [SMALL_STATE(4071)] = 92938,
  [SMALL_STATE(4072)] = 92997,
  [SMALL_STATE(4073)] = 93088,
  [SMALL_STATE(4074)] = 93157,
  [SMALL_STATE(4075)] = 93216,
  [SMALL_STATE(4076)] = 93275,
  [SMALL_STATE(4077)] = 93334,
  [SMALL_STATE(4078)] = 93393,
  [SMALL_STATE(4079)] = 93452,
  [SMALL_STATE(4080)] = 93511,
  [SMALL_STATE(4081)] = 93570,
  [SMALL_STATE(4082)] = 93629,
  [SMALL_STATE(4083)] = 93688,
  [SMALL_STATE(4084)] = 93747,
  [SMALL_STATE(4085)] = 93810,
  [SMALL_STATE(4086)] = 93869,
  [SMALL_STATE(4087)] = 93928,
  [SMALL_STATE(4088)] = 93987,
  [SMALL_STATE(4089)] = 94046,
  [SMALL_STATE(4090)] = 94105,
  [SMALL_STATE(4091)] = 94164,
  [SMALL_STATE(4092)] = 94251,
  [SMALL_STATE(4093)] = 94310,
  [SMALL_STATE(4094)] = 94369,
  [SMALL_STATE(4095)] = 94428,
  [SMALL_STATE(4096)] = 94487,
  [SMALL_STATE(4097)] = 94554,
  [SMALL_STATE(4098)] = 94613,
  [SMALL_STATE(4099)] = 94676,
  [SMALL_STATE(4100)] = 94735,
  [SMALL_STATE(4101)] = 94818,
  [SMALL_STATE(4102)] = 94877,
  [SMALL_STATE(4103)] = 94936,
  [SMALL_STATE(4104)] = 94995,
  [SMALL_STATE(4105)] = 95054,
  [SMALL_STATE(4106)] = 95113,
  [SMALL_STATE(4107)] = 95172,
  [SMALL_STATE(4108)] = 95231,
  [SMALL_STATE(4109)] = 95290,
  [SMALL_STATE(4110)] = 95349,
  [SMALL_STATE(4111)] = 95408,
  [SMALL_STATE(4112)] = 95475,
  [SMALL_STATE(4113)] = 95534,
  [SMALL_STATE(4114)] = 95593,
  [SMALL_STATE(4115)] = 95652,
  [SMALL_STATE(4116)] = 95711,
  [SMALL_STATE(4117)] = 95776,
  [SMALL_STATE(4118)] = 95835,
  [SMALL_STATE(4119)] = 95894,
  [SMALL_STATE(4120)] = 95973,
  [SMALL_STATE(4121)] = 96058,
  [SMALL_STATE(4122)] = 96117,
  [SMALL_STATE(4123)] = 96176,
  [SMALL_STATE(4124)] = 96235,
  [SMALL_STATE(4125)] = 96294,
  [SMALL_STATE(4126)] = 96353,
  [SMALL_STATE(4127)] = 96412,
  [SMALL_STATE(4128)] = 96517,
  [SMALL_STATE(4129)] = 96598,
  [SMALL_STATE(4130)] = 96675,
  [SMALL_STATE(4131)] = 96734,
  [SMALL_STATE(4132)] = 96793,
  [SMALL_STATE(4133)] = 96857,
  [SMALL_STATE(4134)] = 96915,
  [SMALL_STATE(4135)] = 96973,
  [SMALL_STATE(4136)] = 97031,
  [SMALL_STATE(4137)] = 97091,
  [SMALL_STATE(4138)] = 97149,
  [SMALL_STATE(4139)] = 97215,
  [SMALL_STATE(4140)] = 97273,
  [SMALL_STATE(4141)] = 97331,
  [SMALL_STATE(4142)] = 97389,
  [SMALL_STATE(4143)] = 97455,
  [SMALL_STATE(4144)] = 97513,
  [SMALL_STATE(4145)] = 97571,
  [SMALL_STATE(4146)] = 97633,
  [SMALL_STATE(4147)] = 97691,
  [SMALL_STATE(4148)] = 97755,
  [SMALL_STATE(4149)] = 97817,
  [SMALL_STATE(4150)] = 97875,
  [SMALL_STATE(4151)] = 97947,
  [SMALL_STATE(4152)] = 98005,
  [SMALL_STATE(4153)] = 98063,
  [SMALL_STATE(4154)] = 98167,
  [SMALL_STATE(4155)] = 98225,
  [SMALL_STATE(4156)] = 98283,
  [SMALL_STATE(4157)] = 98345,
  [SMALL_STATE(4158)] = 98431,
  [SMALL_STATE(4159)] = 98489,
  [SMALL_STATE(4160)] = 98593,
  [SMALL_STATE(4161)] = 98651,
  [SMALL_STATE(4162)] = 98709,
  [SMALL_STATE(4163)] = 98813,
  [SMALL_STATE(4164)] = 98871,
  [SMALL_STATE(4165)] = 98933,
  [SMALL_STATE(4166)] = 99007,
  [SMALL_STATE(4167)] = 99065,
  [SMALL_STATE(4168)] = 99123,
  [SMALL_STATE(4169)] = 99181,
  [SMALL_STATE(4170)] = 99239,
  [SMALL_STATE(4171)] = 99297,
  [SMALL_STATE(4172)] = 99355,
  [SMALL_STATE(4173)] = 99413,
  [SMALL_STATE(4174)] = 99471,
  [SMALL_STATE(4175)] = 99529,
  [SMALL_STATE(4176)] = 99587,
  [SMALL_STATE(4177)] = 99645,
  [SMALL_STATE(4178)] = 99711,
  [SMALL_STATE(4179)] = 99789,
  [SMALL_STATE(4180)] = 99847,
  [SMALL_STATE(4181)] = 99905,
  [SMALL_STATE(4182)] = 99963,
  [SMALL_STATE(4183)] = 100021,
  [SMALL_STATE(4184)] = 100079,
  [SMALL_STATE(4185)] = 100141,
  [SMALL_STATE(4186)] = 100199,
  [SMALL_STATE(4187)] = 100257,
  [SMALL_STATE(4188)] = 100319,
  [SMALL_STATE(4189)] = 100423,
  [SMALL_STATE(4190)] = 100481,
  [SMALL_STATE(4191)] = 100587,
  [SMALL_STATE(4192)] = 100657,
  [SMALL_STATE(4193)] = 100715,
  [SMALL_STATE(4194)] = 100781,
  [SMALL_STATE(4195)] = 100839,
  [SMALL_STATE(4196)] = 100915,
  [SMALL_STATE(4197)] = 100979,
  [SMALL_STATE(4198)] = 101037,
  [SMALL_STATE(4199)] = 101095,
  [SMALL_STATE(4200)] = 101175,
  [SMALL_STATE(4201)] = 101279,
  [SMALL_STATE(4202)] = 101381,
  [SMALL_STATE(4203)] = 101439,
  [SMALL_STATE(4204)] = 101497,
  [SMALL_STATE(4205)] = 101599,
  [SMALL_STATE(4206)] = 101657,
  [SMALL_STATE(4207)] = 101715,
  [SMALL_STATE(4208)] = 101799,
  [SMALL_STATE(4209)] = 101857,
  [SMALL_STATE(4210)] = 101915,
  [SMALL_STATE(4211)] = 101973,
  [SMALL_STATE(4212)] = 102043,
  [SMALL_STATE(4213)] = 102115,
  [SMALL_STATE(4214)] = 102177,
  [SMALL_STATE(4215)] = 102235,
  [SMALL_STATE(4216)] = 102337,
  [SMALL_STATE(4217)] = 102395,
  [SMALL_STATE(4218)] = 102453,
  [SMALL_STATE(4219)] = 102511,
  [SMALL_STATE(4220)] = 102573,
  [SMALL_STATE(4221)] = 102643,
  [SMALL_STATE(4222)] = 102701,
  [SMALL_STATE(4223)] = 102759,
  [SMALL_STATE(4224)] = 102823,
  [SMALL_STATE(4225)] = 102927,
  [SMALL_STATE(4226)] = 102989,
  [SMALL_STATE(4227)] = 103051,
  [SMALL_STATE(4228)] = 103109,
  [SMALL_STATE(4229)] = 103167,
  [SMALL_STATE(4230)] = 103269,
  [SMALL_STATE(4231)] = 103327,
  [SMALL_STATE(4232)] = 103385,
  [SMALL_STATE(4233)] = 103475,
  [SMALL_STATE(4234)] = 103537,
  [SMALL_STATE(4235)] = 103595,
  [SMALL_STATE(4236)] = 103653,
  [SMALL_STATE(4237)] = 103711,
  [SMALL_STATE(4238)] = 103769,
  [SMALL_STATE(4239)] = 103863,
  [SMALL_STATE(4240)] = 103921,
  [SMALL_STATE(4241)] = 103989,
  [SMALL_STATE(4242)] = 104061,
  [SMALL_STATE(4243)] = 104119,
  [SMALL_STATE(4244)] = 104225,
  [SMALL_STATE(4245)] = 104323,
  [SMALL_STATE(4246)] = 104381,
  [SMALL_STATE(4247)] = 104439,
  [SMALL_STATE(4248)] = 104497,
  [SMALL_STATE(4249)] = 104559,
  [SMALL_STATE(4250)] = 104617,
  [SMALL_STATE(4251)] = 104717,
  [SMALL_STATE(4252)] = 104775,
  [SMALL_STATE(4253)] = 104833,
  [SMALL_STATE(4254)] = 104891,
  [SMALL_STATE(4255)] = 104949,
  [SMALL_STATE(4256)] = 105021,
  [SMALL_STATE(4257)] = 105095,
  [SMALL_STATE(4258)] = 105153,
  [SMALL_STATE(4259)] = 105211,
  [SMALL_STATE(4260)] = 105281,
  [SMALL_STATE(4261)] = 105339,
  [SMALL_STATE(4262)] = 105397,
  [SMALL_STATE(4263)] = 105455,
  [SMALL_STATE(4264)] = 105559,
  [SMALL_STATE(4265)] = 105617,
  [SMALL_STATE(4266)] = 105721,
  [SMALL_STATE(4267)] = 105779,
  [SMALL_STATE(4268)] = 105837,
  [SMALL_STATE(4269)] = 105895,
  [SMALL_STATE(4270)] = 105953,
  [SMALL_STATE(4271)] = 106057,
  [SMALL_STATE(4272)] = 106115,
  [SMALL_STATE(4273)] = 106221,
  [SMALL_STATE(4274)] = 106279,
  [SMALL_STATE(4275)] = 106337,
  [SMALL_STATE(4276)] = 106395,
  [SMALL_STATE(4277)] = 106496,
  [SMALL_STATE(4278)] = 106553,
  [SMALL_STATE(4279)] = 106628,
  [SMALL_STATE(4280)] = 106729,
  [SMALL_STATE(4281)] = 106786,
  [SMALL_STATE(4282)] = 106887,
  [SMALL_STATE(4283)] = 106988,
  [SMALL_STATE(4284)] = 107089,
  [SMALL_STATE(4285)] = 107146,
  [SMALL_STATE(4286)] = 107221,
  [SMALL_STATE(4287)] = 107322,
  [SMALL_STATE(4288)] = 107423,
  [SMALL_STATE(4289)] = 107524,
  [SMALL_STATE(4290)] = 107627,
  [SMALL_STATE(4291)] = 107684,
  [SMALL_STATE(4292)] = 107785,
  [SMALL_STATE(4293)] = 107860,
  [SMALL_STATE(4294)] = 107961,
  [SMALL_STATE(4295)] = 108028,
  [SMALL_STATE(4296)] = 108129,
  [SMALL_STATE(4297)] = 108230,
  [SMALL_STATE(4298)] = 108287,
  [SMALL_STATE(4299)] = 108388,
  [SMALL_STATE(4300)] = 108447,
  [SMALL_STATE(4301)] = 108512,
  [SMALL_STATE(4302)] = 108613,
  [SMALL_STATE(4303)] = 108714,
  [SMALL_STATE(4304)] = 108815,
  [SMALL_STATE(4305)] = 108916,
  [SMALL_STATE(4306)] = 109017,
  [SMALL_STATE(4307)] = 109118,
  [SMALL_STATE(4308)] = 109175,
  [SMALL_STATE(4309)] = 109232,
  [SMALL_STATE(4310)] = 109333,
  [SMALL_STATE(4311)] = 109390,
  [SMALL_STATE(4312)] = 109491,
  [SMALL_STATE(4313)] = 109592,
  [SMALL_STATE(4314)] = 109693,
  [SMALL_STATE(4315)] = 109794,
  [SMALL_STATE(4316)] = 109851,
  [SMALL_STATE(4317)] = 109954,
  [SMALL_STATE(4318)] = 110015,
  [SMALL_STATE(4319)] = 110072,
  [SMALL_STATE(4320)] = 110173,
  [SMALL_STATE(4321)] = 110248,
  [SMALL_STATE(4322)] = 110349,
  [SMALL_STATE(4323)] = 110450,
  [SMALL_STATE(4324)] = 110551,
  [SMALL_STATE(4325)] = 110652,
  [SMALL_STATE(4326)] = 110753,
  [SMALL_STATE(4327)] = 110854,
  [SMALL_STATE(4328)] = 110955,
  [SMALL_STATE(4329)] = 111056,
  [SMALL_STATE(4330)] = 111157,
  [SMALL_STATE(4331)] = 111258,
  [SMALL_STATE(4332)] = 111359,
  [SMALL_STATE(4333)] = 111460,
  [SMALL_STATE(4334)] = 111517,
  [SMALL_STATE(4335)] = 111618,
  [SMALL_STATE(4336)] = 111693,
  [SMALL_STATE(4337)] = 111794,
  [SMALL_STATE(4338)] = 111853,
  [SMALL_STATE(4339)] = 111910,
  [SMALL_STATE(4340)] = 112011,
  [SMALL_STATE(4341)] = 112112,
  [SMALL_STATE(4342)] = 112213,
  [SMALL_STATE(4343)] = 112314,
  [SMALL_STATE(4344)] = 112415,
  [SMALL_STATE(4345)] = 112516,
  [SMALL_STATE(4346)] = 112577,
  [SMALL_STATE(4347)] = 112678,
  [SMALL_STATE(4348)] = 112779,
  [SMALL_STATE(4349)] = 112838,
  [SMALL_STATE(4350)] = 112939,
  [SMALL_STATE(4351)] = 113040,
  [SMALL_STATE(4352)] = 113141,
  [SMALL_STATE(4353)] = 113200,
  [SMALL_STATE(4354)] = 113301,
  [SMALL_STATE(4355)] = 113402,
  [SMALL_STATE(4356)] = 113467,
  [SMALL_STATE(4357)] = 113568,
  [SMALL_STATE(4358)] = 113669,
  [SMALL_STATE(4359)] = 113770,
  [SMALL_STATE(4360)] = 113871,
  [SMALL_STATE(4361)] = 113972,
  [SMALL_STATE(4362)] = 114029,
  [SMALL_STATE(4363)] = 114130,
  [SMALL_STATE(4364)] = 114205,
  [SMALL_STATE(4365)] = 114306,
  [SMALL_STATE(4366)] = 114407,
  [SMALL_STATE(4367)] = 114508,
  [SMALL_STATE(4368)] = 114609,
  [SMALL_STATE(4369)] = 114710,
  [SMALL_STATE(4370)] = 114811,
  [SMALL_STATE(4371)] = 114886,
  [SMALL_STATE(4372)] = 114987,
  [SMALL_STATE(4373)] = 115088,
  [SMALL_STATE(4374)] = 115145,
  [SMALL_STATE(4375)] = 115246,
  [SMALL_STATE(4376)] = 115347,
  [SMALL_STATE(4377)] = 115448,
  [SMALL_STATE(4378)] = 115549,
  [SMALL_STATE(4379)] = 115618,
  [SMALL_STATE(4380)] = 115719,
  [SMALL_STATE(4381)] = 115820,
  [SMALL_STATE(4382)] = 115921,
  [SMALL_STATE(4383)] = 115978,
  [SMALL_STATE(4384)] = 116053,
  [SMALL_STATE(4385)] = 116154,
  [SMALL_STATE(4386)] = 116257,
  [SMALL_STATE(4387)] = 116358,
  [SMALL_STATE(4388)] = 116459,
  [SMALL_STATE(4389)] = 116524,
  [SMALL_STATE(4390)] = 116625,
  [SMALL_STATE(4391)] = 116728,
  [SMALL_STATE(4392)] = 116829,
  [SMALL_STATE(4393)] = 116890,
  [SMALL_STATE(4394)] = 116991,
  [SMALL_STATE(4395)] = 117092,
  [SMALL_STATE(4396)] = 117157,
  [SMALL_STATE(4397)] = 117216,
  [SMALL_STATE(4398)] = 117275,
  [SMALL_STATE(4399)] = 117342,
  [SMALL_STATE(4400)] = 117443,
  [SMALL_STATE(4401)] = 117500,
  [SMALL_STATE(4402)] = 117575,
  [SMALL_STATE(4403)] = 117644,
  [SMALL_STATE(4404)] = 117745,
  [SMALL_STATE(4405)] = 117843,
  [SMALL_STATE(4406)] = 117941,
  [SMALL_STATE(4407)] = 117997,
  [SMALL_STATE(4408)] = 118053,
  [SMALL_STATE(4409)] = 118109,
  [SMALL_STATE(4410)] = 118171,
  [SMALL_STATE(4411)] = 118227,
  [SMALL_STATE(4412)] = 118283,
  [SMALL_STATE(4413)] = 118345,
  [SMALL_STATE(4414)] = 118443,
  [SMALL_STATE(4415)] = 118499,
  [SMALL_STATE(4416)] = 118555,
  [SMALL_STATE(4417)] = 118617,
  [SMALL_STATE(4418)] = 118689,
  [SMALL_STATE(4419)] = 118745,
  [SMALL_STATE(4420)] = 118843,
  [SMALL_STATE(4421)] = 118899,
  [SMALL_STATE(4422)] = 118955,
  [SMALL_STATE(4423)] = 119011,
  [SMALL_STATE(4424)] = 119067,
  [SMALL_STATE(4425)] = 119123,
  [SMALL_STATE(4426)] = 119179,
  [SMALL_STATE(4427)] = 119235,
  [SMALL_STATE(4428)] = 119291,
  [SMALL_STATE(4429)] = 119389,
  [SMALL_STATE(4430)] = 119457,
  [SMALL_STATE(4431)] = 119513,
  [SMALL_STATE(4432)] = 119583,
  [SMALL_STATE(4433)] = 119639,
  [SMALL_STATE(4434)] = 119695,
  [SMALL_STATE(4435)] = 119763,
  [SMALL_STATE(4436)] = 119861,
  [SMALL_STATE(4437)] = 119959,
  [SMALL_STATE(4438)] = 120061,
  [SMALL_STATE(4439)] = 120121,
  [SMALL_STATE(4440)] = 120177,
  [SMALL_STATE(4441)] = 120233,
  [SMALL_STATE(4442)] = 120331,
  [SMALL_STATE(4443)] = 120387,
  [SMALL_STATE(4444)] = 120485,
  [SMALL_STATE(4445)] = 120541,
  [SMALL_STATE(4446)] = 120597,
  [SMALL_STATE(4447)] = 120653,
  [SMALL_STATE(4448)] = 120709,
  [SMALL_STATE(4449)] = 120765,
  [SMALL_STATE(4450)] = 120823,
  [SMALL_STATE(4451)] = 120879,
  [SMALL_STATE(4452)] = 120935,
  [SMALL_STATE(4453)] = 120991,
  [SMALL_STATE(4454)] = 121047,
  [SMALL_STATE(4455)] = 121103,
  [SMALL_STATE(4456)] = 121159,
  [SMALL_STATE(4457)] = 121215,
  [SMALL_STATE(4458)] = 121271,
  [SMALL_STATE(4459)] = 121327,
  [SMALL_STATE(4460)] = 121383,
  [SMALL_STATE(4461)] = 121439,
  [SMALL_STATE(4462)] = 121541,
  [SMALL_STATE(4463)] = 121601,
  [SMALL_STATE(4464)] = 121667,
  [SMALL_STATE(4465)] = 121731,
  [SMALL_STATE(4466)] = 121829,
  [SMALL_STATE(4467)] = 121927,
  [SMALL_STATE(4468)] = 121983,
  [SMALL_STATE(4469)] = 122043,
  [SMALL_STATE(4470)] = 122099,
  [SMALL_STATE(4471)] = 122155,
  [SMALL_STATE(4472)] = 122211,
  [SMALL_STATE(4473)] = 122281,
  [SMALL_STATE(4474)] = 122337,
  [SMALL_STATE(4475)] = 122409,
  [SMALL_STATE(4476)] = 122465,
  [SMALL_STATE(4477)] = 122521,
  [SMALL_STATE(4478)] = 122577,
  [SMALL_STATE(4479)] = 122633,
  [SMALL_STATE(4480)] = 122689,
  [SMALL_STATE(4481)] = 122745,
  [SMALL_STATE(4482)] = 122805,
  [SMALL_STATE(4483)] = 122861,
  [SMALL_STATE(4484)] = 122959,
  [SMALL_STATE(4485)] = 123015,
  [SMALL_STATE(4486)] = 123071,
  [SMALL_STATE(4487)] = 123169,
  [SMALL_STATE(4488)] = 123225,
  [SMALL_STATE(4489)] = 123297,
  [SMALL_STATE(4490)] = 123353,
  [SMALL_STATE(4491)] = 123413,
  [SMALL_STATE(4492)] = 123469,
  [SMALL_STATE(4493)] = 123529,
  [SMALL_STATE(4494)] = 123591,
  [SMALL_STATE(4495)] = 123647,
  [SMALL_STATE(4496)] = 123717,
  [SMALL_STATE(4497)] = 123773,
  [SMALL_STATE(4498)] = 123829,
  [SMALL_STATE(4499)] = 123885,
  [SMALL_STATE(4500)] = 123941,
  [SMALL_STATE(4501)] = 123997,
  [SMALL_STATE(4502)] = 124057,
  [SMALL_STATE(4503)] = 124127,
  [SMALL_STATE(4504)] = 124187,
  [SMALL_STATE(4505)] = 124243,
  [SMALL_STATE(4506)] = 124303,
  [SMALL_STATE(4507)] = 124359,
  [SMALL_STATE(4508)] = 124415,
  [SMALL_STATE(4509)] = 124471,
  [SMALL_STATE(4510)] = 124527,
  [SMALL_STATE(4511)] = 124583,
  [SMALL_STATE(4512)] = 124639,
  [SMALL_STATE(4513)] = 124703,
  [SMALL_STATE(4514)] = 124759,
  [SMALL_STATE(4515)] = 124831,
  [SMALL_STATE(4516)] = 124899,
  [SMALL_STATE(4517)] = 124997,
  [SMALL_STATE(4518)] = 125069,
  [SMALL_STATE(4519)] = 125139,
  [SMALL_STATE(4520)] = 125237,
  [SMALL_STATE(4521)] = 125304,
  [SMALL_STATE(4522)] = 125363,
  [SMALL_STATE(4523)] = 125418,
  [SMALL_STATE(4524)] = 125473,
  [SMALL_STATE(4525)] = 125532,
  [SMALL_STATE(4526)] = 125587,
  [SMALL_STATE(4527)] = 125642,
  [SMALL_STATE(4528)] = 125697,
  [SMALL_STATE(4529)] = 125756,
  [SMALL_STATE(4530)] = 125819,
  [SMALL_STATE(4531)] = 125882,
  [SMALL_STATE(4532)] = 125941,
  [SMALL_STATE(4533)] = 125996,
  [SMALL_STATE(4534)] = 126051,
  [SMALL_STATE(4535)] = 126110,
  [SMALL_STATE(4536)] = 126165,
  [SMALL_STATE(4537)] = 126224,
  [SMALL_STATE(4538)] = 126279,
  [SMALL_STATE(4539)] = 126338,
  [SMALL_STATE(4540)] = 126393,
  [SMALL_STATE(4541)] = 126452,
  [SMALL_STATE(4542)] = 126507,
  [SMALL_STATE(4543)] = 126566,
  [SMALL_STATE(4544)] = 126621,
  [SMALL_STATE(4545)] = 126676,
  [SMALL_STATE(4546)] = 126731,
  [SMALL_STATE(4547)] = 126786,
  [SMALL_STATE(4548)] = 126845,
  [SMALL_STATE(4549)] = 126900,
  [SMALL_STATE(4550)] = 126955,
  [SMALL_STATE(4551)] = 127010,
  [SMALL_STATE(4552)] = 127065,
  [SMALL_STATE(4553)] = 127120,
  [SMALL_STATE(4554)] = 127175,
  [SMALL_STATE(4555)] = 127242,
  [SMALL_STATE(4556)] = 127309,
  [SMALL_STATE(4557)] = 127364,
  [SMALL_STATE(4558)] = 127423,
  [SMALL_STATE(4559)] = 127478,
  [SMALL_STATE(4560)] = 127533,
  [SMALL_STATE(4561)] = 127592,
  [SMALL_STATE(4562)] = 127651,
  [SMALL_STATE(4563)] = 127710,
  [SMALL_STATE(4564)] = 127769,
  [SMALL_STATE(4565)] = 127828,
  [SMALL_STATE(4566)] = 127887,
  [SMALL_STATE(4567)] = 127942,
  [SMALL_STATE(4568)] = 128001,
  [SMALL_STATE(4569)] = 128062,
  [SMALL_STATE(4570)] = 128117,
  [SMALL_STATE(4571)] = 128172,
  [SMALL_STATE(4572)] = 128233,
  [SMALL_STATE(4573)] = 128292,
  [SMALL_STATE(4574)] = 128351,
  [SMALL_STATE(4575)] = 128418,
  [SMALL_STATE(4576)] = 128473,
  [SMALL_STATE(4577)] = 128536,
  [SMALL_STATE(4578)] = 128591,
  [SMALL_STATE(4579)] = 128650,
  [SMALL_STATE(4580)] = 128705,
  [SMALL_STATE(4581)] = 128760,
  [SMALL_STATE(4582)] = 128815,
  [SMALL_STATE(4583)] = 128870,
  [SMALL_STATE(4584)] = 128925,
  [SMALL_STATE(4585)] = 128982,
  [SMALL_STATE(4586)] = 129037,
  [SMALL_STATE(4587)] = 129092,
  [SMALL_STATE(4588)] = 129151,
  [SMALL_STATE(4589)] = 129210,
  [SMALL_STATE(4590)] = 129265,
  [SMALL_STATE(4591)] = 129320,
  [SMALL_STATE(4592)] = 129375,
  [SMALL_STATE(4593)] = 129430,
  [SMALL_STATE(4594)] = 129487,
  [SMALL_STATE(4595)] = 129542,
  [SMALL_STATE(4596)] = 129597,
  [SMALL_STATE(4597)] = 129652,
  [SMALL_STATE(4598)] = 129711,
  [SMALL_STATE(4599)] = 129768,
  [SMALL_STATE(4600)] = 129827,
  [SMALL_STATE(4601)] = 129882,
  [SMALL_STATE(4602)] = 129940,
  [SMALL_STATE(4603)] = 129998,
  [SMALL_STATE(4604)] = 130098,
  [SMALL_STATE(4605)] = 130152,
  [SMALL_STATE(4606)] = 130222,
  [SMALL_STATE(4607)] = 130276,
  [SMALL_STATE(4608)] = 130336,
  [SMALL_STATE(4609)] = 130390,
  [SMALL_STATE(4610)] = 130460,
  [SMALL_STATE(4611)] = 130528,
  [SMALL_STATE(4612)] = 130586,
  [SMALL_STATE(4613)] = 130656,
  [SMALL_STATE(4614)] = 130722,
  [SMALL_STATE(4615)] = 130780,
  [SMALL_STATE(4616)] = 130838,
  [SMALL_STATE(4617)] = 130908,
  [SMALL_STATE(4618)] = 131008,
  [SMALL_STATE(4619)] = 131066,
  [SMALL_STATE(4620)] = 131166,
  [SMALL_STATE(4621)] = 131230,
  [SMALL_STATE(4622)] = 131296,
  [SMALL_STATE(4623)] = 131354,
  [SMALL_STATE(4624)] = 131412,
  [SMALL_STATE(4625)] = 131470,
  [SMALL_STATE(4626)] = 131528,
  [SMALL_STATE(4627)] = 131598,
  [SMALL_STATE(4628)] = 131656,
  [SMALL_STATE(4629)] = 131716,
  [SMALL_STATE(4630)] = 131786,
  [SMALL_STATE(4631)] = 131844,
  [SMALL_STATE(4632)] = 131914,
  [SMALL_STATE(4633)] = 131974,
  [SMALL_STATE(4634)] = 132044,
  [SMALL_STATE(4635)] = 132104,
  [SMALL_STATE(4636)] = 132204,
  [SMALL_STATE(4637)] = 132268,
  [SMALL_STATE(4638)] = 132324,
  [SMALL_STATE(4639)] = 132382,
  [SMALL_STATE(4640)] = 132436,
  [SMALL_STATE(4641)] = 132490,
  [SMALL_STATE(4642)] = 132543,
  [SMALL_STATE(4643)] = 132596,
  [SMALL_STATE(4644)] = 132649,
  [SMALL_STATE(4645)] = 132708,
  [SMALL_STATE(4646)] = 132767,
  [SMALL_STATE(4647)] = 132820,
  [SMALL_STATE(4648)] = 132873,
  [SMALL_STATE(4649)] = 132926,
  [SMALL_STATE(4650)] = 132987,
  [SMALL_STATE(4651)] = 133042,
  [SMALL_STATE(4652)] = 133097,
  [SMALL_STATE(4653)] = 133150,
  [SMALL_STATE(4654)] = 133209,
  [SMALL_STATE(4655)] = 133268,
  [SMALL_STATE(4656)] = 133329,
  [SMALL_STATE(4657)] = 133384,
  [SMALL_STATE(4658)] = 133453,
  [SMALL_STATE(4659)] = 133518,
  [SMALL_STATE(4660)] = 133583,
  [SMALL_STATE(4661)] = 133635,
  [SMALL_STATE(4662)] = 133691,
  [SMALL_STATE(4663)] = 133777,
  [SMALL_STATE(4664)] = 133863,
  [SMALL_STATE(4665)] = 133919,
  [SMALL_STATE(4666)] = 133997,
  [SMALL_STATE(4667)] = 134053,
  [SMALL_STATE(4668)] = 134139,
  [SMALL_STATE(4669)] = 134195,
  [SMALL_STATE(4670)] = 134247,
  [SMALL_STATE(4671)] = 134299,
  [SMALL_STATE(4672)] = 134385,
  [SMALL_STATE(4673)] = 134471,
  [SMALL_STATE(4674)] = 134557,
  [SMALL_STATE(4675)] = 134625,
  [SMALL_STATE(4676)] = 134681,
  [SMALL_STATE(4677)] = 134737,
  [SMALL_STATE(4678)] = 134823,
  [SMALL_STATE(4679)] = 134909,
  [SMALL_STATE(4680)] = 134995,
  [SMALL_STATE(4681)] = 135047,
  [SMALL_STATE(4682)] = 135099,
  [SMALL_STATE(4683)] = 135155,
  [SMALL_STATE(4684)] = 135241,
  [SMALL_STATE(4685)] = 135327,
  [SMALL_STATE(4686)] = 135379,
  [SMALL_STATE(4687)] = 135431,
  [SMALL_STATE(4688)] = 135487,
  [SMALL_STATE(4689)] = 135539,
  [SMALL_STATE(4690)] = 135591,
  [SMALL_STATE(4691)] = 135647,
  [SMALL_STATE(4692)] = 135699,
  [SMALL_STATE(4693)] = 135751,
  [SMALL_STATE(4694)] = 135803,
  [SMALL_STATE(4695)] = 135859,
  [SMALL_STATE(4696)] = 135911,
  [SMALL_STATE(4697)] = 135963,
  [SMALL_STATE(4698)] = 136015,
  [SMALL_STATE(4699)] = 136067,
  [SMALL_STATE(4700)] = 136119,
  [SMALL_STATE(4701)] = 136171,
  [SMALL_STATE(4702)] = 136223,
  [SMALL_STATE(4703)] = 136275,
  [SMALL_STATE(4704)] = 136361,
  [SMALL_STATE(4705)] = 136413,
  [SMALL_STATE(4706)] = 136465,
  [SMALL_STATE(4707)] = 136517,
  [SMALL_STATE(4708)] = 136569,
  [SMALL_STATE(4709)] = 136621,
  [SMALL_STATE(4710)] = 136707,
  [SMALL_STATE(4711)] = 136785,
  [SMALL_STATE(4712)] = 136837,
  [SMALL_STATE(4713)] = 136905,
  [SMALL_STATE(4714)] = 136973,
  [SMALL_STATE(4715)] = 137041,
  [SMALL_STATE(4716)] = 137093,
  [SMALL_STATE(4717)] = 137149,
  [SMALL_STATE(4718)] = 137201,
  [SMALL_STATE(4719)] = 137257,
  [SMALL_STATE(4720)] = 137321,
  [SMALL_STATE(4721)] = 137407,
  [SMALL_STATE(4722)] = 137471,
  [SMALL_STATE(4723)] = 137557,
  [SMALL_STATE(4724)] = 137643,
  [SMALL_STATE(4725)] = 137695,
  [SMALL_STATE(4726)] = 137747,
  [SMALL_STATE(4727)] = 137799,
  [SMALL_STATE(4728)] = 137851,
  [SMALL_STATE(4729)] = 137903,
  [SMALL_STATE(4730)] = 137955,
  [SMALL_STATE(4731)] = 138007,
  [SMALL_STATE(4732)] = 138059,
  [SMALL_STATE(4733)] = 138145,
  [SMALL_STATE(4734)] = 138231,
  [SMALL_STATE(4735)] = 138283,
  [SMALL_STATE(4736)] = 138335,
  [SMALL_STATE(4737)] = 138387,
  [SMALL_STATE(4738)] = 138438,
  [SMALL_STATE(4739)] = 138505,
  [SMALL_STATE(4740)] = 138608,
  [SMALL_STATE(4741)] = 138659,
  [SMALL_STATE(4742)] = 138734,
  [SMALL_STATE(4743)] = 138833,
  [SMALL_STATE(4744)] = 138902,
  [SMALL_STATE(4745)] = 138997,
  [SMALL_STATE(4746)] = 139048,
  [SMALL_STATE(4747)] = 139105,
  [SMALL_STATE(4748)] = 139176,
  [SMALL_STATE(4749)] = 139277,
  [SMALL_STATE(4750)] = 139350,
  [SMALL_STATE(4751)] = 139441,
  [SMALL_STATE(4752)] = 139544,
  [SMALL_STATE(4753)] = 139595,
  [SMALL_STATE(4754)] = 139648,
  [SMALL_STATE(4755)] = 139747,
  [SMALL_STATE(4756)] = 139798,
  [SMALL_STATE(4757)] = 139849,
  [SMALL_STATE(4758)] = 139910,
  [SMALL_STATE(4759)] = 139961,
  [SMALL_STATE(4760)] = 140012,
  [SMALL_STATE(4761)] = 140115,
  [SMALL_STATE(4762)] = 140166,
  [SMALL_STATE(4763)] = 140227,
  [SMALL_STATE(4764)] = 140278,
  [SMALL_STATE(4765)] = 140345,
  [SMALL_STATE(4766)] = 140396,
  [SMALL_STATE(4767)] = 140491,
  [SMALL_STATE(4768)] = 140592,
  [SMALL_STATE(4769)] = 140659,
  [SMALL_STATE(4770)] = 140748,
  [SMALL_STATE(4771)] = 140847,
  [SMALL_STATE(4772)] = 140910,
  [SMALL_STATE(4773)] = 140995,
  [SMALL_STATE(4774)] = 141078,
  [SMALL_STATE(4775)] = 141181,
  [SMALL_STATE(4776)] = 141248,
  [SMALL_STATE(4777)] = 141327,
  [SMALL_STATE(4778)] = 141426,
  [SMALL_STATE(4779)] = 141476,
  [SMALL_STATE(4780)] = 141554,
  [SMALL_STATE(4781)] = 141632,
  [SMALL_STATE(4782)] = 141710,
  [SMALL_STATE(4783)] = 141766,
  [SMALL_STATE(4784)] = 141816,
  [SMALL_STATE(4785)] = 141894,
  [SMALL_STATE(4786)] = 141972,
  [SMALL_STATE(4787)] = 142050,
  [SMALL_STATE(4788)] = 142128,
  [SMALL_STATE(4789)] = 142178,
  [SMALL_STATE(4790)] = 142228,
  [SMALL_STATE(4791)] = 142306,
  [SMALL_STATE(4792)] = 142362,
  [SMALL_STATE(4793)] = 142440,
  [SMALL_STATE(4794)] = 142490,
  [SMALL_STATE(4795)] = 142568,
  [SMALL_STATE(4796)] = 142646,
  [SMALL_STATE(4797)] = 142696,
  [SMALL_STATE(4798)] = 142774,
  [SMALL_STATE(4799)] = 142852,
  [SMALL_STATE(4800)] = 142930,
  [SMALL_STATE(4801)] = 142986,
  [SMALL_STATE(4802)] = 143036,
  [SMALL_STATE(4803)] = 143086,
  [SMALL_STATE(4804)] = 143136,
  [SMALL_STATE(4805)] = 143186,
  [SMALL_STATE(4806)] = 143236,
  [SMALL_STATE(4807)] = 143314,
  [SMALL_STATE(4808)] = 143392,
  [SMALL_STATE(4809)] = 143444,
  [SMALL_STATE(4810)] = 143500,
  [SMALL_STATE(4811)] = 143556,
  [SMALL_STATE(4812)] = 143606,
  [SMALL_STATE(4813)] = 143684,
  [SMALL_STATE(4814)] = 143734,
  [SMALL_STATE(4815)] = 143784,
  [SMALL_STATE(4816)] = 143834,
  [SMALL_STATE(4817)] = 143890,
  [SMALL_STATE(4818)] = 143968,
  [SMALL_STATE(4819)] = 144018,
  [SMALL_STATE(4820)] = 144068,
  [SMALL_STATE(4821)] = 144122,
  [SMALL_STATE(4822)] = 144200,
  [SMALL_STATE(4823)] = 144278,
  [SMALL_STATE(4824)] = 144328,
  [SMALL_STATE(4825)] = 144406,
  [SMALL_STATE(4826)] = 144484,
  [SMALL_STATE(4827)] = 144540,
  [SMALL_STATE(4828)] = 144590,
  [SMALL_STATE(4829)] = 144640,
  [SMALL_STATE(4830)] = 144690,
  [SMALL_STATE(4831)] = 144740,
  [SMALL_STATE(4832)] = 144818,
  [SMALL_STATE(4833)] = 144896,
  [SMALL_STATE(4834)] = 144974,
  [SMALL_STATE(4835)] = 145024,
  [SMALL_STATE(4836)] = 145074,
  [SMALL_STATE(4837)] = 145124,
  [SMALL_STATE(4838)] = 145174,
  [SMALL_STATE(4839)] = 145252,
  [SMALL_STATE(4840)] = 145302,
  [SMALL_STATE(4841)] = 145380,
  [SMALL_STATE(4842)] = 145430,
  [SMALL_STATE(4843)] = 145480,
  [SMALL_STATE(4844)] = 145558,
  [SMALL_STATE(4845)] = 145608,
  [SMALL_STATE(4846)] = 145664,
  [SMALL_STATE(4847)] = 145714,
  [SMALL_STATE(4848)] = 145764,
  [SMALL_STATE(4849)] = 145814,
  [SMALL_STATE(4850)] = 145892,
  [SMALL_STATE(4851)] = 145954,
  [SMALL_STATE(4852)] = 146032,
  [SMALL_STATE(4853)] = 146110,
  [SMALL_STATE(4854)] = 146160,
  [SMALL_STATE(4855)] = 146238,
  [SMALL_STATE(4856)] = 146316,
  [SMALL_STATE(4857)] = 146394,
  [SMALL_STATE(4858)] = 146472,
  [SMALL_STATE(4859)] = 146550,
  [SMALL_STATE(4860)] = 146600,
  [SMALL_STATE(4861)] = 146662,
  [SMALL_STATE(4862)] = 146740,
  [SMALL_STATE(4863)] = 146792,
  [SMALL_STATE(4864)] = 146848,
  [SMALL_STATE(4865)] = 146926,
  [SMALL_STATE(4866)] = 147027,
  [SMALL_STATE(4867)] = 147104,
  [SMALL_STATE(4868)] = 147167,
  [SMALL_STATE(4869)] = 147236,
  [SMALL_STATE(4870)] = 147285,
  [SMALL_STATE(4871)] = 147348,
  [SMALL_STATE(4872)] = 147445,
  [SMALL_STATE(4873)] = 147508,
  [SMALL_STATE(4874)] = 147609,
  [SMALL_STATE(4875)] = 147712,
  [SMALL_STATE(4876)] = 147773,
  [SMALL_STATE(4877)] = 147876,
  [SMALL_STATE(4878)] = 147973,
  [SMALL_STATE(4879)] = 148062,
  [SMALL_STATE(4880)] = 148163,
  [SMALL_STATE(4881)] = 148234,
  [SMALL_STATE(4882)] = 148287,
  [SMALL_STATE(4883)] = 148356,
  [SMALL_STATE(4884)] = 148453,
  [SMALL_STATE(4885)] = 148556,
  [SMALL_STATE(4886)] = 148607,
  [SMALL_STATE(4887)] = 148680,
  [SMALL_STATE(4888)] = 148741,
  [SMALL_STATE(4889)] = 148818,
  [SMALL_STATE(4890)] = 148899,
  [SMALL_STATE(4891)] = 148952,
  [SMALL_STATE(4892)] = 149021,
  [SMALL_STATE(4893)] = 149118,
  [SMALL_STATE(4894)] = 149181,
  [SMALL_STATE(4895)] = 149264,
  [SMALL_STATE(4896)] = 149315,
  [SMALL_STATE(4897)] = 149368,
  [SMALL_STATE(4898)] = 149455,
  [SMALL_STATE(4899)] = 149544,
  [SMALL_STATE(4900)] = 149637,
  [SMALL_STATE(4901)] = 149688,
  [SMALL_STATE(4902)] = 149755,
  [SMALL_STATE(4903)] = 149814,
  [SMALL_STATE(4904)] = 149871,
  [SMALL_STATE(4905)] = 149940,
  [SMALL_STATE(4906)] = 150043,
  [SMALL_STATE(4907)] = 150098,
  [SMALL_STATE(4908)] = 150151,
  [SMALL_STATE(4909)] = 150204,
  [SMALL_STATE(4910)] = 150255,
  [SMALL_STATE(4911)] = 150304,
  [SMALL_STATE(4912)] = 150355,
  [SMALL_STATE(4913)] = 150414,
  [SMALL_STATE(4914)] = 150473,
  [SMALL_STATE(4915)] = 150532,
  [SMALL_STATE(4916)] = 150591,
  [SMALL_STATE(4917)] = 150650,
  [SMALL_STATE(4918)] = 150727,
  [SMALL_STATE(4919)] = 150828,
  [SMALL_STATE(4920)] = 150883,
  [SMALL_STATE(4921)] = 150961,
  [SMALL_STATE(4922)] = 151051,
  [SMALL_STATE(4923)] = 151135,
  [SMALL_STATE(4924)] = 151205,
  [SMALL_STATE(4925)] = 151283,
  [SMALL_STATE(4926)] = 151369,
  [SMALL_STATE(4927)] = 151417,
  [SMALL_STATE(4928)] = 151495,
  [SMALL_STATE(4929)] = 151571,
  [SMALL_STATE(4930)] = 151649,
  [SMALL_STATE(4931)] = 151731,
  [SMALL_STATE(4932)] = 151809,
  [SMALL_STATE(4933)] = 151859,
  [SMALL_STATE(4934)] = 151909,
  [SMALL_STATE(4935)] = 151959,
  [SMALL_STATE(4936)] = 152059,
  [SMALL_STATE(4937)] = 152147,
  [SMALL_STATE(4938)] = 152237,
  [SMALL_STATE(4939)] = 152291,
  [SMALL_STATE(4940)] = 152367,
  [SMALL_STATE(4941)] = 152433,
  [SMALL_STATE(4942)] = 152527,
  [SMALL_STATE(4943)] = 152603,
  [SMALL_STATE(4944)] = 152653,
  [SMALL_STATE(4945)] = 152731,
  [SMALL_STATE(4946)] = 152809,
  [SMALL_STATE(4947)] = 152887,
  [SMALL_STATE(4948)] = 152935,
  [SMALL_STATE(4949)] = 153029,
  [SMALL_STATE(4950)] = 153123,
  [SMALL_STATE(4951)] = 153171,
  [SMALL_STATE(4952)] = 153243,
  [SMALL_STATE(4953)] = 153319,
  [SMALL_STATE(4954)] = 153395,
  [SMALL_STATE(4955)] = 153463,
  [SMALL_STATE(4956)] = 153515,
  [SMALL_STATE(4957)] = 153593,
  [SMALL_STATE(4958)] = 153683,
  [SMALL_STATE(4959)] = 153773,
  [SMALL_STATE(4960)] = 153821,
  [SMALL_STATE(4961)] = 153918,
  [SMALL_STATE(4962)] = 153965,
  [SMALL_STATE(4963)] = 154012,
  [SMALL_STATE(4964)] = 154109,
  [SMALL_STATE(4965)] = 154206,
  [SMALL_STATE(4966)] = 154253,
  [SMALL_STATE(4967)] = 154350,
  [SMALL_STATE(4968)] = 154447,
  [SMALL_STATE(4969)] = 154494,
  [SMALL_STATE(4970)] = 154541,
  [SMALL_STATE(4971)] = 154588,
  [SMALL_STATE(4972)] = 154685,
  [SMALL_STATE(4973)] = 154732,
  [SMALL_STATE(4974)] = 154779,
  [SMALL_STATE(4975)] = 154876,
  [SMALL_STATE(4976)] = 154973,
  [SMALL_STATE(4977)] = 155070,
  [SMALL_STATE(4978)] = 155157,
  [SMALL_STATE(4979)] = 155204,
  [SMALL_STATE(4980)] = 155259,
  [SMALL_STATE(4981)] = 155356,
  [SMALL_STATE(4982)] = 155403,
  [SMALL_STATE(4983)] = 155500,
  [SMALL_STATE(4984)] = 155547,
  [SMALL_STATE(4985)] = 155594,
  [SMALL_STATE(4986)] = 155663,
  [SMALL_STATE(4987)] = 155710,
  [SMALL_STATE(4988)] = 155757,
  [SMALL_STATE(4989)] = 155804,
  [SMALL_STATE(4990)] = 155851,
  [SMALL_STATE(4991)] = 155898,
  [SMALL_STATE(4992)] = 155967,
  [SMALL_STATE(4993)] = 156036,
  [SMALL_STATE(4994)] = 156129,
  [SMALL_STATE(4995)] = 156226,
  [SMALL_STATE(4996)] = 156295,
  [SMALL_STATE(4997)] = 156364,
  [SMALL_STATE(4998)] = 156411,
  [SMALL_STATE(4999)] = 156464,
  [SMALL_STATE(5000)] = 156561,
  [SMALL_STATE(5001)] = 156658,
  [SMALL_STATE(5002)] = 156733,
  [SMALL_STATE(5003)] = 156780,
  [SMALL_STATE(5004)] = 156827,
  [SMALL_STATE(5005)] = 156874,
  [SMALL_STATE(5006)] = 156921,
  [SMALL_STATE(5007)] = 157018,
  [SMALL_STATE(5008)] = 157065,
  [SMALL_STATE(5009)] = 157112,
  [SMALL_STATE(5010)] = 157159,
  [SMALL_STATE(5011)] = 157248,
  [SMALL_STATE(5012)] = 157295,
  [SMALL_STATE(5013)] = 157342,
  [SMALL_STATE(5014)] = 157411,
  [SMALL_STATE(5015)] = 157458,
  [SMALL_STATE(5016)] = 157555,
  [SMALL_STATE(5017)] = 157602,
  [SMALL_STATE(5018)] = 157695,
  [SMALL_STATE(5019)] = 157782,
  [SMALL_STATE(5020)] = 157829,
  [SMALL_STATE(5021)] = 157898,
  [SMALL_STATE(5022)] = 157967,
  [SMALL_STATE(5023)] = 158020,
  [SMALL_STATE(5024)] = 158117,
  [SMALL_STATE(5025)] = 158214,
  [SMALL_STATE(5026)] = 158263,
  [SMALL_STATE(5027)] = 158314,
  [SMALL_STATE(5028)] = 158411,
  [SMALL_STATE(5029)] = 158508,
  [SMALL_STATE(5030)] = 158555,
  [SMALL_STATE(5031)] = 158652,
  [SMALL_STATE(5032)] = 158699,
  [SMALL_STATE(5033)] = 158746,
  [SMALL_STATE(5034)] = 158835,
  [SMALL_STATE(5035)] = 158932,
  [SMALL_STATE(5036)] = 159029,
  [SMALL_STATE(5037)] = 159098,
  [SMALL_STATE(5038)] = 159145,
  [SMALL_STATE(5039)] = 159242,
  [SMALL_STATE(5040)] = 159311,
  [SMALL_STATE(5041)] = 159358,
  [SMALL_STATE(5042)] = 159405,
  [SMALL_STATE(5043)] = 159452,
  [SMALL_STATE(5044)] = 159499,
  [SMALL_STATE(5045)] = 159546,
  [SMALL_STATE(5046)] = 159643,
  [SMALL_STATE(5047)] = 159740,
  [SMALL_STATE(5048)] = 159837,
  [SMALL_STATE(5049)] = 159934,
  [SMALL_STATE(5050)] = 160031,
  [SMALL_STATE(5051)] = 160078,
  [SMALL_STATE(5052)] = 160125,
  [SMALL_STATE(5053)] = 160222,
  [SMALL_STATE(5054)] = 160319,
  [SMALL_STATE(5055)] = 160366,
  [SMALL_STATE(5056)] = 160463,
  [SMALL_STATE(5057)] = 160560,
  [SMALL_STATE(5058)] = 160607,
  [SMALL_STATE(5059)] = 160704,
  [SMALL_STATE(5060)] = 160801,
  [SMALL_STATE(5061)] = 160898,
  [SMALL_STATE(5062)] = 160995,
  [SMALL_STATE(5063)] = 161092,
  [SMALL_STATE(5064)] = 161143,
  [SMALL_STATE(5065)] = 161240,
  [SMALL_STATE(5066)] = 161287,
  [SMALL_STATE(5067)] = 161334,
  [SMALL_STATE(5068)] = 161381,
  [SMALL_STATE(5069)] = 161456,
  [SMALL_STATE(5070)] = 161551,
  [SMALL_STATE(5071)] = 161648,
  [SMALL_STATE(5072)] = 161695,
  [SMALL_STATE(5073)] = 161790,
  [SMALL_STATE(5074)] = 161847,
  [SMALL_STATE(5075)] = 161944,
  [SMALL_STATE(5076)] = 161991,
  [SMALL_STATE(5077)] = 162088,
  [SMALL_STATE(5078)] = 162157,
  [SMALL_STATE(5079)] = 162224,
  [SMALL_STATE(5080)] = 162295,
  [SMALL_STATE(5081)] = 162370,
  [SMALL_STATE(5082)] = 162447,
  [SMALL_STATE(5083)] = 162528,
  [SMALL_STATE(5084)] = 162625,
  [SMALL_STATE(5085)] = 162722,
  [SMALL_STATE(5086)] = 162805,
  [SMALL_STATE(5087)] = 162890,
  [SMALL_STATE(5088)] = 162977,
  [SMALL_STATE(5089)] = 163074,
  [SMALL_STATE(5090)] = 163121,
  [SMALL_STATE(5091)] = 163186,
  [SMALL_STATE(5092)] = 163233,
  [SMALL_STATE(5093)] = 163280,
  [SMALL_STATE(5094)] = 163327,
  [SMALL_STATE(5095)] = 163374,
  [SMALL_STATE(5096)] = 163471,
  [SMALL_STATE(5097)] = 163540,
  [SMALL_STATE(5098)] = 163609,
  [SMALL_STATE(5099)] = 163706,
  [SMALL_STATE(5100)] = 163753,
  [SMALL_STATE(5101)] = 163846,
  [SMALL_STATE(5102)] = 163893,
  [SMALL_STATE(5103)] = 163940,
  [SMALL_STATE(5104)] = 163987,
  [SMALL_STATE(5105)] = 164034,
  [SMALL_STATE(5106)] = 164131,
  [SMALL_STATE(5107)] = 164178,
  [SMALL_STATE(5108)] = 164225,
  [SMALL_STATE(5109)] = 164322,
  [SMALL_STATE(5110)] = 164369,
  [SMALL_STATE(5111)] = 164466,
  [SMALL_STATE(5112)] = 164555,
  [SMALL_STATE(5113)] = 164602,
  [SMALL_STATE(5114)] = 164699,
  [SMALL_STATE(5115)] = 164792,
  [SMALL_STATE(5116)] = 164889,
  [SMALL_STATE(5117)] = 164936,
  [SMALL_STATE(5118)] = 165033,
  [SMALL_STATE(5119)] = 165080,
  [SMALL_STATE(5120)] = 165177,
  [SMALL_STATE(5121)] = 165274,
  [SMALL_STATE(5122)] = 165371,
  [SMALL_STATE(5123)] = 165468,
  [SMALL_STATE(5124)] = 165557,
  [SMALL_STATE(5125)] = 165654,
  [SMALL_STATE(5126)] = 165701,
  [SMALL_STATE(5127)] = 165798,
  [SMALL_STATE(5128)] = 165895,
  [SMALL_STATE(5129)] = 165992,
  [SMALL_STATE(5130)] = 166039,
  [SMALL_STATE(5131)] = 166086,
  [SMALL_STATE(5132)] = 166133,
  [SMALL_STATE(5133)] = 166190,
  [SMALL_STATE(5134)] = 166237,
  [SMALL_STATE(5135)] = 166284,
  [SMALL_STATE(5136)] = 166331,
  [SMALL_STATE(5137)] = 166428,
  [SMALL_STATE(5138)] = 166525,
  [SMALL_STATE(5139)] = 166618,
  [SMALL_STATE(5140)] = 166671,
  [SMALL_STATE(5141)] = 166724,
  [SMALL_STATE(5142)] = 166771,
  [SMALL_STATE(5143)] = 166865,
  [SMALL_STATE(5144)] = 166957,
  [SMALL_STATE(5145)] = 167027,
  [SMALL_STATE(5146)] = 167087,
  [SMALL_STATE(5147)] = 167147,
  [SMALL_STATE(5148)] = 167203,
  [SMALL_STATE(5149)] = 167291,
  [SMALL_STATE(5150)] = 167385,
  [SMALL_STATE(5151)] = 167445,
  [SMALL_STATE(5152)] = 167503,
  [SMALL_STATE(5153)] = 167571,
  [SMALL_STATE(5154)] = 167629,
  [SMALL_STATE(5155)] = 167723,
  [SMALL_STATE(5156)] = 167811,
  [SMALL_STATE(5157)] = 167861,
  [SMALL_STATE(5158)] = 167955,
  [SMALL_STATE(5159)] = 168049,
  [SMALL_STATE(5160)] = 168143,
  [SMALL_STATE(5161)] = 168237,
  [SMALL_STATE(5162)] = 168285,
  [SMALL_STATE(5163)] = 168333,
  [SMALL_STATE(5164)] = 168427,
  [SMALL_STATE(5165)] = 168519,
  [SMALL_STATE(5166)] = 168569,
  [SMALL_STATE(5167)] = 168637,
  [SMALL_STATE(5168)] = 168703,
  [SMALL_STATE(5169)] = 168761,
  [SMALL_STATE(5170)] = 168853,
  [SMALL_STATE(5171)] = 168947,
  [SMALL_STATE(5172)] = 169039,
  [SMALL_STATE(5173)] = 169111,
  [SMALL_STATE(5174)] = 169203,
  [SMALL_STATE(5175)] = 169277,
  [SMALL_STATE(5176)] = 169369,
  [SMALL_STATE(5177)] = 169445,
  [SMALL_STATE(5178)] = 169533,
  [SMALL_STATE(5179)] = 169583,
  [SMALL_STATE(5180)] = 169675,
  [SMALL_STATE(5181)] = 169767,
  [SMALL_STATE(5182)] = 169861,
  [SMALL_STATE(5183)] = 169941,
  [SMALL_STATE(5184)] = 170035,
  [SMALL_STATE(5185)] = 170085,
  [SMALL_STATE(5186)] = 170177,
  [SMALL_STATE(5187)] = 170265,
  [SMALL_STATE(5188)] = 170359,
  [SMALL_STATE(5189)] = 170451,
  [SMALL_STATE(5190)] = 170545,
  [SMALL_STATE(5191)] = 170639,
  [SMALL_STATE(5192)] = 170733,
  [SMALL_STATE(5193)] = 170817,
  [SMALL_STATE(5194)] = 170911,
  [SMALL_STATE(5195)] = 170969,
  [SMALL_STATE(5196)] = 171063,
  [SMALL_STATE(5197)] = 171155,
  [SMALL_STATE(5198)] = 171249,
  [SMALL_STATE(5199)] = 171341,
  [SMALL_STATE(5200)] = 171427,
  [SMALL_STATE(5201)] = 171479,
  [SMALL_STATE(5202)] = 171567,
  [SMALL_STATE(5203)] = 171661,
  [SMALL_STATE(5204)] = 171729,
  [SMALL_STATE(5205)] = 171817,
  [SMALL_STATE(5206)] = 171909,
  [SMALL_STATE(5207)] = 171961,
  [SMALL_STATE(5208)] = 172053,
  [SMALL_STATE(5209)] = 172139,
  [SMALL_STATE(5210)] = 172205,
  [SMALL_STATE(5211)] = 172297,
  [SMALL_STATE(5212)] = 172357,
  [SMALL_STATE(5213)] = 172421,
  [SMALL_STATE(5214)] = 172513,
  [SMALL_STATE(5215)] = 172583,
  [SMALL_STATE(5216)] = 172651,
  [SMALL_STATE(5217)] = 172745,
  [SMALL_STATE(5218)] = 172819,
  [SMALL_STATE(5219)] = 172887,
  [SMALL_STATE(5220)] = 172981,
  [SMALL_STATE(5221)] = 173069,
  [SMALL_STATE(5222)] = 173161,
  [SMALL_STATE(5223)] = 173253,
  [SMALL_STATE(5224)] = 173305,
  [SMALL_STATE(5225)] = 173381,
  [SMALL_STATE(5226)] = 173461,
  [SMALL_STATE(5227)] = 173555,
  [SMALL_STATE(5228)] = 173629,
  [SMALL_STATE(5229)] = 173711,
  [SMALL_STATE(5230)] = 173795,
  [SMALL_STATE(5231)] = 173889,
  [SMALL_STATE(5232)] = 173983,
  [SMALL_STATE(5233)] = 174029,
  [SMALL_STATE(5234)] = 174115,
  [SMALL_STATE(5235)] = 174179,
  [SMALL_STATE(5236)] = 174271,
  [SMALL_STATE(5237)] = 174363,
  [SMALL_STATE(5238)] = 174457,
  [SMALL_STATE(5239)] = 174509,
  [SMALL_STATE(5240)] = 174603,
  [SMALL_STATE(5241)] = 174697,
  [SMALL_STATE(5242)] = 174789,
  [SMALL_STATE(5243)] = 174883,
  [SMALL_STATE(5244)] = 174933,
  [SMALL_STATE(5245)] = 175027,
  [SMALL_STATE(5246)] = 175077,
  [SMALL_STATE(5247)] = 175171,
  [SMALL_STATE(5248)] = 175265,
  [SMALL_STATE(5249)] = 175339,
  [SMALL_STATE(5250)] = 175433,
  [SMALL_STATE(5251)] = 175479,
  [SMALL_STATE(5252)] = 175527,
  [SMALL_STATE(5253)] = 175615,
  [SMALL_STATE(5254)] = 175697,
  [SMALL_STATE(5255)] = 175791,
  [SMALL_STATE(5256)] = 175883,
  [SMALL_STATE(5257)] = 175933,
  [SMALL_STATE(5258)] = 176025,
  [SMALL_STATE(5259)] = 176075,
  [SMALL_STATE(5260)] = 176125,
  [SMALL_STATE(5261)] = 176184,
  [SMALL_STATE(5262)] = 176275,
  [SMALL_STATE(5263)] = 176366,
  [SMALL_STATE(5264)] = 176457,
  [SMALL_STATE(5265)] = 176548,
  [SMALL_STATE(5266)] = 176639,
  [SMALL_STATE(5267)] = 176730,
  [SMALL_STATE(5268)] = 176789,
  [SMALL_STATE(5269)] = 176880,
  [SMALL_STATE(5270)] = 176971,
  [SMALL_STATE(5271)] = 177062,
  [SMALL_STATE(5272)] = 177153,
  [SMALL_STATE(5273)] = 177244,
  [SMALL_STATE(5274)] = 177335,
  [SMALL_STATE(5275)] = 177380,
  [SMALL_STATE(5276)] = 177471,
  [SMALL_STATE(5277)] = 177562,
  [SMALL_STATE(5278)] = 177653,
  [SMALL_STATE(5279)] = 177744,
  [SMALL_STATE(5280)] = 177835,
  [SMALL_STATE(5281)] = 177884,
  [SMALL_STATE(5282)] = 177929,
  [SMALL_STATE(5283)] = 178020,
  [SMALL_STATE(5284)] = 178111,
  [SMALL_STATE(5285)] = 178202,
  [SMALL_STATE(5286)] = 178293,
  [SMALL_STATE(5287)] = 178384,
  [SMALL_STATE(5288)] = 178469,
  [SMALL_STATE(5289)] = 178560,
  [SMALL_STATE(5290)] = 178651,
  [SMALL_STATE(5291)] = 178742,
  [SMALL_STATE(5292)] = 178833,
  [SMALL_STATE(5293)] = 178916,
  [SMALL_STATE(5294)] = 179007,
  [SMALL_STATE(5295)] = 179098,
  [SMALL_STATE(5296)] = 179189,
  [SMALL_STATE(5297)] = 179234,
  [SMALL_STATE(5298)] = 179325,
  [SMALL_STATE(5299)] = 179416,
  [SMALL_STATE(5300)] = 179507,
  [SMALL_STATE(5301)] = 179598,
  [SMALL_STATE(5302)] = 179689,
  [SMALL_STATE(5303)] = 179752,
  [SMALL_STATE(5304)] = 179843,
  [SMALL_STATE(5305)] = 179934,
  [SMALL_STATE(5306)] = 180025,
  [SMALL_STATE(5307)] = 180116,
  [SMALL_STATE(5308)] = 180207,
  [SMALL_STATE(5309)] = 180298,
  [SMALL_STATE(5310)] = 180389,
  [SMALL_STATE(5311)] = 180480,
  [SMALL_STATE(5312)] = 180571,
  [SMALL_STATE(5313)] = 180622,
  [SMALL_STATE(5314)] = 180713,
  [SMALL_STATE(5315)] = 180780,
  [SMALL_STATE(5316)] = 180871,
  [SMALL_STATE(5317)] = 180962,
  [SMALL_STATE(5318)] = 181043,
  [SMALL_STATE(5319)] = 181122,
  [SMALL_STATE(5320)] = 181209,
  [SMALL_STATE(5321)] = 181300,
  [SMALL_STATE(5322)] = 181391,
  [SMALL_STATE(5323)] = 181480,
  [SMALL_STATE(5324)] = 181555,
  [SMALL_STATE(5325)] = 181646,
  [SMALL_STATE(5326)] = 181719,
  [SMALL_STATE(5327)] = 181810,
  [SMALL_STATE(5328)] = 181901,
  [SMALL_STATE(5329)] = 181992,
  [SMALL_STATE(5330)] = 182083,
  [SMALL_STATE(5331)] = 182174,
  [SMALL_STATE(5332)] = 182265,
  [SMALL_STATE(5333)] = 182356,
  [SMALL_STATE(5334)] = 182425,
  [SMALL_STATE(5335)] = 182490,
  [SMALL_STATE(5336)] = 182581,
  [SMALL_STATE(5337)] = 182672,
  [SMALL_STATE(5338)] = 182745,
  [SMALL_STATE(5339)] = 182806,
  [SMALL_STATE(5340)] = 182897,
  [SMALL_STATE(5341)] = 182988,
  [SMALL_STATE(5342)] = 183055,
  [SMALL_STATE(5343)] = 183146,
  [SMALL_STATE(5344)] = 183237,
  [SMALL_STATE(5345)] = 183328,
  [SMALL_STATE(5346)] = 183419,
  [SMALL_STATE(5347)] = 183510,
  [SMALL_STATE(5348)] = 183565,
  [SMALL_STATE(5349)] = 183656,
  [SMALL_STATE(5350)] = 183747,
  [SMALL_STATE(5351)] = 183814,
  [SMALL_STATE(5352)] = 183901,
  [SMALL_STATE(5353)] = 183992,
  [SMALL_STATE(5354)] = 184079,
  [SMALL_STATE(5355)] = 184146,
  [SMALL_STATE(5356)] = 184237,
  [SMALL_STATE(5357)] = 184328,
  [SMALL_STATE(5358)] = 184419,
  [SMALL_STATE(5359)] = 184510,
  [SMALL_STATE(5360)] = 184557,
  [SMALL_STATE(5361)] = 184648,
  [SMALL_STATE(5362)] = 184739,
  [SMALL_STATE(5363)] = 184830,
  [SMALL_STATE(5364)] = 184921,
  [SMALL_STATE(5365)] = 185012,
  [SMALL_STATE(5366)] = 185103,
  [SMALL_STATE(5367)] = 185194,
  [SMALL_STATE(5368)] = 185285,
  [SMALL_STATE(5369)] = 185376,
  [SMALL_STATE(5370)] = 185467,
  [SMALL_STATE(5371)] = 185558,
  [SMALL_STATE(5372)] = 185649,
  [SMALL_STATE(5373)] = 185716,
  [SMALL_STATE(5374)] = 185807,
  [SMALL_STATE(5375)] = 185898,
  [SMALL_STATE(5376)] = 185989,
  [SMALL_STATE(5377)] = 186080,
  [SMALL_STATE(5378)] = 186171,
  [SMALL_STATE(5379)] = 186238,
  [SMALL_STATE(5380)] = 186329,
  [SMALL_STATE(5381)] = 186376,
  [SMALL_STATE(5382)] = 186467,
  [SMALL_STATE(5383)] = 186558,
  [SMALL_STATE(5384)] = 186649,
  [SMALL_STATE(5385)] = 186740,
  [SMALL_STATE(5386)] = 186831,
  [SMALL_STATE(5387)] = 186922,
  [SMALL_STATE(5388)] = 187013,
  [SMALL_STATE(5389)] = 187104,
  [SMALL_STATE(5390)] = 187195,
  [SMALL_STATE(5391)] = 187286,
  [SMALL_STATE(5392)] = 187377,
  [SMALL_STATE(5393)] = 187468,
  [SMALL_STATE(5394)] = 187513,
  [SMALL_STATE(5395)] = 187604,
  [SMALL_STATE(5396)] = 187695,
  [SMALL_STATE(5397)] = 187762,
  [SMALL_STATE(5398)] = 187853,
  [SMALL_STATE(5399)] = 187944,
  [SMALL_STATE(5400)] = 188035,
  [SMALL_STATE(5401)] = 188126,
  [SMALL_STATE(5402)] = 188217,
  [SMALL_STATE(5403)] = 188284,
  [SMALL_STATE(5404)] = 188375,
  [SMALL_STATE(5405)] = 188466,
  [SMALL_STATE(5406)] = 188557,
  [SMALL_STATE(5407)] = 188648,
  [SMALL_STATE(5408)] = 188739,
  [SMALL_STATE(5409)] = 188830,
  [SMALL_STATE(5410)] = 188921,
  [SMALL_STATE(5411)] = 189012,
  [SMALL_STATE(5412)] = 189103,
  [SMALL_STATE(5413)] = 189194,
  [SMALL_STATE(5414)] = 189285,
  [SMALL_STATE(5415)] = 189376,
  [SMALL_STATE(5416)] = 189463,
  [SMALL_STATE(5417)] = 189520,
  [SMALL_STATE(5418)] = 189579,
  [SMALL_STATE(5419)] = 189670,
  [SMALL_STATE(5420)] = 189729,
  [SMALL_STATE(5421)] = 189780,
  [SMALL_STATE(5422)] = 189871,
  [SMALL_STATE(5423)] = 189962,
  [SMALL_STATE(5424)] = 190053,
  [SMALL_STATE(5425)] = 190110,
  [SMALL_STATE(5426)] = 190201,
  [SMALL_STATE(5427)] = 190292,
  [SMALL_STATE(5428)] = 190359,
  [SMALL_STATE(5429)] = 190450,
  [SMALL_STATE(5430)] = 190541,
  [SMALL_STATE(5431)] = 190632,
  [SMALL_STATE(5432)] = 190705,
  [SMALL_STATE(5433)] = 190796,
  [SMALL_STATE(5434)] = 190887,
  [SMALL_STATE(5435)] = 190978,
  [SMALL_STATE(5436)] = 191022,
  [SMALL_STATE(5437)] = 191066,
  [SMALL_STATE(5438)] = 191110,
  [SMALL_STATE(5439)] = 191154,
  [SMALL_STATE(5440)] = 191198,
  [SMALL_STATE(5441)] = 191242,
  [SMALL_STATE(5442)] = 191286,
  [SMALL_STATE(5443)] = 191330,
  [SMALL_STATE(5444)] = 191374,
  [SMALL_STATE(5445)] = 191418,
  [SMALL_STATE(5446)] = 191472,
  [SMALL_STATE(5447)] = 191528,
  [SMALL_STATE(5448)] = 191572,
  [SMALL_STATE(5449)] = 191616,
  [SMALL_STATE(5450)] = 191660,
  [SMALL_STATE(5451)] = 191706,
  [SMALL_STATE(5452)] = 191750,
  [SMALL_STATE(5453)] = 191794,
  [SMALL_STATE(5454)] = 191838,
  [SMALL_STATE(5455)] = 191886,
  [SMALL_STATE(5456)] = 191930,
  [SMALL_STATE(5457)] = 191978,
  [SMALL_STATE(5458)] = 192022,
  [SMALL_STATE(5459)] = 192070,
  [SMALL_STATE(5460)] = 192152,
  [SMALL_STATE(5461)] = 192200,
  [SMALL_STATE(5462)] = 192244,
  [SMALL_STATE(5463)] = 192288,
  [SMALL_STATE(5464)] = 192376,
  [SMALL_STATE(5465)] = 192458,
  [SMALL_STATE(5466)] = 192504,
  [SMALL_STATE(5467)] = 192548,
  [SMALL_STATE(5468)] = 192614,
  [SMALL_STATE(5469)] = 192658,
  [SMALL_STATE(5470)] = 192702,
  [SMALL_STATE(5471)] = 192768,
  [SMALL_STATE(5472)] = 192840,
  [SMALL_STATE(5473)] = 192888,
  [SMALL_STATE(5474)] = 192932,
  [SMALL_STATE(5475)] = 192980,
  [SMALL_STATE(5476)] = 193028,
  [SMALL_STATE(5477)] = 193072,
  [SMALL_STATE(5478)] = 193116,
  [SMALL_STATE(5479)] = 193164,
  [SMALL_STATE(5480)] = 193208,
  [SMALL_STATE(5481)] = 193252,
  [SMALL_STATE(5482)] = 193306,
  [SMALL_STATE(5483)] = 193350,
  [SMALL_STATE(5484)] = 193394,
  [SMALL_STATE(5485)] = 193438,
  [SMALL_STATE(5486)] = 193484,
  [SMALL_STATE(5487)] = 193530,
  [SMALL_STATE(5488)] = 193574,
  [SMALL_STATE(5489)] = 193618,
  [SMALL_STATE(5490)] = 193662,
  [SMALL_STATE(5491)] = 193706,
  [SMALL_STATE(5492)] = 193750,
  [SMALL_STATE(5493)] = 193794,
  [SMALL_STATE(5494)] = 193838,
  [SMALL_STATE(5495)] = 193882,
  [SMALL_STATE(5496)] = 193926,
  [SMALL_STATE(5497)] = 193970,
  [SMALL_STATE(5498)] = 194036,
  [SMALL_STATE(5499)] = 194108,
  [SMALL_STATE(5500)] = 194152,
  [SMALL_STATE(5501)] = 194212,
  [SMALL_STATE(5502)] = 194256,
  [SMALL_STATE(5503)] = 194300,
  [SMALL_STATE(5504)] = 194344,
  [SMALL_STATE(5505)] = 194388,
  [SMALL_STATE(5506)] = 194444,
  [SMALL_STATE(5507)] = 194488,
  [SMALL_STATE(5508)] = 194538,
  [SMALL_STATE(5509)] = 194582,
  [SMALL_STATE(5510)] = 194626,
  [SMALL_STATE(5511)] = 194670,
  [SMALL_STATE(5512)] = 194714,
  [SMALL_STATE(5513)] = 194780,
  [SMALL_STATE(5514)] = 194824,
  [SMALL_STATE(5515)] = 194909,
  [SMALL_STATE(5516)] = 194958,
  [SMALL_STATE(5517)] = 195043,
  [SMALL_STATE(5518)] = 195124,
  [SMALL_STATE(5519)] = 195209,
  [SMALL_STATE(5520)] = 195274,
  [SMALL_STATE(5521)] = 195359,
  [SMALL_STATE(5522)] = 195424,
  [SMALL_STATE(5523)] = 195495,
  [SMALL_STATE(5524)] = 195580,
  [SMALL_STATE(5525)] = 195665,
  [SMALL_STATE(5526)] = 195750,
  [SMALL_STATE(5527)] = 195799,
  [SMALL_STATE(5528)] = 195846,
  [SMALL_STATE(5529)] = 195895,
  [SMALL_STATE(5530)] = 195980,
  [SMALL_STATE(5531)] = 196065,
  [SMALL_STATE(5532)] = 196120,
  [SMALL_STATE(5533)] = 196179,
  [SMALL_STATE(5534)] = 196264,
  [SMALL_STATE(5535)] = 196349,
  [SMALL_STATE(5536)] = 196434,
  [SMALL_STATE(5537)] = 196519,
  [SMALL_STATE(5538)] = 196604,
  [SMALL_STATE(5539)] = 196651,
  [SMALL_STATE(5540)] = 196736,
  [SMALL_STATE(5541)] = 196779,
  [SMALL_STATE(5542)] = 196864,
  [SMALL_STATE(5543)] = 196913,
  [SMALL_STATE(5544)] = 196998,
  [SMALL_STATE(5545)] = 197083,
  [SMALL_STATE(5546)] = 197154,
  [SMALL_STATE(5547)] = 197205,
  [SMALL_STATE(5548)] = 197256,
  [SMALL_STATE(5549)] = 197341,
  [SMALL_STATE(5550)] = 197396,
  [SMALL_STATE(5551)] = 197461,
  [SMALL_STATE(5552)] = 197526,
  [SMALL_STATE(5553)] = 197575,
  [SMALL_STATE(5554)] = 197660,
  [SMALL_STATE(5555)] = 197705,
  [SMALL_STATE(5556)] = 197754,
  [SMALL_STATE(5557)] = 197835,
  [SMALL_STATE(5558)] = 197920,
  [SMALL_STATE(5559)] = 197967,
  [SMALL_STATE(5560)] = 198052,
  [SMALL_STATE(5561)] = 198095,
  [SMALL_STATE(5562)] = 198157,
  [SMALL_STATE(5563)] = 198227,
  [SMALL_STATE(5564)] = 198275,
  [SMALL_STATE(5565)] = 198337,
  [SMALL_STATE(5566)] = 198401,
  [SMALL_STATE(5567)] = 198471,
  [SMALL_STATE(5568)] = 198517,
  [SMALL_STATE(5569)] = 198579,
  [SMALL_STATE(5570)] = 198649,
  [SMALL_STATE(5571)] = 198713,
  [SMALL_STATE(5572)] = 198759,
  [SMALL_STATE(5573)] = 198811,
  [SMALL_STATE(5574)] = 198873,
  [SMALL_STATE(5575)] = 198935,
  [SMALL_STATE(5576)] = 198997,
  [SMALL_STATE(5577)] = 199059,
  [SMALL_STATE(5578)] = 199105,
  [SMALL_STATE(5579)] = 199185,
  [SMALL_STATE(5580)] = 199231,
  [SMALL_STATE(5581)] = 199293,
  [SMALL_STATE(5582)] = 199339,
  [SMALL_STATE(5583)] = 199387,
  [SMALL_STATE(5584)] = 199433,
  [SMALL_STATE(5585)] = 199479,
  [SMALL_STATE(5586)] = 199541,
  [SMALL_STATE(5587)] = 199603,
  [SMALL_STATE(5588)] = 199667,
  [SMALL_STATE(5589)] = 199731,
  [SMALL_STATE(5590)] = 199793,
  [SMALL_STATE(5591)] = 199839,
  [SMALL_STATE(5592)] = 199901,
  [SMALL_STATE(5593)] = 199963,
  [SMALL_STATE(5594)] = 200009,
  [SMALL_STATE(5595)] = 200071,
  [SMALL_STATE(5596)] = 200117,
  [SMALL_STATE(5597)] = 200197,
  [SMALL_STATE(5598)] = 200277,
  [SMALL_STATE(5599)] = 200339,
  [SMALL_STATE(5600)] = 200387,
  [SMALL_STATE(5601)] = 200467,
  [SMALL_STATE(5602)] = 200529,
  [SMALL_STATE(5603)] = 200591,
  [SMALL_STATE(5604)] = 200653,
  [SMALL_STATE(5605)] = 200699,
  [SMALL_STATE(5606)] = 200779,
  [SMALL_STATE(5607)] = 200841,
  [SMALL_STATE(5608)] = 200921,
  [SMALL_STATE(5609)] = 200983,
  [SMALL_STATE(5610)] = 201045,
  [SMALL_STATE(5611)] = 201107,
  [SMALL_STATE(5612)] = 201149,
  [SMALL_STATE(5613)] = 201219,
  [SMALL_STATE(5614)] = 201281,
  [SMALL_STATE(5615)] = 201327,
  [SMALL_STATE(5616)] = 201407,
  [SMALL_STATE(5617)] = 201487,
  [SMALL_STATE(5618)] = 201549,
  [SMALL_STATE(5619)] = 201600,
  [SMALL_STATE(5620)] = 201641,
  [SMALL_STATE(5621)] = 201682,
  [SMALL_STATE(5622)] = 201723,
  [SMALL_STATE(5623)] = 201764,
  [SMALL_STATE(5624)] = 201843,
  [SMALL_STATE(5625)] = 201922,
  [SMALL_STATE(5626)] = 201995,
  [SMALL_STATE(5627)] = 202074,
  [SMALL_STATE(5628)] = 202153,
  [SMALL_STATE(5629)] = 202232,
  [SMALL_STATE(5630)] = 202311,
  [SMALL_STATE(5631)] = 202390,
  [SMALL_STATE(5632)] = 202469,
  [SMALL_STATE(5633)] = 202548,
  [SMALL_STATE(5634)] = 202627,
  [SMALL_STATE(5635)] = 202706,
  [SMALL_STATE(5636)] = 202785,
  [SMALL_STATE(5637)] = 202826,
  [SMALL_STATE(5638)] = 202905,
  [SMALL_STATE(5639)] = 202984,
  [SMALL_STATE(5640)] = 203025,
  [SMALL_STATE(5641)] = 203066,
  [SMALL_STATE(5642)] = 203115,
  [SMALL_STATE(5643)] = 203156,
  [SMALL_STATE(5644)] = 203197,
  [SMALL_STATE(5645)] = 203270,
  [SMALL_STATE(5646)] = 203349,
  [SMALL_STATE(5647)] = 203428,
  [SMALL_STATE(5648)] = 203507,
  [SMALL_STATE(5649)] = 203586,
  [SMALL_STATE(5650)] = 203627,
  [SMALL_STATE(5651)] = 203706,
  [SMALL_STATE(5652)] = 203779,
  [SMALL_STATE(5653)] = 203858,
  [SMALL_STATE(5654)] = 203937,
  [SMALL_STATE(5655)] = 203978,
  [SMALL_STATE(5656)] = 204057,
  [SMALL_STATE(5657)] = 204120,
  [SMALL_STATE(5658)] = 204199,
  [SMALL_STATE(5659)] = 204240,
  [SMALL_STATE(5660)] = 204281,
  [SMALL_STATE(5661)] = 204322,
  [SMALL_STATE(5662)] = 204363,
  [SMALL_STATE(5663)] = 204404,
  [SMALL_STATE(5664)] = 204445,
  [SMALL_STATE(5665)] = 204524,
  [SMALL_STATE(5666)] = 204565,
  [SMALL_STATE(5667)] = 204644,
  [SMALL_STATE(5668)] = 204707,
  [SMALL_STATE(5669)] = 204786,
  [SMALL_STATE(5670)] = 204827,
  [SMALL_STATE(5671)] = 204906,
  [SMALL_STATE(5672)] = 204947,
  [SMALL_STATE(5673)] = 205026,
  [SMALL_STATE(5674)] = 205067,
  [SMALL_STATE(5675)] = 205110,
  [SMALL_STATE(5676)] = 205189,
  [SMALL_STATE(5677)] = 205230,
  [SMALL_STATE(5678)] = 205271,
  [SMALL_STATE(5679)] = 205350,
  [SMALL_STATE(5680)] = 205429,
  [SMALL_STATE(5681)] = 205470,
  [SMALL_STATE(5682)] = 205549,
  [SMALL_STATE(5683)] = 205612,
  [SMALL_STATE(5684)] = 205661,
  [SMALL_STATE(5685)] = 205740,
  [SMALL_STATE(5686)] = 205829,
  [SMALL_STATE(5687)] = 205870,
  [SMALL_STATE(5688)] = 205911,
  [SMALL_STATE(5689)] = 205952,
  [SMALL_STATE(5690)] = 206015,
  [SMALL_STATE(5691)] = 206094,
  [SMALL_STATE(5692)] = 206173,
  [SMALL_STATE(5693)] = 206214,
  [SMALL_STATE(5694)] = 206293,
  [SMALL_STATE(5695)] = 206372,
  [SMALL_STATE(5696)] = 206413,
  [SMALL_STATE(5697)] = 206492,
  [SMALL_STATE(5698)] = 206571,
  [SMALL_STATE(5699)] = 206650,
  [SMALL_STATE(5700)] = 206699,
  [SMALL_STATE(5701)] = 206740,
  [SMALL_STATE(5702)] = 206781,
  [SMALL_STATE(5703)] = 206822,
  [SMALL_STATE(5704)] = 206863,
  [SMALL_STATE(5705)] = 206942,
  [SMALL_STATE(5706)] = 206983,
  [SMALL_STATE(5707)] = 207062,
  [SMALL_STATE(5708)] = 207141,
  [SMALL_STATE(5709)] = 207214,
  [SMALL_STATE(5710)] = 207293,
  [SMALL_STATE(5711)] = 207372,
  [SMALL_STATE(5712)] = 207413,
  [SMALL_STATE(5713)] = 207454,
  [SMALL_STATE(5714)] = 207495,
  [SMALL_STATE(5715)] = 207574,
  [SMALL_STATE(5716)] = 207653,
  [SMALL_STATE(5717)] = 207732,
  [SMALL_STATE(5718)] = 207811,
  [SMALL_STATE(5719)] = 207873,
  [SMALL_STATE(5720)] = 207941,
  [SMALL_STATE(5721)] = 208013,
  [SMALL_STATE(5722)] = 208065,
  [SMALL_STATE(5723)] = 208109,
  [SMALL_STATE(5724)] = 208181,
  [SMALL_STATE(5725)] = 208225,
  [SMALL_STATE(5726)] = 208269,
  [SMALL_STATE(5727)] = 208321,
  [SMALL_STATE(5728)] = 208389,
  [SMALL_STATE(5729)] = 208451,
  [SMALL_STATE(5730)] = 208499,
  [SMALL_STATE(5731)] = 208543,
  [SMALL_STATE(5732)] = 208595,
  [SMALL_STATE(5733)] = 208657,
  [SMALL_STATE(5734)] = 208701,
  [SMALL_STATE(5735)] = 208753,
  [SMALL_STATE(5736)] = 208815,
  [SMALL_STATE(5737)] = 208867,
  [SMALL_STATE(5738)] = 208919,
  [SMALL_STATE(5739)] = 208981,
  [SMALL_STATE(5740)] = 209025,
  [SMALL_STATE(5741)] = 209069,
  [SMALL_STATE(5742)] = 209117,
  [SMALL_STATE(5743)] = 209161,
  [SMALL_STATE(5744)] = 209223,
  [SMALL_STATE(5745)] = 209285,
  [SMALL_STATE(5746)] = 209329,
  [SMALL_STATE(5747)] = 209407,
  [SMALL_STATE(5748)] = 209469,
  [SMALL_STATE(5749)] = 209513,
  [SMALL_STATE(5750)] = 209585,
  [SMALL_STATE(5751)] = 209647,
  [SMALL_STATE(5752)] = 209691,
  [SMALL_STATE(5753)] = 209753,
  [SMALL_STATE(5754)] = 209815,
  [SMALL_STATE(5755)] = 209887,
  [SMALL_STATE(5756)] = 209965,
  [SMALL_STATE(5757)] = 210009,
  [SMALL_STATE(5758)] = 210071,
  [SMALL_STATE(5759)] = 210142,
  [SMALL_STATE(5760)] = 210203,
  [SMALL_STATE(5761)] = 210274,
  [SMALL_STATE(5762)] = 210345,
  [SMALL_STATE(5763)] = 210384,
  [SMALL_STATE(5764)] = 210455,
  [SMALL_STATE(5765)] = 210494,
  [SMALL_STATE(5766)] = 210555,
  [SMALL_STATE(5767)] = 210626,
  [SMALL_STATE(5768)] = 210687,
  [SMALL_STATE(5769)] = 210726,
  [SMALL_STATE(5770)] = 210787,
  [SMALL_STATE(5771)] = 210858,
  [SMALL_STATE(5772)] = 210929,
  [SMALL_STATE(5773)] = 211000,
  [SMALL_STATE(5774)] = 211071,
  [SMALL_STATE(5775)] = 211114,
  [SMALL_STATE(5776)] = 211185,
  [SMALL_STATE(5777)] = 211230,
  [SMALL_STATE(5778)] = 211301,
  [SMALL_STATE(5779)] = 211340,
  [SMALL_STATE(5780)] = 211411,
  [SMALL_STATE(5781)] = 211482,
  [SMALL_STATE(5782)] = 211543,
  [SMALL_STATE(5783)] = 211588,
  [SMALL_STATE(5784)] = 211639,
  [SMALL_STATE(5785)] = 211678,
  [SMALL_STATE(5786)] = 211717,
  [SMALL_STATE(5787)] = 211758,
  [SMALL_STATE(5788)] = 211829,
  [SMALL_STATE(5789)] = 211900,
  [SMALL_STATE(5790)] = 211971,
  [SMALL_STATE(5791)] = 212032,
  [SMALL_STATE(5792)] = 212071,
  [SMALL_STATE(5793)] = 212132,
  [SMALL_STATE(5794)] = 212193,
  [SMALL_STATE(5795)] = 212263,
  [SMALL_STATE(5796)] = 212301,
  [SMALL_STATE(5797)] = 212371,
  [SMALL_STATE(5798)] = 212409,
  [SMALL_STATE(5799)] = 212479,
  [SMALL_STATE(5800)] = 212549,
  [SMALL_STATE(5801)] = 212587,
  [SMALL_STATE(5802)] = 212657,
  [SMALL_STATE(5803)] = 212733,
  [SMALL_STATE(5804)] = 212771,
  [SMALL_STATE(5805)] = 212819,
  [SMALL_STATE(5806)] = 212857,
  [SMALL_STATE(5807)] = 212895,
  [SMALL_STATE(5808)] = 212933,
  [SMALL_STATE(5809)] = 212971,
  [SMALL_STATE(5810)] = 213009,
  [SMALL_STATE(5811)] = 213047,
  [SMALL_STATE(5812)] = 213085,
  [SMALL_STATE(5813)] = 213155,
  [SMALL_STATE(5814)] = 213225,
  [SMALL_STATE(5815)] = 213263,
  [SMALL_STATE(5816)] = 213301,
  [SMALL_STATE(5817)] = 213371,
  [SMALL_STATE(5818)] = 213421,
  [SMALL_STATE(5819)] = 213459,
  [SMALL_STATE(5820)] = 213497,
  [SMALL_STATE(5821)] = 213535,
  [SMALL_STATE(5822)] = 213605,
  [SMALL_STATE(5823)] = 213643,
  [SMALL_STATE(5824)] = 213693,
  [SMALL_STATE(5825)] = 213731,
  [SMALL_STATE(5826)] = 213769,
  [SMALL_STATE(5827)] = 213807,
  [SMALL_STATE(5828)] = 213845,
  [SMALL_STATE(5829)] = 213921,
  [SMALL_STATE(5830)] = 213991,
  [SMALL_STATE(5831)] = 214029,
  [SMALL_STATE(5832)] = 214099,
  [SMALL_STATE(5833)] = 214169,
  [SMALL_STATE(5834)] = 214245,
  [SMALL_STATE(5835)] = 214283,
  [SMALL_STATE(5836)] = 214321,
  [SMALL_STATE(5837)] = 214359,
  [SMALL_STATE(5838)] = 214405,
  [SMALL_STATE(5839)] = 214443,
  [SMALL_STATE(5840)] = 214513,
  [SMALL_STATE(5841)] = 214583,
  [SMALL_STATE(5842)] = 214659,
  [SMALL_STATE(5843)] = 214697,
  [SMALL_STATE(5844)] = 214767,
  [SMALL_STATE(5845)] = 214813,
  [SMALL_STATE(5846)] = 214851,
  [SMALL_STATE(5847)] = 214921,
  [SMALL_STATE(5848)] = 214991,
  [SMALL_STATE(5849)] = 215039,
  [SMALL_STATE(5850)] = 215109,
  [SMALL_STATE(5851)] = 215179,
  [SMALL_STATE(5852)] = 215249,
  [SMALL_STATE(5853)] = 215319,
  [SMALL_STATE(5854)] = 215389,
  [SMALL_STATE(5855)] = 215427,
  [SMALL_STATE(5856)] = 215465,
  [SMALL_STATE(5857)] = 215535,
  [SMALL_STATE(5858)] = 215573,
  [SMALL_STATE(5859)] = 215643,
  [SMALL_STATE(5860)] = 215681,
  [SMALL_STATE(5861)] = 215719,
  [SMALL_STATE(5862)] = 215757,
  [SMALL_STATE(5863)] = 215827,
  [SMALL_STATE(5864)] = 215865,
  [SMALL_STATE(5865)] = 215935,
  [SMALL_STATE(5866)] = 216002,
  [SMALL_STATE(5867)] = 216081,
  [SMALL_STATE(5868)] = 216160,
  [SMALL_STATE(5869)] = 216239,
  [SMALL_STATE(5870)] = 216306,
  [SMALL_STATE(5871)] = 216385,
  [SMALL_STATE(5872)] = 216426,
  [SMALL_STATE(5873)] = 216467,
  [SMALL_STATE(5874)] = 216508,
  [SMALL_STATE(5875)] = 216567,
  [SMALL_STATE(5876)] = 216616,
  [SMALL_STATE(5877)] = 216685,
  [SMALL_STATE(5878)] = 216764,
  [SMALL_STATE(5879)] = 216843,
  [SMALL_STATE(5880)] = 216922,
  [SMALL_STATE(5881)] = 217001,
  [SMALL_STATE(5882)] = 217068,
  [SMALL_STATE(5883)] = 217147,
  [SMALL_STATE(5884)] = 217226,
  [SMALL_STATE(5885)] = 217305,
  [SMALL_STATE(5886)] = 217384,
  [SMALL_STATE(5887)] = 217463,
  [SMALL_STATE(5888)] = 217542,
  [SMALL_STATE(5889)] = 217621,
  [SMALL_STATE(5890)] = 217700,
  [SMALL_STATE(5891)] = 217779,
  [SMALL_STATE(5892)] = 217848,
  [SMALL_STATE(5893)] = 217927,
  [SMALL_STATE(5894)] = 218006,
  [SMALL_STATE(5895)] = 218065,
  [SMALL_STATE(5896)] = 218144,
  [SMALL_STATE(5897)] = 218223,
  [SMALL_STATE(5898)] = 218290,
  [SMALL_STATE(5899)] = 218369,
  [SMALL_STATE(5900)] = 218448,
  [SMALL_STATE(5901)] = 218527,
  [SMALL_STATE(5902)] = 218594,
  [SMALL_STATE(5903)] = 218631,
  [SMALL_STATE(5904)] = 218710,
  [SMALL_STATE(5905)] = 218777,
  [SMALL_STATE(5906)] = 218856,
  [SMALL_STATE(5907)] = 218923,
  [SMALL_STATE(5908)] = 218960,
  [SMALL_STATE(5909)] = 219039,
  [SMALL_STATE(5910)] = 219118,
  [SMALL_STATE(5911)] = 219197,
  [SMALL_STATE(5912)] = 219276,
  [SMALL_STATE(5913)] = 219323,
  [SMALL_STATE(5914)] = 219402,
  [SMALL_STATE(5915)] = 219481,
  [SMALL_STATE(5916)] = 219560,
  [SMALL_STATE(5917)] = 219639,
  [SMALL_STATE(5918)] = 219706,
  [SMALL_STATE(5919)] = 219785,
  [SMALL_STATE(5920)] = 219864,
  [SMALL_STATE(5921)] = 219931,
  [SMALL_STATE(5922)] = 219998,
  [SMALL_STATE(5923)] = 220077,
  [SMALL_STATE(5924)] = 220144,
  [SMALL_STATE(5925)] = 220211,
  [SMALL_STATE(5926)] = 220290,
  [SMALL_STATE(5927)] = 220357,
  [SMALL_STATE(5928)] = 220436,
  [SMALL_STATE(5929)] = 220483,
  [SMALL_STATE(5930)] = 220562,
  [SMALL_STATE(5931)] = 220641,
  [SMALL_STATE(5932)] = 220708,
  [SMALL_STATE(5933)] = 220787,
  [SMALL_STATE(5934)] = 220866,
  [SMALL_STATE(5935)] = 220945,
  [SMALL_STATE(5936)] = 221024,
  [SMALL_STATE(5937)] = 221103,
  [SMALL_STATE(5938)] = 221182,
  [SMALL_STATE(5939)] = 221249,
  [SMALL_STATE(5940)] = 221328,
  [SMALL_STATE(5941)] = 221407,
  [SMALL_STATE(5942)] = 221446,
  [SMALL_STATE(5943)] = 221525,
  [SMALL_STATE(5944)] = 221604,
  [SMALL_STATE(5945)] = 221683,
  [SMALL_STATE(5946)] = 221750,
  [SMALL_STATE(5947)] = 221817,
  [SMALL_STATE(5948)] = 221896,
  [SMALL_STATE(5949)] = 221963,
  [SMALL_STATE(5950)] = 222004,
  [SMALL_STATE(5951)] = 222045,
  [SMALL_STATE(5952)] = 222086,
  [SMALL_STATE(5953)] = 222165,
  [SMALL_STATE(5954)] = 222244,
  [SMALL_STATE(5955)] = 222323,
  [SMALL_STATE(5956)] = 222402,
  [SMALL_STATE(5957)] = 222481,
  [SMALL_STATE(5958)] = 222560,
  [SMALL_STATE(5959)] = 222627,
  [SMALL_STATE(5960)] = 222706,
  [SMALL_STATE(5961)] = 222785,
  [SMALL_STATE(5962)] = 222864,
  [SMALL_STATE(5963)] = 222943,
  [SMALL_STATE(5964)] = 223022,
  [SMALL_STATE(5965)] = 223081,
  [SMALL_STATE(5966)] = 223160,
  [SMALL_STATE(5967)] = 223239,
  [SMALL_STATE(5968)] = 223318,
  [SMALL_STATE(5969)] = 223397,
  [SMALL_STATE(5970)] = 223476,
  [SMALL_STATE(5971)] = 223535,
  [SMALL_STATE(5972)] = 223602,
  [SMALL_STATE(5973)] = 223681,
  [SMALL_STATE(5974)] = 223760,
  [SMALL_STATE(5975)] = 223839,
  [SMALL_STATE(5976)] = 223918,
  [SMALL_STATE(5977)] = 223997,
  [SMALL_STATE(5978)] = 224076,
  [SMALL_STATE(5979)] = 224155,
  [SMALL_STATE(5980)] = 224234,
  [SMALL_STATE(5981)] = 224313,
  [SMALL_STATE(5982)] = 224382,
  [SMALL_STATE(5983)] = 224461,
  [SMALL_STATE(5984)] = 224502,
  [SMALL_STATE(5985)] = 224569,
  [SMALL_STATE(5986)] = 224648,
  [SMALL_STATE(5987)] = 224727,
  [SMALL_STATE(5988)] = 224806,
  [SMALL_STATE(5989)] = 224885,
  [SMALL_STATE(5990)] = 224952,
  [SMALL_STATE(5991)] = 225031,
  [SMALL_STATE(5992)] = 225110,
  [SMALL_STATE(5993)] = 225189,
  [SMALL_STATE(5994)] = 225256,
  [SMALL_STATE(5995)] = 225335,
  [SMALL_STATE(5996)] = 225404,
  [SMALL_STATE(5997)] = 225444,
  [SMALL_STATE(5998)] = 225520,
  [SMALL_STATE(5999)] = 225596,
  [SMALL_STATE(6000)] = 225672,
  [SMALL_STATE(6001)] = 225748,
  [SMALL_STATE(6002)] = 225824,
  [SMALL_STATE(6003)] = 225900,
  [SMALL_STATE(6004)] = 225940,
  [SMALL_STATE(6005)] = 226002,
  [SMALL_STATE(6006)] = 226078,
  [SMALL_STATE(6007)] = 226118,
  [SMALL_STATE(6008)] = 226180,
  [SMALL_STATE(6009)] = 226220,
  [SMALL_STATE(6010)] = 226296,
  [SMALL_STATE(6011)] = 226372,
  [SMALL_STATE(6012)] = 226448,
  [SMALL_STATE(6013)] = 226524,
  [SMALL_STATE(6014)] = 226564,
  [SMALL_STATE(6015)] = 226626,
  [SMALL_STATE(6016)] = 226702,
  [SMALL_STATE(6017)] = 226778,
  [SMALL_STATE(6018)] = 226818,
  [SMALL_STATE(6019)] = 226858,
  [SMALL_STATE(6020)] = 226934,
  [SMALL_STATE(6021)] = 227010,
  [SMALL_STATE(6022)] = 227050,
  [SMALL_STATE(6023)] = 227090,
  [SMALL_STATE(6024)] = 227130,
  [SMALL_STATE(6025)] = 227170,
  [SMALL_STATE(6026)] = 227210,
  [SMALL_STATE(6027)] = 227286,
  [SMALL_STATE(6028)] = 227348,
  [SMALL_STATE(6029)] = 227424,
  [SMALL_STATE(6030)] = 227464,
  [SMALL_STATE(6031)] = 227526,
  [SMALL_STATE(6032)] = 227602,
  [SMALL_STATE(6033)] = 227664,
  [SMALL_STATE(6034)] = 227740,
  [SMALL_STATE(6035)] = 227816,
  [SMALL_STATE(6036)] = 227877,
  [SMALL_STATE(6037)] = 227916,
  [SMALL_STATE(6038)] = 227983,
  [SMALL_STATE(6039)] = 228050,
  [SMALL_STATE(6040)] = 228111,
  [SMALL_STATE(6041)] = 228172,
  [SMALL_STATE(6042)] = 228233,
  [SMALL_STATE(6043)] = 228300,
  [SMALL_STATE(6044)] = 228361,
  [SMALL_STATE(6045)] = 228428,
  [SMALL_STATE(6046)] = 228489,
  [SMALL_STATE(6047)] = 228556,
  [SMALL_STATE(6048)] = 228623,
  [SMALL_STATE(6049)] = 228690,
  [SMALL_STATE(6050)] = 228757,
  [SMALL_STATE(6051)] = 228817,
  [SMALL_STATE(6052)] = 228877,
  [SMALL_STATE(6053)] = 228937,
  [SMALL_STATE(6054)] = 228997,
  [SMALL_STATE(6055)] = 229057,
  [SMALL_STATE(6056)] = 229117,
  [SMALL_STATE(6057)] = 229177,
  [SMALL_STATE(6058)] = 229237,
  [SMALL_STATE(6059)] = 229297,
  [SMALL_STATE(6060)] = 229357,
  [SMALL_STATE(6061)] = 229417,
  [SMALL_STATE(6062)] = 229455,
  [SMALL_STATE(6063)] = 229515,
  [SMALL_STATE(6064)] = 229575,
  [SMALL_STATE(6065)] = 229635,
  [SMALL_STATE(6066)] = 229695,
  [SMALL_STATE(6067)] = 229755,
  [SMALL_STATE(6068)] = 229815,
  [SMALL_STATE(6069)] = 229875,
  [SMALL_STATE(6070)] = 229935,
  [SMALL_STATE(6071)] = 229995,
  [SMALL_STATE(6072)] = 230055,
  [SMALL_STATE(6073)] = 230115,
  [SMALL_STATE(6074)] = 230153,
  [SMALL_STATE(6075)] = 230213,
  [SMALL_STATE(6076)] = 230251,
  [SMALL_STATE(6077)] = 230311,
  [SMALL_STATE(6078)] = 230372,
  [SMALL_STATE(6079)] = 230431,
  [SMALL_STATE(6080)] = 230490,
  [SMALL_STATE(6081)] = 230551,
  [SMALL_STATE(6082)] = 230610,
  [SMALL_STATE(6083)] = 230669,
  [SMALL_STATE(6084)] = 230730,
  [SMALL_STATE(6085)] = 230791,
  [SMALL_STATE(6086)] = 230850,
  [SMALL_STATE(6087)] = 230885,
  [SMALL_STATE(6088)] = 230946,
  [SMALL_STATE(6089)] = 231005,
  [SMALL_STATE(6090)] = 231066,
  [SMALL_STATE(6091)] = 231125,
  [SMALL_STATE(6092)] = 231184,
  [SMALL_STATE(6093)] = 231245,
  [SMALL_STATE(6094)] = 231304,
  [SMALL_STATE(6095)] = 231365,
  [SMALL_STATE(6096)] = 231424,
  [SMALL_STATE(6097)] = 231483,
  [SMALL_STATE(6098)] = 231542,
  [SMALL_STATE(6099)] = 231603,
  [SMALL_STATE(6100)] = 231651,
  [SMALL_STATE(6101)] = 231699,
  [SMALL_STATE(6102)] = 231747,
  [SMALL_STATE(6103)] = 231805,
  [SMALL_STATE(6104)] = 231843,
  [SMALL_STATE(6105)] = 231901,
  [SMALL_STATE(6106)] = 231959,
  [SMALL_STATE(6107)] = 232017,
  [SMALL_STATE(6108)] = 232075,
  [SMALL_STATE(6109)] = 232133,
  [SMALL_STATE(6110)] = 232180,
  [SMALL_STATE(6111)] = 232227,
  [SMALL_STATE(6112)] = 232274,
  [SMALL_STATE(6113)] = 232321,
  [SMALL_STATE(6114)] = 232365,
  [SMALL_STATE(6115)] = 232417,
  [SMALL_STATE(6116)] = 232469,
  [SMALL_STATE(6117)] = 232521,
  [SMALL_STATE(6118)] = 232577,
  [SMALL_STATE(6119)] = 232633,
  [SMALL_STATE(6120)] = 232689,
  [SMALL_STATE(6121)] = 232741,
  [SMALL_STATE(6122)] = 232797,
  [SMALL_STATE(6123)] = 232853,
  [SMALL_STATE(6124)] = 232897,
  [SMALL_STATE(6125)] = 232941,
  [SMALL_STATE(6126)] = 232985,
  [SMALL_STATE(6127)] = 233029,
  [SMALL_STATE(6128)] = 233081,
  [SMALL_STATE(6129)] = 233133,
  [SMALL_STATE(6130)] = 233189,
  [SMALL_STATE(6131)] = 233245,
  [SMALL_STATE(6132)] = 233289,
  [SMALL_STATE(6133)] = 233341,
  [SMALL_STATE(6134)] = 233385,
  [SMALL_STATE(6135)] = 233429,
  [SMALL_STATE(6136)] = 233473,
  [SMALL_STATE(6137)] = 233525,
  [SMALL_STATE(6138)] = 233577,
  [SMALL_STATE(6139)] = 233621,
  [SMALL_STATE(6140)] = 233673,
  [SMALL_STATE(6141)] = 233725,
  [SMALL_STATE(6142)] = 233777,
  [SMALL_STATE(6143)] = 233829,
  [SMALL_STATE(6144)] = 233873,
  [SMALL_STATE(6145)] = 233925,
  [SMALL_STATE(6146)] = 233993,
  [SMALL_STATE(6147)] = 234063,
  [SMALL_STATE(6148)] = 234107,
  [SMALL_STATE(6149)] = 234159,
  [SMALL_STATE(6150)] = 234203,
  [SMALL_STATE(6151)] = 234273,
  [SMALL_STATE(6152)] = 234317,
  [SMALL_STATE(6153)] = 234361,
  [SMALL_STATE(6154)] = 234413,
  [SMALL_STATE(6155)] = 234457,
  [SMALL_STATE(6156)] = 234501,
  [SMALL_STATE(6157)] = 234545,
  [SMALL_STATE(6158)] = 234589,
  [SMALL_STATE(6159)] = 234659,
  [SMALL_STATE(6160)] = 234703,
  [SMALL_STATE(6161)] = 234749,
  [SMALL_STATE(6162)] = 234801,
  [SMALL_STATE(6163)] = 234869,
  [SMALL_STATE(6164)] = 234913,
  [SMALL_STATE(6165)] = 234965,
  [SMALL_STATE(6166)] = 235017,
  [SMALL_STATE(6167)] = 235069,
  [SMALL_STATE(6168)] = 235121,
  [SMALL_STATE(6169)] = 235165,
  [SMALL_STATE(6170)] = 235209,
  [SMALL_STATE(6171)] = 235261,
  [SMALL_STATE(6172)] = 235313,
  [SMALL_STATE(6173)] = 235365,
  [SMALL_STATE(6174)] = 235409,
  [SMALL_STATE(6175)] = 235465,
  [SMALL_STATE(6176)] = 235509,
  [SMALL_STATE(6177)] = 235553,
  [SMALL_STATE(6178)] = 235621,
  [SMALL_STATE(6179)] = 235677,
  [SMALL_STATE(6180)] = 235723,
  [SMALL_STATE(6181)] = 235767,
  [SMALL_STATE(6182)] = 235801,
  [SMALL_STATE(6183)] = 235845,
  [SMALL_STATE(6184)] = 235875,
  [SMALL_STATE(6185)] = 235927,
  [SMALL_STATE(6186)] = 235979,
  [SMALL_STATE(6187)] = 236031,
  [SMALL_STATE(6188)] = 236083,
  [SMALL_STATE(6189)] = 236127,
  [SMALL_STATE(6190)] = 236195,
  [SMALL_STATE(6191)] = 236247,
  [SMALL_STATE(6192)] = 236299,
  [SMALL_STATE(6193)] = 236343,
  [SMALL_STATE(6194)] = 236381,
  [SMALL_STATE(6195)] = 236437,
  [SMALL_STATE(6196)] = 236475,
  [SMALL_STATE(6197)] = 236531,
  [SMALL_STATE(6198)] = 236575,
  [SMALL_STATE(6199)] = 236619,
  [SMALL_STATE(6200)] = 236663,
  [SMALL_STATE(6201)] = 236715,
  [SMALL_STATE(6202)] = 236767,
  [SMALL_STATE(6203)] = 236819,
  [SMALL_STATE(6204)] = 236863,
  [SMALL_STATE(6205)] = 236915,
  [SMALL_STATE(6206)] = 236971,
  [SMALL_STATE(6207)] = 237015,
  [SMALL_STATE(6208)] = 237067,
  [SMALL_STATE(6209)] = 237119,
  [SMALL_STATE(6210)] = 237171,
  [SMALL_STATE(6211)] = 237223,
  [SMALL_STATE(6212)] = 237267,
  [SMALL_STATE(6213)] = 237319,
  [SMALL_STATE(6214)] = 237371,
  [SMALL_STATE(6215)] = 237415,
  [SMALL_STATE(6216)] = 237467,
  [SMALL_STATE(6217)] = 237519,
  [SMALL_STATE(6218)] = 237571,
  [SMALL_STATE(6219)] = 237623,
  [SMALL_STATE(6220)] = 237667,
  [SMALL_STATE(6221)] = 237711,
  [SMALL_STATE(6222)] = 237755,
  [SMALL_STATE(6223)] = 237799,
  [SMALL_STATE(6224)] = 237851,
  [SMALL_STATE(6225)] = 237910,
  [SMALL_STATE(6226)] = 237969,
  [SMALL_STATE(6227)] = 238028,
  [SMALL_STATE(6228)] = 238087,
  [SMALL_STATE(6229)] = 238146,
  [SMALL_STATE(6230)] = 238205,
  [SMALL_STATE(6231)] = 238264,
  [SMALL_STATE(6232)] = 238323,
  [SMALL_STATE(6233)] = 238386,
  [SMALL_STATE(6234)] = 238445,
  [SMALL_STATE(6235)] = 238504,
  [SMALL_STATE(6236)] = 238563,
  [SMALL_STATE(6237)] = 238622,
  [SMALL_STATE(6238)] = 238681,
  [SMALL_STATE(6239)] = 238740,
  [SMALL_STATE(6240)] = 238799,
  [SMALL_STATE(6241)] = 238858,
  [SMALL_STATE(6242)] = 238917,
  [SMALL_STATE(6243)] = 238976,
  [SMALL_STATE(6244)] = 239035,
  [SMALL_STATE(6245)] = 239094,
  [SMALL_STATE(6246)] = 239153,
  [SMALL_STATE(6247)] = 239212,
  [SMALL_STATE(6248)] = 239271,
  [SMALL_STATE(6249)] = 239316,
  [SMALL_STATE(6250)] = 239375,
  [SMALL_STATE(6251)] = 239434,
  [SMALL_STATE(6252)] = 239493,
  [SMALL_STATE(6253)] = 239552,
  [SMALL_STATE(6254)] = 239611,
  [SMALL_STATE(6255)] = 239670,
  [SMALL_STATE(6256)] = 239729,
  [SMALL_STATE(6257)] = 239762,
  [SMALL_STATE(6258)] = 239821,
  [SMALL_STATE(6259)] = 239880,
  [SMALL_STATE(6260)] = 239939,
  [SMALL_STATE(6261)] = 239998,
  [SMALL_STATE(6262)] = 240057,
  [SMALL_STATE(6263)] = 240116,
  [SMALL_STATE(6264)] = 240175,
  [SMALL_STATE(6265)] = 240234,
  [SMALL_STATE(6266)] = 240289,
  [SMALL_STATE(6267)] = 240348,
  [SMALL_STATE(6268)] = 240407,
  [SMALL_STATE(6269)] = 240466,
  [SMALL_STATE(6270)] = 240525,
  [SMALL_STATE(6271)] = 240584,
  [SMALL_STATE(6272)] = 240643,
  [SMALL_STATE(6273)] = 240702,
  [SMALL_STATE(6274)] = 240761,
  [SMALL_STATE(6275)] = 240820,
  [SMALL_STATE(6276)] = 240879,
  [SMALL_STATE(6277)] = 240938,
  [SMALL_STATE(6278)] = 240997,
  [SMALL_STATE(6279)] = 241056,
  [SMALL_STATE(6280)] = 241115,
  [SMALL_STATE(6281)] = 241174,
  [SMALL_STATE(6282)] = 241233,
  [SMALL_STATE(6283)] = 241292,
  [SMALL_STATE(6284)] = 241351,
  [SMALL_STATE(6285)] = 241406,
  [SMALL_STATE(6286)] = 241465,
  [SMALL_STATE(6287)] = 241524,
  [SMALL_STATE(6288)] = 241583,
  [SMALL_STATE(6289)] = 241642,
  [SMALL_STATE(6290)] = 241701,
  [SMALL_STATE(6291)] = 241760,
  [SMALL_STATE(6292)] = 241819,
  [SMALL_STATE(6293)] = 241848,
  [SMALL_STATE(6294)] = 241907,
  [SMALL_STATE(6295)] = 241966,
  [SMALL_STATE(6296)] = 242025,
  [SMALL_STATE(6297)] = 242084,
  [SMALL_STATE(6298)] = 242143,
  [SMALL_STATE(6299)] = 242202,
  [SMALL_STATE(6300)] = 242261,
  [SMALL_STATE(6301)] = 242320,
  [SMALL_STATE(6302)] = 242379,
  [SMALL_STATE(6303)] = 242438,
  [SMALL_STATE(6304)] = 242497,
  [SMALL_STATE(6305)] = 242556,
  [SMALL_STATE(6306)] = 242615,
  [SMALL_STATE(6307)] = 242674,
  [SMALL_STATE(6308)] = 242733,
  [SMALL_STATE(6309)] = 242792,
  [SMALL_STATE(6310)] = 242851,
  [SMALL_STATE(6311)] = 242910,
  [SMALL_STATE(6312)] = 242969,
  [SMALL_STATE(6313)] = 243028,
  [SMALL_STATE(6314)] = 243087,
  [SMALL_STATE(6315)] = 243146,
  [SMALL_STATE(6316)] = 243205,
  [SMALL_STATE(6317)] = 243264,
  [SMALL_STATE(6318)] = 243323,
  [SMALL_STATE(6319)] = 243382,
  [SMALL_STATE(6320)] = 243441,
  [SMALL_STATE(6321)] = 243500,
  [SMALL_STATE(6322)] = 243559,
  [SMALL_STATE(6323)] = 243618,
  [SMALL_STATE(6324)] = 243677,
  [SMALL_STATE(6325)] = 243736,
  [SMALL_STATE(6326)] = 243795,
  [SMALL_STATE(6327)] = 243854,
  [SMALL_STATE(6328)] = 243913,
  [SMALL_STATE(6329)] = 243972,
  [SMALL_STATE(6330)] = 244027,
  [SMALL_STATE(6331)] = 244086,
  [SMALL_STATE(6332)] = 244138,
  [SMALL_STATE(6333)] = 244202,
  [SMALL_STATE(6334)] = 244248,
  [SMALL_STATE(6335)] = 244312,
  [SMALL_STATE(6336)] = 244376,
  [SMALL_STATE(6337)] = 244410,
  [SMALL_STATE(6338)] = 244474,
  [SMALL_STATE(6339)] = 244538,
  [SMALL_STATE(6340)] = 244566,
  [SMALL_STATE(6341)] = 244594,
  [SMALL_STATE(6342)] = 244652,
  [SMALL_STATE(6343)] = 244716,
  [SMALL_STATE(6344)] = 244762,
  [SMALL_STATE(6345)] = 244790,
  [SMALL_STATE(6346)] = 244854,
  [SMALL_STATE(6347)] = 244912,
  [SMALL_STATE(6348)] = 244958,
  [SMALL_STATE(6349)] = 245016,
  [SMALL_STATE(6350)] = 245062,
  [SMALL_STATE(6351)] = 245120,
  [SMALL_STATE(6352)] = 245178,
  [SMALL_STATE(6353)] = 245224,
  [SMALL_STATE(6354)] = 245276,
  [SMALL_STATE(6355)] = 245312,
  [SMALL_STATE(6356)] = 245352,
  [SMALL_STATE(6357)] = 245380,
  [SMALL_STATE(6358)] = 245430,
  [SMALL_STATE(6359)] = 245476,
  [SMALL_STATE(6360)] = 245518,
  [SMALL_STATE(6361)] = 245562,
  [SMALL_STATE(6362)] = 245608,
  [SMALL_STATE(6363)] = 245654,
  [SMALL_STATE(6364)] = 245702,
  [SMALL_STATE(6365)] = 245730,
  [SMALL_STATE(6366)] = 245758,
  [SMALL_STATE(6367)] = 245790,
  [SMALL_STATE(6368)] = 245836,
  [SMALL_STATE(6369)] = 245864,
  [SMALL_STATE(6370)] = 245910,
  [SMALL_STATE(6371)] = 245974,
  [SMALL_STATE(6372)] = 246010,
  [SMALL_STATE(6373)] = 246068,
  [SMALL_STATE(6374)] = 246120,
  [SMALL_STATE(6375)] = 246148,
  [SMALL_STATE(6376)] = 246194,
  [SMALL_STATE(6377)] = 246230,
  [SMALL_STATE(6378)] = 246294,
  [SMALL_STATE(6379)] = 246358,
  [SMALL_STATE(6380)] = 246422,
  [SMALL_STATE(6381)] = 246468,
  [SMALL_STATE(6382)] = 246496,
  [SMALL_STATE(6383)] = 246542,
  [SMALL_STATE(6384)] = 246606,
  [SMALL_STATE(6385)] = 246670,
  [SMALL_STATE(6386)] = 246698,
  [SMALL_STATE(6387)] = 246756,
  [SMALL_STATE(6388)] = 246814,
  [SMALL_STATE(6389)] = 246860,
  [SMALL_STATE(6390)] = 246888,
  [SMALL_STATE(6391)] = 246932,
  [SMALL_STATE(6392)] = 246996,
  [SMALL_STATE(6393)] = 247042,
  [SMALL_STATE(6394)] = 247088,
  [SMALL_STATE(6395)] = 247134,
  [SMALL_STATE(6396)] = 247180,
  [SMALL_STATE(6397)] = 247232,
  [SMALL_STATE(6398)] = 247278,
  [SMALL_STATE(6399)] = 247324,
  [SMALL_STATE(6400)] = 247370,
  [SMALL_STATE(6401)] = 247428,
  [SMALL_STATE(6402)] = 247474,
  [SMALL_STATE(6403)] = 247520,
  [SMALL_STATE(6404)] = 247566,
  [SMALL_STATE(6405)] = 247593,
  [SMALL_STATE(6406)] = 247620,
  [SMALL_STATE(6407)] = 247655,
  [SMALL_STATE(6408)] = 247700,
  [SMALL_STATE(6409)] = 247739,
  [SMALL_STATE(6410)] = 247774,
  [SMALL_STATE(6411)] = 247809,
  [SMALL_STATE(6412)] = 247866,
  [SMALL_STATE(6413)] = 247909,
  [SMALL_STATE(6414)] = 247936,
  [SMALL_STATE(6415)] = 247977,
  [SMALL_STATE(6416)] = 248022,
  [SMALL_STATE(6417)] = 248067,
  [SMALL_STATE(6418)] = 248106,
  [SMALL_STATE(6419)] = 248137,
  [SMALL_STATE(6420)] = 248182,
  [SMALL_STATE(6421)] = 248219,
  [SMALL_STATE(6422)] = 248246,
  [SMALL_STATE(6423)] = 248303,
  [SMALL_STATE(6424)] = 248338,
  [SMALL_STATE(6425)] = 248371,
  [SMALL_STATE(6426)] = 248398,
  [SMALL_STATE(6427)] = 248437,
  [SMALL_STATE(6428)] = 248468,
  [SMALL_STATE(6429)] = 248495,
  [SMALL_STATE(6430)] = 248522,
  [SMALL_STATE(6431)] = 248567,
  [SMALL_STATE(6432)] = 248602,
  [SMALL_STATE(6433)] = 248647,
  [SMALL_STATE(6434)] = 248686,
  [SMALL_STATE(6435)] = 248731,
  [SMALL_STATE(6436)] = 248758,
  [SMALL_STATE(6437)] = 248785,
  [SMALL_STATE(6438)] = 248816,
  [SMALL_STATE(6439)] = 248855,
  [SMALL_STATE(6440)] = 248890,
  [SMALL_STATE(6441)] = 248929,
  [SMALL_STATE(6442)] = 248968,
  [SMALL_STATE(6443)] = 249019,
  [SMALL_STATE(6444)] = 249064,
  [SMALL_STATE(6445)] = 249115,
  [SMALL_STATE(6446)] = 249160,
  [SMALL_STATE(6447)] = 249205,
  [SMALL_STATE(6448)] = 249232,
  [SMALL_STATE(6449)] = 249259,
  [SMALL_STATE(6450)] = 249304,
  [SMALL_STATE(6451)] = 249331,
  [SMALL_STATE(6452)] = 249376,
  [SMALL_STATE(6453)] = 249419,
  [SMALL_STATE(6454)] = 249446,
  [SMALL_STATE(6455)] = 249485,
  [SMALL_STATE(6456)] = 249536,
  [SMALL_STATE(6457)] = 249571,
  [SMALL_STATE(6458)] = 249616,
  [SMALL_STATE(6459)] = 249659,
  [SMALL_STATE(6460)] = 249694,
  [SMALL_STATE(6461)] = 249733,
  [SMALL_STATE(6462)] = 249760,
  [SMALL_STATE(6463)] = 249787,
  [SMALL_STATE(6464)] = 249832,
  [SMALL_STATE(6465)] = 249877,
  [SMALL_STATE(6466)] = 249928,
  [SMALL_STATE(6467)] = 249955,
  [SMALL_STATE(6468)] = 250000,
  [SMALL_STATE(6469)] = 250027,
  [SMALL_STATE(6470)] = 250054,
  [SMALL_STATE(6471)] = 250093,
  [SMALL_STATE(6472)] = 250120,
  [SMALL_STATE(6473)] = 250165,
  [SMALL_STATE(6474)] = 250210,
  [SMALL_STATE(6475)] = 250255,
  [SMALL_STATE(6476)] = 250290,
  [SMALL_STATE(6477)] = 250317,
  [SMALL_STATE(6478)] = 250344,
  [SMALL_STATE(6479)] = 250383,
  [SMALL_STATE(6480)] = 250418,
  [SMALL_STATE(6481)] = 250445,
  [SMALL_STATE(6482)] = 250474,
  [SMALL_STATE(6483)] = 250513,
  [SMALL_STATE(6484)] = 250544,
  [SMALL_STATE(6485)] = 250571,
  [SMALL_STATE(6486)] = 250598,
  [SMALL_STATE(6487)] = 250625,
  [SMALL_STATE(6488)] = 250656,
  [SMALL_STATE(6489)] = 250699,
  [SMALL_STATE(6490)] = 250744,
  [SMALL_STATE(6491)] = 250771,
  [SMALL_STATE(6492)] = 250800,
  [SMALL_STATE(6493)] = 250845,
  [SMALL_STATE(6494)] = 250884,
  [SMALL_STATE(6495)] = 250919,
  [SMALL_STATE(6496)] = 250964,
  [SMALL_STATE(6497)] = 251003,
  [SMALL_STATE(6498)] = 251048,
  [SMALL_STATE(6499)] = 251093,
  [SMALL_STATE(6500)] = 251120,
  [SMALL_STATE(6501)] = 251147,
  [SMALL_STATE(6502)] = 251204,
  [SMALL_STATE(6503)] = 251249,
  [SMALL_STATE(6504)] = 251280,
  [SMALL_STATE(6505)] = 251329,
  [SMALL_STATE(6506)] = 251374,
  [SMALL_STATE(6507)] = 251401,
  [SMALL_STATE(6508)] = 251458,
  [SMALL_STATE(6509)] = 251501,
  [SMALL_STATE(6510)] = 251540,
  [SMALL_STATE(6511)] = 251569,
  [SMALL_STATE(6512)] = 251604,
  [SMALL_STATE(6513)] = 251647,
  [SMALL_STATE(6514)] = 251704,
  [SMALL_STATE(6515)] = 251749,
  [SMALL_STATE(6516)] = 251806,
  [SMALL_STATE(6517)] = 251851,
  [SMALL_STATE(6518)] = 251886,
  [SMALL_STATE(6519)] = 251925,
  [SMALL_STATE(6520)] = 251960,
  [SMALL_STATE(6521)] = 251995,
  [SMALL_STATE(6522)] = 252030,
  [SMALL_STATE(6523)] = 252065,
  [SMALL_STATE(6524)] = 252110,
  [SMALL_STATE(6525)] = 252155,
  [SMALL_STATE(6526)] = 252200,
  [SMALL_STATE(6527)] = 252231,
  [SMALL_STATE(6528)] = 252274,
  [SMALL_STATE(6529)] = 252309,
  [SMALL_STATE(6530)] = 252344,
  [SMALL_STATE(6531)] = 252393,
  [SMALL_STATE(6532)] = 252432,
  [SMALL_STATE(6533)] = 252475,
  [SMALL_STATE(6534)] = 252520,
  [SMALL_STATE(6535)] = 252565,
  [SMALL_STATE(6536)] = 252610,
  [SMALL_STATE(6537)] = 252655,
  [SMALL_STATE(6538)] = 252686,
  [SMALL_STATE(6539)] = 252731,
  [SMALL_STATE(6540)] = 252776,
  [SMALL_STATE(6541)] = 252815,
  [SMALL_STATE(6542)] = 252854,
  [SMALL_STATE(6543)] = 252893,
  [SMALL_STATE(6544)] = 252920,
  [SMALL_STATE(6545)] = 252959,
  [SMALL_STATE(6546)] = 252998,
  [SMALL_STATE(6547)] = 253037,
  [SMALL_STATE(6548)] = 253072,
  [SMALL_STATE(6549)] = 253111,
  [SMALL_STATE(6550)] = 253138,
  [SMALL_STATE(6551)] = 253173,
  [SMALL_STATE(6552)] = 253202,
  [SMALL_STATE(6553)] = 253241,
  [SMALL_STATE(6554)] = 253268,
  [SMALL_STATE(6555)] = 253295,
  [SMALL_STATE(6556)] = 253337,
  [SMALL_STATE(6557)] = 253373,
  [SMALL_STATE(6558)] = 253403,
  [SMALL_STATE(6559)] = 253455,
  [SMALL_STATE(6560)] = 253491,
  [SMALL_STATE(6561)] = 253527,
  [SMALL_STATE(6562)] = 253563,
  [SMALL_STATE(6563)] = 253599,
  [SMALL_STATE(6564)] = 253629,
  [SMALL_STATE(6565)] = 253665,
  [SMALL_STATE(6566)] = 253695,
  [SMALL_STATE(6567)] = 253731,
  [SMALL_STATE(6568)] = 253767,
  [SMALL_STATE(6569)] = 253797,
  [SMALL_STATE(6570)] = 253846,
  [SMALL_STATE(6571)] = 253895,
  [SMALL_STATE(6572)] = 253944,
  [SMALL_STATE(6573)] = 253993,
  [SMALL_STATE(6574)] = 254042,
  [SMALL_STATE(6575)] = 254091,
  [SMALL_STATE(6576)] = 254140,
  [SMALL_STATE(6577)] = 254171,
  [SMALL_STATE(6578)] = 254214,
  [SMALL_STATE(6579)] = 254257,
  [SMALL_STATE(6580)] = 254282,
  [SMALL_STATE(6581)] = 254331,
  [SMALL_STATE(6582)] = 254356,
  [SMALL_STATE(6583)] = 254381,
  [SMALL_STATE(6584)] = 254406,
  [SMALL_STATE(6585)] = 254443,
  [SMALL_STATE(6586)] = 254492,
  [SMALL_STATE(6587)] = 254517,
  [SMALL_STATE(6588)] = 254566,
  [SMALL_STATE(6589)] = 254615,
  [SMALL_STATE(6590)] = 254664,
  [SMALL_STATE(6591)] = 254705,
  [SMALL_STATE(6592)] = 254748,
  [SMALL_STATE(6593)] = 254791,
  [SMALL_STATE(6594)] = 254828,
  [SMALL_STATE(6595)] = 254877,
  [SMALL_STATE(6596)] = 254902,
  [SMALL_STATE(6597)] = 254951,
  [SMALL_STATE(6598)] = 254988,
  [SMALL_STATE(6599)] = 255037,
  [SMALL_STATE(6600)] = 255074,
  [SMALL_STATE(6601)] = 255099,
  [SMALL_STATE(6602)] = 255148,
  [SMALL_STATE(6603)] = 255173,
  [SMALL_STATE(6604)] = 255222,
  [SMALL_STATE(6605)] = 255247,
  [SMALL_STATE(6606)] = 255296,
  [SMALL_STATE(6607)] = 255345,
  [SMALL_STATE(6608)] = 255370,
  [SMALL_STATE(6609)] = 255407,
  [SMALL_STATE(6610)] = 255444,
  [SMALL_STATE(6611)] = 255493,
  [SMALL_STATE(6612)] = 255530,
  [SMALL_STATE(6613)] = 255567,
  [SMALL_STATE(6614)] = 255604,
  [SMALL_STATE(6615)] = 255629,
  [SMALL_STATE(6616)] = 255678,
  [SMALL_STATE(6617)] = 255727,
  [SMALL_STATE(6618)] = 255776,
  [SMALL_STATE(6619)] = 255813,
  [SMALL_STATE(6620)] = 255838,
  [SMALL_STATE(6621)] = 255875,
  [SMALL_STATE(6622)] = 255924,
  [SMALL_STATE(6623)] = 255961,
  [SMALL_STATE(6624)] = 256002,
  [SMALL_STATE(6625)] = 256051,
  [SMALL_STATE(6626)] = 256076,
  [SMALL_STATE(6627)] = 256113,
  [SMALL_STATE(6628)] = 256162,
  [SMALL_STATE(6629)] = 256187,
  [SMALL_STATE(6630)] = 256212,
  [SMALL_STATE(6631)] = 256237,
  [SMALL_STATE(6632)] = 256262,
  [SMALL_STATE(6633)] = 256287,
  [SMALL_STATE(6634)] = 256312,
  [SMALL_STATE(6635)] = 256349,
  [SMALL_STATE(6636)] = 256398,
  [SMALL_STATE(6637)] = 256423,
  [SMALL_STATE(6638)] = 256460,
  [SMALL_STATE(6639)] = 256509,
  [SMALL_STATE(6640)] = 256558,
  [SMALL_STATE(6641)] = 256595,
  [SMALL_STATE(6642)] = 256626,
  [SMALL_STATE(6643)] = 256675,
  [SMALL_STATE(6644)] = 256726,
  [SMALL_STATE(6645)] = 256756,
  [SMALL_STATE(6646)] = 256792,
  [SMALL_STATE(6647)] = 256822,
  [SMALL_STATE(6648)] = 256862,
  [SMALL_STATE(6649)] = 256902,
  [SMALL_STATE(6650)] = 256938,
  [SMALL_STATE(6651)] = 256968,
  [SMALL_STATE(6652)] = 257004,
  [SMALL_STATE(6653)] = 257034,
  [SMALL_STATE(6654)] = 257056,
  [SMALL_STATE(6655)] = 257086,
  [SMALL_STATE(6656)] = 257116,
  [SMALL_STATE(6657)] = 257138,
  [SMALL_STATE(6658)] = 257164,
  [SMALL_STATE(6659)] = 257190,
  [SMALL_STATE(6660)] = 257212,
  [SMALL_STATE(6661)] = 257248,
  [SMALL_STATE(6662)] = 257272,
  [SMALL_STATE(6663)] = 257294,
  [SMALL_STATE(6664)] = 257318,
  [SMALL_STATE(6665)] = 257348,
  [SMALL_STATE(6666)] = 257370,
  [SMALL_STATE(6667)] = 257392,
  [SMALL_STATE(6668)] = 257422,
  [SMALL_STATE(6669)] = 257464,
  [SMALL_STATE(6670)] = 257486,
  [SMALL_STATE(6671)] = 257522,
  [SMALL_STATE(6672)] = 257566,
  [SMALL_STATE(6673)] = 257596,
  [SMALL_STATE(6674)] = 257626,
  [SMALL_STATE(6675)] = 257662,
  [SMALL_STATE(6676)] = 257684,
  [SMALL_STATE(6677)] = 257706,
  [SMALL_STATE(6678)] = 257732,
  [SMALL_STATE(6679)] = 257762,
  [SMALL_STATE(6680)] = 257792,
  [SMALL_STATE(6681)] = 257822,
  [SMALL_STATE(6682)] = 257846,
  [SMALL_STATE(6683)] = 257868,
  [SMALL_STATE(6684)] = 257890,
  [SMALL_STATE(6685)] = 257912,
  [SMALL_STATE(6686)] = 257938,
  [SMALL_STATE(6687)] = 257960,
  [SMALL_STATE(6688)] = 257982,
  [SMALL_STATE(6689)] = 258012,
  [SMALL_STATE(6690)] = 258048,
  [SMALL_STATE(6691)] = 258084,
  [SMALL_STATE(6692)] = 258106,
  [SMALL_STATE(6693)] = 258128,
  [SMALL_STATE(6694)] = 258158,
  [SMALL_STATE(6695)] = 258180,
  [SMALL_STATE(6696)] = 258213,
  [SMALL_STATE(6697)] = 258252,
  [SMALL_STATE(6698)] = 258283,
  [SMALL_STATE(6699)] = 258312,
  [SMALL_STATE(6700)] = 258341,
  [SMALL_STATE(6701)] = 258370,
  [SMALL_STATE(6702)] = 258401,
  [SMALL_STATE(6703)] = 258444,
  [SMALL_STATE(6704)] = 258475,
  [SMALL_STATE(6705)] = 258506,
  [SMALL_STATE(6706)] = 258537,
  [SMALL_STATE(6707)] = 258580,
  [SMALL_STATE(6708)] = 258609,
  [SMALL_STATE(6709)] = 258652,
  [SMALL_STATE(6710)] = 258681,
  [SMALL_STATE(6711)] = 258724,
  [SMALL_STATE(6712)] = 258753,
  [SMALL_STATE(6713)] = 258782,
  [SMALL_STATE(6714)] = 258813,
  [SMALL_STATE(6715)] = 258842,
  [SMALL_STATE(6716)] = 258873,
  [SMALL_STATE(6717)] = 258902,
  [SMALL_STATE(6718)] = 258933,
  [SMALL_STATE(6719)] = 258960,
  [SMALL_STATE(6720)] = 258989,
  [SMALL_STATE(6721)] = 259018,
  [SMALL_STATE(6722)] = 259047,
  [SMALL_STATE(6723)] = 259076,
  [SMALL_STATE(6724)] = 259105,
  [SMALL_STATE(6725)] = 259134,
  [SMALL_STATE(6726)] = 259165,
  [SMALL_STATE(6727)] = 259208,
  [SMALL_STATE(6728)] = 259247,
  [SMALL_STATE(6729)] = 259286,
  [SMALL_STATE(6730)] = 259315,
  [SMALL_STATE(6731)] = 259346,
  [SMALL_STATE(6732)] = 259377,
  [SMALL_STATE(6733)] = 259410,
  [SMALL_STATE(6734)] = 259453,
  [SMALL_STATE(6735)] = 259476,
  [SMALL_STATE(6736)] = 259519,
  [SMALL_STATE(6737)] = 259546,
  [SMALL_STATE(6738)] = 259575,
  [SMALL_STATE(6739)] = 259618,
  [SMALL_STATE(6740)] = 259649,
  [SMALL_STATE(6741)] = 259680,
  [SMALL_STATE(6742)] = 259711,
  [SMALL_STATE(6743)] = 259740,
  [SMALL_STATE(6744)] = 259769,
  [SMALL_STATE(6745)] = 259798,
  [SMALL_STATE(6746)] = 259841,
  [SMALL_STATE(6747)] = 259872,
  [SMALL_STATE(6748)] = 259901,
  [SMALL_STATE(6749)] = 259934,
  [SMALL_STATE(6750)] = 259977,
  [SMALL_STATE(6751)] = 260020,
  [SMALL_STATE(6752)] = 260051,
  [SMALL_STATE(6753)] = 260084,
  [SMALL_STATE(6754)] = 260127,
  [SMALL_STATE(6755)] = 260166,
  [SMALL_STATE(6756)] = 260199,
  [SMALL_STATE(6757)] = 260230,
  [SMALL_STATE(6758)] = 260263,
  [SMALL_STATE(6759)] = 260296,
  [SMALL_STATE(6760)] = 260335,
  [SMALL_STATE(6761)] = 260358,
  [SMALL_STATE(6762)] = 260387,
  [SMALL_STATE(6763)] = 260418,
  [SMALL_STATE(6764)] = 260461,
  [SMALL_STATE(6765)] = 260492,
  [SMALL_STATE(6766)] = 260523,
  [SMALL_STATE(6767)] = 260562,
  [SMALL_STATE(6768)] = 260593,
  [SMALL_STATE(6769)] = 260624,
  [SMALL_STATE(6770)] = 260657,
  [SMALL_STATE(6771)] = 260677,
  [SMALL_STATE(6772)] = 260717,
  [SMALL_STATE(6773)] = 260737,
  [SMALL_STATE(6774)] = 260767,
  [SMALL_STATE(6775)] = 260807,
  [SMALL_STATE(6776)] = 260835,
  [SMALL_STATE(6777)] = 260863,
  [SMALL_STATE(6778)] = 260903,
  [SMALL_STATE(6779)] = 260923,
  [SMALL_STATE(6780)] = 260953,
  [SMALL_STATE(6781)] = 260991,
  [SMALL_STATE(6782)] = 261021,
  [SMALL_STATE(6783)] = 261053,
  [SMALL_STATE(6784)] = 261081,
  [SMALL_STATE(6785)] = 261113,
  [SMALL_STATE(6786)] = 261133,
  [SMALL_STATE(6787)] = 261153,
  [SMALL_STATE(6788)] = 261173,
  [SMALL_STATE(6789)] = 261205,
  [SMALL_STATE(6790)] = 261235,
  [SMALL_STATE(6791)] = 261259,
  [SMALL_STATE(6792)] = 261287,
  [SMALL_STATE(6793)] = 261315,
  [SMALL_STATE(6794)] = 261335,
  [SMALL_STATE(6795)] = 261363,
  [SMALL_STATE(6796)] = 261393,
  [SMALL_STATE(6797)] = 261423,
  [SMALL_STATE(6798)] = 261455,
  [SMALL_STATE(6799)] = 261485,
  [SMALL_STATE(6800)] = 261525,
  [SMALL_STATE(6801)] = 261553,
  [SMALL_STATE(6802)] = 261583,
  [SMALL_STATE(6803)] = 261609,
  [SMALL_STATE(6804)] = 261629,
  [SMALL_STATE(6805)] = 261657,
  [SMALL_STATE(6806)] = 261677,
  [SMALL_STATE(6807)] = 261717,
  [SMALL_STATE(6808)] = 261745,
  [SMALL_STATE(6809)] = 261773,
  [SMALL_STATE(6810)] = 261805,
  [SMALL_STATE(6811)] = 261845,
  [SMALL_STATE(6812)] = 261885,
  [SMALL_STATE(6813)] = 261905,
  [SMALL_STATE(6814)] = 261933,
  [SMALL_STATE(6815)] = 261961,
  [SMALL_STATE(6816)] = 262001,
  [SMALL_STATE(6817)] = 262029,
  [SMALL_STATE(6818)] = 262069,
  [SMALL_STATE(6819)] = 262097,
  [SMALL_STATE(6820)] = 262137,
  [SMALL_STATE(6821)] = 262177,
  [SMALL_STATE(6822)] = 262209,
  [SMALL_STATE(6823)] = 262229,
  [SMALL_STATE(6824)] = 262261,
  [SMALL_STATE(6825)] = 262285,
  [SMALL_STATE(6826)] = 262313,
  [SMALL_STATE(6827)] = 262353,
  [SMALL_STATE(6828)] = 262385,
  [SMALL_STATE(6829)] = 262417,
  [SMALL_STATE(6830)] = 262437,
  [SMALL_STATE(6831)] = 262465,
  [SMALL_STATE(6832)] = 262505,
  [SMALL_STATE(6833)] = 262535,
  [SMALL_STATE(6834)] = 262563,
  [SMALL_STATE(6835)] = 262595,
  [SMALL_STATE(6836)] = 262623,
  [SMALL_STATE(6837)] = 262663,
  [SMALL_STATE(6838)] = 262691,
  [SMALL_STATE(6839)] = 262731,
  [SMALL_STATE(6840)] = 262751,
  [SMALL_STATE(6841)] = 262771,
  [SMALL_STATE(6842)] = 262791,
  [SMALL_STATE(6843)] = 262823,
  [SMALL_STATE(6844)] = 262851,
  [SMALL_STATE(6845)] = 262891,
  [SMALL_STATE(6846)] = 262915,
  [SMALL_STATE(6847)] = 262947,
  [SMALL_STATE(6848)] = 262975,
  [SMALL_STATE(6849)] = 262995,
  [SMALL_STATE(6850)] = 263035,
  [SMALL_STATE(6851)] = 263061,
  [SMALL_STATE(6852)] = 263081,
  [SMALL_STATE(6853)] = 263113,
  [SMALL_STATE(6854)] = 263145,
  [SMALL_STATE(6855)] = 263177,
  [SMALL_STATE(6856)] = 263209,
  [SMALL_STATE(6857)] = 263249,
  [SMALL_STATE(6858)] = 263269,
  [SMALL_STATE(6859)] = 263289,
  [SMALL_STATE(6860)] = 263311,
  [SMALL_STATE(6861)] = 263343,
  [SMALL_STATE(6862)] = 263369,
  [SMALL_STATE(6863)] = 263409,
  [SMALL_STATE(6864)] = 263441,
  [SMALL_STATE(6865)] = 263469,
  [SMALL_STATE(6866)] = 263501,
  [SMALL_STATE(6867)] = 263529,
  [SMALL_STATE(6868)] = 263557,
  [SMALL_STATE(6869)] = 263589,
  [SMALL_STATE(6870)] = 263621,
  [SMALL_STATE(6871)] = 263651,
  [SMALL_STATE(6872)] = 263683,
  [SMALL_STATE(6873)] = 263723,
  [SMALL_STATE(6874)] = 263743,
  [SMALL_STATE(6875)] = 263775,
  [SMALL_STATE(6876)] = 263815,
  [SMALL_STATE(6877)] = 263843,
  [SMALL_STATE(6878)] = 263871,
  [SMALL_STATE(6879)] = 263897,
  [SMALL_STATE(6880)] = 263934,
  [SMALL_STATE(6881)] = 263955,
  [SMALL_STATE(6882)] = 263976,
  [SMALL_STATE(6883)] = 264011,
  [SMALL_STATE(6884)] = 264032,
  [SMALL_STATE(6885)] = 264069,
  [SMALL_STATE(6886)] = 264106,
  [SMALL_STATE(6887)] = 264139,
  [SMALL_STATE(6888)] = 264178,
  [SMALL_STATE(6889)] = 264199,
  [SMALL_STATE(6890)] = 264236,
  [SMALL_STATE(6891)] = 264273,
  [SMALL_STATE(6892)] = 264306,
  [SMALL_STATE(6893)] = 264339,
  [SMALL_STATE(6894)] = 264364,
  [SMALL_STATE(6895)] = 264385,
  [SMALL_STATE(6896)] = 264418,
  [SMALL_STATE(6897)] = 264439,
  [SMALL_STATE(6898)] = 264466,
  [SMALL_STATE(6899)] = 264505,
  [SMALL_STATE(6900)] = 264530,
  [SMALL_STATE(6901)] = 264557,
  [SMALL_STATE(6902)] = 264590,
  [SMALL_STATE(6903)] = 264615,
  [SMALL_STATE(6904)] = 264652,
  [SMALL_STATE(6905)] = 264673,
  [SMALL_STATE(6906)] = 264700,
  [SMALL_STATE(6907)] = 264737,
  [SMALL_STATE(6908)] = 264764,
  [SMALL_STATE(6909)] = 264791,
  [SMALL_STATE(6910)] = 264818,
  [SMALL_STATE(6911)] = 264845,
  [SMALL_STATE(6912)] = 264870,
  [SMALL_STATE(6913)] = 264907,
  [SMALL_STATE(6914)] = 264944,
  [SMALL_STATE(6915)] = 264981,
  [SMALL_STATE(6916)] = 265002,
  [SMALL_STATE(6917)] = 265023,
  [SMALL_STATE(6918)] = 265056,
  [SMALL_STATE(6919)] = 265089,
  [SMALL_STATE(6920)] = 265110,
  [SMALL_STATE(6921)] = 265143,
  [SMALL_STATE(6922)] = 265164,
  [SMALL_STATE(6923)] = 265185,
  [SMALL_STATE(6924)] = 265222,
  [SMALL_STATE(6925)] = 265243,
  [SMALL_STATE(6926)] = 265276,
  [SMALL_STATE(6927)] = 265297,
  [SMALL_STATE(6928)] = 265330,
  [SMALL_STATE(6929)] = 265363,
  [SMALL_STATE(6930)] = 265384,
  [SMALL_STATE(6931)] = 265421,
  [SMALL_STATE(6932)] = 265454,
  [SMALL_STATE(6933)] = 265475,
  [SMALL_STATE(6934)] = 265512,
  [SMALL_STATE(6935)] = 265533,
  [SMALL_STATE(6936)] = 265566,
  [SMALL_STATE(6937)] = 265599,
  [SMALL_STATE(6938)] = 265624,
  [SMALL_STATE(6939)] = 265657,
  [SMALL_STATE(6940)] = 265678,
  [SMALL_STATE(6941)] = 265711,
  [SMALL_STATE(6942)] = 265744,
  [SMALL_STATE(6943)] = 265765,
  [SMALL_STATE(6944)] = 265790,
  [SMALL_STATE(6945)] = 265823,
  [SMALL_STATE(6946)] = 265856,
  [SMALL_STATE(6947)] = 265889,
  [SMALL_STATE(6948)] = 265922,
  [SMALL_STATE(6949)] = 265955,
  [SMALL_STATE(6950)] = 265988,
  [SMALL_STATE(6951)] = 266015,
  [SMALL_STATE(6952)] = 266048,
  [SMALL_STATE(6953)] = 266081,
  [SMALL_STATE(6954)] = 266120,
  [SMALL_STATE(6955)] = 266147,
  [SMALL_STATE(6956)] = 266172,
  [SMALL_STATE(6957)] = 266205,
  [SMALL_STATE(6958)] = 266234,
  [SMALL_STATE(6959)] = 266263,
  [SMALL_STATE(6960)] = 266296,
  [SMALL_STATE(6961)] = 266323,
  [SMALL_STATE(6962)] = 266350,
  [SMALL_STATE(6963)] = 266379,
  [SMALL_STATE(6964)] = 266412,
  [SMALL_STATE(6965)] = 266449,
  [SMALL_STATE(6966)] = 266470,
  [SMALL_STATE(6967)] = 266497,
  [SMALL_STATE(6968)] = 266534,
  [SMALL_STATE(6969)] = 266561,
  [SMALL_STATE(6970)] = 266600,
  [SMALL_STATE(6971)] = 266621,
  [SMALL_STATE(6972)] = 266658,
  [SMALL_STATE(6973)] = 266679,
  [SMALL_STATE(6974)] = 266712,
  [SMALL_STATE(6975)] = 266751,
  [SMALL_STATE(6976)] = 266772,
  [SMALL_STATE(6977)] = 266801,
  [SMALL_STATE(6978)] = 266826,
  [SMALL_STATE(6979)] = 266865,
  [SMALL_STATE(6980)] = 266892,
  [SMALL_STATE(6981)] = 266929,
  [SMALL_STATE(6982)] = 266962,
  [SMALL_STATE(6983)] = 266983,
  [SMALL_STATE(6984)] = 267016,
  [SMALL_STATE(6985)] = 267037,
  [SMALL_STATE(6986)] = 267074,
  [SMALL_STATE(6987)] = 267095,
  [SMALL_STATE(6988)] = 267128,
  [SMALL_STATE(6989)] = 267149,
  [SMALL_STATE(6990)] = 267170,
  [SMALL_STATE(6991)] = 267207,
  [SMALL_STATE(6992)] = 267228,
  [SMALL_STATE(6993)] = 267249,
  [SMALL_STATE(6994)] = 267270,
  [SMALL_STATE(6995)] = 267295,
  [SMALL_STATE(6996)] = 267332,
  [SMALL_STATE(6997)] = 267358,
  [SMALL_STATE(6998)] = 267384,
  [SMALL_STATE(6999)] = 267418,
  [SMALL_STATE(7000)] = 267440,
  [SMALL_STATE(7001)] = 267460,
  [SMALL_STATE(7002)] = 267496,
  [SMALL_STATE(7003)] = 267532,
  [SMALL_STATE(7004)] = 267568,
  [SMALL_STATE(7005)] = 267604,
  [SMALL_STATE(7006)] = 267640,
  [SMALL_STATE(7007)] = 267676,
  [SMALL_STATE(7008)] = 267704,
  [SMALL_STATE(7009)] = 267728,
  [SMALL_STATE(7010)] = 267764,
  [SMALL_STATE(7011)] = 267798,
  [SMALL_STATE(7012)] = 267834,
  [SMALL_STATE(7013)] = 267864,
  [SMALL_STATE(7014)] = 267894,
  [SMALL_STATE(7015)] = 267924,
  [SMALL_STATE(7016)] = 267954,
  [SMALL_STATE(7017)] = 267990,
  [SMALL_STATE(7018)] = 268026,
  [SMALL_STATE(7019)] = 268050,
  [SMALL_STATE(7020)] = 268078,
  [SMALL_STATE(7021)] = 268108,
  [SMALL_STATE(7022)] = 268144,
  [SMALL_STATE(7023)] = 268180,
  [SMALL_STATE(7024)] = 268216,
  [SMALL_STATE(7025)] = 268252,
  [SMALL_STATE(7026)] = 268286,
  [SMALL_STATE(7027)] = 268322,
  [SMALL_STATE(7028)] = 268356,
  [SMALL_STATE(7029)] = 268386,
  [SMALL_STATE(7030)] = 268422,
  [SMALL_STATE(7031)] = 268450,
  [SMALL_STATE(7032)] = 268474,
  [SMALL_STATE(7033)] = 268508,
  [SMALL_STATE(7034)] = 268544,
  [SMALL_STATE(7035)] = 268574,
  [SMALL_STATE(7036)] = 268608,
  [SMALL_STATE(7037)] = 268638,
  [SMALL_STATE(7038)] = 268664,
  [SMALL_STATE(7039)] = 268700,
  [SMALL_STATE(7040)] = 268726,
  [SMALL_STATE(7041)] = 268762,
  [SMALL_STATE(7042)] = 268796,
  [SMALL_STATE(7043)] = 268822,
  [SMALL_STATE(7044)] = 268848,
  [SMALL_STATE(7045)] = 268874,
  [SMALL_STATE(7046)] = 268900,
  [SMALL_STATE(7047)] = 268926,
  [SMALL_STATE(7048)] = 268962,
  [SMALL_STATE(7049)] = 268992,
  [SMALL_STATE(7050)] = 269028,
  [SMALL_STATE(7051)] = 269054,
  [SMALL_STATE(7052)] = 269080,
  [SMALL_STATE(7053)] = 269106,
  [SMALL_STATE(7054)] = 269134,
  [SMALL_STATE(7055)] = 269170,
  [SMALL_STATE(7056)] = 269204,
  [SMALL_STATE(7057)] = 269230,
  [SMALL_STATE(7058)] = 269256,
  [SMALL_STATE(7059)] = 269286,
  [SMALL_STATE(7060)] = 269316,
  [SMALL_STATE(7061)] = 269346,
  [SMALL_STATE(7062)] = 269372,
  [SMALL_STATE(7063)] = 269396,
  [SMALL_STATE(7064)] = 269432,
  [SMALL_STATE(7065)] = 269454,
  [SMALL_STATE(7066)] = 269490,
  [SMALL_STATE(7067)] = 269524,
  [SMALL_STATE(7068)] = 269548,
  [SMALL_STATE(7069)] = 269582,
  [SMALL_STATE(7070)] = 269618,
  [SMALL_STATE(7071)] = 269648,
  [SMALL_STATE(7072)] = 269674,
  [SMALL_STATE(7073)] = 269700,
  [SMALL_STATE(7074)] = 269723,
  [SMALL_STATE(7075)] = 269742,
  [SMALL_STATE(7076)] = 269773,
  [SMALL_STATE(7077)] = 269806,
  [SMALL_STATE(7078)] = 269825,
  [SMALL_STATE(7079)] = 269850,
  [SMALL_STATE(7080)] = 269879,
  [SMALL_STATE(7081)] = 269898,
  [SMALL_STATE(7082)] = 269917,
  [SMALL_STATE(7083)] = 269952,
  [SMALL_STATE(7084)] = 269987,
  [SMALL_STATE(7085)] = 270020,
  [SMALL_STATE(7086)] = 270045,
  [SMALL_STATE(7087)] = 270076,
  [SMALL_STATE(7088)] = 270109,
  [SMALL_STATE(7089)] = 270140,
  [SMALL_STATE(7090)] = 270165,
  [SMALL_STATE(7091)] = 270200,
  [SMALL_STATE(7092)] = 270225,
  [SMALL_STATE(7093)] = 270256,
  [SMALL_STATE(7094)] = 270287,
  [SMALL_STATE(7095)] = 270322,
  [SMALL_STATE(7096)] = 270357,
  [SMALL_STATE(7097)] = 270384,
  [SMALL_STATE(7098)] = 270415,
  [SMALL_STATE(7099)] = 270444,
  [SMALL_STATE(7100)] = 270469,
  [SMALL_STATE(7101)] = 270496,
  [SMALL_STATE(7102)] = 270531,
  [SMALL_STATE(7103)] = 270558,
  [SMALL_STATE(7104)] = 270577,
  [SMALL_STATE(7105)] = 270604,
  [SMALL_STATE(7106)] = 270639,
  [SMALL_STATE(7107)] = 270664,
  [SMALL_STATE(7108)] = 270689,
  [SMALL_STATE(7109)] = 270720,
  [SMALL_STATE(7110)] = 270747,
  [SMALL_STATE(7111)] = 270766,
  [SMALL_STATE(7112)] = 270797,
  [SMALL_STATE(7113)] = 270822,
  [SMALL_STATE(7114)] = 270857,
  [SMALL_STATE(7115)] = 270876,
  [SMALL_STATE(7116)] = 270911,
  [SMALL_STATE(7117)] = 270932,
  [SMALL_STATE(7118)] = 270955,
  [SMALL_STATE(7119)] = 270974,
  [SMALL_STATE(7120)] = 271001,
  [SMALL_STATE(7121)] = 271020,
  [SMALL_STATE(7122)] = 271047,
  [SMALL_STATE(7123)] = 271074,
  [SMALL_STATE(7124)] = 271101,
  [SMALL_STATE(7125)] = 271128,
  [SMALL_STATE(7126)] = 271157,
  [SMALL_STATE(7127)] = 271188,
  [SMALL_STATE(7128)] = 271217,
  [SMALL_STATE(7129)] = 271246,
  [SMALL_STATE(7130)] = 271277,
  [SMALL_STATE(7131)] = 271302,
  [SMALL_STATE(7132)] = 271331,
  [SMALL_STATE(7133)] = 271360,
  [SMALL_STATE(7134)] = 271391,
  [SMALL_STATE(7135)] = 271416,
  [SMALL_STATE(7136)] = 271440,
  [SMALL_STATE(7137)] = 271462,
  [SMALL_STATE(7138)] = 271484,
  [SMALL_STATE(7139)] = 271514,
  [SMALL_STATE(7140)] = 271536,
  [SMALL_STATE(7141)] = 271566,
  [SMALL_STATE(7142)] = 271584,
  [SMALL_STATE(7143)] = 271606,
  [SMALL_STATE(7144)] = 271636,
  [SMALL_STATE(7145)] = 271658,
  [SMALL_STATE(7146)] = 271680,
  [SMALL_STATE(7147)] = 271702,
  [SMALL_STATE(7148)] = 271724,
  [SMALL_STATE(7149)] = 271746,
  [SMALL_STATE(7150)] = 271764,
  [SMALL_STATE(7151)] = 271786,
  [SMALL_STATE(7152)] = 271804,
  [SMALL_STATE(7153)] = 271822,
  [SMALL_STATE(7154)] = 271844,
  [SMALL_STATE(7155)] = 271868,
  [SMALL_STATE(7156)] = 271890,
  [SMALL_STATE(7157)] = 271914,
  [SMALL_STATE(7158)] = 271932,
  [SMALL_STATE(7159)] = 271962,
  [SMALL_STATE(7160)] = 271980,
  [SMALL_STATE(7161)] = 272004,
  [SMALL_STATE(7162)] = 272034,
  [SMALL_STATE(7163)] = 272058,
  [SMALL_STATE(7164)] = 272090,
  [SMALL_STATE(7165)] = 272120,
  [SMALL_STATE(7166)] = 272144,
  [SMALL_STATE(7167)] = 272166,
  [SMALL_STATE(7168)] = 272196,
  [SMALL_STATE(7169)] = 272218,
  [SMALL_STATE(7170)] = 272242,
  [SMALL_STATE(7171)] = 272264,
  [SMALL_STATE(7172)] = 272288,
  [SMALL_STATE(7173)] = 272306,
  [SMALL_STATE(7174)] = 272336,
  [SMALL_STATE(7175)] = 272360,
  [SMALL_STATE(7176)] = 272391,
  [SMALL_STATE(7177)] = 272418,
  [SMALL_STATE(7178)] = 272449,
  [SMALL_STATE(7179)] = 272472,
  [SMALL_STATE(7180)] = 272503,
  [SMALL_STATE(7181)] = 272534,
  [SMALL_STATE(7182)] = 272565,
  [SMALL_STATE(7183)] = 272596,
  [SMALL_STATE(7184)] = 272619,
  [SMALL_STATE(7185)] = 272642,
  [SMALL_STATE(7186)] = 272673,
  [SMALL_STATE(7187)] = 272704,
  [SMALL_STATE(7188)] = 272735,
  [SMALL_STATE(7189)] = 272754,
  [SMALL_STATE(7190)] = 272781,
  [SMALL_STATE(7191)] = 272804,
  [SMALL_STATE(7192)] = 272827,
  [SMALL_STATE(7193)] = 272850,
  [SMALL_STATE(7194)] = 272873,
  [SMALL_STATE(7195)] = 272904,
  [SMALL_STATE(7196)] = 272927,
  [SMALL_STATE(7197)] = 272958,
  [SMALL_STATE(7198)] = 272979,
  [SMALL_STATE(7199)] = 273000,
  [SMALL_STATE(7200)] = 273027,
  [SMALL_STATE(7201)] = 273050,
  [SMALL_STATE(7202)] = 273081,
  [SMALL_STATE(7203)] = 273112,
  [SMALL_STATE(7204)] = 273139,
  [SMALL_STATE(7205)] = 273170,
  [SMALL_STATE(7206)] = 273201,
  [SMALL_STATE(7207)] = 273232,
  [SMALL_STATE(7208)] = 273263,
  [SMALL_STATE(7209)] = 273284,
  [SMALL_STATE(7210)] = 273305,
  [SMALL_STATE(7211)] = 273326,
  [SMALL_STATE(7212)] = 273347,
  [SMALL_STATE(7213)] = 273366,
  [SMALL_STATE(7214)] = 273397,
  [SMALL_STATE(7215)] = 273428,
  [SMALL_STATE(7216)] = 273455,
  [SMALL_STATE(7217)] = 273486,
  [SMALL_STATE(7218)] = 273517,
  [SMALL_STATE(7219)] = 273548,
  [SMALL_STATE(7220)] = 273575,
  [SMALL_STATE(7221)] = 273602,
  [SMALL_STATE(7222)] = 273633,
  [SMALL_STATE(7223)] = 273660,
  [SMALL_STATE(7224)] = 273685,
  [SMALL_STATE(7225)] = 273712,
  [SMALL_STATE(7226)] = 273738,
  [SMALL_STATE(7227)] = 273760,
  [SMALL_STATE(7228)] = 273786,
  [SMALL_STATE(7229)] = 273808,
  [SMALL_STATE(7230)] = 273830,
  [SMALL_STATE(7231)] = 273856,
  [SMALL_STATE(7232)] = 273874,
  [SMALL_STATE(7233)] = 273900,
  [SMALL_STATE(7234)] = 273926,
  [SMALL_STATE(7235)] = 273952,
  [SMALL_STATE(7236)] = 273972,
  [SMALL_STATE(7237)] = 273998,
  [SMALL_STATE(7238)] = 274024,
  [SMALL_STATE(7239)] = 274050,
  [SMALL_STATE(7240)] = 274066,
  [SMALL_STATE(7241)] = 274092,
  [SMALL_STATE(7242)] = 274110,
  [SMALL_STATE(7243)] = 274136,
  [SMALL_STATE(7244)] = 274158,
  [SMALL_STATE(7245)] = 274184,
  [SMALL_STATE(7246)] = 274210,
  [SMALL_STATE(7247)] = 274236,
  [SMALL_STATE(7248)] = 274262,
  [SMALL_STATE(7249)] = 274284,
  [SMALL_STATE(7250)] = 274304,
  [SMALL_STATE(7251)] = 274328,
  [SMALL_STATE(7252)] = 274354,
  [SMALL_STATE(7253)] = 274376,
  [SMALL_STATE(7254)] = 274402,
  [SMALL_STATE(7255)] = 274422,
  [SMALL_STATE(7256)] = 274448,
  [SMALL_STATE(7257)] = 274474,
  [SMALL_STATE(7258)] = 274500,
  [SMALL_STATE(7259)] = 274526,
  [SMALL_STATE(7260)] = 274552,
  [SMALL_STATE(7261)] = 274578,
  [SMALL_STATE(7262)] = 274604,
  [SMALL_STATE(7263)] = 274630,
  [SMALL_STATE(7264)] = 274654,
  [SMALL_STATE(7265)] = 274676,
  [SMALL_STATE(7266)] = 274702,
  [SMALL_STATE(7267)] = 274724,
  [SMALL_STATE(7268)] = 274750,
  [SMALL_STATE(7269)] = 274776,
  [SMALL_STATE(7270)] = 274802,
  [SMALL_STATE(7271)] = 274828,
  [SMALL_STATE(7272)] = 274854,
  [SMALL_STATE(7273)] = 274880,
  [SMALL_STATE(7274)] = 274904,
  [SMALL_STATE(7275)] = 274928,
  [SMALL_STATE(7276)] = 274950,
  [SMALL_STATE(7277)] = 274976,
  [SMALL_STATE(7278)] = 274998,
  [SMALL_STATE(7279)] = 275018,
  [SMALL_STATE(7280)] = 275042,
  [SMALL_STATE(7281)] = 275068,
  [SMALL_STATE(7282)] = 275094,
  [SMALL_STATE(7283)] = 275110,
  [SMALL_STATE(7284)] = 275132,
  [SMALL_STATE(7285)] = 275158,
  [SMALL_STATE(7286)] = 275184,
  [SMALL_STATE(7287)] = 275210,
  [SMALL_STATE(7288)] = 275235,
  [SMALL_STATE(7289)] = 275256,
  [SMALL_STATE(7290)] = 275277,
  [SMALL_STATE(7291)] = 275298,
  [SMALL_STATE(7292)] = 275321,
  [SMALL_STATE(7293)] = 275344,
  [SMALL_STATE(7294)] = 275367,
  [SMALL_STATE(7295)] = 275382,
  [SMALL_STATE(7296)] = 275401,
  [SMALL_STATE(7297)] = 275416,
  [SMALL_STATE(7298)] = 275439,
  [SMALL_STATE(7299)] = 275458,
  [SMALL_STATE(7300)] = 275473,
  [SMALL_STATE(7301)] = 275496,
  [SMALL_STATE(7302)] = 275521,
  [SMALL_STATE(7303)] = 275540,
  [SMALL_STATE(7304)] = 275563,
  [SMALL_STATE(7305)] = 275584,
  [SMALL_STATE(7306)] = 275609,
  [SMALL_STATE(7307)] = 275624,
  [SMALL_STATE(7308)] = 275649,
  [SMALL_STATE(7309)] = 275674,
  [SMALL_STATE(7310)] = 275699,
  [SMALL_STATE(7311)] = 275714,
  [SMALL_STATE(7312)] = 275739,
  [SMALL_STATE(7313)] = 275764,
  [SMALL_STATE(7314)] = 275785,
  [SMALL_STATE(7315)] = 275800,
  [SMALL_STATE(7316)] = 275823,
  [SMALL_STATE(7317)] = 275846,
  [SMALL_STATE(7318)] = 275863,
  [SMALL_STATE(7319)] = 275888,
  [SMALL_STATE(7320)] = 275909,
  [SMALL_STATE(7321)] = 275924,
  [SMALL_STATE(7322)] = 275945,
  [SMALL_STATE(7323)] = 275966,
  [SMALL_STATE(7324)] = 275987,
  [SMALL_STATE(7325)] = 276008,
  [SMALL_STATE(7326)] = 276029,
  [SMALL_STATE(7327)] = 276054,
  [SMALL_STATE(7328)] = 276069,
  [SMALL_STATE(7329)] = 276092,
  [SMALL_STATE(7330)] = 276113,
  [SMALL_STATE(7331)] = 276136,
  [SMALL_STATE(7332)] = 276159,
  [SMALL_STATE(7333)] = 276180,
  [SMALL_STATE(7334)] = 276201,
  [SMALL_STATE(7335)] = 276215,
  [SMALL_STATE(7336)] = 276235,
  [SMALL_STATE(7337)] = 276255,
  [SMALL_STATE(7338)] = 276271,
  [SMALL_STATE(7339)] = 276285,
  [SMALL_STATE(7340)] = 276301,
  [SMALL_STATE(7341)] = 276317,
  [SMALL_STATE(7342)] = 276331,
  [SMALL_STATE(7343)] = 276345,
  [SMALL_STATE(7344)] = 276361,
  [SMALL_STATE(7345)] = 276381,
  [SMALL_STATE(7346)] = 276395,
  [SMALL_STATE(7347)] = 276415,
  [SMALL_STATE(7348)] = 276429,
  [SMALL_STATE(7349)] = 276449,
  [SMALL_STATE(7350)] = 276469,
  [SMALL_STATE(7351)] = 276489,
  [SMALL_STATE(7352)] = 276505,
  [SMALL_STATE(7353)] = 276521,
  [SMALL_STATE(7354)] = 276541,
  [SMALL_STATE(7355)] = 276557,
  [SMALL_STATE(7356)] = 276571,
  [SMALL_STATE(7357)] = 276589,
  [SMALL_STATE(7358)] = 276607,
  [SMALL_STATE(7359)] = 276623,
  [SMALL_STATE(7360)] = 276643,
  [SMALL_STATE(7361)] = 276657,
  [SMALL_STATE(7362)] = 276675,
  [SMALL_STATE(7363)] = 276695,
  [SMALL_STATE(7364)] = 276711,
  [SMALL_STATE(7365)] = 276731,
  [SMALL_STATE(7366)] = 276747,
  [SMALL_STATE(7367)] = 276761,
  [SMALL_STATE(7368)] = 276777,
  [SMALL_STATE(7369)] = 276797,
  [SMALL_STATE(7370)] = 276813,
  [SMALL_STATE(7371)] = 276827,
  [SMALL_STATE(7372)] = 276847,
  [SMALL_STATE(7373)] = 276865,
  [SMALL_STATE(7374)] = 276879,
  [SMALL_STATE(7375)] = 276893,
  [SMALL_STATE(7376)] = 276911,
  [SMALL_STATE(7377)] = 276929,
  [SMALL_STATE(7378)] = 276947,
  [SMALL_STATE(7379)] = 276963,
  [SMALL_STATE(7380)] = 276977,
  [SMALL_STATE(7381)] = 276991,
  [SMALL_STATE(7382)] = 277011,
  [SMALL_STATE(7383)] = 277031,
  [SMALL_STATE(7384)] = 277049,
  [SMALL_STATE(7385)] = 277065,
  [SMALL_STATE(7386)] = 277081,
  [SMALL_STATE(7387)] = 277097,
  [SMALL_STATE(7388)] = 277113,
  [SMALL_STATE(7389)] = 277127,
  [SMALL_STATE(7390)] = 277147,
  [SMALL_STATE(7391)] = 277167,
  [SMALL_STATE(7392)] = 277183,
  [SMALL_STATE(7393)] = 277203,
  [SMALL_STATE(7394)] = 277219,
  [SMALL_STATE(7395)] = 277239,
  [SMALL_STATE(7396)] = 277255,
  [SMALL_STATE(7397)] = 277273,
  [SMALL_STATE(7398)] = 277287,
  [SMALL_STATE(7399)] = 277307,
  [SMALL_STATE(7400)] = 277326,
  [SMALL_STATE(7401)] = 277339,
  [SMALL_STATE(7402)] = 277358,
  [SMALL_STATE(7403)] = 277371,
  [SMALL_STATE(7404)] = 277390,
  [SMALL_STATE(7405)] = 277409,
  [SMALL_STATE(7406)] = 277428,
  [SMALL_STATE(7407)] = 277445,
  [SMALL_STATE(7408)] = 277464,
  [SMALL_STATE(7409)] = 277483,
  [SMALL_STATE(7410)] = 277502,
  [SMALL_STATE(7411)] = 277521,
  [SMALL_STATE(7412)] = 277540,
  [SMALL_STATE(7413)] = 277559,
  [SMALL_STATE(7414)] = 277578,
  [SMALL_STATE(7415)] = 277597,
  [SMALL_STATE(7416)] = 277616,
  [SMALL_STATE(7417)] = 277635,
  [SMALL_STATE(7418)] = 277654,
  [SMALL_STATE(7419)] = 277673,
  [SMALL_STATE(7420)] = 277692,
  [SMALL_STATE(7421)] = 277711,
  [SMALL_STATE(7422)] = 277730,
  [SMALL_STATE(7423)] = 277749,
  [SMALL_STATE(7424)] = 277768,
  [SMALL_STATE(7425)] = 277787,
  [SMALL_STATE(7426)] = 277806,
  [SMALL_STATE(7427)] = 277825,
  [SMALL_STATE(7428)] = 277844,
  [SMALL_STATE(7429)] = 277863,
  [SMALL_STATE(7430)] = 277876,
  [SMALL_STATE(7431)] = 277895,
  [SMALL_STATE(7432)] = 277912,
  [SMALL_STATE(7433)] = 277931,
  [SMALL_STATE(7434)] = 277950,
  [SMALL_STATE(7435)] = 277969,
  [SMALL_STATE(7436)] = 277988,
  [SMALL_STATE(7437)] = 278007,
  [SMALL_STATE(7438)] = 278026,
  [SMALL_STATE(7439)] = 278045,
  [SMALL_STATE(7440)] = 278064,
  [SMALL_STATE(7441)] = 278083,
  [SMALL_STATE(7442)] = 278102,
  [SMALL_STATE(7443)] = 278119,
  [SMALL_STATE(7444)] = 278138,
  [SMALL_STATE(7445)] = 278157,
  [SMALL_STATE(7446)] = 278176,
  [SMALL_STATE(7447)] = 278195,
  [SMALL_STATE(7448)] = 278214,
  [SMALL_STATE(7449)] = 278233,
  [SMALL_STATE(7450)] = 278250,
  [SMALL_STATE(7451)] = 278269,
  [SMALL_STATE(7452)] = 278286,
  [SMALL_STATE(7453)] = 278305,
  [SMALL_STATE(7454)] = 278318,
  [SMALL_STATE(7455)] = 278331,
  [SMALL_STATE(7456)] = 278348,
  [SMALL_STATE(7457)] = 278367,
  [SMALL_STATE(7458)] = 278386,
  [SMALL_STATE(7459)] = 278405,
  [SMALL_STATE(7460)] = 278424,
  [SMALL_STATE(7461)] = 278443,
  [SMALL_STATE(7462)] = 278462,
  [SMALL_STATE(7463)] = 278481,
  [SMALL_STATE(7464)] = 278500,
  [SMALL_STATE(7465)] = 278519,
  [SMALL_STATE(7466)] = 278538,
  [SMALL_STATE(7467)] = 278557,
  [SMALL_STATE(7468)] = 278574,
  [SMALL_STATE(7469)] = 278588,
  [SMALL_STATE(7470)] = 278602,
  [SMALL_STATE(7471)] = 278616,
  [SMALL_STATE(7472)] = 278632,
  [SMALL_STATE(7473)] = 278648,
  [SMALL_STATE(7474)] = 278658,
  [SMALL_STATE(7475)] = 278674,
  [SMALL_STATE(7476)] = 278690,
  [SMALL_STATE(7477)] = 278704,
  [SMALL_STATE(7478)] = 278720,
  [SMALL_STATE(7479)] = 278734,
  [SMALL_STATE(7480)] = 278750,
  [SMALL_STATE(7481)] = 278764,
  [SMALL_STATE(7482)] = 278778,
  [SMALL_STATE(7483)] = 278792,
  [SMALL_STATE(7484)] = 278806,
  [SMALL_STATE(7485)] = 278822,
  [SMALL_STATE(7486)] = 278838,
  [SMALL_STATE(7487)] = 278852,
  [SMALL_STATE(7488)] = 278866,
  [SMALL_STATE(7489)] = 278882,
  [SMALL_STATE(7490)] = 278898,
  [SMALL_STATE(7491)] = 278912,
  [SMALL_STATE(7492)] = 278926,
  [SMALL_STATE(7493)] = 278942,
  [SMALL_STATE(7494)] = 278958,
  [SMALL_STATE(7495)] = 278972,
  [SMALL_STATE(7496)] = 278988,
  [SMALL_STATE(7497)] = 279004,
  [SMALL_STATE(7498)] = 279020,
  [SMALL_STATE(7499)] = 279032,
  [SMALL_STATE(7500)] = 279048,
  [SMALL_STATE(7501)] = 279058,
  [SMALL_STATE(7502)] = 279072,
  [SMALL_STATE(7503)] = 279088,
  [SMALL_STATE(7504)] = 279104,
  [SMALL_STATE(7505)] = 279118,
  [SMALL_STATE(7506)] = 279132,
  [SMALL_STATE(7507)] = 279146,
  [SMALL_STATE(7508)] = 279160,
  [SMALL_STATE(7509)] = 279174,
  [SMALL_STATE(7510)] = 279188,
  [SMALL_STATE(7511)] = 279202,
  [SMALL_STATE(7512)] = 279216,
  [SMALL_STATE(7513)] = 279232,
  [SMALL_STATE(7514)] = 279248,
  [SMALL_STATE(7515)] = 279264,
  [SMALL_STATE(7516)] = 279280,
  [SMALL_STATE(7517)] = 279296,
  [SMALL_STATE(7518)] = 279312,
  [SMALL_STATE(7519)] = 279328,
  [SMALL_STATE(7520)] = 279344,
  [SMALL_STATE(7521)] = 279360,
  [SMALL_STATE(7522)] = 279374,
  [SMALL_STATE(7523)] = 279390,
  [SMALL_STATE(7524)] = 279402,
  [SMALL_STATE(7525)] = 279418,
  [SMALL_STATE(7526)] = 279434,
  [SMALL_STATE(7527)] = 279448,
  [SMALL_STATE(7528)] = 279464,
  [SMALL_STATE(7529)] = 279478,
  [SMALL_STATE(7530)] = 279492,
  [SMALL_STATE(7531)] = 279508,
  [SMALL_STATE(7532)] = 279524,
  [SMALL_STATE(7533)] = 279538,
  [SMALL_STATE(7534)] = 279552,
  [SMALL_STATE(7535)] = 279566,
  [SMALL_STATE(7536)] = 279580,
  [SMALL_STATE(7537)] = 279596,
  [SMALL_STATE(7538)] = 279612,
  [SMALL_STATE(7539)] = 279628,
  [SMALL_STATE(7540)] = 279644,
  [SMALL_STATE(7541)] = 279660,
  [SMALL_STATE(7542)] = 279674,
  [SMALL_STATE(7543)] = 279688,
  [SMALL_STATE(7544)] = 279702,
  [SMALL_STATE(7545)] = 279716,
  [SMALL_STATE(7546)] = 279732,
  [SMALL_STATE(7547)] = 279748,
  [SMALL_STATE(7548)] = 279762,
  [SMALL_STATE(7549)] = 279778,
  [SMALL_STATE(7550)] = 279792,
  [SMALL_STATE(7551)] = 279808,
  [SMALL_STATE(7552)] = 279824,
  [SMALL_STATE(7553)] = 279840,
  [SMALL_STATE(7554)] = 279854,
  [SMALL_STATE(7555)] = 279870,
  [SMALL_STATE(7556)] = 279880,
  [SMALL_STATE(7557)] = 279894,
  [SMALL_STATE(7558)] = 279904,
  [SMALL_STATE(7559)] = 279918,
  [SMALL_STATE(7560)] = 279934,
  [SMALL_STATE(7561)] = 279950,
  [SMALL_STATE(7562)] = 279964,
  [SMALL_STATE(7563)] = 279980,
  [SMALL_STATE(7564)] = 279994,
  [SMALL_STATE(7565)] = 280008,
  [SMALL_STATE(7566)] = 280024,
  [SMALL_STATE(7567)] = 280040,
  [SMALL_STATE(7568)] = 280056,
  [SMALL_STATE(7569)] = 280070,
  [SMALL_STATE(7570)] = 280086,
  [SMALL_STATE(7571)] = 280102,
  [SMALL_STATE(7572)] = 280118,
  [SMALL_STATE(7573)] = 280132,
  [SMALL_STATE(7574)] = 280148,
  [SMALL_STATE(7575)] = 280164,
  [SMALL_STATE(7576)] = 280180,
  [SMALL_STATE(7577)] = 280196,
  [SMALL_STATE(7578)] = 280212,
  [SMALL_STATE(7579)] = 280228,
  [SMALL_STATE(7580)] = 280244,
  [SMALL_STATE(7581)] = 280258,
  [SMALL_STATE(7582)] = 280274,
  [SMALL_STATE(7583)] = 280290,
  [SMALL_STATE(7584)] = 280306,
  [SMALL_STATE(7585)] = 280320,
  [SMALL_STATE(7586)] = 280336,
  [SMALL_STATE(7587)] = 280352,
  [SMALL_STATE(7588)] = 280368,
  [SMALL_STATE(7589)] = 280384,
  [SMALL_STATE(7590)] = 280398,
  [SMALL_STATE(7591)] = 280414,
  [SMALL_STATE(7592)] = 280430,
  [SMALL_STATE(7593)] = 280446,
  [SMALL_STATE(7594)] = 280462,
  [SMALL_STATE(7595)] = 280476,
  [SMALL_STATE(7596)] = 280490,
  [SMALL_STATE(7597)] = 280506,
  [SMALL_STATE(7598)] = 280522,
  [SMALL_STATE(7599)] = 280538,
  [SMALL_STATE(7600)] = 280554,
  [SMALL_STATE(7601)] = 280570,
  [SMALL_STATE(7602)] = 280586,
  [SMALL_STATE(7603)] = 280602,
  [SMALL_STATE(7604)] = 280618,
  [SMALL_STATE(7605)] = 280634,
  [SMALL_STATE(7606)] = 280650,
  [SMALL_STATE(7607)] = 280666,
  [SMALL_STATE(7608)] = 280682,
  [SMALL_STATE(7609)] = 280698,
  [SMALL_STATE(7610)] = 280712,
  [SMALL_STATE(7611)] = 280728,
  [SMALL_STATE(7612)] = 280742,
  [SMALL_STATE(7613)] = 280758,
  [SMALL_STATE(7614)] = 280772,
  [SMALL_STATE(7615)] = 280788,
  [SMALL_STATE(7616)] = 280802,
  [SMALL_STATE(7617)] = 280818,
  [SMALL_STATE(7618)] = 280832,
  [SMALL_STATE(7619)] = 280846,
  [SMALL_STATE(7620)] = 280862,
  [SMALL_STATE(7621)] = 280878,
  [SMALL_STATE(7622)] = 280894,
  [SMALL_STATE(7623)] = 280910,
  [SMALL_STATE(7624)] = 280926,
  [SMALL_STATE(7625)] = 280942,
  [SMALL_STATE(7626)] = 280958,
  [SMALL_STATE(7627)] = 280972,
  [SMALL_STATE(7628)] = 280988,
  [SMALL_STATE(7629)] = 281004,
  [SMALL_STATE(7630)] = 281020,
  [SMALL_STATE(7631)] = 281036,
  [SMALL_STATE(7632)] = 281050,
  [SMALL_STATE(7633)] = 281066,
  [SMALL_STATE(7634)] = 281082,
  [SMALL_STATE(7635)] = 281096,
  [SMALL_STATE(7636)] = 281110,
  [SMALL_STATE(7637)] = 281124,
  [SMALL_STATE(7638)] = 281140,
  [SMALL_STATE(7639)] = 281156,
  [SMALL_STATE(7640)] = 281172,
  [SMALL_STATE(7641)] = 281188,
  [SMALL_STATE(7642)] = 281202,
  [SMALL_STATE(7643)] = 281218,
  [SMALL_STATE(7644)] = 281234,
  [SMALL_STATE(7645)] = 281248,
  [SMALL_STATE(7646)] = 281262,
  [SMALL_STATE(7647)] = 281276,
  [SMALL_STATE(7648)] = 281292,
  [SMALL_STATE(7649)] = 281308,
  [SMALL_STATE(7650)] = 281322,
  [SMALL_STATE(7651)] = 281336,
  [SMALL_STATE(7652)] = 281350,
  [SMALL_STATE(7653)] = 281364,
  [SMALL_STATE(7654)] = 281378,
  [SMALL_STATE(7655)] = 281392,
  [SMALL_STATE(7656)] = 281408,
  [SMALL_STATE(7657)] = 281422,
  [SMALL_STATE(7658)] = 281438,
  [SMALL_STATE(7659)] = 281452,
  [SMALL_STATE(7660)] = 281468,
  [SMALL_STATE(7661)] = 281482,
  [SMALL_STATE(7662)] = 281496,
  [SMALL_STATE(7663)] = 281510,
  [SMALL_STATE(7664)] = 281524,
  [SMALL_STATE(7665)] = 281540,
  [SMALL_STATE(7666)] = 281554,
  [SMALL_STATE(7667)] = 281568,
  [SMALL_STATE(7668)] = 281584,
  [SMALL_STATE(7669)] = 281598,
  [SMALL_STATE(7670)] = 281612,
  [SMALL_STATE(7671)] = 281626,
  [SMALL_STATE(7672)] = 281642,
  [SMALL_STATE(7673)] = 281656,
  [SMALL_STATE(7674)] = 281672,
  [SMALL_STATE(7675)] = 281688,
  [SMALL_STATE(7676)] = 281702,
  [SMALL_STATE(7677)] = 281716,
  [SMALL_STATE(7678)] = 281730,
  [SMALL_STATE(7679)] = 281744,
  [SMALL_STATE(7680)] = 281760,
  [SMALL_STATE(7681)] = 281776,
  [SMALL_STATE(7682)] = 281792,
  [SMALL_STATE(7683)] = 281806,
  [SMALL_STATE(7684)] = 281822,
  [SMALL_STATE(7685)] = 281838,
  [SMALL_STATE(7686)] = 281852,
  [SMALL_STATE(7687)] = 281866,
  [SMALL_STATE(7688)] = 281880,
  [SMALL_STATE(7689)] = 281896,
  [SMALL_STATE(7690)] = 281912,
  [SMALL_STATE(7691)] = 281926,
  [SMALL_STATE(7692)] = 281942,
  [SMALL_STATE(7693)] = 281956,
  [SMALL_STATE(7694)] = 281970,
  [SMALL_STATE(7695)] = 281984,
  [SMALL_STATE(7696)] = 281998,
  [SMALL_STATE(7697)] = 282010,
  [SMALL_STATE(7698)] = 282024,
  [SMALL_STATE(7699)] = 282038,
  [SMALL_STATE(7700)] = 282052,
  [SMALL_STATE(7701)] = 282066,
  [SMALL_STATE(7702)] = 282082,
  [SMALL_STATE(7703)] = 282096,
  [SMALL_STATE(7704)] = 282110,
  [SMALL_STATE(7705)] = 282124,
  [SMALL_STATE(7706)] = 282138,
  [SMALL_STATE(7707)] = 282154,
  [SMALL_STATE(7708)] = 282170,
  [SMALL_STATE(7709)] = 282184,
  [SMALL_STATE(7710)] = 282200,
  [SMALL_STATE(7711)] = 282214,
  [SMALL_STATE(7712)] = 282228,
  [SMALL_STATE(7713)] = 282242,
  [SMALL_STATE(7714)] = 282258,
  [SMALL_STATE(7715)] = 282272,
  [SMALL_STATE(7716)] = 282288,
  [SMALL_STATE(7717)] = 282304,
  [SMALL_STATE(7718)] = 282318,
  [SMALL_STATE(7719)] = 282334,
  [SMALL_STATE(7720)] = 282350,
  [SMALL_STATE(7721)] = 282366,
  [SMALL_STATE(7722)] = 282378,
  [SMALL_STATE(7723)] = 282394,
  [SMALL_STATE(7724)] = 282410,
  [SMALL_STATE(7725)] = 282426,
  [SMALL_STATE(7726)] = 282440,
  [SMALL_STATE(7727)] = 282456,
  [SMALL_STATE(7728)] = 282472,
  [SMALL_STATE(7729)] = 282488,
  [SMALL_STATE(7730)] = 282502,
  [SMALL_STATE(7731)] = 282516,
  [SMALL_STATE(7732)] = 282530,
  [SMALL_STATE(7733)] = 282544,
  [SMALL_STATE(7734)] = 282558,
  [SMALL_STATE(7735)] = 282574,
  [SMALL_STATE(7736)] = 282588,
  [SMALL_STATE(7737)] = 282604,
  [SMALL_STATE(7738)] = 282618,
  [SMALL_STATE(7739)] = 282634,
  [SMALL_STATE(7740)] = 282648,
  [SMALL_STATE(7741)] = 282662,
  [SMALL_STATE(7742)] = 282676,
  [SMALL_STATE(7743)] = 282692,
  [SMALL_STATE(7744)] = 282706,
  [SMALL_STATE(7745)] = 282722,
  [SMALL_STATE(7746)] = 282736,
  [SMALL_STATE(7747)] = 282750,
  [SMALL_STATE(7748)] = 282766,
  [SMALL_STATE(7749)] = 282780,
  [SMALL_STATE(7750)] = 282796,
  [SMALL_STATE(7751)] = 282810,
  [SMALL_STATE(7752)] = 282824,
  [SMALL_STATE(7753)] = 282838,
  [SMALL_STATE(7754)] = 282852,
  [SMALL_STATE(7755)] = 282868,
  [SMALL_STATE(7756)] = 282882,
  [SMALL_STATE(7757)] = 282898,
  [SMALL_STATE(7758)] = 282912,
  [SMALL_STATE(7759)] = 282924,
  [SMALL_STATE(7760)] = 282940,
  [SMALL_STATE(7761)] = 282954,
  [SMALL_STATE(7762)] = 282968,
  [SMALL_STATE(7763)] = 282984,
  [SMALL_STATE(7764)] = 282998,
  [SMALL_STATE(7765)] = 283014,
  [SMALL_STATE(7766)] = 283030,
  [SMALL_STATE(7767)] = 283046,
  [SMALL_STATE(7768)] = 283060,
  [SMALL_STATE(7769)] = 283074,
  [SMALL_STATE(7770)] = 283088,
  [SMALL_STATE(7771)] = 283102,
  [SMALL_STATE(7772)] = 283118,
  [SMALL_STATE(7773)] = 283134,
  [SMALL_STATE(7774)] = 283148,
  [SMALL_STATE(7775)] = 283164,
  [SMALL_STATE(7776)] = 283180,
  [SMALL_STATE(7777)] = 283194,
  [SMALL_STATE(7778)] = 283207,
  [SMALL_STATE(7779)] = 283218,
  [SMALL_STATE(7780)] = 283231,
  [SMALL_STATE(7781)] = 283242,
  [SMALL_STATE(7782)] = 283255,
  [SMALL_STATE(7783)] = 283264,
  [SMALL_STATE(7784)] = 283277,
  [SMALL_STATE(7785)] = 283290,
  [SMALL_STATE(7786)] = 283303,
  [SMALL_STATE(7787)] = 283316,
  [SMALL_STATE(7788)] = 283329,
  [SMALL_STATE(7789)] = 283342,
  [SMALL_STATE(7790)] = 283355,
  [SMALL_STATE(7791)] = 283368,
  [SMALL_STATE(7792)] = 283379,
  [SMALL_STATE(7793)] = 283392,
  [SMALL_STATE(7794)] = 283403,
  [SMALL_STATE(7795)] = 283416,
  [SMALL_STATE(7796)] = 283429,
  [SMALL_STATE(7797)] = 283442,
  [SMALL_STATE(7798)] = 283455,
  [SMALL_STATE(7799)] = 283468,
  [SMALL_STATE(7800)] = 283479,
  [SMALL_STATE(7801)] = 283492,
  [SMALL_STATE(7802)] = 283505,
  [SMALL_STATE(7803)] = 283516,
  [SMALL_STATE(7804)] = 283529,
  [SMALL_STATE(7805)] = 283542,
  [SMALL_STATE(7806)] = 283555,
  [SMALL_STATE(7807)] = 283568,
  [SMALL_STATE(7808)] = 283581,
  [SMALL_STATE(7809)] = 283594,
  [SMALL_STATE(7810)] = 283607,
  [SMALL_STATE(7811)] = 283620,
  [SMALL_STATE(7812)] = 283633,
  [SMALL_STATE(7813)] = 283646,
  [SMALL_STATE(7814)] = 283659,
  [SMALL_STATE(7815)] = 283672,
  [SMALL_STATE(7816)] = 283685,
  [SMALL_STATE(7817)] = 283698,
  [SMALL_STATE(7818)] = 283711,
  [SMALL_STATE(7819)] = 283722,
  [SMALL_STATE(7820)] = 283735,
  [SMALL_STATE(7821)] = 283748,
  [SMALL_STATE(7822)] = 283761,
  [SMALL_STATE(7823)] = 283774,
  [SMALL_STATE(7824)] = 283787,
  [SMALL_STATE(7825)] = 283800,
  [SMALL_STATE(7826)] = 283813,
  [SMALL_STATE(7827)] = 283824,
  [SMALL_STATE(7828)] = 283837,
  [SMALL_STATE(7829)] = 283850,
  [SMALL_STATE(7830)] = 283863,
  [SMALL_STATE(7831)] = 283876,
  [SMALL_STATE(7832)] = 283889,
  [SMALL_STATE(7833)] = 283902,
  [SMALL_STATE(7834)] = 283915,
  [SMALL_STATE(7835)] = 283928,
  [SMALL_STATE(7836)] = 283941,
  [SMALL_STATE(7837)] = 283954,
  [SMALL_STATE(7838)] = 283967,
  [SMALL_STATE(7839)] = 283980,
  [SMALL_STATE(7840)] = 283993,
  [SMALL_STATE(7841)] = 284006,
  [SMALL_STATE(7842)] = 284019,
  [SMALL_STATE(7843)] = 284032,
  [SMALL_STATE(7844)] = 284045,
  [SMALL_STATE(7845)] = 284058,
  [SMALL_STATE(7846)] = 284071,
  [SMALL_STATE(7847)] = 284084,
  [SMALL_STATE(7848)] = 284095,
  [SMALL_STATE(7849)] = 284108,
  [SMALL_STATE(7850)] = 284119,
  [SMALL_STATE(7851)] = 284132,
  [SMALL_STATE(7852)] = 284145,
  [SMALL_STATE(7853)] = 284158,
  [SMALL_STATE(7854)] = 284171,
  [SMALL_STATE(7855)] = 284184,
  [SMALL_STATE(7856)] = 284197,
  [SMALL_STATE(7857)] = 284210,
  [SMALL_STATE(7858)] = 284223,
  [SMALL_STATE(7859)] = 284236,
  [SMALL_STATE(7860)] = 284249,
  [SMALL_STATE(7861)] = 284262,
  [SMALL_STATE(7862)] = 284275,
  [SMALL_STATE(7863)] = 284288,
  [SMALL_STATE(7864)] = 284299,
  [SMALL_STATE(7865)] = 284310,
  [SMALL_STATE(7866)] = 284323,
  [SMALL_STATE(7867)] = 284336,
  [SMALL_STATE(7868)] = 284349,
  [SMALL_STATE(7869)] = 284362,
  [SMALL_STATE(7870)] = 284373,
  [SMALL_STATE(7871)] = 284384,
  [SMALL_STATE(7872)] = 284397,
  [SMALL_STATE(7873)] = 284410,
  [SMALL_STATE(7874)] = 284423,
  [SMALL_STATE(7875)] = 284436,
  [SMALL_STATE(7876)] = 284449,
  [SMALL_STATE(7877)] = 284462,
  [SMALL_STATE(7878)] = 284475,
  [SMALL_STATE(7879)] = 284488,
  [SMALL_STATE(7880)] = 284501,
  [SMALL_STATE(7881)] = 284514,
  [SMALL_STATE(7882)] = 284525,
  [SMALL_STATE(7883)] = 284538,
  [SMALL_STATE(7884)] = 284551,
  [SMALL_STATE(7885)] = 284560,
  [SMALL_STATE(7886)] = 284569,
  [SMALL_STATE(7887)] = 284582,
  [SMALL_STATE(7888)] = 284595,
  [SMALL_STATE(7889)] = 284608,
  [SMALL_STATE(7890)] = 284619,
  [SMALL_STATE(7891)] = 284632,
  [SMALL_STATE(7892)] = 284645,
  [SMALL_STATE(7893)] = 284658,
  [SMALL_STATE(7894)] = 284671,
  [SMALL_STATE(7895)] = 284684,
  [SMALL_STATE(7896)] = 284697,
  [SMALL_STATE(7897)] = 284710,
  [SMALL_STATE(7898)] = 284723,
  [SMALL_STATE(7899)] = 284736,
  [SMALL_STATE(7900)] = 284747,
  [SMALL_STATE(7901)] = 284760,
  [SMALL_STATE(7902)] = 284773,
  [SMALL_STATE(7903)] = 284786,
  [SMALL_STATE(7904)] = 284799,
  [SMALL_STATE(7905)] = 284812,
  [SMALL_STATE(7906)] = 284825,
  [SMALL_STATE(7907)] = 284836,
  [SMALL_STATE(7908)] = 284849,
  [SMALL_STATE(7909)] = 284862,
  [SMALL_STATE(7910)] = 284875,
  [SMALL_STATE(7911)] = 284888,
  [SMALL_STATE(7912)] = 284901,
  [SMALL_STATE(7913)] = 284914,
  [SMALL_STATE(7914)] = 284927,
  [SMALL_STATE(7915)] = 284940,
  [SMALL_STATE(7916)] = 284953,
  [SMALL_STATE(7917)] = 284966,
  [SMALL_STATE(7918)] = 284979,
  [SMALL_STATE(7919)] = 284992,
  [SMALL_STATE(7920)] = 285005,
  [SMALL_STATE(7921)] = 285018,
  [SMALL_STATE(7922)] = 285031,
  [SMALL_STATE(7923)] = 285044,
  [SMALL_STATE(7924)] = 285057,
  [SMALL_STATE(7925)] = 285066,
  [SMALL_STATE(7926)] = 285079,
  [SMALL_STATE(7927)] = 285092,
  [SMALL_STATE(7928)] = 285105,
  [SMALL_STATE(7929)] = 285116,
  [SMALL_STATE(7930)] = 285129,
  [SMALL_STATE(7931)] = 285142,
  [SMALL_STATE(7932)] = 285155,
  [SMALL_STATE(7933)] = 285168,
  [SMALL_STATE(7934)] = 285181,
  [SMALL_STATE(7935)] = 285194,
  [SMALL_STATE(7936)] = 285207,
  [SMALL_STATE(7937)] = 285220,
  [SMALL_STATE(7938)] = 285233,
  [SMALL_STATE(7939)] = 285246,
  [SMALL_STATE(7940)] = 285259,
  [SMALL_STATE(7941)] = 285272,
  [SMALL_STATE(7942)] = 285285,
  [SMALL_STATE(7943)] = 285298,
  [SMALL_STATE(7944)] = 285311,
  [SMALL_STATE(7945)] = 285324,
  [SMALL_STATE(7946)] = 285337,
  [SMALL_STATE(7947)] = 285350,
  [SMALL_STATE(7948)] = 285361,
  [SMALL_STATE(7949)] = 285374,
  [SMALL_STATE(7950)] = 285387,
  [SMALL_STATE(7951)] = 285396,
  [SMALL_STATE(7952)] = 285409,
  [SMALL_STATE(7953)] = 285422,
  [SMALL_STATE(7954)] = 285433,
  [SMALL_STATE(7955)] = 285446,
  [SMALL_STATE(7956)] = 285459,
  [SMALL_STATE(7957)] = 285472,
  [SMALL_STATE(7958)] = 285485,
  [SMALL_STATE(7959)] = 285498,
  [SMALL_STATE(7960)] = 285511,
  [SMALL_STATE(7961)] = 285524,
  [SMALL_STATE(7962)] = 285537,
  [SMALL_STATE(7963)] = 285550,
  [SMALL_STATE(7964)] = 285563,
  [SMALL_STATE(7965)] = 285576,
  [SMALL_STATE(7966)] = 285589,
  [SMALL_STATE(7967)] = 285602,
  [SMALL_STATE(7968)] = 285615,
  [SMALL_STATE(7969)] = 285628,
  [SMALL_STATE(7970)] = 285639,
  [SMALL_STATE(7971)] = 285652,
  [SMALL_STATE(7972)] = 285663,
  [SMALL_STATE(7973)] = 285674,
  [SMALL_STATE(7974)] = 285687,
  [SMALL_STATE(7975)] = 285700,
  [SMALL_STATE(7976)] = 285711,
  [SMALL_STATE(7977)] = 285720,
  [SMALL_STATE(7978)] = 285729,
  [SMALL_STATE(7979)] = 285742,
  [SMALL_STATE(7980)] = 285755,
  [SMALL_STATE(7981)] = 285768,
  [SMALL_STATE(7982)] = 285781,
  [SMALL_STATE(7983)] = 285790,
  [SMALL_STATE(7984)] = 285803,
  [SMALL_STATE(7985)] = 285814,
  [SMALL_STATE(7986)] = 285827,
  [SMALL_STATE(7987)] = 285840,
  [SMALL_STATE(7988)] = 285849,
  [SMALL_STATE(7989)] = 285860,
  [SMALL_STATE(7990)] = 285871,
  [SMALL_STATE(7991)] = 285884,
  [SMALL_STATE(7992)] = 285897,
  [SMALL_STATE(7993)] = 285910,
  [SMALL_STATE(7994)] = 285923,
  [SMALL_STATE(7995)] = 285936,
  [SMALL_STATE(7996)] = 285949,
  [SMALL_STATE(7997)] = 285962,
  [SMALL_STATE(7998)] = 285975,
  [SMALL_STATE(7999)] = 285988,
  [SMALL_STATE(8000)] = 286001,
  [SMALL_STATE(8001)] = 286012,
  [SMALL_STATE(8002)] = 286025,
  [SMALL_STATE(8003)] = 286038,
  [SMALL_STATE(8004)] = 286051,
  [SMALL_STATE(8005)] = 286064,
  [SMALL_STATE(8006)] = 286077,
  [SMALL_STATE(8007)] = 286090,
  [SMALL_STATE(8008)] = 286103,
  [SMALL_STATE(8009)] = 286116,
  [SMALL_STATE(8010)] = 286129,
  [SMALL_STATE(8011)] = 286142,
  [SMALL_STATE(8012)] = 286155,
  [SMALL_STATE(8013)] = 286168,
  [SMALL_STATE(8014)] = 286179,
  [SMALL_STATE(8015)] = 286192,
  [SMALL_STATE(8016)] = 286205,
  [SMALL_STATE(8017)] = 286218,
  [SMALL_STATE(8018)] = 286231,
  [SMALL_STATE(8019)] = 286244,
  [SMALL_STATE(8020)] = 286257,
  [SMALL_STATE(8021)] = 286270,
  [SMALL_STATE(8022)] = 286283,
  [SMALL_STATE(8023)] = 286296,
  [SMALL_STATE(8024)] = 286309,
  [SMALL_STATE(8025)] = 286322,
  [SMALL_STATE(8026)] = 286335,
  [SMALL_STATE(8027)] = 286348,
  [SMALL_STATE(8028)] = 286361,
  [SMALL_STATE(8029)] = 286374,
  [SMALL_STATE(8030)] = 286387,
  [SMALL_STATE(8031)] = 286400,
  [SMALL_STATE(8032)] = 286413,
  [SMALL_STATE(8033)] = 286422,
  [SMALL_STATE(8034)] = 286435,
  [SMALL_STATE(8035)] = 286448,
  [SMALL_STATE(8036)] = 286459,
  [SMALL_STATE(8037)] = 286472,
  [SMALL_STATE(8038)] = 286485,
  [SMALL_STATE(8039)] = 286498,
  [SMALL_STATE(8040)] = 286511,
  [SMALL_STATE(8041)] = 286524,
  [SMALL_STATE(8042)] = 286537,
  [SMALL_STATE(8043)] = 286550,
  [SMALL_STATE(8044)] = 286563,
  [SMALL_STATE(8045)] = 286574,
  [SMALL_STATE(8046)] = 286587,
  [SMALL_STATE(8047)] = 286600,
  [SMALL_STATE(8048)] = 286613,
  [SMALL_STATE(8049)] = 286624,
  [SMALL_STATE(8050)] = 286633,
  [SMALL_STATE(8051)] = 286642,
  [SMALL_STATE(8052)] = 286655,
  [SMALL_STATE(8053)] = 286668,
  [SMALL_STATE(8054)] = 286681,
  [SMALL_STATE(8055)] = 286694,
  [SMALL_STATE(8056)] = 286707,
  [SMALL_STATE(8057)] = 286720,
  [SMALL_STATE(8058)] = 286733,
  [SMALL_STATE(8059)] = 286746,
  [SMALL_STATE(8060)] = 286759,
  [SMALL_STATE(8061)] = 286772,
  [SMALL_STATE(8062)] = 286785,
  [SMALL_STATE(8063)] = 286794,
  [SMALL_STATE(8064)] = 286807,
  [SMALL_STATE(8065)] = 286818,
  [SMALL_STATE(8066)] = 286831,
  [SMALL_STATE(8067)] = 286842,
  [SMALL_STATE(8068)] = 286855,
  [SMALL_STATE(8069)] = 286868,
  [SMALL_STATE(8070)] = 286881,
  [SMALL_STATE(8071)] = 286894,
  [SMALL_STATE(8072)] = 286905,
  [SMALL_STATE(8073)] = 286918,
  [SMALL_STATE(8074)] = 286931,
  [SMALL_STATE(8075)] = 286944,
  [SMALL_STATE(8076)] = 286955,
  [SMALL_STATE(8077)] = 286968,
  [SMALL_STATE(8078)] = 286979,
  [SMALL_STATE(8079)] = 286992,
  [SMALL_STATE(8080)] = 287005,
  [SMALL_STATE(8081)] = 287018,
  [SMALL_STATE(8082)] = 287031,
  [SMALL_STATE(8083)] = 287044,
  [SMALL_STATE(8084)] = 287057,
  [SMALL_STATE(8085)] = 287070,
  [SMALL_STATE(8086)] = 287081,
  [SMALL_STATE(8087)] = 287094,
  [SMALL_STATE(8088)] = 287107,
  [SMALL_STATE(8089)] = 287120,
  [SMALL_STATE(8090)] = 287131,
  [SMALL_STATE(8091)] = 287144,
  [SMALL_STATE(8092)] = 287157,
  [SMALL_STATE(8093)] = 287170,
  [SMALL_STATE(8094)] = 287183,
  [SMALL_STATE(8095)] = 287196,
  [SMALL_STATE(8096)] = 287209,
  [SMALL_STATE(8097)] = 287222,
  [SMALL_STATE(8098)] = 287235,
  [SMALL_STATE(8099)] = 287248,
  [SMALL_STATE(8100)] = 287261,
  [SMALL_STATE(8101)] = 287274,
  [SMALL_STATE(8102)] = 287287,
  [SMALL_STATE(8103)] = 287300,
  [SMALL_STATE(8104)] = 287313,
  [SMALL_STATE(8105)] = 287326,
  [SMALL_STATE(8106)] = 287339,
  [SMALL_STATE(8107)] = 287352,
  [SMALL_STATE(8108)] = 287365,
  [SMALL_STATE(8109)] = 287378,
  [SMALL_STATE(8110)] = 287391,
  [SMALL_STATE(8111)] = 287400,
  [SMALL_STATE(8112)] = 287413,
  [SMALL_STATE(8113)] = 287424,
  [SMALL_STATE(8114)] = 287437,
  [SMALL_STATE(8115)] = 287450,
  [SMALL_STATE(8116)] = 287463,
  [SMALL_STATE(8117)] = 287476,
  [SMALL_STATE(8118)] = 287487,
  [SMALL_STATE(8119)] = 287500,
  [SMALL_STATE(8120)] = 287513,
  [SMALL_STATE(8121)] = 287526,
  [SMALL_STATE(8122)] = 287539,
  [SMALL_STATE(8123)] = 287552,
  [SMALL_STATE(8124)] = 287565,
  [SMALL_STATE(8125)] = 287578,
  [SMALL_STATE(8126)] = 287591,
  [SMALL_STATE(8127)] = 287604,
  [SMALL_STATE(8128)] = 287617,
  [SMALL_STATE(8129)] = 287628,
  [SMALL_STATE(8130)] = 287639,
  [SMALL_STATE(8131)] = 287652,
  [SMALL_STATE(8132)] = 287665,
  [SMALL_STATE(8133)] = 287676,
  [SMALL_STATE(8134)] = 287689,
  [SMALL_STATE(8135)] = 287700,
  [SMALL_STATE(8136)] = 287713,
  [SMALL_STATE(8137)] = 287724,
  [SMALL_STATE(8138)] = 287737,
  [SMALL_STATE(8139)] = 287748,
  [SMALL_STATE(8140)] = 287761,
  [SMALL_STATE(8141)] = 287774,
  [SMALL_STATE(8142)] = 287787,
  [SMALL_STATE(8143)] = 287800,
  [SMALL_STATE(8144)] = 287813,
  [SMALL_STATE(8145)] = 287826,
  [SMALL_STATE(8146)] = 287839,
  [SMALL_STATE(8147)] = 287852,
  [SMALL_STATE(8148)] = 287865,
  [SMALL_STATE(8149)] = 287878,
  [SMALL_STATE(8150)] = 287889,
  [SMALL_STATE(8151)] = 287898,
  [SMALL_STATE(8152)] = 287911,
  [SMALL_STATE(8153)] = 287924,
  [SMALL_STATE(8154)] = 287937,
  [SMALL_STATE(8155)] = 287950,
  [SMALL_STATE(8156)] = 287963,
  [SMALL_STATE(8157)] = 287976,
  [SMALL_STATE(8158)] = 287985,
  [SMALL_STATE(8159)] = 287998,
  [SMALL_STATE(8160)] = 288011,
  [SMALL_STATE(8161)] = 288022,
  [SMALL_STATE(8162)] = 288035,
  [SMALL_STATE(8163)] = 288048,
  [SMALL_STATE(8164)] = 288061,
  [SMALL_STATE(8165)] = 288074,
  [SMALL_STATE(8166)] = 288087,
  [SMALL_STATE(8167)] = 288100,
  [SMALL_STATE(8168)] = 288111,
  [SMALL_STATE(8169)] = 288124,
  [SMALL_STATE(8170)] = 288137,
  [SMALL_STATE(8171)] = 288150,
  [SMALL_STATE(8172)] = 288163,
  [SMALL_STATE(8173)] = 288176,
  [SMALL_STATE(8174)] = 288189,
  [SMALL_STATE(8175)] = 288202,
  [SMALL_STATE(8176)] = 288211,
  [SMALL_STATE(8177)] = 288224,
  [SMALL_STATE(8178)] = 288237,
  [SMALL_STATE(8179)] = 288250,
  [SMALL_STATE(8180)] = 288261,
  [SMALL_STATE(8181)] = 288274,
  [SMALL_STATE(8182)] = 288285,
  [SMALL_STATE(8183)] = 288298,
  [SMALL_STATE(8184)] = 288311,
  [SMALL_STATE(8185)] = 288324,
  [SMALL_STATE(8186)] = 288337,
  [SMALL_STATE(8187)] = 288350,
  [SMALL_STATE(8188)] = 288363,
  [SMALL_STATE(8189)] = 288374,
  [SMALL_STATE(8190)] = 288387,
  [SMALL_STATE(8191)] = 288400,
  [SMALL_STATE(8192)] = 288413,
  [SMALL_STATE(8193)] = 288426,
  [SMALL_STATE(8194)] = 288439,
  [SMALL_STATE(8195)] = 288452,
  [SMALL_STATE(8196)] = 288465,
  [SMALL_STATE(8197)] = 288478,
  [SMALL_STATE(8198)] = 288491,
  [SMALL_STATE(8199)] = 288502,
  [SMALL_STATE(8200)] = 288515,
  [SMALL_STATE(8201)] = 288528,
  [SMALL_STATE(8202)] = 288541,
  [SMALL_STATE(8203)] = 288554,
  [SMALL_STATE(8204)] = 288567,
  [SMALL_STATE(8205)] = 288580,
  [SMALL_STATE(8206)] = 288593,
  [SMALL_STATE(8207)] = 288606,
  [SMALL_STATE(8208)] = 288619,
  [SMALL_STATE(8209)] = 288632,
  [SMALL_STATE(8210)] = 288645,
  [SMALL_STATE(8211)] = 288658,
  [SMALL_STATE(8212)] = 288671,
  [SMALL_STATE(8213)] = 288684,
  [SMALL_STATE(8214)] = 288695,
  [SMALL_STATE(8215)] = 288708,
  [SMALL_STATE(8216)] = 288721,
  [SMALL_STATE(8217)] = 288734,
  [SMALL_STATE(8218)] = 288743,
  [SMALL_STATE(8219)] = 288756,
  [SMALL_STATE(8220)] = 288769,
  [SMALL_STATE(8221)] = 288782,
  [SMALL_STATE(8222)] = 288795,
  [SMALL_STATE(8223)] = 288808,
  [SMALL_STATE(8224)] = 288817,
  [SMALL_STATE(8225)] = 288830,
  [SMALL_STATE(8226)] = 288843,
  [SMALL_STATE(8227)] = 288856,
  [SMALL_STATE(8228)] = 288866,
  [SMALL_STATE(8229)] = 288876,
  [SMALL_STATE(8230)] = 288886,
  [SMALL_STATE(8231)] = 288896,
  [SMALL_STATE(8232)] = 288906,
  [SMALL_STATE(8233)] = 288916,
  [SMALL_STATE(8234)] = 288926,
  [SMALL_STATE(8235)] = 288936,
  [SMALL_STATE(8236)] = 288946,
  [SMALL_STATE(8237)] = 288956,
  [SMALL_STATE(8238)] = 288966,
  [SMALL_STATE(8239)] = 288976,
  [SMALL_STATE(8240)] = 288986,
  [SMALL_STATE(8241)] = 288996,
  [SMALL_STATE(8242)] = 289006,
  [SMALL_STATE(8243)] = 289016,
  [SMALL_STATE(8244)] = 289026,
  [SMALL_STATE(8245)] = 289036,
  [SMALL_STATE(8246)] = 289046,
  [SMALL_STATE(8247)] = 289054,
  [SMALL_STATE(8248)] = 289064,
  [SMALL_STATE(8249)] = 289072,
  [SMALL_STATE(8250)] = 289082,
  [SMALL_STATE(8251)] = 289092,
  [SMALL_STATE(8252)] = 289102,
  [SMALL_STATE(8253)] = 289112,
  [SMALL_STATE(8254)] = 289122,
  [SMALL_STATE(8255)] = 289132,
  [SMALL_STATE(8256)] = 289142,
  [SMALL_STATE(8257)] = 289152,
  [SMALL_STATE(8258)] = 289160,
  [SMALL_STATE(8259)] = 289170,
  [SMALL_STATE(8260)] = 289180,
  [SMALL_STATE(8261)] = 289190,
  [SMALL_STATE(8262)] = 289200,
  [SMALL_STATE(8263)] = 289210,
  [SMALL_STATE(8264)] = 289220,
  [SMALL_STATE(8265)] = 289230,
  [SMALL_STATE(8266)] = 289240,
  [SMALL_STATE(8267)] = 289250,
  [SMALL_STATE(8268)] = 289260,
  [SMALL_STATE(8269)] = 289268,
  [SMALL_STATE(8270)] = 289278,
  [SMALL_STATE(8271)] = 289288,
  [SMALL_STATE(8272)] = 289298,
  [SMALL_STATE(8273)] = 289308,
  [SMALL_STATE(8274)] = 289318,
  [SMALL_STATE(8275)] = 289328,
  [SMALL_STATE(8276)] = 289338,
  [SMALL_STATE(8277)] = 289348,
  [SMALL_STATE(8278)] = 289358,
  [SMALL_STATE(8279)] = 289368,
  [SMALL_STATE(8280)] = 289378,
  [SMALL_STATE(8281)] = 289388,
  [SMALL_STATE(8282)] = 289398,
  [SMALL_STATE(8283)] = 289408,
  [SMALL_STATE(8284)] = 289418,
  [SMALL_STATE(8285)] = 289428,
  [SMALL_STATE(8286)] = 289438,
  [SMALL_STATE(8287)] = 289448,
  [SMALL_STATE(8288)] = 289458,
  [SMALL_STATE(8289)] = 289468,
  [SMALL_STATE(8290)] = 289478,
  [SMALL_STATE(8291)] = 289488,
  [SMALL_STATE(8292)] = 289498,
  [SMALL_STATE(8293)] = 289508,
  [SMALL_STATE(8294)] = 289518,
  [SMALL_STATE(8295)] = 289528,
  [SMALL_STATE(8296)] = 289538,
  [SMALL_STATE(8297)] = 289548,
  [SMALL_STATE(8298)] = 289558,
  [SMALL_STATE(8299)] = 289568,
  [SMALL_STATE(8300)] = 289578,
  [SMALL_STATE(8301)] = 289588,
  [SMALL_STATE(8302)] = 289598,
  [SMALL_STATE(8303)] = 289608,
  [SMALL_STATE(8304)] = 289618,
  [SMALL_STATE(8305)] = 289628,
  [SMALL_STATE(8306)] = 289638,
  [SMALL_STATE(8307)] = 289648,
  [SMALL_STATE(8308)] = 289658,
  [SMALL_STATE(8309)] = 289666,
  [SMALL_STATE(8310)] = 289676,
  [SMALL_STATE(8311)] = 289686,
  [SMALL_STATE(8312)] = 289696,
  [SMALL_STATE(8313)] = 289706,
  [SMALL_STATE(8314)] = 289716,
  [SMALL_STATE(8315)] = 289726,
  [SMALL_STATE(8316)] = 289736,
  [SMALL_STATE(8317)] = 289746,
  [SMALL_STATE(8318)] = 289756,
  [SMALL_STATE(8319)] = 289766,
  [SMALL_STATE(8320)] = 289776,
  [SMALL_STATE(8321)] = 289786,
  [SMALL_STATE(8322)] = 289796,
  [SMALL_STATE(8323)] = 289806,
  [SMALL_STATE(8324)] = 289816,
  [SMALL_STATE(8325)] = 289826,
  [SMALL_STATE(8326)] = 289836,
  [SMALL_STATE(8327)] = 289846,
  [SMALL_STATE(8328)] = 289856,
  [SMALL_STATE(8329)] = 289866,
  [SMALL_STATE(8330)] = 289876,
  [SMALL_STATE(8331)] = 289886,
  [SMALL_STATE(8332)] = 289896,
  [SMALL_STATE(8333)] = 289906,
  [SMALL_STATE(8334)] = 289916,
  [SMALL_STATE(8335)] = 289926,
  [SMALL_STATE(8336)] = 289936,
  [SMALL_STATE(8337)] = 289946,
  [SMALL_STATE(8338)] = 289956,
  [SMALL_STATE(8339)] = 289964,
  [SMALL_STATE(8340)] = 289974,
  [SMALL_STATE(8341)] = 289984,
  [SMALL_STATE(8342)] = 289994,
  [SMALL_STATE(8343)] = 290004,
  [SMALL_STATE(8344)] = 290014,
  [SMALL_STATE(8345)] = 290024,
  [SMALL_STATE(8346)] = 290034,
  [SMALL_STATE(8347)] = 290044,
  [SMALL_STATE(8348)] = 290052,
  [SMALL_STATE(8349)] = 290062,
  [SMALL_STATE(8350)] = 290072,
  [SMALL_STATE(8351)] = 290082,
  [SMALL_STATE(8352)] = 290092,
  [SMALL_STATE(8353)] = 290100,
  [SMALL_STATE(8354)] = 290110,
  [SMALL_STATE(8355)] = 290120,
  [SMALL_STATE(8356)] = 290130,
  [SMALL_STATE(8357)] = 290140,
  [SMALL_STATE(8358)] = 290150,
  [SMALL_STATE(8359)] = 290160,
  [SMALL_STATE(8360)] = 290170,
  [SMALL_STATE(8361)] = 290180,
  [SMALL_STATE(8362)] = 290188,
  [SMALL_STATE(8363)] = 290198,
  [SMALL_STATE(8364)] = 290208,
  [SMALL_STATE(8365)] = 290216,
  [SMALL_STATE(8366)] = 290226,
  [SMALL_STATE(8367)] = 290236,
  [SMALL_STATE(8368)] = 290246,
  [SMALL_STATE(8369)] = 290256,
  [SMALL_STATE(8370)] = 290266,
  [SMALL_STATE(8371)] = 290276,
  [SMALL_STATE(8372)] = 290286,
  [SMALL_STATE(8373)] = 290296,
  [SMALL_STATE(8374)] = 290306,
  [SMALL_STATE(8375)] = 290316,
  [SMALL_STATE(8376)] = 290326,
  [SMALL_STATE(8377)] = 290336,
  [SMALL_STATE(8378)] = 290346,
  [SMALL_STATE(8379)] = 290356,
  [SMALL_STATE(8380)] = 290366,
  [SMALL_STATE(8381)] = 290376,
  [SMALL_STATE(8382)] = 290386,
  [SMALL_STATE(8383)] = 290396,
  [SMALL_STATE(8384)] = 290406,
  [SMALL_STATE(8385)] = 290416,
  [SMALL_STATE(8386)] = 290424,
  [SMALL_STATE(8387)] = 290434,
  [SMALL_STATE(8388)] = 290444,
  [SMALL_STATE(8389)] = 290454,
  [SMALL_STATE(8390)] = 290464,
  [SMALL_STATE(8391)] = 290474,
  [SMALL_STATE(8392)] = 290484,
  [SMALL_STATE(8393)] = 290494,
  [SMALL_STATE(8394)] = 290504,
  [SMALL_STATE(8395)] = 290514,
  [SMALL_STATE(8396)] = 290524,
  [SMALL_STATE(8397)] = 290534,
  [SMALL_STATE(8398)] = 290544,
  [SMALL_STATE(8399)] = 290554,
  [SMALL_STATE(8400)] = 290564,
  [SMALL_STATE(8401)] = 290574,
  [SMALL_STATE(8402)] = 290584,
  [SMALL_STATE(8403)] = 290594,
  [SMALL_STATE(8404)] = 290604,
  [SMALL_STATE(8405)] = 290614,
  [SMALL_STATE(8406)] = 290624,
  [SMALL_STATE(8407)] = 290634,
  [SMALL_STATE(8408)] = 290644,
  [SMALL_STATE(8409)] = 290652,
  [SMALL_STATE(8410)] = 290662,
  [SMALL_STATE(8411)] = 290672,
  [SMALL_STATE(8412)] = 290682,
  [SMALL_STATE(8413)] = 290692,
  [SMALL_STATE(8414)] = 290700,
  [SMALL_STATE(8415)] = 290710,
  [SMALL_STATE(8416)] = 290720,
  [SMALL_STATE(8417)] = 290730,
  [SMALL_STATE(8418)] = 290740,
  [SMALL_STATE(8419)] = 290750,
  [SMALL_STATE(8420)] = 290760,
  [SMALL_STATE(8421)] = 290770,
  [SMALL_STATE(8422)] = 290780,
  [SMALL_STATE(8423)] = 290790,
  [SMALL_STATE(8424)] = 290800,
  [SMALL_STATE(8425)] = 290810,
  [SMALL_STATE(8426)] = 290820,
  [SMALL_STATE(8427)] = 290830,
  [SMALL_STATE(8428)] = 290840,
  [SMALL_STATE(8429)] = 290850,
  [SMALL_STATE(8430)] = 290860,
  [SMALL_STATE(8431)] = 290870,
  [SMALL_STATE(8432)] = 290880,
  [SMALL_STATE(8433)] = 290890,
  [SMALL_STATE(8434)] = 290900,
  [SMALL_STATE(8435)] = 290910,
  [SMALL_STATE(8436)] = 290920,
  [SMALL_STATE(8437)] = 290930,
  [SMALL_STATE(8438)] = 290940,
  [SMALL_STATE(8439)] = 290950,
  [SMALL_STATE(8440)] = 290960,
  [SMALL_STATE(8441)] = 290968,
  [SMALL_STATE(8442)] = 290978,
  [SMALL_STATE(8443)] = 290988,
  [SMALL_STATE(8444)] = 290998,
  [SMALL_STATE(8445)] = 291008,
  [SMALL_STATE(8446)] = 291018,
  [SMALL_STATE(8447)] = 291026,
  [SMALL_STATE(8448)] = 291036,
  [SMALL_STATE(8449)] = 291046,
  [SMALL_STATE(8450)] = 291056,
  [SMALL_STATE(8451)] = 291066,
  [SMALL_STATE(8452)] = 291076,
  [SMALL_STATE(8453)] = 291086,
  [SMALL_STATE(8454)] = 291096,
  [SMALL_STATE(8455)] = 291106,
  [SMALL_STATE(8456)] = 291114,
  [SMALL_STATE(8457)] = 291122,
  [SMALL_STATE(8458)] = 291132,
  [SMALL_STATE(8459)] = 291142,
  [SMALL_STATE(8460)] = 291152,
  [SMALL_STATE(8461)] = 291162,
  [SMALL_STATE(8462)] = 291172,
  [SMALL_STATE(8463)] = 291182,
  [SMALL_STATE(8464)] = 291192,
  [SMALL_STATE(8465)] = 291202,
  [SMALL_STATE(8466)] = 291212,
  [SMALL_STATE(8467)] = 291222,
  [SMALL_STATE(8468)] = 291232,
  [SMALL_STATE(8469)] = 291242,
  [SMALL_STATE(8470)] = 291252,
  [SMALL_STATE(8471)] = 291262,
  [SMALL_STATE(8472)] = 291272,
  [SMALL_STATE(8473)] = 291282,
  [SMALL_STATE(8474)] = 291292,
  [SMALL_STATE(8475)] = 291300,
  [SMALL_STATE(8476)] = 291310,
  [SMALL_STATE(8477)] = 291320,
  [SMALL_STATE(8478)] = 291328,
  [SMALL_STATE(8479)] = 291338,
  [SMALL_STATE(8480)] = 291348,
  [SMALL_STATE(8481)] = 291358,
  [SMALL_STATE(8482)] = 291368,
  [SMALL_STATE(8483)] = 291378,
  [SMALL_STATE(8484)] = 291388,
  [SMALL_STATE(8485)] = 291398,
  [SMALL_STATE(8486)] = 291408,
  [SMALL_STATE(8487)] = 291418,
  [SMALL_STATE(8488)] = 291428,
  [SMALL_STATE(8489)] = 291438,
  [SMALL_STATE(8490)] = 291448,
  [SMALL_STATE(8491)] = 291458,
  [SMALL_STATE(8492)] = 291468,
  [SMALL_STATE(8493)] = 291478,
  [SMALL_STATE(8494)] = 291488,
  [SMALL_STATE(8495)] = 291498,
  [SMALL_STATE(8496)] = 291508,
  [SMALL_STATE(8497)] = 291518,
  [SMALL_STATE(8498)] = 291526,
  [SMALL_STATE(8499)] = 291536,
  [SMALL_STATE(8500)] = 291546,
  [SMALL_STATE(8501)] = 291556,
  [SMALL_STATE(8502)] = 291566,
  [SMALL_STATE(8503)] = 291576,
  [SMALL_STATE(8504)] = 291586,
  [SMALL_STATE(8505)] = 291594,
  [SMALL_STATE(8506)] = 291602,
  [SMALL_STATE(8507)] = 291610,
  [SMALL_STATE(8508)] = 291620,
  [SMALL_STATE(8509)] = 291630,
  [SMALL_STATE(8510)] = 291638,
  [SMALL_STATE(8511)] = 291648,
  [SMALL_STATE(8512)] = 291656,
  [SMALL_STATE(8513)] = 291666,
  [SMALL_STATE(8514)] = 291676,
  [SMALL_STATE(8515)] = 291686,
  [SMALL_STATE(8516)] = 291696,
  [SMALL_STATE(8517)] = 291704,
  [SMALL_STATE(8518)] = 291714,
  [SMALL_STATE(8519)] = 291724,
  [SMALL_STATE(8520)] = 291734,
  [SMALL_STATE(8521)] = 291744,
  [SMALL_STATE(8522)] = 291754,
  [SMALL_STATE(8523)] = 291764,
  [SMALL_STATE(8524)] = 291774,
  [SMALL_STATE(8525)] = 291784,
  [SMALL_STATE(8526)] = 291794,
  [SMALL_STATE(8527)] = 291804,
  [SMALL_STATE(8528)] = 291812,
  [SMALL_STATE(8529)] = 291822,
  [SMALL_STATE(8530)] = 291830,
  [SMALL_STATE(8531)] = 291840,
  [SMALL_STATE(8532)] = 291848,
  [SMALL_STATE(8533)] = 291858,
  [SMALL_STATE(8534)] = 291868,
  [SMALL_STATE(8535)] = 291878,
  [SMALL_STATE(8536)] = 291888,
  [SMALL_STATE(8537)] = 291898,
  [SMALL_STATE(8538)] = 291906,
  [SMALL_STATE(8539)] = 291916,
  [SMALL_STATE(8540)] = 291926,
  [SMALL_STATE(8541)] = 291936,
  [SMALL_STATE(8542)] = 291946,
  [SMALL_STATE(8543)] = 291954,
  [SMALL_STATE(8544)] = 291964,
  [SMALL_STATE(8545)] = 291974,
  [SMALL_STATE(8546)] = 291984,
  [SMALL_STATE(8547)] = 291994,
  [SMALL_STATE(8548)] = 292002,
  [SMALL_STATE(8549)] = 292012,
  [SMALL_STATE(8550)] = 292022,
  [SMALL_STATE(8551)] = 292030,
  [SMALL_STATE(8552)] = 292040,
  [SMALL_STATE(8553)] = 292048,
  [SMALL_STATE(8554)] = 292056,
  [SMALL_STATE(8555)] = 292066,
  [SMALL_STATE(8556)] = 292074,
  [SMALL_STATE(8557)] = 292084,
  [SMALL_STATE(8558)] = 292094,
  [SMALL_STATE(8559)] = 292102,
  [SMALL_STATE(8560)] = 292112,
  [SMALL_STATE(8561)] = 292122,
  [SMALL_STATE(8562)] = 292132,
  [SMALL_STATE(8563)] = 292142,
  [SMALL_STATE(8564)] = 292152,
  [SMALL_STATE(8565)] = 292160,
  [SMALL_STATE(8566)] = 292170,
  [SMALL_STATE(8567)] = 292178,
  [SMALL_STATE(8568)] = 292188,
  [SMALL_STATE(8569)] = 292198,
  [SMALL_STATE(8570)] = 292206,
  [SMALL_STATE(8571)] = 292216,
  [SMALL_STATE(8572)] = 292226,
  [SMALL_STATE(8573)] = 292236,
  [SMALL_STATE(8574)] = 292246,
  [SMALL_STATE(8575)] = 292254,
  [SMALL_STATE(8576)] = 292264,
  [SMALL_STATE(8577)] = 292274,
  [SMALL_STATE(8578)] = 292284,
  [SMALL_STATE(8579)] = 292294,
  [SMALL_STATE(8580)] = 292304,
  [SMALL_STATE(8581)] = 292314,
  [SMALL_STATE(8582)] = 292322,
  [SMALL_STATE(8583)] = 292332,
  [SMALL_STATE(8584)] = 292342,
  [SMALL_STATE(8585)] = 292352,
  [SMALL_STATE(8586)] = 292362,
  [SMALL_STATE(8587)] = 292372,
  [SMALL_STATE(8588)] = 292382,
  [SMALL_STATE(8589)] = 292392,
  [SMALL_STATE(8590)] = 292402,
  [SMALL_STATE(8591)] = 292412,
  [SMALL_STATE(8592)] = 292422,
  [SMALL_STATE(8593)] = 292432,
  [SMALL_STATE(8594)] = 292442,
  [SMALL_STATE(8595)] = 292452,
  [SMALL_STATE(8596)] = 292460,
  [SMALL_STATE(8597)] = 292470,
  [SMALL_STATE(8598)] = 292480,
  [SMALL_STATE(8599)] = 292490,
  [SMALL_STATE(8600)] = 292500,
  [SMALL_STATE(8601)] = 292510,
  [SMALL_STATE(8602)] = 292520,
  [SMALL_STATE(8603)] = 292530,
  [SMALL_STATE(8604)] = 292540,
  [SMALL_STATE(8605)] = 292550,
  [SMALL_STATE(8606)] = 292560,
  [SMALL_STATE(8607)] = 292570,
  [SMALL_STATE(8608)] = 292580,
  [SMALL_STATE(8609)] = 292590,
  [SMALL_STATE(8610)] = 292600,
  [SMALL_STATE(8611)] = 292608,
  [SMALL_STATE(8612)] = 292618,
  [SMALL_STATE(8613)] = 292628,
  [SMALL_STATE(8614)] = 292638,
  [SMALL_STATE(8615)] = 292648,
  [SMALL_STATE(8616)] = 292658,
  [SMALL_STATE(8617)] = 292666,
  [SMALL_STATE(8618)] = 292676,
  [SMALL_STATE(8619)] = 292686,
  [SMALL_STATE(8620)] = 292696,
  [SMALL_STATE(8621)] = 292706,
  [SMALL_STATE(8622)] = 292716,
  [SMALL_STATE(8623)] = 292726,
  [SMALL_STATE(8624)] = 292736,
  [SMALL_STATE(8625)] = 292746,
  [SMALL_STATE(8626)] = 292756,
  [SMALL_STATE(8627)] = 292766,
  [SMALL_STATE(8628)] = 292773,
  [SMALL_STATE(8629)] = 292780,
  [SMALL_STATE(8630)] = 292787,
  [SMALL_STATE(8631)] = 292794,
  [SMALL_STATE(8632)] = 292801,
  [SMALL_STATE(8633)] = 292808,
  [SMALL_STATE(8634)] = 292815,
  [SMALL_STATE(8635)] = 292822,
  [SMALL_STATE(8636)] = 292829,
  [SMALL_STATE(8637)] = 292836,
  [SMALL_STATE(8638)] = 292843,
  [SMALL_STATE(8639)] = 292850,
  [SMALL_STATE(8640)] = 292857,
  [SMALL_STATE(8641)] = 292864,
  [SMALL_STATE(8642)] = 292871,
  [SMALL_STATE(8643)] = 292878,
  [SMALL_STATE(8644)] = 292885,
  [SMALL_STATE(8645)] = 292892,
  [SMALL_STATE(8646)] = 292899,
  [SMALL_STATE(8647)] = 292906,
  [SMALL_STATE(8648)] = 292913,
  [SMALL_STATE(8649)] = 292920,
  [SMALL_STATE(8650)] = 292927,
  [SMALL_STATE(8651)] = 292934,
  [SMALL_STATE(8652)] = 292941,
  [SMALL_STATE(8653)] = 292948,
  [SMALL_STATE(8654)] = 292955,
  [SMALL_STATE(8655)] = 292962,
  [SMALL_STATE(8656)] = 292969,
  [SMALL_STATE(8657)] = 292976,
  [SMALL_STATE(8658)] = 292983,
  [SMALL_STATE(8659)] = 292990,
  [SMALL_STATE(8660)] = 292997,
  [SMALL_STATE(8661)] = 293004,
  [SMALL_STATE(8662)] = 293011,
  [SMALL_STATE(8663)] = 293018,
  [SMALL_STATE(8664)] = 293025,
  [SMALL_STATE(8665)] = 293032,
  [SMALL_STATE(8666)] = 293039,
  [SMALL_STATE(8667)] = 293046,
  [SMALL_STATE(8668)] = 293053,
  [SMALL_STATE(8669)] = 293060,
  [SMALL_STATE(8670)] = 293067,
  [SMALL_STATE(8671)] = 293074,
  [SMALL_STATE(8672)] = 293081,
  [SMALL_STATE(8673)] = 293088,
  [SMALL_STATE(8674)] = 293095,
  [SMALL_STATE(8675)] = 293102,
  [SMALL_STATE(8676)] = 293109,
  [SMALL_STATE(8677)] = 293116,
  [SMALL_STATE(8678)] = 293123,
  [SMALL_STATE(8679)] = 293130,
  [SMALL_STATE(8680)] = 293137,
  [SMALL_STATE(8681)] = 293144,
  [SMALL_STATE(8682)] = 293151,
  [SMALL_STATE(8683)] = 293158,
  [SMALL_STATE(8684)] = 293165,
  [SMALL_STATE(8685)] = 293172,
  [SMALL_STATE(8686)] = 293179,
  [SMALL_STATE(8687)] = 293186,
  [SMALL_STATE(8688)] = 293193,
  [SMALL_STATE(8689)] = 293200,
  [SMALL_STATE(8690)] = 293207,
  [SMALL_STATE(8691)] = 293214,
  [SMALL_STATE(8692)] = 293221,
  [SMALL_STATE(8693)] = 293228,
  [SMALL_STATE(8694)] = 293235,
  [SMALL_STATE(8695)] = 293242,
  [SMALL_STATE(8696)] = 293249,
  [SMALL_STATE(8697)] = 293256,
  [SMALL_STATE(8698)] = 293263,
  [SMALL_STATE(8699)] = 293270,
  [SMALL_STATE(8700)] = 293277,
  [SMALL_STATE(8701)] = 293284,
  [SMALL_STATE(8702)] = 293291,
  [SMALL_STATE(8703)] = 293298,
  [SMALL_STATE(8704)] = 293305,
  [SMALL_STATE(8705)] = 293312,
  [SMALL_STATE(8706)] = 293319,
  [SMALL_STATE(8707)] = 293326,
  [SMALL_STATE(8708)] = 293333,
  [SMALL_STATE(8709)] = 293340,
  [SMALL_STATE(8710)] = 293347,
  [SMALL_STATE(8711)] = 293354,
  [SMALL_STATE(8712)] = 293361,
  [SMALL_STATE(8713)] = 293368,
  [SMALL_STATE(8714)] = 293375,
  [SMALL_STATE(8715)] = 293382,
  [SMALL_STATE(8716)] = 293389,
  [SMALL_STATE(8717)] = 293396,
  [SMALL_STATE(8718)] = 293403,
  [SMALL_STATE(8719)] = 293410,
  [SMALL_STATE(8720)] = 293417,
  [SMALL_STATE(8721)] = 293424,
  [SMALL_STATE(8722)] = 293431,
  [SMALL_STATE(8723)] = 293438,
  [SMALL_STATE(8724)] = 293445,
  [SMALL_STATE(8725)] = 293452,
  [SMALL_STATE(8726)] = 293459,
  [SMALL_STATE(8727)] = 293466,
  [SMALL_STATE(8728)] = 293473,
  [SMALL_STATE(8729)] = 293480,
  [SMALL_STATE(8730)] = 293487,
  [SMALL_STATE(8731)] = 293494,
  [SMALL_STATE(8732)] = 293501,
  [SMALL_STATE(8733)] = 293508,
  [SMALL_STATE(8734)] = 293515,
  [SMALL_STATE(8735)] = 293522,
  [SMALL_STATE(8736)] = 293529,
  [SMALL_STATE(8737)] = 293536,
  [SMALL_STATE(8738)] = 293543,
  [SMALL_STATE(8739)] = 293550,
  [SMALL_STATE(8740)] = 293557,
  [SMALL_STATE(8741)] = 293564,
  [SMALL_STATE(8742)] = 293571,
  [SMALL_STATE(8743)] = 293578,
  [SMALL_STATE(8744)] = 293585,
  [SMALL_STATE(8745)] = 293592,
  [SMALL_STATE(8746)] = 293599,
  [SMALL_STATE(8747)] = 293606,
  [SMALL_STATE(8748)] = 293613,
  [SMALL_STATE(8749)] = 293620,
  [SMALL_STATE(8750)] = 293627,
  [SMALL_STATE(8751)] = 293634,
  [SMALL_STATE(8752)] = 293641,
  [SMALL_STATE(8753)] = 293648,
  [SMALL_STATE(8754)] = 293655,
  [SMALL_STATE(8755)] = 293662,
  [SMALL_STATE(8756)] = 293669,
  [SMALL_STATE(8757)] = 293676,
  [SMALL_STATE(8758)] = 293683,
  [SMALL_STATE(8759)] = 293690,
  [SMALL_STATE(8760)] = 293697,
  [SMALL_STATE(8761)] = 293704,
  [SMALL_STATE(8762)] = 293711,
  [SMALL_STATE(8763)] = 293718,
  [SMALL_STATE(8764)] = 293725,
  [SMALL_STATE(8765)] = 293732,
  [SMALL_STATE(8766)] = 293739,
  [SMALL_STATE(8767)] = 293746,
  [SMALL_STATE(8768)] = 293753,
  [SMALL_STATE(8769)] = 293760,
  [SMALL_STATE(8770)] = 293767,
  [SMALL_STATE(8771)] = 293774,
  [SMALL_STATE(8772)] = 293781,
  [SMALL_STATE(8773)] = 293788,
  [SMALL_STATE(8774)] = 293795,
  [SMALL_STATE(8775)] = 293802,
  [SMALL_STATE(8776)] = 293809,
  [SMALL_STATE(8777)] = 293816,
  [SMALL_STATE(8778)] = 293823,
  [SMALL_STATE(8779)] = 293830,
  [SMALL_STATE(8780)] = 293837,
  [SMALL_STATE(8781)] = 293844,
  [SMALL_STATE(8782)] = 293851,
  [SMALL_STATE(8783)] = 293858,
  [SMALL_STATE(8784)] = 293865,
  [SMALL_STATE(8785)] = 293872,
  [SMALL_STATE(8786)] = 293879,
  [SMALL_STATE(8787)] = 293886,
  [SMALL_STATE(8788)] = 293893,
  [SMALL_STATE(8789)] = 293900,
  [SMALL_STATE(8790)] = 293907,
  [SMALL_STATE(8791)] = 293914,
  [SMALL_STATE(8792)] = 293921,
  [SMALL_STATE(8793)] = 293928,
  [SMALL_STATE(8794)] = 293935,
  [SMALL_STATE(8795)] = 293942,
  [SMALL_STATE(8796)] = 293949,
  [SMALL_STATE(8797)] = 293956,
  [SMALL_STATE(8798)] = 293963,
  [SMALL_STATE(8799)] = 293970,
  [SMALL_STATE(8800)] = 293977,
  [SMALL_STATE(8801)] = 293984,
  [SMALL_STATE(8802)] = 293991,
  [SMALL_STATE(8803)] = 293998,
  [SMALL_STATE(8804)] = 294005,
  [SMALL_STATE(8805)] = 294012,
  [SMALL_STATE(8806)] = 294019,
  [SMALL_STATE(8807)] = 294026,
  [SMALL_STATE(8808)] = 294033,
  [SMALL_STATE(8809)] = 294040,
  [SMALL_STATE(8810)] = 294047,
  [SMALL_STATE(8811)] = 294054,
  [SMALL_STATE(8812)] = 294061,
  [SMALL_STATE(8813)] = 294068,
  [SMALL_STATE(8814)] = 294075,
  [SMALL_STATE(8815)] = 294082,
  [SMALL_STATE(8816)] = 294089,
  [SMALL_STATE(8817)] = 294096,
  [SMALL_STATE(8818)] = 294103,
  [SMALL_STATE(8819)] = 294110,
  [SMALL_STATE(8820)] = 294117,
  [SMALL_STATE(8821)] = 294124,
  [SMALL_STATE(8822)] = 294131,
  [SMALL_STATE(8823)] = 294138,
  [SMALL_STATE(8824)] = 294145,
  [SMALL_STATE(8825)] = 294152,
  [SMALL_STATE(8826)] = 294159,
  [SMALL_STATE(8827)] = 294166,
  [SMALL_STATE(8828)] = 294173,
  [SMALL_STATE(8829)] = 294180,
  [SMALL_STATE(8830)] = 294187,
  [SMALL_STATE(8831)] = 294194,
  [SMALL_STATE(8832)] = 294201,
  [SMALL_STATE(8833)] = 294208,
  [SMALL_STATE(8834)] = 294215,
  [SMALL_STATE(8835)] = 294222,
  [SMALL_STATE(8836)] = 294229,
  [SMALL_STATE(8837)] = 294236,
  [SMALL_STATE(8838)] = 294243,
  [SMALL_STATE(8839)] = 294250,
  [SMALL_STATE(8840)] = 294257,
  [SMALL_STATE(8841)] = 294264,
  [SMALL_STATE(8842)] = 294271,
  [SMALL_STATE(8843)] = 294278,
  [SMALL_STATE(8844)] = 294285,
  [SMALL_STATE(8845)] = 294292,
  [SMALL_STATE(8846)] = 294299,
  [SMALL_STATE(8847)] = 294306,
  [SMALL_STATE(8848)] = 294313,
  [SMALL_STATE(8849)] = 294320,
  [SMALL_STATE(8850)] = 294327,
  [SMALL_STATE(8851)] = 294334,
  [SMALL_STATE(8852)] = 294341,
  [SMALL_STATE(8853)] = 294348,
  [SMALL_STATE(8854)] = 294355,
  [SMALL_STATE(8855)] = 294362,
  [SMALL_STATE(8856)] = 294369,
  [SMALL_STATE(8857)] = 294376,
  [SMALL_STATE(8858)] = 294383,
  [SMALL_STATE(8859)] = 294390,
  [SMALL_STATE(8860)] = 294397,
  [SMALL_STATE(8861)] = 294404,
  [SMALL_STATE(8862)] = 294411,
  [SMALL_STATE(8863)] = 294418,
  [SMALL_STATE(8864)] = 294425,
  [SMALL_STATE(8865)] = 294432,
  [SMALL_STATE(8866)] = 294439,
  [SMALL_STATE(8867)] = 294446,
  [SMALL_STATE(8868)] = 294453,
  [SMALL_STATE(8869)] = 294460,
  [SMALL_STATE(8870)] = 294467,
  [SMALL_STATE(8871)] = 294474,
  [SMALL_STATE(8872)] = 294481,
  [SMALL_STATE(8873)] = 294488,
  [SMALL_STATE(8874)] = 294495,
  [SMALL_STATE(8875)] = 294502,
  [SMALL_STATE(8876)] = 294509,
  [SMALL_STATE(8877)] = 294516,
  [SMALL_STATE(8878)] = 294523,
  [SMALL_STATE(8879)] = 294530,
  [SMALL_STATE(8880)] = 294537,
  [SMALL_STATE(8881)] = 294544,
  [SMALL_STATE(8882)] = 294551,
  [SMALL_STATE(8883)] = 294558,
  [SMALL_STATE(8884)] = 294565,
  [SMALL_STATE(8885)] = 294572,
  [SMALL_STATE(8886)] = 294579,
  [SMALL_STATE(8887)] = 294586,
  [SMALL_STATE(8888)] = 294593,
  [SMALL_STATE(8889)] = 294600,
  [SMALL_STATE(8890)] = 294607,
  [SMALL_STATE(8891)] = 294614,
  [SMALL_STATE(8892)] = 294621,
  [SMALL_STATE(8893)] = 294628,
  [SMALL_STATE(8894)] = 294635,
  [SMALL_STATE(8895)] = 294642,
  [SMALL_STATE(8896)] = 294649,
  [SMALL_STATE(8897)] = 294656,
  [SMALL_STATE(8898)] = 294663,
  [SMALL_STATE(8899)] = 294670,
  [SMALL_STATE(8900)] = 294677,
  [SMALL_STATE(8901)] = 294684,
  [SMALL_STATE(8902)] = 294691,
  [SMALL_STATE(8903)] = 294698,
  [SMALL_STATE(8904)] = 294705,
  [SMALL_STATE(8905)] = 294712,
  [SMALL_STATE(8906)] = 294719,
  [SMALL_STATE(8907)] = 294726,
  [SMALL_STATE(8908)] = 294733,
  [SMALL_STATE(8909)] = 294740,
  [SMALL_STATE(8910)] = 294747,
  [SMALL_STATE(8911)] = 294754,
  [SMALL_STATE(8912)] = 294761,
  [SMALL_STATE(8913)] = 294768,
  [SMALL_STATE(8914)] = 294775,
  [SMALL_STATE(8915)] = 294782,
  [SMALL_STATE(8916)] = 294789,
  [SMALL_STATE(8917)] = 294796,
  [SMALL_STATE(8918)] = 294803,
  [SMALL_STATE(8919)] = 294810,
  [SMALL_STATE(8920)] = 294817,
  [SMALL_STATE(8921)] = 294824,
  [SMALL_STATE(8922)] = 294831,
  [SMALL_STATE(8923)] = 294838,
  [SMALL_STATE(8924)] = 294845,
  [SMALL_STATE(8925)] = 294852,
  [SMALL_STATE(8926)] = 294859,
  [SMALL_STATE(8927)] = 294866,
  [SMALL_STATE(8928)] = 294873,
  [SMALL_STATE(8929)] = 294880,
  [SMALL_STATE(8930)] = 294887,
  [SMALL_STATE(8931)] = 294894,
  [SMALL_STATE(8932)] = 294901,
  [SMALL_STATE(8933)] = 294908,
  [SMALL_STATE(8934)] = 294915,
  [SMALL_STATE(8935)] = 294922,
  [SMALL_STATE(8936)] = 294929,
  [SMALL_STATE(8937)] = 294936,
  [SMALL_STATE(8938)] = 294943,
  [SMALL_STATE(8939)] = 294950,
  [SMALL_STATE(8940)] = 294957,
  [SMALL_STATE(8941)] = 294964,
  [SMALL_STATE(8942)] = 294971,
  [SMALL_STATE(8943)] = 294978,
  [SMALL_STATE(8944)] = 294985,
  [SMALL_STATE(8945)] = 294992,
  [SMALL_STATE(8946)] = 294999,
  [SMALL_STATE(8947)] = 295006,
  [SMALL_STATE(8948)] = 295013,
  [SMALL_STATE(8949)] = 295020,
  [SMALL_STATE(8950)] = 295027,
  [SMALL_STATE(8951)] = 295034,
  [SMALL_STATE(8952)] = 295041,
  [SMALL_STATE(8953)] = 295048,
  [SMALL_STATE(8954)] = 295055,
  [SMALL_STATE(8955)] = 295062,
  [SMALL_STATE(8956)] = 295069,
  [SMALL_STATE(8957)] = 295076,
  [SMALL_STATE(8958)] = 295083,
  [SMALL_STATE(8959)] = 295090,
  [SMALL_STATE(8960)] = 295097,
  [SMALL_STATE(8961)] = 295104,
  [SMALL_STATE(8962)] = 295111,
  [SMALL_STATE(8963)] = 295118,
  [SMALL_STATE(8964)] = 295125,
  [SMALL_STATE(8965)] = 295132,
  [SMALL_STATE(8966)] = 295139,
  [SMALL_STATE(8967)] = 295146,
  [SMALL_STATE(8968)] = 295153,
  [SMALL_STATE(8969)] = 295160,
  [SMALL_STATE(8970)] = 295167,
  [SMALL_STATE(8971)] = 295174,
  [SMALL_STATE(8972)] = 295181,
  [SMALL_STATE(8973)] = 295188,
  [SMALL_STATE(8974)] = 295195,
  [SMALL_STATE(8975)] = 295202,
  [SMALL_STATE(8976)] = 295209,
  [SMALL_STATE(8977)] = 295216,
  [SMALL_STATE(8978)] = 295223,
  [SMALL_STATE(8979)] = 295230,
  [SMALL_STATE(8980)] = 295237,
  [SMALL_STATE(8981)] = 295244,
  [SMALL_STATE(8982)] = 295251,
  [SMALL_STATE(8983)] = 295258,
  [SMALL_STATE(8984)] = 295265,
  [SMALL_STATE(8985)] = 295272,
  [SMALL_STATE(8986)] = 295279,
  [SMALL_STATE(8987)] = 295286,
  [SMALL_STATE(8988)] = 295293,
  [SMALL_STATE(8989)] = 295300,
  [SMALL_STATE(8990)] = 295307,
  [SMALL_STATE(8991)] = 295314,
  [SMALL_STATE(8992)] = 295321,
  [SMALL_STATE(8993)] = 295328,
  [SMALL_STATE(8994)] = 295335,
  [SMALL_STATE(8995)] = 295342,
  [SMALL_STATE(8996)] = 295349,
  [SMALL_STATE(8997)] = 295356,
  [SMALL_STATE(8998)] = 295363,
  [SMALL_STATE(8999)] = 295370,
  [SMALL_STATE(9000)] = 295377,
  [SMALL_STATE(9001)] = 295384,
  [SMALL_STATE(9002)] = 295391,
  [SMALL_STATE(9003)] = 295398,
  [SMALL_STATE(9004)] = 295405,
  [SMALL_STATE(9005)] = 295412,
  [SMALL_STATE(9006)] = 295419,
  [SMALL_STATE(9007)] = 295426,
  [SMALL_STATE(9008)] = 295433,
  [SMALL_STATE(9009)] = 295440,
  [SMALL_STATE(9010)] = 295447,
  [SMALL_STATE(9011)] = 295454,
  [SMALL_STATE(9012)] = 295461,
  [SMALL_STATE(9013)] = 295468,
  [SMALL_STATE(9014)] = 295475,
  [SMALL_STATE(9015)] = 295482,
  [SMALL_STATE(9016)] = 295489,
  [SMALL_STATE(9017)] = 295496,
  [SMALL_STATE(9018)] = 295503,
  [SMALL_STATE(9019)] = 295510,
  [SMALL_STATE(9020)] = 295517,
  [SMALL_STATE(9021)] = 295524,
  [SMALL_STATE(9022)] = 295531,
  [SMALL_STATE(9023)] = 295538,
  [SMALL_STATE(9024)] = 295545,
  [SMALL_STATE(9025)] = 295552,
  [SMALL_STATE(9026)] = 295559,
  [SMALL_STATE(9027)] = 295566,
  [SMALL_STATE(9028)] = 295573,
  [SMALL_STATE(9029)] = 295580,
  [SMALL_STATE(9030)] = 295587,
  [SMALL_STATE(9031)] = 295594,
  [SMALL_STATE(9032)] = 295601,
  [SMALL_STATE(9033)] = 295608,
  [SMALL_STATE(9034)] = 295615,
  [SMALL_STATE(9035)] = 295622,
  [SMALL_STATE(9036)] = 295629,
  [SMALL_STATE(9037)] = 295636,
  [SMALL_STATE(9038)] = 295643,
  [SMALL_STATE(9039)] = 295650,
  [SMALL_STATE(9040)] = 295657,
  [SMALL_STATE(9041)] = 295664,
  [SMALL_STATE(9042)] = 295671,
  [SMALL_STATE(9043)] = 295678,
  [SMALL_STATE(9044)] = 295685,
  [SMALL_STATE(9045)] = 295692,
  [SMALL_STATE(9046)] = 295699,
  [SMALL_STATE(9047)] = 295706,
  [SMALL_STATE(9048)] = 295713,
  [SMALL_STATE(9049)] = 295720,
  [SMALL_STATE(9050)] = 295727,
  [SMALL_STATE(9051)] = 295734,
  [SMALL_STATE(9052)] = 295741,
  [SMALL_STATE(9053)] = 295748,
  [SMALL_STATE(9054)] = 295755,
  [SMALL_STATE(9055)] = 295762,
  [SMALL_STATE(9056)] = 295769,
  [SMALL_STATE(9057)] = 295776,
  [SMALL_STATE(9058)] = 295783,
  [SMALL_STATE(9059)] = 295790,
  [SMALL_STATE(9060)] = 295797,
  [SMALL_STATE(9061)] = 295804,
  [SMALL_STATE(9062)] = 295811,
  [SMALL_STATE(9063)] = 295818,
  [SMALL_STATE(9064)] = 295825,
  [SMALL_STATE(9065)] = 295832,
  [SMALL_STATE(9066)] = 295839,
  [SMALL_STATE(9067)] = 295846,
  [SMALL_STATE(9068)] = 295853,
  [SMALL_STATE(9069)] = 295860,
  [SMALL_STATE(9070)] = 295867,
  [SMALL_STATE(9071)] = 295874,
  [SMALL_STATE(9072)] = 295881,
  [SMALL_STATE(9073)] = 295888,
  [SMALL_STATE(9074)] = 295895,
  [SMALL_STATE(9075)] = 295902,
  [SMALL_STATE(9076)] = 295909,
  [SMALL_STATE(9077)] = 295916,
  [SMALL_STATE(9078)] = 295923,
  [SMALL_STATE(9079)] = 295930,
  [SMALL_STATE(9080)] = 295937,
  [SMALL_STATE(9081)] = 295944,
  [SMALL_STATE(9082)] = 295951,
  [SMALL_STATE(9083)] = 295958,
  [SMALL_STATE(9084)] = 295965,
  [SMALL_STATE(9085)] = 295972,
  [SMALL_STATE(9086)] = 295979,
  [SMALL_STATE(9087)] = 295986,
  [SMALL_STATE(9088)] = 295993,
  [SMALL_STATE(9089)] = 296000,
  [SMALL_STATE(9090)] = 296007,
  [SMALL_STATE(9091)] = 296014,
  [SMALL_STATE(9092)] = 296021,
  [SMALL_STATE(9093)] = 296028,
  [SMALL_STATE(9094)] = 296035,
  [SMALL_STATE(9095)] = 296042,
  [SMALL_STATE(9096)] = 296049,
  [SMALL_STATE(9097)] = 296056,
  [SMALL_STATE(9098)] = 296063,
  [SMALL_STATE(9099)] = 296070,
  [SMALL_STATE(9100)] = 296077,
  [SMALL_STATE(9101)] = 296084,
  [SMALL_STATE(9102)] = 296091,
  [SMALL_STATE(9103)] = 296098,
  [SMALL_STATE(9104)] = 296105,
  [SMALL_STATE(9105)] = 296112,
  [SMALL_STATE(9106)] = 296119,
  [SMALL_STATE(9107)] = 296126,
  [SMALL_STATE(9108)] = 296133,
  [SMALL_STATE(9109)] = 296140,
  [SMALL_STATE(9110)] = 296147,
  [SMALL_STATE(9111)] = 296154,
  [SMALL_STATE(9112)] = 296161,
  [SMALL_STATE(9113)] = 296168,
  [SMALL_STATE(9114)] = 296175,
  [SMALL_STATE(9115)] = 296182,
  [SMALL_STATE(9116)] = 296189,
  [SMALL_STATE(9117)] = 296196,
  [SMALL_STATE(9118)] = 296203,
  [SMALL_STATE(9119)] = 296210,
  [SMALL_STATE(9120)] = 296217,
  [SMALL_STATE(9121)] = 296224,
  [SMALL_STATE(9122)] = 296231,
  [SMALL_STATE(9123)] = 296238,
  [SMALL_STATE(9124)] = 296245,
  [SMALL_STATE(9125)] = 296252,
  [SMALL_STATE(9126)] = 296259,
  [SMALL_STATE(9127)] = 296266,
  [SMALL_STATE(9128)] = 296273,
  [SMALL_STATE(9129)] = 296280,
  [SMALL_STATE(9130)] = 296287,
  [SMALL_STATE(9131)] = 296294,
  [SMALL_STATE(9132)] = 296301,
  [SMALL_STATE(9133)] = 296308,
  [SMALL_STATE(9134)] = 296315,
  [SMALL_STATE(9135)] = 296322,
  [SMALL_STATE(9136)] = 296329,
  [SMALL_STATE(9137)] = 296336,
  [SMALL_STATE(9138)] = 296343,
  [SMALL_STATE(9139)] = 296350,
  [SMALL_STATE(9140)] = 296357,
  [SMALL_STATE(9141)] = 296364,
  [SMALL_STATE(9142)] = 296371,
  [SMALL_STATE(9143)] = 296378,
  [SMALL_STATE(9144)] = 296385,
  [SMALL_STATE(9145)] = 296392,
  [SMALL_STATE(9146)] = 296399,
  [SMALL_STATE(9147)] = 296406,
  [SMALL_STATE(9148)] = 296413,
  [SMALL_STATE(9149)] = 296420,
  [SMALL_STATE(9150)] = 296427,
  [SMALL_STATE(9151)] = 296434,
  [SMALL_STATE(9152)] = 296441,
  [SMALL_STATE(9153)] = 296448,
  [SMALL_STATE(9154)] = 296455,
  [SMALL_STATE(9155)] = 296462,
  [SMALL_STATE(9156)] = 296469,
  [SMALL_STATE(9157)] = 296476,
  [SMALL_STATE(9158)] = 296483,
  [SMALL_STATE(9159)] = 296490,
  [SMALL_STATE(9160)] = 296497,
  [SMALL_STATE(9161)] = 296504,
  [SMALL_STATE(9162)] = 296511,
  [SMALL_STATE(9163)] = 296518,
  [SMALL_STATE(9164)] = 296525,
  [SMALL_STATE(9165)] = 296532,
  [SMALL_STATE(9166)] = 296539,
  [SMALL_STATE(9167)] = 296546,
  [SMALL_STATE(9168)] = 296553,
  [SMALL_STATE(9169)] = 296560,
  [SMALL_STATE(9170)] = 296567,
  [SMALL_STATE(9171)] = 296574,
  [SMALL_STATE(9172)] = 296581,
  [SMALL_STATE(9173)] = 296588,
  [SMALL_STATE(9174)] = 296595,
  [SMALL_STATE(9175)] = 296602,
  [SMALL_STATE(9176)] = 296609,
  [SMALL_STATE(9177)] = 296616,
  [SMALL_STATE(9178)] = 296623,
  [SMALL_STATE(9179)] = 296630,
  [SMALL_STATE(9180)] = 296637,
  [SMALL_STATE(9181)] = 296644,
  [SMALL_STATE(9182)] = 296651,
  [SMALL_STATE(9183)] = 296658,
  [SMALL_STATE(9184)] = 296665,
  [SMALL_STATE(9185)] = 296672,
  [SMALL_STATE(9186)] = 296679,
  [SMALL_STATE(9187)] = 296686,
  [SMALL_STATE(9188)] = 296693,
  [SMALL_STATE(9189)] = 296700,
  [SMALL_STATE(9190)] = 296707,
  [SMALL_STATE(9191)] = 296714,
  [SMALL_STATE(9192)] = 296721,
  [SMALL_STATE(9193)] = 296728,
  [SMALL_STATE(9194)] = 296735,
  [SMALL_STATE(9195)] = 296742,
  [SMALL_STATE(9196)] = 296749,
  [SMALL_STATE(9197)] = 296756,
  [SMALL_STATE(9198)] = 296763,
  [SMALL_STATE(9199)] = 296770,
  [SMALL_STATE(9200)] = 296777,
  [SMALL_STATE(9201)] = 296784,
  [SMALL_STATE(9202)] = 296791,
  [SMALL_STATE(9203)] = 296798,
  [SMALL_STATE(9204)] = 296805,
  [SMALL_STATE(9205)] = 296812,
  [SMALL_STATE(9206)] = 296819,
  [SMALL_STATE(9207)] = 296826,
  [SMALL_STATE(9208)] = 296833,
  [SMALL_STATE(9209)] = 296840,
  [SMALL_STATE(9210)] = 296847,
  [SMALL_STATE(9211)] = 296854,
  [SMALL_STATE(9212)] = 296861,
  [SMALL_STATE(9213)] = 296868,
  [SMALL_STATE(9214)] = 296875,
  [SMALL_STATE(9215)] = 296882,
  [SMALL_STATE(9216)] = 296889,
  [SMALL_STATE(9217)] = 296896,
  [SMALL_STATE(9218)] = 296903,
  [SMALL_STATE(9219)] = 296910,
  [SMALL_STATE(9220)] = 296917,
  [SMALL_STATE(9221)] = 296924,
  [SMALL_STATE(9222)] = 296931,
  [SMALL_STATE(9223)] = 296938,
  [SMALL_STATE(9224)] = 296945,
  [SMALL_STATE(9225)] = 296952,
  [SMALL_STATE(9226)] = 296959,
  [SMALL_STATE(9227)] = 296966,
  [SMALL_STATE(9228)] = 296973,
  [SMALL_STATE(9229)] = 296980,
  [SMALL_STATE(9230)] = 296987,
  [SMALL_STATE(9231)] = 296994,
  [SMALL_STATE(9232)] = 297001,
  [SMALL_STATE(9233)] = 297008,
  [SMALL_STATE(9234)] = 297015,
  [SMALL_STATE(9235)] = 297022,
  [SMALL_STATE(9236)] = 297029,
  [SMALL_STATE(9237)] = 297036,
  [SMALL_STATE(9238)] = 297043,
  [SMALL_STATE(9239)] = 297050,
  [SMALL_STATE(9240)] = 297057,
  [SMALL_STATE(9241)] = 297064,
  [SMALL_STATE(9242)] = 297071,
  [SMALL_STATE(9243)] = 297078,
  [SMALL_STATE(9244)] = 297085,
  [SMALL_STATE(9245)] = 297092,
  [SMALL_STATE(9246)] = 297099,
  [SMALL_STATE(9247)] = 297106,
  [SMALL_STATE(9248)] = 297113,
  [SMALL_STATE(9249)] = 297120,
  [SMALL_STATE(9250)] = 297127,
  [SMALL_STATE(9251)] = 297134,
  [SMALL_STATE(9252)] = 297141,
  [SMALL_STATE(9253)] = 297148,
  [SMALL_STATE(9254)] = 297155,
  [SMALL_STATE(9255)] = 297162,
  [SMALL_STATE(9256)] = 297169,
  [SMALL_STATE(9257)] = 297176,
  [SMALL_STATE(9258)] = 297183,
  [SMALL_STATE(9259)] = 297190,
  [SMALL_STATE(9260)] = 297197,
  [SMALL_STATE(9261)] = 297204,
  [SMALL_STATE(9262)] = 297211,
  [SMALL_STATE(9263)] = 297218,
  [SMALL_STATE(9264)] = 297225,
  [SMALL_STATE(9265)] = 297232,
  [SMALL_STATE(9266)] = 297239,
  [SMALL_STATE(9267)] = 297246,
  [SMALL_STATE(9268)] = 297253,
  [SMALL_STATE(9269)] = 297260,
  [SMALL_STATE(9270)] = 297267,
  [SMALL_STATE(9271)] = 297274,
  [SMALL_STATE(9272)] = 297281,
  [SMALL_STATE(9273)] = 297288,
  [SMALL_STATE(9274)] = 297295,
  [SMALL_STATE(9275)] = 297302,
  [SMALL_STATE(9276)] = 297309,
  [SMALL_STATE(9277)] = 297316,
  [SMALL_STATE(9278)] = 297323,
  [SMALL_STATE(9279)] = 297330,
  [SMALL_STATE(9280)] = 297337,
  [SMALL_STATE(9281)] = 297344,
  [SMALL_STATE(9282)] = 297351,
  [SMALL_STATE(9283)] = 297358,
  [SMALL_STATE(9284)] = 297365,
  [SMALL_STATE(9285)] = 297372,
  [SMALL_STATE(9286)] = 297379,
  [SMALL_STATE(9287)] = 297386,
  [SMALL_STATE(9288)] = 297393,
  [SMALL_STATE(9289)] = 297400,
  [SMALL_STATE(9290)] = 297407,
  [SMALL_STATE(9291)] = 297414,
  [SMALL_STATE(9292)] = 297421,
  [SMALL_STATE(9293)] = 297428,
  [SMALL_STATE(9294)] = 297435,
  [SMALL_STATE(9295)] = 297442,
  [SMALL_STATE(9296)] = 297449,
  [SMALL_STATE(9297)] = 297456,
  [SMALL_STATE(9298)] = 297463,
  [SMALL_STATE(9299)] = 297470,
  [SMALL_STATE(9300)] = 297477,
  [SMALL_STATE(9301)] = 297484,
  [SMALL_STATE(9302)] = 297491,
  [SMALL_STATE(9303)] = 297498,
  [SMALL_STATE(9304)] = 297505,
  [SMALL_STATE(9305)] = 297512,
  [SMALL_STATE(9306)] = 297519,
  [SMALL_STATE(9307)] = 297526,
  [SMALL_STATE(9308)] = 297533,
  [SMALL_STATE(9309)] = 297540,
  [SMALL_STATE(9310)] = 297547,
  [SMALL_STATE(9311)] = 297554,
  [SMALL_STATE(9312)] = 297561,
  [SMALL_STATE(9313)] = 297568,
  [SMALL_STATE(9314)] = 297575,
  [SMALL_STATE(9315)] = 297582,
  [SMALL_STATE(9316)] = 297589,
  [SMALL_STATE(9317)] = 297596,
  [SMALL_STATE(9318)] = 297603,
  [SMALL_STATE(9319)] = 297610,
  [SMALL_STATE(9320)] = 297617,
  [SMALL_STATE(9321)] = 297624,
  [SMALL_STATE(9322)] = 297631,
  [SMALL_STATE(9323)] = 297638,
  [SMALL_STATE(9324)] = 297645,
  [SMALL_STATE(9325)] = 297652,
  [SMALL_STATE(9326)] = 297659,
  [SMALL_STATE(9327)] = 297666,
  [SMALL_STATE(9328)] = 297673,
  [SMALL_STATE(9329)] = 297680,
  [SMALL_STATE(9330)] = 297687,
  [SMALL_STATE(9331)] = 297694,
  [SMALL_STATE(9332)] = 297701,
  [SMALL_STATE(9333)] = 297708,
  [SMALL_STATE(9334)] = 297715,
  [SMALL_STATE(9335)] = 297722,
  [SMALL_STATE(9336)] = 297729,
  [SMALL_STATE(9337)] = 297736,
  [SMALL_STATE(9338)] = 297743,
  [SMALL_STATE(9339)] = 297750,
  [SMALL_STATE(9340)] = 297757,
  [SMALL_STATE(9341)] = 297764,
  [SMALL_STATE(9342)] = 297771,
  [SMALL_STATE(9343)] = 297778,
  [SMALL_STATE(9344)] = 297785,
  [SMALL_STATE(9345)] = 297792,
  [SMALL_STATE(9346)] = 297799,
  [SMALL_STATE(9347)] = 297806,
  [SMALL_STATE(9348)] = 297813,
  [SMALL_STATE(9349)] = 297820,
  [SMALL_STATE(9350)] = 297827,
  [SMALL_STATE(9351)] = 297834,
  [SMALL_STATE(9352)] = 297841,
  [SMALL_STATE(9353)] = 297848,
  [SMALL_STATE(9354)] = 297855,
  [SMALL_STATE(9355)] = 297862,
  [SMALL_STATE(9356)] = 297869,
  [SMALL_STATE(9357)] = 297876,
  [SMALL_STATE(9358)] = 297883,
  [SMALL_STATE(9359)] = 297890,
  [SMALL_STATE(9360)] = 297897,
  [SMALL_STATE(9361)] = 297904,
  [SMALL_STATE(9362)] = 297911,
  [SMALL_STATE(9363)] = 297918,
  [SMALL_STATE(9364)] = 297925,
  [SMALL_STATE(9365)] = 297932,
  [SMALL_STATE(9366)] = 297939,
  [SMALL_STATE(9367)] = 297946,
  [SMALL_STATE(9368)] = 297953,
  [SMALL_STATE(9369)] = 297960,
  [SMALL_STATE(9370)] = 297967,
  [SMALL_STATE(9371)] = 297974,
  [SMALL_STATE(9372)] = 297981,
  [SMALL_STATE(9373)] = 297988,
  [SMALL_STATE(9374)] = 297995,
  [SMALL_STATE(9375)] = 298002,
  [SMALL_STATE(9376)] = 298009,
  [SMALL_STATE(9377)] = 298016,
  [SMALL_STATE(9378)] = 298023,
  [SMALL_STATE(9379)] = 298030,
  [SMALL_STATE(9380)] = 298037,
  [SMALL_STATE(9381)] = 298044,
  [SMALL_STATE(9382)] = 298051,
  [SMALL_STATE(9383)] = 298058,
  [SMALL_STATE(9384)] = 298065,
  [SMALL_STATE(9385)] = 298072,
  [SMALL_STATE(9386)] = 298079,
  [SMALL_STATE(9387)] = 298086,
  [SMALL_STATE(9388)] = 298093,
  [SMALL_STATE(9389)] = 298100,
  [SMALL_STATE(9390)] = 298107,
  [SMALL_STATE(9391)] = 298114,
  [SMALL_STATE(9392)] = 298121,
  [SMALL_STATE(9393)] = 298128,
  [SMALL_STATE(9394)] = 298135,
  [SMALL_STATE(9395)] = 298142,
  [SMALL_STATE(9396)] = 298149,
  [SMALL_STATE(9397)] = 298156,
  [SMALL_STATE(9398)] = 298163,
  [SMALL_STATE(9399)] = 298170,
  [SMALL_STATE(9400)] = 298177,
  [SMALL_STATE(9401)] = 298184,
  [SMALL_STATE(9402)] = 298191,
  [SMALL_STATE(9403)] = 298198,
  [SMALL_STATE(9404)] = 298205,
  [SMALL_STATE(9405)] = 298212,
  [SMALL_STATE(9406)] = 298219,
  [SMALL_STATE(9407)] = 298226,
  [SMALL_STATE(9408)] = 298233,
  [SMALL_STATE(9409)] = 298240,
  [SMALL_STATE(9410)] = 298247,
  [SMALL_STATE(9411)] = 298254,
  [SMALL_STATE(9412)] = 298261,
  [SMALL_STATE(9413)] = 298268,
  [SMALL_STATE(9414)] = 298275,
  [SMALL_STATE(9415)] = 298282,
  [SMALL_STATE(9416)] = 298289,
  [SMALL_STATE(9417)] = 298296,
  [SMALL_STATE(9418)] = 298303,
  [SMALL_STATE(9419)] = 298310,
  [SMALL_STATE(9420)] = 298317,
  [SMALL_STATE(9421)] = 298324,
  [SMALL_STATE(9422)] = 298331,
  [SMALL_STATE(9423)] = 298338,
  [SMALL_STATE(9424)] = 298345,
  [SMALL_STATE(9425)] = 298352,
  [SMALL_STATE(9426)] = 298359,
  [SMALL_STATE(9427)] = 298366,
  [SMALL_STATE(9428)] = 298373,
  [SMALL_STATE(9429)] = 298380,
  [SMALL_STATE(9430)] = 298387,
  [SMALL_STATE(9431)] = 298394,
  [SMALL_STATE(9432)] = 298401,
  [SMALL_STATE(9433)] = 298408,
  [SMALL_STATE(9434)] = 298415,
  [SMALL_STATE(9435)] = 298422,
  [SMALL_STATE(9436)] = 298429,
  [SMALL_STATE(9437)] = 298436,
  [SMALL_STATE(9438)] = 298443,
  [SMALL_STATE(9439)] = 298450,
  [SMALL_STATE(9440)] = 298457,
  [SMALL_STATE(9441)] = 298464,
  [SMALL_STATE(9442)] = 298471,
  [SMALL_STATE(9443)] = 298478,
  [SMALL_STATE(9444)] = 298485,
  [SMALL_STATE(9445)] = 298492,
  [SMALL_STATE(9446)] = 298499,
  [SMALL_STATE(9447)] = 298506,
  [SMALL_STATE(9448)] = 298513,
  [SMALL_STATE(9449)] = 298520,
  [SMALL_STATE(9450)] = 298527,
  [SMALL_STATE(9451)] = 298534,
  [SMALL_STATE(9452)] = 298541,
  [SMALL_STATE(9453)] = 298548,
  [SMALL_STATE(9454)] = 298555,
  [SMALL_STATE(9455)] = 298562,
  [SMALL_STATE(9456)] = 298569,
  [SMALL_STATE(9457)] = 298576,
  [SMALL_STATE(9458)] = 298583,
  [SMALL_STATE(9459)] = 298590,
  [SMALL_STATE(9460)] = 298597,
  [SMALL_STATE(9461)] = 298604,
  [SMALL_STATE(9462)] = 298611,
  [SMALL_STATE(9463)] = 298618,
  [SMALL_STATE(9464)] = 298625,
  [SMALL_STATE(9465)] = 298632,
  [SMALL_STATE(9466)] = 298639,
  [SMALL_STATE(9467)] = 298646,
  [SMALL_STATE(9468)] = 298653,
  [SMALL_STATE(9469)] = 298660,
  [SMALL_STATE(9470)] = 298667,
  [SMALL_STATE(9471)] = 298674,
  [SMALL_STATE(9472)] = 298681,
  [SMALL_STATE(9473)] = 298688,
  [SMALL_STATE(9474)] = 298695,
  [SMALL_STATE(9475)] = 298702,
  [SMALL_STATE(9476)] = 298709,
  [SMALL_STATE(9477)] = 298716,
  [SMALL_STATE(9478)] = 298723,
  [SMALL_STATE(9479)] = 298730,
  [SMALL_STATE(9480)] = 298737,
  [SMALL_STATE(9481)] = 298744,
  [SMALL_STATE(9482)] = 298751,
  [SMALL_STATE(9483)] = 298758,
  [SMALL_STATE(9484)] = 298765,
  [SMALL_STATE(9485)] = 298772,
  [SMALL_STATE(9486)] = 298779,
  [SMALL_STATE(9487)] = 298786,
  [SMALL_STATE(9488)] = 298793,
  [SMALL_STATE(9489)] = 298800,
  [SMALL_STATE(9490)] = 298807,
  [SMALL_STATE(9491)] = 298814,
  [SMALL_STATE(9492)] = 298821,
  [SMALL_STATE(9493)] = 298828,
  [SMALL_STATE(9494)] = 298835,
  [SMALL_STATE(9495)] = 298842,
  [SMALL_STATE(9496)] = 298849,
  [SMALL_STATE(9497)] = 298856,
  [SMALL_STATE(9498)] = 298863,
  [SMALL_STATE(9499)] = 298870,
  [SMALL_STATE(9500)] = 298877,
  [SMALL_STATE(9501)] = 298884,
  [SMALL_STATE(9502)] = 298891,
  [SMALL_STATE(9503)] = 298898,
  [SMALL_STATE(9504)] = 298905,
  [SMALL_STATE(9505)] = 298912,
  [SMALL_STATE(9506)] = 298919,
  [SMALL_STATE(9507)] = 298926,
  [SMALL_STATE(9508)] = 298933,
  [SMALL_STATE(9509)] = 298940,
  [SMALL_STATE(9510)] = 298947,
  [SMALL_STATE(9511)] = 298954,
  [SMALL_STATE(9512)] = 298961,
  [SMALL_STATE(9513)] = 298968,
  [SMALL_STATE(9514)] = 298975,
  [SMALL_STATE(9515)] = 298982,
  [SMALL_STATE(9516)] = 298989,
  [SMALL_STATE(9517)] = 298996,
  [SMALL_STATE(9518)] = 299003,
  [SMALL_STATE(9519)] = 299010,
  [SMALL_STATE(9520)] = 299017,
  [SMALL_STATE(9521)] = 299024,
  [SMALL_STATE(9522)] = 299031,
  [SMALL_STATE(9523)] = 299038,
  [SMALL_STATE(9524)] = 299045,
  [SMALL_STATE(9525)] = 299052,
  [SMALL_STATE(9526)] = 299059,
  [SMALL_STATE(9527)] = 299066,
  [SMALL_STATE(9528)] = 299073,
  [SMALL_STATE(9529)] = 299080,
  [SMALL_STATE(9530)] = 299087,
  [SMALL_STATE(9531)] = 299094,
  [SMALL_STATE(9532)] = 299101,
  [SMALL_STATE(9533)] = 299108,
  [SMALL_STATE(9534)] = 299115,
  [SMALL_STATE(9535)] = 299122,
  [SMALL_STATE(9536)] = 299129,
  [SMALL_STATE(9537)] = 299136,
  [SMALL_STATE(9538)] = 299143,
  [SMALL_STATE(9539)] = 299150,
  [SMALL_STATE(9540)] = 299157,
  [SMALL_STATE(9541)] = 299164,
  [SMALL_STATE(9542)] = 299171,
  [SMALL_STATE(9543)] = 299178,
  [SMALL_STATE(9544)] = 299185,
  [SMALL_STATE(9545)] = 299192,
  [SMALL_STATE(9546)] = 299199,
  [SMALL_STATE(9547)] = 299206,
  [SMALL_STATE(9548)] = 299213,
  [SMALL_STATE(9549)] = 299220,
  [SMALL_STATE(9550)] = 299227,
  [SMALL_STATE(9551)] = 299234,
  [SMALL_STATE(9552)] = 299241,
  [SMALL_STATE(9553)] = 299248,
  [SMALL_STATE(9554)] = 299255,
  [SMALL_STATE(9555)] = 299262,
  [SMALL_STATE(9556)] = 299269,
  [SMALL_STATE(9557)] = 299276,
  [SMALL_STATE(9558)] = 299283,
  [SMALL_STATE(9559)] = 299290,
  [SMALL_STATE(9560)] = 299297,
  [SMALL_STATE(9561)] = 299304,
  [SMALL_STATE(9562)] = 299311,
  [SMALL_STATE(9563)] = 299318,
  [SMALL_STATE(9564)] = 299325,
  [SMALL_STATE(9565)] = 299332,
  [SMALL_STATE(9566)] = 299339,
  [SMALL_STATE(9567)] = 299346,
  [SMALL_STATE(9568)] = 299353,
  [SMALL_STATE(9569)] = 299360,
  [SMALL_STATE(9570)] = 299367,
  [SMALL_STATE(9571)] = 299374,
  [SMALL_STATE(9572)] = 299381,
  [SMALL_STATE(9573)] = 299388,
  [SMALL_STATE(9574)] = 299395,
  [SMALL_STATE(9575)] = 299402,
  [SMALL_STATE(9576)] = 299409,
  [SMALL_STATE(9577)] = 299416,
  [SMALL_STATE(9578)] = 299423,
  [SMALL_STATE(9579)] = 299430,
  [SMALL_STATE(9580)] = 299437,
  [SMALL_STATE(9581)] = 299444,
  [SMALL_STATE(9582)] = 299451,
  [SMALL_STATE(9583)] = 299458,
  [SMALL_STATE(9584)] = 299465,
  [SMALL_STATE(9585)] = 299472,
  [SMALL_STATE(9586)] = 299479,
  [SMALL_STATE(9587)] = 299486,
  [SMALL_STATE(9588)] = 299493,
  [SMALL_STATE(9589)] = 299500,
  [SMALL_STATE(9590)] = 299507,
  [SMALL_STATE(9591)] = 299514,
  [SMALL_STATE(9592)] = 299521,
  [SMALL_STATE(9593)] = 299528,
  [SMALL_STATE(9594)] = 299535,
  [SMALL_STATE(9595)] = 299542,
  [SMALL_STATE(9596)] = 299549,
  [SMALL_STATE(9597)] = 299556,
  [SMALL_STATE(9598)] = 299563,
  [SMALL_STATE(9599)] = 299570,
  [SMALL_STATE(9600)] = 299577,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7210),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9593),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6220),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9591),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8626),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3410),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4353),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3021),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9502),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7166),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8247),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9476),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8235),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4715),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3238),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3684),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3517),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3146),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6811),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5933),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5937),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5967),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8199),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8255),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9457),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8292),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9455),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9454),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9453),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9452),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9451),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9450),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9449),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7395),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4869),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4869),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8134),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7620),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5554),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4592),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3663),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9442),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3196),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9440),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4943),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5716),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8320),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7326),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7129),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9432),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9431),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8333),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5530),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6077),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7209),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8956),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9501),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6135),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8864),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8464),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3511),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4326),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3010),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3499),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7954),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8276),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9148),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8462),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9044),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9146),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9145),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8941),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8321),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8896),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9513),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4548),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8284),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7311),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7097),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9395),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9396),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7208),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8672),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6126),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8671),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6154),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9025),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8476),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3487),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4376),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3433),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8161),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8575),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8695),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8278),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9394),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8750),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8748),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8667),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8597),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8708),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8582),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7287),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7126),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9473),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9474),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7198),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8758),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6143),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8676),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8261),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3482),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4323),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3046),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3411),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7824),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8545),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8961),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8577),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9472),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8712),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8715),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8685),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8518),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8767),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8536),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7305),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7108),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9494),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9485),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, .production_id = 8),
  [431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1277),
  [434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7208),
  [437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8672),
  [440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6126),
  [443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2),
  [445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8671),
  [448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8476),
  [451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(150),
  [454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1750),
  [457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1751),
  [460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1750),
  [463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(388),
  [466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5865),
  [469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1131),
  [472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(284),
  [475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3487),
  [478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4376),
  [481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3020),
  [484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9502),
  [487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7166),
  [490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8247),
  [493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9476),
  [496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8235),
  [499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4715),
  [502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(73),
  [505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3238),
  [508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1336),
  [511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3684),
  [514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3433),
  [517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2248),
  [520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3146),
  [523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6811),
  [526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5933),
  [529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5937),
  [532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5967),
  [535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8161),
  [538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8575),
  [541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1612),
  [544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8695),
  [547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8278),
  [550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(175),
  [553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9394),
  [556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1309),
  [559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8750),
  [562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8748),
  [565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8667),
  [568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8597),
  [571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8708),
  [574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1814),
  [577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1502),
  [580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9451),
  [583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9450),
  [586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9449),
  [589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7395),
  [592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4869),
  [595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4869),
  [598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8134),
  [601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7620),
  [604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4548),
  [607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4592),
  [610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3663),
  [613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9442),
  [616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3196),
  [619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9440),
  [622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4943),
  [625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5716),
  [628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1954),
  [631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1084),
  [634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8582),
  [637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1848),
  [640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1547),
  [643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7287),
  [646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7126),
  [649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9473),
  [652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9474),
  [655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1545),
  [658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1908),
  [661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8333),
  [664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1880),
  [667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5530),
  [670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6077),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, .production_id = 78),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, .production_id = 78),
  [685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, .production_id = 8),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1286),
  [700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7198),
  [703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8758),
  [706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6143),
  [709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8676),
  [712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8261),
  [715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(474),
  [718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3482),
  [721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4323),
  [724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3046),
  [727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(74),
  [730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3411),
  [733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7824),
  [736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8545),
  [739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1618),
  [742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8961),
  [745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8577),
  [748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(172),
  [751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9472),
  [754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1295),
  [757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8712),
  [760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8715),
  [763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8685),
  [766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8518),
  [769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8767),
  [772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1952),
  [775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8536),
  [778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1507),
  [781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7305),
  [784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7108),
  [787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9494),
  [790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9485),
  [793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1506),
  [796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1572),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1287),
  [808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7209),
  [811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8956),
  [814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6135),
  [817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8864),
  [820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8464),
  [823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(796),
  [826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3511),
  [829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4326),
  [832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3010),
  [835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(81),
  [838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2),
  [840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3499),
  [843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7954),
  [846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8276),
  [849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1599),
  [852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9148),
  [855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8462),
  [858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(227),
  [861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9044),
  [864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1296),
  [867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9146),
  [870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9145),
  [873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8941),
  [876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8321),
  [879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8896),
  [882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1953),
  [885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8284),
  [888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1480),
  [891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7311),
  [894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7097),
  [897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9395),
  [900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9396),
  [903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1482),
  [906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1608),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5125),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4447),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7211),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8824),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6149),
  [923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8759),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8471),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3477),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4347),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3036),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3406),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7867),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8467),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9163),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8541),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9483),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8953),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8967),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8768),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8448),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8993),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8460),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7309),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7111),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9503),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9495),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4507),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6450),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6462),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6683),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6686),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5091),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [1081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1279),
  [1084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7211),
  [1087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8824),
  [1090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6149),
  [1093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8759),
  [1096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8471),
  [1099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(769),
  [1102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3477),
  [1105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4347),
  [1108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3036),
  [1111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(63),
  [1114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3406),
  [1117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7867),
  [1120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8467),
  [1123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1737),
  [1126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9163),
  [1129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8541),
  [1132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(171),
  [1135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9483),
  [1138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1301),
  [1141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8953),
  [1144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8967),
  [1147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8768),
  [1150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8448),
  [1153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8993),
  [1156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1951),
  [1159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8460),
  [1162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1487),
  [1165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7309),
  [1168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7111),
  [1171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9503),
  [1174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9495),
  [1177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1485),
  [1180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1712),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1),
  [1187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2),
  [1189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1304),
  [1192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7210),
  [1195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9593),
  [1198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(6220),
  [1201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9591),
  [1204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8626),
  [1207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(150),
  [1210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1750),
  [1213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1751),
  [1216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1750),
  [1219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(388),
  [1222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5865),
  [1225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1131),
  [1228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3410),
  [1231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(4353),
  [1234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3021),
  [1237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9502),
  [1240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7166),
  [1243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8247),
  [1246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9476),
  [1249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8235),
  [1252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(4715),
  [1255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(84),
  [1258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3238),
  [1261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1336),
  [1264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3684),
  [1267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3517),
  [1270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2248),
  [1273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3146),
  [1276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(6811),
  [1279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5933),
  [1282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5937),
  [1285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5967),
  [1288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8199),
  [1291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8255),
  [1294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1786),
  [1297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9457),
  [1300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8292),
  [1303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(192),
  [1306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9455),
  [1309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1306),
  [1312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9454),
  [1315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9453),
  [1318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9452),
  [1321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1814),
  [1324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1502),
  [1327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9451),
  [1330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9450),
  [1333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9449),
  [1336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7395),
  [1339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(4869),
  [1342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(4869),
  [1345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8134),
  [1348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7620),
  [1351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5554),
  [1354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(4592),
  [1357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3663),
  [1360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9442),
  [1363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3196),
  [1366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9440),
  [1369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(4943),
  [1372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5716),
  [1375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1950),
  [1378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1084),
  [1381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8320),
  [1384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1848),
  [1387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1434),
  [1390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7326),
  [1393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7129),
  [1396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9432),
  [1399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9431),
  [1402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1465),
  [1405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1867),
  [1408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8333),
  [1411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1880),
  [1414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5530),
  [1417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(6077),
  [1420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, .production_id = 12),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [1426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, .production_id = 12),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8572),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8548),
  [1438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1281),
  [1441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2),
  [1443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(242),
  [1446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1750),
  [1449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1750),
  [1452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1882),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2),
  [1457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1882),
  [1460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(284),
  [1463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3487),
  [1466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4376),
  [1469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3684),
  [1472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9502),
  [1475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7166),
  [1478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8572),
  [1481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9476),
  [1484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(73),
  [1487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3238),
  [1490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1368),
  [1493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2248),
  [1496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3146),
  [1499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(6811),
  [1502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5933),
  [1505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5937),
  [1508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5967),
  [1511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8161),
  [1514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8575),
  [1517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8278),
  [1520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(175),
  [1523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9394),
  [1526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1309),
  [1529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8750),
  [1532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8748),
  [1535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8667),
  [1538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8597),
  [1541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8708),
  [1544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1814),
  [1547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1502),
  [1550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9451),
  [1553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9450),
  [1556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9449),
  [1559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7395),
  [1562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4869),
  [1565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4869),
  [1568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8134),
  [1571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7620),
  [1574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4548),
  [1577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4592),
  [1580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3663),
  [1583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9442),
  [1586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3196),
  [1589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9440),
  [1592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5716),
  [1595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8548),
  [1598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8582),
  [1601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1848),
  [1604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1547),
  [1607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1545),
  [1610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1908),
  [1613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8333),
  [1616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1880),
  [1619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5530),
  [1622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(6077),
  [1625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, .production_id = 12),
  [1627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, .production_id = 12),
  [1629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3),
  [1631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3),
  [1633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2),
  [1635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [1639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1283),
  [1642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(474),
  [1645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3482),
  [1648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4323),
  [1651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(74),
  [1654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7824),
  [1657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8545),
  [1660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8577),
  [1663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(172),
  [1666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9472),
  [1669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1295),
  [1672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8712),
  [1675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8715),
  [1678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8685),
  [1681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8518),
  [1684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8767),
  [1687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8536),
  [1690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1507),
  [1693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1506),
  [1696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1572),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [1701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1278),
  [1704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(796),
  [1707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3511),
  [1710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4326),
  [1713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(81),
  [1716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7954),
  [1719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8276),
  [1722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8462),
  [1725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(227),
  [1728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9044),
  [1731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1296),
  [1734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9146),
  [1737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9145),
  [1740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8941),
  [1743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8321),
  [1746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8896),
  [1749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8284),
  [1752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1480),
  [1755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1482),
  [1758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1608),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8305),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9120),
  [1771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1282),
  [1774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(769),
  [1777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3477),
  [1780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4347),
  [1783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(63),
  [1786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7867),
  [1789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8467),
  [1792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8541),
  [1795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(171),
  [1798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9483),
  [1801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1301),
  [1804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8953),
  [1807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8967),
  [1810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8768),
  [1813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8448),
  [1816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8993),
  [1819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8460),
  [1822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1487),
  [1825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1485),
  [1828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1712),
  [1831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1273),
  [1834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(634),
  [1837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3410),
  [1840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4353),
  [1843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(84),
  [1846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8199),
  [1849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8255),
  [1852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8292),
  [1855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(192),
  [1858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9455),
  [1861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1306),
  [1864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9454),
  [1867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9453),
  [1870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9452),
  [1873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8305),
  [1876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9120),
  [1879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8320),
  [1882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1434),
  [1885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1465),
  [1888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1867),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4651),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4319),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7942),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8405),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8465),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9493),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9165),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9169),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8829),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8394),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9191),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8348),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [1931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1276),
  [1934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1182),
  [1937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4651),
  [1940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4319),
  [1943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(80),
  [1946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7942),
  [1949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8405),
  [1952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8465),
  [1955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(169),
  [1958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9493),
  [1961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1291),
  [1964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9165),
  [1967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9169),
  [1970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8829),
  [1973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8394),
  [1976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9191),
  [1979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8348),
  [1982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1467),
  [1985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1466),
  [1988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1741),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4656),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4296),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8556),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9411),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9446),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5025),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9208),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7147),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6831),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5886),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5887),
  [2027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5888),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9272),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9564),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9597),
  [2039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7384),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4382),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8066),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7722),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4439),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4411),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5672),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8355),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5537),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6084),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8054),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5674),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [2083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7146),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6819),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5911),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5930),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5947),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9047),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9555),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9594),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7358),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [2119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3817),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7818),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7502),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3981),
  [2127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3964),
  [2129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9049),
  [2133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5684),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3498),
  [2137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8437),
  [2141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5541),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6089),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, .production_id = 45),
  [2149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, .production_id = 45),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9224),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9558),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9595),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7352),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3180),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8136),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7567),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2907),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2909),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9052),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8279),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5559),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6080),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7142),
  [2201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3392),
  [2207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7870),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7515),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1707),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8237),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5525),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7168),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [2229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9329),
  [2231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9573),
  [2233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9600),
  [2235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7340),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [2239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3514),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8132),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7566),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3727),
  [2247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3725),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8523),
  [2253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [2255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5534),
  [2257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6098),
  [2259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2),
  [2261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2),
  [2263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [2265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [2273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7170),
  [2281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3850),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8167),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7593),
  [2291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8491),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [2297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [2301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2449),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [2305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8753),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [2309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2529),
  [2312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(242),
  [2315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1750),
  [2318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1750),
  [2321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1882),
  [2324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(796),
  [2327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7166),
  [2330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8572),
  [2333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(84),
  [2336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1368),
  [2339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(3146),
  [2342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7923),
  [2345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8255),
  [2348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1883),
  [2351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8753),
  [2354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8478),
  [2357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(192),
  [2360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9223),
  [2363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1306),
  [2366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9454),
  [2369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9453),
  [2372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9452),
  [2375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8334),
  [2378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8896),
  [2381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1814),
  [2384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1502),
  [2387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9451),
  [2390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9450),
  [2393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9449),
  [2396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7395),
  [2399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(4869),
  [2402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(4869),
  [2405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8134),
  [2408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7620),
  [2411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(4548),
  [2414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(4592),
  [2417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9052),
  [2420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8548),
  [2423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8320),
  [2426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1848),
  [2429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1434),
  [2432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1465),
  [2435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1867),
  [2438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8333),
  [2441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1880),
  [2444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(5530),
  [2447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(6077),
  [2450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [2452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7923),
  [2454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8478),
  [2456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9223),
  [2458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8334),
  [2460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2472),
  [2462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2530),
  [2465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(284),
  [2468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(73),
  [2471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8161),
  [2474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8575),
  [2477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1612),
  [2480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8695),
  [2483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8278),
  [2486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(175),
  [2489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9394),
  [2492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1309),
  [2495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8750),
  [2498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8748),
  [2501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8667),
  [2504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8597),
  [2507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8708),
  [2510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8582),
  [2513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1547),
  [2516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1545),
  [2519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1908),
  [2522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [2524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7150),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [2532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [2534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9292),
  [2536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9567),
  [2538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9598),
  [2540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7369),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3970),
  [2544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3970),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8138),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7655),
  [2550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4253),
  [2552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4239),
  [2554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8391),
  [2558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [2560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5548),
  [2562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6083),
  [2564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2449),
  [2567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1182),
  [2570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(80),
  [2573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7942),
  [2576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8405),
  [2579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8465),
  [2582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(169),
  [2585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9493),
  [2588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1291),
  [2591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9165),
  [2594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9169),
  [2597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8829),
  [2600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8394),
  [2603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9191),
  [2606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8348),
  [2609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1467),
  [2612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1466),
  [2615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1741),
  [2618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2472),
  [2621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(474),
  [2624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(74),
  [2627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7824),
  [2630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8545),
  [2633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1618),
  [2636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8961),
  [2639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8577),
  [2642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(172),
  [2645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9472),
  [2648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1295),
  [2651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8712),
  [2654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8715),
  [2657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8685),
  [2660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8518),
  [2663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8767),
  [2666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8536),
  [2669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1507),
  [2672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1506),
  [2675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1572),
  [2678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2391),
  [2681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(81),
  [2684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7954),
  [2687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8276),
  [2690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1599),
  [2693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9148),
  [2696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8462),
  [2699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(227),
  [2702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9044),
  [2705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1296),
  [2708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9146),
  [2711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9145),
  [2714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8941),
  [2717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8321),
  [2720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8284),
  [2723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1480),
  [2726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1482),
  [2729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1608),
  [2732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2455),
  [2735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(769),
  [2738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(63),
  [2741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7867),
  [2744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8467),
  [2747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1737),
  [2750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9163),
  [2753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8541),
  [2756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(171),
  [2759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9483),
  [2762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1301),
  [2765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8953),
  [2768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8967),
  [2771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8768),
  [2774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8448),
  [2777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8993),
  [2780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8460),
  [2783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1487),
  [2786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1485),
  [2789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1712),
  [2792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2521),
  [2795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(634),
  [2798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8199),
  [2801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1786),
  [2804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9457),
  [2807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8292),
  [2810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9455),
  [2813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8305),
  [2816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9120),
  [2819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7139),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [2827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [2829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [2831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [2837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [2841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 7),
  [2843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 7),
  [2845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8624),
  [2847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2),
  [2849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2),
  [2851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8624),
  [2854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 4, .production_id = 46),
  [2856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 4, .production_id = 46),
  [2858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 3, .production_id = 7),
  [2860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 3, .production_id = 7),
  [2862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1), SHIFT(2425),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [2867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1),
  [2869] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1), SHIFT(7166),
  [2872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1),
  [2874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1), SHIFT(3146),
  [2877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1), SHIFT(9052),
  [2880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1), SHIFT(8548),
  [2883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2), SHIFT(2425),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [2888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [2890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2), SHIFT(7166),
  [2893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [2895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2), SHIFT(3146),
  [2898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2), SHIFT(9052),
  [2901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2), SHIFT(8548),
  [2904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8489),
  [2907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 101),
  [2909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 101),
  [2911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [2913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 51),
  [2915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 51),
  [2917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 3, .production_id = 155),
  [2919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 3, .production_id = 155),
  [2921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8489),
  [2923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1), SHIFT(2425),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [2928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_statement, 1),
  [2930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_init_statement, 1), SHIFT(7166),
  [2933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_statement, 1),
  [2935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1), SHIFT(3146),
  [2938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1), SHIFT(9052),
  [2941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1), SHIFT(8548),
  [2944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_finally_clause, 2, .production_id = 7),
  [2946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_finally_clause, 2, .production_id = 7),
  [2948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2),
  [2950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2),
  [2952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_try_statement, 3, .production_id = 7),
  [2954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_try_statement, 3, .production_id = 7),
  [2956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [2962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7136),
  [2968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2459),
  [2970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2997),
  [2972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6774),
  [2974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5986),
  [2976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5982),
  [2978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5976),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [2982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [2984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9250),
  [2986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9561),
  [2988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9596),
  [2990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7385),
  [2992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5281),
  [2994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5281),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8013),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7736),
  [3000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5499),
  [3002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5509),
  [3004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3308),
  [3006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9274),
  [3008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5631),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [3012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8312),
  [3016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [3018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5543),
  [3020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6087),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [3026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2),
  [3028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_except_clause, 3, .production_id = 172),
  [3030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_except_clause, 3, .production_id = 172),
  [3032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 102),
  [3034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 102),
  [3036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, .production_id = 85),
  [3038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, .production_id = 85),
  [3040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, .production_id = 129),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, .production_id = 129),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [3048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [3050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [3052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, .production_id = 111),
  [3054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, .production_id = 111),
  [3056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [3058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [3060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [3062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [3064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, .production_id = 112),
  [3066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, .production_id = 112),
  [3068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 2),
  [3070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 2),
  [3072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, .production_id = 163),
  [3074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, .production_id = 163),
  [3076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, .production_id = 66),
  [3078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, .production_id = 66),
  [3080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_yield_statement, 3),
  [3082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_yield_statement, 3),
  [3084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 3),
  [3086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 3),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7157),
  [3090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_range_loop, 5, .production_id = 145),
  [3092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_range_loop, 5, .production_id = 145),
  [3094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, .production_id = 144),
  [3096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, .production_id = 144),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [3104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 2),
  [3106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 2),
  [3108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 140),
  [3110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 140),
  [3112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [3114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2),
  [3116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 139),
  [3118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 139),
  [3120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3),
  [3122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3),
  [3124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .production_id = 55),
  [3126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .production_id = 55),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [3130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, .production_id = 53),
  [3132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, .production_id = 53),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [3136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [3138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [3144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 52),
  [3146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 52),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [3152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 52),
  [3154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 52),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4594),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [3162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, .production_id = 85),
  [3164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, .production_id = 85),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [3168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, .production_id = 129),
  [3170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, .production_id = 129),
  [3172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_leave_statement, 2),
  [3174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_leave_statement, 2),
  [3176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 5, .production_id = 158),
  [3178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 5, .production_id = 158),
  [3180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 5, .production_id = 169),
  [3182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 5, .production_id = 169),
  [3184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, .production_id = 38),
  [3186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, .production_id = 38),
  [3188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, .production_id = 44),
  [3190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, .production_id = 44),
  [3192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 3),
  [3194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 3),
  [3196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, .production_id = 126),
  [3198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, .production_id = 126),
  [3200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 3, .production_id = 5),
  [3202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 3, .production_id = 5),
  [3204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, .production_id = 37),
  [3206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, .production_id = 37),
  [3208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 3, .production_id = 75),
  [3210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 3, .production_id = 75),
  [3212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, .production_id = 46),
  [3214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, .production_id = 46),
  [3216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 2, .production_id = 23),
  [3218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 2, .production_id = 23),
  [3220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 2, .production_id = 24),
  [3222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 2, .production_id = 24),
  [3224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4610),
  [3226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8876),
  [3228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6206),
  [3230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [3232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8879),
  [3234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [3236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6180),
  [3238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9156),
  [3240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8275),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5901),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8988),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [3248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5865),
  [3250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3461),
  [3252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4387),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6146),
  [3256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8981),
  [3258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6849),
  [3260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5960),
  [3262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5957),
  [3264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5952),
  [3266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5706),
  [3268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7514),
  [3270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [3272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9287),
  [3274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7093),
  [3276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9511),
  [3278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 2),
  [3280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 2),
  [3282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8423),
  [3284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [3290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5447),
  [3292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5824),
  [3294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5808),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [3298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [3300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [3302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1),
  [3304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1),
  [3306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [3308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, .production_id = 24),
  [3310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, .production_id = 24),
  [3312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 3, .production_id = 5),
  [3314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 3, .production_id = 5),
  [3316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 3, .production_id = 57),
  [3318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 3, .production_id = 57),
  [3320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [3322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, .production_id = 8),
  [3324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, .production_id = 8),
  [3326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, .production_id = 7),
  [3328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, .production_id = 7),
  [3330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2),
  [3332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2),
  [3334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8366),
  [3336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8283),
  [3339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, .production_id = 60),
  [3341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, .production_id = 60),
  [3343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, .production_id = 78),
  [3345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, .production_id = 78),
  [3347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, .production_id = 48),
  [3349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, .production_id = 48),
  [3351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, .production_id = 125),
  [3353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, .production_id = 125),
  [3355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [3357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, .production_id = 156),
  [3359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, .production_id = 156),
  [3361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 3),
  [3363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 3),
  [3365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, .production_id = 124),
  [3367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, .production_id = 124),
  [3369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, .production_id = 157),
  [3371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, .production_id = 157),
  [3373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 4, .production_id = 123),
  [3375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 4, .production_id = 123),
  [3377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2),
  [3379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2),
  [3381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, .production_id = 8),
  [3383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, .production_id = 8),
  [3385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, .production_id = 23),
  [3387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, .production_id = 23),
  [3389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 4, .production_id = 119),
  [3391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 4, .production_id = 119),
  [3393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 5, .production_id = 159),
  [3395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 5, .production_id = 159),
  [3397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, .production_id = 67),
  [3399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 67),
  [3401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concept_definition, 5, .production_id = 8),
  [3403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concept_definition, 5, .production_id = 8),
  [3405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, .production_id = 69),
  [3407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, .production_id = 69),
  [3409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_method_clause, 3),
  [3411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_method_clause, 3),
  [3413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_method_clause, 3),
  [3415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_method_clause, 3),
  [3417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 3, .production_id = 5),
  [3419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 3, .production_id = 5),
  [3421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, .production_id = 5),
  [3423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, .production_id = 5),
  [3425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2361),
  [3427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 114),
  [3429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 114),
  [3431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2460),
  [3433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [3435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 2, .production_id = 24),
  [3437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 2, .production_id = 24),
  [3439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 4),
  [3441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 4),
  [3443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3),
  [3445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3),
  [3447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, .production_id = 75),
  [3449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, .production_id = 75),
  [3451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, .production_id = 170),
  [3453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, .production_id = 170),
  [3455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 4, .production_id = 57),
  [3457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 4, .production_id = 57),
  [3459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 4, .production_id = 58),
  [3461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 4, .production_id = 58),
  [3463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8283),
  [3465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 8),
  [3467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 8),
  [3469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8423),
  [3472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8366),
  [3475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, .production_id = 3),
  [3477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, .production_id = 3),
  [3479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 79),
  [3481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 79),
  [3483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, .production_id = 78),
  [3485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, .production_id = 78),
  [3487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2510),
  [3489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2518),
  [3491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, .production_id = 77),
  [3493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, .production_id = 77),
  [3495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 4),
  [3497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 4),
  [3499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, .production_id = 76),
  [3501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, .production_id = 76),
  [3503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, .production_id = 93),
  [3505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, .production_id = 93),
  [3507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, .production_id = 92),
  [3509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, .production_id = 92),
  [3511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 6, .production_id = 188),
  [3513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 6, .production_id = 188),
  [3515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 7, .production_id = 199),
  [3517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 7, .production_id = 199),
  [3519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [3521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [3523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [3525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8918),
  [3527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6211),
  [3529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [3531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8643),
  [3533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8310),
  [3535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3442),
  [3537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4305),
  [3539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7552),
  [3541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [3543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7075),
  [3545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9519),
  [3547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, .production_id = 78),
  [3549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, .production_id = 8),
  [3551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 2, .production_id = 8),
  [3553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, .production_id = 78),
  [3555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7148),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [3563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4802),
  [3567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4802),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8198),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7744),
  [3573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8249),
  [3577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [3579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5544),
  [3581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6094),
  [3583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2443),
  [3585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2547),
  [3587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [3589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [3591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [3593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2369),
  [3595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [3597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4610),
  [3600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8876),
  [3603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6206),
  [3606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2),
  [3608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8879),
  [3611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8275),
  [3614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5901),
  [3617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8988),
  [3620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3783),
  [3623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5865),
  [3626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5865),
  [3629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3461),
  [3632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4387),
  [3635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3684),
  [3638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9502),
  [3641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6146),
  [3644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8556),
  [3647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9476),
  [3650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8235),
  [3653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3238),
  [3656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8981),
  [3659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2248),
  [3662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3146),
  [3665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6849),
  [3668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5960),
  [3671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5957),
  [3674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5952),
  [3677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3663),
  [3680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9442),
  [3683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3196),
  [3686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9440),
  [3689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4943),
  [3692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5706),
  [3695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7514),
  [3698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1084),
  [3701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2004),
  [3704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9287),
  [3707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7093),
  [3710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9511),
  [3713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7145),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [3721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [3723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9311),
  [3725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9570),
  [3727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9599),
  [3729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7354),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4959),
  [3733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4959),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8149),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7577),
  [3739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5075),
  [3741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5135),
  [3743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8496),
  [3747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [3749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5533),
  [3751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6092),
  [3753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8918),
  [3756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6211),
  [3759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8643),
  [3762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8310),
  [3765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3442),
  [3768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4305),
  [3771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7552),
  [3774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2003),
  [3777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7075),
  [3780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9519),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [3791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [3793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7144),
  [3799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5250),
  [3803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5250),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8181),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7606),
  [3809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8451),
  [3813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [3815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8675),
  [3817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6113),
  [3819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9280),
  [3821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8441),
  [3823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3485),
  [3825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4394),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5680),
  [3829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7754),
  [3831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [3833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7088),
  [3835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9484),
  [3837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 4, .production_id = 75),
  [3839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 4, .production_id = 75),
  [3841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8959),
  [3843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6133),
  [3845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2),
  [3847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8718),
  [3849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8546),
  [3851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3403),
  [3853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4301),
  [3855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7560),
  [3857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [3859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7086),
  [3861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9527),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [3865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8675),
  [3868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6113),
  [3871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9280),
  [3874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8441),
  [3877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3485),
  [3880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4394),
  [3883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2),
  [3885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7754),
  [3888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2009),
  [3891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7088),
  [3894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9484),
  [3897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 5, .production_id = 123),
  [3899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 5, .production_id = 123),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5702),
  [3907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [3909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7137),
  [3915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [3917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [3919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [3921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5529),
  [3923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2),
  [3925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2),
  [3927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [3931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8959),
  [3934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6133),
  [3937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8718),
  [3940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8546),
  [3943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3403),
  [3946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4301),
  [3949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7560),
  [3952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1998),
  [3955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7086),
  [3958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9527),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [3963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 4, .production_id = 69),
  [3965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 4, .production_id = 69),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4765),
  [3983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4763),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [3989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, .production_id = 23),
  [3991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, .production_id = 23),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5785),
  [4009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [4011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7155),
  [4017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [4019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1777),
  [4021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [4023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_pack_expansion, 2, .production_id = 28),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [4027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_pack_expansion, 2, .production_id = 28),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [4031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4398),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6734),
  [4035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6734),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7217),
  [4039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3274),
  [4041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6777),
  [4043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5953),
  [4045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5954),
  [4047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5956),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5697),
  [4051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6677),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8637),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [4057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3858),
  [4059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3731),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9081),
  [4063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4518),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6150),
  [4067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7540),
  [4069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [4071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9515),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6216),
  [4075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7530),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [4079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9507),
  [4081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9523),
  [4083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9512),
  [4085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7623),
  [4087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [4089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9087),
  [4091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7474),
  [4093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [4095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9488),
  [4097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9534),
  [4099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9528),
  [4101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7546),
  [4103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [4105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9478),
  [4107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9498),
  [4109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9504),
  [4111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9530),
  [4113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9520),
  [4115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3),
  [4117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 3),
  [4119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4),
  [4121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 4),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [4125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6851),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6991),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6581),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7081),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6602),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [4157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6822),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6848),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6881),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6942),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6972),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6604),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7110),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6841),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6582),
  [4215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1), REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [4218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1), REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [4221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [4223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [4225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1),
  [4227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1),
  [4229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8323),
  [4232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8323),
  [4234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [4242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7140),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [4252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2392),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8638),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8840),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9587),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5116),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5004),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4217),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6692),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9273),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6662),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9437),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9007),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6461),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4961),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4453),
  [4312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(2425),
  [4315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(242),
  [4318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1750),
  [4321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1750),
  [4324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1882),
  [4327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(3048),
  [4330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(7166),
  [4333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1822),
  [4336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2),
  [4338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1368),
  [4341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(3146),
  [4344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1814),
  [4347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1502),
  [4350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(9451),
  [4353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(9450),
  [4356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(9449),
  [4359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(7395),
  [4362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(4869),
  [4365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(4869),
  [4368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(8134),
  [4371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(7620),
  [4374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(4548),
  [4377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(4592),
  [4380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(9052),
  [4383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(7140),
  [4386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(8548),
  [4389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1848),
  [4392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(8333),
  [4395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1880),
  [4398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(5530),
  [4401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(6077),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9048),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4440),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4433),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5003),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4990),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4508),
  [4444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_specifier, 1, .production_id = 1),
  [4446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_not_binary, 1),
  [4448] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1),
  [4452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1),
  [4454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_not_binary, 1),
  [4456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1),
  [4459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1),
  [4462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(359),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7239),
  [4467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1),
  [4470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, .production_id = 1),
  [4472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3810),
  [4474] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1),
  [4478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [4480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [4486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4745),
  [4490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [4494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4420),
  [4498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [4500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [4504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [4506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(363),
  [4509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8444),
  [4515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [4517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [4519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [4521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [4525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [4527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [4531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [4535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [4539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [4543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [4547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [4551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [4553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3910),
  [4555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5461),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [4559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5199),
  [4563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5199),
  [4565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6384),
  [4567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [4573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8361),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [4579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8782),
  [4582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8781),
  [4585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8779),
  [4588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2293),
  [4590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 2),
  [4592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 2),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [4596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8776),
  [4599] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8774),
  [4602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8773),
  [4605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8772),
  [4608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8771),
  [4611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8770),
  [4614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [4618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [4638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2440),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7306),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [4660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8785),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [4671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8766),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [4694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8857),
  [4696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [4698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9218),
  [4700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [4702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9417),
  [4704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [4708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9563),
  [4710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [4736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, .dynamic_precedence = 1, .production_id = 103),
  [4738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, .dynamic_precedence = 1),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [4744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .dynamic_precedence = 1, .production_id = 143),
  [4746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .dynamic_precedence = 1, .production_id = 78),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [4752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .dynamic_precedence = 1, .production_id = 181),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [4760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8889),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [4765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_default_capture, 1),
  [4767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .dynamic_precedence = 1, .production_id = 103),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [4771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8791),
  [4774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8878),
  [4777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8628),
  [4779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9506),
  [4781] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8867),
  [4784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8846),
  [4786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9054),
  [4788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9285),
  [4790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8854),
  [4793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9569),
  [4795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9422),
  [4797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8849),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6579),
  [4802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9234),
  [4804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9170),
  [4806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8710),
  [4809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9114),
  [4811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8813),
  [4814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9068),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6632),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8730),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [4824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6633),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9233),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [4838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8711),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9298),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [4851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6988),
  [4853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8847),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9067),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [4872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8737),
  [4875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [4877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [4881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8839),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6873),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9316),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [4894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8828),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9279),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [4903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [4905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8832),
  [4908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8762),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [4915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8796),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3929),
  [4920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [4924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6607),
  [4926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [4928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [4930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [4932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [4934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [4936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9257),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [4940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8790),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [4947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8734),
  [4950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8799),
  [4953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8787),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6896),
  [4958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8788),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [4963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6894),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6904),
  [4971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8798),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9334),
  [4976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [4978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [4980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [4982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [4984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8991),
  [4986] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8729),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6425),
  [4991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [4993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6840),
  [5005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8763),
  [5008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8765),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6839),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6785),
  [5017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [5019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7077),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [5029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [5037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [5039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [5041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [5043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [5045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [5047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2420),
  [5049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [5053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [5055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [5065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [5067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [5085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4474),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6335),
  [5091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3886),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5759),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6647),
  [5099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6647),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7177),
  [5103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [5105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35),
  [5107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34),
  [5109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), REDUCE(sym_qualified_type_identifier, 2, .production_id = 35),
  [5112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35),
  [5114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34),
  [5116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), REDUCE(sym_qualified_type_identifier, 2, .production_id = 35),
  [5119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), SHIFT(370),
  [5122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), SHIFT(287),
  [5125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, .dynamic_precedence = 2),
  [5127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, .dynamic_precedence = 2),
  [5129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, .dynamic_precedence = 3),
  [5131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, .dynamic_precedence = 3),
  [5133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, .dynamic_precedence = 1),
  [5135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, .dynamic_precedence = 1),
  [5137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, .dynamic_precedence = 3),
  [5139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, .dynamic_precedence = 3),
  [5141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, .dynamic_precedence = 1),
  [5143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, .dynamic_precedence = 1),
  [5145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, .dynamic_precedence = 2),
  [5147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, .dynamic_precedence = 2),
  [5149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 2),
  [5151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 2),
  [5153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_type, 2, .production_id = 14),
  [5155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_type, 2, .production_id = 14), REDUCE(sym_template_function, 2, .production_id = 15),
  [5158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 2, .production_id = 14),
  [5160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_function, 2, .production_id = 15),
  [5162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_type, 2, .production_id = 14), REDUCE(sym_template_function, 2, .production_id = 15),
  [5165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_function, 2, .production_id = 15),
  [5167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(287),
  [5170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1),
  [5172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [5174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [5176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8265),
  [5178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(356),
  [5181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(365),
  [5184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [5186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [5188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [5190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7630),
  [5192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8304),
  [5194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4463),
  [5196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7213),
  [5198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [5200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [5202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [5204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [5206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [5208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4434),
  [5210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5975),
  [5212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5961),
  [5214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5955),
  [5216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5968),
  [5218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5965),
  [5220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5962),
  [5222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5890),
  [5224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5892),
  [5226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5896),
  [5228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5883),
  [5230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5882),
  [5232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5880),
  [5234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5936),
  [5236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5939),
  [5238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5944),
  [5240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5943),
  [5242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5942),
  [5244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5940),
  [5246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5929),
  [5248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5927),
  [5250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5922),
  [5252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5966),
  [5254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5972),
  [5256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5974),
  [5258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5969),
  [5260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5978),
  [5262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5991),
  [5264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5685),
  [5266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5322),
  [5268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7601),
  [5270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7320),
  [5272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [5274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_conjunction, 3, .production_id = 54),
  [5276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_conjunction, 3, .production_id = 54),
  [5278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fold_expression, 3, .production_id = 40),
  [5280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fold_expression, 3, .production_id = 40),
  [5282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 3),
  [5284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 3),
  [5286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 2),
  [5288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 2),
  [5290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 3, .production_id = 65),
  [5292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 3, .production_id = 65),
  [5294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, .production_id = 72),
  [5296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, .production_id = 72),
  [5298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 2, .production_id = 32),
  [5300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 2, .production_id = 32),
  [5302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, .production_id = 73),
  [5304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, .production_id = 73),
  [5306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, .production_id = 121),
  [5308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, .production_id = 121),
  [5310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 5, .production_id = 168),
  [5312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 5, .production_id = 168),
  [5314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, .production_id = 122),
  [5316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, .production_id = 122),
  [5318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement_clause_constraint, 3),
  [5320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement_clause_constraint, 3),
  [5322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 2, .production_id = 19),
  [5324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 2, .production_id = 19),
  [5326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8072),
  [5328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [5330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(280),
  [5333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 3, .production_id = 12),
  [5335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 3, .production_id = 12),
  [5337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 4, .production_id = 138),
  [5339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 4, .production_id = 138),
  [5341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8220),
  [5343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7798),
  [5347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [5349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8043),
  [5351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [5353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(2041),
  [5356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [5358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [5360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7567),
  [5363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8279),
  [5366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [5368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2),
  [5370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2),
  [5372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8552),
  [5374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [5376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [5378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2045),
  [5381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [5383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 3),
  [5385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 3),
  [5387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8277),
  [5389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8277),
  [5392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2),
  [5394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2060),
  [5397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2),
  [5399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2),
  [5401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(2247),
  [5404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 7, .production_id = 200),
  [5406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 7, .production_id = 200),
  [5408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8426),
  [5411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8426),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [5415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 5),
  [5417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 5),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [5425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3),
  [5427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3),
  [5429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2),
  [5431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2),
  [5433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 173),
  [5435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 173),
  [5437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 191),
  [5439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 191),
  [5441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7195),
  [5443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4604),
  [5445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4608),
  [5447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9041),
  [5449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6232),
  [5451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8269),
  [5453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9043),
  [5455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4640),
  [5457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9050),
  [5459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype, 4),
  [5461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype, 4),
  [5463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 7, .production_id = 201),
  [5465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 7, .production_id = 201),
  [5467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, .production_id = 6),
  [5469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, .production_id = 6),
  [5471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9291),
  [5473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [5475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6444),
  [5477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6586),
  [5479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_specifier, 1),
  [5481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_specifier, 1),
  [5483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [5485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 56),
  [5487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 56),
  [5489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 125),
  [5491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 125),
  [5493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, .production_id = 201),
  [5495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, .production_id = 201),
  [5497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, .production_id = 187),
  [5499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, .production_id = 187),
  [5501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, .production_id = 170),
  [5503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, .production_id = 170),
  [5505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 174),
  [5507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 174),
  [5509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 190),
  [5511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 190),
  [5513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 66),
  [5515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 66),
  [5517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, .production_id = 8),
  [5519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, .production_id = 8),
  [5521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 187),
  [5523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 187),
  [5525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 56),
  [5527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 56),
  [5529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 66),
  [5531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 66),
  [5533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, .production_id = 67),
  [5535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, .production_id = 67),
  [5537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, .production_id = 66),
  [5539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, .production_id = 66),
  [5541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, .production_id = 126),
  [5543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, .production_id = 126),
  [5545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 78),
  [5547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 78),
  [5549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, .production_id = 191),
  [5551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, .production_id = 191),
  [5553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [5555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1),
  [5557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1),
  [5559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [5561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1),
  [5563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1),
  [5565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, .production_id = 174),
  [5567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 174),
  [5569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, .production_id = 173),
  [5571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 173),
  [5573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, .production_id = 66),
  [5575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 66),
  [5577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 8),
  [5579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 8),
  [5581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 79),
  [5583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 79),
  [5585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type_identifier, 2),
  [5587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type_identifier, 2),
  [5589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, .production_id = 78),
  [5591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, .production_id = 78),
  [5593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, .production_id = 190),
  [5595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, .production_id = 190),
  [5597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(362),
  [5600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [5602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [5604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 34),
  [5606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 34),
  [5608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declaration_list_item, 2),
  [5610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_list_item, 2),
  [5612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type, 2, .dynamic_precedence = -1),
  [5614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type, 2, .dynamic_precedence = -1),
  [5616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [5618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8895),
  [5620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8377),
  [5622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 2, .production_id = 10),
  [5624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 2, .production_id = 10),
  [5626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 46),
  [5628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 46),
  [5630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2), REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [5633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2), REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [5636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 47),
  [5638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 47),
  [5640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, .production_id = 96),
  [5642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, .production_id = 96),
  [5644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 48),
  [5646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 48),
  [5648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 49),
  [5650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 49),
  [5652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3),
  [5654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3),
  [5656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8266),
  [5658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 3, .production_id = 99),
  [5660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 3, .production_id = 99),
  [5662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, .production_id = 50),
  [5664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, .production_id = 50),
  [5666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, .production_id = 7),
  [5668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, .production_id = 7),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [5674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 2, .production_id = 25),
  [5676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 2, .production_id = 25),
  [5678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype_auto, 4),
  [5680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype_auto, 4),
  [5682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4),
  [5684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4),
  [5686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8377),
  [5689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1),
  [5691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1),
  [5693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 1),
  [5695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 1),
  [5697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [5699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, .production_id = 10),
  [5701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, .production_id = 10),
  [5703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8266),
  [5706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, .production_id = 10),
  [5708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, .production_id = 10),
  [5710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 1, .production_id = 11),
  [5712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 1, .production_id = 11),
  [5714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_specifier, 2, .production_id = 10),
  [5716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_specifier, 2, .production_id = 10),
  [5718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, .production_id = 100),
  [5720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, .production_id = 100),
  [5722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 7),
  [5724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 7),
  [5726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 94),
  [5728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, .production_id = 94),
  [5730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, .production_id = 134),
  [5732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, .production_id = 134),
  [5734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), SHIFT(356),
  [5737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 93),
  [5739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, .production_id = 93),
  [5741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, .production_id = 9),
  [5743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, .production_id = 9),
  [5745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4),
  [5747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4),
  [5749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, .production_id = 6),
  [5751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, .production_id = 6),
  [5753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 8),
  [5755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 8),
  [5757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [5759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 5, .production_id = 135),
  [5761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 5, .production_id = 135),
  [5763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 4, .production_id = 136),
  [5765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 4, .production_id = 136),
  [5767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, .production_id = 46),
  [5769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, .production_id = 46),
  [5771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3),
  [5773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3),
  [5775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2),
  [5777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2),
  [5779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 97),
  [5781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, .production_id = 97),
  [5783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2),
  [5785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2),
  [5787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 63),
  [5789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 63),
  [5791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [5793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [5795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [5797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8713),
  [5799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(368),
  [5802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2948),
  [5804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1),
  [5806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1),
  [5808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(2731),
  [5811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2397),
  [5813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [5815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(366),
  [5818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [5822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, .production_id = 1),
  [5824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [5826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(280),
  [5829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 45),
  [5831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 45),
  [5833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 90),
  [5835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 90),
  [5837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2783),
  [5839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [5841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, .production_id = 18),
  [5843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, .production_id = 18),
  [5845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), SHIFT(279),
  [5848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [5854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(278),
  [5857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [5859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [5861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [5863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [5865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [5867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_destructor_name, 2),
  [5869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_destructor_name, 2),
  [5871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1), REDUCE(sym__expression_not_binary, 1),
  [5874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1), REDUCE(sym__expression_not_binary, 1),
  [5877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [5879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(370),
  [5882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(2411),
  [5885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7566),
  [5888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8523),
  [5891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2422),
  [5893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [5895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [5897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3586),
  [5899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_not_binary, 1), SHIFT(9180),
  [5902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_not_binary, 1), SHIFT(6939),
  [5905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [5907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [5909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 49),
  [5911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 49),
  [5913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6947),
  [5915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2898),
  [5917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [5919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(2470),
  [5922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7604),
  [5925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8265),
  [5928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 94),
  [5930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 94),
  [5932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2470),
  [5934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7571),
  [5936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8503),
  [5938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [5940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [5942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7586),
  [5944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8494),
  [5946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [5948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9180),
  [5950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [5952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [5954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [5956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(339),
  [5959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [5961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(2587),
  [5964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7571),
  [5967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8503),
  [5970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, .production_id = 95),
  [5972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, .production_id = 95),
  [5974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [5976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(2851),
  [5979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [5981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2926),
  [5983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(279),
  [5986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7612),
  [5988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8450),
  [5990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_disjunction, 3, .production_id = 54),
  [5992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_disjunction, 3, .production_id = 54),
  [5994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6139),
  [5996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6139),
  [5998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2629),
  [6001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 46),
  [6003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 46),
  [6005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 48),
  [6007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 48),
  [6009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, .production_id = 50),
  [6011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, .production_id = 50),
  [6013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, .production_id = 7),
  [6015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, .production_id = 7),
  [6017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2639),
  [6020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 2, .dynamic_precedence = 1, .production_id = 5),
  [6022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, .dynamic_precedence = 1, .production_id = 5),
  [6024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [6026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8407),
  [6028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [6030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [6032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 16),
  [6034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 16),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [6038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 5, .dynamic_precedence = 1, .production_id = 164),
  [6040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, .dynamic_precedence = 1, .production_id = 164),
  [6042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [6044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 4, .dynamic_precedence = 1, .production_id = 84),
  [6046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, .dynamic_precedence = 1, .production_id = 84),
  [6048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 2),
  [6050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 2),
  [6052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 36),
  [6054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 36),
  [6056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [6058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 93),
  [6060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 93),
  [6062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 18),
  [6064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 18),
  [6066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [6068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 97),
  [6070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 97),
  [6072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [6074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, .production_id = 9),
  [6076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, .production_id = 9),
  [6078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, .production_id = 100),
  [6080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, .production_id = 100),
  [6082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(2668),
  [6085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7612),
  [6088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8450),
  [6091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, .production_id = 135),
  [6093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, .production_id = 135),
  [6095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, .production_id = 46),
  [6097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, .production_id = 46),
  [6099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 3, .dynamic_precedence = 1, .production_id = 41),
  [6101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, .dynamic_precedence = 1, .production_id = 41),
  [6103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_clause, 2, .production_id = 20),
  [6105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_clause, 2, .production_id = 20),
  [6107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6116),
  [6109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6116),
  [6111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 7),
  [6113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, .production_id = 7),
  [6115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [6117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 134),
  [6119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, .production_id = 134),
  [6121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, .dynamic_precedence = -1, .production_id = 36),
  [6123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, .dynamic_precedence = -1, .production_id = 36),
  [6125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, .production_id = 18),
  [6127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, .production_id = 18),
  [6129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2982),
  [6131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [6133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3023),
  [6135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_type_declarator, 2),
  [6137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_type_declarator, 2),
  [6139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3016),
  [6141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [6143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3061),
  [6145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, .production_id = 132),
  [6147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, .production_id = 132),
  [6149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, .production_id = 115),
  [6151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, .production_id = 115),
  [6153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, .production_id = 24),
  [6155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, .production_id = 24),
  [6157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 109),
  [6159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 109),
  [6161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, .production_id = 86),
  [6163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, .production_id = 86),
  [6165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2749),
  [6167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 89),
  [6169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 89),
  [6171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, .production_id = 42),
  [6173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, .production_id = 42),
  [6175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, .production_id = 1),
  [6177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, .production_id = 1),
  [6179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2810),
  [6181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2719),
  [6183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1),
  [6185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1),
  [6187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, .production_id = 43),
  [6189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, .production_id = 43),
  [6191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2719),
  [6194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [6196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [6198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, .production_id = 24),
  [6200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, .production_id = 24),
  [6202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2763),
  [6205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, .production_id = 165),
  [6207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, .production_id = 165),
  [6209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4076),
  [6211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6680),
  [6213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, .dynamic_precedence = 1),
  [6215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [6217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [6219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4878),
  [6221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6515),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [6225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 62),
  [6227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 62),
  [6229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [6231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [6233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2),
  [6235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2),
  [6237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8407),
  [6240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, .dynamic_precedence = -10),
  [6242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, .dynamic_precedence = -10),
  [6244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9249),
  [6246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [6248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6586),
  [6250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), SHIFT(280),
  [6253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9374),
  [6255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [6257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [6259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 3),
  [6261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 3),
  [6263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 47),
  [6265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 47),
  [6267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6535),
  [6269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4221),
  [6271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [6273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 8),
  [6275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, .production_id = 8),
  [6277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, .production_id = 117),
  [6279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, .production_id = 117),
  [6281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 3, .production_id = 160),
  [6283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 3, .production_id = 160),
  [6285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [6287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 4),
  [6289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 4),
  [6291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, .production_id = 70),
  [6293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, .production_id = 70),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [6297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2795),
  [6300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2792),
  [6302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(2788),
  [6305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7619),
  [6308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8444),
  [6311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [6313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2788),
  [6315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, .production_id = 116),
  [6317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, .production_id = 116),
  [6319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 2),
  [6321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 2),
  [6323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, .production_id = 4),
  [6325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, .production_id = 4),
  [6327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [6329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [6331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6759),
  [6333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6759),
  [6335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2),
  [6337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2),
  [6339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4),
  [6341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4),
  [6343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 4, .production_id = 160),
  [6345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 4, .production_id = 160),
  [6347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3),
  [6349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3),
  [6351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2846),
  [6353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 54),
  [6355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 54),
  [6357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 4),
  [6359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 4),
  [6361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6952),
  [6363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(368),
  [6366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [6368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [6370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4977),
  [6372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 74),
  [6374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 3, .production_id = 74),
  [6376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 74), SHIFT(280),
  [6379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2813),
  [6381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 4),
  [6383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 4),
  [6385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, .production_id = 12),
  [6387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, .production_id = 12),
  [6389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, .production_id = 83),
  [6391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, .production_id = 83),
  [6393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [6395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, .production_id = 40),
  [6397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, .production_id = 40),
  [6399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3171),
  [6401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2937),
  [6403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3204),
  [6405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, .production_id = 34),
  [6407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, .production_id = 34),
  [6409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [6411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [6413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, .production_id = 15),
  [6415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, .production_id = 15),
  [6417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9271),
  [6419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [6421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [6423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [6425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5018),
  [6427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 2),
  [6429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 2),
  [6431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [6433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_field_identifier, 2),
  [6435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_field_identifier, 2),
  [6437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_await_expression, 2, .production_id = 4),
  [6439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_await_expression, 2, .production_id = 4),
  [6441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2846),
  [6444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2842),
  [6446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2843),
  [6448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9),
  [6450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9),
  [6452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, .production_id = 209),
  [6454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, .production_id = 209),
  [6456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4),
  [6458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4),
  [6460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 5, .production_id = 148),
  [6462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 5, .production_id = 148),
  [6464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 108),
  [6466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 108),
  [6468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6973),
  [6470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6416),
  [6472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 150),
  [6474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 150),
  [6476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 151),
  [6478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 151),
  [6480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 29),
  [6482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 29),
  [6484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [6486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 2, .production_id = 27),
  [6488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 2, .production_id = 27),
  [6490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6190),
  [6492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6191),
  [6494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6190),
  [6496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6191),
  [6498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [6500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 205),
  [6502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 205),
  [6504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8),
  [6506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8),
  [6508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 4),
  [6510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 4),
  [6512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9291),
  [6514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6498),
  [6516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, .production_id = 161),
  [6518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, .production_id = 161),
  [6520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [6522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9310),
  [6524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [6526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [6528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [6530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [6532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1),
  [6534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1),
  [6536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 198),
  [6538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 198),
  [6540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 61),
  [6542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 61),
  [6544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9346),
  [6546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [6548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 197),
  [6550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 197),
  [6552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, .production_id = 105),
  [6554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, .production_id = 105),
  [6556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignof_expression, 4, .production_id = 45),
  [6558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignof_expression, 4, .production_id = 45),
  [6560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3),
  [6562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3),
  [6564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_identifier, 2),
  [6566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_identifier, 2),
  [6568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [6570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4),
  [6572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4),
  [6574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 3),
  [6576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 3),
  [6578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2979),
  [6581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3),
  [6583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3),
  [6585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 26),
  [6587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 26),
  [6589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5),
  [6591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5),
  [6593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 2, .production_id = 30),
  [6595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 2, .production_id = 30),
  [6597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, .production_id = 130),
  [6599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, .production_id = 130),
  [6601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, .production_id = 131),
  [6603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, .production_id = 131),
  [6605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_defined_literal, 2),
  [6607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_defined_literal, 2),
  [6609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 206),
  [6611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 206),
  [6613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, .production_id = 83),
  [6615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, .production_id = 83),
  [6617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, .production_id = 71),
  [6619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, .production_id = 71),
  [6621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2),
  [6623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2),
  [6625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 107),
  [6627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 107),
  [6629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [6631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6411),
  [6633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 185),
  [6635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 185),
  [6637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 184),
  [6639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 184),
  [6641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, .production_id = 182),
  [6643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, .production_id = 182),
  [6645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5),
  [6647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5),
  [6649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2968),
  [6652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 3),
  [6654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 3),
  [6656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 6, .production_id = 171),
  [6658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 6, .production_id = 171),
  [6660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, .production_id = 54),
  [6662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 54),
  [6664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [6666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 88),
  [6668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 88),
  [6670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 2),
  [6672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 2),
  [6674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [6676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(356),
  [6679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [6681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [6683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2990),
  [6685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2995),
  [6687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [6691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3245),
  [6693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9019),
  [6695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(2995),
  [6698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7744),
  [6701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8249),
  [6704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [6706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [6708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [6710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9328),
  [6712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [6714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 4),
  [6716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 4),
  [6718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1),
  [6720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1),
  [6722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7576),
  [6724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_requirement, 2),
  [6726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_requirement, 2),
  [6728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [6730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [6732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6927),
  [6734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6464),
  [6736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [6738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement, 1, .production_id = 64),
  [6740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement, 1, .production_id = 64),
  [6742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 6),
  [6744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 6),
  [6746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(279),
  [6749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 5),
  [6751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 5),
  [6753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [6755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6895),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6525),
  [6759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [6761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [6763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [6767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8650),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6918),
  [6771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [6773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [6775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [6777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8933),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8258),
  [6783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [6785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, .production_id = 118),
  [6787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [6789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, .production_id = 118),
  [6791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [6793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [6795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [6799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [6801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [6803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [6805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [6807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [6809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [6811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1573),
  [6813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [6815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [6817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [6819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [6821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [6823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 4),
  [6825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 4),
  [6827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 2),
  [6829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 2),
  [6831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(339),
  [6834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 3),
  [6836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 3),
  [6838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [6840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, .production_id = 166),
  [6842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, .production_id = 166),
  [6844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [6846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 5),
  [6848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 5),
  [6850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [6852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [6854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6936),
  [6856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6523),
  [6858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number_literal, 1),
  [6860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number_literal, 1),
  [6862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, .dynamic_precedence = 1),
  [6864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 18),
  [6866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 18),
  [6868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3753),
  [6870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8885),
  [6872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_virtual, 1),
  [6874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_virtual, 1),
  [6876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3),
  [6878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3),
  [6880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8258),
  [6883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [6885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8792),
  [6887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(3882),
  [6890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3385),
  [6892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, .production_id = 2),
  [6894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, .production_id = 2),
  [6896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), SHIFT(368),
  [6899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4065),
  [6901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3393),
  [6903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [6909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6766),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6766),
  [6913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [6915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [6917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8848),
  [6921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [6923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [6925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [6929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [6931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [6933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [6935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [6937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [6939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [6941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [6943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [6945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [6947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [6949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [6951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [6953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [6955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [6957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [6959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [6961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [6963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [6965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [6967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [6969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [6971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [6973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [6975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [6977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [6979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [6981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [6983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [6985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [6987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [6989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [6991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [6993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [6995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [6997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [6999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [7001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [7003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [7005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [7007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [7009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [7011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [7013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [7015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [7017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [7019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [7021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [7023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [7025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [7027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [7029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [7031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [7033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [7035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [7037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [7039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6754),
  [7041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6668),
  [7043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9071),
  [7045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binary_fold_operator, 3, .production_id = 127),
  [7047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold_operator, 3, .production_id = 127),
  [7049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [7051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [7053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8357),
  [7055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [7057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [7059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [7061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [7063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [7065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [7067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [7069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [7071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [7073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [7075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [7079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [7083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [7085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [7091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [7093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [7095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [7097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4295),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [7101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2923),
  [7103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8784),
  [7107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7308),
  [7109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4391),
  [7111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7307),
  [7113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 74), SHIFT(368),
  [7116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7318),
  [7118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [7120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [7122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6444),
  [7124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4302),
  [7126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [7128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8297),
  [7130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [7132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [7134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2),
  [7136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2),
  [7138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(4604),
  [7141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(4608),
  [7144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9041),
  [7147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(8269),
  [7150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9043),
  [7153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(4640),
  [7156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9050),
  [7159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4384),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [7163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4235),
  [7165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [7167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9198),
  [7169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(4219),
  [7172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3608),
  [7174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4307),
  [7176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 2),
  [7178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 2),
  [7180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4377),
  [7182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4328),
  [7184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4380),
  [7186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4386),
  [7188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [7190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3784),
  [7192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [7194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8687),
  [7196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6677),
  [7198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7301),
  [7200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [7202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, .production_id = 18),
  [7204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, .production_id = 18),
  [7206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [7208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3933),
  [7210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [7212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9000),
  [7214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [7216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3534),
  [7218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [7220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9509),
  [7222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4332),
  [7224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7312),
  [7226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8357),
  [7229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [7231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [7233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [7235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [7237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [7239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [7241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [7243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [7245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [7247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [7249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [7251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [7253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [7255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [7257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [7259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6754),
  [7261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3654),
  [7263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6141),
  [7265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6141),
  [7267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignas_specifier, 4),
  [7269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignas_specifier, 4),
  [7271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1), SHIFT(1288),
  [7274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3840),
  [7276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [7278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [7280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [7282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [7284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [7286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [7288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [7290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [7292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [7294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [7296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [7298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [7300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [7302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [7304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [7306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [7308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [7310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1), REDUCE(aux_sym__declaration_specifiers_repeat1, 1),
  [7313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1),
  [7315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1),
  [7317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1), REDUCE(aux_sym__declaration_specifiers_repeat1, 1),
  [7320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 1),
  [7322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6142),
  [7324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6142),
  [7326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 74), SHIFT(287),
  [7329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 74), SHIFT(370),
  [7332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3685),
  [7334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(2248),
  [7337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(3684),
  [7340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9502),
  [7343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(8556),
  [7346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9476),
  [7349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(3196),
  [7352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9440),
  [7355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(3685),
  [7358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7577),
  [7361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8496),
  [7364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8297),
  [7367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4),
  [7369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [7377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5931),
  [7379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5931),
  [7381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6501),
  [7383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8981),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [7387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5881),
  [7389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5881),
  [7391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [7393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6696),
  [7395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6696),
  [7397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4511),
  [7399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8843),
  [7401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [7403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [7405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [7407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [7409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [7411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [7413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [7415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [7417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [7419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [7421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [7423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [7425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [7427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [7429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [7431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [7433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [7435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [7437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [7439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8851),
  [7441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [7443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8856),
  [7445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8859),
  [7447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8866),
  [7449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8987),
  [7451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8880),
  [7453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8881),
  [7455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8882),
  [7457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8909),
  [7459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8913),
  [7461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8928),
  [7463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [7465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [7467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [7469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [7471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [7473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [7475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [7477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4471),
  [7479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [7481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [7483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5897),
  [7485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5897),
  [7487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6507),
  [7489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [7491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 74), SHIFT(356),
  [7494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [7496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [7498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [7500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [7506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [7508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [7510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [7512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [7514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [7516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [7518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [7522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [7524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [7526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [7528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [7530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6485),
  [7532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [7534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4456),
  [7536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3816),
  [7538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3879),
  [7540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7229),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [7544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5917),
  [7546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5917),
  [7548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6513),
  [7550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [7552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [7554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(3816),
  [7557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7586),
  [7560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8494),
  [7563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 21),
  [7565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
  [7567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6292),
  [7569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [7571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9502),
  [7573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 21),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7393),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4281),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6551),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9153),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6186),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5958),
  [7591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5958),
  [7593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3800),
  [7595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9249),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5041),
  [7601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6682),
  [7603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [7605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(4501),
  [7608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3907),
  [7610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4570),
  [7612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [7614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4233),
  [7616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1), SHIFT(1269),
  [7619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(3879),
  [7622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3866),
  [7624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3864),
  [7626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [7628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 21), SHIFT(6772),
  [7631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 21), SHIFT(6186),
  [7634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [7640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(3918),
  [7643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [7645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1),
  [7648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 74), SHIFT(279),
  [7651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [7653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [7655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [7657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [7659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [7661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [7663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [7665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [7667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [7669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [7671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [7673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [7675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [7677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1789),
  [7679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [7681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [7685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6727),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [7689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4050),
  [7691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2),
  [7693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2),
  [7695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(4604),
  [7698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(4608),
  [7701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(9041),
  [7704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(8269),
  [7707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(9043),
  [7710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(4640),
  [7713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(9050),
  [7716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(4943),
  [7719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [7721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [7723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [7725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [7727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [7729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 2, .production_id = 106),
  [7731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5710),
  [7733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [7735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [7737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [7739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [7741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [7743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4059),
  [7745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(4059),
  [7748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7630),
  [7751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8304),
  [7754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [7756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5611),
  [7758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 21), SHIFT(9222),
  [7761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 21), SHIFT(8472),
  [7764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5611),
  [7766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [7768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6114),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [7772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6165),
  [7776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6165),
  [7778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [7780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6166),
  [7782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6166),
  [7784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 21), SHIFT(6586),
  [7787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 21), SHIFT(6114),
  [7790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(362),
  [7793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4187),
  [7795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 21), SHIFT(8269),
  [7798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [7800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 21), SHIFT(6200),
  [7803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [7805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [7807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [7809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [7811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [7813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [7815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6200),
  [7817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9222),
  [7819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 21), SHIFT(7393),
  [7822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4330),
  [7824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4226),
  [7826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9368),
  [7828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [7830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6218),
  [7832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6217),
  [7834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6218),
  [7836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6217),
  [7838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(4187),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [7847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [7849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [7851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [7853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [7855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [7859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4462),
  [7861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [7863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6920),
  [7865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6457),
  [7867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4148),
  [7869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4156),
  [7871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5481),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6404),
  [7875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7202),
  [7877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [7879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5147),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7218),
  [7883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4912),
  [7885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5560),
  [7887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6799),
  [7889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5867),
  [7891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5908),
  [7893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5935),
  [7895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5819),
  [7897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9348),
  [7899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5693),
  [7901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5804),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7180),
  [7905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5848),
  [7907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6856),
  [7909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5990),
  [7911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5988),
  [7913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5985),
  [7915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5691),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [7925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [7927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5572),
  [7929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7205),
  [7931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4914),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7207),
  [7935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4757),
  [7937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5274),
  [7939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6836),
  [7941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5884),
  [7943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5878),
  [7945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5877),
  [7947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5620),
  [7949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9313),
  [7951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5629),
  [7953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6132),
  [7957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [7961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4902),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7216),
  [7965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6771),
  [7967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5915),
  [7969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5889),
  [7971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5932),
  [7973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5627),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [7979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5618),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7181),
  [7983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6820),
  [7985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5866),
  [7987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5934),
  [7989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5925),
  [7991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5694),
  [7993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [7995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6938),
  [7997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6407),
  [7999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [8001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 21), SHIFT(6132),
  [8004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 21), SHIFT(6185),
  [8007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [8009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(278),
  [8012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [8014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4726),
  [8016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8998),
  [8018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [8020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4298),
  [8022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6115),
  [8024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(4438),
  [8027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6210),
  [8029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 21), SHIFT(6115),
  [8032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4438),
  [8034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4468),
  [8036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(366),
  [8039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4492),
  [8041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4490),
  [8043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6208),
  [8045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6956),
  [8047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6533),
  [8049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6473),
  [8051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8472),
  [8053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4359),
  [8055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [8057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [8059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8895),
  [8061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [8063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [8065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4814),
  [8067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9010),
  [8069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1),
  [8071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6472),
  [8073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [8075] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 21), SHIFT(6187),
  [8078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6187),
  [8080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [8082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(365),
  [8085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4311),
  [8087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4282),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6449),
  [8091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [8093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9476),
  [8095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [8097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8885),
  [8099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [8101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9440),
  [8103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1),
  [8105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1),
  [8107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6536),
  [8109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [8111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [8113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4566),
  [8115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [8117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [8119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [8121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [8125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [8127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [8129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [8131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [8133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [8135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [8137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [8139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [8141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [8143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [8145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [8147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [8149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7523),
  [8153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, .production_id = 56),
  [8155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4766),
  [8157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4766),
  [8159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [8161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5245),
  [8163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4810),
  [8165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 3, .production_id = 133),
  [8167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, .production_id = 133),
  [8169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 1),
  [8171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [8173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 18),
  [8175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [8177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5036),
  [8179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6100),
  [8181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6100),
  [8183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [8185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [8187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [8189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6099),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5649),
  [8193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8891),
  [8195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, .production_id = 2),
  [8197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [8199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6101),
  [8201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6101),
  [8203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3832),
  [8205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6452),
  [8207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4838),
  [8209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5902),
  [8211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5907),
  [8213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3829),
  [8215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3818),
  [8217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6922),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6527),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4822),
  [8223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6921),
  [8225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3417),
  [8227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6458),
  [8229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4792),
  [8231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3416),
  [8233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3512),
  [8235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4113),
  [8237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [8239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4807),
  [8241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4112),
  [8243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4040),
  [8245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [8247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6512),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [8251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [8253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2800),
  [8255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4797),
  [8257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4849),
  [8259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(4820),
  [8262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4861),
  [8264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [8266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5130),
  [8268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [8270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [8272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1759),
  [8274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [8276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [8278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [8282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [8286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [8290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [8292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [8296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [8298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [8300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [8302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [8304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5129),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [8308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6111),
  [8310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6111),
  [8312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [8314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [8316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5838),
  [8318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8973),
  [8320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6592),
  [8322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [8324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [8326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [8328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [8330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [8332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [8336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [8338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [8340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [8342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [8344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [8348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [8350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [8354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [8356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [8360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6127),
  [8362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6127),
  [8364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(2248),
  [8367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(3684),
  [8370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9502),
  [8373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(8247),
  [8376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9476),
  [8379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(3196),
  [8382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9440),
  [8385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6120),
  [8387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6120),
  [8389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [8391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6201),
  [8393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6212),
  [8395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5458),
  [8397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4938),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [8401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 1),
  [8403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 1),
  [8405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7008),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6577),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4927),
  [8411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6578),
  [8413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6578),
  [8415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [8417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [8419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [8421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [8423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [8425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [8427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [8429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [8433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [8435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [8437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [8441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [8443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [8445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 4),
  [8447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 4),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [8451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [8453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6179),
  [8455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [8457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [8459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [8461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [8463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(4955),
  [8466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6160),
  [8470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6160),
  [8472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 1),
  [8474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [8476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 1),
  [8478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7375),
  [8480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4956),
  [8482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6591),
  [8484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6591),
  [8486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [8488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [8492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [8494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [8498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [8500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [8502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [8504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [8506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [8508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [8510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [8512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [8514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [8516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [8518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [8520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [8522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [8524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [8528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [8532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [8536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [8538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [8540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [8542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [8546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [8548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [8550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [8552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [8554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [8556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [8558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [8562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [8564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5496),
  [8566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [8570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7310),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [8574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [8576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [8578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4448),
  [8580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [8584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6202),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6223),
  [8588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6202),
  [8590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6223),
  [8592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [8594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [8598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 18),
  [8600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 2),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4399),
  [8604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7314),
  [8608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [8612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6248),
  [8614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6248),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [8622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [8624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [8628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [8630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4756),
  [8632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [8634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [8636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [8640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [8644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [8646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [8648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [8650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [8652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [8654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [8656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4752),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [8664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [8666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [8668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3035),
  [8670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [8672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [8674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [8676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [8678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, .production_id = 110),
  [8680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 4, .production_id = 176),
  [8682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4414),
  [8684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, .production_id = 81),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4984),
  [8688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [8690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7141),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [8696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [8698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [8700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [8706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [8708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [8710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5444),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4280),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [8716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [8718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4595),
  [8726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_initializer_pair, 3, .production_id = 146), SHIFT(1501),
  [8729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, .production_id = 146),
  [8731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2), SHIFT(1501),
  [8734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [8738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7212),
  [8740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [8742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [8746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 4, .production_id = 169),
  [8748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [8750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [8754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 5, .dynamic_precedence = 1, .production_id = 192),
  [8756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6446),
  [8758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6847),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8795),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [8764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [8766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .dynamic_precedence = 1, .production_id = 141),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6791),
  [8770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9210),
  [8772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .dynamic_precedence = 1, .production_id = 142),
  [8774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6818),
  [8776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8679),
  [8778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5258),
  [8780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [8782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, .production_id = 147),
  [8784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 3),
  [8786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, .dynamic_precedence = 1),
  [8788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [8790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [8792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [8794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6783),
  [8796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9402),
  [8798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [8800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [8802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [8804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [8806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9543),
  [8808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 4, .production_id = 187),
  [8810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [8812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(2248),
  [8815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(2248),
  [8818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 3, .production_id = 154),
  [8820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [8822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6843),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8902),
  [8826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2),
  [8828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .dynamic_precedence = 1, .production_id = 177),
  [8830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [8832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6390),
  [8834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6390),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6833),
  [8838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9356),
  [8840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [8842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4),
  [8844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6816),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8894),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [8850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [8852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .dynamic_precedence = 1, .production_id = 178),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [8858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5184),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6837),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9118),
  [8866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .dynamic_precedence = 1, .production_id = 180),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [8870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [8872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [8874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [8876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [8878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [8880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [8882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [8884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [8888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [8890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [8892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [8894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [8896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [8898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [8900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [8902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [8904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [8906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [8908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [8910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [8912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [8914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8049),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6428),
  [8918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5178),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [8922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_left_fold, 3, .production_id = 54),
  [8924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2),
  [8926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2),
  [8928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2), SHIFT_REPEAT(9502),
  [8931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [8933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [8935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [8937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [8939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [8941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [8943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [8945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [8947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4184),
  [8949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 4, .production_id = 179),
  [8951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [8953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [8955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8217),
  [8957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [8959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [8961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [8963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [8965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [8967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [8969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [8971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [8973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [8975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4740),
  [8977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3995),
  [8979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7971),
  [8981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 1),
  [8983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [8985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [8987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [8989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4343),
  [8991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4351),
  [8993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold, 3, .production_id = 82),
  [8995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [8997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [8999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [9001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5588),
  [9003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6412),
  [9005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6412),
  [9007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [9009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [9011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [9013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [9015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [9017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5784),
  [9019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [9021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [9023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [9025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [9027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [9029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [9031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7728),
  [9033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [9035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [9037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [9039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [9041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4374),
  [9043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [9049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [9055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [9057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [9059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [9061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [9063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [9065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [9067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4881),
  [9069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [9071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [9073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7782),
  [9075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [9077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8175),
  [9079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4365),
  [9081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [9083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [9085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [9087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [9089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [9091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [9093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [9095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [9097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [9099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [9101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [9103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [9105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [9107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment_expression_lhs, 3, .production_id = 54),
  [9109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [9111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [9113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [9115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [9117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [9119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 2),
  [9121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 2),
  [9123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [9125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 5, .production_id = 193),
  [9127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [9129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [9131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [9133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [9135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [9137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4643),
  [9139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [9141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [9143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6891),
  [9145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6463),
  [9147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6184),
  [9149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [9151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [9153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 21),
  [9155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 21),
  [9157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 21), SHIFT(6772),
  [9160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 21), SHIFT(6186),
  [9163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [9165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5656),
  [9167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6555),
  [9169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6555),
  [9171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6209),
  [9173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [9175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [9177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9360),
  [9179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [9181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(5611),
  [9184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(5611),
  [9187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2778),
  [9189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7186),
  [9191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [9193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6872),
  [9195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5905),
  [9197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5903),
  [9199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5900),
  [9201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3243),
  [9203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9375),
  [9205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5637),
  [9207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2961),
  [9209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7187),
  [9211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2684),
  [9213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6875),
  [9215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5977),
  [9217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5979),
  [9219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5980),
  [9221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3415),
  [9223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9226),
  [9225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5715),
  [9227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 21), SHIFT(9222),
  [9230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 21), SHIFT(8472),
  [9233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 21), SHIFT(6586),
  [9236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 21), SHIFT(6114),
  [9239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3980),
  [9241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7201),
  [9243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6862),
  [9245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5893),
  [9247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5895),
  [9249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5898),
  [9251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5648),
  [9253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2678),
  [9255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7206),
  [9257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2356),
  [9259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6810),
  [9261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5885),
  [9263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5879),
  [9265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5910),
  [9267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [9269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9252),
  [9271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5666),
  [9273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5744),
  [9275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6590),
  [9277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6590),
  [9279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6183),
  [9281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6183),
  [9283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3059),
  [9285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7204),
  [9287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2829),
  [9289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6815),
  [9291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5919),
  [9293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5918),
  [9295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5916),
  [9297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3973),
  [9299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9294),
  [9301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5635),
  [9303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4294),
  [9305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7175),
  [9307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3873),
  [9309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6838),
  [9311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5914),
  [9313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5913),
  [9315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5909),
  [9317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4830),
  [9319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9369),
  [9321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5664),
  [9323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [9325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6917),
  [9327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6514),
  [9329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3000),
  [9331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7221),
  [9333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2690),
  [9335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6844),
  [9337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5868),
  [9339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5959),
  [9341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5899),
  [9343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3532),
  [9345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9331),
  [9347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5679),
  [9349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2), SHIFT_REPEAT(9222),
  [9352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4620),
  [9354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7194),
  [9356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6817),
  [9358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5870),
  [9360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5963),
  [9362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5973),
  [9364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5634),
  [9366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4073),
  [9368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7182),
  [9370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3469),
  [9372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6806),
  [9374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5994),
  [9376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5992),
  [9378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5987),
  [9380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4670),
  [9382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9361),
  [9384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5650),
  [9386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [9388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [9390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6826),
  [9392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5675),
  [9394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [9396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5767),
  [9398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6648),
  [9400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6648),
  [9402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 21), SHIFT(7393),
  [9405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 21), SHIFT(8269),
  [9408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 21), SHIFT(6200),
  [9411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 21),
  [9413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 21),
  [9415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 2), REDUCE(sym_argument_list, 2),
  [9418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2),
  [9420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2),
  [9422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(5824),
  [9425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(5808),
  [9428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4240),
  [9430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 21), SHIFT(6132),
  [9433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 21), SHIFT(6772),
  [9436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 21), SHIFT(6186),
  [9439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 21), SHIFT(6185),
  [9442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5894),
  [9444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6780),
  [9446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6780),
  [9448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6505),
  [9450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 21), SHIFT(9222),
  [9453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 21), SHIFT(8472),
  [9456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 21), SHIFT(6586),
  [9459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 21), SHIFT(6114),
  [9462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [9464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(5902),
  [9467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(5907),
  [9470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5738),
  [9472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6623),
  [9474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6623),
  [9476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6434),
  [9478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 21), SHIFT(6115),
  [9481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 21), SHIFT(8269),
  [9484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 21), SHIFT(7393),
  [9487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 21), SHIFT(6200),
  [9490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(5447),
  [9493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(5447),
  [9496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1), SHIFT(1280),
  [9499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 21), SHIFT(6187),
  [9502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5949),
  [9504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1),
  [9506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1),
  [9508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6538),
  [9510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1),
  [9512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1),
  [9514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(5871),
  [9517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(5873),
  [9520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(2246),
  [9523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 21), SHIFT(6185),
  [9526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 21), SHIFT(6132),
  [9529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4147),
  [9531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5238),
  [9533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3047),
  [9535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4653),
  [9537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 36), SHIFT(5950),
  [9540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 18), SHIFT(5951),
  [9543] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2), REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT(2968),
  [9547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 21), SHIFT(6115),
  [9550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4906),
  [9552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [9554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4571),
  [9556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3916),
  [9558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4409),
  [9560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2850),
  [9562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4412),
  [9564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5555),
  [9566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, .production_id = 18),
  [9568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, .production_id = 18),
  [9570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3103),
  [9572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 1, .production_id = 2),
  [9574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 1, .production_id = 2),
  [9576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 16), SHIFT(2968),
  [9579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, .dynamic_precedence = -1, .production_id = 36), SHIFT(2968),
  [9582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, .production_id = 18), SHIFT(2968),
  [9585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [9587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5526),
  [9589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2985),
  [9591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 2), SHIFT(2968),
  [9594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5563),
  [9596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4196),
  [9598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 21),
  [9600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 21),
  [9602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8269),
  [9605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 21), SHIFT(6772),
  [9608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 21), SHIFT(6186),
  [9611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 21), SHIFT(9222),
  [9614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 21), SHIFT(8472),
  [9617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_specifier, 1), SHIFT(5983),
  [9620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 21), SHIFT(6187),
  [9623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 21), SHIFT(6586),
  [9626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 21), SHIFT(6114),
  [9629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 21), SHIFT(8269),
  [9632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 21), SHIFT(6200),
  [9635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 21), SHIFT(7393),
  [9638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, .production_id = 2),
  [9640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, .production_id = 2),
  [9642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, .production_id = 18),
  [9644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, .production_id = 18),
  [9646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [9648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [9650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4907),
  [9652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7518),
  [9654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [9656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [9658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2880),
  [9660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7488),
  [9662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 21), SHIFT(6132),
  [9665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [9667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [9669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4177),
  [9671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7605),
  [9673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [9675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [9677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4505),
  [9679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7765),
  [9681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [9683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [9685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5472),
  [9687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7525),
  [9689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [9691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [9693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4111),
  [9695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7657),
  [9697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [9699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [9701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4979),
  [9703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7715),
  [9705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4903),
  [9707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 21), SHIFT(6185),
  [9710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [9712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [9714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3632),
  [9716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7679),
  [9718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 21), SHIFT(6115),
  [9721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(6183),
  [9724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(6183),
  [9727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6181),
  [9729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6486),
  [9731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6214),
  [9733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8445),
  [9735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6168),
  [9737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6168),
  [9739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6389),
  [9741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6389),
  [9743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7953),
  [9745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6365),
  [9747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8960),
  [9749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6256),
  [9751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6147),
  [9753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8579),
  [9755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [9757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6125),
  [9759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6484),
  [9761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6484),
  [9763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8160),
  [9765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [9767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6537),
  [9769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7554),
  [9771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [9773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7064),
  [9775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2417),
  [9777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [9779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7214),
  [9781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [9783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7607),
  [9785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [9787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4890),
  [9789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4037),
  [9791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [9793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6802),
  [9795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [9797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6663),
  [9799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7771),
  [9801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6687),
  [9803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7116),
  [9805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [9807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3722),
  [9809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3603),
  [9811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6480),
  [9813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [9815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [9817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [9819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [9821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [9823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [9825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8250),
  [9827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4916),
  [9829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7995),
  [9831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6824),
  [9833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4762),
  [9835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8137),
  [9837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6510),
  [9839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [9841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9123),
  [9843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6158),
  [9845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8210),
  [9847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [9849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [9851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [9853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [9855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8295),
  [9857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6576),
  [9859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7196),
  [9861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [9863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4086),
  [9865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4084),
  [9867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7188),
  [9869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7197),
  [9871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6859),
  [9873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [9875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [9877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [9879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8245),
  [9881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1),
  [9883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6110),
  [9885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1),
  [9887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4965),
  [9889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6790),
  [9891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6658),
  [9893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7117),
  [9895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [9897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [9899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [9901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8402),
  [9903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [9905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2891),
  [9907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2892),
  [9909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 2),
  [9911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 2),
  [9913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 21), SHIFT(6187),
  [9916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 1),
  [9918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 1),
  [9920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6418),
  [9922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4909),
  [9924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [9926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5026),
  [9928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7000),
  [9930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [9932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4449),
  [9934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5450),
  [9936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4446),
  [9938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6481),
  [9940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [9942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [9944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4230),
  [9946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4248),
  [9948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5044),
  [9950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7178),
  [9952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7985),
  [9954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6109),
  [9956] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [9958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6151),
  [9960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9098),
  [9962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6163),
  [9964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6169),
  [9966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6169),
  [9968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6175),
  [9970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6176),
  [9972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6188),
  [9974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6192),
  [9976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6197),
  [9978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6222),
  [9980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6173),
  [9982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [9984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6219),
  [9986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [9988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref_qualifier, 1),
  [9990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref_qualifier, 1),
  [9992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6385),
  [9994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [9996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3273),
  [9998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9490),
  [10000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6332),
  [10002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8183),
  [10004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3509),
  [10006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3458),
  [10008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8984),
  [10010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6334),
  [10012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8153),
  [10014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3506),
  [10016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4771),
  [10018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8158),
  [10020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, .production_id = 54),
  [10022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, .production_id = 54),
  [10024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3350),
  [10026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8714),
  [10028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6337),
  [10030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7801),
  [10032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3491),
  [10034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [10036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6338),
  [10038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8159),
  [10040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4),
  [10042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4),
  [10044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, .production_id = 4),
  [10046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, .production_id = 4),
  [10048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5864),
  [10050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [10052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [10054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [10056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [10058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [10060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7395),
  [10062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8536),
  [10064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3391),
  [10066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6342),
  [10068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8074),
  [10070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3453),
  [10072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4),
  [10074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4),
  [10076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3537),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9184),
  [10080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6345),
  [10082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8201),
  [10084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3468),
  [10086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [10088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [10090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8284),
  [10092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [10094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [10096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [10098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [10100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [10102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8320),
  [10104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [10106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2),
  [10108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2),
  [10110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2),
  [10112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3),
  [10114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3),
  [10116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [10118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8764),
  [10120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6370),
  [10122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8221),
  [10124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3405),
  [10126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [10128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [10130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [10132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2),
  [10134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2),
  [10136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [10138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6377),
  [10140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8113),
  [10142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [10144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6378),
  [10146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7909),
  [10148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [10150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6379),
  [10152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8069),
  [10154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, .production_id = 26),
  [10156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, .production_id = 26),
  [10158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [10160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6383),
  [10162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8059),
  [10164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4636),
  [10166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8197),
  [10168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3),
  [10170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3),
  [10172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [10174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [10176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8582),
  [10178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [10180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [10182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8460),
  [10184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [10186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6391),
  [10188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7817),
  [10190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [10192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [10194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [10196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 3),
  [10198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 3),
  [10200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 21),
  [10202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 21),
  [10204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3876),
  [10206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 21),
  [10208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 21),
  [10210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 21), SHIFT(6586),
  [10213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 21), SHIFT(6114),
  [10216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6138),
  [10218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6156),
  [10220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6124),
  [10222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6123),
  [10224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6182),
  [10226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6199),
  [10228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6134),
  [10230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [10232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6155),
  [10234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6157),
  [10236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6131),
  [10238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [10240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6153),
  [10242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6161),
  [10244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [10246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7637),
  [10248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6422),
  [10250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7828),
  [10252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 3),
  [10254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 3),
  [10256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 4),
  [10258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 4),
  [10260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 4),
  [10262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 4),
  [10264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [10266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [10268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5347),
  [10270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 3),
  [10272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 3),
  [10274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7402),
  [10276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7245),
  [10278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7250),
  [10280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3501),
  [10282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7076),
  [10284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3434),
  [10286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4913),
  [10288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2825),
  [10290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [10292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 21), SHIFT(6586),
  [10295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 21), SHIFT(6114),
  [10298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4096),
  [10300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [10302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6215),
  [10304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2),
  [10306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_postfix_repeat1, 2),
  [10308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2), SHIFT_REPEAT(6586),
  [10311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5741),
  [10313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [10315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [10317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [10319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [10321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6368),
  [10323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5445),
  [10325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 5),
  [10327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 5),
  [10329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6664),
  [10331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7910),
  [10333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7226),
  [10335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8180),
  [10337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5132),
  [10339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [10341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 21), SHIFT(6200),
  [10344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 21), SHIFT(6200),
  [10347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3019),
  [10349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [10351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2934),
  [10353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_postfix, 1),
  [10355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_postfix, 1),
  [10357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6500),
  [10359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4193),
  [10361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [10363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [10365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4529),
  [10367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6213),
  [10369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [10371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 1),
  [10373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [10375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 1),
  [10377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [10379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [10381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 21), SHIFT(6772),
  [10384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 21), SHIFT(6186),
  [10387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8472),
  [10390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [10392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6170),
  [10394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [10396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [10398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [10400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [10402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [10404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 167),
  [10406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 167),
  [10408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [10410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 24),
  [10412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 24),
  [10414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2),
  [10416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 2),
  [10418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_virtual_specifier, 1),
  [10420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_virtual_specifier, 1),
  [10422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [10424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [10426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [10428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, .production_id = 24),
  [10430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, .production_id = 24),
  [10432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3),
  [10434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3),
  [10436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, .production_id = 120),
  [10438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, .production_id = 120),
  [10440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [10442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3),
  [10444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 3),
  [10446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [10448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trailing_return_type, 2),
  [10450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trailing_return_type, 2),
  [10452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, .production_id = 22),
  [10454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 2, .production_id = 22),
  [10456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 7, .production_id = 21),
  [10458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 7, .production_id = 21),
  [10460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1),
  [10462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__abstract_declarator, 1),
  [10464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 115),
  [10466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 115),
  [10468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, .production_id = 165),
  [10470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 5, .production_id = 165),
  [10472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, .production_id = 33),
  [10474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 1, .production_id = 33),
  [10476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [10478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 21), SHIFT(6132),
  [10481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6688),
  [10483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7689),
  [10485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8387),
  [10487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(6655),
  [10490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7689),
  [10493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8387),
  [10496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2), SHIFT_REPEAT(6772),
  [10499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6136),
  [10501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6137),
  [10503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3670),
  [10505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8726),
  [10508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6887),
  [10510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7443),
  [10512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, .production_id = 5),
  [10514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 21), SHIFT(6772),
  [10517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 21), SHIFT(6186),
  [10520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6760),
  [10522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6655),
  [10524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3790),
  [10526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6974),
  [10528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7411),
  [10530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6999),
  [10532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 80),
  [10534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [10536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 2),
  [10538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, .dynamic_precedence = 1, .production_id = 5),
  [10540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [10542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 62),
  [10544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, .production_id = 128),
  [10546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 5),
  [10548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [10550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, .dynamic_precedence = 1, .production_id = 41),
  [10552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 39),
  [10554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2781),
  [10556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6898),
  [10558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7436),
  [10560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7241),
  [10562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7388),
  [10564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [10566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6221),
  [10568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9150),
  [10570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8247),
  [10573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 21), SHIFT(6185),
  [10576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6953),
  [10578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7401),
  [10580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2),
  [10582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2), SHIFT_REPEAT(9041),
  [10585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_declaration_repeat1, 2),
  [10587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2), SHIFT_REPEAT(9050),
  [10590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3397),
  [10592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6978),
  [10594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7403),
  [10596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7004),
  [10598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7022),
  [10600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [10602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7049),
  [10604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, .dynamic_precedence = 1, .production_id = 164),
  [10606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, .dynamic_precedence = 1, .production_id = 5),
  [10608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6172),
  [10610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6164),
  [10612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, .dynamic_precedence = 1, .production_id = 5),
  [10614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7063),
  [10616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 21), SHIFT(6132),
  [10619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6148),
  [10621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [10623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7047),
  [10625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, .dynamic_precedence = 1, .production_id = 41),
  [10627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7001),
  [10629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7029),
  [10631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 21), SHIFT(6185),
  [10634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7069),
  [10636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7040),
  [10638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7054),
  [10640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7017),
  [10642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, .dynamic_precedence = 1, .production_id = 84),
  [10644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7005),
  [10646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7065),
  [10648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_declarator, 2, .dynamic_precedence = 1),
  [10650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7038),
  [10652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7009),
  [10654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7011),
  [10656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, .dynamic_precedence = 1, .production_id = 84),
  [10658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7006),
  [10660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, .dynamic_precedence = 1, .production_id = 164),
  [10662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7026),
  [10664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_declarator, 2),
  [10666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_declarator, 2),
  [10668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7021),
  [10670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 21), SHIFT(6115),
  [10673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, .dynamic_precedence = 1, .production_id = 41),
  [10675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7003),
  [10677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_field_declarator, 2, .dynamic_precedence = 1),
  [10679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7033),
  [10681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [10683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8371),
  [10685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6980),
  [10687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7545),
  [10689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [10691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8388),
  [10693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7538),
  [10695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [10697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [10699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6152),
  [10701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9193),
  [10703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5636),
  [10705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3692),
  [10707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [10709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8325),
  [10711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7551),
  [10713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [10715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5622),
  [10717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [10719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8696),
  [10721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [10723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, .production_id = 165),
  [10725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, .production_id = 165),
  [10727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2776),
  [10729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9536),
  [10731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [10733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9332),
  [10735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [10737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [10739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8285),
  [10741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7559),
  [10743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [10745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9421),
  [10747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [10749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8433),
  [10751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [10753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [10755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [10757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8495),
  [10759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7512),
  [10761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [10763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5764),
  [10765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [10767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 4, .dynamic_precedence = -1),
  [10769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 4, .dynamic_precedence = -1),
  [10771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [10773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [10775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [10777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [10779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [10781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [10783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [10785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8229),
  [10787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7579),
  [10789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [10791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [10793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [10795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9365),
  [10797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4642),
  [10799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 3, .dynamic_precedence = -1),
  [10801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 3, .dynamic_precedence = -1),
  [10803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4652),
  [10805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, .production_id = 24),
  [10807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, .production_id = 24),
  [10809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8930),
  [10811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [10813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 21), SHIFT(6187),
  [10816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [10818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8780),
  [10820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4758),
  [10822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4761),
  [10824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [10826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [10828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8608),
  [10830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7477),
  [10832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, .dynamic_precedence = 1, .production_id = 22),
  [10834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, .dynamic_precedence = 1, .production_id = 22),
  [10836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [10838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [10840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8337),
  [10842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7550),
  [10844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7467),
  [10846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6969),
  [10848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7456),
  [10850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7292),
  [10852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [10854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3774),
  [10856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9131),
  [10858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3390),
  [10860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [10862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [10864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [10866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [10868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, .production_id = 115),
  [10870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, .production_id = 115),
  [10872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, .dynamic_precedence = -10),
  [10874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, .dynamic_precedence = -10),
  [10876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [10878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, .production_id = 24),
  [10880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, .production_id = 24),
  [10882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9143),
  [10884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [10886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [10888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, .production_id = 98),
  [10890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [10892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, .production_id = 98),
  [10894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1),
  [10896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1),
  [10898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2),
  [10900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2),
  [10902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 21), SHIFT(6115),
  [10905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6207),
  [10907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, .dynamic_precedence = -10),
  [10909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, .dynamic_precedence = -10),
  [10911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7280),
  [10913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7199),
  [10915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7355),
  [10917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 3, .production_id = 78),
  [10919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6221),
  [10921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, .production_id = 165),
  [10923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, .production_id = 165),
  [10925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, .production_id = 115),
  [10927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, .production_id = 115),
  [10929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, .production_id = 24),
  [10931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, .production_id = 24),
  [10933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 2, .production_id = 8),
  [10935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7271),
  [10937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7220),
  [10939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7360),
  [10941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7244),
  [10943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7215),
  [10945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7397),
  [10947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [10949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6159),
  [10951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9235),
  [10953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7236),
  [10955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7222),
  [10957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7247),
  [10959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7219),
  [10961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(7869),
  [10964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(6203),
  [10967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(9154),
  [10970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(8626),
  [10973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2),
  [10975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 21), SHIFT(6187),
  [10978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7242),
  [10980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7189),
  [10982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, .production_id = 24),
  [10984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, .production_id = 24),
  [10986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7234),
  [10988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7176),
  [10990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, .dynamic_precedence = 1, .production_id = 22),
  [10992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 2, .dynamic_precedence = 1, .production_id = 22),
  [10994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6144),
  [10996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6140),
  [10998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7258),
  [11000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7203),
  [11002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7230),
  [11004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7224),
  [11006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9247),
  [11008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7753),
  [11010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6198),
  [11012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9251),
  [11014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [11016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1),
  [11018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9315),
  [11020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 1),
  [11022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 1),
  [11024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [11026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5539),
  [11028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [11030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5536),
  [11032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, .production_id = 66),
  [11034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [11036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [11038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5520),
  [11040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2884),
  [11042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7179),
  [11044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [11046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [11048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5518),
  [11050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [11052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5524),
  [11054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [11056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5516),
  [11058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [11060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5523),
  [11062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1702),
  [11064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5557),
  [11066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [11068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5535),
  [11070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [11072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5553),
  [11074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1),
  [11076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9175),
  [11078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [11080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [11082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6508),
  [11084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 1, .production_id = 24),
  [11086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [11088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [11090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [11092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5514),
  [11094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [11096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4493),
  [11098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8370),
  [11100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7756),
  [11102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3906),
  [11104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8589),
  [11106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2933),
  [11108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8239),
  [11110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5599),
  [11112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8439),
  [11114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4223),
  [11116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4132),
  [11118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8453),
  [11120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4568),
  [11122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8294),
  [11124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2818),
  [11126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8326),
  [11128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2981),
  [11130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8487),
  [11132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6171),
  [11134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7633),
  [11136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4645),
  [11138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8289),
  [11140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6641),
  [11142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8568),
  [11144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6167),
  [11146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7920),
  [11148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7691),
  [11150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8735),
  [11152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7647),
  [11154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4416),
  [11156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8522),
  [11158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5528),
  [11160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7471),
  [11162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3135),
  [11164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8233),
  [11166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5542),
  [11168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [11170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8481),
  [11172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4919),
  [11174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8524),
  [11176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7922),
  [11178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8739),
  [11180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7974),
  [11182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9137),
  [11184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7805),
  [11186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9256),
  [11188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8202),
  [11190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8969),
  [11192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 3),
  [11194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 3),
  [11196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3),
  [11198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [11200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8498),
  [11202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7539),
  [11204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5200),
  [11206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8525),
  [11208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7587),
  [11210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7766),
  [11212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3041),
  [11214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8623),
  [11216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7495),
  [11218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, .production_id = 5),
  [11220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7628),
  [11222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [11224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [11226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast, 3, .production_id = 58),
  [11228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [11230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [11232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1),
  [11234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [11236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [11238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [11240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [11242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [11244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [11246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [11248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6159),
  [11250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, .production_id = 13),
  [11252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, .production_id = 13),
  [11254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, .production_id = 78),
  [11256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, .production_id = 6),
  [11258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 1, .production_id = 6),
  [11260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [11262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [11264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [11266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [11268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [11270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [11272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4309),
  [11274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 3, .production_id = 78),
  [11276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6198),
  [11278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7074),
  [11280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [11282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [11284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4303),
  [11286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [11288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6989),
  [11290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7334),
  [11292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, .production_id = 78),
  [11294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, .production_id = 8),
  [11296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7341),
  [11298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [11300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [11302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [11304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9350),
  [11306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, .production_id = 8),
  [11308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2), SHIFT_REPEAT(7241),
  [11311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2),
  [11313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2),
  [11315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 2, .production_id = 8),
  [11317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [11319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [11321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [11323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, .production_id = 31),
  [11325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, .production_id = 31),
  [11327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2), SHIFT_REPEAT(7869),
  [11330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2),
  [11332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2),
  [11334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [11336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [11338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7489),
  [11340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7437),
  [11342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8661),
  [11344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [11346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 6),
  [11348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 6),
  [11350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [11352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [11354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9513),
  [11356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6934),
  [11358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 4),
  [11360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 4),
  [11362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [11364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8103),
  [11366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2), SHIFT_REPEAT(1753),
  [11369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2),
  [11371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2), SHIFT_REPEAT(9513),
  [11374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [11376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7524),
  [11378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8006),
  [11380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8133),
  [11382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7603),
  [11384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7659),
  [11386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7890),
  [11388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 5),
  [11390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 5),
  [11392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1),
  [11394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [11396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1),
  [11398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7809),
  [11400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7485),
  [11402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [11404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, .production_id = 78),
  [11406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, .production_id = 78),
  [11408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [11410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [11412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6697),
  [11414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7500),
  [11416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, .production_id = 8),
  [11418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, .production_id = 8),
  [11420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [11422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6756),
  [11424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, .production_id = 78),
  [11426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, .production_id = 78),
  [11428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, .production_id = 125),
  [11430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, .production_id = 125),
  [11432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [11434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [11436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [11438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [11440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [11442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, .production_id = 79),
  [11444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, .production_id = 79),
  [11446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [11448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [11450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [11452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [11454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [11456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [11458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2),
  [11460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2), SHIFT_REPEAT(7500),
  [11463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6701),
  [11465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [11467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [11469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6705),
  [11471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [11473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6767),
  [11475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [11477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [11479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [11481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [11483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6765),
  [11485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [11487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [11489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6715),
  [11491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [11493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [11495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [11497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [11499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [11501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [11503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, .production_id = 170),
  [11505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, .production_id = 170),
  [11507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6730),
  [11509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, .production_id = 126),
  [11511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, .production_id = 126),
  [11513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2),
  [11515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [11517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [11519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6704),
  [11521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6717),
  [11523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2), SHIFT_REPEAT(7355),
  [11526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6746),
  [11528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, .production_id = 8),
  [11530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, .production_id = 8),
  [11532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [11534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [11536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [11538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [11540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6740),
  [11542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [11544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [11546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6768),
  [11548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [11550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [11552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6731),
  [11554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [11556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [11558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7473),
  [11560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8343),
  [11562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_specifier, 1),
  [11564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_specifier, 1),
  [11566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8429),
  [11568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6614),
  [11570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8403),
  [11572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [11574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [11576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [11578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8316),
  [11580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [11582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [11584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [11586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6787),
  [11588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [11590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [11592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 1),
  [11594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [11596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8560),
  [11598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8322),
  [11600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [11602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [11604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [11606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [11608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [11610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8434),
  [11612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [11614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8328),
  [11616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8150),
  [11618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [11620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [11622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 4, .production_id = 186),
  [11624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8345),
  [11626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [11628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [11630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [11632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [11634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [11636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7889),
  [11638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [11640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 3, .production_id = 153),
  [11642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [11644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [11646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7449),
  [11648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, .production_id = 6),
  [11650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9141),
  [11652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8551),
  [11654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [11656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [11658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [11660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [11662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [11664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [11666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [11668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [11670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [11672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [11674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [11676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8456),
  [11678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [11680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8306),
  [11682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [11684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2),
  [11686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(7479),
  [11689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(7479),
  [11692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8482),
  [11694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8350),
  [11696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [11698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [11700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2),
  [11702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2), SHIFT_REPEAT(7483),
  [11705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 1, .production_id = 17),
  [11707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7432),
  [11709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [11711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [11713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7423),
  [11715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [11717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [11719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3937),
  [11721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7479),
  [11723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7479),
  [11725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4910),
  [11727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7483),
  [11729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [11731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [11733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7930),
  [11735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6455),
  [11737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 3),
  [11739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7402),
  [11741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2802),
  [11743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1),
  [11745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3835),
  [11747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2845),
  [11749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7499),
  [11751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7499),
  [11753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, .production_id = 91),
  [11755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 2, .production_id = 87),
  [11757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [11759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [11761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [11763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [11765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4375),
  [11767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [11769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7522),
  [11771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7522),
  [11773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [11775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8188),
  [11777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8662),
  [11779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [11781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8797),
  [11783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3395),
  [11785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [11787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7885),
  [11789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 1),
  [11791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7435),
  [11793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [11795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [11797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8415),
  [11799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [11801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [11803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [11805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [11807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [11809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [11811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8397),
  [11813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8272),
  [11815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [11817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_operator_cast_identifier, 2, .production_id = 34),
  [11819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [11821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 207), SHIFT_REPEAT(7366),
  [11824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 207),
  [11826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [11828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2765),
  [11830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4333),
  [11832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [11834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2686),
  [11836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2744),
  [11838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [11840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7565),
  [11842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [11844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7596),
  [11846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7596),
  [11848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4700),
  [11850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2769),
  [11852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2782),
  [11854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7570),
  [11856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7570),
  [11858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [11860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [11862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9458),
  [11864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4135),
  [11866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3998),
  [11868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7640),
  [11870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7640),
  [11872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4134),
  [11874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7575),
  [11876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7575),
  [11878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [11880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9014),
  [11882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7366),
  [11884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, .production_id = 203),
  [11886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4551),
  [11888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 195), SHIFT_REPEAT(7254),
  [11891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 195),
  [11893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4373),
  [11895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4361),
  [11897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7585),
  [11899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7585),
  [11901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [11903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4290),
  [11905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2826),
  [11907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2848),
  [11909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7590),
  [11911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7590),
  [11913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6356),
  [11915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4053),
  [11917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [11919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [11921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9590),
  [11923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [11925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [11927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4469),
  [11929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7405),
  [11931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [11933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7562),
  [11935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7562),
  [11937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4475),
  [11939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7602),
  [11941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7602),
  [11943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [11945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [11947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2812),
  [11949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2809),
  [11951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7610),
  [11953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7610),
  [11955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [11957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [11959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8365),
  [11961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8549),
  [11963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2987),
  [11965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3515),
  [11967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [11969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2992),
  [11971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7616),
  [11973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7616),
  [11975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4045),
  [11977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7493),
  [11979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7493),
  [11981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [11983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4467),
  [11985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3199),
  [11987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [11989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [11991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4470),
  [11993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7625),
  [11995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7625),
  [11997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8618),
  [11999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8592),
  [12001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [12003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [12005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [12007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3996),
  [12009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [12011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2906),
  [12013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, .production_id = 196),
  [12015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7254),
  [12017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, .production_id = 183),
  [12019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4950),
  [12021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [12023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 195), SHIFT_REPEAT(7235),
  [12026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 195),
  [12028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4283),
  [12030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [12032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2870),
  [12034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7643),
  [12036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7643),
  [12038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [12040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7424),
  [12042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [12044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [12046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [12048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [12050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9532),
  [12052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [12054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6448),
  [12056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [12058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [12060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [12062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, .production_id = 113), SHIFT_REPEAT(6508),
  [12065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, .production_id = 113),
  [12067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [12069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6883),
  [12071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3762),
  [12073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [12075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [12077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9082),
  [12079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6888),
  [12081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7681),
  [12083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7681),
  [12085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9526),
  [12087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7667),
  [12089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7667),
  [12091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [12093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [12095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [12097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [12099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [12101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7788),
  [12103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 4),
  [12105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [12107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4279),
  [12109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7149),
  [12111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [12113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [12115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9229),
  [12117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8507),
  [12119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8508),
  [12121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7235),
  [12123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, .production_id = 149),
  [12125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [12127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [12129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4811),
  [12131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [12133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7716),
  [12135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7716),
  [12137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5296),
  [12139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3157),
  [12141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7834),
  [12143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 2),
  [12145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [12147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4393),
  [12149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7804),
  [12151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [12153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4724),
  [12155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4725),
  [12157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [12159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4546),
  [12161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7762),
  [12163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7762),
  [12165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, .production_id = 149),
  [12167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, .production_id = 183),
  [12169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4717),
  [12171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [12173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [12175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9265),
  [12177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [12179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3160),
  [12181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7726),
  [12183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7726),
  [12185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [12187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8018),
  [12189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 5),
  [12191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [12193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [12195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [12197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 1),
  [12199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [12201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [12203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 2),
  [12205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5232),
  [12207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4591),
  [12209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [12211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [12213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [12215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8313),
  [12217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8501),
  [12219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 175), SHIFT_REPEAT(6592),
  [12222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 175),
  [12224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [12226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [12228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 2),
  [12230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [12232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8963),
  [12234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8257),
  [12236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 5),
  [12238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [12240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8423),
  [12242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [12244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [12246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [12248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [12250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8457),
  [12252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [12254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [12256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7154),
  [12258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [12260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8426),
  [12262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8581),
  [12264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8413),
  [12266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 3),
  [12268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [12270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [12272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [12274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [12276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8283),
  [12278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [12280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [12282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8624),
  [12284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [12286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [12288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6112),
  [12290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [12292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [12294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [12296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [12298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [12300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [12302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7501),
  [12304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [12306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [12308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [12310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [12312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2), SHIFT_REPEAT(8385),
  [12315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2),
  [12317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [12319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8598),
  [12321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2), SHIFT_REPEAT(6151),
  [12324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8266),
  [12326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2), SHIFT_REPEAT(1420),
  [12329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7912),
  [12331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [12333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [12335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [12337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [12339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2), SHIFT_REPEAT(6971),
  [12342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2),
  [12344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [12346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [12348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [12350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7135),
  [12352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [12354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [12356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [12358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [12360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [12362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [12364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [12366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4381),
  [12368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6429),
  [12370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5019),
  [12372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [12374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8837),
  [12376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [12378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7231),
  [12380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [12382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2), SHIFT_REPEAT(2044),
  [12385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2),
  [12387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [12389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8353),
  [12391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [12393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [12395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4254),
  [12397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6344),
  [12399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [12401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2), SHIFT_REPEAT(2050),
  [12404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2),
  [12406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8377),
  [12408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [12410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [12412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8517),
  [12414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [12416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [12418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7521),
  [12420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [12422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [12424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [12426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [12428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [12430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [12432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [12434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4580),
  [12436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [12438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [12440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8277),
  [12442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2), SHIFT_REPEAT(2029),
  [12445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2),
  [12447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [12449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_reference_declarator, 2),
  [12451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 2),
  [12453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [12455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [12457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2), SHIFT_REPEAT(1869),
  [12460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [12462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [12464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7299),
  [12466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [12468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2), SHIFT_REPEAT(9180),
  [12471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2),
  [12473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6506),
  [12475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8610),
  [12477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6919),
  [12479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2), SHIFT_REPEAT(445),
  [12482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2),
  [12484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2), SHIFT_REPEAT(8457),
  [12487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2),
  [12489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8595),
  [12491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [12493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, .dynamic_precedence = 3),
  [12495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [12497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [12499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [12501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6718),
  [12503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [12505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [12507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [12509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [12511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [12513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2), SHIFT_REPEAT(1266),
  [12516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [12518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [12520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [12522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [12524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8515),
  [12526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, .production_id = 104),
  [12528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [12530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7151),
  [12532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [12534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 2, .production_id = 68),
  [12536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 3, .production_id = 137),
  [12538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [12540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [12542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [12544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [12546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5103),
  [12548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2), SHIFT_REPEAT(6455),
  [12551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2),
  [12553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5094),
  [12555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [12557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [12559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5092),
  [12561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [12563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [12565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8447),
  [12567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7159),
  [12569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7172),
  [12571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7152),
  [12573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [12575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8616),
  [12577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [12579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, .production_id = 5),
  [12581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [12583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4544),
  [12585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7594),
  [12587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8414),
  [12589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [12591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [12593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4423),
  [12595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7294),
  [12597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [12599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [12601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4559),
  [12603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [12605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [12607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4498),
  [12609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(1293),
  [12612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [12614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [12616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [12618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4427),
  [12620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8506),
  [12622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 2),
  [12624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8489),
  [12626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [12628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [12630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 2, .production_id = 66),
  [12632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [12634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [12636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [12638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [12640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [12642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, .production_id = 189),
  [12644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [12646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7249),
  [12648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [12650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 2, .production_id = 59),
  [12652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 3),
  [12654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7464),
  [12656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [12658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [12660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [12662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [12664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [12666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7406),
  [12668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [12670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5089),
  [12672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [12674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5118),
  [12676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8246),
  [12678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 4),
  [12680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [12682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [12684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [12686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [12688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [12690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [12692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [12694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5501),
  [12696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [12698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9215),
  [12700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7725),
  [12702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [12704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [12706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 6),
  [12708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [12710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [12712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4445),
  [12714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [12716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9199),
  [12718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [12722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [12724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8385),
  [12726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8554),
  [12728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5443),
  [12730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [12732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [12734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, .production_id = 211),
  [12736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [12738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4432),
  [12740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8366),
  [12742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [12744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [12746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6971),
  [12748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 2),
  [12750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [12752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8408),
  [12754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [12756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6939),
  [12758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [12760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [12762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [12764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_range_designator, 5, .production_id = 194),
  [12766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 149),
  [12768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [12770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [12772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6476),
  [12774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5442),
  [12776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8569),
  [12778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [12780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [12782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [12784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [12786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8558),
  [12788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 210), SHIFT_REPEAT(9510),
  [12791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 210),
  [12793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, .production_id = 202),
  [12795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8542),
  [12797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [12799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7563),
  [12801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [12803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [12805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [12807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [12809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [12811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [12813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [12815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8564),
  [12817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2),
  [12819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [12821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [12823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [12825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 3),
  [12827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [12829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [12831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [12833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8553),
  [12835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, .production_id = 98),
  [12837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [12839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [12841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5510),
  [12843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2), SHIFT_REPEAT(4381),
  [12846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2),
  [12848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5453),
  [12850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [12852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [12854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [12856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [12858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [12860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [12862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [12864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9510),
  [12866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, .production_id = 208),
  [12868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8531),
  [12870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [12872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [12874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [12876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4457),
  [12878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [12880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [12882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [12884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [12886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [12888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [12890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [12892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [12894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [12896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4759),
  [12898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7327),
  [12900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [12902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [12904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [12906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8323),
  [12908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 2),
  [12910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [12912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [12914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7617),
  [12916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7494),
  [12918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [12920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7626),
  [12922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7431),
  [12924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7595),
  [12926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [12928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [12930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [12932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [12934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [12936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [12938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [12940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5506),
  [12942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6661),
  [12944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7646),
  [12946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [12948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [12950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [12952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [12954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [12956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 196),
  [12958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7372),
  [12960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [12962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7670),
  [12964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8311),
  [12966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [12968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [12970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [12972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [12974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [12976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7682),
  [12978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [12980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [12982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [12984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [12986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, .production_id = 202),
  [12988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7296),
  [12990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8392),
  [12992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2), SHIFT_REPEAT(4399),
  [12995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2),
  [12997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7298),
  [12999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7761),
  [13001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [13003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [13005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5438),
  [13007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [13009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [13011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5441),
  [13013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8177),
  [13015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8263),
  [13017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [13019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [13021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [13023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [13025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [13027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [13029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [13031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [13033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7396),
  [13035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7717),
  [13037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8463),
  [13039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [13041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [13043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [13045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [13047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [13049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [13051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 7),
  [13053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, .production_id = 113), SHIFT_REPEAT(5864),
  [13056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, .production_id = 113),
  [13058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [13060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6681),
  [13062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, .production_id = 204),
  [13064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [13066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [13068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [13070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, .production_id = 211),
  [13072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [13074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [13076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [13078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [13080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [13082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 149),
  [13084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [13086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [13088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [13090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [13092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8825),
  [13094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7380),
  [13096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9218),
  [13098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9217),
  [13100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [13102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8604),
  [13104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [13106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8954),
  [13108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9238),
  [13110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9559),
  [13112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8500),
  [13114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [13116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8910),
  [13118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [13120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7455),
  [13122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9261),
  [13124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9562),
  [13126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [13128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 6),
  [13130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [13132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8970),
  [13134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2),
  [13136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2),
  [13138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9283),
  [13140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9565),
  [13142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [13144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [13146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9461),
  [13148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9302),
  [13150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9568),
  [13152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [13154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9417),
  [13156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9416),
  [13158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [13160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9090),
  [13162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [13164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8298),
  [13166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [13168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9409),
  [13170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8587),
  [13172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [13174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9371),
  [13176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9578),
  [13178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [13180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9486),
  [13182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9320),
  [13184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9571),
  [13186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [13188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [13190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8975),
  [13192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8974),
  [13194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8256),
  [13196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [13198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8683),
  [13200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8682),
  [13202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [13204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9563),
  [13206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9560),
  [13208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [13210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 204),
  [13212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8212),
  [13214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1),
  [13216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9338),
  [13218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9574),
  [13220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [13222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [13224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8280),
  [13226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9134),
  [13228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9099),
  [13230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [13232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [13234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8574),
  [13236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9354),
  [13238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9576),
  [13240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9401),
  [13242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9317),
  [13244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9363),
  [13246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9577),
  [13248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3),
  [13250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3),
  [13252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4755),
  [13254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [13256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [13258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9086),
  [13260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9051),
  [13262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [13264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9073),
  [13266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9556),
  [13268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8354),
  [13270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, .production_id = 91),
  [13272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [13274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8738),
  [13276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9376),
  [13278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9579),
  [13280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6374),
  [13282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8886),
  [13284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9378),
  [13286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9580),
  [13288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9380),
  [13290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9581),
  [13292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8296),
  [13294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, .production_id = 6),
  [13296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_pack_expansion, 2, .production_id = 28),
  [13298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [13300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9132),
  [13302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [13304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [13306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9176),
  [13308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [13310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8732),
  [13312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8588),
  [13314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8288),
  [13316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9382),
  [13318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9582),
  [13320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9384),
  [13322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9583),
  [13324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8857),
  [13326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8860),
  [13328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9386),
  [13330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9584),
  [13332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8526),
  [13334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9388),
  [13336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9585),
  [13338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, .dynamic_precedence = 2),
  [13340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 3, .production_id = 152),
  [13342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_template_parameter_declaration, 3, .production_id = 57),
  [13344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8420),
  [13346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9390),
  [13348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9586),
  [13350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8567),
  [13352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8315),
  [13354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [13356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [13358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [13360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9312),
  [13362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 3, .production_id = 162),
  [13364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, .production_id = 98),
  [13366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4),
  [13368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4),
  [13370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [13372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3),
  [13374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5791),
  [13376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8419),
  [13378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6554),
  [13380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8971),
  [13382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [13384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9323),
  [13386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [13388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8652),
  [13390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8617),
  [13392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [13394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [13396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [13398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9214),
  [13400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8644),
  [13402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8645),
  [13404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [13406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9553),
  [13408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8344),
  [13410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [13412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9201),
  [13414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [13416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [13418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8680),
  [13420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [13422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8669),
  [13424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [13426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [13428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [13430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [13432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [13434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [13436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8688),
  [13438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [13440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [13442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [13444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [13446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [13448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8697),
  [13450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8651),
  [13452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8628),
  [13454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [13456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [13458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [13460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5473),
  [13462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [13464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [13466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4920),
  [13468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [13470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7987),
  [13472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [13474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4855),
  [13476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [13478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [13480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8657),
  [13482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [13484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [13486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [13488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7516),
  [13490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [13492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7517),
  [13494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [13496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [13498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [13500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [13502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [13504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [13506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9262),
  [13508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9253),
  [13510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [13512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8778),
  [13514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [13516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [13518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [13520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [13522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [13524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [13526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [13528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [13530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [13532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [13534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [13536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [13538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [13540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [13542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [13544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [13546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [13548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [13550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [13552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [13554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [13556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [13558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8862),
  [13560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [13562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [13564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [13566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [13568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [13570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_right_fold, 3, .production_id = 54),
  [13572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [13574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [13576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [13578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8890),
  [13580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [13582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [13584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9518),
  [13586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8905),
  [13588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [13590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [13592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [13594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [13596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8919),
  [13598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [13600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [13602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8931),
  [13604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [13606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8243),
  [13608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [13610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [13612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4970),
  [13614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4972),
  [13616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4973),
  [13618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [13620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7578),
  [13622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [13624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [13626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9173),
  [13628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [13630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [13632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8996),
  [13634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [13636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [13638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [13640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [13642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9085),
  [13644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4806),
  [13646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [13648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [13650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [13652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [13654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [13656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9101),
  [13658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9195),
  [13660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8823),
  [13662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [13664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [13666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [13668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [13670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9122),
  [13672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [13674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [13676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [13678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [13680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [13682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9135),
  [13684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [13686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [13688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [13690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9144),
  [13692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [13694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7709),
  [13696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [13698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8850),
  [13700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9197),
  [13702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4945),
  [13704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [13706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [13708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [13710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [13712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [13714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 3),
  [13716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [13718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [13720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [13722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [13724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5448),
  [13726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [13728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9322),
  [13730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3327),
  [13732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [13734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [13736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9336),
  [13738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [13740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [13742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9392),
  [13744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8846),
  [13746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8893),
  [13748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [13750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [13752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6339),
  [13754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9413),
  [13756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [13758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [13760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8926),
  [13762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9425),
  [13764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [13766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7597),
  [13768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [13770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [13772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [13774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9057),
  [13776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8868),
  [13778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [13780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [13782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [13784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9557),
  [13786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [13788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [13790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8968),
  [13792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [13794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9547),
  [13796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [13798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [13800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [13802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [13804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [13806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9541),
  [13808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2),
  [13810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [13812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9194),
  [13814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [13816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4794),
  [13818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [13820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9539),
  [13822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [13824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9058),
  [13826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9533),
  [13828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [13830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [13832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [13834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [13836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [13838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [13840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [13842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [13844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [13846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [13848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [13850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [13852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [13854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [13856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [13858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9415),
  [13860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [13862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [13864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [13866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [13868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [13870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9404),
  [13872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9109),
  [13874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [13876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [13878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [13880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9397),
  [13882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [13884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [13886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [13888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6543),
  [13890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [13892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [13894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9372),
  [13896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [13898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [13900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7688),
  [13902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9364),
  [13904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [13906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7742),
  [13908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [13910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [13912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [13914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [13916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [13918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [13920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8991),
  [13922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [13924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8949),
  [13926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [13928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9216),
  [13930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [13932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [13934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [13936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [13938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [13940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4477),
  [13942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4510),
  [13944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8042),
  [13946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9209),
  [13948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [13950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [13952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4161),
  [13954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6970),
  [13956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [13958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [13960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9205),
  [13962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [13964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [13966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [13968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9164),
  [13970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [13972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [13974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9160),
  [13976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [13978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9155),
  [13980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [13982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [13984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [13986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9113),
  [13988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [13990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4790),
  [13992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9104),
  [13994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [13996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9102),
  [13998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [14000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [14002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [14004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9064),
  [14006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9062),
  [14008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9061),
  [14010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [14012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9046),
  [14014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9042),
  [14016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [14018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9022),
  [14020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9018),
  [14022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9008),
  [14024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9006),
  [14026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8999),
  [14028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8997),
  [14030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8989),
  [14032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8986),
  [14034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8976),
  [14036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8972),
  [14038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8965),
  [14040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8964),
  [14042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [14044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [14046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8301),
  [14048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [14050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8915),
  [14052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [14054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [14056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4357),
  [14058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [14060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [14062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [14064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [14066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [14068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [14070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [14072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [14074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9506),
  [14076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [14078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [14080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [14082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [14084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9068),
  [14086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8360),
  [14088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [14090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8873),
  [14092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [14094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [14096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [14098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8721),
  [14101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [14103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8863),
  [14105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [14107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8719),
  [14109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4856),
  [14111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [14113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [14115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [14117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4864),
  [14119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [14121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9054),
  [14123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [14125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7535),
  [14127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [14129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8826),
  [14131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [14133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [14135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [14137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [14139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [14141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [14143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [14145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4418),
  [14147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4426),
  [14149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [14151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4421),
  [14153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8804),
  [14155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [14157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [14159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [14161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [14163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, .production_id = 79),
  [14165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9114),
  [14167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4853),
  [14169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [14171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [14173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [14175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [14177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [14179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [14181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [14183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4801),
  [14185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [14187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [14189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [14191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [14193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [14195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [14197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [14199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [14201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [14203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4476),
  [14205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [14207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [14209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [14211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [14213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7505),
  [14215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [14217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [14219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [14221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [14223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [14225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4415),
  [14227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [14229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4451),
  [14231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [14233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7347),
  [14235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9232),
  [14237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [14239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7092),
  [14241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [14243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [14245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [14247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [14249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [14251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [14253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [14255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [14257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9170),
  [14259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [14261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [14263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4729),
  [14265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [14267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [14269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [14271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9309),
  [14273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [14275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9314),
  [14277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5854),
  [14279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [14281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8509),
  [14283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4192),
  [14285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [14287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4171),
  [14289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [14291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4989),
  [14293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [14295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4987),
  [14297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [14299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [14301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [14303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [14305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [14307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9333),
  [14309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [14311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 4),
  [14313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [14315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [14317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [14319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [14321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6915),
  [14323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [14325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [14327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 2),
  [14329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6916),
  [14331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [14333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [14335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [14337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [14339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9234),
  [14341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [14343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, .production_id = 125),
  [14345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, .production_id = 126),
  [14347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7342),
  [14349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8596),
  [14351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [14353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4291),
  [14355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9347),
  [14357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [14359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4833),
  [14361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [14363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [14365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8619),
  [14367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, .production_id = 79),
  [14369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8632),
  [14371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5814),
  [14373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [14375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [14377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [14379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8629),
  [14381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7379),
  [14383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [14385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8641),
  [14387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [14389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8649),
  [14391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [14393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, .production_id = 8),
  [14395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8519),
  [14397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [14399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7279),
  [14401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [14403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8805),
  [14405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9359),
  [14407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8490),
  [14409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8724),
  [14411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [14413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [14415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [14417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8731),
  [14419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8803),
  [14421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8742),
  [14423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [14425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [14427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [14429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8749),
  [14431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [14433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [14435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [14437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8449),
  [14439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [14441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [14443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [14445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8424),
  [14447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [14449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8802),
  [14451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [14453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [14455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8809),
  [14457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8817),
  [14459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [14461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8822),
  [14463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [14465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6694),
  [14467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8396),
  [14469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4403),
  [14471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [14473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8378),
  [14475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8855),
  [14477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [14479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8861),
  [14481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8869),
  [14483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6691),
  [14485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6684),
  [14487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [14489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8874),
  [14491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [14493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [14495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8346),
  [14497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4336),
  [14499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [14501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [14503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9418),
  [14505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9463),
  [14507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8897),
  [14509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [14511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [14513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [14515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8903),
  [14517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8911),
  [14519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9285),
  [14521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [14523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [14525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8916),
  [14527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [14529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8427),
  [14531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [14533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [14535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [14537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [14539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [14541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8939),
  [14543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [14545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [14547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8945),
  [14549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8952),
  [14551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4688),
  [14553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5104),
  [14555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8957),
  [14557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [14559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, .production_id = 170),
  [14561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8238),
  [14563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, .production_id = 125),
  [14565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [14567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7373),
  [14569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, .production_id = 78),
  [14571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9433),
  [14573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, .production_id = 79),
  [14575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [14577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8982),
  [14579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [14581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [14583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, .production_id = 79),
  [14585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8992),
  [14587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 5, .production_id = 126),
  [14589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8251),
  [14591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [14593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [14595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9002),
  [14597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [14599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [14601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9005),
  [14603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, .production_id = 79),
  [14605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8286),
  [14607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [14609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [14611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9013),
  [14613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [14615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9015),
  [14617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8290),
  [14619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [14621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9020),
  [14623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9021),
  [14625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9023),
  [14627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9024),
  [14629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9026),
  [14631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9027),
  [14633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9028),
  [14635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9029),
  [14637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9030),
  [14639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9031),
  [14641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9032),
  [14643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9033),
  [14645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9034),
  [14647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9035),
  [14649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9036),
  [14651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9037),
  [14653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [14655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [14657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [14659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [14661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9072),
  [14663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [14665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [14667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [14669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [14671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [14673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [14675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [14677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [14679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [14681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [14683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7660),
  [14685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9105),
  [14687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [14689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9422),
  [14691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [14693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8062),
  [14695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4706),
  [14697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [14699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [14701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [14703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [14705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [14707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [14709] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [14711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [14713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [14715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8537),
  [14717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8674),
  [14719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [14721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 6, .production_id = 170),
  [14723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, .production_id = 125),
  [14725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [14727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, .production_id = 125),
  [14729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 4, .production_id = 126),
  [14731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 4, .production_id = 126),
  [14733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [14735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, .production_id = 125),
  [14737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [14739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 4, .production_id = 126),
  [14741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8529),
  [14743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7511),
  [14745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [14747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [14749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [14751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [14753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [14755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8736),
  [14757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [14759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [14761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [14763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [14765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [14767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [14769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [14771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [14773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [14775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7374),
  [14777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9497),
  [14779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [14781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [14783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [14785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [14787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6477),
  [14789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [14791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [14793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [14795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9237),
  [14797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6499),
  [14799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8906),
  [14801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4533),
  [14803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7760),
  [14805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9245),
  [14807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 5, .production_id = 170),
  [14809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 5, .production_id = 170),
  [14811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [14813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [14815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [14817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9260),
  [14819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [14821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, .production_id = 170),
  [14823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [14825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9267),
  [14827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [14829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [14831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [14833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [14835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9282),
  [14837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [14839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9517),
  [14841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7750),
  [14843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9288),
  [14845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [14847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8282),
  [14849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [14851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9301),
  [14853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8761),
  [14855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [14857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7745),
  [14859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9307),
  [14861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8352),
  [14863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [14865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9319),
  [14867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7924),
  [14869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7729),
  [14871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9325),
  [14873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8032),
  [14875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8760),
  [14877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [14879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9337),
  [14881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [14883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4541),
  [14885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [14887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9343),
  [14889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [14891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [14893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9353),
  [14895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [14897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7703),
  [14899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9358),
  [14901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [14903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7699),
  [14905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9366),
  [14907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [14909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [14911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9373),
  [14913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4986),
  [14915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9377),
  [14917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4558),
  [14919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9379),
  [14921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [14923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9381),
  [14925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [14927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9383),
  [14929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [14931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9385),
  [14933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [14935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9387),
  [14937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9389),
  [14939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [14941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9391),
  [14943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [14945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9412),
  [14947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9569),
  [14949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [14951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9479),
  [14953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [14955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9489),
  [14957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [14959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4358),
  [14961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9499),
  [14963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [14965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9508),
  [14967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5621),
  [14969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [14971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9516),
  [14973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [14975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4341),
  [14977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9524),
  [14979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [14981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9531),
  [14983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9535),
  [14985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9538),
  [14987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9540),
  [14989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9542),
  [14991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9544),
  [14993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9546),
  [14995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9548),
  [14997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9550),
  [14999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9552),
  [15001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9554),
  [15003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [15005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [15007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [15009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7774),
  [15011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [15013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [15015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [15017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [15019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [15021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [15023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_raw_string_delimiter = 0,
  ts_external_token_raw_string_content = 1,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_raw_string_delimiter] = sym_raw_string_delimiter,
  [ts_external_token_raw_string_content] = sym_raw_string_content,
};

static const bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_raw_string_delimiter] = true,
    [ts_external_token_raw_string_content] = true,
  },
  [2] = {
    [ts_external_token_raw_string_delimiter] = true,
  },
  [3] = {
    [ts_external_token_raw_string_content] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_arduino_external_scanner_create(void);
void tree_sitter_arduino_external_scanner_destroy(void *);
bool tree_sitter_arduino_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_arduino_external_scanner_serialize(void *, char *);
void tree_sitter_arduino_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_arduino(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_arduino_external_scanner_create,
      tree_sitter_arduino_external_scanner_destroy,
      tree_sitter_arduino_external_scanner_scan,
      tree_sitter_arduino_external_scanner_serialize,
      tree_sitter_arduino_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
